#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8811
#define LARGE_STATE_COUNT 2719
#define SYMBOL_COUNT 562
#define ALIAS_COUNT 5
#define TOKEN_COUNT 242
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 227

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_COLON = 42,
  anon_sym_SEMI = 43,
  anon_sym___extension__ = 44,
  anon_sym_typedef = 45,
  anon_sym_in = 46,
  anon_sym_out = 47,
  anon_sym_inout = 48,
  anon_sym_virtual = 49,
  anon_sym_extern = 50,
  anon_sym___attribute__ = 51,
  anon_sym_COLON_COLON = 52,
  anon_sym_LBRACK_LBRACK = 53,
  anon_sym_RBRACK_RBRACK = 54,
  anon_sym___declspec = 55,
  anon_sym___based = 56,
  anon_sym___cdecl = 57,
  anon_sym___clrcall = 58,
  anon_sym___stdcall = 59,
  anon_sym___fastcall = 60,
  anon_sym___thiscall = 61,
  anon_sym___vectorcall = 62,
  sym_ms_restrict_modifier = 63,
  sym_ms_unsigned_ptr_modifier = 64,
  sym_ms_signed_ptr_modifier = 65,
  anon_sym__unaligned = 66,
  anon_sym___unaligned = 67,
  anon_sym_LBRACE = 68,
  anon_sym_RBRACE = 69,
  anon_sym_signed = 70,
  anon_sym_unsigned = 71,
  anon_sym_long = 72,
  anon_sym_short = 73,
  anon_sym_LBRACK = 74,
  anon_sym_static = 75,
  anon_sym_RBRACK = 76,
  anon_sym_EQ = 77,
  anon_sym_register = 78,
  anon_sym_inline = 79,
  anon_sym___inline = 80,
  anon_sym___inline__ = 81,
  anon_sym___forceinline = 82,
  anon_sym_thread_local = 83,
  anon_sym___thread = 84,
  anon_sym_const = 85,
  anon_sym_constexpr = 86,
  anon_sym_volatile = 87,
  anon_sym_restrict = 88,
  anon_sym___restrict__ = 89,
  anon_sym__Atomic = 90,
  anon_sym__Noreturn = 91,
  anon_sym_noreturn = 92,
  anon_sym__Nonnull = 93,
  anon_sym_mutable = 94,
  anon_sym_constinit = 95,
  anon_sym_consteval = 96,
  anon_sym_alignas = 97,
  anon_sym__Alignas = 98,
  sym_primitive_type = 99,
  anon_sym_enum = 100,
  anon_sym_class = 101,
  anon_sym_struct = 102,
  anon_sym_union = 103,
  anon_sym_if = 104,
  anon_sym_else = 105,
  anon_sym_switch = 106,
  anon_sym_case = 107,
  anon_sym_default = 108,
  anon_sym_while = 109,
  anon_sym_do = 110,
  anon_sym_for = 111,
  anon_sym_return = 112,
  anon_sym_break = 113,
  anon_sym_continue = 114,
  anon_sym_goto = 115,
  anon_sym___try = 116,
  anon_sym___except = 117,
  anon_sym___finally = 118,
  anon_sym___leave = 119,
  anon_sym_QMARK = 120,
  anon_sym_STAR_EQ = 121,
  anon_sym_SLASH_EQ = 122,
  anon_sym_PERCENT_EQ = 123,
  anon_sym_PLUS_EQ = 124,
  anon_sym_DASH_EQ = 125,
  anon_sym_LT_LT_EQ = 126,
  anon_sym_GT_GT_EQ = 127,
  anon_sym_AMP_EQ = 128,
  anon_sym_CARET_EQ = 129,
  anon_sym_PIPE_EQ = 130,
  anon_sym_and_eq = 131,
  anon_sym_or_eq = 132,
  anon_sym_xor_eq = 133,
  anon_sym_not = 134,
  anon_sym_compl = 135,
  anon_sym_LT_EQ_GT = 136,
  anon_sym_or = 137,
  anon_sym_and = 138,
  anon_sym_bitor = 139,
  anon_sym_xor = 140,
  anon_sym_bitand = 141,
  anon_sym_not_eq = 142,
  anon_sym_DASH_DASH = 143,
  anon_sym_PLUS_PLUS = 144,
  anon_sym_sizeof = 145,
  anon_sym___alignof__ = 146,
  anon_sym___alignof = 147,
  anon_sym__alignof = 148,
  anon_sym_alignof = 149,
  anon_sym__Alignof = 150,
  anon_sym_offsetof = 151,
  anon_sym__Generic = 152,
  anon_sym_asm = 153,
  anon_sym___asm__ = 154,
  anon_sym___asm = 155,
  anon_sym___volatile__ = 156,
  anon_sym_DOT = 157,
  anon_sym_DOT_STAR = 158,
  anon_sym_DASH_GT = 159,
  sym_number_literal = 160,
  anon_sym_L_SQUOTE = 161,
  anon_sym_u_SQUOTE = 162,
  anon_sym_U_SQUOTE = 163,
  anon_sym_u8_SQUOTE = 164,
  anon_sym_SQUOTE = 165,
  aux_sym_char_literal_token1 = 166,
  anon_sym_L_DQUOTE = 167,
  anon_sym_u_DQUOTE = 168,
  anon_sym_U_DQUOTE = 169,
  anon_sym_u8_DQUOTE = 170,
  anon_sym_DQUOTE = 171,
  aux_sym_string_literal_token1 = 172,
  sym_escape_sequence = 173,
  sym_system_lib_string = 174,
  sym_true = 175,
  sym_false = 176,
  anon_sym_NULL = 177,
  anon_sym_nullptr = 178,
  sym_comment = 179,
  sym_auto = 180,
  anon_sym_decltype = 181,
  anon_sym_final = 182,
  anon_sym_override = 183,
  anon_sym_explicit = 184,
  anon_sym_typename = 185,
  anon_sym_template = 186,
  anon_sym_GT2 = 187,
  anon_sym_operator = 188,
  anon_sym_try = 189,
  anon_sym_delete = 190,
  aux_sym_pure_virtual_clause_token1 = 191,
  anon_sym_friend = 192,
  anon_sym_public = 193,
  anon_sym_private = 194,
  anon_sym_protected = 195,
  anon_sym_noexcept = 196,
  anon_sym_throw = 197,
  anon_sym_namespace = 198,
  anon_sym_using = 199,
  anon_sym_static_assert = 200,
  anon_sym_concept = 201,
  anon_sym_co_return = 202,
  anon_sym_co_yield = 203,
  anon_sym_catch = 204,
  anon_sym_R_DQUOTE = 205,
  anon_sym_LR_DQUOTE = 206,
  anon_sym_uR_DQUOTE = 207,
  anon_sym_UR_DQUOTE = 208,
  anon_sym_u8R_DQUOTE = 209,
  anon_sym_co_await = 210,
  anon_sym_new = 211,
  anon_sym_requires = 212,
  anon_sym_DASH_GT_STAR = 213,
  anon_sym_LPAREN_RPAREN = 214,
  anon_sym_LBRACK_RBRACK = 215,
  anon_sym_DQUOTE_DQUOTE = 216,
  sym_this = 217,
  sym_literal_suffix = 218,
  anon_sym_discard = 219,
  anon_sym_precise = 220,
  anon_sym_shared = 221,
  anon_sym_groupshared = 222,
  anon_sym_uniform = 223,
  anon_sym_row_major = 224,
  anon_sym_column_major = 225,
  anon_sym_globallycoherent = 226,
  anon_sym_centroid = 227,
  anon_sym_noperspective = 228,
  anon_sym_nointerpolation = 229,
  anon_sym_sample = 230,
  anon_sym_linear = 231,
  anon_sym_snorm = 232,
  anon_sym_unorm = 233,
  anon_sym_point = 234,
  anon_sym_line = 235,
  anon_sym_triangleadj = 236,
  anon_sym_lineadj = 237,
  anon_sym_triangle = 238,
  anon_sym_cbuffer = 239,
  sym_raw_string_delimiter = 240,
  sym_raw_string_content = 241,
  sym_translation_unit = 242,
  sym__top_level_item = 243,
  sym__block_item = 244,
  sym_preproc_include = 245,
  sym_preproc_def = 246,
  sym_preproc_function_def = 247,
  sym_preproc_params = 248,
  sym_preproc_call = 249,
  sym_preproc_if = 250,
  sym_preproc_ifdef = 251,
  sym_preproc_else = 252,
  sym_preproc_elif = 253,
  sym_preproc_elifdef = 254,
  sym_preproc_if_in_field_declaration_list = 255,
  sym_preproc_ifdef_in_field_declaration_list = 256,
  sym_preproc_else_in_field_declaration_list = 257,
  sym_preproc_elif_in_field_declaration_list = 258,
  sym_preproc_elifdef_in_field_declaration_list = 259,
  sym_preproc_if_in_enumerator_list = 260,
  sym_preproc_ifdef_in_enumerator_list = 261,
  sym_preproc_else_in_enumerator_list = 262,
  sym_preproc_elif_in_enumerator_list = 263,
  sym_preproc_elifdef_in_enumerator_list = 264,
  sym_preproc_if_in_enumerator_list_no_comma = 265,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 266,
  sym_preproc_else_in_enumerator_list_no_comma = 267,
  sym_preproc_elif_in_enumerator_list_no_comma = 268,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 269,
  sym__preproc_expression = 270,
  sym_preproc_parenthesized_expression = 271,
  sym_preproc_defined = 272,
  sym_preproc_unary_expression = 273,
  sym_preproc_call_expression = 274,
  sym_preproc_argument_list = 275,
  sym_preproc_binary_expression = 276,
  sym_function_definition = 277,
  sym_declaration = 278,
  sym_type_definition = 279,
  sym__type_definition_type = 280,
  sym__type_definition_declarators = 281,
  sym__declaration_modifiers = 282,
  sym__declaration_specifiers = 283,
  sym_linkage_specification = 284,
  sym_attribute_specifier = 285,
  sym_attribute = 286,
  sym_attribute_declaration = 287,
  sym_ms_declspec_modifier = 288,
  sym_ms_based_modifier = 289,
  sym_ms_call_modifier = 290,
  sym_ms_unaligned_ptr_modifier = 291,
  sym_ms_pointer_modifier = 292,
  sym_declaration_list = 293,
  sym__declarator = 294,
  sym__field_declarator = 295,
  sym__type_declarator = 296,
  sym__abstract_declarator = 297,
  sym_parenthesized_declarator = 298,
  sym_parenthesized_field_declarator = 299,
  sym_parenthesized_type_declarator = 300,
  sym_abstract_parenthesized_declarator = 301,
  sym_attributed_declarator = 302,
  sym_attributed_field_declarator = 303,
  sym_attributed_type_declarator = 304,
  sym_pointer_declarator = 305,
  sym_pointer_field_declarator = 306,
  sym_pointer_type_declarator = 307,
  sym_abstract_pointer_declarator = 308,
  sym_function_declarator = 309,
  sym_function_field_declarator = 310,
  sym_function_type_declarator = 311,
  sym_abstract_function_declarator = 312,
  sym_array_declarator = 313,
  sym_array_field_declarator = 314,
  sym_array_type_declarator = 315,
  sym_abstract_array_declarator = 316,
  sym_init_declarator = 317,
  sym_compound_statement = 318,
  sym_storage_class_specifier = 319,
  sym_type_qualifier = 320,
  sym_alignas_qualifier = 321,
  sym_type_specifier = 322,
  sym_sized_type_specifier = 323,
  sym_enum_specifier = 324,
  sym_enumerator_list = 325,
  sym_struct_specifier = 326,
  sym_union_specifier = 327,
  sym_field_declaration_list = 328,
  sym__field_declaration_list_item = 329,
  sym_field_declaration = 330,
  sym_bitfield_clause = 331,
  sym_enumerator = 332,
  sym_parameter_list = 333,
  sym_parameter_declaration = 334,
  sym_attributed_statement = 335,
  sym_statement = 336,
  sym__top_level_statement = 337,
  sym_labeled_statement = 338,
  sym__top_level_expression_statement = 339,
  sym_expression_statement = 340,
  sym_if_statement = 341,
  sym_else_clause = 342,
  sym_switch_statement = 343,
  sym_case_statement = 344,
  sym_while_statement = 345,
  sym_do_statement = 346,
  sym_for_statement = 347,
  sym__for_statement_body = 348,
  sym_return_statement = 349,
  sym_break_statement = 350,
  sym_continue_statement = 351,
  sym_goto_statement = 352,
  sym_seh_try_statement = 353,
  sym_seh_except_clause = 354,
  sym_seh_finally_clause = 355,
  sym_seh_leave_statement = 356,
  sym_expression = 357,
  sym__string = 358,
  sym_comma_expression = 359,
  sym_conditional_expression = 360,
  sym_assignment_expression = 361,
  sym_pointer_expression = 362,
  sym_unary_expression = 363,
  sym_binary_expression = 364,
  sym_update_expression = 365,
  sym_cast_expression = 366,
  sym_type_descriptor = 367,
  sym_sizeof_expression = 368,
  sym_alignof_expression = 369,
  sym_offsetof_expression = 370,
  sym_generic_expression = 371,
  sym_subscript_expression = 372,
  sym_call_expression = 373,
  sym_gnu_asm_expression = 374,
  sym_gnu_asm_qualifier = 375,
  sym_gnu_asm_output_operand_list = 376,
  sym_gnu_asm_output_operand = 377,
  sym_gnu_asm_input_operand_list = 378,
  sym_gnu_asm_input_operand = 379,
  sym_gnu_asm_clobber_list = 380,
  sym_gnu_asm_goto_list = 381,
  sym_extension_expression = 382,
  sym_argument_list = 383,
  sym_field_expression = 384,
  sym_compound_literal_expression = 385,
  sym_parenthesized_expression = 386,
  sym_initializer_list = 387,
  sym_initializer_pair = 388,
  sym_subscript_designator = 389,
  sym_subscript_range_designator = 390,
  sym_field_designator = 391,
  sym_char_literal = 392,
  sym_concatenated_string = 393,
  sym_string_literal = 394,
  sym_null = 395,
  sym__empty_declaration = 396,
  sym_placeholder_type_specifier = 397,
  sym_decltype_auto = 398,
  sym_decltype = 399,
  sym__class_declaration = 400,
  sym__class_declaration_item = 401,
  sym_class_specifier = 402,
  sym__class_name = 403,
  sym_virtual_specifier = 404,
  sym_explicit_function_specifier = 405,
  sym_base_class_clause = 406,
  sym__enum_base_clause = 407,
  sym_dependent_type = 408,
  sym_template_declaration = 409,
  sym_template_instantiation = 410,
  sym_template_parameter_list = 411,
  sym_type_parameter_declaration = 412,
  sym_variadic_type_parameter_declaration = 413,
  sym_optional_type_parameter_declaration = 414,
  sym_template_template_parameter_declaration = 415,
  sym_optional_parameter_declaration = 416,
  sym_variadic_parameter_declaration = 417,
  sym_variadic_declarator = 418,
  sym_variadic_reference_declarator = 419,
  sym_operator_cast = 420,
  sym_field_initializer_list = 421,
  sym_field_initializer = 422,
  sym_inline_method_definition = 423,
  sym__constructor_specifiers = 424,
  sym_operator_cast_definition = 425,
  sym_operator_cast_declaration = 426,
  sym_constructor_try_statement = 427,
  sym_constructor_or_destructor_definition = 428,
  sym_constructor_or_destructor_declaration = 429,
  sym_default_method_clause = 430,
  sym_delete_method_clause = 431,
  sym_pure_virtual_clause = 432,
  sym_friend_declaration = 433,
  sym_access_specifier = 434,
  sym_reference_declarator = 435,
  sym_reference_field_declarator = 436,
  sym_reference_type_declarator = 437,
  sym_abstract_reference_declarator = 438,
  sym_structured_binding_declarator = 439,
  sym_ref_qualifier = 440,
  sym__function_declarator_seq = 441,
  sym__function_attributes_start = 442,
  sym__function_exception_specification = 443,
  sym__function_attributes_end = 444,
  sym__function_postfix = 445,
  sym_trailing_return_type = 446,
  sym_noexcept = 447,
  sym_throw_specifier = 448,
  sym_template_type = 449,
  sym_template_method = 450,
  sym_template_function = 451,
  sym_template_argument_list = 452,
  sym_namespace_definition = 453,
  sym_namespace_alias_definition = 454,
  sym__namespace_specifier = 455,
  sym_nested_namespace_specifier = 456,
  sym_using_declaration = 457,
  sym_alias_declaration = 458,
  sym_static_assert_declaration = 459,
  sym_concept_definition = 460,
  sym_for_range_loop = 461,
  sym__for_range_loop_body = 462,
  sym_init_statement = 463,
  sym_condition_clause = 464,
  sym_condition_declaration = 465,
  sym_co_return_statement = 466,
  sym_co_yield_statement = 467,
  sym_throw_statement = 468,
  sym_try_statement = 469,
  sym_catch_clause = 470,
  sym_raw_string_literal = 471,
  sym_subscript_argument_list = 472,
  sym_co_await_expression = 473,
  sym_new_expression = 474,
  sym_new_declarator = 475,
  sym_delete_expression = 476,
  sym_type_requirement = 477,
  sym_compound_requirement = 478,
  sym__requirement = 479,
  sym_requirement_seq = 480,
  sym_constraint_conjunction = 481,
  sym_constraint_disjunction = 482,
  sym__requirement_clause_constraint = 483,
  sym_requires_clause = 484,
  sym_requires_parameter_list = 485,
  sym_requires_expression = 486,
  sym_lambda_expression = 487,
  sym_lambda_capture_specifier = 488,
  sym_lambda_default_capture = 489,
  sym__fold_operator = 490,
  sym__binary_fold_operator = 491,
  sym__unary_left_fold = 492,
  sym__unary_right_fold = 493,
  sym__binary_fold = 494,
  sym_fold_expression = 495,
  sym_parameter_pack_expansion = 496,
  sym_type_parameter_pack_expansion = 497,
  sym_destructor_name = 498,
  sym_dependent_identifier = 499,
  sym_dependent_field_identifier = 500,
  sym_dependent_type_identifier = 501,
  sym__scope_resolution = 502,
  sym_qualified_field_identifier = 503,
  sym_qualified_identifier = 504,
  sym_qualified_type_identifier = 505,
  sym_qualified_operator_cast_identifier = 506,
  sym__assignment_expression_lhs = 507,
  sym_operator_name = 508,
  sym_user_defined_literal = 509,
  sym_semantics = 510,
  sym_discard_statement = 511,
  sym_qualifiers = 512,
  sym_cbuffer_specifier = 513,
  sym_hlsl_attribute = 514,
  aux_sym_translation_unit_repeat1 = 515,
  aux_sym_preproc_params_repeat1 = 516,
  aux_sym_preproc_if_repeat1 = 517,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 518,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 519,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 520,
  aux_sym_preproc_argument_list_repeat1 = 521,
  aux_sym_declaration_repeat1 = 522,
  aux_sym_type_definition_repeat1 = 523,
  aux_sym__type_definition_type_repeat1 = 524,
  aux_sym__type_definition_declarators_repeat1 = 525,
  aux_sym__declaration_specifiers_repeat1 = 526,
  aux_sym_attribute_declaration_repeat1 = 527,
  aux_sym_attributed_declarator_repeat1 = 528,
  aux_sym_pointer_declarator_repeat1 = 529,
  aux_sym_array_declarator_repeat1 = 530,
  aux_sym_sized_type_specifier_repeat1 = 531,
  aux_sym_enumerator_list_repeat1 = 532,
  aux_sym_field_declaration_repeat1 = 533,
  aux_sym_parameter_list_repeat1 = 534,
  aux_sym_case_statement_repeat1 = 535,
  aux_sym_generic_expression_repeat1 = 536,
  aux_sym_gnu_asm_expression_repeat1 = 537,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 538,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 539,
  aux_sym_gnu_asm_clobber_list_repeat1 = 540,
  aux_sym_gnu_asm_goto_list_repeat1 = 541,
  aux_sym_argument_list_repeat1 = 542,
  aux_sym_initializer_list_repeat1 = 543,
  aux_sym_initializer_pair_repeat1 = 544,
  aux_sym_char_literal_repeat1 = 545,
  aux_sym_concatenated_string_repeat1 = 546,
  aux_sym_string_literal_repeat1 = 547,
  aux_sym__class_declaration_repeat1 = 548,
  aux_sym_base_class_clause_repeat1 = 549,
  aux_sym_template_parameter_list_repeat1 = 550,
  aux_sym_field_initializer_list_repeat1 = 551,
  aux_sym_operator_cast_definition_repeat1 = 552,
  aux_sym_constructor_try_statement_repeat1 = 553,
  aux_sym_structured_binding_declarator_repeat1 = 554,
  aux_sym__function_postfix_repeat1 = 555,
  aux_sym_throw_specifier_repeat1 = 556,
  aux_sym_template_argument_list_repeat1 = 557,
  aux_sym_subscript_argument_list_repeat1 = 558,
  aux_sym_requirement_seq_repeat1 = 559,
  aux_sym_requires_parameter_list_repeat1 = 560,
  aux_sym_lambda_capture_specifier_repeat1 = 561,
  alias_sym_field_identifier = 562,
  alias_sym_namespace_identifier = 563,
  alias_sym_simple_requirement = 564,
  alias_sym_statement_identifier = 565,
  alias_sym_type_identifier = 566,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_in] = "in",
  [anon_sym_out] = "out",
  [anon_sym_inout] = "inout",
  [anon_sym_virtual] = "virtual",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym___volatile__] = "__volatile__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [aux_sym_pure_virtual_clause_token1] = "pure_virtual_clause_token1",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [anon_sym_discard] = "discard",
  [anon_sym_precise] = "precise",
  [anon_sym_shared] = "shared",
  [anon_sym_groupshared] = "groupshared",
  [anon_sym_uniform] = "uniform",
  [anon_sym_row_major] = "row_major",
  [anon_sym_column_major] = "column_major",
  [anon_sym_globallycoherent] = "globallycoherent",
  [anon_sym_centroid] = "centroid",
  [anon_sym_noperspective] = "noperspective",
  [anon_sym_nointerpolation] = "nointerpolation",
  [anon_sym_sample] = "sample",
  [anon_sym_linear] = "linear",
  [anon_sym_snorm] = "snorm",
  [anon_sym_unorm] = "unorm",
  [anon_sym_point] = "point",
  [anon_sym_line] = "line",
  [anon_sym_triangleadj] = "triangleadj",
  [anon_sym_lineadj] = "lineadj",
  [anon_sym_triangle] = "triangle",
  [anon_sym_cbuffer] = "cbuffer",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [sym_semantics] = "semantics",
  [sym_discard_statement] = "discard_statement",
  [sym_qualifiers] = "qualifiers",
  [sym_cbuffer_specifier] = "cbuffer_specifier",
  [sym_hlsl_attribute] = "hlsl_attribute",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_out] = anon_sym_out,
  [anon_sym_inout] = anon_sym_inout,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym___volatile__] = anon_sym___volatile__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [aux_sym_pure_virtual_clause_token1] = aux_sym_pure_virtual_clause_token1,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [anon_sym_discard] = anon_sym_discard,
  [anon_sym_precise] = anon_sym_precise,
  [anon_sym_shared] = anon_sym_shared,
  [anon_sym_groupshared] = anon_sym_groupshared,
  [anon_sym_uniform] = anon_sym_uniform,
  [anon_sym_row_major] = anon_sym_row_major,
  [anon_sym_column_major] = anon_sym_column_major,
  [anon_sym_globallycoherent] = anon_sym_globallycoherent,
  [anon_sym_centroid] = anon_sym_centroid,
  [anon_sym_noperspective] = anon_sym_noperspective,
  [anon_sym_nointerpolation] = anon_sym_nointerpolation,
  [anon_sym_sample] = anon_sym_sample,
  [anon_sym_linear] = anon_sym_linear,
  [anon_sym_snorm] = anon_sym_snorm,
  [anon_sym_unorm] = anon_sym_unorm,
  [anon_sym_point] = anon_sym_point,
  [anon_sym_line] = anon_sym_line,
  [anon_sym_triangleadj] = anon_sym_triangleadj,
  [anon_sym_lineadj] = anon_sym_lineadj,
  [anon_sym_triangle] = anon_sym_triangle,
  [anon_sym_cbuffer] = anon_sym_cbuffer,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [sym_semantics] = sym_semantics,
  [sym_discard_statement] = sym_discard_statement,
  [sym_qualifiers] = sym_qualifiers,
  [sym_cbuffer_specifier] = sym_cbuffer_specifier,
  [sym_hlsl_attribute] = sym_hlsl_attribute,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___volatile__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pure_virtual_clause_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_discard] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_precise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shared] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_groupshared] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uniform] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_row_major] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_column_major] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_globallycoherent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_centroid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noperspective] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nointerpolation] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sample] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_linear] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_snorm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unorm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_point] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_line] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_triangleadj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lineadj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_triangle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cbuffer] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_semantics] = {
    .visible = true,
    .named = true,
  },
  [sym_discard_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_qualifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_cbuffer_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hlsl_attribute] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 1},
  [55] = {.index = 67, .length = 3},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 138, .length = 1},
  [94] = {.index = 136, .length = 2},
  [96] = {.index = 139, .length = 2},
  [97] = {.index = 141, .length = 1},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 142, .length = 3},
  [101] = {.index = 145, .length = 2},
  [102] = {.index = 147, .length = 2},
  [103] = {.index = 149, .length = 2},
  [104] = {.index = 151, .length = 3},
  [105] = {.index = 154, .length = 1},
  [106] = {.index = 155, .length = 1},
  [108] = {.index = 156, .length = 3},
  [109] = {.index = 159, .length = 3},
  [110] = {.index = 162, .length = 3},
  [111] = {.index = 165, .length = 3},
  [112] = {.index = 168, .length = 2},
  [113] = {.index = 170, .length = 3},
  [114] = {.index = 173, .length = 2},
  [115] = {.index = 175, .length = 3},
  [116] = {.index = 178, .length = 2},
  [117] = {.index = 19, .length = 2},
  [118] = {.index = 39, .length = 2},
  [119] = {.index = 180, .length = 2},
  [120] = {.index = 182, .length = 2},
  [121] = {.index = 184, .length = 1},
  [122] = {.index = 185, .length = 4},
  [123] = {.index = 189, .length = 4},
  [124] = {.index = 193, .length = 2},
  [125] = {.index = 195, .length = 3},
  [126] = {.index = 198, .length = 2},
  [127] = {.index = 200, .length = 2},
  [128] = {.index = 202, .length = 1},
  [129] = {.index = 203, .length = 2},
  [130] = {.index = 205, .length = 2},
  [131] = {.index = 207, .length = 3},
  [132] = {.index = 210, .length = 3},
  [133] = {.index = 213, .length = 3},
  [134] = {.index = 216, .length = 2},
  [135] = {.index = 218, .length = 2},
  [136] = {.index = 218, .length = 2},
  [137] = {.index = 220, .length = 2},
  [138] = {.index = 220, .length = 2},
  [139] = {.index = 222, .length = 2},
  [140] = {.index = 224, .length = 3},
  [141] = {.index = 227, .length = 2},
  [142] = {.index = 229, .length = 2},
  [143] = {.index = 231, .length = 3},
  [144] = {.index = 234, .length = 2},
  [145] = {.index = 236, .length = 3},
  [146] = {.index = 239, .length = 2},
  [147] = {.index = 241, .length = 1},
  [148] = {.index = 242, .length = 2},
  [149] = {.index = 244, .length = 2},
  [150] = {.index = 246, .length = 4},
  [151] = {.index = 250, .length = 5},
  [152] = {.index = 255, .length = 1},
  [153] = {.index = 256, .length = 1},
  [154] = {.index = 257, .length = 2},
  [155] = {.index = 259, .length = 1},
  [157] = {.index = 260, .length = 1},
  [158] = {.index = 261, .length = 2},
  [159] = {.index = 263, .length = 2},
  [160] = {.index = 11, .length = 1},
  [161] = {.index = 11, .length = 1},
  [162] = {.index = 265, .length = 2},
  [163] = {.index = 267, .length = 1},
  [164] = {.index = 268, .length = 1},
  [165] = {.index = 269, .length = 4},
  [166] = {.index = 273, .length = 4},
  [167] = {.index = 277, .length = 1},
  [168] = {.index = 278, .length = 3},
  [169] = {.index = 281, .length = 2},
  [170] = {.index = 283, .length = 3},
  [171] = {.index = 286, .length = 1},
  [172] = {.index = 287, .length = 5},
  [173] = {.index = 292, .length = 2},
  [174] = {.index = 294, .length = 3},
  [175] = {.index = 297, .length = 2},
  [176] = {.index = 299, .length = 2},
  [177] = {.index = 301, .length = 4},
  [178] = {.index = 305, .length = 2},
  [179] = {.index = 307, .length = 2},
  [180] = {.index = 309, .length = 1},
  [181] = {.index = 310, .length = 2},
  [182] = {.index = 312, .length = 3},
  [183] = {.index = 315, .length = 4},
  [184] = {.index = 319, .length = 4},
  [185] = {.index = 323, .length = 3},
  [186] = {.index = 326, .length = 2},
  [187] = {.index = 328, .length = 3},
  [188] = {.index = 331, .length = 3},
  [189] = {.index = 334, .length = 2},
  [190] = {.index = 336, .length = 2},
  [191] = {.index = 338, .length = 2},
  [192] = {.index = 340, .length = 2},
  [193] = {.index = 342, .length = 3},
  [194] = {.index = 345, .length = 2},
  [195] = {.index = 347, .length = 2},
  [196] = {.index = 349, .length = 3},
  [197] = {.index = 352, .length = 2},
  [198] = {.index = 354, .length = 3},
  [199] = {.index = 357, .length = 5},
  [200] = {.index = 362, .length = 3},
  [201] = {.index = 365, .length = 4},
  [202] = {.index = 369, .length = 3},
  [203] = {.index = 372, .length = 2},
  [204] = {.index = 374, .length = 2},
  [205] = {.index = 376, .length = 2},
  [206] = {.index = 378, .length = 4},
  [207] = {.index = 382, .length = 5},
  [208] = {.index = 387, .length = 3},
  [209] = {.index = 390, .length = 4},
  [210] = {.index = 394, .length = 2},
  [211] = {.index = 396, .length = 1},
  [212] = {.index = 397, .length = 4},
  [213] = {.index = 401, .length = 3},
  [214] = {.index = 404, .length = 2},
  [215] = {.index = 406, .length = 1},
  [216] = {.index = 407, .length = 5},
  [217] = {.index = 412, .length = 2},
  [218] = {.index = 414, .length = 2},
  [219] = {.index = 65, .length = 1},
  [220] = {.index = 416, .length = 5},
  [221] = {.index = 421, .length = 4},
  [222] = {.index = 425, .length = 2},
  [223] = {.index = 427, .length = 2},
  [224] = {.index = 429, .length = 5},
  [225] = {.index = 434, .length = 2},
  [226] = {.index = 436, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_label, 0},
  [67] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [175] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [178] =
    {field_declarator, 0},
    {field_size, 2},
  [180] =
    {field_alternative, 3},
    {field_condition, 0},
  [182] =
    {field_declarator, 0},
    {field_default_value, 2},
  [184] =
    {field_size, 1},
  [185] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [189] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [193] =
    {field_body, 3},
    {field_declarator, 1},
  [195] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [198] =
    {field_alternative, 3},
    {field_condition, 1},
  [200] =
    {field_alternative, 3},
    {field_name, 1},
  [202] =
    {field_operator, 0},
  [203] =
    {field_declarator, 3},
    {field_type, 1},
  [205] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [207] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [210] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [213] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_body, 3},
    {field_name, 1},
  [218] =
    {field_body, 4},
    {field_name, 3},
  [220] =
    {field_designator, 0},
    {field_value, 2},
  [222] =
    {field_name, 0},
    {field_value, 2},
  [224] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [227] =
    {field_body, 3},
    {field_name, 0},
  [229] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [231] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [234] =
    {field_initializer, 1},
    {field_value, 2},
  [236] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [239] =
    {field_body, 1},
    {field_condition, 3},
  [241] =
    {field_update, 2},
  [242] =
    {field_initializer, 0},
    {field_update, 2},
  [244] =
    {field_condition, 1},
    {field_initializer, 0},
  [246] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [250] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [255] =
    {field_value, 3},
  [256] =
    {field_operand, 1},
  [257] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [259] =
    {field_assembly_code, 3},
  [260] =
    {field_default_type, 2},
  [261] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [263] =
    {field_body, 2},
    {field_parameters, 1},
  [265] =
    {field_name, 1},
    {field_type, 3},
  [267] =
    {field_condition, 2},
  [268] =
    {field_length, 1},
  [269] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [273] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 0, .inherited = true},
  [277] =
    {field_declarator, 4},
  [278] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [281] =
    {field_declarator, 0},
    {field_size, 3},
  [283] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [286] =
    {field_size, 2},
  [287] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [292] =
    {field_condition, 3},
    {field_consequence, 4},
  [294] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 2, .inherited = true},
  [297] =
    {field_declarator, 1},
    {field_default_value, 3},
  [299] =
    {field_alternative, 4},
    {field_condition, 1},
  [301] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [305] =
    {field_body, 2},
    {field_filter, 1},
  [307] =
    {field_body, 4},
    {field_name, 2},
  [309] =
    {field_body, 4},
  [310] =
    {field_body, 4},
    {field_name, 1},
  [312] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [315] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [319] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [323] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [326] =
    {field_condition, 1},
    {field_update, 3},
  [328] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [331] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [334] =
    {field_initializer, 0},
    {field_update, 3},
  [336] =
    {field_condition, 2},
    {field_initializer, 0},
  [338] =
    {field_member, 4},
    {field_type, 2},
  [340] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [342] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [345] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [347] =
    {field_default_type, 3},
    {field_name, 1},
  [349] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [352] =
    {field_name, 1},
    {field_type, 4},
  [354] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
  [357] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [362] =
    {field_alternative, 5},
    {field_condition, 3},
    {field_consequence, 4},
  [365] =
    {field_body, 5},
    {field_condition, 3, .inherited = true},
    {field_initializer, 3, .inherited = true},
    {field_update, 3, .inherited = true},
  [369] =
    {field_body, 5},
    {field_declarator, 4},
    {field_type, 2, .inherited = true},
  [372] =
    {field_body, 5},
    {field_name, 2},
  [374] =
    {field_end, 3},
    {field_start, 1},
  [376] =
    {field_declarator, 1},
    {field_default_value, 2},
  [378] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [382] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [387] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [390] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [394] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [396] =
    {field_register, 1},
  [397] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [401] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [404] =
    {field_condition, 2},
    {field_message, 4},
  [406] =
    {field_delimiter, 1},
  [407] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [412] =
    {field_constraint, 0},
    {field_value, 2},
  [414] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [416] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [421] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [425] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [427] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [429] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [434] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [436] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [54] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [95] = {
    [1] = alias_sym_field_identifier,
  },
  [98] = {
    [1] = alias_sym_type_identifier,
  },
  [100] = {
    [0] = alias_sym_field_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [117] = {
    [0] = alias_sym_field_identifier,
  },
  [118] = {
    [1] = alias_sym_field_identifier,
  },
  [135] = {
    [3] = alias_sym_namespace_identifier,
  },
  [137] = {
    [0] = alias_sym_field_identifier,
  },
  [156] = {
    [2] = alias_sym_type_identifier,
  },
  [160] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [161] = {
    [1] = alias_sym_namespace_identifier,
  },
  [162] = {
    [1] = alias_sym_type_identifier,
  },
  [166] = {
    [2] = sym_semantics,
    [3] = sym_semantics,
  },
  [191] = {
    [4] = alias_sym_field_identifier,
  },
  [195] = {
    [1] = alias_sym_type_identifier,
  },
  [197] = {
    [1] = alias_sym_type_identifier,
  },
  [198] = {
    [2] = sym_semantics,
    [3] = sym_semantics,
  },
  [199] = {
    [2] = sym_semantics,
    [3] = sym_semantics,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  sym_expression, 2,
    sym_expression,
    sym_semantics,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 13,
  [22] = 14,
  [23] = 17,
  [24] = 15,
  [25] = 15,
  [26] = 14,
  [27] = 14,
  [28] = 17,
  [29] = 15,
  [30] = 17,
  [31] = 13,
  [32] = 13,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 33,
  [37] = 37,
  [38] = 35,
  [39] = 39,
  [40] = 33,
  [41] = 37,
  [42] = 37,
  [43] = 34,
  [44] = 35,
  [45] = 39,
  [46] = 34,
  [47] = 47,
  [48] = 37,
  [49] = 35,
  [50] = 39,
  [51] = 39,
  [52] = 37,
  [53] = 35,
  [54] = 37,
  [55] = 35,
  [56] = 37,
  [57] = 35,
  [58] = 35,
  [59] = 37,
  [60] = 35,
  [61] = 37,
  [62] = 35,
  [63] = 37,
  [64] = 35,
  [65] = 65,
  [66] = 37,
  [67] = 35,
  [68] = 37,
  [69] = 35,
  [70] = 37,
  [71] = 35,
  [72] = 37,
  [73] = 35,
  [74] = 37,
  [75] = 35,
  [76] = 37,
  [77] = 35,
  [78] = 37,
  [79] = 34,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 85,
  [88] = 86,
  [89] = 82,
  [90] = 82,
  [91] = 84,
  [92] = 86,
  [93] = 83,
  [94] = 83,
  [95] = 84,
  [96] = 85,
  [97] = 85,
  [98] = 82,
  [99] = 86,
  [100] = 84,
  [101] = 83,
  [102] = 102,
  [103] = 103,
  [104] = 103,
  [105] = 103,
  [106] = 85,
  [107] = 83,
  [108] = 82,
  [109] = 86,
  [110] = 103,
  [111] = 103,
  [112] = 84,
  [113] = 103,
  [114] = 114,
  [115] = 114,
  [116] = 114,
  [117] = 114,
  [118] = 114,
  [119] = 114,
  [120] = 120,
  [121] = 121,
  [122] = 121,
  [123] = 121,
  [124] = 121,
  [125] = 125,
  [126] = 121,
  [127] = 121,
  [128] = 128,
  [129] = 128,
  [130] = 128,
  [131] = 128,
  [132] = 128,
  [133] = 128,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 137,
  [150] = 142,
  [151] = 143,
  [152] = 144,
  [153] = 136,
  [154] = 140,
  [155] = 135,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 148,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 148,
  [166] = 138,
  [167] = 138,
  [168] = 168,
  [169] = 138,
  [170] = 170,
  [171] = 141,
  [172] = 141,
  [173] = 141,
  [174] = 145,
  [175] = 175,
  [176] = 147,
  [177] = 145,
  [178] = 146,
  [179] = 179,
  [180] = 139,
  [181] = 181,
  [182] = 146,
  [183] = 145,
  [184] = 146,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 235,
  [239] = 239,
  [240] = 235,
  [241] = 235,
  [242] = 242,
  [243] = 158,
  [244] = 158,
  [245] = 160,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 158,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 160,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 164,
  [326] = 156,
  [327] = 157,
  [328] = 161,
  [329] = 163,
  [330] = 162,
  [331] = 160,
  [332] = 164,
  [333] = 156,
  [334] = 157,
  [335] = 163,
  [336] = 162,
  [337] = 161,
  [338] = 162,
  [339] = 156,
  [340] = 157,
  [341] = 163,
  [342] = 164,
  [343] = 161,
  [344] = 137,
  [345] = 142,
  [346] = 143,
  [347] = 144,
  [348] = 136,
  [349] = 140,
  [350] = 135,
  [351] = 137,
  [352] = 142,
  [353] = 143,
  [354] = 144,
  [355] = 136,
  [356] = 140,
  [357] = 135,
  [358] = 358,
  [359] = 359,
  [360] = 170,
  [361] = 168,
  [362] = 170,
  [363] = 168,
  [364] = 364,
  [365] = 179,
  [366] = 185,
  [367] = 367,
  [368] = 185,
  [369] = 179,
  [370] = 139,
  [371] = 371,
  [372] = 179,
  [373] = 185,
  [374] = 374,
  [375] = 181,
  [376] = 181,
  [377] = 147,
  [378] = 175,
  [379] = 379,
  [380] = 175,
  [381] = 364,
  [382] = 379,
  [383] = 383,
  [384] = 384,
  [385] = 181,
  [386] = 175,
  [387] = 364,
  [388] = 379,
  [389] = 383,
  [390] = 384,
  [391] = 384,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 147,
  [397] = 139,
  [398] = 383,
  [399] = 234,
  [400] = 186,
  [401] = 233,
  [402] = 229,
  [403] = 224,
  [404] = 200,
  [405] = 202,
  [406] = 212,
  [407] = 237,
  [408] = 187,
  [409] = 199,
  [410] = 201,
  [411] = 212,
  [412] = 242,
  [413] = 215,
  [414] = 226,
  [415] = 228,
  [416] = 242,
  [417] = 230,
  [418] = 203,
  [419] = 204,
  [420] = 231,
  [421] = 205,
  [422] = 234,
  [423] = 202,
  [424] = 206,
  [425] = 190,
  [426] = 191,
  [427] = 192,
  [428] = 193,
  [429] = 207,
  [430] = 218,
  [431] = 194,
  [432] = 195,
  [433] = 196,
  [434] = 197,
  [435] = 198,
  [436] = 208,
  [437] = 212,
  [438] = 204,
  [439] = 205,
  [440] = 206,
  [441] = 207,
  [442] = 209,
  [443] = 209,
  [444] = 210,
  [445] = 211,
  [446] = 210,
  [447] = 211,
  [448] = 231,
  [449] = 220,
  [450] = 215,
  [451] = 213,
  [452] = 216,
  [453] = 225,
  [454] = 219,
  [455] = 216,
  [456] = 219,
  [457] = 223,
  [458] = 218,
  [459] = 239,
  [460] = 239,
  [461] = 214,
  [462] = 242,
  [463] = 214,
  [464] = 200,
  [465] = 215,
  [466] = 208,
  [467] = 226,
  [468] = 236,
  [469] = 228,
  [470] = 186,
  [471] = 230,
  [472] = 187,
  [473] = 232,
  [474] = 218,
  [475] = 221,
  [476] = 234,
  [477] = 199,
  [478] = 223,
  [479] = 188,
  [480] = 189,
  [481] = 203,
  [482] = 224,
  [483] = 231,
  [484] = 239,
  [485] = 233,
  [486] = 229,
  [487] = 227,
  [488] = 214,
  [489] = 224,
  [490] = 236,
  [491] = 216,
  [492] = 219,
  [493] = 201,
  [494] = 202,
  [495] = 217,
  [496] = 188,
  [497] = 189,
  [498] = 188,
  [499] = 189,
  [500] = 190,
  [501] = 191,
  [502] = 192,
  [503] = 237,
  [504] = 190,
  [505] = 191,
  [506] = 192,
  [507] = 235,
  [508] = 193,
  [509] = 194,
  [510] = 193,
  [511] = 195,
  [512] = 187,
  [513] = 194,
  [514] = 195,
  [515] = 196,
  [516] = 197,
  [517] = 198,
  [518] = 199,
  [519] = 196,
  [520] = 223,
  [521] = 197,
  [522] = 226,
  [523] = 200,
  [524] = 228,
  [525] = 201,
  [526] = 198,
  [527] = 222,
  [528] = 237,
  [529] = 203,
  [530] = 204,
  [531] = 205,
  [532] = 206,
  [533] = 207,
  [534] = 230,
  [535] = 213,
  [536] = 208,
  [537] = 209,
  [538] = 210,
  [539] = 211,
  [540] = 217,
  [541] = 220,
  [542] = 221,
  [543] = 235,
  [544] = 236,
  [545] = 222,
  [546] = 213,
  [547] = 225,
  [548] = 217,
  [549] = 220,
  [550] = 221,
  [551] = 222,
  [552] = 225,
  [553] = 227,
  [554] = 235,
  [555] = 186,
  [556] = 233,
  [557] = 229,
  [558] = 232,
  [559] = 227,
  [560] = 235,
  [561] = 235,
  [562] = 235,
  [563] = 232,
  [564] = 271,
  [565] = 274,
  [566] = 275,
  [567] = 261,
  [568] = 262,
  [569] = 263,
  [570] = 259,
  [571] = 280,
  [572] = 301,
  [573] = 282,
  [574] = 284,
  [575] = 285,
  [576] = 286,
  [577] = 287,
  [578] = 292,
  [579] = 293,
  [580] = 296,
  [581] = 297,
  [582] = 298,
  [583] = 302,
  [584] = 303,
  [585] = 304,
  [586] = 299,
  [587] = 300,
  [588] = 305,
  [589] = 306,
  [590] = 307,
  [591] = 277,
  [592] = 318,
  [593] = 301,
  [594] = 302,
  [595] = 305,
  [596] = 306,
  [597] = 307,
  [598] = 319,
  [599] = 308,
  [600] = 309,
  [601] = 310,
  [602] = 311,
  [603] = 313,
  [604] = 278,
  [605] = 315,
  [606] = 316,
  [607] = 308,
  [608] = 309,
  [609] = 359,
  [610] = 610,
  [611] = 247,
  [612] = 248,
  [613] = 250,
  [614] = 251,
  [615] = 310,
  [616] = 311,
  [617] = 312,
  [618] = 253,
  [619] = 255,
  [620] = 313,
  [621] = 279,
  [622] = 259,
  [623] = 263,
  [624] = 258,
  [625] = 266,
  [626] = 267,
  [627] = 268,
  [628] = 269,
  [629] = 270,
  [630] = 272,
  [631] = 314,
  [632] = 281,
  [633] = 283,
  [634] = 264,
  [635] = 288,
  [636] = 289,
  [637] = 290,
  [638] = 315,
  [639] = 291,
  [640] = 294,
  [641] = 295,
  [642] = 316,
  [643] = 304,
  [644] = 312,
  [645] = 317,
  [646] = 317,
  [647] = 610,
  [648] = 358,
  [649] = 318,
  [650] = 319,
  [651] = 279,
  [652] = 322,
  [653] = 323,
  [654] = 324,
  [655] = 358,
  [656] = 321,
  [657] = 322,
  [658] = 303,
  [659] = 314,
  [660] = 280,
  [661] = 281,
  [662] = 265,
  [663] = 282,
  [664] = 283,
  [665] = 284,
  [666] = 285,
  [667] = 260,
  [668] = 266,
  [669] = 323,
  [670] = 286,
  [671] = 287,
  [672] = 288,
  [673] = 289,
  [674] = 290,
  [675] = 324,
  [676] = 267,
  [677] = 291,
  [678] = 246,
  [679] = 249,
  [680] = 252,
  [681] = 254,
  [682] = 256,
  [683] = 292,
  [684] = 293,
  [685] = 257,
  [686] = 294,
  [687] = 295,
  [688] = 296,
  [689] = 297,
  [690] = 298,
  [691] = 268,
  [692] = 269,
  [693] = 270,
  [694] = 359,
  [695] = 258,
  [696] = 271,
  [697] = 260,
  [698] = 261,
  [699] = 278,
  [700] = 262,
  [701] = 272,
  [702] = 273,
  [703] = 246,
  [704] = 264,
  [705] = 247,
  [706] = 248,
  [707] = 249,
  [708] = 250,
  [709] = 251,
  [710] = 265,
  [711] = 252,
  [712] = 253,
  [713] = 254,
  [714] = 255,
  [715] = 256,
  [716] = 273,
  [717] = 274,
  [718] = 275,
  [719] = 299,
  [720] = 300,
  [721] = 257,
  [722] = 277,
  [723] = 321,
  [724] = 724,
  [725] = 218,
  [726] = 170,
  [727] = 168,
  [728] = 359,
  [729] = 255,
  [730] = 730,
  [731] = 730,
  [732] = 732,
  [733] = 319,
  [734] = 280,
  [735] = 263,
  [736] = 246,
  [737] = 298,
  [738] = 260,
  [739] = 248,
  [740] = 274,
  [741] = 275,
  [742] = 286,
  [743] = 287,
  [744] = 261,
  [745] = 253,
  [746] = 324,
  [747] = 262,
  [748] = 299,
  [749] = 300,
  [750] = 730,
  [751] = 751,
  [752] = 259,
  [753] = 753,
  [754] = 277,
  [755] = 257,
  [756] = 753,
  [757] = 288,
  [758] = 301,
  [759] = 302,
  [760] = 303,
  [761] = 730,
  [762] = 304,
  [763] = 305,
  [764] = 306,
  [765] = 307,
  [766] = 264,
  [767] = 753,
  [768] = 265,
  [769] = 254,
  [770] = 266,
  [771] = 289,
  [772] = 308,
  [773] = 309,
  [774] = 310,
  [775] = 730,
  [776] = 311,
  [777] = 312,
  [778] = 313,
  [779] = 249,
  [780] = 753,
  [781] = 323,
  [782] = 278,
  [783] = 279,
  [784] = 730,
  [785] = 785,
  [786] = 258,
  [787] = 753,
  [788] = 314,
  [789] = 281,
  [790] = 730,
  [791] = 753,
  [792] = 315,
  [793] = 316,
  [794] = 730,
  [795] = 724,
  [796] = 753,
  [797] = 282,
  [798] = 283,
  [799] = 730,
  [800] = 317,
  [801] = 753,
  [802] = 290,
  [803] = 730,
  [804] = 284,
  [805] = 753,
  [806] = 285,
  [807] = 730,
  [808] = 291,
  [809] = 753,
  [810] = 730,
  [811] = 250,
  [812] = 753,
  [813] = 292,
  [814] = 753,
  [815] = 293,
  [816] = 294,
  [817] = 730,
  [818] = 753,
  [819] = 251,
  [820] = 730,
  [821] = 753,
  [822] = 267,
  [823] = 268,
  [824] = 730,
  [825] = 753,
  [826] = 269,
  [827] = 724,
  [828] = 270,
  [829] = 318,
  [830] = 295,
  [831] = 296,
  [832] = 297,
  [833] = 271,
  [834] = 272,
  [835] = 252,
  [836] = 256,
  [837] = 321,
  [838] = 838,
  [839] = 273,
  [840] = 322,
  [841] = 247,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 844,
  [849] = 849,
  [850] = 850,
  [851] = 850,
  [852] = 849,
  [853] = 842,
  [854] = 854,
  [855] = 842,
  [856] = 850,
  [857] = 857,
  [858] = 843,
  [859] = 857,
  [860] = 845,
  [861] = 846,
  [862] = 847,
  [863] = 844,
  [864] = 849,
  [865] = 850,
  [866] = 847,
  [867] = 854,
  [868] = 854,
  [869] = 842,
  [870] = 842,
  [871] = 871,
  [872] = 843,
  [873] = 857,
  [874] = 844,
  [875] = 854,
  [876] = 850,
  [877] = 846,
  [878] = 847,
  [879] = 846,
  [880] = 843,
  [881] = 857,
  [882] = 849,
  [883] = 844,
  [884] = 845,
  [885] = 845,
  [886] = 846,
  [887] = 847,
  [888] = 844,
  [889] = 854,
  [890] = 849,
  [891] = 849,
  [892] = 850,
  [893] = 843,
  [894] = 857,
  [895] = 846,
  [896] = 854,
  [897] = 842,
  [898] = 871,
  [899] = 871,
  [900] = 847,
  [901] = 845,
  [902] = 871,
  [903] = 857,
  [904] = 843,
  [905] = 871,
  [906] = 845,
  [907] = 907,
  [908] = 908,
  [909] = 908,
  [910] = 907,
  [911] = 911,
  [912] = 911,
  [913] = 911,
  [914] = 911,
  [915] = 915,
  [916] = 915,
  [917] = 911,
  [918] = 915,
  [919] = 915,
  [920] = 911,
  [921] = 911,
  [922] = 915,
  [923] = 915,
  [924] = 911,
  [925] = 915,
  [926] = 915,
  [927] = 911,
  [928] = 915,
  [929] = 911,
  [930] = 915,
  [931] = 911,
  [932] = 911,
  [933] = 915,
  [934] = 915,
  [935] = 911,
  [936] = 915,
  [937] = 907,
  [938] = 907,
  [939] = 939,
  [940] = 939,
  [941] = 941,
  [942] = 907,
  [943] = 907,
  [944] = 939,
  [945] = 939,
  [946] = 939,
  [947] = 939,
  [948] = 939,
  [949] = 949,
  [950] = 141,
  [951] = 138,
  [952] = 952,
  [953] = 952,
  [954] = 952,
  [955] = 952,
  [956] = 952,
  [957] = 907,
  [958] = 952,
  [959] = 146,
  [960] = 145,
  [961] = 952,
  [962] = 962,
  [963] = 160,
  [964] = 158,
  [965] = 162,
  [966] = 156,
  [967] = 157,
  [968] = 163,
  [969] = 164,
  [970] = 161,
  [971] = 137,
  [972] = 142,
  [973] = 143,
  [974] = 144,
  [975] = 136,
  [976] = 140,
  [977] = 135,
  [978] = 978,
  [979] = 978,
  [980] = 978,
  [981] = 978,
  [982] = 978,
  [983] = 978,
  [984] = 978,
  [985] = 978,
  [986] = 978,
  [987] = 978,
  [988] = 978,
  [989] = 978,
  [990] = 978,
  [991] = 978,
  [992] = 978,
  [993] = 978,
  [994] = 978,
  [995] = 978,
  [996] = 978,
  [997] = 978,
  [998] = 978,
  [999] = 978,
  [1000] = 1000,
  [1001] = 1000,
  [1002] = 1002,
  [1003] = 147,
  [1004] = 139,
  [1005] = 175,
  [1006] = 179,
  [1007] = 1007,
  [1008] = 1007,
  [1009] = 1007,
  [1010] = 181,
  [1011] = 1007,
  [1012] = 1007,
  [1013] = 1007,
  [1014] = 185,
  [1015] = 1015,
  [1016] = 209,
  [1017] = 211,
  [1018] = 941,
  [1019] = 239,
  [1020] = 214,
  [1021] = 200,
  [1022] = 949,
  [1023] = 208,
  [1024] = 213,
  [1025] = 217,
  [1026] = 220,
  [1027] = 221,
  [1028] = 222,
  [1029] = 225,
  [1030] = 962,
  [1031] = 1031,
  [1032] = 227,
  [1033] = 186,
  [1034] = 233,
  [1035] = 229,
  [1036] = 202,
  [1037] = 236,
  [1038] = 237,
  [1039] = 187,
  [1040] = 199,
  [1041] = 201,
  [1042] = 212,
  [1043] = 242,
  [1044] = 1031,
  [1045] = 224,
  [1046] = 223,
  [1047] = 226,
  [1048] = 228,
  [1049] = 230,
  [1050] = 234,
  [1051] = 188,
  [1052] = 189,
  [1053] = 190,
  [1054] = 191,
  [1055] = 192,
  [1056] = 193,
  [1057] = 194,
  [1058] = 195,
  [1059] = 196,
  [1060] = 197,
  [1061] = 198,
  [1062] = 216,
  [1063] = 219,
  [1064] = 231,
  [1065] = 232,
  [1066] = 203,
  [1067] = 204,
  [1068] = 205,
  [1069] = 206,
  [1070] = 1031,
  [1071] = 207,
  [1072] = 210,
  [1073] = 215,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 907,
  [1077] = 1077,
  [1078] = 907,
  [1079] = 1079,
  [1080] = 1079,
  [1081] = 907,
  [1082] = 1079,
  [1083] = 1079,
  [1084] = 1079,
  [1085] = 1079,
  [1086] = 1077,
  [1087] = 1077,
  [1088] = 907,
  [1089] = 907,
  [1090] = 907,
  [1091] = 1091,
  [1092] = 610,
  [1093] = 610,
  [1094] = 610,
  [1095] = 143,
  [1096] = 142,
  [1097] = 137,
  [1098] = 136,
  [1099] = 135,
  [1100] = 144,
  [1101] = 140,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1103,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1111,
  [1114] = 1114,
  [1115] = 1109,
  [1116] = 1109,
  [1117] = 1109,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1108,
  [1121] = 1106,
  [1122] = 1111,
  [1123] = 1112,
  [1124] = 1111,
  [1125] = 1125,
  [1126] = 1125,
  [1127] = 610,
  [1128] = 610,
  [1129] = 1129,
  [1130] = 1129,
  [1131] = 1129,
  [1132] = 303,
  [1133] = 610,
  [1134] = 1134,
  [1135] = 314,
  [1136] = 1129,
  [1137] = 1102,
  [1138] = 1102,
  [1139] = 143,
  [1140] = 142,
  [1141] = 1118,
  [1142] = 144,
  [1143] = 137,
  [1144] = 137,
  [1145] = 142,
  [1146] = 143,
  [1147] = 136,
  [1148] = 140,
  [1149] = 1118,
  [1150] = 135,
  [1151] = 1151,
  [1152] = 1102,
  [1153] = 144,
  [1154] = 136,
  [1155] = 135,
  [1156] = 1151,
  [1157] = 140,
  [1158] = 1118,
  [1159] = 135,
  [1160] = 137,
  [1161] = 143,
  [1162] = 144,
  [1163] = 1118,
  [1164] = 142,
  [1165] = 140,
  [1166] = 136,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1167,
  [1171] = 1171,
  [1172] = 1169,
  [1173] = 1167,
  [1174] = 1168,
  [1175] = 1169,
  [1176] = 1169,
  [1177] = 1168,
  [1178] = 1168,
  [1179] = 1167,
  [1180] = 1169,
  [1181] = 1168,
  [1182] = 1169,
  [1183] = 1168,
  [1184] = 1168,
  [1185] = 1169,
  [1186] = 1168,
  [1187] = 1169,
  [1188] = 1168,
  [1189] = 1189,
  [1190] = 1167,
  [1191] = 1169,
  [1192] = 1167,
  [1193] = 1193,
  [1194] = 1193,
  [1195] = 1193,
  [1196] = 1196,
  [1197] = 1193,
  [1198] = 1193,
  [1199] = 1196,
  [1200] = 1196,
  [1201] = 1193,
  [1202] = 1196,
  [1203] = 1196,
  [1204] = 1196,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1206,
  [1208] = 1206,
  [1209] = 1206,
  [1210] = 1210,
  [1211] = 1210,
  [1212] = 1210,
  [1213] = 1213,
  [1214] = 1213,
  [1215] = 1210,
  [1216] = 1118,
  [1217] = 1213,
  [1218] = 1213,
  [1219] = 1210,
  [1220] = 1210,
  [1221] = 1213,
  [1222] = 1213,
  [1223] = 1210,
  [1224] = 1213,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1226,
  [1229] = 1225,
  [1230] = 1225,
  [1231] = 1227,
  [1232] = 1226,
  [1233] = 1226,
  [1234] = 1227,
  [1235] = 1227,
  [1236] = 1225,
  [1237] = 1237,
  [1238] = 1227,
  [1239] = 1239,
  [1240] = 1237,
  [1241] = 1226,
  [1242] = 1226,
  [1243] = 1225,
  [1244] = 1225,
  [1245] = 1226,
  [1246] = 1225,
  [1247] = 1225,
  [1248] = 1225,
  [1249] = 1237,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1250,
  [1254] = 1254,
  [1255] = 1252,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1250,
  [1260] = 1252,
  [1261] = 1261,
  [1262] = 1258,
  [1263] = 1252,
  [1264] = 1250,
  [1265] = 1252,
  [1266] = 1261,
  [1267] = 1258,
  [1268] = 1268,
  [1269] = 1258,
  [1270] = 1252,
  [1271] = 1250,
  [1272] = 1258,
  [1273] = 1258,
  [1274] = 1258,
  [1275] = 1261,
  [1276] = 1256,
  [1277] = 1261,
  [1278] = 1261,
  [1279] = 1250,
  [1280] = 1261,
  [1281] = 1252,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1258,
  [1287] = 1287,
  [1288] = 1252,
  [1289] = 1250,
  [1290] = 1252,
  [1291] = 1258,
  [1292] = 1261,
  [1293] = 1258,
  [1294] = 1261,
  [1295] = 1295,
  [1296] = 1250,
  [1297] = 1252,
  [1298] = 1298,
  [1299] = 1261,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1256,
  [1303] = 1250,
  [1304] = 1252,
  [1305] = 1261,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1258,
  [1310] = 1261,
  [1311] = 1258,
  [1312] = 1261,
  [1313] = 1250,
  [1314] = 1252,
  [1315] = 1258,
  [1316] = 1261,
  [1317] = 1317,
  [1318] = 1250,
  [1319] = 1252,
  [1320] = 1250,
  [1321] = 1321,
  [1322] = 1250,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1325,
  [1327] = 1325,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1325,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1325,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1328,
  [1338] = 1338,
  [1339] = 1328,
  [1340] = 1340,
  [1341] = 1336,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1336,
  [1347] = 1328,
  [1348] = 1325,
  [1349] = 1336,
  [1350] = 1336,
  [1351] = 1351,
  [1352] = 1336,
  [1353] = 1353,
  [1354] = 1336,
  [1355] = 1325,
  [1356] = 1356,
  [1357] = 1336,
  [1358] = 1345,
  [1359] = 1359,
  [1360] = 1336,
  [1361] = 1345,
  [1362] = 1362,
  [1363] = 1325,
  [1364] = 1336,
  [1365] = 1336,
  [1366] = 1366,
  [1367] = 1345,
  [1368] = 1368,
  [1369] = 1336,
  [1370] = 1325,
  [1371] = 1371,
  [1372] = 1336,
  [1373] = 1325,
  [1374] = 1325,
  [1375] = 1328,
  [1376] = 1328,
  [1377] = 1325,
  [1378] = 1328,
  [1379] = 1325,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1382,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1381,
  [1394] = 1386,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1398,
  [1401] = 1388,
  [1402] = 1389,
  [1403] = 1403,
  [1404] = 1386,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1406,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1386,
  [1412] = 1412,
  [1413] = 1389,
  [1414] = 1382,
  [1415] = 1412,
  [1416] = 1395,
  [1417] = 1384,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1421,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1420,
  [1426] = 1395,
  [1427] = 1405,
  [1428] = 1412,
  [1429] = 1395,
  [1430] = 1390,
  [1431] = 1424,
  [1432] = 1395,
  [1433] = 1409,
  [1434] = 1395,
  [1435] = 1407,
  [1436] = 1386,
  [1437] = 1386,
  [1438] = 1395,
  [1439] = 1395,
  [1440] = 1386,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1382,
  [1445] = 1445,
  [1446] = 1386,
  [1447] = 1386,
  [1448] = 1380,
  [1449] = 1410,
  [1450] = 1418,
  [1451] = 1386,
  [1452] = 1407,
  [1453] = 1386,
  [1454] = 1412,
  [1455] = 1387,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1396,
  [1459] = 1459,
  [1460] = 1443,
  [1461] = 1381,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1456,
  [1465] = 1385,
  [1466] = 1466,
  [1467] = 1462,
  [1468] = 1397,
  [1469] = 1403,
  [1470] = 1470,
  [1471] = 1382,
  [1472] = 1466,
  [1473] = 1407,
  [1474] = 1412,
  [1475] = 1457,
  [1476] = 1386,
  [1477] = 1477,
  [1478] = 1389,
  [1479] = 1419,
  [1480] = 1423,
  [1481] = 1441,
  [1482] = 1442,
  [1483] = 1399,
  [1484] = 1445,
  [1485] = 1463,
  [1486] = 1386,
  [1487] = 1395,
  [1488] = 1395,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1494,
  [1497] = 1495,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1118,
  [1502] = 1502,
  [1503] = 1489,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1500,
  [1507] = 1118,
  [1508] = 1489,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1505,
  [1515] = 1500,
  [1516] = 1516,
  [1517] = 1510,
  [1518] = 1511,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1490,
  [1526] = 1491,
  [1527] = 1527,
  [1528] = 1520,
  [1529] = 1521,
  [1530] = 1522,
  [1531] = 1523,
  [1532] = 1524,
  [1533] = 1490,
  [1534] = 1491,
  [1535] = 1492,
  [1536] = 1493,
  [1537] = 1494,
  [1538] = 1492,
  [1539] = 1495,
  [1540] = 1493,
  [1541] = 1494,
  [1542] = 1495,
  [1543] = 1543,
  [1544] = 1516,
  [1545] = 1504,
  [1546] = 1546,
  [1547] = 1543,
  [1548] = 1548,
  [1549] = 1510,
  [1550] = 1527,
  [1551] = 1520,
  [1552] = 1552,
  [1553] = 1521,
  [1554] = 1522,
  [1555] = 1555,
  [1556] = 1523,
  [1557] = 1524,
  [1558] = 1510,
  [1559] = 1490,
  [1560] = 1491,
  [1561] = 1492,
  [1562] = 1520,
  [1563] = 1521,
  [1564] = 1522,
  [1565] = 1523,
  [1566] = 1524,
  [1567] = 1490,
  [1568] = 1491,
  [1569] = 1492,
  [1570] = 1493,
  [1571] = 1494,
  [1572] = 1493,
  [1573] = 1494,
  [1574] = 1495,
  [1575] = 1575,
  [1576] = 1505,
  [1577] = 1500,
  [1578] = 1511,
  [1579] = 1495,
  [1580] = 1580,
  [1581] = 1504,
  [1582] = 1505,
  [1583] = 1527,
  [1584] = 1489,
  [1585] = 1509,
  [1586] = 1500,
  [1587] = 1513,
  [1588] = 1504,
  [1589] = 1505,
  [1590] = 1590,
  [1591] = 1511,
  [1592] = 1500,
  [1593] = 1511,
  [1594] = 1504,
  [1595] = 1516,
  [1596] = 1510,
  [1597] = 1597,
  [1598] = 1511,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1495,
  [1602] = 1602,
  [1603] = 1520,
  [1604] = 1521,
  [1605] = 1522,
  [1606] = 1523,
  [1607] = 1524,
  [1608] = 1490,
  [1609] = 1491,
  [1610] = 1492,
  [1611] = 1493,
  [1612] = 1494,
  [1613] = 1613,
  [1614] = 1495,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1509,
  [1618] = 1618,
  [1619] = 1504,
  [1620] = 1620,
  [1621] = 1504,
  [1622] = 1527,
  [1623] = 1580,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1504,
  [1627] = 1527,
  [1628] = 1510,
  [1629] = 1520,
  [1630] = 1521,
  [1631] = 1522,
  [1632] = 1523,
  [1633] = 1524,
  [1634] = 1490,
  [1635] = 1491,
  [1636] = 1492,
  [1637] = 1493,
  [1638] = 1494,
  [1639] = 1505,
  [1640] = 1500,
  [1641] = 1489,
  [1642] = 1513,
  [1643] = 1643,
  [1644] = 1516,
  [1645] = 1527,
  [1646] = 1527,
  [1647] = 1527,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1505,
  [1651] = 1500,
  [1652] = 1510,
  [1653] = 1520,
  [1654] = 1521,
  [1655] = 1522,
  [1656] = 1523,
  [1657] = 1524,
  [1658] = 1490,
  [1659] = 1491,
  [1660] = 1492,
  [1661] = 1493,
  [1662] = 1494,
  [1663] = 1489,
  [1664] = 1664,
  [1665] = 1516,
  [1666] = 1513,
  [1667] = 1510,
  [1668] = 1511,
  [1669] = 1505,
  [1670] = 1670,
  [1671] = 1510,
  [1672] = 1520,
  [1673] = 1521,
  [1674] = 1522,
  [1675] = 1523,
  [1676] = 1524,
  [1677] = 1490,
  [1678] = 1491,
  [1679] = 1492,
  [1680] = 1493,
  [1681] = 1494,
  [1682] = 1489,
  [1683] = 1513,
  [1684] = 1602,
  [1685] = 1500,
  [1686] = 1546,
  [1687] = 1511,
  [1688] = 1548,
  [1689] = 1689,
  [1690] = 1489,
  [1691] = 1513,
  [1692] = 1495,
  [1693] = 1489,
  [1694] = 1513,
  [1695] = 1504,
  [1696] = 1489,
  [1697] = 1513,
  [1698] = 1698,
  [1699] = 1489,
  [1700] = 1513,
  [1701] = 1527,
  [1702] = 1505,
  [1703] = 1500,
  [1704] = 1511,
  [1705] = 1510,
  [1706] = 1616,
  [1707] = 1499,
  [1708] = 1495,
  [1709] = 1510,
  [1710] = 1511,
  [1711] = 1511,
  [1712] = 1712,
  [1713] = 1520,
  [1714] = 1521,
  [1715] = 1522,
  [1716] = 1523,
  [1717] = 1524,
  [1718] = 1490,
  [1719] = 1491,
  [1720] = 1492,
  [1721] = 1493,
  [1722] = 1494,
  [1723] = 1495,
  [1724] = 1597,
  [1725] = 1513,
  [1726] = 1664,
  [1727] = 1520,
  [1728] = 1575,
  [1729] = 1599,
  [1730] = 1613,
  [1731] = 1504,
  [1732] = 1670,
  [1733] = 1521,
  [1734] = 1522,
  [1735] = 1523,
  [1736] = 1527,
  [1737] = 1618,
  [1738] = 1524,
  [1739] = 1616,
  [1740] = 1499,
  [1741] = 1504,
  [1742] = 1597,
  [1743] = 1664,
  [1744] = 1575,
  [1745] = 1599,
  [1746] = 1613,
  [1747] = 1670,
  [1748] = 1618,
  [1749] = 1616,
  [1750] = 1499,
  [1751] = 1490,
  [1752] = 1597,
  [1753] = 1664,
  [1754] = 1575,
  [1755] = 1599,
  [1756] = 1613,
  [1757] = 1670,
  [1758] = 1491,
  [1759] = 1618,
  [1760] = 1616,
  [1761] = 1499,
  [1762] = 1597,
  [1763] = 1575,
  [1764] = 1599,
  [1765] = 1613,
  [1766] = 1670,
  [1767] = 1618,
  [1768] = 1492,
  [1769] = 1597,
  [1770] = 1575,
  [1771] = 1599,
  [1772] = 1613,
  [1773] = 1670,
  [1774] = 1618,
  [1775] = 1597,
  [1776] = 1575,
  [1777] = 1613,
  [1778] = 1670,
  [1779] = 1613,
  [1780] = 1613,
  [1781] = 1489,
  [1782] = 1513,
  [1783] = 1505,
  [1784] = 1500,
  [1785] = 1502,
  [1786] = 1527,
  [1787] = 1489,
  [1788] = 1513,
  [1789] = 1521,
  [1790] = 1664,
  [1791] = 1502,
  [1792] = 1664,
  [1793] = 1502,
  [1794] = 1664,
  [1795] = 1502,
  [1796] = 1502,
  [1797] = 1502,
  [1798] = 1516,
  [1799] = 1493,
  [1800] = 1510,
  [1801] = 1520,
  [1802] = 1521,
  [1803] = 1522,
  [1804] = 1523,
  [1805] = 1524,
  [1806] = 1490,
  [1807] = 1491,
  [1808] = 1492,
  [1809] = 1493,
  [1810] = 1494,
  [1811] = 1505,
  [1812] = 1500,
  [1813] = 1511,
  [1814] = 1495,
  [1815] = 1504,
  [1816] = 1527,
  [1817] = 1510,
  [1818] = 1511,
  [1819] = 1520,
  [1820] = 1522,
  [1821] = 1523,
  [1822] = 1524,
  [1823] = 1490,
  [1824] = 1491,
  [1825] = 1492,
  [1826] = 1493,
  [1827] = 1494,
  [1828] = 1495,
  [1829] = 1504,
  [1830] = 1527,
  [1831] = 1520,
  [1832] = 1513,
  [1833] = 1505,
  [1834] = 1500,
  [1835] = 1521,
  [1836] = 1522,
  [1837] = 1523,
  [1838] = 1524,
  [1839] = 1602,
  [1840] = 1602,
  [1841] = 1602,
  [1842] = 1602,
  [1843] = 1505,
  [1844] = 170,
  [1845] = 168,
  [1846] = 1846,
  [1847] = 1846,
  [1848] = 1846,
  [1849] = 160,
  [1850] = 158,
  [1851] = 1846,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 147,
  [1856] = 1856,
  [1857] = 1854,
  [1858] = 1856,
  [1859] = 181,
  [1860] = 1860,
  [1861] = 139,
  [1862] = 1854,
  [1863] = 1854,
  [1864] = 218,
  [1865] = 218,
  [1866] = 1856,
  [1867] = 1856,
  [1868] = 1854,
  [1869] = 1854,
  [1870] = 1854,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 188,
  [1875] = 189,
  [1876] = 321,
  [1877] = 322,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 303,
  [1888] = 323,
  [1889] = 324,
  [1890] = 1890,
  [1891] = 359,
  [1892] = 200,
  [1893] = 203,
  [1894] = 247,
  [1895] = 248,
  [1896] = 249,
  [1897] = 1897,
  [1898] = 250,
  [1899] = 251,
  [1900] = 253,
  [1901] = 255,
  [1902] = 259,
  [1903] = 263,
  [1904] = 264,
  [1905] = 265,
  [1906] = 266,
  [1907] = 267,
  [1908] = 268,
  [1909] = 269,
  [1910] = 270,
  [1911] = 271,
  [1912] = 272,
  [1913] = 314,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 281,
  [1917] = 283,
  [1918] = 1918,
  [1919] = 284,
  [1920] = 1920,
  [1921] = 285,
  [1922] = 286,
  [1923] = 287,
  [1924] = 288,
  [1925] = 289,
  [1926] = 290,
  [1927] = 1927,
  [1928] = 291,
  [1929] = 292,
  [1930] = 293,
  [1931] = 294,
  [1932] = 295,
  [1933] = 304,
  [1934] = 305,
  [1935] = 306,
  [1936] = 307,
  [1937] = 1937,
  [1938] = 308,
  [1939] = 309,
  [1940] = 310,
  [1941] = 311,
  [1942] = 312,
  [1943] = 315,
  [1944] = 317,
  [1945] = 208,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 223,
  [1956] = 216,
  [1957] = 219,
  [1958] = 1958,
  [1959] = 239,
  [1960] = 1960,
  [1961] = 214,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 318,
  [1967] = 319,
  [1968] = 1968,
  [1969] = 316,
  [1970] = 160,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 160,
  [1974] = 158,
  [1975] = 168,
  [1976] = 168,
  [1977] = 170,
  [1978] = 170,
  [1979] = 1979,
  [1980] = 158,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1981,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1981,
  [1989] = 1985,
  [1990] = 1990,
  [1991] = 1985,
  [1992] = 1981,
  [1993] = 1985,
  [1994] = 1981,
  [1995] = 1985,
  [1996] = 1981,
  [1997] = 1985,
  [1998] = 1981,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 1985,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 139,
  [2012] = 147,
  [2013] = 181,
  [2014] = 2014,
  [2015] = 2014,
  [2016] = 218,
  [2017] = 2014,
  [2018] = 218,
  [2019] = 2019,
  [2020] = 2014,
  [2021] = 147,
  [2022] = 139,
  [2023] = 181,
  [2024] = 218,
  [2025] = 218,
  [2026] = 286,
  [2027] = 263,
  [2028] = 1950,
  [2029] = 1951,
  [2030] = 1952,
  [2031] = 303,
  [2032] = 304,
  [2033] = 200,
  [2034] = 1885,
  [2035] = 1952,
  [2036] = 1962,
  [2037] = 1963,
  [2038] = 1953,
  [2039] = 208,
  [2040] = 1964,
  [2041] = 188,
  [2042] = 1954,
  [2043] = 359,
  [2044] = 1965,
  [2045] = 1968,
  [2046] = 359,
  [2047] = 1872,
  [2048] = 315,
  [2049] = 247,
  [2050] = 316,
  [2051] = 248,
  [2052] = 314,
  [2053] = 249,
  [2054] = 307,
  [2055] = 266,
  [2056] = 250,
  [2057] = 251,
  [2058] = 1873,
  [2059] = 189,
  [2060] = 317,
  [2061] = 267,
  [2062] = 268,
  [2063] = 269,
  [2064] = 253,
  [2065] = 270,
  [2066] = 271,
  [2067] = 255,
  [2068] = 272,
  [2069] = 223,
  [2070] = 319,
  [2071] = 145,
  [2072] = 1953,
  [2073] = 259,
  [2074] = 321,
  [2075] = 263,
  [2076] = 312,
  [2077] = 1962,
  [2078] = 250,
  [2079] = 264,
  [2080] = 265,
  [2081] = 266,
  [2082] = 203,
  [2083] = 1879,
  [2084] = 1963,
  [2085] = 249,
  [2086] = 216,
  [2087] = 1964,
  [2088] = 267,
  [2089] = 323,
  [2090] = 268,
  [2091] = 269,
  [2092] = 219,
  [2093] = 270,
  [2094] = 271,
  [2095] = 223,
  [2096] = 272,
  [2097] = 1880,
  [2098] = 251,
  [2099] = 318,
  [2100] = 1881,
  [2101] = 308,
  [2102] = 1882,
  [2103] = 1883,
  [2104] = 1884,
  [2105] = 309,
  [2106] = 318,
  [2107] = 1965,
  [2108] = 1885,
  [2109] = 1968,
  [2110] = 1872,
  [2111] = 1958,
  [2112] = 1873,
  [2113] = 319,
  [2114] = 1960,
  [2115] = 253,
  [2116] = 322,
  [2117] = 1954,
  [2118] = 1884,
  [2119] = 1886,
  [2120] = 306,
  [2121] = 239,
  [2122] = 1890,
  [2123] = 281,
  [2124] = 281,
  [2125] = 214,
  [2126] = 283,
  [2127] = 1897,
  [2128] = 1886,
  [2129] = 284,
  [2130] = 1890,
  [2131] = 285,
  [2132] = 214,
  [2133] = 1077,
  [2134] = 1914,
  [2135] = 286,
  [2136] = 287,
  [2137] = 288,
  [2138] = 289,
  [2139] = 290,
  [2140] = 188,
  [2141] = 1915,
  [2142] = 1918,
  [2143] = 1897,
  [2144] = 291,
  [2145] = 1920,
  [2146] = 283,
  [2147] = 324,
  [2148] = 292,
  [2149] = 264,
  [2150] = 293,
  [2151] = 294,
  [2152] = 265,
  [2153] = 1927,
  [2154] = 295,
  [2155] = 247,
  [2156] = 248,
  [2157] = 189,
  [2158] = 310,
  [2159] = 321,
  [2160] = 255,
  [2161] = 322,
  [2162] = 259,
  [2163] = 216,
  [2164] = 1914,
  [2165] = 287,
  [2166] = 303,
  [2167] = 219,
  [2168] = 292,
  [2169] = 200,
  [2170] = 311,
  [2171] = 288,
  [2172] = 289,
  [2173] = 290,
  [2174] = 293,
  [2175] = 203,
  [2176] = 314,
  [2177] = 208,
  [2178] = 146,
  [2179] = 294,
  [2180] = 295,
  [2181] = 1915,
  [2182] = 1918,
  [2183] = 1960,
  [2184] = 1920,
  [2185] = 1927,
  [2186] = 1937,
  [2187] = 304,
  [2188] = 305,
  [2189] = 306,
  [2190] = 1871,
  [2191] = 307,
  [2192] = 308,
  [2193] = 309,
  [2194] = 310,
  [2195] = 1937,
  [2196] = 1949,
  [2197] = 1946,
  [2198] = 305,
  [2199] = 1871,
  [2200] = 1947,
  [2201] = 291,
  [2202] = 1948,
  [2203] = 1949,
  [2204] = 311,
  [2205] = 1950,
  [2206] = 312,
  [2207] = 1878,
  [2208] = 1951,
  [2209] = 1879,
  [2210] = 323,
  [2211] = 1880,
  [2212] = 1881,
  [2213] = 1958,
  [2214] = 315,
  [2215] = 316,
  [2216] = 324,
  [2217] = 317,
  [2218] = 1878,
  [2219] = 1946,
  [2220] = 1882,
  [2221] = 1947,
  [2222] = 1948,
  [2223] = 284,
  [2224] = 285,
  [2225] = 1883,
  [2226] = 239,
  [2227] = 1077,
  [2228] = 139,
  [2229] = 164,
  [2230] = 137,
  [2231] = 142,
  [2232] = 156,
  [2233] = 157,
  [2234] = 143,
  [2235] = 144,
  [2236] = 136,
  [2237] = 140,
  [2238] = 2238,
  [2239] = 135,
  [2240] = 1077,
  [2241] = 163,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 164,
  [2245] = 162,
  [2246] = 147,
  [2247] = 156,
  [2248] = 157,
  [2249] = 161,
  [2250] = 163,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 941,
  [2254] = 949,
  [2255] = 162,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 161,
  [2268] = 144,
  [2269] = 2269,
  [2270] = 143,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 142,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 145,
  [2277] = 146,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 140,
  [2281] = 137,
  [2282] = 135,
  [2283] = 2242,
  [2284] = 2284,
  [2285] = 136,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 224,
  [2289] = 2289,
  [2290] = 231,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2291,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2291,
  [2297] = 2294,
  [2298] = 2291,
  [2299] = 2299,
  [2300] = 2291,
  [2301] = 2291,
  [2302] = 2291,
  [2303] = 1979,
  [2304] = 2294,
  [2305] = 2294,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 1971,
  [2345] = 2345,
  [2346] = 2345,
  [2347] = 2347,
  [2348] = 2345,
  [2349] = 2347,
  [2350] = 2347,
  [2351] = 2345,
  [2352] = 2347,
  [2353] = 2345,
  [2354] = 2347,
  [2355] = 2347,
  [2356] = 2345,
  [2357] = 2345,
  [2358] = 2347,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 1972,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2264,
  [2381] = 2381,
  [2382] = 2362,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2372,
  [2386] = 2386,
  [2387] = 2384,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2383,
  [2393] = 2383,
  [2394] = 2389,
  [2395] = 2389,
  [2396] = 2383,
  [2397] = 2389,
  [2398] = 2389,
  [2399] = 2389,
  [2400] = 2389,
  [2401] = 2384,
  [2402] = 949,
  [2403] = 2403,
  [2404] = 2376,
  [2405] = 161,
  [2406] = 136,
  [2407] = 140,
  [2408] = 145,
  [2409] = 135,
  [2410] = 941,
  [2411] = 137,
  [2412] = 2259,
  [2413] = 2242,
  [2414] = 2414,
  [2415] = 142,
  [2416] = 2416,
  [2417] = 143,
  [2418] = 144,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 146,
  [2422] = 2375,
  [2423] = 2329,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 137,
  [2428] = 142,
  [2429] = 143,
  [2430] = 2386,
  [2431] = 2390,
  [2432] = 2432,
  [2433] = 144,
  [2434] = 136,
  [2435] = 140,
  [2436] = 135,
  [2437] = 1118,
  [2438] = 135,
  [2439] = 143,
  [2440] = 1102,
  [2441] = 144,
  [2442] = 136,
  [2443] = 162,
  [2444] = 140,
  [2445] = 1102,
  [2446] = 142,
  [2447] = 137,
  [2448] = 2432,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 161,
  [2452] = 2372,
  [2453] = 2263,
  [2454] = 2454,
  [2455] = 2426,
  [2456] = 1102,
  [2457] = 2242,
  [2458] = 1102,
  [2459] = 1102,
  [2460] = 164,
  [2461] = 135,
  [2462] = 1972,
  [2463] = 2379,
  [2464] = 2388,
  [2465] = 140,
  [2466] = 163,
  [2467] = 137,
  [2468] = 156,
  [2469] = 2287,
  [2470] = 2265,
  [2471] = 157,
  [2472] = 1118,
  [2473] = 2381,
  [2474] = 2474,
  [2475] = 2299,
  [2476] = 1971,
  [2477] = 1118,
  [2478] = 142,
  [2479] = 2289,
  [2480] = 136,
  [2481] = 143,
  [2482] = 144,
  [2483] = 1118,
  [2484] = 2324,
  [2485] = 1118,
  [2486] = 2340,
  [2487] = 2323,
  [2488] = 2263,
  [2489] = 2266,
  [2490] = 2308,
  [2491] = 2309,
  [2492] = 2310,
  [2493] = 224,
  [2494] = 2315,
  [2495] = 2316,
  [2496] = 2317,
  [2497] = 2318,
  [2498] = 2319,
  [2499] = 2341,
  [2500] = 2265,
  [2501] = 2333,
  [2502] = 2334,
  [2503] = 2339,
  [2504] = 2343,
  [2505] = 2338,
  [2506] = 2292,
  [2507] = 2322,
  [2508] = 2307,
  [2509] = 231,
  [2510] = 2336,
  [2511] = 2311,
  [2512] = 2312,
  [2513] = 2313,
  [2514] = 2306,
  [2515] = 2337,
  [2516] = 2321,
  [2517] = 1102,
  [2518] = 2372,
  [2519] = 2325,
  [2520] = 2326,
  [2521] = 2327,
  [2522] = 2328,
  [2523] = 2330,
  [2524] = 2331,
  [2525] = 2332,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2320,
  [2529] = 2342,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 146,
  [2533] = 1118,
  [2534] = 1979,
  [2535] = 2535,
  [2536] = 145,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2284,
  [2540] = 2286,
  [2541] = 2526,
  [2542] = 2527,
  [2543] = 2543,
  [2544] = 164,
  [2545] = 156,
  [2546] = 157,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 163,
  [2550] = 162,
  [2551] = 2278,
  [2552] = 2274,
  [2553] = 2272,
  [2554] = 2547,
  [2555] = 2531,
  [2556] = 2548,
  [2557] = 2526,
  [2558] = 2527,
  [2559] = 2271,
  [2560] = 2388,
  [2561] = 2275,
  [2562] = 2279,
  [2563] = 2547,
  [2564] = 1102,
  [2565] = 2416,
  [2566] = 2566,
  [2567] = 2335,
  [2568] = 2263,
  [2569] = 2265,
  [2570] = 2262,
  [2571] = 161,
  [2572] = 2388,
  [2573] = 2242,
  [2574] = 2388,
  [2575] = 2414,
  [2576] = 2388,
  [2577] = 2420,
  [2578] = 2566,
  [2579] = 2420,
  [2580] = 2416,
  [2581] = 2581,
  [2582] = 2314,
  [2583] = 2566,
  [2584] = 2414,
  [2585] = 2566,
  [2586] = 2581,
  [2587] = 2388,
  [2588] = 2266,
  [2589] = 2566,
  [2590] = 2566,
  [2591] = 2591,
  [2592] = 2373,
  [2593] = 2364,
  [2594] = 2426,
  [2595] = 2299,
  [2596] = 2414,
  [2597] = 2597,
  [2598] = 2416,
  [2599] = 2266,
  [2600] = 2367,
  [2601] = 2366,
  [2602] = 2365,
  [2603] = 2371,
  [2604] = 2432,
  [2605] = 223,
  [2606] = 188,
  [2607] = 2454,
  [2608] = 2369,
  [2609] = 189,
  [2610] = 2370,
  [2611] = 2420,
  [2612] = 2361,
  [2613] = 2289,
  [2614] = 303,
  [2615] = 2263,
  [2616] = 2616,
  [2617] = 2449,
  [2618] = 2368,
  [2619] = 2619,
  [2620] = 2360,
  [2621] = 2266,
  [2622] = 2388,
  [2623] = 203,
  [2624] = 2262,
  [2625] = 2390,
  [2626] = 2386,
  [2627] = 2627,
  [2628] = 314,
  [2629] = 2287,
  [2630] = 2266,
  [2631] = 2388,
  [2632] = 2362,
  [2633] = 1134,
  [2634] = 2388,
  [2635] = 2362,
  [2636] = 2263,
  [2637] = 2388,
  [2638] = 2363,
  [2639] = 2531,
  [2640] = 224,
  [2641] = 2278,
  [2642] = 1979,
  [2643] = 2333,
  [2644] = 2644,
  [2645] = 2342,
  [2646] = 2343,
  [2647] = 2338,
  [2648] = 2324,
  [2649] = 2649,
  [2650] = 2292,
  [2651] = 2322,
  [2652] = 2307,
  [2653] = 2653,
  [2654] = 2311,
  [2655] = 2312,
  [2656] = 2313,
  [2657] = 2657,
  [2658] = 2306,
  [2659] = 2659,
  [2660] = 2321,
  [2661] = 2334,
  [2662] = 2275,
  [2663] = 2335,
  [2664] = 2279,
  [2665] = 2314,
  [2666] = 2526,
  [2667] = 2272,
  [2668] = 2325,
  [2669] = 2326,
  [2670] = 2327,
  [2671] = 2328,
  [2672] = 2527,
  [2673] = 2330,
  [2674] = 2331,
  [2675] = 2332,
  [2676] = 2531,
  [2677] = 2339,
  [2678] = 2341,
  [2679] = 2272,
  [2680] = 2336,
  [2681] = 2681,
  [2682] = 2320,
  [2683] = 2284,
  [2684] = 2308,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2337,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2309,
  [2691] = 231,
  [2692] = 2323,
  [2693] = 2310,
  [2694] = 2271,
  [2695] = 2695,
  [2696] = 2286,
  [2697] = 2697,
  [2698] = 1102,
  [2699] = 2699,
  [2700] = 2242,
  [2701] = 2701,
  [2702] = 2702,
  [2703] = 2703,
  [2704] = 2315,
  [2705] = 2274,
  [2706] = 2271,
  [2707] = 1102,
  [2708] = 2316,
  [2709] = 2317,
  [2710] = 2710,
  [2711] = 2275,
  [2712] = 2279,
  [2713] = 2318,
  [2714] = 2274,
  [2715] = 2284,
  [2716] = 2319,
  [2717] = 2278,
  [2718] = 2340,
  [2719] = 2365,
  [2720] = 2720,
  [2721] = 2265,
  [2722] = 2722,
  [2723] = 2369,
  [2724] = 2286,
  [2725] = 2274,
  [2726] = 2454,
  [2727] = 2371,
  [2728] = 2728,
  [2729] = 2370,
  [2730] = 2271,
  [2731] = 2731,
  [2732] = 2390,
  [2733] = 2386,
  [2734] = 2366,
  [2735] = 2367,
  [2736] = 2275,
  [2737] = 2279,
  [2738] = 2449,
  [2739] = 2454,
  [2740] = 2368,
  [2741] = 2363,
  [2742] = 2426,
  [2743] = 2361,
  [2744] = 2432,
  [2745] = 1118,
  [2746] = 2360,
  [2747] = 2747,
  [2748] = 2286,
  [2749] = 2373,
  [2750] = 2364,
  [2751] = 2414,
  [2752] = 2752,
  [2753] = 2284,
  [2754] = 2278,
  [2755] = 2272,
  [2756] = 2426,
  [2757] = 2432,
  [2758] = 2758,
  [2759] = 2416,
  [2760] = 2420,
  [2761] = 2531,
  [2762] = 2449,
  [2763] = 2263,
  [2764] = 2454,
  [2765] = 2765,
  [2766] = 2449,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2265,
  [2771] = 2426,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2432,
  [2775] = 2454,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2426,
  [2782] = 2782,
  [2783] = 2783,
  [2784] = 2386,
  [2785] = 2432,
  [2786] = 1118,
  [2787] = 2449,
  [2788] = 2788,
  [2789] = 2449,
  [2790] = 2790,
  [2791] = 941,
  [2792] = 2792,
  [2793] = 2262,
  [2794] = 2390,
  [2795] = 2795,
  [2796] = 949,
  [2797] = 2426,
  [2798] = 2242,
  [2799] = 2454,
  [2800] = 2266,
  [2801] = 2801,
  [2802] = 2802,
  [2803] = 2803,
  [2804] = 2432,
  [2805] = 2805,
  [2806] = 2266,
  [2807] = 2263,
  [2808] = 2262,
  [2809] = 2449,
  [2810] = 2454,
  [2811] = 2426,
  [2812] = 2812,
  [2813] = 2432,
  [2814] = 2814,
  [2815] = 2815,
  [2816] = 139,
  [2817] = 147,
  [2818] = 2386,
  [2819] = 2819,
  [2820] = 2820,
  [2821] = 2002,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 2265,
  [2827] = 2827,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2830,
  [2831] = 2010,
  [2832] = 2006,
  [2833] = 2251,
  [2834] = 2003,
  [2835] = 1986,
  [2836] = 1987,
  [2837] = 2390,
  [2838] = 2838,
  [2839] = 2839,
  [2840] = 2840,
  [2841] = 2009,
  [2842] = 2001,
  [2843] = 2000,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 2846,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 2004,
  [2850] = 2850,
  [2851] = 2851,
  [2852] = 2852,
  [2853] = 2853,
  [2854] = 2854,
  [2855] = 2855,
  [2856] = 2856,
  [2857] = 2857,
  [2858] = 2858,
  [2859] = 2859,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 2862,
  [2863] = 2863,
  [2864] = 2864,
  [2865] = 2865,
  [2866] = 2866,
  [2867] = 2867,
  [2868] = 2868,
  [2869] = 2869,
  [2870] = 2870,
  [2871] = 2008,
  [2872] = 1990,
  [2873] = 2873,
  [2874] = 2874,
  [2875] = 2875,
  [2876] = 1982,
  [2877] = 1984,
  [2878] = 2878,
  [2879] = 2879,
  [2880] = 2880,
  [2881] = 2881,
  [2882] = 2531,
  [2883] = 2362,
  [2884] = 2242,
  [2885] = 2885,
  [2886] = 2886,
  [2887] = 2314,
  [2888] = 2888,
  [2889] = 1999,
  [2890] = 2238,
  [2891] = 2891,
  [2892] = 2892,
  [2893] = 2335,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 145,
  [2898] = 2271,
  [2899] = 157,
  [2900] = 2275,
  [2901] = 2279,
  [2902] = 2414,
  [2903] = 163,
  [2904] = 2362,
  [2905] = 2449,
  [2906] = 2284,
  [2907] = 2278,
  [2908] = 2272,
  [2909] = 2454,
  [2910] = 2287,
  [2911] = 164,
  [2912] = 137,
  [2913] = 142,
  [2914] = 143,
  [2915] = 144,
  [2916] = 2289,
  [2917] = 146,
  [2918] = 136,
  [2919] = 140,
  [2920] = 135,
  [2921] = 2420,
  [2922] = 146,
  [2923] = 2373,
  [2924] = 2364,
  [2925] = 2299,
  [2926] = 2426,
  [2927] = 162,
  [2928] = 2367,
  [2929] = 2366,
  [2930] = 2365,
  [2931] = 2371,
  [2932] = 2432,
  [2933] = 2416,
  [2934] = 2369,
  [2935] = 2370,
  [2936] = 156,
  [2937] = 2363,
  [2938] = 2361,
  [2939] = 2274,
  [2940] = 2368,
  [2941] = 2360,
  [2942] = 145,
  [2943] = 2895,
  [2944] = 2341,
  [2945] = 2333,
  [2946] = 2334,
  [2947] = 2336,
  [2948] = 2432,
  [2949] = 2337,
  [2950] = 2271,
  [2951] = 161,
  [2952] = 2324,
  [2953] = 2332,
  [2954] = 2390,
  [2955] = 2275,
  [2956] = 2279,
  [2957] = 2265,
  [2958] = 2308,
  [2959] = 2266,
  [2960] = 2805,
  [2961] = 2309,
  [2962] = 2310,
  [2963] = 2895,
  [2964] = 2242,
  [2965] = 145,
  [2966] = 2315,
  [2967] = 2316,
  [2968] = 2317,
  [2969] = 2320,
  [2970] = 164,
  [2971] = 2318,
  [2972] = 2319,
  [2973] = 163,
  [2974] = 2284,
  [2975] = 2278,
  [2976] = 224,
  [2977] = 1979,
  [2978] = 2386,
  [2979] = 2426,
  [2980] = 2342,
  [2981] = 2343,
  [2982] = 2449,
  [2983] = 231,
  [2984] = 2338,
  [2985] = 156,
  [2986] = 146,
  [2987] = 2272,
  [2988] = 2262,
  [2989] = 2292,
  [2990] = 2322,
  [2991] = 2307,
  [2992] = 2454,
  [2993] = 2340,
  [2994] = 2311,
  [2995] = 2312,
  [2996] = 2323,
  [2997] = 2313,
  [2998] = 157,
  [2999] = 2339,
  [3000] = 2306,
  [3001] = 2286,
  [3002] = 2321,
  [3003] = 162,
  [3004] = 2325,
  [3005] = 2326,
  [3006] = 2327,
  [3007] = 2805,
  [3008] = 2328,
  [3009] = 2330,
  [3010] = 2274,
  [3011] = 2331,
  [3012] = 2263,
  [3013] = 2538,
  [3014] = 161,
  [3015] = 142,
  [3016] = 143,
  [3017] = 136,
  [3018] = 140,
  [3019] = 3019,
  [3020] = 135,
  [3021] = 163,
  [3022] = 2537,
  [3023] = 3023,
  [3024] = 2530,
  [3025] = 156,
  [3026] = 2286,
  [3027] = 2362,
  [3028] = 157,
  [3029] = 2390,
  [3030] = 163,
  [3031] = 161,
  [3032] = 236,
  [3033] = 162,
  [3034] = 2386,
  [3035] = 3035,
  [3036] = 3036,
  [3037] = 156,
  [3038] = 3038,
  [3039] = 232,
  [3040] = 2535,
  [3041] = 162,
  [3042] = 164,
  [3043] = 157,
  [3044] = 164,
  [3045] = 137,
  [3046] = 144,
  [3047] = 2284,
  [3048] = 3048,
  [3049] = 3049,
  [3050] = 3050,
  [3051] = 3051,
  [3052] = 3052,
  [3053] = 3053,
  [3054] = 3054,
  [3055] = 3055,
  [3056] = 3056,
  [3057] = 3057,
  [3058] = 3058,
  [3059] = 3059,
  [3060] = 2272,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 2314,
  [3064] = 3064,
  [3065] = 2449,
  [3066] = 2535,
  [3067] = 2278,
  [3068] = 2432,
  [3069] = 2335,
  [3070] = 2271,
  [3071] = 2274,
  [3072] = 2275,
  [3073] = 3073,
  [3074] = 3074,
  [3075] = 2279,
  [3076] = 2426,
  [3077] = 145,
  [3078] = 3078,
  [3079] = 2538,
  [3080] = 161,
  [3081] = 2537,
  [3082] = 146,
  [3083] = 2530,
  [3084] = 2454,
  [3085] = 3078,
  [3086] = 3086,
  [3087] = 140,
  [3088] = 136,
  [3089] = 2335,
  [3090] = 2361,
  [3091] = 135,
  [3092] = 2373,
  [3093] = 2805,
  [3094] = 2390,
  [3095] = 2366,
  [3096] = 2895,
  [3097] = 2878,
  [3098] = 2364,
  [3099] = 156,
  [3100] = 137,
  [3101] = 163,
  [3102] = 2363,
  [3103] = 3103,
  [3104] = 142,
  [3105] = 2368,
  [3106] = 164,
  [3107] = 2286,
  [3108] = 2371,
  [3109] = 2369,
  [3110] = 1118,
  [3111] = 143,
  [3112] = 2874,
  [3113] = 2857,
  [3114] = 2830,
  [3115] = 3115,
  [3116] = 2360,
  [3117] = 2386,
  [3118] = 2367,
  [3119] = 2822,
  [3120] = 2829,
  [3121] = 2823,
  [3122] = 2824,
  [3123] = 2828,
  [3124] = 157,
  [3125] = 144,
  [3126] = 162,
  [3127] = 2314,
  [3128] = 2886,
  [3129] = 2370,
  [3130] = 2365,
  [3131] = 3131,
  [3132] = 3132,
  [3133] = 3086,
  [3134] = 3078,
  [3135] = 2289,
  [3136] = 3136,
  [3137] = 2292,
  [3138] = 3138,
  [3139] = 3139,
  [3140] = 1102,
  [3141] = 239,
  [3142] = 214,
  [3143] = 3138,
  [3144] = 2325,
  [3145] = 3049,
  [3146] = 2888,
  [3147] = 3139,
  [3148] = 2368,
  [3149] = 2360,
  [3150] = 3132,
  [3151] = 3103,
  [3152] = 3136,
  [3153] = 2619,
  [3154] = 3138,
  [3155] = 2616,
  [3156] = 200,
  [3157] = 3132,
  [3158] = 2591,
  [3159] = 3055,
  [3160] = 3050,
  [3161] = 3136,
  [3162] = 3051,
  [3163] = 208,
  [3164] = 3052,
  [3165] = 3053,
  [3166] = 3054,
  [3167] = 3138,
  [3168] = 3058,
  [3169] = 2367,
  [3170] = 3059,
  [3171] = 3056,
  [3172] = 231,
  [3173] = 3057,
  [3174] = 2366,
  [3175] = 2373,
  [3176] = 1118,
  [3177] = 3136,
  [3178] = 3136,
  [3179] = 2361,
  [3180] = 2287,
  [3181] = 2365,
  [3182] = 2371,
  [3183] = 3064,
  [3184] = 224,
  [3185] = 3048,
  [3186] = 3061,
  [3187] = 3115,
  [3188] = 3138,
  [3189] = 2364,
  [3190] = 216,
  [3191] = 219,
  [3192] = 2299,
  [3193] = 2597,
  [3194] = 3131,
  [3195] = 3132,
  [3196] = 3132,
  [3197] = 3136,
  [3198] = 3074,
  [3199] = 2530,
  [3200] = 3131,
  [3201] = 3132,
  [3202] = 161,
  [3203] = 3078,
  [3204] = 2308,
  [3205] = 3131,
  [3206] = 2537,
  [3207] = 3131,
  [3208] = 2369,
  [3209] = 3073,
  [3210] = 3062,
  [3211] = 2535,
  [3212] = 2363,
  [3213] = 3131,
  [3214] = 1102,
  [3215] = 2538,
  [3216] = 2342,
  [3217] = 2370,
  [3218] = 2627,
  [3219] = 3139,
  [3220] = 3138,
  [3221] = 2292,
  [3222] = 2311,
  [3223] = 2591,
  [3224] = 2657,
  [3225] = 3225,
  [3226] = 2681,
  [3227] = 2332,
  [3228] = 2339,
  [3229] = 2653,
  [3230] = 2627,
  [3231] = 2307,
  [3232] = 2341,
  [3233] = 2616,
  [3234] = 2322,
  [3235] = 2333,
  [3236] = 2334,
  [3237] = 3225,
  [3238] = 2317,
  [3239] = 1118,
  [3240] = 2308,
  [3241] = 2325,
  [3242] = 1102,
  [3243] = 3225,
  [3244] = 2336,
  [3245] = 2337,
  [3246] = 3225,
  [3247] = 3078,
  [3248] = 3078,
  [3249] = 3078,
  [3250] = 2323,
  [3251] = 2531,
  [3252] = 2686,
  [3253] = 1118,
  [3254] = 2324,
  [3255] = 2299,
  [3256] = 2649,
  [3257] = 2289,
  [3258] = 3225,
  [3259] = 2306,
  [3260] = 2309,
  [3261] = 2310,
  [3262] = 2319,
  [3263] = 2314,
  [3264] = 2342,
  [3265] = 2313,
  [3266] = 2326,
  [3267] = 2327,
  [3268] = 231,
  [3269] = 3078,
  [3270] = 2320,
  [3271] = 224,
  [3272] = 2328,
  [3273] = 2644,
  [3274] = 2340,
  [3275] = 2312,
  [3276] = 1979,
  [3277] = 2619,
  [3278] = 2287,
  [3279] = 2335,
  [3280] = 2343,
  [3281] = 2338,
  [3282] = 2330,
  [3283] = 2597,
  [3284] = 2315,
  [3285] = 2316,
  [3286] = 3286,
  [3287] = 2321,
  [3288] = 3225,
  [3289] = 2331,
  [3290] = 2318,
  [3291] = 2644,
  [3292] = 3056,
  [3293] = 2316,
  [3294] = 2332,
  [3295] = 2317,
  [3296] = 1979,
  [3297] = 2368,
  [3298] = 2531,
  [3299] = 3057,
  [3300] = 2318,
  [3301] = 2319,
  [3302] = 1102,
  [3303] = 2323,
  [3304] = 2731,
  [3305] = 3049,
  [3306] = 3062,
  [3307] = 2783,
  [3308] = 2792,
  [3309] = 2767,
  [3310] = 3048,
  [3311] = 2767,
  [3312] = 3061,
  [3313] = 2767,
  [3314] = 2313,
  [3315] = 2321,
  [3316] = 2333,
  [3317] = 2334,
  [3318] = 2653,
  [3319] = 3062,
  [3320] = 3049,
  [3321] = 3064,
  [3322] = 2340,
  [3323] = 2681,
  [3324] = 2802,
  [3325] = 3055,
  [3326] = 3048,
  [3327] = 2773,
  [3328] = 2657,
  [3329] = 2336,
  [3330] = 2373,
  [3331] = 3050,
  [3332] = 2364,
  [3333] = 3051,
  [3334] = 2337,
  [3335] = 2776,
  [3336] = 3052,
  [3337] = 2360,
  [3338] = 3050,
  [3339] = 3053,
  [3340] = 3054,
  [3341] = 3058,
  [3342] = 3059,
  [3343] = 3086,
  [3344] = 2772,
  [3345] = 2776,
  [3346] = 2339,
  [3347] = 2315,
  [3348] = 2767,
  [3349] = 2767,
  [3350] = 3078,
  [3351] = 2320,
  [3352] = 3059,
  [3353] = 3086,
  [3354] = 2306,
  [3355] = 2326,
  [3356] = 2367,
  [3357] = 2366,
  [3358] = 3073,
  [3359] = 3074,
  [3360] = 3055,
  [3361] = 2365,
  [3362] = 2371,
  [3363] = 2649,
  [3364] = 3056,
  [3365] = 3057,
  [3366] = 2327,
  [3367] = 2343,
  [3368] = 2338,
  [3369] = 3051,
  [3370] = 2782,
  [3371] = 2324,
  [3372] = 2722,
  [3373] = 2328,
  [3374] = 3061,
  [3375] = 2309,
  [3376] = 2686,
  [3377] = 2310,
  [3378] = 3078,
  [3379] = 3074,
  [3380] = 2330,
  [3381] = 2779,
  [3382] = 3078,
  [3383] = 2322,
  [3384] = 2307,
  [3385] = 2728,
  [3386] = 2369,
  [3387] = 1118,
  [3388] = 3073,
  [3389] = 3078,
  [3390] = 2370,
  [3391] = 2363,
  [3392] = 2361,
  [3393] = 3064,
  [3394] = 2331,
  [3395] = 3052,
  [3396] = 3053,
  [3397] = 2311,
  [3398] = 2312,
  [3399] = 3054,
  [3400] = 3058,
  [3401] = 2341,
  [3402] = 2896,
  [3403] = 2720,
  [3404] = 2792,
  [3405] = 3074,
  [3406] = 2414,
  [3407] = 3078,
  [3408] = 3078,
  [3409] = 3409,
  [3410] = 2722,
  [3411] = 3051,
  [3412] = 2659,
  [3413] = 2830,
  [3414] = 3414,
  [3415] = 2802,
  [3416] = 3416,
  [3417] = 2896,
  [3418] = 3058,
  [3419] = 3055,
  [3420] = 3062,
  [3421] = 2767,
  [3422] = 3416,
  [3423] = 224,
  [3424] = 2688,
  [3425] = 3061,
  [3426] = 2287,
  [3427] = 2728,
  [3428] = 2308,
  [3429] = 2779,
  [3430] = 3078,
  [3431] = 949,
  [3432] = 3057,
  [3433] = 3433,
  [3434] = 2773,
  [3435] = 2783,
  [3436] = 2689,
  [3437] = 2878,
  [3438] = 3433,
  [3439] = 2697,
  [3440] = 3115,
  [3441] = 3433,
  [3442] = 3052,
  [3443] = 2768,
  [3444] = 231,
  [3445] = 2767,
  [3446] = 3433,
  [3447] = 3433,
  [3448] = 2867,
  [3449] = 2776,
  [3450] = 3073,
  [3451] = 3433,
  [3452] = 2325,
  [3453] = 2777,
  [3454] = 3059,
  [3455] = 2795,
  [3456] = 2262,
  [3457] = 3433,
  [3458] = 1118,
  [3459] = 3459,
  [3460] = 3103,
  [3461] = 2894,
  [3462] = 3433,
  [3463] = 2867,
  [3464] = 2772,
  [3465] = 3073,
  [3466] = 2783,
  [3467] = 2792,
  [3468] = 3074,
  [3469] = 2782,
  [3470] = 3048,
  [3471] = 3049,
  [3472] = 3055,
  [3473] = 2773,
  [3474] = 3048,
  [3475] = 3051,
  [3476] = 3052,
  [3477] = 3053,
  [3478] = 3054,
  [3479] = 3058,
  [3480] = 3059,
  [3481] = 3056,
  [3482] = 3057,
  [3483] = 2802,
  [3484] = 3061,
  [3485] = 3062,
  [3486] = 3086,
  [3487] = 3064,
  [3488] = 2767,
  [3489] = 2699,
  [3490] = 2299,
  [3491] = 2894,
  [3492] = 3433,
  [3493] = 2265,
  [3494] = 2822,
  [3495] = 3086,
  [3496] = 2416,
  [3497] = 2782,
  [3498] = 2779,
  [3499] = 2888,
  [3500] = 2790,
  [3501] = 3078,
  [3502] = 2420,
  [3503] = 2342,
  [3504] = 3064,
  [3505] = 3049,
  [3506] = 3506,
  [3507] = 2772,
  [3508] = 2292,
  [3509] = 3078,
  [3510] = 2829,
  [3511] = 2823,
  [3512] = 3056,
  [3513] = 2695,
  [3514] = 3078,
  [3515] = 3103,
  [3516] = 3506,
  [3517] = 2289,
  [3518] = 2824,
  [3519] = 3054,
  [3520] = 2731,
  [3521] = 3115,
  [3522] = 2828,
  [3523] = 2701,
  [3524] = 2702,
  [3525] = 2703,
  [3526] = 3416,
  [3527] = 3053,
  [3528] = 3050,
  [3529] = 2710,
  [3530] = 2685,
  [3531] = 941,
  [3532] = 3050,
  [3533] = 2414,
  [3534] = 2896,
  [3535] = 1990,
  [3536] = 2776,
  [3537] = 2869,
  [3538] = 2865,
  [3539] = 2870,
  [3540] = 941,
  [3541] = 2008,
  [3542] = 1990,
  [3543] = 2266,
  [3544] = 2685,
  [3545] = 2688,
  [3546] = 2689,
  [3547] = 2697,
  [3548] = 3103,
  [3549] = 2866,
  [3550] = 949,
  [3551] = 2812,
  [3552] = 2875,
  [3553] = 2879,
  [3554] = 1982,
  [3555] = 1984,
  [3556] = 2790,
  [3557] = 2857,
  [3558] = 2894,
  [3559] = 2880,
  [3560] = 2767,
  [3561] = 2699,
  [3562] = 2881,
  [3563] = 2262,
  [3564] = 2888,
  [3565] = 2853,
  [3566] = 2432,
  [3567] = 2010,
  [3568] = 2858,
  [3569] = 2006,
  [3570] = 2720,
  [3571] = 2777,
  [3572] = 2815,
  [3573] = 2891,
  [3574] = 2892,
  [3575] = 2003,
  [3576] = 139,
  [3577] = 2326,
  [3578] = 2327,
  [3579] = 2002,
  [3580] = 2328,
  [3581] = 2695,
  [3582] = 2362,
  [3583] = 2710,
  [3584] = 1979,
  [3585] = 2819,
  [3586] = 2820,
  [3587] = 1982,
  [3588] = 2886,
  [3589] = 1984,
  [3590] = 3115,
  [3591] = 2686,
  [3592] = 2330,
  [3593] = 2825,
  [3594] = 2827,
  [3595] = 2454,
  [3596] = 2010,
  [3597] = 2006,
  [3598] = 2251,
  [3599] = 2003,
  [3600] = 2795,
  [3601] = 2331,
  [3602] = 2701,
  [3603] = 2702,
  [3604] = 2703,
  [3605] = 2769,
  [3606] = 2778,
  [3607] = 2788,
  [3608] = 2803,
  [3609] = 2801,
  [3610] = 2873,
  [3611] = 2009,
  [3612] = 2001,
  [3613] = 2850,
  [3614] = 147,
  [3615] = 2659,
  [3616] = 2000,
  [3617] = 2765,
  [3618] = 2340,
  [3619] = 1986,
  [3620] = 2323,
  [3621] = 1987,
  [3622] = 2888,
  [3623] = 2320,
  [3624] = 2874,
  [3625] = 2852,
  [3626] = 2449,
  [3627] = 2768,
  [3628] = 2333,
  [3629] = 2334,
  [3630] = 2336,
  [3631] = 2337,
  [3632] = 2420,
  [3633] = 2332,
  [3634] = 1986,
  [3635] = 2324,
  [3636] = 2838,
  [3637] = 2839,
  [3638] = 2009,
  [3639] = 2822,
  [3640] = 2001,
  [3641] = 2823,
  [3642] = 2824,
  [3643] = 2828,
  [3644] = 2829,
  [3645] = 2830,
  [3646] = 2004,
  [3647] = 2867,
  [3648] = 2426,
  [3649] = 2000,
  [3650] = 2780,
  [3651] = 2859,
  [3652] = 2840,
  [3653] = 1987,
  [3654] = 2860,
  [3655] = 2854,
  [3656] = 139,
  [3657] = 2855,
  [3658] = 2856,
  [3659] = 2309,
  [3660] = 2310,
  [3661] = 2767,
  [3662] = 2315,
  [3663] = 2316,
  [3664] = 2317,
  [3665] = 2318,
  [3666] = 2319,
  [3667] = 2868,
  [3668] = 2848,
  [3669] = 1999,
  [3670] = 2416,
  [3671] = 2339,
  [3672] = 2644,
  [3673] = 2341,
  [3674] = 2844,
  [3675] = 2845,
  [3676] = 2846,
  [3677] = 2888,
  [3678] = 2861,
  [3679] = 2008,
  [3680] = 2814,
  [3681] = 2862,
  [3682] = 2878,
  [3683] = 2863,
  [3684] = 2681,
  [3685] = 2847,
  [3686] = 2343,
  [3687] = 2338,
  [3688] = 1999,
  [3689] = 2322,
  [3690] = 2307,
  [3691] = 2002,
  [3692] = 2311,
  [3693] = 2312,
  [3694] = 2313,
  [3695] = 2306,
  [3696] = 2885,
  [3697] = 2004,
  [3698] = 2321,
  [3699] = 2767,
  [3700] = 2653,
  [3701] = 2362,
  [3702] = 2263,
  [3703] = 2864,
  [3704] = 2851,
  [3705] = 2238,
  [3706] = 147,
  [3707] = 2274,
  [3708] = 2861,
  [3709] = 2857,
  [3710] = 2844,
  [3711] = 2728,
  [3712] = 3078,
  [3713] = 2888,
  [3714] = 2869,
  [3715] = 2825,
  [3716] = 2827,
  [3717] = 3086,
  [3718] = 2847,
  [3719] = 147,
  [3720] = 2006,
  [3721] = 2823,
  [3722] = 2867,
  [3723] = 3064,
  [3724] = 2004,
  [3725] = 2824,
  [3726] = 2894,
  [3727] = 2820,
  [3728] = 3078,
  [3729] = 2870,
  [3730] = 3730,
  [3731] = 2822,
  [3732] = 2851,
  [3733] = 2772,
  [3734] = 2852,
  [3735] = 3073,
  [3736] = 2854,
  [3737] = 2008,
  [3738] = 2238,
  [3739] = 2010,
  [3740] = 2251,
  [3741] = 2891,
  [3742] = 2892,
  [3743] = 2003,
  [3744] = 2819,
  [3745] = 2279,
  [3746] = 2783,
  [3747] = 2792,
  [3748] = 1990,
  [3749] = 2862,
  [3750] = 3074,
  [3751] = 2885,
  [3752] = 2782,
  [3753] = 2865,
  [3754] = 2888,
  [3755] = 2868,
  [3756] = 2531,
  [3757] = 2828,
  [3758] = 137,
  [3759] = 3078,
  [3760] = 2874,
  [3761] = 2875,
  [3762] = 2848,
  [3763] = 139,
  [3764] = 2009,
  [3765] = 3048,
  [3766] = 2001,
  [3767] = 2000,
  [3768] = 1982,
  [3769] = 2829,
  [3770] = 2284,
  [3771] = 1984,
  [3772] = 2830,
  [3773] = 2278,
  [3774] = 2858,
  [3775] = 2845,
  [3776] = 2846,
  [3777] = 2873,
  [3778] = 2879,
  [3779] = 2275,
  [3780] = 1986,
  [3781] = 2878,
  [3782] = 2778,
  [3783] = 2788,
  [3784] = 2803,
  [3785] = 2272,
  [3786] = 2801,
  [3787] = 3787,
  [3788] = 142,
  [3789] = 1999,
  [3790] = 146,
  [3791] = 2850,
  [3792] = 2880,
  [3793] = 2812,
  [3794] = 2881,
  [3795] = 2815,
  [3796] = 1987,
  [3797] = 3055,
  [3798] = 2769,
  [3799] = 3078,
  [3800] = 2773,
  [3801] = 3050,
  [3802] = 3051,
  [3803] = 3052,
  [3804] = 3053,
  [3805] = 3054,
  [3806] = 3058,
  [3807] = 3059,
  [3808] = 3056,
  [3809] = 3057,
  [3810] = 2855,
  [3811] = 143,
  [3812] = 2856,
  [3813] = 2765,
  [3814] = 2002,
  [3815] = 2802,
  [3816] = 144,
  [3817] = 2859,
  [3818] = 2242,
  [3819] = 2860,
  [3820] = 2853,
  [3821] = 145,
  [3822] = 2814,
  [3823] = 2863,
  [3824] = 2767,
  [3825] = 2896,
  [3826] = 2864,
  [3827] = 136,
  [3828] = 140,
  [3829] = 2886,
  [3830] = 2866,
  [3831] = 2838,
  [3832] = 1118,
  [3833] = 2839,
  [3834] = 3061,
  [3835] = 2888,
  [3836] = 135,
  [3837] = 2271,
  [3838] = 2780,
  [3839] = 2840,
  [3840] = 3062,
  [3841] = 2888,
  [3842] = 3049,
  [3843] = 3843,
  [3844] = 2449,
  [3845] = 2454,
  [3846] = 3846,
  [3847] = 3847,
  [3848] = 2426,
  [3849] = 3849,
  [3850] = 3115,
  [3851] = 3851,
  [3852] = 3852,
  [3853] = 2432,
  [3854] = 3847,
  [3855] = 3849,
  [3856] = 3852,
  [3857] = 156,
  [3858] = 3847,
  [3859] = 157,
  [3860] = 163,
  [3861] = 3849,
  [3862] = 3862,
  [3863] = 3847,
  [3864] = 3852,
  [3865] = 3849,
  [3866] = 3852,
  [3867] = 3849,
  [3868] = 3852,
  [3869] = 3852,
  [3870] = 3849,
  [3871] = 3852,
  [3872] = 3872,
  [3873] = 3873,
  [3874] = 3846,
  [3875] = 3846,
  [3876] = 2728,
  [3877] = 162,
  [3878] = 2390,
  [3879] = 3414,
  [3880] = 3873,
  [3881] = 3846,
  [3882] = 2768,
  [3883] = 3849,
  [3884] = 3872,
  [3885] = 3846,
  [3886] = 3847,
  [3887] = 2386,
  [3888] = 3852,
  [3889] = 164,
  [3890] = 1118,
  [3891] = 3852,
  [3892] = 3843,
  [3893] = 3873,
  [3894] = 3872,
  [3895] = 3873,
  [3896] = 3872,
  [3897] = 3873,
  [3898] = 3872,
  [3899] = 3873,
  [3900] = 3872,
  [3901] = 3873,
  [3902] = 3846,
  [3903] = 3872,
  [3904] = 3873,
  [3905] = 3872,
  [3906] = 3873,
  [3907] = 3907,
  [3908] = 3846,
  [3909] = 3843,
  [3910] = 3910,
  [3911] = 3849,
  [3912] = 3846,
  [3913] = 3846,
  [3914] = 3409,
  [3915] = 3103,
  [3916] = 137,
  [3917] = 3847,
  [3918] = 142,
  [3919] = 2286,
  [3920] = 3910,
  [3921] = 143,
  [3922] = 3846,
  [3923] = 2531,
  [3924] = 3849,
  [3925] = 144,
  [3926] = 3846,
  [3927] = 3843,
  [3928] = 3910,
  [3929] = 136,
  [3930] = 3843,
  [3931] = 3910,
  [3932] = 3846,
  [3933] = 140,
  [3934] = 3910,
  [3935] = 3843,
  [3936] = 3910,
  [3937] = 135,
  [3938] = 3872,
  [3939] = 2873,
  [3940] = 2000,
  [3941] = 2866,
  [3942] = 2851,
  [3943] = 3943,
  [3944] = 2010,
  [3945] = 2454,
  [3946] = 2537,
  [3947] = 2802,
  [3948] = 2003,
  [3949] = 1999,
  [3950] = 3950,
  [3951] = 161,
  [3952] = 3943,
  [3953] = 3943,
  [3954] = 2861,
  [3955] = 3943,
  [3956] = 1982,
  [3957] = 1984,
  [3958] = 3943,
  [3959] = 2864,
  [3960] = 2847,
  [3961] = 3943,
  [3962] = 3409,
  [3963] = 2852,
  [3964] = 2782,
  [3965] = 2865,
  [3966] = 2844,
  [3967] = 3414,
  [3968] = 3943,
  [3969] = 2869,
  [3970] = 2880,
  [3971] = 2845,
  [3972] = 2848,
  [3973] = 2852,
  [3974] = 2881,
  [3975] = 145,
  [3976] = 2863,
  [3977] = 146,
  [3978] = 2251,
  [3979] = 2870,
  [3980] = 3980,
  [3981] = 2874,
  [3982] = 3943,
  [3983] = 2846,
  [3984] = 3980,
  [3985] = 2008,
  [3986] = 1990,
  [3987] = 2538,
  [3988] = 2853,
  [3989] = 2862,
  [3990] = 2432,
  [3991] = 3943,
  [3992] = 2773,
  [3993] = 2535,
  [3994] = 2812,
  [3995] = 2001,
  [3996] = 2530,
  [3997] = 2838,
  [3998] = 2815,
  [3999] = 2840,
  [4000] = 2432,
  [4001] = 2854,
  [4002] = 2002,
  [4003] = 2886,
  [4004] = 2768,
  [4005] = 2814,
  [4006] = 2860,
  [4007] = 2819,
  [4008] = 2820,
  [4009] = 2772,
  [4010] = 3409,
  [4011] = 3943,
  [4012] = 3414,
  [4013] = 2853,
  [4014] = 3943,
  [4015] = 2825,
  [4016] = 2827,
  [4017] = 3943,
  [4018] = 4018,
  [4019] = 2839,
  [4020] = 2006,
  [4021] = 3943,
  [4022] = 147,
  [4023] = 2792,
  [4024] = 2426,
  [4025] = 2449,
  [4026] = 2449,
  [4027] = 2238,
  [4028] = 2783,
  [4029] = 2855,
  [4030] = 2454,
  [4031] = 2856,
  [4032] = 2861,
  [4033] = 2004,
  [4034] = 139,
  [4035] = 2857,
  [4036] = 3943,
  [4037] = 4018,
  [4038] = 2840,
  [4039] = 2009,
  [4040] = 1986,
  [4041] = 1987,
  [4042] = 2426,
  [4043] = 2859,
  [4044] = 2847,
  [4045] = 4045,
  [4046] = 2873,
  [4047] = 4047,
  [4048] = 2863,
  [4049] = 2864,
  [4050] = 2859,
  [4051] = 2838,
  [4052] = 4052,
  [4053] = 2839,
  [4054] = 2860,
  [4055] = 4045,
  [4056] = 4052,
  [4057] = 2848,
  [4058] = 4047,
  [4059] = 2880,
  [4060] = 4052,
  [4061] = 2812,
  [4062] = 4047,
  [4063] = 4052,
  [4064] = 2335,
  [4065] = 2262,
  [4066] = 4045,
  [4067] = 2814,
  [4068] = 2881,
  [4069] = 2426,
  [4070] = 2865,
  [4071] = 2870,
  [4072] = 2851,
  [4073] = 2855,
  [4074] = 2866,
  [4075] = 2449,
  [4076] = 4076,
  [4077] = 2844,
  [4078] = 2845,
  [4079] = 2846,
  [4080] = 4045,
  [4081] = 4047,
  [4082] = 4082,
  [4083] = 4047,
  [4084] = 2819,
  [4085] = 2825,
  [4086] = 2314,
  [4087] = 2862,
  [4088] = 4052,
  [4089] = 2432,
  [4090] = 2454,
  [4091] = 2827,
  [4092] = 4052,
  [4093] = 2820,
  [4094] = 2856,
  [4095] = 4047,
  [4096] = 2815,
  [4097] = 4045,
  [4098] = 4045,
  [4099] = 2854,
  [4100] = 2390,
  [4101] = 2386,
  [4102] = 2869,
  [4103] = 2366,
  [4104] = 3414,
  [4105] = 2365,
  [4106] = 2537,
  [4107] = 2362,
  [4108] = 2363,
  [4109] = 2653,
  [4110] = 3414,
  [4111] = 2681,
  [4112] = 2373,
  [4113] = 3409,
  [4114] = 2535,
  [4115] = 3409,
  [4116] = 2364,
  [4117] = 2361,
  [4118] = 2369,
  [4119] = 2530,
  [4120] = 3414,
  [4121] = 2644,
  [4122] = 2371,
  [4123] = 3409,
  [4124] = 2686,
  [4125] = 3409,
  [4126] = 2367,
  [4127] = 2368,
  [4128] = 3414,
  [4129] = 2360,
  [4130] = 2538,
  [4131] = 2370,
  [4132] = 145,
  [4133] = 4133,
  [4134] = 2292,
  [4135] = 4135,
  [4136] = 4136,
  [4137] = 4137,
  [4138] = 4135,
  [4139] = 4139,
  [4140] = 4140,
  [4141] = 4136,
  [4142] = 224,
  [4143] = 3409,
  [4144] = 3414,
  [4145] = 4133,
  [4146] = 2308,
  [4147] = 4136,
  [4148] = 4136,
  [4149] = 4137,
  [4150] = 2299,
  [4151] = 231,
  [4152] = 4136,
  [4153] = 4137,
  [4154] = 2287,
  [4155] = 4133,
  [4156] = 4136,
  [4157] = 4137,
  [4158] = 4158,
  [4159] = 4135,
  [4160] = 4160,
  [4161] = 4135,
  [4162] = 4135,
  [4163] = 2289,
  [4164] = 4137,
  [4165] = 146,
  [4166] = 2342,
  [4167] = 4158,
  [4168] = 4139,
  [4169] = 4133,
  [4170] = 4135,
  [4171] = 4133,
  [4172] = 4140,
  [4173] = 2325,
  [4174] = 4133,
  [4175] = 4136,
  [4176] = 4137,
  [4177] = 4133,
  [4178] = 4135,
  [4179] = 4137,
  [4180] = 2333,
  [4181] = 2310,
  [4182] = 2537,
  [4183] = 2306,
  [4184] = 2321,
  [4185] = 3414,
  [4186] = 4076,
  [4187] = 4187,
  [4188] = 2317,
  [4189] = 2334,
  [4190] = 4190,
  [4191] = 2322,
  [4192] = 2339,
  [4193] = 146,
  [4194] = 4194,
  [4195] = 4082,
  [4196] = 2320,
  [4197] = 2337,
  [4198] = 2386,
  [4199] = 2332,
  [4200] = 2309,
  [4201] = 2530,
  [4202] = 2535,
  [4203] = 2319,
  [4204] = 2341,
  [4205] = 2324,
  [4206] = 2312,
  [4207] = 2340,
  [4208] = 2343,
  [4209] = 2315,
  [4210] = 2338,
  [4211] = 2538,
  [4212] = 2336,
  [4213] = 2307,
  [4214] = 2323,
  [4215] = 2326,
  [4216] = 2327,
  [4217] = 3409,
  [4218] = 2313,
  [4219] = 2331,
  [4220] = 145,
  [4221] = 2328,
  [4222] = 4222,
  [4223] = 2316,
  [4224] = 2330,
  [4225] = 2390,
  [4226] = 2318,
  [4227] = 2311,
  [4228] = 2857,
  [4229] = 2538,
  [4230] = 4230,
  [4231] = 2530,
  [4232] = 3053,
  [4233] = 3049,
  [4234] = 4082,
  [4235] = 3051,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 4236,
  [4239] = 4076,
  [4240] = 4237,
  [4241] = 3057,
  [4242] = 3061,
  [4243] = 3054,
  [4244] = 3414,
  [4245] = 4245,
  [4246] = 3064,
  [4247] = 3052,
  [4248] = 2262,
  [4249] = 3409,
  [4250] = 2362,
  [4251] = 3414,
  [4252] = 3055,
  [4253] = 2535,
  [4254] = 4254,
  [4255] = 3058,
  [4256] = 3048,
  [4257] = 3409,
  [4258] = 3074,
  [4259] = 4259,
  [4260] = 4259,
  [4261] = 4230,
  [4262] = 3059,
  [4263] = 3073,
  [4264] = 4076,
  [4265] = 3050,
  [4266] = 3056,
  [4267] = 3086,
  [4268] = 2874,
  [4269] = 2537,
  [4270] = 2886,
  [4271] = 4082,
  [4272] = 3062,
  [4273] = 3115,
  [4274] = 2266,
  [4275] = 2644,
  [4276] = 3409,
  [4277] = 3103,
  [4278] = 2686,
  [4279] = 3414,
  [4280] = 2263,
  [4281] = 2242,
  [4282] = 2262,
  [4283] = 3409,
  [4284] = 2362,
  [4285] = 2653,
  [4286] = 2681,
  [4287] = 4287,
  [4288] = 4287,
  [4289] = 3414,
  [4290] = 1979,
  [4291] = 2242,
  [4292] = 2010,
  [4293] = 2002,
  [4294] = 4190,
  [4295] = 1984,
  [4296] = 2006,
  [4297] = 139,
  [4298] = 2003,
  [4299] = 145,
  [4300] = 4300,
  [4301] = 146,
  [4302] = 4082,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4187,
  [4306] = 2009,
  [4307] = 2001,
  [4308] = 4300,
  [4309] = 2251,
  [4310] = 4076,
  [4311] = 2000,
  [4312] = 4082,
  [4313] = 4245,
  [4314] = 4076,
  [4315] = 2251,
  [4316] = 2004,
  [4317] = 4300,
  [4318] = 147,
  [4319] = 4082,
  [4320] = 3103,
  [4321] = 1999,
  [4322] = 2238,
  [4323] = 4076,
  [4324] = 2263,
  [4325] = 1986,
  [4326] = 2008,
  [4327] = 4304,
  [4328] = 1990,
  [4329] = 4194,
  [4330] = 1987,
  [4331] = 1982,
  [4332] = 4245,
  [4333] = 2266,
  [4334] = 4222,
  [4335] = 3115,
  [4336] = 2238,
  [4337] = 4076,
  [4338] = 4303,
  [4339] = 4082,
  [4340] = 145,
  [4341] = 3053,
  [4342] = 3054,
  [4343] = 3055,
  [4344] = 4344,
  [4345] = 4345,
  [4346] = 3058,
  [4347] = 3061,
  [4348] = 2286,
  [4349] = 3049,
  [4350] = 4222,
  [4351] = 3052,
  [4352] = 2275,
  [4353] = 2274,
  [4354] = 3409,
  [4355] = 4187,
  [4356] = 4222,
  [4357] = 2278,
  [4358] = 3074,
  [4359] = 4190,
  [4360] = 146,
  [4361] = 3414,
  [4362] = 4194,
  [4363] = 3050,
  [4364] = 1972,
  [4365] = 4082,
  [4366] = 3086,
  [4367] = 2279,
  [4368] = 4368,
  [4369] = 3056,
  [4370] = 3057,
  [4371] = 4345,
  [4372] = 3062,
  [4373] = 3064,
  [4374] = 4187,
  [4375] = 4190,
  [4376] = 3073,
  [4377] = 3051,
  [4378] = 2284,
  [4379] = 3048,
  [4380] = 3059,
  [4381] = 2272,
  [4382] = 4076,
  [4383] = 1971,
  [4384] = 2271,
  [4385] = 4194,
  [4386] = 4386,
  [4387] = 4387,
  [4388] = 2362,
  [4389] = 4389,
  [4390] = 4390,
  [4391] = 4391,
  [4392] = 2644,
  [4393] = 2262,
  [4394] = 2681,
  [4395] = 2286,
  [4396] = 2274,
  [4397] = 2271,
  [4398] = 2275,
  [4399] = 2279,
  [4400] = 2284,
  [4401] = 2278,
  [4402] = 2272,
  [4403] = 2653,
  [4404] = 4404,
  [4405] = 2686,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 1972,
  [4409] = 3048,
  [4410] = 4410,
  [4411] = 4411,
  [4412] = 4412,
  [4413] = 3049,
  [4414] = 3055,
  [4415] = 3050,
  [4416] = 3051,
  [4417] = 3052,
  [4418] = 3053,
  [4419] = 3054,
  [4420] = 3058,
  [4421] = 3059,
  [4422] = 3056,
  [4423] = 4389,
  [4424] = 3057,
  [4425] = 3061,
  [4426] = 4426,
  [4427] = 3062,
  [4428] = 3086,
  [4429] = 3064,
  [4430] = 4082,
  [4431] = 4431,
  [4432] = 2262,
  [4433] = 4410,
  [4434] = 2265,
  [4435] = 4426,
  [4436] = 2777,
  [4437] = 1971,
  [4438] = 4411,
  [4439] = 4410,
  [4440] = 4411,
  [4441] = 4412,
  [4442] = 4431,
  [4443] = 4426,
  [4444] = 4431,
  [4445] = 4445,
  [4446] = 4446,
  [4447] = 4410,
  [4448] = 4411,
  [4449] = 4412,
  [4450] = 4426,
  [4451] = 4431,
  [4452] = 2362,
  [4453] = 4076,
  [4454] = 4410,
  [4455] = 4411,
  [4456] = 4412,
  [4457] = 4426,
  [4458] = 4431,
  [4459] = 4410,
  [4460] = 4411,
  [4461] = 4412,
  [4462] = 4426,
  [4463] = 4431,
  [4464] = 4412,
  [4465] = 4410,
  [4466] = 4412,
  [4467] = 4426,
  [4468] = 4412,
  [4469] = 4426,
  [4470] = 4412,
  [4471] = 4426,
  [4472] = 4412,
  [4473] = 4412,
  [4474] = 4412,
  [4475] = 4412,
  [4476] = 4412,
  [4477] = 4412,
  [4478] = 4412,
  [4479] = 4412,
  [4480] = 4412,
  [4481] = 4412,
  [4482] = 4412,
  [4483] = 4412,
  [4484] = 4412,
  [4485] = 3073,
  [4486] = 2795,
  [4487] = 3074,
  [4488] = 4488,
  [4489] = 4489,
  [4490] = 2262,
  [4491] = 4491,
  [4492] = 4407,
  [4493] = 4493,
  [4494] = 2790,
  [4495] = 4389,
  [4496] = 3053,
  [4497] = 4497,
  [4498] = 3103,
  [4499] = 4499,
  [4500] = 1118,
  [4501] = 2728,
  [4502] = 3064,
  [4503] = 4503,
  [4504] = 4499,
  [4505] = 4287,
  [4506] = 4506,
  [4507] = 3048,
  [4508] = 4508,
  [4509] = 2265,
  [4510] = 4497,
  [4511] = 4511,
  [4512] = 3049,
  [4513] = 2266,
  [4514] = 2772,
  [4515] = 3073,
  [4516] = 4222,
  [4517] = 4187,
  [4518] = 4190,
  [4519] = 4194,
  [4520] = 4520,
  [4521] = 3055,
  [4522] = 4503,
  [4523] = 2773,
  [4524] = 4499,
  [4525] = 3050,
  [4526] = 4222,
  [4527] = 3051,
  [4528] = 3052,
  [4529] = 3054,
  [4530] = 4497,
  [4531] = 4187,
  [4532] = 4190,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 3058,
  [4536] = 4194,
  [4537] = 3059,
  [4538] = 4222,
  [4539] = 4082,
  [4540] = 4187,
  [4541] = 4190,
  [4542] = 4194,
  [4543] = 3056,
  [4544] = 4544,
  [4545] = 4503,
  [4546] = 4499,
  [4547] = 4547,
  [4548] = 4548,
  [4549] = 4222,
  [4550] = 3057,
  [4551] = 4551,
  [4552] = 4552,
  [4553] = 4497,
  [4554] = 4187,
  [4555] = 4190,
  [4556] = 4556,
  [4557] = 2802,
  [4558] = 4194,
  [4559] = 4254,
  [4560] = 4503,
  [4561] = 4499,
  [4562] = 3506,
  [4563] = 4497,
  [4564] = 4497,
  [4565] = 2783,
  [4566] = 4566,
  [4567] = 4503,
  [4568] = 2792,
  [4569] = 3074,
  [4570] = 4497,
  [4571] = 4571,
  [4572] = 4571,
  [4573] = 2782,
  [4574] = 4574,
  [4575] = 4575,
  [4576] = 4497,
  [4577] = 4577,
  [4578] = 4497,
  [4579] = 3061,
  [4580] = 4076,
  [4581] = 4245,
  [4582] = 4534,
  [4583] = 137,
  [4584] = 142,
  [4585] = 143,
  [4586] = 144,
  [4587] = 136,
  [4588] = 140,
  [4589] = 135,
  [4590] = 164,
  [4591] = 156,
  [4592] = 157,
  [4593] = 163,
  [4594] = 162,
  [4595] = 3062,
  [4596] = 3048,
  [4597] = 4597,
  [4598] = 3049,
  [4599] = 4599,
  [4600] = 3055,
  [4601] = 3050,
  [4602] = 3051,
  [4603] = 3052,
  [4604] = 3053,
  [4605] = 3054,
  [4606] = 3058,
  [4607] = 3059,
  [4608] = 3056,
  [4609] = 4497,
  [4610] = 3057,
  [4611] = 4391,
  [4612] = 3061,
  [4613] = 3062,
  [4614] = 3086,
  [4615] = 3064,
  [4616] = 3115,
  [4617] = 2362,
  [4618] = 4599,
  [4619] = 4599,
  [4620] = 4497,
  [4621] = 4599,
  [4622] = 4599,
  [4623] = 4503,
  [4624] = 4599,
  [4625] = 4625,
  [4626] = 4599,
  [4627] = 4627,
  [4628] = 4628,
  [4629] = 4629,
  [4630] = 3086,
  [4631] = 3073,
  [4632] = 3074,
  [4633] = 4633,
  [4634] = 2773,
  [4635] = 4497,
  [4636] = 2802,
  [4637] = 4547,
  [4638] = 4548,
  [4639] = 4639,
  [4640] = 3048,
  [4641] = 3049,
  [4642] = 3055,
  [4643] = 3050,
  [4644] = 3051,
  [4645] = 3052,
  [4646] = 3053,
  [4647] = 3054,
  [4648] = 3058,
  [4649] = 3059,
  [4650] = 3056,
  [4651] = 3057,
  [4652] = 3061,
  [4653] = 3062,
  [4654] = 3086,
  [4655] = 3064,
  [4656] = 3073,
  [4657] = 3074,
  [4658] = 2390,
  [4659] = 2772,
  [4660] = 2783,
  [4661] = 2792,
  [4662] = 2782,
  [4663] = 2386,
  [4664] = 4497,
  [4665] = 4665,
  [4666] = 4666,
  [4667] = 4667,
  [4668] = 4668,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 4672,
  [4673] = 4673,
  [4674] = 4076,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4677,
  [4678] = 4678,
  [4679] = 4679,
  [4680] = 4680,
  [4681] = 4681,
  [4682] = 4667,
  [4683] = 4683,
  [4684] = 4675,
  [4685] = 4680,
  [4686] = 4686,
  [4687] = 4668,
  [4688] = 4688,
  [4689] = 2314,
  [4690] = 3103,
  [4691] = 4691,
  [4692] = 4692,
  [4693] = 4668,
  [4694] = 4679,
  [4695] = 4669,
  [4696] = 4667,
  [4697] = 4683,
  [4698] = 4698,
  [4699] = 4675,
  [4700] = 4680,
  [4701] = 4701,
  [4702] = 4668,
  [4703] = 4683,
  [4704] = 4670,
  [4705] = 2390,
  [4706] = 4667,
  [4707] = 4667,
  [4708] = 4683,
  [4709] = 4709,
  [4710] = 4675,
  [4711] = 4668,
  [4712] = 3115,
  [4713] = 4692,
  [4714] = 2335,
  [4715] = 4715,
  [4716] = 4667,
  [4717] = 4676,
  [4718] = 4675,
  [4719] = 4667,
  [4720] = 146,
  [4721] = 2386,
  [4722] = 4722,
  [4723] = 4680,
  [4724] = 4018,
  [4725] = 4673,
  [4726] = 2768,
  [4727] = 4727,
  [4728] = 4728,
  [4729] = 4673,
  [4730] = 4730,
  [4731] = 4679,
  [4732] = 4732,
  [4733] = 4673,
  [4734] = 4734,
  [4735] = 4676,
  [4736] = 4676,
  [4737] = 4677,
  [4738] = 4678,
  [4739] = 4739,
  [4740] = 4677,
  [4741] = 4678,
  [4742] = 145,
  [4743] = 4677,
  [4744] = 4679,
  [4745] = 4692,
  [4746] = 4680,
  [4747] = 4683,
  [4748] = 4678,
  [4749] = 4686,
  [4750] = 4739,
  [4751] = 4691,
  [4752] = 4752,
  [4753] = 4701,
  [4754] = 4672,
  [4755] = 4752,
  [4756] = 4739,
  [4757] = 4752,
  [4758] = 4683,
  [4759] = 4671,
  [4760] = 4222,
  [4761] = 4187,
  [4762] = 4190,
  [4763] = 4194,
  [4764] = 4670,
  [4765] = 4730,
  [4766] = 4672,
  [4767] = 4739,
  [4768] = 4768,
  [4769] = 4739,
  [4770] = 4082,
  [4771] = 4672,
  [4772] = 4739,
  [4773] = 4752,
  [4774] = 4730,
  [4775] = 4730,
  [4776] = 4675,
  [4777] = 4680,
  [4778] = 4730,
  [4779] = 4082,
  [4780] = 161,
  [4781] = 4781,
  [4782] = 4730,
  [4783] = 4668,
  [4784] = 4669,
  [4785] = 4668,
  [4786] = 4670,
  [4787] = 4672,
  [4788] = 4752,
  [4789] = 4730,
  [4790] = 4679,
  [4791] = 4791,
  [4792] = 4739,
  [4793] = 2265,
  [4794] = 4669,
  [4795] = 4667,
  [4796] = 4673,
  [4797] = 4752,
  [4798] = 4676,
  [4799] = 4677,
  [4800] = 4678,
  [4801] = 4679,
  [4802] = 4672,
  [4803] = 4803,
  [4804] = 4667,
  [4805] = 4683,
  [4806] = 4752,
  [4807] = 4076,
  [4808] = 4808,
  [4809] = 4809,
  [4810] = 4810,
  [4811] = 4811,
  [4812] = 4675,
  [4813] = 4692,
  [4814] = 4692,
  [4815] = 4692,
  [4816] = 4672,
  [4817] = 4817,
  [4818] = 2360,
  [4819] = 4819,
  [4820] = 2857,
  [4821] = 4821,
  [4822] = 2853,
  [4823] = 2820,
  [4824] = 2848,
  [4825] = 4825,
  [4826] = 4819,
  [4827] = 2854,
  [4828] = 4821,
  [4829] = 4819,
  [4830] = 4821,
  [4831] = 2846,
  [4832] = 4571,
  [4833] = 4825,
  [4834] = 2860,
  [4835] = 4819,
  [4836] = 4821,
  [4837] = 2880,
  [4838] = 2369,
  [4839] = 4825,
  [4840] = 2364,
  [4841] = 2874,
  [4842] = 4819,
  [4843] = 4821,
  [4844] = 2367,
  [4845] = 2366,
  [4846] = 4222,
  [4847] = 4825,
  [4848] = 2881,
  [4849] = 2365,
  [4850] = 4819,
  [4851] = 4821,
  [4852] = 2370,
  [4853] = 4825,
  [4854] = 4287,
  [4855] = 2363,
  [4856] = 2862,
  [4857] = 2361,
  [4858] = 2863,
  [4859] = 2825,
  [4860] = 2371,
  [4861] = 2827,
  [4862] = 4825,
  [4863] = 4825,
  [4864] = 2840,
  [4865] = 2852,
  [4866] = 4190,
  [4867] = 2869,
  [4868] = 2886,
  [4869] = 2265,
  [4870] = 2861,
  [4871] = 2864,
  [4872] = 4819,
  [4873] = 4571,
  [4874] = 4874,
  [4875] = 2855,
  [4876] = 2815,
  [4877] = 2274,
  [4878] = 2865,
  [4879] = 2839,
  [4880] = 2271,
  [4881] = 2275,
  [4882] = 2812,
  [4883] = 2873,
  [4884] = 2251,
  [4885] = 2279,
  [4886] = 2314,
  [4887] = 4187,
  [4888] = 2238,
  [4889] = 2373,
  [4890] = 4821,
  [4891] = 2856,
  [4892] = 2819,
  [4893] = 2284,
  [4894] = 2278,
  [4895] = 4895,
  [4896] = 2844,
  [4897] = 2335,
  [4898] = 2866,
  [4899] = 2299,
  [4900] = 2870,
  [4901] = 4901,
  [4902] = 4902,
  [4903] = 2814,
  [4904] = 2272,
  [4905] = 2851,
  [4906] = 2845,
  [4907] = 2838,
  [4908] = 2859,
  [4909] = 4194,
  [4910] = 2368,
  [4911] = 2847,
  [4912] = 2342,
  [4913] = 4222,
  [4914] = 4187,
  [4915] = 4190,
  [4916] = 4194,
  [4917] = 2324,
  [4918] = 2336,
  [4919] = 2299,
  [4920] = 4920,
  [4921] = 2308,
  [4922] = 2367,
  [4923] = 2309,
  [4924] = 2310,
  [4925] = 2315,
  [4926] = 2316,
  [4927] = 2317,
  [4928] = 2318,
  [4929] = 2319,
  [4930] = 4187,
  [4931] = 2366,
  [4932] = 4932,
  [4933] = 4932,
  [4934] = 4194,
  [4935] = 2365,
  [4936] = 2371,
  [4937] = 4937,
  [4938] = 4920,
  [4939] = 4939,
  [4940] = 4940,
  [4941] = 2343,
  [4942] = 2338,
  [4943] = 2292,
  [4944] = 2322,
  [4945] = 2307,
  [4946] = 2311,
  [4947] = 2312,
  [4948] = 2313,
  [4949] = 2306,
  [4950] = 2321,
  [4951] = 4082,
  [4952] = 2337,
  [4953] = 2325,
  [4954] = 2326,
  [4955] = 2327,
  [4956] = 2328,
  [4957] = 2330,
  [4958] = 2331,
  [4959] = 2332,
  [4960] = 2339,
  [4961] = 2341,
  [4962] = 4571,
  [4963] = 2362,
  [4964] = 2369,
  [4965] = 2370,
  [4966] = 4571,
  [4967] = 4571,
  [4968] = 2390,
  [4969] = 2386,
  [4970] = 4571,
  [4971] = 2363,
  [4972] = 4972,
  [4973] = 2361,
  [4974] = 2368,
  [4975] = 2360,
  [4976] = 4939,
  [4977] = 2289,
  [4978] = 4076,
  [4979] = 2287,
  [4980] = 224,
  [4981] = 2340,
  [4982] = 2323,
  [4983] = 231,
  [4984] = 4940,
  [4985] = 2320,
  [4986] = 2373,
  [4987] = 2364,
  [4988] = 2333,
  [4989] = 2334,
  [4990] = 4937,
  [4991] = 2334,
  [4992] = 2309,
  [4993] = 2310,
  [4994] = 4158,
  [4995] = 4222,
  [4996] = 4139,
  [4997] = 4571,
  [4998] = 2386,
  [4999] = 2324,
  [5000] = 4190,
  [5001] = 2315,
  [5002] = 1979,
  [5003] = 4190,
  [5004] = 4187,
  [5005] = 2316,
  [5006] = 224,
  [5007] = 2390,
  [5008] = 2342,
  [5009] = 231,
  [5010] = 2343,
  [5011] = 2338,
  [5012] = 2292,
  [5013] = 2322,
  [5014] = 2307,
  [5015] = 2317,
  [5016] = 2311,
  [5017] = 2312,
  [5018] = 2308,
  [5019] = 4187,
  [5020] = 4194,
  [5021] = 4571,
  [5022] = 2313,
  [5023] = 2318,
  [5024] = 2306,
  [5025] = 2321,
  [5026] = 4194,
  [5027] = 2325,
  [5028] = 2326,
  [5029] = 2327,
  [5030] = 2319,
  [5031] = 2328,
  [5032] = 2330,
  [5033] = 4222,
  [5034] = 2331,
  [5035] = 2386,
  [5036] = 2332,
  [5037] = 2262,
  [5038] = 2339,
  [5039] = 2341,
  [5040] = 5040,
  [5041] = 5041,
  [5042] = 2340,
  [5043] = 2333,
  [5044] = 2323,
  [5045] = 2286,
  [5046] = 2386,
  [5047] = 2320,
  [5048] = 2336,
  [5049] = 2390,
  [5050] = 2337,
  [5051] = 4571,
  [5052] = 4571,
  [5053] = 4287,
  [5054] = 2390,
  [5055] = 4571,
  [5056] = 2264,
  [5057] = 2390,
  [5058] = 2386,
  [5059] = 4571,
  [5060] = 4932,
  [5061] = 4937,
  [5062] = 4571,
  [5063] = 4571,
  [5064] = 4937,
  [5065] = 2314,
  [5066] = 2335,
  [5067] = 4932,
  [5068] = 4571,
  [5069] = 4571,
  [5070] = 5070,
  [5071] = 4190,
  [5072] = 5072,
  [5073] = 5072,
  [5074] = 5070,
  [5075] = 2362,
  [5076] = 4937,
  [5077] = 4287,
  [5078] = 5072,
  [5079] = 5079,
  [5080] = 5070,
  [5081] = 4932,
  [5082] = 5070,
  [5083] = 5083,
  [5084] = 5072,
  [5085] = 5072,
  [5086] = 5070,
  [5087] = 4194,
  [5088] = 2314,
  [5089] = 2335,
  [5090] = 5070,
  [5091] = 4187,
  [5092] = 4222,
  [5093] = 5072,
  [5094] = 5072,
  [5095] = 4932,
  [5096] = 5070,
  [5097] = 5070,
  [5098] = 4937,
  [5099] = 5072,
  [5100] = 4932,
  [5101] = 4937,
  [5102] = 4937,
  [5103] = 5072,
  [5104] = 4932,
  [5105] = 5070,
  [5106] = 4571,
  [5107] = 2370,
  [5108] = 2363,
  [5109] = 2361,
  [5110] = 2368,
  [5111] = 2360,
  [5112] = 4932,
  [5113] = 4571,
  [5114] = 2263,
  [5115] = 4937,
  [5116] = 4937,
  [5117] = 4937,
  [5118] = 2274,
  [5119] = 2373,
  [5120] = 2364,
  [5121] = 2264,
  [5122] = 2278,
  [5123] = 4932,
  [5124] = 4571,
  [5125] = 4571,
  [5126] = 2266,
  [5127] = 2367,
  [5128] = 2366,
  [5129] = 2272,
  [5130] = 2365,
  [5131] = 2264,
  [5132] = 2371,
  [5133] = 2279,
  [5134] = 4932,
  [5135] = 2275,
  [5136] = 4932,
  [5137] = 2284,
  [5138] = 2369,
  [5139] = 2271,
  [5140] = 4937,
  [5141] = 2365,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 5144,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 5150,
  [5151] = 5146,
  [5152] = 5142,
  [5153] = 5153,
  [5154] = 5143,
  [5155] = 5145,
  [5156] = 5143,
  [5157] = 5157,
  [5158] = 5146,
  [5159] = 5159,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5162,
  [5163] = 4937,
  [5164] = 5149,
  [5165] = 5144,
  [5166] = 5147,
  [5167] = 5162,
  [5168] = 5146,
  [5169] = 5142,
  [5170] = 5148,
  [5171] = 5145,
  [5172] = 4932,
  [5173] = 5143,
  [5174] = 5145,
  [5175] = 4937,
  [5176] = 5145,
  [5177] = 5148,
  [5178] = 4932,
  [5179] = 5149,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 5148,
  [5183] = 5148,
  [5184] = 5146,
  [5185] = 5146,
  [5186] = 4932,
  [5187] = 5142,
  [5188] = 4937,
  [5189] = 5181,
  [5190] = 5146,
  [5191] = 5142,
  [5192] = 5143,
  [5193] = 5145,
  [5194] = 5142,
  [5195] = 5143,
  [5196] = 5145,
  [5197] = 5149,
  [5198] = 5198,
  [5199] = 5181,
  [5200] = 5148,
  [5201] = 5142,
  [5202] = 5143,
  [5203] = 5145,
  [5204] = 5143,
  [5205] = 5146,
  [5206] = 4937,
  [5207] = 5181,
  [5208] = 5149,
  [5209] = 5159,
  [5210] = 5160,
  [5211] = 5161,
  [5212] = 5142,
  [5213] = 5144,
  [5214] = 5147,
  [5215] = 5162,
  [5216] = 5143,
  [5217] = 5145,
  [5218] = 5159,
  [5219] = 5160,
  [5220] = 5161,
  [5221] = 5142,
  [5222] = 5144,
  [5223] = 5147,
  [5224] = 5162,
  [5225] = 5143,
  [5226] = 5148,
  [5227] = 5145,
  [5228] = 5228,
  [5229] = 5159,
  [5230] = 5160,
  [5231] = 5161,
  [5232] = 5144,
  [5233] = 5147,
  [5234] = 5153,
  [5235] = 5148,
  [5236] = 5142,
  [5237] = 5159,
  [5238] = 5160,
  [5239] = 5161,
  [5240] = 5143,
  [5241] = 5144,
  [5242] = 5147,
  [5243] = 5162,
  [5244] = 5145,
  [5245] = 5148,
  [5246] = 5148,
  [5247] = 5142,
  [5248] = 5159,
  [5249] = 5160,
  [5250] = 5161,
  [5251] = 5143,
  [5252] = 5144,
  [5253] = 5147,
  [5254] = 5162,
  [5255] = 5145,
  [5256] = 5142,
  [5257] = 5148,
  [5258] = 5143,
  [5259] = 5145,
  [5260] = 5142,
  [5261] = 5143,
  [5262] = 5145,
  [5263] = 5150,
  [5264] = 5264,
  [5265] = 5159,
  [5266] = 4937,
  [5267] = 5148,
  [5268] = 5148,
  [5269] = 5148,
  [5270] = 4932,
  [5271] = 5148,
  [5272] = 5148,
  [5273] = 2373,
  [5274] = 2364,
  [5275] = 5160,
  [5276] = 5161,
  [5277] = 2367,
  [5278] = 2366,
  [5279] = 2371,
  [5280] = 2369,
  [5281] = 2370,
  [5282] = 2363,
  [5283] = 2361,
  [5284] = 2368,
  [5285] = 2360,
  [5286] = 5264,
  [5287] = 5142,
  [5288] = 5143,
  [5289] = 5145,
  [5290] = 5142,
  [5291] = 5143,
  [5292] = 5145,
  [5293] = 5142,
  [5294] = 5143,
  [5295] = 5145,
  [5296] = 5149,
  [5297] = 5297,
  [5298] = 5148,
  [5299] = 5146,
  [5300] = 5148,
  [5301] = 4932,
  [5302] = 5142,
  [5303] = 5181,
  [5304] = 4932,
  [5305] = 5142,
  [5306] = 5143,
  [5307] = 5148,
  [5308] = 5145,
  [5309] = 4937,
  [5310] = 5149,
  [5311] = 5181,
  [5312] = 5148,
  [5313] = 5149,
  [5314] = 5149,
  [5315] = 5162,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5318,
  [5319] = 5316,
  [5320] = 5320,
  [5321] = 5321,
  [5322] = 5318,
  [5323] = 5316,
  [5324] = 5324,
  [5325] = 5317,
  [5326] = 5318,
  [5327] = 5321,
  [5328] = 5321,
  [5329] = 5318,
  [5330] = 1971,
  [5331] = 5316,
  [5332] = 5324,
  [5333] = 5320,
  [5334] = 5317,
  [5335] = 5316,
  [5336] = 5317,
  [5337] = 5337,
  [5338] = 5337,
  [5339] = 5318,
  [5340] = 5321,
  [5341] = 5318,
  [5342] = 5320,
  [5343] = 5318,
  [5344] = 5344,
  [5345] = 5318,
  [5346] = 5346,
  [5347] = 5324,
  [5348] = 5324,
  [5349] = 5318,
  [5350] = 5318,
  [5351] = 5317,
  [5352] = 5352,
  [5353] = 5320,
  [5354] = 5318,
  [5355] = 5355,
  [5356] = 5320,
  [5357] = 5337,
  [5358] = 5321,
  [5359] = 5324,
  [5360] = 2286,
  [5361] = 5316,
  [5362] = 5318,
  [5363] = 5324,
  [5364] = 1972,
  [5365] = 5318,
  [5366] = 5317,
  [5367] = 5318,
  [5368] = 5320,
  [5369] = 5321,
  [5370] = 5317,
  [5371] = 5371,
  [5372] = 5318,
  [5373] = 5316,
  [5374] = 5324,
  [5375] = 5318,
  [5376] = 5337,
  [5377] = 5321,
  [5378] = 5318,
  [5379] = 5318,
  [5380] = 4932,
  [5381] = 4932,
  [5382] = 4937,
  [5383] = 5150,
  [5384] = 5153,
  [5385] = 4937,
  [5386] = 5264,
  [5387] = 5264,
  [5388] = 4932,
  [5389] = 4932,
  [5390] = 5153,
  [5391] = 4937,
  [5392] = 4937,
  [5393] = 5150,
  [5394] = 2381,
  [5395] = 5150,
  [5396] = 5153,
  [5397] = 5153,
  [5398] = 2379,
  [5399] = 5264,
  [5400] = 5150,
  [5401] = 5264,
  [5402] = 5150,
  [5403] = 5264,
  [5404] = 5264,
  [5405] = 5153,
  [5406] = 5150,
  [5407] = 5153,
  [5408] = 2649,
  [5409] = 5409,
  [5410] = 5153,
  [5411] = 5153,
  [5412] = 5150,
  [5413] = 5150,
  [5414] = 5409,
  [5415] = 5150,
  [5416] = 5264,
  [5417] = 5417,
  [5418] = 5409,
  [5419] = 5153,
  [5420] = 5153,
  [5421] = 5409,
  [5422] = 5264,
  [5423] = 5150,
  [5424] = 5264,
  [5425] = 5264,
  [5426] = 5264,
  [5427] = 5427,
  [5428] = 5427,
  [5429] = 5153,
  [5430] = 5153,
  [5431] = 5427,
  [5432] = 5264,
  [5433] = 5264,
  [5434] = 5153,
  [5435] = 5427,
  [5436] = 5150,
  [5437] = 5264,
  [5438] = 5150,
  [5439] = 5150,
  [5440] = 5153,
  [5441] = 5264,
  [5442] = 5153,
  [5443] = 5427,
  [5444] = 5150,
  [5445] = 5150,
  [5446] = 5427,
  [5447] = 5427,
  [5448] = 5264,
  [5449] = 5150,
  [5450] = 5153,
  [5451] = 5451,
  [5452] = 5264,
  [5453] = 5150,
  [5454] = 5153,
  [5455] = 5455,
  [5456] = 5455,
  [5457] = 5153,
  [5458] = 5153,
  [5459] = 5455,
  [5460] = 5153,
  [5461] = 5150,
  [5462] = 5417,
  [5463] = 5264,
  [5464] = 5150,
  [5465] = 5264,
  [5466] = 5150,
  [5467] = 5264,
  [5468] = 5468,
  [5469] = 5468,
  [5470] = 5470,
  [5471] = 5471,
  [5472] = 5468,
  [5473] = 5470,
  [5474] = 5468,
  [5475] = 5470,
  [5476] = 5471,
  [5477] = 5470,
  [5478] = 5468,
  [5479] = 5470,
  [5480] = 5480,
  [5481] = 5471,
  [5482] = 5471,
  [5483] = 5468,
  [5484] = 5468,
  [5485] = 5470,
  [5486] = 5471,
  [5487] = 5470,
  [5488] = 5470,
  [5489] = 5470,
  [5490] = 5480,
  [5491] = 5417,
  [5492] = 5480,
  [5493] = 5471,
  [5494] = 5468,
  [5495] = 5470,
  [5496] = 5468,
  [5497] = 5470,
  [5498] = 5468,
  [5499] = 5470,
  [5500] = 5468,
  [5501] = 5470,
  [5502] = 5502,
  [5503] = 5417,
  [5504] = 5504,
  [5505] = 5471,
  [5506] = 5468,
  [5507] = 5470,
  [5508] = 5468,
  [5509] = 5468,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5511,
  [5513] = 5513,
  [5514] = 5514,
  [5515] = 5511,
  [5516] = 5516,
  [5517] = 5516,
  [5518] = 5518,
  [5519] = 5516,
  [5520] = 5518,
  [5521] = 5518,
  [5522] = 5516,
  [5523] = 5513,
  [5524] = 5514,
  [5525] = 5513,
  [5526] = 5513,
  [5527] = 5514,
  [5528] = 5518,
  [5529] = 5516,
  [5530] = 5516,
  [5531] = 5514,
  [5532] = 5511,
  [5533] = 5533,
  [5534] = 5513,
  [5535] = 5514,
  [5536] = 5511,
  [5537] = 5510,
  [5538] = 5513,
  [5539] = 5514,
  [5540] = 5518,
  [5541] = 5516,
  [5542] = 5518,
  [5543] = 5516,
  [5544] = 5513,
  [5545] = 5518,
  [5546] = 5516,
  [5547] = 5518,
  [5548] = 5513,
  [5549] = 5514,
  [5550] = 5511,
  [5551] = 5514,
  [5552] = 5518,
  [5553] = 5516,
  [5554] = 5511,
  [5555] = 5513,
  [5556] = 5514,
  [5557] = 5511,
  [5558] = 5516,
  [5559] = 5511,
  [5560] = 5560,
  [5561] = 5513,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5560,
  [5566] = 5510,
  [5567] = 5563,
  [5568] = 5564,
  [5569] = 5514,
  [5570] = 5518,
  [5571] = 5518,
  [5572] = 5516,
  [5573] = 5513,
  [5574] = 5514,
  [5575] = 5511,
  [5576] = 5518,
  [5577] = 5502,
  [5578] = 5518,
  [5579] = 5516,
  [5580] = 5511,
  [5581] = 5513,
  [5582] = 5533,
  [5583] = 5514,
  [5584] = 5584,
  [5585] = 5511,
  [5586] = 5518,
  [5587] = 5516,
  [5588] = 5511,
  [5589] = 5533,
  [5590] = 5516,
  [5591] = 5513,
  [5592] = 5514,
  [5593] = 5513,
  [5594] = 5514,
  [5595] = 5511,
  [5596] = 5511,
  [5597] = 5518,
  [5598] = 5516,
  [5599] = 5513,
  [5600] = 5514,
  [5601] = 5511,
  [5602] = 5518,
  [5603] = 5516,
  [5604] = 5513,
  [5605] = 5514,
  [5606] = 5513,
  [5607] = 5514,
  [5608] = 5511,
  [5609] = 5518,
  [5610] = 5511,
  [5611] = 5518,
  [5612] = 5516,
  [5613] = 5513,
  [5614] = 5514,
  [5615] = 5562,
  [5616] = 5616,
  [5617] = 5617,
  [5618] = 5618,
  [5619] = 5619,
  [5620] = 5620,
  [5621] = 5619,
  [5622] = 5620,
  [5623] = 5623,
  [5624] = 5619,
  [5625] = 5616,
  [5626] = 5626,
  [5627] = 5627,
  [5628] = 5628,
  [5629] = 5629,
  [5630] = 5630,
  [5631] = 5631,
  [5632] = 5619,
  [5633] = 5619,
  [5634] = 5634,
  [5635] = 5626,
  [5636] = 5636,
  [5637] = 5637,
  [5638] = 5630,
  [5639] = 5639,
  [5640] = 5626,
  [5641] = 5619,
  [5642] = 5642,
  [5643] = 5643,
  [5644] = 5626,
  [5645] = 5645,
  [5646] = 5628,
  [5647] = 5647,
  [5648] = 5648,
  [5649] = 5619,
  [5650] = 5634,
  [5651] = 5626,
  [5652] = 5628,
  [5653] = 5653,
  [5654] = 5654,
  [5655] = 5417,
  [5656] = 5636,
  [5657] = 5657,
  [5658] = 5628,
  [5659] = 5659,
  [5660] = 5626,
  [5661] = 5623,
  [5662] = 5628,
  [5663] = 5619,
  [5664] = 5664,
  [5665] = 5626,
  [5666] = 5628,
  [5667] = 5619,
  [5668] = 5668,
  [5669] = 5626,
  [5670] = 5628,
  [5671] = 5626,
  [5672] = 5617,
  [5673] = 5619,
  [5674] = 5642,
  [5675] = 5417,
  [5676] = 5664,
  [5677] = 5616,
  [5678] = 5678,
  [5679] = 5678,
  [5680] = 5680,
  [5681] = 5417,
  [5682] = 5682,
  [5683] = 5637,
  [5684] = 5684,
  [5685] = 5647,
  [5686] = 5686,
  [5687] = 5687,
  [5688] = 5688,
  [5689] = 5689,
  [5690] = 5690,
  [5691] = 5691,
  [5692] = 5692,
  [5693] = 5693,
  [5694] = 5645,
  [5695] = 5695,
  [5696] = 5696,
  [5697] = 5619,
  [5698] = 5647,
  [5699] = 5699,
  [5700] = 5629,
  [5701] = 5701,
  [5702] = 5702,
  [5703] = 5642,
  [5704] = 5704,
  [5705] = 3103,
  [5706] = 5619,
  [5707] = 5642,
  [5708] = 5708,
  [5709] = 5619,
  [5710] = 5696,
  [5711] = 5711,
  [5712] = 5712,
  [5713] = 5713,
  [5714] = 5628,
  [5715] = 5668,
  [5716] = 5417,
  [5717] = 5717,
  [5718] = 5718,
  [5719] = 5619,
  [5720] = 5648,
  [5721] = 5721,
  [5722] = 5722,
  [5723] = 5628,
  [5724] = 1990,
  [5725] = 5725,
  [5726] = 3103,
  [5727] = 5727,
  [5728] = 5659,
  [5729] = 5729,
  [5730] = 5695,
  [5731] = 5699,
  [5732] = 5701,
  [5733] = 5708,
  [5734] = 2238,
  [5735] = 2006,
  [5736] = 5417,
  [5737] = 5729,
  [5738] = 5725,
  [5739] = 5727,
  [5740] = 5727,
  [5741] = 147,
  [5742] = 5742,
  [5743] = 5729,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 5680,
  [5750] = 5750,
  [5751] = 5742,
  [5752] = 5729,
  [5753] = 5627,
  [5754] = 5725,
  [5755] = 5725,
  [5756] = 5727,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5744,
  [5760] = 5727,
  [5761] = 2004,
  [5762] = 5682,
  [5763] = 5713,
  [5764] = 5764,
  [5765] = 139,
  [5766] = 5766,
  [5767] = 5767,
  [5768] = 5718,
  [5769] = 5769,
  [5770] = 5711,
  [5771] = 5729,
  [5772] = 5712,
  [5773] = 5729,
  [5774] = 1986,
  [5775] = 5742,
  [5776] = 2010,
  [5777] = 2251,
  [5778] = 2003,
  [5779] = 5727,
  [5780] = 5769,
  [5781] = 5742,
  [5782] = 5687,
  [5783] = 5766,
  [5784] = 5722,
  [5785] = 5744,
  [5786] = 5786,
  [5787] = 5744,
  [5788] = 5742,
  [5789] = 5745,
  [5790] = 5747,
  [5791] = 5686,
  [5792] = 5748,
  [5793] = 5691,
  [5794] = 5794,
  [5795] = 5786,
  [5796] = 5692,
  [5797] = 5742,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 1999,
  [5801] = 5745,
  [5802] = 5618,
  [5803] = 2002,
  [5804] = 2009,
  [5805] = 2001,
  [5806] = 2000,
  [5807] = 2008,
  [5808] = 5742,
  [5809] = 1982,
  [5810] = 1984,
  [5811] = 5767,
  [5812] = 1987,
  [5813] = 5564,
  [5814] = 2649,
  [5815] = 5769,
  [5816] = 5816,
  [5817] = 5562,
  [5818] = 5560,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5816,
  [5822] = 5563,
  [5823] = 1986,
  [5824] = 2000,
  [5825] = 5562,
  [5826] = 2002,
  [5827] = 2010,
  [5828] = 139,
  [5829] = 5767,
  [5830] = 5830,
  [5831] = 1982,
  [5832] = 1990,
  [5833] = 2006,
  [5834] = 2251,
  [5835] = 5816,
  [5836] = 5417,
  [5837] = 2238,
  [5838] = 5747,
  [5839] = 5560,
  [5840] = 5786,
  [5841] = 5841,
  [5842] = 5842,
  [5843] = 5843,
  [5844] = 147,
  [5845] = 2004,
  [5846] = 5816,
  [5847] = 5769,
  [5848] = 2003,
  [5849] = 2009,
  [5850] = 5563,
  [5851] = 5564,
  [5852] = 1987,
  [5853] = 1984,
  [5854] = 2008,
  [5855] = 5747,
  [5856] = 5816,
  [5857] = 5816,
  [5858] = 5748,
  [5859] = 5748,
  [5860] = 5786,
  [5861] = 1999,
  [5862] = 5862,
  [5863] = 5816,
  [5864] = 5767,
  [5865] = 2001,
  [5866] = 5564,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5867,
  [5870] = 5870,
  [5871] = 5867,
  [5872] = 5872,
  [5873] = 2416,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5875,
  [5878] = 5872,
  [5879] = 5560,
  [5880] = 5875,
  [5881] = 5881,
  [5882] = 5562,
  [5883] = 5868,
  [5884] = 5563,
  [5885] = 5564,
  [5886] = 5560,
  [5887] = 5562,
  [5888] = 5563,
  [5889] = 5564,
  [5890] = 5867,
  [5891] = 5819,
  [5892] = 5562,
  [5893] = 5872,
  [5894] = 5872,
  [5895] = 5895,
  [5896] = 5872,
  [5897] = 5875,
  [5898] = 5872,
  [5899] = 5899,
  [5900] = 5563,
  [5901] = 5901,
  [5902] = 5875,
  [5903] = 5875,
  [5904] = 5904,
  [5905] = 2251,
  [5906] = 5875,
  [5907] = 5881,
  [5908] = 5820,
  [5909] = 5909,
  [5910] = 2420,
  [5911] = 5911,
  [5912] = 5912,
  [5913] = 5417,
  [5914] = 5899,
  [5915] = 5872,
  [5916] = 5872,
  [5917] = 2414,
  [5918] = 5867,
  [5919] = 5875,
  [5920] = 5875,
  [5921] = 2238,
  [5922] = 5560,
  [5923] = 5562,
  [5924] = 5563,
  [5925] = 5417,
  [5926] = 5841,
  [5927] = 5875,
  [5928] = 5560,
  [5929] = 5872,
  [5930] = 5930,
  [5931] = 5867,
  [5932] = 5872,
  [5933] = 5933,
  [5934] = 5564,
  [5935] = 5935,
  [5936] = 5935,
  [5937] = 5937,
  [5938] = 5417,
  [5939] = 5935,
  [5940] = 5935,
  [5941] = 5941,
  [5942] = 5935,
  [5943] = 5417,
  [5944] = 5935,
  [5945] = 5935,
  [5946] = 5935,
  [5947] = 5935,
  [5948] = 5935,
  [5949] = 5935,
  [5950] = 5935,
  [5951] = 5935,
  [5952] = 941,
  [5953] = 5935,
  [5954] = 5935,
  [5955] = 5935,
  [5956] = 5935,
  [5957] = 5935,
  [5958] = 949,
  [5959] = 5935,
  [5960] = 2616,
  [5961] = 5961,
  [5962] = 5962,
  [5963] = 5963,
  [5964] = 5964,
  [5965] = 5965,
  [5966] = 5966,
  [5967] = 5967,
  [5968] = 5560,
  [5969] = 5562,
  [5970] = 5563,
  [5971] = 5564,
  [5972] = 5972,
  [5973] = 5973,
  [5974] = 5786,
  [5975] = 5975,
  [5976] = 5747,
  [5977] = 5769,
  [5978] = 5748,
  [5979] = 5767,
  [5980] = 5560,
  [5981] = 5562,
  [5982] = 5563,
  [5983] = 5564,
  [5984] = 2251,
  [5985] = 2531,
  [5986] = 5986,
  [5987] = 5973,
  [5988] = 5988,
  [5989] = 5562,
  [5990] = 5747,
  [5991] = 5991,
  [5992] = 5992,
  [5993] = 5993,
  [5994] = 5961,
  [5995] = 5995,
  [5996] = 5560,
  [5997] = 5973,
  [5998] = 5973,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 2619,
  [6002] = 6002,
  [6003] = 5973,
  [6004] = 6004,
  [6005] = 6005,
  [6006] = 6006,
  [6007] = 5995,
  [6008] = 2591,
  [6009] = 5563,
  [6010] = 6010,
  [6011] = 6011,
  [6012] = 5769,
  [6013] = 5560,
  [6014] = 5562,
  [6015] = 5563,
  [6016] = 5564,
  [6017] = 6002,
  [6018] = 5560,
  [6019] = 5562,
  [6020] = 5563,
  [6021] = 5564,
  [6022] = 6022,
  [6023] = 5973,
  [6024] = 6005,
  [6025] = 5963,
  [6026] = 5995,
  [6027] = 5964,
  [6028] = 5967,
  [6029] = 5560,
  [6030] = 6005,
  [6031] = 5563,
  [6032] = 5769,
  [6033] = 5995,
  [6034] = 5560,
  [6035] = 5786,
  [6036] = 6036,
  [6037] = 6002,
  [6038] = 6002,
  [6039] = 6005,
  [6040] = 5995,
  [6041] = 5966,
  [6042] = 6042,
  [6043] = 5973,
  [6044] = 6005,
  [6045] = 5995,
  [6046] = 5999,
  [6047] = 5748,
  [6048] = 5564,
  [6049] = 6004,
  [6050] = 6050,
  [6051] = 5562,
  [6052] = 5748,
  [6053] = 5564,
  [6054] = 6054,
  [6055] = 5767,
  [6056] = 5965,
  [6057] = 5562,
  [6058] = 6058,
  [6059] = 5965,
  [6060] = 5965,
  [6061] = 5786,
  [6062] = 6062,
  [6063] = 5993,
  [6064] = 5747,
  [6065] = 5769,
  [6066] = 5748,
  [6067] = 5767,
  [6068] = 2597,
  [6069] = 5560,
  [6070] = 6070,
  [6071] = 5786,
  [6072] = 6072,
  [6073] = 5973,
  [6074] = 5562,
  [6075] = 6075,
  [6076] = 6076,
  [6077] = 6062,
  [6078] = 6078,
  [6079] = 5563,
  [6080] = 5767,
  [6081] = 5962,
  [6082] = 5747,
  [6083] = 2238,
  [6084] = 6002,
  [6085] = 5973,
  [6086] = 6005,
  [6087] = 6050,
  [6088] = 5975,
  [6089] = 6054,
  [6090] = 6005,
  [6091] = 6075,
  [6092] = 6070,
  [6093] = 6006,
  [6094] = 6094,
  [6095] = 5564,
  [6096] = 6011,
  [6097] = 5993,
  [6098] = 6098,
  [6099] = 5993,
  [6100] = 5993,
  [6101] = 5993,
  [6102] = 5993,
  [6103] = 5563,
  [6104] = 2627,
  [6105] = 5995,
  [6106] = 5973,
  [6107] = 6002,
  [6108] = 6072,
  [6109] = 5986,
  [6110] = 5988,
  [6111] = 5991,
  [6112] = 5564,
  [6113] = 6094,
  [6114] = 6022,
  [6115] = 6115,
  [6116] = 6116,
  [6117] = 6117,
  [6118] = 6116,
  [6119] = 6119,
  [6120] = 2251,
  [6121] = 2454,
  [6122] = 5909,
  [6123] = 6116,
  [6124] = 2432,
  [6125] = 6116,
  [6126] = 6116,
  [6127] = 6127,
  [6128] = 6116,
  [6129] = 6129,
  [6130] = 6116,
  [6131] = 6116,
  [6132] = 6132,
  [6133] = 6133,
  [6134] = 5560,
  [6135] = 6129,
  [6136] = 5786,
  [6137] = 6137,
  [6138] = 6116,
  [6139] = 5930,
  [6140] = 6115,
  [6141] = 5562,
  [6142] = 5786,
  [6143] = 5911,
  [6144] = 5747,
  [6145] = 5769,
  [6146] = 5748,
  [6147] = 6116,
  [6148] = 6116,
  [6149] = 6116,
  [6150] = 6129,
  [6151] = 2657,
  [6152] = 6129,
  [6153] = 5912,
  [6154] = 5767,
  [6155] = 5870,
  [6156] = 6129,
  [6157] = 6157,
  [6158] = 6158,
  [6159] = 6116,
  [6160] = 6129,
  [6161] = 5560,
  [6162] = 5747,
  [6163] = 5562,
  [6164] = 6115,
  [6165] = 2426,
  [6166] = 5563,
  [6167] = 5564,
  [6168] = 6115,
  [6169] = 2449,
  [6170] = 6170,
  [6171] = 2238,
  [6172] = 5563,
  [6173] = 5769,
  [6174] = 6116,
  [6175] = 5933,
  [6176] = 5748,
  [6177] = 6116,
  [6178] = 5564,
  [6179] = 6115,
  [6180] = 5767,
  [6181] = 6115,
  [6182] = 6182,
  [6183] = 5895,
  [6184] = 6116,
  [6185] = 2767,
  [6186] = 6116,
  [6187] = 6187,
  [6188] = 6116,
  [6189] = 6129,
  [6190] = 5901,
  [6191] = 6116,
  [6192] = 5417,
  [6193] = 6115,
  [6194] = 6116,
  [6195] = 2776,
  [6196] = 5560,
  [6197] = 5933,
  [6198] = 5563,
  [6199] = 5560,
  [6200] = 6200,
  [6201] = 6201,
  [6202] = 5564,
  [6203] = 6203,
  [6204] = 6203,
  [6205] = 6205,
  [6206] = 5912,
  [6207] = 6207,
  [6208] = 6205,
  [6209] = 5870,
  [6210] = 6210,
  [6211] = 6201,
  [6212] = 6200,
  [6213] = 6205,
  [6214] = 6203,
  [6215] = 6215,
  [6216] = 6216,
  [6217] = 6203,
  [6218] = 5930,
  [6219] = 6203,
  [6220] = 6203,
  [6221] = 6210,
  [6222] = 6205,
  [6223] = 5909,
  [6224] = 6200,
  [6225] = 5563,
  [6226] = 6203,
  [6227] = 6227,
  [6228] = 6228,
  [6229] = 6215,
  [6230] = 2867,
  [6231] = 6205,
  [6232] = 6203,
  [6233] = 1118,
  [6234] = 6215,
  [6235] = 5911,
  [6236] = 6236,
  [6237] = 6205,
  [6238] = 6200,
  [6239] = 5901,
  [6240] = 5562,
  [6241] = 5895,
  [6242] = 6242,
  [6243] = 2894,
  [6244] = 6205,
  [6245] = 6245,
  [6246] = 6205,
  [6247] = 6215,
  [6248] = 6205,
  [6249] = 6215,
  [6250] = 5933,
  [6251] = 6251,
  [6252] = 6242,
  [6253] = 6216,
  [6254] = 5909,
  [6255] = 5562,
  [6256] = 5911,
  [6257] = 5912,
  [6258] = 5870,
  [6259] = 6259,
  [6260] = 6236,
  [6261] = 6201,
  [6262] = 6203,
  [6263] = 5901,
  [6264] = 5930,
  [6265] = 6201,
  [6266] = 6251,
  [6267] = 5564,
  [6268] = 6205,
  [6269] = 5895,
  [6270] = 6245,
  [6271] = 6203,
  [6272] = 2702,
  [6273] = 6273,
  [6274] = 2685,
  [6275] = 2829,
  [6276] = 6273,
  [6277] = 6277,
  [6278] = 2688,
  [6279] = 6279,
  [6280] = 2830,
  [6281] = 6281,
  [6282] = 6273,
  [6283] = 6283,
  [6284] = 6284,
  [6285] = 6273,
  [6286] = 2689,
  [6287] = 2697,
  [6288] = 6273,
  [6289] = 2822,
  [6290] = 6273,
  [6291] = 6291,
  [6292] = 6273,
  [6293] = 6273,
  [6294] = 6273,
  [6295] = 2474,
  [6296] = 6296,
  [6297] = 2362,
  [6298] = 6298,
  [6299] = 145,
  [6300] = 2823,
  [6301] = 2878,
  [6302] = 2699,
  [6303] = 6273,
  [6304] = 6304,
  [6305] = 6273,
  [6306] = 2627,
  [6307] = 2824,
  [6308] = 6273,
  [6309] = 2710,
  [6310] = 6273,
  [6311] = 5560,
  [6312] = 5562,
  [6313] = 5563,
  [6314] = 5564,
  [6315] = 2597,
  [6316] = 6273,
  [6317] = 6273,
  [6318] = 2619,
  [6319] = 6273,
  [6320] = 5560,
  [6321] = 5562,
  [6322] = 5563,
  [6323] = 6323,
  [6324] = 5564,
  [6325] = 6325,
  [6326] = 2828,
  [6327] = 2591,
  [6328] = 2616,
  [6329] = 2896,
  [6330] = 6330,
  [6331] = 6273,
  [6332] = 6332,
  [6333] = 6333,
  [6334] = 6334,
  [6335] = 6273,
  [6336] = 2649,
  [6337] = 6273,
  [6338] = 2701,
  [6339] = 2703,
  [6340] = 2659,
  [6341] = 6273,
  [6342] = 2695,
  [6343] = 5909,
  [6344] = 5912,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 6347,
  [6348] = 5870,
  [6349] = 5933,
  [6350] = 5895,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 6346,
  [6354] = 6354,
  [6355] = 5909,
  [6356] = 5911,
  [6357] = 2801,
  [6358] = 5912,
  [6359] = 6251,
  [6360] = 5912,
  [6361] = 6361,
  [6362] = 6362,
  [6363] = 6354,
  [6364] = 5901,
  [6365] = 6362,
  [6366] = 5933,
  [6367] = 6351,
  [6368] = 5909,
  [6369] = 5911,
  [6370] = 6370,
  [6371] = 5930,
  [6372] = 6372,
  [6373] = 6242,
  [6374] = 6374,
  [6375] = 6372,
  [6376] = 6347,
  [6377] = 5930,
  [6378] = 6351,
  [6379] = 6347,
  [6380] = 6372,
  [6381] = 5748,
  [6382] = 6216,
  [6383] = 6383,
  [6384] = 6384,
  [6385] = 5870,
  [6386] = 6386,
  [6387] = 146,
  [6388] = 6388,
  [6389] = 6346,
  [6390] = 5767,
  [6391] = 6345,
  [6392] = 5901,
  [6393] = 145,
  [6394] = 5930,
  [6395] = 5933,
  [6396] = 6352,
  [6397] = 6352,
  [6398] = 6398,
  [6399] = 5870,
  [6400] = 6400,
  [6401] = 6354,
  [6402] = 6347,
  [6403] = 6354,
  [6404] = 6352,
  [6405] = 2657,
  [6406] = 6346,
  [6407] = 6362,
  [6408] = 6352,
  [6409] = 6409,
  [6410] = 6410,
  [6411] = 6362,
  [6412] = 6351,
  [6413] = 6236,
  [6414] = 6362,
  [6415] = 6362,
  [6416] = 5909,
  [6417] = 6417,
  [6418] = 6210,
  [6419] = 5895,
  [6420] = 6352,
  [6421] = 2251,
  [6422] = 6351,
  [6423] = 6423,
  [6424] = 6346,
  [6425] = 6425,
  [6426] = 6426,
  [6427] = 6346,
  [6428] = 6354,
  [6429] = 5747,
  [6430] = 5786,
  [6431] = 6372,
  [6432] = 5747,
  [6433] = 5901,
  [6434] = 5895,
  [6435] = 5769,
  [6436] = 6372,
  [6437] = 6345,
  [6438] = 6347,
  [6439] = 5748,
  [6440] = 6351,
  [6441] = 6441,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6445,
  [6446] = 6446,
  [6447] = 6447,
  [6448] = 5895,
  [6449] = 5767,
  [6450] = 5769,
  [6451] = 6345,
  [6452] = 6362,
  [6453] = 6372,
  [6454] = 5911,
  [6455] = 6347,
  [6456] = 6456,
  [6457] = 6457,
  [6458] = 2238,
  [6459] = 6345,
  [6460] = 5901,
  [6461] = 5911,
  [6462] = 6345,
  [6463] = 6463,
  [6464] = 6464,
  [6465] = 6465,
  [6466] = 5930,
  [6467] = 6345,
  [6468] = 5912,
  [6469] = 5870,
  [6470] = 5786,
  [6471] = 5933,
  [6472] = 6346,
  [6473] = 6352,
  [6474] = 6351,
  [6475] = 6372,
  [6476] = 6476,
  [6477] = 6444,
  [6478] = 6354,
  [6479] = 6347,
  [6480] = 6480,
  [6481] = 6354,
  [6482] = 6482,
  [6483] = 144,
  [6484] = 143,
  [6485] = 6485,
  [6486] = 6127,
  [6487] = 6487,
  [6488] = 6228,
  [6489] = 6489,
  [6490] = 6489,
  [6491] = 5870,
  [6492] = 136,
  [6493] = 2386,
  [6494] = 6489,
  [6495] = 137,
  [6496] = 6489,
  [6497] = 135,
  [6498] = 5909,
  [6499] = 5911,
  [6500] = 5911,
  [6501] = 6501,
  [6502] = 142,
  [6503] = 5901,
  [6504] = 5930,
  [6505] = 6489,
  [6506] = 5933,
  [6507] = 5933,
  [6508] = 6489,
  [6509] = 6509,
  [6510] = 6489,
  [6511] = 2390,
  [6512] = 6512,
  [6513] = 6513,
  [6514] = 140,
  [6515] = 6489,
  [6516] = 6489,
  [6517] = 6489,
  [6518] = 6489,
  [6519] = 6519,
  [6520] = 5895,
  [6521] = 6489,
  [6522] = 5909,
  [6523] = 5912,
  [6524] = 6524,
  [6525] = 5901,
  [6526] = 6489,
  [6527] = 6527,
  [6528] = 6528,
  [6529] = 6529,
  [6530] = 6216,
  [6531] = 6210,
  [6532] = 6532,
  [6533] = 6528,
  [6534] = 6528,
  [6535] = 6528,
  [6536] = 6527,
  [6537] = 6537,
  [6538] = 6529,
  [6539] = 6528,
  [6540] = 5895,
  [6541] = 6528,
  [6542] = 6528,
  [6543] = 6528,
  [6544] = 6544,
  [6545] = 6528,
  [6546] = 6528,
  [6547] = 6537,
  [6548] = 6548,
  [6549] = 6528,
  [6550] = 6528,
  [6551] = 6532,
  [6552] = 138,
  [6553] = 6000,
  [6554] = 6242,
  [6555] = 6528,
  [6556] = 6528,
  [6557] = 6537,
  [6558] = 6251,
  [6559] = 6532,
  [6560] = 5909,
  [6561] = 6236,
  [6562] = 5911,
  [6563] = 6528,
  [6564] = 6528,
  [6565] = 5912,
  [6566] = 141,
  [6567] = 5870,
  [6568] = 6528,
  [6569] = 6532,
  [6570] = 5901,
  [6571] = 5930,
  [6572] = 6528,
  [6573] = 5933,
  [6574] = 6529,
  [6575] = 6528,
  [6576] = 6528,
  [6577] = 6528,
  [6578] = 6529,
  [6579] = 6528,
  [6580] = 6528,
  [6581] = 6527,
  [6582] = 6528,
  [6583] = 6532,
  [6584] = 6532,
  [6585] = 6528,
  [6586] = 2295,
  [6587] = 6527,
  [6588] = 6532,
  [6589] = 6537,
  [6590] = 5972,
  [6591] = 6591,
  [6592] = 2591,
  [6593] = 2597,
  [6594] = 2627,
  [6595] = 2616,
  [6596] = 6591,
  [6597] = 6591,
  [6598] = 6598,
  [6599] = 6599,
  [6600] = 2767,
  [6601] = 6591,
  [6602] = 6000,
  [6603] = 6603,
  [6604] = 6604,
  [6605] = 6591,
  [6606] = 5895,
  [6607] = 5912,
  [6608] = 5870,
  [6609] = 5930,
  [6610] = 6610,
  [6611] = 5909,
  [6612] = 5911,
  [6613] = 5901,
  [6614] = 5933,
  [6615] = 6610,
  [6616] = 6616,
  [6617] = 6617,
  [6618] = 6610,
  [6619] = 6619,
  [6620] = 5909,
  [6621] = 5909,
  [6622] = 5911,
  [6623] = 6623,
  [6624] = 6624,
  [6625] = 5901,
  [6626] = 6626,
  [6627] = 2619,
  [6628] = 6604,
  [6629] = 5911,
  [6630] = 6630,
  [6631] = 5901,
  [6632] = 6604,
  [6633] = 6591,
  [6634] = 5972,
  [6635] = 6170,
  [6636] = 6157,
  [6637] = 6610,
  [6638] = 6638,
  [6639] = 6639,
  [6640] = 5909,
  [6641] = 5911,
  [6642] = 5933,
  [6643] = 6643,
  [6644] = 5901,
  [6645] = 6119,
  [6646] = 5933,
  [6647] = 6182,
  [6648] = 6117,
  [6649] = 6649,
  [6650] = 6650,
  [6651] = 6591,
  [6652] = 6216,
  [6653] = 6210,
  [6654] = 6251,
  [6655] = 6242,
  [6656] = 6236,
  [6657] = 6657,
  [6658] = 6604,
  [6659] = 5933,
  [6660] = 6660,
  [6661] = 6661,
  [6662] = 6662,
  [6663] = 2619,
  [6664] = 6664,
  [6665] = 6665,
  [6666] = 2657,
  [6667] = 5895,
  [6668] = 2258,
  [6669] = 2597,
  [6670] = 6670,
  [6671] = 6671,
  [6672] = 5912,
  [6673] = 5870,
  [6674] = 5933,
  [6675] = 2627,
  [6676] = 6664,
  [6677] = 6677,
  [6678] = 2616,
  [6679] = 5870,
  [6680] = 5930,
  [6681] = 2256,
  [6682] = 6664,
  [6683] = 6671,
  [6684] = 6684,
  [6685] = 5909,
  [6686] = 5911,
  [6687] = 5901,
  [6688] = 5933,
  [6689] = 5909,
  [6690] = 2767,
  [6691] = 6665,
  [6692] = 6692,
  [6693] = 5912,
  [6694] = 6692,
  [6695] = 6695,
  [6696] = 5930,
  [6697] = 6671,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6665,
  [6701] = 6701,
  [6702] = 6664,
  [6703] = 6703,
  [6704] = 6665,
  [6705] = 6705,
  [6706] = 6671,
  [6707] = 6692,
  [6708] = 6692,
  [6709] = 6709,
  [6710] = 6677,
  [6711] = 2257,
  [6712] = 6670,
  [6713] = 6684,
  [6714] = 5911,
  [6715] = 5895,
  [6716] = 6716,
  [6717] = 5901,
  [6718] = 6677,
  [6719] = 6670,
  [6720] = 6677,
  [6721] = 6670,
  [6722] = 6677,
  [6723] = 6670,
  [6724] = 6677,
  [6725] = 6670,
  [6726] = 6677,
  [6727] = 6670,
  [6728] = 2591,
  [6729] = 6729,
  [6730] = 6730,
  [6731] = 6731,
  [6732] = 6732,
  [6733] = 6733,
  [6734] = 6729,
  [6735] = 2767,
  [6736] = 6284,
  [6737] = 6729,
  [6738] = 6738,
  [6739] = 2767,
  [6740] = 6740,
  [6741] = 2657,
  [6742] = 6277,
  [6743] = 6283,
  [6744] = 6744,
  [6745] = 6729,
  [6746] = 6746,
  [6747] = 6740,
  [6748] = 6748,
  [6749] = 6740,
  [6750] = 6750,
  [6751] = 6729,
  [6752] = 6740,
  [6753] = 6729,
  [6754] = 6754,
  [6755] = 6755,
  [6756] = 6756,
  [6757] = 6740,
  [6758] = 6758,
  [6759] = 6750,
  [6760] = 6740,
  [6761] = 6761,
  [6762] = 6729,
  [6763] = 6763,
  [6764] = 6740,
  [6765] = 6765,
  [6766] = 6766,
  [6767] = 6765,
  [6768] = 6768,
  [6769] = 6769,
  [6770] = 6766,
  [6771] = 6771,
  [6772] = 6769,
  [6773] = 6771,
  [6774] = 6774,
  [6775] = 5909,
  [6776] = 6776,
  [6777] = 6776,
  [6778] = 6778,
  [6779] = 6779,
  [6780] = 5911,
  [6781] = 6781,
  [6782] = 6782,
  [6783] = 2767,
  [6784] = 2767,
  [6785] = 6774,
  [6786] = 6782,
  [6787] = 5901,
  [6788] = 6788,
  [6789] = 2722,
  [6790] = 6790,
  [6791] = 5933,
  [6792] = 5912,
  [6793] = 6793,
  [6794] = 6794,
  [6795] = 6795,
  [6796] = 5870,
  [6797] = 6793,
  [6798] = 6779,
  [6799] = 6799,
  [6800] = 6778,
  [6801] = 6795,
  [6802] = 6802,
  [6803] = 6803,
  [6804] = 6779,
  [6805] = 6805,
  [6806] = 6794,
  [6807] = 6782,
  [6808] = 5895,
  [6809] = 6794,
  [6810] = 6782,
  [6811] = 6811,
  [6812] = 6774,
  [6813] = 6766,
  [6814] = 6769,
  [6815] = 5930,
  [6816] = 6771,
  [6817] = 6782,
  [6818] = 6776,
  [6819] = 6778,
  [6820] = 6793,
  [6821] = 6821,
  [6822] = 6774,
  [6823] = 6823,
  [6824] = 6824,
  [6825] = 6825,
  [6826] = 6826,
  [6827] = 6827,
  [6828] = 6828,
  [6829] = 6829,
  [6830] = 6830,
  [6831] = 6831,
  [6832] = 6832,
  [6833] = 6833,
  [6834] = 6833,
  [6835] = 6835,
  [6836] = 6830,
  [6837] = 6837,
  [6838] = 6838,
  [6839] = 6839,
  [6840] = 6840,
  [6841] = 6841,
  [6842] = 6824,
  [6843] = 6825,
  [6844] = 6835,
  [6845] = 6826,
  [6846] = 6827,
  [6847] = 6828,
  [6848] = 6829,
  [6849] = 6837,
  [6850] = 6832,
  [6851] = 6851,
  [6852] = 6835,
  [6853] = 6830,
  [6854] = 6830,
  [6855] = 6837,
  [6856] = 6851,
  [6857] = 6841,
  [6858] = 6835,
  [6859] = 6826,
  [6860] = 6828,
  [6861] = 6829,
  [6862] = 6830,
  [6863] = 6830,
  [6864] = 6826,
  [6865] = 6865,
  [6866] = 6828,
  [6867] = 6829,
  [6868] = 6830,
  [6869] = 6851,
  [6870] = 6826,
  [6871] = 6829,
  [6872] = 6872,
  [6873] = 6830,
  [6874] = 6826,
  [6875] = 6826,
  [6876] = 6837,
  [6877] = 6829,
  [6878] = 6830,
  [6879] = 6826,
  [6880] = 6829,
  [6881] = 6872,
  [6882] = 6830,
  [6883] = 6826,
  [6884] = 6829,
  [6885] = 6830,
  [6886] = 6826,
  [6887] = 6829,
  [6888] = 6838,
  [6889] = 6830,
  [6890] = 6826,
  [6891] = 6829,
  [6892] = 6839,
  [6893] = 6830,
  [6894] = 6826,
  [6895] = 6829,
  [6896] = 6830,
  [6897] = 6830,
  [6898] = 6837,
  [6899] = 6830,
  [6900] = 6823,
  [6901] = 6830,
  [6902] = 6902,
  [6903] = 6838,
  [6904] = 6826,
  [6905] = 6839,
  [6906] = 6841,
  [6907] = 6907,
  [6908] = 6823,
  [6909] = 6902,
  [6910] = 6910,
  [6911] = 6832,
  [6912] = 6912,
  [6913] = 6837,
  [6914] = 6840,
  [6915] = 6831,
  [6916] = 6841,
  [6917] = 6917,
  [6918] = 6918,
  [6919] = 6841,
  [6920] = 6824,
  [6921] = 6921,
  [6922] = 6824,
  [6923] = 6921,
  [6924] = 6924,
  [6925] = 6925,
  [6926] = 6828,
  [6927] = 6831,
  [6928] = 6918,
  [6929] = 6838,
  [6930] = 6839,
  [6931] = 6917,
  [6932] = 6932,
  [6933] = 6826,
  [6934] = 6830,
  [6935] = 6918,
  [6936] = 6833,
  [6937] = 6851,
  [6938] = 6921,
  [6939] = 6902,
  [6940] = 6827,
  [6941] = 6941,
  [6942] = 6924,
  [6943] = 6824,
  [6944] = 6838,
  [6945] = 6945,
  [6946] = 6827,
  [6947] = 6826,
  [6948] = 6828,
  [6949] = 6826,
  [6950] = 6950,
  [6951] = 6951,
  [6952] = 6835,
  [6953] = 6829,
  [6954] = 6828,
  [6955] = 6918,
  [6956] = 6826,
  [6957] = 6924,
  [6958] = 6831,
  [6959] = 6823,
  [6960] = 6832,
  [6961] = 6839,
  [6962] = 6827,
  [6963] = 6963,
  [6964] = 6829,
  [6965] = 6841,
  [6966] = 6828,
  [6967] = 6829,
  [6968] = 6827,
  [6969] = 6921,
  [6970] = 6832,
  [6971] = 6872,
  [6972] = 6833,
  [6973] = 6831,
  [6974] = 6824,
  [6975] = 5972,
  [6976] = 6835,
  [6977] = 6832,
  [6978] = 6912,
  [6979] = 6830,
  [6980] = 6917,
  [6981] = 6851,
  [6982] = 6982,
  [6983] = 6921,
  [6984] = 6902,
  [6985] = 6985,
  [6986] = 6833,
  [6987] = 6987,
  [6988] = 6918,
  [6989] = 6840,
  [6990] = 6825,
  [6991] = 6925,
  [6992] = 6835,
  [6993] = 6837,
  [6994] = 6830,
  [6995] = 6827,
  [6996] = 6996,
  [6997] = 6838,
  [6998] = 6839,
  [6999] = 6999,
  [7000] = 6851,
  [7001] = 6912,
  [7002] = 6917,
  [7003] = 6837,
  [7004] = 6841,
  [7005] = 6838,
  [7006] = 6840,
  [7007] = 6839,
  [7008] = 6823,
  [7009] = 6912,
  [7010] = 7010,
  [7011] = 6902,
  [7012] = 6917,
  [7013] = 6824,
  [7014] = 6828,
  [7015] = 7015,
  [7016] = 6912,
  [7017] = 6917,
  [7018] = 6841,
  [7019] = 6829,
  [7020] = 6824,
  [7021] = 6921,
  [7022] = 6912,
  [7023] = 6825,
  [7024] = 6831,
  [7025] = 7025,
  [7026] = 6872,
  [7027] = 6832,
  [7028] = 6826,
  [7029] = 6924,
  [7030] = 6831,
  [7031] = 7031,
  [7032] = 6912,
  [7033] = 6951,
  [7034] = 7034,
  [7035] = 6826,
  [7036] = 6925,
  [7037] = 6827,
  [7038] = 7038,
  [7039] = 6828,
  [7040] = 7040,
  [7041] = 6918,
  [7042] = 6829,
  [7043] = 7043,
  [7044] = 7044,
  [7045] = 6924,
  [7046] = 7046,
  [7047] = 6924,
  [7048] = 6827,
  [7049] = 7049,
  [7050] = 6828,
  [7051] = 6829,
  [7052] = 6840,
  [7053] = 6831,
  [7054] = 6831,
  [7055] = 6832,
  [7056] = 6917,
  [7057] = 6832,
  [7058] = 6827,
  [7059] = 6833,
  [7060] = 6835,
  [7061] = 7061,
  [7062] = 6833,
  [7063] = 6829,
  [7064] = 6840,
  [7065] = 6825,
  [7066] = 6827,
  [7067] = 6835,
  [7068] = 6830,
  [7069] = 6835,
  [7070] = 6951,
  [7071] = 6925,
  [7072] = 6835,
  [7073] = 6951,
  [7074] = 6830,
  [7075] = 6925,
  [7076] = 6837,
  [7077] = 6851,
  [7078] = 6833,
  [7079] = 6951,
  [7080] = 6925,
  [7081] = 6838,
  [7082] = 6839,
  [7083] = 6951,
  [7084] = 6925,
  [7085] = 6841,
  [7086] = 6951,
  [7087] = 6925,
  [7088] = 6951,
  [7089] = 6925,
  [7090] = 6951,
  [7091] = 6824,
  [7092] = 6827,
  [7093] = 7093,
  [7094] = 6837,
  [7095] = 6835,
  [7096] = 7096,
  [7097] = 6838,
  [7098] = 6839,
  [7099] = 6823,
  [7100] = 6902,
  [7101] = 6828,
  [7102] = 6829,
  [7103] = 6832,
  [7104] = 6825,
  [7105] = 6841,
  [7106] = 7106,
  [7107] = 7107,
  [7108] = 6918,
  [7109] = 7109,
  [7110] = 6833,
  [7111] = 7111,
  [7112] = 7112,
  [7113] = 7113,
  [7114] = 7114,
  [7115] = 7115,
  [7116] = 7116,
  [7117] = 7117,
  [7118] = 7118,
  [7119] = 7119,
  [7120] = 7120,
  [7121] = 7121,
  [7122] = 7122,
  [7123] = 7123,
  [7124] = 7124,
  [7125] = 7125,
  [7126] = 7112,
  [7127] = 7117,
  [7128] = 7128,
  [7129] = 7129,
  [7130] = 7130,
  [7131] = 7131,
  [7132] = 7117,
  [7133] = 7133,
  [7134] = 7134,
  [7135] = 7134,
  [7136] = 179,
  [7137] = 7137,
  [7138] = 7138,
  [7139] = 7131,
  [7140] = 7138,
  [7141] = 7114,
  [7142] = 7142,
  [7143] = 7120,
  [7144] = 7122,
  [7145] = 7123,
  [7146] = 2767,
  [7147] = 7142,
  [7148] = 7113,
  [7149] = 7128,
  [7150] = 7150,
  [7151] = 7151,
  [7152] = 7152,
  [7153] = 7117,
  [7154] = 7120,
  [7155] = 7122,
  [7156] = 7123,
  [7157] = 7157,
  [7158] = 7158,
  [7159] = 6624,
  [7160] = 7160,
  [7161] = 7161,
  [7162] = 7162,
  [7163] = 7163,
  [7164] = 7164,
  [7165] = 7165,
  [7166] = 7164,
  [7167] = 7167,
  [7168] = 7168,
  [7169] = 7169,
  [7170] = 7170,
  [7171] = 7113,
  [7172] = 7172,
  [7173] = 7116,
  [7174] = 7174,
  [7175] = 7130,
  [7176] = 7113,
  [7177] = 7152,
  [7178] = 7130,
  [7179] = 7179,
  [7180] = 7113,
  [7181] = 7181,
  [7182] = 7117,
  [7183] = 7120,
  [7184] = 7122,
  [7185] = 7123,
  [7186] = 7186,
  [7187] = 7158,
  [7188] = 7117,
  [7189] = 7130,
  [7190] = 7113,
  [7191] = 7162,
  [7192] = 7192,
  [7193] = 7193,
  [7194] = 7151,
  [7195] = 7117,
  [7196] = 7115,
  [7197] = 7120,
  [7198] = 7131,
  [7199] = 7199,
  [7200] = 7162,
  [7201] = 7201,
  [7202] = 7122,
  [7203] = 7181,
  [7204] = 7152,
  [7205] = 7123,
  [7206] = 7121,
  [7207] = 7117,
  [7208] = 7169,
  [7209] = 7209,
  [7210] = 7210,
  [7211] = 7186,
  [7212] = 7113,
  [7213] = 7213,
  [7214] = 7113,
  [7215] = 7113,
  [7216] = 7216,
  [7217] = 7117,
  [7218] = 7120,
  [7219] = 7219,
  [7220] = 7122,
  [7221] = 7221,
  [7222] = 7117,
  [7223] = 7160,
  [7224] = 7120,
  [7225] = 7122,
  [7226] = 7123,
  [7227] = 7123,
  [7228] = 7152,
  [7229] = 7113,
  [7230] = 7131,
  [7231] = 7181,
  [7232] = 7120,
  [7233] = 7120,
  [7234] = 7114,
  [7235] = 7235,
  [7236] = 7236,
  [7237] = 7128,
  [7238] = 7158,
  [7239] = 7186,
  [7240] = 7117,
  [7241] = 7120,
  [7242] = 7122,
  [7243] = 7122,
  [7244] = 7209,
  [7245] = 7123,
  [7246] = 7122,
  [7247] = 7117,
  [7248] = 7123,
  [7249] = 7131,
  [7250] = 7151,
  [7251] = 7115,
  [7252] = 7121,
  [7253] = 7113,
  [7254] = 7121,
  [7255] = 7138,
  [7256] = 7174,
  [7257] = 7117,
  [7258] = 7142,
  [7259] = 7114,
  [7260] = 7128,
  [7261] = 7219,
  [7262] = 7210,
  [7263] = 7120,
  [7264] = 7213,
  [7265] = 7134,
  [7266] = 7266,
  [7267] = 7120,
  [7268] = 7122,
  [7269] = 7122,
  [7270] = 7158,
  [7271] = 7123,
  [7272] = 7181,
  [7273] = 7123,
  [7274] = 7116,
  [7275] = 7123,
  [7276] = 7235,
  [7277] = 7277,
  [7278] = 7278,
  [7279] = 7115,
  [7280] = 7280,
  [7281] = 7281,
  [7282] = 7151,
  [7283] = 7283,
  [7284] = 7284,
  [7285] = 7113,
  [7286] = 7125,
  [7287] = 7117,
  [7288] = 7121,
  [7289] = 7120,
  [7290] = 7210,
  [7291] = 7122,
  [7292] = 7123,
  [7293] = 7293,
  [7294] = 7209,
  [7295] = 7124,
  [7296] = 7117,
  [7297] = 7125,
  [7298] = 7119,
  [7299] = 7120,
  [7300] = 7122,
  [7301] = 7138,
  [7302] = 7142,
  [7303] = 7120,
  [7304] = 7122,
  [7305] = 7115,
  [7306] = 7123,
  [7307] = 7219,
  [7308] = 7210,
  [7309] = 7123,
  [7310] = 7164,
  [7311] = 7172,
  [7312] = 7116,
  [7313] = 7266,
  [7314] = 7235,
  [7315] = 7114,
  [7316] = 7117,
  [7317] = 7317,
  [7318] = 7219,
  [7319] = 7319,
  [7320] = 7120,
  [7321] = 7112,
  [7322] = 7118,
  [7323] = 7122,
  [7324] = 7115,
  [7325] = 7210,
  [7326] = 7123,
  [7327] = 7114,
  [7328] = 7219,
  [7329] = 7266,
  [7330] = 7113,
  [7331] = 7235,
  [7332] = 7128,
  [7333] = 7118,
  [7334] = 7162,
  [7335] = 7236,
  [7336] = 7169,
  [7337] = 7319,
  [7338] = 7112,
  [7339] = 7115,
  [7340] = 7152,
  [7341] = 7118,
  [7342] = 7342,
  [7343] = 7319,
  [7344] = 7115,
  [7345] = 7125,
  [7346] = 7134,
  [7347] = 7119,
  [7348] = 7115,
  [7349] = 7115,
  [7350] = 7115,
  [7351] = 7319,
  [7352] = 7112,
  [7353] = 7353,
  [7354] = 7266,
  [7355] = 7151,
  [7356] = 7356,
  [7357] = 7186,
  [7358] = 7128,
  [7359] = 7115,
  [7360] = 7118,
  [7361] = 7130,
  [7362] = 7138,
  [7363] = 7119,
  [7364] = 7210,
  [7365] = 7209,
  [7366] = 7366,
  [7367] = 7117,
  [7368] = 7368,
  [7369] = 7142,
  [7370] = 7152,
  [7371] = 7120,
  [7372] = 7122,
  [7373] = 7121,
  [7374] = 7162,
  [7375] = 7120,
  [7376] = 7376,
  [7377] = 7377,
  [7378] = 7378,
  [7379] = 7122,
  [7380] = 7131,
  [7381] = 7123,
  [7382] = 7124,
  [7383] = 7383,
  [7384] = 7123,
  [7385] = 7125,
  [7386] = 7386,
  [7387] = 7387,
  [7388] = 7388,
  [7389] = 7389,
  [7390] = 7390,
  [7391] = 7130,
  [7392] = 7235,
  [7393] = 7393,
  [7394] = 7162,
  [7395] = 7395,
  [7396] = 7209,
  [7397] = 7150,
  [7398] = 7181,
  [7399] = 7113,
  [7400] = 7319,
  [7401] = 7401,
  [7402] = 7213,
  [7403] = 7112,
  [7404] = 7404,
  [7405] = 7405,
  [7406] = 7130,
  [7407] = 7113,
  [7408] = 7408,
  [7409] = 7409,
  [7410] = 7410,
  [7411] = 7411,
  [7412] = 7412,
  [7413] = 7162,
  [7414] = 7138,
  [7415] = 7142,
  [7416] = 7120,
  [7417] = 7417,
  [7418] = 7152,
  [7419] = 7210,
  [7420] = 7152,
  [7421] = 7117,
  [7422] = 7122,
  [7423] = 7123,
  [7424] = 7113,
  [7425] = 7113,
  [7426] = 7113,
  [7427] = 7427,
  [7428] = 7235,
  [7429] = 7124,
  [7430] = 7131,
  [7431] = 7431,
  [7432] = 7113,
  [7433] = 7433,
  [7434] = 7213,
  [7435] = 7435,
  [7436] = 7131,
  [7437] = 7437,
  [7438] = 7181,
  [7439] = 7439,
  [7440] = 7116,
  [7441] = 7441,
  [7442] = 7442,
  [7443] = 7164,
  [7444] = 7186,
  [7445] = 7116,
  [7446] = 7174,
  [7447] = 7447,
  [7448] = 7117,
  [7449] = 7449,
  [7450] = 7450,
  [7451] = 7181,
  [7452] = 7114,
  [7453] = 7236,
  [7454] = 7209,
  [7455] = 7128,
  [7456] = 7213,
  [7457] = 7457,
  [7458] = 7117,
  [7459] = 7151,
  [7460] = 7113,
  [7461] = 7117,
  [7462] = 7209,
  [7463] = 7266,
  [7464] = 7117,
  [7465] = 7465,
  [7466] = 7466,
  [7467] = 7201,
  [7468] = 7120,
  [7469] = 7219,
  [7470] = 7120,
  [7471] = 7122,
  [7472] = 7266,
  [7473] = 7235,
  [7474] = 7114,
  [7475] = 7475,
  [7476] = 7123,
  [7477] = 7128,
  [7478] = 7122,
  [7479] = 7479,
  [7480] = 7480,
  [7481] = 7319,
  [7482] = 7482,
  [7483] = 175,
  [7484] = 7484,
  [7485] = 7123,
  [7486] = 7201,
  [7487] = 7319,
  [7488] = 7158,
  [7489] = 7112,
  [7490] = 7118,
  [7491] = 7235,
  [7492] = 7219,
  [7493] = 7266,
  [7494] = 7119,
  [7495] = 7495,
  [7496] = 7496,
  [7497] = 7497,
  [7498] = 7235,
  [7499] = 7499,
  [7500] = 7121,
  [7501] = 7501,
  [7502] = 7186,
  [7503] = 7503,
  [7504] = 7160,
  [7505] = 7125,
  [7506] = 7158,
  [7507] = 7114,
  [7508] = 185,
  [7509] = 7158,
  [7510] = 7138,
  [7511] = 7142,
  [7512] = 7120,
  [7513] = 7122,
  [7514] = 7123,
  [7515] = 7515,
  [7516] = 7160,
  [7517] = 7517,
  [7518] = 7116,
  [7519] = 7130,
  [7520] = 7520,
  [7521] = 7521,
  [7522] = 7113,
  [7523] = 7128,
  [7524] = 7213,
  [7525] = 7525,
  [7526] = 7526,
  [7527] = 7152,
  [7528] = 7118,
  [7529] = 7162,
  [7530] = 7236,
  [7531] = 7119,
  [7532] = 7532,
  [7533] = 7533,
  [7534] = 7534,
  [7535] = 7535,
  [7536] = 7536,
  [7537] = 7537,
  [7538] = 7538,
  [7539] = 7539,
  [7540] = 7540,
  [7541] = 7541,
  [7542] = 7542,
  [7543] = 7543,
  [7544] = 7544,
  [7545] = 7545,
  [7546] = 7535,
  [7547] = 7547,
  [7548] = 7548,
  [7549] = 7549,
  [7550] = 7550,
  [7551] = 7551,
  [7552] = 2855,
  [7553] = 2856,
  [7554] = 7554,
  [7555] = 7555,
  [7556] = 7556,
  [7557] = 7557,
  [7558] = 7558,
  [7559] = 7559,
  [7560] = 7542,
  [7561] = 7544,
  [7562] = 7548,
  [7563] = 7550,
  [7564] = 7564,
  [7565] = 7533,
  [7566] = 7539,
  [7567] = 2859,
  [7568] = 7536,
  [7569] = 2860,
  [7570] = 7570,
  [7571] = 7571,
  [7572] = 7572,
  [7573] = 7573,
  [7574] = 7574,
  [7575] = 7543,
  [7576] = 2863,
  [7577] = 2864,
  [7578] = 7543,
  [7579] = 7579,
  [7580] = 2866,
  [7581] = 7581,
  [7582] = 7582,
  [7583] = 7583,
  [7584] = 7564,
  [7585] = 7582,
  [7586] = 7586,
  [7587] = 7547,
  [7588] = 7588,
  [7589] = 7589,
  [7590] = 7590,
  [7591] = 7581,
  [7592] = 7592,
  [7593] = 7557,
  [7594] = 7594,
  [7595] = 7595,
  [7596] = 7559,
  [7597] = 7573,
  [7598] = 7598,
  [7599] = 7579,
  [7600] = 7586,
  [7601] = 7573,
  [7602] = 7547,
  [7603] = 7582,
  [7604] = 7604,
  [7605] = 7579,
  [7606] = 7535,
  [7607] = 7533,
  [7608] = 7534,
  [7609] = 7536,
  [7610] = 7532,
  [7611] = 7547,
  [7612] = 7535,
  [7613] = 7555,
  [7614] = 7614,
  [7615] = 7536,
  [7616] = 7586,
  [7617] = 7617,
  [7618] = 7618,
  [7619] = 7619,
  [7620] = 7586,
  [7621] = 7621,
  [7622] = 7557,
  [7623] = 7559,
  [7624] = 7624,
  [7625] = 7545,
  [7626] = 7542,
  [7627] = 7595,
  [7628] = 7594,
  [7629] = 7629,
  [7630] = 7539,
  [7631] = 2820,
  [7632] = 7632,
  [7633] = 7629,
  [7634] = 7544,
  [7635] = 7635,
  [7636] = 7636,
  [7637] = 7547,
  [7638] = 7583,
  [7639] = 7532,
  [7640] = 7586,
  [7641] = 7641,
  [7642] = 7617,
  [7643] = 7555,
  [7644] = 7586,
  [7645] = 7555,
  [7646] = 7604,
  [7647] = 7573,
  [7648] = 7648,
  [7649] = 7598,
  [7650] = 7579,
  [7651] = 7543,
  [7652] = 7652,
  [7653] = 7653,
  [7654] = 7595,
  [7655] = 7564,
  [7656] = 7595,
  [7657] = 7632,
  [7658] = 7548,
  [7659] = 7659,
  [7660] = 7547,
  [7661] = 7550,
  [7662] = 7648,
  [7663] = 7604,
  [7664] = 7549,
  [7665] = 7551,
  [7666] = 7582,
  [7667] = 7535,
  [7668] = 7547,
  [7669] = 7536,
  [7670] = 7604,
  [7671] = 7558,
  [7672] = 7542,
  [7673] = 7544,
  [7674] = 7539,
  [7675] = 7548,
  [7676] = 7573,
  [7677] = 7570,
  [7678] = 7550,
  [7679] = 7604,
  [7680] = 7592,
  [7681] = 7557,
  [7682] = 7559,
  [7683] = 7564,
  [7684] = 7632,
  [7685] = 7629,
  [7686] = 7686,
  [7687] = 7604,
  [7688] = 7579,
  [7689] = 7689,
  [7690] = 7535,
  [7691] = 7536,
  [7692] = 7535,
  [7693] = 7536,
  [7694] = 7582,
  [7695] = 7636,
  [7696] = 7586,
  [7697] = 7547,
  [7698] = 7583,
  [7699] = 7532,
  [7700] = 7652,
  [7701] = 7641,
  [7702] = 7586,
  [7703] = 7589,
  [7704] = 7648,
  [7705] = 7598,
  [7706] = 7652,
  [7707] = 7653,
  [7708] = 7708,
  [7709] = 7535,
  [7710] = 7547,
  [7711] = 7536,
  [7712] = 7712,
  [7713] = 7604,
  [7714] = 7714,
  [7715] = 7614,
  [7716] = 7549,
  [7717] = 7551,
  [7718] = 7558,
  [7719] = 7539,
  [7720] = 7570,
  [7721] = 7535,
  [7722] = 7586,
  [7723] = 7586,
  [7724] = 7556,
  [7725] = 7636,
  [7726] = 7583,
  [7727] = 7536,
  [7728] = 7641,
  [7729] = 7586,
  [7730] = 7648,
  [7731] = 7598,
  [7732] = 7732,
  [7733] = 7653,
  [7734] = 7547,
  [7735] = 7636,
  [7736] = 7588,
  [7737] = 7573,
  [7738] = 7589,
  [7739] = 7590,
  [7740] = 7549,
  [7741] = 7551,
  [7742] = 7581,
  [7743] = 7557,
  [7744] = 7744,
  [7745] = 7558,
  [7746] = 7559,
  [7747] = 7570,
  [7748] = 7545,
  [7749] = 7586,
  [7750] = 7636,
  [7751] = 7641,
  [7752] = 7752,
  [7753] = 7534,
  [7754] = 7648,
  [7755] = 7653,
  [7756] = 7555,
  [7757] = 7543,
  [7758] = 7547,
  [7759] = 7545,
  [7760] = 7551,
  [7761] = 7559,
  [7762] = 7558,
  [7763] = 7570,
  [7764] = 7590,
  [7765] = 7765,
  [7766] = 7542,
  [7767] = 7767,
  [7768] = 7636,
  [7769] = 7586,
  [7770] = 7641,
  [7771] = 7544,
  [7772] = 7548,
  [7773] = 7550,
  [7774] = 7648,
  [7775] = 7775,
  [7776] = 7595,
  [7777] = 7556,
  [7778] = 7614,
  [7779] = 7551,
  [7780] = 7780,
  [7781] = 7547,
  [7782] = 7558,
  [7783] = 7783,
  [7784] = 7543,
  [7785] = 7636,
  [7786] = 7641,
  [7787] = 7641,
  [7788] = 7648,
  [7789] = 7557,
  [7790] = 7551,
  [7791] = 7648,
  [7792] = 7652,
  [7793] = 7586,
  [7794] = 7648,
  [7795] = 7559,
  [7796] = 7547,
  [7797] = 7614,
  [7798] = 7598,
  [7799] = 7533,
  [7800] = 7800,
  [7801] = 7579,
  [7802] = 7594,
  [7803] = 7586,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7806,
  [7807] = 7547,
  [7808] = 7555,
  [7809] = 7586,
  [7810] = 7551,
  [7811] = 7547,
  [7812] = 7556,
  [7813] = 7556,
  [7814] = 7595,
  [7815] = 7594,
  [7816] = 7564,
  [7817] = 7557,
  [7818] = 7547,
  [7819] = 7549,
  [7820] = 7588,
  [7821] = 7533,
  [7822] = 7822,
  [7823] = 7573,
  [7824] = 7632,
  [7825] = 7564,
  [7826] = 7547,
  [7827] = 7589,
  [7828] = 7595,
  [7829] = 7590,
  [7830] = 7830,
  [7831] = 7629,
  [7832] = 7535,
  [7833] = 7536,
  [7834] = 7582,
  [7835] = 7557,
  [7836] = 7559,
  [7837] = 7547,
  [7838] = 7617,
  [7839] = 7595,
  [7840] = 7534,
  [7841] = 7841,
  [7842] = 7586,
  [7843] = 7632,
  [7844] = 7844,
  [7845] = 7604,
  [7846] = 7539,
  [7847] = 7595,
  [7848] = 7535,
  [7849] = 7536,
  [7850] = 7850,
  [7851] = 7559,
  [7852] = 7604,
  [7853] = 7556,
  [7854] = 7854,
  [7855] = 7636,
  [7856] = 7652,
  [7857] = 7573,
  [7858] = 7583,
  [7859] = 7594,
  [7860] = 7532,
  [7861] = 7617,
  [7862] = 7595,
  [7863] = 7595,
  [7864] = 7641,
  [7865] = 7865,
  [7866] = 7533,
  [7867] = 7564,
  [7868] = 7588,
  [7869] = 7570,
  [7870] = 7589,
  [7871] = 7586,
  [7872] = 7571,
  [7873] = 7573,
  [7874] = 7590,
  [7875] = 7595,
  [7876] = 7588,
  [7877] = 7581,
  [7878] = 2845,
  [7879] = 7535,
  [7880] = 7536,
  [7881] = 7559,
  [7882] = 2846,
  [7883] = 7556,
  [7884] = 7557,
  [7885] = 7614,
  [7886] = 7648,
  [7887] = 7579,
  [7888] = 7588,
  [7889] = 7589,
  [7890] = 7590,
  [7891] = 7598,
  [7892] = 7547,
  [7893] = 7557,
  [7894] = 7586,
  [7895] = 7558,
  [7896] = 7559,
  [7897] = 7652,
  [7898] = 7898,
  [7899] = 7653,
  [7900] = 7533,
  [7901] = 7901,
  [7902] = 7902,
  [7903] = 7559,
  [7904] = 7653,
  [7905] = 7632,
  [7906] = 7571,
  [7907] = 7571,
  [7908] = 7604,
  [7909] = 7909,
  [7910] = 7571,
  [7911] = 7582,
  [7912] = 7571,
  [7913] = 7571,
  [7914] = 7571,
  [7915] = 7571,
  [7916] = 7571,
  [7917] = 7571,
  [7918] = 7571,
  [7919] = 7571,
  [7920] = 7571,
  [7921] = 7571,
  [7922] = 7571,
  [7923] = 7571,
  [7924] = 7532,
  [7925] = 7542,
  [7926] = 7544,
  [7927] = 7548,
  [7928] = 7550,
  [7929] = 7533,
  [7930] = 7930,
  [7931] = 7931,
  [7932] = 7932,
  [7933] = 7933,
  [7934] = 7934,
  [7935] = 7935,
  [7936] = 7936,
  [7937] = 7937,
  [7938] = 7938,
  [7939] = 7939,
  [7940] = 7940,
  [7941] = 7941,
  [7942] = 7930,
  [7943] = 7943,
  [7944] = 7944,
  [7945] = 7945,
  [7946] = 7946,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7949,
  [7950] = 7950,
  [7951] = 7951,
  [7952] = 7952,
  [7953] = 7953,
  [7954] = 7954,
  [7955] = 2432,
  [7956] = 7956,
  [7957] = 7957,
  [7958] = 7958,
  [7959] = 7959,
  [7960] = 7960,
  [7961] = 7961,
  [7962] = 7962,
  [7963] = 7963,
  [7964] = 7964,
  [7965] = 7965,
  [7966] = 7962,
  [7967] = 7967,
  [7968] = 7951,
  [7969] = 7969,
  [7970] = 7970,
  [7971] = 7971,
  [7972] = 7972,
  [7973] = 7973,
  [7974] = 7974,
  [7975] = 7932,
  [7976] = 7932,
  [7977] = 7977,
  [7978] = 7963,
  [7979] = 7979,
  [7980] = 7980,
  [7981] = 7981,
  [7982] = 7982,
  [7983] = 7983,
  [7984] = 7984,
  [7985] = 7985,
  [7986] = 7986,
  [7987] = 7943,
  [7988] = 7988,
  [7989] = 7989,
  [7990] = 7990,
  [7991] = 7971,
  [7992] = 7992,
  [7993] = 7993,
  [7994] = 7994,
  [7995] = 7953,
  [7996] = 7996,
  [7997] = 7997,
  [7998] = 7998,
  [7999] = 7999,
  [8000] = 8000,
  [8001] = 8001,
  [8002] = 7996,
  [8003] = 7937,
  [8004] = 8001,
  [8005] = 7962,
  [8006] = 8006,
  [8007] = 8007,
  [8008] = 8008,
  [8009] = 8009,
  [8010] = 7951,
  [8011] = 8009,
  [8012] = 8012,
  [8013] = 8013,
  [8014] = 7962,
  [8015] = 7945,
  [8016] = 8016,
  [8017] = 7962,
  [8018] = 7985,
  [8019] = 7943,
  [8020] = 8020,
  [8021] = 8021,
  [8022] = 8022,
  [8023] = 7960,
  [8024] = 8024,
  [8025] = 8025,
  [8026] = 7963,
  [8027] = 8027,
  [8028] = 7994,
  [8029] = 7996,
  [8030] = 8009,
  [8031] = 7959,
  [8032] = 8032,
  [8033] = 8033,
  [8034] = 8034,
  [8035] = 8016,
  [8036] = 7937,
  [8037] = 8037,
  [8038] = 8038,
  [8039] = 7963,
  [8040] = 7961,
  [8041] = 7980,
  [8042] = 8037,
  [8043] = 8009,
  [8044] = 7935,
  [8045] = 7988,
  [8046] = 7997,
  [8047] = 7974,
  [8048] = 8048,
  [8049] = 7941,
  [8050] = 7930,
  [8051] = 8051,
  [8052] = 7969,
  [8053] = 7982,
  [8054] = 8054,
  [8055] = 7933,
  [8056] = 7971,
  [8057] = 7979,
  [8058] = 7951,
  [8059] = 7988,
  [8060] = 8060,
  [8061] = 7962,
  [8062] = 7996,
  [8063] = 7986,
  [8064] = 8064,
  [8065] = 8065,
  [8066] = 5686,
  [8067] = 8067,
  [8068] = 8068,
  [8069] = 8069,
  [8070] = 7948,
  [8071] = 8038,
  [8072] = 8072,
  [8073] = 8037,
  [8074] = 8074,
  [8075] = 8075,
  [8076] = 7971,
  [8077] = 8072,
  [8078] = 8078,
  [8079] = 8007,
  [8080] = 7971,
  [8081] = 8081,
  [8082] = 7953,
  [8083] = 8083,
  [8084] = 7945,
  [8085] = 8085,
  [8086] = 8086,
  [8087] = 8020,
  [8088] = 7960,
  [8089] = 8006,
  [8090] = 8090,
  [8091] = 8091,
  [8092] = 8092,
  [8093] = 8027,
  [8094] = 7998,
  [8095] = 7932,
  [8096] = 7962,
  [8097] = 8097,
  [8098] = 7989,
  [8099] = 7988,
  [8100] = 8100,
  [8101] = 7998,
  [8102] = 7931,
  [8103] = 8016,
  [8104] = 8104,
  [8105] = 7980,
  [8106] = 8106,
  [8107] = 7974,
  [8108] = 7959,
  [8109] = 8069,
  [8110] = 7965,
  [8111] = 7953,
  [8112] = 7941,
  [8113] = 7930,
  [8114] = 8114,
  [8115] = 7969,
  [8116] = 8116,
  [8117] = 7945,
  [8118] = 8118,
  [8119] = 7971,
  [8120] = 7953,
  [8121] = 8083,
  [8122] = 7986,
  [8123] = 8064,
  [8124] = 7945,
  [8125] = 8090,
  [8126] = 8126,
  [8127] = 7998,
  [8128] = 8083,
  [8129] = 7971,
  [8130] = 8097,
  [8131] = 7988,
  [8132] = 8054,
  [8133] = 7945,
  [8134] = 8069,
  [8135] = 8135,
  [8136] = 8021,
  [8137] = 8007,
  [8138] = 8138,
  [8139] = 7931,
  [8140] = 8086,
  [8141] = 8024,
  [8142] = 7982,
  [8143] = 8126,
  [8144] = 8020,
  [8145] = 7973,
  [8146] = 8146,
  [8147] = 8025,
  [8148] = 8054,
  [8149] = 8085,
  [8150] = 8027,
  [8151] = 7994,
  [8152] = 8152,
  [8153] = 7936,
  [8154] = 7936,
  [8155] = 8114,
  [8156] = 8009,
  [8157] = 8157,
  [8158] = 8158,
  [8159] = 7954,
  [8160] = 7945,
  [8161] = 7960,
  [8162] = 7980,
  [8163] = 8163,
  [8164] = 8164,
  [8165] = 8165,
  [8166] = 8166,
  [8167] = 7994,
  [8168] = 7931,
  [8169] = 7941,
  [8170] = 7930,
  [8171] = 7996,
  [8172] = 7969,
  [8173] = 7985,
  [8174] = 7943,
  [8175] = 8175,
  [8176] = 8176,
  [8177] = 8054,
  [8178] = 8069,
  [8179] = 7931,
  [8180] = 8180,
  [8181] = 7936,
  [8182] = 7948,
  [8183] = 8183,
  [8184] = 7937,
  [8185] = 8069,
  [8186] = 8007,
  [8187] = 8007,
  [8188] = 8188,
  [8189] = 5713,
  [8190] = 7996,
  [8191] = 7997,
  [8192] = 8038,
  [8193] = 7937,
  [8194] = 8020,
  [8195] = 8021,
  [8196] = 7931,
  [8197] = 8027,
  [8198] = 8198,
  [8199] = 7943,
  [8200] = 8012,
  [8201] = 7962,
  [8202] = 8176,
  [8203] = 8024,
  [8204] = 8204,
  [8205] = 8205,
  [8206] = 8206,
  [8207] = 8207,
  [8208] = 8208,
  [8209] = 7936,
  [8210] = 8210,
  [8211] = 8211,
  [8212] = 7960,
  [8213] = 7941,
  [8214] = 7930,
  [8215] = 8215,
  [8216] = 7932,
  [8217] = 8217,
  [8218] = 8198,
  [8219] = 8219,
  [8220] = 8054,
  [8221] = 8007,
  [8222] = 7983,
  [8223] = 8223,
  [8224] = 7945,
  [8225] = 8027,
  [8226] = 8226,
  [8227] = 7960,
  [8228] = 8025,
  [8229] = 7930,
  [8230] = 7932,
  [8231] = 8231,
  [8232] = 8051,
  [8233] = 8233,
  [8234] = 8007,
  [8235] = 8208,
  [8236] = 8069,
  [8237] = 8027,
  [8238] = 8238,
  [8239] = 7994,
  [8240] = 7930,
  [8241] = 7989,
  [8242] = 8242,
  [8243] = 8226,
  [8244] = 8007,
  [8245] = 8027,
  [8246] = 7930,
  [8247] = 7946,
  [8248] = 8027,
  [8249] = 7930,
  [8250] = 8250,
  [8251] = 8027,
  [8252] = 7937,
  [8253] = 8027,
  [8254] = 7930,
  [8255] = 8027,
  [8256] = 7930,
  [8257] = 8027,
  [8258] = 7930,
  [8259] = 8027,
  [8260] = 7930,
  [8261] = 8027,
  [8262] = 7930,
  [8263] = 7931,
  [8264] = 8021,
  [8265] = 8265,
  [8266] = 8266,
  [8267] = 8211,
  [8268] = 8268,
  [8269] = 8269,
  [8270] = 8270,
  [8271] = 7960,
  [8272] = 7989,
  [8273] = 8032,
  [8274] = 8024,
  [8275] = 8074,
  [8276] = 8276,
  [8277] = 7998,
  [8278] = 8278,
  [8279] = 8025,
  [8280] = 8054,
  [8281] = 8281,
  [8282] = 8282,
  [8283] = 8283,
  [8284] = 8284,
  [8285] = 8285,
  [8286] = 8006,
  [8287] = 8287,
  [8288] = 8288,
  [8289] = 8289,
  [8290] = 8033,
  [8291] = 7994,
  [8292] = 8292,
  [8293] = 8293,
  [8294] = 8012,
  [8295] = 7983,
  [8296] = 7998,
  [8297] = 8097,
  [8298] = 8298,
  [8299] = 8116,
  [8300] = 8300,
  [8301] = 7945,
  [8302] = 8302,
  [8303] = 8051,
  [8304] = 8304,
  [8305] = 7957,
  [8306] = 8250,
  [8307] = 7960,
  [8308] = 8231,
  [8309] = 8309,
  [8310] = 7945,
  [8311] = 8021,
  [8312] = 8312,
  [8313] = 8024,
  [8314] = 8038,
  [8315] = 8315,
  [8316] = 7962,
  [8317] = 8215,
  [8318] = 8064,
  [8319] = 8025,
  [8320] = 8038,
  [8321] = 8027,
  [8322] = 8009,
  [8323] = 7945,
  [8324] = 8324,
  [8325] = 8072,
  [8326] = 8217,
  [8327] = 8083,
  [8328] = 8086,
  [8329] = 8329,
  [8330] = 8217,
  [8331] = 7936,
  [8332] = 7941,
  [8333] = 8072,
  [8334] = 7988,
  [8335] = 8335,
  [8336] = 8336,
  [8337] = 7994,
  [8338] = 8009,
  [8339] = 8339,
  [8340] = 8078,
  [8341] = 8341,
  [8342] = 8342,
  [8343] = 8343,
  [8344] = 8344,
  [8345] = 8345,
  [8346] = 8038,
  [8347] = 8152,
  [8348] = 7945,
  [8349] = 7960,
  [8350] = 7996,
  [8351] = 8351,
  [8352] = 8048,
  [8353] = 8207,
  [8354] = 8054,
  [8355] = 8069,
  [8356] = 7931,
  [8357] = 7936,
  [8358] = 8292,
  [8359] = 8359,
  [8360] = 7947,
  [8361] = 8361,
  [8362] = 7971,
  [8363] = 8217,
  [8364] = 8217,
  [8365] = 7948,
  [8366] = 7930,
  [8367] = 8367,
  [8368] = 8038,
  [8369] = 8006,
  [8370] = 8012,
  [8371] = 8083,
  [8372] = 8372,
  [8373] = 8064,
  [8374] = 8038,
  [8375] = 8038,
  [8376] = 7997,
  [8377] = 8086,
  [8378] = 7961,
  [8379] = 7945,
  [8380] = 8380,
  [8381] = 7960,
  [8382] = 7980,
  [8383] = 7969,
  [8384] = 8384,
  [8385] = 8385,
  [8386] = 5618,
  [8387] = 8009,
  [8388] = 8152,
  [8389] = 2426,
  [8390] = 8231,
  [8391] = 8048,
  [8392] = 8392,
  [8393] = 8393,
  [8394] = 8394,
  [8395] = 8395,
  [8396] = 8211,
  [8397] = 7960,
  [8398] = 7960,
  [8399] = 8399,
  [8400] = 8211,
  [8401] = 7960,
  [8402] = 7983,
  [8403] = 8138,
  [8404] = 8404,
  [8405] = 8405,
  [8406] = 8231,
  [8407] = 8152,
  [8408] = 8006,
  [8409] = 8409,
  [8410] = 8409,
  [8411] = 8048,
  [8412] = 8412,
  [8413] = 8012,
  [8414] = 7960,
  [8415] = 8415,
  [8416] = 7932,
  [8417] = 8417,
  [8418] = 7934,
  [8419] = 8419,
  [8420] = 7933,
  [8421] = 8421,
  [8422] = 8064,
  [8423] = 8138,
  [8424] = 8315,
  [8425] = 8425,
  [8426] = 8426,
  [8427] = 8064,
  [8428] = 8409,
  [8429] = 8138,
  [8430] = 7969,
  [8431] = 7970,
  [8432] = 7965,
  [8433] = 8270,
  [8434] = 8434,
  [8435] = 8211,
  [8436] = 7961,
  [8437] = 8051,
  [8438] = 7946,
  [8439] = 7960,
  [8440] = 7935,
  [8441] = 8441,
  [8442] = 8097,
  [8443] = 5627,
  [8444] = 7932,
  [8445] = 8409,
  [8446] = 7961,
  [8447] = 8020,
  [8448] = 7962,
  [8449] = 7947,
  [8450] = 7988,
  [8451] = 8090,
  [8452] = 8452,
  [8453] = 7989,
  [8454] = 8298,
  [8455] = 8455,
  [8456] = 7946,
  [8457] = 7947,
  [8458] = 7979,
  [8459] = 7936,
  [8460] = 7935,
  [8461] = 8158,
  [8462] = 7946,
  [8463] = 7947,
  [8464] = 8054,
  [8465] = 8069,
  [8466] = 8090,
  [8467] = 7951,
  [8468] = 8468,
  [8469] = 7998,
  [8470] = 7948,
  [8471] = 8266,
  [8472] = 8269,
  [8473] = 8270,
  [8474] = 8032,
  [8475] = 8085,
  [8476] = 8074,
  [8477] = 8304,
  [8478] = 8478,
  [8479] = 8054,
  [8480] = 8480,
  [8481] = 8481,
  [8482] = 7931,
  [8483] = 8033,
  [8484] = 8217,
  [8485] = 8292,
  [8486] = 7936,
  [8487] = 7986,
  [8488] = 8488,
  [8489] = 8298,
  [8490] = 8116,
  [8491] = 8051,
  [8492] = 8304,
  [8493] = 8493,
  [8494] = 7962,
  [8495] = 7962,
  [8496] = 8215,
  [8497] = 8409,
  [8498] = 8114,
  [8499] = 8054,
  [8500] = 7963,
  [8501] = 8335,
  [8502] = 8078,
  [8503] = 8503,
  [8504] = 7959,
  [8505] = 7997,
  [8506] = 8266,
  [8507] = 8269,
  [8508] = 8032,
  [8509] = 7969,
  [8510] = 8074,
  [8511] = 8511,
  [8512] = 8512,
  [8513] = 8033,
  [8514] = 8514,
  [8515] = 8292,
  [8516] = 7970,
  [8517] = 7973,
  [8518] = 8298,
  [8519] = 8116,
  [8520] = 8520,
  [8521] = 8215,
  [8522] = 8522,
  [8523] = 7974,
  [8524] = 8176,
  [8525] = 7982,
  [8526] = 8335,
  [8527] = 8078,
  [8528] = 8528,
  [8529] = 7971,
  [8530] = 8266,
  [8531] = 8269,
  [8532] = 8032,
  [8533] = 7935,
  [8534] = 8074,
  [8535] = 8535,
  [8536] = 8097,
  [8537] = 8033,
  [8538] = 8292,
  [8539] = 8539,
  [8540] = 8009,
  [8541] = 8298,
  [8542] = 8116,
  [8543] = 8543,
  [8544] = 8215,
  [8545] = 8545,
  [8546] = 7951,
  [8547] = 7953,
  [8548] = 8335,
  [8549] = 8078,
  [8550] = 7951,
  [8551] = 8266,
  [8552] = 8269,
  [8553] = 8032,
  [8554] = 7954,
  [8555] = 8074,
  [8556] = 8556,
  [8557] = 8557,
  [8558] = 8292,
  [8559] = 8211,
  [8560] = 8560,
  [8561] = 8298,
  [8562] = 8116,
  [8563] = 7941,
  [8564] = 8215,
  [8565] = 7979,
  [8566] = 7930,
  [8567] = 7983,
  [8568] = 8335,
  [8569] = 8078,
  [8570] = 8570,
  [8571] = 8266,
  [8572] = 8198,
  [8573] = 8074,
  [8574] = 8574,
  [8575] = 8208,
  [8576] = 7998,
  [8577] = 8097,
  [8578] = 8298,
  [8579] = 8116,
  [8580] = 8580,
  [8581] = 7986,
  [8582] = 7945,
  [8583] = 8583,
  [8584] = 8335,
  [8585] = 8072,
  [8586] = 8266,
  [8587] = 8074,
  [8588] = 8588,
  [8589] = 8116,
  [8590] = 7986,
  [8591] = 8086,
  [8592] = 8335,
  [8593] = 7985,
  [8594] = 8266,
  [8595] = 8074,
  [8596] = 8021,
  [8597] = 8116,
  [8598] = 8027,
  [8599] = 8335,
  [8600] = 8266,
  [8601] = 8074,
  [8602] = 8116,
  [8603] = 8335,
  [8604] = 8116,
  [8605] = 8335,
  [8606] = 8116,
  [8607] = 8335,
  [8608] = 8116,
  [8609] = 8335,
  [8610] = 8116,
  [8611] = 8335,
  [8612] = 8116,
  [8613] = 8335,
  [8614] = 8116,
  [8615] = 8335,
  [8616] = 8116,
  [8617] = 8335,
  [8618] = 8024,
  [8619] = 8025,
  [8620] = 8270,
  [8621] = 8175,
  [8622] = 7956,
  [8623] = 8226,
  [8624] = 8276,
  [8625] = 8054,
  [8626] = 7994,
  [8627] = 7961,
  [8628] = 8269,
  [8629] = 7945,
  [8630] = 8630,
  [8631] = 8009,
  [8632] = 8632,
  [8633] = 8266,
  [8634] = 8634,
  [8635] = 8335,
  [8636] = 8304,
  [8637] = 7960,
  [8638] = 7946,
  [8639] = 8639,
  [8640] = 8007,
  [8641] = 8315,
  [8642] = 8242,
  [8643] = 8643,
  [8644] = 7945,
  [8645] = 7979,
  [8646] = 8152,
  [8647] = 7947,
  [8648] = 8051,
  [8649] = 7997,
  [8650] = 8048,
  [8651] = 7993,
  [8652] = 8652,
  [8653] = 8211,
  [8654] = 8051,
  [8655] = 7960,
  [8656] = 7973,
  [8657] = 7988,
  [8658] = 7932,
  [8659] = 7948,
  [8660] = 8392,
  [8661] = 8276,
  [8662] = 8001,
  [8663] = 7951,
  [8664] = 8021,
  [8665] = 7962,
  [8666] = 7972,
  [8667] = 7932,
  [8668] = 8054,
  [8669] = 7963,
  [8670] = 8024,
  [8671] = 8282,
  [8672] = 7989,
  [8673] = 8025,
  [8674] = 7989,
  [8675] = 8009,
  [8676] = 8284,
  [8677] = 7993,
  [8678] = 8678,
  [8679] = 8282,
  [8680] = 8287,
  [8681] = 8233,
  [8682] = 7994,
  [8683] = 8289,
  [8684] = 7985,
  [8685] = 8016,
  [8686] = 7959,
  [8687] = 8687,
  [8688] = 7943,
  [8689] = 8020,
  [8690] = 7961,
  [8691] = 7988,
  [8692] = 8692,
  [8693] = 8158,
  [8694] = 7998,
  [8695] = 8097,
  [8696] = 8409,
  [8697] = 7945,
  [8698] = 8698,
  [8699] = 8231,
  [8700] = 8231,
  [8701] = 8701,
  [8702] = 8138,
  [8703] = 8703,
  [8704] = 8027,
  [8705] = 8009,
  [8706] = 6768,
  [8707] = 8016,
  [8708] = 8270,
  [8709] = 8175,
  [8710] = 7956,
  [8711] = 8158,
  [8712] = 8712,
  [8713] = 7935,
  [8714] = 8304,
  [8715] = 7959,
  [8716] = 8315,
  [8717] = 8242,
  [8718] = 8718,
  [8719] = 8719,
  [8720] = 8720,
  [8721] = 7972,
  [8722] = 8270,
  [8723] = 8175,
  [8724] = 7956,
  [8725] = 8284,
  [8726] = 7997,
  [8727] = 8304,
  [8728] = 8315,
  [8729] = 8242,
  [8730] = 7951,
  [8731] = 8731,
  [8732] = 8287,
  [8733] = 8175,
  [8734] = 7956,
  [8735] = 8289,
  [8736] = 7983,
  [8737] = 8315,
  [8738] = 8242,
  [8739] = 8138,
  [8740] = 7985,
  [8741] = 8175,
  [8742] = 7956,
  [8743] = 7983,
  [8744] = 7970,
  [8745] = 8315,
  [8746] = 8242,
  [8747] = 8007,
  [8748] = 8175,
  [8749] = 7956,
  [8750] = 8009,
  [8751] = 8315,
  [8752] = 8242,
  [8753] = 8753,
  [8754] = 8315,
  [8755] = 8242,
  [8756] = 8756,
  [8757] = 8242,
  [8758] = 8268,
  [8759] = 8242,
  [8760] = 8409,
  [8761] = 8242,
  [8762] = 7971,
  [8763] = 8242,
  [8764] = 7994,
  [8765] = 8242,
  [8766] = 7957,
  [8767] = 8242,
  [8768] = 8250,
  [8769] = 8242,
  [8770] = 7988,
  [8771] = 8242,
  [8772] = 7954,
  [8773] = 8242,
  [8774] = 8455,
  [8775] = 8104,
  [8776] = 8231,
  [8777] = 8455,
  [8778] = 8104,
  [8779] = 8779,
  [8780] = 8455,
  [8781] = 8104,
  [8782] = 8782,
  [8783] = 8455,
  [8784] = 8104,
  [8785] = 7951,
  [8786] = 8455,
  [8787] = 8104,
  [8788] = 8069,
  [8789] = 8104,
  [8790] = 8104,
  [8791] = 8104,
  [8792] = 8104,
  [8793] = 8104,
  [8794] = 8104,
  [8795] = 8104,
  [8796] = 8104,
  [8797] = 8104,
  [8798] = 8104,
  [8799] = 8104,
  [8800] = 7980,
  [8801] = 8801,
  [8802] = 8802,
  [8803] = 7953,
  [8804] = 7948,
  [8805] = 8283,
  [8806] = 8283,
  [8807] = 8283,
  [8808] = 8283,
  [8809] = 8283,
  [8810] = 8054,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(335);
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 282,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 339,
        ')', 342,
        '*', 422,
        '+', 416,
        ',', 341,
        '-', 405,
        '.', 486,
        '/', 424,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 464,
        '\\', 2,
        ']', 466,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 430,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(333);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(161);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(161);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(185);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(185);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(181);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(181);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(191);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(191);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(182);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(182);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(186);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(186);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(176);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(176);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(206);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(206);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(202);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(202);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(183);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(183);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(226);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(226);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(187);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(187);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(200);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(200);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(208);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(208);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(248);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(248);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(97);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(97);
      if (lookahead == '\r') SKIP(95);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '\n', 344,
        '!', 269,
        '%', 425,
        '&', 435,
        '(', 400,
        '*', 421,
        '+', 414,
        '-', 404,
        '/', 423,
        '<', 449,
        '=', 270,
        '>', 440,
      );
      if (lookahead == '\\') SKIP(96);
      if (lookahead == '^') ADVANCE(432);
      if (lookahead == '|') ADVANCE(431);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(231);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '\r') SKIP(98);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(247);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\r') SKIP(100);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(526);
      if (lookahead != 0) ADVANCE(527);
      END_STATE();
    case 105:
      if (lookahead == '\n') ADVANCE(529);
      if (lookahead == '\r') ADVANCE(528);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      if (lookahead == 'x') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      if (lookahead != 0) ADVANCE(528);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '/') ADVANCE(516);
      if (lookahead == '\\') ADVANCE(515);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(517);
      if (lookahead != 0) ADVANCE(514);
      END_STATE();
    case 107:
      if (lookahead == '\n') ADVANCE(337);
      if (lookahead == '\r') ADVANCE(111);
      if (lookahead == '(') ADVANCE(339);
      if (lookahead == '/') ADVANCE(365);
      if (lookahead == '\\') ADVANCE(360);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(367);
      END_STATE();
    case 108:
      if (lookahead == '\n') ADVANCE(337);
      if (lookahead == '\r') ADVANCE(111);
      if (lookahead == '/') ADVANCE(365);
      if (lookahead == '\\') ADVANCE(360);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(367);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(337);
      if (lookahead == '\r') ADVANCE(110);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(113);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 110:
      if (lookahead == '\n') ADVANCE(337);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(337);
      if (lookahead == '/') ADVANCE(365);
      if (lookahead == '\\') ADVANCE(360);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(367);
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(249);
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(249);
      if (lookahead == '\r') SKIP(112);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(162);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(162);
      if (lookahead == '\r') SKIP(114);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(116);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(196);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(196);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(179);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(179);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(189);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(189);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(199);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(199);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(205);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(205);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(219);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(219);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(211);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(211);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(158);
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 160:
      if (lookahead == '\r') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(628);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 282,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 416,
        ',', 341,
        '-', 405,
        '.', 486,
        '/', 424,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 464,
        '\\', 2,
        ']', 466,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 430,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 291,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 416,
        ',', 341,
        '-', 406,
        '.', 486,
        '/', 424,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 115,
        ']', 466,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 430,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 291,
        '%', 425,
        '&', 435,
        '\'', 513,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 417,
        ',', 341,
        '-', 407,
        '.', 486,
        '/', 423,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 448,
        '=', 270,
        '>', 440,
        '?', 471,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 141,
        ']', 466,
        '^', 432,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 431,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 416,
        ',', 341,
        '-', 405,
        '.', 486,
        '/', 424,
        '0', 495,
        ':', 268,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 24,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 430,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 400,
        '*', 422,
        '+', 416,
        ',', 341,
        '-', 406,
        '.', 486,
        '/', 424,
        '0', 495,
        ':', 268,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 26,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 430,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '%', 425,
        '&', 435,
        '\'', 513,
        '(', 400,
        '*', 421,
        '+', 417,
        ',', 341,
        '-', 407,
        '.', 486,
        '/', 423,
        '0', 495,
        ':', 268,
        '<', 448,
        '=', 270,
        '>', 635,
        '?', 471,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 117,
        '^', 432,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 431,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 402,
        '"', 234,
        '%', 426,
        '&', 436,
        '(', 250,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '/', 424,
        ':', 268,
        '<', 446,
        '=', 468,
        '>', 441,
        '[', 279,
        '\\', 20,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '|', 430,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 402,
        '"', 234,
        '%', 426,
        '&', 436,
        '(', 250,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 441,
        '[', 280,
        '\\', 78,
        '^', 433,
        '|', 430,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 401,
        '"', 522,
        '#', 282,
        '&', 435,
        '\'', 513,
        '(', 400,
        '*', 421,
        '+', 417,
        ',', 341,
        '-', 408,
        '.', 311,
        '/', 252,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 445,
        '>', 271,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 6,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 429,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 401,
        '"', 522,
        '#', 286,
        '%', 425,
        '&', 435,
        '\'', 513,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 417,
        ',', 341,
        '-', 408,
        '.', 489,
        '/', 423,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 445,
        '=', 467,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 4,
        ']', 281,
        '^', 432,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 305,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 401,
        '"', 522,
        '#', 290,
        '&', 434,
        '\'', 513,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 417,
        '-', 408,
        '.', 258,
        '/', 252,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 445,
        '>', 439,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 10,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 401,
        '"', 522,
        '#', 284,
        '&', 435,
        '\'', 513,
        '(', 400,
        '*', 421,
        '+', 417,
        ',', 341,
        '-', 408,
        '.', 311,
        '/', 252,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 445,
        '>', 273,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 8,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 401,
        '"', 522,
        '&', 435,
        '\'', 513,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 417,
        ',', 341,
        '-', 408,
        '.', 488,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 456,
        '<', 445,
        '=', 467,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 12,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 401,
        '"', 522,
        '&', 434,
        '\'', 513,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 417,
        ',', 341,
        '-', 408,
        '.', 488,
        '/', 252,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 445,
        '=', 467,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 22,
        ']', 466,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 401,
        '\'', 513,
        '(', 400,
        ')', 342,
        '+', 419,
        '-', 412,
        '.', 311,
        '/', 252,
        '0', 495,
        'L', 554,
        'U', 555,
        '\\', 94,
        'u', 556,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 455,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 44,
        ']', 466,
        '^', 433,
        'u', 544,
        '{', 460,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 454,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 56,
        ']', 466,
        '^', 433,
        'u', 544,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 454,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        'L', 646,
        'R', 647,
        'U', 648,
        '[', 462,
        '\\', 56,
        ']', 466,
        '^', 433,
        'u', 649,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '#', 291,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 454,
        ';', 456,
        '<', 448,
        '=', 270,
        '>', 440,
        '?', 471,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 125,
        ']', 466,
        '^', 432,
        'u', 544,
        '|', 431,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '#', 291,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 454,
        ';', 456,
        '<', 448,
        '=', 270,
        '>', 440,
        '?', 471,
        'L', 646,
        'R', 647,
        'U', 648,
        '[', 462,
        '\\', 125,
        ']', 466,
        '^', 432,
        'u', 649,
        '|', 431,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        ':', 455,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 463,
        '\\', 30,
        '^', 433,
        'u', 544,
        '{', 460,
        '|', 430,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        ':', 268,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 38,
        '^', 433,
        'u', 544,
        '{', 460,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 64,
        '^', 433,
        'u', 544,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        'L', 646,
        'R', 647,
        'U', 648,
        '[', 462,
        '\\', 64,
        '^', 433,
        'u', 649,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 455,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 463,
        '\\', 28,
        '^', 433,
        'u', 544,
        '{', 460,
        '|', 430,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 268,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 40,
        '^', 433,
        'u', 544,
        '{', 460,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 68,
        '^', 433,
        'u', 544,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        'L', 646,
        'R', 647,
        'U', 648,
        '[', 462,
        '\\', 68,
        '^', 433,
        'u', 649,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '%', 425,
        '&', 435,
        '(', 400,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        '<', 448,
        '=', 270,
        '>', 635,
        '?', 471,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 131,
        '^', 432,
        'u', 544,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 269,
        '"', 522,
        '%', 425,
        '&', 435,
        '(', 400,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        '<', 448,
        '=', 270,
        '>', 635,
        '?', 471,
        'L', 646,
        'R', 647,
        'U', 648,
        '[', 462,
        '\\', 131,
        '^', 432,
        'u', 649,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 269,
        '#', 302,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        ':', 455,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 463,
        '\\', 34,
        '^', 433,
        '{', 460,
        '|', 430,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 269,
        '#', 287,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 414,
        ',', 341,
        '-', 404,
        '/', 423,
        ':', 268,
        ';', 456,
        '<', 449,
        '=', 270,
        '>', 440,
        '[', 463,
        '\\', 16,
        '^', 432,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '|', 431,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        '0', 636,
        ':', 455,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 463,
        '\\', 32,
        '^', 433,
        '{', 460,
        '|', 430,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 455,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 462,
        '\\', 46,
        ']', 466,
        '^', 433,
        '{', 460,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 454,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 463,
        '\\', 153,
        ']', 466,
        '^', 433,
        '{', 460,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 454,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 462,
        '\\', 123,
        ']', 466,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 454,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 462,
        '\\', 119,
        ']', 466,
        '^', 433,
        '{', 460,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 454,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 462,
        '\\', 133,
        ']', 466,
        '^', 433,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 454,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 462,
        '\\', 133,
        ']', 466,
        '^', 433,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 454,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 465,
        '\\', 72,
        ']', 466,
        '^', 433,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 455,
        ';', 456,
        '<', 448,
        '=', 270,
        '>', 440,
        '?', 471,
        '[', 462,
        '\\', 159,
        ']', 466,
        '^', 432,
        '{', 460,
        '|', 431,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 454,
        ';', 456,
        '<', 448,
        '=', 270,
        '>', 440,
        '?', 471,
        '[', 462,
        '\\', 54,
        ']', 466,
        '^', 432,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
        '|', 431,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 454,
        ';', 456,
        '<', 448,
        '=', 270,
        '>', 440,
        '?', 471,
        '[', 462,
        '\\', 143,
        ']', 466,
        '^', 432,
        '{', 460,
        '|', 431,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 454,
        ';', 456,
        '<', 448,
        '=', 270,
        '>', 440,
        '?', 471,
        '[', 462,
        '\\', 147,
        ']', 466,
        '^', 432,
        '|', 431,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 269,
        '#', 291,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 454,
        ';', 456,
        '<', 448,
        '=', 270,
        '>', 440,
        '?', 471,
        '[', 462,
        '\\', 147,
        ']', 466,
        '^', 432,
        '|', 431,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        ':', 455,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 462,
        '\\', 52,
        '^', 433,
        '{', 460,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        ':', 454,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 462,
        '\\', 121,
        '^', 433,
        '{', 460,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 464,
        '\\', 82,
        '^', 433,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 462,
        '\\', 70,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 462,
        '\\', 151,
        '^', 433,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 462,
        '\\', 151,
        '^', 433,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 409,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 465,
        '\\', 137,
        '^', 433,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 455,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        '[', 462,
        '\\', 58,
        '^', 433,
        '{', 460,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ':', 454,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        '[', 462,
        '\\', 145,
        '^', 433,
        '{', 460,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 441,
        '?', 471,
        '[', 464,
        '\\', 80,
        '^', 433,
        '|', 430,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        '[', 463,
        '\\', 76,
        '^', 433,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        '[', 462,
        '\\', 74,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        '[', 462,
        '\\', 149,
        '^', 433,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        '[', 462,
        '\\', 149,
        '^', 433,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '(', 400,
        '*', 422,
        '+', 418,
        ',', 341,
        '-', 410,
        '.', 485,
        '/', 424,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        '[', 465,
        '\\', 135,
        '^', 433,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 269,
        '%', 426,
        '&', 436,
        '*', 422,
        '+', 420,
        ',', 341,
        '-', 413,
        '.', 251,
        '/', 424,
        '<', 447,
        '=', 468,
        '>', 441,
        '\\', 90,
        '^', 433,
        '|', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 269,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 455,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 440,
        '?', 471,
        '[', 463,
        '\\', 36,
        '^', 432,
        '{', 460,
        '|', 431,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 269,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 455,
        ';', 456,
        '<', 448,
        '=', 270,
        '>', 440,
        '?', 471,
        '[', 462,
        '\\', 60,
        ']', 466,
        '^', 432,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
        '|', 431,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 269,
        '%', 425,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 268,
        ';', 456,
        '<', 448,
        '=', 270,
        '>', 440,
        '?', 471,
        '[', 462,
        '\\', 129,
        ']', 281,
        '^', 432,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
        '|', 431,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 269,
        '%', 425,
        '&', 435,
        '(', 400,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 455,
        '<', 448,
        '=', 270,
        '>', 635,
        '?', 471,
        '[', 462,
        '\\', 155,
        '^', 432,
        '{', 460,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 269,
        '%', 425,
        '&', 435,
        '(', 400,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 454,
        '<', 448,
        '=', 270,
        '>', 635,
        '?', 471,
        '[', 462,
        '\\', 66,
        '^', 432,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 269,
        '%', 425,
        '&', 435,
        '(', 400,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        ':', 454,
        '<', 448,
        '=', 270,
        '>', 635,
        '?', 471,
        '[', 462,
        '\\', 127,
        '^', 432,
        '{', 460,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '!', 269,
        '%', 425,
        '&', 435,
        '(', 400,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        '<', 448,
        '=', 270,
        '>', 635,
        '?', 471,
        '[', 462,
        '\\', 157,
        '^', 432,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '!', 269,
        '%', 425,
        '&', 435,
        '(', 400,
        '*', 421,
        '+', 415,
        ',', 341,
        '-', 411,
        '.', 485,
        '/', 423,
        '<', 448,
        '=', 270,
        '>', 635,
        '?', 471,
        '[', 462,
        '\\', 157,
        '^', 432,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '"', 522,
        '&', 435,
        '(', 400,
        '*', 421,
        '/', 252,
        ':', 268,
        'L', 538,
        'U', 542,
        '[', 463,
        '\\', 48,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 545,
        'v', 605,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '"', 522,
        ')', 342,
        ',', 341,
        '/', 252,
        ':', 454,
        'L', 537,
        'R', 539,
        'U', 541,
        '\\', 99,
        'u', 544,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 232:
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '<') ADVANCE(275);
      if (lookahead == 'L') ADVANCE(538);
      if (lookahead == 'U') ADVANCE(542);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 'u') ADVANCE(546);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 233:
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      END_STATE();
    case 234:
      if (lookahead == '"') ADVANCE(645);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '#', 291,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        ',', 341,
        '-', 274,
        '.', 257,
        '/', 252,
        ':', 455,
        ';', 456,
        '<', 445,
        '=', 467,
        '>', 635,
        '[', 463,
        '\\', 42,
        '{', 460,
        '|', 305,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '#', 283,
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 414,
        ',', 341,
        '-', 274,
        '.', 487,
        '/', 252,
        ':', 455,
        ';', 456,
        '<', 445,
        '=', 467,
        '>', 635,
        '[', 463,
        '\\', 14,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
        '|', 305,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 285,
        '&', 435,
        '(', 400,
        '*', 421,
        ',', 341,
        '/', 252,
        ':', 268,
        ';', 456,
        '[', 463,
        '\\', 18,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        ',', 341,
        '-', 274,
        '.', 257,
        '/', 252,
        ':', 455,
        ';', 456,
        '<', 445,
        '=', 467,
        '>', 635,
        '[', 462,
        '\\', 62,
        '{', 460,
        '|', 305,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        ',', 341,
        '-', 274,
        '.', 257,
        '/', 252,
        ':', 454,
        ';', 456,
        '<', 445,
        '=', 467,
        '>', 635,
        '[', 463,
        '\\', 50,
        '{', 460,
        '|', 305,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        ',', 341,
        '-', 274,
        '.', 257,
        '/', 252,
        ':', 454,
        ';', 456,
        '=', 467,
        '>', 635,
        '[', 462,
        '\\', 84,
        '{', 460,
        '|', 305,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        ',', 341,
        '/', 252,
        ':', 455,
        ';', 456,
        '<', 445,
        '[', 462,
        '\\', 88,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
        '|', 305,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        ',', 341,
        '/', 252,
        ':', 454,
        ';', 456,
        '=', 467,
        '>', 635,
        '[', 463,
        '\\', 86,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '&', 435,
        '(', 400,
        ')', 342,
        '*', 421,
        ',', 341,
        '/', 252,
        ':', 454,
        ';', 456,
        '=', 467,
        '>', 635,
        '[', 462,
        '\\', 139,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 244:
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      END_STATE();
    case 245:
      if (lookahead == '\'') ADVANCE(316);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 246:
      if (lookahead == '\'') ADVANCE(312);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(306);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '(', 400,
        ')', 342,
        ',', 341,
        '/', 252,
        ':', 454,
        ';', 456,
        '<', 445,
        '=', 467,
        '>', 635,
        '[', 464,
        '\\', 101,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '(', 400,
        '/', 252,
        ':', 268,
        'F', 562,
        'T', 566,
        '[', 462,
        '\\', 92,
        'f', 572,
        't', 613,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 249:
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 250:
      if (lookahead == ')') ADVANCE(643);
      END_STATE();
    case 251:
      if (lookahead == '*') ADVANCE(490);
      END_STATE();
    case 252:
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 253:
      if (lookahead == '*') ADVANCE(642);
      END_STATE();
    case 254:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead == '/') ADVANCE(626);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 255:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 256:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(358);
      END_STATE();
    case 257:
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 258:
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 259:
      if (lookahead == '.') ADVANCE(340);
      END_STATE();
    case 260:
      if (lookahead == '.') ADVANCE(316);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 261:
      if (lookahead == '/') ADVANCE(365);
      if (lookahead == '\\') ADVANCE(360);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(367);
      END_STATE();
    case 262:
      if (lookahead == '1') ADVANCE(266);
      END_STATE();
    case 263:
      if (lookahead == '2') ADVANCE(493);
      END_STATE();
    case 264:
      if (lookahead == '2') ADVANCE(267);
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 265:
      if (lookahead == '4') ADVANCE(493);
      END_STATE();
    case 266:
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 267:
      if (lookahead == '8') ADVANCE(493);
      END_STATE();
    case 268:
      if (lookahead == ':') ADVANCE(457);
      END_STATE();
    case 269:
      if (lookahead == '=') ADVANCE(438);
      END_STATE();
    case 270:
      if (lookahead == '=') ADVANCE(437);
      END_STATE();
    case 271:
      if (lookahead == '=') ADVANCE(442);
      if (lookahead == '>') ADVANCE(452);
      END_STATE();
    case 272:
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 273:
      if (lookahead == '>') ADVANCE(272);
      END_STATE();
    case 274:
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 275:
      if (lookahead == '>') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(275);
      END_STATE();
    case 276:
      if (lookahead == '>') ADVANCE(533);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(275);
      END_STATE();
    case 277:
      if (lookahead == 'F') ADVANCE(262);
      END_STATE();
    case 278:
      if (lookahead == 'U') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 279:
      if (lookahead == '[') ADVANCE(458);
      if (lookahead == ']') ADVANCE(644);
      END_STATE();
    case 280:
      if (lookahead == ']') ADVANCE(644);
      END_STATE();
    case 281:
      if (lookahead == ']') ADVANCE(459);
      END_STATE();
    case 282:
      if (lookahead == 'd') ADVANCE(374);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == 'i') ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(374);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(374);
      if (lookahead == 'e') ADVANCE(396);
      if (lookahead == 'i') ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(374);
      if (lookahead == 'e') ADVANCE(396);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(374);
      if (lookahead == 'i') ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(374);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(300);
      END_STATE();
    case 289:
      if (lookahead == 'd') ADVANCE(294);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(304);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(290);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(303);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(291);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(349);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 295:
      if (lookahead == 'f') ADVANCE(262);
      END_STATE();
    case 296:
      if (lookahead == 'f') ADVANCE(345);
      END_STATE();
    case 297:
      if (lookahead == 'f') ADVANCE(351);
      END_STATE();
    case 298:
      if (lookahead == 'f') ADVANCE(353);
      END_STATE();
    case 299:
      if (lookahead == 'f') ADVANCE(355);
      END_STATE();
    case 300:
      if (lookahead == 'i') ADVANCE(296);
      END_STATE();
    case 301:
      if (lookahead == 'i') ADVANCE(297);
      if (lookahead == 's') ADVANCE(292);
      END_STATE();
    case 302:
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(302);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 303:
      if (lookahead == 'l') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(288);
      END_STATE();
    case 304:
      if (lookahead == 'n') ADVANCE(288);
      END_STATE();
    case 305:
      if (lookahead == '|') ADVANCE(427);
      END_STATE();
    case 306:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 307:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 308:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(497);
      END_STATE();
    case 309:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 310:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 311:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 312:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 313:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(625);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(528);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(320);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 332:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(367);
      END_STATE();
    case 333:
      if (eof) ADVANCE(335);
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 282,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 400,
        ')', 342,
        '*', 422,
        '+', 416,
        ',', 341,
        '-', 405,
        '.', 486,
        '/', 424,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 446,
        '=', 468,
        '>', 635,
        '?', 471,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 464,
        '\\', 2,
        ']', 466,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 430,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(333);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 334:
      if (eof) ADVANCE(335);
      ADVANCE_MAP(
        '!', 401,
        '"', 522,
        '#', 286,
        '%', 425,
        '&', 435,
        '\'', 513,
        '(', 400,
        ')', 342,
        '*', 421,
        '+', 417,
        ',', 341,
        '-', 408,
        '.', 489,
        '/', 423,
        '0', 495,
        ':', 455,
        ';', 456,
        '<', 445,
        '=', 467,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 4,
        ']', 281,
        '^', 432,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 460,
        '|', 305,
        '}', 461,
        '~', 403,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(334);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'n') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(344);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(380);
      if (lookahead == 'n') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '/') ADVANCE(626);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(358);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(358);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(633);
      if (lookahead == '\r') ADVANCE(627);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '\r') ADVANCE(361);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0) ADVANCE(367);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0) ADVANCE(367);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(368);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0) ADVANCE(367);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(366);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(358);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(632);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(367);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(358);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(367);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0) ADVANCE(367);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(381);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(384);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(338);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(336);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(343);
      if (lookahead == 'n') ADVANCE(369);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(343);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(346);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(397);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(385);
      if (lookahead == 's') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(392);
      if (lookahead == 'n') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(398);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(438);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(483);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(476);
      if (lookahead == '>') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(483);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(476);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(483);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(483);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(483);
      if (lookahead == '=') ADVANCE(476);
      if (lookahead == '>') ADVANCE(492);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(483);
      if (lookahead == '=') ADVANCE(476);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(483);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(476);
      if (lookahead == '>') ADVANCE(253);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(484);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(475);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(472);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(474);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(481);
      if (lookahead == '|') ADVANCE(427);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(427);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(428);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(428);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(442);
      if (lookahead == '>') ADVANCE(452);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(442);
      if (lookahead == '>') ADVANCE(453);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(482);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(443);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(450);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(450);
      if (lookahead == '=') ADVANCE(443);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(457);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(458);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(458);
      if (lookahead == ']') ADVANCE(644);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(644);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(437);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(561);
      if (lookahead == '3') ADVANCE(559);
      if (lookahead == '6') ADVANCE(560);
      if (lookahead == '8') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(642);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 311,
        'B', 277,
        'b', 295,
        'E', 306,
        'e', 306,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 309,
        '.', 502,
        'L', 503,
        'l', 506,
        'B', 308,
        'b', 308,
        'E', 306,
        'e', 306,
        'U', 505,
        'u', 505,
        'X', 260,
        'x', 260,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 309,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 306,
        'e', 306,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 308,
        'L', 503,
        'l', 506,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '0', 497,
        '1', 497,
      );
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 306,
        'e', 306,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(313);
      if (lookahead == 'B') ADVANCE(277);
      if (lookahead == 'b') ADVANCE(295);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(501);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(493);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 315,
        '.', 307,
        'L', 503,
        'l', 506,
        'P', 306,
        'p', 306,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(264);
      if (lookahead == '3') ADVANCE(263);
      if (lookahead == '6') ADVANCE(265);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 277,
        'b', 295,
        'E', 306,
        'e', 306,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(493);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(504);
      if (lookahead == 'l') ADVANCE(507);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(493);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(529);
      if (lookahead == '\r') ADVANCE(528);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      if (lookahead == 'x') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      if (lookahead != 0) ADVANCE(528);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(105);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(525);
      if (lookahead == '/') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(524);
      if (lookahead == '/') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(523);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(526);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(105);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(530);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(275);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == 'R') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(637);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(511);
      if (lookahead == 'R') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == 'R') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '8') ADVANCE(549);
      if (lookahead == 'R') ADVANCE(552);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(550);
      if (lookahead == 'R') ADVANCE(552);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(551);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(551);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(641);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(511);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '8') ADVANCE(557);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(561);
      if (lookahead == '3') ADVANCE(559);
      if (lookahead == '6') ADVANCE(560);
      if (lookahead == '8') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(565);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(534);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(535);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(564);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(563);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == '_') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == '_') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'a') ADVANCE(594);
      if (lookahead == 'l') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'a') ADVANCE(594);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'a') ADVANCE(623);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'a') ADVANCE(610);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'a') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'a') ADVANCE(598);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'b') ADVANCE(599);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'd') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'd') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'e') ADVANCE(534);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'e') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'e') ADVANCE(535);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'e') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'f') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'f') ADVANCE(584);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'g') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'h') ADVANCE(574);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'i') ADVANCE(624);
      if (lookahead == 's') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'i') ADVANCE(624);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'i') ADVANCE(585);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'i') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'i') ADVANCE(578);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'l') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'l') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'l') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'l') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'l') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'l') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'l') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'n') ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'n') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'n') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'o') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'o') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'o') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'o') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'o') ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'r') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'r') ADVANCE(579);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'r') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'r') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 's') ADVANCE(582);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 't') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 't') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 't') ADVANCE(558);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 't') ADVANCE(611);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 't') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'u') ADVANCE(577);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'u') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'u') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'x') ADVANCE(569);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (lookahead == 'z') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(278);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(633);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(628);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(632);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(633);
      if (lookahead == '\\') ADVANCE(359);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(631);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(631);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(633);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_pure_virtual_clause_token1);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(650);
      if (lookahead == '\\') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(637);
      if (lookahead == '\\') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == 'R') ADVANCE(651);
      if (lookahead == '\\') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(652);
      if (lookahead == 'R') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(654);
      if (lookahead == '\\') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(641);
      if (lookahead == '\\') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(655);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'b') ADVANCE(39);
      if (lookahead == 'e') ADVANCE(40);
      if (lookahead == 'l') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'i') ADVANCE(44);
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(46);
      if (lookahead == 'n') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(48);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(55);
      if (lookahead == 'n') ADVANCE(56);
      END_STATE();
    case 12:
      if (lookahead == 'i') ADVANCE(57);
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'o') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(64);
      if (lookahead == 'p') ADVANCE(65);
      if (lookahead == 'r') ADVANCE(66);
      if (lookahead == 'u') ADVANCE(67);
      if (lookahead == 'v') ADVANCE(68);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(69);
      if (lookahead == 'r') ADVANCE(70);
      if (lookahead == 'u') ADVANCE(71);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(72);
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(74);
      if (lookahead == 'h') ADVANCE(75);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'n') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(80);
      if (lookahead == 'h') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 'y') ADVANCE(83);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(84);
      if (lookahead == 's') ADVANCE(85);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(86);
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(88);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(89);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(90);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(91);
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(94);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'a', 95,
        'b', 96,
        'c', 97,
        'd', 98,
        'e', 99,
        'f', 100,
        'i', 101,
        'l', 102,
        'r', 103,
        's', 104,
        't', 105,
        'u', 106,
        'v', 107,
      );
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(111);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(118);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 42:
      if (lookahead == '_') ADVANCE(121);
      if (lookahead == 'l') ADVANCE(122);
      if (lookahead == 'm') ADVANCE(123);
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 43:
      if (lookahead == 'c') ADVANCE(125);
      if (lookahead == 'f') ADVANCE(126);
      if (lookahead == 'l') ADVANCE(127);
      END_STATE();
    case 44:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 48:
      if (lookahead == 'p') ADVANCE(131);
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 49:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(134);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(135);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(138);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'l') ADVANCE(139);
      if (lookahead == 'o') ADVANCE(140);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(141);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 60:
      if (lookahead == 'm') ADVANCE(144);
      END_STATE();
    case 61:
      if (lookahead == 'w') ADVANCE(145);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(146);
      if (lookahead == 'i') ADVANCE(147);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(149);
      if (lookahead == 't') ADVANCE(150);
      END_STATE();
    case 63:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 64:
      if (lookahead == 'f') ADVANCE(152);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(154);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 69:
      if (lookahead == 'i') ADVANCE(157);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(158);
      if (lookahead == 'i') ADVANCE(159);
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 71:
      if (lookahead == 'b') ADVANCE(161);
      END_STATE();
    case 72:
      if (lookahead == 'g') ADVANCE(162);
      if (lookahead == 'q') ADVANCE(163);
      if (lookahead == 's') ADVANCE(164);
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 73:
      if (lookahead == 'w') ADVANCE(166);
      END_STATE();
    case 74:
      if (lookahead == 'm') ADVANCE(167);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(168);
      if (lookahead == 'o') ADVANCE(169);
      END_STATE();
    case 76:
      if (lookahead == 'g') ADVANCE(170);
      if (lookahead == 'z') ADVANCE(171);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(172);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 80:
      if (lookahead == 'm') ADVANCE(176);
      END_STATE();
    case 81:
      if (lookahead == 'i') ADVANCE(177);
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 82:
      if (lookahead == 'i') ADVANCE(179);
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 83:
      if (lookahead == 'p') ADVANCE(181);
      END_STATE();
    case 84:
      if (lookahead == 'i') ADVANCE(182);
      if (lookahead == 'o') ADVANCE(183);
      if (lookahead == 's') ADVANCE(184);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(185);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(186);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 88:
      if (lookahead == 'i') ADVANCE(188);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 90:
      if (lookahead == 'L') ADVANCE(190);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(191);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 93:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(194);
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(196);
      if (lookahead == 's') ADVANCE(197);
      if (lookahead == 't') ADVANCE(198);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(199);
      END_STATE();
    case 97:
      if (lookahead == 'd') ADVANCE(200);
      if (lookahead == 'l') ADVANCE(201);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 99:
      if (lookahead == 'x') ADVANCE(203);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(204);
      if (lookahead == 'i') ADVANCE(205);
      if (lookahead == 'o') ADVANCE(206);
      END_STATE();
    case 101:
      if (lookahead == 'n') ADVANCE(207);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 104:
      if (lookahead == 'p') ADVANCE(210);
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 105:
      if (lookahead == 'h') ADVANCE(212);
      if (lookahead == 'r') ADVANCE(213);
      END_STATE();
    case 106:
      if (lookahead == 'n') ADVANCE(214);
      if (lookahead == 'p') ADVANCE(215);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(216);
      if (lookahead == 'o') ADVANCE(217);
      END_STATE();
    case 108:
      if (lookahead == 'i') ADVANCE(218);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(219);
      END_STATE();
    case 110:
      if (lookahead == 'g') ADVANCE(220);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(221);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 113:
      if (lookahead == 'o') ADVANCE(222);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(223);
      if (lookahead == 'o') ADVANCE(224);
      END_STATE();
    case 115:
      if (lookahead == 'a') ADVANCE(225);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(226);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(227);
      END_STATE();
    case 118:
      if (lookahead == 'f') ADVANCE(228);
      END_STATE();
    case 119:
      if (lookahead == 't') ADVANCE(229);
      END_STATE();
    case 120:
      if (lookahead == 's') ADVANCE(230);
      END_STATE();
    case 121:
      if (lookahead == 'a') ADVANCE(231);
      if (lookahead == 'r') ADVANCE(232);
      if (lookahead == 'y') ADVANCE(233);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(234);
      END_STATE();
    case 123:
      if (lookahead == 'p') ADVANCE(235);
      END_STATE();
    case 124:
      if (lookahead == 'c') ADVANCE(236);
      if (lookahead == 's') ADVANCE(237);
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 125:
      if (lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(240);
      if (lookahead == 'i') ADVANCE(241);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(243);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 130:
      if (lookahead == 'm') ADVANCE(245);
      END_STATE();
    case 131:
      if (lookahead == 'l') ADVANCE(246);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 133:
      if (lookahead == 'a') ADVANCE(248);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 136:
      if (lookahead == 'b') ADVANCE(250);
      END_STATE();
    case 137:
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 138:
      if (lookahead == 'u') ADVANCE(252);
      END_STATE();
    case 139:
      if (lookahead == 'i') ADVANCE(253);
      END_STATE();
    case 140:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(256);
      END_STATE();
    case 143:
      if (lookahead == 'a') ADVANCE(257);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 146:
      if (lookahead == 'x') ADVANCE(259);
      END_STATE();
    case 147:
      if (lookahead == 'n') ADVANCE(260);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(263);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(264);
      END_STATE();
    case 152:
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 153:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(268);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 158:
      if (lookahead == 'c') ADVANCE(270);
      END_STATE();
    case 159:
      if (lookahead == 'v') ADVANCE(271);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 161:
      if (lookahead == 'l') ADVANCE(273);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 163:
      if (lookahead == 'u') ADVANCE(275);
      END_STATE();
    case 164:
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 165:
      if (lookahead == 'u') ADVANCE(277);
      END_STATE();
    case 166:
      if (lookahead == '_') ADVANCE(278);
      END_STATE();
    case 167:
      if (lookahead == 'p') ADVANCE(279);
      END_STATE();
    case 168:
      if (lookahead == 'r') ADVANCE(280);
      END_STATE();
    case 169:
      if (lookahead == 'r') ADVANCE(281);
      END_STATE();
    case 170:
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 172:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(285);
      END_STATE();
    case 174:
      if (lookahead == 'u') ADVANCE(286);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(287);
      END_STATE();
    case 176:
      if (lookahead == 'p') ADVANCE(288);
      END_STATE();
    case 177:
      if (lookahead == 's') ADVANCE(289);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(290);
      if (lookahead == 'o') ADVANCE(291);
      END_STATE();
    case 179:
      if (lookahead == 'a') ADVANCE(292);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 182:
      if (lookahead == 'f') ADVANCE(294);
      if (lookahead == 'o') ADVANCE(295);
      END_STATE();
    case 183:
      if (lookahead == 'r') ADVANCE(296);
      END_STATE();
    case 184:
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 185:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(299);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(300);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(302);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 191:
      if (lookahead == 'g') ADVANCE(303);
      END_STATE();
    case 192:
      if (lookahead == 'm') ADVANCE(304);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 194:
      if (lookahead == 'n') ADVANCE(306);
      END_STATE();
    case 195:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 196:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 197:
      if (lookahead == 'm') ADVANCE(309);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 199:
      if (lookahead == 's') ADVANCE(311);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(314);
      END_STATE();
    case 203:
      if (lookahead == 'c') ADVANCE(315);
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 204:
      if (lookahead == 's') ADVANCE(317);
      END_STATE();
    case 205:
      if (lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 206:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 207:
      if (lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 208:
      if (lookahead == 'a') ADVANCE(321);
      END_STATE();
    case 209:
      if (lookahead == 's') ADVANCE(322);
      END_STATE();
    case 210:
      if (lookahead == 't') ADVANCE(323);
      END_STATE();
    case 211:
      if (lookahead == 'd') ADVANCE(324);
      END_STATE();
    case 212:
      if (lookahead == 'i') ADVANCE(325);
      if (lookahead == 'r') ADVANCE(326);
      END_STATE();
    case 213:
      if (lookahead == 'y') ADVANCE(327);
      END_STATE();
    case 214:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 215:
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 216:
      if (lookahead == 'c') ADVANCE(330);
      END_STATE();
    case 217:
      if (lookahead == 'l') ADVANCE(331);
      END_STATE();
    case 218:
      if (lookahead == 'g') ADVANCE(332);
      END_STATE();
    case 219:
      if (lookahead == 'l') ADVANCE(333);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(334);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(336);
      END_STATE();
    case 224:
      if (lookahead == 'r') ADVANCE(337);
      END_STATE();
    case 225:
      if (lookahead == 'k') ADVANCE(338);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 227:
      if (lookahead == 'h') ADVANCE(339);
      END_STATE();
    case 228:
      if (lookahead == 'f') ADVANCE(340);
      END_STATE();
    case 229:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 230:
      if (lookahead == 's') ADVANCE(342);
      END_STATE();
    case 231:
      if (lookahead == 'w') ADVANCE(343);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 233:
      if (lookahead == 'i') ADVANCE(345);
      END_STATE();
    case 234:
      if (lookahead == 'm') ADVANCE(346);
      END_STATE();
    case 235:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(349);
      END_STATE();
    case 238:
      if (lookahead == 'i') ADVANCE(350);
      END_STATE();
    case 239:
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 240:
      if (lookahead == 'u') ADVANCE(352);
      END_STATE();
    case 241:
      if (lookahead == 'n') ADVANCE(353);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(354);
      END_STATE();
    case 243:
      if (lookahead == 'a') ADVANCE(355);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 246:
      if (lookahead == 'i') ADVANCE(356);
      END_STATE();
    case 247:
      if (lookahead == 'r') ADVANCE(357);
      END_STATE();
    case 248:
      if (lookahead == 'l') ADVANCE(358);
      END_STATE();
    case 249:
      if (lookahead == 'n') ADVANCE(359);
      END_STATE();
    case 250:
      if (lookahead == 'a') ADVANCE(360);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 252:
      if (lookahead == 'p') ADVANCE(361);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 254:
      if (lookahead == 't') ADVANCE(363);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_line);
      if (lookahead == 'a') ADVANCE(364);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 257:
      if (lookahead == 'b') ADVANCE(365);
      END_STATE();
    case 258:
      if (lookahead == 's') ADVANCE(366);
      END_STATE();
    case 259:
      if (lookahead == 'c') ADVANCE(367);
      END_STATE();
    case 260:
      if (lookahead == 't') ADVANCE(368);
      END_STATE();
    case 261:
      if (lookahead == 'r') ADVANCE(369);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 264:
      if (lookahead == 'p') ADVANCE(372);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(374);
      END_STATE();
    case 267:
      if (lookahead == 'q') ADVANCE(375);
      END_STATE();
    case 268:
      if (lookahead == 'r') ADVANCE(376);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(377);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(378);
      END_STATE();
    case 271:
      if (lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 273:
      if (lookahead == 'i') ADVANCE(381);
      END_STATE();
    case 274:
      if (lookahead == 's') ADVANCE(382);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(383);
      END_STATE();
    case 276:
      if (lookahead == 'r') ADVANCE(384);
      END_STATE();
    case 277:
      if (lookahead == 'r') ADVANCE(385);
      END_STATE();
    case 278:
      if (lookahead == 'm') ADVANCE(386);
      END_STATE();
    case 279:
      if (lookahead == 'l') ADVANCE(387);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 281:
      if (lookahead == 't') ADVANCE(389);
      END_STATE();
    case 282:
      if (lookahead == 'e') ADVANCE(390);
      END_STATE();
    case 283:
      if (lookahead == 'o') ADVANCE(391);
      END_STATE();
    case 284:
      if (lookahead == 'm') ADVANCE(392);
      END_STATE();
    case 285:
      if (lookahead == 'i') ADVANCE(393);
      END_STATE();
    case 286:
      if (lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 287:
      if (lookahead == 'c') ADVANCE(395);
      END_STATE();
    case 288:
      if (lookahead == 'l') ADVANCE(396);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 290:
      if (lookahead == 'a') ADVANCE(397);
      END_STATE();
    case 291:
      if (lookahead == 'w') ADVANCE(398);
      END_STATE();
    case 292:
      if (lookahead == 'n') ADVANCE(399);
      END_STATE();
    case 293:
      if (lookahead == 'd') ADVANCE(400);
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 294:
      if (lookahead == 'o') ADVANCE(402);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(403);
      END_STATE();
    case 296:
      if (lookahead == 'm') ADVANCE(404);
      END_STATE();
    case 297:
      if (lookahead == 'g') ADVANCE(405);
      END_STATE();
    case 298:
      if (lookahead == 'g') ADVANCE(406);
      END_STATE();
    case 299:
      if (lookahead == 'u') ADVANCE(407);
      END_STATE();
    case 300:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 301:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 302:
      if (lookahead == 'e') ADVANCE(410);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(411);
      END_STATE();
    case 304:
      if (lookahead == 'i') ADVANCE(412);
      END_STATE();
    case 305:
      if (lookahead == 'r') ADVANCE(413);
      END_STATE();
    case 306:
      if (lookahead == 'u') ADVANCE(414);
      END_STATE();
    case 307:
      if (lookahead == 't') ADVANCE(415);
      END_STATE();
    case 308:
      if (lookahead == 'g') ADVANCE(416);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(417);
      END_STATE();
    case 310:
      if (lookahead == 'r') ADVANCE(418);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(419);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(420);
      END_STATE();
    case 313:
      if (lookahead == 'c') ADVANCE(421);
      END_STATE();
    case 314:
      if (lookahead == 'l') ADVANCE(422);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(423);
      END_STATE();
    case 316:
      if (lookahead == 'e') ADVANCE(424);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(425);
      END_STATE();
    case 318:
      if (lookahead == 'a') ADVANCE(426);
      END_STATE();
    case 319:
      if (lookahead == 'c') ADVANCE(427);
      END_STATE();
    case 320:
      if (lookahead == 'i') ADVANCE(428);
      END_STATE();
    case 321:
      if (lookahead == 'v') ADVANCE(429);
      END_STATE();
    case 322:
      if (lookahead == 't') ADVANCE(430);
      END_STATE();
    case 323:
      if (lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 324:
      if (lookahead == 'c') ADVANCE(432);
      END_STATE();
    case 325:
      if (lookahead == 's') ADVANCE(433);
      END_STATE();
    case 326:
      if (lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 328:
      if (lookahead == 'l') ADVANCE(435);
      END_STATE();
    case 329:
      if (lookahead == 'r') ADVANCE(436);
      END_STATE();
    case 330:
      if (lookahead == 't') ADVANCE(437);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(438);
      END_STATE();
    case 332:
      if (lookahead == 'n') ADVANCE(439);
      END_STATE();
    case 333:
      if (lookahead == 'i') ADVANCE(440);
      END_STATE();
    case 334:
      if (lookahead == 'a') ADVANCE(441);
      if (lookahead == 'o') ADVANCE(442);
      END_STATE();
    case 335:
      if (lookahead == 'q') ADVANCE(443);
      END_STATE();
    case 336:
      if (lookahead == 'd') ADVANCE(444);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(445);
      END_STATE();
    case 341:
      if (lookahead == 'o') ADVANCE(446);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 343:
      if (lookahead == 'a') ADVANCE(447);
      END_STATE();
    case 344:
      if (lookahead == 't') ADVANCE(448);
      END_STATE();
    case 345:
      if (lookahead == 'e') ADVANCE(449);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(450);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 348:
      if (lookahead == 'p') ADVANCE(451);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(452);
      if (lookahead == 'i') ADVANCE(453);
      END_STATE();
    case 350:
      if (lookahead == 'n') ADVANCE(454);
      END_STATE();
    case 351:
      if (lookahead == 'y') ADVANCE(455);
      END_STATE();
    case 352:
      if (lookahead == 'l') ADVANCE(456);
      END_STATE();
    case 353:
      if (lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(458);
      END_STATE();
    case 355:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 356:
      if (lookahead == 'c') ADVANCE(460);
      END_STATE();
    case 357:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 359:
      if (lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 360:
      if (lookahead == 'l') ADVANCE(463);
      END_STATE();
    case 361:
      if (lookahead == 's') ADVANCE(464);
      END_STATE();
    case 362:
      if (lookahead == 'e') ADVANCE(465);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_inout);
      END_STATE();
    case 364:
      if (lookahead == 'd') ADVANCE(466);
      if (lookahead == 'r') ADVANCE(467);
      END_STATE();
    case 365:
      if (lookahead == 'l') ADVANCE(468);
      END_STATE();
    case 366:
      if (lookahead == 'p') ADVANCE(469);
      END_STATE();
    case 367:
      if (lookahead == 'e') ADVANCE(470);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(471);
      END_STATE();
    case 369:
      if (lookahead == 's') ADVANCE(472);
      END_STATE();
    case 370:
      if (lookahead == 'u') ADVANCE(473);
      END_STATE();
    case 371:
      if (lookahead == 'q') ADVANCE(474);
      END_STATE();
    case 372:
      if (lookahead == 't') ADVANCE(475);
      END_STATE();
    case 373:
      if (lookahead == 't') ADVANCE(476);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(477);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 376:
      if (lookahead == 'i') ADVANCE(478);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_point);
      END_STATE();
    case 378:
      if (lookahead == 's') ADVANCE(479);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(480);
      END_STATE();
    case 380:
      if (lookahead == 'c') ADVANCE(481);
      END_STATE();
    case 381:
      if (lookahead == 'c') ADVANCE(482);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(483);
      END_STATE();
    case 383:
      if (lookahead == 'r') ADVANCE(484);
      END_STATE();
    case 384:
      if (lookahead == 'i') ADVANCE(485);
      END_STATE();
    case 385:
      if (lookahead == 'n') ADVANCE(486);
      END_STATE();
    case 386:
      if (lookahead == 'a') ADVANCE(487);
      END_STATE();
    case 387:
      if (lookahead == 'e') ADVANCE(488);
      END_STATE();
    case 388:
      if (lookahead == 'd') ADVANCE(489);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 390:
      if (lookahead == 'd') ADVANCE(490);
      END_STATE();
    case 391:
      if (lookahead == 'f') ADVANCE(491);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_snorm);
      END_STATE();
    case 393:
      if (lookahead == 'c') ADVANCE(492);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(493);
      END_STATE();
    case 395:
      if (lookahead == 'h') ADVANCE(494);
      END_STATE();
    case 396:
      if (lookahead == 'a') ADVANCE(495);
      END_STATE();
    case 397:
      if (lookahead == 'd') ADVANCE(496);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 399:
      if (lookahead == 'g') ADVANCE(497);
      END_STATE();
    case 400:
      if (lookahead == 'e') ADVANCE(498);
      END_STATE();
    case 401:
      if (lookahead == 'a') ADVANCE(499);
      END_STATE();
    case 402:
      if (lookahead == 'r') ADVANCE(500);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_unorm);
      END_STATE();
    case 405:
      if (lookahead == 'n') ADVANCE(501);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 407:
      if (lookahead == 'a') ADVANCE(502);
      END_STATE();
    case 408:
      if (lookahead == 'i') ADVANCE(503);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 410:
      if (lookahead == 'q') ADVANCE(504);
      END_STATE();
    case 411:
      if (lookahead == 'a') ADVANCE(505);
      if (lookahead == 'o') ADVANCE(506);
      END_STATE();
    case 412:
      if (lookahead == 'c') ADVANCE(507);
      END_STATE();
    case 413:
      if (lookahead == 'i') ADVANCE(508);
      END_STATE();
    case 414:
      if (lookahead == 'l') ADVANCE(509);
      END_STATE();
    case 415:
      if (lookahead == 'u') ADVANCE(510);
      END_STATE();
    case 416:
      if (lookahead == 'n') ADVANCE(511);
      END_STATE();
    case 417:
      if (lookahead == '_') ADVANCE(512);
      END_STATE();
    case 418:
      if (lookahead == 'i') ADVANCE(513);
      END_STATE();
    case 419:
      if (lookahead == 'd') ADVANCE(514);
      END_STATE();
    case 420:
      if (lookahead == 'l') ADVANCE(515);
      END_STATE();
    case 421:
      if (lookahead == 'a') ADVANCE(516);
      END_STATE();
    case 422:
      if (lookahead == 's') ADVANCE(517);
      END_STATE();
    case 423:
      if (lookahead == 'p') ADVANCE(518);
      END_STATE();
    case 424:
      if (lookahead == 'n') ADVANCE(519);
      END_STATE();
    case 425:
      if (lookahead == 'c') ADVANCE(520);
      END_STATE();
    case 426:
      if (lookahead == 'l') ADVANCE(521);
      END_STATE();
    case 427:
      if (lookahead == 'e') ADVANCE(522);
      END_STATE();
    case 428:
      if (lookahead == 'n') ADVANCE(523);
      END_STATE();
    case 429:
      if (lookahead == 'e') ADVANCE(524);
      END_STATE();
    case 430:
      if (lookahead == 'r') ADVANCE(525);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 432:
      if (lookahead == 'a') ADVANCE(526);
      END_STATE();
    case 433:
      if (lookahead == 'c') ADVANCE(527);
      END_STATE();
    case 434:
      if (lookahead == 'a') ADVANCE(528);
      END_STATE();
    case 435:
      if (lookahead == 'i') ADVANCE(529);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 437:
      if (lookahead == 'o') ADVANCE(530);
      END_STATE();
    case 438:
      if (lookahead == 't') ADVANCE(531);
      END_STATE();
    case 439:
      if (lookahead == 'o') ADVANCE(532);
      END_STATE();
    case 440:
      if (lookahead == 'g') ADVANCE(533);
      END_STATE();
    case 441:
      if (lookahead == 's') ADVANCE(534);
      END_STATE();
    case 442:
      if (lookahead == 'f') ADVANCE(535);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 445:
      if (lookahead == 'r') ADVANCE(536);
      END_STATE();
    case 446:
      if (lookahead == 'i') ADVANCE(537);
      END_STATE();
    case 447:
      if (lookahead == 'i') ADVANCE(538);
      END_STATE();
    case 448:
      if (lookahead == 'u') ADVANCE(539);
      END_STATE();
    case 449:
      if (lookahead == 'l') ADVANCE(540);
      END_STATE();
    case 450:
      if (lookahead == '_') ADVANCE(541);
      END_STATE();
    case 451:
      if (lookahead == 't') ADVANCE(542);
      END_STATE();
    case 452:
      if (lookahead == 'v') ADVANCE(543);
      if (lookahead == 'x') ADVANCE(544);
      END_STATE();
    case 453:
      if (lookahead == 'n') ADVANCE(545);
      END_STATE();
    case 454:
      if (lookahead == 'u') ADVANCE(546);
      END_STATE();
    case 455:
      if (lookahead == 'p') ADVANCE(547);
      END_STATE();
    case 456:
      if (lookahead == 't') ADVANCE(548);
      END_STATE();
    case 457:
      if (lookahead == 'd') ADVANCE(549);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 459:
      if (lookahead == 'd') ADVANCE(550);
      END_STATE();
    case 460:
      if (lookahead == 'i') ADVANCE(551);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 463:
      if (lookahead == 'l') ADVANCE(552);
      END_STATE();
    case 464:
      if (lookahead == 'h') ADVANCE(553);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 466:
      if (lookahead == 'j') ADVANCE(554);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_linear);
      END_STATE();
    case 468:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 469:
      if (lookahead == 'a') ADVANCE(556);
      END_STATE();
    case 470:
      if (lookahead == 'p') ADVANCE(557);
      END_STATE();
    case 471:
      if (lookahead == 'r') ADVANCE(558);
      END_STATE();
    case 472:
      if (lookahead == 'p') ADVANCE(559);
      END_STATE();
    case 473:
      if (lookahead == 'r') ADVANCE(560);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 475:
      if (lookahead == 'r') ADVANCE(561);
      END_STATE();
    case 476:
      if (lookahead == 'o') ADVANCE(562);
      END_STATE();
    case 477:
      if (lookahead == 'o') ADVANCE(563);
      END_STATE();
    case 478:
      if (lookahead == 'd') ADVANCE(564);
      END_STATE();
    case 479:
      if (lookahead == 'e') ADVANCE(565);
      END_STATE();
    case 480:
      if (lookahead == 'e') ADVANCE(566);
      END_STATE();
    case 481:
      if (lookahead == 't') ADVANCE(567);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 483:
      if (lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 484:
      if (lookahead == 'e') ADVANCE(569);
      END_STATE();
    case 485:
      if (lookahead == 'c') ADVANCE(570);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 487:
      if (lookahead == 'j') ADVANCE(571);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_sample);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_shared);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 495:
      if (lookahead == 't') ADVANCE(573);
      END_STATE();
    case 496:
      if (lookahead == '_') ADVANCE(574);
      END_STATE();
    case 497:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 498:
      if (lookahead == 'f') ADVANCE(576);
      END_STATE();
    case 499:
      if (lookahead == 'm') ADVANCE(577);
      END_STATE();
    case 500:
      if (lookahead == 'm') ADVANCE(578);
      END_STATE();
    case 501:
      if (lookahead == 'e') ADVANCE(579);
      END_STATE();
    case 502:
      if (lookahead == 'l') ADVANCE(580);
      END_STATE();
    case 503:
      if (lookahead == 'l') ADVANCE(581);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 505:
      if (lookahead == 's') ADVANCE(582);
      END_STATE();
    case 506:
      if (lookahead == 'f') ADVANCE(583);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 508:
      if (lookahead == 'c') ADVANCE(584);
      END_STATE();
    case 509:
      if (lookahead == 'l') ADVANCE(585);
      END_STATE();
    case 510:
      if (lookahead == 'r') ADVANCE(586);
      END_STATE();
    case 511:
      if (lookahead == 'o') ADVANCE(587);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 513:
      if (lookahead == 'b') ADVANCE(588);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 516:
      if (lookahead == 'l') ADVANCE(589);
      END_STATE();
    case 517:
      if (lookahead == 'p') ADVANCE(590);
      END_STATE();
    case 518:
      if (lookahead == 't') ADVANCE(591);
      END_STATE();
    case 519:
      if (lookahead == 's') ADVANCE(592);
      END_STATE();
    case 520:
      if (lookahead == 'a') ADVANCE(593);
      END_STATE();
    case 521:
      if (lookahead == 'l') ADVANCE(594);
      END_STATE();
    case 522:
      if (lookahead == 'i') ADVANCE(595);
      END_STATE();
    case 523:
      if (lookahead == 'e') ADVANCE(596);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 525:
      if (lookahead == 'i') ADVANCE(597);
      END_STATE();
    case 526:
      if (lookahead == 'l') ADVANCE(598);
      END_STATE();
    case 527:
      if (lookahead == 'a') ADVANCE(599);
      END_STATE();
    case 528:
      if (lookahead == 'd') ADVANCE(600);
      END_STATE();
    case 529:
      if (lookahead == 'g') ADVANCE(601);
      END_STATE();
    case 530:
      if (lookahead == 'r') ADVANCE(602);
      END_STATE();
    case 531:
      if (lookahead == 'i') ADVANCE(603);
      END_STATE();
    case 532:
      if (lookahead == 'f') ADVANCE(604);
      END_STATE();
    case 533:
      if (lookahead == 'n') ADVANCE(605);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_cbuffer);
      END_STATE();
    case 537:
      if (lookahead == 'd') ADVANCE(606);
      END_STATE();
    case 538:
      if (lookahead == 't') ADVANCE(607);
      END_STATE();
    case 539:
      if (lookahead == 'r') ADVANCE(608);
      END_STATE();
    case 540:
      if (lookahead == 'd') ADVANCE(609);
      END_STATE();
    case 541:
      if (lookahead == 'm') ADVANCE(610);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 543:
      if (lookahead == 'a') ADVANCE(611);
      END_STATE();
    case 544:
      if (lookahead == 'p') ADVANCE(612);
      END_STATE();
    case 545:
      if (lookahead == 'i') ADVANCE(613);
      END_STATE();
    case 546:
      if (lookahead == 'e') ADVANCE(614);
      END_STATE();
    case 547:
      if (lookahead == 'e') ADVANCE(615);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_discard);
      END_STATE();
    case 551:
      if (lookahead == 't') ADVANCE(616);
      END_STATE();
    case 552:
      if (lookahead == 'y') ADVANCE(617);
      END_STATE();
    case 553:
      if (lookahead == 'a') ADVANCE(618);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_lineadj);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 556:
      if (lookahead == 'c') ADVANCE(619);
      END_STATE();
    case 557:
      if (lookahead == 't') ADVANCE(620);
      END_STATE();
    case 558:
      if (lookahead == 'p') ADVANCE(621);
      END_STATE();
    case 559:
      if (lookahead == 'e') ADVANCE(622);
      END_STATE();
    case 560:
      if (lookahead == 'n') ADVANCE(623);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 562:
      if (lookahead == 'f') ADVANCE(624);
      END_STATE();
    case 563:
      if (lookahead == 'r') ADVANCE(625);
      END_STATE();
    case 564:
      if (lookahead == 'e') ADVANCE(626);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_precise);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 567:
      if (lookahead == 'e') ADVANCE(627);
      END_STATE();
    case 568:
      if (lookahead == 'r') ADVANCE(628);
      END_STATE();
    case 569:
      if (lookahead == 's') ADVANCE(629);
      END_STATE();
    case 570:
      if (lookahead == 't') ADVANCE(630);
      END_STATE();
    case 571:
      if (lookahead == 'o') ADVANCE(631);
      END_STATE();
    case 572:
      if (lookahead == 'a') ADVANCE(632);
      END_STATE();
    case 573:
      if (lookahead == 'e') ADVANCE(633);
      END_STATE();
    case 574:
      if (lookahead == 'l') ADVANCE(634);
      END_STATE();
    case 575:
      if (lookahead == 'e') ADVANCE(635);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 577:
      if (lookahead == 'e') ADVANCE(636);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_uniform);
      END_STATE();
    case 579:
      if (lookahead == 'd') ADVANCE(637);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 581:
      if (lookahead == 'e') ADVANCE(638);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 586:
      if (lookahead == 'n') ADVANCE(639);
      END_STATE();
    case 587:
      if (lookahead == 'f') ADVANCE(640);
      END_STATE();
    case 588:
      if (lookahead == 'u') ADVANCE(641);
      END_STATE();
    case 589:
      if (lookahead == 'l') ADVANCE(642);
      END_STATE();
    case 590:
      if (lookahead == 'e') ADVANCE(643);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 592:
      if (lookahead == 'i') ADVANCE(644);
      END_STATE();
    case 593:
      if (lookahead == 'l') ADVANCE(645);
      END_STATE();
    case 594:
      if (lookahead == 'y') ADVANCE(646);
      END_STATE();
    case 595:
      if (lookahead == 'n') ADVANCE(647);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(648);
      END_STATE();
    case 597:
      if (lookahead == 'c') ADVANCE(649);
      END_STATE();
    case 598:
      if (lookahead == 'l') ADVANCE(650);
      END_STATE();
    case 599:
      if (lookahead == 'l') ADVANCE(651);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 601:
      if (lookahead == 'n') ADVANCE(652);
      END_STATE();
    case 602:
      if (lookahead == 'c') ADVANCE(653);
      END_STATE();
    case 603:
      if (lookahead == 'l') ADVANCE(654);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 605:
      if (lookahead == 'e') ADVANCE(655);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_centroid);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 608:
      if (lookahead == 'n') ADVANCE(656);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 610:
      if (lookahead == 'a') ADVANCE(657);
      END_STATE();
    case 611:
      if (lookahead == 'l') ADVANCE(658);
      END_STATE();
    case 612:
      if (lookahead == 'r') ADVANCE(659);
      END_STATE();
    case 613:
      if (lookahead == 't') ADVANCE(660);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 617:
      if (lookahead == 'c') ADVANCE(661);
      END_STATE();
    case 618:
      if (lookahead == 'r') ADVANCE(662);
      END_STATE();
    case 619:
      if (lookahead == 'e') ADVANCE(663);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 621:
      if (lookahead == 'o') ADVANCE(664);
      END_STATE();
    case 622:
      if (lookahead == 'c') ADVANCE(665);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 627:
      if (lookahead == 'd') ADVANCE(666);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 631:
      if (lookahead == 'r') ADVANCE(667);
      END_STATE();
    case 632:
      if (lookahead == 's') ADVANCE(668);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 634:
      if (lookahead == 'o') ADVANCE(669);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_triangle);
      if (lookahead == 'a') ADVANCE(670);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(671);
      END_STATE();
    case 641:
      if (lookahead == 't') ADVANCE(672);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 643:
      if (lookahead == 'c') ADVANCE(673);
      END_STATE();
    case 644:
      if (lookahead == 'o') ADVANCE(674);
      END_STATE();
    case 645:
      if (lookahead == 'l') ADVANCE(675);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 647:
      if (lookahead == 'l') ADVANCE(676);
      END_STATE();
    case 648:
      if (lookahead == '_') ADVANCE(677);
      END_STATE();
    case 649:
      if (lookahead == 't') ADVANCE(678);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 651:
      if (lookahead == 'l') ADVANCE(679);
      END_STATE();
    case 652:
      if (lookahead == 'e') ADVANCE(680);
      END_STATE();
    case 653:
      if (lookahead == 'a') ADVANCE(681);
      END_STATE();
    case 654:
      if (lookahead == 'e') ADVANCE(682);
      END_STATE();
    case 655:
      if (lookahead == 'd') ADVANCE(683);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 657:
      if (lookahead == 'j') ADVANCE(684);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 661:
      if (lookahead == 'o') ADVANCE(685);
      END_STATE();
    case 662:
      if (lookahead == 'e') ADVANCE(686);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 664:
      if (lookahead == 'l') ADVANCE(687);
      END_STATE();
    case 665:
      if (lookahead == 't') ADVANCE(688);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(anon_sym_row_major);
      END_STATE();
    case 668:
      if (lookahead == 's') ADVANCE(689);
      END_STATE();
    case 669:
      if (lookahead == 'c') ADVANCE(690);
      END_STATE();
    case 670:
      if (lookahead == 'd') ADVANCE(691);
      END_STATE();
    case 671:
      if (lookahead == '_') ADVANCE(692);
      END_STATE();
    case 672:
      if (lookahead == 'e') ADVANCE(693);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 674:
      if (lookahead == 'n') ADVANCE(694);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 676:
      if (lookahead == 'i') ADVANCE(695);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(696);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 680:
      if (lookahead == 'd') ADVANCE(697);
      END_STATE();
    case 681:
      if (lookahead == 'l') ADVANCE(698);
      END_STATE();
    case 682:
      if (lookahead == '_') ADVANCE(699);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 684:
      if (lookahead == 'o') ADVANCE(700);
      END_STATE();
    case 685:
      if (lookahead == 'h') ADVANCE(701);
      END_STATE();
    case 686:
      if (lookahead == 'd') ADVANCE(702);
      END_STATE();
    case 687:
      if (lookahead == 'a') ADVANCE(703);
      END_STATE();
    case 688:
      if (lookahead == 'i') ADVANCE(704);
      END_STATE();
    case 689:
      if (lookahead == 'e') ADVANCE(705);
      END_STATE();
    case 690:
      if (lookahead == 'a') ADVANCE(706);
      END_STATE();
    case 691:
      if (lookahead == 'j') ADVANCE(707);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 693:
      if (lookahead == '_') ADVANCE(708);
      END_STATE();
    case 694:
      if (lookahead == '_') ADVANCE(709);
      END_STATE();
    case 695:
      if (lookahead == 'n') ADVANCE(710);
      END_STATE();
    case 696:
      if (lookahead == '_') ADVANCE(711);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 698:
      if (lookahead == 'l') ADVANCE(712);
      END_STATE();
    case 699:
      if (lookahead == '_') ADVANCE(713);
      END_STATE();
    case 700:
      if (lookahead == 'r') ADVANCE(714);
      END_STATE();
    case 701:
      if (lookahead == 'e') ADVANCE(715);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(anon_sym_groupshared);
      END_STATE();
    case 703:
      if (lookahead == 't') ADVANCE(716);
      END_STATE();
    case 704:
      if (lookahead == 'v') ADVANCE(717);
      END_STATE();
    case 705:
      if (lookahead == 'r') ADVANCE(718);
      END_STATE();
    case 706:
      if (lookahead == 'l') ADVANCE(719);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(anon_sym_triangleadj);
      END_STATE();
    case 708:
      if (lookahead == '_') ADVANCE(720);
      END_STATE();
    case 709:
      if (lookahead == '_') ADVANCE(721);
      END_STATE();
    case 710:
      if (lookahead == 'e') ADVANCE(722);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(anon_sym___volatile__);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(anon_sym_column_major);
      END_STATE();
    case 715:
      if (lookahead == 'r') ADVANCE(723);
      END_STATE();
    case 716:
      if (lookahead == 'i') ADVANCE(724);
      END_STATE();
    case 717:
      if (lookahead == 'e') ADVANCE(725);
      END_STATE();
    case 718:
      if (lookahead == 't') ADVANCE(726);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 723:
      if (lookahead == 'e') ADVANCE(727);
      END_STATE();
    case 724:
      if (lookahead == 'o') ADVANCE(728);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(anon_sym_noperspective);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    case 727:
      if (lookahead == 'n') ADVANCE(729);
      END_STATE();
    case 728:
      if (lookahead == 'n') ADVANCE(730);
      END_STATE();
    case 729:
      if (lookahead == 't') ADVANCE(731);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_nointerpolation);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(anon_sym_globallycoherent);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 334},
  [2] = {.lex_state = 334},
  [3] = {.lex_state = 334},
  [4] = {.lex_state = 334},
  [5] = {.lex_state = 334},
  [6] = {.lex_state = 334},
  [7] = {.lex_state = 334},
  [8] = {.lex_state = 334},
  [9] = {.lex_state = 334},
  [10] = {.lex_state = 334},
  [11] = {.lex_state = 334},
  [12] = {.lex_state = 334},
  [13] = {.lex_state = 169},
  [14] = {.lex_state = 169},
  [15] = {.lex_state = 169},
  [16] = {.lex_state = 169},
  [17] = {.lex_state = 169},
  [18] = {.lex_state = 169},
  [19] = {.lex_state = 169},
  [20] = {.lex_state = 169},
  [21] = {.lex_state = 169},
  [22] = {.lex_state = 169},
  [23] = {.lex_state = 169},
  [24] = {.lex_state = 169},
  [25] = {.lex_state = 169},
  [26] = {.lex_state = 169},
  [27] = {.lex_state = 169},
  [28] = {.lex_state = 169},
  [29] = {.lex_state = 169},
  [30] = {.lex_state = 169},
  [31] = {.lex_state = 169},
  [32] = {.lex_state = 169},
  [33] = {.lex_state = 169},
  [34] = {.lex_state = 334},
  [35] = {.lex_state = 334},
  [36] = {.lex_state = 172},
  [37] = {.lex_state = 334},
  [38] = {.lex_state = 334},
  [39] = {.lex_state = 334},
  [40] = {.lex_state = 334},
  [41] = {.lex_state = 334},
  [42] = {.lex_state = 334},
  [43] = {.lex_state = 334},
  [44] = {.lex_state = 334},
  [45] = {.lex_state = 334},
  [46] = {.lex_state = 334},
  [47] = {.lex_state = 172},
  [48] = {.lex_state = 334},
  [49] = {.lex_state = 334},
  [50] = {.lex_state = 334},
  [51] = {.lex_state = 334},
  [52] = {.lex_state = 334},
  [53] = {.lex_state = 334},
  [54] = {.lex_state = 334},
  [55] = {.lex_state = 334},
  [56] = {.lex_state = 334},
  [57] = {.lex_state = 334},
  [58] = {.lex_state = 334},
  [59] = {.lex_state = 334},
  [60] = {.lex_state = 334},
  [61] = {.lex_state = 334},
  [62] = {.lex_state = 334},
  [63] = {.lex_state = 334},
  [64] = {.lex_state = 334},
  [65] = {.lex_state = 172},
  [66] = {.lex_state = 334},
  [67] = {.lex_state = 334},
  [68] = {.lex_state = 334},
  [69] = {.lex_state = 334},
  [70] = {.lex_state = 334},
  [71] = {.lex_state = 334},
  [72] = {.lex_state = 334},
  [73] = {.lex_state = 334},
  [74] = {.lex_state = 334},
  [75] = {.lex_state = 334},
  [76] = {.lex_state = 334},
  [77] = {.lex_state = 334},
  [78] = {.lex_state = 334},
  [79] = {.lex_state = 334},
  [80] = {.lex_state = 334},
  [81] = {.lex_state = 334},
  [82] = {.lex_state = 169},
  [83] = {.lex_state = 169},
  [84] = {.lex_state = 169},
  [85] = {.lex_state = 169},
  [86] = {.lex_state = 169},
  [87] = {.lex_state = 334},
  [88] = {.lex_state = 172},
  [89] = {.lex_state = 172},
  [90] = {.lex_state = 334},
  [91] = {.lex_state = 334},
  [92] = {.lex_state = 334},
  [93] = {.lex_state = 334},
  [94] = {.lex_state = 334},
  [95] = {.lex_state = 334},
  [96] = {.lex_state = 334},
  [97] = {.lex_state = 172},
  [98] = {.lex_state = 334},
  [99] = {.lex_state = 334},
  [100] = {.lex_state = 172},
  [101] = {.lex_state = 172},
  [102] = {.lex_state = 171},
  [103] = {.lex_state = 171},
  [104] = {.lex_state = 171},
  [105] = {.lex_state = 171},
  [106] = {.lex_state = 171},
  [107] = {.lex_state = 171},
  [108] = {.lex_state = 171},
  [109] = {.lex_state = 171},
  [110] = {.lex_state = 171},
  [111] = {.lex_state = 171},
  [112] = {.lex_state = 171},
  [113] = {.lex_state = 171},
  [114] = {.lex_state = 171},
  [115] = {.lex_state = 171},
  [116] = {.lex_state = 171},
  [117] = {.lex_state = 171},
  [118] = {.lex_state = 171},
  [119] = {.lex_state = 171},
  [120] = {.lex_state = 171},
  [121] = {.lex_state = 171},
  [122] = {.lex_state = 171},
  [123] = {.lex_state = 171},
  [124] = {.lex_state = 171},
  [125] = {.lex_state = 171},
  [126] = {.lex_state = 171},
  [127] = {.lex_state = 171},
  [128] = {.lex_state = 171},
  [129] = {.lex_state = 171},
  [130] = {.lex_state = 171},
  [131] = {.lex_state = 171},
  [132] = {.lex_state = 171},
  [133] = {.lex_state = 171},
  [134] = {.lex_state = 171},
  [135] = {.lex_state = 334},
  [136] = {.lex_state = 334},
  [137] = {.lex_state = 334},
  [138] = {.lex_state = 169},
  [139] = {.lex_state = 334},
  [140] = {.lex_state = 334},
  [141] = {.lex_state = 169},
  [142] = {.lex_state = 334},
  [143] = {.lex_state = 334},
  [144] = {.lex_state = 334},
  [145] = {.lex_state = 169},
  [146] = {.lex_state = 169},
  [147] = {.lex_state = 334},
  [148] = {.lex_state = 173},
  [149] = {.lex_state = 169},
  [150] = {.lex_state = 169},
  [151] = {.lex_state = 169},
  [152] = {.lex_state = 169},
  [153] = {.lex_state = 169},
  [154] = {.lex_state = 169},
  [155] = {.lex_state = 169},
  [156] = {.lex_state = 169},
  [157] = {.lex_state = 169},
  [158] = {.lex_state = 169},
  [159] = {.lex_state = 173},
  [160] = {.lex_state = 169},
  [161] = {.lex_state = 169},
  [162] = {.lex_state = 169},
  [163] = {.lex_state = 169},
  [164] = {.lex_state = 169},
  [165] = {.lex_state = 173},
  [166] = {.lex_state = 334},
  [167] = {.lex_state = 334},
  [168] = {.lex_state = 169},
  [169] = {.lex_state = 172},
  [170] = {.lex_state = 169},
  [171] = {.lex_state = 172},
  [172] = {.lex_state = 334},
  [173] = {.lex_state = 334},
  [174] = {.lex_state = 334},
  [175] = {.lex_state = 169},
  [176] = {.lex_state = 169},
  [177] = {.lex_state = 334},
  [178] = {.lex_state = 334},
  [179] = {.lex_state = 169},
  [180] = {.lex_state = 169},
  [181] = {.lex_state = 169},
  [182] = {.lex_state = 334},
  [183] = {.lex_state = 172},
  [184] = {.lex_state = 172},
  [185] = {.lex_state = 169},
  [186] = {.lex_state = 169},
  [187] = {.lex_state = 169},
  [188] = {.lex_state = 169},
  [189] = {.lex_state = 169},
  [190] = {.lex_state = 169},
  [191] = {.lex_state = 169},
  [192] = {.lex_state = 169},
  [193] = {.lex_state = 169},
  [194] = {.lex_state = 169},
  [195] = {.lex_state = 169},
  [196] = {.lex_state = 169},
  [197] = {.lex_state = 169},
  [198] = {.lex_state = 169},
  [199] = {.lex_state = 169},
  [200] = {.lex_state = 169},
  [201] = {.lex_state = 169},
  [202] = {.lex_state = 169},
  [203] = {.lex_state = 169},
  [204] = {.lex_state = 169},
  [205] = {.lex_state = 169},
  [206] = {.lex_state = 169},
  [207] = {.lex_state = 169},
  [208] = {.lex_state = 169},
  [209] = {.lex_state = 169},
  [210] = {.lex_state = 169},
  [211] = {.lex_state = 169},
  [212] = {.lex_state = 169},
  [213] = {.lex_state = 169},
  [214] = {.lex_state = 169},
  [215] = {.lex_state = 169},
  [216] = {.lex_state = 169},
  [217] = {.lex_state = 169},
  [218] = {.lex_state = 169},
  [219] = {.lex_state = 169},
  [220] = {.lex_state = 169},
  [221] = {.lex_state = 169},
  [222] = {.lex_state = 169},
  [223] = {.lex_state = 169},
  [224] = {.lex_state = 169},
  [225] = {.lex_state = 169},
  [226] = {.lex_state = 169},
  [227] = {.lex_state = 169},
  [228] = {.lex_state = 169},
  [229] = {.lex_state = 169},
  [230] = {.lex_state = 169},
  [231] = {.lex_state = 169},
  [232] = {.lex_state = 169},
  [233] = {.lex_state = 169},
  [234] = {.lex_state = 169},
  [235] = {.lex_state = 334},
  [236] = {.lex_state = 169},
  [237] = {.lex_state = 169},
  [238] = {.lex_state = 334},
  [239] = {.lex_state = 169},
  [240] = {.lex_state = 334},
  [241] = {.lex_state = 334},
  [242] = {.lex_state = 169},
  [243] = {.lex_state = 172},
  [244] = {.lex_state = 334},
  [245] = {.lex_state = 334},
  [246] = {.lex_state = 169},
  [247] = {.lex_state = 169},
  [248] = {.lex_state = 169},
  [249] = {.lex_state = 169},
  [250] = {.lex_state = 169},
  [251] = {.lex_state = 169},
  [252] = {.lex_state = 169},
  [253] = {.lex_state = 169},
  [254] = {.lex_state = 169},
  [255] = {.lex_state = 169},
  [256] = {.lex_state = 169},
  [257] = {.lex_state = 169},
  [258] = {.lex_state = 169},
  [259] = {.lex_state = 169},
  [260] = {.lex_state = 169},
  [261] = {.lex_state = 169},
  [262] = {.lex_state = 169},
  [263] = {.lex_state = 169},
  [264] = {.lex_state = 169},
  [265] = {.lex_state = 169},
  [266] = {.lex_state = 169},
  [267] = {.lex_state = 169},
  [268] = {.lex_state = 169},
  [269] = {.lex_state = 169},
  [270] = {.lex_state = 169},
  [271] = {.lex_state = 169},
  [272] = {.lex_state = 169},
  [273] = {.lex_state = 169},
  [274] = {.lex_state = 169},
  [275] = {.lex_state = 169},
  [276] = {.lex_state = 334},
  [277] = {.lex_state = 169},
  [278] = {.lex_state = 169},
  [279] = {.lex_state = 169},
  [280] = {.lex_state = 169},
  [281] = {.lex_state = 169},
  [282] = {.lex_state = 169},
  [283] = {.lex_state = 169},
  [284] = {.lex_state = 169},
  [285] = {.lex_state = 169},
  [286] = {.lex_state = 169},
  [287] = {.lex_state = 169},
  [288] = {.lex_state = 169},
  [289] = {.lex_state = 169},
  [290] = {.lex_state = 169},
  [291] = {.lex_state = 169},
  [292] = {.lex_state = 169},
  [293] = {.lex_state = 169},
  [294] = {.lex_state = 169},
  [295] = {.lex_state = 169},
  [296] = {.lex_state = 169},
  [297] = {.lex_state = 169},
  [298] = {.lex_state = 169},
  [299] = {.lex_state = 169},
  [300] = {.lex_state = 169},
  [301] = {.lex_state = 169},
  [302] = {.lex_state = 169},
  [303] = {.lex_state = 169},
  [304] = {.lex_state = 169},
  [305] = {.lex_state = 169},
  [306] = {.lex_state = 169},
  [307] = {.lex_state = 169},
  [308] = {.lex_state = 169},
  [309] = {.lex_state = 169},
  [310] = {.lex_state = 169},
  [311] = {.lex_state = 169},
  [312] = {.lex_state = 169},
  [313] = {.lex_state = 169},
  [314] = {.lex_state = 169},
  [315] = {.lex_state = 169},
  [316] = {.lex_state = 169},
  [317] = {.lex_state = 169},
  [318] = {.lex_state = 169},
  [319] = {.lex_state = 169},
  [320] = {.lex_state = 172},
  [321] = {.lex_state = 169},
  [322] = {.lex_state = 169},
  [323] = {.lex_state = 169},
  [324] = {.lex_state = 169},
  [325] = {.lex_state = 334},
  [326] = {.lex_state = 334},
  [327] = {.lex_state = 334},
  [328] = {.lex_state = 334},
  [329] = {.lex_state = 334},
  [330] = {.lex_state = 334},
  [331] = {.lex_state = 334},
  [332] = {.lex_state = 334},
  [333] = {.lex_state = 334},
  [334] = {.lex_state = 334},
  [335] = {.lex_state = 334},
  [336] = {.lex_state = 334},
  [337] = {.lex_state = 334},
  [338] = {.lex_state = 172},
  [339] = {.lex_state = 172},
  [340] = {.lex_state = 172},
  [341] = {.lex_state = 172},
  [342] = {.lex_state = 172},
  [343] = {.lex_state = 172},
  [344] = {.lex_state = 334},
  [345] = {.lex_state = 334},
  [346] = {.lex_state = 334},
  [347] = {.lex_state = 334},
  [348] = {.lex_state = 334},
  [349] = {.lex_state = 334},
  [350] = {.lex_state = 334},
  [351] = {.lex_state = 172},
  [352] = {.lex_state = 172},
  [353] = {.lex_state = 172},
  [354] = {.lex_state = 172},
  [355] = {.lex_state = 172},
  [356] = {.lex_state = 172},
  [357] = {.lex_state = 172},
  [358] = {.lex_state = 169},
  [359] = {.lex_state = 169},
  [360] = {.lex_state = 334},
  [361] = {.lex_state = 172},
  [362] = {.lex_state = 172},
  [363] = {.lex_state = 334},
  [364] = {.lex_state = 236},
  [365] = {.lex_state = 334},
  [366] = {.lex_state = 334},
  [367] = {.lex_state = 171},
  [368] = {.lex_state = 334},
  [369] = {.lex_state = 334},
  [370] = {.lex_state = 334},
  [371] = {.lex_state = 171},
  [372] = {.lex_state = 172},
  [373] = {.lex_state = 172},
  [374] = {.lex_state = 171},
  [375] = {.lex_state = 334},
  [376] = {.lex_state = 172},
  [377] = {.lex_state = 172},
  [378] = {.lex_state = 172},
  [379] = {.lex_state = 236},
  [380] = {.lex_state = 334},
  [381] = {.lex_state = 236},
  [382] = {.lex_state = 236},
  [383] = {.lex_state = 236},
  [384] = {.lex_state = 236},
  [385] = {.lex_state = 334},
  [386] = {.lex_state = 334},
  [387] = {.lex_state = 236},
  [388] = {.lex_state = 236},
  [389] = {.lex_state = 236},
  [390] = {.lex_state = 236},
  [391] = {.lex_state = 236},
  [392] = {.lex_state = 236},
  [393] = {.lex_state = 236},
  [394] = {.lex_state = 236},
  [395] = {.lex_state = 236},
  [396] = {.lex_state = 334},
  [397] = {.lex_state = 172},
  [398] = {.lex_state = 236},
  [399] = {.lex_state = 334},
  [400] = {.lex_state = 172},
  [401] = {.lex_state = 172},
  [402] = {.lex_state = 172},
  [403] = {.lex_state = 334},
  [404] = {.lex_state = 334},
  [405] = {.lex_state = 172},
  [406] = {.lex_state = 334},
  [407] = {.lex_state = 172},
  [408] = {.lex_state = 172},
  [409] = {.lex_state = 172},
  [410] = {.lex_state = 172},
  [411] = {.lex_state = 172},
  [412] = {.lex_state = 172},
  [413] = {.lex_state = 172},
  [414] = {.lex_state = 172},
  [415] = {.lex_state = 172},
  [416] = {.lex_state = 334},
  [417] = {.lex_state = 172},
  [418] = {.lex_state = 334},
  [419] = {.lex_state = 334},
  [420] = {.lex_state = 334},
  [421] = {.lex_state = 334},
  [422] = {.lex_state = 172},
  [423] = {.lex_state = 334},
  [424] = {.lex_state = 334},
  [425] = {.lex_state = 172},
  [426] = {.lex_state = 172},
  [427] = {.lex_state = 172},
  [428] = {.lex_state = 172},
  [429] = {.lex_state = 334},
  [430] = {.lex_state = 334},
  [431] = {.lex_state = 172},
  [432] = {.lex_state = 172},
  [433] = {.lex_state = 172},
  [434] = {.lex_state = 172},
  [435] = {.lex_state = 172},
  [436] = {.lex_state = 334},
  [437] = {.lex_state = 334},
  [438] = {.lex_state = 172},
  [439] = {.lex_state = 172},
  [440] = {.lex_state = 172},
  [441] = {.lex_state = 172},
  [442] = {.lex_state = 334},
  [443] = {.lex_state = 172},
  [444] = {.lex_state = 172},
  [445] = {.lex_state = 172},
  [446] = {.lex_state = 334},
  [447] = {.lex_state = 334},
  [448] = {.lex_state = 334},
  [449] = {.lex_state = 334},
  [450] = {.lex_state = 334},
  [451] = {.lex_state = 334},
  [452] = {.lex_state = 334},
  [453] = {.lex_state = 334},
  [454] = {.lex_state = 334},
  [455] = {.lex_state = 172},
  [456] = {.lex_state = 172},
  [457] = {.lex_state = 334},
  [458] = {.lex_state = 334},
  [459] = {.lex_state = 334},
  [460] = {.lex_state = 172},
  [461] = {.lex_state = 172},
  [462] = {.lex_state = 334},
  [463] = {.lex_state = 334},
  [464] = {.lex_state = 172},
  [465] = {.lex_state = 334},
  [466] = {.lex_state = 172},
  [467] = {.lex_state = 334},
  [468] = {.lex_state = 172},
  [469] = {.lex_state = 334},
  [470] = {.lex_state = 334},
  [471] = {.lex_state = 334},
  [472] = {.lex_state = 334},
  [473] = {.lex_state = 172},
  [474] = {.lex_state = 172},
  [475] = {.lex_state = 334},
  [476] = {.lex_state = 334},
  [477] = {.lex_state = 334},
  [478] = {.lex_state = 172},
  [479] = {.lex_state = 172},
  [480] = {.lex_state = 172},
  [481] = {.lex_state = 172},
  [482] = {.lex_state = 172},
  [483] = {.lex_state = 172},
  [484] = {.lex_state = 334},
  [485] = {.lex_state = 334},
  [486] = {.lex_state = 334},
  [487] = {.lex_state = 334},
  [488] = {.lex_state = 334},
  [489] = {.lex_state = 334},
  [490] = {.lex_state = 334},
  [491] = {.lex_state = 334},
  [492] = {.lex_state = 334},
  [493] = {.lex_state = 334},
  [494] = {.lex_state = 334},
  [495] = {.lex_state = 334},
  [496] = {.lex_state = 334},
  [497] = {.lex_state = 334},
  [498] = {.lex_state = 334},
  [499] = {.lex_state = 334},
  [500] = {.lex_state = 334},
  [501] = {.lex_state = 334},
  [502] = {.lex_state = 334},
  [503] = {.lex_state = 334},
  [504] = {.lex_state = 334},
  [505] = {.lex_state = 334},
  [506] = {.lex_state = 334},
  [507] = {.lex_state = 171},
  [508] = {.lex_state = 334},
  [509] = {.lex_state = 334},
  [510] = {.lex_state = 334},
  [511] = {.lex_state = 334},
  [512] = {.lex_state = 334},
  [513] = {.lex_state = 334},
  [514] = {.lex_state = 334},
  [515] = {.lex_state = 334},
  [516] = {.lex_state = 334},
  [517] = {.lex_state = 334},
  [518] = {.lex_state = 334},
  [519] = {.lex_state = 334},
  [520] = {.lex_state = 334},
  [521] = {.lex_state = 334},
  [522] = {.lex_state = 334},
  [523] = {.lex_state = 334},
  [524] = {.lex_state = 334},
  [525] = {.lex_state = 334},
  [526] = {.lex_state = 334},
  [527] = {.lex_state = 334},
  [528] = {.lex_state = 334},
  [529] = {.lex_state = 334},
  [530] = {.lex_state = 334},
  [531] = {.lex_state = 334},
  [532] = {.lex_state = 334},
  [533] = {.lex_state = 334},
  [534] = {.lex_state = 334},
  [535] = {.lex_state = 172},
  [536] = {.lex_state = 334},
  [537] = {.lex_state = 334},
  [538] = {.lex_state = 334},
  [539] = {.lex_state = 334},
  [540] = {.lex_state = 172},
  [541] = {.lex_state = 172},
  [542] = {.lex_state = 172},
  [543] = {.lex_state = 171},
  [544] = {.lex_state = 334},
  [545] = {.lex_state = 172},
  [546] = {.lex_state = 334},
  [547] = {.lex_state = 172},
  [548] = {.lex_state = 334},
  [549] = {.lex_state = 334},
  [550] = {.lex_state = 334},
  [551] = {.lex_state = 334},
  [552] = {.lex_state = 334},
  [553] = {.lex_state = 334},
  [554] = {.lex_state = 171},
  [555] = {.lex_state = 334},
  [556] = {.lex_state = 334},
  [557] = {.lex_state = 334},
  [558] = {.lex_state = 334},
  [559] = {.lex_state = 172},
  [560] = {.lex_state = 171},
  [561] = {.lex_state = 171},
  [562] = {.lex_state = 171},
  [563] = {.lex_state = 334},
  [564] = {.lex_state = 172},
  [565] = {.lex_state = 334},
  [566] = {.lex_state = 334},
  [567] = {.lex_state = 334},
  [568] = {.lex_state = 334},
  [569] = {.lex_state = 334},
  [570] = {.lex_state = 334},
  [571] = {.lex_state = 172},
  [572] = {.lex_state = 334},
  [573] = {.lex_state = 172},
  [574] = {.lex_state = 172},
  [575] = {.lex_state = 172},
  [576] = {.lex_state = 172},
  [577] = {.lex_state = 172},
  [578] = {.lex_state = 172},
  [579] = {.lex_state = 172},
  [580] = {.lex_state = 172},
  [581] = {.lex_state = 172},
  [582] = {.lex_state = 172},
  [583] = {.lex_state = 334},
  [584] = {.lex_state = 334},
  [585] = {.lex_state = 334},
  [586] = {.lex_state = 172},
  [587] = {.lex_state = 172},
  [588] = {.lex_state = 334},
  [589] = {.lex_state = 334},
  [590] = {.lex_state = 334},
  [591] = {.lex_state = 334},
  [592] = {.lex_state = 334},
  [593] = {.lex_state = 172},
  [594] = {.lex_state = 172},
  [595] = {.lex_state = 172},
  [596] = {.lex_state = 172},
  [597] = {.lex_state = 172},
  [598] = {.lex_state = 334},
  [599] = {.lex_state = 172},
  [600] = {.lex_state = 172},
  [601] = {.lex_state = 172},
  [602] = {.lex_state = 172},
  [603] = {.lex_state = 172},
  [604] = {.lex_state = 334},
  [605] = {.lex_state = 172},
  [606] = {.lex_state = 172},
  [607] = {.lex_state = 334},
  [608] = {.lex_state = 334},
  [609] = {.lex_state = 172},
  [610] = {.lex_state = 171},
  [611] = {.lex_state = 172},
  [612] = {.lex_state = 172},
  [613] = {.lex_state = 172},
  [614] = {.lex_state = 172},
  [615] = {.lex_state = 334},
  [616] = {.lex_state = 334},
  [617] = {.lex_state = 334},
  [618] = {.lex_state = 172},
  [619] = {.lex_state = 172},
  [620] = {.lex_state = 334},
  [621] = {.lex_state = 334},
  [622] = {.lex_state = 172},
  [623] = {.lex_state = 172},
  [624] = {.lex_state = 334},
  [625] = {.lex_state = 172},
  [626] = {.lex_state = 172},
  [627] = {.lex_state = 172},
  [628] = {.lex_state = 172},
  [629] = {.lex_state = 172},
  [630] = {.lex_state = 172},
  [631] = {.lex_state = 334},
  [632] = {.lex_state = 172},
  [633] = {.lex_state = 172},
  [634] = {.lex_state = 334},
  [635] = {.lex_state = 172},
  [636] = {.lex_state = 172},
  [637] = {.lex_state = 172},
  [638] = {.lex_state = 334},
  [639] = {.lex_state = 172},
  [640] = {.lex_state = 172},
  [641] = {.lex_state = 172},
  [642] = {.lex_state = 334},
  [643] = {.lex_state = 172},
  [644] = {.lex_state = 172},
  [645] = {.lex_state = 334},
  [646] = {.lex_state = 172},
  [647] = {.lex_state = 171},
  [648] = {.lex_state = 172},
  [649] = {.lex_state = 172},
  [650] = {.lex_state = 172},
  [651] = {.lex_state = 172},
  [652] = {.lex_state = 172},
  [653] = {.lex_state = 172},
  [654] = {.lex_state = 172},
  [655] = {.lex_state = 334},
  [656] = {.lex_state = 334},
  [657] = {.lex_state = 334},
  [658] = {.lex_state = 172},
  [659] = {.lex_state = 172},
  [660] = {.lex_state = 334},
  [661] = {.lex_state = 334},
  [662] = {.lex_state = 334},
  [663] = {.lex_state = 334},
  [664] = {.lex_state = 334},
  [665] = {.lex_state = 334},
  [666] = {.lex_state = 334},
  [667] = {.lex_state = 334},
  [668] = {.lex_state = 334},
  [669] = {.lex_state = 334},
  [670] = {.lex_state = 334},
  [671] = {.lex_state = 334},
  [672] = {.lex_state = 334},
  [673] = {.lex_state = 334},
  [674] = {.lex_state = 334},
  [675] = {.lex_state = 334},
  [676] = {.lex_state = 334},
  [677] = {.lex_state = 334},
  [678] = {.lex_state = 172},
  [679] = {.lex_state = 172},
  [680] = {.lex_state = 172},
  [681] = {.lex_state = 172},
  [682] = {.lex_state = 172},
  [683] = {.lex_state = 334},
  [684] = {.lex_state = 334},
  [685] = {.lex_state = 172},
  [686] = {.lex_state = 334},
  [687] = {.lex_state = 334},
  [688] = {.lex_state = 334},
  [689] = {.lex_state = 334},
  [690] = {.lex_state = 334},
  [691] = {.lex_state = 334},
  [692] = {.lex_state = 334},
  [693] = {.lex_state = 334},
  [694] = {.lex_state = 334},
  [695] = {.lex_state = 172},
  [696] = {.lex_state = 334},
  [697] = {.lex_state = 172},
  [698] = {.lex_state = 172},
  [699] = {.lex_state = 172},
  [700] = {.lex_state = 172},
  [701] = {.lex_state = 334},
  [702] = {.lex_state = 334},
  [703] = {.lex_state = 334},
  [704] = {.lex_state = 172},
  [705] = {.lex_state = 334},
  [706] = {.lex_state = 334},
  [707] = {.lex_state = 334},
  [708] = {.lex_state = 334},
  [709] = {.lex_state = 334},
  [710] = {.lex_state = 172},
  [711] = {.lex_state = 334},
  [712] = {.lex_state = 334},
  [713] = {.lex_state = 334},
  [714] = {.lex_state = 334},
  [715] = {.lex_state = 334},
  [716] = {.lex_state = 172},
  [717] = {.lex_state = 172},
  [718] = {.lex_state = 172},
  [719] = {.lex_state = 334},
  [720] = {.lex_state = 334},
  [721] = {.lex_state = 334},
  [722] = {.lex_state = 172},
  [723] = {.lex_state = 172},
  [724] = {.lex_state = 236},
  [725] = {.lex_state = 334},
  [726] = {.lex_state = 334},
  [727] = {.lex_state = 334},
  [728] = {.lex_state = 334},
  [729] = {.lex_state = 334},
  [730] = {.lex_state = 192},
  [731] = {.lex_state = 192},
  [732] = {.lex_state = 334},
  [733] = {.lex_state = 334},
  [734] = {.lex_state = 334},
  [735] = {.lex_state = 334},
  [736] = {.lex_state = 334},
  [737] = {.lex_state = 334},
  [738] = {.lex_state = 334},
  [739] = {.lex_state = 334},
  [740] = {.lex_state = 334},
  [741] = {.lex_state = 334},
  [742] = {.lex_state = 334},
  [743] = {.lex_state = 334},
  [744] = {.lex_state = 334},
  [745] = {.lex_state = 334},
  [746] = {.lex_state = 334},
  [747] = {.lex_state = 334},
  [748] = {.lex_state = 334},
  [749] = {.lex_state = 334},
  [750] = {.lex_state = 192},
  [751] = {.lex_state = 237},
  [752] = {.lex_state = 334},
  [753] = {.lex_state = 192},
  [754] = {.lex_state = 334},
  [755] = {.lex_state = 334},
  [756] = {.lex_state = 192},
  [757] = {.lex_state = 334},
  [758] = {.lex_state = 334},
  [759] = {.lex_state = 334},
  [760] = {.lex_state = 334},
  [761] = {.lex_state = 192},
  [762] = {.lex_state = 334},
  [763] = {.lex_state = 334},
  [764] = {.lex_state = 334},
  [765] = {.lex_state = 334},
  [766] = {.lex_state = 334},
  [767] = {.lex_state = 192},
  [768] = {.lex_state = 334},
  [769] = {.lex_state = 334},
  [770] = {.lex_state = 334},
  [771] = {.lex_state = 334},
  [772] = {.lex_state = 334},
  [773] = {.lex_state = 334},
  [774] = {.lex_state = 334},
  [775] = {.lex_state = 192},
  [776] = {.lex_state = 334},
  [777] = {.lex_state = 334},
  [778] = {.lex_state = 334},
  [779] = {.lex_state = 334},
  [780] = {.lex_state = 192},
  [781] = {.lex_state = 334},
  [782] = {.lex_state = 334},
  [783] = {.lex_state = 334},
  [784] = {.lex_state = 192},
  [785] = {.lex_state = 237},
  [786] = {.lex_state = 334},
  [787] = {.lex_state = 192},
  [788] = {.lex_state = 334},
  [789] = {.lex_state = 334},
  [790] = {.lex_state = 192},
  [791] = {.lex_state = 192},
  [792] = {.lex_state = 334},
  [793] = {.lex_state = 334},
  [794] = {.lex_state = 192},
  [795] = {.lex_state = 192},
  [796] = {.lex_state = 192},
  [797] = {.lex_state = 334},
  [798] = {.lex_state = 334},
  [799] = {.lex_state = 192},
  [800] = {.lex_state = 334},
  [801] = {.lex_state = 192},
  [802] = {.lex_state = 334},
  [803] = {.lex_state = 192},
  [804] = {.lex_state = 334},
  [805] = {.lex_state = 192},
  [806] = {.lex_state = 334},
  [807] = {.lex_state = 192},
  [808] = {.lex_state = 334},
  [809] = {.lex_state = 192},
  [810] = {.lex_state = 192},
  [811] = {.lex_state = 334},
  [812] = {.lex_state = 192},
  [813] = {.lex_state = 334},
  [814] = {.lex_state = 192},
  [815] = {.lex_state = 334},
  [816] = {.lex_state = 334},
  [817] = {.lex_state = 192},
  [818] = {.lex_state = 192},
  [819] = {.lex_state = 334},
  [820] = {.lex_state = 192},
  [821] = {.lex_state = 192},
  [822] = {.lex_state = 334},
  [823] = {.lex_state = 334},
  [824] = {.lex_state = 192},
  [825] = {.lex_state = 192},
  [826] = {.lex_state = 334},
  [827] = {.lex_state = 237},
  [828] = {.lex_state = 334},
  [829] = {.lex_state = 334},
  [830] = {.lex_state = 334},
  [831] = {.lex_state = 334},
  [832] = {.lex_state = 334},
  [833] = {.lex_state = 334},
  [834] = {.lex_state = 334},
  [835] = {.lex_state = 334},
  [836] = {.lex_state = 334},
  [837] = {.lex_state = 334},
  [838] = {.lex_state = 334},
  [839] = {.lex_state = 334},
  [840] = {.lex_state = 334},
  [841] = {.lex_state = 334},
  [842] = {.lex_state = 171},
  [843] = {.lex_state = 171},
  [844] = {.lex_state = 171},
  [845] = {.lex_state = 171},
  [846] = {.lex_state = 171},
  [847] = {.lex_state = 171},
  [848] = {.lex_state = 171},
  [849] = {.lex_state = 171},
  [850] = {.lex_state = 171},
  [851] = {.lex_state = 171},
  [852] = {.lex_state = 171},
  [853] = {.lex_state = 171},
  [854] = {.lex_state = 171},
  [855] = {.lex_state = 171},
  [856] = {.lex_state = 171},
  [857] = {.lex_state = 171},
  [858] = {.lex_state = 171},
  [859] = {.lex_state = 171},
  [860] = {.lex_state = 171},
  [861] = {.lex_state = 171},
  [862] = {.lex_state = 171},
  [863] = {.lex_state = 171},
  [864] = {.lex_state = 171},
  [865] = {.lex_state = 171},
  [866] = {.lex_state = 171},
  [867] = {.lex_state = 171},
  [868] = {.lex_state = 171},
  [869] = {.lex_state = 171},
  [870] = {.lex_state = 171},
  [871] = {.lex_state = 171},
  [872] = {.lex_state = 171},
  [873] = {.lex_state = 171},
  [874] = {.lex_state = 171},
  [875] = {.lex_state = 171},
  [876] = {.lex_state = 171},
  [877] = {.lex_state = 171},
  [878] = {.lex_state = 171},
  [879] = {.lex_state = 171},
  [880] = {.lex_state = 171},
  [881] = {.lex_state = 171},
  [882] = {.lex_state = 171},
  [883] = {.lex_state = 171},
  [884] = {.lex_state = 171},
  [885] = {.lex_state = 171},
  [886] = {.lex_state = 171},
  [887] = {.lex_state = 171},
  [888] = {.lex_state = 171},
  [889] = {.lex_state = 171},
  [890] = {.lex_state = 171},
  [891] = {.lex_state = 171},
  [892] = {.lex_state = 171},
  [893] = {.lex_state = 171},
  [894] = {.lex_state = 171},
  [895] = {.lex_state = 171},
  [896] = {.lex_state = 171},
  [897] = {.lex_state = 171},
  [898] = {.lex_state = 171},
  [899] = {.lex_state = 171},
  [900] = {.lex_state = 171},
  [901] = {.lex_state = 171},
  [902] = {.lex_state = 171},
  [903] = {.lex_state = 171},
  [904] = {.lex_state = 171},
  [905] = {.lex_state = 171},
  [906] = {.lex_state = 171},
  [907] = {.lex_state = 162},
  [908] = {.lex_state = 167},
  [909] = {.lex_state = 167},
  [910] = {.lex_state = 162},
  [911] = {.lex_state = 174},
  [912] = {.lex_state = 174},
  [913] = {.lex_state = 174},
  [914] = {.lex_state = 174},
  [915] = {.lex_state = 174},
  [916] = {.lex_state = 174},
  [917] = {.lex_state = 174},
  [918] = {.lex_state = 174},
  [919] = {.lex_state = 174},
  [920] = {.lex_state = 174},
  [921] = {.lex_state = 174},
  [922] = {.lex_state = 174},
  [923] = {.lex_state = 174},
  [924] = {.lex_state = 174},
  [925] = {.lex_state = 174},
  [926] = {.lex_state = 174},
  [927] = {.lex_state = 174},
  [928] = {.lex_state = 174},
  [929] = {.lex_state = 174},
  [930] = {.lex_state = 174},
  [931] = {.lex_state = 174},
  [932] = {.lex_state = 174},
  [933] = {.lex_state = 174},
  [934] = {.lex_state = 174},
  [935] = {.lex_state = 174},
  [936] = {.lex_state = 174},
  [937] = {.lex_state = 162},
  [938] = {.lex_state = 164},
  [939] = {.lex_state = 236},
  [940] = {.lex_state = 236},
  [941] = {.lex_state = 334},
  [942] = {.lex_state = 162},
  [943] = {.lex_state = 165},
  [944] = {.lex_state = 236},
  [945] = {.lex_state = 236},
  [946] = {.lex_state = 236},
  [947] = {.lex_state = 236},
  [948] = {.lex_state = 236},
  [949] = {.lex_state = 334},
  [950] = {.lex_state = 171},
  [951] = {.lex_state = 171},
  [952] = {.lex_state = 236},
  [953] = {.lex_state = 236},
  [954] = {.lex_state = 236},
  [955] = {.lex_state = 236},
  [956] = {.lex_state = 236},
  [957] = {.lex_state = 164},
  [958] = {.lex_state = 236},
  [959] = {.lex_state = 171},
  [960] = {.lex_state = 171},
  [961] = {.lex_state = 236},
  [962] = {.lex_state = 334},
  [963] = {.lex_state = 171},
  [964] = {.lex_state = 171},
  [965] = {.lex_state = 171},
  [966] = {.lex_state = 171},
  [967] = {.lex_state = 171},
  [968] = {.lex_state = 171},
  [969] = {.lex_state = 171},
  [970] = {.lex_state = 171},
  [971] = {.lex_state = 171},
  [972] = {.lex_state = 171},
  [973] = {.lex_state = 171},
  [974] = {.lex_state = 171},
  [975] = {.lex_state = 171},
  [976] = {.lex_state = 171},
  [977] = {.lex_state = 171},
  [978] = {.lex_state = 174},
  [979] = {.lex_state = 174},
  [980] = {.lex_state = 174},
  [981] = {.lex_state = 174},
  [982] = {.lex_state = 174},
  [983] = {.lex_state = 174},
  [984] = {.lex_state = 174},
  [985] = {.lex_state = 174},
  [986] = {.lex_state = 174},
  [987] = {.lex_state = 174},
  [988] = {.lex_state = 174},
  [989] = {.lex_state = 174},
  [990] = {.lex_state = 174},
  [991] = {.lex_state = 174},
  [992] = {.lex_state = 174},
  [993] = {.lex_state = 174},
  [994] = {.lex_state = 174},
  [995] = {.lex_state = 174},
  [996] = {.lex_state = 174},
  [997] = {.lex_state = 174},
  [998] = {.lex_state = 174},
  [999] = {.lex_state = 174},
  [1000] = {.lex_state = 173},
  [1001] = {.lex_state = 173},
  [1002] = {.lex_state = 174},
  [1003] = {.lex_state = 171},
  [1004] = {.lex_state = 171},
  [1005] = {.lex_state = 171},
  [1006] = {.lex_state = 171},
  [1007] = {.lex_state = 174},
  [1008] = {.lex_state = 174},
  [1009] = {.lex_state = 174},
  [1010] = {.lex_state = 171},
  [1011] = {.lex_state = 174},
  [1012] = {.lex_state = 174},
  [1013] = {.lex_state = 174},
  [1014] = {.lex_state = 171},
  [1015] = {.lex_state = 185},
  [1016] = {.lex_state = 171},
  [1017] = {.lex_state = 171},
  [1018] = {.lex_state = 171},
  [1019] = {.lex_state = 171},
  [1020] = {.lex_state = 171},
  [1021] = {.lex_state = 171},
  [1022] = {.lex_state = 171},
  [1023] = {.lex_state = 171},
  [1024] = {.lex_state = 171},
  [1025] = {.lex_state = 171},
  [1026] = {.lex_state = 171},
  [1027] = {.lex_state = 171},
  [1028] = {.lex_state = 171},
  [1029] = {.lex_state = 171},
  [1030] = {.lex_state = 171},
  [1031] = {.lex_state = 185},
  [1032] = {.lex_state = 171},
  [1033] = {.lex_state = 171},
  [1034] = {.lex_state = 171},
  [1035] = {.lex_state = 171},
  [1036] = {.lex_state = 171},
  [1037] = {.lex_state = 171},
  [1038] = {.lex_state = 171},
  [1039] = {.lex_state = 171},
  [1040] = {.lex_state = 171},
  [1041] = {.lex_state = 171},
  [1042] = {.lex_state = 171},
  [1043] = {.lex_state = 171},
  [1044] = {.lex_state = 185},
  [1045] = {.lex_state = 171},
  [1046] = {.lex_state = 171},
  [1047] = {.lex_state = 171},
  [1048] = {.lex_state = 171},
  [1049] = {.lex_state = 171},
  [1050] = {.lex_state = 171},
  [1051] = {.lex_state = 171},
  [1052] = {.lex_state = 171},
  [1053] = {.lex_state = 171},
  [1054] = {.lex_state = 171},
  [1055] = {.lex_state = 171},
  [1056] = {.lex_state = 171},
  [1057] = {.lex_state = 171},
  [1058] = {.lex_state = 171},
  [1059] = {.lex_state = 171},
  [1060] = {.lex_state = 171},
  [1061] = {.lex_state = 171},
  [1062] = {.lex_state = 171},
  [1063] = {.lex_state = 171},
  [1064] = {.lex_state = 171},
  [1065] = {.lex_state = 171},
  [1066] = {.lex_state = 171},
  [1067] = {.lex_state = 171},
  [1068] = {.lex_state = 171},
  [1069] = {.lex_state = 171},
  [1070] = {.lex_state = 185},
  [1071] = {.lex_state = 171},
  [1072] = {.lex_state = 171},
  [1073] = {.lex_state = 171},
  [1074] = {.lex_state = 185},
  [1075] = {.lex_state = 236},
  [1076] = {.lex_state = 163},
  [1077] = {.lex_state = 181},
  [1078] = {.lex_state = 163},
  [1079] = {.lex_state = 185},
  [1080] = {.lex_state = 185},
  [1081] = {.lex_state = 163},
  [1082] = {.lex_state = 185},
  [1083] = {.lex_state = 185},
  [1084] = {.lex_state = 185},
  [1085] = {.lex_state = 185},
  [1086] = {.lex_state = 185},
  [1087] = {.lex_state = 185},
  [1088] = {.lex_state = 163},
  [1089] = {.lex_state = 163},
  [1090] = {.lex_state = 166},
  [1091] = {.lex_state = 163},
  [1092] = {.lex_state = 174},
  [1093] = {.lex_state = 174},
  [1094] = {.lex_state = 174},
  [1095] = {.lex_state = 193},
  [1096] = {.lex_state = 193},
  [1097] = {.lex_state = 193},
  [1098] = {.lex_state = 193},
  [1099] = {.lex_state = 193},
  [1100] = {.lex_state = 193},
  [1101] = {.lex_state = 193},
  [1102] = {.lex_state = 193},
  [1103] = {.lex_state = 174},
  [1104] = {.lex_state = 174},
  [1105] = {.lex_state = 174},
  [1106] = {.lex_state = 174},
  [1107] = {.lex_state = 174},
  [1108] = {.lex_state = 174},
  [1109] = {.lex_state = 174},
  [1110] = {.lex_state = 174},
  [1111] = {.lex_state = 174},
  [1112] = {.lex_state = 174},
  [1113] = {.lex_state = 174},
  [1114] = {.lex_state = 174},
  [1115] = {.lex_state = 174},
  [1116] = {.lex_state = 174},
  [1117] = {.lex_state = 174},
  [1118] = {.lex_state = 193},
  [1119] = {.lex_state = 174},
  [1120] = {.lex_state = 174},
  [1121] = {.lex_state = 174},
  [1122] = {.lex_state = 174},
  [1123] = {.lex_state = 174},
  [1124] = {.lex_state = 174},
  [1125] = {.lex_state = 236},
  [1126] = {.lex_state = 236},
  [1127] = {.lex_state = 173},
  [1128] = {.lex_state = 173},
  [1129] = {.lex_state = 236},
  [1130] = {.lex_state = 236},
  [1131] = {.lex_state = 236},
  [1132] = {.lex_state = 171},
  [1133] = {.lex_state = 174},
  [1134] = {.lex_state = 171},
  [1135] = {.lex_state = 171},
  [1136] = {.lex_state = 236},
  [1137] = {.lex_state = 193},
  [1138] = {.lex_state = 191},
  [1139] = {.lex_state = 191},
  [1140] = {.lex_state = 222},
  [1141] = {.lex_state = 193},
  [1142] = {.lex_state = 191},
  [1143] = {.lex_state = 222},
  [1144] = {.lex_state = 191},
  [1145] = {.lex_state = 191},
  [1146] = {.lex_state = 222},
  [1147] = {.lex_state = 222},
  [1148] = {.lex_state = 191},
  [1149] = {.lex_state = 191},
  [1150] = {.lex_state = 222},
  [1151] = {.lex_state = 173},
  [1152] = {.lex_state = 193},
  [1153] = {.lex_state = 222},
  [1154] = {.lex_state = 191},
  [1155] = {.lex_state = 191},
  [1156] = {.lex_state = 173},
  [1157] = {.lex_state = 222},
  [1158] = {.lex_state = 193},
  [1159] = {.lex_state = 191},
  [1160] = {.lex_state = 191},
  [1161] = {.lex_state = 191},
  [1162] = {.lex_state = 191},
  [1163] = {.lex_state = 191},
  [1164] = {.lex_state = 191},
  [1165] = {.lex_state = 191},
  [1166] = {.lex_state = 191},
  [1167] = {.lex_state = 174},
  [1168] = {.lex_state = 174},
  [1169] = {.lex_state = 174},
  [1170] = {.lex_state = 174},
  [1171] = {.lex_state = 174},
  [1172] = {.lex_state = 174},
  [1173] = {.lex_state = 174},
  [1174] = {.lex_state = 174},
  [1175] = {.lex_state = 174},
  [1176] = {.lex_state = 174},
  [1177] = {.lex_state = 174},
  [1178] = {.lex_state = 174},
  [1179] = {.lex_state = 174},
  [1180] = {.lex_state = 174},
  [1181] = {.lex_state = 174},
  [1182] = {.lex_state = 174},
  [1183] = {.lex_state = 174},
  [1184] = {.lex_state = 174},
  [1185] = {.lex_state = 174},
  [1186] = {.lex_state = 174},
  [1187] = {.lex_state = 174},
  [1188] = {.lex_state = 174},
  [1189] = {.lex_state = 174},
  [1190] = {.lex_state = 174},
  [1191] = {.lex_state = 174},
  [1192] = {.lex_state = 174},
  [1193] = {.lex_state = 174},
  [1194] = {.lex_state = 174},
  [1195] = {.lex_state = 174},
  [1196] = {.lex_state = 174},
  [1197] = {.lex_state = 174},
  [1198] = {.lex_state = 174},
  [1199] = {.lex_state = 174},
  [1200] = {.lex_state = 174},
  [1201] = {.lex_state = 174},
  [1202] = {.lex_state = 174},
  [1203] = {.lex_state = 174},
  [1204] = {.lex_state = 174},
  [1205] = {.lex_state = 174},
  [1206] = {.lex_state = 236},
  [1207] = {.lex_state = 236},
  [1208] = {.lex_state = 236},
  [1209] = {.lex_state = 236},
  [1210] = {.lex_state = 236},
  [1211] = {.lex_state = 236},
  [1212] = {.lex_state = 236},
  [1213] = {.lex_state = 236},
  [1214] = {.lex_state = 236},
  [1215] = {.lex_state = 236},
  [1216] = {.lex_state = 222},
  [1217] = {.lex_state = 236},
  [1218] = {.lex_state = 236},
  [1219] = {.lex_state = 236},
  [1220] = {.lex_state = 236},
  [1221] = {.lex_state = 236},
  [1222] = {.lex_state = 236},
  [1223] = {.lex_state = 236},
  [1224] = {.lex_state = 236},
  [1225] = {.lex_state = 174},
  [1226] = {.lex_state = 174},
  [1227] = {.lex_state = 174},
  [1228] = {.lex_state = 174},
  [1229] = {.lex_state = 174},
  [1230] = {.lex_state = 174},
  [1231] = {.lex_state = 174},
  [1232] = {.lex_state = 174},
  [1233] = {.lex_state = 174},
  [1234] = {.lex_state = 174},
  [1235] = {.lex_state = 174},
  [1236] = {.lex_state = 174},
  [1237] = {.lex_state = 174},
  [1238] = {.lex_state = 174},
  [1239] = {.lex_state = 174},
  [1240] = {.lex_state = 174},
  [1241] = {.lex_state = 174},
  [1242] = {.lex_state = 174},
  [1243] = {.lex_state = 174},
  [1244] = {.lex_state = 174},
  [1245] = {.lex_state = 174},
  [1246] = {.lex_state = 174},
  [1247] = {.lex_state = 174},
  [1248] = {.lex_state = 174},
  [1249] = {.lex_state = 174},
  [1250] = {.lex_state = 174},
  [1251] = {.lex_state = 174},
  [1252] = {.lex_state = 174},
  [1253] = {.lex_state = 174},
  [1254] = {.lex_state = 174},
  [1255] = {.lex_state = 174},
  [1256] = {.lex_state = 174},
  [1257] = {.lex_state = 174},
  [1258] = {.lex_state = 173},
  [1259] = {.lex_state = 174},
  [1260] = {.lex_state = 174},
  [1261] = {.lex_state = 173},
  [1262] = {.lex_state = 173},
  [1263] = {.lex_state = 174},
  [1264] = {.lex_state = 174},
  [1265] = {.lex_state = 174},
  [1266] = {.lex_state = 173},
  [1267] = {.lex_state = 173},
  [1268] = {.lex_state = 174},
  [1269] = {.lex_state = 173},
  [1270] = {.lex_state = 174},
  [1271] = {.lex_state = 174},
  [1272] = {.lex_state = 173},
  [1273] = {.lex_state = 173},
  [1274] = {.lex_state = 173},
  [1275] = {.lex_state = 173},
  [1276] = {.lex_state = 174},
  [1277] = {.lex_state = 173},
  [1278] = {.lex_state = 173},
  [1279] = {.lex_state = 174},
  [1280] = {.lex_state = 173},
  [1281] = {.lex_state = 174},
  [1282] = {.lex_state = 174},
  [1283] = {.lex_state = 174},
  [1284] = {.lex_state = 174},
  [1285] = {.lex_state = 174},
  [1286] = {.lex_state = 173},
  [1287] = {.lex_state = 174},
  [1288] = {.lex_state = 174},
  [1289] = {.lex_state = 174},
  [1290] = {.lex_state = 174},
  [1291] = {.lex_state = 173},
  [1292] = {.lex_state = 173},
  [1293] = {.lex_state = 173},
  [1294] = {.lex_state = 173},
  [1295] = {.lex_state = 174},
  [1296] = {.lex_state = 174},
  [1297] = {.lex_state = 174},
  [1298] = {.lex_state = 174},
  [1299] = {.lex_state = 173},
  [1300] = {.lex_state = 174},
  [1301] = {.lex_state = 174},
  [1302] = {.lex_state = 174},
  [1303] = {.lex_state = 174},
  [1304] = {.lex_state = 174},
  [1305] = {.lex_state = 173},
  [1306] = {.lex_state = 174},
  [1307] = {.lex_state = 174},
  [1308] = {.lex_state = 174},
  [1309] = {.lex_state = 173},
  [1310] = {.lex_state = 173},
  [1311] = {.lex_state = 173},
  [1312] = {.lex_state = 173},
  [1313] = {.lex_state = 174},
  [1314] = {.lex_state = 174},
  [1315] = {.lex_state = 173},
  [1316] = {.lex_state = 173},
  [1317] = {.lex_state = 174},
  [1318] = {.lex_state = 174},
  [1319] = {.lex_state = 174},
  [1320] = {.lex_state = 174},
  [1321] = {.lex_state = 174},
  [1322] = {.lex_state = 174},
  [1323] = {.lex_state = 174},
  [1324] = {.lex_state = 174},
  [1325] = {.lex_state = 174},
  [1326] = {.lex_state = 174},
  [1327] = {.lex_state = 174},
  [1328] = {.lex_state = 174},
  [1329] = {.lex_state = 174},
  [1330] = {.lex_state = 174},
  [1331] = {.lex_state = 174},
  [1332] = {.lex_state = 174},
  [1333] = {.lex_state = 174},
  [1334] = {.lex_state = 174},
  [1335] = {.lex_state = 174},
  [1336] = {.lex_state = 174},
  [1337] = {.lex_state = 174},
  [1338] = {.lex_state = 174},
  [1339] = {.lex_state = 174},
  [1340] = {.lex_state = 174},
  [1341] = {.lex_state = 174},
  [1342] = {.lex_state = 174},
  [1343] = {.lex_state = 174},
  [1344] = {.lex_state = 174},
  [1345] = {.lex_state = 236},
  [1346] = {.lex_state = 174},
  [1347] = {.lex_state = 174},
  [1348] = {.lex_state = 174},
  [1349] = {.lex_state = 174},
  [1350] = {.lex_state = 174},
  [1351] = {.lex_state = 174},
  [1352] = {.lex_state = 174},
  [1353] = {.lex_state = 174},
  [1354] = {.lex_state = 174},
  [1355] = {.lex_state = 174},
  [1356] = {.lex_state = 174},
  [1357] = {.lex_state = 174},
  [1358] = {.lex_state = 236},
  [1359] = {.lex_state = 174},
  [1360] = {.lex_state = 174},
  [1361] = {.lex_state = 236},
  [1362] = {.lex_state = 174},
  [1363] = {.lex_state = 174},
  [1364] = {.lex_state = 174},
  [1365] = {.lex_state = 174},
  [1366] = {.lex_state = 174},
  [1367] = {.lex_state = 236},
  [1368] = {.lex_state = 174},
  [1369] = {.lex_state = 174},
  [1370] = {.lex_state = 174},
  [1371] = {.lex_state = 174},
  [1372] = {.lex_state = 174},
  [1373] = {.lex_state = 174},
  [1374] = {.lex_state = 174},
  [1375] = {.lex_state = 174},
  [1376] = {.lex_state = 174},
  [1377] = {.lex_state = 174},
  [1378] = {.lex_state = 174},
  [1379] = {.lex_state = 174},
  [1380] = {.lex_state = 174},
  [1381] = {.lex_state = 174},
  [1382] = {.lex_state = 174},
  [1383] = {.lex_state = 174},
  [1384] = {.lex_state = 174},
  [1385] = {.lex_state = 174},
  [1386] = {.lex_state = 174},
  [1387] = {.lex_state = 174},
  [1388] = {.lex_state = 174},
  [1389] = {.lex_state = 174},
  [1390] = {.lex_state = 174},
  [1391] = {.lex_state = 174},
  [1392] = {.lex_state = 174},
  [1393] = {.lex_state = 174},
  [1394] = {.lex_state = 174},
  [1395] = {.lex_state = 174},
  [1396] = {.lex_state = 174},
  [1397] = {.lex_state = 174},
  [1398] = {.lex_state = 174},
  [1399] = {.lex_state = 174},
  [1400] = {.lex_state = 174},
  [1401] = {.lex_state = 174},
  [1402] = {.lex_state = 174},
  [1403] = {.lex_state = 174},
  [1404] = {.lex_state = 174},
  [1405] = {.lex_state = 174},
  [1406] = {.lex_state = 236},
  [1407] = {.lex_state = 174},
  [1408] = {.lex_state = 236},
  [1409] = {.lex_state = 174},
  [1410] = {.lex_state = 174},
  [1411] = {.lex_state = 174},
  [1412] = {.lex_state = 174},
  [1413] = {.lex_state = 174},
  [1414] = {.lex_state = 174},
  [1415] = {.lex_state = 174},
  [1416] = {.lex_state = 174},
  [1417] = {.lex_state = 174},
  [1418] = {.lex_state = 174},
  [1419] = {.lex_state = 174},
  [1420] = {.lex_state = 174},
  [1421] = {.lex_state = 174},
  [1422] = {.lex_state = 174},
  [1423] = {.lex_state = 174},
  [1424] = {.lex_state = 174},
  [1425] = {.lex_state = 174},
  [1426] = {.lex_state = 174},
  [1427] = {.lex_state = 174},
  [1428] = {.lex_state = 174},
  [1429] = {.lex_state = 174},
  [1430] = {.lex_state = 174},
  [1431] = {.lex_state = 174},
  [1432] = {.lex_state = 174},
  [1433] = {.lex_state = 174},
  [1434] = {.lex_state = 174},
  [1435] = {.lex_state = 174},
  [1436] = {.lex_state = 174},
  [1437] = {.lex_state = 174},
  [1438] = {.lex_state = 174},
  [1439] = {.lex_state = 174},
  [1440] = {.lex_state = 174},
  [1441] = {.lex_state = 174},
  [1442] = {.lex_state = 174},
  [1443] = {.lex_state = 174},
  [1444] = {.lex_state = 174},
  [1445] = {.lex_state = 174},
  [1446] = {.lex_state = 174},
  [1447] = {.lex_state = 174},
  [1448] = {.lex_state = 174},
  [1449] = {.lex_state = 174},
  [1450] = {.lex_state = 174},
  [1451] = {.lex_state = 174},
  [1452] = {.lex_state = 174},
  [1453] = {.lex_state = 174},
  [1454] = {.lex_state = 174},
  [1455] = {.lex_state = 174},
  [1456] = {.lex_state = 174},
  [1457] = {.lex_state = 174},
  [1458] = {.lex_state = 174},
  [1459] = {.lex_state = 174},
  [1460] = {.lex_state = 174},
  [1461] = {.lex_state = 174},
  [1462] = {.lex_state = 174},
  [1463] = {.lex_state = 174},
  [1464] = {.lex_state = 174},
  [1465] = {.lex_state = 174},
  [1466] = {.lex_state = 174},
  [1467] = {.lex_state = 174},
  [1468] = {.lex_state = 174},
  [1469] = {.lex_state = 174},
  [1470] = {.lex_state = 174},
  [1471] = {.lex_state = 174},
  [1472] = {.lex_state = 174},
  [1473] = {.lex_state = 174},
  [1474] = {.lex_state = 174},
  [1475] = {.lex_state = 174},
  [1476] = {.lex_state = 174},
  [1477] = {.lex_state = 174},
  [1478] = {.lex_state = 174},
  [1479] = {.lex_state = 174},
  [1480] = {.lex_state = 174},
  [1481] = {.lex_state = 174},
  [1482] = {.lex_state = 174},
  [1483] = {.lex_state = 174},
  [1484] = {.lex_state = 174},
  [1485] = {.lex_state = 174},
  [1486] = {.lex_state = 174},
  [1487] = {.lex_state = 174},
  [1488] = {.lex_state = 174},
  [1489] = {.lex_state = 174},
  [1490] = {.lex_state = 174},
  [1491] = {.lex_state = 174},
  [1492] = {.lex_state = 174},
  [1493] = {.lex_state = 174},
  [1494] = {.lex_state = 174},
  [1495] = {.lex_state = 174},
  [1496] = {.lex_state = 174},
  [1497] = {.lex_state = 174},
  [1498] = {.lex_state = 174},
  [1499] = {.lex_state = 174},
  [1500] = {.lex_state = 174},
  [1501] = {.lex_state = 222},
  [1502] = {.lex_state = 174},
  [1503] = {.lex_state = 174},
  [1504] = {.lex_state = 174},
  [1505] = {.lex_state = 174},
  [1506] = {.lex_state = 174},
  [1507] = {.lex_state = 222},
  [1508] = {.lex_state = 174},
  [1509] = {.lex_state = 174},
  [1510] = {.lex_state = 174},
  [1511] = {.lex_state = 174},
  [1512] = {.lex_state = 174},
  [1513] = {.lex_state = 174},
  [1514] = {.lex_state = 174},
  [1515] = {.lex_state = 174},
  [1516] = {.lex_state = 174},
  [1517] = {.lex_state = 174},
  [1518] = {.lex_state = 174},
  [1519] = {.lex_state = 174},
  [1520] = {.lex_state = 174},
  [1521] = {.lex_state = 174},
  [1522] = {.lex_state = 174},
  [1523] = {.lex_state = 174},
  [1524] = {.lex_state = 174},
  [1525] = {.lex_state = 174},
  [1526] = {.lex_state = 174},
  [1527] = {.lex_state = 174},
  [1528] = {.lex_state = 174},
  [1529] = {.lex_state = 174},
  [1530] = {.lex_state = 174},
  [1531] = {.lex_state = 174},
  [1532] = {.lex_state = 174},
  [1533] = {.lex_state = 174},
  [1534] = {.lex_state = 174},
  [1535] = {.lex_state = 174},
  [1536] = {.lex_state = 174},
  [1537] = {.lex_state = 174},
  [1538] = {.lex_state = 174},
  [1539] = {.lex_state = 174},
  [1540] = {.lex_state = 174},
  [1541] = {.lex_state = 174},
  [1542] = {.lex_state = 174},
  [1543] = {.lex_state = 174},
  [1544] = {.lex_state = 174},
  [1545] = {.lex_state = 174},
  [1546] = {.lex_state = 174},
  [1547] = {.lex_state = 174},
  [1548] = {.lex_state = 174},
  [1549] = {.lex_state = 174},
  [1550] = {.lex_state = 174},
  [1551] = {.lex_state = 174},
  [1552] = {.lex_state = 174},
  [1553] = {.lex_state = 174},
  [1554] = {.lex_state = 174},
  [1555] = {.lex_state = 174},
  [1556] = {.lex_state = 174},
  [1557] = {.lex_state = 174},
  [1558] = {.lex_state = 174},
  [1559] = {.lex_state = 174},
  [1560] = {.lex_state = 174},
  [1561] = {.lex_state = 174},
  [1562] = {.lex_state = 174},
  [1563] = {.lex_state = 174},
  [1564] = {.lex_state = 174},
  [1565] = {.lex_state = 174},
  [1566] = {.lex_state = 174},
  [1567] = {.lex_state = 174},
  [1568] = {.lex_state = 174},
  [1569] = {.lex_state = 174},
  [1570] = {.lex_state = 174},
  [1571] = {.lex_state = 174},
  [1572] = {.lex_state = 174},
  [1573] = {.lex_state = 174},
  [1574] = {.lex_state = 174},
  [1575] = {.lex_state = 174},
  [1576] = {.lex_state = 174},
  [1577] = {.lex_state = 174},
  [1578] = {.lex_state = 174},
  [1579] = {.lex_state = 174},
  [1580] = {.lex_state = 174},
  [1581] = {.lex_state = 174},
  [1582] = {.lex_state = 174},
  [1583] = {.lex_state = 174},
  [1584] = {.lex_state = 174},
  [1585] = {.lex_state = 174},
  [1586] = {.lex_state = 174},
  [1587] = {.lex_state = 174},
  [1588] = {.lex_state = 174},
  [1589] = {.lex_state = 174},
  [1590] = {.lex_state = 236},
  [1591] = {.lex_state = 174},
  [1592] = {.lex_state = 174},
  [1593] = {.lex_state = 174},
  [1594] = {.lex_state = 174},
  [1595] = {.lex_state = 174},
  [1596] = {.lex_state = 174},
  [1597] = {.lex_state = 174},
  [1598] = {.lex_state = 174},
  [1599] = {.lex_state = 174},
  [1600] = {.lex_state = 174},
  [1601] = {.lex_state = 174},
  [1602] = {.lex_state = 174},
  [1603] = {.lex_state = 174},
  [1604] = {.lex_state = 174},
  [1605] = {.lex_state = 174},
  [1606] = {.lex_state = 174},
  [1607] = {.lex_state = 174},
  [1608] = {.lex_state = 174},
  [1609] = {.lex_state = 174},
  [1610] = {.lex_state = 174},
  [1611] = {.lex_state = 174},
  [1612] = {.lex_state = 174},
  [1613] = {.lex_state = 174},
  [1614] = {.lex_state = 174},
  [1615] = {.lex_state = 174},
  [1616] = {.lex_state = 174},
  [1617] = {.lex_state = 174},
  [1618] = {.lex_state = 174},
  [1619] = {.lex_state = 174},
  [1620] = {.lex_state = 174},
  [1621] = {.lex_state = 174},
  [1622] = {.lex_state = 174},
  [1623] = {.lex_state = 174},
  [1624] = {.lex_state = 174},
  [1625] = {.lex_state = 174},
  [1626] = {.lex_state = 174},
  [1627] = {.lex_state = 174},
  [1628] = {.lex_state = 174},
  [1629] = {.lex_state = 174},
  [1630] = {.lex_state = 174},
  [1631] = {.lex_state = 174},
  [1632] = {.lex_state = 174},
  [1633] = {.lex_state = 174},
  [1634] = {.lex_state = 174},
  [1635] = {.lex_state = 174},
  [1636] = {.lex_state = 174},
  [1637] = {.lex_state = 174},
  [1638] = {.lex_state = 174},
  [1639] = {.lex_state = 174},
  [1640] = {.lex_state = 174},
  [1641] = {.lex_state = 174},
  [1642] = {.lex_state = 174},
  [1643] = {.lex_state = 174},
  [1644] = {.lex_state = 174},
  [1645] = {.lex_state = 174},
  [1646] = {.lex_state = 174},
  [1647] = {.lex_state = 174},
  [1648] = {.lex_state = 174},
  [1649] = {.lex_state = 174},
  [1650] = {.lex_state = 174},
  [1651] = {.lex_state = 174},
  [1652] = {.lex_state = 174},
  [1653] = {.lex_state = 174},
  [1654] = {.lex_state = 174},
  [1655] = {.lex_state = 174},
  [1656] = {.lex_state = 174},
  [1657] = {.lex_state = 174},
  [1658] = {.lex_state = 174},
  [1659] = {.lex_state = 174},
  [1660] = {.lex_state = 174},
  [1661] = {.lex_state = 174},
  [1662] = {.lex_state = 174},
  [1663] = {.lex_state = 174},
  [1664] = {.lex_state = 236},
  [1665] = {.lex_state = 174},
  [1666] = {.lex_state = 174},
  [1667] = {.lex_state = 174},
  [1668] = {.lex_state = 174},
  [1669] = {.lex_state = 174},
  [1670] = {.lex_state = 174},
  [1671] = {.lex_state = 174},
  [1672] = {.lex_state = 174},
  [1673] = {.lex_state = 174},
  [1674] = {.lex_state = 174},
  [1675] = {.lex_state = 174},
  [1676] = {.lex_state = 174},
  [1677] = {.lex_state = 174},
  [1678] = {.lex_state = 174},
  [1679] = {.lex_state = 174},
  [1680] = {.lex_state = 174},
  [1681] = {.lex_state = 174},
  [1682] = {.lex_state = 174},
  [1683] = {.lex_state = 174},
  [1684] = {.lex_state = 174},
  [1685] = {.lex_state = 174},
  [1686] = {.lex_state = 174},
  [1687] = {.lex_state = 174},
  [1688] = {.lex_state = 174},
  [1689] = {.lex_state = 174},
  [1690] = {.lex_state = 174},
  [1691] = {.lex_state = 174},
  [1692] = {.lex_state = 174},
  [1693] = {.lex_state = 174},
  [1694] = {.lex_state = 174},
  [1695] = {.lex_state = 174},
  [1696] = {.lex_state = 174},
  [1697] = {.lex_state = 174},
  [1698] = {.lex_state = 174},
  [1699] = {.lex_state = 174},
  [1700] = {.lex_state = 174},
  [1701] = {.lex_state = 174},
  [1702] = {.lex_state = 174},
  [1703] = {.lex_state = 174},
  [1704] = {.lex_state = 174},
  [1705] = {.lex_state = 174},
  [1706] = {.lex_state = 174},
  [1707] = {.lex_state = 174},
  [1708] = {.lex_state = 174},
  [1709] = {.lex_state = 174},
  [1710] = {.lex_state = 174},
  [1711] = {.lex_state = 174},
  [1712] = {.lex_state = 174},
  [1713] = {.lex_state = 174},
  [1714] = {.lex_state = 174},
  [1715] = {.lex_state = 174},
  [1716] = {.lex_state = 174},
  [1717] = {.lex_state = 174},
  [1718] = {.lex_state = 174},
  [1719] = {.lex_state = 174},
  [1720] = {.lex_state = 174},
  [1721] = {.lex_state = 174},
  [1722] = {.lex_state = 174},
  [1723] = {.lex_state = 174},
  [1724] = {.lex_state = 174},
  [1725] = {.lex_state = 174},
  [1726] = {.lex_state = 236},
  [1727] = {.lex_state = 174},
  [1728] = {.lex_state = 174},
  [1729] = {.lex_state = 174},
  [1730] = {.lex_state = 174},
  [1731] = {.lex_state = 174},
  [1732] = {.lex_state = 174},
  [1733] = {.lex_state = 174},
  [1734] = {.lex_state = 174},
  [1735] = {.lex_state = 174},
  [1736] = {.lex_state = 174},
  [1737] = {.lex_state = 174},
  [1738] = {.lex_state = 174},
  [1739] = {.lex_state = 174},
  [1740] = {.lex_state = 174},
  [1741] = {.lex_state = 174},
  [1742] = {.lex_state = 174},
  [1743] = {.lex_state = 236},
  [1744] = {.lex_state = 174},
  [1745] = {.lex_state = 174},
  [1746] = {.lex_state = 174},
  [1747] = {.lex_state = 174},
  [1748] = {.lex_state = 174},
  [1749] = {.lex_state = 174},
  [1750] = {.lex_state = 174},
  [1751] = {.lex_state = 174},
  [1752] = {.lex_state = 174},
  [1753] = {.lex_state = 236},
  [1754] = {.lex_state = 174},
  [1755] = {.lex_state = 174},
  [1756] = {.lex_state = 174},
  [1757] = {.lex_state = 174},
  [1758] = {.lex_state = 174},
  [1759] = {.lex_state = 174},
  [1760] = {.lex_state = 174},
  [1761] = {.lex_state = 174},
  [1762] = {.lex_state = 174},
  [1763] = {.lex_state = 174},
  [1764] = {.lex_state = 174},
  [1765] = {.lex_state = 174},
  [1766] = {.lex_state = 174},
  [1767] = {.lex_state = 174},
  [1768] = {.lex_state = 174},
  [1769] = {.lex_state = 174},
  [1770] = {.lex_state = 174},
  [1771] = {.lex_state = 174},
  [1772] = {.lex_state = 174},
  [1773] = {.lex_state = 174},
  [1774] = {.lex_state = 174},
  [1775] = {.lex_state = 174},
  [1776] = {.lex_state = 174},
  [1777] = {.lex_state = 174},
  [1778] = {.lex_state = 174},
  [1779] = {.lex_state = 174},
  [1780] = {.lex_state = 174},
  [1781] = {.lex_state = 174},
  [1782] = {.lex_state = 174},
  [1783] = {.lex_state = 174},
  [1784] = {.lex_state = 174},
  [1785] = {.lex_state = 174},
  [1786] = {.lex_state = 174},
  [1787] = {.lex_state = 174},
  [1788] = {.lex_state = 174},
  [1789] = {.lex_state = 174},
  [1790] = {.lex_state = 236},
  [1791] = {.lex_state = 174},
  [1792] = {.lex_state = 236},
  [1793] = {.lex_state = 174},
  [1794] = {.lex_state = 236},
  [1795] = {.lex_state = 174},
  [1796] = {.lex_state = 174},
  [1797] = {.lex_state = 174},
  [1798] = {.lex_state = 174},
  [1799] = {.lex_state = 174},
  [1800] = {.lex_state = 174},
  [1801] = {.lex_state = 174},
  [1802] = {.lex_state = 174},
  [1803] = {.lex_state = 174},
  [1804] = {.lex_state = 174},
  [1805] = {.lex_state = 174},
  [1806] = {.lex_state = 174},
  [1807] = {.lex_state = 174},
  [1808] = {.lex_state = 174},
  [1809] = {.lex_state = 174},
  [1810] = {.lex_state = 174},
  [1811] = {.lex_state = 174},
  [1812] = {.lex_state = 174},
  [1813] = {.lex_state = 174},
  [1814] = {.lex_state = 174},
  [1815] = {.lex_state = 174},
  [1816] = {.lex_state = 174},
  [1817] = {.lex_state = 174},
  [1818] = {.lex_state = 174},
  [1819] = {.lex_state = 174},
  [1820] = {.lex_state = 174},
  [1821] = {.lex_state = 174},
  [1822] = {.lex_state = 174},
  [1823] = {.lex_state = 174},
  [1824] = {.lex_state = 174},
  [1825] = {.lex_state = 174},
  [1826] = {.lex_state = 174},
  [1827] = {.lex_state = 174},
  [1828] = {.lex_state = 174},
  [1829] = {.lex_state = 174},
  [1830] = {.lex_state = 174},
  [1831] = {.lex_state = 174},
  [1832] = {.lex_state = 174},
  [1833] = {.lex_state = 174},
  [1834] = {.lex_state = 174},
  [1835] = {.lex_state = 174},
  [1836] = {.lex_state = 174},
  [1837] = {.lex_state = 174},
  [1838] = {.lex_state = 174},
  [1839] = {.lex_state = 174},
  [1840] = {.lex_state = 174},
  [1841] = {.lex_state = 174},
  [1842] = {.lex_state = 174},
  [1843] = {.lex_state = 174},
  [1844] = {.lex_state = 236},
  [1845] = {.lex_state = 236},
  [1846] = {.lex_state = 236},
  [1847] = {.lex_state = 236},
  [1848] = {.lex_state = 236},
  [1849] = {.lex_state = 236},
  [1850] = {.lex_state = 236},
  [1851] = {.lex_state = 236},
  [1852] = {.lex_state = 236},
  [1853] = {.lex_state = 236},
  [1854] = {.lex_state = 222},
  [1855] = {.lex_state = 236},
  [1856] = {.lex_state = 222},
  [1857] = {.lex_state = 222},
  [1858] = {.lex_state = 222},
  [1859] = {.lex_state = 236},
  [1860] = {.lex_state = 236},
  [1861] = {.lex_state = 236},
  [1862] = {.lex_state = 222},
  [1863] = {.lex_state = 222},
  [1864] = {.lex_state = 236},
  [1865] = {.lex_state = 236},
  [1866] = {.lex_state = 222},
  [1867] = {.lex_state = 222},
  [1868] = {.lex_state = 222},
  [1869] = {.lex_state = 222},
  [1870] = {.lex_state = 222},
  [1871] = {.lex_state = 236},
  [1872] = {.lex_state = 236},
  [1873] = {.lex_state = 236},
  [1874] = {.lex_state = 236},
  [1875] = {.lex_state = 236},
  [1876] = {.lex_state = 236},
  [1877] = {.lex_state = 236},
  [1878] = {.lex_state = 236},
  [1879] = {.lex_state = 236},
  [1880] = {.lex_state = 236},
  [1881] = {.lex_state = 236},
  [1882] = {.lex_state = 236},
  [1883] = {.lex_state = 236},
  [1884] = {.lex_state = 236},
  [1885] = {.lex_state = 236},
  [1886] = {.lex_state = 236},
  [1887] = {.lex_state = 236},
  [1888] = {.lex_state = 236},
  [1889] = {.lex_state = 236},
  [1890] = {.lex_state = 236},
  [1891] = {.lex_state = 236},
  [1892] = {.lex_state = 236},
  [1893] = {.lex_state = 236},
  [1894] = {.lex_state = 236},
  [1895] = {.lex_state = 236},
  [1896] = {.lex_state = 236},
  [1897] = {.lex_state = 236},
  [1898] = {.lex_state = 236},
  [1899] = {.lex_state = 236},
  [1900] = {.lex_state = 236},
  [1901] = {.lex_state = 236},
  [1902] = {.lex_state = 236},
  [1903] = {.lex_state = 236},
  [1904] = {.lex_state = 236},
  [1905] = {.lex_state = 236},
  [1906] = {.lex_state = 236},
  [1907] = {.lex_state = 236},
  [1908] = {.lex_state = 236},
  [1909] = {.lex_state = 236},
  [1910] = {.lex_state = 236},
  [1911] = {.lex_state = 236},
  [1912] = {.lex_state = 236},
  [1913] = {.lex_state = 236},
  [1914] = {.lex_state = 236},
  [1915] = {.lex_state = 236},
  [1916] = {.lex_state = 236},
  [1917] = {.lex_state = 236},
  [1918] = {.lex_state = 236},
  [1919] = {.lex_state = 236},
  [1920] = {.lex_state = 236},
  [1921] = {.lex_state = 236},
  [1922] = {.lex_state = 236},
  [1923] = {.lex_state = 236},
  [1924] = {.lex_state = 236},
  [1925] = {.lex_state = 236},
  [1926] = {.lex_state = 236},
  [1927] = {.lex_state = 236},
  [1928] = {.lex_state = 236},
  [1929] = {.lex_state = 236},
  [1930] = {.lex_state = 236},
  [1931] = {.lex_state = 236},
  [1932] = {.lex_state = 236},
  [1933] = {.lex_state = 236},
  [1934] = {.lex_state = 236},
  [1935] = {.lex_state = 236},
  [1936] = {.lex_state = 236},
  [1937] = {.lex_state = 236},
  [1938] = {.lex_state = 236},
  [1939] = {.lex_state = 236},
  [1940] = {.lex_state = 236},
  [1941] = {.lex_state = 236},
  [1942] = {.lex_state = 236},
  [1943] = {.lex_state = 236},
  [1944] = {.lex_state = 236},
  [1945] = {.lex_state = 236},
  [1946] = {.lex_state = 236},
  [1947] = {.lex_state = 236},
  [1948] = {.lex_state = 236},
  [1949] = {.lex_state = 236},
  [1950] = {.lex_state = 236},
  [1951] = {.lex_state = 236},
  [1952] = {.lex_state = 236},
  [1953] = {.lex_state = 236},
  [1954] = {.lex_state = 236},
  [1955] = {.lex_state = 236},
  [1956] = {.lex_state = 236},
  [1957] = {.lex_state = 236},
  [1958] = {.lex_state = 236},
  [1959] = {.lex_state = 236},
  [1960] = {.lex_state = 236},
  [1961] = {.lex_state = 236},
  [1962] = {.lex_state = 236},
  [1963] = {.lex_state = 236},
  [1964] = {.lex_state = 236},
  [1965] = {.lex_state = 236},
  [1966] = {.lex_state = 236},
  [1967] = {.lex_state = 236},
  [1968] = {.lex_state = 236},
  [1969] = {.lex_state = 236},
  [1970] = {.lex_state = 192},
  [1971] = {.lex_state = 236},
  [1972] = {.lex_state = 236},
  [1973] = {.lex_state = 237},
  [1974] = {.lex_state = 192},
  [1975] = {.lex_state = 237},
  [1976] = {.lex_state = 192},
  [1977] = {.lex_state = 192},
  [1978] = {.lex_state = 237},
  [1979] = {.lex_state = 236},
  [1980] = {.lex_state = 237},
  [1981] = {.lex_state = 236},
  [1982] = {.lex_state = 236},
  [1983] = {.lex_state = 236},
  [1984] = {.lex_state = 236},
  [1985] = {.lex_state = 236},
  [1986] = {.lex_state = 236},
  [1987] = {.lex_state = 236},
  [1988] = {.lex_state = 236},
  [1989] = {.lex_state = 236},
  [1990] = {.lex_state = 236},
  [1991] = {.lex_state = 236},
  [1992] = {.lex_state = 236},
  [1993] = {.lex_state = 236},
  [1994] = {.lex_state = 236},
  [1995] = {.lex_state = 236},
  [1996] = {.lex_state = 236},
  [1997] = {.lex_state = 236},
  [1998] = {.lex_state = 236},
  [1999] = {.lex_state = 236},
  [2000] = {.lex_state = 236},
  [2001] = {.lex_state = 236},
  [2002] = {.lex_state = 236},
  [2003] = {.lex_state = 236},
  [2004] = {.lex_state = 236},
  [2005] = {.lex_state = 236},
  [2006] = {.lex_state = 236},
  [2007] = {.lex_state = 236},
  [2008] = {.lex_state = 236},
  [2009] = {.lex_state = 236},
  [2010] = {.lex_state = 236},
  [2011] = {.lex_state = 192},
  [2012] = {.lex_state = 192},
  [2013] = {.lex_state = 237},
  [2014] = {.lex_state = 236},
  [2015] = {.lex_state = 236},
  [2016] = {.lex_state = 237},
  [2017] = {.lex_state = 236},
  [2018] = {.lex_state = 192},
  [2019] = {.lex_state = 181},
  [2020] = {.lex_state = 236},
  [2021] = {.lex_state = 237},
  [2022] = {.lex_state = 237},
  [2023] = {.lex_state = 192},
  [2024] = {.lex_state = 192},
  [2025] = {.lex_state = 237},
  [2026] = {.lex_state = 192},
  [2027] = {.lex_state = 192},
  [2028] = {.lex_state = 237},
  [2029] = {.lex_state = 237},
  [2030] = {.lex_state = 237},
  [2031] = {.lex_state = 192},
  [2032] = {.lex_state = 192},
  [2033] = {.lex_state = 192},
  [2034] = {.lex_state = 237},
  [2035] = {.lex_state = 192},
  [2036] = {.lex_state = 237},
  [2037] = {.lex_state = 237},
  [2038] = {.lex_state = 237},
  [2039] = {.lex_state = 192},
  [2040] = {.lex_state = 237},
  [2041] = {.lex_state = 192},
  [2042] = {.lex_state = 237},
  [2043] = {.lex_state = 237},
  [2044] = {.lex_state = 237},
  [2045] = {.lex_state = 237},
  [2046] = {.lex_state = 192},
  [2047] = {.lex_state = 237},
  [2048] = {.lex_state = 192},
  [2049] = {.lex_state = 237},
  [2050] = {.lex_state = 192},
  [2051] = {.lex_state = 237},
  [2052] = {.lex_state = 192},
  [2053] = {.lex_state = 237},
  [2054] = {.lex_state = 192},
  [2055] = {.lex_state = 192},
  [2056] = {.lex_state = 237},
  [2057] = {.lex_state = 237},
  [2058] = {.lex_state = 237},
  [2059] = {.lex_state = 192},
  [2060] = {.lex_state = 192},
  [2061] = {.lex_state = 192},
  [2062] = {.lex_state = 192},
  [2063] = {.lex_state = 192},
  [2064] = {.lex_state = 237},
  [2065] = {.lex_state = 192},
  [2066] = {.lex_state = 192},
  [2067] = {.lex_state = 237},
  [2068] = {.lex_state = 192},
  [2069] = {.lex_state = 192},
  [2070] = {.lex_state = 192},
  [2071] = {.lex_state = 236},
  [2072] = {.lex_state = 192},
  [2073] = {.lex_state = 237},
  [2074] = {.lex_state = 192},
  [2075] = {.lex_state = 237},
  [2076] = {.lex_state = 192},
  [2077] = {.lex_state = 192},
  [2078] = {.lex_state = 192},
  [2079] = {.lex_state = 237},
  [2080] = {.lex_state = 237},
  [2081] = {.lex_state = 237},
  [2082] = {.lex_state = 192},
  [2083] = {.lex_state = 192},
  [2084] = {.lex_state = 192},
  [2085] = {.lex_state = 192},
  [2086] = {.lex_state = 237},
  [2087] = {.lex_state = 192},
  [2088] = {.lex_state = 237},
  [2089] = {.lex_state = 192},
  [2090] = {.lex_state = 237},
  [2091] = {.lex_state = 237},
  [2092] = {.lex_state = 237},
  [2093] = {.lex_state = 237},
  [2094] = {.lex_state = 237},
  [2095] = {.lex_state = 237},
  [2096] = {.lex_state = 237},
  [2097] = {.lex_state = 192},
  [2098] = {.lex_state = 192},
  [2099] = {.lex_state = 192},
  [2100] = {.lex_state = 192},
  [2101] = {.lex_state = 192},
  [2102] = {.lex_state = 192},
  [2103] = {.lex_state = 192},
  [2104] = {.lex_state = 192},
  [2105] = {.lex_state = 192},
  [2106] = {.lex_state = 237},
  [2107] = {.lex_state = 192},
  [2108] = {.lex_state = 192},
  [2109] = {.lex_state = 192},
  [2110] = {.lex_state = 192},
  [2111] = {.lex_state = 237},
  [2112] = {.lex_state = 192},
  [2113] = {.lex_state = 237},
  [2114] = {.lex_state = 237},
  [2115] = {.lex_state = 192},
  [2116] = {.lex_state = 192},
  [2117] = {.lex_state = 192},
  [2118] = {.lex_state = 237},
  [2119] = {.lex_state = 237},
  [2120] = {.lex_state = 192},
  [2121] = {.lex_state = 237},
  [2122] = {.lex_state = 237},
  [2123] = {.lex_state = 237},
  [2124] = {.lex_state = 192},
  [2125] = {.lex_state = 192},
  [2126] = {.lex_state = 237},
  [2127] = {.lex_state = 237},
  [2128] = {.lex_state = 192},
  [2129] = {.lex_state = 237},
  [2130] = {.lex_state = 192},
  [2131] = {.lex_state = 237},
  [2132] = {.lex_state = 237},
  [2133] = {.lex_state = 182},
  [2134] = {.lex_state = 237},
  [2135] = {.lex_state = 237},
  [2136] = {.lex_state = 237},
  [2137] = {.lex_state = 237},
  [2138] = {.lex_state = 237},
  [2139] = {.lex_state = 237},
  [2140] = {.lex_state = 237},
  [2141] = {.lex_state = 237},
  [2142] = {.lex_state = 237},
  [2143] = {.lex_state = 192},
  [2144] = {.lex_state = 237},
  [2145] = {.lex_state = 237},
  [2146] = {.lex_state = 192},
  [2147] = {.lex_state = 192},
  [2148] = {.lex_state = 237},
  [2149] = {.lex_state = 192},
  [2150] = {.lex_state = 237},
  [2151] = {.lex_state = 237},
  [2152] = {.lex_state = 192},
  [2153] = {.lex_state = 237},
  [2154] = {.lex_state = 237},
  [2155] = {.lex_state = 192},
  [2156] = {.lex_state = 192},
  [2157] = {.lex_state = 237},
  [2158] = {.lex_state = 192},
  [2159] = {.lex_state = 237},
  [2160] = {.lex_state = 192},
  [2161] = {.lex_state = 237},
  [2162] = {.lex_state = 192},
  [2163] = {.lex_state = 192},
  [2164] = {.lex_state = 192},
  [2165] = {.lex_state = 192},
  [2166] = {.lex_state = 237},
  [2167] = {.lex_state = 192},
  [2168] = {.lex_state = 192},
  [2169] = {.lex_state = 237},
  [2170] = {.lex_state = 192},
  [2171] = {.lex_state = 192},
  [2172] = {.lex_state = 192},
  [2173] = {.lex_state = 192},
  [2174] = {.lex_state = 192},
  [2175] = {.lex_state = 237},
  [2176] = {.lex_state = 237},
  [2177] = {.lex_state = 237},
  [2178] = {.lex_state = 236},
  [2179] = {.lex_state = 192},
  [2180] = {.lex_state = 192},
  [2181] = {.lex_state = 192},
  [2182] = {.lex_state = 192},
  [2183] = {.lex_state = 192},
  [2184] = {.lex_state = 192},
  [2185] = {.lex_state = 192},
  [2186] = {.lex_state = 192},
  [2187] = {.lex_state = 237},
  [2188] = {.lex_state = 237},
  [2189] = {.lex_state = 237},
  [2190] = {.lex_state = 192},
  [2191] = {.lex_state = 237},
  [2192] = {.lex_state = 237},
  [2193] = {.lex_state = 237},
  [2194] = {.lex_state = 237},
  [2195] = {.lex_state = 237},
  [2196] = {.lex_state = 237},
  [2197] = {.lex_state = 192},
  [2198] = {.lex_state = 192},
  [2199] = {.lex_state = 237},
  [2200] = {.lex_state = 192},
  [2201] = {.lex_state = 192},
  [2202] = {.lex_state = 192},
  [2203] = {.lex_state = 192},
  [2204] = {.lex_state = 237},
  [2205] = {.lex_state = 192},
  [2206] = {.lex_state = 237},
  [2207] = {.lex_state = 237},
  [2208] = {.lex_state = 192},
  [2209] = {.lex_state = 237},
  [2210] = {.lex_state = 237},
  [2211] = {.lex_state = 237},
  [2212] = {.lex_state = 237},
  [2213] = {.lex_state = 192},
  [2214] = {.lex_state = 237},
  [2215] = {.lex_state = 237},
  [2216] = {.lex_state = 237},
  [2217] = {.lex_state = 237},
  [2218] = {.lex_state = 192},
  [2219] = {.lex_state = 237},
  [2220] = {.lex_state = 237},
  [2221] = {.lex_state = 237},
  [2222] = {.lex_state = 237},
  [2223] = {.lex_state = 192},
  [2224] = {.lex_state = 192},
  [2225] = {.lex_state = 237},
  [2226] = {.lex_state = 192},
  [2227] = {.lex_state = 186},
  [2228] = {.lex_state = 236},
  [2229] = {.lex_state = 236},
  [2230] = {.lex_state = 236},
  [2231] = {.lex_state = 236},
  [2232] = {.lex_state = 235},
  [2233] = {.lex_state = 235},
  [2234] = {.lex_state = 236},
  [2235] = {.lex_state = 236},
  [2236] = {.lex_state = 236},
  [2237] = {.lex_state = 236},
  [2238] = {.lex_state = 236},
  [2239] = {.lex_state = 236},
  [2240] = {.lex_state = 176},
  [2241] = {.lex_state = 235},
  [2242] = {.lex_state = 236},
  [2243] = {.lex_state = 235},
  [2244] = {.lex_state = 235},
  [2245] = {.lex_state = 236},
  [2246] = {.lex_state = 236},
  [2247] = {.lex_state = 236},
  [2248] = {.lex_state = 236},
  [2249] = {.lex_state = 236},
  [2250] = {.lex_state = 236},
  [2251] = {.lex_state = 236},
  [2252] = {.lex_state = 235},
  [2253] = {.lex_state = 235},
  [2254] = {.lex_state = 235},
  [2255] = {.lex_state = 235},
  [2256] = {.lex_state = 236},
  [2257] = {.lex_state = 236},
  [2258] = {.lex_state = 236},
  [2259] = {.lex_state = 235},
  [2260] = {.lex_state = 235},
  [2261] = {.lex_state = 235},
  [2262] = {.lex_state = 235},
  [2263] = {.lex_state = 236},
  [2264] = {.lex_state = 235},
  [2265] = {.lex_state = 235},
  [2266] = {.lex_state = 236},
  [2267] = {.lex_state = 235},
  [2268] = {.lex_state = 194},
  [2269] = {.lex_state = 236},
  [2270] = {.lex_state = 194},
  [2271] = {.lex_state = 235},
  [2272] = {.lex_state = 235},
  [2273] = {.lex_state = 194},
  [2274] = {.lex_state = 235},
  [2275] = {.lex_state = 235},
  [2276] = {.lex_state = 235},
  [2277] = {.lex_state = 235},
  [2278] = {.lex_state = 235},
  [2279] = {.lex_state = 235},
  [2280] = {.lex_state = 194},
  [2281] = {.lex_state = 194},
  [2282] = {.lex_state = 194},
  [2283] = {.lex_state = 235},
  [2284] = {.lex_state = 235},
  [2285] = {.lex_state = 194},
  [2286] = {.lex_state = 235},
  [2287] = {.lex_state = 235},
  [2288] = {.lex_state = 235},
  [2289] = {.lex_state = 235},
  [2290] = {.lex_state = 235},
  [2291] = {.lex_state = 222},
  [2292] = {.lex_state = 235},
  [2293] = {.lex_state = 222},
  [2294] = {.lex_state = 230},
  [2295] = {.lex_state = 236},
  [2296] = {.lex_state = 222},
  [2297] = {.lex_state = 230},
  [2298] = {.lex_state = 222},
  [2299] = {.lex_state = 235},
  [2300] = {.lex_state = 222},
  [2301] = {.lex_state = 222},
  [2302] = {.lex_state = 222},
  [2303] = {.lex_state = 235},
  [2304] = {.lex_state = 230},
  [2305] = {.lex_state = 230},
  [2306] = {.lex_state = 235},
  [2307] = {.lex_state = 235},
  [2308] = {.lex_state = 235},
  [2309] = {.lex_state = 235},
  [2310] = {.lex_state = 235},
  [2311] = {.lex_state = 235},
  [2312] = {.lex_state = 235},
  [2313] = {.lex_state = 235},
  [2314] = {.lex_state = 235},
  [2315] = {.lex_state = 235},
  [2316] = {.lex_state = 235},
  [2317] = {.lex_state = 235},
  [2318] = {.lex_state = 235},
  [2319] = {.lex_state = 235},
  [2320] = {.lex_state = 235},
  [2321] = {.lex_state = 235},
  [2322] = {.lex_state = 235},
  [2323] = {.lex_state = 235},
  [2324] = {.lex_state = 235},
  [2325] = {.lex_state = 235},
  [2326] = {.lex_state = 235},
  [2327] = {.lex_state = 235},
  [2328] = {.lex_state = 235},
  [2329] = {.lex_state = 235},
  [2330] = {.lex_state = 235},
  [2331] = {.lex_state = 235},
  [2332] = {.lex_state = 235},
  [2333] = {.lex_state = 235},
  [2334] = {.lex_state = 235},
  [2335] = {.lex_state = 235},
  [2336] = {.lex_state = 235},
  [2337] = {.lex_state = 235},
  [2338] = {.lex_state = 235},
  [2339] = {.lex_state = 235},
  [2340] = {.lex_state = 235},
  [2341] = {.lex_state = 235},
  [2342] = {.lex_state = 235},
  [2343] = {.lex_state = 235},
  [2344] = {.lex_state = 235},
  [2345] = {.lex_state = 222},
  [2346] = {.lex_state = 222},
  [2347] = {.lex_state = 222},
  [2348] = {.lex_state = 222},
  [2349] = {.lex_state = 222},
  [2350] = {.lex_state = 222},
  [2351] = {.lex_state = 222},
  [2352] = {.lex_state = 222},
  [2353] = {.lex_state = 222},
  [2354] = {.lex_state = 222},
  [2355] = {.lex_state = 222},
  [2356] = {.lex_state = 222},
  [2357] = {.lex_state = 222},
  [2358] = {.lex_state = 222},
  [2359] = {.lex_state = 235},
  [2360] = {.lex_state = 235},
  [2361] = {.lex_state = 235},
  [2362] = {.lex_state = 235},
  [2363] = {.lex_state = 235},
  [2364] = {.lex_state = 235},
  [2365] = {.lex_state = 235},
  [2366] = {.lex_state = 235},
  [2367] = {.lex_state = 235},
  [2368] = {.lex_state = 235},
  [2369] = {.lex_state = 235},
  [2370] = {.lex_state = 235},
  [2371] = {.lex_state = 235},
  [2372] = {.lex_state = 235},
  [2373] = {.lex_state = 235},
  [2374] = {.lex_state = 171},
  [2375] = {.lex_state = 235},
  [2376] = {.lex_state = 235},
  [2377] = {.lex_state = 235},
  [2378] = {.lex_state = 171},
  [2379] = {.lex_state = 235},
  [2380] = {.lex_state = 235},
  [2381] = {.lex_state = 235},
  [2382] = {.lex_state = 235},
  [2383] = {.lex_state = 236},
  [2384] = {.lex_state = 236},
  [2385] = {.lex_state = 235},
  [2386] = {.lex_state = 222},
  [2387] = {.lex_state = 236},
  [2388] = {.lex_state = 176},
  [2389] = {.lex_state = 236},
  [2390] = {.lex_state = 222},
  [2391] = {.lex_state = 235},
  [2392] = {.lex_state = 236},
  [2393] = {.lex_state = 236},
  [2394] = {.lex_state = 236},
  [2395] = {.lex_state = 236},
  [2396] = {.lex_state = 236},
  [2397] = {.lex_state = 236},
  [2398] = {.lex_state = 236},
  [2399] = {.lex_state = 236},
  [2400] = {.lex_state = 236},
  [2401] = {.lex_state = 236},
  [2402] = {.lex_state = 236},
  [2403] = {.lex_state = 236},
  [2404] = {.lex_state = 236},
  [2405] = {.lex_state = 239},
  [2406] = {.lex_state = 206},
  [2407] = {.lex_state = 206},
  [2408] = {.lex_state = 235},
  [2409] = {.lex_state = 206},
  [2410] = {.lex_state = 236},
  [2411] = {.lex_state = 206},
  [2412] = {.lex_state = 236},
  [2413] = {.lex_state = 202},
  [2414] = {.lex_state = 178},
  [2415] = {.lex_state = 206},
  [2416] = {.lex_state = 178},
  [2417] = {.lex_state = 206},
  [2418] = {.lex_state = 206},
  [2419] = {.lex_state = 222},
  [2420] = {.lex_state = 178},
  [2421] = {.lex_state = 235},
  [2422] = {.lex_state = 236},
  [2423] = {.lex_state = 236},
  [2424] = {.lex_state = 174},
  [2425] = {.lex_state = 235},
  [2426] = {.lex_state = 236},
  [2427] = {.lex_state = 213},
  [2428] = {.lex_state = 213},
  [2429] = {.lex_state = 213},
  [2430] = {.lex_state = 235},
  [2431] = {.lex_state = 235},
  [2432] = {.lex_state = 236},
  [2433] = {.lex_state = 213},
  [2434] = {.lex_state = 213},
  [2435] = {.lex_state = 213},
  [2436] = {.lex_state = 213},
  [2437] = {.lex_state = 191},
  [2438] = {.lex_state = 235},
  [2439] = {.lex_state = 235},
  [2440] = {.lex_state = 191},
  [2441] = {.lex_state = 235},
  [2442] = {.lex_state = 235},
  [2443] = {.lex_state = 223},
  [2444] = {.lex_state = 235},
  [2445] = {.lex_state = 235},
  [2446] = {.lex_state = 235},
  [2447] = {.lex_state = 235},
  [2448] = {.lex_state = 178},
  [2449] = {.lex_state = 178},
  [2450] = {.lex_state = 236},
  [2451] = {.lex_state = 202},
  [2452] = {.lex_state = 235},
  [2453] = {.lex_state = 236},
  [2454] = {.lex_state = 178},
  [2455] = {.lex_state = 178},
  [2456] = {.lex_state = 206},
  [2457] = {.lex_state = 196},
  [2458] = {.lex_state = 213},
  [2459] = {.lex_state = 235},
  [2460] = {.lex_state = 223},
  [2461] = {.lex_state = 223},
  [2462] = {.lex_state = 174},
  [2463] = {.lex_state = 222},
  [2464] = {.lex_state = 176},
  [2465] = {.lex_state = 223},
  [2466] = {.lex_state = 223},
  [2467] = {.lex_state = 223},
  [2468] = {.lex_state = 223},
  [2469] = {.lex_state = 223},
  [2470] = {.lex_state = 197},
  [2471] = {.lex_state = 223},
  [2472] = {.lex_state = 222},
  [2473] = {.lex_state = 222},
  [2474] = {.lex_state = 236},
  [2475] = {.lex_state = 202},
  [2476] = {.lex_state = 174},
  [2477] = {.lex_state = 206},
  [2478] = {.lex_state = 223},
  [2479] = {.lex_state = 223},
  [2480] = {.lex_state = 223},
  [2481] = {.lex_state = 223},
  [2482] = {.lex_state = 223},
  [2483] = {.lex_state = 235},
  [2484] = {.lex_state = 202},
  [2485] = {.lex_state = 213},
  [2486] = {.lex_state = 202},
  [2487] = {.lex_state = 202},
  [2488] = {.lex_state = 202},
  [2489] = {.lex_state = 202},
  [2490] = {.lex_state = 202},
  [2491] = {.lex_state = 202},
  [2492] = {.lex_state = 202},
  [2493] = {.lex_state = 202},
  [2494] = {.lex_state = 202},
  [2495] = {.lex_state = 202},
  [2496] = {.lex_state = 202},
  [2497] = {.lex_state = 202},
  [2498] = {.lex_state = 202},
  [2499] = {.lex_state = 202},
  [2500] = {.lex_state = 239},
  [2501] = {.lex_state = 202},
  [2502] = {.lex_state = 202},
  [2503] = {.lex_state = 202},
  [2504] = {.lex_state = 202},
  [2505] = {.lex_state = 202},
  [2506] = {.lex_state = 202},
  [2507] = {.lex_state = 202},
  [2508] = {.lex_state = 202},
  [2509] = {.lex_state = 202},
  [2510] = {.lex_state = 202},
  [2511] = {.lex_state = 202},
  [2512] = {.lex_state = 202},
  [2513] = {.lex_state = 202},
  [2514] = {.lex_state = 202},
  [2515] = {.lex_state = 202},
  [2516] = {.lex_state = 202},
  [2517] = {.lex_state = 194},
  [2518] = {.lex_state = 235},
  [2519] = {.lex_state = 202},
  [2520] = {.lex_state = 202},
  [2521] = {.lex_state = 202},
  [2522] = {.lex_state = 202},
  [2523] = {.lex_state = 202},
  [2524] = {.lex_state = 202},
  [2525] = {.lex_state = 202},
  [2526] = {.lex_state = 238},
  [2527] = {.lex_state = 238},
  [2528] = {.lex_state = 202},
  [2529] = {.lex_state = 202},
  [2530] = {.lex_state = 197},
  [2531] = {.lex_state = 178},
  [2532] = {.lex_state = 194},
  [2533] = {.lex_state = 194},
  [2534] = {.lex_state = 203},
  [2535] = {.lex_state = 197},
  [2536] = {.lex_state = 194},
  [2537] = {.lex_state = 197},
  [2538] = {.lex_state = 197},
  [2539] = {.lex_state = 203},
  [2540] = {.lex_state = 203},
  [2541] = {.lex_state = 238},
  [2542] = {.lex_state = 238},
  [2543] = {.lex_state = 176},
  [2544] = {.lex_state = 194},
  [2545] = {.lex_state = 194},
  [2546] = {.lex_state = 194},
  [2547] = {.lex_state = 181},
  [2548] = {.lex_state = 181},
  [2549] = {.lex_state = 194},
  [2550] = {.lex_state = 194},
  [2551] = {.lex_state = 203},
  [2552] = {.lex_state = 203},
  [2553] = {.lex_state = 203},
  [2554] = {.lex_state = 185},
  [2555] = {.lex_state = 178},
  [2556] = {.lex_state = 185},
  [2557] = {.lex_state = 238},
  [2558] = {.lex_state = 238},
  [2559] = {.lex_state = 203},
  [2560] = {.lex_state = 176},
  [2561] = {.lex_state = 203},
  [2562] = {.lex_state = 203},
  [2563] = {.lex_state = 185},
  [2564] = {.lex_state = 235},
  [2565] = {.lex_state = 184},
  [2566] = {.lex_state = 176},
  [2567] = {.lex_state = 197},
  [2568] = {.lex_state = 226},
  [2569] = {.lex_state = 203},
  [2570] = {.lex_state = 194},
  [2571] = {.lex_state = 197},
  [2572] = {.lex_state = 182},
  [2573] = {.lex_state = 226},
  [2574] = {.lex_state = 176},
  [2575] = {.lex_state = 184},
  [2576] = {.lex_state = 182},
  [2577] = {.lex_state = 178},
  [2578] = {.lex_state = 176},
  [2579] = {.lex_state = 184},
  [2580] = {.lex_state = 178},
  [2581] = {.lex_state = 176},
  [2582] = {.lex_state = 197},
  [2583] = {.lex_state = 176},
  [2584] = {.lex_state = 178},
  [2585] = {.lex_state = 176},
  [2586] = {.lex_state = 176},
  [2587] = {.lex_state = 176},
  [2588] = {.lex_state = 226},
  [2589] = {.lex_state = 176},
  [2590] = {.lex_state = 176},
  [2591] = {.lex_state = 195},
  [2592] = {.lex_state = 197},
  [2593] = {.lex_state = 197},
  [2594] = {.lex_state = 178},
  [2595] = {.lex_state = 197},
  [2596] = {.lex_state = 188},
  [2597] = {.lex_state = 195},
  [2598] = {.lex_state = 188},
  [2599] = {.lex_state = 196},
  [2600] = {.lex_state = 197},
  [2601] = {.lex_state = 197},
  [2602] = {.lex_state = 197},
  [2603] = {.lex_state = 197},
  [2604] = {.lex_state = 178},
  [2605] = {.lex_state = 236},
  [2606] = {.lex_state = 236},
  [2607] = {.lex_state = 178},
  [2608] = {.lex_state = 197},
  [2609] = {.lex_state = 236},
  [2610] = {.lex_state = 197},
  [2611] = {.lex_state = 188},
  [2612] = {.lex_state = 197},
  [2613] = {.lex_state = 194},
  [2614] = {.lex_state = 236},
  [2615] = {.lex_state = 196},
  [2616] = {.lex_state = 195},
  [2617] = {.lex_state = 178},
  [2618] = {.lex_state = 197},
  [2619] = {.lex_state = 195},
  [2620] = {.lex_state = 197},
  [2621] = {.lex_state = 196},
  [2622] = {.lex_state = 186},
  [2623] = {.lex_state = 236},
  [2624] = {.lex_state = 194},
  [2625] = {.lex_state = 239},
  [2626] = {.lex_state = 239},
  [2627] = {.lex_state = 195},
  [2628] = {.lex_state = 236},
  [2629] = {.lex_state = 194},
  [2630] = {.lex_state = 236},
  [2631] = {.lex_state = 176},
  [2632] = {.lex_state = 194},
  [2633] = {.lex_state = 236},
  [2634] = {.lex_state = 186},
  [2635] = {.lex_state = 194},
  [2636] = {.lex_state = 196},
  [2637] = {.lex_state = 176},
  [2638] = {.lex_state = 197},
  [2639] = {.lex_state = 184},
  [2640] = {.lex_state = 197},
  [2641] = {.lex_state = 227},
  [2642] = {.lex_state = 197},
  [2643] = {.lex_state = 197},
  [2644] = {.lex_state = 197},
  [2645] = {.lex_state = 197},
  [2646] = {.lex_state = 197},
  [2647] = {.lex_state = 197},
  [2648] = {.lex_state = 197},
  [2649] = {.lex_state = 195},
  [2650] = {.lex_state = 197},
  [2651] = {.lex_state = 197},
  [2652] = {.lex_state = 197},
  [2653] = {.lex_state = 197},
  [2654] = {.lex_state = 197},
  [2655] = {.lex_state = 197},
  [2656] = {.lex_state = 197},
  [2657] = {.lex_state = 195},
  [2658] = {.lex_state = 197},
  [2659] = {.lex_state = 195},
  [2660] = {.lex_state = 197},
  [2661] = {.lex_state = 197},
  [2662] = {.lex_state = 227},
  [2663] = {.lex_state = 203},
  [2664] = {.lex_state = 227},
  [2665] = {.lex_state = 203},
  [2666] = {.lex_state = 238},
  [2667] = {.lex_state = 227},
  [2668] = {.lex_state = 197},
  [2669] = {.lex_state = 197},
  [2670] = {.lex_state = 197},
  [2671] = {.lex_state = 197},
  [2672] = {.lex_state = 238},
  [2673] = {.lex_state = 197},
  [2674] = {.lex_state = 197},
  [2675] = {.lex_state = 197},
  [2676] = {.lex_state = 178},
  [2677] = {.lex_state = 197},
  [2678] = {.lex_state = 197},
  [2679] = {.lex_state = 194},
  [2680] = {.lex_state = 197},
  [2681] = {.lex_state = 197},
  [2682] = {.lex_state = 197},
  [2683] = {.lex_state = 227},
  [2684] = {.lex_state = 197},
  [2685] = {.lex_state = 195},
  [2686] = {.lex_state = 197},
  [2687] = {.lex_state = 197},
  [2688] = {.lex_state = 195},
  [2689] = {.lex_state = 195},
  [2690] = {.lex_state = 197},
  [2691] = {.lex_state = 197},
  [2692] = {.lex_state = 197},
  [2693] = {.lex_state = 197},
  [2694] = {.lex_state = 227},
  [2695] = {.lex_state = 195},
  [2696] = {.lex_state = 227},
  [2697] = {.lex_state = 195},
  [2698] = {.lex_state = 235},
  [2699] = {.lex_state = 195},
  [2700] = {.lex_state = 194},
  [2701] = {.lex_state = 195},
  [2702] = {.lex_state = 195},
  [2703] = {.lex_state = 195},
  [2704] = {.lex_state = 197},
  [2705] = {.lex_state = 194},
  [2706] = {.lex_state = 194},
  [2707] = {.lex_state = 194},
  [2708] = {.lex_state = 197},
  [2709] = {.lex_state = 197},
  [2710] = {.lex_state = 195},
  [2711] = {.lex_state = 194},
  [2712] = {.lex_state = 194},
  [2713] = {.lex_state = 197},
  [2714] = {.lex_state = 227},
  [2715] = {.lex_state = 194},
  [2716] = {.lex_state = 197},
  [2717] = {.lex_state = 194},
  [2718] = {.lex_state = 197},
  [2719] = {.lex_state = 203},
  [2720] = {.lex_state = 194},
  [2721] = {.lex_state = 227},
  [2722] = {.lex_state = 194},
  [2723] = {.lex_state = 203},
  [2724] = {.lex_state = 197},
  [2725] = {.lex_state = 197},
  [2726] = {.lex_state = 184},
  [2727] = {.lex_state = 203},
  [2728] = {.lex_state = 197},
  [2729] = {.lex_state = 203},
  [2730] = {.lex_state = 197},
  [2731] = {.lex_state = 194},
  [2732] = {.lex_state = 197},
  [2733] = {.lex_state = 197},
  [2734] = {.lex_state = 203},
  [2735] = {.lex_state = 203},
  [2736] = {.lex_state = 197},
  [2737] = {.lex_state = 197},
  [2738] = {.lex_state = 178},
  [2739] = {.lex_state = 178},
  [2740] = {.lex_state = 203},
  [2741] = {.lex_state = 203},
  [2742] = {.lex_state = 178},
  [2743] = {.lex_state = 203},
  [2744] = {.lex_state = 178},
  [2745] = {.lex_state = 194},
  [2746] = {.lex_state = 203},
  [2747] = {.lex_state = 222},
  [2748] = {.lex_state = 194},
  [2749] = {.lex_state = 203},
  [2750] = {.lex_state = 203},
  [2751] = {.lex_state = 184},
  [2752] = {.lex_state = 222},
  [2753] = {.lex_state = 197},
  [2754] = {.lex_state = 197},
  [2755] = {.lex_state = 197},
  [2756] = {.lex_state = 184},
  [2757] = {.lex_state = 184},
  [2758] = {.lex_state = 222},
  [2759] = {.lex_state = 184},
  [2760] = {.lex_state = 184},
  [2761] = {.lex_state = 188},
  [2762] = {.lex_state = 184},
  [2763] = {.lex_state = 209},
  [2764] = {.lex_state = 184},
  [2765] = {.lex_state = 197},
  [2766] = {.lex_state = 188},
  [2767] = {.lex_state = 197},
  [2768] = {.lex_state = 197},
  [2769] = {.lex_state = 197},
  [2770] = {.lex_state = 207},
  [2771] = {.lex_state = 188},
  [2772] = {.lex_state = 194},
  [2773] = {.lex_state = 194},
  [2774] = {.lex_state = 188},
  [2775] = {.lex_state = 188},
  [2776] = {.lex_state = 200},
  [2777] = {.lex_state = 195},
  [2778] = {.lex_state = 197},
  [2779] = {.lex_state = 194},
  [2780] = {.lex_state = 197},
  [2781] = {.lex_state = 178},
  [2782] = {.lex_state = 194},
  [2783] = {.lex_state = 194},
  [2784] = {.lex_state = 239},
  [2785] = {.lex_state = 178},
  [2786] = {.lex_state = 222},
  [2787] = {.lex_state = 178},
  [2788] = {.lex_state = 197},
  [2789] = {.lex_state = 184},
  [2790] = {.lex_state = 195},
  [2791] = {.lex_state = 195},
  [2792] = {.lex_state = 194},
  [2793] = {.lex_state = 206},
  [2794] = {.lex_state = 239},
  [2795] = {.lex_state = 195},
  [2796] = {.lex_state = 195},
  [2797] = {.lex_state = 184},
  [2798] = {.lex_state = 209},
  [2799] = {.lex_state = 178},
  [2800] = {.lex_state = 209},
  [2801] = {.lex_state = 197},
  [2802] = {.lex_state = 194},
  [2803] = {.lex_state = 197},
  [2804] = {.lex_state = 184},
  [2805] = {.lex_state = 238},
  [2806] = {.lex_state = 217},
  [2807] = {.lex_state = 217},
  [2808] = {.lex_state = 213},
  [2809] = {.lex_state = 188},
  [2810] = {.lex_state = 188},
  [2811] = {.lex_state = 188},
  [2812] = {.lex_state = 197},
  [2813] = {.lex_state = 188},
  [2814] = {.lex_state = 197},
  [2815] = {.lex_state = 197},
  [2816] = {.lex_state = 197},
  [2817] = {.lex_state = 197},
  [2818] = {.lex_state = 197},
  [2819] = {.lex_state = 197},
  [2820] = {.lex_state = 197},
  [2821] = {.lex_state = 197},
  [2822] = {.lex_state = 197},
  [2823] = {.lex_state = 197},
  [2824] = {.lex_state = 197},
  [2825] = {.lex_state = 197},
  [2826] = {.lex_state = 214},
  [2827] = {.lex_state = 197},
  [2828] = {.lex_state = 197},
  [2829] = {.lex_state = 197},
  [2830] = {.lex_state = 197},
  [2831] = {.lex_state = 197},
  [2832] = {.lex_state = 197},
  [2833] = {.lex_state = 197},
  [2834] = {.lex_state = 197},
  [2835] = {.lex_state = 197},
  [2836] = {.lex_state = 197},
  [2837] = {.lex_state = 197},
  [2838] = {.lex_state = 197},
  [2839] = {.lex_state = 197},
  [2840] = {.lex_state = 197},
  [2841] = {.lex_state = 197},
  [2842] = {.lex_state = 197},
  [2843] = {.lex_state = 197},
  [2844] = {.lex_state = 197},
  [2845] = {.lex_state = 197},
  [2846] = {.lex_state = 197},
  [2847] = {.lex_state = 197},
  [2848] = {.lex_state = 197},
  [2849] = {.lex_state = 197},
  [2850] = {.lex_state = 197},
  [2851] = {.lex_state = 197},
  [2852] = {.lex_state = 197},
  [2853] = {.lex_state = 197},
  [2854] = {.lex_state = 197},
  [2855] = {.lex_state = 197},
  [2856] = {.lex_state = 197},
  [2857] = {.lex_state = 197},
  [2858] = {.lex_state = 197},
  [2859] = {.lex_state = 197},
  [2860] = {.lex_state = 197},
  [2861] = {.lex_state = 197},
  [2862] = {.lex_state = 197},
  [2863] = {.lex_state = 197},
  [2864] = {.lex_state = 197},
  [2865] = {.lex_state = 197},
  [2866] = {.lex_state = 197},
  [2867] = {.lex_state = 197},
  [2868] = {.lex_state = 197},
  [2869] = {.lex_state = 197},
  [2870] = {.lex_state = 197},
  [2871] = {.lex_state = 197},
  [2872] = {.lex_state = 197},
  [2873] = {.lex_state = 197},
  [2874] = {.lex_state = 197},
  [2875] = {.lex_state = 197},
  [2876] = {.lex_state = 197},
  [2877] = {.lex_state = 197},
  [2878] = {.lex_state = 197},
  [2879] = {.lex_state = 197},
  [2880] = {.lex_state = 197},
  [2881] = {.lex_state = 197},
  [2882] = {.lex_state = 184},
  [2883] = {.lex_state = 206},
  [2884] = {.lex_state = 217},
  [2885] = {.lex_state = 197},
  [2886] = {.lex_state = 197},
  [2887] = {.lex_state = 227},
  [2888] = {.lex_state = 197},
  [2889] = {.lex_state = 197},
  [2890] = {.lex_state = 197},
  [2891] = {.lex_state = 197},
  [2892] = {.lex_state = 197},
  [2893] = {.lex_state = 227},
  [2894] = {.lex_state = 197},
  [2895] = {.lex_state = 238},
  [2896] = {.lex_state = 197},
  [2897] = {.lex_state = 206},
  [2898] = {.lex_state = 206},
  [2899] = {.lex_state = 225},
  [2900] = {.lex_state = 206},
  [2901] = {.lex_state = 206},
  [2902] = {.lex_state = 180},
  [2903] = {.lex_state = 225},
  [2904] = {.lex_state = 213},
  [2905] = {.lex_state = 184},
  [2906] = {.lex_state = 206},
  [2907] = {.lex_state = 206},
  [2908] = {.lex_state = 206},
  [2909] = {.lex_state = 184},
  [2910] = {.lex_state = 225},
  [2911] = {.lex_state = 225},
  [2912] = {.lex_state = 225},
  [2913] = {.lex_state = 225},
  [2914] = {.lex_state = 225},
  [2915] = {.lex_state = 225},
  [2916] = {.lex_state = 225},
  [2917] = {.lex_state = 206},
  [2918] = {.lex_state = 225},
  [2919] = {.lex_state = 225},
  [2920] = {.lex_state = 225},
  [2921] = {.lex_state = 180},
  [2922] = {.lex_state = 174},
  [2923] = {.lex_state = 227},
  [2924] = {.lex_state = 227},
  [2925] = {.lex_state = 227},
  [2926] = {.lex_state = 184},
  [2927] = {.lex_state = 225},
  [2928] = {.lex_state = 227},
  [2929] = {.lex_state = 227},
  [2930] = {.lex_state = 227},
  [2931] = {.lex_state = 227},
  [2932] = {.lex_state = 184},
  [2933] = {.lex_state = 180},
  [2934] = {.lex_state = 227},
  [2935] = {.lex_state = 227},
  [2936] = {.lex_state = 225},
  [2937] = {.lex_state = 227},
  [2938] = {.lex_state = 227},
  [2939] = {.lex_state = 206},
  [2940] = {.lex_state = 227},
  [2941] = {.lex_state = 227},
  [2942] = {.lex_state = 174},
  [2943] = {.lex_state = 238},
  [2944] = {.lex_state = 227},
  [2945] = {.lex_state = 227},
  [2946] = {.lex_state = 227},
  [2947] = {.lex_state = 227},
  [2948] = {.lex_state = 184},
  [2949] = {.lex_state = 227},
  [2950] = {.lex_state = 213},
  [2951] = {.lex_state = 227},
  [2952] = {.lex_state = 227},
  [2953] = {.lex_state = 227},
  [2954] = {.lex_state = 207},
  [2955] = {.lex_state = 213},
  [2956] = {.lex_state = 213},
  [2957] = {.lex_state = 207},
  [2958] = {.lex_state = 227},
  [2959] = {.lex_state = 209},
  [2960] = {.lex_state = 238},
  [2961] = {.lex_state = 227},
  [2962] = {.lex_state = 227},
  [2963] = {.lex_state = 238},
  [2964] = {.lex_state = 209},
  [2965] = {.lex_state = 213},
  [2966] = {.lex_state = 227},
  [2967] = {.lex_state = 227},
  [2968] = {.lex_state = 227},
  [2969] = {.lex_state = 227},
  [2970] = {.lex_state = 206},
  [2971] = {.lex_state = 227},
  [2972] = {.lex_state = 227},
  [2973] = {.lex_state = 206},
  [2974] = {.lex_state = 213},
  [2975] = {.lex_state = 213},
  [2976] = {.lex_state = 227},
  [2977] = {.lex_state = 227},
  [2978] = {.lex_state = 207},
  [2979] = {.lex_state = 184},
  [2980] = {.lex_state = 227},
  [2981] = {.lex_state = 227},
  [2982] = {.lex_state = 184},
  [2983] = {.lex_state = 227},
  [2984] = {.lex_state = 227},
  [2985] = {.lex_state = 206},
  [2986] = {.lex_state = 213},
  [2987] = {.lex_state = 213},
  [2988] = {.lex_state = 206},
  [2989] = {.lex_state = 227},
  [2990] = {.lex_state = 227},
  [2991] = {.lex_state = 227},
  [2992] = {.lex_state = 184},
  [2993] = {.lex_state = 227},
  [2994] = {.lex_state = 227},
  [2995] = {.lex_state = 227},
  [2996] = {.lex_state = 227},
  [2997] = {.lex_state = 227},
  [2998] = {.lex_state = 206},
  [2999] = {.lex_state = 227},
  [3000] = {.lex_state = 227},
  [3001] = {.lex_state = 206},
  [3002] = {.lex_state = 227},
  [3003] = {.lex_state = 206},
  [3004] = {.lex_state = 227},
  [3005] = {.lex_state = 227},
  [3006] = {.lex_state = 227},
  [3007] = {.lex_state = 238},
  [3008] = {.lex_state = 227},
  [3009] = {.lex_state = 227},
  [3010] = {.lex_state = 213},
  [3011] = {.lex_state = 227},
  [3012] = {.lex_state = 209},
  [3013] = {.lex_state = 206},
  [3014] = {.lex_state = 174},
  [3015] = {.lex_state = 174},
  [3016] = {.lex_state = 174},
  [3017] = {.lex_state = 174},
  [3018] = {.lex_state = 174},
  [3019] = {.lex_state = 174},
  [3020] = {.lex_state = 174},
  [3021] = {.lex_state = 174},
  [3022] = {.lex_state = 206},
  [3023] = {.lex_state = 174},
  [3024] = {.lex_state = 206},
  [3025] = {.lex_state = 213},
  [3026] = {.lex_state = 213},
  [3027] = {.lex_state = 206},
  [3028] = {.lex_state = 213},
  [3029] = {.lex_state = 214},
  [3030] = {.lex_state = 213},
  [3031] = {.lex_state = 207},
  [3032] = {.lex_state = 174},
  [3033] = {.lex_state = 174},
  [3034] = {.lex_state = 214},
  [3035] = {.lex_state = 174},
  [3036] = {.lex_state = 174},
  [3037] = {.lex_state = 174},
  [3038] = {.lex_state = 174},
  [3039] = {.lex_state = 174},
  [3040] = {.lex_state = 206},
  [3041] = {.lex_state = 213},
  [3042] = {.lex_state = 213},
  [3043] = {.lex_state = 174},
  [3044] = {.lex_state = 174},
  [3045] = {.lex_state = 174},
  [3046] = {.lex_state = 174},
  [3047] = {.lex_state = 206},
  [3048] = {.lex_state = 194},
  [3049] = {.lex_state = 194},
  [3050] = {.lex_state = 194},
  [3051] = {.lex_state = 194},
  [3052] = {.lex_state = 194},
  [3053] = {.lex_state = 194},
  [3054] = {.lex_state = 194},
  [3055] = {.lex_state = 194},
  [3056] = {.lex_state = 194},
  [3057] = {.lex_state = 194},
  [3058] = {.lex_state = 194},
  [3059] = {.lex_state = 194},
  [3060] = {.lex_state = 206},
  [3061] = {.lex_state = 194},
  [3062] = {.lex_state = 194},
  [3063] = {.lex_state = 206},
  [3064] = {.lex_state = 194},
  [3065] = {.lex_state = 180},
  [3066] = {.lex_state = 213},
  [3067] = {.lex_state = 206},
  [3068] = {.lex_state = 180},
  [3069] = {.lex_state = 206},
  [3070] = {.lex_state = 206},
  [3071] = {.lex_state = 206},
  [3072] = {.lex_state = 206},
  [3073] = {.lex_state = 194},
  [3074] = {.lex_state = 194},
  [3075] = {.lex_state = 206},
  [3076] = {.lex_state = 180},
  [3077] = {.lex_state = 206},
  [3078] = {.lex_state = 239},
  [3079] = {.lex_state = 213},
  [3080] = {.lex_state = 214},
  [3081] = {.lex_state = 213},
  [3082] = {.lex_state = 206},
  [3083] = {.lex_state = 213},
  [3084] = {.lex_state = 180},
  [3085] = {.lex_state = 239},
  [3086] = {.lex_state = 194},
  [3087] = {.lex_state = 206},
  [3088] = {.lex_state = 206},
  [3089] = {.lex_state = 213},
  [3090] = {.lex_state = 206},
  [3091] = {.lex_state = 206},
  [3092] = {.lex_state = 206},
  [3093] = {.lex_state = 238},
  [3094] = {.lex_state = 207},
  [3095] = {.lex_state = 206},
  [3096] = {.lex_state = 238},
  [3097] = {.lex_state = 195},
  [3098] = {.lex_state = 206},
  [3099] = {.lex_state = 206},
  [3100] = {.lex_state = 206},
  [3101] = {.lex_state = 206},
  [3102] = {.lex_state = 206},
  [3103] = {.lex_state = 198},
  [3104] = {.lex_state = 206},
  [3105] = {.lex_state = 206},
  [3106] = {.lex_state = 206},
  [3107] = {.lex_state = 206},
  [3108] = {.lex_state = 206},
  [3109] = {.lex_state = 206},
  [3110] = {.lex_state = 193},
  [3111] = {.lex_state = 206},
  [3112] = {.lex_state = 224},
  [3113] = {.lex_state = 224},
  [3114] = {.lex_state = 195},
  [3115] = {.lex_state = 198},
  [3116] = {.lex_state = 206},
  [3117] = {.lex_state = 207},
  [3118] = {.lex_state = 206},
  [3119] = {.lex_state = 195},
  [3120] = {.lex_state = 195},
  [3121] = {.lex_state = 195},
  [3122] = {.lex_state = 195},
  [3123] = {.lex_state = 195},
  [3124] = {.lex_state = 206},
  [3125] = {.lex_state = 206},
  [3126] = {.lex_state = 206},
  [3127] = {.lex_state = 213},
  [3128] = {.lex_state = 224},
  [3129] = {.lex_state = 206},
  [3130] = {.lex_state = 206},
  [3131] = {.lex_state = 238},
  [3132] = {.lex_state = 238},
  [3133] = {.lex_state = 194},
  [3134] = {.lex_state = 239},
  [3135] = {.lex_state = 206},
  [3136] = {.lex_state = 238},
  [3137] = {.lex_state = 206},
  [3138] = {.lex_state = 238},
  [3139] = {.lex_state = 206},
  [3140] = {.lex_state = 193},
  [3141] = {.lex_state = 174},
  [3142] = {.lex_state = 174},
  [3143] = {.lex_state = 238},
  [3144] = {.lex_state = 206},
  [3145] = {.lex_state = 194},
  [3146] = {.lex_state = 194},
  [3147] = {.lex_state = 206},
  [3148] = {.lex_state = 213},
  [3149] = {.lex_state = 213},
  [3150] = {.lex_state = 238},
  [3151] = {.lex_state = 198},
  [3152] = {.lex_state = 238},
  [3153] = {.lex_state = 191},
  [3154] = {.lex_state = 238},
  [3155] = {.lex_state = 191},
  [3156] = {.lex_state = 174},
  [3157] = {.lex_state = 238},
  [3158] = {.lex_state = 191},
  [3159] = {.lex_state = 194},
  [3160] = {.lex_state = 194},
  [3161] = {.lex_state = 238},
  [3162] = {.lex_state = 194},
  [3163] = {.lex_state = 174},
  [3164] = {.lex_state = 194},
  [3165] = {.lex_state = 194},
  [3166] = {.lex_state = 194},
  [3167] = {.lex_state = 238},
  [3168] = {.lex_state = 194},
  [3169] = {.lex_state = 213},
  [3170] = {.lex_state = 194},
  [3171] = {.lex_state = 194},
  [3172] = {.lex_state = 206},
  [3173] = {.lex_state = 194},
  [3174] = {.lex_state = 213},
  [3175] = {.lex_state = 213},
  [3176] = {.lex_state = 225},
  [3177] = {.lex_state = 238},
  [3178] = {.lex_state = 238},
  [3179] = {.lex_state = 213},
  [3180] = {.lex_state = 206},
  [3181] = {.lex_state = 213},
  [3182] = {.lex_state = 213},
  [3183] = {.lex_state = 194},
  [3184] = {.lex_state = 206},
  [3185] = {.lex_state = 194},
  [3186] = {.lex_state = 194},
  [3187] = {.lex_state = 198},
  [3188] = {.lex_state = 238},
  [3189] = {.lex_state = 213},
  [3190] = {.lex_state = 174},
  [3191] = {.lex_state = 174},
  [3192] = {.lex_state = 206},
  [3193] = {.lex_state = 191},
  [3194] = {.lex_state = 238},
  [3195] = {.lex_state = 238},
  [3196] = {.lex_state = 238},
  [3197] = {.lex_state = 238},
  [3198] = {.lex_state = 194},
  [3199] = {.lex_state = 206},
  [3200] = {.lex_state = 238},
  [3201] = {.lex_state = 238},
  [3202] = {.lex_state = 207},
  [3203] = {.lex_state = 239},
  [3204] = {.lex_state = 206},
  [3205] = {.lex_state = 238},
  [3206] = {.lex_state = 206},
  [3207] = {.lex_state = 238},
  [3208] = {.lex_state = 213},
  [3209] = {.lex_state = 194},
  [3210] = {.lex_state = 194},
  [3211] = {.lex_state = 206},
  [3212] = {.lex_state = 213},
  [3213] = {.lex_state = 238},
  [3214] = {.lex_state = 191},
  [3215] = {.lex_state = 206},
  [3216] = {.lex_state = 206},
  [3217] = {.lex_state = 213},
  [3218] = {.lex_state = 191},
  [3219] = {.lex_state = 206},
  [3220] = {.lex_state = 238},
  [3221] = {.lex_state = 213},
  [3222] = {.lex_state = 206},
  [3223] = {.lex_state = 216},
  [3224] = {.lex_state = 191},
  [3225] = {.lex_state = 168},
  [3226] = {.lex_state = 206},
  [3227] = {.lex_state = 206},
  [3228] = {.lex_state = 206},
  [3229] = {.lex_state = 206},
  [3230] = {.lex_state = 216},
  [3231] = {.lex_state = 206},
  [3232] = {.lex_state = 206},
  [3233] = {.lex_state = 216},
  [3234] = {.lex_state = 206},
  [3235] = {.lex_state = 206},
  [3236] = {.lex_state = 206},
  [3237] = {.lex_state = 168},
  [3238] = {.lex_state = 206},
  [3239] = {.lex_state = 191},
  [3240] = {.lex_state = 213},
  [3241] = {.lex_state = 213},
  [3242] = {.lex_state = 206},
  [3243] = {.lex_state = 168},
  [3244] = {.lex_state = 206},
  [3245] = {.lex_state = 206},
  [3246] = {.lex_state = 168},
  [3247] = {.lex_state = 239},
  [3248] = {.lex_state = 239},
  [3249] = {.lex_state = 239},
  [3250] = {.lex_state = 206},
  [3251] = {.lex_state = 180},
  [3252] = {.lex_state = 206},
  [3253] = {.lex_state = 201},
  [3254] = {.lex_state = 206},
  [3255] = {.lex_state = 213},
  [3256] = {.lex_state = 191},
  [3257] = {.lex_state = 213},
  [3258] = {.lex_state = 168},
  [3259] = {.lex_state = 206},
  [3260] = {.lex_state = 206},
  [3261] = {.lex_state = 206},
  [3262] = {.lex_state = 206},
  [3263] = {.lex_state = 206},
  [3264] = {.lex_state = 213},
  [3265] = {.lex_state = 206},
  [3266] = {.lex_state = 206},
  [3267] = {.lex_state = 206},
  [3268] = {.lex_state = 213},
  [3269] = {.lex_state = 239},
  [3270] = {.lex_state = 206},
  [3271] = {.lex_state = 213},
  [3272] = {.lex_state = 206},
  [3273] = {.lex_state = 206},
  [3274] = {.lex_state = 206},
  [3275] = {.lex_state = 206},
  [3276] = {.lex_state = 206},
  [3277] = {.lex_state = 216},
  [3278] = {.lex_state = 213},
  [3279] = {.lex_state = 206},
  [3280] = {.lex_state = 206},
  [3281] = {.lex_state = 206},
  [3282] = {.lex_state = 206},
  [3283] = {.lex_state = 216},
  [3284] = {.lex_state = 206},
  [3285] = {.lex_state = 206},
  [3286] = {.lex_state = 174},
  [3287] = {.lex_state = 206},
  [3288] = {.lex_state = 168},
  [3289] = {.lex_state = 206},
  [3290] = {.lex_state = 206},
  [3291] = {.lex_state = 213},
  [3292] = {.lex_state = 206},
  [3293] = {.lex_state = 213},
  [3294] = {.lex_state = 213},
  [3295] = {.lex_state = 213},
  [3296] = {.lex_state = 213},
  [3297] = {.lex_state = 206},
  [3298] = {.lex_state = 180},
  [3299] = {.lex_state = 206},
  [3300] = {.lex_state = 213},
  [3301] = {.lex_state = 213},
  [3302] = {.lex_state = 213},
  [3303] = {.lex_state = 213},
  [3304] = {.lex_state = 206},
  [3305] = {.lex_state = 194},
  [3306] = {.lex_state = 194},
  [3307] = {.lex_state = 206},
  [3308] = {.lex_state = 206},
  [3309] = {.lex_state = 191},
  [3310] = {.lex_state = 194},
  [3311] = {.lex_state = 193},
  [3312] = {.lex_state = 206},
  [3313] = {.lex_state = 193},
  [3314] = {.lex_state = 213},
  [3315] = {.lex_state = 213},
  [3316] = {.lex_state = 213},
  [3317] = {.lex_state = 213},
  [3318] = {.lex_state = 213},
  [3319] = {.lex_state = 206},
  [3320] = {.lex_state = 206},
  [3321] = {.lex_state = 194},
  [3322] = {.lex_state = 213},
  [3323] = {.lex_state = 213},
  [3324] = {.lex_state = 206},
  [3325] = {.lex_state = 206},
  [3326] = {.lex_state = 206},
  [3327] = {.lex_state = 206},
  [3328] = {.lex_state = 216},
  [3329] = {.lex_state = 213},
  [3330] = {.lex_state = 206},
  [3331] = {.lex_state = 194},
  [3332] = {.lex_state = 206},
  [3333] = {.lex_state = 194},
  [3334] = {.lex_state = 213},
  [3335] = {.lex_state = 215},
  [3336] = {.lex_state = 194},
  [3337] = {.lex_state = 206},
  [3338] = {.lex_state = 206},
  [3339] = {.lex_state = 194},
  [3340] = {.lex_state = 194},
  [3341] = {.lex_state = 194},
  [3342] = {.lex_state = 194},
  [3343] = {.lex_state = 206},
  [3344] = {.lex_state = 206},
  [3345] = {.lex_state = 208},
  [3346] = {.lex_state = 213},
  [3347] = {.lex_state = 213},
  [3348] = {.lex_state = 194},
  [3349] = {.lex_state = 191},
  [3350] = {.lex_state = 222},
  [3351] = {.lex_state = 213},
  [3352] = {.lex_state = 206},
  [3353] = {.lex_state = 194},
  [3354] = {.lex_state = 213},
  [3355] = {.lex_state = 213},
  [3356] = {.lex_state = 206},
  [3357] = {.lex_state = 206},
  [3358] = {.lex_state = 194},
  [3359] = {.lex_state = 194},
  [3360] = {.lex_state = 194},
  [3361] = {.lex_state = 206},
  [3362] = {.lex_state = 206},
  [3363] = {.lex_state = 216},
  [3364] = {.lex_state = 194},
  [3365] = {.lex_state = 194},
  [3366] = {.lex_state = 213},
  [3367] = {.lex_state = 213},
  [3368] = {.lex_state = 213},
  [3369] = {.lex_state = 206},
  [3370] = {.lex_state = 206},
  [3371] = {.lex_state = 213},
  [3372] = {.lex_state = 206},
  [3373] = {.lex_state = 213},
  [3374] = {.lex_state = 194},
  [3375] = {.lex_state = 213},
  [3376] = {.lex_state = 213},
  [3377] = {.lex_state = 213},
  [3378] = {.lex_state = 235},
  [3379] = {.lex_state = 206},
  [3380] = {.lex_state = 213},
  [3381] = {.lex_state = 206},
  [3382] = {.lex_state = 235},
  [3383] = {.lex_state = 213},
  [3384] = {.lex_state = 213},
  [3385] = {.lex_state = 206},
  [3386] = {.lex_state = 206},
  [3387] = {.lex_state = 206},
  [3388] = {.lex_state = 206},
  [3389] = {.lex_state = 222},
  [3390] = {.lex_state = 206},
  [3391] = {.lex_state = 206},
  [3392] = {.lex_state = 206},
  [3393] = {.lex_state = 206},
  [3394] = {.lex_state = 213},
  [3395] = {.lex_state = 206},
  [3396] = {.lex_state = 206},
  [3397] = {.lex_state = 213},
  [3398] = {.lex_state = 213},
  [3399] = {.lex_state = 206},
  [3400] = {.lex_state = 206},
  [3401] = {.lex_state = 213},
  [3402] = {.lex_state = 191},
  [3403] = {.lex_state = 206},
  [3404] = {.lex_state = 213},
  [3405] = {.lex_state = 213},
  [3406] = {.lex_state = 180},
  [3407] = {.lex_state = 239},
  [3408] = {.lex_state = 239},
  [3409] = {.lex_state = 239},
  [3410] = {.lex_state = 213},
  [3411] = {.lex_state = 213},
  [3412] = {.lex_state = 191},
  [3413] = {.lex_state = 191},
  [3414] = {.lex_state = 239},
  [3415] = {.lex_state = 213},
  [3416] = {.lex_state = 191},
  [3417] = {.lex_state = 193},
  [3418] = {.lex_state = 213},
  [3419] = {.lex_state = 213},
  [3420] = {.lex_state = 213},
  [3421] = {.lex_state = 206},
  [3422] = {.lex_state = 193},
  [3423] = {.lex_state = 206},
  [3424] = {.lex_state = 191},
  [3425] = {.lex_state = 213},
  [3426] = {.lex_state = 206},
  [3427] = {.lex_state = 213},
  [3428] = {.lex_state = 206},
  [3429] = {.lex_state = 213},
  [3430] = {.lex_state = 239},
  [3431] = {.lex_state = 191},
  [3432] = {.lex_state = 213},
  [3433] = {.lex_state = 206},
  [3434] = {.lex_state = 213},
  [3435] = {.lex_state = 213},
  [3436] = {.lex_state = 191},
  [3437] = {.lex_state = 191},
  [3438] = {.lex_state = 206},
  [3439] = {.lex_state = 191},
  [3440] = {.lex_state = 198},
  [3441] = {.lex_state = 206},
  [3442] = {.lex_state = 213},
  [3443] = {.lex_state = 206},
  [3444] = {.lex_state = 206},
  [3445] = {.lex_state = 206},
  [3446] = {.lex_state = 206},
  [3447] = {.lex_state = 206},
  [3448] = {.lex_state = 193},
  [3449] = {.lex_state = 212},
  [3450] = {.lex_state = 213},
  [3451] = {.lex_state = 206},
  [3452] = {.lex_state = 206},
  [3453] = {.lex_state = 191},
  [3454] = {.lex_state = 213},
  [3455] = {.lex_state = 191},
  [3456] = {.lex_state = 201},
  [3457] = {.lex_state = 206},
  [3458] = {.lex_state = 213},
  [3459] = {.lex_state = 194},
  [3460] = {.lex_state = 198},
  [3461] = {.lex_state = 191},
  [3462] = {.lex_state = 206},
  [3463] = {.lex_state = 191},
  [3464] = {.lex_state = 197},
  [3465] = {.lex_state = 197},
  [3466] = {.lex_state = 197},
  [3467] = {.lex_state = 197},
  [3468] = {.lex_state = 197},
  [3469] = {.lex_state = 197},
  [3470] = {.lex_state = 197},
  [3471] = {.lex_state = 197},
  [3472] = {.lex_state = 197},
  [3473] = {.lex_state = 197},
  [3474] = {.lex_state = 213},
  [3475] = {.lex_state = 197},
  [3476] = {.lex_state = 197},
  [3477] = {.lex_state = 197},
  [3478] = {.lex_state = 197},
  [3479] = {.lex_state = 197},
  [3480] = {.lex_state = 197},
  [3481] = {.lex_state = 197},
  [3482] = {.lex_state = 197},
  [3483] = {.lex_state = 197},
  [3484] = {.lex_state = 197},
  [3485] = {.lex_state = 197},
  [3486] = {.lex_state = 197},
  [3487] = {.lex_state = 197},
  [3488] = {.lex_state = 206},
  [3489] = {.lex_state = 191},
  [3490] = {.lex_state = 206},
  [3491] = {.lex_state = 193},
  [3492] = {.lex_state = 206},
  [3493] = {.lex_state = 203},
  [3494] = {.lex_state = 191},
  [3495] = {.lex_state = 213},
  [3496] = {.lex_state = 180},
  [3497] = {.lex_state = 213},
  [3498] = {.lex_state = 197},
  [3499] = {.lex_state = 194},
  [3500] = {.lex_state = 191},
  [3501] = {.lex_state = 235},
  [3502] = {.lex_state = 180},
  [3503] = {.lex_state = 206},
  [3504] = {.lex_state = 213},
  [3505] = {.lex_state = 213},
  [3506] = {.lex_state = 191},
  [3507] = {.lex_state = 213},
  [3508] = {.lex_state = 206},
  [3509] = {.lex_state = 235},
  [3510] = {.lex_state = 191},
  [3511] = {.lex_state = 191},
  [3512] = {.lex_state = 213},
  [3513] = {.lex_state = 191},
  [3514] = {.lex_state = 239},
  [3515] = {.lex_state = 210},
  [3516] = {.lex_state = 193},
  [3517] = {.lex_state = 206},
  [3518] = {.lex_state = 191},
  [3519] = {.lex_state = 213},
  [3520] = {.lex_state = 213},
  [3521] = {.lex_state = 210},
  [3522] = {.lex_state = 191},
  [3523] = {.lex_state = 191},
  [3524] = {.lex_state = 191},
  [3525] = {.lex_state = 191},
  [3526] = {.lex_state = 193},
  [3527] = {.lex_state = 213},
  [3528] = {.lex_state = 213},
  [3529] = {.lex_state = 191},
  [3530] = {.lex_state = 191},
  [3531] = {.lex_state = 191},
  [3532] = {.lex_state = 197},
  [3533] = {.lex_state = 190},
  [3534] = {.lex_state = 206},
  [3535] = {.lex_state = 203},
  [3536] = {.lex_state = 220},
  [3537] = {.lex_state = 206},
  [3538] = {.lex_state = 206},
  [3539] = {.lex_state = 206},
  [3540] = {.lex_state = 216},
  [3541] = {.lex_state = 206},
  [3542] = {.lex_state = 206},
  [3543] = {.lex_state = 202},
  [3544] = {.lex_state = 216},
  [3545] = {.lex_state = 216},
  [3546] = {.lex_state = 216},
  [3547] = {.lex_state = 216},
  [3548] = {.lex_state = 218},
  [3549] = {.lex_state = 206},
  [3550] = {.lex_state = 216},
  [3551] = {.lex_state = 206},
  [3552] = {.lex_state = 206},
  [3553] = {.lex_state = 206},
  [3554] = {.lex_state = 206},
  [3555] = {.lex_state = 206},
  [3556] = {.lex_state = 216},
  [3557] = {.lex_state = 206},
  [3558] = {.lex_state = 206},
  [3559] = {.lex_state = 206},
  [3560] = {.lex_state = 194},
  [3561] = {.lex_state = 216},
  [3562] = {.lex_state = 206},
  [3563] = {.lex_state = 201},
  [3564] = {.lex_state = 206},
  [3565] = {.lex_state = 206},
  [3566] = {.lex_state = 180},
  [3567] = {.lex_state = 203},
  [3568] = {.lex_state = 206},
  [3569] = {.lex_state = 203},
  [3570] = {.lex_state = 213},
  [3571] = {.lex_state = 216},
  [3572] = {.lex_state = 206},
  [3573] = {.lex_state = 206},
  [3574] = {.lex_state = 206},
  [3575] = {.lex_state = 203},
  [3576] = {.lex_state = 203},
  [3577] = {.lex_state = 206},
  [3578] = {.lex_state = 206},
  [3579] = {.lex_state = 206},
  [3580] = {.lex_state = 206},
  [3581] = {.lex_state = 216},
  [3582] = {.lex_state = 201},
  [3583] = {.lex_state = 216},
  [3584] = {.lex_state = 206},
  [3585] = {.lex_state = 206},
  [3586] = {.lex_state = 206},
  [3587] = {.lex_state = 203},
  [3588] = {.lex_state = 206},
  [3589] = {.lex_state = 203},
  [3590] = {.lex_state = 218},
  [3591] = {.lex_state = 206},
  [3592] = {.lex_state = 206},
  [3593] = {.lex_state = 206},
  [3594] = {.lex_state = 206},
  [3595] = {.lex_state = 180},
  [3596] = {.lex_state = 206},
  [3597] = {.lex_state = 206},
  [3598] = {.lex_state = 206},
  [3599] = {.lex_state = 206},
  [3600] = {.lex_state = 216},
  [3601] = {.lex_state = 206},
  [3602] = {.lex_state = 216},
  [3603] = {.lex_state = 216},
  [3604] = {.lex_state = 216},
  [3605] = {.lex_state = 206},
  [3606] = {.lex_state = 206},
  [3607] = {.lex_state = 206},
  [3608] = {.lex_state = 206},
  [3609] = {.lex_state = 206},
  [3610] = {.lex_state = 206},
  [3611] = {.lex_state = 203},
  [3612] = {.lex_state = 203},
  [3613] = {.lex_state = 206},
  [3614] = {.lex_state = 203},
  [3615] = {.lex_state = 216},
  [3616] = {.lex_state = 203},
  [3617] = {.lex_state = 206},
  [3618] = {.lex_state = 206},
  [3619] = {.lex_state = 206},
  [3620] = {.lex_state = 206},
  [3621] = {.lex_state = 206},
  [3622] = {.lex_state = 206},
  [3623] = {.lex_state = 206},
  [3624] = {.lex_state = 206},
  [3625] = {.lex_state = 206},
  [3626] = {.lex_state = 180},
  [3627] = {.lex_state = 213},
  [3628] = {.lex_state = 206},
  [3629] = {.lex_state = 206},
  [3630] = {.lex_state = 206},
  [3631] = {.lex_state = 206},
  [3632] = {.lex_state = 190},
  [3633] = {.lex_state = 206},
  [3634] = {.lex_state = 203},
  [3635] = {.lex_state = 206},
  [3636] = {.lex_state = 206},
  [3637] = {.lex_state = 206},
  [3638] = {.lex_state = 206},
  [3639] = {.lex_state = 206},
  [3640] = {.lex_state = 206},
  [3641] = {.lex_state = 206},
  [3642] = {.lex_state = 206},
  [3643] = {.lex_state = 206},
  [3644] = {.lex_state = 206},
  [3645] = {.lex_state = 206},
  [3646] = {.lex_state = 203},
  [3647] = {.lex_state = 206},
  [3648] = {.lex_state = 180},
  [3649] = {.lex_state = 206},
  [3650] = {.lex_state = 206},
  [3651] = {.lex_state = 206},
  [3652] = {.lex_state = 206},
  [3653] = {.lex_state = 203},
  [3654] = {.lex_state = 206},
  [3655] = {.lex_state = 206},
  [3656] = {.lex_state = 206},
  [3657] = {.lex_state = 206},
  [3658] = {.lex_state = 206},
  [3659] = {.lex_state = 206},
  [3660] = {.lex_state = 206},
  [3661] = {.lex_state = 213},
  [3662] = {.lex_state = 206},
  [3663] = {.lex_state = 206},
  [3664] = {.lex_state = 206},
  [3665] = {.lex_state = 206},
  [3666] = {.lex_state = 206},
  [3667] = {.lex_state = 206},
  [3668] = {.lex_state = 206},
  [3669] = {.lex_state = 203},
  [3670] = {.lex_state = 190},
  [3671] = {.lex_state = 206},
  [3672] = {.lex_state = 206},
  [3673] = {.lex_state = 206},
  [3674] = {.lex_state = 206},
  [3675] = {.lex_state = 206},
  [3676] = {.lex_state = 206},
  [3677] = {.lex_state = 194},
  [3678] = {.lex_state = 206},
  [3679] = {.lex_state = 203},
  [3680] = {.lex_state = 206},
  [3681] = {.lex_state = 206},
  [3682] = {.lex_state = 206},
  [3683] = {.lex_state = 206},
  [3684] = {.lex_state = 206},
  [3685] = {.lex_state = 206},
  [3686] = {.lex_state = 206},
  [3687] = {.lex_state = 206},
  [3688] = {.lex_state = 206},
  [3689] = {.lex_state = 206},
  [3690] = {.lex_state = 206},
  [3691] = {.lex_state = 203},
  [3692] = {.lex_state = 206},
  [3693] = {.lex_state = 206},
  [3694] = {.lex_state = 206},
  [3695] = {.lex_state = 206},
  [3696] = {.lex_state = 206},
  [3697] = {.lex_state = 206},
  [3698] = {.lex_state = 206},
  [3699] = {.lex_state = 213},
  [3700] = {.lex_state = 206},
  [3701] = {.lex_state = 201},
  [3702] = {.lex_state = 202},
  [3703] = {.lex_state = 206},
  [3704] = {.lex_state = 206},
  [3705] = {.lex_state = 206},
  [3706] = {.lex_state = 206},
  [3707] = {.lex_state = 203},
  [3708] = {.lex_state = 213},
  [3709] = {.lex_state = 213},
  [3710] = {.lex_state = 213},
  [3711] = {.lex_state = 206},
  [3712] = {.lex_state = 222},
  [3713] = {.lex_state = 213},
  [3714] = {.lex_state = 213},
  [3715] = {.lex_state = 213},
  [3716] = {.lex_state = 213},
  [3717] = {.lex_state = 206},
  [3718] = {.lex_state = 213},
  [3719] = {.lex_state = 213},
  [3720] = {.lex_state = 213},
  [3721] = {.lex_state = 213},
  [3722] = {.lex_state = 213},
  [3723] = {.lex_state = 206},
  [3724] = {.lex_state = 213},
  [3725] = {.lex_state = 213},
  [3726] = {.lex_state = 213},
  [3727] = {.lex_state = 213},
  [3728] = {.lex_state = 222},
  [3729] = {.lex_state = 213},
  [3730] = {.lex_state = 236},
  [3731] = {.lex_state = 213},
  [3732] = {.lex_state = 213},
  [3733] = {.lex_state = 206},
  [3734] = {.lex_state = 213},
  [3735] = {.lex_state = 206},
  [3736] = {.lex_state = 213},
  [3737] = {.lex_state = 213},
  [3738] = {.lex_state = 213},
  [3739] = {.lex_state = 213},
  [3740] = {.lex_state = 213},
  [3741] = {.lex_state = 213},
  [3742] = {.lex_state = 213},
  [3743] = {.lex_state = 213},
  [3744] = {.lex_state = 213},
  [3745] = {.lex_state = 203},
  [3746] = {.lex_state = 206},
  [3747] = {.lex_state = 206},
  [3748] = {.lex_state = 213},
  [3749] = {.lex_state = 213},
  [3750] = {.lex_state = 206},
  [3751] = {.lex_state = 213},
  [3752] = {.lex_state = 206},
  [3753] = {.lex_state = 213},
  [3754] = {.lex_state = 194},
  [3755] = {.lex_state = 213},
  [3756] = {.lex_state = 180},
  [3757] = {.lex_state = 213},
  [3758] = {.lex_state = 197},
  [3759] = {.lex_state = 239},
  [3760] = {.lex_state = 213},
  [3761] = {.lex_state = 213},
  [3762] = {.lex_state = 213},
  [3763] = {.lex_state = 213},
  [3764] = {.lex_state = 213},
  [3765] = {.lex_state = 206},
  [3766] = {.lex_state = 213},
  [3767] = {.lex_state = 213},
  [3768] = {.lex_state = 213},
  [3769] = {.lex_state = 213},
  [3770] = {.lex_state = 203},
  [3771] = {.lex_state = 213},
  [3772] = {.lex_state = 213},
  [3773] = {.lex_state = 203},
  [3774] = {.lex_state = 213},
  [3775] = {.lex_state = 213},
  [3776] = {.lex_state = 213},
  [3777] = {.lex_state = 213},
  [3778] = {.lex_state = 213},
  [3779] = {.lex_state = 203},
  [3780] = {.lex_state = 213},
  [3781] = {.lex_state = 213},
  [3782] = {.lex_state = 213},
  [3783] = {.lex_state = 213},
  [3784] = {.lex_state = 213},
  [3785] = {.lex_state = 203},
  [3786] = {.lex_state = 213},
  [3787] = {.lex_state = 193},
  [3788] = {.lex_state = 197},
  [3789] = {.lex_state = 213},
  [3790] = {.lex_state = 201},
  [3791] = {.lex_state = 213},
  [3792] = {.lex_state = 213},
  [3793] = {.lex_state = 213},
  [3794] = {.lex_state = 213},
  [3795] = {.lex_state = 213},
  [3796] = {.lex_state = 213},
  [3797] = {.lex_state = 206},
  [3798] = {.lex_state = 213},
  [3799] = {.lex_state = 239},
  [3800] = {.lex_state = 206},
  [3801] = {.lex_state = 206},
  [3802] = {.lex_state = 206},
  [3803] = {.lex_state = 206},
  [3804] = {.lex_state = 206},
  [3805] = {.lex_state = 206},
  [3806] = {.lex_state = 206},
  [3807] = {.lex_state = 206},
  [3808] = {.lex_state = 206},
  [3809] = {.lex_state = 206},
  [3810] = {.lex_state = 213},
  [3811] = {.lex_state = 197},
  [3812] = {.lex_state = 213},
  [3813] = {.lex_state = 213},
  [3814] = {.lex_state = 213},
  [3815] = {.lex_state = 206},
  [3816] = {.lex_state = 197},
  [3817] = {.lex_state = 213},
  [3818] = {.lex_state = 203},
  [3819] = {.lex_state = 213},
  [3820] = {.lex_state = 213},
  [3821] = {.lex_state = 201},
  [3822] = {.lex_state = 213},
  [3823] = {.lex_state = 213},
  [3824] = {.lex_state = 194},
  [3825] = {.lex_state = 213},
  [3826] = {.lex_state = 213},
  [3827] = {.lex_state = 197},
  [3828] = {.lex_state = 197},
  [3829] = {.lex_state = 213},
  [3830] = {.lex_state = 213},
  [3831] = {.lex_state = 213},
  [3832] = {.lex_state = 206},
  [3833] = {.lex_state = 213},
  [3834] = {.lex_state = 206},
  [3835] = {.lex_state = 197},
  [3836] = {.lex_state = 197},
  [3837] = {.lex_state = 203},
  [3838] = {.lex_state = 213},
  [3839] = {.lex_state = 213},
  [3840] = {.lex_state = 206},
  [3841] = {.lex_state = 213},
  [3842] = {.lex_state = 206},
  [3843] = {.lex_state = 236},
  [3844] = {.lex_state = 180},
  [3845] = {.lex_state = 180},
  [3846] = {.lex_state = 236},
  [3847] = {.lex_state = 236},
  [3848] = {.lex_state = 180},
  [3849] = {.lex_state = 236},
  [3850] = {.lex_state = 210},
  [3851] = {.lex_state = 236},
  [3852] = {.lex_state = 236},
  [3853] = {.lex_state = 180},
  [3854] = {.lex_state = 236},
  [3855] = {.lex_state = 236},
  [3856] = {.lex_state = 236},
  [3857] = {.lex_state = 201},
  [3858] = {.lex_state = 236},
  [3859] = {.lex_state = 201},
  [3860] = {.lex_state = 201},
  [3861] = {.lex_state = 236},
  [3862] = {.lex_state = 194},
  [3863] = {.lex_state = 236},
  [3864] = {.lex_state = 236},
  [3865] = {.lex_state = 236},
  [3866] = {.lex_state = 236},
  [3867] = {.lex_state = 236},
  [3868] = {.lex_state = 236},
  [3869] = {.lex_state = 236},
  [3870] = {.lex_state = 236},
  [3871] = {.lex_state = 236},
  [3872] = {.lex_state = 236},
  [3873] = {.lex_state = 236},
  [3874] = {.lex_state = 236},
  [3875] = {.lex_state = 236},
  [3876] = {.lex_state = 203},
  [3877] = {.lex_state = 201},
  [3878] = {.lex_state = 203},
  [3879] = {.lex_state = 239},
  [3880] = {.lex_state = 236},
  [3881] = {.lex_state = 236},
  [3882] = {.lex_state = 206},
  [3883] = {.lex_state = 236},
  [3884] = {.lex_state = 236},
  [3885] = {.lex_state = 236},
  [3886] = {.lex_state = 236},
  [3887] = {.lex_state = 203},
  [3888] = {.lex_state = 236},
  [3889] = {.lex_state = 201},
  [3890] = {.lex_state = 201},
  [3891] = {.lex_state = 236},
  [3892] = {.lex_state = 236},
  [3893] = {.lex_state = 236},
  [3894] = {.lex_state = 236},
  [3895] = {.lex_state = 236},
  [3896] = {.lex_state = 236},
  [3897] = {.lex_state = 236},
  [3898] = {.lex_state = 236},
  [3899] = {.lex_state = 236},
  [3900] = {.lex_state = 236},
  [3901] = {.lex_state = 236},
  [3902] = {.lex_state = 236},
  [3903] = {.lex_state = 236},
  [3904] = {.lex_state = 236},
  [3905] = {.lex_state = 236},
  [3906] = {.lex_state = 236},
  [3907] = {.lex_state = 236},
  [3908] = {.lex_state = 236},
  [3909] = {.lex_state = 236},
  [3910] = {.lex_state = 236},
  [3911] = {.lex_state = 236},
  [3912] = {.lex_state = 236},
  [3913] = {.lex_state = 236},
  [3914] = {.lex_state = 239},
  [3915] = {.lex_state = 210},
  [3916] = {.lex_state = 201},
  [3917] = {.lex_state = 236},
  [3918] = {.lex_state = 201},
  [3919] = {.lex_state = 203},
  [3920] = {.lex_state = 236},
  [3921] = {.lex_state = 201},
  [3922] = {.lex_state = 236},
  [3923] = {.lex_state = 190},
  [3924] = {.lex_state = 236},
  [3925] = {.lex_state = 201},
  [3926] = {.lex_state = 236},
  [3927] = {.lex_state = 236},
  [3928] = {.lex_state = 236},
  [3929] = {.lex_state = 201},
  [3930] = {.lex_state = 236},
  [3931] = {.lex_state = 236},
  [3932] = {.lex_state = 236},
  [3933] = {.lex_state = 201},
  [3934] = {.lex_state = 236},
  [3935] = {.lex_state = 236},
  [3936] = {.lex_state = 236},
  [3937] = {.lex_state = 201},
  [3938] = {.lex_state = 236},
  [3939] = {.lex_state = 206},
  [3940] = {.lex_state = 206},
  [3941] = {.lex_state = 206},
  [3942] = {.lex_state = 206},
  [3943] = {.lex_state = 236},
  [3944] = {.lex_state = 206},
  [3945] = {.lex_state = 180},
  [3946] = {.lex_state = 203},
  [3947] = {.lex_state = 203},
  [3948] = {.lex_state = 206},
  [3949] = {.lex_state = 206},
  [3950] = {.lex_state = 236},
  [3951] = {.lex_state = 203},
  [3952] = {.lex_state = 236},
  [3953] = {.lex_state = 236},
  [3954] = {.lex_state = 206},
  [3955] = {.lex_state = 236},
  [3956] = {.lex_state = 206},
  [3957] = {.lex_state = 206},
  [3958] = {.lex_state = 236},
  [3959] = {.lex_state = 206},
  [3960] = {.lex_state = 206},
  [3961] = {.lex_state = 236},
  [3962] = {.lex_state = 240},
  [3963] = {.lex_state = 203},
  [3964] = {.lex_state = 203},
  [3965] = {.lex_state = 206},
  [3966] = {.lex_state = 206},
  [3967] = {.lex_state = 240},
  [3968] = {.lex_state = 236},
  [3969] = {.lex_state = 206},
  [3970] = {.lex_state = 206},
  [3971] = {.lex_state = 206},
  [3972] = {.lex_state = 206},
  [3973] = {.lex_state = 206},
  [3974] = {.lex_state = 206},
  [3975] = {.lex_state = 201},
  [3976] = {.lex_state = 206},
  [3977] = {.lex_state = 201},
  [3978] = {.lex_state = 206},
  [3979] = {.lex_state = 206},
  [3980] = {.lex_state = 238},
  [3981] = {.lex_state = 206},
  [3982] = {.lex_state = 236},
  [3983] = {.lex_state = 206},
  [3984] = {.lex_state = 238},
  [3985] = {.lex_state = 206},
  [3986] = {.lex_state = 206},
  [3987] = {.lex_state = 203},
  [3988] = {.lex_state = 206},
  [3989] = {.lex_state = 206},
  [3990] = {.lex_state = 190},
  [3991] = {.lex_state = 236},
  [3992] = {.lex_state = 203},
  [3993] = {.lex_state = 203},
  [3994] = {.lex_state = 206},
  [3995] = {.lex_state = 206},
  [3996] = {.lex_state = 203},
  [3997] = {.lex_state = 206},
  [3998] = {.lex_state = 206},
  [3999] = {.lex_state = 203},
  [4000] = {.lex_state = 180},
  [4001] = {.lex_state = 206},
  [4002] = {.lex_state = 206},
  [4003] = {.lex_state = 206},
  [4004] = {.lex_state = 203},
  [4005] = {.lex_state = 206},
  [4006] = {.lex_state = 206},
  [4007] = {.lex_state = 206},
  [4008] = {.lex_state = 206},
  [4009] = {.lex_state = 203},
  [4010] = {.lex_state = 239},
  [4011] = {.lex_state = 236},
  [4012] = {.lex_state = 239},
  [4013] = {.lex_state = 203},
  [4014] = {.lex_state = 236},
  [4015] = {.lex_state = 206},
  [4016] = {.lex_state = 206},
  [4017] = {.lex_state = 236},
  [4018] = {.lex_state = 242},
  [4019] = {.lex_state = 206},
  [4020] = {.lex_state = 206},
  [4021] = {.lex_state = 236},
  [4022] = {.lex_state = 206},
  [4023] = {.lex_state = 203},
  [4024] = {.lex_state = 190},
  [4025] = {.lex_state = 180},
  [4026] = {.lex_state = 190},
  [4027] = {.lex_state = 206},
  [4028] = {.lex_state = 203},
  [4029] = {.lex_state = 206},
  [4030] = {.lex_state = 190},
  [4031] = {.lex_state = 206},
  [4032] = {.lex_state = 203},
  [4033] = {.lex_state = 206},
  [4034] = {.lex_state = 206},
  [4035] = {.lex_state = 206},
  [4036] = {.lex_state = 236},
  [4037] = {.lex_state = 238},
  [4038] = {.lex_state = 206},
  [4039] = {.lex_state = 206},
  [4040] = {.lex_state = 206},
  [4041] = {.lex_state = 206},
  [4042] = {.lex_state = 180},
  [4043] = {.lex_state = 206},
  [4044] = {.lex_state = 203},
  [4045] = {.lex_state = 238},
  [4046] = {.lex_state = 203},
  [4047] = {.lex_state = 238},
  [4048] = {.lex_state = 203},
  [4049] = {.lex_state = 203},
  [4050] = {.lex_state = 203},
  [4051] = {.lex_state = 203},
  [4052] = {.lex_state = 238},
  [4053] = {.lex_state = 203},
  [4054] = {.lex_state = 203},
  [4055] = {.lex_state = 238},
  [4056] = {.lex_state = 238},
  [4057] = {.lex_state = 203},
  [4058] = {.lex_state = 238},
  [4059] = {.lex_state = 203},
  [4060] = {.lex_state = 238},
  [4061] = {.lex_state = 203},
  [4062] = {.lex_state = 238},
  [4063] = {.lex_state = 238},
  [4064] = {.lex_state = 203},
  [4065] = {.lex_state = 225},
  [4066] = {.lex_state = 238},
  [4067] = {.lex_state = 203},
  [4068] = {.lex_state = 203},
  [4069] = {.lex_state = 190},
  [4070] = {.lex_state = 203},
  [4071] = {.lex_state = 203},
  [4072] = {.lex_state = 203},
  [4073] = {.lex_state = 203},
  [4074] = {.lex_state = 203},
  [4075] = {.lex_state = 190},
  [4076] = {.lex_state = 239},
  [4077] = {.lex_state = 203},
  [4078] = {.lex_state = 203},
  [4079] = {.lex_state = 203},
  [4080] = {.lex_state = 238},
  [4081] = {.lex_state = 238},
  [4082] = {.lex_state = 239},
  [4083] = {.lex_state = 238},
  [4084] = {.lex_state = 203},
  [4085] = {.lex_state = 203},
  [4086] = {.lex_state = 203},
  [4087] = {.lex_state = 203},
  [4088] = {.lex_state = 238},
  [4089] = {.lex_state = 190},
  [4090] = {.lex_state = 190},
  [4091] = {.lex_state = 203},
  [4092] = {.lex_state = 238},
  [4093] = {.lex_state = 203},
  [4094] = {.lex_state = 203},
  [4095] = {.lex_state = 238},
  [4096] = {.lex_state = 203},
  [4097] = {.lex_state = 238},
  [4098] = {.lex_state = 238},
  [4099] = {.lex_state = 203},
  [4100] = {.lex_state = 203},
  [4101] = {.lex_state = 203},
  [4102] = {.lex_state = 203},
  [4103] = {.lex_state = 203},
  [4104] = {.lex_state = 238},
  [4105] = {.lex_state = 203},
  [4106] = {.lex_state = 203},
  [4107] = {.lex_state = 225},
  [4108] = {.lex_state = 203},
  [4109] = {.lex_state = 203},
  [4110] = {.lex_state = 238},
  [4111] = {.lex_state = 203},
  [4112] = {.lex_state = 203},
  [4113] = {.lex_state = 238},
  [4114] = {.lex_state = 203},
  [4115] = {.lex_state = 227},
  [4116] = {.lex_state = 203},
  [4117] = {.lex_state = 203},
  [4118] = {.lex_state = 203},
  [4119] = {.lex_state = 203},
  [4120] = {.lex_state = 227},
  [4121] = {.lex_state = 203},
  [4122] = {.lex_state = 203},
  [4123] = {.lex_state = 203},
  [4124] = {.lex_state = 203},
  [4125] = {.lex_state = 238},
  [4126] = {.lex_state = 203},
  [4127] = {.lex_state = 203},
  [4128] = {.lex_state = 203},
  [4129] = {.lex_state = 203},
  [4130] = {.lex_state = 203},
  [4131] = {.lex_state = 203},
  [4132] = {.lex_state = 225},
  [4133] = {.lex_state = 236},
  [4134] = {.lex_state = 203},
  [4135] = {.lex_state = 236},
  [4136] = {.lex_state = 236},
  [4137] = {.lex_state = 236},
  [4138] = {.lex_state = 236},
  [4139] = {.lex_state = 238},
  [4140] = {.lex_state = 235},
  [4141] = {.lex_state = 236},
  [4142] = {.lex_state = 203},
  [4143] = {.lex_state = 238},
  [4144] = {.lex_state = 238},
  [4145] = {.lex_state = 236},
  [4146] = {.lex_state = 203},
  [4147] = {.lex_state = 236},
  [4148] = {.lex_state = 236},
  [4149] = {.lex_state = 236},
  [4150] = {.lex_state = 203},
  [4151] = {.lex_state = 203},
  [4152] = {.lex_state = 236},
  [4153] = {.lex_state = 236},
  [4154] = {.lex_state = 201},
  [4155] = {.lex_state = 236},
  [4156] = {.lex_state = 236},
  [4157] = {.lex_state = 236},
  [4158] = {.lex_state = 238},
  [4159] = {.lex_state = 236},
  [4160] = {.lex_state = 238},
  [4161] = {.lex_state = 236},
  [4162] = {.lex_state = 236},
  [4163] = {.lex_state = 201},
  [4164] = {.lex_state = 236},
  [4165] = {.lex_state = 225},
  [4166] = {.lex_state = 203},
  [4167] = {.lex_state = 242},
  [4168] = {.lex_state = 242},
  [4169] = {.lex_state = 236},
  [4170] = {.lex_state = 236},
  [4171] = {.lex_state = 236},
  [4172] = {.lex_state = 239},
  [4173] = {.lex_state = 203},
  [4174] = {.lex_state = 236},
  [4175] = {.lex_state = 236},
  [4176] = {.lex_state = 236},
  [4177] = {.lex_state = 236},
  [4178] = {.lex_state = 236},
  [4179] = {.lex_state = 236},
  [4180] = {.lex_state = 203},
  [4181] = {.lex_state = 203},
  [4182] = {.lex_state = 203},
  [4183] = {.lex_state = 203},
  [4184] = {.lex_state = 203},
  [4185] = {.lex_state = 222},
  [4186] = {.lex_state = 239},
  [4187] = {.lex_state = 239},
  [4188] = {.lex_state = 203},
  [4189] = {.lex_state = 203},
  [4190] = {.lex_state = 239},
  [4191] = {.lex_state = 203},
  [4192] = {.lex_state = 203},
  [4193] = {.lex_state = 241},
  [4194] = {.lex_state = 239},
  [4195] = {.lex_state = 239},
  [4196] = {.lex_state = 203},
  [4197] = {.lex_state = 203},
  [4198] = {.lex_state = 227},
  [4199] = {.lex_state = 203},
  [4200] = {.lex_state = 203},
  [4201] = {.lex_state = 203},
  [4202] = {.lex_state = 203},
  [4203] = {.lex_state = 203},
  [4204] = {.lex_state = 203},
  [4205] = {.lex_state = 203},
  [4206] = {.lex_state = 203},
  [4207] = {.lex_state = 203},
  [4208] = {.lex_state = 203},
  [4209] = {.lex_state = 203},
  [4210] = {.lex_state = 203},
  [4211] = {.lex_state = 203},
  [4212] = {.lex_state = 203},
  [4213] = {.lex_state = 203},
  [4214] = {.lex_state = 203},
  [4215] = {.lex_state = 203},
  [4216] = {.lex_state = 203},
  [4217] = {.lex_state = 222},
  [4218] = {.lex_state = 203},
  [4219] = {.lex_state = 203},
  [4220] = {.lex_state = 241},
  [4221] = {.lex_state = 203},
  [4222] = {.lex_state = 239},
  [4223] = {.lex_state = 203},
  [4224] = {.lex_state = 203},
  [4225] = {.lex_state = 227},
  [4226] = {.lex_state = 203},
  [4227] = {.lex_state = 203},
  [4228] = {.lex_state = 203},
  [4229] = {.lex_state = 227},
  [4230] = {.lex_state = 222},
  [4231] = {.lex_state = 227},
  [4232] = {.lex_state = 203},
  [4233] = {.lex_state = 203},
  [4234] = {.lex_state = 240},
  [4235] = {.lex_state = 203},
  [4236] = {.lex_state = 222},
  [4237] = {.lex_state = 222},
  [4238] = {.lex_state = 222},
  [4239] = {.lex_state = 240},
  [4240] = {.lex_state = 222},
  [4241] = {.lex_state = 203},
  [4242] = {.lex_state = 203},
  [4243] = {.lex_state = 203},
  [4244] = {.lex_state = 238},
  [4245] = {.lex_state = 238},
  [4246] = {.lex_state = 203},
  [4247] = {.lex_state = 203},
  [4248] = {.lex_state = 235},
  [4249] = {.lex_state = 203},
  [4250] = {.lex_state = 235},
  [4251] = {.lex_state = 203},
  [4252] = {.lex_state = 203},
  [4253] = {.lex_state = 227},
  [4254] = {.lex_state = 203},
  [4255] = {.lex_state = 203},
  [4256] = {.lex_state = 203},
  [4257] = {.lex_state = 238},
  [4258] = {.lex_state = 203},
  [4259] = {.lex_state = 222},
  [4260] = {.lex_state = 222},
  [4261] = {.lex_state = 222},
  [4262] = {.lex_state = 203},
  [4263] = {.lex_state = 203},
  [4264] = {.lex_state = 239},
  [4265] = {.lex_state = 203},
  [4266] = {.lex_state = 203},
  [4267] = {.lex_state = 203},
  [4268] = {.lex_state = 203},
  [4269] = {.lex_state = 227},
  [4270] = {.lex_state = 203},
  [4271] = {.lex_state = 239},
  [4272] = {.lex_state = 203},
  [4273] = {.lex_state = 204},
  [4274] = {.lex_state = 242},
  [4275] = {.lex_state = 203},
  [4276] = {.lex_state = 238},
  [4277] = {.lex_state = 204},
  [4278] = {.lex_state = 203},
  [4279] = {.lex_state = 238},
  [4280] = {.lex_state = 242},
  [4281] = {.lex_state = 242},
  [4282] = {.lex_state = 238},
  [4283] = {.lex_state = 238},
  [4284] = {.lex_state = 238},
  [4285] = {.lex_state = 203},
  [4286] = {.lex_state = 203},
  [4287] = {.lex_state = 239},
  [4288] = {.lex_state = 235},
  [4289] = {.lex_state = 238},
  [4290] = {.lex_state = 239},
  [4291] = {.lex_state = 243},
  [4292] = {.lex_state = 227},
  [4293] = {.lex_state = 227},
  [4294] = {.lex_state = 239},
  [4295] = {.lex_state = 227},
  [4296] = {.lex_state = 227},
  [4297] = {.lex_state = 227},
  [4298] = {.lex_state = 227},
  [4299] = {.lex_state = 235},
  [4300] = {.lex_state = 203},
  [4301] = {.lex_state = 235},
  [4302] = {.lex_state = 203},
  [4303] = {.lex_state = 235},
  [4304] = {.lex_state = 239},
  [4305] = {.lex_state = 239},
  [4306] = {.lex_state = 227},
  [4307] = {.lex_state = 227},
  [4308] = {.lex_state = 203},
  [4309] = {.lex_state = 203},
  [4310] = {.lex_state = 238},
  [4311] = {.lex_state = 227},
  [4312] = {.lex_state = 238},
  [4313] = {.lex_state = 238},
  [4314] = {.lex_state = 227},
  [4315] = {.lex_state = 203},
  [4316] = {.lex_state = 227},
  [4317] = {.lex_state = 203},
  [4318] = {.lex_state = 227},
  [4319] = {.lex_state = 227},
  [4320] = {.lex_state = 204},
  [4321] = {.lex_state = 227},
  [4322] = {.lex_state = 203},
  [4323] = {.lex_state = 238},
  [4324] = {.lex_state = 243},
  [4325] = {.lex_state = 227},
  [4326] = {.lex_state = 227},
  [4327] = {.lex_state = 235},
  [4328] = {.lex_state = 227},
  [4329] = {.lex_state = 239},
  [4330] = {.lex_state = 227},
  [4331] = {.lex_state = 227},
  [4332] = {.lex_state = 238},
  [4333] = {.lex_state = 243},
  [4334] = {.lex_state = 239},
  [4335] = {.lex_state = 204},
  [4336] = {.lex_state = 203},
  [4337] = {.lex_state = 203},
  [4338] = {.lex_state = 239},
  [4339] = {.lex_state = 238},
  [4340] = {.lex_state = 238},
  [4341] = {.lex_state = 203},
  [4342] = {.lex_state = 203},
  [4343] = {.lex_state = 203},
  [4344] = {.lex_state = 203},
  [4345] = {.lex_state = 239},
  [4346] = {.lex_state = 203},
  [4347] = {.lex_state = 203},
  [4348] = {.lex_state = 239},
  [4349] = {.lex_state = 203},
  [4350] = {.lex_state = 239},
  [4351] = {.lex_state = 203},
  [4352] = {.lex_state = 239},
  [4353] = {.lex_state = 239},
  [4354] = {.lex_state = 203},
  [4355] = {.lex_state = 239},
  [4356] = {.lex_state = 240},
  [4357] = {.lex_state = 239},
  [4358] = {.lex_state = 203},
  [4359] = {.lex_state = 239},
  [4360] = {.lex_state = 238},
  [4361] = {.lex_state = 203},
  [4362] = {.lex_state = 240},
  [4363] = {.lex_state = 203},
  [4364] = {.lex_state = 238},
  [4365] = {.lex_state = 238},
  [4366] = {.lex_state = 203},
  [4367] = {.lex_state = 239},
  [4368] = {.lex_state = 203},
  [4369] = {.lex_state = 203},
  [4370] = {.lex_state = 203},
  [4371] = {.lex_state = 235},
  [4372] = {.lex_state = 203},
  [4373] = {.lex_state = 203},
  [4374] = {.lex_state = 240},
  [4375] = {.lex_state = 240},
  [4376] = {.lex_state = 203},
  [4377] = {.lex_state = 203},
  [4378] = {.lex_state = 239},
  [4379] = {.lex_state = 203},
  [4380] = {.lex_state = 203},
  [4381] = {.lex_state = 239},
  [4382] = {.lex_state = 238},
  [4383] = {.lex_state = 238},
  [4384] = {.lex_state = 239},
  [4385] = {.lex_state = 239},
  [4386] = {.lex_state = 221},
  [4387] = {.lex_state = 203},
  [4388] = {.lex_state = 238},
  [4389] = {.lex_state = 203},
  [4390] = {.lex_state = 203},
  [4391] = {.lex_state = 203},
  [4392] = {.lex_state = 227},
  [4393] = {.lex_state = 235},
  [4394] = {.lex_state = 227},
  [4395] = {.lex_state = 240},
  [4396] = {.lex_state = 240},
  [4397] = {.lex_state = 240},
  [4398] = {.lex_state = 240},
  [4399] = {.lex_state = 240},
  [4400] = {.lex_state = 240},
  [4401] = {.lex_state = 240},
  [4402] = {.lex_state = 240},
  [4403] = {.lex_state = 227},
  [4404] = {.lex_state = 203},
  [4405] = {.lex_state = 227},
  [4406] = {.lex_state = 203},
  [4407] = {.lex_state = 203},
  [4408] = {.lex_state = 239},
  [4409] = {.lex_state = 203},
  [4410] = {.lex_state = 203},
  [4411] = {.lex_state = 203},
  [4412] = {.lex_state = 227},
  [4413] = {.lex_state = 203},
  [4414] = {.lex_state = 203},
  [4415] = {.lex_state = 203},
  [4416] = {.lex_state = 203},
  [4417] = {.lex_state = 203},
  [4418] = {.lex_state = 203},
  [4419] = {.lex_state = 203},
  [4420] = {.lex_state = 203},
  [4421] = {.lex_state = 203},
  [4422] = {.lex_state = 203},
  [4423] = {.lex_state = 203},
  [4424] = {.lex_state = 203},
  [4425] = {.lex_state = 203},
  [4426] = {.lex_state = 203},
  [4427] = {.lex_state = 203},
  [4428] = {.lex_state = 203},
  [4429] = {.lex_state = 203},
  [4430] = {.lex_state = 222},
  [4431] = {.lex_state = 203},
  [4432] = {.lex_state = 238},
  [4433] = {.lex_state = 203},
  [4434] = {.lex_state = 239},
  [4435] = {.lex_state = 203},
  [4436] = {.lex_state = 239},
  [4437] = {.lex_state = 239},
  [4438] = {.lex_state = 203},
  [4439] = {.lex_state = 203},
  [4440] = {.lex_state = 203},
  [4441] = {.lex_state = 227},
  [4442] = {.lex_state = 203},
  [4443] = {.lex_state = 203},
  [4444] = {.lex_state = 203},
  [4445] = {.lex_state = 203},
  [4446] = {.lex_state = 203},
  [4447] = {.lex_state = 203},
  [4448] = {.lex_state = 203},
  [4449] = {.lex_state = 227},
  [4450] = {.lex_state = 203},
  [4451] = {.lex_state = 203},
  [4452] = {.lex_state = 235},
  [4453] = {.lex_state = 222},
  [4454] = {.lex_state = 203},
  [4455] = {.lex_state = 203},
  [4456] = {.lex_state = 227},
  [4457] = {.lex_state = 203},
  [4458] = {.lex_state = 203},
  [4459] = {.lex_state = 203},
  [4460] = {.lex_state = 203},
  [4461] = {.lex_state = 227},
  [4462] = {.lex_state = 203},
  [4463] = {.lex_state = 203},
  [4464] = {.lex_state = 227},
  [4465] = {.lex_state = 203},
  [4466] = {.lex_state = 227},
  [4467] = {.lex_state = 203},
  [4468] = {.lex_state = 227},
  [4469] = {.lex_state = 203},
  [4470] = {.lex_state = 227},
  [4471] = {.lex_state = 203},
  [4472] = {.lex_state = 227},
  [4473] = {.lex_state = 227},
  [4474] = {.lex_state = 227},
  [4475] = {.lex_state = 227},
  [4476] = {.lex_state = 227},
  [4477] = {.lex_state = 227},
  [4478] = {.lex_state = 227},
  [4479] = {.lex_state = 227},
  [4480] = {.lex_state = 227},
  [4481] = {.lex_state = 227},
  [4482] = {.lex_state = 227},
  [4483] = {.lex_state = 227},
  [4484] = {.lex_state = 227},
  [4485] = {.lex_state = 203},
  [4486] = {.lex_state = 239},
  [4487] = {.lex_state = 203},
  [4488] = {.lex_state = 203},
  [4489] = {.lex_state = 203},
  [4490] = {.lex_state = 238},
  [4491] = {.lex_state = 203},
  [4492] = {.lex_state = 203},
  [4493] = {.lex_state = 203},
  [4494] = {.lex_state = 239},
  [4495] = {.lex_state = 203},
  [4496] = {.lex_state = 227},
  [4497] = {.lex_state = 203},
  [4498] = {.lex_state = 204},
  [4499] = {.lex_state = 203},
  [4500] = {.lex_state = 225},
  [4501] = {.lex_state = 227},
  [4502] = {.lex_state = 227},
  [4503] = {.lex_state = 203},
  [4504] = {.lex_state = 203},
  [4505] = {.lex_state = 236},
  [4506] = {.lex_state = 203},
  [4507] = {.lex_state = 227},
  [4508] = {.lex_state = 203},
  [4509] = {.lex_state = 240},
  [4510] = {.lex_state = 203},
  [4511] = {.lex_state = 203},
  [4512] = {.lex_state = 227},
  [4513] = {.lex_state = 236},
  [4514] = {.lex_state = 227},
  [4515] = {.lex_state = 227},
  [4516] = {.lex_state = 227},
  [4517] = {.lex_state = 227},
  [4518] = {.lex_state = 227},
  [4519] = {.lex_state = 227},
  [4520] = {.lex_state = 203},
  [4521] = {.lex_state = 227},
  [4522] = {.lex_state = 203},
  [4523] = {.lex_state = 227},
  [4524] = {.lex_state = 203},
  [4525] = {.lex_state = 227},
  [4526] = {.lex_state = 238},
  [4527] = {.lex_state = 227},
  [4528] = {.lex_state = 227},
  [4529] = {.lex_state = 227},
  [4530] = {.lex_state = 203},
  [4531] = {.lex_state = 238},
  [4532] = {.lex_state = 238},
  [4533] = {.lex_state = 203},
  [4534] = {.lex_state = 203},
  [4535] = {.lex_state = 227},
  [4536] = {.lex_state = 238},
  [4537] = {.lex_state = 227},
  [4538] = {.lex_state = 203},
  [4539] = {.lex_state = 203},
  [4540] = {.lex_state = 203},
  [4541] = {.lex_state = 203},
  [4542] = {.lex_state = 203},
  [4543] = {.lex_state = 227},
  [4544] = {.lex_state = 203},
  [4545] = {.lex_state = 203},
  [4546] = {.lex_state = 203},
  [4547] = {.lex_state = 203},
  [4548] = {.lex_state = 203},
  [4549] = {.lex_state = 238},
  [4550] = {.lex_state = 227},
  [4551] = {.lex_state = 203},
  [4552] = {.lex_state = 203},
  [4553] = {.lex_state = 203},
  [4554] = {.lex_state = 238},
  [4555] = {.lex_state = 238},
  [4556] = {.lex_state = 203},
  [4557] = {.lex_state = 227},
  [4558] = {.lex_state = 238},
  [4559] = {.lex_state = 203},
  [4560] = {.lex_state = 203},
  [4561] = {.lex_state = 203},
  [4562] = {.lex_state = 222},
  [4563] = {.lex_state = 203},
  [4564] = {.lex_state = 203},
  [4565] = {.lex_state = 227},
  [4566] = {.lex_state = 203},
  [4567] = {.lex_state = 203},
  [4568] = {.lex_state = 227},
  [4569] = {.lex_state = 227},
  [4570] = {.lex_state = 203},
  [4571] = {.lex_state = 239},
  [4572] = {.lex_state = 239},
  [4573] = {.lex_state = 227},
  [4574] = {.lex_state = 203},
  [4575] = {.lex_state = 203},
  [4576] = {.lex_state = 203},
  [4577] = {.lex_state = 227},
  [4578] = {.lex_state = 203},
  [4579] = {.lex_state = 227},
  [4580] = {.lex_state = 203},
  [4581] = {.lex_state = 238},
  [4582] = {.lex_state = 227},
  [4583] = {.lex_state = 238},
  [4584] = {.lex_state = 238},
  [4585] = {.lex_state = 238},
  [4586] = {.lex_state = 238},
  [4587] = {.lex_state = 238},
  [4588] = {.lex_state = 238},
  [4589] = {.lex_state = 238},
  [4590] = {.lex_state = 238},
  [4591] = {.lex_state = 238},
  [4592] = {.lex_state = 238},
  [4593] = {.lex_state = 238},
  [4594] = {.lex_state = 238},
  [4595] = {.lex_state = 227},
  [4596] = {.lex_state = 203},
  [4597] = {.lex_state = 203},
  [4598] = {.lex_state = 203},
  [4599] = {.lex_state = 203},
  [4600] = {.lex_state = 203},
  [4601] = {.lex_state = 203},
  [4602] = {.lex_state = 203},
  [4603] = {.lex_state = 203},
  [4604] = {.lex_state = 203},
  [4605] = {.lex_state = 203},
  [4606] = {.lex_state = 203},
  [4607] = {.lex_state = 203},
  [4608] = {.lex_state = 203},
  [4609] = {.lex_state = 203},
  [4610] = {.lex_state = 203},
  [4611] = {.lex_state = 203},
  [4612] = {.lex_state = 203},
  [4613] = {.lex_state = 203},
  [4614] = {.lex_state = 203},
  [4615] = {.lex_state = 203},
  [4616] = {.lex_state = 204},
  [4617] = {.lex_state = 238},
  [4618] = {.lex_state = 203},
  [4619] = {.lex_state = 203},
  [4620] = {.lex_state = 203},
  [4621] = {.lex_state = 203},
  [4622] = {.lex_state = 203},
  [4623] = {.lex_state = 203},
  [4624] = {.lex_state = 203},
  [4625] = {.lex_state = 203},
  [4626] = {.lex_state = 203},
  [4627] = {.lex_state = 203},
  [4628] = {.lex_state = 203},
  [4629] = {.lex_state = 203},
  [4630] = {.lex_state = 227},
  [4631] = {.lex_state = 203},
  [4632] = {.lex_state = 203},
  [4633] = {.lex_state = 203},
  [4634] = {.lex_state = 203},
  [4635] = {.lex_state = 203},
  [4636] = {.lex_state = 203},
  [4637] = {.lex_state = 227},
  [4638] = {.lex_state = 227},
  [4639] = {.lex_state = 203},
  [4640] = {.lex_state = 203},
  [4641] = {.lex_state = 203},
  [4642] = {.lex_state = 203},
  [4643] = {.lex_state = 203},
  [4644] = {.lex_state = 203},
  [4645] = {.lex_state = 203},
  [4646] = {.lex_state = 203},
  [4647] = {.lex_state = 203},
  [4648] = {.lex_state = 203},
  [4649] = {.lex_state = 203},
  [4650] = {.lex_state = 203},
  [4651] = {.lex_state = 203},
  [4652] = {.lex_state = 203},
  [4653] = {.lex_state = 203},
  [4654] = {.lex_state = 203},
  [4655] = {.lex_state = 203},
  [4656] = {.lex_state = 203},
  [4657] = {.lex_state = 203},
  [4658] = {.lex_state = 239},
  [4659] = {.lex_state = 203},
  [4660] = {.lex_state = 203},
  [4661] = {.lex_state = 203},
  [4662] = {.lex_state = 203},
  [4663] = {.lex_state = 239},
  [4664] = {.lex_state = 203},
  [4665] = {.lex_state = 203},
  [4666] = {.lex_state = 203},
  [4667] = {.lex_state = 203},
  [4668] = {.lex_state = 203},
  [4669] = {.lex_state = 203},
  [4670] = {.lex_state = 203},
  [4671] = {.lex_state = 203},
  [4672] = {.lex_state = 236},
  [4673] = {.lex_state = 203},
  [4674] = {.lex_state = 238},
  [4675] = {.lex_state = 203},
  [4676] = {.lex_state = 203},
  [4677] = {.lex_state = 203},
  [4678] = {.lex_state = 203},
  [4679] = {.lex_state = 203},
  [4680] = {.lex_state = 203},
  [4681] = {.lex_state = 203},
  [4682] = {.lex_state = 203},
  [4683] = {.lex_state = 203},
  [4684] = {.lex_state = 203},
  [4685] = {.lex_state = 203},
  [4686] = {.lex_state = 203},
  [4687] = {.lex_state = 203},
  [4688] = {.lex_state = 203},
  [4689] = {.lex_state = 239},
  [4690] = {.lex_state = 228},
  [4691] = {.lex_state = 203},
  [4692] = {.lex_state = 203},
  [4693] = {.lex_state = 203},
  [4694] = {.lex_state = 203},
  [4695] = {.lex_state = 203},
  [4696] = {.lex_state = 203},
  [4697] = {.lex_state = 203},
  [4698] = {.lex_state = 203},
  [4699] = {.lex_state = 203},
  [4700] = {.lex_state = 203},
  [4701] = {.lex_state = 203},
  [4702] = {.lex_state = 203},
  [4703] = {.lex_state = 203},
  [4704] = {.lex_state = 203},
  [4705] = {.lex_state = 240},
  [4706] = {.lex_state = 203},
  [4707] = {.lex_state = 203},
  [4708] = {.lex_state = 203},
  [4709] = {.lex_state = 203},
  [4710] = {.lex_state = 203},
  [4711] = {.lex_state = 203},
  [4712] = {.lex_state = 228},
  [4713] = {.lex_state = 203},
  [4714] = {.lex_state = 239},
  [4715] = {.lex_state = 203},
  [4716] = {.lex_state = 203},
  [4717] = {.lex_state = 203},
  [4718] = {.lex_state = 203},
  [4719] = {.lex_state = 203},
  [4720] = {.lex_state = 238},
  [4721] = {.lex_state = 240},
  [4722] = {.lex_state = 238},
  [4723] = {.lex_state = 203},
  [4724] = {.lex_state = 240},
  [4725] = {.lex_state = 203},
  [4726] = {.lex_state = 227},
  [4727] = {.lex_state = 203},
  [4728] = {.lex_state = 203},
  [4729] = {.lex_state = 203},
  [4730] = {.lex_state = 238},
  [4731] = {.lex_state = 203},
  [4732] = {.lex_state = 203},
  [4733] = {.lex_state = 203},
  [4734] = {.lex_state = 203},
  [4735] = {.lex_state = 203},
  [4736] = {.lex_state = 203},
  [4737] = {.lex_state = 203},
  [4738] = {.lex_state = 203},
  [4739] = {.lex_state = 236},
  [4740] = {.lex_state = 203},
  [4741] = {.lex_state = 203},
  [4742] = {.lex_state = 238},
  [4743] = {.lex_state = 203},
  [4744] = {.lex_state = 203},
  [4745] = {.lex_state = 203},
  [4746] = {.lex_state = 203},
  [4747] = {.lex_state = 203},
  [4748] = {.lex_state = 203},
  [4749] = {.lex_state = 203},
  [4750] = {.lex_state = 236},
  [4751] = {.lex_state = 203},
  [4752] = {.lex_state = 236},
  [4753] = {.lex_state = 203},
  [4754] = {.lex_state = 236},
  [4755] = {.lex_state = 236},
  [4756] = {.lex_state = 236},
  [4757] = {.lex_state = 236},
  [4758] = {.lex_state = 203},
  [4759] = {.lex_state = 203},
  [4760] = {.lex_state = 238},
  [4761] = {.lex_state = 238},
  [4762] = {.lex_state = 238},
  [4763] = {.lex_state = 238},
  [4764] = {.lex_state = 203},
  [4765] = {.lex_state = 238},
  [4766] = {.lex_state = 236},
  [4767] = {.lex_state = 236},
  [4768] = {.lex_state = 203},
  [4769] = {.lex_state = 236},
  [4770] = {.lex_state = 238},
  [4771] = {.lex_state = 236},
  [4772] = {.lex_state = 236},
  [4773] = {.lex_state = 236},
  [4774] = {.lex_state = 238},
  [4775] = {.lex_state = 238},
  [4776] = {.lex_state = 203},
  [4777] = {.lex_state = 203},
  [4778] = {.lex_state = 238},
  [4779] = {.lex_state = 238},
  [4780] = {.lex_state = 240},
  [4781] = {.lex_state = 203},
  [4782] = {.lex_state = 238},
  [4783] = {.lex_state = 203},
  [4784] = {.lex_state = 203},
  [4785] = {.lex_state = 203},
  [4786] = {.lex_state = 203},
  [4787] = {.lex_state = 236},
  [4788] = {.lex_state = 236},
  [4789] = {.lex_state = 238},
  [4790] = {.lex_state = 203},
  [4791] = {.lex_state = 203},
  [4792] = {.lex_state = 236},
  [4793] = {.lex_state = 202},
  [4794] = {.lex_state = 203},
  [4795] = {.lex_state = 203},
  [4796] = {.lex_state = 203},
  [4797] = {.lex_state = 236},
  [4798] = {.lex_state = 203},
  [4799] = {.lex_state = 203},
  [4800] = {.lex_state = 203},
  [4801] = {.lex_state = 203},
  [4802] = {.lex_state = 236},
  [4803] = {.lex_state = 203},
  [4804] = {.lex_state = 203},
  [4805] = {.lex_state = 203},
  [4806] = {.lex_state = 236},
  [4807] = {.lex_state = 238},
  [4808] = {.lex_state = 203},
  [4809] = {.lex_state = 203},
  [4810] = {.lex_state = 203},
  [4811] = {.lex_state = 203},
  [4812] = {.lex_state = 203},
  [4813] = {.lex_state = 203},
  [4814] = {.lex_state = 203},
  [4815] = {.lex_state = 203},
  [4816] = {.lex_state = 236},
  [4817] = {.lex_state = 203},
  [4818] = {.lex_state = 239},
  [4819] = {.lex_state = 238},
  [4820] = {.lex_state = 227},
  [4821] = {.lex_state = 238},
  [4822] = {.lex_state = 227},
  [4823] = {.lex_state = 227},
  [4824] = {.lex_state = 227},
  [4825] = {.lex_state = 238},
  [4826] = {.lex_state = 238},
  [4827] = {.lex_state = 227},
  [4828] = {.lex_state = 238},
  [4829] = {.lex_state = 238},
  [4830] = {.lex_state = 238},
  [4831] = {.lex_state = 227},
  [4832] = {.lex_state = 239},
  [4833] = {.lex_state = 238},
  [4834] = {.lex_state = 227},
  [4835] = {.lex_state = 238},
  [4836] = {.lex_state = 238},
  [4837] = {.lex_state = 227},
  [4838] = {.lex_state = 239},
  [4839] = {.lex_state = 238},
  [4840] = {.lex_state = 239},
  [4841] = {.lex_state = 227},
  [4842] = {.lex_state = 238},
  [4843] = {.lex_state = 238},
  [4844] = {.lex_state = 239},
  [4845] = {.lex_state = 239},
  [4846] = {.lex_state = 222},
  [4847] = {.lex_state = 238},
  [4848] = {.lex_state = 227},
  [4849] = {.lex_state = 239},
  [4850] = {.lex_state = 238},
  [4851] = {.lex_state = 238},
  [4852] = {.lex_state = 239},
  [4853] = {.lex_state = 238},
  [4854] = {.lex_state = 238},
  [4855] = {.lex_state = 239},
  [4856] = {.lex_state = 227},
  [4857] = {.lex_state = 239},
  [4858] = {.lex_state = 227},
  [4859] = {.lex_state = 227},
  [4860] = {.lex_state = 239},
  [4861] = {.lex_state = 227},
  [4862] = {.lex_state = 238},
  [4863] = {.lex_state = 238},
  [4864] = {.lex_state = 227},
  [4865] = {.lex_state = 227},
  [4866] = {.lex_state = 222},
  [4867] = {.lex_state = 227},
  [4868] = {.lex_state = 227},
  [4869] = {.lex_state = 239},
  [4870] = {.lex_state = 227},
  [4871] = {.lex_state = 227},
  [4872] = {.lex_state = 238},
  [4873] = {.lex_state = 239},
  [4874] = {.lex_state = 238},
  [4875] = {.lex_state = 227},
  [4876] = {.lex_state = 227},
  [4877] = {.lex_state = 235},
  [4878] = {.lex_state = 227},
  [4879] = {.lex_state = 227},
  [4880] = {.lex_state = 235},
  [4881] = {.lex_state = 235},
  [4882] = {.lex_state = 227},
  [4883] = {.lex_state = 227},
  [4884] = {.lex_state = 227},
  [4885] = {.lex_state = 235},
  [4886] = {.lex_state = 240},
  [4887] = {.lex_state = 222},
  [4888] = {.lex_state = 227},
  [4889] = {.lex_state = 239},
  [4890] = {.lex_state = 238},
  [4891] = {.lex_state = 227},
  [4892] = {.lex_state = 227},
  [4893] = {.lex_state = 235},
  [4894] = {.lex_state = 235},
  [4895] = {.lex_state = 204},
  [4896] = {.lex_state = 227},
  [4897] = {.lex_state = 240},
  [4898] = {.lex_state = 227},
  [4899] = {.lex_state = 239},
  [4900] = {.lex_state = 227},
  [4901] = {.lex_state = 239},
  [4902] = {.lex_state = 222},
  [4903] = {.lex_state = 227},
  [4904] = {.lex_state = 235},
  [4905] = {.lex_state = 227},
  [4906] = {.lex_state = 227},
  [4907] = {.lex_state = 227},
  [4908] = {.lex_state = 227},
  [4909] = {.lex_state = 222},
  [4910] = {.lex_state = 239},
  [4911] = {.lex_state = 227},
  [4912] = {.lex_state = 239},
  [4913] = {.lex_state = 203},
  [4914] = {.lex_state = 203},
  [4915] = {.lex_state = 203},
  [4916] = {.lex_state = 203},
  [4917] = {.lex_state = 239},
  [4918] = {.lex_state = 239},
  [4919] = {.lex_state = 240},
  [4920] = {.lex_state = 222},
  [4921] = {.lex_state = 239},
  [4922] = {.lex_state = 240},
  [4923] = {.lex_state = 239},
  [4924] = {.lex_state = 239},
  [4925] = {.lex_state = 239},
  [4926] = {.lex_state = 239},
  [4927] = {.lex_state = 239},
  [4928] = {.lex_state = 239},
  [4929] = {.lex_state = 239},
  [4930] = {.lex_state = 238},
  [4931] = {.lex_state = 240},
  [4932] = {.lex_state = 239},
  [4933] = {.lex_state = 239},
  [4934] = {.lex_state = 238},
  [4935] = {.lex_state = 240},
  [4936] = {.lex_state = 240},
  [4937] = {.lex_state = 239},
  [4938] = {.lex_state = 222},
  [4939] = {.lex_state = 222},
  [4940] = {.lex_state = 222},
  [4941] = {.lex_state = 239},
  [4942] = {.lex_state = 239},
  [4943] = {.lex_state = 239},
  [4944] = {.lex_state = 239},
  [4945] = {.lex_state = 239},
  [4946] = {.lex_state = 239},
  [4947] = {.lex_state = 239},
  [4948] = {.lex_state = 239},
  [4949] = {.lex_state = 239},
  [4950] = {.lex_state = 239},
  [4951] = {.lex_state = 203},
  [4952] = {.lex_state = 239},
  [4953] = {.lex_state = 239},
  [4954] = {.lex_state = 239},
  [4955] = {.lex_state = 239},
  [4956] = {.lex_state = 239},
  [4957] = {.lex_state = 239},
  [4958] = {.lex_state = 239},
  [4959] = {.lex_state = 239},
  [4960] = {.lex_state = 239},
  [4961] = {.lex_state = 239},
  [4962] = {.lex_state = 239},
  [4963] = {.lex_state = 235},
  [4964] = {.lex_state = 240},
  [4965] = {.lex_state = 240},
  [4966] = {.lex_state = 239},
  [4967] = {.lex_state = 239},
  [4968] = {.lex_state = 239},
  [4969] = {.lex_state = 239},
  [4970] = {.lex_state = 239},
  [4971] = {.lex_state = 240},
  [4972] = {.lex_state = 203},
  [4973] = {.lex_state = 240},
  [4974] = {.lex_state = 240},
  [4975] = {.lex_state = 240},
  [4976] = {.lex_state = 222},
  [4977] = {.lex_state = 238},
  [4978] = {.lex_state = 203},
  [4979] = {.lex_state = 238},
  [4980] = {.lex_state = 239},
  [4981] = {.lex_state = 239},
  [4982] = {.lex_state = 239},
  [4983] = {.lex_state = 239},
  [4984] = {.lex_state = 222},
  [4985] = {.lex_state = 239},
  [4986] = {.lex_state = 240},
  [4987] = {.lex_state = 240},
  [4988] = {.lex_state = 239},
  [4989] = {.lex_state = 239},
  [4990] = {.lex_state = 239},
  [4991] = {.lex_state = 240},
  [4992] = {.lex_state = 240},
  [4993] = {.lex_state = 240},
  [4994] = {.lex_state = 240},
  [4995] = {.lex_state = 238},
  [4996] = {.lex_state = 240},
  [4997] = {.lex_state = 235},
  [4998] = {.lex_state = 202},
  [4999] = {.lex_state = 240},
  [5000] = {.lex_state = 238},
  [5001] = {.lex_state = 240},
  [5002] = {.lex_state = 240},
  [5003] = {.lex_state = 238},
  [5004] = {.lex_state = 238},
  [5005] = {.lex_state = 240},
  [5006] = {.lex_state = 240},
  [5007] = {.lex_state = 203},
  [5008] = {.lex_state = 240},
  [5009] = {.lex_state = 240},
  [5010] = {.lex_state = 240},
  [5011] = {.lex_state = 240},
  [5012] = {.lex_state = 240},
  [5013] = {.lex_state = 240},
  [5014] = {.lex_state = 240},
  [5015] = {.lex_state = 240},
  [5016] = {.lex_state = 240},
  [5017] = {.lex_state = 240},
  [5018] = {.lex_state = 240},
  [5019] = {.lex_state = 238},
  [5020] = {.lex_state = 238},
  [5021] = {.lex_state = 235},
  [5022] = {.lex_state = 240},
  [5023] = {.lex_state = 240},
  [5024] = {.lex_state = 240},
  [5025] = {.lex_state = 240},
  [5026] = {.lex_state = 238},
  [5027] = {.lex_state = 240},
  [5028] = {.lex_state = 240},
  [5029] = {.lex_state = 240},
  [5030] = {.lex_state = 240},
  [5031] = {.lex_state = 240},
  [5032] = {.lex_state = 240},
  [5033] = {.lex_state = 238},
  [5034] = {.lex_state = 240},
  [5035] = {.lex_state = 203},
  [5036] = {.lex_state = 240},
  [5037] = {.lex_state = 236},
  [5038] = {.lex_state = 240},
  [5039] = {.lex_state = 240},
  [5040] = {.lex_state = 235},
  [5041] = {.lex_state = 236},
  [5042] = {.lex_state = 240},
  [5043] = {.lex_state = 240},
  [5044] = {.lex_state = 240},
  [5045] = {.lex_state = 235},
  [5046] = {.lex_state = 227},
  [5047] = {.lex_state = 240},
  [5048] = {.lex_state = 240},
  [5049] = {.lex_state = 227},
  [5050] = {.lex_state = 240},
  [5051] = {.lex_state = 222},
  [5052] = {.lex_state = 222},
  [5053] = {.lex_state = 238},
  [5054] = {.lex_state = 202},
  [5055] = {.lex_state = 235},
  [5056] = {.lex_state = 238},
  [5057] = {.lex_state = 239},
  [5058] = {.lex_state = 239},
  [5059] = {.lex_state = 239},
  [5060] = {.lex_state = 239},
  [5061] = {.lex_state = 239},
  [5062] = {.lex_state = 235},
  [5063] = {.lex_state = 239},
  [5064] = {.lex_state = 239},
  [5065] = {.lex_state = 235},
  [5066] = {.lex_state = 235},
  [5067] = {.lex_state = 239},
  [5068] = {.lex_state = 239},
  [5069] = {.lex_state = 239},
  [5070] = {.lex_state = 236},
  [5071] = {.lex_state = 203},
  [5072] = {.lex_state = 236},
  [5073] = {.lex_state = 236},
  [5074] = {.lex_state = 236},
  [5075] = {.lex_state = 236},
  [5076] = {.lex_state = 239},
  [5077] = {.lex_state = 240},
  [5078] = {.lex_state = 236},
  [5079] = {.lex_state = 236},
  [5080] = {.lex_state = 236},
  [5081] = {.lex_state = 239},
  [5082] = {.lex_state = 236},
  [5083] = {.lex_state = 236},
  [5084] = {.lex_state = 236},
  [5085] = {.lex_state = 236},
  [5086] = {.lex_state = 236},
  [5087] = {.lex_state = 203},
  [5088] = {.lex_state = 236},
  [5089] = {.lex_state = 236},
  [5090] = {.lex_state = 236},
  [5091] = {.lex_state = 203},
  [5092] = {.lex_state = 203},
  [5093] = {.lex_state = 236},
  [5094] = {.lex_state = 236},
  [5095] = {.lex_state = 239},
  [5096] = {.lex_state = 236},
  [5097] = {.lex_state = 236},
  [5098] = {.lex_state = 239},
  [5099] = {.lex_state = 236},
  [5100] = {.lex_state = 239},
  [5101] = {.lex_state = 239},
  [5102] = {.lex_state = 239},
  [5103] = {.lex_state = 236},
  [5104] = {.lex_state = 239},
  [5105] = {.lex_state = 236},
  [5106] = {.lex_state = 222},
  [5107] = {.lex_state = 235},
  [5108] = {.lex_state = 235},
  [5109] = {.lex_state = 235},
  [5110] = {.lex_state = 235},
  [5111] = {.lex_state = 235},
  [5112] = {.lex_state = 235},
  [5113] = {.lex_state = 222},
  [5114] = {.lex_state = 236},
  [5115] = {.lex_state = 235},
  [5116] = {.lex_state = 193},
  [5117] = {.lex_state = 235},
  [5118] = {.lex_state = 236},
  [5119] = {.lex_state = 235},
  [5120] = {.lex_state = 235},
  [5121] = {.lex_state = 238},
  [5122] = {.lex_state = 236},
  [5123] = {.lex_state = 235},
  [5124] = {.lex_state = 239},
  [5125] = {.lex_state = 239},
  [5126] = {.lex_state = 236},
  [5127] = {.lex_state = 235},
  [5128] = {.lex_state = 235},
  [5129] = {.lex_state = 236},
  [5130] = {.lex_state = 235},
  [5131] = {.lex_state = 238},
  [5132] = {.lex_state = 235},
  [5133] = {.lex_state = 236},
  [5134] = {.lex_state = 193},
  [5135] = {.lex_state = 236},
  [5136] = {.lex_state = 193},
  [5137] = {.lex_state = 236},
  [5138] = {.lex_state = 235},
  [5139] = {.lex_state = 236},
  [5140] = {.lex_state = 193},
  [5141] = {.lex_state = 236},
  [5142] = {.lex_state = 193},
  [5143] = {.lex_state = 193},
  [5144] = {.lex_state = 193},
  [5145] = {.lex_state = 193},
  [5146] = {.lex_state = 236},
  [5147] = {.lex_state = 193},
  [5148] = {.lex_state = 236},
  [5149] = {.lex_state = 236},
  [5150] = {.lex_state = 239},
  [5151] = {.lex_state = 236},
  [5152] = {.lex_state = 193},
  [5153] = {.lex_state = 239},
  [5154] = {.lex_state = 193},
  [5155] = {.lex_state = 193},
  [5156] = {.lex_state = 193},
  [5157] = {.lex_state = 236},
  [5158] = {.lex_state = 236},
  [5159] = {.lex_state = 193},
  [5160] = {.lex_state = 193},
  [5161] = {.lex_state = 193},
  [5162] = {.lex_state = 193},
  [5163] = {.lex_state = 239},
  [5164] = {.lex_state = 236},
  [5165] = {.lex_state = 193},
  [5166] = {.lex_state = 193},
  [5167] = {.lex_state = 193},
  [5168] = {.lex_state = 236},
  [5169] = {.lex_state = 193},
  [5170] = {.lex_state = 236},
  [5171] = {.lex_state = 193},
  [5172] = {.lex_state = 235},
  [5173] = {.lex_state = 193},
  [5174] = {.lex_state = 193},
  [5175] = {.lex_state = 235},
  [5176] = {.lex_state = 193},
  [5177] = {.lex_state = 236},
  [5178] = {.lex_state = 239},
  [5179] = {.lex_state = 236},
  [5180] = {.lex_state = 238},
  [5181] = {.lex_state = 238},
  [5182] = {.lex_state = 236},
  [5183] = {.lex_state = 236},
  [5184] = {.lex_state = 236},
  [5185] = {.lex_state = 236},
  [5186] = {.lex_state = 235},
  [5187] = {.lex_state = 193},
  [5188] = {.lex_state = 235},
  [5189] = {.lex_state = 238},
  [5190] = {.lex_state = 236},
  [5191] = {.lex_state = 193},
  [5192] = {.lex_state = 193},
  [5193] = {.lex_state = 193},
  [5194] = {.lex_state = 193},
  [5195] = {.lex_state = 193},
  [5196] = {.lex_state = 193},
  [5197] = {.lex_state = 236},
  [5198] = {.lex_state = 236},
  [5199] = {.lex_state = 238},
  [5200] = {.lex_state = 236},
  [5201] = {.lex_state = 193},
  [5202] = {.lex_state = 193},
  [5203] = {.lex_state = 193},
  [5204] = {.lex_state = 193},
  [5205] = {.lex_state = 236},
  [5206] = {.lex_state = 239},
  [5207] = {.lex_state = 238},
  [5208] = {.lex_state = 236},
  [5209] = {.lex_state = 193},
  [5210] = {.lex_state = 193},
  [5211] = {.lex_state = 193},
  [5212] = {.lex_state = 193},
  [5213] = {.lex_state = 193},
  [5214] = {.lex_state = 193},
  [5215] = {.lex_state = 193},
  [5216] = {.lex_state = 193},
  [5217] = {.lex_state = 193},
  [5218] = {.lex_state = 193},
  [5219] = {.lex_state = 193},
  [5220] = {.lex_state = 193},
  [5221] = {.lex_state = 193},
  [5222] = {.lex_state = 193},
  [5223] = {.lex_state = 193},
  [5224] = {.lex_state = 193},
  [5225] = {.lex_state = 193},
  [5226] = {.lex_state = 236},
  [5227] = {.lex_state = 193},
  [5228] = {.lex_state = 238},
  [5229] = {.lex_state = 193},
  [5230] = {.lex_state = 193},
  [5231] = {.lex_state = 193},
  [5232] = {.lex_state = 193},
  [5233] = {.lex_state = 193},
  [5234] = {.lex_state = 239},
  [5235] = {.lex_state = 236},
  [5236] = {.lex_state = 193},
  [5237] = {.lex_state = 193},
  [5238] = {.lex_state = 193},
  [5239] = {.lex_state = 193},
  [5240] = {.lex_state = 193},
  [5241] = {.lex_state = 193},
  [5242] = {.lex_state = 193},
  [5243] = {.lex_state = 193},
  [5244] = {.lex_state = 193},
  [5245] = {.lex_state = 236},
  [5246] = {.lex_state = 236},
  [5247] = {.lex_state = 193},
  [5248] = {.lex_state = 193},
  [5249] = {.lex_state = 193},
  [5250] = {.lex_state = 193},
  [5251] = {.lex_state = 193},
  [5252] = {.lex_state = 193},
  [5253] = {.lex_state = 193},
  [5254] = {.lex_state = 193},
  [5255] = {.lex_state = 193},
  [5256] = {.lex_state = 193},
  [5257] = {.lex_state = 236},
  [5258] = {.lex_state = 193},
  [5259] = {.lex_state = 193},
  [5260] = {.lex_state = 193},
  [5261] = {.lex_state = 193},
  [5262] = {.lex_state = 193},
  [5263] = {.lex_state = 239},
  [5264] = {.lex_state = 239},
  [5265] = {.lex_state = 193},
  [5266] = {.lex_state = 239},
  [5267] = {.lex_state = 236},
  [5268] = {.lex_state = 236},
  [5269] = {.lex_state = 236},
  [5270] = {.lex_state = 239},
  [5271] = {.lex_state = 236},
  [5272] = {.lex_state = 236},
  [5273] = {.lex_state = 236},
  [5274] = {.lex_state = 236},
  [5275] = {.lex_state = 193},
  [5276] = {.lex_state = 193},
  [5277] = {.lex_state = 236},
  [5278] = {.lex_state = 236},
  [5279] = {.lex_state = 236},
  [5280] = {.lex_state = 236},
  [5281] = {.lex_state = 236},
  [5282] = {.lex_state = 236},
  [5283] = {.lex_state = 236},
  [5284] = {.lex_state = 236},
  [5285] = {.lex_state = 236},
  [5286] = {.lex_state = 239},
  [5287] = {.lex_state = 193},
  [5288] = {.lex_state = 193},
  [5289] = {.lex_state = 193},
  [5290] = {.lex_state = 193},
  [5291] = {.lex_state = 193},
  [5292] = {.lex_state = 193},
  [5293] = {.lex_state = 193},
  [5294] = {.lex_state = 193},
  [5295] = {.lex_state = 193},
  [5296] = {.lex_state = 236},
  [5297] = {.lex_state = 238},
  [5298] = {.lex_state = 236},
  [5299] = {.lex_state = 236},
  [5300] = {.lex_state = 236},
  [5301] = {.lex_state = 239},
  [5302] = {.lex_state = 193},
  [5303] = {.lex_state = 238},
  [5304] = {.lex_state = 239},
  [5305] = {.lex_state = 193},
  [5306] = {.lex_state = 193},
  [5307] = {.lex_state = 236},
  [5308] = {.lex_state = 193},
  [5309] = {.lex_state = 239},
  [5310] = {.lex_state = 236},
  [5311] = {.lex_state = 238},
  [5312] = {.lex_state = 236},
  [5313] = {.lex_state = 236},
  [5314] = {.lex_state = 236},
  [5315] = {.lex_state = 193},
  [5316] = {.lex_state = 238},
  [5317] = {.lex_state = 238},
  [5318] = {.lex_state = 193},
  [5319] = {.lex_state = 238},
  [5320] = {.lex_state = 238},
  [5321] = {.lex_state = 238},
  [5322] = {.lex_state = 193},
  [5323] = {.lex_state = 238},
  [5324] = {.lex_state = 238},
  [5325] = {.lex_state = 238},
  [5326] = {.lex_state = 193},
  [5327] = {.lex_state = 238},
  [5328] = {.lex_state = 238},
  [5329] = {.lex_state = 193},
  [5330] = {.lex_state = 240},
  [5331] = {.lex_state = 238},
  [5332] = {.lex_state = 238},
  [5333] = {.lex_state = 238},
  [5334] = {.lex_state = 238},
  [5335] = {.lex_state = 238},
  [5336] = {.lex_state = 238},
  [5337] = {.lex_state = 238},
  [5338] = {.lex_state = 238},
  [5339] = {.lex_state = 193},
  [5340] = {.lex_state = 238},
  [5341] = {.lex_state = 193},
  [5342] = {.lex_state = 238},
  [5343] = {.lex_state = 193},
  [5344] = {.lex_state = 238},
  [5345] = {.lex_state = 193},
  [5346] = {.lex_state = 236},
  [5347] = {.lex_state = 238},
  [5348] = {.lex_state = 238},
  [5349] = {.lex_state = 193},
  [5350] = {.lex_state = 193},
  [5351] = {.lex_state = 238},
  [5352] = {.lex_state = 236},
  [5353] = {.lex_state = 238},
  [5354] = {.lex_state = 193},
  [5355] = {.lex_state = 238},
  [5356] = {.lex_state = 238},
  [5357] = {.lex_state = 238},
  [5358] = {.lex_state = 238},
  [5359] = {.lex_state = 238},
  [5360] = {.lex_state = 236},
  [5361] = {.lex_state = 238},
  [5362] = {.lex_state = 193},
  [5363] = {.lex_state = 238},
  [5364] = {.lex_state = 240},
  [5365] = {.lex_state = 193},
  [5366] = {.lex_state = 238},
  [5367] = {.lex_state = 193},
  [5368] = {.lex_state = 238},
  [5369] = {.lex_state = 238},
  [5370] = {.lex_state = 238},
  [5371] = {.lex_state = 238},
  [5372] = {.lex_state = 193},
  [5373] = {.lex_state = 238},
  [5374] = {.lex_state = 238},
  [5375] = {.lex_state = 193},
  [5376] = {.lex_state = 238},
  [5377] = {.lex_state = 238},
  [5378] = {.lex_state = 193},
  [5379] = {.lex_state = 193},
  [5380] = {.lex_state = 193},
  [5381] = {.lex_state = 239},
  [5382] = {.lex_state = 193},
  [5383] = {.lex_state = 239},
  [5384] = {.lex_state = 239},
  [5385] = {.lex_state = 239},
  [5386] = {.lex_state = 239},
  [5387] = {.lex_state = 239},
  [5388] = {.lex_state = 193},
  [5389] = {.lex_state = 239},
  [5390] = {.lex_state = 239},
  [5391] = {.lex_state = 239},
  [5392] = {.lex_state = 193},
  [5393] = {.lex_state = 239},
  [5394] = {.lex_state = 238},
  [5395] = {.lex_state = 239},
  [5396] = {.lex_state = 239},
  [5397] = {.lex_state = 239},
  [5398] = {.lex_state = 238},
  [5399] = {.lex_state = 239},
  [5400] = {.lex_state = 239},
  [5401] = {.lex_state = 239},
  [5402] = {.lex_state = 239},
  [5403] = {.lex_state = 239},
  [5404] = {.lex_state = 239},
  [5405] = {.lex_state = 239},
  [5406] = {.lex_state = 239},
  [5407] = {.lex_state = 239},
  [5408] = {.lex_state = 235},
  [5409] = {.lex_state = 236},
  [5410] = {.lex_state = 193},
  [5411] = {.lex_state = 193},
  [5412] = {.lex_state = 235},
  [5413] = {.lex_state = 193},
  [5414] = {.lex_state = 236},
  [5415] = {.lex_state = 193},
  [5416] = {.lex_state = 235},
  [5417] = {.lex_state = 239},
  [5418] = {.lex_state = 236},
  [5419] = {.lex_state = 235},
  [5420] = {.lex_state = 235},
  [5421] = {.lex_state = 236},
  [5422] = {.lex_state = 193},
  [5423] = {.lex_state = 235},
  [5424] = {.lex_state = 193},
  [5425] = {.lex_state = 235},
  [5426] = {.lex_state = 239},
  [5427] = {.lex_state = 248},
  [5428] = {.lex_state = 248},
  [5429] = {.lex_state = 235},
  [5430] = {.lex_state = 235},
  [5431] = {.lex_state = 248},
  [5432] = {.lex_state = 235},
  [5433] = {.lex_state = 239},
  [5434] = {.lex_state = 239},
  [5435] = {.lex_state = 248},
  [5436] = {.lex_state = 239},
  [5437] = {.lex_state = 239},
  [5438] = {.lex_state = 235},
  [5439] = {.lex_state = 239},
  [5440] = {.lex_state = 239},
  [5441] = {.lex_state = 239},
  [5442] = {.lex_state = 239},
  [5443] = {.lex_state = 248},
  [5444] = {.lex_state = 235},
  [5445] = {.lex_state = 239},
  [5446] = {.lex_state = 248},
  [5447] = {.lex_state = 248},
  [5448] = {.lex_state = 235},
  [5449] = {.lex_state = 239},
  [5450] = {.lex_state = 239},
  [5451] = {.lex_state = 222},
  [5452] = {.lex_state = 239},
  [5453] = {.lex_state = 239},
  [5454] = {.lex_state = 193},
  [5455] = {.lex_state = 239},
  [5456] = {.lex_state = 239},
  [5457] = {.lex_state = 193},
  [5458] = {.lex_state = 239},
  [5459] = {.lex_state = 239},
  [5460] = {.lex_state = 239},
  [5461] = {.lex_state = 193},
  [5462] = {.lex_state = 239},
  [5463] = {.lex_state = 193},
  [5464] = {.lex_state = 193},
  [5465] = {.lex_state = 239},
  [5466] = {.lex_state = 239},
  [5467] = {.lex_state = 193},
  [5468] = {.lex_state = 248},
  [5469] = {.lex_state = 248},
  [5470] = {.lex_state = 248},
  [5471] = {.lex_state = 248},
  [5472] = {.lex_state = 248},
  [5473] = {.lex_state = 248},
  [5474] = {.lex_state = 248},
  [5475] = {.lex_state = 248},
  [5476] = {.lex_state = 248},
  [5477] = {.lex_state = 248},
  [5478] = {.lex_state = 248},
  [5479] = {.lex_state = 248},
  [5480] = {.lex_state = 222},
  [5481] = {.lex_state = 248},
  [5482] = {.lex_state = 248},
  [5483] = {.lex_state = 248},
  [5484] = {.lex_state = 248},
  [5485] = {.lex_state = 248},
  [5486] = {.lex_state = 248},
  [5487] = {.lex_state = 248},
  [5488] = {.lex_state = 248},
  [5489] = {.lex_state = 248},
  [5490] = {.lex_state = 222},
  [5491] = {.lex_state = 240},
  [5492] = {.lex_state = 222},
  [5493] = {.lex_state = 248},
  [5494] = {.lex_state = 248},
  [5495] = {.lex_state = 248},
  [5496] = {.lex_state = 248},
  [5497] = {.lex_state = 248},
  [5498] = {.lex_state = 248},
  [5499] = {.lex_state = 248},
  [5500] = {.lex_state = 248},
  [5501] = {.lex_state = 248},
  [5502] = {.lex_state = 192},
  [5503] = {.lex_state = 239},
  [5504] = {.lex_state = 239},
  [5505] = {.lex_state = 248},
  [5506] = {.lex_state = 248},
  [5507] = {.lex_state = 248},
  [5508] = {.lex_state = 248},
  [5509] = {.lex_state = 248},
  [5510] = {.lex_state = 192},
  [5511] = {.lex_state = 193},
  [5512] = {.lex_state = 193},
  [5513] = {.lex_state = 193},
  [5514] = {.lex_state = 193},
  [5515] = {.lex_state = 193},
  [5516] = {.lex_state = 193},
  [5517] = {.lex_state = 193},
  [5518] = {.lex_state = 193},
  [5519] = {.lex_state = 193},
  [5520] = {.lex_state = 193},
  [5521] = {.lex_state = 193},
  [5522] = {.lex_state = 193},
  [5523] = {.lex_state = 193},
  [5524] = {.lex_state = 193},
  [5525] = {.lex_state = 193},
  [5526] = {.lex_state = 193},
  [5527] = {.lex_state = 193},
  [5528] = {.lex_state = 193},
  [5529] = {.lex_state = 193},
  [5530] = {.lex_state = 193},
  [5531] = {.lex_state = 193},
  [5532] = {.lex_state = 193},
  [5533] = {.lex_state = 175},
  [5534] = {.lex_state = 193},
  [5535] = {.lex_state = 193},
  [5536] = {.lex_state = 193},
  [5537] = {.lex_state = 192},
  [5538] = {.lex_state = 193},
  [5539] = {.lex_state = 193},
  [5540] = {.lex_state = 193},
  [5541] = {.lex_state = 193},
  [5542] = {.lex_state = 193},
  [5543] = {.lex_state = 193},
  [5544] = {.lex_state = 193},
  [5545] = {.lex_state = 193},
  [5546] = {.lex_state = 193},
  [5547] = {.lex_state = 193},
  [5548] = {.lex_state = 193},
  [5549] = {.lex_state = 193},
  [5550] = {.lex_state = 193},
  [5551] = {.lex_state = 193},
  [5552] = {.lex_state = 193},
  [5553] = {.lex_state = 193},
  [5554] = {.lex_state = 193},
  [5555] = {.lex_state = 193},
  [5556] = {.lex_state = 193},
  [5557] = {.lex_state = 193},
  [5558] = {.lex_state = 193},
  [5559] = {.lex_state = 193},
  [5560] = {.lex_state = 239},
  [5561] = {.lex_state = 193},
  [5562] = {.lex_state = 239},
  [5563] = {.lex_state = 239},
  [5564] = {.lex_state = 239},
  [5565] = {.lex_state = 239},
  [5566] = {.lex_state = 192},
  [5567] = {.lex_state = 239},
  [5568] = {.lex_state = 239},
  [5569] = {.lex_state = 193},
  [5570] = {.lex_state = 193},
  [5571] = {.lex_state = 193},
  [5572] = {.lex_state = 193},
  [5573] = {.lex_state = 193},
  [5574] = {.lex_state = 193},
  [5575] = {.lex_state = 193},
  [5576] = {.lex_state = 193},
  [5577] = {.lex_state = 97},
  [5578] = {.lex_state = 193},
  [5579] = {.lex_state = 193},
  [5580] = {.lex_state = 193},
  [5581] = {.lex_state = 193},
  [5582] = {.lex_state = 175},
  [5583] = {.lex_state = 193},
  [5584] = {.lex_state = 222},
  [5585] = {.lex_state = 193},
  [5586] = {.lex_state = 193},
  [5587] = {.lex_state = 193},
  [5588] = {.lex_state = 193},
  [5589] = {.lex_state = 175},
  [5590] = {.lex_state = 193},
  [5591] = {.lex_state = 193},
  [5592] = {.lex_state = 193},
  [5593] = {.lex_state = 193},
  [5594] = {.lex_state = 193},
  [5595] = {.lex_state = 193},
  [5596] = {.lex_state = 193},
  [5597] = {.lex_state = 193},
  [5598] = {.lex_state = 193},
  [5599] = {.lex_state = 193},
  [5600] = {.lex_state = 193},
  [5601] = {.lex_state = 193},
  [5602] = {.lex_state = 193},
  [5603] = {.lex_state = 193},
  [5604] = {.lex_state = 193},
  [5605] = {.lex_state = 193},
  [5606] = {.lex_state = 193},
  [5607] = {.lex_state = 193},
  [5608] = {.lex_state = 193},
  [5609] = {.lex_state = 193},
  [5610] = {.lex_state = 193},
  [5611] = {.lex_state = 193},
  [5612] = {.lex_state = 193},
  [5613] = {.lex_state = 193},
  [5614] = {.lex_state = 193},
  [5615] = {.lex_state = 239},
  [5616] = {.lex_state = 175},
  [5617] = {.lex_state = 175},
  [5618] = {.lex_state = 192},
  [5619] = {.lex_state = 222},
  [5620] = {.lex_state = 175},
  [5621] = {.lex_state = 222},
  [5622] = {.lex_state = 175},
  [5623] = {.lex_state = 175},
  [5624] = {.lex_state = 222},
  [5625] = {.lex_state = 175},
  [5626] = {.lex_state = 236},
  [5627] = {.lex_state = 192},
  [5628] = {.lex_state = 236},
  [5629] = {.lex_state = 175},
  [5630] = {.lex_state = 175},
  [5631] = {.lex_state = 175},
  [5632] = {.lex_state = 222},
  [5633] = {.lex_state = 222},
  [5634] = {.lex_state = 175},
  [5635] = {.lex_state = 236},
  [5636] = {.lex_state = 175},
  [5637] = {.lex_state = 175},
  [5638] = {.lex_state = 175},
  [5639] = {.lex_state = 175},
  [5640] = {.lex_state = 236},
  [5641] = {.lex_state = 222},
  [5642] = {.lex_state = 175},
  [5643] = {.lex_state = 175},
  [5644] = {.lex_state = 236},
  [5645] = {.lex_state = 175},
  [5646] = {.lex_state = 236},
  [5647] = {.lex_state = 222},
  [5648] = {.lex_state = 175},
  [5649] = {.lex_state = 222},
  [5650] = {.lex_state = 175},
  [5651] = {.lex_state = 236},
  [5652] = {.lex_state = 236},
  [5653] = {.lex_state = 239},
  [5654] = {.lex_state = 175},
  [5655] = {.lex_state = 203},
  [5656] = {.lex_state = 175},
  [5657] = {.lex_state = 239},
  [5658] = {.lex_state = 236},
  [5659] = {.lex_state = 192},
  [5660] = {.lex_state = 236},
  [5661] = {.lex_state = 175},
  [5662] = {.lex_state = 236},
  [5663] = {.lex_state = 222},
  [5664] = {.lex_state = 235},
  [5665] = {.lex_state = 236},
  [5666] = {.lex_state = 236},
  [5667] = {.lex_state = 222},
  [5668] = {.lex_state = 175},
  [5669] = {.lex_state = 236},
  [5670] = {.lex_state = 236},
  [5671] = {.lex_state = 236},
  [5672] = {.lex_state = 175},
  [5673] = {.lex_state = 222},
  [5674] = {.lex_state = 175},
  [5675] = {.lex_state = 238},
  [5676] = {.lex_state = 239},
  [5677] = {.lex_state = 175},
  [5678] = {.lex_state = 235},
  [5679] = {.lex_state = 239},
  [5680] = {.lex_state = 192},
  [5681] = {.lex_state = 238},
  [5682] = {.lex_state = 192},
  [5683] = {.lex_state = 175},
  [5684] = {.lex_state = 175},
  [5685] = {.lex_state = 222},
  [5686] = {.lex_state = 192},
  [5687] = {.lex_state = 192},
  [5688] = {.lex_state = 239},
  [5689] = {.lex_state = 239},
  [5690] = {.lex_state = 239},
  [5691] = {.lex_state = 192},
  [5692] = {.lex_state = 192},
  [5693] = {.lex_state = 175},
  [5694] = {.lex_state = 175},
  [5695] = {.lex_state = 192},
  [5696] = {.lex_state = 175},
  [5697] = {.lex_state = 222},
  [5698] = {.lex_state = 222},
  [5699] = {.lex_state = 192},
  [5700] = {.lex_state = 175},
  [5701] = {.lex_state = 192},
  [5702] = {.lex_state = 175},
  [5703] = {.lex_state = 175},
  [5704] = {.lex_state = 175},
  [5705] = {.lex_state = 192},
  [5706] = {.lex_state = 222},
  [5707] = {.lex_state = 175},
  [5708] = {.lex_state = 192},
  [5709] = {.lex_state = 222},
  [5710] = {.lex_state = 175},
  [5711] = {.lex_state = 192},
  [5712] = {.lex_state = 192},
  [5713] = {.lex_state = 192},
  [5714] = {.lex_state = 236},
  [5715] = {.lex_state = 175},
  [5716] = {.lex_state = 227},
  [5717] = {.lex_state = 239},
  [5718] = {.lex_state = 192},
  [5719] = {.lex_state = 222},
  [5720] = {.lex_state = 175},
  [5721] = {.lex_state = 192},
  [5722] = {.lex_state = 192},
  [5723] = {.lex_state = 236},
  [5724] = {.lex_state = 239},
  [5725] = {.lex_state = 97},
  [5726] = {.lex_state = 97},
  [5727] = {.lex_state = 222},
  [5728] = {.lex_state = 97},
  [5729] = {.lex_state = 193},
  [5730] = {.lex_state = 97},
  [5731] = {.lex_state = 97},
  [5732] = {.lex_state = 97},
  [5733] = {.lex_state = 97},
  [5734] = {.lex_state = 239},
  [5735] = {.lex_state = 239},
  [5736] = {.lex_state = 238},
  [5737] = {.lex_state = 193},
  [5738] = {.lex_state = 97},
  [5739] = {.lex_state = 222},
  [5740] = {.lex_state = 222},
  [5741] = {.lex_state = 239},
  [5742] = {.lex_state = 236},
  [5743] = {.lex_state = 193},
  [5744] = {.lex_state = 236},
  [5745] = {.lex_state = 97},
  [5746] = {.lex_state = 97},
  [5747] = {.lex_state = 239},
  [5748] = {.lex_state = 239},
  [5749] = {.lex_state = 97},
  [5750] = {.lex_state = 97},
  [5751] = {.lex_state = 236},
  [5752] = {.lex_state = 193},
  [5753] = {.lex_state = 97},
  [5754] = {.lex_state = 97},
  [5755] = {.lex_state = 97},
  [5756] = {.lex_state = 222},
  [5757] = {.lex_state = 97},
  [5758] = {.lex_state = 97},
  [5759] = {.lex_state = 236},
  [5760] = {.lex_state = 222},
  [5761] = {.lex_state = 239},
  [5762] = {.lex_state = 97},
  [5763] = {.lex_state = 97},
  [5764] = {.lex_state = 97},
  [5765] = {.lex_state = 239},
  [5766] = {.lex_state = 192},
  [5767] = {.lex_state = 239},
  [5768] = {.lex_state = 97},
  [5769] = {.lex_state = 239},
  [5770] = {.lex_state = 97},
  [5771] = {.lex_state = 193},
  [5772] = {.lex_state = 97},
  [5773] = {.lex_state = 193},
  [5774] = {.lex_state = 239},
  [5775] = {.lex_state = 236},
  [5776] = {.lex_state = 239},
  [5777] = {.lex_state = 239},
  [5778] = {.lex_state = 239},
  [5779] = {.lex_state = 222},
  [5780] = {.lex_state = 239},
  [5781] = {.lex_state = 236},
  [5782] = {.lex_state = 97},
  [5783] = {.lex_state = 192},
  [5784] = {.lex_state = 97},
  [5785] = {.lex_state = 236},
  [5786] = {.lex_state = 239},
  [5787] = {.lex_state = 236},
  [5788] = {.lex_state = 236},
  [5789] = {.lex_state = 97},
  [5790] = {.lex_state = 239},
  [5791] = {.lex_state = 97},
  [5792] = {.lex_state = 239},
  [5793] = {.lex_state = 97},
  [5794] = {.lex_state = 236},
  [5795] = {.lex_state = 239},
  [5796] = {.lex_state = 97},
  [5797] = {.lex_state = 236},
  [5798] = {.lex_state = 97},
  [5799] = {.lex_state = 97},
  [5800] = {.lex_state = 239},
  [5801] = {.lex_state = 97},
  [5802] = {.lex_state = 97},
  [5803] = {.lex_state = 239},
  [5804] = {.lex_state = 239},
  [5805] = {.lex_state = 239},
  [5806] = {.lex_state = 239},
  [5807] = {.lex_state = 239},
  [5808] = {.lex_state = 236},
  [5809] = {.lex_state = 239},
  [5810] = {.lex_state = 239},
  [5811] = {.lex_state = 239},
  [5812] = {.lex_state = 239},
  [5813] = {.lex_state = 239},
  [5814] = {.lex_state = 239},
  [5815] = {.lex_state = 240},
  [5816] = {.lex_state = 239},
  [5817] = {.lex_state = 239},
  [5818] = {.lex_state = 239},
  [5819] = {.lex_state = 239},
  [5820] = {.lex_state = 239},
  [5821] = {.lex_state = 239},
  [5822] = {.lex_state = 239},
  [5823] = {.lex_state = 240},
  [5824] = {.lex_state = 240},
  [5825] = {.lex_state = 239},
  [5826] = {.lex_state = 240},
  [5827] = {.lex_state = 240},
  [5828] = {.lex_state = 240},
  [5829] = {.lex_state = 240},
  [5830] = {.lex_state = 193},
  [5831] = {.lex_state = 240},
  [5832] = {.lex_state = 240},
  [5833] = {.lex_state = 240},
  [5834] = {.lex_state = 240},
  [5835] = {.lex_state = 239},
  [5836] = {.lex_state = 222},
  [5837] = {.lex_state = 240},
  [5838] = {.lex_state = 240},
  [5839] = {.lex_state = 239},
  [5840] = {.lex_state = 240},
  [5841] = {.lex_state = 239},
  [5842] = {.lex_state = 193},
  [5843] = {.lex_state = 193},
  [5844] = {.lex_state = 240},
  [5845] = {.lex_state = 240},
  [5846] = {.lex_state = 239},
  [5847] = {.lex_state = 240},
  [5848] = {.lex_state = 240},
  [5849] = {.lex_state = 240},
  [5850] = {.lex_state = 239},
  [5851] = {.lex_state = 239},
  [5852] = {.lex_state = 240},
  [5853] = {.lex_state = 240},
  [5854] = {.lex_state = 240},
  [5855] = {.lex_state = 240},
  [5856] = {.lex_state = 239},
  [5857] = {.lex_state = 239},
  [5858] = {.lex_state = 240},
  [5859] = {.lex_state = 240},
  [5860] = {.lex_state = 240},
  [5861] = {.lex_state = 240},
  [5862] = {.lex_state = 193},
  [5863] = {.lex_state = 239},
  [5864] = {.lex_state = 240},
  [5865] = {.lex_state = 240},
  [5866] = {.lex_state = 239},
  [5867] = {.lex_state = 193},
  [5868] = {.lex_state = 222},
  [5869] = {.lex_state = 193},
  [5870] = {.lex_state = 239},
  [5871] = {.lex_state = 193},
  [5872] = {.lex_state = 173},
  [5873] = {.lex_state = 231},
  [5874] = {.lex_state = 231},
  [5875] = {.lex_state = 238},
  [5876] = {.lex_state = 222},
  [5877] = {.lex_state = 238},
  [5878] = {.lex_state = 173},
  [5879] = {.lex_state = 240},
  [5880] = {.lex_state = 238},
  [5881] = {.lex_state = 240},
  [5882] = {.lex_state = 240},
  [5883] = {.lex_state = 222},
  [5884] = {.lex_state = 240},
  [5885] = {.lex_state = 240},
  [5886] = {.lex_state = 240},
  [5887] = {.lex_state = 240},
  [5888] = {.lex_state = 240},
  [5889] = {.lex_state = 240},
  [5890] = {.lex_state = 193},
  [5891] = {.lex_state = 235},
  [5892] = {.lex_state = 239},
  [5893] = {.lex_state = 173},
  [5894] = {.lex_state = 173},
  [5895] = {.lex_state = 239},
  [5896] = {.lex_state = 173},
  [5897] = {.lex_state = 238},
  [5898] = {.lex_state = 173},
  [5899] = {.lex_state = 239},
  [5900] = {.lex_state = 239},
  [5901] = {.lex_state = 239},
  [5902] = {.lex_state = 238},
  [5903] = {.lex_state = 238},
  [5904] = {.lex_state = 222},
  [5905] = {.lex_state = 203},
  [5906] = {.lex_state = 238},
  [5907] = {.lex_state = 239},
  [5908] = {.lex_state = 235},
  [5909] = {.lex_state = 239},
  [5910] = {.lex_state = 231},
  [5911] = {.lex_state = 239},
  [5912] = {.lex_state = 239},
  [5913] = {.lex_state = 203},
  [5914] = {.lex_state = 240},
  [5915] = {.lex_state = 173},
  [5916] = {.lex_state = 173},
  [5917] = {.lex_state = 231},
  [5918] = {.lex_state = 193},
  [5919] = {.lex_state = 238},
  [5920] = {.lex_state = 238},
  [5921] = {.lex_state = 203},
  [5922] = {.lex_state = 239},
  [5923] = {.lex_state = 239},
  [5924] = {.lex_state = 239},
  [5925] = {.lex_state = 238},
  [5926] = {.lex_state = 235},
  [5927] = {.lex_state = 238},
  [5928] = {.lex_state = 239},
  [5929] = {.lex_state = 173},
  [5930] = {.lex_state = 239},
  [5931] = {.lex_state = 193},
  [5932] = {.lex_state = 173},
  [5933] = {.lex_state = 239},
  [5934] = {.lex_state = 239},
  [5935] = {.lex_state = 236},
  [5936] = {.lex_state = 236},
  [5937] = {.lex_state = 193},
  [5938] = {.lex_state = 173},
  [5939] = {.lex_state = 236},
  [5940] = {.lex_state = 236},
  [5941] = {.lex_state = 193},
  [5942] = {.lex_state = 236},
  [5943] = {.lex_state = 173},
  [5944] = {.lex_state = 236},
  [5945] = {.lex_state = 236},
  [5946] = {.lex_state = 236},
  [5947] = {.lex_state = 236},
  [5948] = {.lex_state = 236},
  [5949] = {.lex_state = 236},
  [5950] = {.lex_state = 236},
  [5951] = {.lex_state = 236},
  [5952] = {.lex_state = 239},
  [5953] = {.lex_state = 236},
  [5954] = {.lex_state = 236},
  [5955] = {.lex_state = 236},
  [5956] = {.lex_state = 236},
  [5957] = {.lex_state = 236},
  [5958] = {.lex_state = 239},
  [5959] = {.lex_state = 236},
  [5960] = {.lex_state = 239},
  [5961] = {.lex_state = 239},
  [5962] = {.lex_state = 239},
  [5963] = {.lex_state = 240},
  [5964] = {.lex_state = 240},
  [5965] = {.lex_state = 193},
  [5966] = {.lex_state = 239},
  [5967] = {.lex_state = 240},
  [5968] = {.lex_state = 197},
  [5969] = {.lex_state = 197},
  [5970] = {.lex_state = 197},
  [5971] = {.lex_state = 197},
  [5972] = {.lex_state = 235},
  [5973] = {.lex_state = 173},
  [5974] = {.lex_state = 239},
  [5975] = {.lex_state = 240},
  [5976] = {.lex_state = 239},
  [5977] = {.lex_state = 239},
  [5978] = {.lex_state = 239},
  [5979] = {.lex_state = 239},
  [5980] = {.lex_state = 197},
  [5981] = {.lex_state = 197},
  [5982] = {.lex_state = 197},
  [5983] = {.lex_state = 197},
  [5984] = {.lex_state = 239},
  [5985] = {.lex_state = 178},
  [5986] = {.lex_state = 240},
  [5987] = {.lex_state = 173},
  [5988] = {.lex_state = 240},
  [5989] = {.lex_state = 194},
  [5990] = {.lex_state = 197},
  [5991] = {.lex_state = 240},
  [5992] = {.lex_state = 239},
  [5993] = {.lex_state = 185},
  [5994] = {.lex_state = 240},
  [5995] = {.lex_state = 185},
  [5996] = {.lex_state = 238},
  [5997] = {.lex_state = 173},
  [5998] = {.lex_state = 173},
  [5999] = {.lex_state = 240},
  [6000] = {.lex_state = 235},
  [6001] = {.lex_state = 239},
  [6002] = {.lex_state = 239},
  [6003] = {.lex_state = 173},
  [6004] = {.lex_state = 240},
  [6005] = {.lex_state = 185},
  [6006] = {.lex_state = 240},
  [6007] = {.lex_state = 185},
  [6008] = {.lex_state = 239},
  [6009] = {.lex_state = 194},
  [6010] = {.lex_state = 193},
  [6011] = {.lex_state = 240},
  [6012] = {.lex_state = 197},
  [6013] = {.lex_state = 227},
  [6014] = {.lex_state = 227},
  [6015] = {.lex_state = 227},
  [6016] = {.lex_state = 227},
  [6017] = {.lex_state = 239},
  [6018] = {.lex_state = 227},
  [6019] = {.lex_state = 227},
  [6020] = {.lex_state = 227},
  [6021] = {.lex_state = 227},
  [6022] = {.lex_state = 239},
  [6023] = {.lex_state = 173},
  [6024] = {.lex_state = 185},
  [6025] = {.lex_state = 239},
  [6026] = {.lex_state = 185},
  [6027] = {.lex_state = 239},
  [6028] = {.lex_state = 239},
  [6029] = {.lex_state = 238},
  [6030] = {.lex_state = 185},
  [6031] = {.lex_state = 194},
  [6032] = {.lex_state = 197},
  [6033] = {.lex_state = 185},
  [6034] = {.lex_state = 194},
  [6035] = {.lex_state = 197},
  [6036] = {.lex_state = 185},
  [6037] = {.lex_state = 239},
  [6038] = {.lex_state = 239},
  [6039] = {.lex_state = 185},
  [6040] = {.lex_state = 185},
  [6041] = {.lex_state = 240},
  [6042] = {.lex_state = 239},
  [6043] = {.lex_state = 173},
  [6044] = {.lex_state = 185},
  [6045] = {.lex_state = 185},
  [6046] = {.lex_state = 239},
  [6047] = {.lex_state = 197},
  [6048] = {.lex_state = 194},
  [6049] = {.lex_state = 239},
  [6050] = {.lex_state = 240},
  [6051] = {.lex_state = 238},
  [6052] = {.lex_state = 197},
  [6053] = {.lex_state = 194},
  [6054] = {.lex_state = 239},
  [6055] = {.lex_state = 197},
  [6056] = {.lex_state = 193},
  [6057] = {.lex_state = 238},
  [6058] = {.lex_state = 193},
  [6059] = {.lex_state = 193},
  [6060] = {.lex_state = 193},
  [6061] = {.lex_state = 239},
  [6062] = {.lex_state = 239},
  [6063] = {.lex_state = 185},
  [6064] = {.lex_state = 239},
  [6065] = {.lex_state = 239},
  [6066] = {.lex_state = 239},
  [6067] = {.lex_state = 239},
  [6068] = {.lex_state = 239},
  [6069] = {.lex_state = 194},
  [6070] = {.lex_state = 240},
  [6071] = {.lex_state = 197},
  [6072] = {.lex_state = 240},
  [6073] = {.lex_state = 173},
  [6074] = {.lex_state = 194},
  [6075] = {.lex_state = 239},
  [6076] = {.lex_state = 193},
  [6077] = {.lex_state = 240},
  [6078] = {.lex_state = 239},
  [6079] = {.lex_state = 238},
  [6080] = {.lex_state = 197},
  [6081] = {.lex_state = 240},
  [6082] = {.lex_state = 197},
  [6083] = {.lex_state = 239},
  [6084] = {.lex_state = 239},
  [6085] = {.lex_state = 173},
  [6086] = {.lex_state = 185},
  [6087] = {.lex_state = 239},
  [6088] = {.lex_state = 239},
  [6089] = {.lex_state = 240},
  [6090] = {.lex_state = 185},
  [6091] = {.lex_state = 240},
  [6092] = {.lex_state = 239},
  [6093] = {.lex_state = 239},
  [6094] = {.lex_state = 239},
  [6095] = {.lex_state = 238},
  [6096] = {.lex_state = 239},
  [6097] = {.lex_state = 185},
  [6098] = {.lex_state = 193},
  [6099] = {.lex_state = 185},
  [6100] = {.lex_state = 185},
  [6101] = {.lex_state = 185},
  [6102] = {.lex_state = 185},
  [6103] = {.lex_state = 238},
  [6104] = {.lex_state = 239},
  [6105] = {.lex_state = 185},
  [6106] = {.lex_state = 173},
  [6107] = {.lex_state = 239},
  [6108] = {.lex_state = 239},
  [6109] = {.lex_state = 239},
  [6110] = {.lex_state = 239},
  [6111] = {.lex_state = 239},
  [6112] = {.lex_state = 238},
  [6113] = {.lex_state = 239},
  [6114] = {.lex_state = 240},
  [6115] = {.lex_state = 239},
  [6116] = {.lex_state = 193},
  [6117] = {.lex_state = 239},
  [6118] = {.lex_state = 193},
  [6119] = {.lex_state = 239},
  [6120] = {.lex_state = 227},
  [6121] = {.lex_state = 231},
  [6122] = {.lex_state = 239},
  [6123] = {.lex_state = 193},
  [6124] = {.lex_state = 231},
  [6125] = {.lex_state = 193},
  [6126] = {.lex_state = 193},
  [6127] = {.lex_state = 239},
  [6128] = {.lex_state = 193},
  [6129] = {.lex_state = 239},
  [6130] = {.lex_state = 193},
  [6131] = {.lex_state = 193},
  [6132] = {.lex_state = 239},
  [6133] = {.lex_state = 193},
  [6134] = {.lex_state = 213},
  [6135] = {.lex_state = 239},
  [6136] = {.lex_state = 227},
  [6137] = {.lex_state = 193},
  [6138] = {.lex_state = 193},
  [6139] = {.lex_state = 239},
  [6140] = {.lex_state = 239},
  [6141] = {.lex_state = 213},
  [6142] = {.lex_state = 227},
  [6143] = {.lex_state = 239},
  [6144] = {.lex_state = 227},
  [6145] = {.lex_state = 227},
  [6146] = {.lex_state = 227},
  [6147] = {.lex_state = 193},
  [6148] = {.lex_state = 193},
  [6149] = {.lex_state = 193},
  [6150] = {.lex_state = 239},
  [6151] = {.lex_state = 239},
  [6152] = {.lex_state = 239},
  [6153] = {.lex_state = 239},
  [6154] = {.lex_state = 227},
  [6155] = {.lex_state = 239},
  [6156] = {.lex_state = 239},
  [6157] = {.lex_state = 239},
  [6158] = {.lex_state = 193},
  [6159] = {.lex_state = 193},
  [6160] = {.lex_state = 239},
  [6161] = {.lex_state = 213},
  [6162] = {.lex_state = 227},
  [6163] = {.lex_state = 213},
  [6164] = {.lex_state = 239},
  [6165] = {.lex_state = 231},
  [6166] = {.lex_state = 213},
  [6167] = {.lex_state = 213},
  [6168] = {.lex_state = 239},
  [6169] = {.lex_state = 231},
  [6170] = {.lex_state = 239},
  [6171] = {.lex_state = 227},
  [6172] = {.lex_state = 213},
  [6173] = {.lex_state = 227},
  [6174] = {.lex_state = 193},
  [6175] = {.lex_state = 239},
  [6176] = {.lex_state = 227},
  [6177] = {.lex_state = 193},
  [6178] = {.lex_state = 213},
  [6179] = {.lex_state = 239},
  [6180] = {.lex_state = 227},
  [6181] = {.lex_state = 239},
  [6182] = {.lex_state = 239},
  [6183] = {.lex_state = 239},
  [6184] = {.lex_state = 193},
  [6185] = {.lex_state = 239},
  [6186] = {.lex_state = 193},
  [6187] = {.lex_state = 193},
  [6188] = {.lex_state = 193},
  [6189] = {.lex_state = 239},
  [6190] = {.lex_state = 239},
  [6191] = {.lex_state = 193},
  [6192] = {.lex_state = 202},
  [6193] = {.lex_state = 239},
  [6194] = {.lex_state = 193},
  [6195] = {.lex_state = 247},
  [6196] = {.lex_state = 193},
  [6197] = {.lex_state = 239},
  [6198] = {.lex_state = 193},
  [6199] = {.lex_state = 193},
  [6200] = {.lex_state = 239},
  [6201] = {.lex_state = 239},
  [6202] = {.lex_state = 193},
  [6203] = {.lex_state = 191},
  [6204] = {.lex_state = 191},
  [6205] = {.lex_state = 191},
  [6206] = {.lex_state = 240},
  [6207] = {.lex_state = 173},
  [6208] = {.lex_state = 191},
  [6209] = {.lex_state = 240},
  [6210] = {.lex_state = 239},
  [6211] = {.lex_state = 239},
  [6212] = {.lex_state = 239},
  [6213] = {.lex_state = 191},
  [6214] = {.lex_state = 191},
  [6215] = {.lex_state = 193},
  [6216] = {.lex_state = 239},
  [6217] = {.lex_state = 191},
  [6218] = {.lex_state = 240},
  [6219] = {.lex_state = 191},
  [6220] = {.lex_state = 191},
  [6221] = {.lex_state = 239},
  [6222] = {.lex_state = 191},
  [6223] = {.lex_state = 240},
  [6224] = {.lex_state = 239},
  [6225] = {.lex_state = 193},
  [6226] = {.lex_state = 191},
  [6227] = {.lex_state = 193},
  [6228] = {.lex_state = 239},
  [6229] = {.lex_state = 193},
  [6230] = {.lex_state = 239},
  [6231] = {.lex_state = 191},
  [6232] = {.lex_state = 191},
  [6233] = {.lex_state = 235},
  [6234] = {.lex_state = 193},
  [6235] = {.lex_state = 240},
  [6236] = {.lex_state = 239},
  [6237] = {.lex_state = 191},
  [6238] = {.lex_state = 239},
  [6239] = {.lex_state = 240},
  [6240] = {.lex_state = 193},
  [6241] = {.lex_state = 239},
  [6242] = {.lex_state = 239},
  [6243] = {.lex_state = 239},
  [6244] = {.lex_state = 191},
  [6245] = {.lex_state = 173},
  [6246] = {.lex_state = 191},
  [6247] = {.lex_state = 193},
  [6248] = {.lex_state = 191},
  [6249] = {.lex_state = 193},
  [6250] = {.lex_state = 240},
  [6251] = {.lex_state = 239},
  [6252] = {.lex_state = 239},
  [6253] = {.lex_state = 239},
  [6254] = {.lex_state = 239},
  [6255] = {.lex_state = 193},
  [6256] = {.lex_state = 239},
  [6257] = {.lex_state = 239},
  [6258] = {.lex_state = 239},
  [6259] = {.lex_state = 193},
  [6260] = {.lex_state = 239},
  [6261] = {.lex_state = 239},
  [6262] = {.lex_state = 191},
  [6263] = {.lex_state = 239},
  [6264] = {.lex_state = 239},
  [6265] = {.lex_state = 239},
  [6266] = {.lex_state = 239},
  [6267] = {.lex_state = 193},
  [6268] = {.lex_state = 191},
  [6269] = {.lex_state = 240},
  [6270] = {.lex_state = 173},
  [6271] = {.lex_state = 191},
  [6272] = {.lex_state = 239},
  [6273] = {.lex_state = 193},
  [6274] = {.lex_state = 239},
  [6275] = {.lex_state = 239},
  [6276] = {.lex_state = 193},
  [6277] = {.lex_state = 239},
  [6278] = {.lex_state = 239},
  [6279] = {.lex_state = 239},
  [6280] = {.lex_state = 239},
  [6281] = {.lex_state = 239},
  [6282] = {.lex_state = 193},
  [6283] = {.lex_state = 239},
  [6284] = {.lex_state = 239},
  [6285] = {.lex_state = 193},
  [6286] = {.lex_state = 239},
  [6287] = {.lex_state = 239},
  [6288] = {.lex_state = 193},
  [6289] = {.lex_state = 239},
  [6290] = {.lex_state = 193},
  [6291] = {.lex_state = 239},
  [6292] = {.lex_state = 193},
  [6293] = {.lex_state = 193},
  [6294] = {.lex_state = 193},
  [6295] = {.lex_state = 238},
  [6296] = {.lex_state = 0},
  [6297] = {.lex_state = 235},
  [6298] = {.lex_state = 239},
  [6299] = {.lex_state = 235},
  [6300] = {.lex_state = 239},
  [6301] = {.lex_state = 239},
  [6302] = {.lex_state = 239},
  [6303] = {.lex_state = 193},
  [6304] = {.lex_state = 239},
  [6305] = {.lex_state = 193},
  [6306] = {.lex_state = 193},
  [6307] = {.lex_state = 239},
  [6308] = {.lex_state = 193},
  [6309] = {.lex_state = 239},
  [6310] = {.lex_state = 193},
  [6311] = {.lex_state = 197},
  [6312] = {.lex_state = 197},
  [6313] = {.lex_state = 197},
  [6314] = {.lex_state = 197},
  [6315] = {.lex_state = 193},
  [6316] = {.lex_state = 193},
  [6317] = {.lex_state = 193},
  [6318] = {.lex_state = 193},
  [6319] = {.lex_state = 193},
  [6320] = {.lex_state = 197},
  [6321] = {.lex_state = 197},
  [6322] = {.lex_state = 197},
  [6323] = {.lex_state = 239},
  [6324] = {.lex_state = 197},
  [6325] = {.lex_state = 239},
  [6326] = {.lex_state = 239},
  [6327] = {.lex_state = 193},
  [6328] = {.lex_state = 193},
  [6329] = {.lex_state = 239},
  [6330] = {.lex_state = 239},
  [6331] = {.lex_state = 193},
  [6332] = {.lex_state = 239},
  [6333] = {.lex_state = 239},
  [6334] = {.lex_state = 239},
  [6335] = {.lex_state = 193},
  [6336] = {.lex_state = 235},
  [6337] = {.lex_state = 193},
  [6338] = {.lex_state = 239},
  [6339] = {.lex_state = 239},
  [6340] = {.lex_state = 239},
  [6341] = {.lex_state = 193},
  [6342] = {.lex_state = 239},
  [6343] = {.lex_state = 238},
  [6344] = {.lex_state = 227},
  [6345] = {.lex_state = 193},
  [6346] = {.lex_state = 193},
  [6347] = {.lex_state = 193},
  [6348] = {.lex_state = 227},
  [6349] = {.lex_state = 238},
  [6350] = {.lex_state = 238},
  [6351] = {.lex_state = 193},
  [6352] = {.lex_state = 193},
  [6353] = {.lex_state = 193},
  [6354] = {.lex_state = 193},
  [6355] = {.lex_state = 197},
  [6356] = {.lex_state = 197},
  [6357] = {.lex_state = 239},
  [6358] = {.lex_state = 238},
  [6359] = {.lex_state = 193},
  [6360] = {.lex_state = 194},
  [6361] = {.lex_state = 193},
  [6362] = {.lex_state = 193},
  [6363] = {.lex_state = 193},
  [6364] = {.lex_state = 197},
  [6365] = {.lex_state = 193},
  [6366] = {.lex_state = 197},
  [6367] = {.lex_state = 193},
  [6368] = {.lex_state = 227},
  [6369] = {.lex_state = 227},
  [6370] = {.lex_state = 193},
  [6371] = {.lex_state = 194},
  [6372] = {.lex_state = 193},
  [6373] = {.lex_state = 193},
  [6374] = {.lex_state = 193},
  [6375] = {.lex_state = 193},
  [6376] = {.lex_state = 193},
  [6377] = {.lex_state = 238},
  [6378] = {.lex_state = 193},
  [6379] = {.lex_state = 193},
  [6380] = {.lex_state = 193},
  [6381] = {.lex_state = 193},
  [6382] = {.lex_state = 193},
  [6383] = {.lex_state = 239},
  [6384] = {.lex_state = 239},
  [6385] = {.lex_state = 238},
  [6386] = {.lex_state = 191},
  [6387] = {.lex_state = 235},
  [6388] = {.lex_state = 193},
  [6389] = {.lex_state = 193},
  [6390] = {.lex_state = 193},
  [6391] = {.lex_state = 193},
  [6392] = {.lex_state = 227},
  [6393] = {.lex_state = 235},
  [6394] = {.lex_state = 197},
  [6395] = {.lex_state = 227},
  [6396] = {.lex_state = 193},
  [6397] = {.lex_state = 193},
  [6398] = {.lex_state = 239},
  [6399] = {.lex_state = 194},
  [6400] = {.lex_state = 193},
  [6401] = {.lex_state = 193},
  [6402] = {.lex_state = 193},
  [6403] = {.lex_state = 193},
  [6404] = {.lex_state = 193},
  [6405] = {.lex_state = 193},
  [6406] = {.lex_state = 193},
  [6407] = {.lex_state = 193},
  [6408] = {.lex_state = 193},
  [6409] = {.lex_state = 193},
  [6410] = {.lex_state = 193},
  [6411] = {.lex_state = 193},
  [6412] = {.lex_state = 193},
  [6413] = {.lex_state = 193},
  [6414] = {.lex_state = 193},
  [6415] = {.lex_state = 193},
  [6416] = {.lex_state = 194},
  [6417] = {.lex_state = 239},
  [6418] = {.lex_state = 193},
  [6419] = {.lex_state = 227},
  [6420] = {.lex_state = 193},
  [6421] = {.lex_state = 193},
  [6422] = {.lex_state = 193},
  [6423] = {.lex_state = 193},
  [6424] = {.lex_state = 193},
  [6425] = {.lex_state = 193},
  [6426] = {.lex_state = 193},
  [6427] = {.lex_state = 193},
  [6428] = {.lex_state = 193},
  [6429] = {.lex_state = 193},
  [6430] = {.lex_state = 193},
  [6431] = {.lex_state = 193},
  [6432] = {.lex_state = 193},
  [6433] = {.lex_state = 194},
  [6434] = {.lex_state = 197},
  [6435] = {.lex_state = 193},
  [6436] = {.lex_state = 193},
  [6437] = {.lex_state = 193},
  [6438] = {.lex_state = 193},
  [6439] = {.lex_state = 193},
  [6440] = {.lex_state = 193},
  [6441] = {.lex_state = 193},
  [6442] = {.lex_state = 193},
  [6443] = {.lex_state = 193},
  [6444] = {.lex_state = 197},
  [6445] = {.lex_state = 193},
  [6446] = {.lex_state = 193},
  [6447] = {.lex_state = 239},
  [6448] = {.lex_state = 194},
  [6449] = {.lex_state = 193},
  [6450] = {.lex_state = 193},
  [6451] = {.lex_state = 193},
  [6452] = {.lex_state = 193},
  [6453] = {.lex_state = 193},
  [6454] = {.lex_state = 194},
  [6455] = {.lex_state = 193},
  [6456] = {.lex_state = 239},
  [6457] = {.lex_state = 193},
  [6458] = {.lex_state = 193},
  [6459] = {.lex_state = 193},
  [6460] = {.lex_state = 238},
  [6461] = {.lex_state = 238},
  [6462] = {.lex_state = 193},
  [6463] = {.lex_state = 193},
  [6464] = {.lex_state = 239},
  [6465] = {.lex_state = 239},
  [6466] = {.lex_state = 227},
  [6467] = {.lex_state = 193},
  [6468] = {.lex_state = 197},
  [6469] = {.lex_state = 197},
  [6470] = {.lex_state = 193},
  [6471] = {.lex_state = 194},
  [6472] = {.lex_state = 193},
  [6473] = {.lex_state = 193},
  [6474] = {.lex_state = 193},
  [6475] = {.lex_state = 193},
  [6476] = {.lex_state = 193},
  [6477] = {.lex_state = 227},
  [6478] = {.lex_state = 193},
  [6479] = {.lex_state = 193},
  [6480] = {.lex_state = 239},
  [6481] = {.lex_state = 193},
  [6482] = {.lex_state = 193},
  [6483] = {.lex_state = 239},
  [6484] = {.lex_state = 239},
  [6485] = {.lex_state = 178},
  [6486] = {.lex_state = 235},
  [6487] = {.lex_state = 334},
  [6488] = {.lex_state = 239},
  [6489] = {.lex_state = 222},
  [6490] = {.lex_state = 222},
  [6491] = {.lex_state = 213},
  [6492] = {.lex_state = 239},
  [6493] = {.lex_state = 239},
  [6494] = {.lex_state = 222},
  [6495] = {.lex_state = 239},
  [6496] = {.lex_state = 222},
  [6497] = {.lex_state = 239},
  [6498] = {.lex_state = 213},
  [6499] = {.lex_state = 240},
  [6500] = {.lex_state = 213},
  [6501] = {.lex_state = 193},
  [6502] = {.lex_state = 239},
  [6503] = {.lex_state = 213},
  [6504] = {.lex_state = 213},
  [6505] = {.lex_state = 222},
  [6506] = {.lex_state = 213},
  [6507] = {.lex_state = 240},
  [6508] = {.lex_state = 222},
  [6509] = {.lex_state = 178},
  [6510] = {.lex_state = 222},
  [6511] = {.lex_state = 239},
  [6512] = {.lex_state = 193},
  [6513] = {.lex_state = 193},
  [6514] = {.lex_state = 239},
  [6515] = {.lex_state = 222},
  [6516] = {.lex_state = 222},
  [6517] = {.lex_state = 222},
  [6518] = {.lex_state = 222},
  [6519] = {.lex_state = 193},
  [6520] = {.lex_state = 213},
  [6521] = {.lex_state = 222},
  [6522] = {.lex_state = 240},
  [6523] = {.lex_state = 213},
  [6524] = {.lex_state = 193},
  [6525] = {.lex_state = 240},
  [6526] = {.lex_state = 222},
  [6527] = {.lex_state = 193},
  [6528] = {.lex_state = 193},
  [6529] = {.lex_state = 232},
  [6530] = {.lex_state = 334},
  [6531] = {.lex_state = 334},
  [6532] = {.lex_state = 193},
  [6533] = {.lex_state = 193},
  [6534] = {.lex_state = 193},
  [6535] = {.lex_state = 193},
  [6536] = {.lex_state = 193},
  [6537] = {.lex_state = 193},
  [6538] = {.lex_state = 232},
  [6539] = {.lex_state = 193},
  [6540] = {.lex_state = 193},
  [6541] = {.lex_state = 193},
  [6542] = {.lex_state = 193},
  [6543] = {.lex_state = 193},
  [6544] = {.lex_state = 173},
  [6545] = {.lex_state = 193},
  [6546] = {.lex_state = 193},
  [6547] = {.lex_state = 193},
  [6548] = {.lex_state = 193},
  [6549] = {.lex_state = 193},
  [6550] = {.lex_state = 193},
  [6551] = {.lex_state = 193},
  [6552] = {.lex_state = 239},
  [6553] = {.lex_state = 334},
  [6554] = {.lex_state = 334},
  [6555] = {.lex_state = 193},
  [6556] = {.lex_state = 193},
  [6557] = {.lex_state = 193},
  [6558] = {.lex_state = 334},
  [6559] = {.lex_state = 193},
  [6560] = {.lex_state = 193},
  [6561] = {.lex_state = 334},
  [6562] = {.lex_state = 193},
  [6563] = {.lex_state = 193},
  [6564] = {.lex_state = 193},
  [6565] = {.lex_state = 193},
  [6566] = {.lex_state = 239},
  [6567] = {.lex_state = 193},
  [6568] = {.lex_state = 193},
  [6569] = {.lex_state = 193},
  [6570] = {.lex_state = 193},
  [6571] = {.lex_state = 193},
  [6572] = {.lex_state = 193},
  [6573] = {.lex_state = 193},
  [6574] = {.lex_state = 232},
  [6575] = {.lex_state = 193},
  [6576] = {.lex_state = 193},
  [6577] = {.lex_state = 193},
  [6578] = {.lex_state = 232},
  [6579] = {.lex_state = 193},
  [6580] = {.lex_state = 193},
  [6581] = {.lex_state = 193},
  [6582] = {.lex_state = 193},
  [6583] = {.lex_state = 193},
  [6584] = {.lex_state = 193},
  [6585] = {.lex_state = 193},
  [6586] = {.lex_state = 238},
  [6587] = {.lex_state = 193},
  [6588] = {.lex_state = 193},
  [6589] = {.lex_state = 193},
  [6590] = {.lex_state = 334},
  [6591] = {.lex_state = 334},
  [6592] = {.lex_state = 334},
  [6593] = {.lex_state = 334},
  [6594] = {.lex_state = 334},
  [6595] = {.lex_state = 334},
  [6596] = {.lex_state = 334},
  [6597] = {.lex_state = 334},
  [6598] = {.lex_state = 222},
  [6599] = {.lex_state = 173},
  [6600] = {.lex_state = 239},
  [6601] = {.lex_state = 334},
  [6602] = {.lex_state = 235},
  [6603] = {.lex_state = 239},
  [6604] = {.lex_state = 334},
  [6605] = {.lex_state = 334},
  [6606] = {.lex_state = 197},
  [6607] = {.lex_state = 197},
  [6608] = {.lex_state = 197},
  [6609] = {.lex_state = 197},
  [6610] = {.lex_state = 334},
  [6611] = {.lex_state = 197},
  [6612] = {.lex_state = 197},
  [6613] = {.lex_state = 197},
  [6614] = {.lex_state = 197},
  [6615] = {.lex_state = 334},
  [6616] = {.lex_state = 239},
  [6617] = {.lex_state = 239},
  [6618] = {.lex_state = 334},
  [6619] = {.lex_state = 238},
  [6620] = {.lex_state = 227},
  [6621] = {.lex_state = 238},
  [6622] = {.lex_state = 238},
  [6623] = {.lex_state = 222},
  [6624] = {.lex_state = 235},
  [6625] = {.lex_state = 227},
  [6626] = {.lex_state = 334},
  [6627] = {.lex_state = 334},
  [6628] = {.lex_state = 334},
  [6629] = {.lex_state = 227},
  [6630] = {.lex_state = 334},
  [6631] = {.lex_state = 238},
  [6632] = {.lex_state = 334},
  [6633] = {.lex_state = 334},
  [6634] = {.lex_state = 235},
  [6635] = {.lex_state = 334},
  [6636] = {.lex_state = 334},
  [6637] = {.lex_state = 334},
  [6638] = {.lex_state = 193},
  [6639] = {.lex_state = 193},
  [6640] = {.lex_state = 197},
  [6641] = {.lex_state = 197},
  [6642] = {.lex_state = 238},
  [6643] = {.lex_state = 334},
  [6644] = {.lex_state = 197},
  [6645] = {.lex_state = 334},
  [6646] = {.lex_state = 197},
  [6647] = {.lex_state = 334},
  [6648] = {.lex_state = 334},
  [6649] = {.lex_state = 173},
  [6650] = {.lex_state = 239},
  [6651] = {.lex_state = 334},
  [6652] = {.lex_state = 239},
  [6653] = {.lex_state = 239},
  [6654] = {.lex_state = 239},
  [6655] = {.lex_state = 239},
  [6656] = {.lex_state = 239},
  [6657] = {.lex_state = 334},
  [6658] = {.lex_state = 334},
  [6659] = {.lex_state = 227},
  [6660] = {.lex_state = 193},
  [6661] = {.lex_state = 334},
  [6662] = {.lex_state = 173},
  [6663] = {.lex_state = 239},
  [6664] = {.lex_state = 334},
  [6665] = {.lex_state = 193},
  [6666] = {.lex_state = 334},
  [6667] = {.lex_state = 173},
  [6668] = {.lex_state = 238},
  [6669] = {.lex_state = 239},
  [6670] = {.lex_state = 193},
  [6671] = {.lex_state = 334},
  [6672] = {.lex_state = 173},
  [6673] = {.lex_state = 173},
  [6674] = {.lex_state = 173},
  [6675] = {.lex_state = 239},
  [6676] = {.lex_state = 334},
  [6677] = {.lex_state = 193},
  [6678] = {.lex_state = 239},
  [6679] = {.lex_state = 173},
  [6680] = {.lex_state = 173},
  [6681] = {.lex_state = 238},
  [6682] = {.lex_state = 334},
  [6683] = {.lex_state = 334},
  [6684] = {.lex_state = 240},
  [6685] = {.lex_state = 173},
  [6686] = {.lex_state = 173},
  [6687] = {.lex_state = 173},
  [6688] = {.lex_state = 173},
  [6689] = {.lex_state = 173},
  [6690] = {.lex_state = 235},
  [6691] = {.lex_state = 193},
  [6692] = {.lex_state = 193},
  [6693] = {.lex_state = 173},
  [6694] = {.lex_state = 193},
  [6695] = {.lex_state = 173},
  [6696] = {.lex_state = 173},
  [6697] = {.lex_state = 334},
  [6698] = {.lex_state = 173},
  [6699] = {.lex_state = 173},
  [6700] = {.lex_state = 193},
  [6701] = {.lex_state = 334},
  [6702] = {.lex_state = 334},
  [6703] = {.lex_state = 173},
  [6704] = {.lex_state = 193},
  [6705] = {.lex_state = 173},
  [6706] = {.lex_state = 334},
  [6707] = {.lex_state = 193},
  [6708] = {.lex_state = 193},
  [6709] = {.lex_state = 193},
  [6710] = {.lex_state = 193},
  [6711] = {.lex_state = 238},
  [6712] = {.lex_state = 193},
  [6713] = {.lex_state = 240},
  [6714] = {.lex_state = 173},
  [6715] = {.lex_state = 173},
  [6716] = {.lex_state = 173},
  [6717] = {.lex_state = 173},
  [6718] = {.lex_state = 193},
  [6719] = {.lex_state = 193},
  [6720] = {.lex_state = 193},
  [6721] = {.lex_state = 193},
  [6722] = {.lex_state = 193},
  [6723] = {.lex_state = 193},
  [6724] = {.lex_state = 193},
  [6725] = {.lex_state = 193},
  [6726] = {.lex_state = 193},
  [6727] = {.lex_state = 193},
  [6728] = {.lex_state = 239},
  [6729] = {.lex_state = 235},
  [6730] = {.lex_state = 191},
  [6731] = {.lex_state = 191},
  [6732] = {.lex_state = 193},
  [6733] = {.lex_state = 191},
  [6734] = {.lex_state = 235},
  [6735] = {.lex_state = 334},
  [6736] = {.lex_state = 334},
  [6737] = {.lex_state = 235},
  [6738] = {.lex_state = 191},
  [6739] = {.lex_state = 334},
  [6740] = {.lex_state = 235},
  [6741] = {.lex_state = 239},
  [6742] = {.lex_state = 334},
  [6743] = {.lex_state = 334},
  [6744] = {.lex_state = 191},
  [6745] = {.lex_state = 235},
  [6746] = {.lex_state = 191},
  [6747] = {.lex_state = 235},
  [6748] = {.lex_state = 0},
  [6749] = {.lex_state = 235},
  [6750] = {.lex_state = 193},
  [6751] = {.lex_state = 235},
  [6752] = {.lex_state = 235},
  [6753] = {.lex_state = 235},
  [6754] = {.lex_state = 191},
  [6755] = {.lex_state = 191},
  [6756] = {.lex_state = 191},
  [6757] = {.lex_state = 235},
  [6758] = {.lex_state = 191},
  [6759] = {.lex_state = 193},
  [6760] = {.lex_state = 235},
  [6761] = {.lex_state = 191},
  [6762] = {.lex_state = 235},
  [6763] = {.lex_state = 0},
  [6764] = {.lex_state = 235},
  [6765] = {.lex_state = 173},
  [6766] = {.lex_state = 193},
  [6767] = {.lex_state = 173},
  [6768] = {.lex_state = 193},
  [6769] = {.lex_state = 193},
  [6770] = {.lex_state = 193},
  [6771] = {.lex_state = 193},
  [6772] = {.lex_state = 193},
  [6773] = {.lex_state = 193},
  [6774] = {.lex_state = 193},
  [6775] = {.lex_state = 202},
  [6776] = {.lex_state = 193},
  [6777] = {.lex_state = 193},
  [6778] = {.lex_state = 193},
  [6779] = {.lex_state = 193},
  [6780] = {.lex_state = 202},
  [6781] = {.lex_state = 193},
  [6782] = {.lex_state = 193},
  [6783] = {.lex_state = 334},
  [6784] = {.lex_state = 334},
  [6785] = {.lex_state = 193},
  [6786] = {.lex_state = 193},
  [6787] = {.lex_state = 202},
  [6788] = {.lex_state = 235},
  [6789] = {.lex_state = 334},
  [6790] = {.lex_state = 235},
  [6791] = {.lex_state = 202},
  [6792] = {.lex_state = 202},
  [6793] = {.lex_state = 193},
  [6794] = {.lex_state = 193},
  [6795] = {.lex_state = 173},
  [6796] = {.lex_state = 202},
  [6797] = {.lex_state = 193},
  [6798] = {.lex_state = 193},
  [6799] = {.lex_state = 193},
  [6800] = {.lex_state = 193},
  [6801] = {.lex_state = 173},
  [6802] = {.lex_state = 235},
  [6803] = {.lex_state = 193},
  [6804] = {.lex_state = 193},
  [6805] = {.lex_state = 193},
  [6806] = {.lex_state = 193},
  [6807] = {.lex_state = 193},
  [6808] = {.lex_state = 202},
  [6809] = {.lex_state = 193},
  [6810] = {.lex_state = 193},
  [6811] = {.lex_state = 193},
  [6812] = {.lex_state = 193},
  [6813] = {.lex_state = 193},
  [6814] = {.lex_state = 193},
  [6815] = {.lex_state = 202},
  [6816] = {.lex_state = 193},
  [6817] = {.lex_state = 193},
  [6818] = {.lex_state = 193},
  [6819] = {.lex_state = 193},
  [6820] = {.lex_state = 193},
  [6821] = {.lex_state = 334},
  [6822] = {.lex_state = 193},
  [6823] = {.lex_state = 239},
  [6824] = {.lex_state = 193},
  [6825] = {.lex_state = 239},
  [6826] = {.lex_state = 104},
  [6827] = {.lex_state = 239},
  [6828] = {.lex_state = 106},
  [6829] = {.lex_state = 104},
  [6830] = {.lex_state = 0},
  [6831] = {.lex_state = 334},
  [6832] = {.lex_state = 173},
  [6833] = {.lex_state = 193},
  [6834] = {.lex_state = 193},
  [6835] = {.lex_state = 239},
  [6836] = {.lex_state = 0},
  [6837] = {.lex_state = 173},
  [6838] = {.lex_state = 193},
  [6839] = {.lex_state = 193},
  [6840] = {.lex_state = 193},
  [6841] = {.lex_state = 173},
  [6842] = {.lex_state = 193},
  [6843] = {.lex_state = 239},
  [6844] = {.lex_state = 239},
  [6845] = {.lex_state = 104},
  [6846] = {.lex_state = 239},
  [6847] = {.lex_state = 106},
  [6848] = {.lex_state = 104},
  [6849] = {.lex_state = 173},
  [6850] = {.lex_state = 173},
  [6851] = {.lex_state = 334},
  [6852] = {.lex_state = 239},
  [6853] = {.lex_state = 0},
  [6854] = {.lex_state = 0},
  [6855] = {.lex_state = 173},
  [6856] = {.lex_state = 334},
  [6857] = {.lex_state = 173},
  [6858] = {.lex_state = 239},
  [6859] = {.lex_state = 104},
  [6860] = {.lex_state = 106},
  [6861] = {.lex_state = 104},
  [6862] = {.lex_state = 0},
  [6863] = {.lex_state = 0},
  [6864] = {.lex_state = 104},
  [6865] = {.lex_state = 106},
  [6866] = {.lex_state = 106},
  [6867] = {.lex_state = 104},
  [6868] = {.lex_state = 0},
  [6869] = {.lex_state = 334},
  [6870] = {.lex_state = 104},
  [6871] = {.lex_state = 104},
  [6872] = {.lex_state = 334},
  [6873] = {.lex_state = 0},
  [6874] = {.lex_state = 104},
  [6875] = {.lex_state = 104},
  [6876] = {.lex_state = 173},
  [6877] = {.lex_state = 104},
  [6878] = {.lex_state = 0},
  [6879] = {.lex_state = 104},
  [6880] = {.lex_state = 104},
  [6881] = {.lex_state = 334},
  [6882] = {.lex_state = 0},
  [6883] = {.lex_state = 104},
  [6884] = {.lex_state = 104},
  [6885] = {.lex_state = 0},
  [6886] = {.lex_state = 104},
  [6887] = {.lex_state = 104},
  [6888] = {.lex_state = 193},
  [6889] = {.lex_state = 0},
  [6890] = {.lex_state = 104},
  [6891] = {.lex_state = 104},
  [6892] = {.lex_state = 193},
  [6893] = {.lex_state = 0},
  [6894] = {.lex_state = 104},
  [6895] = {.lex_state = 104},
  [6896] = {.lex_state = 0},
  [6897] = {.lex_state = 0},
  [6898] = {.lex_state = 173},
  [6899] = {.lex_state = 0},
  [6900] = {.lex_state = 239},
  [6901] = {.lex_state = 0},
  [6902] = {.lex_state = 239},
  [6903] = {.lex_state = 193},
  [6904] = {.lex_state = 104},
  [6905] = {.lex_state = 193},
  [6906] = {.lex_state = 173},
  [6907] = {.lex_state = 193},
  [6908] = {.lex_state = 239},
  [6909] = {.lex_state = 239},
  [6910] = {.lex_state = 0},
  [6911] = {.lex_state = 173},
  [6912] = {.lex_state = 239},
  [6913] = {.lex_state = 173},
  [6914] = {.lex_state = 193},
  [6915] = {.lex_state = 334},
  [6916] = {.lex_state = 173},
  [6917] = {.lex_state = 235},
  [6918] = {.lex_state = 107},
  [6919] = {.lex_state = 173},
  [6920] = {.lex_state = 193},
  [6921] = {.lex_state = 239},
  [6922] = {.lex_state = 193},
  [6923] = {.lex_state = 239},
  [6924] = {.lex_state = 334},
  [6925] = {.lex_state = 334},
  [6926] = {.lex_state = 106},
  [6927] = {.lex_state = 334},
  [6928] = {.lex_state = 107},
  [6929] = {.lex_state = 193},
  [6930] = {.lex_state = 193},
  [6931] = {.lex_state = 235},
  [6932] = {.lex_state = 104},
  [6933] = {.lex_state = 104},
  [6934] = {.lex_state = 0},
  [6935] = {.lex_state = 107},
  [6936] = {.lex_state = 193},
  [6937] = {.lex_state = 334},
  [6938] = {.lex_state = 239},
  [6939] = {.lex_state = 239},
  [6940] = {.lex_state = 239},
  [6941] = {.lex_state = 0},
  [6942] = {.lex_state = 334},
  [6943] = {.lex_state = 193},
  [6944] = {.lex_state = 193},
  [6945] = {.lex_state = 239},
  [6946] = {.lex_state = 239},
  [6947] = {.lex_state = 104},
  [6948] = {.lex_state = 106},
  [6949] = {.lex_state = 104},
  [6950] = {.lex_state = 193},
  [6951] = {.lex_state = 334},
  [6952] = {.lex_state = 239},
  [6953] = {.lex_state = 104},
  [6954] = {.lex_state = 106},
  [6955] = {.lex_state = 107},
  [6956] = {.lex_state = 104},
  [6957] = {.lex_state = 334},
  [6958] = {.lex_state = 334},
  [6959] = {.lex_state = 239},
  [6960] = {.lex_state = 173},
  [6961] = {.lex_state = 193},
  [6962] = {.lex_state = 239},
  [6963] = {.lex_state = 173},
  [6964] = {.lex_state = 104},
  [6965] = {.lex_state = 173},
  [6966] = {.lex_state = 106},
  [6967] = {.lex_state = 104},
  [6968] = {.lex_state = 239},
  [6969] = {.lex_state = 239},
  [6970] = {.lex_state = 173},
  [6971] = {.lex_state = 334},
  [6972] = {.lex_state = 193},
  [6973] = {.lex_state = 334},
  [6974] = {.lex_state = 193},
  [6975] = {.lex_state = 334},
  [6976] = {.lex_state = 239},
  [6977] = {.lex_state = 173},
  [6978] = {.lex_state = 239},
  [6979] = {.lex_state = 0},
  [6980] = {.lex_state = 235},
  [6981] = {.lex_state = 334},
  [6982] = {.lex_state = 239},
  [6983] = {.lex_state = 239},
  [6984] = {.lex_state = 239},
  [6985] = {.lex_state = 193},
  [6986] = {.lex_state = 193},
  [6987] = {.lex_state = 193},
  [6988] = {.lex_state = 107},
  [6989] = {.lex_state = 193},
  [6990] = {.lex_state = 239},
  [6991] = {.lex_state = 334},
  [6992] = {.lex_state = 239},
  [6993] = {.lex_state = 173},
  [6994] = {.lex_state = 0},
  [6995] = {.lex_state = 239},
  [6996] = {.lex_state = 193},
  [6997] = {.lex_state = 193},
  [6998] = {.lex_state = 193},
  [6999] = {.lex_state = 193},
  [7000] = {.lex_state = 334},
  [7001] = {.lex_state = 239},
  [7002] = {.lex_state = 235},
  [7003] = {.lex_state = 173},
  [7004] = {.lex_state = 173},
  [7005] = {.lex_state = 193},
  [7006] = {.lex_state = 193},
  [7007] = {.lex_state = 193},
  [7008] = {.lex_state = 239},
  [7009] = {.lex_state = 239},
  [7010] = {.lex_state = 0},
  [7011] = {.lex_state = 239},
  [7012] = {.lex_state = 235},
  [7013] = {.lex_state = 193},
  [7014] = {.lex_state = 106},
  [7015] = {.lex_state = 235},
  [7016] = {.lex_state = 239},
  [7017] = {.lex_state = 235},
  [7018] = {.lex_state = 173},
  [7019] = {.lex_state = 104},
  [7020] = {.lex_state = 193},
  [7021] = {.lex_state = 239},
  [7022] = {.lex_state = 239},
  [7023] = {.lex_state = 239},
  [7024] = {.lex_state = 334},
  [7025] = {.lex_state = 193},
  [7026] = {.lex_state = 334},
  [7027] = {.lex_state = 173},
  [7028] = {.lex_state = 104},
  [7029] = {.lex_state = 334},
  [7030] = {.lex_state = 334},
  [7031] = {.lex_state = 235},
  [7032] = {.lex_state = 239},
  [7033] = {.lex_state = 334},
  [7034] = {.lex_state = 235},
  [7035] = {.lex_state = 104},
  [7036] = {.lex_state = 334},
  [7037] = {.lex_state = 239},
  [7038] = {.lex_state = 239},
  [7039] = {.lex_state = 106},
  [7040] = {.lex_state = 0},
  [7041] = {.lex_state = 107},
  [7042] = {.lex_state = 104},
  [7043] = {.lex_state = 239},
  [7044] = {.lex_state = 193},
  [7045] = {.lex_state = 334},
  [7046] = {.lex_state = 235},
  [7047] = {.lex_state = 334},
  [7048] = {.lex_state = 239},
  [7049] = {.lex_state = 239},
  [7050] = {.lex_state = 106},
  [7051] = {.lex_state = 104},
  [7052] = {.lex_state = 193},
  [7053] = {.lex_state = 334},
  [7054] = {.lex_state = 334},
  [7055] = {.lex_state = 173},
  [7056] = {.lex_state = 235},
  [7057] = {.lex_state = 173},
  [7058] = {.lex_state = 239},
  [7059] = {.lex_state = 193},
  [7060] = {.lex_state = 239},
  [7061] = {.lex_state = 239},
  [7062] = {.lex_state = 193},
  [7063] = {.lex_state = 104},
  [7064] = {.lex_state = 193},
  [7065] = {.lex_state = 239},
  [7066] = {.lex_state = 239},
  [7067] = {.lex_state = 239},
  [7068] = {.lex_state = 0},
  [7069] = {.lex_state = 239},
  [7070] = {.lex_state = 334},
  [7071] = {.lex_state = 334},
  [7072] = {.lex_state = 239},
  [7073] = {.lex_state = 334},
  [7074] = {.lex_state = 0},
  [7075] = {.lex_state = 334},
  [7076] = {.lex_state = 173},
  [7077] = {.lex_state = 334},
  [7078] = {.lex_state = 193},
  [7079] = {.lex_state = 334},
  [7080] = {.lex_state = 334},
  [7081] = {.lex_state = 193},
  [7082] = {.lex_state = 193},
  [7083] = {.lex_state = 334},
  [7084] = {.lex_state = 334},
  [7085] = {.lex_state = 173},
  [7086] = {.lex_state = 334},
  [7087] = {.lex_state = 334},
  [7088] = {.lex_state = 334},
  [7089] = {.lex_state = 334},
  [7090] = {.lex_state = 334},
  [7091] = {.lex_state = 193},
  [7092] = {.lex_state = 239},
  [7093] = {.lex_state = 334},
  [7094] = {.lex_state = 173},
  [7095] = {.lex_state = 239},
  [7096] = {.lex_state = 334},
  [7097] = {.lex_state = 193},
  [7098] = {.lex_state = 193},
  [7099] = {.lex_state = 239},
  [7100] = {.lex_state = 239},
  [7101] = {.lex_state = 106},
  [7102] = {.lex_state = 104},
  [7103] = {.lex_state = 173},
  [7104] = {.lex_state = 239},
  [7105] = {.lex_state = 173},
  [7106] = {.lex_state = 239},
  [7107] = {.lex_state = 239},
  [7108] = {.lex_state = 107},
  [7109] = {.lex_state = 239},
  [7110] = {.lex_state = 193},
  [7111] = {.lex_state = 0},
  [7112] = {.lex_state = 239},
  [7113] = {.lex_state = 193},
  [7114] = {.lex_state = 0},
  [7115] = {.lex_state = 106},
  [7116] = {.lex_state = 193},
  [7117] = {.lex_state = 0},
  [7118] = {.lex_state = 239},
  [7119] = {.lex_state = 0},
  [7120] = {.lex_state = 0},
  [7121] = {.lex_state = 0},
  [7122] = {.lex_state = 0},
  [7123] = {.lex_state = 0},
  [7124] = {.lex_state = 0},
  [7125] = {.lex_state = 0},
  [7126] = {.lex_state = 239},
  [7127] = {.lex_state = 0},
  [7128] = {.lex_state = 0},
  [7129] = {.lex_state = 239},
  [7130] = {.lex_state = 334},
  [7131] = {.lex_state = 334},
  [7132] = {.lex_state = 0},
  [7133] = {.lex_state = 239},
  [7134] = {.lex_state = 0},
  [7135] = {.lex_state = 0},
  [7136] = {.lex_state = 193},
  [7137] = {.lex_state = 0},
  [7138] = {.lex_state = 239},
  [7139] = {.lex_state = 334},
  [7140] = {.lex_state = 239},
  [7141] = {.lex_state = 0},
  [7142] = {.lex_state = 239},
  [7143] = {.lex_state = 0},
  [7144] = {.lex_state = 0},
  [7145] = {.lex_state = 0},
  [7146] = {.lex_state = 334},
  [7147] = {.lex_state = 239},
  [7148] = {.lex_state = 193},
  [7149] = {.lex_state = 0},
  [7150] = {.lex_state = 0},
  [7151] = {.lex_state = 193},
  [7152] = {.lex_state = 0},
  [7153] = {.lex_state = 0},
  [7154] = {.lex_state = 0},
  [7155] = {.lex_state = 0},
  [7156] = {.lex_state = 0},
  [7157] = {.lex_state = 0},
  [7158] = {.lex_state = 193},
  [7159] = {.lex_state = 334},
  [7160] = {.lex_state = 109},
  [7161] = {.lex_state = 0},
  [7162] = {.lex_state = 193},
  [7163] = {.lex_state = 0},
  [7164] = {.lex_state = 0},
  [7165] = {.lex_state = 0},
  [7166] = {.lex_state = 0},
  [7167] = {.lex_state = 0},
  [7168] = {.lex_state = 0},
  [7169] = {.lex_state = 0},
  [7170] = {.lex_state = 0},
  [7171] = {.lex_state = 193},
  [7172] = {.lex_state = 0},
  [7173] = {.lex_state = 193},
  [7174] = {.lex_state = 0},
  [7175] = {.lex_state = 334},
  [7176] = {.lex_state = 193},
  [7177] = {.lex_state = 0},
  [7178] = {.lex_state = 334},
  [7179] = {.lex_state = 0},
  [7180] = {.lex_state = 193},
  [7181] = {.lex_state = 0},
  [7182] = {.lex_state = 0},
  [7183] = {.lex_state = 0},
  [7184] = {.lex_state = 0},
  [7185] = {.lex_state = 0},
  [7186] = {.lex_state = 0},
  [7187] = {.lex_state = 193},
  [7188] = {.lex_state = 0},
  [7189] = {.lex_state = 334},
  [7190] = {.lex_state = 193},
  [7191] = {.lex_state = 193},
  [7192] = {.lex_state = 0},
  [7193] = {.lex_state = 239},
  [7194] = {.lex_state = 193},
  [7195] = {.lex_state = 0},
  [7196] = {.lex_state = 106},
  [7197] = {.lex_state = 0},
  [7198] = {.lex_state = 334},
  [7199] = {.lex_state = 0},
  [7200] = {.lex_state = 193},
  [7201] = {.lex_state = 0},
  [7202] = {.lex_state = 0},
  [7203] = {.lex_state = 0},
  [7204] = {.lex_state = 0},
  [7205] = {.lex_state = 0},
  [7206] = {.lex_state = 0},
  [7207] = {.lex_state = 0},
  [7208] = {.lex_state = 0},
  [7209] = {.lex_state = 239},
  [7210] = {.lex_state = 193},
  [7211] = {.lex_state = 0},
  [7212] = {.lex_state = 193},
  [7213] = {.lex_state = 193},
  [7214] = {.lex_state = 193},
  [7215] = {.lex_state = 193},
  [7216] = {.lex_state = 173},
  [7217] = {.lex_state = 0},
  [7218] = {.lex_state = 0},
  [7219] = {.lex_state = 239},
  [7220] = {.lex_state = 0},
  [7221] = {.lex_state = 0},
  [7222] = {.lex_state = 0},
  [7223] = {.lex_state = 109},
  [7224] = {.lex_state = 0},
  [7225] = {.lex_state = 0},
  [7226] = {.lex_state = 0},
  [7227] = {.lex_state = 0},
  [7228] = {.lex_state = 0},
  [7229] = {.lex_state = 193},
  [7230] = {.lex_state = 334},
  [7231] = {.lex_state = 0},
  [7232] = {.lex_state = 0},
  [7233] = {.lex_state = 0},
  [7234] = {.lex_state = 0},
  [7235] = {.lex_state = 0},
  [7236] = {.lex_state = 0},
  [7237] = {.lex_state = 0},
  [7238] = {.lex_state = 193},
  [7239] = {.lex_state = 0},
  [7240] = {.lex_state = 0},
  [7241] = {.lex_state = 0},
  [7242] = {.lex_state = 0},
  [7243] = {.lex_state = 0},
  [7244] = {.lex_state = 239},
  [7245] = {.lex_state = 0},
  [7246] = {.lex_state = 0},
  [7247] = {.lex_state = 0},
  [7248] = {.lex_state = 0},
  [7249] = {.lex_state = 334},
  [7250] = {.lex_state = 193},
  [7251] = {.lex_state = 106},
  [7252] = {.lex_state = 0},
  [7253] = {.lex_state = 193},
  [7254] = {.lex_state = 0},
  [7255] = {.lex_state = 239},
  [7256] = {.lex_state = 0},
  [7257] = {.lex_state = 0},
  [7258] = {.lex_state = 239},
  [7259] = {.lex_state = 0},
  [7260] = {.lex_state = 0},
  [7261] = {.lex_state = 239},
  [7262] = {.lex_state = 193},
  [7263] = {.lex_state = 0},
  [7264] = {.lex_state = 193},
  [7265] = {.lex_state = 0},
  [7266] = {.lex_state = 239},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 0},
  [7269] = {.lex_state = 0},
  [7270] = {.lex_state = 193},
  [7271] = {.lex_state = 0},
  [7272] = {.lex_state = 0},
  [7273] = {.lex_state = 0},
  [7274] = {.lex_state = 193},
  [7275] = {.lex_state = 0},
  [7276] = {.lex_state = 0},
  [7277] = {.lex_state = 0},
  [7278] = {.lex_state = 0},
  [7279] = {.lex_state = 106},
  [7280] = {.lex_state = 0},
  [7281] = {.lex_state = 0},
  [7282] = {.lex_state = 193},
  [7283] = {.lex_state = 0},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 193},
  [7286] = {.lex_state = 0},
  [7287] = {.lex_state = 0},
  [7288] = {.lex_state = 0},
  [7289] = {.lex_state = 0},
  [7290] = {.lex_state = 193},
  [7291] = {.lex_state = 0},
  [7292] = {.lex_state = 0},
  [7293] = {.lex_state = 0},
  [7294] = {.lex_state = 239},
  [7295] = {.lex_state = 0},
  [7296] = {.lex_state = 0},
  [7297] = {.lex_state = 0},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 0},
  [7301] = {.lex_state = 239},
  [7302] = {.lex_state = 239},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 0},
  [7305] = {.lex_state = 106},
  [7306] = {.lex_state = 0},
  [7307] = {.lex_state = 239},
  [7308] = {.lex_state = 193},
  [7309] = {.lex_state = 0},
  [7310] = {.lex_state = 0},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 193},
  [7313] = {.lex_state = 239},
  [7314] = {.lex_state = 0},
  [7315] = {.lex_state = 0},
  [7316] = {.lex_state = 0},
  [7317] = {.lex_state = 235},
  [7318] = {.lex_state = 239},
  [7319] = {.lex_state = 239},
  [7320] = {.lex_state = 0},
  [7321] = {.lex_state = 239},
  [7322] = {.lex_state = 239},
  [7323] = {.lex_state = 0},
  [7324] = {.lex_state = 106},
  [7325] = {.lex_state = 193},
  [7326] = {.lex_state = 0},
  [7327] = {.lex_state = 0},
  [7328] = {.lex_state = 239},
  [7329] = {.lex_state = 239},
  [7330] = {.lex_state = 193},
  [7331] = {.lex_state = 0},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 239},
  [7334] = {.lex_state = 193},
  [7335] = {.lex_state = 0},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 239},
  [7338] = {.lex_state = 239},
  [7339] = {.lex_state = 106},
  [7340] = {.lex_state = 0},
  [7341] = {.lex_state = 239},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 239},
  [7344] = {.lex_state = 106},
  [7345] = {.lex_state = 0},
  [7346] = {.lex_state = 0},
  [7347] = {.lex_state = 0},
  [7348] = {.lex_state = 106},
  [7349] = {.lex_state = 106},
  [7350] = {.lex_state = 106},
  [7351] = {.lex_state = 239},
  [7352] = {.lex_state = 239},
  [7353] = {.lex_state = 0},
  [7354] = {.lex_state = 239},
  [7355] = {.lex_state = 193},
  [7356] = {.lex_state = 0},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 0},
  [7359] = {.lex_state = 106},
  [7360] = {.lex_state = 239},
  [7361] = {.lex_state = 334},
  [7362] = {.lex_state = 239},
  [7363] = {.lex_state = 0},
  [7364] = {.lex_state = 193},
  [7365] = {.lex_state = 239},
  [7366] = {.lex_state = 239},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 0},
  [7369] = {.lex_state = 239},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 0},
  [7372] = {.lex_state = 0},
  [7373] = {.lex_state = 0},
  [7374] = {.lex_state = 193},
  [7375] = {.lex_state = 0},
  [7376] = {.lex_state = 0},
  [7377] = {.lex_state = 239},
  [7378] = {.lex_state = 0},
  [7379] = {.lex_state = 0},
  [7380] = {.lex_state = 334},
  [7381] = {.lex_state = 0},
  [7382] = {.lex_state = 0},
  [7383] = {.lex_state = 0},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 0},
  [7387] = {.lex_state = 239},
  [7388] = {.lex_state = 0},
  [7389] = {.lex_state = 0},
  [7390] = {.lex_state = 0},
  [7391] = {.lex_state = 334},
  [7392] = {.lex_state = 0},
  [7393] = {.lex_state = 0},
  [7394] = {.lex_state = 193},
  [7395] = {.lex_state = 0},
  [7396] = {.lex_state = 239},
  [7397] = {.lex_state = 0},
  [7398] = {.lex_state = 0},
  [7399] = {.lex_state = 193},
  [7400] = {.lex_state = 239},
  [7401] = {.lex_state = 193},
  [7402] = {.lex_state = 193},
  [7403] = {.lex_state = 239},
  [7404] = {.lex_state = 0},
  [7405] = {.lex_state = 334},
  [7406] = {.lex_state = 334},
  [7407] = {.lex_state = 193},
  [7408] = {.lex_state = 0},
  [7409] = {.lex_state = 0},
  [7410] = {.lex_state = 0},
  [7411] = {.lex_state = 0},
  [7412] = {.lex_state = 236},
  [7413] = {.lex_state = 193},
  [7414] = {.lex_state = 239},
  [7415] = {.lex_state = 239},
  [7416] = {.lex_state = 0},
  [7417] = {.lex_state = 239},
  [7418] = {.lex_state = 0},
  [7419] = {.lex_state = 193},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 0},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 0},
  [7424] = {.lex_state = 193},
  [7425] = {.lex_state = 193},
  [7426] = {.lex_state = 193},
  [7427] = {.lex_state = 0},
  [7428] = {.lex_state = 0},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 334},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 193},
  [7433] = {.lex_state = 0},
  [7434] = {.lex_state = 193},
  [7435] = {.lex_state = 0},
  [7436] = {.lex_state = 334},
  [7437] = {.lex_state = 0},
  [7438] = {.lex_state = 0},
  [7439] = {.lex_state = 0},
  [7440] = {.lex_state = 193},
  [7441] = {.lex_state = 0},
  [7442] = {.lex_state = 0},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 0},
  [7445] = {.lex_state = 193},
  [7446] = {.lex_state = 0},
  [7447] = {.lex_state = 0},
  [7448] = {.lex_state = 0},
  [7449] = {.lex_state = 0},
  [7450] = {.lex_state = 173},
  [7451] = {.lex_state = 0},
  [7452] = {.lex_state = 0},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 239},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 193},
  [7457] = {.lex_state = 0},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 193},
  [7460] = {.lex_state = 193},
  [7461] = {.lex_state = 0},
  [7462] = {.lex_state = 239},
  [7463] = {.lex_state = 239},
  [7464] = {.lex_state = 0},
  [7465] = {.lex_state = 0},
  [7466] = {.lex_state = 0},
  [7467] = {.lex_state = 0},
  [7468] = {.lex_state = 0},
  [7469] = {.lex_state = 239},
  [7470] = {.lex_state = 0},
  [7471] = {.lex_state = 0},
  [7472] = {.lex_state = 239},
  [7473] = {.lex_state = 0},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 0},
  [7476] = {.lex_state = 0},
  [7477] = {.lex_state = 0},
  [7478] = {.lex_state = 0},
  [7479] = {.lex_state = 0},
  [7480] = {.lex_state = 0},
  [7481] = {.lex_state = 239},
  [7482] = {.lex_state = 0},
  [7483] = {.lex_state = 193},
  [7484] = {.lex_state = 0},
  [7485] = {.lex_state = 0},
  [7486] = {.lex_state = 0},
  [7487] = {.lex_state = 239},
  [7488] = {.lex_state = 193},
  [7489] = {.lex_state = 239},
  [7490] = {.lex_state = 239},
  [7491] = {.lex_state = 0},
  [7492] = {.lex_state = 239},
  [7493] = {.lex_state = 239},
  [7494] = {.lex_state = 0},
  [7495] = {.lex_state = 0},
  [7496] = {.lex_state = 0},
  [7497] = {.lex_state = 0},
  [7498] = {.lex_state = 0},
  [7499] = {.lex_state = 193},
  [7500] = {.lex_state = 0},
  [7501] = {.lex_state = 193},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 193},
  [7504] = {.lex_state = 109},
  [7505] = {.lex_state = 0},
  [7506] = {.lex_state = 193},
  [7507] = {.lex_state = 0},
  [7508] = {.lex_state = 193},
  [7509] = {.lex_state = 193},
  [7510] = {.lex_state = 239},
  [7511] = {.lex_state = 239},
  [7512] = {.lex_state = 0},
  [7513] = {.lex_state = 0},
  [7514] = {.lex_state = 0},
  [7515] = {.lex_state = 0},
  [7516] = {.lex_state = 109},
  [7517] = {.lex_state = 334},
  [7518] = {.lex_state = 193},
  [7519] = {.lex_state = 334},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 239},
  [7522] = {.lex_state = 193},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 193},
  [7525] = {.lex_state = 0},
  [7526] = {.lex_state = 173},
  [7527] = {.lex_state = 0},
  [7528] = {.lex_state = 239},
  [7529] = {.lex_state = 193},
  [7530] = {.lex_state = 0},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 334},
  [7533] = {.lex_state = 0},
  [7534] = {.lex_state = 0},
  [7535] = {.lex_state = 0},
  [7536] = {.lex_state = 0},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 0},
  [7539] = {.lex_state = 334},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 0},
  [7542] = {.lex_state = 0},
  [7543] = {.lex_state = 0},
  [7544] = {.lex_state = 0},
  [7545] = {.lex_state = 334},
  [7546] = {.lex_state = 0},
  [7547] = {.lex_state = 334},
  [7548] = {.lex_state = 0},
  [7549] = {.lex_state = 334},
  [7550] = {.lex_state = 0},
  [7551] = {.lex_state = 334},
  [7552] = {.lex_state = 193},
  [7553] = {.lex_state = 193},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 0},
  [7557] = {.lex_state = 0},
  [7558] = {.lex_state = 0},
  [7559] = {.lex_state = 0},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 0},
  [7562] = {.lex_state = 0},
  [7563] = {.lex_state = 0},
  [7564] = {.lex_state = 0},
  [7565] = {.lex_state = 0},
  [7566] = {.lex_state = 334},
  [7567] = {.lex_state = 193},
  [7568] = {.lex_state = 0},
  [7569] = {.lex_state = 193},
  [7570] = {.lex_state = 334},
  [7571] = {.lex_state = 334, .external_lex_state = 2},
  [7572] = {.lex_state = 193},
  [7573] = {.lex_state = 0},
  [7574] = {.lex_state = 108},
  [7575] = {.lex_state = 0},
  [7576] = {.lex_state = 193},
  [7577] = {.lex_state = 193},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 108},
  [7580] = {.lex_state = 193},
  [7581] = {.lex_state = 0},
  [7582] = {.lex_state = 108},
  [7583] = {.lex_state = 334},
  [7584] = {.lex_state = 0},
  [7585] = {.lex_state = 108},
  [7586] = {.lex_state = 193},
  [7587] = {.lex_state = 334},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 0},
  [7590] = {.lex_state = 0},
  [7591] = {.lex_state = 0},
  [7592] = {.lex_state = 193},
  [7593] = {.lex_state = 0},
  [7594] = {.lex_state = 0},
  [7595] = {.lex_state = 0},
  [7596] = {.lex_state = 0},
  [7597] = {.lex_state = 0},
  [7598] = {.lex_state = 0},
  [7599] = {.lex_state = 108},
  [7600] = {.lex_state = 193},
  [7601] = {.lex_state = 0},
  [7602] = {.lex_state = 334},
  [7603] = {.lex_state = 108},
  [7604] = {.lex_state = 0},
  [7605] = {.lex_state = 108},
  [7606] = {.lex_state = 0},
  [7607] = {.lex_state = 0},
  [7608] = {.lex_state = 0},
  [7609] = {.lex_state = 0},
  [7610] = {.lex_state = 334},
  [7611] = {.lex_state = 334},
  [7612] = {.lex_state = 0},
  [7613] = {.lex_state = 0},
  [7614] = {.lex_state = 334},
  [7615] = {.lex_state = 0},
  [7616] = {.lex_state = 193},
  [7617] = {.lex_state = 0},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 108},
  [7620] = {.lex_state = 193},
  [7621] = {.lex_state = 334},
  [7622] = {.lex_state = 0},
  [7623] = {.lex_state = 0},
  [7624] = {.lex_state = 0},
  [7625] = {.lex_state = 334},
  [7626] = {.lex_state = 0},
  [7627] = {.lex_state = 0},
  [7628] = {.lex_state = 0},
  [7629] = {.lex_state = 0},
  [7630] = {.lex_state = 334},
  [7631] = {.lex_state = 193},
  [7632] = {.lex_state = 0},
  [7633] = {.lex_state = 0},
  [7634] = {.lex_state = 0},
  [7635] = {.lex_state = 0},
  [7636] = {.lex_state = 193},
  [7637] = {.lex_state = 334},
  [7638] = {.lex_state = 334},
  [7639] = {.lex_state = 334},
  [7640] = {.lex_state = 193},
  [7641] = {.lex_state = 0},
  [7642] = {.lex_state = 0},
  [7643] = {.lex_state = 0},
  [7644] = {.lex_state = 193},
  [7645] = {.lex_state = 0},
  [7646] = {.lex_state = 0},
  [7647] = {.lex_state = 0},
  [7648] = {.lex_state = 334},
  [7649] = {.lex_state = 0},
  [7650] = {.lex_state = 108},
  [7651] = {.lex_state = 0},
  [7652] = {.lex_state = 334},
  [7653] = {.lex_state = 193},
  [7654] = {.lex_state = 0},
  [7655] = {.lex_state = 0},
  [7656] = {.lex_state = 0},
  [7657] = {.lex_state = 0},
  [7658] = {.lex_state = 0},
  [7659] = {.lex_state = 0},
  [7660] = {.lex_state = 334},
  [7661] = {.lex_state = 0},
  [7662] = {.lex_state = 334},
  [7663] = {.lex_state = 0},
  [7664] = {.lex_state = 334},
  [7665] = {.lex_state = 334},
  [7666] = {.lex_state = 108},
  [7667] = {.lex_state = 0},
  [7668] = {.lex_state = 334},
  [7669] = {.lex_state = 0},
  [7670] = {.lex_state = 0},
  [7671] = {.lex_state = 0},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 0},
  [7674] = {.lex_state = 334},
  [7675] = {.lex_state = 0},
  [7676] = {.lex_state = 0},
  [7677] = {.lex_state = 334},
  [7678] = {.lex_state = 0},
  [7679] = {.lex_state = 0},
  [7680] = {.lex_state = 193},
  [7681] = {.lex_state = 0},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 0},
  [7684] = {.lex_state = 0},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 0},
  [7687] = {.lex_state = 0},
  [7688] = {.lex_state = 108},
  [7689] = {.lex_state = 0},
  [7690] = {.lex_state = 0},
  [7691] = {.lex_state = 0},
  [7692] = {.lex_state = 0},
  [7693] = {.lex_state = 0},
  [7694] = {.lex_state = 108},
  [7695] = {.lex_state = 193},
  [7696] = {.lex_state = 193},
  [7697] = {.lex_state = 334},
  [7698] = {.lex_state = 334},
  [7699] = {.lex_state = 334},
  [7700] = {.lex_state = 334},
  [7701] = {.lex_state = 0},
  [7702] = {.lex_state = 193},
  [7703] = {.lex_state = 0},
  [7704] = {.lex_state = 334},
  [7705] = {.lex_state = 0},
  [7706] = {.lex_state = 334},
  [7707] = {.lex_state = 193},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 0},
  [7710] = {.lex_state = 334},
  [7711] = {.lex_state = 0},
  [7712] = {.lex_state = 0},
  [7713] = {.lex_state = 0},
  [7714] = {.lex_state = 0},
  [7715] = {.lex_state = 334},
  [7716] = {.lex_state = 334},
  [7717] = {.lex_state = 334},
  [7718] = {.lex_state = 0},
  [7719] = {.lex_state = 334},
  [7720] = {.lex_state = 334},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 193},
  [7723] = {.lex_state = 193},
  [7724] = {.lex_state = 0},
  [7725] = {.lex_state = 193},
  [7726] = {.lex_state = 334},
  [7727] = {.lex_state = 0},
  [7728] = {.lex_state = 0},
  [7729] = {.lex_state = 193},
  [7730] = {.lex_state = 334},
  [7731] = {.lex_state = 0},
  [7732] = {.lex_state = 0},
  [7733] = {.lex_state = 193},
  [7734] = {.lex_state = 334},
  [7735] = {.lex_state = 193},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 0},
  [7739] = {.lex_state = 0},
  [7740] = {.lex_state = 334},
  [7741] = {.lex_state = 334},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 0},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 334},
  [7748] = {.lex_state = 334},
  [7749] = {.lex_state = 193},
  [7750] = {.lex_state = 193},
  [7751] = {.lex_state = 0},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 0},
  [7754] = {.lex_state = 334},
  [7755] = {.lex_state = 193},
  [7756] = {.lex_state = 0},
  [7757] = {.lex_state = 0},
  [7758] = {.lex_state = 334},
  [7759] = {.lex_state = 334},
  [7760] = {.lex_state = 334},
  [7761] = {.lex_state = 0},
  [7762] = {.lex_state = 0},
  [7763] = {.lex_state = 334},
  [7764] = {.lex_state = 0},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 0},
  [7767] = {.lex_state = 0},
  [7768] = {.lex_state = 193},
  [7769] = {.lex_state = 193},
  [7770] = {.lex_state = 0},
  [7771] = {.lex_state = 0},
  [7772] = {.lex_state = 0},
  [7773] = {.lex_state = 0},
  [7774] = {.lex_state = 334},
  [7775] = {.lex_state = 0},
  [7776] = {.lex_state = 0},
  [7777] = {.lex_state = 0},
  [7778] = {.lex_state = 334},
  [7779] = {.lex_state = 334},
  [7780] = {.lex_state = 334},
  [7781] = {.lex_state = 334},
  [7782] = {.lex_state = 0},
  [7783] = {.lex_state = 0},
  [7784] = {.lex_state = 0},
  [7785] = {.lex_state = 193},
  [7786] = {.lex_state = 0},
  [7787] = {.lex_state = 0},
  [7788] = {.lex_state = 334},
  [7789] = {.lex_state = 0},
  [7790] = {.lex_state = 334},
  [7791] = {.lex_state = 334},
  [7792] = {.lex_state = 334},
  [7793] = {.lex_state = 193},
  [7794] = {.lex_state = 334},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 334},
  [7797] = {.lex_state = 334},
  [7798] = {.lex_state = 0},
  [7799] = {.lex_state = 0},
  [7800] = {.lex_state = 0},
  [7801] = {.lex_state = 108},
  [7802] = {.lex_state = 0},
  [7803] = {.lex_state = 193},
  [7804] = {.lex_state = 334},
  [7805] = {.lex_state = 193},
  [7806] = {.lex_state = 0},
  [7807] = {.lex_state = 334},
  [7808] = {.lex_state = 0},
  [7809] = {.lex_state = 193},
  [7810] = {.lex_state = 334},
  [7811] = {.lex_state = 334},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 0},
  [7816] = {.lex_state = 0},
  [7817] = {.lex_state = 0},
  [7818] = {.lex_state = 334},
  [7819] = {.lex_state = 334},
  [7820] = {.lex_state = 0},
  [7821] = {.lex_state = 0},
  [7822] = {.lex_state = 0},
  [7823] = {.lex_state = 0},
  [7824] = {.lex_state = 0},
  [7825] = {.lex_state = 0},
  [7826] = {.lex_state = 334},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 0},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 0},
  [7832] = {.lex_state = 0},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 108},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 334},
  [7838] = {.lex_state = 0},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 0},
  [7841] = {.lex_state = 0},
  [7842] = {.lex_state = 193},
  [7843] = {.lex_state = 0},
  [7844] = {.lex_state = 0},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 334},
  [7847] = {.lex_state = 0},
  [7848] = {.lex_state = 0},
  [7849] = {.lex_state = 0},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 0},
  [7853] = {.lex_state = 0},
  [7854] = {.lex_state = 108},
  [7855] = {.lex_state = 193},
  [7856] = {.lex_state = 334},
  [7857] = {.lex_state = 0},
  [7858] = {.lex_state = 334},
  [7859] = {.lex_state = 0},
  [7860] = {.lex_state = 334},
  [7861] = {.lex_state = 0},
  [7862] = {.lex_state = 0},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 0},
  [7865] = {.lex_state = 0},
  [7866] = {.lex_state = 0},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 334},
  [7870] = {.lex_state = 0},
  [7871] = {.lex_state = 193},
  [7872] = {.lex_state = 334, .external_lex_state = 2},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 0},
  [7875] = {.lex_state = 0},
  [7876] = {.lex_state = 0},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 193},
  [7879] = {.lex_state = 0},
  [7880] = {.lex_state = 0},
  [7881] = {.lex_state = 0},
  [7882] = {.lex_state = 193},
  [7883] = {.lex_state = 0},
  [7884] = {.lex_state = 0},
  [7885] = {.lex_state = 334},
  [7886] = {.lex_state = 334},
  [7887] = {.lex_state = 108},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 0},
  [7891] = {.lex_state = 0},
  [7892] = {.lex_state = 334},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 193},
  [7895] = {.lex_state = 0},
  [7896] = {.lex_state = 0},
  [7897] = {.lex_state = 334},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 193},
  [7900] = {.lex_state = 0},
  [7901] = {.lex_state = 334},
  [7902] = {.lex_state = 0},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 193},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 334, .external_lex_state = 2},
  [7907] = {.lex_state = 334, .external_lex_state = 2},
  [7908] = {.lex_state = 0},
  [7909] = {.lex_state = 193},
  [7910] = {.lex_state = 334, .external_lex_state = 2},
  [7911] = {.lex_state = 108},
  [7912] = {.lex_state = 334, .external_lex_state = 2},
  [7913] = {.lex_state = 334, .external_lex_state = 2},
  [7914] = {.lex_state = 334, .external_lex_state = 2},
  [7915] = {.lex_state = 334, .external_lex_state = 2},
  [7916] = {.lex_state = 334, .external_lex_state = 2},
  [7917] = {.lex_state = 334, .external_lex_state = 2},
  [7918] = {.lex_state = 334, .external_lex_state = 2},
  [7919] = {.lex_state = 334, .external_lex_state = 2},
  [7920] = {.lex_state = 334, .external_lex_state = 2},
  [7921] = {.lex_state = 334, .external_lex_state = 2},
  [7922] = {.lex_state = 334, .external_lex_state = 2},
  [7923] = {.lex_state = 334, .external_lex_state = 2},
  [7924] = {.lex_state = 334},
  [7925] = {.lex_state = 0},
  [7926] = {.lex_state = 0},
  [7927] = {.lex_state = 0},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 0},
  [7930] = {.lex_state = 0, .external_lex_state = 2},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 0},
  [7933] = {.lex_state = 171},
  [7934] = {.lex_state = 0},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 0},
  [7937] = {.lex_state = 0},
  [7938] = {.lex_state = 0},
  [7939] = {.lex_state = 169},
  [7940] = {.lex_state = 0},
  [7941] = {.lex_state = 0},
  [7942] = {.lex_state = 0, .external_lex_state = 2},
  [7943] = {.lex_state = 0},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 0},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 0},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 334},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 334},
  [7953] = {.lex_state = 0},
  [7954] = {.lex_state = 171},
  [7955] = {.lex_state = 109},
  [7956] = {.lex_state = 193},
  [7957] = {.lex_state = 0},
  [7958] = {.lex_state = 0},
  [7959] = {.lex_state = 0},
  [7960] = {.lex_state = 0},
  [7961] = {.lex_state = 109},
  [7962] = {.lex_state = 0},
  [7963] = {.lex_state = 0},
  [7964] = {.lex_state = 171},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 0},
  [7967] = {.lex_state = 193},
  [7968] = {.lex_state = 0},
  [7969] = {.lex_state = 193},
  [7970] = {.lex_state = 193},
  [7971] = {.lex_state = 0},
  [7972] = {.lex_state = 239},
  [7973] = {.lex_state = 109},
  [7974] = {.lex_state = 171},
  [7975] = {.lex_state = 0},
  [7976] = {.lex_state = 0},
  [7977] = {.lex_state = 193},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 193},
  [7980] = {.lex_state = 193},
  [7981] = {.lex_state = 171},
  [7982] = {.lex_state = 171},
  [7983] = {.lex_state = 0},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 334},
  [7987] = {.lex_state = 0},
  [7988] = {.lex_state = 0},
  [7989] = {.lex_state = 0},
  [7990] = {.lex_state = 0},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 171},
  [7993] = {.lex_state = 0},
  [7994] = {.lex_state = 193},
  [7995] = {.lex_state = 0},
  [7996] = {.lex_state = 109},
  [7997] = {.lex_state = 109},
  [7998] = {.lex_state = 0},
  [7999] = {.lex_state = 0},
  [8000] = {.lex_state = 0},
  [8001] = {.lex_state = 193},
  [8002] = {.lex_state = 109},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 193},
  [8005] = {.lex_state = 0},
  [8006] = {.lex_state = 0},
  [8007] = {.lex_state = 334},
  [8008] = {.lex_state = 193},
  [8009] = {.lex_state = 239},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 239},
  [8012] = {.lex_state = 0},
  [8013] = {.lex_state = 171},
  [8014] = {.lex_state = 0},
  [8015] = {.lex_state = 0},
  [8016] = {.lex_state = 0},
  [8017] = {.lex_state = 0},
  [8018] = {.lex_state = 0},
  [8019] = {.lex_state = 0},
  [8020] = {.lex_state = 193},
  [8021] = {.lex_state = 0},
  [8022] = {.lex_state = 171},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 193},
  [8029] = {.lex_state = 109},
  [8030] = {.lex_state = 239},
  [8031] = {.lex_state = 0},
  [8032] = {.lex_state = 334},
  [8033] = {.lex_state = 193},
  [8034] = {.lex_state = 334},
  [8035] = {.lex_state = 0},
  [8036] = {.lex_state = 0},
  [8037] = {.lex_state = 0},
  [8038] = {.lex_state = 0},
  [8039] = {.lex_state = 0},
  [8040] = {.lex_state = 109},
  [8041] = {.lex_state = 193},
  [8042] = {.lex_state = 0},
  [8043] = {.lex_state = 239},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 109},
  [8047] = {.lex_state = 171},
  [8048] = {.lex_state = 0},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 0, .external_lex_state = 2},
  [8051] = {.lex_state = 334},
  [8052] = {.lex_state = 193},
  [8053] = {.lex_state = 171},
  [8054] = {.lex_state = 0},
  [8055] = {.lex_state = 171},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 193},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 0},
  [8060] = {.lex_state = 193},
  [8061] = {.lex_state = 0},
  [8062] = {.lex_state = 109},
  [8063] = {.lex_state = 334},
  [8064] = {.lex_state = 0},
  [8065] = {.lex_state = 192},
  [8066] = {.lex_state = 109},
  [8067] = {.lex_state = 193},
  [8068] = {.lex_state = 0},
  [8069] = {.lex_state = 0},
  [8070] = {.lex_state = 0},
  [8071] = {.lex_state = 0},
  [8072] = {.lex_state = 239},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 334},
  [8075] = {.lex_state = 171},
  [8076] = {.lex_state = 0},
  [8077] = {.lex_state = 239},
  [8078] = {.lex_state = 239},
  [8079] = {.lex_state = 334},
  [8080] = {.lex_state = 0},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 0},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 171},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 193},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 0},
  [8090] = {.lex_state = 0},
  [8091] = {.lex_state = 193},
  [8092] = {.lex_state = 193},
  [8093] = {.lex_state = 0},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 0},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 193},
  [8101] = {.lex_state = 0},
  [8102] = {.lex_state = 0},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 334},
  [8105] = {.lex_state = 193},
  [8106] = {.lex_state = 0},
  [8107] = {.lex_state = 171},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 0},
  [8113] = {.lex_state = 0, .external_lex_state = 2},
  [8114] = {.lex_state = 171},
  [8115] = {.lex_state = 193},
  [8116] = {.lex_state = 0, .external_lex_state = 3},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 0},
  [8122] = {.lex_state = 334},
  [8123] = {.lex_state = 0},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 0},
  [8126] = {.lex_state = 193},
  [8127] = {.lex_state = 0},
  [8128] = {.lex_state = 0},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 0},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 0},
  [8134] = {.lex_state = 0},
  [8135] = {.lex_state = 334},
  [8136] = {.lex_state = 0},
  [8137] = {.lex_state = 334},
  [8138] = {.lex_state = 193},
  [8139] = {.lex_state = 0},
  [8140] = {.lex_state = 0},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 171},
  [8143] = {.lex_state = 193},
  [8144] = {.lex_state = 193},
  [8145] = {.lex_state = 109},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 0},
  [8148] = {.lex_state = 0},
  [8149] = {.lex_state = 171},
  [8150] = {.lex_state = 0},
  [8151] = {.lex_state = 193},
  [8152] = {.lex_state = 0},
  [8153] = {.lex_state = 0},
  [8154] = {.lex_state = 0},
  [8155] = {.lex_state = 171},
  [8156] = {.lex_state = 239},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 171},
  [8159] = {.lex_state = 171},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 193},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 334},
  [8166] = {.lex_state = 193},
  [8167] = {.lex_state = 193},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 0},
  [8170] = {.lex_state = 0, .external_lex_state = 2},
  [8171] = {.lex_state = 109},
  [8172] = {.lex_state = 193},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 0},
  [8175] = {.lex_state = 334},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 0},
  [8178] = {.lex_state = 0},
  [8179] = {.lex_state = 0},
  [8180] = {.lex_state = 171},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 0},
  [8183] = {.lex_state = 171},
  [8184] = {.lex_state = 0},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 334},
  [8187] = {.lex_state = 334},
  [8188] = {.lex_state = 0},
  [8189] = {.lex_state = 109},
  [8190] = {.lex_state = 109},
  [8191] = {.lex_state = 109},
  [8192] = {.lex_state = 0},
  [8193] = {.lex_state = 0},
  [8194] = {.lex_state = 193},
  [8195] = {.lex_state = 0},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 0},
  [8198] = {.lex_state = 0},
  [8199] = {.lex_state = 0},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 0},
  [8202] = {.lex_state = 0},
  [8203] = {.lex_state = 0},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 0},
  [8206] = {.lex_state = 0},
  [8207] = {.lex_state = 0},
  [8208] = {.lex_state = 0},
  [8209] = {.lex_state = 0},
  [8210] = {.lex_state = 334},
  [8211] = {.lex_state = 0},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 0},
  [8214] = {.lex_state = 0, .external_lex_state = 2},
  [8215] = {.lex_state = 0},
  [8216] = {.lex_state = 0},
  [8217] = {.lex_state = 193},
  [8218] = {.lex_state = 0},
  [8219] = {.lex_state = 0},
  [8220] = {.lex_state = 0},
  [8221] = {.lex_state = 334},
  [8222] = {.lex_state = 0},
  [8223] = {.lex_state = 171},
  [8224] = {.lex_state = 0},
  [8225] = {.lex_state = 0},
  [8226] = {.lex_state = 0},
  [8227] = {.lex_state = 0},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 0, .external_lex_state = 2},
  [8230] = {.lex_state = 0},
  [8231] = {.lex_state = 0},
  [8232] = {.lex_state = 334},
  [8233] = {.lex_state = 334},
  [8234] = {.lex_state = 334},
  [8235] = {.lex_state = 0},
  [8236] = {.lex_state = 0},
  [8237] = {.lex_state = 0},
  [8238] = {.lex_state = 0},
  [8239] = {.lex_state = 193},
  [8240] = {.lex_state = 0, .external_lex_state = 2},
  [8241] = {.lex_state = 0},
  [8242] = {.lex_state = 0, .external_lex_state = 3},
  [8243] = {.lex_state = 0},
  [8244] = {.lex_state = 334},
  [8245] = {.lex_state = 0},
  [8246] = {.lex_state = 0, .external_lex_state = 2},
  [8247] = {.lex_state = 0},
  [8248] = {.lex_state = 0},
  [8249] = {.lex_state = 0, .external_lex_state = 2},
  [8250] = {.lex_state = 0},
  [8251] = {.lex_state = 0},
  [8252] = {.lex_state = 0},
  [8253] = {.lex_state = 0},
  [8254] = {.lex_state = 0, .external_lex_state = 2},
  [8255] = {.lex_state = 0},
  [8256] = {.lex_state = 0, .external_lex_state = 2},
  [8257] = {.lex_state = 0},
  [8258] = {.lex_state = 0, .external_lex_state = 2},
  [8259] = {.lex_state = 0},
  [8260] = {.lex_state = 0, .external_lex_state = 2},
  [8261] = {.lex_state = 0},
  [8262] = {.lex_state = 0, .external_lex_state = 2},
  [8263] = {.lex_state = 0},
  [8264] = {.lex_state = 0},
  [8265] = {.lex_state = 193},
  [8266] = {.lex_state = 334},
  [8267] = {.lex_state = 0},
  [8268] = {.lex_state = 334},
  [8269] = {.lex_state = 334},
  [8270] = {.lex_state = 334},
  [8271] = {.lex_state = 0},
  [8272] = {.lex_state = 0},
  [8273] = {.lex_state = 334},
  [8274] = {.lex_state = 0},
  [8275] = {.lex_state = 334},
  [8276] = {.lex_state = 171},
  [8277] = {.lex_state = 0},
  [8278] = {.lex_state = 0},
  [8279] = {.lex_state = 0},
  [8280] = {.lex_state = 0},
  [8281] = {.lex_state = 0},
  [8282] = {.lex_state = 0},
  [8283] = {.lex_state = 334},
  [8284] = {.lex_state = 0},
  [8285] = {.lex_state = 0},
  [8286] = {.lex_state = 0},
  [8287] = {.lex_state = 0},
  [8288] = {.lex_state = 193},
  [8289] = {.lex_state = 0},
  [8290] = {.lex_state = 193},
  [8291] = {.lex_state = 193},
  [8292] = {.lex_state = 334},
  [8293] = {.lex_state = 0},
  [8294] = {.lex_state = 0},
  [8295] = {.lex_state = 0},
  [8296] = {.lex_state = 0},
  [8297] = {.lex_state = 0},
  [8298] = {.lex_state = 334},
  [8299] = {.lex_state = 0, .external_lex_state = 3},
  [8300] = {.lex_state = 0},
  [8301] = {.lex_state = 0},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 334},
  [8304] = {.lex_state = 334},
  [8305] = {.lex_state = 0},
  [8306] = {.lex_state = 0},
  [8307] = {.lex_state = 0},
  [8308] = {.lex_state = 0},
  [8309] = {.lex_state = 171},
  [8310] = {.lex_state = 0},
  [8311] = {.lex_state = 0},
  [8312] = {.lex_state = 334},
  [8313] = {.lex_state = 0},
  [8314] = {.lex_state = 0},
  [8315] = {.lex_state = 193},
  [8316] = {.lex_state = 0},
  [8317] = {.lex_state = 0},
  [8318] = {.lex_state = 0},
  [8319] = {.lex_state = 0},
  [8320] = {.lex_state = 0},
  [8321] = {.lex_state = 0},
  [8322] = {.lex_state = 239},
  [8323] = {.lex_state = 0},
  [8324] = {.lex_state = 0},
  [8325] = {.lex_state = 239},
  [8326] = {.lex_state = 193},
  [8327] = {.lex_state = 0},
  [8328] = {.lex_state = 0},
  [8329] = {.lex_state = 193},
  [8330] = {.lex_state = 193},
  [8331] = {.lex_state = 0},
  [8332] = {.lex_state = 0},
  [8333] = {.lex_state = 239},
  [8334] = {.lex_state = 0},
  [8335] = {.lex_state = 0},
  [8336] = {.lex_state = 0},
  [8337] = {.lex_state = 193},
  [8338] = {.lex_state = 239},
  [8339] = {.lex_state = 0},
  [8340] = {.lex_state = 239},
  [8341] = {.lex_state = 169},
  [8342] = {.lex_state = 193},
  [8343] = {.lex_state = 0},
  [8344] = {.lex_state = 0},
  [8345] = {.lex_state = 193},
  [8346] = {.lex_state = 0},
  [8347] = {.lex_state = 0},
  [8348] = {.lex_state = 0},
  [8349] = {.lex_state = 0},
  [8350] = {.lex_state = 109},
  [8351] = {.lex_state = 0},
  [8352] = {.lex_state = 0},
  [8353] = {.lex_state = 0},
  [8354] = {.lex_state = 0},
  [8355] = {.lex_state = 0},
  [8356] = {.lex_state = 0},
  [8357] = {.lex_state = 0},
  [8358] = {.lex_state = 334},
  [8359] = {.lex_state = 334},
  [8360] = {.lex_state = 0},
  [8361] = {.lex_state = 193},
  [8362] = {.lex_state = 0},
  [8363] = {.lex_state = 193},
  [8364] = {.lex_state = 193},
  [8365] = {.lex_state = 0},
  [8366] = {.lex_state = 0, .external_lex_state = 2},
  [8367] = {.lex_state = 0},
  [8368] = {.lex_state = 0},
  [8369] = {.lex_state = 0},
  [8370] = {.lex_state = 0},
  [8371] = {.lex_state = 0},
  [8372] = {.lex_state = 0},
  [8373] = {.lex_state = 0},
  [8374] = {.lex_state = 0},
  [8375] = {.lex_state = 0},
  [8376] = {.lex_state = 109},
  [8377] = {.lex_state = 0},
  [8378] = {.lex_state = 109},
  [8379] = {.lex_state = 0},
  [8380] = {.lex_state = 0},
  [8381] = {.lex_state = 0},
  [8382] = {.lex_state = 193},
  [8383] = {.lex_state = 193},
  [8384] = {.lex_state = 0},
  [8385] = {.lex_state = 0},
  [8386] = {.lex_state = 109},
  [8387] = {.lex_state = 239},
  [8388] = {.lex_state = 0},
  [8389] = {.lex_state = 109},
  [8390] = {.lex_state = 0},
  [8391] = {.lex_state = 0},
  [8392] = {.lex_state = 193},
  [8393] = {.lex_state = 0},
  [8394] = {.lex_state = 0},
  [8395] = {.lex_state = 334},
  [8396] = {.lex_state = 0},
  [8397] = {.lex_state = 0},
  [8398] = {.lex_state = 0},
  [8399] = {.lex_state = 334},
  [8400] = {.lex_state = 0},
  [8401] = {.lex_state = 0},
  [8402] = {.lex_state = 0},
  [8403] = {.lex_state = 193},
  [8404] = {.lex_state = 0},
  [8405] = {.lex_state = 0},
  [8406] = {.lex_state = 0},
  [8407] = {.lex_state = 0},
  [8408] = {.lex_state = 0},
  [8409] = {.lex_state = 0},
  [8410] = {.lex_state = 0},
  [8411] = {.lex_state = 0},
  [8412] = {.lex_state = 171},
  [8413] = {.lex_state = 0},
  [8414] = {.lex_state = 0},
  [8415] = {.lex_state = 193},
  [8416] = {.lex_state = 0},
  [8417] = {.lex_state = 169},
  [8418] = {.lex_state = 0},
  [8419] = {.lex_state = 193},
  [8420] = {.lex_state = 171},
  [8421] = {.lex_state = 171},
  [8422] = {.lex_state = 0},
  [8423] = {.lex_state = 193},
  [8424] = {.lex_state = 193},
  [8425] = {.lex_state = 193},
  [8426] = {.lex_state = 0},
  [8427] = {.lex_state = 0},
  [8428] = {.lex_state = 0},
  [8429] = {.lex_state = 193},
  [8430] = {.lex_state = 193},
  [8431] = {.lex_state = 193},
  [8432] = {.lex_state = 0},
  [8433] = {.lex_state = 334},
  [8434] = {.lex_state = 0},
  [8435] = {.lex_state = 0},
  [8436] = {.lex_state = 109},
  [8437] = {.lex_state = 334},
  [8438] = {.lex_state = 0},
  [8439] = {.lex_state = 0},
  [8440] = {.lex_state = 0},
  [8441] = {.lex_state = 171},
  [8442] = {.lex_state = 0},
  [8443] = {.lex_state = 109},
  [8444] = {.lex_state = 0},
  [8445] = {.lex_state = 0},
  [8446] = {.lex_state = 109},
  [8447] = {.lex_state = 193},
  [8448] = {.lex_state = 0},
  [8449] = {.lex_state = 0},
  [8450] = {.lex_state = 0},
  [8451] = {.lex_state = 0},
  [8452] = {.lex_state = 171},
  [8453] = {.lex_state = 0},
  [8454] = {.lex_state = 334},
  [8455] = {.lex_state = 334},
  [8456] = {.lex_state = 0},
  [8457] = {.lex_state = 0},
  [8458] = {.lex_state = 193},
  [8459] = {.lex_state = 0},
  [8460] = {.lex_state = 0},
  [8461] = {.lex_state = 171},
  [8462] = {.lex_state = 0},
  [8463] = {.lex_state = 0},
  [8464] = {.lex_state = 0},
  [8465] = {.lex_state = 0},
  [8466] = {.lex_state = 0},
  [8467] = {.lex_state = 0},
  [8468] = {.lex_state = 0},
  [8469] = {.lex_state = 0},
  [8470] = {.lex_state = 0},
  [8471] = {.lex_state = 334},
  [8472] = {.lex_state = 334},
  [8473] = {.lex_state = 334},
  [8474] = {.lex_state = 334},
  [8475] = {.lex_state = 171},
  [8476] = {.lex_state = 334},
  [8477] = {.lex_state = 334},
  [8478] = {.lex_state = 334},
  [8479] = {.lex_state = 0},
  [8480] = {.lex_state = 171},
  [8481] = {.lex_state = 0},
  [8482] = {.lex_state = 0},
  [8483] = {.lex_state = 193},
  [8484] = {.lex_state = 193},
  [8485] = {.lex_state = 334},
  [8486] = {.lex_state = 0},
  [8487] = {.lex_state = 334},
  [8488] = {.lex_state = 0},
  [8489] = {.lex_state = 334},
  [8490] = {.lex_state = 0, .external_lex_state = 3},
  [8491] = {.lex_state = 334},
  [8492] = {.lex_state = 334},
  [8493] = {.lex_state = 193},
  [8494] = {.lex_state = 0},
  [8495] = {.lex_state = 0},
  [8496] = {.lex_state = 0},
  [8497] = {.lex_state = 0},
  [8498] = {.lex_state = 171},
  [8499] = {.lex_state = 0},
  [8500] = {.lex_state = 0},
  [8501] = {.lex_state = 0},
  [8502] = {.lex_state = 239},
  [8503] = {.lex_state = 0},
  [8504] = {.lex_state = 0},
  [8505] = {.lex_state = 109},
  [8506] = {.lex_state = 334},
  [8507] = {.lex_state = 334},
  [8508] = {.lex_state = 334},
  [8509] = {.lex_state = 193},
  [8510] = {.lex_state = 334},
  [8511] = {.lex_state = 171},
  [8512] = {.lex_state = 0},
  [8513] = {.lex_state = 193},
  [8514] = {.lex_state = 171},
  [8515] = {.lex_state = 334},
  [8516] = {.lex_state = 193},
  [8517] = {.lex_state = 109},
  [8518] = {.lex_state = 334},
  [8519] = {.lex_state = 0, .external_lex_state = 3},
  [8520] = {.lex_state = 171},
  [8521] = {.lex_state = 0},
  [8522] = {.lex_state = 0},
  [8523] = {.lex_state = 171},
  [8524] = {.lex_state = 0},
  [8525] = {.lex_state = 171},
  [8526] = {.lex_state = 0},
  [8527] = {.lex_state = 239},
  [8528] = {.lex_state = 171},
  [8529] = {.lex_state = 0},
  [8530] = {.lex_state = 334},
  [8531] = {.lex_state = 334},
  [8532] = {.lex_state = 334},
  [8533] = {.lex_state = 0},
  [8534] = {.lex_state = 334},
  [8535] = {.lex_state = 192},
  [8536] = {.lex_state = 0},
  [8537] = {.lex_state = 193},
  [8538] = {.lex_state = 334},
  [8539] = {.lex_state = 239},
  [8540] = {.lex_state = 239},
  [8541] = {.lex_state = 334},
  [8542] = {.lex_state = 0, .external_lex_state = 3},
  [8543] = {.lex_state = 193},
  [8544] = {.lex_state = 0},
  [8545] = {.lex_state = 0},
  [8546] = {.lex_state = 0},
  [8547] = {.lex_state = 0},
  [8548] = {.lex_state = 0},
  [8549] = {.lex_state = 239},
  [8550] = {.lex_state = 0},
  [8551] = {.lex_state = 334},
  [8552] = {.lex_state = 334},
  [8553] = {.lex_state = 334},
  [8554] = {.lex_state = 171},
  [8555] = {.lex_state = 334},
  [8556] = {.lex_state = 0},
  [8557] = {.lex_state = 0},
  [8558] = {.lex_state = 334},
  [8559] = {.lex_state = 0},
  [8560] = {.lex_state = 193},
  [8561] = {.lex_state = 334},
  [8562] = {.lex_state = 0, .external_lex_state = 3},
  [8563] = {.lex_state = 0},
  [8564] = {.lex_state = 0},
  [8565] = {.lex_state = 193},
  [8566] = {.lex_state = 0, .external_lex_state = 2},
  [8567] = {.lex_state = 0},
  [8568] = {.lex_state = 0},
  [8569] = {.lex_state = 239},
  [8570] = {.lex_state = 0},
  [8571] = {.lex_state = 334},
  [8572] = {.lex_state = 0},
  [8573] = {.lex_state = 334},
  [8574] = {.lex_state = 171},
  [8575] = {.lex_state = 0},
  [8576] = {.lex_state = 0},
  [8577] = {.lex_state = 0},
  [8578] = {.lex_state = 334},
  [8579] = {.lex_state = 0, .external_lex_state = 3},
  [8580] = {.lex_state = 0},
  [8581] = {.lex_state = 334},
  [8582] = {.lex_state = 0},
  [8583] = {.lex_state = 193},
  [8584] = {.lex_state = 0},
  [8585] = {.lex_state = 239},
  [8586] = {.lex_state = 334},
  [8587] = {.lex_state = 334},
  [8588] = {.lex_state = 193},
  [8589] = {.lex_state = 0, .external_lex_state = 3},
  [8590] = {.lex_state = 334},
  [8591] = {.lex_state = 0},
  [8592] = {.lex_state = 0},
  [8593] = {.lex_state = 0},
  [8594] = {.lex_state = 334},
  [8595] = {.lex_state = 334},
  [8596] = {.lex_state = 0},
  [8597] = {.lex_state = 0, .external_lex_state = 3},
  [8598] = {.lex_state = 0},
  [8599] = {.lex_state = 0},
  [8600] = {.lex_state = 334},
  [8601] = {.lex_state = 334},
  [8602] = {.lex_state = 0, .external_lex_state = 3},
  [8603] = {.lex_state = 0},
  [8604] = {.lex_state = 0, .external_lex_state = 3},
  [8605] = {.lex_state = 0},
  [8606] = {.lex_state = 0, .external_lex_state = 3},
  [8607] = {.lex_state = 0},
  [8608] = {.lex_state = 0, .external_lex_state = 3},
  [8609] = {.lex_state = 0},
  [8610] = {.lex_state = 0, .external_lex_state = 3},
  [8611] = {.lex_state = 0},
  [8612] = {.lex_state = 0, .external_lex_state = 3},
  [8613] = {.lex_state = 0},
  [8614] = {.lex_state = 0, .external_lex_state = 3},
  [8615] = {.lex_state = 0},
  [8616] = {.lex_state = 0, .external_lex_state = 3},
  [8617] = {.lex_state = 0},
  [8618] = {.lex_state = 0},
  [8619] = {.lex_state = 0},
  [8620] = {.lex_state = 334},
  [8621] = {.lex_state = 334},
  [8622] = {.lex_state = 193},
  [8623] = {.lex_state = 0},
  [8624] = {.lex_state = 171},
  [8625] = {.lex_state = 0},
  [8626] = {.lex_state = 193},
  [8627] = {.lex_state = 109},
  [8628] = {.lex_state = 334},
  [8629] = {.lex_state = 0},
  [8630] = {.lex_state = 236},
  [8631] = {.lex_state = 239},
  [8632] = {.lex_state = 171},
  [8633] = {.lex_state = 334},
  [8634] = {.lex_state = 0},
  [8635] = {.lex_state = 0},
  [8636] = {.lex_state = 334},
  [8637] = {.lex_state = 0},
  [8638] = {.lex_state = 0},
  [8639] = {.lex_state = 0},
  [8640] = {.lex_state = 334},
  [8641] = {.lex_state = 193},
  [8642] = {.lex_state = 0, .external_lex_state = 3},
  [8643] = {.lex_state = 171},
  [8644] = {.lex_state = 0},
  [8645] = {.lex_state = 193},
  [8646] = {.lex_state = 0},
  [8647] = {.lex_state = 0},
  [8648] = {.lex_state = 334},
  [8649] = {.lex_state = 109},
  [8650] = {.lex_state = 0},
  [8651] = {.lex_state = 0},
  [8652] = {.lex_state = 172},
  [8653] = {.lex_state = 0},
  [8654] = {.lex_state = 334},
  [8655] = {.lex_state = 0},
  [8656] = {.lex_state = 109},
  [8657] = {.lex_state = 0},
  [8658] = {.lex_state = 0},
  [8659] = {.lex_state = 0},
  [8660] = {.lex_state = 193},
  [8661] = {.lex_state = 171},
  [8662] = {.lex_state = 193},
  [8663] = {.lex_state = 0},
  [8664] = {.lex_state = 0},
  [8665] = {.lex_state = 0},
  [8666] = {.lex_state = 239},
  [8667] = {.lex_state = 0},
  [8668] = {.lex_state = 0},
  [8669] = {.lex_state = 0},
  [8670] = {.lex_state = 0},
  [8671] = {.lex_state = 0},
  [8672] = {.lex_state = 0},
  [8673] = {.lex_state = 0},
  [8674] = {.lex_state = 0},
  [8675] = {.lex_state = 239},
  [8676] = {.lex_state = 0},
  [8677] = {.lex_state = 0},
  [8678] = {.lex_state = 171},
  [8679] = {.lex_state = 0},
  [8680] = {.lex_state = 0},
  [8681] = {.lex_state = 334},
  [8682] = {.lex_state = 193},
  [8683] = {.lex_state = 0},
  [8684] = {.lex_state = 0},
  [8685] = {.lex_state = 0},
  [8686] = {.lex_state = 0},
  [8687] = {.lex_state = 0},
  [8688] = {.lex_state = 0},
  [8689] = {.lex_state = 193},
  [8690] = {.lex_state = 109},
  [8691] = {.lex_state = 0},
  [8692] = {.lex_state = 334},
  [8693] = {.lex_state = 171},
  [8694] = {.lex_state = 0},
  [8695] = {.lex_state = 0},
  [8696] = {.lex_state = 0},
  [8697] = {.lex_state = 0},
  [8698] = {.lex_state = 171},
  [8699] = {.lex_state = 0},
  [8700] = {.lex_state = 0},
  [8701] = {.lex_state = 0},
  [8702] = {.lex_state = 193},
  [8703] = {.lex_state = 0},
  [8704] = {.lex_state = 0},
  [8705] = {.lex_state = 239},
  [8706] = {.lex_state = 239},
  [8707] = {.lex_state = 0},
  [8708] = {.lex_state = 334},
  [8709] = {.lex_state = 334},
  [8710] = {.lex_state = 193},
  [8711] = {.lex_state = 171},
  [8712] = {.lex_state = 0},
  [8713] = {.lex_state = 0},
  [8714] = {.lex_state = 334},
  [8715] = {.lex_state = 0},
  [8716] = {.lex_state = 193},
  [8717] = {.lex_state = 0, .external_lex_state = 3},
  [8718] = {.lex_state = 0},
  [8719] = {.lex_state = 0},
  [8720] = {.lex_state = 171},
  [8721] = {.lex_state = 239},
  [8722] = {.lex_state = 334},
  [8723] = {.lex_state = 334},
  [8724] = {.lex_state = 193},
  [8725] = {.lex_state = 0},
  [8726] = {.lex_state = 109},
  [8727] = {.lex_state = 334},
  [8728] = {.lex_state = 193},
  [8729] = {.lex_state = 0, .external_lex_state = 3},
  [8730] = {.lex_state = 0},
  [8731] = {.lex_state = 0},
  [8732] = {.lex_state = 0},
  [8733] = {.lex_state = 334},
  [8734] = {.lex_state = 193},
  [8735] = {.lex_state = 0},
  [8736] = {.lex_state = 0},
  [8737] = {.lex_state = 193},
  [8738] = {.lex_state = 0, .external_lex_state = 3},
  [8739] = {.lex_state = 193},
  [8740] = {.lex_state = 0},
  [8741] = {.lex_state = 334},
  [8742] = {.lex_state = 193},
  [8743] = {.lex_state = 0},
  [8744] = {.lex_state = 193},
  [8745] = {.lex_state = 193},
  [8746] = {.lex_state = 0, .external_lex_state = 3},
  [8747] = {.lex_state = 334},
  [8748] = {.lex_state = 334},
  [8749] = {.lex_state = 193},
  [8750] = {.lex_state = 239},
  [8751] = {.lex_state = 193},
  [8752] = {.lex_state = 0, .external_lex_state = 3},
  [8753] = {.lex_state = 171},
  [8754] = {.lex_state = 193},
  [8755] = {.lex_state = 0, .external_lex_state = 3},
  [8756] = {.lex_state = 0},
  [8757] = {.lex_state = 0, .external_lex_state = 3},
  [8758] = {.lex_state = 334},
  [8759] = {.lex_state = 0, .external_lex_state = 3},
  [8760] = {.lex_state = 0},
  [8761] = {.lex_state = 0, .external_lex_state = 3},
  [8762] = {.lex_state = 0},
  [8763] = {.lex_state = 0, .external_lex_state = 3},
  [8764] = {.lex_state = 193},
  [8765] = {.lex_state = 0, .external_lex_state = 3},
  [8766] = {.lex_state = 0},
  [8767] = {.lex_state = 0, .external_lex_state = 3},
  [8768] = {.lex_state = 0},
  [8769] = {.lex_state = 0, .external_lex_state = 3},
  [8770] = {.lex_state = 0},
  [8771] = {.lex_state = 0, .external_lex_state = 3},
  [8772] = {.lex_state = 171},
  [8773] = {.lex_state = 0, .external_lex_state = 3},
  [8774] = {.lex_state = 334},
  [8775] = {.lex_state = 334},
  [8776] = {.lex_state = 0},
  [8777] = {.lex_state = 334},
  [8778] = {.lex_state = 334},
  [8779] = {.lex_state = 334},
  [8780] = {.lex_state = 334},
  [8781] = {.lex_state = 334},
  [8782] = {.lex_state = 192},
  [8783] = {.lex_state = 334},
  [8784] = {.lex_state = 334},
  [8785] = {.lex_state = 0},
  [8786] = {.lex_state = 334},
  [8787] = {.lex_state = 334},
  [8788] = {.lex_state = 0},
  [8789] = {.lex_state = 334},
  [8790] = {.lex_state = 334},
  [8791] = {.lex_state = 334},
  [8792] = {.lex_state = 334},
  [8793] = {.lex_state = 334},
  [8794] = {.lex_state = 334},
  [8795] = {.lex_state = 334},
  [8796] = {.lex_state = 334},
  [8797] = {.lex_state = 334},
  [8798] = {.lex_state = 334},
  [8799] = {.lex_state = 334},
  [8800] = {.lex_state = 193},
  [8801] = {.lex_state = 0},
  [8802] = {.lex_state = 193},
  [8803] = {.lex_state = 0},
  [8804] = {.lex_state = 0},
  [8805] = {.lex_state = 334},
  [8806] = {.lex_state = 334},
  [8807] = {.lex_state = 334},
  [8808] = {.lex_state = 334},
  [8809] = {.lex_state = 334},
  [8810] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_inout] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym___volatile__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [anon_sym_discard] = ACTIONS(1),
    [anon_sym_precise] = ACTIONS(1),
    [anon_sym_shared] = ACTIONS(1),
    [anon_sym_groupshared] = ACTIONS(1),
    [anon_sym_uniform] = ACTIONS(1),
    [anon_sym_row_major] = ACTIONS(1),
    [anon_sym_column_major] = ACTIONS(1),
    [anon_sym_globallycoherent] = ACTIONS(1),
    [anon_sym_centroid] = ACTIONS(1),
    [anon_sym_noperspective] = ACTIONS(1),
    [anon_sym_nointerpolation] = ACTIONS(1),
    [anon_sym_sample] = ACTIONS(1),
    [anon_sym_linear] = ACTIONS(1),
    [anon_sym_snorm] = ACTIONS(1),
    [anon_sym_unorm] = ACTIONS(1),
    [anon_sym_point] = ACTIONS(1),
    [anon_sym_line] = ACTIONS(1),
    [anon_sym_triangleadj] = ACTIONS(1),
    [anon_sym_lineadj] = ACTIONS(1),
    [anon_sym_triangle] = ACTIONS(1),
    [anon_sym_cbuffer] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(8219),
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4789),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1998),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6224),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(838),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4817),
    [sym__string] = STATE(4895),
    [sym_conditional_expression] = STATE(4972),
    [sym_assignment_expression] = STATE(4972),
    [sym_pointer_expression] = STATE(3862),
    [sym_unary_expression] = STATE(4972),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4972),
    [sym_cast_expression] = STATE(4972),
    [sym_sizeof_expression] = STATE(4972),
    [sym_alignof_expression] = STATE(4972),
    [sym_offsetof_expression] = STATE(4972),
    [sym_generic_expression] = STATE(4972),
    [sym_subscript_expression] = STATE(3862),
    [sym_call_expression] = STATE(3862),
    [sym_gnu_asm_expression] = STATE(4972),
    [sym_extension_expression] = STATE(4972),
    [sym_field_expression] = STATE(3862),
    [sym_compound_literal_expression] = STATE(4972),
    [sym_parenthesized_expression] = STATE(3862),
    [sym_char_literal] = STATE(4895),
    [sym_concatenated_string] = STATE(4895),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4972),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1856),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(1856),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4902),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4972),
    [sym_new_expression] = STATE(4972),
    [sym_delete_expression] = STATE(4972),
    [sym_requires_clause] = STATE(4972),
    [sym_requires_expression] = STATE(4972),
    [sym_lambda_expression] = STATE(4972),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4972),
    [sym_parameter_pack_expansion] = STATE(4972),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3787),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3862),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1358),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1856),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(111),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(117),
    [sym_false] = ACTIONS(117),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(117),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [2] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [3] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [4] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [5] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [6] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [7] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [8] = {
    [sym__block_item] = STATE(49),
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(49),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [9] = {
    [sym__block_item] = STATE(57),
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(57),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [10] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [11] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [12] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [13] = {
    [sym__block_item] = STATE(14),
    [sym_preproc_include] = STATE(14),
    [sym_preproc_def] = STATE(14),
    [sym_preproc_function_def] = STATE(14),
    [sym_preproc_call] = STATE(14),
    [sym_preproc_if] = STATE(14),
    [sym_preproc_ifdef] = STATE(14),
    [sym_preproc_else] = STATE(8461),
    [sym_preproc_elif] = STATE(8461),
    [sym_preproc_elifdef] = STATE(8461),
    [sym_function_definition] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_type_definition] = STATE(14),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(14),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(14),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(14),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(14),
    [sym_template_instantiation] = STATE(14),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(14),
    [sym_operator_cast_declaration] = STATE(14),
    [sym_constructor_or_destructor_definition] = STATE(14),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(14),
    [sym_namespace_alias_definition] = STATE(14),
    [sym_using_declaration] = STATE(14),
    [sym_alias_declaration] = STATE(14),
    [sym_static_assert_declaration] = STATE(14),
    [sym_concept_definition] = STATE(14),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(14),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [14] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8142),
    [sym_preproc_elif] = STATE(8142),
    [sym_preproc_elifdef] = STATE(8142),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [15] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7954),
    [sym_preproc_elif] = STATE(7954),
    [sym_preproc_elifdef] = STATE(7954),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [16] = {
    [sym__block_item] = STATE(19),
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(7964),
    [sym_preproc_elif] = STATE(7964),
    [sym_preproc_elifdef] = STATE(7964),
    [sym_function_definition] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(19),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(19),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(19),
    [sym_template_instantiation] = STATE(19),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(19),
    [sym_operator_cast_declaration] = STATE(19),
    [sym_constructor_or_destructor_definition] = STATE(19),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(19),
    [sym_namespace_alias_definition] = STATE(19),
    [sym_using_declaration] = STATE(19),
    [sym_alias_declaration] = STATE(19),
    [sym_static_assert_declaration] = STATE(19),
    [sym_concept_definition] = STATE(19),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [17] = {
    [sym__block_item] = STATE(15),
    [sym_preproc_include] = STATE(15),
    [sym_preproc_def] = STATE(15),
    [sym_preproc_function_def] = STATE(15),
    [sym_preproc_call] = STATE(15),
    [sym_preproc_if] = STATE(15),
    [sym_preproc_ifdef] = STATE(15),
    [sym_preproc_else] = STATE(8107),
    [sym_preproc_elif] = STATE(8107),
    [sym_preproc_elifdef] = STATE(8107),
    [sym_function_definition] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_type_definition] = STATE(15),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(15),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(15),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(15),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(15),
    [sym_template_instantiation] = STATE(15),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(15),
    [sym_operator_cast_declaration] = STATE(15),
    [sym_constructor_or_destructor_definition] = STATE(15),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(15),
    [sym_namespace_alias_definition] = STATE(15),
    [sym_using_declaration] = STATE(15),
    [sym_alias_declaration] = STATE(15),
    [sym_static_assert_declaration] = STATE(15),
    [sym_concept_definition] = STATE(15),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(15),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [18] = {
    [sym__block_item] = STATE(20),
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(8223),
    [sym_preproc_elif] = STATE(8223),
    [sym_preproc_elifdef] = STATE(8223),
    [sym_function_definition] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(20),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(20),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(20),
    [sym_template_instantiation] = STATE(20),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(20),
    [sym_operator_cast_declaration] = STATE(20),
    [sym_constructor_or_destructor_definition] = STATE(20),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(20),
    [sym_namespace_alias_definition] = STATE(20),
    [sym_using_declaration] = STATE(20),
    [sym_alias_declaration] = STATE(20),
    [sym_static_assert_declaration] = STATE(20),
    [sym_concept_definition] = STATE(20),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [19] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8309),
    [sym_preproc_elif] = STATE(8309),
    [sym_preproc_elifdef] = STATE(8309),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [20] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8480),
    [sym_preproc_elif] = STATE(8480),
    [sym_preproc_elifdef] = STATE(8480),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [21] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(8158),
    [sym_preproc_elif] = STATE(8158),
    [sym_preproc_elifdef] = STATE(8158),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [22] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7982),
    [sym_preproc_elif] = STATE(7982),
    [sym_preproc_elifdef] = STATE(7982),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [23] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(7974),
    [sym_preproc_elif] = STATE(7974),
    [sym_preproc_elifdef] = STATE(7974),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(24),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(24),
    [sym_template_instantiation] = STATE(24),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(24),
    [sym_operator_cast_declaration] = STATE(24),
    [sym_constructor_or_destructor_definition] = STATE(24),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(24),
    [sym_namespace_alias_definition] = STATE(24),
    [sym_using_declaration] = STATE(24),
    [sym_alias_declaration] = STATE(24),
    [sym_static_assert_declaration] = STATE(24),
    [sym_concept_definition] = STATE(24),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [24] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8554),
    [sym_preproc_elif] = STATE(8554),
    [sym_preproc_elifdef] = STATE(8554),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [25] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8772),
    [sym_preproc_elif] = STATE(8772),
    [sym_preproc_elifdef] = STATE(8772),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [26] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8525),
    [sym_preproc_elif] = STATE(8525),
    [sym_preproc_elifdef] = STATE(8525),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [27] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8053),
    [sym_preproc_elif] = STATE(8053),
    [sym_preproc_elifdef] = STATE(8053),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [28] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(8047),
    [sym_preproc_elif] = STATE(8047),
    [sym_preproc_elifdef] = STATE(8047),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [29] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8159),
    [sym_preproc_elif] = STATE(8159),
    [sym_preproc_elifdef] = STATE(8159),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [30] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(8523),
    [sym_preproc_elif] = STATE(8523),
    [sym_preproc_elifdef] = STATE(8523),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [31] = {
    [sym__block_item] = STATE(27),
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(8711),
    [sym_preproc_elif] = STATE(8711),
    [sym_preproc_elifdef] = STATE(8711),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(27),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(27),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(27),
    [sym_template_instantiation] = STATE(27),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(27),
    [sym_operator_cast_declaration] = STATE(27),
    [sym_constructor_or_destructor_definition] = STATE(27),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(27),
    [sym_namespace_alias_definition] = STATE(27),
    [sym_using_declaration] = STATE(27),
    [sym_alias_declaration] = STATE(27),
    [sym_static_assert_declaration] = STATE(27),
    [sym_concept_definition] = STATE(27),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [32] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(8693),
    [sym_preproc_elif] = STATE(8693),
    [sym_preproc_elifdef] = STATE(8693),
    [sym_function_definition] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(26),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(26),
    [sym_template_instantiation] = STATE(26),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(26),
    [sym_operator_cast_declaration] = STATE(26),
    [sym_constructor_or_destructor_definition] = STATE(26),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(26),
    [sym_namespace_alias_definition] = STATE(26),
    [sym_using_declaration] = STATE(26),
    [sym_alias_declaration] = STATE(26),
    [sym_static_assert_declaration] = STATE(26),
    [sym_concept_definition] = STATE(26),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [33] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(358),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1867),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1867),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(1361),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(383),
    [aux_sym_preproc_include_token1] = ACTIONS(386),
    [aux_sym_preproc_def_token1] = ACTIONS(389),
    [aux_sym_preproc_if_token1] = ACTIONS(392),
    [aux_sym_preproc_if_token2] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [aux_sym_preproc_else_token1] = ACTIONS(395),
    [aux_sym_preproc_elif_token1] = ACTIONS(395),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(395),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(395),
    [sym_preproc_directive] = ACTIONS(400),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_TILDE] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(412),
    [anon_sym_STAR] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(418),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym___extension__] = ACTIONS(427),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_in] = ACTIONS(433),
    [anon_sym_out] = ACTIONS(433),
    [anon_sym_inout] = ACTIONS(433),
    [anon_sym_virtual] = ACTIONS(433),
    [anon_sym_extern] = ACTIONS(436),
    [anon_sym___attribute__] = ACTIONS(439),
    [anon_sym_COLON_COLON] = ACTIONS(442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(445),
    [anon_sym___declspec] = ACTIONS(448),
    [anon_sym___based] = ACTIONS(451),
    [anon_sym___cdecl] = ACTIONS(454),
    [anon_sym___clrcall] = ACTIONS(454),
    [anon_sym___stdcall] = ACTIONS(454),
    [anon_sym___fastcall] = ACTIONS(454),
    [anon_sym___thiscall] = ACTIONS(454),
    [anon_sym___vectorcall] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_signed] = ACTIONS(460),
    [anon_sym_unsigned] = ACTIONS(460),
    [anon_sym_long] = ACTIONS(460),
    [anon_sym_short] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_static] = ACTIONS(466),
    [anon_sym_register] = ACTIONS(466),
    [anon_sym_inline] = ACTIONS(469),
    [anon_sym___inline] = ACTIONS(466),
    [anon_sym___inline__] = ACTIONS(466),
    [anon_sym___forceinline] = ACTIONS(466),
    [anon_sym_thread_local] = ACTIONS(466),
    [anon_sym___thread] = ACTIONS(466),
    [anon_sym_const] = ACTIONS(472),
    [anon_sym_constexpr] = ACTIONS(472),
    [anon_sym_volatile] = ACTIONS(472),
    [anon_sym_restrict] = ACTIONS(472),
    [anon_sym___restrict__] = ACTIONS(472),
    [anon_sym__Atomic] = ACTIONS(472),
    [anon_sym__Noreturn] = ACTIONS(472),
    [anon_sym_noreturn] = ACTIONS(472),
    [anon_sym__Nonnull] = ACTIONS(472),
    [anon_sym_mutable] = ACTIONS(472),
    [anon_sym_constinit] = ACTIONS(472),
    [anon_sym_consteval] = ACTIONS(472),
    [anon_sym_alignas] = ACTIONS(475),
    [anon_sym__Alignas] = ACTIONS(475),
    [sym_primitive_type] = ACTIONS(478),
    [anon_sym_enum] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(484),
    [anon_sym_struct] = ACTIONS(487),
    [anon_sym_union] = ACTIONS(490),
    [anon_sym_if] = ACTIONS(493),
    [anon_sym_switch] = ACTIONS(496),
    [anon_sym_case] = ACTIONS(499),
    [anon_sym_default] = ACTIONS(502),
    [anon_sym_while] = ACTIONS(505),
    [anon_sym_do] = ACTIONS(508),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(514),
    [anon_sym_break] = ACTIONS(517),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(526),
    [anon_sym___leave] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(412),
    [anon_sym_compl] = ACTIONS(412),
    [anon_sym_DASH_DASH] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(532),
    [anon_sym_sizeof] = ACTIONS(535),
    [anon_sym___alignof__] = ACTIONS(538),
    [anon_sym___alignof] = ACTIONS(538),
    [anon_sym__alignof] = ACTIONS(538),
    [anon_sym_alignof] = ACTIONS(538),
    [anon_sym__Alignof] = ACTIONS(538),
    [anon_sym_offsetof] = ACTIONS(541),
    [anon_sym__Generic] = ACTIONS(544),
    [anon_sym_asm] = ACTIONS(547),
    [anon_sym___asm__] = ACTIONS(547),
    [anon_sym___asm] = ACTIONS(547),
    [sym_number_literal] = ACTIONS(550),
    [anon_sym_L_SQUOTE] = ACTIONS(553),
    [anon_sym_u_SQUOTE] = ACTIONS(553),
    [anon_sym_U_SQUOTE] = ACTIONS(553),
    [anon_sym_u8_SQUOTE] = ACTIONS(553),
    [anon_sym_SQUOTE] = ACTIONS(553),
    [anon_sym_L_DQUOTE] = ACTIONS(556),
    [anon_sym_u_DQUOTE] = ACTIONS(556),
    [anon_sym_U_DQUOTE] = ACTIONS(556),
    [anon_sym_u8_DQUOTE] = ACTIONS(556),
    [anon_sym_DQUOTE] = ACTIONS(556),
    [sym_true] = ACTIONS(559),
    [sym_false] = ACTIONS(559),
    [anon_sym_NULL] = ACTIONS(562),
    [anon_sym_nullptr] = ACTIONS(562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(565),
    [anon_sym_decltype] = ACTIONS(568),
    [anon_sym_explicit] = ACTIONS(571),
    [anon_sym_typename] = ACTIONS(574),
    [anon_sym_template] = ACTIONS(577),
    [anon_sym_operator] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_namespace] = ACTIONS(592),
    [anon_sym_using] = ACTIONS(595),
    [anon_sym_static_assert] = ACTIONS(598),
    [anon_sym_concept] = ACTIONS(601),
    [anon_sym_co_return] = ACTIONS(604),
    [anon_sym_co_yield] = ACTIONS(607),
    [anon_sym_R_DQUOTE] = ACTIONS(610),
    [anon_sym_LR_DQUOTE] = ACTIONS(610),
    [anon_sym_uR_DQUOTE] = ACTIONS(610),
    [anon_sym_UR_DQUOTE] = ACTIONS(610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(610),
    [anon_sym_co_await] = ACTIONS(613),
    [anon_sym_new] = ACTIONS(616),
    [anon_sym_requires] = ACTIONS(619),
    [sym_this] = ACTIONS(559),
    [anon_sym_discard] = ACTIONS(622),
    [anon_sym_precise] = ACTIONS(625),
    [anon_sym_shared] = ACTIONS(625),
    [anon_sym_groupshared] = ACTIONS(625),
    [anon_sym_uniform] = ACTIONS(625),
    [anon_sym_row_major] = ACTIONS(625),
    [anon_sym_column_major] = ACTIONS(625),
    [anon_sym_globallycoherent] = ACTIONS(625),
    [anon_sym_centroid] = ACTIONS(625),
    [anon_sym_noperspective] = ACTIONS(625),
    [anon_sym_nointerpolation] = ACTIONS(625),
    [anon_sym_sample] = ACTIONS(625),
    [anon_sym_linear] = ACTIONS(625),
    [anon_sym_snorm] = ACTIONS(625),
    [anon_sym_unorm] = ACTIONS(625),
    [anon_sym_point] = ACTIONS(625),
    [anon_sym_line] = ACTIONS(625),
    [anon_sym_triangleadj] = ACTIONS(625),
    [anon_sym_lineadj] = ACTIONS(625),
    [anon_sym_triangle] = ACTIONS(625),
    [anon_sym_cbuffer] = ACTIONS(628),
  },
  [34] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [35] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [36] = {
    [sym__block_item] = STATE(36),
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1981),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6238),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(535),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2296),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(648),
    [sym_statement] = STATE(36),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1858),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(6747),
    [sym__constructor_specifiers] = STATE(1858),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6747),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(1367),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(639),
    [aux_sym_preproc_include_token1] = ACTIONS(642),
    [aux_sym_preproc_def_token1] = ACTIONS(645),
    [aux_sym_preproc_if_token1] = ACTIONS(648),
    [aux_sym_preproc_if_token2] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(651),
    [sym_preproc_directive] = ACTIONS(654),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_TILDE] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(412),
    [anon_sym_STAR] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(418),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(657),
    [anon_sym___extension__] = ACTIONS(660),
    [anon_sym_typedef] = ACTIONS(663),
    [anon_sym_in] = ACTIONS(433),
    [anon_sym_out] = ACTIONS(433),
    [anon_sym_inout] = ACTIONS(433),
    [anon_sym_virtual] = ACTIONS(433),
    [anon_sym_extern] = ACTIONS(666),
    [anon_sym___attribute__] = ACTIONS(439),
    [anon_sym_COLON_COLON] = ACTIONS(442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(445),
    [anon_sym___declspec] = ACTIONS(448),
    [anon_sym___based] = ACTIONS(451),
    [anon_sym___cdecl] = ACTIONS(454),
    [anon_sym___clrcall] = ACTIONS(454),
    [anon_sym___stdcall] = ACTIONS(454),
    [anon_sym___fastcall] = ACTIONS(454),
    [anon_sym___thiscall] = ACTIONS(454),
    [anon_sym___vectorcall] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(669),
    [anon_sym_signed] = ACTIONS(460),
    [anon_sym_unsigned] = ACTIONS(460),
    [anon_sym_long] = ACTIONS(460),
    [anon_sym_short] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_static] = ACTIONS(466),
    [anon_sym_register] = ACTIONS(466),
    [anon_sym_inline] = ACTIONS(672),
    [anon_sym___inline] = ACTIONS(466),
    [anon_sym___inline__] = ACTIONS(466),
    [anon_sym___forceinline] = ACTIONS(466),
    [anon_sym_thread_local] = ACTIONS(466),
    [anon_sym___thread] = ACTIONS(466),
    [anon_sym_const] = ACTIONS(472),
    [anon_sym_constexpr] = ACTIONS(472),
    [anon_sym_volatile] = ACTIONS(472),
    [anon_sym_restrict] = ACTIONS(472),
    [anon_sym___restrict__] = ACTIONS(472),
    [anon_sym__Atomic] = ACTIONS(472),
    [anon_sym__Noreturn] = ACTIONS(472),
    [anon_sym_noreturn] = ACTIONS(472),
    [anon_sym__Nonnull] = ACTIONS(472),
    [anon_sym_mutable] = ACTIONS(472),
    [anon_sym_constinit] = ACTIONS(472),
    [anon_sym_consteval] = ACTIONS(472),
    [anon_sym_alignas] = ACTIONS(475),
    [anon_sym__Alignas] = ACTIONS(475),
    [sym_primitive_type] = ACTIONS(478),
    [anon_sym_enum] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(484),
    [anon_sym_struct] = ACTIONS(487),
    [anon_sym_union] = ACTIONS(490),
    [anon_sym_if] = ACTIONS(675),
    [anon_sym_switch] = ACTIONS(678),
    [anon_sym_case] = ACTIONS(681),
    [anon_sym_default] = ACTIONS(684),
    [anon_sym_while] = ACTIONS(687),
    [anon_sym_do] = ACTIONS(690),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(696),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_continue] = ACTIONS(702),
    [anon_sym_goto] = ACTIONS(705),
    [anon_sym___try] = ACTIONS(708),
    [anon_sym___leave] = ACTIONS(711),
    [anon_sym_not] = ACTIONS(412),
    [anon_sym_compl] = ACTIONS(412),
    [anon_sym_DASH_DASH] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(532),
    [anon_sym_sizeof] = ACTIONS(535),
    [anon_sym___alignof__] = ACTIONS(538),
    [anon_sym___alignof] = ACTIONS(538),
    [anon_sym__alignof] = ACTIONS(538),
    [anon_sym_alignof] = ACTIONS(538),
    [anon_sym__Alignof] = ACTIONS(538),
    [anon_sym_offsetof] = ACTIONS(541),
    [anon_sym__Generic] = ACTIONS(544),
    [anon_sym_asm] = ACTIONS(547),
    [anon_sym___asm__] = ACTIONS(547),
    [anon_sym___asm] = ACTIONS(547),
    [sym_number_literal] = ACTIONS(550),
    [anon_sym_L_SQUOTE] = ACTIONS(553),
    [anon_sym_u_SQUOTE] = ACTIONS(553),
    [anon_sym_U_SQUOTE] = ACTIONS(553),
    [anon_sym_u8_SQUOTE] = ACTIONS(553),
    [anon_sym_SQUOTE] = ACTIONS(553),
    [anon_sym_L_DQUOTE] = ACTIONS(556),
    [anon_sym_u_DQUOTE] = ACTIONS(556),
    [anon_sym_U_DQUOTE] = ACTIONS(556),
    [anon_sym_u8_DQUOTE] = ACTIONS(556),
    [anon_sym_DQUOTE] = ACTIONS(556),
    [sym_true] = ACTIONS(559),
    [sym_false] = ACTIONS(559),
    [anon_sym_NULL] = ACTIONS(562),
    [anon_sym_nullptr] = ACTIONS(562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(565),
    [anon_sym_decltype] = ACTIONS(568),
    [anon_sym_explicit] = ACTIONS(571),
    [anon_sym_typename] = ACTIONS(574),
    [anon_sym_template] = ACTIONS(714),
    [anon_sym_operator] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_throw] = ACTIONS(720),
    [anon_sym_namespace] = ACTIONS(723),
    [anon_sym_using] = ACTIONS(726),
    [anon_sym_static_assert] = ACTIONS(729),
    [anon_sym_concept] = ACTIONS(732),
    [anon_sym_co_return] = ACTIONS(735),
    [anon_sym_co_yield] = ACTIONS(738),
    [anon_sym_R_DQUOTE] = ACTIONS(610),
    [anon_sym_LR_DQUOTE] = ACTIONS(610),
    [anon_sym_uR_DQUOTE] = ACTIONS(610),
    [anon_sym_UR_DQUOTE] = ACTIONS(610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(610),
    [anon_sym_co_await] = ACTIONS(613),
    [anon_sym_new] = ACTIONS(616),
    [anon_sym_requires] = ACTIONS(619),
    [sym_this] = ACTIONS(559),
    [anon_sym_discard] = ACTIONS(741),
    [anon_sym_precise] = ACTIONS(625),
    [anon_sym_shared] = ACTIONS(625),
    [anon_sym_groupshared] = ACTIONS(625),
    [anon_sym_uniform] = ACTIONS(625),
    [anon_sym_row_major] = ACTIONS(625),
    [anon_sym_column_major] = ACTIONS(625),
    [anon_sym_globallycoherent] = ACTIONS(625),
    [anon_sym_centroid] = ACTIONS(625),
    [anon_sym_noperspective] = ACTIONS(625),
    [anon_sym_nointerpolation] = ACTIONS(625),
    [anon_sym_sample] = ACTIONS(625),
    [anon_sym_linear] = ACTIONS(625),
    [anon_sym_snorm] = ACTIONS(625),
    [anon_sym_unorm] = ACTIONS(625),
    [anon_sym_point] = ACTIONS(625),
    [anon_sym_line] = ACTIONS(625),
    [anon_sym_triangleadj] = ACTIONS(625),
    [anon_sym_lineadj] = ACTIONS(625),
    [anon_sym_triangle] = ACTIONS(625),
    [anon_sym_cbuffer] = ACTIONS(744),
  },
  [37] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [38] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [39] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [40] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(753),
    [aux_sym_preproc_include_token1] = ACTIONS(756),
    [aux_sym_preproc_def_token1] = ACTIONS(759),
    [aux_sym_preproc_if_token1] = ACTIONS(762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(765),
    [sym_preproc_directive] = ACTIONS(768),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_TILDE] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(412),
    [anon_sym_STAR] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(418),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(774),
    [anon_sym_typedef] = ACTIONS(777),
    [anon_sym_in] = ACTIONS(433),
    [anon_sym_out] = ACTIONS(433),
    [anon_sym_inout] = ACTIONS(433),
    [anon_sym_virtual] = ACTIONS(433),
    [anon_sym_extern] = ACTIONS(780),
    [anon_sym___attribute__] = ACTIONS(439),
    [anon_sym_COLON_COLON] = ACTIONS(442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(445),
    [anon_sym___declspec] = ACTIONS(448),
    [anon_sym___based] = ACTIONS(451),
    [anon_sym___cdecl] = ACTIONS(454),
    [anon_sym___clrcall] = ACTIONS(454),
    [anon_sym___stdcall] = ACTIONS(454),
    [anon_sym___fastcall] = ACTIONS(454),
    [anon_sym___thiscall] = ACTIONS(454),
    [anon_sym___vectorcall] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_RBRACE] = ACTIONS(786),
    [anon_sym_signed] = ACTIONS(460),
    [anon_sym_unsigned] = ACTIONS(460),
    [anon_sym_long] = ACTIONS(460),
    [anon_sym_short] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_static] = ACTIONS(466),
    [anon_sym_register] = ACTIONS(466),
    [anon_sym_inline] = ACTIONS(788),
    [anon_sym___inline] = ACTIONS(466),
    [anon_sym___inline__] = ACTIONS(466),
    [anon_sym___forceinline] = ACTIONS(466),
    [anon_sym_thread_local] = ACTIONS(466),
    [anon_sym___thread] = ACTIONS(466),
    [anon_sym_const] = ACTIONS(472),
    [anon_sym_constexpr] = ACTIONS(472),
    [anon_sym_volatile] = ACTIONS(472),
    [anon_sym_restrict] = ACTIONS(472),
    [anon_sym___restrict__] = ACTIONS(472),
    [anon_sym__Atomic] = ACTIONS(472),
    [anon_sym__Noreturn] = ACTIONS(472),
    [anon_sym_noreturn] = ACTIONS(472),
    [anon_sym__Nonnull] = ACTIONS(472),
    [anon_sym_mutable] = ACTIONS(472),
    [anon_sym_constinit] = ACTIONS(472),
    [anon_sym_consteval] = ACTIONS(472),
    [anon_sym_alignas] = ACTIONS(475),
    [anon_sym__Alignas] = ACTIONS(475),
    [sym_primitive_type] = ACTIONS(478),
    [anon_sym_enum] = ACTIONS(481),
    [anon_sym_class] = ACTIONS(484),
    [anon_sym_struct] = ACTIONS(487),
    [anon_sym_union] = ACTIONS(490),
    [anon_sym_if] = ACTIONS(791),
    [anon_sym_switch] = ACTIONS(794),
    [anon_sym_case] = ACTIONS(797),
    [anon_sym_default] = ACTIONS(800),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_do] = ACTIONS(806),
    [anon_sym_for] = ACTIONS(809),
    [anon_sym_return] = ACTIONS(812),
    [anon_sym_break] = ACTIONS(815),
    [anon_sym_continue] = ACTIONS(818),
    [anon_sym_goto] = ACTIONS(821),
    [anon_sym___try] = ACTIONS(824),
    [anon_sym___leave] = ACTIONS(827),
    [anon_sym_not] = ACTIONS(412),
    [anon_sym_compl] = ACTIONS(412),
    [anon_sym_DASH_DASH] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(532),
    [anon_sym_sizeof] = ACTIONS(535),
    [anon_sym___alignof__] = ACTIONS(538),
    [anon_sym___alignof] = ACTIONS(538),
    [anon_sym__alignof] = ACTIONS(538),
    [anon_sym_alignof] = ACTIONS(538),
    [anon_sym__Alignof] = ACTIONS(538),
    [anon_sym_offsetof] = ACTIONS(541),
    [anon_sym__Generic] = ACTIONS(544),
    [anon_sym_asm] = ACTIONS(547),
    [anon_sym___asm__] = ACTIONS(547),
    [anon_sym___asm] = ACTIONS(547),
    [sym_number_literal] = ACTIONS(550),
    [anon_sym_L_SQUOTE] = ACTIONS(553),
    [anon_sym_u_SQUOTE] = ACTIONS(553),
    [anon_sym_U_SQUOTE] = ACTIONS(553),
    [anon_sym_u8_SQUOTE] = ACTIONS(553),
    [anon_sym_SQUOTE] = ACTIONS(553),
    [anon_sym_L_DQUOTE] = ACTIONS(556),
    [anon_sym_u_DQUOTE] = ACTIONS(556),
    [anon_sym_U_DQUOTE] = ACTIONS(556),
    [anon_sym_u8_DQUOTE] = ACTIONS(556),
    [anon_sym_DQUOTE] = ACTIONS(556),
    [sym_true] = ACTIONS(559),
    [sym_false] = ACTIONS(559),
    [anon_sym_NULL] = ACTIONS(562),
    [anon_sym_nullptr] = ACTIONS(562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(565),
    [anon_sym_decltype] = ACTIONS(568),
    [anon_sym_explicit] = ACTIONS(571),
    [anon_sym_typename] = ACTIONS(574),
    [anon_sym_template] = ACTIONS(830),
    [anon_sym_operator] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(833),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_namespace] = ACTIONS(839),
    [anon_sym_using] = ACTIONS(842),
    [anon_sym_static_assert] = ACTIONS(845),
    [anon_sym_concept] = ACTIONS(848),
    [anon_sym_co_return] = ACTIONS(851),
    [anon_sym_co_yield] = ACTIONS(854),
    [anon_sym_R_DQUOTE] = ACTIONS(610),
    [anon_sym_LR_DQUOTE] = ACTIONS(610),
    [anon_sym_uR_DQUOTE] = ACTIONS(610),
    [anon_sym_UR_DQUOTE] = ACTIONS(610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(610),
    [anon_sym_co_await] = ACTIONS(613),
    [anon_sym_new] = ACTIONS(616),
    [anon_sym_requires] = ACTIONS(619),
    [sym_this] = ACTIONS(559),
    [anon_sym_discard] = ACTIONS(857),
    [anon_sym_precise] = ACTIONS(625),
    [anon_sym_shared] = ACTIONS(625),
    [anon_sym_groupshared] = ACTIONS(625),
    [anon_sym_uniform] = ACTIONS(625),
    [anon_sym_row_major] = ACTIONS(625),
    [anon_sym_column_major] = ACTIONS(625),
    [anon_sym_globallycoherent] = ACTIONS(625),
    [anon_sym_centroid] = ACTIONS(625),
    [anon_sym_noperspective] = ACTIONS(625),
    [anon_sym_nointerpolation] = ACTIONS(625),
    [anon_sym_sample] = ACTIONS(625),
    [anon_sym_linear] = ACTIONS(625),
    [anon_sym_snorm] = ACTIONS(625),
    [anon_sym_unorm] = ACTIONS(625),
    [anon_sym_point] = ACTIONS(625),
    [anon_sym_line] = ACTIONS(625),
    [anon_sym_triangleadj] = ACTIONS(625),
    [anon_sym_lineadj] = ACTIONS(625),
    [anon_sym_triangle] = ACTIONS(625),
    [anon_sym_cbuffer] = ACTIONS(860),
  },
  [41] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(863),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [42] = {
    [sym__block_item] = STATE(44),
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(44),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(44),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(44),
    [sym_template_instantiation] = STATE(44),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(44),
    [sym_operator_cast_declaration] = STATE(44),
    [sym_constructor_or_destructor_definition] = STATE(44),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(44),
    [sym_namespace_alias_definition] = STATE(44),
    [sym_using_declaration] = STATE(44),
    [sym_alias_declaration] = STATE(44),
    [sym_static_assert_declaration] = STATE(44),
    [sym_concept_definition] = STATE(44),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(865),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [43] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(867),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [44] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(869),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [45] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [46] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [47] = {
    [sym__block_item] = STATE(36),
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1981),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6238),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(535),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2296),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(648),
    [sym_statement] = STATE(36),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1858),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(6747),
    [sym__constructor_specifiers] = STATE(1858),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6747),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(1367),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(875),
    [aux_sym_preproc_include_token1] = ACTIONS(877),
    [aux_sym_preproc_def_token1] = ACTIONS(879),
    [aux_sym_preproc_if_token1] = ACTIONS(881),
    [aux_sym_preproc_if_token2] = ACTIONS(883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(885),
    [sym_preproc_directive] = ACTIONS(887),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(891),
    [anon_sym_typedef] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(895),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(899),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(927),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_namespace] = ACTIONS(933),
    [anon_sym_using] = ACTIONS(935),
    [anon_sym_static_assert] = ACTIONS(937),
    [anon_sym_concept] = ACTIONS(939),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [48] = {
    [sym__block_item] = STATE(49),
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(49),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [49] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(951),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [50] = {
    [sym__block_item] = STATE(79),
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(79),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [51] = {
    [sym__block_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(43),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(955),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [52] = {
    [sym__block_item] = STATE(53),
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(53),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(53),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(53),
    [sym_template_instantiation] = STATE(53),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(53),
    [sym_operator_cast_declaration] = STATE(53),
    [sym_constructor_or_destructor_definition] = STATE(53),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(53),
    [sym_namespace_alias_definition] = STATE(53),
    [sym_using_declaration] = STATE(53),
    [sym_alias_declaration] = STATE(53),
    [sym_static_assert_declaration] = STATE(53),
    [sym_concept_definition] = STATE(53),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(957),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [53] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [54] = {
    [sym__block_item] = STATE(55),
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(55),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(55),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(55),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(55),
    [sym_template_instantiation] = STATE(55),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(55),
    [sym_operator_cast_declaration] = STATE(55),
    [sym_constructor_or_destructor_definition] = STATE(55),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(55),
    [sym_namespace_alias_definition] = STATE(55),
    [sym_using_declaration] = STATE(55),
    [sym_alias_declaration] = STATE(55),
    [sym_static_assert_declaration] = STATE(55),
    [sym_concept_definition] = STATE(55),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(55),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [55] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [56] = {
    [sym__block_item] = STATE(57),
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(57),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [57] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(967),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [58] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [59] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [60] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [61] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [62] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(977),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [63] = {
    [sym__block_item] = STATE(64),
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(64),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [64] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(981),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [65] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1981),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6238),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(535),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2296),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(648),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1858),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6747),
    [sym__constructor_specifiers] = STATE(1858),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6747),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(1367),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(875),
    [aux_sym_preproc_include_token1] = ACTIONS(877),
    [aux_sym_preproc_def_token1] = ACTIONS(879),
    [aux_sym_preproc_if_token1] = ACTIONS(881),
    [aux_sym_preproc_if_token2] = ACTIONS(983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(885),
    [sym_preproc_directive] = ACTIONS(887),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(891),
    [anon_sym_typedef] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(895),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(899),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(927),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_namespace] = ACTIONS(933),
    [anon_sym_using] = ACTIONS(935),
    [anon_sym_static_assert] = ACTIONS(937),
    [anon_sym_concept] = ACTIONS(939),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [66] = {
    [sym__block_item] = STATE(67),
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(67),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(985),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [67] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [68] = {
    [sym__block_item] = STATE(69),
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(69),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [69] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [70] = {
    [sym__block_item] = STATE(71),
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(71),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(993),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [71] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [72] = {
    [sym__block_item] = STATE(73),
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(73),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [73] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(999),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [74] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [75] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [76] = {
    [sym__block_item] = STATE(77),
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [77] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [78] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [79] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6212),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(655),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1866),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1866),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4562),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3422),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2403),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(1345),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1866),
    [sym_identifier] = ACTIONS(631),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [80] = {
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4789),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1998),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6224),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(838),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4817),
    [sym__string] = STATE(4895),
    [sym_conditional_expression] = STATE(4972),
    [sym_assignment_expression] = STATE(4972),
    [sym_pointer_expression] = STATE(3862),
    [sym_unary_expression] = STATE(4972),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4972),
    [sym_cast_expression] = STATE(4972),
    [sym_sizeof_expression] = STATE(4972),
    [sym_alignof_expression] = STATE(4972),
    [sym_offsetof_expression] = STATE(4972),
    [sym_generic_expression] = STATE(4972),
    [sym_subscript_expression] = STATE(3862),
    [sym_call_expression] = STATE(3862),
    [sym_gnu_asm_expression] = STATE(4972),
    [sym_extension_expression] = STATE(4972),
    [sym_field_expression] = STATE(3862),
    [sym_compound_literal_expression] = STATE(4972),
    [sym_parenthesized_expression] = STATE(3862),
    [sym_char_literal] = STATE(4895),
    [sym_concatenated_string] = STATE(4895),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4972),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1856),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(1856),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4902),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4972),
    [sym_new_expression] = STATE(4972),
    [sym_delete_expression] = STATE(4972),
    [sym_requires_clause] = STATE(4972),
    [sym_requires_expression] = STATE(4972),
    [sym_lambda_expression] = STATE(4972),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4972),
    [sym_parameter_pack_expansion] = STATE(4972),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3787),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3862),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1358),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1856),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(111),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(117),
    [sym_false] = ACTIONS(117),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(117),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [81] = {
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4789),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(962),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1998),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6224),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(838),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4817),
    [sym__string] = STATE(4895),
    [sym_conditional_expression] = STATE(4972),
    [sym_assignment_expression] = STATE(4972),
    [sym_pointer_expression] = STATE(3862),
    [sym_unary_expression] = STATE(4972),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4972),
    [sym_cast_expression] = STATE(4972),
    [sym_sizeof_expression] = STATE(4972),
    [sym_alignof_expression] = STATE(4972),
    [sym_offsetof_expression] = STATE(4972),
    [sym_generic_expression] = STATE(4972),
    [sym_subscript_expression] = STATE(3862),
    [sym_call_expression] = STATE(3862),
    [sym_gnu_asm_expression] = STATE(4972),
    [sym_extension_expression] = STATE(4972),
    [sym_field_expression] = STATE(3862),
    [sym_compound_literal_expression] = STATE(4972),
    [sym_parenthesized_expression] = STATE(3862),
    [sym_char_literal] = STATE(4895),
    [sym_concatenated_string] = STATE(4895),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4972),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_explicit_function_specifier] = STATE(1856),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(1856),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4902),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4972),
    [sym_new_expression] = STATE(4972),
    [sym_delete_expression] = STATE(4972),
    [sym_requires_clause] = STATE(4972),
    [sym_requires_expression] = STATE(4972),
    [sym_lambda_expression] = STATE(4972),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4972),
    [sym_parameter_pack_expansion] = STATE(4972),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5492),
    [sym_qualified_identifier] = STATE(3787),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3862),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1358),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1856),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(1017),
    [aux_sym_preproc_include_token1] = ACTIONS(1020),
    [aux_sym_preproc_def_token1] = ACTIONS(1023),
    [aux_sym_preproc_if_token1] = ACTIONS(1026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1029),
    [sym_preproc_directive] = ACTIONS(1032),
    [anon_sym_LPAREN2] = ACTIONS(1035),
    [anon_sym_BANG] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1044),
    [anon_sym_PLUS] = ACTIONS(1044),
    [anon_sym_STAR] = ACTIONS(1047),
    [anon_sym_AMP_AMP] = ACTIONS(1050),
    [anon_sym_AMP] = ACTIONS(1053),
    [anon_sym___extension__] = ACTIONS(1056),
    [anon_sym_typedef] = ACTIONS(1059),
    [anon_sym_in] = ACTIONS(1062),
    [anon_sym_out] = ACTIONS(1062),
    [anon_sym_inout] = ACTIONS(1062),
    [anon_sym_virtual] = ACTIONS(1062),
    [anon_sym_extern] = ACTIONS(1065),
    [anon_sym___attribute__] = ACTIONS(1068),
    [anon_sym_COLON_COLON] = ACTIONS(1071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1074),
    [anon_sym___declspec] = ACTIONS(1077),
    [anon_sym___based] = ACTIONS(1080),
    [anon_sym___cdecl] = ACTIONS(1083),
    [anon_sym___clrcall] = ACTIONS(1083),
    [anon_sym___stdcall] = ACTIONS(1083),
    [anon_sym___fastcall] = ACTIONS(1083),
    [anon_sym___thiscall] = ACTIONS(1083),
    [anon_sym___vectorcall] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_signed] = ACTIONS(1089),
    [anon_sym_unsigned] = ACTIONS(1089),
    [anon_sym_long] = ACTIONS(1089),
    [anon_sym_short] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_register] = ACTIONS(1095),
    [anon_sym_inline] = ACTIONS(1098),
    [anon_sym___inline] = ACTIONS(1095),
    [anon_sym___inline__] = ACTIONS(1095),
    [anon_sym___forceinline] = ACTIONS(1095),
    [anon_sym_thread_local] = ACTIONS(1095),
    [anon_sym___thread] = ACTIONS(1095),
    [anon_sym_const] = ACTIONS(1101),
    [anon_sym_constexpr] = ACTIONS(1101),
    [anon_sym_volatile] = ACTIONS(1101),
    [anon_sym_restrict] = ACTIONS(1101),
    [anon_sym___restrict__] = ACTIONS(1101),
    [anon_sym__Atomic] = ACTIONS(1101),
    [anon_sym__Noreturn] = ACTIONS(1101),
    [anon_sym_noreturn] = ACTIONS(1101),
    [anon_sym__Nonnull] = ACTIONS(1101),
    [anon_sym_mutable] = ACTIONS(1101),
    [anon_sym_constinit] = ACTIONS(1101),
    [anon_sym_consteval] = ACTIONS(1101),
    [anon_sym_alignas] = ACTIONS(1104),
    [anon_sym__Alignas] = ACTIONS(1104),
    [sym_primitive_type] = ACTIONS(1107),
    [anon_sym_enum] = ACTIONS(1110),
    [anon_sym_class] = ACTIONS(1113),
    [anon_sym_struct] = ACTIONS(1116),
    [anon_sym_union] = ACTIONS(1119),
    [anon_sym_if] = ACTIONS(1122),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1128),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1134),
    [anon_sym_do] = ACTIONS(1137),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1149),
    [anon_sym_goto] = ACTIONS(1152),
    [anon_sym_not] = ACTIONS(1044),
    [anon_sym_compl] = ACTIONS(1044),
    [anon_sym_DASH_DASH] = ACTIONS(1155),
    [anon_sym_PLUS_PLUS] = ACTIONS(1155),
    [anon_sym_sizeof] = ACTIONS(1158),
    [anon_sym___alignof__] = ACTIONS(1161),
    [anon_sym___alignof] = ACTIONS(1161),
    [anon_sym__alignof] = ACTIONS(1161),
    [anon_sym_alignof] = ACTIONS(1161),
    [anon_sym__Alignof] = ACTIONS(1161),
    [anon_sym_offsetof] = ACTIONS(1164),
    [anon_sym__Generic] = ACTIONS(1167),
    [anon_sym_asm] = ACTIONS(1170),
    [anon_sym___asm__] = ACTIONS(1170),
    [anon_sym___asm] = ACTIONS(1170),
    [sym_number_literal] = ACTIONS(1173),
    [anon_sym_L_SQUOTE] = ACTIONS(1176),
    [anon_sym_u_SQUOTE] = ACTIONS(1176),
    [anon_sym_U_SQUOTE] = ACTIONS(1176),
    [anon_sym_u8_SQUOTE] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_L_DQUOTE] = ACTIONS(1179),
    [anon_sym_u_DQUOTE] = ACTIONS(1179),
    [anon_sym_U_DQUOTE] = ACTIONS(1179),
    [anon_sym_u8_DQUOTE] = ACTIONS(1179),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_NULL] = ACTIONS(1185),
    [anon_sym_nullptr] = ACTIONS(1185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1188),
    [anon_sym_decltype] = ACTIONS(1191),
    [anon_sym_explicit] = ACTIONS(1194),
    [anon_sym_typename] = ACTIONS(1197),
    [anon_sym_template] = ACTIONS(1200),
    [anon_sym_operator] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1209),
    [anon_sym_throw] = ACTIONS(1212),
    [anon_sym_namespace] = ACTIONS(1215),
    [anon_sym_using] = ACTIONS(1218),
    [anon_sym_static_assert] = ACTIONS(1221),
    [anon_sym_concept] = ACTIONS(1224),
    [anon_sym_co_return] = ACTIONS(1227),
    [anon_sym_co_yield] = ACTIONS(1230),
    [anon_sym_R_DQUOTE] = ACTIONS(1233),
    [anon_sym_LR_DQUOTE] = ACTIONS(1233),
    [anon_sym_uR_DQUOTE] = ACTIONS(1233),
    [anon_sym_UR_DQUOTE] = ACTIONS(1233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1233),
    [anon_sym_co_await] = ACTIONS(1236),
    [anon_sym_new] = ACTIONS(1239),
    [anon_sym_requires] = ACTIONS(1242),
    [sym_this] = ACTIONS(1182),
    [anon_sym_precise] = ACTIONS(1245),
    [anon_sym_shared] = ACTIONS(1245),
    [anon_sym_groupshared] = ACTIONS(1245),
    [anon_sym_uniform] = ACTIONS(1245),
    [anon_sym_row_major] = ACTIONS(1245),
    [anon_sym_column_major] = ACTIONS(1245),
    [anon_sym_globallycoherent] = ACTIONS(1245),
    [anon_sym_centroid] = ACTIONS(1245),
    [anon_sym_noperspective] = ACTIONS(1245),
    [anon_sym_nointerpolation] = ACTIONS(1245),
    [anon_sym_sample] = ACTIONS(1245),
    [anon_sym_linear] = ACTIONS(1245),
    [anon_sym_snorm] = ACTIONS(1245),
    [anon_sym_unorm] = ACTIONS(1245),
    [anon_sym_point] = ACTIONS(1245),
    [anon_sym_line] = ACTIONS(1245),
    [anon_sym_triangleadj] = ACTIONS(1245),
    [anon_sym_lineadj] = ACTIONS(1245),
    [anon_sym_triangle] = ACTIONS(1245),
  },
  [82] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5181),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(82),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(82),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token2] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [aux_sym_preproc_else_token1] = ACTIONS(1251),
    [aux_sym_preproc_elif_token1] = ACTIONS(1251),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP_AMP] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym___extension__] = ACTIONS(1273),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_in] = ACTIONS(1279),
    [anon_sym_out] = ACTIONS(1279),
    [anon_sym_inout] = ACTIONS(1279),
    [anon_sym_virtual] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym___attribute__] = ACTIONS(1285),
    [anon_sym_COLON_COLON] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1291),
    [anon_sym___declspec] = ACTIONS(1294),
    [anon_sym___based] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1282),
    [anon_sym_register] = ACTIONS(1282),
    [anon_sym_inline] = ACTIONS(1282),
    [anon_sym___inline] = ACTIONS(1282),
    [anon_sym___inline__] = ACTIONS(1282),
    [anon_sym___forceinline] = ACTIONS(1282),
    [anon_sym_thread_local] = ACTIONS(1282),
    [anon_sym___thread] = ACTIONS(1282),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [anon_sym__Nonnull] = ACTIONS(1306),
    [anon_sym_mutable] = ACTIONS(1306),
    [anon_sym_constinit] = ACTIONS(1306),
    [anon_sym_consteval] = ACTIONS(1306),
    [anon_sym_alignas] = ACTIONS(1309),
    [anon_sym__Alignas] = ACTIONS(1309),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_class] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1321),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_else] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1345),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1351),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1357),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_compl] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1363),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1369),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1375),
    [anon_sym___asm__] = ACTIONS(1375),
    [anon_sym___asm] = ACTIONS(1375),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1381),
    [anon_sym_u_SQUOTE] = ACTIONS(1381),
    [anon_sym_U_SQUOTE] = ACTIONS(1381),
    [anon_sym_u8_SQUOTE] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1393),
    [anon_sym_decltype] = ACTIONS(1396),
    [anon_sym_explicit] = ACTIONS(1251),
    [anon_sym_typename] = ACTIONS(1399),
    [anon_sym_template] = ACTIONS(1402),
    [anon_sym_operator] = ACTIONS(1251),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1408),
    [anon_sym_throw] = ACTIONS(1411),
    [anon_sym_namespace] = ACTIONS(1251),
    [anon_sym_using] = ACTIONS(1251),
    [anon_sym_static_assert] = ACTIONS(1251),
    [anon_sym_concept] = ACTIONS(1251),
    [anon_sym_co_return] = ACTIONS(1414),
    [anon_sym_co_yield] = ACTIONS(1417),
    [anon_sym_R_DQUOTE] = ACTIONS(1420),
    [anon_sym_LR_DQUOTE] = ACTIONS(1420),
    [anon_sym_uR_DQUOTE] = ACTIONS(1420),
    [anon_sym_UR_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1420),
    [anon_sym_co_await] = ACTIONS(1423),
    [anon_sym_new] = ACTIONS(1426),
    [anon_sym_requires] = ACTIONS(1429),
    [sym_this] = ACTIONS(1387),
    [anon_sym_discard] = ACTIONS(1432),
    [anon_sym_precise] = ACTIONS(1435),
    [anon_sym_shared] = ACTIONS(1435),
    [anon_sym_groupshared] = ACTIONS(1435),
    [anon_sym_uniform] = ACTIONS(1435),
    [anon_sym_row_major] = ACTIONS(1435),
    [anon_sym_column_major] = ACTIONS(1435),
    [anon_sym_globallycoherent] = ACTIONS(1435),
    [anon_sym_centroid] = ACTIONS(1435),
    [anon_sym_noperspective] = ACTIONS(1435),
    [anon_sym_nointerpolation] = ACTIONS(1435),
    [anon_sym_sample] = ACTIONS(1435),
    [anon_sym_linear] = ACTIONS(1435),
    [anon_sym_snorm] = ACTIONS(1435),
    [anon_sym_unorm] = ACTIONS(1435),
    [anon_sym_point] = ACTIONS(1435),
    [anon_sym_line] = ACTIONS(1435),
    [anon_sym_triangleadj] = ACTIONS(1435),
    [anon_sym_lineadj] = ACTIONS(1435),
    [anon_sym_triangle] = ACTIONS(1435),
    [anon_sym_cbuffer] = ACTIONS(1438),
  },
  [83] = {
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5181),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(85),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(85),
    [sym_labeled_statement] = STATE(85),
    [sym_expression_statement] = STATE(85),
    [sym_if_statement] = STATE(85),
    [sym_switch_statement] = STATE(85),
    [sym_while_statement] = STATE(85),
    [sym_do_statement] = STATE(85),
    [sym_for_statement] = STATE(85),
    [sym_return_statement] = STATE(85),
    [sym_break_statement] = STATE(85),
    [sym_continue_statement] = STATE(85),
    [sym_goto_statement] = STATE(85),
    [sym_seh_try_statement] = STATE(85),
    [sym_seh_leave_statement] = STATE(85),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(85),
    [sym_co_return_statement] = STATE(85),
    [sym_co_yield_statement] = STATE(85),
    [sym_throw_statement] = STATE(85),
    [sym_try_statement] = STATE(85),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(85),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(85),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(85),
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1443),
    [aux_sym_preproc_def_token1] = ACTIONS(1443),
    [aux_sym_preproc_if_token1] = ACTIONS(1443),
    [aux_sym_preproc_if_token2] = ACTIONS(1443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1443),
    [aux_sym_preproc_else_token1] = ACTIONS(1443),
    [aux_sym_preproc_elif_token1] = ACTIONS(1443),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1443),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1443),
    [sym_preproc_directive] = ACTIONS(1443),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(1453),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1443),
    [anon_sym___cdecl] = ACTIONS(1443),
    [anon_sym___clrcall] = ACTIONS(1443),
    [anon_sym___stdcall] = ACTIONS(1443),
    [anon_sym___fastcall] = ACTIONS(1443),
    [anon_sym___thiscall] = ACTIONS(1443),
    [anon_sym___vectorcall] = ACTIONS(1443),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_else] = ACTIONS(1443),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(1443),
    [anon_sym_default] = ACTIONS(1443),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1443),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1443),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(1443),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_static_assert] = ACTIONS(1443),
    [anon_sym_concept] = ACTIONS(1443),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [84] = {
    [sym_declaration] = STATE(86),
    [sym_type_definition] = STATE(86),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5181),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(86),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(86),
    [sym_labeled_statement] = STATE(86),
    [sym_expression_statement] = STATE(86),
    [sym_if_statement] = STATE(86),
    [sym_switch_statement] = STATE(86),
    [sym_while_statement] = STATE(86),
    [sym_do_statement] = STATE(86),
    [sym_for_statement] = STATE(86),
    [sym_return_statement] = STATE(86),
    [sym_break_statement] = STATE(86),
    [sym_continue_statement] = STATE(86),
    [sym_goto_statement] = STATE(86),
    [sym_seh_try_statement] = STATE(86),
    [sym_seh_leave_statement] = STATE(86),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(86),
    [sym_co_return_statement] = STATE(86),
    [sym_co_yield_statement] = STATE(86),
    [sym_throw_statement] = STATE(86),
    [sym_try_statement] = STATE(86),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(86),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(86),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(86),
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1463),
    [aux_sym_preproc_def_token1] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1463),
    [aux_sym_preproc_if_token2] = ACTIONS(1463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1463),
    [aux_sym_preproc_else_token1] = ACTIONS(1463),
    [aux_sym_preproc_elif_token1] = ACTIONS(1463),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1463),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1463),
    [sym_preproc_directive] = ACTIONS(1463),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(1453),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1463),
    [anon_sym___cdecl] = ACTIONS(1463),
    [anon_sym___clrcall] = ACTIONS(1463),
    [anon_sym___stdcall] = ACTIONS(1463),
    [anon_sym___fastcall] = ACTIONS(1463),
    [anon_sym___thiscall] = ACTIONS(1463),
    [anon_sym___vectorcall] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_else] = ACTIONS(1463),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(1463),
    [anon_sym_default] = ACTIONS(1463),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1463),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(1463),
    [anon_sym_using] = ACTIONS(1463),
    [anon_sym_static_assert] = ACTIONS(1463),
    [anon_sym_concept] = ACTIONS(1463),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [85] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5181),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(82),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(82),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1467),
    [aux_sym_preproc_def_token1] = ACTIONS(1467),
    [aux_sym_preproc_if_token1] = ACTIONS(1467),
    [aux_sym_preproc_if_token2] = ACTIONS(1467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1467),
    [aux_sym_preproc_else_token1] = ACTIONS(1467),
    [aux_sym_preproc_elif_token1] = ACTIONS(1467),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1467),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1467),
    [sym_preproc_directive] = ACTIONS(1467),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(1453),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1467),
    [anon_sym___cdecl] = ACTIONS(1467),
    [anon_sym___clrcall] = ACTIONS(1467),
    [anon_sym___stdcall] = ACTIONS(1467),
    [anon_sym___fastcall] = ACTIONS(1467),
    [anon_sym___thiscall] = ACTIONS(1467),
    [anon_sym___vectorcall] = ACTIONS(1467),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_else] = ACTIONS(1467),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(1467),
    [anon_sym_default] = ACTIONS(1467),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1467),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1467),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(1467),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_static_assert] = ACTIONS(1467),
    [anon_sym_concept] = ACTIONS(1467),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [86] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5181),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(82),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(82),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1471),
    [aux_sym_preproc_def_token1] = ACTIONS(1471),
    [aux_sym_preproc_if_token1] = ACTIONS(1471),
    [aux_sym_preproc_if_token2] = ACTIONS(1471),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1471),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1471),
    [aux_sym_preproc_else_token1] = ACTIONS(1471),
    [aux_sym_preproc_elif_token1] = ACTIONS(1471),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1471),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1471),
    [sym_preproc_directive] = ACTIONS(1471),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1473),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(1453),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1471),
    [anon_sym___cdecl] = ACTIONS(1471),
    [anon_sym___clrcall] = ACTIONS(1471),
    [anon_sym___stdcall] = ACTIONS(1471),
    [anon_sym___fastcall] = ACTIONS(1471),
    [anon_sym___thiscall] = ACTIONS(1471),
    [anon_sym___vectorcall] = ACTIONS(1471),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_else] = ACTIONS(1471),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(1471),
    [anon_sym_default] = ACTIONS(1471),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1471),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1471),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(1471),
    [anon_sym_static_assert] = ACTIONS(1471),
    [anon_sym_concept] = ACTIONS(1471),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [87] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5311),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(90),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(90),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [sym_identifier] = ACTIONS(1475),
    [aux_sym_preproc_include_token1] = ACTIONS(1467),
    [aux_sym_preproc_def_token1] = ACTIONS(1467),
    [aux_sym_preproc_if_token1] = ACTIONS(1467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1467),
    [sym_preproc_directive] = ACTIONS(1467),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1467),
    [anon_sym___cdecl] = ACTIONS(1467),
    [anon_sym___clrcall] = ACTIONS(1467),
    [anon_sym___stdcall] = ACTIONS(1467),
    [anon_sym___fastcall] = ACTIONS(1467),
    [anon_sym___thiscall] = ACTIONS(1467),
    [anon_sym___vectorcall] = ACTIONS(1467),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1467),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1467),
    [anon_sym_default] = ACTIONS(1467),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1467),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1467),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1467),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_static_assert] = ACTIONS(1467),
    [anon_sym_concept] = ACTIONS(1467),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [88] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5207),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(89),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(89),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(1479),
    [aux_sym_preproc_include_token1] = ACTIONS(1471),
    [aux_sym_preproc_def_token1] = ACTIONS(1471),
    [aux_sym_preproc_if_token1] = ACTIONS(1471),
    [aux_sym_preproc_if_token2] = ACTIONS(1471),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1471),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1471),
    [sym_preproc_directive] = ACTIONS(1471),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1473),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1471),
    [anon_sym___cdecl] = ACTIONS(1471),
    [anon_sym___clrcall] = ACTIONS(1471),
    [anon_sym___stdcall] = ACTIONS(1471),
    [anon_sym___fastcall] = ACTIONS(1471),
    [anon_sym___thiscall] = ACTIONS(1471),
    [anon_sym___vectorcall] = ACTIONS(1471),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(1471),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(1471),
    [anon_sym_default] = ACTIONS(1471),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1471),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1471),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_namespace] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(1471),
    [anon_sym_static_assert] = ACTIONS(1471),
    [anon_sym_concept] = ACTIONS(1471),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [89] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5207),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(89),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(89),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(1483),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token2] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP_AMP] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1489),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_in] = ACTIONS(1279),
    [anon_sym_out] = ACTIONS(1279),
    [anon_sym_inout] = ACTIONS(1279),
    [anon_sym_virtual] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym___attribute__] = ACTIONS(1285),
    [anon_sym_COLON_COLON] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1291),
    [anon_sym___declspec] = ACTIONS(1294),
    [anon_sym___based] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1282),
    [anon_sym_register] = ACTIONS(1282),
    [anon_sym_inline] = ACTIONS(1282),
    [anon_sym___inline] = ACTIONS(1282),
    [anon_sym___inline__] = ACTIONS(1282),
    [anon_sym___forceinline] = ACTIONS(1282),
    [anon_sym_thread_local] = ACTIONS(1282),
    [anon_sym___thread] = ACTIONS(1282),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [anon_sym__Nonnull] = ACTIONS(1306),
    [anon_sym_mutable] = ACTIONS(1306),
    [anon_sym_constinit] = ACTIONS(1306),
    [anon_sym_consteval] = ACTIONS(1306),
    [anon_sym_alignas] = ACTIONS(1309),
    [anon_sym__Alignas] = ACTIONS(1309),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_class] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1321),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1498),
    [anon_sym_else] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1501),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1510),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1519),
    [anon_sym_goto] = ACTIONS(1522),
    [anon_sym___try] = ACTIONS(1525),
    [anon_sym___leave] = ACTIONS(1528),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_compl] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1363),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1369),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1375),
    [anon_sym___asm__] = ACTIONS(1375),
    [anon_sym___asm] = ACTIONS(1375),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1381),
    [anon_sym_u_SQUOTE] = ACTIONS(1381),
    [anon_sym_U_SQUOTE] = ACTIONS(1381),
    [anon_sym_u8_SQUOTE] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1393),
    [anon_sym_decltype] = ACTIONS(1396),
    [anon_sym_explicit] = ACTIONS(1251),
    [anon_sym_typename] = ACTIONS(1399),
    [anon_sym_template] = ACTIONS(1402),
    [anon_sym_operator] = ACTIONS(1251),
    [anon_sym_try] = ACTIONS(1531),
    [anon_sym_delete] = ACTIONS(1408),
    [anon_sym_throw] = ACTIONS(1534),
    [anon_sym_namespace] = ACTIONS(1251),
    [anon_sym_using] = ACTIONS(1251),
    [anon_sym_static_assert] = ACTIONS(1251),
    [anon_sym_concept] = ACTIONS(1251),
    [anon_sym_co_return] = ACTIONS(1537),
    [anon_sym_co_yield] = ACTIONS(1540),
    [anon_sym_R_DQUOTE] = ACTIONS(1420),
    [anon_sym_LR_DQUOTE] = ACTIONS(1420),
    [anon_sym_uR_DQUOTE] = ACTIONS(1420),
    [anon_sym_UR_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1420),
    [anon_sym_co_await] = ACTIONS(1423),
    [anon_sym_new] = ACTIONS(1426),
    [anon_sym_requires] = ACTIONS(1429),
    [sym_this] = ACTIONS(1387),
    [anon_sym_discard] = ACTIONS(1543),
    [anon_sym_precise] = ACTIONS(1435),
    [anon_sym_shared] = ACTIONS(1435),
    [anon_sym_groupshared] = ACTIONS(1435),
    [anon_sym_uniform] = ACTIONS(1435),
    [anon_sym_row_major] = ACTIONS(1435),
    [anon_sym_column_major] = ACTIONS(1435),
    [anon_sym_globallycoherent] = ACTIONS(1435),
    [anon_sym_centroid] = ACTIONS(1435),
    [anon_sym_noperspective] = ACTIONS(1435),
    [anon_sym_nointerpolation] = ACTIONS(1435),
    [anon_sym_sample] = ACTIONS(1435),
    [anon_sym_linear] = ACTIONS(1435),
    [anon_sym_snorm] = ACTIONS(1435),
    [anon_sym_unorm] = ACTIONS(1435),
    [anon_sym_point] = ACTIONS(1435),
    [anon_sym_line] = ACTIONS(1435),
    [anon_sym_triangleadj] = ACTIONS(1435),
    [anon_sym_lineadj] = ACTIONS(1435),
    [anon_sym_triangle] = ACTIONS(1435),
    [anon_sym_cbuffer] = ACTIONS(1546),
  },
  [90] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5311),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(90),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(90),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP_AMP] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_SEMI] = ACTIONS(1552),
    [anon_sym___extension__] = ACTIONS(1555),
    [anon_sym_typedef] = ACTIONS(1558),
    [anon_sym_in] = ACTIONS(1279),
    [anon_sym_out] = ACTIONS(1279),
    [anon_sym_inout] = ACTIONS(1279),
    [anon_sym_virtual] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym___attribute__] = ACTIONS(1285),
    [anon_sym_COLON_COLON] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1291),
    [anon_sym___declspec] = ACTIONS(1294),
    [anon_sym___based] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1282),
    [anon_sym_register] = ACTIONS(1282),
    [anon_sym_inline] = ACTIONS(1282),
    [anon_sym___inline] = ACTIONS(1282),
    [anon_sym___inline__] = ACTIONS(1282),
    [anon_sym___forceinline] = ACTIONS(1282),
    [anon_sym_thread_local] = ACTIONS(1282),
    [anon_sym___thread] = ACTIONS(1282),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [anon_sym__Nonnull] = ACTIONS(1306),
    [anon_sym_mutable] = ACTIONS(1306),
    [anon_sym_constinit] = ACTIONS(1306),
    [anon_sym_consteval] = ACTIONS(1306),
    [anon_sym_alignas] = ACTIONS(1309),
    [anon_sym__Alignas] = ACTIONS(1309),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_class] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1321),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1564),
    [anon_sym_else] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1567),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_do] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1579),
    [anon_sym_break] = ACTIONS(1582),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_goto] = ACTIONS(1588),
    [anon_sym___try] = ACTIONS(1591),
    [anon_sym___leave] = ACTIONS(1594),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_compl] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1363),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1369),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1375),
    [anon_sym___asm__] = ACTIONS(1375),
    [anon_sym___asm] = ACTIONS(1375),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1381),
    [anon_sym_u_SQUOTE] = ACTIONS(1381),
    [anon_sym_U_SQUOTE] = ACTIONS(1381),
    [anon_sym_u8_SQUOTE] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1393),
    [anon_sym_decltype] = ACTIONS(1396),
    [anon_sym_explicit] = ACTIONS(1251),
    [anon_sym_typename] = ACTIONS(1399),
    [anon_sym_template] = ACTIONS(1402),
    [anon_sym_operator] = ACTIONS(1251),
    [anon_sym_try] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1408),
    [anon_sym_throw] = ACTIONS(1600),
    [anon_sym_namespace] = ACTIONS(1251),
    [anon_sym_using] = ACTIONS(1251),
    [anon_sym_static_assert] = ACTIONS(1251),
    [anon_sym_concept] = ACTIONS(1251),
    [anon_sym_co_return] = ACTIONS(1603),
    [anon_sym_co_yield] = ACTIONS(1606),
    [anon_sym_R_DQUOTE] = ACTIONS(1420),
    [anon_sym_LR_DQUOTE] = ACTIONS(1420),
    [anon_sym_uR_DQUOTE] = ACTIONS(1420),
    [anon_sym_UR_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1420),
    [anon_sym_co_await] = ACTIONS(1423),
    [anon_sym_new] = ACTIONS(1426),
    [anon_sym_requires] = ACTIONS(1429),
    [sym_this] = ACTIONS(1387),
    [anon_sym_discard] = ACTIONS(1609),
    [anon_sym_precise] = ACTIONS(1435),
    [anon_sym_shared] = ACTIONS(1435),
    [anon_sym_groupshared] = ACTIONS(1435),
    [anon_sym_uniform] = ACTIONS(1435),
    [anon_sym_row_major] = ACTIONS(1435),
    [anon_sym_column_major] = ACTIONS(1435),
    [anon_sym_globallycoherent] = ACTIONS(1435),
    [anon_sym_centroid] = ACTIONS(1435),
    [anon_sym_noperspective] = ACTIONS(1435),
    [anon_sym_nointerpolation] = ACTIONS(1435),
    [anon_sym_sample] = ACTIONS(1435),
    [anon_sym_linear] = ACTIONS(1435),
    [anon_sym_snorm] = ACTIONS(1435),
    [anon_sym_unorm] = ACTIONS(1435),
    [anon_sym_point] = ACTIONS(1435),
    [anon_sym_line] = ACTIONS(1435),
    [anon_sym_triangleadj] = ACTIONS(1435),
    [anon_sym_lineadj] = ACTIONS(1435),
    [anon_sym_triangle] = ACTIONS(1435),
    [anon_sym_cbuffer] = ACTIONS(1612),
  },
  [91] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5189),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(99),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(99),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [ts_builtin_sym_end] = ACTIONS(1465),
    [sym_identifier] = ACTIONS(1615),
    [aux_sym_preproc_include_token1] = ACTIONS(1463),
    [aux_sym_preproc_def_token1] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1463),
    [sym_preproc_directive] = ACTIONS(1463),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(1619),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1463),
    [anon_sym___cdecl] = ACTIONS(1463),
    [anon_sym___clrcall] = ACTIONS(1463),
    [anon_sym___stdcall] = ACTIONS(1463),
    [anon_sym___fastcall] = ACTIONS(1463),
    [anon_sym___thiscall] = ACTIONS(1463),
    [anon_sym___vectorcall] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1463),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1463),
    [anon_sym_default] = ACTIONS(1463),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1463),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1463),
    [anon_sym_using] = ACTIONS(1463),
    [anon_sym_static_assert] = ACTIONS(1463),
    [anon_sym_concept] = ACTIONS(1463),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [92] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5311),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(90),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(90),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [sym_identifier] = ACTIONS(1475),
    [aux_sym_preproc_include_token1] = ACTIONS(1471),
    [aux_sym_preproc_def_token1] = ACTIONS(1471),
    [aux_sym_preproc_if_token1] = ACTIONS(1471),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1471),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1471),
    [sym_preproc_directive] = ACTIONS(1471),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1473),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1471),
    [anon_sym___cdecl] = ACTIONS(1471),
    [anon_sym___clrcall] = ACTIONS(1471),
    [anon_sym___stdcall] = ACTIONS(1471),
    [anon_sym___fastcall] = ACTIONS(1471),
    [anon_sym___thiscall] = ACTIONS(1471),
    [anon_sym___vectorcall] = ACTIONS(1471),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(1473),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1471),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1471),
    [anon_sym_default] = ACTIONS(1471),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1471),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1471),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(1471),
    [anon_sym_static_assert] = ACTIONS(1471),
    [anon_sym_concept] = ACTIONS(1471),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [93] = {
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5189),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(96),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(96),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(96),
    [ts_builtin_sym_end] = ACTIONS(1449),
    [sym_identifier] = ACTIONS(1615),
    [aux_sym_preproc_include_token1] = ACTIONS(1443),
    [aux_sym_preproc_def_token1] = ACTIONS(1443),
    [aux_sym_preproc_if_token1] = ACTIONS(1443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1443),
    [sym_preproc_directive] = ACTIONS(1443),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(1619),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1443),
    [anon_sym___cdecl] = ACTIONS(1443),
    [anon_sym___clrcall] = ACTIONS(1443),
    [anon_sym___stdcall] = ACTIONS(1443),
    [anon_sym___fastcall] = ACTIONS(1443),
    [anon_sym___thiscall] = ACTIONS(1443),
    [anon_sym___vectorcall] = ACTIONS(1443),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1443),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1443),
    [anon_sym_default] = ACTIONS(1443),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1443),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1443),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1443),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_static_assert] = ACTIONS(1443),
    [anon_sym_concept] = ACTIONS(1443),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [94] = {
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5311),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(87),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(87),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(87),
    [sym_identifier] = ACTIONS(1475),
    [aux_sym_preproc_include_token1] = ACTIONS(1443),
    [aux_sym_preproc_def_token1] = ACTIONS(1443),
    [aux_sym_preproc_if_token1] = ACTIONS(1443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1443),
    [sym_preproc_directive] = ACTIONS(1443),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1443),
    [anon_sym___cdecl] = ACTIONS(1443),
    [anon_sym___clrcall] = ACTIONS(1443),
    [anon_sym___stdcall] = ACTIONS(1443),
    [anon_sym___fastcall] = ACTIONS(1443),
    [anon_sym___thiscall] = ACTIONS(1443),
    [anon_sym___vectorcall] = ACTIONS(1443),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(1449),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1443),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1443),
    [anon_sym_default] = ACTIONS(1443),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1443),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1443),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1443),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_static_assert] = ACTIONS(1443),
    [anon_sym_concept] = ACTIONS(1443),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [95] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5311),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(92),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(92),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1475),
    [aux_sym_preproc_include_token1] = ACTIONS(1463),
    [aux_sym_preproc_def_token1] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1463),
    [sym_preproc_directive] = ACTIONS(1463),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1463),
    [anon_sym___cdecl] = ACTIONS(1463),
    [anon_sym___clrcall] = ACTIONS(1463),
    [anon_sym___stdcall] = ACTIONS(1463),
    [anon_sym___fastcall] = ACTIONS(1463),
    [anon_sym___thiscall] = ACTIONS(1463),
    [anon_sym___vectorcall] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(1465),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1463),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1463),
    [anon_sym_default] = ACTIONS(1463),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1463),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1463),
    [anon_sym_using] = ACTIONS(1463),
    [anon_sym_static_assert] = ACTIONS(1463),
    [anon_sym_concept] = ACTIONS(1463),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [96] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5189),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(98),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(98),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym_identifier] = ACTIONS(1615),
    [aux_sym_preproc_include_token1] = ACTIONS(1467),
    [aux_sym_preproc_def_token1] = ACTIONS(1467),
    [aux_sym_preproc_if_token1] = ACTIONS(1467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1467),
    [sym_preproc_directive] = ACTIONS(1467),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(1619),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1467),
    [anon_sym___cdecl] = ACTIONS(1467),
    [anon_sym___clrcall] = ACTIONS(1467),
    [anon_sym___stdcall] = ACTIONS(1467),
    [anon_sym___fastcall] = ACTIONS(1467),
    [anon_sym___thiscall] = ACTIONS(1467),
    [anon_sym___vectorcall] = ACTIONS(1467),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1467),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1467),
    [anon_sym_default] = ACTIONS(1467),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1467),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1467),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1467),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_static_assert] = ACTIONS(1467),
    [anon_sym_concept] = ACTIONS(1467),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [97] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5207),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(89),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(89),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(1479),
    [aux_sym_preproc_include_token1] = ACTIONS(1467),
    [aux_sym_preproc_def_token1] = ACTIONS(1467),
    [aux_sym_preproc_if_token1] = ACTIONS(1467),
    [aux_sym_preproc_if_token2] = ACTIONS(1467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1467),
    [sym_preproc_directive] = ACTIONS(1467),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1467),
    [anon_sym___cdecl] = ACTIONS(1467),
    [anon_sym___clrcall] = ACTIONS(1467),
    [anon_sym___stdcall] = ACTIONS(1467),
    [anon_sym___fastcall] = ACTIONS(1467),
    [anon_sym___thiscall] = ACTIONS(1467),
    [anon_sym___vectorcall] = ACTIONS(1467),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(1467),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(1467),
    [anon_sym_default] = ACTIONS(1467),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1467),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1467),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_namespace] = ACTIONS(1467),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_static_assert] = ACTIONS(1467),
    [anon_sym_concept] = ACTIONS(1467),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [98] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5189),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(98),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(98),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1265),
    [sym_identifier] = ACTIONS(1629),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP_AMP] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_SEMI] = ACTIONS(1632),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_typedef] = ACTIONS(1638),
    [anon_sym_in] = ACTIONS(1279),
    [anon_sym_out] = ACTIONS(1279),
    [anon_sym_inout] = ACTIONS(1279),
    [anon_sym_virtual] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym___attribute__] = ACTIONS(1285),
    [anon_sym_COLON_COLON] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1291),
    [anon_sym___declspec] = ACTIONS(1294),
    [anon_sym___based] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1282),
    [anon_sym_register] = ACTIONS(1282),
    [anon_sym_inline] = ACTIONS(1282),
    [anon_sym___inline] = ACTIONS(1282),
    [anon_sym___inline__] = ACTIONS(1282),
    [anon_sym___forceinline] = ACTIONS(1282),
    [anon_sym_thread_local] = ACTIONS(1282),
    [anon_sym___thread] = ACTIONS(1282),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [anon_sym__Nonnull] = ACTIONS(1306),
    [anon_sym_mutable] = ACTIONS(1306),
    [anon_sym_constinit] = ACTIONS(1306),
    [anon_sym_consteval] = ACTIONS(1306),
    [anon_sym_alignas] = ACTIONS(1309),
    [anon_sym__Alignas] = ACTIONS(1309),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_class] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1321),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1644),
    [anon_sym_else] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1653),
    [anon_sym_for] = ACTIONS(1656),
    [anon_sym_return] = ACTIONS(1659),
    [anon_sym_break] = ACTIONS(1662),
    [anon_sym_continue] = ACTIONS(1665),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1671),
    [anon_sym___leave] = ACTIONS(1674),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_compl] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1363),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1369),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1375),
    [anon_sym___asm__] = ACTIONS(1375),
    [anon_sym___asm] = ACTIONS(1375),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1381),
    [anon_sym_u_SQUOTE] = ACTIONS(1381),
    [anon_sym_U_SQUOTE] = ACTIONS(1381),
    [anon_sym_u8_SQUOTE] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1393),
    [anon_sym_decltype] = ACTIONS(1396),
    [anon_sym_explicit] = ACTIONS(1251),
    [anon_sym_typename] = ACTIONS(1399),
    [anon_sym_template] = ACTIONS(1402),
    [anon_sym_operator] = ACTIONS(1251),
    [anon_sym_try] = ACTIONS(1677),
    [anon_sym_delete] = ACTIONS(1408),
    [anon_sym_throw] = ACTIONS(1680),
    [anon_sym_namespace] = ACTIONS(1251),
    [anon_sym_using] = ACTIONS(1251),
    [anon_sym_static_assert] = ACTIONS(1251),
    [anon_sym_concept] = ACTIONS(1251),
    [anon_sym_co_return] = ACTIONS(1683),
    [anon_sym_co_yield] = ACTIONS(1686),
    [anon_sym_R_DQUOTE] = ACTIONS(1420),
    [anon_sym_LR_DQUOTE] = ACTIONS(1420),
    [anon_sym_uR_DQUOTE] = ACTIONS(1420),
    [anon_sym_UR_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1420),
    [anon_sym_co_await] = ACTIONS(1423),
    [anon_sym_new] = ACTIONS(1426),
    [anon_sym_requires] = ACTIONS(1429),
    [sym_this] = ACTIONS(1387),
    [anon_sym_discard] = ACTIONS(1689),
    [anon_sym_precise] = ACTIONS(1435),
    [anon_sym_shared] = ACTIONS(1435),
    [anon_sym_groupshared] = ACTIONS(1435),
    [anon_sym_uniform] = ACTIONS(1435),
    [anon_sym_row_major] = ACTIONS(1435),
    [anon_sym_column_major] = ACTIONS(1435),
    [anon_sym_globallycoherent] = ACTIONS(1435),
    [anon_sym_centroid] = ACTIONS(1435),
    [anon_sym_noperspective] = ACTIONS(1435),
    [anon_sym_nointerpolation] = ACTIONS(1435),
    [anon_sym_sample] = ACTIONS(1435),
    [anon_sym_linear] = ACTIONS(1435),
    [anon_sym_snorm] = ACTIONS(1435),
    [anon_sym_unorm] = ACTIONS(1435),
    [anon_sym_point] = ACTIONS(1435),
    [anon_sym_line] = ACTIONS(1435),
    [anon_sym_triangleadj] = ACTIONS(1435),
    [anon_sym_lineadj] = ACTIONS(1435),
    [anon_sym_triangle] = ACTIONS(1435),
    [anon_sym_cbuffer] = ACTIONS(1692),
  },
  [99] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5189),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(98),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(98),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1615),
    [aux_sym_preproc_include_token1] = ACTIONS(1471),
    [aux_sym_preproc_def_token1] = ACTIONS(1471),
    [aux_sym_preproc_if_token1] = ACTIONS(1471),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1471),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1471),
    [sym_preproc_directive] = ACTIONS(1471),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1473),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(1619),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1471),
    [anon_sym___cdecl] = ACTIONS(1471),
    [anon_sym___clrcall] = ACTIONS(1471),
    [anon_sym___stdcall] = ACTIONS(1471),
    [anon_sym___fastcall] = ACTIONS(1471),
    [anon_sym___thiscall] = ACTIONS(1471),
    [anon_sym___vectorcall] = ACTIONS(1471),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1471),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1471),
    [anon_sym_default] = ACTIONS(1471),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1471),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1471),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(1471),
    [anon_sym_static_assert] = ACTIONS(1471),
    [anon_sym_concept] = ACTIONS(1471),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [100] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5207),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(88),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(88),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(1479),
    [aux_sym_preproc_include_token1] = ACTIONS(1463),
    [aux_sym_preproc_def_token1] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1463),
    [aux_sym_preproc_if_token2] = ACTIONS(1463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1463),
    [sym_preproc_directive] = ACTIONS(1463),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1463),
    [anon_sym___cdecl] = ACTIONS(1463),
    [anon_sym___clrcall] = ACTIONS(1463),
    [anon_sym___stdcall] = ACTIONS(1463),
    [anon_sym___fastcall] = ACTIONS(1463),
    [anon_sym___thiscall] = ACTIONS(1463),
    [anon_sym___vectorcall] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(1463),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(1463),
    [anon_sym_default] = ACTIONS(1463),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1463),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_namespace] = ACTIONS(1463),
    [anon_sym_using] = ACTIONS(1463),
    [anon_sym_static_assert] = ACTIONS(1463),
    [anon_sym_concept] = ACTIONS(1463),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [101] = {
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5207),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(97),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(97),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(97),
    [sym_identifier] = ACTIONS(1479),
    [aux_sym_preproc_include_token1] = ACTIONS(1443),
    [aux_sym_preproc_def_token1] = ACTIONS(1443),
    [aux_sym_preproc_if_token1] = ACTIONS(1443),
    [aux_sym_preproc_if_token2] = ACTIONS(1443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1443),
    [sym_preproc_directive] = ACTIONS(1443),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1443),
    [anon_sym___cdecl] = ACTIONS(1443),
    [anon_sym___clrcall] = ACTIONS(1443),
    [anon_sym___stdcall] = ACTIONS(1443),
    [anon_sym___fastcall] = ACTIONS(1443),
    [anon_sym___thiscall] = ACTIONS(1443),
    [anon_sym___vectorcall] = ACTIONS(1443),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(1443),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(1443),
    [anon_sym_default] = ACTIONS(1443),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1443),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(1443),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_namespace] = ACTIONS(1443),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_static_assert] = ACTIONS(1443),
    [anon_sym_concept] = ACTIONS(1443),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [102] = {
    [sym_declaration] = STATE(493),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5311),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(493),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7708),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [103] = {
    [sym_declaration] = STATE(525),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5189),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(525),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [104] = {
    [sym_declaration] = STATE(1041),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5199),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(1024),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1041),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1713),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [105] = {
    [sym_declaration] = STATE(493),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5311),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(451),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(493),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [106] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5199),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(108),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(108),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1713),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1753),
    [anon_sym_typedef] = ACTIONS(1755),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_else] = ACTIONS(1467),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [107] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5199),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(106),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(106),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1713),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1753),
    [anon_sym_typedef] = ACTIONS(1755),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_else] = ACTIONS(1443),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [108] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5199),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(108),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(108),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1757),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1760),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_typedef] = ACTIONS(1766),
    [anon_sym_in] = ACTIONS(1279),
    [anon_sym_out] = ACTIONS(1279),
    [anon_sym_inout] = ACTIONS(1279),
    [anon_sym_virtual] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym___attribute__] = ACTIONS(1285),
    [anon_sym_COLON_COLON] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1291),
    [anon_sym___declspec] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1769),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1282),
    [anon_sym_register] = ACTIONS(1282),
    [anon_sym_inline] = ACTIONS(1282),
    [anon_sym___inline] = ACTIONS(1282),
    [anon_sym___inline__] = ACTIONS(1282),
    [anon_sym___forceinline] = ACTIONS(1282),
    [anon_sym_thread_local] = ACTIONS(1282),
    [anon_sym___thread] = ACTIONS(1282),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [anon_sym__Nonnull] = ACTIONS(1306),
    [anon_sym_mutable] = ACTIONS(1306),
    [anon_sym_constinit] = ACTIONS(1306),
    [anon_sym_consteval] = ACTIONS(1306),
    [anon_sym_alignas] = ACTIONS(1309),
    [anon_sym__Alignas] = ACTIONS(1309),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_class] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1321),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1772),
    [anon_sym_else] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1775),
    [anon_sym_while] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_return] = ACTIONS(1787),
    [anon_sym_break] = ACTIONS(1790),
    [anon_sym_continue] = ACTIONS(1793),
    [anon_sym_goto] = ACTIONS(1796),
    [anon_sym___try] = ACTIONS(1799),
    [anon_sym___leave] = ACTIONS(1802),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_compl] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1363),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1369),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1375),
    [anon_sym___asm__] = ACTIONS(1375),
    [anon_sym___asm] = ACTIONS(1375),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1381),
    [anon_sym_u_SQUOTE] = ACTIONS(1381),
    [anon_sym_U_SQUOTE] = ACTIONS(1381),
    [anon_sym_u8_SQUOTE] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1393),
    [anon_sym_decltype] = ACTIONS(1396),
    [anon_sym_typename] = ACTIONS(1399),
    [anon_sym_template] = ACTIONS(1402),
    [anon_sym_try] = ACTIONS(1805),
    [anon_sym_delete] = ACTIONS(1408),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_co_return] = ACTIONS(1811),
    [anon_sym_co_yield] = ACTIONS(1814),
    [anon_sym_R_DQUOTE] = ACTIONS(1420),
    [anon_sym_LR_DQUOTE] = ACTIONS(1420),
    [anon_sym_uR_DQUOTE] = ACTIONS(1420),
    [anon_sym_UR_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1420),
    [anon_sym_co_await] = ACTIONS(1423),
    [anon_sym_new] = ACTIONS(1426),
    [anon_sym_requires] = ACTIONS(1429),
    [sym_this] = ACTIONS(1387),
    [anon_sym_discard] = ACTIONS(1817),
    [anon_sym_precise] = ACTIONS(1435),
    [anon_sym_shared] = ACTIONS(1435),
    [anon_sym_groupshared] = ACTIONS(1435),
    [anon_sym_uniform] = ACTIONS(1435),
    [anon_sym_row_major] = ACTIONS(1435),
    [anon_sym_column_major] = ACTIONS(1435),
    [anon_sym_globallycoherent] = ACTIONS(1435),
    [anon_sym_centroid] = ACTIONS(1435),
    [anon_sym_noperspective] = ACTIONS(1435),
    [anon_sym_nointerpolation] = ACTIONS(1435),
    [anon_sym_sample] = ACTIONS(1435),
    [anon_sym_linear] = ACTIONS(1435),
    [anon_sym_snorm] = ACTIONS(1435),
    [anon_sym_unorm] = ACTIONS(1435),
    [anon_sym_point] = ACTIONS(1435),
    [anon_sym_line] = ACTIONS(1435),
    [anon_sym_triangleadj] = ACTIONS(1435),
    [anon_sym_lineadj] = ACTIONS(1435),
    [anon_sym_triangle] = ACTIONS(1435),
    [anon_sym_cbuffer] = ACTIONS(1820),
  },
  [109] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5199),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(108),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(108),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1713),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1753),
    [anon_sym_typedef] = ACTIONS(1755),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_else] = ACTIONS(1471),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [110] = {
    [sym_declaration] = STATE(410),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5207),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(535),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(410),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [111] = {
    [sym_declaration] = STATE(201),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5181),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(213),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(201),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [112] = {
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5199),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(109),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(109),
    [sym_co_return_statement] = STATE(109),
    [sym_co_yield_statement] = STATE(109),
    [sym_throw_statement] = STATE(109),
    [sym_try_statement] = STATE(109),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(109),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(109),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_case_statement_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(1713),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1753),
    [anon_sym_typedef] = ACTIONS(1755),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_else] = ACTIONS(1463),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [113] = {
    [sym_declaration] = STATE(525),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5189),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(1030),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_compound_statement] = STATE(546),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(525),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_qualifiers] = STATE(2020),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1615),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [114] = {
    [sym_declaration] = STATE(371),
    [sym_type_definition] = STATE(2633),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5180),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_expression_statement] = STATE(2633),
    [sym__for_statement_body] = STATE(8593),
    [sym_expression] = STATE(4566),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8339),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_alias_declaration] = STATE(2633),
    [sym__for_range_loop_body] = STATE(8199),
    [sym_init_statement] = STATE(2007),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1825),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_typedef] = ACTIONS(1829),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1835),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [115] = {
    [sym_declaration] = STATE(371),
    [sym_type_definition] = STATE(2633),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5180),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_expression_statement] = STATE(2633),
    [sym__for_statement_body] = STATE(8740),
    [sym_expression] = STATE(4566),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8339),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_alias_declaration] = STATE(2633),
    [sym__for_range_loop_body] = STATE(7943),
    [sym_init_statement] = STATE(2007),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1825),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_typedef] = ACTIONS(1829),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1835),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [116] = {
    [sym_declaration] = STATE(371),
    [sym_type_definition] = STATE(2633),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5180),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_expression_statement] = STATE(2633),
    [sym__for_statement_body] = STATE(8173),
    [sym_expression] = STATE(4566),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8339),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_alias_declaration] = STATE(2633),
    [sym__for_range_loop_body] = STATE(8174),
    [sym_init_statement] = STATE(2007),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1825),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_typedef] = ACTIONS(1829),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1835),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [117] = {
    [sym_declaration] = STATE(371),
    [sym_type_definition] = STATE(2633),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5180),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_expression_statement] = STATE(2633),
    [sym__for_statement_body] = STATE(7985),
    [sym_expression] = STATE(4566),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8339),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_alias_declaration] = STATE(2633),
    [sym__for_range_loop_body] = STATE(7987),
    [sym_init_statement] = STATE(2007),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1825),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_typedef] = ACTIONS(1829),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1835),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [118] = {
    [sym_declaration] = STATE(371),
    [sym_type_definition] = STATE(2633),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5180),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_expression_statement] = STATE(2633),
    [sym__for_statement_body] = STATE(8684),
    [sym_expression] = STATE(4566),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8339),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_alias_declaration] = STATE(2633),
    [sym__for_range_loop_body] = STATE(8688),
    [sym_init_statement] = STATE(2007),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1825),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_typedef] = ACTIONS(1829),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1835),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [119] = {
    [sym_declaration] = STATE(371),
    [sym_type_definition] = STATE(2633),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5180),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_expression_statement] = STATE(2633),
    [sym__for_statement_body] = STATE(8018),
    [sym_expression] = STATE(4566),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8339),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_alias_declaration] = STATE(2633),
    [sym__for_range_loop_body] = STATE(8019),
    [sym_init_statement] = STATE(2007),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1825),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_typedef] = ACTIONS(1829),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1835),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [120] = {
    [sym_declaration] = STATE(1134),
    [sym_type_definition] = STATE(1134),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5297),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_expression_statement] = STATE(1134),
    [sym_expression] = STATE(4446),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(7689),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_alias_declaration] = STATE(1134),
    [sym_init_statement] = STATE(134),
    [sym_condition_declaration] = STATE(7999),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1753),
    [anon_sym_typedef] = ACTIONS(1755),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1837),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [121] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7199),
    [sym_expression] = STATE(3447),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7808),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8355),
    [sym__unary_right_fold] = STATE(8356),
    [sym__binary_fold] = STATE(8357),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5621),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3622),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1853),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1859),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [122] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7199),
    [sym_expression] = STATE(3438),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7808),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8178),
    [sym__unary_right_fold] = STATE(8179),
    [sym__binary_fold] = STATE(8181),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5621),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3622),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1853),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1859),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [123] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7199),
    [sym_expression] = STATE(3441),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7808),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8134),
    [sym__unary_right_fold] = STATE(8139),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5621),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3622),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1853),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1859),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7199),
    [sym_expression] = STATE(3451),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7808),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5621),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3622),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1853),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1859),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [125] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_compound_statement] = STATE(7398),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7346),
    [sym_expression] = STATE(4433),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7398),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7346),
    [sym_variadic_parameter_declaration] = STATE(7346),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5632),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1905),
    [anon_sym_RPAREN] = ACTIONS(1907),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [126] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7199),
    [sym_expression] = STATE(3446),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7808),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8185),
    [sym__unary_right_fold] = STATE(8196),
    [sym__binary_fold] = STATE(8209),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5621),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3622),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1853),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1859),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [127] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7199),
    [sym_expression] = STATE(3457),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7808),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5621),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3622),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1853),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1859),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [128] = {
    [sym_declaration] = STATE(1368),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5303),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__for_statement_body] = STATE(8713),
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8081),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [129] = {
    [sym_declaration] = STATE(1368),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5303),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__for_statement_body] = STATE(8440),
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8081),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [130] = {
    [sym_declaration] = STATE(1368),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5303),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__for_statement_body] = STATE(8460),
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8081),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [131] = {
    [sym_declaration] = STATE(1368),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5303),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__for_statement_body] = STATE(8533),
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8081),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [132] = {
    [sym_declaration] = STATE(1368),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5303),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__for_statement_body] = STATE(7935),
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8081),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [133] = {
    [sym_declaration] = STATE(1368),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5303),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__for_statement_body] = STATE(8044),
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8081),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [134] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5355),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_expression] = STATE(4506),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8384),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2381),
    [sym_template_function] = STATE(4067),
    [sym_condition_declaration] = STATE(8384),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(2379),
    [sym_user_defined_literal] = STATE(3499),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_include_token1] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1915),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_goto] = ACTIONS(1913),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym___leave] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_compl] = ACTIONS(1913),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1913),
    [anon_sym___alignof__] = ACTIONS(1913),
    [anon_sym___alignof] = ACTIONS(1913),
    [anon_sym__alignof] = ACTIONS(1913),
    [anon_sym_alignof] = ACTIONS(1913),
    [anon_sym__Alignof] = ACTIONS(1913),
    [anon_sym_offsetof] = ACTIONS(1913),
    [anon_sym__Generic] = ACTIONS(1913),
    [anon_sym_asm] = ACTIONS(1913),
    [anon_sym___asm__] = ACTIONS(1913),
    [anon_sym___asm] = ACTIONS(1913),
    [sym_number_literal] = ACTIONS(1915),
    [anon_sym_L_SQUOTE] = ACTIONS(1915),
    [anon_sym_u_SQUOTE] = ACTIONS(1915),
    [anon_sym_U_SQUOTE] = ACTIONS(1915),
    [anon_sym_u8_SQUOTE] = ACTIONS(1915),
    [anon_sym_SQUOTE] = ACTIONS(1915),
    [anon_sym_L_DQUOTE] = ACTIONS(1915),
    [anon_sym_u_DQUOTE] = ACTIONS(1915),
    [anon_sym_U_DQUOTE] = ACTIONS(1915),
    [anon_sym_u8_DQUOTE] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1915),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [anon_sym_NULL] = ACTIONS(1913),
    [anon_sym_nullptr] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_final] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_GT2] = ACTIONS(1915),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_concept] = ACTIONS(1913),
    [anon_sym_co_return] = ACTIONS(1913),
    [anon_sym_co_yield] = ACTIONS(1913),
    [anon_sym_R_DQUOTE] = ACTIONS(1915),
    [anon_sym_LR_DQUOTE] = ACTIONS(1915),
    [anon_sym_uR_DQUOTE] = ACTIONS(1915),
    [anon_sym_UR_DQUOTE] = ACTIONS(1915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1915),
    [anon_sym_co_await] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [sym_this] = ACTIONS(1913),
    [anon_sym_discard] = ACTIONS(1913),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
    [anon_sym_cbuffer] = ACTIONS(1913),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1917),
    [aux_sym_preproc_include_token1] = ACTIONS(1917),
    [aux_sym_preproc_def_token1] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_RPAREN] = ACTIONS(1919),
    [aux_sym_preproc_if_token1] = ACTIONS(1917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1917),
    [sym_preproc_directive] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_typedef] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym___cdecl] = ACTIONS(1917),
    [anon_sym___clrcall] = ACTIONS(1917),
    [anon_sym___stdcall] = ACTIONS(1917),
    [anon_sym___fastcall] = ACTIONS(1917),
    [anon_sym___thiscall] = ACTIONS(1917),
    [anon_sym___vectorcall] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_RBRACE] = ACTIONS(1919),
    [anon_sym_signed] = ACTIONS(1917),
    [anon_sym_unsigned] = ACTIONS(1917),
    [anon_sym_long] = ACTIONS(1917),
    [anon_sym_short] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(1917),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_class] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(1917),
    [anon_sym_union] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1917),
    [anon_sym_else] = ACTIONS(1917),
    [anon_sym_switch] = ACTIONS(1917),
    [anon_sym_case] = ACTIONS(1917),
    [anon_sym_default] = ACTIONS(1917),
    [anon_sym_while] = ACTIONS(1917),
    [anon_sym_do] = ACTIONS(1917),
    [anon_sym_for] = ACTIONS(1917),
    [anon_sym_return] = ACTIONS(1917),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_continue] = ACTIONS(1917),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1917),
    [anon_sym___leave] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1917),
    [anon_sym_and] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_sizeof] = ACTIONS(1917),
    [anon_sym___alignof__] = ACTIONS(1917),
    [anon_sym___alignof] = ACTIONS(1917),
    [anon_sym__alignof] = ACTIONS(1917),
    [anon_sym_alignof] = ACTIONS(1917),
    [anon_sym__Alignof] = ACTIONS(1917),
    [anon_sym_offsetof] = ACTIONS(1917),
    [anon_sym__Generic] = ACTIONS(1917),
    [anon_sym_asm] = ACTIONS(1917),
    [anon_sym___asm__] = ACTIONS(1917),
    [anon_sym___asm] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(1919),
    [anon_sym_L_SQUOTE] = ACTIONS(1919),
    [anon_sym_u_SQUOTE] = ACTIONS(1919),
    [anon_sym_U_SQUOTE] = ACTIONS(1919),
    [anon_sym_u8_SQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1919),
    [anon_sym_L_DQUOTE] = ACTIONS(1919),
    [anon_sym_u_DQUOTE] = ACTIONS(1919),
    [anon_sym_U_DQUOTE] = ACTIONS(1919),
    [anon_sym_u8_DQUOTE] = ACTIONS(1919),
    [anon_sym_DQUOTE] = ACTIONS(1919),
    [sym_true] = ACTIONS(1917),
    [sym_false] = ACTIONS(1917),
    [anon_sym_NULL] = ACTIONS(1917),
    [anon_sym_nullptr] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_final] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_explicit] = ACTIONS(1917),
    [anon_sym_typename] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_GT2] = ACTIONS(1919),
    [anon_sym_operator] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1917),
    [anon_sym_delete] = ACTIONS(1917),
    [anon_sym_throw] = ACTIONS(1917),
    [anon_sym_namespace] = ACTIONS(1917),
    [anon_sym_using] = ACTIONS(1917),
    [anon_sym_static_assert] = ACTIONS(1917),
    [anon_sym_concept] = ACTIONS(1917),
    [anon_sym_co_return] = ACTIONS(1917),
    [anon_sym_co_yield] = ACTIONS(1917),
    [anon_sym_R_DQUOTE] = ACTIONS(1919),
    [anon_sym_LR_DQUOTE] = ACTIONS(1919),
    [anon_sym_uR_DQUOTE] = ACTIONS(1919),
    [anon_sym_UR_DQUOTE] = ACTIONS(1919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1919),
    [anon_sym_co_await] = ACTIONS(1917),
    [anon_sym_new] = ACTIONS(1917),
    [anon_sym_requires] = ACTIONS(1917),
    [sym_this] = ACTIONS(1917),
    [anon_sym_discard] = ACTIONS(1917),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
    [anon_sym_cbuffer] = ACTIONS(1917),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1921),
    [aux_sym_preproc_include_token1] = ACTIONS(1921),
    [aux_sym_preproc_def_token1] = ACTIONS(1921),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [aux_sym_preproc_if_token1] = ACTIONS(1921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1921),
    [sym_preproc_directive] = ACTIONS(1921),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_typedef] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym___cdecl] = ACTIONS(1921),
    [anon_sym___clrcall] = ACTIONS(1921),
    [anon_sym___stdcall] = ACTIONS(1921),
    [anon_sym___fastcall] = ACTIONS(1921),
    [anon_sym___thiscall] = ACTIONS(1921),
    [anon_sym___vectorcall] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_signed] = ACTIONS(1921),
    [anon_sym_unsigned] = ACTIONS(1921),
    [anon_sym_long] = ACTIONS(1921),
    [anon_sym_short] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_EQ] = ACTIONS(1923),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [sym_primitive_type] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1921),
    [anon_sym_struct] = ACTIONS(1921),
    [anon_sym_union] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1921),
    [anon_sym_case] = ACTIONS(1921),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1921),
    [anon_sym_return] = ACTIONS(1921),
    [anon_sym_break] = ACTIONS(1921),
    [anon_sym_continue] = ACTIONS(1921),
    [anon_sym_goto] = ACTIONS(1921),
    [anon_sym___try] = ACTIONS(1921),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(1921),
    [anon_sym_compl] = ACTIONS(1921),
    [anon_sym_or] = ACTIONS(1921),
    [anon_sym_and] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_sizeof] = ACTIONS(1921),
    [anon_sym___alignof__] = ACTIONS(1921),
    [anon_sym___alignof] = ACTIONS(1921),
    [anon_sym__alignof] = ACTIONS(1921),
    [anon_sym_alignof] = ACTIONS(1921),
    [anon_sym__Alignof] = ACTIONS(1921),
    [anon_sym_offsetof] = ACTIONS(1921),
    [anon_sym__Generic] = ACTIONS(1921),
    [anon_sym_asm] = ACTIONS(1921),
    [anon_sym___asm__] = ACTIONS(1921),
    [anon_sym___asm] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [anon_sym_L_SQUOTE] = ACTIONS(1923),
    [anon_sym_u_SQUOTE] = ACTIONS(1923),
    [anon_sym_U_SQUOTE] = ACTIONS(1923),
    [anon_sym_u8_SQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [anon_sym_L_DQUOTE] = ACTIONS(1923),
    [anon_sym_u_DQUOTE] = ACTIONS(1923),
    [anon_sym_U_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8_DQUOTE] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [anon_sym_NULL] = ACTIONS(1921),
    [anon_sym_nullptr] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_final] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_explicit] = ACTIONS(1921),
    [anon_sym_typename] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_GT2] = ACTIONS(1923),
    [anon_sym_operator] = ACTIONS(1921),
    [anon_sym_try] = ACTIONS(1921),
    [anon_sym_delete] = ACTIONS(1921),
    [anon_sym_throw] = ACTIONS(1921),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_using] = ACTIONS(1921),
    [anon_sym_static_assert] = ACTIONS(1921),
    [anon_sym_concept] = ACTIONS(1921),
    [anon_sym_co_return] = ACTIONS(1921),
    [anon_sym_co_yield] = ACTIONS(1921),
    [anon_sym_R_DQUOTE] = ACTIONS(1923),
    [anon_sym_LR_DQUOTE] = ACTIONS(1923),
    [anon_sym_uR_DQUOTE] = ACTIONS(1923),
    [anon_sym_UR_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1923),
    [anon_sym_co_await] = ACTIONS(1921),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_requires] = ACTIONS(1921),
    [sym_this] = ACTIONS(1921),
    [anon_sym_discard] = ACTIONS(1921),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
    [anon_sym_cbuffer] = ACTIONS(1921),
  },
  [138] = {
    [sym_field_declaration_list] = STATE(230),
    [sym_virtual_specifier] = STATE(7011),
    [sym_base_class_clause] = STATE(7739),
    [sym_identifier] = ACTIONS(1925),
    [aux_sym_preproc_include_token1] = ACTIONS(1925),
    [aux_sym_preproc_def_token1] = ACTIONS(1925),
    [aux_sym_preproc_if_token1] = ACTIONS(1925),
    [aux_sym_preproc_if_token2] = ACTIONS(1925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1925),
    [aux_sym_preproc_else_token1] = ACTIONS(1925),
    [aux_sym_preproc_elif_token1] = ACTIONS(1925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1925),
    [sym_preproc_directive] = ACTIONS(1925),
    [anon_sym_LPAREN2] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(1927),
    [anon_sym_TILDE] = ACTIONS(1927),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_AMP_AMP] = ACTIONS(1927),
    [anon_sym_AMP] = ACTIONS(1925),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym___extension__] = ACTIONS(1925),
    [anon_sym_typedef] = ACTIONS(1925),
    [anon_sym_in] = ACTIONS(1925),
    [anon_sym_out] = ACTIONS(1925),
    [anon_sym_inout] = ACTIONS(1925),
    [anon_sym_virtual] = ACTIONS(1925),
    [anon_sym_extern] = ACTIONS(1925),
    [anon_sym___attribute__] = ACTIONS(1925),
    [anon_sym_COLON_COLON] = ACTIONS(1927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1927),
    [anon_sym___declspec] = ACTIONS(1925),
    [anon_sym___based] = ACTIONS(1925),
    [anon_sym___cdecl] = ACTIONS(1925),
    [anon_sym___clrcall] = ACTIONS(1925),
    [anon_sym___stdcall] = ACTIONS(1925),
    [anon_sym___fastcall] = ACTIONS(1925),
    [anon_sym___thiscall] = ACTIONS(1925),
    [anon_sym___vectorcall] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1931),
    [anon_sym_signed] = ACTIONS(1925),
    [anon_sym_unsigned] = ACTIONS(1925),
    [anon_sym_long] = ACTIONS(1925),
    [anon_sym_short] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_register] = ACTIONS(1925),
    [anon_sym_inline] = ACTIONS(1925),
    [anon_sym___inline] = ACTIONS(1925),
    [anon_sym___inline__] = ACTIONS(1925),
    [anon_sym___forceinline] = ACTIONS(1925),
    [anon_sym_thread_local] = ACTIONS(1925),
    [anon_sym___thread] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_constexpr] = ACTIONS(1925),
    [anon_sym_volatile] = ACTIONS(1925),
    [anon_sym_restrict] = ACTIONS(1925),
    [anon_sym___restrict__] = ACTIONS(1925),
    [anon_sym__Atomic] = ACTIONS(1925),
    [anon_sym__Noreturn] = ACTIONS(1925),
    [anon_sym_noreturn] = ACTIONS(1925),
    [anon_sym__Nonnull] = ACTIONS(1925),
    [anon_sym_mutable] = ACTIONS(1925),
    [anon_sym_constinit] = ACTIONS(1925),
    [anon_sym_consteval] = ACTIONS(1925),
    [anon_sym_alignas] = ACTIONS(1925),
    [anon_sym__Alignas] = ACTIONS(1925),
    [sym_primitive_type] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_struct] = ACTIONS(1925),
    [anon_sym_union] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_goto] = ACTIONS(1925),
    [anon_sym___try] = ACTIONS(1925),
    [anon_sym___leave] = ACTIONS(1925),
    [anon_sym_not] = ACTIONS(1925),
    [anon_sym_compl] = ACTIONS(1925),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_sizeof] = ACTIONS(1925),
    [anon_sym___alignof__] = ACTIONS(1925),
    [anon_sym___alignof] = ACTIONS(1925),
    [anon_sym__alignof] = ACTIONS(1925),
    [anon_sym_alignof] = ACTIONS(1925),
    [anon_sym__Alignof] = ACTIONS(1925),
    [anon_sym_offsetof] = ACTIONS(1925),
    [anon_sym__Generic] = ACTIONS(1925),
    [anon_sym_asm] = ACTIONS(1925),
    [anon_sym___asm__] = ACTIONS(1925),
    [anon_sym___asm] = ACTIONS(1925),
    [sym_number_literal] = ACTIONS(1927),
    [anon_sym_L_SQUOTE] = ACTIONS(1927),
    [anon_sym_u_SQUOTE] = ACTIONS(1927),
    [anon_sym_U_SQUOTE] = ACTIONS(1927),
    [anon_sym_u8_SQUOTE] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [anon_sym_L_DQUOTE] = ACTIONS(1927),
    [anon_sym_u_DQUOTE] = ACTIONS(1927),
    [anon_sym_U_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8_DQUOTE] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [anon_sym_NULL] = ACTIONS(1925),
    [anon_sym_nullptr] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1925),
    [anon_sym_decltype] = ACTIONS(1925),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_explicit] = ACTIONS(1925),
    [anon_sym_typename] = ACTIONS(1925),
    [anon_sym_template] = ACTIONS(1925),
    [anon_sym_operator] = ACTIONS(1925),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_namespace] = ACTIONS(1925),
    [anon_sym_using] = ACTIONS(1925),
    [anon_sym_static_assert] = ACTIONS(1925),
    [anon_sym_concept] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1925),
    [anon_sym_co_yield] = ACTIONS(1925),
    [anon_sym_R_DQUOTE] = ACTIONS(1927),
    [anon_sym_LR_DQUOTE] = ACTIONS(1927),
    [anon_sym_uR_DQUOTE] = ACTIONS(1927),
    [anon_sym_UR_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1927),
    [anon_sym_co_await] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_requires] = ACTIONS(1925),
    [sym_this] = ACTIONS(1925),
    [anon_sym_discard] = ACTIONS(1925),
    [anon_sym_precise] = ACTIONS(1925),
    [anon_sym_shared] = ACTIONS(1925),
    [anon_sym_groupshared] = ACTIONS(1925),
    [anon_sym_uniform] = ACTIONS(1925),
    [anon_sym_row_major] = ACTIONS(1925),
    [anon_sym_column_major] = ACTIONS(1925),
    [anon_sym_globallycoherent] = ACTIONS(1925),
    [anon_sym_centroid] = ACTIONS(1925),
    [anon_sym_noperspective] = ACTIONS(1925),
    [anon_sym_nointerpolation] = ACTIONS(1925),
    [anon_sym_sample] = ACTIONS(1925),
    [anon_sym_linear] = ACTIONS(1925),
    [anon_sym_snorm] = ACTIONS(1925),
    [anon_sym_unorm] = ACTIONS(1925),
    [anon_sym_point] = ACTIONS(1925),
    [anon_sym_line] = ACTIONS(1925),
    [anon_sym_triangleadj] = ACTIONS(1925),
    [anon_sym_lineadj] = ACTIONS(1925),
    [anon_sym_triangle] = ACTIONS(1925),
    [anon_sym_cbuffer] = ACTIONS(1925),
  },
  [139] = {
    [ts_builtin_sym_end] = ACTIONS(1935),
    [sym_identifier] = ACTIONS(1937),
    [aux_sym_preproc_include_token1] = ACTIONS(1937),
    [aux_sym_preproc_def_token1] = ACTIONS(1937),
    [anon_sym_COMMA] = ACTIONS(1935),
    [anon_sym_RPAREN] = ACTIONS(1935),
    [aux_sym_preproc_if_token1] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1937),
    [sym_preproc_directive] = ACTIONS(1937),
    [anon_sym_LPAREN2] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1937),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_PIPE_PIPE] = ACTIONS(1935),
    [anon_sym_AMP_AMP] = ACTIONS(1935),
    [anon_sym_AMP] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym___extension__] = ACTIONS(1937),
    [anon_sym_typedef] = ACTIONS(1937),
    [anon_sym_in] = ACTIONS(1937),
    [anon_sym_out] = ACTIONS(1937),
    [anon_sym_inout] = ACTIONS(1937),
    [anon_sym_virtual] = ACTIONS(1937),
    [anon_sym_extern] = ACTIONS(1937),
    [anon_sym___attribute__] = ACTIONS(1937),
    [anon_sym_COLON_COLON] = ACTIONS(1935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1935),
    [anon_sym___declspec] = ACTIONS(1937),
    [anon_sym___based] = ACTIONS(1937),
    [anon_sym___cdecl] = ACTIONS(1937),
    [anon_sym___clrcall] = ACTIONS(1937),
    [anon_sym___stdcall] = ACTIONS(1937),
    [anon_sym___fastcall] = ACTIONS(1937),
    [anon_sym___thiscall] = ACTIONS(1937),
    [anon_sym___vectorcall] = ACTIONS(1937),
    [anon_sym_LBRACE] = ACTIONS(1935),
    [anon_sym_signed] = ACTIONS(1937),
    [anon_sym_unsigned] = ACTIONS(1937),
    [anon_sym_long] = ACTIONS(1937),
    [anon_sym_short] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1937),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_register] = ACTIONS(1937),
    [anon_sym_inline] = ACTIONS(1937),
    [anon_sym___inline] = ACTIONS(1937),
    [anon_sym___inline__] = ACTIONS(1937),
    [anon_sym___forceinline] = ACTIONS(1937),
    [anon_sym_thread_local] = ACTIONS(1937),
    [anon_sym___thread] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_constexpr] = ACTIONS(1937),
    [anon_sym_volatile] = ACTIONS(1937),
    [anon_sym_restrict] = ACTIONS(1937),
    [anon_sym___restrict__] = ACTIONS(1937),
    [anon_sym__Atomic] = ACTIONS(1937),
    [anon_sym__Noreturn] = ACTIONS(1937),
    [anon_sym_noreturn] = ACTIONS(1937),
    [anon_sym__Nonnull] = ACTIONS(1937),
    [anon_sym_mutable] = ACTIONS(1937),
    [anon_sym_constinit] = ACTIONS(1937),
    [anon_sym_consteval] = ACTIONS(1937),
    [anon_sym_alignas] = ACTIONS(1937),
    [anon_sym__Alignas] = ACTIONS(1937),
    [sym_primitive_type] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_struct] = ACTIONS(1937),
    [anon_sym_union] = ACTIONS(1937),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_else] = ACTIONS(1937),
    [anon_sym_switch] = ACTIONS(1937),
    [anon_sym_case] = ACTIONS(1937),
    [anon_sym_default] = ACTIONS(1937),
    [anon_sym_while] = ACTIONS(1937),
    [anon_sym_do] = ACTIONS(1937),
    [anon_sym_for] = ACTIONS(1937),
    [anon_sym_return] = ACTIONS(1937),
    [anon_sym_break] = ACTIONS(1937),
    [anon_sym_continue] = ACTIONS(1937),
    [anon_sym_goto] = ACTIONS(1937),
    [anon_sym___try] = ACTIONS(1937),
    [anon_sym___except] = ACTIONS(1937),
    [anon_sym___finally] = ACTIONS(1937),
    [anon_sym___leave] = ACTIONS(1937),
    [anon_sym_not] = ACTIONS(1937),
    [anon_sym_compl] = ACTIONS(1937),
    [anon_sym_or] = ACTIONS(1937),
    [anon_sym_and] = ACTIONS(1937),
    [anon_sym_DASH_DASH] = ACTIONS(1935),
    [anon_sym_PLUS_PLUS] = ACTIONS(1935),
    [anon_sym_sizeof] = ACTIONS(1937),
    [anon_sym___alignof__] = ACTIONS(1937),
    [anon_sym___alignof] = ACTIONS(1937),
    [anon_sym__alignof] = ACTIONS(1937),
    [anon_sym_alignof] = ACTIONS(1937),
    [anon_sym__Alignof] = ACTIONS(1937),
    [anon_sym_offsetof] = ACTIONS(1937),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1937),
    [anon_sym___asm__] = ACTIONS(1937),
    [anon_sym___asm] = ACTIONS(1937),
    [sym_number_literal] = ACTIONS(1935),
    [anon_sym_L_SQUOTE] = ACTIONS(1935),
    [anon_sym_u_SQUOTE] = ACTIONS(1935),
    [anon_sym_U_SQUOTE] = ACTIONS(1935),
    [anon_sym_u8_SQUOTE] = ACTIONS(1935),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_L_DQUOTE] = ACTIONS(1935),
    [anon_sym_u_DQUOTE] = ACTIONS(1935),
    [anon_sym_U_DQUOTE] = ACTIONS(1935),
    [anon_sym_u8_DQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1935),
    [sym_true] = ACTIONS(1937),
    [sym_false] = ACTIONS(1937),
    [anon_sym_NULL] = ACTIONS(1937),
    [anon_sym_nullptr] = ACTIONS(1937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1937),
    [anon_sym_decltype] = ACTIONS(1937),
    [anon_sym_final] = ACTIONS(1937),
    [anon_sym_override] = ACTIONS(1937),
    [anon_sym_explicit] = ACTIONS(1937),
    [anon_sym_typename] = ACTIONS(1937),
    [anon_sym_template] = ACTIONS(1937),
    [anon_sym_operator] = ACTIONS(1937),
    [anon_sym_try] = ACTIONS(1937),
    [anon_sym_delete] = ACTIONS(1937),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_namespace] = ACTIONS(1937),
    [anon_sym_using] = ACTIONS(1937),
    [anon_sym_static_assert] = ACTIONS(1937),
    [anon_sym_concept] = ACTIONS(1937),
    [anon_sym_co_return] = ACTIONS(1937),
    [anon_sym_co_yield] = ACTIONS(1937),
    [anon_sym_catch] = ACTIONS(1937),
    [anon_sym_R_DQUOTE] = ACTIONS(1935),
    [anon_sym_LR_DQUOTE] = ACTIONS(1935),
    [anon_sym_uR_DQUOTE] = ACTIONS(1935),
    [anon_sym_UR_DQUOTE] = ACTIONS(1935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1935),
    [anon_sym_co_await] = ACTIONS(1937),
    [anon_sym_new] = ACTIONS(1937),
    [anon_sym_requires] = ACTIONS(1937),
    [sym_this] = ACTIONS(1937),
    [anon_sym_discard] = ACTIONS(1937),
    [anon_sym_precise] = ACTIONS(1937),
    [anon_sym_shared] = ACTIONS(1937),
    [anon_sym_groupshared] = ACTIONS(1937),
    [anon_sym_uniform] = ACTIONS(1937),
    [anon_sym_row_major] = ACTIONS(1937),
    [anon_sym_column_major] = ACTIONS(1937),
    [anon_sym_globallycoherent] = ACTIONS(1937),
    [anon_sym_centroid] = ACTIONS(1937),
    [anon_sym_noperspective] = ACTIONS(1937),
    [anon_sym_nointerpolation] = ACTIONS(1937),
    [anon_sym_sample] = ACTIONS(1937),
    [anon_sym_linear] = ACTIONS(1937),
    [anon_sym_snorm] = ACTIONS(1937),
    [anon_sym_unorm] = ACTIONS(1937),
    [anon_sym_point] = ACTIONS(1937),
    [anon_sym_line] = ACTIONS(1937),
    [anon_sym_triangleadj] = ACTIONS(1937),
    [anon_sym_lineadj] = ACTIONS(1937),
    [anon_sym_triangle] = ACTIONS(1937),
    [anon_sym_cbuffer] = ACTIONS(1937),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1939),
    [aux_sym_preproc_include_token1] = ACTIONS(1939),
    [aux_sym_preproc_def_token1] = ACTIONS(1939),
    [anon_sym_COMMA] = ACTIONS(1941),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [aux_sym_preproc_if_token1] = ACTIONS(1939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1939),
    [sym_preproc_directive] = ACTIONS(1939),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_BANG] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1941),
    [anon_sym_PIPE_PIPE] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1941),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_typedef] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym___cdecl] = ACTIONS(1939),
    [anon_sym___clrcall] = ACTIONS(1939),
    [anon_sym___stdcall] = ACTIONS(1939),
    [anon_sym___fastcall] = ACTIONS(1939),
    [anon_sym___thiscall] = ACTIONS(1939),
    [anon_sym___vectorcall] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_RBRACE] = ACTIONS(1941),
    [anon_sym_signed] = ACTIONS(1939),
    [anon_sym_unsigned] = ACTIONS(1939),
    [anon_sym_long] = ACTIONS(1939),
    [anon_sym_short] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_EQ] = ACTIONS(1941),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [sym_primitive_type] = ACTIONS(1939),
    [anon_sym_enum] = ACTIONS(1939),
    [anon_sym_class] = ACTIONS(1939),
    [anon_sym_struct] = ACTIONS(1939),
    [anon_sym_union] = ACTIONS(1939),
    [anon_sym_if] = ACTIONS(1939),
    [anon_sym_else] = ACTIONS(1939),
    [anon_sym_switch] = ACTIONS(1939),
    [anon_sym_case] = ACTIONS(1939),
    [anon_sym_default] = ACTIONS(1939),
    [anon_sym_while] = ACTIONS(1939),
    [anon_sym_do] = ACTIONS(1939),
    [anon_sym_for] = ACTIONS(1939),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_break] = ACTIONS(1939),
    [anon_sym_continue] = ACTIONS(1939),
    [anon_sym_goto] = ACTIONS(1939),
    [anon_sym___try] = ACTIONS(1939),
    [anon_sym___leave] = ACTIONS(1939),
    [anon_sym_not] = ACTIONS(1939),
    [anon_sym_compl] = ACTIONS(1939),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_sizeof] = ACTIONS(1939),
    [anon_sym___alignof__] = ACTIONS(1939),
    [anon_sym___alignof] = ACTIONS(1939),
    [anon_sym__alignof] = ACTIONS(1939),
    [anon_sym_alignof] = ACTIONS(1939),
    [anon_sym__Alignof] = ACTIONS(1939),
    [anon_sym_offsetof] = ACTIONS(1939),
    [anon_sym__Generic] = ACTIONS(1939),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1941),
    [anon_sym_u_DQUOTE] = ACTIONS(1941),
    [anon_sym_U_DQUOTE] = ACTIONS(1941),
    [anon_sym_u8_DQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1941),
    [sym_true] = ACTIONS(1939),
    [sym_false] = ACTIONS(1939),
    [anon_sym_NULL] = ACTIONS(1939),
    [anon_sym_nullptr] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_final] = ACTIONS(1939),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_explicit] = ACTIONS(1939),
    [anon_sym_typename] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_GT2] = ACTIONS(1941),
    [anon_sym_operator] = ACTIONS(1939),
    [anon_sym_try] = ACTIONS(1939),
    [anon_sym_delete] = ACTIONS(1939),
    [anon_sym_throw] = ACTIONS(1939),
    [anon_sym_namespace] = ACTIONS(1939),
    [anon_sym_using] = ACTIONS(1939),
    [anon_sym_static_assert] = ACTIONS(1939),
    [anon_sym_concept] = ACTIONS(1939),
    [anon_sym_co_return] = ACTIONS(1939),
    [anon_sym_co_yield] = ACTIONS(1939),
    [anon_sym_R_DQUOTE] = ACTIONS(1941),
    [anon_sym_LR_DQUOTE] = ACTIONS(1941),
    [anon_sym_uR_DQUOTE] = ACTIONS(1941),
    [anon_sym_UR_DQUOTE] = ACTIONS(1941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1941),
    [anon_sym_co_await] = ACTIONS(1939),
    [anon_sym_new] = ACTIONS(1939),
    [anon_sym_requires] = ACTIONS(1939),
    [sym_this] = ACTIONS(1939),
    [anon_sym_discard] = ACTIONS(1939),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
    [anon_sym_cbuffer] = ACTIONS(1939),
  },
  [141] = {
    [sym_field_declaration_list] = STATE(191),
    [sym_virtual_specifier] = STATE(7021),
    [sym_base_class_clause] = STATE(7771),
    [sym_identifier] = ACTIONS(1943),
    [aux_sym_preproc_include_token1] = ACTIONS(1943),
    [aux_sym_preproc_def_token1] = ACTIONS(1943),
    [aux_sym_preproc_if_token1] = ACTIONS(1943),
    [aux_sym_preproc_if_token2] = ACTIONS(1943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1943),
    [aux_sym_preproc_else_token1] = ACTIONS(1943),
    [aux_sym_preproc_elif_token1] = ACTIONS(1943),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1943),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1943),
    [sym_preproc_directive] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1945),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1945),
    [anon_sym_AMP_AMP] = ACTIONS(1945),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1945),
    [anon_sym___extension__] = ACTIONS(1943),
    [anon_sym_typedef] = ACTIONS(1943),
    [anon_sym_in] = ACTIONS(1943),
    [anon_sym_out] = ACTIONS(1943),
    [anon_sym_inout] = ACTIONS(1943),
    [anon_sym_virtual] = ACTIONS(1943),
    [anon_sym_extern] = ACTIONS(1943),
    [anon_sym___attribute__] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(1945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1945),
    [anon_sym___declspec] = ACTIONS(1943),
    [anon_sym___based] = ACTIONS(1943),
    [anon_sym___cdecl] = ACTIONS(1943),
    [anon_sym___clrcall] = ACTIONS(1943),
    [anon_sym___stdcall] = ACTIONS(1943),
    [anon_sym___fastcall] = ACTIONS(1943),
    [anon_sym___thiscall] = ACTIONS(1943),
    [anon_sym___vectorcall] = ACTIONS(1943),
    [anon_sym_LBRACE] = ACTIONS(1931),
    [anon_sym_signed] = ACTIONS(1943),
    [anon_sym_unsigned] = ACTIONS(1943),
    [anon_sym_long] = ACTIONS(1943),
    [anon_sym_short] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1943),
    [anon_sym_static] = ACTIONS(1943),
    [anon_sym_register] = ACTIONS(1943),
    [anon_sym_inline] = ACTIONS(1943),
    [anon_sym___inline] = ACTIONS(1943),
    [anon_sym___inline__] = ACTIONS(1943),
    [anon_sym___forceinline] = ACTIONS(1943),
    [anon_sym_thread_local] = ACTIONS(1943),
    [anon_sym___thread] = ACTIONS(1943),
    [anon_sym_const] = ACTIONS(1943),
    [anon_sym_constexpr] = ACTIONS(1943),
    [anon_sym_volatile] = ACTIONS(1943),
    [anon_sym_restrict] = ACTIONS(1943),
    [anon_sym___restrict__] = ACTIONS(1943),
    [anon_sym__Atomic] = ACTIONS(1943),
    [anon_sym__Noreturn] = ACTIONS(1943),
    [anon_sym_noreturn] = ACTIONS(1943),
    [anon_sym__Nonnull] = ACTIONS(1943),
    [anon_sym_mutable] = ACTIONS(1943),
    [anon_sym_constinit] = ACTIONS(1943),
    [anon_sym_consteval] = ACTIONS(1943),
    [anon_sym_alignas] = ACTIONS(1943),
    [anon_sym__Alignas] = ACTIONS(1943),
    [sym_primitive_type] = ACTIONS(1943),
    [anon_sym_enum] = ACTIONS(1943),
    [anon_sym_class] = ACTIONS(1943),
    [anon_sym_struct] = ACTIONS(1943),
    [anon_sym_union] = ACTIONS(1943),
    [anon_sym_if] = ACTIONS(1943),
    [anon_sym_else] = ACTIONS(1943),
    [anon_sym_switch] = ACTIONS(1943),
    [anon_sym_case] = ACTIONS(1943),
    [anon_sym_default] = ACTIONS(1943),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_do] = ACTIONS(1943),
    [anon_sym_for] = ACTIONS(1943),
    [anon_sym_return] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(1943),
    [anon_sym_continue] = ACTIONS(1943),
    [anon_sym_goto] = ACTIONS(1943),
    [anon_sym___try] = ACTIONS(1943),
    [anon_sym___leave] = ACTIONS(1943),
    [anon_sym_not] = ACTIONS(1943),
    [anon_sym_compl] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1945),
    [anon_sym_PLUS_PLUS] = ACTIONS(1945),
    [anon_sym_sizeof] = ACTIONS(1943),
    [anon_sym___alignof__] = ACTIONS(1943),
    [anon_sym___alignof] = ACTIONS(1943),
    [anon_sym__alignof] = ACTIONS(1943),
    [anon_sym_alignof] = ACTIONS(1943),
    [anon_sym__Alignof] = ACTIONS(1943),
    [anon_sym_offsetof] = ACTIONS(1943),
    [anon_sym__Generic] = ACTIONS(1943),
    [anon_sym_asm] = ACTIONS(1943),
    [anon_sym___asm__] = ACTIONS(1943),
    [anon_sym___asm] = ACTIONS(1943),
    [sym_number_literal] = ACTIONS(1945),
    [anon_sym_L_SQUOTE] = ACTIONS(1945),
    [anon_sym_u_SQUOTE] = ACTIONS(1945),
    [anon_sym_U_SQUOTE] = ACTIONS(1945),
    [anon_sym_u8_SQUOTE] = ACTIONS(1945),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1943),
    [sym_false] = ACTIONS(1943),
    [anon_sym_NULL] = ACTIONS(1943),
    [anon_sym_nullptr] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1943),
    [anon_sym_decltype] = ACTIONS(1943),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_explicit] = ACTIONS(1943),
    [anon_sym_typename] = ACTIONS(1943),
    [anon_sym_template] = ACTIONS(1943),
    [anon_sym_operator] = ACTIONS(1943),
    [anon_sym_try] = ACTIONS(1943),
    [anon_sym_delete] = ACTIONS(1943),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1943),
    [anon_sym_using] = ACTIONS(1943),
    [anon_sym_static_assert] = ACTIONS(1943),
    [anon_sym_concept] = ACTIONS(1943),
    [anon_sym_co_return] = ACTIONS(1943),
    [anon_sym_co_yield] = ACTIONS(1943),
    [anon_sym_R_DQUOTE] = ACTIONS(1945),
    [anon_sym_LR_DQUOTE] = ACTIONS(1945),
    [anon_sym_uR_DQUOTE] = ACTIONS(1945),
    [anon_sym_UR_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1945),
    [anon_sym_co_await] = ACTIONS(1943),
    [anon_sym_new] = ACTIONS(1943),
    [anon_sym_requires] = ACTIONS(1943),
    [sym_this] = ACTIONS(1943),
    [anon_sym_discard] = ACTIONS(1943),
    [anon_sym_precise] = ACTIONS(1943),
    [anon_sym_shared] = ACTIONS(1943),
    [anon_sym_groupshared] = ACTIONS(1943),
    [anon_sym_uniform] = ACTIONS(1943),
    [anon_sym_row_major] = ACTIONS(1943),
    [anon_sym_column_major] = ACTIONS(1943),
    [anon_sym_globallycoherent] = ACTIONS(1943),
    [anon_sym_centroid] = ACTIONS(1943),
    [anon_sym_noperspective] = ACTIONS(1943),
    [anon_sym_nointerpolation] = ACTIONS(1943),
    [anon_sym_sample] = ACTIONS(1943),
    [anon_sym_linear] = ACTIONS(1943),
    [anon_sym_snorm] = ACTIONS(1943),
    [anon_sym_unorm] = ACTIONS(1943),
    [anon_sym_point] = ACTIONS(1943),
    [anon_sym_line] = ACTIONS(1943),
    [anon_sym_triangleadj] = ACTIONS(1943),
    [anon_sym_lineadj] = ACTIONS(1943),
    [anon_sym_triangle] = ACTIONS(1943),
    [anon_sym_cbuffer] = ACTIONS(1943),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1947),
    [aux_sym_preproc_include_token1] = ACTIONS(1947),
    [aux_sym_preproc_def_token1] = ACTIONS(1947),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [aux_sym_preproc_if_token1] = ACTIONS(1947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1947),
    [sym_preproc_directive] = ACTIONS(1947),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1949),
    [anon_sym_PIPE_PIPE] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1949),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_typedef] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym___cdecl] = ACTIONS(1947),
    [anon_sym___clrcall] = ACTIONS(1947),
    [anon_sym___stdcall] = ACTIONS(1947),
    [anon_sym___fastcall] = ACTIONS(1947),
    [anon_sym___thiscall] = ACTIONS(1947),
    [anon_sym___vectorcall] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_RBRACE] = ACTIONS(1949),
    [anon_sym_signed] = ACTIONS(1947),
    [anon_sym_unsigned] = ACTIONS(1947),
    [anon_sym_long] = ACTIONS(1947),
    [anon_sym_short] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1949),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [sym_primitive_type] = ACTIONS(1947),
    [anon_sym_enum] = ACTIONS(1947),
    [anon_sym_class] = ACTIONS(1947),
    [anon_sym_struct] = ACTIONS(1947),
    [anon_sym_union] = ACTIONS(1947),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_else] = ACTIONS(1947),
    [anon_sym_switch] = ACTIONS(1947),
    [anon_sym_case] = ACTIONS(1947),
    [anon_sym_default] = ACTIONS(1947),
    [anon_sym_while] = ACTIONS(1947),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym___try] = ACTIONS(1947),
    [anon_sym___leave] = ACTIONS(1947),
    [anon_sym_not] = ACTIONS(1947),
    [anon_sym_compl] = ACTIONS(1947),
    [anon_sym_or] = ACTIONS(1947),
    [anon_sym_and] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(1947),
    [anon_sym___alignof] = ACTIONS(1947),
    [anon_sym__alignof] = ACTIONS(1947),
    [anon_sym_alignof] = ACTIONS(1947),
    [anon_sym__Alignof] = ACTIONS(1947),
    [anon_sym_offsetof] = ACTIONS(1947),
    [anon_sym__Generic] = ACTIONS(1947),
    [anon_sym_asm] = ACTIONS(1947),
    [anon_sym___asm__] = ACTIONS(1947),
    [anon_sym___asm] = ACTIONS(1947),
    [sym_number_literal] = ACTIONS(1949),
    [anon_sym_L_SQUOTE] = ACTIONS(1949),
    [anon_sym_u_SQUOTE] = ACTIONS(1949),
    [anon_sym_U_SQUOTE] = ACTIONS(1949),
    [anon_sym_u8_SQUOTE] = ACTIONS(1949),
    [anon_sym_SQUOTE] = ACTIONS(1949),
    [anon_sym_L_DQUOTE] = ACTIONS(1949),
    [anon_sym_u_DQUOTE] = ACTIONS(1949),
    [anon_sym_U_DQUOTE] = ACTIONS(1949),
    [anon_sym_u8_DQUOTE] = ACTIONS(1949),
    [anon_sym_DQUOTE] = ACTIONS(1949),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_final] = ACTIONS(1947),
    [anon_sym_override] = ACTIONS(1947),
    [anon_sym_explicit] = ACTIONS(1947),
    [anon_sym_typename] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_GT2] = ACTIONS(1949),
    [anon_sym_operator] = ACTIONS(1947),
    [anon_sym_try] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_throw] = ACTIONS(1947),
    [anon_sym_namespace] = ACTIONS(1947),
    [anon_sym_using] = ACTIONS(1947),
    [anon_sym_static_assert] = ACTIONS(1947),
    [anon_sym_concept] = ACTIONS(1947),
    [anon_sym_co_return] = ACTIONS(1947),
    [anon_sym_co_yield] = ACTIONS(1947),
    [anon_sym_R_DQUOTE] = ACTIONS(1949),
    [anon_sym_LR_DQUOTE] = ACTIONS(1949),
    [anon_sym_uR_DQUOTE] = ACTIONS(1949),
    [anon_sym_UR_DQUOTE] = ACTIONS(1949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1949),
    [anon_sym_co_await] = ACTIONS(1947),
    [anon_sym_new] = ACTIONS(1947),
    [anon_sym_requires] = ACTIONS(1947),
    [sym_this] = ACTIONS(1947),
    [anon_sym_discard] = ACTIONS(1947),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
    [anon_sym_cbuffer] = ACTIONS(1947),
  },
  [143] = {
    [sym_identifier] = ACTIONS(1951),
    [aux_sym_preproc_include_token1] = ACTIONS(1951),
    [aux_sym_preproc_def_token1] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [aux_sym_preproc_if_token1] = ACTIONS(1951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1951),
    [sym_preproc_directive] = ACTIONS(1951),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_BANG] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_typedef] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym___cdecl] = ACTIONS(1951),
    [anon_sym___clrcall] = ACTIONS(1951),
    [anon_sym___stdcall] = ACTIONS(1951),
    [anon_sym___fastcall] = ACTIONS(1951),
    [anon_sym___thiscall] = ACTIONS(1951),
    [anon_sym___vectorcall] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_RBRACE] = ACTIONS(1953),
    [anon_sym_signed] = ACTIONS(1951),
    [anon_sym_unsigned] = ACTIONS(1951),
    [anon_sym_long] = ACTIONS(1951),
    [anon_sym_short] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_EQ] = ACTIONS(1953),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [sym_primitive_type] = ACTIONS(1951),
    [anon_sym_enum] = ACTIONS(1951),
    [anon_sym_class] = ACTIONS(1951),
    [anon_sym_struct] = ACTIONS(1951),
    [anon_sym_union] = ACTIONS(1951),
    [anon_sym_if] = ACTIONS(1951),
    [anon_sym_else] = ACTIONS(1951),
    [anon_sym_switch] = ACTIONS(1951),
    [anon_sym_case] = ACTIONS(1951),
    [anon_sym_default] = ACTIONS(1951),
    [anon_sym_while] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1951),
    [anon_sym_for] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1951),
    [anon_sym_break] = ACTIONS(1951),
    [anon_sym_continue] = ACTIONS(1951),
    [anon_sym_goto] = ACTIONS(1951),
    [anon_sym___try] = ACTIONS(1951),
    [anon_sym___leave] = ACTIONS(1951),
    [anon_sym_not] = ACTIONS(1951),
    [anon_sym_compl] = ACTIONS(1951),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_sizeof] = ACTIONS(1951),
    [anon_sym___alignof__] = ACTIONS(1951),
    [anon_sym___alignof] = ACTIONS(1951),
    [anon_sym__alignof] = ACTIONS(1951),
    [anon_sym_alignof] = ACTIONS(1951),
    [anon_sym__Alignof] = ACTIONS(1951),
    [anon_sym_offsetof] = ACTIONS(1951),
    [anon_sym__Generic] = ACTIONS(1951),
    [anon_sym_asm] = ACTIONS(1951),
    [anon_sym___asm__] = ACTIONS(1951),
    [anon_sym___asm] = ACTIONS(1951),
    [sym_number_literal] = ACTIONS(1953),
    [anon_sym_L_SQUOTE] = ACTIONS(1953),
    [anon_sym_u_SQUOTE] = ACTIONS(1953),
    [anon_sym_U_SQUOTE] = ACTIONS(1953),
    [anon_sym_u8_SQUOTE] = ACTIONS(1953),
    [anon_sym_SQUOTE] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(1953),
    [anon_sym_u_DQUOTE] = ACTIONS(1953),
    [anon_sym_U_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8_DQUOTE] = ACTIONS(1953),
    [anon_sym_DQUOTE] = ACTIONS(1953),
    [sym_true] = ACTIONS(1951),
    [sym_false] = ACTIONS(1951),
    [anon_sym_NULL] = ACTIONS(1951),
    [anon_sym_nullptr] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_final] = ACTIONS(1951),
    [anon_sym_override] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_GT2] = ACTIONS(1953),
    [anon_sym_operator] = ACTIONS(1951),
    [anon_sym_try] = ACTIONS(1951),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_throw] = ACTIONS(1951),
    [anon_sym_namespace] = ACTIONS(1951),
    [anon_sym_using] = ACTIONS(1951),
    [anon_sym_static_assert] = ACTIONS(1951),
    [anon_sym_concept] = ACTIONS(1951),
    [anon_sym_co_return] = ACTIONS(1951),
    [anon_sym_co_yield] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1951),
    [anon_sym_new] = ACTIONS(1951),
    [anon_sym_requires] = ACTIONS(1951),
    [sym_this] = ACTIONS(1951),
    [anon_sym_discard] = ACTIONS(1951),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
    [anon_sym_cbuffer] = ACTIONS(1951),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1955),
    [aux_sym_preproc_include_token1] = ACTIONS(1955),
    [aux_sym_preproc_def_token1] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [aux_sym_preproc_if_token1] = ACTIONS(1955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1955),
    [sym_preproc_directive] = ACTIONS(1955),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1957),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_typedef] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym___cdecl] = ACTIONS(1955),
    [anon_sym___clrcall] = ACTIONS(1955),
    [anon_sym___stdcall] = ACTIONS(1955),
    [anon_sym___fastcall] = ACTIONS(1955),
    [anon_sym___thiscall] = ACTIONS(1955),
    [anon_sym___vectorcall] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_RBRACE] = ACTIONS(1957),
    [anon_sym_signed] = ACTIONS(1955),
    [anon_sym_unsigned] = ACTIONS(1955),
    [anon_sym_long] = ACTIONS(1955),
    [anon_sym_short] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_EQ] = ACTIONS(1957),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [sym_primitive_type] = ACTIONS(1955),
    [anon_sym_enum] = ACTIONS(1955),
    [anon_sym_class] = ACTIONS(1955),
    [anon_sym_struct] = ACTIONS(1955),
    [anon_sym_union] = ACTIONS(1955),
    [anon_sym_if] = ACTIONS(1955),
    [anon_sym_else] = ACTIONS(1955),
    [anon_sym_switch] = ACTIONS(1955),
    [anon_sym_case] = ACTIONS(1955),
    [anon_sym_default] = ACTIONS(1955),
    [anon_sym_while] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1955),
    [anon_sym_for] = ACTIONS(1955),
    [anon_sym_return] = ACTIONS(1955),
    [anon_sym_break] = ACTIONS(1955),
    [anon_sym_continue] = ACTIONS(1955),
    [anon_sym_goto] = ACTIONS(1955),
    [anon_sym___try] = ACTIONS(1955),
    [anon_sym___leave] = ACTIONS(1955),
    [anon_sym_not] = ACTIONS(1955),
    [anon_sym_compl] = ACTIONS(1955),
    [anon_sym_or] = ACTIONS(1955),
    [anon_sym_and] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_sizeof] = ACTIONS(1955),
    [anon_sym___alignof__] = ACTIONS(1955),
    [anon_sym___alignof] = ACTIONS(1955),
    [anon_sym__alignof] = ACTIONS(1955),
    [anon_sym_alignof] = ACTIONS(1955),
    [anon_sym__Alignof] = ACTIONS(1955),
    [anon_sym_offsetof] = ACTIONS(1955),
    [anon_sym__Generic] = ACTIONS(1955),
    [anon_sym_asm] = ACTIONS(1955),
    [anon_sym___asm__] = ACTIONS(1955),
    [anon_sym___asm] = ACTIONS(1955),
    [sym_number_literal] = ACTIONS(1957),
    [anon_sym_L_SQUOTE] = ACTIONS(1957),
    [anon_sym_u_SQUOTE] = ACTIONS(1957),
    [anon_sym_U_SQUOTE] = ACTIONS(1957),
    [anon_sym_u8_SQUOTE] = ACTIONS(1957),
    [anon_sym_SQUOTE] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(1957),
    [anon_sym_u_DQUOTE] = ACTIONS(1957),
    [anon_sym_U_DQUOTE] = ACTIONS(1957),
    [anon_sym_u8_DQUOTE] = ACTIONS(1957),
    [anon_sym_DQUOTE] = ACTIONS(1957),
    [sym_true] = ACTIONS(1955),
    [sym_false] = ACTIONS(1955),
    [anon_sym_NULL] = ACTIONS(1955),
    [anon_sym_nullptr] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_final] = ACTIONS(1955),
    [anon_sym_override] = ACTIONS(1955),
    [anon_sym_explicit] = ACTIONS(1955),
    [anon_sym_typename] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_GT2] = ACTIONS(1957),
    [anon_sym_operator] = ACTIONS(1955),
    [anon_sym_try] = ACTIONS(1955),
    [anon_sym_delete] = ACTIONS(1955),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1955),
    [anon_sym_using] = ACTIONS(1955),
    [anon_sym_static_assert] = ACTIONS(1955),
    [anon_sym_concept] = ACTIONS(1955),
    [anon_sym_co_return] = ACTIONS(1955),
    [anon_sym_co_yield] = ACTIONS(1955),
    [anon_sym_R_DQUOTE] = ACTIONS(1957),
    [anon_sym_LR_DQUOTE] = ACTIONS(1957),
    [anon_sym_uR_DQUOTE] = ACTIONS(1957),
    [anon_sym_UR_DQUOTE] = ACTIONS(1957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1957),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1955),
    [anon_sym_requires] = ACTIONS(1955),
    [sym_this] = ACTIONS(1955),
    [anon_sym_discard] = ACTIONS(1955),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
    [anon_sym_cbuffer] = ACTIONS(1955),
  },
  [145] = {
    [sym_template_argument_list] = STATE(162),
    [sym_identifier] = ACTIONS(1959),
    [aux_sym_preproc_include_token1] = ACTIONS(1959),
    [aux_sym_preproc_def_token1] = ACTIONS(1959),
    [aux_sym_preproc_if_token1] = ACTIONS(1959),
    [aux_sym_preproc_if_token2] = ACTIONS(1959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1959),
    [aux_sym_preproc_else_token1] = ACTIONS(1959),
    [aux_sym_preproc_elif_token1] = ACTIONS(1959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1959),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1959),
    [sym_preproc_directive] = ACTIONS(1959),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1961),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_typedef] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym___cdecl] = ACTIONS(1959),
    [anon_sym___clrcall] = ACTIONS(1959),
    [anon_sym___stdcall] = ACTIONS(1959),
    [anon_sym___fastcall] = ACTIONS(1959),
    [anon_sym___thiscall] = ACTIONS(1959),
    [anon_sym___vectorcall] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_signed] = ACTIONS(1959),
    [anon_sym_unsigned] = ACTIONS(1959),
    [anon_sym_long] = ACTIONS(1959),
    [anon_sym_short] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_primitive_type] = ACTIONS(1959),
    [anon_sym_enum] = ACTIONS(1959),
    [anon_sym_class] = ACTIONS(1959),
    [anon_sym_struct] = ACTIONS(1959),
    [anon_sym_union] = ACTIONS(1959),
    [anon_sym_if] = ACTIONS(1959),
    [anon_sym_else] = ACTIONS(1959),
    [anon_sym_switch] = ACTIONS(1959),
    [anon_sym_case] = ACTIONS(1959),
    [anon_sym_default] = ACTIONS(1959),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_do] = ACTIONS(1959),
    [anon_sym_for] = ACTIONS(1959),
    [anon_sym_return] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(1959),
    [anon_sym_continue] = ACTIONS(1959),
    [anon_sym_goto] = ACTIONS(1959),
    [anon_sym___try] = ACTIONS(1959),
    [anon_sym___leave] = ACTIONS(1959),
    [anon_sym_not] = ACTIONS(1959),
    [anon_sym_compl] = ACTIONS(1959),
    [anon_sym_DASH_DASH] = ACTIONS(1961),
    [anon_sym_PLUS_PLUS] = ACTIONS(1961),
    [anon_sym_sizeof] = ACTIONS(1959),
    [anon_sym___alignof__] = ACTIONS(1959),
    [anon_sym___alignof] = ACTIONS(1959),
    [anon_sym__alignof] = ACTIONS(1959),
    [anon_sym_alignof] = ACTIONS(1959),
    [anon_sym__Alignof] = ACTIONS(1959),
    [anon_sym_offsetof] = ACTIONS(1959),
    [anon_sym__Generic] = ACTIONS(1959),
    [anon_sym_asm] = ACTIONS(1959),
    [anon_sym___asm__] = ACTIONS(1959),
    [anon_sym___asm] = ACTIONS(1959),
    [sym_number_literal] = ACTIONS(1961),
    [anon_sym_L_SQUOTE] = ACTIONS(1961),
    [anon_sym_u_SQUOTE] = ACTIONS(1961),
    [anon_sym_U_SQUOTE] = ACTIONS(1961),
    [anon_sym_u8_SQUOTE] = ACTIONS(1961),
    [anon_sym_SQUOTE] = ACTIONS(1961),
    [anon_sym_L_DQUOTE] = ACTIONS(1961),
    [anon_sym_u_DQUOTE] = ACTIONS(1961),
    [anon_sym_U_DQUOTE] = ACTIONS(1961),
    [anon_sym_u8_DQUOTE] = ACTIONS(1961),
    [anon_sym_DQUOTE] = ACTIONS(1961),
    [sym_true] = ACTIONS(1959),
    [sym_false] = ACTIONS(1959),
    [anon_sym_NULL] = ACTIONS(1959),
    [anon_sym_nullptr] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_final] = ACTIONS(1959),
    [anon_sym_override] = ACTIONS(1959),
    [anon_sym_explicit] = ACTIONS(1959),
    [anon_sym_typename] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_try] = ACTIONS(1959),
    [anon_sym_delete] = ACTIONS(1959),
    [anon_sym_throw] = ACTIONS(1959),
    [anon_sym_namespace] = ACTIONS(1959),
    [anon_sym_using] = ACTIONS(1959),
    [anon_sym_static_assert] = ACTIONS(1959),
    [anon_sym_concept] = ACTIONS(1959),
    [anon_sym_co_return] = ACTIONS(1959),
    [anon_sym_co_yield] = ACTIONS(1959),
    [anon_sym_R_DQUOTE] = ACTIONS(1961),
    [anon_sym_LR_DQUOTE] = ACTIONS(1961),
    [anon_sym_uR_DQUOTE] = ACTIONS(1961),
    [anon_sym_UR_DQUOTE] = ACTIONS(1961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1961),
    [anon_sym_co_await] = ACTIONS(1959),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1959),
    [anon_sym_discard] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
    [anon_sym_cbuffer] = ACTIONS(1959),
  },
  [146] = {
    [sym_template_argument_list] = STATE(162),
    [sym_identifier] = ACTIONS(1967),
    [aux_sym_preproc_include_token1] = ACTIONS(1967),
    [aux_sym_preproc_def_token1] = ACTIONS(1967),
    [aux_sym_preproc_if_token1] = ACTIONS(1967),
    [aux_sym_preproc_if_token2] = ACTIONS(1967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1967),
    [aux_sym_preproc_else_token1] = ACTIONS(1967),
    [aux_sym_preproc_elif_token1] = ACTIONS(1967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1967),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1967),
    [sym_preproc_directive] = ACTIONS(1967),
    [anon_sym_LPAREN2] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1967),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym___extension__] = ACTIONS(1967),
    [anon_sym_typedef] = ACTIONS(1967),
    [anon_sym_in] = ACTIONS(1967),
    [anon_sym_out] = ACTIONS(1967),
    [anon_sym_inout] = ACTIONS(1967),
    [anon_sym_virtual] = ACTIONS(1967),
    [anon_sym_extern] = ACTIONS(1967),
    [anon_sym___attribute__] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1969),
    [anon_sym___declspec] = ACTIONS(1967),
    [anon_sym___based] = ACTIONS(1967),
    [anon_sym___cdecl] = ACTIONS(1967),
    [anon_sym___clrcall] = ACTIONS(1967),
    [anon_sym___stdcall] = ACTIONS(1967),
    [anon_sym___fastcall] = ACTIONS(1967),
    [anon_sym___thiscall] = ACTIONS(1967),
    [anon_sym___vectorcall] = ACTIONS(1967),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1967),
    [anon_sym_unsigned] = ACTIONS(1967),
    [anon_sym_long] = ACTIONS(1967),
    [anon_sym_short] = ACTIONS(1967),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1967),
    [anon_sym_register] = ACTIONS(1967),
    [anon_sym_inline] = ACTIONS(1967),
    [anon_sym___inline] = ACTIONS(1967),
    [anon_sym___inline__] = ACTIONS(1967),
    [anon_sym___forceinline] = ACTIONS(1967),
    [anon_sym_thread_local] = ACTIONS(1967),
    [anon_sym___thread] = ACTIONS(1967),
    [anon_sym_const] = ACTIONS(1967),
    [anon_sym_constexpr] = ACTIONS(1967),
    [anon_sym_volatile] = ACTIONS(1967),
    [anon_sym_restrict] = ACTIONS(1967),
    [anon_sym___restrict__] = ACTIONS(1967),
    [anon_sym__Atomic] = ACTIONS(1967),
    [anon_sym__Noreturn] = ACTIONS(1967),
    [anon_sym_noreturn] = ACTIONS(1967),
    [anon_sym__Nonnull] = ACTIONS(1967),
    [anon_sym_mutable] = ACTIONS(1967),
    [anon_sym_constinit] = ACTIONS(1967),
    [anon_sym_consteval] = ACTIONS(1967),
    [anon_sym_alignas] = ACTIONS(1967),
    [anon_sym__Alignas] = ACTIONS(1967),
    [sym_primitive_type] = ACTIONS(1967),
    [anon_sym_enum] = ACTIONS(1967),
    [anon_sym_class] = ACTIONS(1967),
    [anon_sym_struct] = ACTIONS(1967),
    [anon_sym_union] = ACTIONS(1967),
    [anon_sym_if] = ACTIONS(1967),
    [anon_sym_else] = ACTIONS(1967),
    [anon_sym_switch] = ACTIONS(1967),
    [anon_sym_case] = ACTIONS(1967),
    [anon_sym_default] = ACTIONS(1967),
    [anon_sym_while] = ACTIONS(1967),
    [anon_sym_do] = ACTIONS(1967),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_return] = ACTIONS(1967),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_continue] = ACTIONS(1967),
    [anon_sym_goto] = ACTIONS(1967),
    [anon_sym___try] = ACTIONS(1967),
    [anon_sym___leave] = ACTIONS(1967),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(1969),
    [anon_sym_PLUS_PLUS] = ACTIONS(1969),
    [anon_sym_sizeof] = ACTIONS(1967),
    [anon_sym___alignof__] = ACTIONS(1967),
    [anon_sym___alignof] = ACTIONS(1967),
    [anon_sym__alignof] = ACTIONS(1967),
    [anon_sym_alignof] = ACTIONS(1967),
    [anon_sym__Alignof] = ACTIONS(1967),
    [anon_sym_offsetof] = ACTIONS(1967),
    [anon_sym__Generic] = ACTIONS(1967),
    [anon_sym_asm] = ACTIONS(1967),
    [anon_sym___asm__] = ACTIONS(1967),
    [anon_sym___asm] = ACTIONS(1967),
    [sym_number_literal] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1969),
    [anon_sym_u_SQUOTE] = ACTIONS(1969),
    [anon_sym_U_SQUOTE] = ACTIONS(1969),
    [anon_sym_u8_SQUOTE] = ACTIONS(1969),
    [anon_sym_SQUOTE] = ACTIONS(1969),
    [anon_sym_L_DQUOTE] = ACTIONS(1969),
    [anon_sym_u_DQUOTE] = ACTIONS(1969),
    [anon_sym_U_DQUOTE] = ACTIONS(1969),
    [anon_sym_u8_DQUOTE] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1969),
    [sym_true] = ACTIONS(1967),
    [sym_false] = ACTIONS(1967),
    [anon_sym_NULL] = ACTIONS(1967),
    [anon_sym_nullptr] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1967),
    [anon_sym_decltype] = ACTIONS(1967),
    [anon_sym_final] = ACTIONS(1967),
    [anon_sym_override] = ACTIONS(1967),
    [anon_sym_explicit] = ACTIONS(1967),
    [anon_sym_typename] = ACTIONS(1967),
    [anon_sym_template] = ACTIONS(1967),
    [anon_sym_operator] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1967),
    [anon_sym_delete] = ACTIONS(1967),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_namespace] = ACTIONS(1967),
    [anon_sym_using] = ACTIONS(1967),
    [anon_sym_static_assert] = ACTIONS(1967),
    [anon_sym_concept] = ACTIONS(1967),
    [anon_sym_co_return] = ACTIONS(1967),
    [anon_sym_co_yield] = ACTIONS(1967),
    [anon_sym_R_DQUOTE] = ACTIONS(1969),
    [anon_sym_LR_DQUOTE] = ACTIONS(1969),
    [anon_sym_uR_DQUOTE] = ACTIONS(1969),
    [anon_sym_UR_DQUOTE] = ACTIONS(1969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1969),
    [anon_sym_co_await] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1967),
    [anon_sym_requires] = ACTIONS(1967),
    [sym_this] = ACTIONS(1967),
    [anon_sym_discard] = ACTIONS(1967),
    [anon_sym_precise] = ACTIONS(1967),
    [anon_sym_shared] = ACTIONS(1967),
    [anon_sym_groupshared] = ACTIONS(1967),
    [anon_sym_uniform] = ACTIONS(1967),
    [anon_sym_row_major] = ACTIONS(1967),
    [anon_sym_column_major] = ACTIONS(1967),
    [anon_sym_globallycoherent] = ACTIONS(1967),
    [anon_sym_centroid] = ACTIONS(1967),
    [anon_sym_noperspective] = ACTIONS(1967),
    [anon_sym_nointerpolation] = ACTIONS(1967),
    [anon_sym_sample] = ACTIONS(1967),
    [anon_sym_linear] = ACTIONS(1967),
    [anon_sym_snorm] = ACTIONS(1967),
    [anon_sym_unorm] = ACTIONS(1967),
    [anon_sym_point] = ACTIONS(1967),
    [anon_sym_line] = ACTIONS(1967),
    [anon_sym_triangleadj] = ACTIONS(1967),
    [anon_sym_lineadj] = ACTIONS(1967),
    [anon_sym_triangle] = ACTIONS(1967),
    [anon_sym_cbuffer] = ACTIONS(1967),
  },
  [147] = {
    [ts_builtin_sym_end] = ACTIONS(1971),
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1971),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___except] = ACTIONS(1973),
    [anon_sym___finally] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_or] = ACTIONS(1973),
    [anon_sym_and] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [sym_number_literal] = ACTIONS(1971),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_final] = ACTIONS(1973),
    [anon_sym_override] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
    [anon_sym_discard] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
    [anon_sym_cbuffer] = ACTIONS(1973),
  },
  [148] = {
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(5371),
    [sym__declarator] = STATE(6626),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8054),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3506),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5697),
    [sym_qualified_identifier] = STATE(3416),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1981),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1985),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1993),
    [anon_sym___clrcall] = ACTIONS(1993),
    [anon_sym___stdcall] = ACTIONS(1993),
    [anon_sym___fastcall] = ACTIONS(1993),
    [anon_sym___thiscall] = ACTIONS(1993),
    [anon_sym___vectorcall] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1921),
    [aux_sym_preproc_include_token1] = ACTIONS(1921),
    [aux_sym_preproc_def_token1] = ACTIONS(1921),
    [aux_sym_preproc_if_token1] = ACTIONS(1921),
    [aux_sym_preproc_if_token2] = ACTIONS(1921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1921),
    [aux_sym_preproc_else_token1] = ACTIONS(1921),
    [aux_sym_preproc_elif_token1] = ACTIONS(1921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1921),
    [sym_preproc_directive] = ACTIONS(1921),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_typedef] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym___cdecl] = ACTIONS(1921),
    [anon_sym___clrcall] = ACTIONS(1921),
    [anon_sym___stdcall] = ACTIONS(1921),
    [anon_sym___fastcall] = ACTIONS(1921),
    [anon_sym___thiscall] = ACTIONS(1921),
    [anon_sym___vectorcall] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_signed] = ACTIONS(1921),
    [anon_sym_unsigned] = ACTIONS(1921),
    [anon_sym_long] = ACTIONS(1921),
    [anon_sym_short] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [sym_primitive_type] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1921),
    [anon_sym_struct] = ACTIONS(1921),
    [anon_sym_union] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1921),
    [anon_sym_case] = ACTIONS(1921),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1921),
    [anon_sym_return] = ACTIONS(1921),
    [anon_sym_break] = ACTIONS(1921),
    [anon_sym_continue] = ACTIONS(1921),
    [anon_sym_goto] = ACTIONS(1921),
    [anon_sym___try] = ACTIONS(1921),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(1921),
    [anon_sym_compl] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_sizeof] = ACTIONS(1921),
    [anon_sym___alignof__] = ACTIONS(1921),
    [anon_sym___alignof] = ACTIONS(1921),
    [anon_sym__alignof] = ACTIONS(1921),
    [anon_sym_alignof] = ACTIONS(1921),
    [anon_sym__Alignof] = ACTIONS(1921),
    [anon_sym_offsetof] = ACTIONS(1921),
    [anon_sym__Generic] = ACTIONS(1921),
    [anon_sym_asm] = ACTIONS(1921),
    [anon_sym___asm__] = ACTIONS(1921),
    [anon_sym___asm] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [anon_sym_L_SQUOTE] = ACTIONS(1923),
    [anon_sym_u_SQUOTE] = ACTIONS(1923),
    [anon_sym_U_SQUOTE] = ACTIONS(1923),
    [anon_sym_u8_SQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [anon_sym_L_DQUOTE] = ACTIONS(1923),
    [anon_sym_u_DQUOTE] = ACTIONS(1923),
    [anon_sym_U_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8_DQUOTE] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [anon_sym_NULL] = ACTIONS(1921),
    [anon_sym_nullptr] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_final] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_explicit] = ACTIONS(1921),
    [anon_sym_typename] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_operator] = ACTIONS(1921),
    [anon_sym_try] = ACTIONS(1921),
    [anon_sym_delete] = ACTIONS(1921),
    [anon_sym_throw] = ACTIONS(1921),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_using] = ACTIONS(1921),
    [anon_sym_static_assert] = ACTIONS(1921),
    [anon_sym_concept] = ACTIONS(1921),
    [anon_sym_co_return] = ACTIONS(1921),
    [anon_sym_co_yield] = ACTIONS(1921),
    [anon_sym_R_DQUOTE] = ACTIONS(1923),
    [anon_sym_LR_DQUOTE] = ACTIONS(1923),
    [anon_sym_uR_DQUOTE] = ACTIONS(1923),
    [anon_sym_UR_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1923),
    [anon_sym_co_await] = ACTIONS(1921),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_requires] = ACTIONS(1921),
    [sym_this] = ACTIONS(1921),
    [anon_sym_discard] = ACTIONS(1921),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
    [anon_sym_cbuffer] = ACTIONS(1921),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1947),
    [aux_sym_preproc_include_token1] = ACTIONS(1947),
    [aux_sym_preproc_def_token1] = ACTIONS(1947),
    [aux_sym_preproc_if_token1] = ACTIONS(1947),
    [aux_sym_preproc_if_token2] = ACTIONS(1947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1947),
    [aux_sym_preproc_else_token1] = ACTIONS(1947),
    [aux_sym_preproc_elif_token1] = ACTIONS(1947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1947),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1947),
    [sym_preproc_directive] = ACTIONS(1947),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1949),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_typedef] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym___cdecl] = ACTIONS(1947),
    [anon_sym___clrcall] = ACTIONS(1947),
    [anon_sym___stdcall] = ACTIONS(1947),
    [anon_sym___fastcall] = ACTIONS(1947),
    [anon_sym___thiscall] = ACTIONS(1947),
    [anon_sym___vectorcall] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_signed] = ACTIONS(1947),
    [anon_sym_unsigned] = ACTIONS(1947),
    [anon_sym_long] = ACTIONS(1947),
    [anon_sym_short] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [sym_primitive_type] = ACTIONS(1947),
    [anon_sym_enum] = ACTIONS(1947),
    [anon_sym_class] = ACTIONS(1947),
    [anon_sym_struct] = ACTIONS(1947),
    [anon_sym_union] = ACTIONS(1947),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_else] = ACTIONS(1947),
    [anon_sym_switch] = ACTIONS(1947),
    [anon_sym_case] = ACTIONS(1947),
    [anon_sym_default] = ACTIONS(1947),
    [anon_sym_while] = ACTIONS(1947),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym___try] = ACTIONS(1947),
    [anon_sym___leave] = ACTIONS(1947),
    [anon_sym_not] = ACTIONS(1947),
    [anon_sym_compl] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(1947),
    [anon_sym___alignof] = ACTIONS(1947),
    [anon_sym__alignof] = ACTIONS(1947),
    [anon_sym_alignof] = ACTIONS(1947),
    [anon_sym__Alignof] = ACTIONS(1947),
    [anon_sym_offsetof] = ACTIONS(1947),
    [anon_sym__Generic] = ACTIONS(1947),
    [anon_sym_asm] = ACTIONS(1947),
    [anon_sym___asm__] = ACTIONS(1947),
    [anon_sym___asm] = ACTIONS(1947),
    [sym_number_literal] = ACTIONS(1949),
    [anon_sym_L_SQUOTE] = ACTIONS(1949),
    [anon_sym_u_SQUOTE] = ACTIONS(1949),
    [anon_sym_U_SQUOTE] = ACTIONS(1949),
    [anon_sym_u8_SQUOTE] = ACTIONS(1949),
    [anon_sym_SQUOTE] = ACTIONS(1949),
    [anon_sym_L_DQUOTE] = ACTIONS(1949),
    [anon_sym_u_DQUOTE] = ACTIONS(1949),
    [anon_sym_U_DQUOTE] = ACTIONS(1949),
    [anon_sym_u8_DQUOTE] = ACTIONS(1949),
    [anon_sym_DQUOTE] = ACTIONS(1949),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_final] = ACTIONS(1947),
    [anon_sym_override] = ACTIONS(1947),
    [anon_sym_explicit] = ACTIONS(1947),
    [anon_sym_typename] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_operator] = ACTIONS(1947),
    [anon_sym_try] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_throw] = ACTIONS(1947),
    [anon_sym_namespace] = ACTIONS(1947),
    [anon_sym_using] = ACTIONS(1947),
    [anon_sym_static_assert] = ACTIONS(1947),
    [anon_sym_concept] = ACTIONS(1947),
    [anon_sym_co_return] = ACTIONS(1947),
    [anon_sym_co_yield] = ACTIONS(1947),
    [anon_sym_R_DQUOTE] = ACTIONS(1949),
    [anon_sym_LR_DQUOTE] = ACTIONS(1949),
    [anon_sym_uR_DQUOTE] = ACTIONS(1949),
    [anon_sym_UR_DQUOTE] = ACTIONS(1949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1949),
    [anon_sym_co_await] = ACTIONS(1947),
    [anon_sym_new] = ACTIONS(1947),
    [anon_sym_requires] = ACTIONS(1947),
    [sym_this] = ACTIONS(1947),
    [anon_sym_discard] = ACTIONS(1947),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
    [anon_sym_cbuffer] = ACTIONS(1947),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1951),
    [aux_sym_preproc_include_token1] = ACTIONS(1951),
    [aux_sym_preproc_def_token1] = ACTIONS(1951),
    [aux_sym_preproc_if_token1] = ACTIONS(1951),
    [aux_sym_preproc_if_token2] = ACTIONS(1951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1951),
    [aux_sym_preproc_else_token1] = ACTIONS(1951),
    [aux_sym_preproc_elif_token1] = ACTIONS(1951),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1951),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1951),
    [sym_preproc_directive] = ACTIONS(1951),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_BANG] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_typedef] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym___cdecl] = ACTIONS(1951),
    [anon_sym___clrcall] = ACTIONS(1951),
    [anon_sym___stdcall] = ACTIONS(1951),
    [anon_sym___fastcall] = ACTIONS(1951),
    [anon_sym___thiscall] = ACTIONS(1951),
    [anon_sym___vectorcall] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_signed] = ACTIONS(1951),
    [anon_sym_unsigned] = ACTIONS(1951),
    [anon_sym_long] = ACTIONS(1951),
    [anon_sym_short] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [sym_primitive_type] = ACTIONS(1951),
    [anon_sym_enum] = ACTIONS(1951),
    [anon_sym_class] = ACTIONS(1951),
    [anon_sym_struct] = ACTIONS(1951),
    [anon_sym_union] = ACTIONS(1951),
    [anon_sym_if] = ACTIONS(1951),
    [anon_sym_else] = ACTIONS(1951),
    [anon_sym_switch] = ACTIONS(1951),
    [anon_sym_case] = ACTIONS(1951),
    [anon_sym_default] = ACTIONS(1951),
    [anon_sym_while] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1951),
    [anon_sym_for] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1951),
    [anon_sym_break] = ACTIONS(1951),
    [anon_sym_continue] = ACTIONS(1951),
    [anon_sym_goto] = ACTIONS(1951),
    [anon_sym___try] = ACTIONS(1951),
    [anon_sym___leave] = ACTIONS(1951),
    [anon_sym_not] = ACTIONS(1951),
    [anon_sym_compl] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_sizeof] = ACTIONS(1951),
    [anon_sym___alignof__] = ACTIONS(1951),
    [anon_sym___alignof] = ACTIONS(1951),
    [anon_sym__alignof] = ACTIONS(1951),
    [anon_sym_alignof] = ACTIONS(1951),
    [anon_sym__Alignof] = ACTIONS(1951),
    [anon_sym_offsetof] = ACTIONS(1951),
    [anon_sym__Generic] = ACTIONS(1951),
    [anon_sym_asm] = ACTIONS(1951),
    [anon_sym___asm__] = ACTIONS(1951),
    [anon_sym___asm] = ACTIONS(1951),
    [sym_number_literal] = ACTIONS(1953),
    [anon_sym_L_SQUOTE] = ACTIONS(1953),
    [anon_sym_u_SQUOTE] = ACTIONS(1953),
    [anon_sym_U_SQUOTE] = ACTIONS(1953),
    [anon_sym_u8_SQUOTE] = ACTIONS(1953),
    [anon_sym_SQUOTE] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(1953),
    [anon_sym_u_DQUOTE] = ACTIONS(1953),
    [anon_sym_U_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8_DQUOTE] = ACTIONS(1953),
    [anon_sym_DQUOTE] = ACTIONS(1953),
    [sym_true] = ACTIONS(1951),
    [sym_false] = ACTIONS(1951),
    [anon_sym_NULL] = ACTIONS(1951),
    [anon_sym_nullptr] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_final] = ACTIONS(1951),
    [anon_sym_override] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_operator] = ACTIONS(1951),
    [anon_sym_try] = ACTIONS(1951),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_throw] = ACTIONS(1951),
    [anon_sym_namespace] = ACTIONS(1951),
    [anon_sym_using] = ACTIONS(1951),
    [anon_sym_static_assert] = ACTIONS(1951),
    [anon_sym_concept] = ACTIONS(1951),
    [anon_sym_co_return] = ACTIONS(1951),
    [anon_sym_co_yield] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1951),
    [anon_sym_new] = ACTIONS(1951),
    [anon_sym_requires] = ACTIONS(1951),
    [sym_this] = ACTIONS(1951),
    [anon_sym_discard] = ACTIONS(1951),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
    [anon_sym_cbuffer] = ACTIONS(1951),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1955),
    [aux_sym_preproc_include_token1] = ACTIONS(1955),
    [aux_sym_preproc_def_token1] = ACTIONS(1955),
    [aux_sym_preproc_if_token1] = ACTIONS(1955),
    [aux_sym_preproc_if_token2] = ACTIONS(1955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1955),
    [aux_sym_preproc_else_token1] = ACTIONS(1955),
    [aux_sym_preproc_elif_token1] = ACTIONS(1955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1955),
    [sym_preproc_directive] = ACTIONS(1955),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_typedef] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym___cdecl] = ACTIONS(1955),
    [anon_sym___clrcall] = ACTIONS(1955),
    [anon_sym___stdcall] = ACTIONS(1955),
    [anon_sym___fastcall] = ACTIONS(1955),
    [anon_sym___thiscall] = ACTIONS(1955),
    [anon_sym___vectorcall] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_signed] = ACTIONS(1955),
    [anon_sym_unsigned] = ACTIONS(1955),
    [anon_sym_long] = ACTIONS(1955),
    [anon_sym_short] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [sym_primitive_type] = ACTIONS(1955),
    [anon_sym_enum] = ACTIONS(1955),
    [anon_sym_class] = ACTIONS(1955),
    [anon_sym_struct] = ACTIONS(1955),
    [anon_sym_union] = ACTIONS(1955),
    [anon_sym_if] = ACTIONS(1955),
    [anon_sym_else] = ACTIONS(1955),
    [anon_sym_switch] = ACTIONS(1955),
    [anon_sym_case] = ACTIONS(1955),
    [anon_sym_default] = ACTIONS(1955),
    [anon_sym_while] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1955),
    [anon_sym_for] = ACTIONS(1955),
    [anon_sym_return] = ACTIONS(1955),
    [anon_sym_break] = ACTIONS(1955),
    [anon_sym_continue] = ACTIONS(1955),
    [anon_sym_goto] = ACTIONS(1955),
    [anon_sym___try] = ACTIONS(1955),
    [anon_sym___leave] = ACTIONS(1955),
    [anon_sym_not] = ACTIONS(1955),
    [anon_sym_compl] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_sizeof] = ACTIONS(1955),
    [anon_sym___alignof__] = ACTIONS(1955),
    [anon_sym___alignof] = ACTIONS(1955),
    [anon_sym__alignof] = ACTIONS(1955),
    [anon_sym_alignof] = ACTIONS(1955),
    [anon_sym__Alignof] = ACTIONS(1955),
    [anon_sym_offsetof] = ACTIONS(1955),
    [anon_sym__Generic] = ACTIONS(1955),
    [anon_sym_asm] = ACTIONS(1955),
    [anon_sym___asm__] = ACTIONS(1955),
    [anon_sym___asm] = ACTIONS(1955),
    [sym_number_literal] = ACTIONS(1957),
    [anon_sym_L_SQUOTE] = ACTIONS(1957),
    [anon_sym_u_SQUOTE] = ACTIONS(1957),
    [anon_sym_U_SQUOTE] = ACTIONS(1957),
    [anon_sym_u8_SQUOTE] = ACTIONS(1957),
    [anon_sym_SQUOTE] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(1957),
    [anon_sym_u_DQUOTE] = ACTIONS(1957),
    [anon_sym_U_DQUOTE] = ACTIONS(1957),
    [anon_sym_u8_DQUOTE] = ACTIONS(1957),
    [anon_sym_DQUOTE] = ACTIONS(1957),
    [sym_true] = ACTIONS(1955),
    [sym_false] = ACTIONS(1955),
    [anon_sym_NULL] = ACTIONS(1955),
    [anon_sym_nullptr] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_final] = ACTIONS(1955),
    [anon_sym_override] = ACTIONS(1955),
    [anon_sym_explicit] = ACTIONS(1955),
    [anon_sym_typename] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_operator] = ACTIONS(1955),
    [anon_sym_try] = ACTIONS(1955),
    [anon_sym_delete] = ACTIONS(1955),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1955),
    [anon_sym_using] = ACTIONS(1955),
    [anon_sym_static_assert] = ACTIONS(1955),
    [anon_sym_concept] = ACTIONS(1955),
    [anon_sym_co_return] = ACTIONS(1955),
    [anon_sym_co_yield] = ACTIONS(1955),
    [anon_sym_R_DQUOTE] = ACTIONS(1957),
    [anon_sym_LR_DQUOTE] = ACTIONS(1957),
    [anon_sym_uR_DQUOTE] = ACTIONS(1957),
    [anon_sym_UR_DQUOTE] = ACTIONS(1957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1957),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1955),
    [anon_sym_requires] = ACTIONS(1955),
    [sym_this] = ACTIONS(1955),
    [anon_sym_discard] = ACTIONS(1955),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
    [anon_sym_cbuffer] = ACTIONS(1955),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1917),
    [aux_sym_preproc_include_token1] = ACTIONS(1917),
    [aux_sym_preproc_def_token1] = ACTIONS(1917),
    [aux_sym_preproc_if_token1] = ACTIONS(1917),
    [aux_sym_preproc_if_token2] = ACTIONS(1917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1917),
    [aux_sym_preproc_else_token1] = ACTIONS(1917),
    [aux_sym_preproc_elif_token1] = ACTIONS(1917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1917),
    [sym_preproc_directive] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_typedef] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym___cdecl] = ACTIONS(1917),
    [anon_sym___clrcall] = ACTIONS(1917),
    [anon_sym___stdcall] = ACTIONS(1917),
    [anon_sym___fastcall] = ACTIONS(1917),
    [anon_sym___thiscall] = ACTIONS(1917),
    [anon_sym___vectorcall] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_signed] = ACTIONS(1917),
    [anon_sym_unsigned] = ACTIONS(1917),
    [anon_sym_long] = ACTIONS(1917),
    [anon_sym_short] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(1917),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_class] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(1917),
    [anon_sym_union] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1917),
    [anon_sym_else] = ACTIONS(1917),
    [anon_sym_switch] = ACTIONS(1917),
    [anon_sym_case] = ACTIONS(1917),
    [anon_sym_default] = ACTIONS(1917),
    [anon_sym_while] = ACTIONS(1917),
    [anon_sym_do] = ACTIONS(1917),
    [anon_sym_for] = ACTIONS(1917),
    [anon_sym_return] = ACTIONS(1917),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_continue] = ACTIONS(1917),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1917),
    [anon_sym___leave] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_sizeof] = ACTIONS(1917),
    [anon_sym___alignof__] = ACTIONS(1917),
    [anon_sym___alignof] = ACTIONS(1917),
    [anon_sym__alignof] = ACTIONS(1917),
    [anon_sym_alignof] = ACTIONS(1917),
    [anon_sym__Alignof] = ACTIONS(1917),
    [anon_sym_offsetof] = ACTIONS(1917),
    [anon_sym__Generic] = ACTIONS(1917),
    [anon_sym_asm] = ACTIONS(1917),
    [anon_sym___asm__] = ACTIONS(1917),
    [anon_sym___asm] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(1919),
    [anon_sym_L_SQUOTE] = ACTIONS(1919),
    [anon_sym_u_SQUOTE] = ACTIONS(1919),
    [anon_sym_U_SQUOTE] = ACTIONS(1919),
    [anon_sym_u8_SQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1919),
    [anon_sym_L_DQUOTE] = ACTIONS(1919),
    [anon_sym_u_DQUOTE] = ACTIONS(1919),
    [anon_sym_U_DQUOTE] = ACTIONS(1919),
    [anon_sym_u8_DQUOTE] = ACTIONS(1919),
    [anon_sym_DQUOTE] = ACTIONS(1919),
    [sym_true] = ACTIONS(1917),
    [sym_false] = ACTIONS(1917),
    [anon_sym_NULL] = ACTIONS(1917),
    [anon_sym_nullptr] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_final] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_explicit] = ACTIONS(1917),
    [anon_sym_typename] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_operator] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1917),
    [anon_sym_delete] = ACTIONS(1917),
    [anon_sym_throw] = ACTIONS(1917),
    [anon_sym_namespace] = ACTIONS(1917),
    [anon_sym_using] = ACTIONS(1917),
    [anon_sym_static_assert] = ACTIONS(1917),
    [anon_sym_concept] = ACTIONS(1917),
    [anon_sym_co_return] = ACTIONS(1917),
    [anon_sym_co_yield] = ACTIONS(1917),
    [anon_sym_R_DQUOTE] = ACTIONS(1919),
    [anon_sym_LR_DQUOTE] = ACTIONS(1919),
    [anon_sym_uR_DQUOTE] = ACTIONS(1919),
    [anon_sym_UR_DQUOTE] = ACTIONS(1919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1919),
    [anon_sym_co_await] = ACTIONS(1917),
    [anon_sym_new] = ACTIONS(1917),
    [anon_sym_requires] = ACTIONS(1917),
    [sym_this] = ACTIONS(1917),
    [anon_sym_discard] = ACTIONS(1917),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
    [anon_sym_cbuffer] = ACTIONS(1917),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1939),
    [aux_sym_preproc_include_token1] = ACTIONS(1939),
    [aux_sym_preproc_def_token1] = ACTIONS(1939),
    [aux_sym_preproc_if_token1] = ACTIONS(1939),
    [aux_sym_preproc_if_token2] = ACTIONS(1939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1939),
    [aux_sym_preproc_else_token1] = ACTIONS(1939),
    [aux_sym_preproc_elif_token1] = ACTIONS(1939),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1939),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1939),
    [sym_preproc_directive] = ACTIONS(1939),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_BANG] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1941),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_typedef] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym___cdecl] = ACTIONS(1939),
    [anon_sym___clrcall] = ACTIONS(1939),
    [anon_sym___stdcall] = ACTIONS(1939),
    [anon_sym___fastcall] = ACTIONS(1939),
    [anon_sym___thiscall] = ACTIONS(1939),
    [anon_sym___vectorcall] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_signed] = ACTIONS(1939),
    [anon_sym_unsigned] = ACTIONS(1939),
    [anon_sym_long] = ACTIONS(1939),
    [anon_sym_short] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [sym_primitive_type] = ACTIONS(1939),
    [anon_sym_enum] = ACTIONS(1939),
    [anon_sym_class] = ACTIONS(1939),
    [anon_sym_struct] = ACTIONS(1939),
    [anon_sym_union] = ACTIONS(1939),
    [anon_sym_if] = ACTIONS(1939),
    [anon_sym_else] = ACTIONS(1939),
    [anon_sym_switch] = ACTIONS(1939),
    [anon_sym_case] = ACTIONS(1939),
    [anon_sym_default] = ACTIONS(1939),
    [anon_sym_while] = ACTIONS(1939),
    [anon_sym_do] = ACTIONS(1939),
    [anon_sym_for] = ACTIONS(1939),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_break] = ACTIONS(1939),
    [anon_sym_continue] = ACTIONS(1939),
    [anon_sym_goto] = ACTIONS(1939),
    [anon_sym___try] = ACTIONS(1939),
    [anon_sym___leave] = ACTIONS(1939),
    [anon_sym_not] = ACTIONS(1939),
    [anon_sym_compl] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_sizeof] = ACTIONS(1939),
    [anon_sym___alignof__] = ACTIONS(1939),
    [anon_sym___alignof] = ACTIONS(1939),
    [anon_sym__alignof] = ACTIONS(1939),
    [anon_sym_alignof] = ACTIONS(1939),
    [anon_sym__Alignof] = ACTIONS(1939),
    [anon_sym_offsetof] = ACTIONS(1939),
    [anon_sym__Generic] = ACTIONS(1939),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1941),
    [anon_sym_u_DQUOTE] = ACTIONS(1941),
    [anon_sym_U_DQUOTE] = ACTIONS(1941),
    [anon_sym_u8_DQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1941),
    [sym_true] = ACTIONS(1939),
    [sym_false] = ACTIONS(1939),
    [anon_sym_NULL] = ACTIONS(1939),
    [anon_sym_nullptr] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_final] = ACTIONS(1939),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_explicit] = ACTIONS(1939),
    [anon_sym_typename] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_operator] = ACTIONS(1939),
    [anon_sym_try] = ACTIONS(1939),
    [anon_sym_delete] = ACTIONS(1939),
    [anon_sym_throw] = ACTIONS(1939),
    [anon_sym_namespace] = ACTIONS(1939),
    [anon_sym_using] = ACTIONS(1939),
    [anon_sym_static_assert] = ACTIONS(1939),
    [anon_sym_concept] = ACTIONS(1939),
    [anon_sym_co_return] = ACTIONS(1939),
    [anon_sym_co_yield] = ACTIONS(1939),
    [anon_sym_R_DQUOTE] = ACTIONS(1941),
    [anon_sym_LR_DQUOTE] = ACTIONS(1941),
    [anon_sym_uR_DQUOTE] = ACTIONS(1941),
    [anon_sym_UR_DQUOTE] = ACTIONS(1941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1941),
    [anon_sym_co_await] = ACTIONS(1939),
    [anon_sym_new] = ACTIONS(1939),
    [anon_sym_requires] = ACTIONS(1939),
    [sym_this] = ACTIONS(1939),
    [anon_sym_discard] = ACTIONS(1939),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
    [anon_sym_cbuffer] = ACTIONS(1939),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_include_token1] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token2] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [aux_sym_preproc_else_token1] = ACTIONS(1913),
    [aux_sym_preproc_elif_token1] = ACTIONS(1913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_goto] = ACTIONS(1913),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym___leave] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_compl] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1913),
    [anon_sym___alignof__] = ACTIONS(1913),
    [anon_sym___alignof] = ACTIONS(1913),
    [anon_sym__alignof] = ACTIONS(1913),
    [anon_sym_alignof] = ACTIONS(1913),
    [anon_sym__Alignof] = ACTIONS(1913),
    [anon_sym_offsetof] = ACTIONS(1913),
    [anon_sym__Generic] = ACTIONS(1913),
    [anon_sym_asm] = ACTIONS(1913),
    [anon_sym___asm__] = ACTIONS(1913),
    [anon_sym___asm] = ACTIONS(1913),
    [sym_number_literal] = ACTIONS(1915),
    [anon_sym_L_SQUOTE] = ACTIONS(1915),
    [anon_sym_u_SQUOTE] = ACTIONS(1915),
    [anon_sym_U_SQUOTE] = ACTIONS(1915),
    [anon_sym_u8_SQUOTE] = ACTIONS(1915),
    [anon_sym_SQUOTE] = ACTIONS(1915),
    [anon_sym_L_DQUOTE] = ACTIONS(1915),
    [anon_sym_u_DQUOTE] = ACTIONS(1915),
    [anon_sym_U_DQUOTE] = ACTIONS(1915),
    [anon_sym_u8_DQUOTE] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1915),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [anon_sym_NULL] = ACTIONS(1913),
    [anon_sym_nullptr] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_final] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_concept] = ACTIONS(1913),
    [anon_sym_co_return] = ACTIONS(1913),
    [anon_sym_co_yield] = ACTIONS(1913),
    [anon_sym_R_DQUOTE] = ACTIONS(1915),
    [anon_sym_LR_DQUOTE] = ACTIONS(1915),
    [anon_sym_uR_DQUOTE] = ACTIONS(1915),
    [anon_sym_UR_DQUOTE] = ACTIONS(1915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1915),
    [anon_sym_co_await] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [sym_this] = ACTIONS(1913),
    [anon_sym_discard] = ACTIONS(1913),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
    [anon_sym_cbuffer] = ACTIONS(1913),
  },
  [156] = {
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token2] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [aux_sym_preproc_else_token1] = ACTIONS(2049),
    [aux_sym_preproc_elif_token1] = ACTIONS(2049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [157] = {
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token2] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [aux_sym_preproc_else_token1] = ACTIONS(2049),
    [aux_sym_preproc_elif_token1] = ACTIONS(2049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [158] = {
    [sym_catch_clause] = STATE(160),
    [aux_sym_constructor_try_statement_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2055),
    [aux_sym_preproc_include_token1] = ACTIONS(2055),
    [aux_sym_preproc_def_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token2] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2055),
    [aux_sym_preproc_else_token1] = ACTIONS(2055),
    [aux_sym_preproc_elif_token1] = ACTIONS(2055),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2055),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2055),
    [sym_preproc_directive] = ACTIONS(2055),
    [anon_sym_LPAREN2] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym___extension__] = ACTIONS(2055),
    [anon_sym_typedef] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_out] = ACTIONS(2055),
    [anon_sym_inout] = ACTIONS(2055),
    [anon_sym_virtual] = ACTIONS(2055),
    [anon_sym_extern] = ACTIONS(2055),
    [anon_sym___attribute__] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2057),
    [anon_sym___declspec] = ACTIONS(2055),
    [anon_sym___based] = ACTIONS(2055),
    [anon_sym___cdecl] = ACTIONS(2055),
    [anon_sym___clrcall] = ACTIONS(2055),
    [anon_sym___stdcall] = ACTIONS(2055),
    [anon_sym___fastcall] = ACTIONS(2055),
    [anon_sym___thiscall] = ACTIONS(2055),
    [anon_sym___vectorcall] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_signed] = ACTIONS(2055),
    [anon_sym_unsigned] = ACTIONS(2055),
    [anon_sym_long] = ACTIONS(2055),
    [anon_sym_short] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_register] = ACTIONS(2055),
    [anon_sym_inline] = ACTIONS(2055),
    [anon_sym___inline] = ACTIONS(2055),
    [anon_sym___inline__] = ACTIONS(2055),
    [anon_sym___forceinline] = ACTIONS(2055),
    [anon_sym_thread_local] = ACTIONS(2055),
    [anon_sym___thread] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_constexpr] = ACTIONS(2055),
    [anon_sym_volatile] = ACTIONS(2055),
    [anon_sym_restrict] = ACTIONS(2055),
    [anon_sym___restrict__] = ACTIONS(2055),
    [anon_sym__Atomic] = ACTIONS(2055),
    [anon_sym__Noreturn] = ACTIONS(2055),
    [anon_sym_noreturn] = ACTIONS(2055),
    [anon_sym__Nonnull] = ACTIONS(2055),
    [anon_sym_mutable] = ACTIONS(2055),
    [anon_sym_constinit] = ACTIONS(2055),
    [anon_sym_consteval] = ACTIONS(2055),
    [anon_sym_alignas] = ACTIONS(2055),
    [anon_sym__Alignas] = ACTIONS(2055),
    [sym_primitive_type] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_struct] = ACTIONS(2055),
    [anon_sym_union] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_goto] = ACTIONS(2055),
    [anon_sym___try] = ACTIONS(2055),
    [anon_sym___leave] = ACTIONS(2055),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_sizeof] = ACTIONS(2055),
    [anon_sym___alignof__] = ACTIONS(2055),
    [anon_sym___alignof] = ACTIONS(2055),
    [anon_sym__alignof] = ACTIONS(2055),
    [anon_sym_alignof] = ACTIONS(2055),
    [anon_sym__Alignof] = ACTIONS(2055),
    [anon_sym_offsetof] = ACTIONS(2055),
    [anon_sym__Generic] = ACTIONS(2055),
    [anon_sym_asm] = ACTIONS(2055),
    [anon_sym___asm__] = ACTIONS(2055),
    [anon_sym___asm] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(2057),
    [anon_sym_L_SQUOTE] = ACTIONS(2057),
    [anon_sym_u_SQUOTE] = ACTIONS(2057),
    [anon_sym_U_SQUOTE] = ACTIONS(2057),
    [anon_sym_u8_SQUOTE] = ACTIONS(2057),
    [anon_sym_SQUOTE] = ACTIONS(2057),
    [anon_sym_L_DQUOTE] = ACTIONS(2057),
    [anon_sym_u_DQUOTE] = ACTIONS(2057),
    [anon_sym_U_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8_DQUOTE] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(2057),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [anon_sym_NULL] = ACTIONS(2055),
    [anon_sym_nullptr] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2055),
    [anon_sym_decltype] = ACTIONS(2055),
    [anon_sym_explicit] = ACTIONS(2055),
    [anon_sym_typename] = ACTIONS(2055),
    [anon_sym_template] = ACTIONS(2055),
    [anon_sym_operator] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_static_assert] = ACTIONS(2055),
    [anon_sym_concept] = ACTIONS(2055),
    [anon_sym_co_return] = ACTIONS(2055),
    [anon_sym_co_yield] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(2059),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_requires] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [anon_sym_discard] = ACTIONS(2055),
    [anon_sym_precise] = ACTIONS(2055),
    [anon_sym_shared] = ACTIONS(2055),
    [anon_sym_groupshared] = ACTIONS(2055),
    [anon_sym_uniform] = ACTIONS(2055),
    [anon_sym_row_major] = ACTIONS(2055),
    [anon_sym_column_major] = ACTIONS(2055),
    [anon_sym_globallycoherent] = ACTIONS(2055),
    [anon_sym_centroid] = ACTIONS(2055),
    [anon_sym_noperspective] = ACTIONS(2055),
    [anon_sym_nointerpolation] = ACTIONS(2055),
    [anon_sym_sample] = ACTIONS(2055),
    [anon_sym_linear] = ACTIONS(2055),
    [anon_sym_snorm] = ACTIONS(2055),
    [anon_sym_unorm] = ACTIONS(2055),
    [anon_sym_point] = ACTIONS(2055),
    [anon_sym_line] = ACTIONS(2055),
    [anon_sym_triangleadj] = ACTIONS(2055),
    [anon_sym_lineadj] = ACTIONS(2055),
    [anon_sym_triangle] = ACTIONS(2055),
    [anon_sym_cbuffer] = ACTIONS(2055),
  },
  [159] = {
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(5371),
    [sym__declarator] = STATE(6626),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8810),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3506),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5697),
    [sym_qualified_identifier] = STATE(3416),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1981),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1985),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1993),
    [anon_sym___clrcall] = ACTIONS(1993),
    [anon_sym___stdcall] = ACTIONS(1993),
    [anon_sym___fastcall] = ACTIONS(1993),
    [anon_sym___thiscall] = ACTIONS(1993),
    [anon_sym___vectorcall] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [160] = {
    [sym_catch_clause] = STATE(160),
    [aux_sym_constructor_try_statement_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2061),
    [aux_sym_preproc_include_token1] = ACTIONS(2061),
    [aux_sym_preproc_def_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2061),
    [aux_sym_preproc_else_token1] = ACTIONS(2061),
    [aux_sym_preproc_elif_token1] = ACTIONS(2061),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2061),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2061),
    [sym_preproc_directive] = ACTIONS(2061),
    [anon_sym_LPAREN2] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_TILDE] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_AMP_AMP] = ACTIONS(2063),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2063),
    [anon_sym___extension__] = ACTIONS(2061),
    [anon_sym_typedef] = ACTIONS(2061),
    [anon_sym_in] = ACTIONS(2061),
    [anon_sym_out] = ACTIONS(2061),
    [anon_sym_inout] = ACTIONS(2061),
    [anon_sym_virtual] = ACTIONS(2061),
    [anon_sym_extern] = ACTIONS(2061),
    [anon_sym___attribute__] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym___declspec] = ACTIONS(2061),
    [anon_sym___based] = ACTIONS(2061),
    [anon_sym___cdecl] = ACTIONS(2061),
    [anon_sym___clrcall] = ACTIONS(2061),
    [anon_sym___stdcall] = ACTIONS(2061),
    [anon_sym___fastcall] = ACTIONS(2061),
    [anon_sym___thiscall] = ACTIONS(2061),
    [anon_sym___vectorcall] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2063),
    [anon_sym_signed] = ACTIONS(2061),
    [anon_sym_unsigned] = ACTIONS(2061),
    [anon_sym_long] = ACTIONS(2061),
    [anon_sym_short] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_static] = ACTIONS(2061),
    [anon_sym_register] = ACTIONS(2061),
    [anon_sym_inline] = ACTIONS(2061),
    [anon_sym___inline] = ACTIONS(2061),
    [anon_sym___inline__] = ACTIONS(2061),
    [anon_sym___forceinline] = ACTIONS(2061),
    [anon_sym_thread_local] = ACTIONS(2061),
    [anon_sym___thread] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(2061),
    [anon_sym_constexpr] = ACTIONS(2061),
    [anon_sym_volatile] = ACTIONS(2061),
    [anon_sym_restrict] = ACTIONS(2061),
    [anon_sym___restrict__] = ACTIONS(2061),
    [anon_sym__Atomic] = ACTIONS(2061),
    [anon_sym__Noreturn] = ACTIONS(2061),
    [anon_sym_noreturn] = ACTIONS(2061),
    [anon_sym__Nonnull] = ACTIONS(2061),
    [anon_sym_mutable] = ACTIONS(2061),
    [anon_sym_constinit] = ACTIONS(2061),
    [anon_sym_consteval] = ACTIONS(2061),
    [anon_sym_alignas] = ACTIONS(2061),
    [anon_sym__Alignas] = ACTIONS(2061),
    [sym_primitive_type] = ACTIONS(2061),
    [anon_sym_enum] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_struct] = ACTIONS(2061),
    [anon_sym_union] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_else] = ACTIONS(2061),
    [anon_sym_switch] = ACTIONS(2061),
    [anon_sym_case] = ACTIONS(2061),
    [anon_sym_default] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym___try] = ACTIONS(2061),
    [anon_sym___leave] = ACTIONS(2061),
    [anon_sym_not] = ACTIONS(2061),
    [anon_sym_compl] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2063),
    [anon_sym_PLUS_PLUS] = ACTIONS(2063),
    [anon_sym_sizeof] = ACTIONS(2061),
    [anon_sym___alignof__] = ACTIONS(2061),
    [anon_sym___alignof] = ACTIONS(2061),
    [anon_sym__alignof] = ACTIONS(2061),
    [anon_sym_alignof] = ACTIONS(2061),
    [anon_sym__Alignof] = ACTIONS(2061),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2061),
    [anon_sym_asm] = ACTIONS(2061),
    [anon_sym___asm__] = ACTIONS(2061),
    [anon_sym___asm] = ACTIONS(2061),
    [sym_number_literal] = ACTIONS(2063),
    [anon_sym_L_SQUOTE] = ACTIONS(2063),
    [anon_sym_u_SQUOTE] = ACTIONS(2063),
    [anon_sym_U_SQUOTE] = ACTIONS(2063),
    [anon_sym_u8_SQUOTE] = ACTIONS(2063),
    [anon_sym_SQUOTE] = ACTIONS(2063),
    [anon_sym_L_DQUOTE] = ACTIONS(2063),
    [anon_sym_u_DQUOTE] = ACTIONS(2063),
    [anon_sym_U_DQUOTE] = ACTIONS(2063),
    [anon_sym_u8_DQUOTE] = ACTIONS(2063),
    [anon_sym_DQUOTE] = ACTIONS(2063),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2061),
    [anon_sym_nullptr] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2061),
    [anon_sym_decltype] = ACTIONS(2061),
    [anon_sym_explicit] = ACTIONS(2061),
    [anon_sym_typename] = ACTIONS(2061),
    [anon_sym_template] = ACTIONS(2061),
    [anon_sym_operator] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2061),
    [anon_sym_namespace] = ACTIONS(2061),
    [anon_sym_using] = ACTIONS(2061),
    [anon_sym_static_assert] = ACTIONS(2061),
    [anon_sym_concept] = ACTIONS(2061),
    [anon_sym_co_return] = ACTIONS(2061),
    [anon_sym_co_yield] = ACTIONS(2061),
    [anon_sym_catch] = ACTIONS(2065),
    [anon_sym_R_DQUOTE] = ACTIONS(2063),
    [anon_sym_LR_DQUOTE] = ACTIONS(2063),
    [anon_sym_uR_DQUOTE] = ACTIONS(2063),
    [anon_sym_UR_DQUOTE] = ACTIONS(2063),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2063),
    [anon_sym_co_await] = ACTIONS(2061),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2061),
    [sym_this] = ACTIONS(2061),
    [anon_sym_discard] = ACTIONS(2061),
    [anon_sym_precise] = ACTIONS(2061),
    [anon_sym_shared] = ACTIONS(2061),
    [anon_sym_groupshared] = ACTIONS(2061),
    [anon_sym_uniform] = ACTIONS(2061),
    [anon_sym_row_major] = ACTIONS(2061),
    [anon_sym_column_major] = ACTIONS(2061),
    [anon_sym_globallycoherent] = ACTIONS(2061),
    [anon_sym_centroid] = ACTIONS(2061),
    [anon_sym_noperspective] = ACTIONS(2061),
    [anon_sym_nointerpolation] = ACTIONS(2061),
    [anon_sym_sample] = ACTIONS(2061),
    [anon_sym_linear] = ACTIONS(2061),
    [anon_sym_snorm] = ACTIONS(2061),
    [anon_sym_unorm] = ACTIONS(2061),
    [anon_sym_point] = ACTIONS(2061),
    [anon_sym_line] = ACTIONS(2061),
    [anon_sym_triangleadj] = ACTIONS(2061),
    [anon_sym_lineadj] = ACTIONS(2061),
    [anon_sym_triangle] = ACTIONS(2061),
    [anon_sym_cbuffer] = ACTIONS(2061),
  },
  [161] = {
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token2] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [aux_sym_preproc_else_token1] = ACTIONS(2049),
    [aux_sym_preproc_elif_token1] = ACTIONS(2049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [162] = {
    [sym_identifier] = ACTIONS(2068),
    [aux_sym_preproc_include_token1] = ACTIONS(2068),
    [aux_sym_preproc_def_token1] = ACTIONS(2068),
    [aux_sym_preproc_if_token1] = ACTIONS(2068),
    [aux_sym_preproc_if_token2] = ACTIONS(2068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2068),
    [aux_sym_preproc_else_token1] = ACTIONS(2068),
    [aux_sym_preproc_elif_token1] = ACTIONS(2068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2068),
    [sym_preproc_directive] = ACTIONS(2068),
    [anon_sym_LPAREN2] = ACTIONS(2070),
    [anon_sym_BANG] = ACTIONS(2070),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_AMP_AMP] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_typedef] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym___cdecl] = ACTIONS(2068),
    [anon_sym___clrcall] = ACTIONS(2068),
    [anon_sym___stdcall] = ACTIONS(2068),
    [anon_sym___fastcall] = ACTIONS(2068),
    [anon_sym___thiscall] = ACTIONS(2068),
    [anon_sym___vectorcall] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_signed] = ACTIONS(2068),
    [anon_sym_unsigned] = ACTIONS(2068),
    [anon_sym_long] = ACTIONS(2068),
    [anon_sym_short] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [sym_primitive_type] = ACTIONS(2068),
    [anon_sym_enum] = ACTIONS(2068),
    [anon_sym_class] = ACTIONS(2068),
    [anon_sym_struct] = ACTIONS(2068),
    [anon_sym_union] = ACTIONS(2068),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_else] = ACTIONS(2068),
    [anon_sym_switch] = ACTIONS(2068),
    [anon_sym_case] = ACTIONS(2068),
    [anon_sym_default] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2068),
    [anon_sym_do] = ACTIONS(2068),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_return] = ACTIONS(2068),
    [anon_sym_break] = ACTIONS(2068),
    [anon_sym_continue] = ACTIONS(2068),
    [anon_sym_goto] = ACTIONS(2068),
    [anon_sym___try] = ACTIONS(2068),
    [anon_sym___leave] = ACTIONS(2068),
    [anon_sym_not] = ACTIONS(2068),
    [anon_sym_compl] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2070),
    [anon_sym_PLUS_PLUS] = ACTIONS(2070),
    [anon_sym_sizeof] = ACTIONS(2068),
    [anon_sym___alignof__] = ACTIONS(2068),
    [anon_sym___alignof] = ACTIONS(2068),
    [anon_sym__alignof] = ACTIONS(2068),
    [anon_sym_alignof] = ACTIONS(2068),
    [anon_sym__Alignof] = ACTIONS(2068),
    [anon_sym_offsetof] = ACTIONS(2068),
    [anon_sym__Generic] = ACTIONS(2068),
    [anon_sym_asm] = ACTIONS(2068),
    [anon_sym___asm__] = ACTIONS(2068),
    [anon_sym___asm] = ACTIONS(2068),
    [sym_number_literal] = ACTIONS(2070),
    [anon_sym_L_SQUOTE] = ACTIONS(2070),
    [anon_sym_u_SQUOTE] = ACTIONS(2070),
    [anon_sym_U_SQUOTE] = ACTIONS(2070),
    [anon_sym_u8_SQUOTE] = ACTIONS(2070),
    [anon_sym_SQUOTE] = ACTIONS(2070),
    [anon_sym_L_DQUOTE] = ACTIONS(2070),
    [anon_sym_u_DQUOTE] = ACTIONS(2070),
    [anon_sym_U_DQUOTE] = ACTIONS(2070),
    [anon_sym_u8_DQUOTE] = ACTIONS(2070),
    [anon_sym_DQUOTE] = ACTIONS(2070),
    [sym_true] = ACTIONS(2068),
    [sym_false] = ACTIONS(2068),
    [anon_sym_NULL] = ACTIONS(2068),
    [anon_sym_nullptr] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_final] = ACTIONS(2068),
    [anon_sym_override] = ACTIONS(2068),
    [anon_sym_explicit] = ACTIONS(2068),
    [anon_sym_typename] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2068),
    [anon_sym_delete] = ACTIONS(2068),
    [anon_sym_throw] = ACTIONS(2068),
    [anon_sym_namespace] = ACTIONS(2068),
    [anon_sym_using] = ACTIONS(2068),
    [anon_sym_static_assert] = ACTIONS(2068),
    [anon_sym_concept] = ACTIONS(2068),
    [anon_sym_co_return] = ACTIONS(2068),
    [anon_sym_co_yield] = ACTIONS(2068),
    [anon_sym_R_DQUOTE] = ACTIONS(2070),
    [anon_sym_LR_DQUOTE] = ACTIONS(2070),
    [anon_sym_uR_DQUOTE] = ACTIONS(2070),
    [anon_sym_UR_DQUOTE] = ACTIONS(2070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2070),
    [anon_sym_co_await] = ACTIONS(2068),
    [anon_sym_new] = ACTIONS(2068),
    [anon_sym_requires] = ACTIONS(2068),
    [sym_this] = ACTIONS(2068),
    [anon_sym_discard] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
    [anon_sym_cbuffer] = ACTIONS(2068),
  },
  [163] = {
    [sym_identifier] = ACTIONS(2072),
    [aux_sym_preproc_include_token1] = ACTIONS(2072),
    [aux_sym_preproc_def_token1] = ACTIONS(2072),
    [aux_sym_preproc_if_token1] = ACTIONS(2072),
    [aux_sym_preproc_if_token2] = ACTIONS(2072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2072),
    [aux_sym_preproc_else_token1] = ACTIONS(2072),
    [aux_sym_preproc_elif_token1] = ACTIONS(2072),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2072),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2072),
    [sym_preproc_directive] = ACTIONS(2072),
    [anon_sym_LPAREN2] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(2074),
    [anon_sym_TILDE] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(2074),
    [anon_sym_AMP] = ACTIONS(2072),
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2074),
    [anon_sym___extension__] = ACTIONS(2072),
    [anon_sym_typedef] = ACTIONS(2072),
    [anon_sym_in] = ACTIONS(2072),
    [anon_sym_out] = ACTIONS(2072),
    [anon_sym_inout] = ACTIONS(2072),
    [anon_sym_virtual] = ACTIONS(2072),
    [anon_sym_extern] = ACTIONS(2072),
    [anon_sym___attribute__] = ACTIONS(2072),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2074),
    [anon_sym___declspec] = ACTIONS(2072),
    [anon_sym___based] = ACTIONS(2072),
    [anon_sym___cdecl] = ACTIONS(2072),
    [anon_sym___clrcall] = ACTIONS(2072),
    [anon_sym___stdcall] = ACTIONS(2072),
    [anon_sym___fastcall] = ACTIONS(2072),
    [anon_sym___thiscall] = ACTIONS(2072),
    [anon_sym___vectorcall] = ACTIONS(2072),
    [anon_sym_LBRACE] = ACTIONS(2074),
    [anon_sym_signed] = ACTIONS(2072),
    [anon_sym_unsigned] = ACTIONS(2072),
    [anon_sym_long] = ACTIONS(2072),
    [anon_sym_short] = ACTIONS(2072),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_static] = ACTIONS(2072),
    [anon_sym_register] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(2072),
    [anon_sym___inline] = ACTIONS(2072),
    [anon_sym___inline__] = ACTIONS(2072),
    [anon_sym___forceinline] = ACTIONS(2072),
    [anon_sym_thread_local] = ACTIONS(2072),
    [anon_sym___thread] = ACTIONS(2072),
    [anon_sym_const] = ACTIONS(2072),
    [anon_sym_constexpr] = ACTIONS(2072),
    [anon_sym_volatile] = ACTIONS(2072),
    [anon_sym_restrict] = ACTIONS(2072),
    [anon_sym___restrict__] = ACTIONS(2072),
    [anon_sym__Atomic] = ACTIONS(2072),
    [anon_sym__Noreturn] = ACTIONS(2072),
    [anon_sym_noreturn] = ACTIONS(2072),
    [anon_sym__Nonnull] = ACTIONS(2072),
    [anon_sym_mutable] = ACTIONS(2072),
    [anon_sym_constinit] = ACTIONS(2072),
    [anon_sym_consteval] = ACTIONS(2072),
    [anon_sym_alignas] = ACTIONS(2072),
    [anon_sym__Alignas] = ACTIONS(2072),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_enum] = ACTIONS(2072),
    [anon_sym_class] = ACTIONS(2072),
    [anon_sym_struct] = ACTIONS(2072),
    [anon_sym_union] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_else] = ACTIONS(2072),
    [anon_sym_switch] = ACTIONS(2072),
    [anon_sym_case] = ACTIONS(2072),
    [anon_sym_default] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2072),
    [anon_sym_do] = ACTIONS(2072),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_return] = ACTIONS(2072),
    [anon_sym_break] = ACTIONS(2072),
    [anon_sym_continue] = ACTIONS(2072),
    [anon_sym_goto] = ACTIONS(2072),
    [anon_sym___try] = ACTIONS(2072),
    [anon_sym___leave] = ACTIONS(2072),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2074),
    [anon_sym_PLUS_PLUS] = ACTIONS(2074),
    [anon_sym_sizeof] = ACTIONS(2072),
    [anon_sym___alignof__] = ACTIONS(2072),
    [anon_sym___alignof] = ACTIONS(2072),
    [anon_sym__alignof] = ACTIONS(2072),
    [anon_sym_alignof] = ACTIONS(2072),
    [anon_sym__Alignof] = ACTIONS(2072),
    [anon_sym_offsetof] = ACTIONS(2072),
    [anon_sym__Generic] = ACTIONS(2072),
    [anon_sym_asm] = ACTIONS(2072),
    [anon_sym___asm__] = ACTIONS(2072),
    [anon_sym___asm] = ACTIONS(2072),
    [sym_number_literal] = ACTIONS(2074),
    [anon_sym_L_SQUOTE] = ACTIONS(2074),
    [anon_sym_u_SQUOTE] = ACTIONS(2074),
    [anon_sym_U_SQUOTE] = ACTIONS(2074),
    [anon_sym_u8_SQUOTE] = ACTIONS(2074),
    [anon_sym_SQUOTE] = ACTIONS(2074),
    [anon_sym_L_DQUOTE] = ACTIONS(2074),
    [anon_sym_u_DQUOTE] = ACTIONS(2074),
    [anon_sym_U_DQUOTE] = ACTIONS(2074),
    [anon_sym_u8_DQUOTE] = ACTIONS(2074),
    [anon_sym_DQUOTE] = ACTIONS(2074),
    [sym_true] = ACTIONS(2072),
    [sym_false] = ACTIONS(2072),
    [anon_sym_NULL] = ACTIONS(2072),
    [anon_sym_nullptr] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2072),
    [anon_sym_decltype] = ACTIONS(2072),
    [anon_sym_final] = ACTIONS(2072),
    [anon_sym_override] = ACTIONS(2072),
    [anon_sym_explicit] = ACTIONS(2072),
    [anon_sym_typename] = ACTIONS(2072),
    [anon_sym_template] = ACTIONS(2072),
    [anon_sym_operator] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2072),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2072),
    [anon_sym_namespace] = ACTIONS(2072),
    [anon_sym_using] = ACTIONS(2072),
    [anon_sym_static_assert] = ACTIONS(2072),
    [anon_sym_concept] = ACTIONS(2072),
    [anon_sym_co_return] = ACTIONS(2072),
    [anon_sym_co_yield] = ACTIONS(2072),
    [anon_sym_R_DQUOTE] = ACTIONS(2074),
    [anon_sym_LR_DQUOTE] = ACTIONS(2074),
    [anon_sym_uR_DQUOTE] = ACTIONS(2074),
    [anon_sym_UR_DQUOTE] = ACTIONS(2074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2074),
    [anon_sym_co_await] = ACTIONS(2072),
    [anon_sym_new] = ACTIONS(2072),
    [anon_sym_requires] = ACTIONS(2072),
    [sym_this] = ACTIONS(2072),
    [anon_sym_discard] = ACTIONS(2072),
    [anon_sym_precise] = ACTIONS(2072),
    [anon_sym_shared] = ACTIONS(2072),
    [anon_sym_groupshared] = ACTIONS(2072),
    [anon_sym_uniform] = ACTIONS(2072),
    [anon_sym_row_major] = ACTIONS(2072),
    [anon_sym_column_major] = ACTIONS(2072),
    [anon_sym_globallycoherent] = ACTIONS(2072),
    [anon_sym_centroid] = ACTIONS(2072),
    [anon_sym_noperspective] = ACTIONS(2072),
    [anon_sym_nointerpolation] = ACTIONS(2072),
    [anon_sym_sample] = ACTIONS(2072),
    [anon_sym_linear] = ACTIONS(2072),
    [anon_sym_snorm] = ACTIONS(2072),
    [anon_sym_unorm] = ACTIONS(2072),
    [anon_sym_point] = ACTIONS(2072),
    [anon_sym_line] = ACTIONS(2072),
    [anon_sym_triangleadj] = ACTIONS(2072),
    [anon_sym_lineadj] = ACTIONS(2072),
    [anon_sym_triangle] = ACTIONS(2072),
    [anon_sym_cbuffer] = ACTIONS(2072),
  },
  [164] = {
    [sym_identifier] = ACTIONS(2076),
    [aux_sym_preproc_include_token1] = ACTIONS(2076),
    [aux_sym_preproc_def_token1] = ACTIONS(2076),
    [aux_sym_preproc_if_token1] = ACTIONS(2076),
    [aux_sym_preproc_if_token2] = ACTIONS(2076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2076),
    [aux_sym_preproc_else_token1] = ACTIONS(2076),
    [aux_sym_preproc_elif_token1] = ACTIONS(2076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2076),
    [sym_preproc_directive] = ACTIONS(2076),
    [anon_sym_LPAREN2] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_AMP_AMP] = ACTIONS(2078),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym___extension__] = ACTIONS(2076),
    [anon_sym_typedef] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2076),
    [anon_sym_out] = ACTIONS(2076),
    [anon_sym_inout] = ACTIONS(2076),
    [anon_sym_virtual] = ACTIONS(2076),
    [anon_sym_extern] = ACTIONS(2076),
    [anon_sym___attribute__] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2078),
    [anon_sym___declspec] = ACTIONS(2076),
    [anon_sym___based] = ACTIONS(2076),
    [anon_sym___cdecl] = ACTIONS(2076),
    [anon_sym___clrcall] = ACTIONS(2076),
    [anon_sym___stdcall] = ACTIONS(2076),
    [anon_sym___fastcall] = ACTIONS(2076),
    [anon_sym___thiscall] = ACTIONS(2076),
    [anon_sym___vectorcall] = ACTIONS(2076),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2076),
    [anon_sym_unsigned] = ACTIONS(2076),
    [anon_sym_long] = ACTIONS(2076),
    [anon_sym_short] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_static] = ACTIONS(2076),
    [anon_sym_register] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(2076),
    [anon_sym___inline] = ACTIONS(2076),
    [anon_sym___inline__] = ACTIONS(2076),
    [anon_sym___forceinline] = ACTIONS(2076),
    [anon_sym_thread_local] = ACTIONS(2076),
    [anon_sym___thread] = ACTIONS(2076),
    [anon_sym_const] = ACTIONS(2076),
    [anon_sym_constexpr] = ACTIONS(2076),
    [anon_sym_volatile] = ACTIONS(2076),
    [anon_sym_restrict] = ACTIONS(2076),
    [anon_sym___restrict__] = ACTIONS(2076),
    [anon_sym__Atomic] = ACTIONS(2076),
    [anon_sym__Noreturn] = ACTIONS(2076),
    [anon_sym_noreturn] = ACTIONS(2076),
    [anon_sym__Nonnull] = ACTIONS(2076),
    [anon_sym_mutable] = ACTIONS(2076),
    [anon_sym_constinit] = ACTIONS(2076),
    [anon_sym_consteval] = ACTIONS(2076),
    [anon_sym_alignas] = ACTIONS(2076),
    [anon_sym__Alignas] = ACTIONS(2076),
    [sym_primitive_type] = ACTIONS(2076),
    [anon_sym_enum] = ACTIONS(2076),
    [anon_sym_class] = ACTIONS(2076),
    [anon_sym_struct] = ACTIONS(2076),
    [anon_sym_union] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_else] = ACTIONS(2076),
    [anon_sym_switch] = ACTIONS(2076),
    [anon_sym_case] = ACTIONS(2076),
    [anon_sym_default] = ACTIONS(2076),
    [anon_sym_while] = ACTIONS(2076),
    [anon_sym_do] = ACTIONS(2076),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_break] = ACTIONS(2076),
    [anon_sym_continue] = ACTIONS(2076),
    [anon_sym_goto] = ACTIONS(2076),
    [anon_sym___try] = ACTIONS(2076),
    [anon_sym___leave] = ACTIONS(2076),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_compl] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2078),
    [anon_sym_PLUS_PLUS] = ACTIONS(2078),
    [anon_sym_sizeof] = ACTIONS(2076),
    [anon_sym___alignof__] = ACTIONS(2076),
    [anon_sym___alignof] = ACTIONS(2076),
    [anon_sym__alignof] = ACTIONS(2076),
    [anon_sym_alignof] = ACTIONS(2076),
    [anon_sym__Alignof] = ACTIONS(2076),
    [anon_sym_offsetof] = ACTIONS(2076),
    [anon_sym__Generic] = ACTIONS(2076),
    [anon_sym_asm] = ACTIONS(2076),
    [anon_sym___asm__] = ACTIONS(2076),
    [anon_sym___asm] = ACTIONS(2076),
    [sym_number_literal] = ACTIONS(2078),
    [anon_sym_L_SQUOTE] = ACTIONS(2078),
    [anon_sym_u_SQUOTE] = ACTIONS(2078),
    [anon_sym_U_SQUOTE] = ACTIONS(2078),
    [anon_sym_u8_SQUOTE] = ACTIONS(2078),
    [anon_sym_SQUOTE] = ACTIONS(2078),
    [anon_sym_L_DQUOTE] = ACTIONS(2078),
    [anon_sym_u_DQUOTE] = ACTIONS(2078),
    [anon_sym_U_DQUOTE] = ACTIONS(2078),
    [anon_sym_u8_DQUOTE] = ACTIONS(2078),
    [anon_sym_DQUOTE] = ACTIONS(2078),
    [sym_true] = ACTIONS(2076),
    [sym_false] = ACTIONS(2076),
    [anon_sym_NULL] = ACTIONS(2076),
    [anon_sym_nullptr] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2076),
    [anon_sym_decltype] = ACTIONS(2076),
    [anon_sym_final] = ACTIONS(2076),
    [anon_sym_override] = ACTIONS(2076),
    [anon_sym_explicit] = ACTIONS(2076),
    [anon_sym_typename] = ACTIONS(2076),
    [anon_sym_template] = ACTIONS(2076),
    [anon_sym_operator] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2076),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2076),
    [anon_sym_namespace] = ACTIONS(2076),
    [anon_sym_using] = ACTIONS(2076),
    [anon_sym_static_assert] = ACTIONS(2076),
    [anon_sym_concept] = ACTIONS(2076),
    [anon_sym_co_return] = ACTIONS(2076),
    [anon_sym_co_yield] = ACTIONS(2076),
    [anon_sym_R_DQUOTE] = ACTIONS(2078),
    [anon_sym_LR_DQUOTE] = ACTIONS(2078),
    [anon_sym_uR_DQUOTE] = ACTIONS(2078),
    [anon_sym_UR_DQUOTE] = ACTIONS(2078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2078),
    [anon_sym_co_await] = ACTIONS(2076),
    [anon_sym_new] = ACTIONS(2076),
    [anon_sym_requires] = ACTIONS(2076),
    [sym_this] = ACTIONS(2076),
    [anon_sym_discard] = ACTIONS(2076),
    [anon_sym_precise] = ACTIONS(2076),
    [anon_sym_shared] = ACTIONS(2076),
    [anon_sym_groupshared] = ACTIONS(2076),
    [anon_sym_uniform] = ACTIONS(2076),
    [anon_sym_row_major] = ACTIONS(2076),
    [anon_sym_column_major] = ACTIONS(2076),
    [anon_sym_globallycoherent] = ACTIONS(2076),
    [anon_sym_centroid] = ACTIONS(2076),
    [anon_sym_noperspective] = ACTIONS(2076),
    [anon_sym_nointerpolation] = ACTIONS(2076),
    [anon_sym_sample] = ACTIONS(2076),
    [anon_sym_linear] = ACTIONS(2076),
    [anon_sym_snorm] = ACTIONS(2076),
    [anon_sym_unorm] = ACTIONS(2076),
    [anon_sym_point] = ACTIONS(2076),
    [anon_sym_line] = ACTIONS(2076),
    [anon_sym_triangleadj] = ACTIONS(2076),
    [anon_sym_lineadj] = ACTIONS(2076),
    [anon_sym_triangle] = ACTIONS(2076),
    [anon_sym_cbuffer] = ACTIONS(2076),
  },
  [165] = {
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(5371),
    [sym__declarator] = STATE(6626),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_compound_statement] = STATE(8073),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8073),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8132),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3506),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8134),
    [sym__unary_right_fold] = STATE(8139),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5697),
    [sym_qualified_identifier] = STATE(3416),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8202),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1981),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1985),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1993),
    [anon_sym___clrcall] = ACTIONS(1993),
    [anon_sym___stdcall] = ACTIONS(1993),
    [anon_sym___fastcall] = ACTIONS(1993),
    [anon_sym___thiscall] = ACTIONS(1993),
    [anon_sym___vectorcall] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [166] = {
    [sym_field_declaration_list] = STATE(471),
    [sym_virtual_specifier] = STATE(6909),
    [sym_base_class_clause] = STATE(7874),
    [ts_builtin_sym_end] = ACTIONS(1927),
    [sym_identifier] = ACTIONS(1925),
    [aux_sym_preproc_include_token1] = ACTIONS(1925),
    [aux_sym_preproc_def_token1] = ACTIONS(1925),
    [aux_sym_preproc_if_token1] = ACTIONS(1925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1925),
    [sym_preproc_directive] = ACTIONS(1925),
    [anon_sym_LPAREN2] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(1927),
    [anon_sym_TILDE] = ACTIONS(1927),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_AMP_AMP] = ACTIONS(1927),
    [anon_sym_AMP] = ACTIONS(1925),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym___extension__] = ACTIONS(1925),
    [anon_sym_typedef] = ACTIONS(1925),
    [anon_sym_in] = ACTIONS(1925),
    [anon_sym_out] = ACTIONS(1925),
    [anon_sym_inout] = ACTIONS(1925),
    [anon_sym_virtual] = ACTIONS(1925),
    [anon_sym_extern] = ACTIONS(1925),
    [anon_sym___attribute__] = ACTIONS(1925),
    [anon_sym_COLON_COLON] = ACTIONS(1927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1927),
    [anon_sym___declspec] = ACTIONS(1925),
    [anon_sym___based] = ACTIONS(1925),
    [anon_sym___cdecl] = ACTIONS(1925),
    [anon_sym___clrcall] = ACTIONS(1925),
    [anon_sym___stdcall] = ACTIONS(1925),
    [anon_sym___fastcall] = ACTIONS(1925),
    [anon_sym___thiscall] = ACTIONS(1925),
    [anon_sym___vectorcall] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(1925),
    [anon_sym_unsigned] = ACTIONS(1925),
    [anon_sym_long] = ACTIONS(1925),
    [anon_sym_short] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_register] = ACTIONS(1925),
    [anon_sym_inline] = ACTIONS(1925),
    [anon_sym___inline] = ACTIONS(1925),
    [anon_sym___inline__] = ACTIONS(1925),
    [anon_sym___forceinline] = ACTIONS(1925),
    [anon_sym_thread_local] = ACTIONS(1925),
    [anon_sym___thread] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_constexpr] = ACTIONS(1925),
    [anon_sym_volatile] = ACTIONS(1925),
    [anon_sym_restrict] = ACTIONS(1925),
    [anon_sym___restrict__] = ACTIONS(1925),
    [anon_sym__Atomic] = ACTIONS(1925),
    [anon_sym__Noreturn] = ACTIONS(1925),
    [anon_sym_noreturn] = ACTIONS(1925),
    [anon_sym__Nonnull] = ACTIONS(1925),
    [anon_sym_mutable] = ACTIONS(1925),
    [anon_sym_constinit] = ACTIONS(1925),
    [anon_sym_consteval] = ACTIONS(1925),
    [anon_sym_alignas] = ACTIONS(1925),
    [anon_sym__Alignas] = ACTIONS(1925),
    [sym_primitive_type] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_struct] = ACTIONS(1925),
    [anon_sym_union] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_goto] = ACTIONS(1925),
    [anon_sym___try] = ACTIONS(1925),
    [anon_sym___leave] = ACTIONS(1925),
    [anon_sym_not] = ACTIONS(1925),
    [anon_sym_compl] = ACTIONS(1925),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_sizeof] = ACTIONS(1925),
    [anon_sym___alignof__] = ACTIONS(1925),
    [anon_sym___alignof] = ACTIONS(1925),
    [anon_sym__alignof] = ACTIONS(1925),
    [anon_sym_alignof] = ACTIONS(1925),
    [anon_sym__Alignof] = ACTIONS(1925),
    [anon_sym_offsetof] = ACTIONS(1925),
    [anon_sym__Generic] = ACTIONS(1925),
    [anon_sym_asm] = ACTIONS(1925),
    [anon_sym___asm__] = ACTIONS(1925),
    [anon_sym___asm] = ACTIONS(1925),
    [sym_number_literal] = ACTIONS(1927),
    [anon_sym_L_SQUOTE] = ACTIONS(1927),
    [anon_sym_u_SQUOTE] = ACTIONS(1927),
    [anon_sym_U_SQUOTE] = ACTIONS(1927),
    [anon_sym_u8_SQUOTE] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [anon_sym_L_DQUOTE] = ACTIONS(1927),
    [anon_sym_u_DQUOTE] = ACTIONS(1927),
    [anon_sym_U_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8_DQUOTE] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [anon_sym_NULL] = ACTIONS(1925),
    [anon_sym_nullptr] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1925),
    [anon_sym_decltype] = ACTIONS(1925),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_explicit] = ACTIONS(1925),
    [anon_sym_typename] = ACTIONS(1925),
    [anon_sym_template] = ACTIONS(1925),
    [anon_sym_operator] = ACTIONS(1925),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_namespace] = ACTIONS(1925),
    [anon_sym_using] = ACTIONS(1925),
    [anon_sym_static_assert] = ACTIONS(1925),
    [anon_sym_concept] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1925),
    [anon_sym_co_yield] = ACTIONS(1925),
    [anon_sym_R_DQUOTE] = ACTIONS(1927),
    [anon_sym_LR_DQUOTE] = ACTIONS(1927),
    [anon_sym_uR_DQUOTE] = ACTIONS(1927),
    [anon_sym_UR_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1927),
    [anon_sym_co_await] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_requires] = ACTIONS(1925),
    [sym_this] = ACTIONS(1925),
    [anon_sym_discard] = ACTIONS(1925),
    [anon_sym_precise] = ACTIONS(1925),
    [anon_sym_shared] = ACTIONS(1925),
    [anon_sym_groupshared] = ACTIONS(1925),
    [anon_sym_uniform] = ACTIONS(1925),
    [anon_sym_row_major] = ACTIONS(1925),
    [anon_sym_column_major] = ACTIONS(1925),
    [anon_sym_globallycoherent] = ACTIONS(1925),
    [anon_sym_centroid] = ACTIONS(1925),
    [anon_sym_noperspective] = ACTIONS(1925),
    [anon_sym_nointerpolation] = ACTIONS(1925),
    [anon_sym_sample] = ACTIONS(1925),
    [anon_sym_linear] = ACTIONS(1925),
    [anon_sym_snorm] = ACTIONS(1925),
    [anon_sym_unorm] = ACTIONS(1925),
    [anon_sym_point] = ACTIONS(1925),
    [anon_sym_line] = ACTIONS(1925),
    [anon_sym_triangleadj] = ACTIONS(1925),
    [anon_sym_lineadj] = ACTIONS(1925),
    [anon_sym_triangle] = ACTIONS(1925),
    [anon_sym_cbuffer] = ACTIONS(1925),
  },
  [167] = {
    [sym_field_declaration_list] = STATE(534),
    [sym_virtual_specifier] = STATE(6984),
    [sym_base_class_clause] = STATE(7764),
    [sym_identifier] = ACTIONS(1925),
    [aux_sym_preproc_include_token1] = ACTIONS(1925),
    [aux_sym_preproc_def_token1] = ACTIONS(1925),
    [aux_sym_preproc_if_token1] = ACTIONS(1925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1925),
    [sym_preproc_directive] = ACTIONS(1925),
    [anon_sym_LPAREN2] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(1927),
    [anon_sym_TILDE] = ACTIONS(1927),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_AMP_AMP] = ACTIONS(1927),
    [anon_sym_AMP] = ACTIONS(1925),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym___extension__] = ACTIONS(1925),
    [anon_sym_typedef] = ACTIONS(1925),
    [anon_sym_in] = ACTIONS(1925),
    [anon_sym_out] = ACTIONS(1925),
    [anon_sym_inout] = ACTIONS(1925),
    [anon_sym_virtual] = ACTIONS(1925),
    [anon_sym_extern] = ACTIONS(1925),
    [anon_sym___attribute__] = ACTIONS(1925),
    [anon_sym_COLON_COLON] = ACTIONS(1927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1927),
    [anon_sym___declspec] = ACTIONS(1925),
    [anon_sym___based] = ACTIONS(1925),
    [anon_sym___cdecl] = ACTIONS(1925),
    [anon_sym___clrcall] = ACTIONS(1925),
    [anon_sym___stdcall] = ACTIONS(1925),
    [anon_sym___fastcall] = ACTIONS(1925),
    [anon_sym___thiscall] = ACTIONS(1925),
    [anon_sym___vectorcall] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(2082),
    [anon_sym_RBRACE] = ACTIONS(1927),
    [anon_sym_signed] = ACTIONS(1925),
    [anon_sym_unsigned] = ACTIONS(1925),
    [anon_sym_long] = ACTIONS(1925),
    [anon_sym_short] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_register] = ACTIONS(1925),
    [anon_sym_inline] = ACTIONS(1925),
    [anon_sym___inline] = ACTIONS(1925),
    [anon_sym___inline__] = ACTIONS(1925),
    [anon_sym___forceinline] = ACTIONS(1925),
    [anon_sym_thread_local] = ACTIONS(1925),
    [anon_sym___thread] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_constexpr] = ACTIONS(1925),
    [anon_sym_volatile] = ACTIONS(1925),
    [anon_sym_restrict] = ACTIONS(1925),
    [anon_sym___restrict__] = ACTIONS(1925),
    [anon_sym__Atomic] = ACTIONS(1925),
    [anon_sym__Noreturn] = ACTIONS(1925),
    [anon_sym_noreturn] = ACTIONS(1925),
    [anon_sym__Nonnull] = ACTIONS(1925),
    [anon_sym_mutable] = ACTIONS(1925),
    [anon_sym_constinit] = ACTIONS(1925),
    [anon_sym_consteval] = ACTIONS(1925),
    [anon_sym_alignas] = ACTIONS(1925),
    [anon_sym__Alignas] = ACTIONS(1925),
    [sym_primitive_type] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_struct] = ACTIONS(1925),
    [anon_sym_union] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_goto] = ACTIONS(1925),
    [anon_sym___try] = ACTIONS(1925),
    [anon_sym___leave] = ACTIONS(1925),
    [anon_sym_not] = ACTIONS(1925),
    [anon_sym_compl] = ACTIONS(1925),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_sizeof] = ACTIONS(1925),
    [anon_sym___alignof__] = ACTIONS(1925),
    [anon_sym___alignof] = ACTIONS(1925),
    [anon_sym__alignof] = ACTIONS(1925),
    [anon_sym_alignof] = ACTIONS(1925),
    [anon_sym__Alignof] = ACTIONS(1925),
    [anon_sym_offsetof] = ACTIONS(1925),
    [anon_sym__Generic] = ACTIONS(1925),
    [anon_sym_asm] = ACTIONS(1925),
    [anon_sym___asm__] = ACTIONS(1925),
    [anon_sym___asm] = ACTIONS(1925),
    [sym_number_literal] = ACTIONS(1927),
    [anon_sym_L_SQUOTE] = ACTIONS(1927),
    [anon_sym_u_SQUOTE] = ACTIONS(1927),
    [anon_sym_U_SQUOTE] = ACTIONS(1927),
    [anon_sym_u8_SQUOTE] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [anon_sym_L_DQUOTE] = ACTIONS(1927),
    [anon_sym_u_DQUOTE] = ACTIONS(1927),
    [anon_sym_U_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8_DQUOTE] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [anon_sym_NULL] = ACTIONS(1925),
    [anon_sym_nullptr] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1925),
    [anon_sym_decltype] = ACTIONS(1925),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_explicit] = ACTIONS(1925),
    [anon_sym_typename] = ACTIONS(1925),
    [anon_sym_template] = ACTIONS(1925),
    [anon_sym_operator] = ACTIONS(1925),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_namespace] = ACTIONS(1925),
    [anon_sym_using] = ACTIONS(1925),
    [anon_sym_static_assert] = ACTIONS(1925),
    [anon_sym_concept] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1925),
    [anon_sym_co_yield] = ACTIONS(1925),
    [anon_sym_R_DQUOTE] = ACTIONS(1927),
    [anon_sym_LR_DQUOTE] = ACTIONS(1927),
    [anon_sym_uR_DQUOTE] = ACTIONS(1927),
    [anon_sym_UR_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1927),
    [anon_sym_co_await] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_requires] = ACTIONS(1925),
    [sym_this] = ACTIONS(1925),
    [anon_sym_discard] = ACTIONS(1925),
    [anon_sym_precise] = ACTIONS(1925),
    [anon_sym_shared] = ACTIONS(1925),
    [anon_sym_groupshared] = ACTIONS(1925),
    [anon_sym_uniform] = ACTIONS(1925),
    [anon_sym_row_major] = ACTIONS(1925),
    [anon_sym_column_major] = ACTIONS(1925),
    [anon_sym_globallycoherent] = ACTIONS(1925),
    [anon_sym_centroid] = ACTIONS(1925),
    [anon_sym_noperspective] = ACTIONS(1925),
    [anon_sym_nointerpolation] = ACTIONS(1925),
    [anon_sym_sample] = ACTIONS(1925),
    [anon_sym_linear] = ACTIONS(1925),
    [anon_sym_snorm] = ACTIONS(1925),
    [anon_sym_unorm] = ACTIONS(1925),
    [anon_sym_point] = ACTIONS(1925),
    [anon_sym_line] = ACTIONS(1925),
    [anon_sym_triangleadj] = ACTIONS(1925),
    [anon_sym_lineadj] = ACTIONS(1925),
    [anon_sym_triangle] = ACTIONS(1925),
    [anon_sym_cbuffer] = ACTIONS(1925),
  },
  [168] = {
    [sym_catch_clause] = STATE(160),
    [aux_sym_constructor_try_statement_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2084),
    [aux_sym_preproc_include_token1] = ACTIONS(2084),
    [aux_sym_preproc_def_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token2] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2084),
    [aux_sym_preproc_else_token1] = ACTIONS(2084),
    [aux_sym_preproc_elif_token1] = ACTIONS(2084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2084),
    [sym_preproc_directive] = ACTIONS(2084),
    [anon_sym_LPAREN2] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(2086),
    [anon_sym_TILDE] = ACTIONS(2086),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_STAR] = ACTIONS(2086),
    [anon_sym_AMP_AMP] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_typedef] = ACTIONS(2084),
    [anon_sym_in] = ACTIONS(2084),
    [anon_sym_out] = ACTIONS(2084),
    [anon_sym_inout] = ACTIONS(2084),
    [anon_sym_virtual] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2084),
    [anon_sym___attribute__] = ACTIONS(2084),
    [anon_sym_COLON_COLON] = ACTIONS(2086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2086),
    [anon_sym___declspec] = ACTIONS(2084),
    [anon_sym___based] = ACTIONS(2084),
    [anon_sym___cdecl] = ACTIONS(2084),
    [anon_sym___clrcall] = ACTIONS(2084),
    [anon_sym___stdcall] = ACTIONS(2084),
    [anon_sym___fastcall] = ACTIONS(2084),
    [anon_sym___thiscall] = ACTIONS(2084),
    [anon_sym___vectorcall] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2086),
    [anon_sym_signed] = ACTIONS(2084),
    [anon_sym_unsigned] = ACTIONS(2084),
    [anon_sym_long] = ACTIONS(2084),
    [anon_sym_short] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_register] = ACTIONS(2084),
    [anon_sym_inline] = ACTIONS(2084),
    [anon_sym___inline] = ACTIONS(2084),
    [anon_sym___inline__] = ACTIONS(2084),
    [anon_sym___forceinline] = ACTIONS(2084),
    [anon_sym_thread_local] = ACTIONS(2084),
    [anon_sym___thread] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_mutable] = ACTIONS(2084),
    [anon_sym_constinit] = ACTIONS(2084),
    [anon_sym_consteval] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2084),
    [anon_sym__Alignas] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2084),
    [anon_sym_struct] = ACTIONS(2084),
    [anon_sym_union] = ACTIONS(2084),
    [anon_sym_if] = ACTIONS(2084),
    [anon_sym_switch] = ACTIONS(2084),
    [anon_sym_case] = ACTIONS(2084),
    [anon_sym_default] = ACTIONS(2084),
    [anon_sym_while] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2084),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_return] = ACTIONS(2084),
    [anon_sym_break] = ACTIONS(2084),
    [anon_sym_continue] = ACTIONS(2084),
    [anon_sym_goto] = ACTIONS(2084),
    [anon_sym___try] = ACTIONS(2084),
    [anon_sym___leave] = ACTIONS(2084),
    [anon_sym_not] = ACTIONS(2084),
    [anon_sym_compl] = ACTIONS(2084),
    [anon_sym_DASH_DASH] = ACTIONS(2086),
    [anon_sym_PLUS_PLUS] = ACTIONS(2086),
    [anon_sym_sizeof] = ACTIONS(2084),
    [anon_sym___alignof__] = ACTIONS(2084),
    [anon_sym___alignof] = ACTIONS(2084),
    [anon_sym__alignof] = ACTIONS(2084),
    [anon_sym_alignof] = ACTIONS(2084),
    [anon_sym__Alignof] = ACTIONS(2084),
    [anon_sym_offsetof] = ACTIONS(2084),
    [anon_sym__Generic] = ACTIONS(2084),
    [anon_sym_asm] = ACTIONS(2084),
    [anon_sym___asm__] = ACTIONS(2084),
    [anon_sym___asm] = ACTIONS(2084),
    [sym_number_literal] = ACTIONS(2086),
    [anon_sym_L_SQUOTE] = ACTIONS(2086),
    [anon_sym_u_SQUOTE] = ACTIONS(2086),
    [anon_sym_U_SQUOTE] = ACTIONS(2086),
    [anon_sym_u8_SQUOTE] = ACTIONS(2086),
    [anon_sym_SQUOTE] = ACTIONS(2086),
    [anon_sym_L_DQUOTE] = ACTIONS(2086),
    [anon_sym_u_DQUOTE] = ACTIONS(2086),
    [anon_sym_U_DQUOTE] = ACTIONS(2086),
    [anon_sym_u8_DQUOTE] = ACTIONS(2086),
    [anon_sym_DQUOTE] = ACTIONS(2086),
    [sym_true] = ACTIONS(2084),
    [sym_false] = ACTIONS(2084),
    [anon_sym_NULL] = ACTIONS(2084),
    [anon_sym_nullptr] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2084),
    [anon_sym_decltype] = ACTIONS(2084),
    [anon_sym_explicit] = ACTIONS(2084),
    [anon_sym_typename] = ACTIONS(2084),
    [anon_sym_template] = ACTIONS(2084),
    [anon_sym_operator] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2084),
    [anon_sym_delete] = ACTIONS(2084),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_namespace] = ACTIONS(2084),
    [anon_sym_using] = ACTIONS(2084),
    [anon_sym_static_assert] = ACTIONS(2084),
    [anon_sym_concept] = ACTIONS(2084),
    [anon_sym_co_return] = ACTIONS(2084),
    [anon_sym_co_yield] = ACTIONS(2084),
    [anon_sym_catch] = ACTIONS(2059),
    [anon_sym_R_DQUOTE] = ACTIONS(2086),
    [anon_sym_LR_DQUOTE] = ACTIONS(2086),
    [anon_sym_uR_DQUOTE] = ACTIONS(2086),
    [anon_sym_UR_DQUOTE] = ACTIONS(2086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2086),
    [anon_sym_co_await] = ACTIONS(2084),
    [anon_sym_new] = ACTIONS(2084),
    [anon_sym_requires] = ACTIONS(2084),
    [sym_this] = ACTIONS(2084),
    [anon_sym_discard] = ACTIONS(2084),
    [anon_sym_precise] = ACTIONS(2084),
    [anon_sym_shared] = ACTIONS(2084),
    [anon_sym_groupshared] = ACTIONS(2084),
    [anon_sym_uniform] = ACTIONS(2084),
    [anon_sym_row_major] = ACTIONS(2084),
    [anon_sym_column_major] = ACTIONS(2084),
    [anon_sym_globallycoherent] = ACTIONS(2084),
    [anon_sym_centroid] = ACTIONS(2084),
    [anon_sym_noperspective] = ACTIONS(2084),
    [anon_sym_nointerpolation] = ACTIONS(2084),
    [anon_sym_sample] = ACTIONS(2084),
    [anon_sym_linear] = ACTIONS(2084),
    [anon_sym_snorm] = ACTIONS(2084),
    [anon_sym_unorm] = ACTIONS(2084),
    [anon_sym_point] = ACTIONS(2084),
    [anon_sym_line] = ACTIONS(2084),
    [anon_sym_triangleadj] = ACTIONS(2084),
    [anon_sym_lineadj] = ACTIONS(2084),
    [anon_sym_triangle] = ACTIONS(2084),
    [anon_sym_cbuffer] = ACTIONS(2084),
  },
  [169] = {
    [sym_field_declaration_list] = STATE(417),
    [sym_virtual_specifier] = STATE(7100),
    [sym_base_class_clause] = STATE(7890),
    [sym_identifier] = ACTIONS(1925),
    [aux_sym_preproc_include_token1] = ACTIONS(1925),
    [aux_sym_preproc_def_token1] = ACTIONS(1925),
    [aux_sym_preproc_if_token1] = ACTIONS(1925),
    [aux_sym_preproc_if_token2] = ACTIONS(1925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1925),
    [sym_preproc_directive] = ACTIONS(1925),
    [anon_sym_LPAREN2] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(1927),
    [anon_sym_TILDE] = ACTIONS(1927),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_AMP_AMP] = ACTIONS(1927),
    [anon_sym_AMP] = ACTIONS(1925),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym___extension__] = ACTIONS(1925),
    [anon_sym_typedef] = ACTIONS(1925),
    [anon_sym_in] = ACTIONS(1925),
    [anon_sym_out] = ACTIONS(1925),
    [anon_sym_inout] = ACTIONS(1925),
    [anon_sym_virtual] = ACTIONS(1925),
    [anon_sym_extern] = ACTIONS(1925),
    [anon_sym___attribute__] = ACTIONS(1925),
    [anon_sym_COLON_COLON] = ACTIONS(1927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1927),
    [anon_sym___declspec] = ACTIONS(1925),
    [anon_sym___based] = ACTIONS(1925),
    [anon_sym___cdecl] = ACTIONS(1925),
    [anon_sym___clrcall] = ACTIONS(1925),
    [anon_sym___stdcall] = ACTIONS(1925),
    [anon_sym___fastcall] = ACTIONS(1925),
    [anon_sym___thiscall] = ACTIONS(1925),
    [anon_sym___vectorcall] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym_signed] = ACTIONS(1925),
    [anon_sym_unsigned] = ACTIONS(1925),
    [anon_sym_long] = ACTIONS(1925),
    [anon_sym_short] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_register] = ACTIONS(1925),
    [anon_sym_inline] = ACTIONS(1925),
    [anon_sym___inline] = ACTIONS(1925),
    [anon_sym___inline__] = ACTIONS(1925),
    [anon_sym___forceinline] = ACTIONS(1925),
    [anon_sym_thread_local] = ACTIONS(1925),
    [anon_sym___thread] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_constexpr] = ACTIONS(1925),
    [anon_sym_volatile] = ACTIONS(1925),
    [anon_sym_restrict] = ACTIONS(1925),
    [anon_sym___restrict__] = ACTIONS(1925),
    [anon_sym__Atomic] = ACTIONS(1925),
    [anon_sym__Noreturn] = ACTIONS(1925),
    [anon_sym_noreturn] = ACTIONS(1925),
    [anon_sym__Nonnull] = ACTIONS(1925),
    [anon_sym_mutable] = ACTIONS(1925),
    [anon_sym_constinit] = ACTIONS(1925),
    [anon_sym_consteval] = ACTIONS(1925),
    [anon_sym_alignas] = ACTIONS(1925),
    [anon_sym__Alignas] = ACTIONS(1925),
    [sym_primitive_type] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_struct] = ACTIONS(1925),
    [anon_sym_union] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_goto] = ACTIONS(1925),
    [anon_sym___try] = ACTIONS(1925),
    [anon_sym___leave] = ACTIONS(1925),
    [anon_sym_not] = ACTIONS(1925),
    [anon_sym_compl] = ACTIONS(1925),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_sizeof] = ACTIONS(1925),
    [anon_sym___alignof__] = ACTIONS(1925),
    [anon_sym___alignof] = ACTIONS(1925),
    [anon_sym__alignof] = ACTIONS(1925),
    [anon_sym_alignof] = ACTIONS(1925),
    [anon_sym__Alignof] = ACTIONS(1925),
    [anon_sym_offsetof] = ACTIONS(1925),
    [anon_sym__Generic] = ACTIONS(1925),
    [anon_sym_asm] = ACTIONS(1925),
    [anon_sym___asm__] = ACTIONS(1925),
    [anon_sym___asm] = ACTIONS(1925),
    [sym_number_literal] = ACTIONS(1927),
    [anon_sym_L_SQUOTE] = ACTIONS(1927),
    [anon_sym_u_SQUOTE] = ACTIONS(1927),
    [anon_sym_U_SQUOTE] = ACTIONS(1927),
    [anon_sym_u8_SQUOTE] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [anon_sym_L_DQUOTE] = ACTIONS(1927),
    [anon_sym_u_DQUOTE] = ACTIONS(1927),
    [anon_sym_U_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8_DQUOTE] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [anon_sym_NULL] = ACTIONS(1925),
    [anon_sym_nullptr] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1925),
    [anon_sym_decltype] = ACTIONS(1925),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_explicit] = ACTIONS(1925),
    [anon_sym_typename] = ACTIONS(1925),
    [anon_sym_template] = ACTIONS(1925),
    [anon_sym_operator] = ACTIONS(1925),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_namespace] = ACTIONS(1925),
    [anon_sym_using] = ACTIONS(1925),
    [anon_sym_static_assert] = ACTIONS(1925),
    [anon_sym_concept] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1925),
    [anon_sym_co_yield] = ACTIONS(1925),
    [anon_sym_R_DQUOTE] = ACTIONS(1927),
    [anon_sym_LR_DQUOTE] = ACTIONS(1927),
    [anon_sym_uR_DQUOTE] = ACTIONS(1927),
    [anon_sym_UR_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1927),
    [anon_sym_co_await] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_requires] = ACTIONS(1925),
    [sym_this] = ACTIONS(1925),
    [anon_sym_discard] = ACTIONS(1925),
    [anon_sym_precise] = ACTIONS(1925),
    [anon_sym_shared] = ACTIONS(1925),
    [anon_sym_groupshared] = ACTIONS(1925),
    [anon_sym_uniform] = ACTIONS(1925),
    [anon_sym_row_major] = ACTIONS(1925),
    [anon_sym_column_major] = ACTIONS(1925),
    [anon_sym_globallycoherent] = ACTIONS(1925),
    [anon_sym_centroid] = ACTIONS(1925),
    [anon_sym_noperspective] = ACTIONS(1925),
    [anon_sym_nointerpolation] = ACTIONS(1925),
    [anon_sym_sample] = ACTIONS(1925),
    [anon_sym_linear] = ACTIONS(1925),
    [anon_sym_snorm] = ACTIONS(1925),
    [anon_sym_unorm] = ACTIONS(1925),
    [anon_sym_point] = ACTIONS(1925),
    [anon_sym_line] = ACTIONS(1925),
    [anon_sym_triangleadj] = ACTIONS(1925),
    [anon_sym_lineadj] = ACTIONS(1925),
    [anon_sym_triangle] = ACTIONS(1925),
    [anon_sym_cbuffer] = ACTIONS(1925),
  },
  [170] = {
    [sym_catch_clause] = STATE(160),
    [aux_sym_constructor_try_statement_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2090),
    [aux_sym_preproc_include_token1] = ACTIONS(2090),
    [aux_sym_preproc_def_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token2] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2090),
    [aux_sym_preproc_else_token1] = ACTIONS(2090),
    [aux_sym_preproc_elif_token1] = ACTIONS(2090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2090),
    [sym_preproc_directive] = ACTIONS(2090),
    [anon_sym_LPAREN2] = ACTIONS(2092),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2092),
    [anon_sym_AMP_AMP] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2090),
    [anon_sym_out] = ACTIONS(2090),
    [anon_sym_inout] = ACTIONS(2090),
    [anon_sym_virtual] = ACTIONS(2090),
    [anon_sym_extern] = ACTIONS(2090),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2092),
    [anon_sym___declspec] = ACTIONS(2090),
    [anon_sym___based] = ACTIONS(2090),
    [anon_sym___cdecl] = ACTIONS(2090),
    [anon_sym___clrcall] = ACTIONS(2090),
    [anon_sym___stdcall] = ACTIONS(2090),
    [anon_sym___fastcall] = ACTIONS(2090),
    [anon_sym___thiscall] = ACTIONS(2090),
    [anon_sym___vectorcall] = ACTIONS(2090),
    [anon_sym_LBRACE] = ACTIONS(2092),
    [anon_sym_signed] = ACTIONS(2090),
    [anon_sym_unsigned] = ACTIONS(2090),
    [anon_sym_long] = ACTIONS(2090),
    [anon_sym_short] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_static] = ACTIONS(2090),
    [anon_sym_register] = ACTIONS(2090),
    [anon_sym_inline] = ACTIONS(2090),
    [anon_sym___inline] = ACTIONS(2090),
    [anon_sym___inline__] = ACTIONS(2090),
    [anon_sym___forceinline] = ACTIONS(2090),
    [anon_sym_thread_local] = ACTIONS(2090),
    [anon_sym___thread] = ACTIONS(2090),
    [anon_sym_const] = ACTIONS(2090),
    [anon_sym_constexpr] = ACTIONS(2090),
    [anon_sym_volatile] = ACTIONS(2090),
    [anon_sym_restrict] = ACTIONS(2090),
    [anon_sym___restrict__] = ACTIONS(2090),
    [anon_sym__Atomic] = ACTIONS(2090),
    [anon_sym__Noreturn] = ACTIONS(2090),
    [anon_sym_noreturn] = ACTIONS(2090),
    [anon_sym__Nonnull] = ACTIONS(2090),
    [anon_sym_mutable] = ACTIONS(2090),
    [anon_sym_constinit] = ACTIONS(2090),
    [anon_sym_consteval] = ACTIONS(2090),
    [anon_sym_alignas] = ACTIONS(2090),
    [anon_sym__Alignas] = ACTIONS(2090),
    [sym_primitive_type] = ACTIONS(2090),
    [anon_sym_enum] = ACTIONS(2090),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2090),
    [anon_sym_if] = ACTIONS(2090),
    [anon_sym_switch] = ACTIONS(2090),
    [anon_sym_case] = ACTIONS(2090),
    [anon_sym_default] = ACTIONS(2090),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2090),
    [anon_sym_return] = ACTIONS(2090),
    [anon_sym_break] = ACTIONS(2090),
    [anon_sym_continue] = ACTIONS(2090),
    [anon_sym_goto] = ACTIONS(2090),
    [anon_sym___try] = ACTIONS(2090),
    [anon_sym___leave] = ACTIONS(2090),
    [anon_sym_not] = ACTIONS(2090),
    [anon_sym_compl] = ACTIONS(2090),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_sizeof] = ACTIONS(2090),
    [anon_sym___alignof__] = ACTIONS(2090),
    [anon_sym___alignof] = ACTIONS(2090),
    [anon_sym__alignof] = ACTIONS(2090),
    [anon_sym_alignof] = ACTIONS(2090),
    [anon_sym__Alignof] = ACTIONS(2090),
    [anon_sym_offsetof] = ACTIONS(2090),
    [anon_sym__Generic] = ACTIONS(2090),
    [anon_sym_asm] = ACTIONS(2090),
    [anon_sym___asm__] = ACTIONS(2090),
    [anon_sym___asm] = ACTIONS(2090),
    [sym_number_literal] = ACTIONS(2092),
    [anon_sym_L_SQUOTE] = ACTIONS(2092),
    [anon_sym_u_SQUOTE] = ACTIONS(2092),
    [anon_sym_U_SQUOTE] = ACTIONS(2092),
    [anon_sym_u8_SQUOTE] = ACTIONS(2092),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_L_DQUOTE] = ACTIONS(2092),
    [anon_sym_u_DQUOTE] = ACTIONS(2092),
    [anon_sym_U_DQUOTE] = ACTIONS(2092),
    [anon_sym_u8_DQUOTE] = ACTIONS(2092),
    [anon_sym_DQUOTE] = ACTIONS(2092),
    [sym_true] = ACTIONS(2090),
    [sym_false] = ACTIONS(2090),
    [anon_sym_NULL] = ACTIONS(2090),
    [anon_sym_nullptr] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2090),
    [anon_sym_decltype] = ACTIONS(2090),
    [anon_sym_explicit] = ACTIONS(2090),
    [anon_sym_typename] = ACTIONS(2090),
    [anon_sym_template] = ACTIONS(2090),
    [anon_sym_operator] = ACTIONS(2090),
    [anon_sym_try] = ACTIONS(2090),
    [anon_sym_delete] = ACTIONS(2090),
    [anon_sym_throw] = ACTIONS(2090),
    [anon_sym_namespace] = ACTIONS(2090),
    [anon_sym_using] = ACTIONS(2090),
    [anon_sym_static_assert] = ACTIONS(2090),
    [anon_sym_concept] = ACTIONS(2090),
    [anon_sym_co_return] = ACTIONS(2090),
    [anon_sym_co_yield] = ACTIONS(2090),
    [anon_sym_catch] = ACTIONS(2059),
    [anon_sym_R_DQUOTE] = ACTIONS(2092),
    [anon_sym_LR_DQUOTE] = ACTIONS(2092),
    [anon_sym_uR_DQUOTE] = ACTIONS(2092),
    [anon_sym_UR_DQUOTE] = ACTIONS(2092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2092),
    [anon_sym_co_await] = ACTIONS(2090),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_requires] = ACTIONS(2090),
    [sym_this] = ACTIONS(2090),
    [anon_sym_discard] = ACTIONS(2090),
    [anon_sym_precise] = ACTIONS(2090),
    [anon_sym_shared] = ACTIONS(2090),
    [anon_sym_groupshared] = ACTIONS(2090),
    [anon_sym_uniform] = ACTIONS(2090),
    [anon_sym_row_major] = ACTIONS(2090),
    [anon_sym_column_major] = ACTIONS(2090),
    [anon_sym_globallycoherent] = ACTIONS(2090),
    [anon_sym_centroid] = ACTIONS(2090),
    [anon_sym_noperspective] = ACTIONS(2090),
    [anon_sym_nointerpolation] = ACTIONS(2090),
    [anon_sym_sample] = ACTIONS(2090),
    [anon_sym_linear] = ACTIONS(2090),
    [anon_sym_snorm] = ACTIONS(2090),
    [anon_sym_unorm] = ACTIONS(2090),
    [anon_sym_point] = ACTIONS(2090),
    [anon_sym_line] = ACTIONS(2090),
    [anon_sym_triangleadj] = ACTIONS(2090),
    [anon_sym_lineadj] = ACTIONS(2090),
    [anon_sym_triangle] = ACTIONS(2090),
    [anon_sym_cbuffer] = ACTIONS(2090),
  },
  [171] = {
    [sym_field_declaration_list] = STATE(426),
    [sym_virtual_specifier] = STATE(6938),
    [sym_base_class_clause] = STATE(7926),
    [sym_identifier] = ACTIONS(1943),
    [aux_sym_preproc_include_token1] = ACTIONS(1943),
    [aux_sym_preproc_def_token1] = ACTIONS(1943),
    [aux_sym_preproc_if_token1] = ACTIONS(1943),
    [aux_sym_preproc_if_token2] = ACTIONS(1943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1943),
    [sym_preproc_directive] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1945),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1945),
    [anon_sym_AMP_AMP] = ACTIONS(1945),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1945),
    [anon_sym___extension__] = ACTIONS(1943),
    [anon_sym_typedef] = ACTIONS(1943),
    [anon_sym_in] = ACTIONS(1943),
    [anon_sym_out] = ACTIONS(1943),
    [anon_sym_inout] = ACTIONS(1943),
    [anon_sym_virtual] = ACTIONS(1943),
    [anon_sym_extern] = ACTIONS(1943),
    [anon_sym___attribute__] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(1945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1945),
    [anon_sym___declspec] = ACTIONS(1943),
    [anon_sym___based] = ACTIONS(1943),
    [anon_sym___cdecl] = ACTIONS(1943),
    [anon_sym___clrcall] = ACTIONS(1943),
    [anon_sym___stdcall] = ACTIONS(1943),
    [anon_sym___fastcall] = ACTIONS(1943),
    [anon_sym___thiscall] = ACTIONS(1943),
    [anon_sym___vectorcall] = ACTIONS(1943),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym_signed] = ACTIONS(1943),
    [anon_sym_unsigned] = ACTIONS(1943),
    [anon_sym_long] = ACTIONS(1943),
    [anon_sym_short] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1943),
    [anon_sym_static] = ACTIONS(1943),
    [anon_sym_register] = ACTIONS(1943),
    [anon_sym_inline] = ACTIONS(1943),
    [anon_sym___inline] = ACTIONS(1943),
    [anon_sym___inline__] = ACTIONS(1943),
    [anon_sym___forceinline] = ACTIONS(1943),
    [anon_sym_thread_local] = ACTIONS(1943),
    [anon_sym___thread] = ACTIONS(1943),
    [anon_sym_const] = ACTIONS(1943),
    [anon_sym_constexpr] = ACTIONS(1943),
    [anon_sym_volatile] = ACTIONS(1943),
    [anon_sym_restrict] = ACTIONS(1943),
    [anon_sym___restrict__] = ACTIONS(1943),
    [anon_sym__Atomic] = ACTIONS(1943),
    [anon_sym__Noreturn] = ACTIONS(1943),
    [anon_sym_noreturn] = ACTIONS(1943),
    [anon_sym__Nonnull] = ACTIONS(1943),
    [anon_sym_mutable] = ACTIONS(1943),
    [anon_sym_constinit] = ACTIONS(1943),
    [anon_sym_consteval] = ACTIONS(1943),
    [anon_sym_alignas] = ACTIONS(1943),
    [anon_sym__Alignas] = ACTIONS(1943),
    [sym_primitive_type] = ACTIONS(1943),
    [anon_sym_enum] = ACTIONS(1943),
    [anon_sym_class] = ACTIONS(1943),
    [anon_sym_struct] = ACTIONS(1943),
    [anon_sym_union] = ACTIONS(1943),
    [anon_sym_if] = ACTIONS(1943),
    [anon_sym_else] = ACTIONS(1943),
    [anon_sym_switch] = ACTIONS(1943),
    [anon_sym_case] = ACTIONS(1943),
    [anon_sym_default] = ACTIONS(1943),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_do] = ACTIONS(1943),
    [anon_sym_for] = ACTIONS(1943),
    [anon_sym_return] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(1943),
    [anon_sym_continue] = ACTIONS(1943),
    [anon_sym_goto] = ACTIONS(1943),
    [anon_sym___try] = ACTIONS(1943),
    [anon_sym___leave] = ACTIONS(1943),
    [anon_sym_not] = ACTIONS(1943),
    [anon_sym_compl] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1945),
    [anon_sym_PLUS_PLUS] = ACTIONS(1945),
    [anon_sym_sizeof] = ACTIONS(1943),
    [anon_sym___alignof__] = ACTIONS(1943),
    [anon_sym___alignof] = ACTIONS(1943),
    [anon_sym__alignof] = ACTIONS(1943),
    [anon_sym_alignof] = ACTIONS(1943),
    [anon_sym__Alignof] = ACTIONS(1943),
    [anon_sym_offsetof] = ACTIONS(1943),
    [anon_sym__Generic] = ACTIONS(1943),
    [anon_sym_asm] = ACTIONS(1943),
    [anon_sym___asm__] = ACTIONS(1943),
    [anon_sym___asm] = ACTIONS(1943),
    [sym_number_literal] = ACTIONS(1945),
    [anon_sym_L_SQUOTE] = ACTIONS(1945),
    [anon_sym_u_SQUOTE] = ACTIONS(1945),
    [anon_sym_U_SQUOTE] = ACTIONS(1945),
    [anon_sym_u8_SQUOTE] = ACTIONS(1945),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1943),
    [sym_false] = ACTIONS(1943),
    [anon_sym_NULL] = ACTIONS(1943),
    [anon_sym_nullptr] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1943),
    [anon_sym_decltype] = ACTIONS(1943),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_explicit] = ACTIONS(1943),
    [anon_sym_typename] = ACTIONS(1943),
    [anon_sym_template] = ACTIONS(1943),
    [anon_sym_operator] = ACTIONS(1943),
    [anon_sym_try] = ACTIONS(1943),
    [anon_sym_delete] = ACTIONS(1943),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1943),
    [anon_sym_using] = ACTIONS(1943),
    [anon_sym_static_assert] = ACTIONS(1943),
    [anon_sym_concept] = ACTIONS(1943),
    [anon_sym_co_return] = ACTIONS(1943),
    [anon_sym_co_yield] = ACTIONS(1943),
    [anon_sym_R_DQUOTE] = ACTIONS(1945),
    [anon_sym_LR_DQUOTE] = ACTIONS(1945),
    [anon_sym_uR_DQUOTE] = ACTIONS(1945),
    [anon_sym_UR_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1945),
    [anon_sym_co_await] = ACTIONS(1943),
    [anon_sym_new] = ACTIONS(1943),
    [anon_sym_requires] = ACTIONS(1943),
    [sym_this] = ACTIONS(1943),
    [anon_sym_discard] = ACTIONS(1943),
    [anon_sym_precise] = ACTIONS(1943),
    [anon_sym_shared] = ACTIONS(1943),
    [anon_sym_groupshared] = ACTIONS(1943),
    [anon_sym_uniform] = ACTIONS(1943),
    [anon_sym_row_major] = ACTIONS(1943),
    [anon_sym_column_major] = ACTIONS(1943),
    [anon_sym_globallycoherent] = ACTIONS(1943),
    [anon_sym_centroid] = ACTIONS(1943),
    [anon_sym_noperspective] = ACTIONS(1943),
    [anon_sym_nointerpolation] = ACTIONS(1943),
    [anon_sym_sample] = ACTIONS(1943),
    [anon_sym_linear] = ACTIONS(1943),
    [anon_sym_snorm] = ACTIONS(1943),
    [anon_sym_unorm] = ACTIONS(1943),
    [anon_sym_point] = ACTIONS(1943),
    [anon_sym_line] = ACTIONS(1943),
    [anon_sym_triangleadj] = ACTIONS(1943),
    [anon_sym_lineadj] = ACTIONS(1943),
    [anon_sym_triangle] = ACTIONS(1943),
    [anon_sym_cbuffer] = ACTIONS(1943),
  },
  [172] = {
    [sym_field_declaration_list] = STATE(501),
    [sym_virtual_specifier] = STATE(6969),
    [sym_base_class_clause] = STATE(7634),
    [sym_identifier] = ACTIONS(1943),
    [aux_sym_preproc_include_token1] = ACTIONS(1943),
    [aux_sym_preproc_def_token1] = ACTIONS(1943),
    [aux_sym_preproc_if_token1] = ACTIONS(1943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1943),
    [sym_preproc_directive] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1945),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1945),
    [anon_sym_AMP_AMP] = ACTIONS(1945),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1945),
    [anon_sym___extension__] = ACTIONS(1943),
    [anon_sym_typedef] = ACTIONS(1943),
    [anon_sym_in] = ACTIONS(1943),
    [anon_sym_out] = ACTIONS(1943),
    [anon_sym_inout] = ACTIONS(1943),
    [anon_sym_virtual] = ACTIONS(1943),
    [anon_sym_extern] = ACTIONS(1943),
    [anon_sym___attribute__] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(1945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1945),
    [anon_sym___declspec] = ACTIONS(1943),
    [anon_sym___based] = ACTIONS(1943),
    [anon_sym___cdecl] = ACTIONS(1943),
    [anon_sym___clrcall] = ACTIONS(1943),
    [anon_sym___stdcall] = ACTIONS(1943),
    [anon_sym___fastcall] = ACTIONS(1943),
    [anon_sym___thiscall] = ACTIONS(1943),
    [anon_sym___vectorcall] = ACTIONS(1943),
    [anon_sym_LBRACE] = ACTIONS(2082),
    [anon_sym_RBRACE] = ACTIONS(1945),
    [anon_sym_signed] = ACTIONS(1943),
    [anon_sym_unsigned] = ACTIONS(1943),
    [anon_sym_long] = ACTIONS(1943),
    [anon_sym_short] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1943),
    [anon_sym_static] = ACTIONS(1943),
    [anon_sym_register] = ACTIONS(1943),
    [anon_sym_inline] = ACTIONS(1943),
    [anon_sym___inline] = ACTIONS(1943),
    [anon_sym___inline__] = ACTIONS(1943),
    [anon_sym___forceinline] = ACTIONS(1943),
    [anon_sym_thread_local] = ACTIONS(1943),
    [anon_sym___thread] = ACTIONS(1943),
    [anon_sym_const] = ACTIONS(1943),
    [anon_sym_constexpr] = ACTIONS(1943),
    [anon_sym_volatile] = ACTIONS(1943),
    [anon_sym_restrict] = ACTIONS(1943),
    [anon_sym___restrict__] = ACTIONS(1943),
    [anon_sym__Atomic] = ACTIONS(1943),
    [anon_sym__Noreturn] = ACTIONS(1943),
    [anon_sym_noreturn] = ACTIONS(1943),
    [anon_sym__Nonnull] = ACTIONS(1943),
    [anon_sym_mutable] = ACTIONS(1943),
    [anon_sym_constinit] = ACTIONS(1943),
    [anon_sym_consteval] = ACTIONS(1943),
    [anon_sym_alignas] = ACTIONS(1943),
    [anon_sym__Alignas] = ACTIONS(1943),
    [sym_primitive_type] = ACTIONS(1943),
    [anon_sym_enum] = ACTIONS(1943),
    [anon_sym_class] = ACTIONS(1943),
    [anon_sym_struct] = ACTIONS(1943),
    [anon_sym_union] = ACTIONS(1943),
    [anon_sym_if] = ACTIONS(1943),
    [anon_sym_else] = ACTIONS(1943),
    [anon_sym_switch] = ACTIONS(1943),
    [anon_sym_case] = ACTIONS(1943),
    [anon_sym_default] = ACTIONS(1943),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_do] = ACTIONS(1943),
    [anon_sym_for] = ACTIONS(1943),
    [anon_sym_return] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(1943),
    [anon_sym_continue] = ACTIONS(1943),
    [anon_sym_goto] = ACTIONS(1943),
    [anon_sym___try] = ACTIONS(1943),
    [anon_sym___leave] = ACTIONS(1943),
    [anon_sym_not] = ACTIONS(1943),
    [anon_sym_compl] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1945),
    [anon_sym_PLUS_PLUS] = ACTIONS(1945),
    [anon_sym_sizeof] = ACTIONS(1943),
    [anon_sym___alignof__] = ACTIONS(1943),
    [anon_sym___alignof] = ACTIONS(1943),
    [anon_sym__alignof] = ACTIONS(1943),
    [anon_sym_alignof] = ACTIONS(1943),
    [anon_sym__Alignof] = ACTIONS(1943),
    [anon_sym_offsetof] = ACTIONS(1943),
    [anon_sym__Generic] = ACTIONS(1943),
    [anon_sym_asm] = ACTIONS(1943),
    [anon_sym___asm__] = ACTIONS(1943),
    [anon_sym___asm] = ACTIONS(1943),
    [sym_number_literal] = ACTIONS(1945),
    [anon_sym_L_SQUOTE] = ACTIONS(1945),
    [anon_sym_u_SQUOTE] = ACTIONS(1945),
    [anon_sym_U_SQUOTE] = ACTIONS(1945),
    [anon_sym_u8_SQUOTE] = ACTIONS(1945),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1943),
    [sym_false] = ACTIONS(1943),
    [anon_sym_NULL] = ACTIONS(1943),
    [anon_sym_nullptr] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1943),
    [anon_sym_decltype] = ACTIONS(1943),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_explicit] = ACTIONS(1943),
    [anon_sym_typename] = ACTIONS(1943),
    [anon_sym_template] = ACTIONS(1943),
    [anon_sym_operator] = ACTIONS(1943),
    [anon_sym_try] = ACTIONS(1943),
    [anon_sym_delete] = ACTIONS(1943),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1943),
    [anon_sym_using] = ACTIONS(1943),
    [anon_sym_static_assert] = ACTIONS(1943),
    [anon_sym_concept] = ACTIONS(1943),
    [anon_sym_co_return] = ACTIONS(1943),
    [anon_sym_co_yield] = ACTIONS(1943),
    [anon_sym_R_DQUOTE] = ACTIONS(1945),
    [anon_sym_LR_DQUOTE] = ACTIONS(1945),
    [anon_sym_uR_DQUOTE] = ACTIONS(1945),
    [anon_sym_UR_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1945),
    [anon_sym_co_await] = ACTIONS(1943),
    [anon_sym_new] = ACTIONS(1943),
    [anon_sym_requires] = ACTIONS(1943),
    [sym_this] = ACTIONS(1943),
    [anon_sym_discard] = ACTIONS(1943),
    [anon_sym_precise] = ACTIONS(1943),
    [anon_sym_shared] = ACTIONS(1943),
    [anon_sym_groupshared] = ACTIONS(1943),
    [anon_sym_uniform] = ACTIONS(1943),
    [anon_sym_row_major] = ACTIONS(1943),
    [anon_sym_column_major] = ACTIONS(1943),
    [anon_sym_globallycoherent] = ACTIONS(1943),
    [anon_sym_centroid] = ACTIONS(1943),
    [anon_sym_noperspective] = ACTIONS(1943),
    [anon_sym_nointerpolation] = ACTIONS(1943),
    [anon_sym_sample] = ACTIONS(1943),
    [anon_sym_linear] = ACTIONS(1943),
    [anon_sym_snorm] = ACTIONS(1943),
    [anon_sym_unorm] = ACTIONS(1943),
    [anon_sym_point] = ACTIONS(1943),
    [anon_sym_line] = ACTIONS(1943),
    [anon_sym_triangleadj] = ACTIONS(1943),
    [anon_sym_lineadj] = ACTIONS(1943),
    [anon_sym_triangle] = ACTIONS(1943),
    [anon_sym_cbuffer] = ACTIONS(1943),
  },
  [173] = {
    [sym_field_declaration_list] = STATE(505),
    [sym_virtual_specifier] = STATE(6923),
    [sym_base_class_clause] = STATE(7561),
    [ts_builtin_sym_end] = ACTIONS(1945),
    [sym_identifier] = ACTIONS(1943),
    [aux_sym_preproc_include_token1] = ACTIONS(1943),
    [aux_sym_preproc_def_token1] = ACTIONS(1943),
    [aux_sym_preproc_if_token1] = ACTIONS(1943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1943),
    [sym_preproc_directive] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1945),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1945),
    [anon_sym_AMP_AMP] = ACTIONS(1945),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1945),
    [anon_sym___extension__] = ACTIONS(1943),
    [anon_sym_typedef] = ACTIONS(1943),
    [anon_sym_in] = ACTIONS(1943),
    [anon_sym_out] = ACTIONS(1943),
    [anon_sym_inout] = ACTIONS(1943),
    [anon_sym_virtual] = ACTIONS(1943),
    [anon_sym_extern] = ACTIONS(1943),
    [anon_sym___attribute__] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(1945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1945),
    [anon_sym___declspec] = ACTIONS(1943),
    [anon_sym___based] = ACTIONS(1943),
    [anon_sym___cdecl] = ACTIONS(1943),
    [anon_sym___clrcall] = ACTIONS(1943),
    [anon_sym___stdcall] = ACTIONS(1943),
    [anon_sym___fastcall] = ACTIONS(1943),
    [anon_sym___thiscall] = ACTIONS(1943),
    [anon_sym___vectorcall] = ACTIONS(1943),
    [anon_sym_LBRACE] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(1943),
    [anon_sym_unsigned] = ACTIONS(1943),
    [anon_sym_long] = ACTIONS(1943),
    [anon_sym_short] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1943),
    [anon_sym_static] = ACTIONS(1943),
    [anon_sym_register] = ACTIONS(1943),
    [anon_sym_inline] = ACTIONS(1943),
    [anon_sym___inline] = ACTIONS(1943),
    [anon_sym___inline__] = ACTIONS(1943),
    [anon_sym___forceinline] = ACTIONS(1943),
    [anon_sym_thread_local] = ACTIONS(1943),
    [anon_sym___thread] = ACTIONS(1943),
    [anon_sym_const] = ACTIONS(1943),
    [anon_sym_constexpr] = ACTIONS(1943),
    [anon_sym_volatile] = ACTIONS(1943),
    [anon_sym_restrict] = ACTIONS(1943),
    [anon_sym___restrict__] = ACTIONS(1943),
    [anon_sym__Atomic] = ACTIONS(1943),
    [anon_sym__Noreturn] = ACTIONS(1943),
    [anon_sym_noreturn] = ACTIONS(1943),
    [anon_sym__Nonnull] = ACTIONS(1943),
    [anon_sym_mutable] = ACTIONS(1943),
    [anon_sym_constinit] = ACTIONS(1943),
    [anon_sym_consteval] = ACTIONS(1943),
    [anon_sym_alignas] = ACTIONS(1943),
    [anon_sym__Alignas] = ACTIONS(1943),
    [sym_primitive_type] = ACTIONS(1943),
    [anon_sym_enum] = ACTIONS(1943),
    [anon_sym_class] = ACTIONS(1943),
    [anon_sym_struct] = ACTIONS(1943),
    [anon_sym_union] = ACTIONS(1943),
    [anon_sym_if] = ACTIONS(1943),
    [anon_sym_else] = ACTIONS(1943),
    [anon_sym_switch] = ACTIONS(1943),
    [anon_sym_case] = ACTIONS(1943),
    [anon_sym_default] = ACTIONS(1943),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_do] = ACTIONS(1943),
    [anon_sym_for] = ACTIONS(1943),
    [anon_sym_return] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(1943),
    [anon_sym_continue] = ACTIONS(1943),
    [anon_sym_goto] = ACTIONS(1943),
    [anon_sym___try] = ACTIONS(1943),
    [anon_sym___leave] = ACTIONS(1943),
    [anon_sym_not] = ACTIONS(1943),
    [anon_sym_compl] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1945),
    [anon_sym_PLUS_PLUS] = ACTIONS(1945),
    [anon_sym_sizeof] = ACTIONS(1943),
    [anon_sym___alignof__] = ACTIONS(1943),
    [anon_sym___alignof] = ACTIONS(1943),
    [anon_sym__alignof] = ACTIONS(1943),
    [anon_sym_alignof] = ACTIONS(1943),
    [anon_sym__Alignof] = ACTIONS(1943),
    [anon_sym_offsetof] = ACTIONS(1943),
    [anon_sym__Generic] = ACTIONS(1943),
    [anon_sym_asm] = ACTIONS(1943),
    [anon_sym___asm__] = ACTIONS(1943),
    [anon_sym___asm] = ACTIONS(1943),
    [sym_number_literal] = ACTIONS(1945),
    [anon_sym_L_SQUOTE] = ACTIONS(1945),
    [anon_sym_u_SQUOTE] = ACTIONS(1945),
    [anon_sym_U_SQUOTE] = ACTIONS(1945),
    [anon_sym_u8_SQUOTE] = ACTIONS(1945),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1943),
    [sym_false] = ACTIONS(1943),
    [anon_sym_NULL] = ACTIONS(1943),
    [anon_sym_nullptr] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1943),
    [anon_sym_decltype] = ACTIONS(1943),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_explicit] = ACTIONS(1943),
    [anon_sym_typename] = ACTIONS(1943),
    [anon_sym_template] = ACTIONS(1943),
    [anon_sym_operator] = ACTIONS(1943),
    [anon_sym_try] = ACTIONS(1943),
    [anon_sym_delete] = ACTIONS(1943),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1943),
    [anon_sym_using] = ACTIONS(1943),
    [anon_sym_static_assert] = ACTIONS(1943),
    [anon_sym_concept] = ACTIONS(1943),
    [anon_sym_co_return] = ACTIONS(1943),
    [anon_sym_co_yield] = ACTIONS(1943),
    [anon_sym_R_DQUOTE] = ACTIONS(1945),
    [anon_sym_LR_DQUOTE] = ACTIONS(1945),
    [anon_sym_uR_DQUOTE] = ACTIONS(1945),
    [anon_sym_UR_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1945),
    [anon_sym_co_await] = ACTIONS(1943),
    [anon_sym_new] = ACTIONS(1943),
    [anon_sym_requires] = ACTIONS(1943),
    [sym_this] = ACTIONS(1943),
    [anon_sym_discard] = ACTIONS(1943),
    [anon_sym_precise] = ACTIONS(1943),
    [anon_sym_shared] = ACTIONS(1943),
    [anon_sym_groupshared] = ACTIONS(1943),
    [anon_sym_uniform] = ACTIONS(1943),
    [anon_sym_row_major] = ACTIONS(1943),
    [anon_sym_column_major] = ACTIONS(1943),
    [anon_sym_globallycoherent] = ACTIONS(1943),
    [anon_sym_centroid] = ACTIONS(1943),
    [anon_sym_noperspective] = ACTIONS(1943),
    [anon_sym_nointerpolation] = ACTIONS(1943),
    [anon_sym_sample] = ACTIONS(1943),
    [anon_sym_linear] = ACTIONS(1943),
    [anon_sym_snorm] = ACTIONS(1943),
    [anon_sym_unorm] = ACTIONS(1943),
    [anon_sym_point] = ACTIONS(1943),
    [anon_sym_line] = ACTIONS(1943),
    [anon_sym_triangleadj] = ACTIONS(1943),
    [anon_sym_lineadj] = ACTIONS(1943),
    [anon_sym_triangle] = ACTIONS(1943),
    [anon_sym_cbuffer] = ACTIONS(1943),
  },
  [174] = {
    [sym_template_argument_list] = STATE(336),
    [ts_builtin_sym_end] = ACTIONS(1961),
    [sym_identifier] = ACTIONS(1959),
    [aux_sym_preproc_include_token1] = ACTIONS(1959),
    [aux_sym_preproc_def_token1] = ACTIONS(1959),
    [aux_sym_preproc_if_token1] = ACTIONS(1959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1959),
    [sym_preproc_directive] = ACTIONS(1959),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1961),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_typedef] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym___cdecl] = ACTIONS(1959),
    [anon_sym___clrcall] = ACTIONS(1959),
    [anon_sym___stdcall] = ACTIONS(1959),
    [anon_sym___fastcall] = ACTIONS(1959),
    [anon_sym___thiscall] = ACTIONS(1959),
    [anon_sym___vectorcall] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_signed] = ACTIONS(1959),
    [anon_sym_unsigned] = ACTIONS(1959),
    [anon_sym_long] = ACTIONS(1959),
    [anon_sym_short] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_primitive_type] = ACTIONS(1959),
    [anon_sym_enum] = ACTIONS(1959),
    [anon_sym_class] = ACTIONS(1959),
    [anon_sym_struct] = ACTIONS(1959),
    [anon_sym_union] = ACTIONS(1959),
    [anon_sym_if] = ACTIONS(1959),
    [anon_sym_else] = ACTIONS(1959),
    [anon_sym_switch] = ACTIONS(1959),
    [anon_sym_case] = ACTIONS(1959),
    [anon_sym_default] = ACTIONS(1959),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_do] = ACTIONS(1959),
    [anon_sym_for] = ACTIONS(1959),
    [anon_sym_return] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(1959),
    [anon_sym_continue] = ACTIONS(1959),
    [anon_sym_goto] = ACTIONS(1959),
    [anon_sym___try] = ACTIONS(1959),
    [anon_sym___leave] = ACTIONS(1959),
    [anon_sym_not] = ACTIONS(1959),
    [anon_sym_compl] = ACTIONS(1959),
    [anon_sym_DASH_DASH] = ACTIONS(1961),
    [anon_sym_PLUS_PLUS] = ACTIONS(1961),
    [anon_sym_sizeof] = ACTIONS(1959),
    [anon_sym___alignof__] = ACTIONS(1959),
    [anon_sym___alignof] = ACTIONS(1959),
    [anon_sym__alignof] = ACTIONS(1959),
    [anon_sym_alignof] = ACTIONS(1959),
    [anon_sym__Alignof] = ACTIONS(1959),
    [anon_sym_offsetof] = ACTIONS(1959),
    [anon_sym__Generic] = ACTIONS(1959),
    [anon_sym_asm] = ACTIONS(1959),
    [anon_sym___asm__] = ACTIONS(1959),
    [anon_sym___asm] = ACTIONS(1959),
    [sym_number_literal] = ACTIONS(1961),
    [anon_sym_L_SQUOTE] = ACTIONS(1961),
    [anon_sym_u_SQUOTE] = ACTIONS(1961),
    [anon_sym_U_SQUOTE] = ACTIONS(1961),
    [anon_sym_u8_SQUOTE] = ACTIONS(1961),
    [anon_sym_SQUOTE] = ACTIONS(1961),
    [anon_sym_L_DQUOTE] = ACTIONS(1961),
    [anon_sym_u_DQUOTE] = ACTIONS(1961),
    [anon_sym_U_DQUOTE] = ACTIONS(1961),
    [anon_sym_u8_DQUOTE] = ACTIONS(1961),
    [anon_sym_DQUOTE] = ACTIONS(1961),
    [sym_true] = ACTIONS(1959),
    [sym_false] = ACTIONS(1959),
    [anon_sym_NULL] = ACTIONS(1959),
    [anon_sym_nullptr] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_final] = ACTIONS(1959),
    [anon_sym_override] = ACTIONS(1959),
    [anon_sym_explicit] = ACTIONS(1959),
    [anon_sym_typename] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_try] = ACTIONS(1959),
    [anon_sym_delete] = ACTIONS(1959),
    [anon_sym_throw] = ACTIONS(1959),
    [anon_sym_namespace] = ACTIONS(1959),
    [anon_sym_using] = ACTIONS(1959),
    [anon_sym_static_assert] = ACTIONS(1959),
    [anon_sym_concept] = ACTIONS(1959),
    [anon_sym_co_return] = ACTIONS(1959),
    [anon_sym_co_yield] = ACTIONS(1959),
    [anon_sym_R_DQUOTE] = ACTIONS(1961),
    [anon_sym_LR_DQUOTE] = ACTIONS(1961),
    [anon_sym_uR_DQUOTE] = ACTIONS(1961),
    [anon_sym_UR_DQUOTE] = ACTIONS(1961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1961),
    [anon_sym_co_await] = ACTIONS(1959),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1959),
    [anon_sym_discard] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
    [anon_sym_cbuffer] = ACTIONS(1959),
  },
  [175] = {
    [sym_else_clause] = STATE(209),
    [sym_identifier] = ACTIONS(2096),
    [aux_sym_preproc_include_token1] = ACTIONS(2096),
    [aux_sym_preproc_def_token1] = ACTIONS(2096),
    [aux_sym_preproc_if_token1] = ACTIONS(2096),
    [aux_sym_preproc_if_token2] = ACTIONS(2096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2096),
    [aux_sym_preproc_else_token1] = ACTIONS(2096),
    [aux_sym_preproc_elif_token1] = ACTIONS(2096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2096),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2096),
    [sym_preproc_directive] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(2098),
    [anon_sym_TILDE] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(2098),
    [anon_sym_AMP_AMP] = ACTIONS(2098),
    [anon_sym_AMP] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym___extension__] = ACTIONS(2096),
    [anon_sym_typedef] = ACTIONS(2096),
    [anon_sym_in] = ACTIONS(2096),
    [anon_sym_out] = ACTIONS(2096),
    [anon_sym_inout] = ACTIONS(2096),
    [anon_sym_virtual] = ACTIONS(2096),
    [anon_sym_extern] = ACTIONS(2096),
    [anon_sym___attribute__] = ACTIONS(2096),
    [anon_sym_COLON_COLON] = ACTIONS(2098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2098),
    [anon_sym___declspec] = ACTIONS(2096),
    [anon_sym___based] = ACTIONS(2096),
    [anon_sym___cdecl] = ACTIONS(2096),
    [anon_sym___clrcall] = ACTIONS(2096),
    [anon_sym___stdcall] = ACTIONS(2096),
    [anon_sym___fastcall] = ACTIONS(2096),
    [anon_sym___thiscall] = ACTIONS(2096),
    [anon_sym___vectorcall] = ACTIONS(2096),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_signed] = ACTIONS(2096),
    [anon_sym_unsigned] = ACTIONS(2096),
    [anon_sym_long] = ACTIONS(2096),
    [anon_sym_short] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_static] = ACTIONS(2096),
    [anon_sym_register] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(2096),
    [anon_sym___inline] = ACTIONS(2096),
    [anon_sym___inline__] = ACTIONS(2096),
    [anon_sym___forceinline] = ACTIONS(2096),
    [anon_sym_thread_local] = ACTIONS(2096),
    [anon_sym___thread] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(2096),
    [anon_sym_constexpr] = ACTIONS(2096),
    [anon_sym_volatile] = ACTIONS(2096),
    [anon_sym_restrict] = ACTIONS(2096),
    [anon_sym___restrict__] = ACTIONS(2096),
    [anon_sym__Atomic] = ACTIONS(2096),
    [anon_sym__Noreturn] = ACTIONS(2096),
    [anon_sym_noreturn] = ACTIONS(2096),
    [anon_sym__Nonnull] = ACTIONS(2096),
    [anon_sym_mutable] = ACTIONS(2096),
    [anon_sym_constinit] = ACTIONS(2096),
    [anon_sym_consteval] = ACTIONS(2096),
    [anon_sym_alignas] = ACTIONS(2096),
    [anon_sym__Alignas] = ACTIONS(2096),
    [sym_primitive_type] = ACTIONS(2096),
    [anon_sym_enum] = ACTIONS(2096),
    [anon_sym_class] = ACTIONS(2096),
    [anon_sym_struct] = ACTIONS(2096),
    [anon_sym_union] = ACTIONS(2096),
    [anon_sym_if] = ACTIONS(2096),
    [anon_sym_else] = ACTIONS(2100),
    [anon_sym_switch] = ACTIONS(2096),
    [anon_sym_case] = ACTIONS(2096),
    [anon_sym_default] = ACTIONS(2096),
    [anon_sym_while] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2096),
    [anon_sym_for] = ACTIONS(2096),
    [anon_sym_return] = ACTIONS(2096),
    [anon_sym_break] = ACTIONS(2096),
    [anon_sym_continue] = ACTIONS(2096),
    [anon_sym_goto] = ACTIONS(2096),
    [anon_sym___try] = ACTIONS(2096),
    [anon_sym___leave] = ACTIONS(2096),
    [anon_sym_not] = ACTIONS(2096),
    [anon_sym_compl] = ACTIONS(2096),
    [anon_sym_DASH_DASH] = ACTIONS(2098),
    [anon_sym_PLUS_PLUS] = ACTIONS(2098),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2096),
    [anon_sym___alignof] = ACTIONS(2096),
    [anon_sym__alignof] = ACTIONS(2096),
    [anon_sym_alignof] = ACTIONS(2096),
    [anon_sym__Alignof] = ACTIONS(2096),
    [anon_sym_offsetof] = ACTIONS(2096),
    [anon_sym__Generic] = ACTIONS(2096),
    [anon_sym_asm] = ACTIONS(2096),
    [anon_sym___asm__] = ACTIONS(2096),
    [anon_sym___asm] = ACTIONS(2096),
    [sym_number_literal] = ACTIONS(2098),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2098),
    [anon_sym_u_DQUOTE] = ACTIONS(2098),
    [anon_sym_U_DQUOTE] = ACTIONS(2098),
    [anon_sym_u8_DQUOTE] = ACTIONS(2098),
    [anon_sym_DQUOTE] = ACTIONS(2098),
    [sym_true] = ACTIONS(2096),
    [sym_false] = ACTIONS(2096),
    [anon_sym_NULL] = ACTIONS(2096),
    [anon_sym_nullptr] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2096),
    [anon_sym_decltype] = ACTIONS(2096),
    [anon_sym_explicit] = ACTIONS(2096),
    [anon_sym_typename] = ACTIONS(2096),
    [anon_sym_template] = ACTIONS(2096),
    [anon_sym_operator] = ACTIONS(2096),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_delete] = ACTIONS(2096),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_namespace] = ACTIONS(2096),
    [anon_sym_using] = ACTIONS(2096),
    [anon_sym_static_assert] = ACTIONS(2096),
    [anon_sym_concept] = ACTIONS(2096),
    [anon_sym_co_return] = ACTIONS(2096),
    [anon_sym_co_yield] = ACTIONS(2096),
    [anon_sym_R_DQUOTE] = ACTIONS(2098),
    [anon_sym_LR_DQUOTE] = ACTIONS(2098),
    [anon_sym_uR_DQUOTE] = ACTIONS(2098),
    [anon_sym_UR_DQUOTE] = ACTIONS(2098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2098),
    [anon_sym_co_await] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_requires] = ACTIONS(2096),
    [sym_this] = ACTIONS(2096),
    [anon_sym_discard] = ACTIONS(2096),
    [anon_sym_precise] = ACTIONS(2096),
    [anon_sym_shared] = ACTIONS(2096),
    [anon_sym_groupshared] = ACTIONS(2096),
    [anon_sym_uniform] = ACTIONS(2096),
    [anon_sym_row_major] = ACTIONS(2096),
    [anon_sym_column_major] = ACTIONS(2096),
    [anon_sym_globallycoherent] = ACTIONS(2096),
    [anon_sym_centroid] = ACTIONS(2096),
    [anon_sym_noperspective] = ACTIONS(2096),
    [anon_sym_nointerpolation] = ACTIONS(2096),
    [anon_sym_sample] = ACTIONS(2096),
    [anon_sym_linear] = ACTIONS(2096),
    [anon_sym_snorm] = ACTIONS(2096),
    [anon_sym_unorm] = ACTIONS(2096),
    [anon_sym_point] = ACTIONS(2096),
    [anon_sym_line] = ACTIONS(2096),
    [anon_sym_triangleadj] = ACTIONS(2096),
    [anon_sym_lineadj] = ACTIONS(2096),
    [anon_sym_triangle] = ACTIONS(2096),
    [anon_sym_cbuffer] = ACTIONS(2096),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [aux_sym_preproc_else_token1] = ACTIONS(1973),
    [aux_sym_preproc_elif_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [sym_number_literal] = ACTIONS(1971),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
    [anon_sym_discard] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
    [anon_sym_cbuffer] = ACTIONS(1973),
  },
  [177] = {
    [sym_template_argument_list] = STATE(330),
    [sym_identifier] = ACTIONS(1959),
    [aux_sym_preproc_include_token1] = ACTIONS(1959),
    [aux_sym_preproc_def_token1] = ACTIONS(1959),
    [aux_sym_preproc_if_token1] = ACTIONS(1959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1959),
    [sym_preproc_directive] = ACTIONS(1959),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1961),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(2102),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_typedef] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym___cdecl] = ACTIONS(1959),
    [anon_sym___clrcall] = ACTIONS(1959),
    [anon_sym___stdcall] = ACTIONS(1959),
    [anon_sym___fastcall] = ACTIONS(1959),
    [anon_sym___thiscall] = ACTIONS(1959),
    [anon_sym___vectorcall] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_RBRACE] = ACTIONS(1961),
    [anon_sym_signed] = ACTIONS(1959),
    [anon_sym_unsigned] = ACTIONS(1959),
    [anon_sym_long] = ACTIONS(1959),
    [anon_sym_short] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_primitive_type] = ACTIONS(1959),
    [anon_sym_enum] = ACTIONS(1959),
    [anon_sym_class] = ACTIONS(1959),
    [anon_sym_struct] = ACTIONS(1959),
    [anon_sym_union] = ACTIONS(1959),
    [anon_sym_if] = ACTIONS(1959),
    [anon_sym_else] = ACTIONS(1959),
    [anon_sym_switch] = ACTIONS(1959),
    [anon_sym_case] = ACTIONS(1959),
    [anon_sym_default] = ACTIONS(1959),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_do] = ACTIONS(1959),
    [anon_sym_for] = ACTIONS(1959),
    [anon_sym_return] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(1959),
    [anon_sym_continue] = ACTIONS(1959),
    [anon_sym_goto] = ACTIONS(1959),
    [anon_sym___try] = ACTIONS(1959),
    [anon_sym___leave] = ACTIONS(1959),
    [anon_sym_not] = ACTIONS(1959),
    [anon_sym_compl] = ACTIONS(1959),
    [anon_sym_DASH_DASH] = ACTIONS(1961),
    [anon_sym_PLUS_PLUS] = ACTIONS(1961),
    [anon_sym_sizeof] = ACTIONS(1959),
    [anon_sym___alignof__] = ACTIONS(1959),
    [anon_sym___alignof] = ACTIONS(1959),
    [anon_sym__alignof] = ACTIONS(1959),
    [anon_sym_alignof] = ACTIONS(1959),
    [anon_sym__Alignof] = ACTIONS(1959),
    [anon_sym_offsetof] = ACTIONS(1959),
    [anon_sym__Generic] = ACTIONS(1959),
    [anon_sym_asm] = ACTIONS(1959),
    [anon_sym___asm__] = ACTIONS(1959),
    [anon_sym___asm] = ACTIONS(1959),
    [sym_number_literal] = ACTIONS(1961),
    [anon_sym_L_SQUOTE] = ACTIONS(1961),
    [anon_sym_u_SQUOTE] = ACTIONS(1961),
    [anon_sym_U_SQUOTE] = ACTIONS(1961),
    [anon_sym_u8_SQUOTE] = ACTIONS(1961),
    [anon_sym_SQUOTE] = ACTIONS(1961),
    [anon_sym_L_DQUOTE] = ACTIONS(1961),
    [anon_sym_u_DQUOTE] = ACTIONS(1961),
    [anon_sym_U_DQUOTE] = ACTIONS(1961),
    [anon_sym_u8_DQUOTE] = ACTIONS(1961),
    [anon_sym_DQUOTE] = ACTIONS(1961),
    [sym_true] = ACTIONS(1959),
    [sym_false] = ACTIONS(1959),
    [anon_sym_NULL] = ACTIONS(1959),
    [anon_sym_nullptr] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_final] = ACTIONS(1959),
    [anon_sym_override] = ACTIONS(1959),
    [anon_sym_explicit] = ACTIONS(1959),
    [anon_sym_typename] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_try] = ACTIONS(1959),
    [anon_sym_delete] = ACTIONS(1959),
    [anon_sym_throw] = ACTIONS(1959),
    [anon_sym_namespace] = ACTIONS(1959),
    [anon_sym_using] = ACTIONS(1959),
    [anon_sym_static_assert] = ACTIONS(1959),
    [anon_sym_concept] = ACTIONS(1959),
    [anon_sym_co_return] = ACTIONS(1959),
    [anon_sym_co_yield] = ACTIONS(1959),
    [anon_sym_R_DQUOTE] = ACTIONS(1961),
    [anon_sym_LR_DQUOTE] = ACTIONS(1961),
    [anon_sym_uR_DQUOTE] = ACTIONS(1961),
    [anon_sym_UR_DQUOTE] = ACTIONS(1961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1961),
    [anon_sym_co_await] = ACTIONS(1959),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1959),
    [anon_sym_discard] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
    [anon_sym_cbuffer] = ACTIONS(1959),
  },
  [178] = {
    [sym_template_argument_list] = STATE(330),
    [sym_identifier] = ACTIONS(1967),
    [aux_sym_preproc_include_token1] = ACTIONS(1967),
    [aux_sym_preproc_def_token1] = ACTIONS(1967),
    [aux_sym_preproc_if_token1] = ACTIONS(1967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1967),
    [sym_preproc_directive] = ACTIONS(1967),
    [anon_sym_LPAREN2] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(2102),
    [anon_sym_COLON] = ACTIONS(1967),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym___extension__] = ACTIONS(1967),
    [anon_sym_typedef] = ACTIONS(1967),
    [anon_sym_in] = ACTIONS(1967),
    [anon_sym_out] = ACTIONS(1967),
    [anon_sym_inout] = ACTIONS(1967),
    [anon_sym_virtual] = ACTIONS(1967),
    [anon_sym_extern] = ACTIONS(1967),
    [anon_sym___attribute__] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1969),
    [anon_sym___declspec] = ACTIONS(1967),
    [anon_sym___based] = ACTIONS(1967),
    [anon_sym___cdecl] = ACTIONS(1967),
    [anon_sym___clrcall] = ACTIONS(1967),
    [anon_sym___stdcall] = ACTIONS(1967),
    [anon_sym___fastcall] = ACTIONS(1967),
    [anon_sym___thiscall] = ACTIONS(1967),
    [anon_sym___vectorcall] = ACTIONS(1967),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1967),
    [anon_sym_unsigned] = ACTIONS(1967),
    [anon_sym_long] = ACTIONS(1967),
    [anon_sym_short] = ACTIONS(1967),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1967),
    [anon_sym_register] = ACTIONS(1967),
    [anon_sym_inline] = ACTIONS(1967),
    [anon_sym___inline] = ACTIONS(1967),
    [anon_sym___inline__] = ACTIONS(1967),
    [anon_sym___forceinline] = ACTIONS(1967),
    [anon_sym_thread_local] = ACTIONS(1967),
    [anon_sym___thread] = ACTIONS(1967),
    [anon_sym_const] = ACTIONS(1967),
    [anon_sym_constexpr] = ACTIONS(1967),
    [anon_sym_volatile] = ACTIONS(1967),
    [anon_sym_restrict] = ACTIONS(1967),
    [anon_sym___restrict__] = ACTIONS(1967),
    [anon_sym__Atomic] = ACTIONS(1967),
    [anon_sym__Noreturn] = ACTIONS(1967),
    [anon_sym_noreturn] = ACTIONS(1967),
    [anon_sym__Nonnull] = ACTIONS(1967),
    [anon_sym_mutable] = ACTIONS(1967),
    [anon_sym_constinit] = ACTIONS(1967),
    [anon_sym_consteval] = ACTIONS(1967),
    [anon_sym_alignas] = ACTIONS(1967),
    [anon_sym__Alignas] = ACTIONS(1967),
    [sym_primitive_type] = ACTIONS(1967),
    [anon_sym_enum] = ACTIONS(1967),
    [anon_sym_class] = ACTIONS(1967),
    [anon_sym_struct] = ACTIONS(1967),
    [anon_sym_union] = ACTIONS(1967),
    [anon_sym_if] = ACTIONS(1967),
    [anon_sym_else] = ACTIONS(1967),
    [anon_sym_switch] = ACTIONS(1967),
    [anon_sym_case] = ACTIONS(1967),
    [anon_sym_default] = ACTIONS(1967),
    [anon_sym_while] = ACTIONS(1967),
    [anon_sym_do] = ACTIONS(1967),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_return] = ACTIONS(1967),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_continue] = ACTIONS(1967),
    [anon_sym_goto] = ACTIONS(1967),
    [anon_sym___try] = ACTIONS(1967),
    [anon_sym___leave] = ACTIONS(1967),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(1969),
    [anon_sym_PLUS_PLUS] = ACTIONS(1969),
    [anon_sym_sizeof] = ACTIONS(1967),
    [anon_sym___alignof__] = ACTIONS(1967),
    [anon_sym___alignof] = ACTIONS(1967),
    [anon_sym__alignof] = ACTIONS(1967),
    [anon_sym_alignof] = ACTIONS(1967),
    [anon_sym__Alignof] = ACTIONS(1967),
    [anon_sym_offsetof] = ACTIONS(1967),
    [anon_sym__Generic] = ACTIONS(1967),
    [anon_sym_asm] = ACTIONS(1967),
    [anon_sym___asm__] = ACTIONS(1967),
    [anon_sym___asm] = ACTIONS(1967),
    [sym_number_literal] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1969),
    [anon_sym_u_SQUOTE] = ACTIONS(1969),
    [anon_sym_U_SQUOTE] = ACTIONS(1969),
    [anon_sym_u8_SQUOTE] = ACTIONS(1969),
    [anon_sym_SQUOTE] = ACTIONS(1969),
    [anon_sym_L_DQUOTE] = ACTIONS(1969),
    [anon_sym_u_DQUOTE] = ACTIONS(1969),
    [anon_sym_U_DQUOTE] = ACTIONS(1969),
    [anon_sym_u8_DQUOTE] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1969),
    [sym_true] = ACTIONS(1967),
    [sym_false] = ACTIONS(1967),
    [anon_sym_NULL] = ACTIONS(1967),
    [anon_sym_nullptr] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1967),
    [anon_sym_decltype] = ACTIONS(1967),
    [anon_sym_final] = ACTIONS(1967),
    [anon_sym_override] = ACTIONS(1967),
    [anon_sym_explicit] = ACTIONS(1967),
    [anon_sym_typename] = ACTIONS(1967),
    [anon_sym_template] = ACTIONS(1967),
    [anon_sym_operator] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1967),
    [anon_sym_delete] = ACTIONS(1967),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_namespace] = ACTIONS(1967),
    [anon_sym_using] = ACTIONS(1967),
    [anon_sym_static_assert] = ACTIONS(1967),
    [anon_sym_concept] = ACTIONS(1967),
    [anon_sym_co_return] = ACTIONS(1967),
    [anon_sym_co_yield] = ACTIONS(1967),
    [anon_sym_R_DQUOTE] = ACTIONS(1969),
    [anon_sym_LR_DQUOTE] = ACTIONS(1969),
    [anon_sym_uR_DQUOTE] = ACTIONS(1969),
    [anon_sym_UR_DQUOTE] = ACTIONS(1969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1969),
    [anon_sym_co_await] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1967),
    [anon_sym_requires] = ACTIONS(1967),
    [sym_this] = ACTIONS(1967),
    [anon_sym_discard] = ACTIONS(1967),
    [anon_sym_precise] = ACTIONS(1967),
    [anon_sym_shared] = ACTIONS(1967),
    [anon_sym_groupshared] = ACTIONS(1967),
    [anon_sym_uniform] = ACTIONS(1967),
    [anon_sym_row_major] = ACTIONS(1967),
    [anon_sym_column_major] = ACTIONS(1967),
    [anon_sym_globallycoherent] = ACTIONS(1967),
    [anon_sym_centroid] = ACTIONS(1967),
    [anon_sym_noperspective] = ACTIONS(1967),
    [anon_sym_nointerpolation] = ACTIONS(1967),
    [anon_sym_sample] = ACTIONS(1967),
    [anon_sym_linear] = ACTIONS(1967),
    [anon_sym_snorm] = ACTIONS(1967),
    [anon_sym_unorm] = ACTIONS(1967),
    [anon_sym_point] = ACTIONS(1967),
    [anon_sym_line] = ACTIONS(1967),
    [anon_sym_triangleadj] = ACTIONS(1967),
    [anon_sym_lineadj] = ACTIONS(1967),
    [anon_sym_triangle] = ACTIONS(1967),
    [anon_sym_cbuffer] = ACTIONS(1967),
  },
  [179] = {
    [sym_else_clause] = STATE(194),
    [sym_identifier] = ACTIONS(2104),
    [aux_sym_preproc_include_token1] = ACTIONS(2104),
    [aux_sym_preproc_def_token1] = ACTIONS(2104),
    [aux_sym_preproc_if_token1] = ACTIONS(2104),
    [aux_sym_preproc_if_token2] = ACTIONS(2104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2104),
    [aux_sym_preproc_else_token1] = ACTIONS(2104),
    [aux_sym_preproc_elif_token1] = ACTIONS(2104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2104),
    [sym_preproc_directive] = ACTIONS(2104),
    [anon_sym_LPAREN2] = ACTIONS(2106),
    [anon_sym_BANG] = ACTIONS(2106),
    [anon_sym_TILDE] = ACTIONS(2106),
    [anon_sym_DASH] = ACTIONS(2104),
    [anon_sym_PLUS] = ACTIONS(2104),
    [anon_sym_STAR] = ACTIONS(2106),
    [anon_sym_AMP_AMP] = ACTIONS(2106),
    [anon_sym_AMP] = ACTIONS(2104),
    [anon_sym_SEMI] = ACTIONS(2106),
    [anon_sym___extension__] = ACTIONS(2104),
    [anon_sym_typedef] = ACTIONS(2104),
    [anon_sym_in] = ACTIONS(2104),
    [anon_sym_out] = ACTIONS(2104),
    [anon_sym_inout] = ACTIONS(2104),
    [anon_sym_virtual] = ACTIONS(2104),
    [anon_sym_extern] = ACTIONS(2104),
    [anon_sym___attribute__] = ACTIONS(2104),
    [anon_sym_COLON_COLON] = ACTIONS(2106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2106),
    [anon_sym___declspec] = ACTIONS(2104),
    [anon_sym___based] = ACTIONS(2104),
    [anon_sym___cdecl] = ACTIONS(2104),
    [anon_sym___clrcall] = ACTIONS(2104),
    [anon_sym___stdcall] = ACTIONS(2104),
    [anon_sym___fastcall] = ACTIONS(2104),
    [anon_sym___thiscall] = ACTIONS(2104),
    [anon_sym___vectorcall] = ACTIONS(2104),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_signed] = ACTIONS(2104),
    [anon_sym_unsigned] = ACTIONS(2104),
    [anon_sym_long] = ACTIONS(2104),
    [anon_sym_short] = ACTIONS(2104),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_static] = ACTIONS(2104),
    [anon_sym_register] = ACTIONS(2104),
    [anon_sym_inline] = ACTIONS(2104),
    [anon_sym___inline] = ACTIONS(2104),
    [anon_sym___inline__] = ACTIONS(2104),
    [anon_sym___forceinline] = ACTIONS(2104),
    [anon_sym_thread_local] = ACTIONS(2104),
    [anon_sym___thread] = ACTIONS(2104),
    [anon_sym_const] = ACTIONS(2104),
    [anon_sym_constexpr] = ACTIONS(2104),
    [anon_sym_volatile] = ACTIONS(2104),
    [anon_sym_restrict] = ACTIONS(2104),
    [anon_sym___restrict__] = ACTIONS(2104),
    [anon_sym__Atomic] = ACTIONS(2104),
    [anon_sym__Noreturn] = ACTIONS(2104),
    [anon_sym_noreturn] = ACTIONS(2104),
    [anon_sym__Nonnull] = ACTIONS(2104),
    [anon_sym_mutable] = ACTIONS(2104),
    [anon_sym_constinit] = ACTIONS(2104),
    [anon_sym_consteval] = ACTIONS(2104),
    [anon_sym_alignas] = ACTIONS(2104),
    [anon_sym__Alignas] = ACTIONS(2104),
    [sym_primitive_type] = ACTIONS(2104),
    [anon_sym_enum] = ACTIONS(2104),
    [anon_sym_class] = ACTIONS(2104),
    [anon_sym_struct] = ACTIONS(2104),
    [anon_sym_union] = ACTIONS(2104),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_else] = ACTIONS(2100),
    [anon_sym_switch] = ACTIONS(2104),
    [anon_sym_case] = ACTIONS(2104),
    [anon_sym_default] = ACTIONS(2104),
    [anon_sym_while] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_return] = ACTIONS(2104),
    [anon_sym_break] = ACTIONS(2104),
    [anon_sym_continue] = ACTIONS(2104),
    [anon_sym_goto] = ACTIONS(2104),
    [anon_sym___try] = ACTIONS(2104),
    [anon_sym___leave] = ACTIONS(2104),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_compl] = ACTIONS(2104),
    [anon_sym_DASH_DASH] = ACTIONS(2106),
    [anon_sym_PLUS_PLUS] = ACTIONS(2106),
    [anon_sym_sizeof] = ACTIONS(2104),
    [anon_sym___alignof__] = ACTIONS(2104),
    [anon_sym___alignof] = ACTIONS(2104),
    [anon_sym__alignof] = ACTIONS(2104),
    [anon_sym_alignof] = ACTIONS(2104),
    [anon_sym__Alignof] = ACTIONS(2104),
    [anon_sym_offsetof] = ACTIONS(2104),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [anon_sym___asm] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2106),
    [anon_sym_u_SQUOTE] = ACTIONS(2106),
    [anon_sym_U_SQUOTE] = ACTIONS(2106),
    [anon_sym_u8_SQUOTE] = ACTIONS(2106),
    [anon_sym_SQUOTE] = ACTIONS(2106),
    [anon_sym_L_DQUOTE] = ACTIONS(2106),
    [anon_sym_u_DQUOTE] = ACTIONS(2106),
    [anon_sym_U_DQUOTE] = ACTIONS(2106),
    [anon_sym_u8_DQUOTE] = ACTIONS(2106),
    [anon_sym_DQUOTE] = ACTIONS(2106),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2104),
    [anon_sym_nullptr] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2104),
    [anon_sym_decltype] = ACTIONS(2104),
    [anon_sym_explicit] = ACTIONS(2104),
    [anon_sym_typename] = ACTIONS(2104),
    [anon_sym_template] = ACTIONS(2104),
    [anon_sym_operator] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2104),
    [anon_sym_delete] = ACTIONS(2104),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_namespace] = ACTIONS(2104),
    [anon_sym_using] = ACTIONS(2104),
    [anon_sym_static_assert] = ACTIONS(2104),
    [anon_sym_concept] = ACTIONS(2104),
    [anon_sym_co_return] = ACTIONS(2104),
    [anon_sym_co_yield] = ACTIONS(2104),
    [anon_sym_R_DQUOTE] = ACTIONS(2106),
    [anon_sym_LR_DQUOTE] = ACTIONS(2106),
    [anon_sym_uR_DQUOTE] = ACTIONS(2106),
    [anon_sym_UR_DQUOTE] = ACTIONS(2106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2106),
    [anon_sym_co_await] = ACTIONS(2104),
    [anon_sym_new] = ACTIONS(2104),
    [anon_sym_requires] = ACTIONS(2104),
    [sym_this] = ACTIONS(2104),
    [anon_sym_discard] = ACTIONS(2104),
    [anon_sym_precise] = ACTIONS(2104),
    [anon_sym_shared] = ACTIONS(2104),
    [anon_sym_groupshared] = ACTIONS(2104),
    [anon_sym_uniform] = ACTIONS(2104),
    [anon_sym_row_major] = ACTIONS(2104),
    [anon_sym_column_major] = ACTIONS(2104),
    [anon_sym_globallycoherent] = ACTIONS(2104),
    [anon_sym_centroid] = ACTIONS(2104),
    [anon_sym_noperspective] = ACTIONS(2104),
    [anon_sym_nointerpolation] = ACTIONS(2104),
    [anon_sym_sample] = ACTIONS(2104),
    [anon_sym_linear] = ACTIONS(2104),
    [anon_sym_snorm] = ACTIONS(2104),
    [anon_sym_unorm] = ACTIONS(2104),
    [anon_sym_point] = ACTIONS(2104),
    [anon_sym_line] = ACTIONS(2104),
    [anon_sym_triangleadj] = ACTIONS(2104),
    [anon_sym_lineadj] = ACTIONS(2104),
    [anon_sym_triangle] = ACTIONS(2104),
    [anon_sym_cbuffer] = ACTIONS(2104),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1937),
    [aux_sym_preproc_include_token1] = ACTIONS(1937),
    [aux_sym_preproc_def_token1] = ACTIONS(1937),
    [aux_sym_preproc_if_token1] = ACTIONS(1937),
    [aux_sym_preproc_if_token2] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1937),
    [aux_sym_preproc_else_token1] = ACTIONS(1937),
    [aux_sym_preproc_elif_token1] = ACTIONS(1937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1937),
    [sym_preproc_directive] = ACTIONS(1937),
    [anon_sym_LPAREN2] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1937),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_AMP_AMP] = ACTIONS(1935),
    [anon_sym_AMP] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym___extension__] = ACTIONS(1937),
    [anon_sym_typedef] = ACTIONS(1937),
    [anon_sym_in] = ACTIONS(1937),
    [anon_sym_out] = ACTIONS(1937),
    [anon_sym_inout] = ACTIONS(1937),
    [anon_sym_virtual] = ACTIONS(1937),
    [anon_sym_extern] = ACTIONS(1937),
    [anon_sym___attribute__] = ACTIONS(1937),
    [anon_sym_COLON_COLON] = ACTIONS(1935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1935),
    [anon_sym___declspec] = ACTIONS(1937),
    [anon_sym___based] = ACTIONS(1937),
    [anon_sym___cdecl] = ACTIONS(1937),
    [anon_sym___clrcall] = ACTIONS(1937),
    [anon_sym___stdcall] = ACTIONS(1937),
    [anon_sym___fastcall] = ACTIONS(1937),
    [anon_sym___thiscall] = ACTIONS(1937),
    [anon_sym___vectorcall] = ACTIONS(1937),
    [anon_sym_LBRACE] = ACTIONS(1935),
    [anon_sym_signed] = ACTIONS(1937),
    [anon_sym_unsigned] = ACTIONS(1937),
    [anon_sym_long] = ACTIONS(1937),
    [anon_sym_short] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1937),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_register] = ACTIONS(1937),
    [anon_sym_inline] = ACTIONS(1937),
    [anon_sym___inline] = ACTIONS(1937),
    [anon_sym___inline__] = ACTIONS(1937),
    [anon_sym___forceinline] = ACTIONS(1937),
    [anon_sym_thread_local] = ACTIONS(1937),
    [anon_sym___thread] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_constexpr] = ACTIONS(1937),
    [anon_sym_volatile] = ACTIONS(1937),
    [anon_sym_restrict] = ACTIONS(1937),
    [anon_sym___restrict__] = ACTIONS(1937),
    [anon_sym__Atomic] = ACTIONS(1937),
    [anon_sym__Noreturn] = ACTIONS(1937),
    [anon_sym_noreturn] = ACTIONS(1937),
    [anon_sym__Nonnull] = ACTIONS(1937),
    [anon_sym_mutable] = ACTIONS(1937),
    [anon_sym_constinit] = ACTIONS(1937),
    [anon_sym_consteval] = ACTIONS(1937),
    [anon_sym_alignas] = ACTIONS(1937),
    [anon_sym__Alignas] = ACTIONS(1937),
    [sym_primitive_type] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_struct] = ACTIONS(1937),
    [anon_sym_union] = ACTIONS(1937),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_else] = ACTIONS(1937),
    [anon_sym_switch] = ACTIONS(1937),
    [anon_sym_case] = ACTIONS(1937),
    [anon_sym_default] = ACTIONS(1937),
    [anon_sym_while] = ACTIONS(1937),
    [anon_sym_do] = ACTIONS(1937),
    [anon_sym_for] = ACTIONS(1937),
    [anon_sym_return] = ACTIONS(1937),
    [anon_sym_break] = ACTIONS(1937),
    [anon_sym_continue] = ACTIONS(1937),
    [anon_sym_goto] = ACTIONS(1937),
    [anon_sym___try] = ACTIONS(1937),
    [anon_sym___leave] = ACTIONS(1937),
    [anon_sym_not] = ACTIONS(1937),
    [anon_sym_compl] = ACTIONS(1937),
    [anon_sym_DASH_DASH] = ACTIONS(1935),
    [anon_sym_PLUS_PLUS] = ACTIONS(1935),
    [anon_sym_sizeof] = ACTIONS(1937),
    [anon_sym___alignof__] = ACTIONS(1937),
    [anon_sym___alignof] = ACTIONS(1937),
    [anon_sym__alignof] = ACTIONS(1937),
    [anon_sym_alignof] = ACTIONS(1937),
    [anon_sym__Alignof] = ACTIONS(1937),
    [anon_sym_offsetof] = ACTIONS(1937),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1937),
    [anon_sym___asm__] = ACTIONS(1937),
    [anon_sym___asm] = ACTIONS(1937),
    [sym_number_literal] = ACTIONS(1935),
    [anon_sym_L_SQUOTE] = ACTIONS(1935),
    [anon_sym_u_SQUOTE] = ACTIONS(1935),
    [anon_sym_U_SQUOTE] = ACTIONS(1935),
    [anon_sym_u8_SQUOTE] = ACTIONS(1935),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_L_DQUOTE] = ACTIONS(1935),
    [anon_sym_u_DQUOTE] = ACTIONS(1935),
    [anon_sym_U_DQUOTE] = ACTIONS(1935),
    [anon_sym_u8_DQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1935),
    [sym_true] = ACTIONS(1937),
    [sym_false] = ACTIONS(1937),
    [anon_sym_NULL] = ACTIONS(1937),
    [anon_sym_nullptr] = ACTIONS(1937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1937),
    [anon_sym_decltype] = ACTIONS(1937),
    [anon_sym_explicit] = ACTIONS(1937),
    [anon_sym_typename] = ACTIONS(1937),
    [anon_sym_template] = ACTIONS(1937),
    [anon_sym_operator] = ACTIONS(1937),
    [anon_sym_try] = ACTIONS(1937),
    [anon_sym_delete] = ACTIONS(1937),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_namespace] = ACTIONS(1937),
    [anon_sym_using] = ACTIONS(1937),
    [anon_sym_static_assert] = ACTIONS(1937),
    [anon_sym_concept] = ACTIONS(1937),
    [anon_sym_co_return] = ACTIONS(1937),
    [anon_sym_co_yield] = ACTIONS(1937),
    [anon_sym_catch] = ACTIONS(1937),
    [anon_sym_R_DQUOTE] = ACTIONS(1935),
    [anon_sym_LR_DQUOTE] = ACTIONS(1935),
    [anon_sym_uR_DQUOTE] = ACTIONS(1935),
    [anon_sym_UR_DQUOTE] = ACTIONS(1935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1935),
    [anon_sym_co_await] = ACTIONS(1937),
    [anon_sym_new] = ACTIONS(1937),
    [anon_sym_requires] = ACTIONS(1937),
    [sym_this] = ACTIONS(1937),
    [anon_sym_discard] = ACTIONS(1937),
    [anon_sym_precise] = ACTIONS(1937),
    [anon_sym_shared] = ACTIONS(1937),
    [anon_sym_groupshared] = ACTIONS(1937),
    [anon_sym_uniform] = ACTIONS(1937),
    [anon_sym_row_major] = ACTIONS(1937),
    [anon_sym_column_major] = ACTIONS(1937),
    [anon_sym_globallycoherent] = ACTIONS(1937),
    [anon_sym_centroid] = ACTIONS(1937),
    [anon_sym_noperspective] = ACTIONS(1937),
    [anon_sym_nointerpolation] = ACTIONS(1937),
    [anon_sym_sample] = ACTIONS(1937),
    [anon_sym_linear] = ACTIONS(1937),
    [anon_sym_snorm] = ACTIONS(1937),
    [anon_sym_unorm] = ACTIONS(1937),
    [anon_sym_point] = ACTIONS(1937),
    [anon_sym_line] = ACTIONS(1937),
    [anon_sym_triangleadj] = ACTIONS(1937),
    [anon_sym_lineadj] = ACTIONS(1937),
    [anon_sym_triangle] = ACTIONS(1937),
    [anon_sym_cbuffer] = ACTIONS(1937),
  },
  [181] = {
    [sym_identifier] = ACTIONS(2108),
    [aux_sym_preproc_include_token1] = ACTIONS(2108),
    [aux_sym_preproc_def_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token2] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2108),
    [aux_sym_preproc_else_token1] = ACTIONS(2108),
    [aux_sym_preproc_elif_token1] = ACTIONS(2108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2108),
    [sym_preproc_directive] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2110),
    [anon_sym_TILDE] = ACTIONS(2110),
    [anon_sym_DASH] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_STAR] = ACTIONS(2110),
    [anon_sym_AMP_AMP] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym___extension__] = ACTIONS(2108),
    [anon_sym_typedef] = ACTIONS(2108),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_out] = ACTIONS(2108),
    [anon_sym_inout] = ACTIONS(2108),
    [anon_sym_virtual] = ACTIONS(2108),
    [anon_sym_extern] = ACTIONS(2108),
    [anon_sym___attribute__] = ACTIONS(2108),
    [anon_sym_COLON_COLON] = ACTIONS(2110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2110),
    [anon_sym___declspec] = ACTIONS(2108),
    [anon_sym___based] = ACTIONS(2108),
    [anon_sym___cdecl] = ACTIONS(2108),
    [anon_sym___clrcall] = ACTIONS(2108),
    [anon_sym___stdcall] = ACTIONS(2108),
    [anon_sym___fastcall] = ACTIONS(2108),
    [anon_sym___thiscall] = ACTIONS(2108),
    [anon_sym___vectorcall] = ACTIONS(2108),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_signed] = ACTIONS(2108),
    [anon_sym_unsigned] = ACTIONS(2108),
    [anon_sym_long] = ACTIONS(2108),
    [anon_sym_short] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_register] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(2108),
    [anon_sym___inline] = ACTIONS(2108),
    [anon_sym___inline__] = ACTIONS(2108),
    [anon_sym___forceinline] = ACTIONS(2108),
    [anon_sym_thread_local] = ACTIONS(2108),
    [anon_sym___thread] = ACTIONS(2108),
    [anon_sym_const] = ACTIONS(2108),
    [anon_sym_constexpr] = ACTIONS(2108),
    [anon_sym_volatile] = ACTIONS(2108),
    [anon_sym_restrict] = ACTIONS(2108),
    [anon_sym___restrict__] = ACTIONS(2108),
    [anon_sym__Atomic] = ACTIONS(2108),
    [anon_sym__Noreturn] = ACTIONS(2108),
    [anon_sym_noreturn] = ACTIONS(2108),
    [anon_sym__Nonnull] = ACTIONS(2108),
    [anon_sym_mutable] = ACTIONS(2108),
    [anon_sym_constinit] = ACTIONS(2108),
    [anon_sym_consteval] = ACTIONS(2108),
    [anon_sym_alignas] = ACTIONS(2108),
    [anon_sym__Alignas] = ACTIONS(2108),
    [sym_primitive_type] = ACTIONS(2108),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2108),
    [anon_sym_union] = ACTIONS(2108),
    [anon_sym_if] = ACTIONS(2108),
    [anon_sym_else] = ACTIONS(2108),
    [anon_sym_switch] = ACTIONS(2108),
    [anon_sym_case] = ACTIONS(2108),
    [anon_sym_default] = ACTIONS(2108),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_do] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2108),
    [anon_sym_continue] = ACTIONS(2108),
    [anon_sym_goto] = ACTIONS(2108),
    [anon_sym___try] = ACTIONS(2108),
    [anon_sym___leave] = ACTIONS(2108),
    [anon_sym_not] = ACTIONS(2108),
    [anon_sym_compl] = ACTIONS(2108),
    [anon_sym_DASH_DASH] = ACTIONS(2110),
    [anon_sym_PLUS_PLUS] = ACTIONS(2110),
    [anon_sym_sizeof] = ACTIONS(2108),
    [anon_sym___alignof__] = ACTIONS(2108),
    [anon_sym___alignof] = ACTIONS(2108),
    [anon_sym__alignof] = ACTIONS(2108),
    [anon_sym_alignof] = ACTIONS(2108),
    [anon_sym__Alignof] = ACTIONS(2108),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2108),
    [anon_sym_asm] = ACTIONS(2108),
    [anon_sym___asm__] = ACTIONS(2108),
    [anon_sym___asm] = ACTIONS(2108),
    [sym_number_literal] = ACTIONS(2110),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2108),
    [sym_false] = ACTIONS(2108),
    [anon_sym_NULL] = ACTIONS(2108),
    [anon_sym_nullptr] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2108),
    [anon_sym_decltype] = ACTIONS(2108),
    [anon_sym_explicit] = ACTIONS(2108),
    [anon_sym_typename] = ACTIONS(2108),
    [anon_sym_template] = ACTIONS(2108),
    [anon_sym_operator] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2108),
    [anon_sym_delete] = ACTIONS(2108),
    [anon_sym_throw] = ACTIONS(2108),
    [anon_sym_namespace] = ACTIONS(2108),
    [anon_sym_using] = ACTIONS(2108),
    [anon_sym_static_assert] = ACTIONS(2108),
    [anon_sym_concept] = ACTIONS(2108),
    [anon_sym_co_return] = ACTIONS(2108),
    [anon_sym_co_yield] = ACTIONS(2108),
    [anon_sym_catch] = ACTIONS(2108),
    [anon_sym_R_DQUOTE] = ACTIONS(2110),
    [anon_sym_LR_DQUOTE] = ACTIONS(2110),
    [anon_sym_uR_DQUOTE] = ACTIONS(2110),
    [anon_sym_UR_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2110),
    [anon_sym_co_await] = ACTIONS(2108),
    [anon_sym_new] = ACTIONS(2108),
    [anon_sym_requires] = ACTIONS(2108),
    [sym_this] = ACTIONS(2108),
    [anon_sym_discard] = ACTIONS(2108),
    [anon_sym_precise] = ACTIONS(2108),
    [anon_sym_shared] = ACTIONS(2108),
    [anon_sym_groupshared] = ACTIONS(2108),
    [anon_sym_uniform] = ACTIONS(2108),
    [anon_sym_row_major] = ACTIONS(2108),
    [anon_sym_column_major] = ACTIONS(2108),
    [anon_sym_globallycoherent] = ACTIONS(2108),
    [anon_sym_centroid] = ACTIONS(2108),
    [anon_sym_noperspective] = ACTIONS(2108),
    [anon_sym_nointerpolation] = ACTIONS(2108),
    [anon_sym_sample] = ACTIONS(2108),
    [anon_sym_linear] = ACTIONS(2108),
    [anon_sym_snorm] = ACTIONS(2108),
    [anon_sym_unorm] = ACTIONS(2108),
    [anon_sym_point] = ACTIONS(2108),
    [anon_sym_line] = ACTIONS(2108),
    [anon_sym_triangleadj] = ACTIONS(2108),
    [anon_sym_lineadj] = ACTIONS(2108),
    [anon_sym_triangle] = ACTIONS(2108),
    [anon_sym_cbuffer] = ACTIONS(2108),
  },
  [182] = {
    [sym_template_argument_list] = STATE(336),
    [ts_builtin_sym_end] = ACTIONS(1969),
    [sym_identifier] = ACTIONS(1967),
    [aux_sym_preproc_include_token1] = ACTIONS(1967),
    [aux_sym_preproc_def_token1] = ACTIONS(1967),
    [aux_sym_preproc_if_token1] = ACTIONS(1967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1967),
    [sym_preproc_directive] = ACTIONS(1967),
    [anon_sym_LPAREN2] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_COLON] = ACTIONS(1967),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym___extension__] = ACTIONS(1967),
    [anon_sym_typedef] = ACTIONS(1967),
    [anon_sym_in] = ACTIONS(1967),
    [anon_sym_out] = ACTIONS(1967),
    [anon_sym_inout] = ACTIONS(1967),
    [anon_sym_virtual] = ACTIONS(1967),
    [anon_sym_extern] = ACTIONS(1967),
    [anon_sym___attribute__] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1969),
    [anon_sym___declspec] = ACTIONS(1967),
    [anon_sym___based] = ACTIONS(1967),
    [anon_sym___cdecl] = ACTIONS(1967),
    [anon_sym___clrcall] = ACTIONS(1967),
    [anon_sym___stdcall] = ACTIONS(1967),
    [anon_sym___fastcall] = ACTIONS(1967),
    [anon_sym___thiscall] = ACTIONS(1967),
    [anon_sym___vectorcall] = ACTIONS(1967),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1967),
    [anon_sym_unsigned] = ACTIONS(1967),
    [anon_sym_long] = ACTIONS(1967),
    [anon_sym_short] = ACTIONS(1967),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1967),
    [anon_sym_register] = ACTIONS(1967),
    [anon_sym_inline] = ACTIONS(1967),
    [anon_sym___inline] = ACTIONS(1967),
    [anon_sym___inline__] = ACTIONS(1967),
    [anon_sym___forceinline] = ACTIONS(1967),
    [anon_sym_thread_local] = ACTIONS(1967),
    [anon_sym___thread] = ACTIONS(1967),
    [anon_sym_const] = ACTIONS(1967),
    [anon_sym_constexpr] = ACTIONS(1967),
    [anon_sym_volatile] = ACTIONS(1967),
    [anon_sym_restrict] = ACTIONS(1967),
    [anon_sym___restrict__] = ACTIONS(1967),
    [anon_sym__Atomic] = ACTIONS(1967),
    [anon_sym__Noreturn] = ACTIONS(1967),
    [anon_sym_noreturn] = ACTIONS(1967),
    [anon_sym__Nonnull] = ACTIONS(1967),
    [anon_sym_mutable] = ACTIONS(1967),
    [anon_sym_constinit] = ACTIONS(1967),
    [anon_sym_consteval] = ACTIONS(1967),
    [anon_sym_alignas] = ACTIONS(1967),
    [anon_sym__Alignas] = ACTIONS(1967),
    [sym_primitive_type] = ACTIONS(1967),
    [anon_sym_enum] = ACTIONS(1967),
    [anon_sym_class] = ACTIONS(1967),
    [anon_sym_struct] = ACTIONS(1967),
    [anon_sym_union] = ACTIONS(1967),
    [anon_sym_if] = ACTIONS(1967),
    [anon_sym_else] = ACTIONS(1967),
    [anon_sym_switch] = ACTIONS(1967),
    [anon_sym_case] = ACTIONS(1967),
    [anon_sym_default] = ACTIONS(1967),
    [anon_sym_while] = ACTIONS(1967),
    [anon_sym_do] = ACTIONS(1967),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_return] = ACTIONS(1967),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_continue] = ACTIONS(1967),
    [anon_sym_goto] = ACTIONS(1967),
    [anon_sym___try] = ACTIONS(1967),
    [anon_sym___leave] = ACTIONS(1967),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(1969),
    [anon_sym_PLUS_PLUS] = ACTIONS(1969),
    [anon_sym_sizeof] = ACTIONS(1967),
    [anon_sym___alignof__] = ACTIONS(1967),
    [anon_sym___alignof] = ACTIONS(1967),
    [anon_sym__alignof] = ACTIONS(1967),
    [anon_sym_alignof] = ACTIONS(1967),
    [anon_sym__Alignof] = ACTIONS(1967),
    [anon_sym_offsetof] = ACTIONS(1967),
    [anon_sym__Generic] = ACTIONS(1967),
    [anon_sym_asm] = ACTIONS(1967),
    [anon_sym___asm__] = ACTIONS(1967),
    [anon_sym___asm] = ACTIONS(1967),
    [sym_number_literal] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1969),
    [anon_sym_u_SQUOTE] = ACTIONS(1969),
    [anon_sym_U_SQUOTE] = ACTIONS(1969),
    [anon_sym_u8_SQUOTE] = ACTIONS(1969),
    [anon_sym_SQUOTE] = ACTIONS(1969),
    [anon_sym_L_DQUOTE] = ACTIONS(1969),
    [anon_sym_u_DQUOTE] = ACTIONS(1969),
    [anon_sym_U_DQUOTE] = ACTIONS(1969),
    [anon_sym_u8_DQUOTE] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1969),
    [sym_true] = ACTIONS(1967),
    [sym_false] = ACTIONS(1967),
    [anon_sym_NULL] = ACTIONS(1967),
    [anon_sym_nullptr] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1967),
    [anon_sym_decltype] = ACTIONS(1967),
    [anon_sym_final] = ACTIONS(1967),
    [anon_sym_override] = ACTIONS(1967),
    [anon_sym_explicit] = ACTIONS(1967),
    [anon_sym_typename] = ACTIONS(1967),
    [anon_sym_template] = ACTIONS(1967),
    [anon_sym_operator] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1967),
    [anon_sym_delete] = ACTIONS(1967),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_namespace] = ACTIONS(1967),
    [anon_sym_using] = ACTIONS(1967),
    [anon_sym_static_assert] = ACTIONS(1967),
    [anon_sym_concept] = ACTIONS(1967),
    [anon_sym_co_return] = ACTIONS(1967),
    [anon_sym_co_yield] = ACTIONS(1967),
    [anon_sym_R_DQUOTE] = ACTIONS(1969),
    [anon_sym_LR_DQUOTE] = ACTIONS(1969),
    [anon_sym_uR_DQUOTE] = ACTIONS(1969),
    [anon_sym_UR_DQUOTE] = ACTIONS(1969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1969),
    [anon_sym_co_await] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1967),
    [anon_sym_requires] = ACTIONS(1967),
    [sym_this] = ACTIONS(1967),
    [anon_sym_discard] = ACTIONS(1967),
    [anon_sym_precise] = ACTIONS(1967),
    [anon_sym_shared] = ACTIONS(1967),
    [anon_sym_groupshared] = ACTIONS(1967),
    [anon_sym_uniform] = ACTIONS(1967),
    [anon_sym_row_major] = ACTIONS(1967),
    [anon_sym_column_major] = ACTIONS(1967),
    [anon_sym_globallycoherent] = ACTIONS(1967),
    [anon_sym_centroid] = ACTIONS(1967),
    [anon_sym_noperspective] = ACTIONS(1967),
    [anon_sym_nointerpolation] = ACTIONS(1967),
    [anon_sym_sample] = ACTIONS(1967),
    [anon_sym_linear] = ACTIONS(1967),
    [anon_sym_snorm] = ACTIONS(1967),
    [anon_sym_unorm] = ACTIONS(1967),
    [anon_sym_point] = ACTIONS(1967),
    [anon_sym_line] = ACTIONS(1967),
    [anon_sym_triangleadj] = ACTIONS(1967),
    [anon_sym_lineadj] = ACTIONS(1967),
    [anon_sym_triangle] = ACTIONS(1967),
    [anon_sym_cbuffer] = ACTIONS(1967),
  },
  [183] = {
    [sym_template_argument_list] = STATE(338),
    [sym_identifier] = ACTIONS(1959),
    [aux_sym_preproc_include_token1] = ACTIONS(1959),
    [aux_sym_preproc_def_token1] = ACTIONS(1959),
    [aux_sym_preproc_if_token1] = ACTIONS(1959),
    [aux_sym_preproc_if_token2] = ACTIONS(1959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1959),
    [sym_preproc_directive] = ACTIONS(1959),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1961),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_typedef] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym___cdecl] = ACTIONS(1959),
    [anon_sym___clrcall] = ACTIONS(1959),
    [anon_sym___stdcall] = ACTIONS(1959),
    [anon_sym___fastcall] = ACTIONS(1959),
    [anon_sym___thiscall] = ACTIONS(1959),
    [anon_sym___vectorcall] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_signed] = ACTIONS(1959),
    [anon_sym_unsigned] = ACTIONS(1959),
    [anon_sym_long] = ACTIONS(1959),
    [anon_sym_short] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_primitive_type] = ACTIONS(1959),
    [anon_sym_enum] = ACTIONS(1959),
    [anon_sym_class] = ACTIONS(1959),
    [anon_sym_struct] = ACTIONS(1959),
    [anon_sym_union] = ACTIONS(1959),
    [anon_sym_if] = ACTIONS(1959),
    [anon_sym_else] = ACTIONS(1959),
    [anon_sym_switch] = ACTIONS(1959),
    [anon_sym_case] = ACTIONS(1959),
    [anon_sym_default] = ACTIONS(1959),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_do] = ACTIONS(1959),
    [anon_sym_for] = ACTIONS(1959),
    [anon_sym_return] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(1959),
    [anon_sym_continue] = ACTIONS(1959),
    [anon_sym_goto] = ACTIONS(1959),
    [anon_sym___try] = ACTIONS(1959),
    [anon_sym___leave] = ACTIONS(1959),
    [anon_sym_not] = ACTIONS(1959),
    [anon_sym_compl] = ACTIONS(1959),
    [anon_sym_DASH_DASH] = ACTIONS(1961),
    [anon_sym_PLUS_PLUS] = ACTIONS(1961),
    [anon_sym_sizeof] = ACTIONS(1959),
    [anon_sym___alignof__] = ACTIONS(1959),
    [anon_sym___alignof] = ACTIONS(1959),
    [anon_sym__alignof] = ACTIONS(1959),
    [anon_sym_alignof] = ACTIONS(1959),
    [anon_sym__Alignof] = ACTIONS(1959),
    [anon_sym_offsetof] = ACTIONS(1959),
    [anon_sym__Generic] = ACTIONS(1959),
    [anon_sym_asm] = ACTIONS(1959),
    [anon_sym___asm__] = ACTIONS(1959),
    [anon_sym___asm] = ACTIONS(1959),
    [sym_number_literal] = ACTIONS(1961),
    [anon_sym_L_SQUOTE] = ACTIONS(1961),
    [anon_sym_u_SQUOTE] = ACTIONS(1961),
    [anon_sym_U_SQUOTE] = ACTIONS(1961),
    [anon_sym_u8_SQUOTE] = ACTIONS(1961),
    [anon_sym_SQUOTE] = ACTIONS(1961),
    [anon_sym_L_DQUOTE] = ACTIONS(1961),
    [anon_sym_u_DQUOTE] = ACTIONS(1961),
    [anon_sym_U_DQUOTE] = ACTIONS(1961),
    [anon_sym_u8_DQUOTE] = ACTIONS(1961),
    [anon_sym_DQUOTE] = ACTIONS(1961),
    [sym_true] = ACTIONS(1959),
    [sym_false] = ACTIONS(1959),
    [anon_sym_NULL] = ACTIONS(1959),
    [anon_sym_nullptr] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_final] = ACTIONS(1959),
    [anon_sym_override] = ACTIONS(1959),
    [anon_sym_explicit] = ACTIONS(1959),
    [anon_sym_typename] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_try] = ACTIONS(1959),
    [anon_sym_delete] = ACTIONS(1959),
    [anon_sym_throw] = ACTIONS(1959),
    [anon_sym_namespace] = ACTIONS(1959),
    [anon_sym_using] = ACTIONS(1959),
    [anon_sym_static_assert] = ACTIONS(1959),
    [anon_sym_concept] = ACTIONS(1959),
    [anon_sym_co_return] = ACTIONS(1959),
    [anon_sym_co_yield] = ACTIONS(1959),
    [anon_sym_R_DQUOTE] = ACTIONS(1961),
    [anon_sym_LR_DQUOTE] = ACTIONS(1961),
    [anon_sym_uR_DQUOTE] = ACTIONS(1961),
    [anon_sym_UR_DQUOTE] = ACTIONS(1961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1961),
    [anon_sym_co_await] = ACTIONS(1959),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1959),
    [anon_sym_discard] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
    [anon_sym_cbuffer] = ACTIONS(1959),
  },
  [184] = {
    [sym_template_argument_list] = STATE(338),
    [sym_identifier] = ACTIONS(1967),
    [aux_sym_preproc_include_token1] = ACTIONS(1967),
    [aux_sym_preproc_def_token1] = ACTIONS(1967),
    [aux_sym_preproc_if_token1] = ACTIONS(1967),
    [aux_sym_preproc_if_token2] = ACTIONS(1967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1967),
    [sym_preproc_directive] = ACTIONS(1967),
    [anon_sym_LPAREN2] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_COLON] = ACTIONS(1967),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym___extension__] = ACTIONS(1967),
    [anon_sym_typedef] = ACTIONS(1967),
    [anon_sym_in] = ACTIONS(1967),
    [anon_sym_out] = ACTIONS(1967),
    [anon_sym_inout] = ACTIONS(1967),
    [anon_sym_virtual] = ACTIONS(1967),
    [anon_sym_extern] = ACTIONS(1967),
    [anon_sym___attribute__] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1969),
    [anon_sym___declspec] = ACTIONS(1967),
    [anon_sym___based] = ACTIONS(1967),
    [anon_sym___cdecl] = ACTIONS(1967),
    [anon_sym___clrcall] = ACTIONS(1967),
    [anon_sym___stdcall] = ACTIONS(1967),
    [anon_sym___fastcall] = ACTIONS(1967),
    [anon_sym___thiscall] = ACTIONS(1967),
    [anon_sym___vectorcall] = ACTIONS(1967),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1967),
    [anon_sym_unsigned] = ACTIONS(1967),
    [anon_sym_long] = ACTIONS(1967),
    [anon_sym_short] = ACTIONS(1967),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1967),
    [anon_sym_register] = ACTIONS(1967),
    [anon_sym_inline] = ACTIONS(1967),
    [anon_sym___inline] = ACTIONS(1967),
    [anon_sym___inline__] = ACTIONS(1967),
    [anon_sym___forceinline] = ACTIONS(1967),
    [anon_sym_thread_local] = ACTIONS(1967),
    [anon_sym___thread] = ACTIONS(1967),
    [anon_sym_const] = ACTIONS(1967),
    [anon_sym_constexpr] = ACTIONS(1967),
    [anon_sym_volatile] = ACTIONS(1967),
    [anon_sym_restrict] = ACTIONS(1967),
    [anon_sym___restrict__] = ACTIONS(1967),
    [anon_sym__Atomic] = ACTIONS(1967),
    [anon_sym__Noreturn] = ACTIONS(1967),
    [anon_sym_noreturn] = ACTIONS(1967),
    [anon_sym__Nonnull] = ACTIONS(1967),
    [anon_sym_mutable] = ACTIONS(1967),
    [anon_sym_constinit] = ACTIONS(1967),
    [anon_sym_consteval] = ACTIONS(1967),
    [anon_sym_alignas] = ACTIONS(1967),
    [anon_sym__Alignas] = ACTIONS(1967),
    [sym_primitive_type] = ACTIONS(1967),
    [anon_sym_enum] = ACTIONS(1967),
    [anon_sym_class] = ACTIONS(1967),
    [anon_sym_struct] = ACTIONS(1967),
    [anon_sym_union] = ACTIONS(1967),
    [anon_sym_if] = ACTIONS(1967),
    [anon_sym_else] = ACTIONS(1967),
    [anon_sym_switch] = ACTIONS(1967),
    [anon_sym_case] = ACTIONS(1967),
    [anon_sym_default] = ACTIONS(1967),
    [anon_sym_while] = ACTIONS(1967),
    [anon_sym_do] = ACTIONS(1967),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_return] = ACTIONS(1967),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_continue] = ACTIONS(1967),
    [anon_sym_goto] = ACTIONS(1967),
    [anon_sym___try] = ACTIONS(1967),
    [anon_sym___leave] = ACTIONS(1967),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(1969),
    [anon_sym_PLUS_PLUS] = ACTIONS(1969),
    [anon_sym_sizeof] = ACTIONS(1967),
    [anon_sym___alignof__] = ACTIONS(1967),
    [anon_sym___alignof] = ACTIONS(1967),
    [anon_sym__alignof] = ACTIONS(1967),
    [anon_sym_alignof] = ACTIONS(1967),
    [anon_sym__Alignof] = ACTIONS(1967),
    [anon_sym_offsetof] = ACTIONS(1967),
    [anon_sym__Generic] = ACTIONS(1967),
    [anon_sym_asm] = ACTIONS(1967),
    [anon_sym___asm__] = ACTIONS(1967),
    [anon_sym___asm] = ACTIONS(1967),
    [sym_number_literal] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1969),
    [anon_sym_u_SQUOTE] = ACTIONS(1969),
    [anon_sym_U_SQUOTE] = ACTIONS(1969),
    [anon_sym_u8_SQUOTE] = ACTIONS(1969),
    [anon_sym_SQUOTE] = ACTIONS(1969),
    [anon_sym_L_DQUOTE] = ACTIONS(1969),
    [anon_sym_u_DQUOTE] = ACTIONS(1969),
    [anon_sym_U_DQUOTE] = ACTIONS(1969),
    [anon_sym_u8_DQUOTE] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1969),
    [sym_true] = ACTIONS(1967),
    [sym_false] = ACTIONS(1967),
    [anon_sym_NULL] = ACTIONS(1967),
    [anon_sym_nullptr] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1967),
    [anon_sym_decltype] = ACTIONS(1967),
    [anon_sym_final] = ACTIONS(1967),
    [anon_sym_override] = ACTIONS(1967),
    [anon_sym_explicit] = ACTIONS(1967),
    [anon_sym_typename] = ACTIONS(1967),
    [anon_sym_template] = ACTIONS(1967),
    [anon_sym_operator] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1967),
    [anon_sym_delete] = ACTIONS(1967),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_namespace] = ACTIONS(1967),
    [anon_sym_using] = ACTIONS(1967),
    [anon_sym_static_assert] = ACTIONS(1967),
    [anon_sym_concept] = ACTIONS(1967),
    [anon_sym_co_return] = ACTIONS(1967),
    [anon_sym_co_yield] = ACTIONS(1967),
    [anon_sym_R_DQUOTE] = ACTIONS(1969),
    [anon_sym_LR_DQUOTE] = ACTIONS(1969),
    [anon_sym_uR_DQUOTE] = ACTIONS(1969),
    [anon_sym_UR_DQUOTE] = ACTIONS(1969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1969),
    [anon_sym_co_await] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1967),
    [anon_sym_requires] = ACTIONS(1967),
    [sym_this] = ACTIONS(1967),
    [anon_sym_discard] = ACTIONS(1967),
    [anon_sym_precise] = ACTIONS(1967),
    [anon_sym_shared] = ACTIONS(1967),
    [anon_sym_groupshared] = ACTIONS(1967),
    [anon_sym_uniform] = ACTIONS(1967),
    [anon_sym_row_major] = ACTIONS(1967),
    [anon_sym_column_major] = ACTIONS(1967),
    [anon_sym_globallycoherent] = ACTIONS(1967),
    [anon_sym_centroid] = ACTIONS(1967),
    [anon_sym_noperspective] = ACTIONS(1967),
    [anon_sym_nointerpolation] = ACTIONS(1967),
    [anon_sym_sample] = ACTIONS(1967),
    [anon_sym_linear] = ACTIONS(1967),
    [anon_sym_snorm] = ACTIONS(1967),
    [anon_sym_unorm] = ACTIONS(1967),
    [anon_sym_point] = ACTIONS(1967),
    [anon_sym_line] = ACTIONS(1967),
    [anon_sym_triangleadj] = ACTIONS(1967),
    [anon_sym_lineadj] = ACTIONS(1967),
    [anon_sym_triangle] = ACTIONS(1967),
    [anon_sym_cbuffer] = ACTIONS(1967),
  },
  [185] = {
    [sym_else_clause] = STATE(234),
    [sym_identifier] = ACTIONS(2114),
    [aux_sym_preproc_include_token1] = ACTIONS(2114),
    [aux_sym_preproc_def_token1] = ACTIONS(2114),
    [aux_sym_preproc_if_token1] = ACTIONS(2114),
    [aux_sym_preproc_if_token2] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2114),
    [aux_sym_preproc_else_token1] = ACTIONS(2114),
    [aux_sym_preproc_elif_token1] = ACTIONS(2114),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2114),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2114),
    [sym_preproc_directive] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(2116),
    [anon_sym_TILDE] = ACTIONS(2116),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP_AMP] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2114),
    [anon_sym_SEMI] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(2114),
    [anon_sym_typedef] = ACTIONS(2114),
    [anon_sym_in] = ACTIONS(2114),
    [anon_sym_out] = ACTIONS(2114),
    [anon_sym_inout] = ACTIONS(2114),
    [anon_sym_virtual] = ACTIONS(2114),
    [anon_sym_extern] = ACTIONS(2114),
    [anon_sym___attribute__] = ACTIONS(2114),
    [anon_sym_COLON_COLON] = ACTIONS(2116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2116),
    [anon_sym___declspec] = ACTIONS(2114),
    [anon_sym___based] = ACTIONS(2114),
    [anon_sym___cdecl] = ACTIONS(2114),
    [anon_sym___clrcall] = ACTIONS(2114),
    [anon_sym___stdcall] = ACTIONS(2114),
    [anon_sym___fastcall] = ACTIONS(2114),
    [anon_sym___thiscall] = ACTIONS(2114),
    [anon_sym___vectorcall] = ACTIONS(2114),
    [anon_sym_LBRACE] = ACTIONS(2116),
    [anon_sym_signed] = ACTIONS(2114),
    [anon_sym_unsigned] = ACTIONS(2114),
    [anon_sym_long] = ACTIONS(2114),
    [anon_sym_short] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2114),
    [anon_sym_static] = ACTIONS(2114),
    [anon_sym_register] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(2114),
    [anon_sym___inline] = ACTIONS(2114),
    [anon_sym___inline__] = ACTIONS(2114),
    [anon_sym___forceinline] = ACTIONS(2114),
    [anon_sym_thread_local] = ACTIONS(2114),
    [anon_sym___thread] = ACTIONS(2114),
    [anon_sym_const] = ACTIONS(2114),
    [anon_sym_constexpr] = ACTIONS(2114),
    [anon_sym_volatile] = ACTIONS(2114),
    [anon_sym_restrict] = ACTIONS(2114),
    [anon_sym___restrict__] = ACTIONS(2114),
    [anon_sym__Atomic] = ACTIONS(2114),
    [anon_sym__Noreturn] = ACTIONS(2114),
    [anon_sym_noreturn] = ACTIONS(2114),
    [anon_sym__Nonnull] = ACTIONS(2114),
    [anon_sym_mutable] = ACTIONS(2114),
    [anon_sym_constinit] = ACTIONS(2114),
    [anon_sym_consteval] = ACTIONS(2114),
    [anon_sym_alignas] = ACTIONS(2114),
    [anon_sym__Alignas] = ACTIONS(2114),
    [sym_primitive_type] = ACTIONS(2114),
    [anon_sym_enum] = ACTIONS(2114),
    [anon_sym_class] = ACTIONS(2114),
    [anon_sym_struct] = ACTIONS(2114),
    [anon_sym_union] = ACTIONS(2114),
    [anon_sym_if] = ACTIONS(2114),
    [anon_sym_else] = ACTIONS(2100),
    [anon_sym_switch] = ACTIONS(2114),
    [anon_sym_case] = ACTIONS(2114),
    [anon_sym_default] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2114),
    [anon_sym_do] = ACTIONS(2114),
    [anon_sym_for] = ACTIONS(2114),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_break] = ACTIONS(2114),
    [anon_sym_continue] = ACTIONS(2114),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym___try] = ACTIONS(2114),
    [anon_sym___leave] = ACTIONS(2114),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2116),
    [anon_sym_PLUS_PLUS] = ACTIONS(2116),
    [anon_sym_sizeof] = ACTIONS(2114),
    [anon_sym___alignof__] = ACTIONS(2114),
    [anon_sym___alignof] = ACTIONS(2114),
    [anon_sym__alignof] = ACTIONS(2114),
    [anon_sym_alignof] = ACTIONS(2114),
    [anon_sym__Alignof] = ACTIONS(2114),
    [anon_sym_offsetof] = ACTIONS(2114),
    [anon_sym__Generic] = ACTIONS(2114),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2116),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2116),
    [anon_sym_u_DQUOTE] = ACTIONS(2116),
    [anon_sym_U_DQUOTE] = ACTIONS(2116),
    [anon_sym_u8_DQUOTE] = ACTIONS(2116),
    [anon_sym_DQUOTE] = ACTIONS(2116),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2114),
    [anon_sym_decltype] = ACTIONS(2114),
    [anon_sym_explicit] = ACTIONS(2114),
    [anon_sym_typename] = ACTIONS(2114),
    [anon_sym_template] = ACTIONS(2114),
    [anon_sym_operator] = ACTIONS(2114),
    [anon_sym_try] = ACTIONS(2114),
    [anon_sym_delete] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2114),
    [anon_sym_namespace] = ACTIONS(2114),
    [anon_sym_using] = ACTIONS(2114),
    [anon_sym_static_assert] = ACTIONS(2114),
    [anon_sym_concept] = ACTIONS(2114),
    [anon_sym_co_return] = ACTIONS(2114),
    [anon_sym_co_yield] = ACTIONS(2114),
    [anon_sym_R_DQUOTE] = ACTIONS(2116),
    [anon_sym_LR_DQUOTE] = ACTIONS(2116),
    [anon_sym_uR_DQUOTE] = ACTIONS(2116),
    [anon_sym_UR_DQUOTE] = ACTIONS(2116),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2116),
    [anon_sym_co_await] = ACTIONS(2114),
    [anon_sym_new] = ACTIONS(2114),
    [anon_sym_requires] = ACTIONS(2114),
    [sym_this] = ACTIONS(2114),
    [anon_sym_discard] = ACTIONS(2114),
    [anon_sym_precise] = ACTIONS(2114),
    [anon_sym_shared] = ACTIONS(2114),
    [anon_sym_groupshared] = ACTIONS(2114),
    [anon_sym_uniform] = ACTIONS(2114),
    [anon_sym_row_major] = ACTIONS(2114),
    [anon_sym_column_major] = ACTIONS(2114),
    [anon_sym_globallycoherent] = ACTIONS(2114),
    [anon_sym_centroid] = ACTIONS(2114),
    [anon_sym_noperspective] = ACTIONS(2114),
    [anon_sym_nointerpolation] = ACTIONS(2114),
    [anon_sym_sample] = ACTIONS(2114),
    [anon_sym_linear] = ACTIONS(2114),
    [anon_sym_snorm] = ACTIONS(2114),
    [anon_sym_unorm] = ACTIONS(2114),
    [anon_sym_point] = ACTIONS(2114),
    [anon_sym_line] = ACTIONS(2114),
    [anon_sym_triangleadj] = ACTIONS(2114),
    [anon_sym_lineadj] = ACTIONS(2114),
    [anon_sym_triangle] = ACTIONS(2114),
    [anon_sym_cbuffer] = ACTIONS(2114),
  },
  [186] = {
    [sym_identifier] = ACTIONS(2118),
    [aux_sym_preproc_include_token1] = ACTIONS(2118),
    [aux_sym_preproc_def_token1] = ACTIONS(2118),
    [aux_sym_preproc_if_token1] = ACTIONS(2118),
    [aux_sym_preproc_if_token2] = ACTIONS(2118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2118),
    [aux_sym_preproc_else_token1] = ACTIONS(2118),
    [aux_sym_preproc_elif_token1] = ACTIONS(2118),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2118),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2118),
    [sym_preproc_directive] = ACTIONS(2118),
    [anon_sym_LPAREN2] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(2120),
    [anon_sym_TILDE] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2118),
    [anon_sym_PLUS] = ACTIONS(2118),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_AMP_AMP] = ACTIONS(2120),
    [anon_sym_AMP] = ACTIONS(2118),
    [anon_sym_SEMI] = ACTIONS(2120),
    [anon_sym___extension__] = ACTIONS(2118),
    [anon_sym_typedef] = ACTIONS(2118),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_virtual] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(2118),
    [anon_sym___attribute__] = ACTIONS(2118),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2120),
    [anon_sym___declspec] = ACTIONS(2118),
    [anon_sym___based] = ACTIONS(2118),
    [anon_sym___cdecl] = ACTIONS(2118),
    [anon_sym___clrcall] = ACTIONS(2118),
    [anon_sym___stdcall] = ACTIONS(2118),
    [anon_sym___fastcall] = ACTIONS(2118),
    [anon_sym___thiscall] = ACTIONS(2118),
    [anon_sym___vectorcall] = ACTIONS(2118),
    [anon_sym_LBRACE] = ACTIONS(2120),
    [anon_sym_signed] = ACTIONS(2118),
    [anon_sym_unsigned] = ACTIONS(2118),
    [anon_sym_long] = ACTIONS(2118),
    [anon_sym_short] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(2118),
    [anon_sym_static] = ACTIONS(2118),
    [anon_sym_register] = ACTIONS(2118),
    [anon_sym_inline] = ACTIONS(2118),
    [anon_sym___inline] = ACTIONS(2118),
    [anon_sym___inline__] = ACTIONS(2118),
    [anon_sym___forceinline] = ACTIONS(2118),
    [anon_sym_thread_local] = ACTIONS(2118),
    [anon_sym___thread] = ACTIONS(2118),
    [anon_sym_const] = ACTIONS(2118),
    [anon_sym_constexpr] = ACTIONS(2118),
    [anon_sym_volatile] = ACTIONS(2118),
    [anon_sym_restrict] = ACTIONS(2118),
    [anon_sym___restrict__] = ACTIONS(2118),
    [anon_sym__Atomic] = ACTIONS(2118),
    [anon_sym__Noreturn] = ACTIONS(2118),
    [anon_sym_noreturn] = ACTIONS(2118),
    [anon_sym__Nonnull] = ACTIONS(2118),
    [anon_sym_mutable] = ACTIONS(2118),
    [anon_sym_constinit] = ACTIONS(2118),
    [anon_sym_consteval] = ACTIONS(2118),
    [anon_sym_alignas] = ACTIONS(2118),
    [anon_sym__Alignas] = ACTIONS(2118),
    [sym_primitive_type] = ACTIONS(2118),
    [anon_sym_enum] = ACTIONS(2118),
    [anon_sym_class] = ACTIONS(2118),
    [anon_sym_struct] = ACTIONS(2118),
    [anon_sym_union] = ACTIONS(2118),
    [anon_sym_if] = ACTIONS(2118),
    [anon_sym_else] = ACTIONS(2118),
    [anon_sym_switch] = ACTIONS(2118),
    [anon_sym_case] = ACTIONS(2118),
    [anon_sym_default] = ACTIONS(2118),
    [anon_sym_while] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_for] = ACTIONS(2118),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_break] = ACTIONS(2118),
    [anon_sym_continue] = ACTIONS(2118),
    [anon_sym_goto] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2118),
    [anon_sym___leave] = ACTIONS(2118),
    [anon_sym_not] = ACTIONS(2118),
    [anon_sym_compl] = ACTIONS(2118),
    [anon_sym_DASH_DASH] = ACTIONS(2120),
    [anon_sym_PLUS_PLUS] = ACTIONS(2120),
    [anon_sym_sizeof] = ACTIONS(2118),
    [anon_sym___alignof__] = ACTIONS(2118),
    [anon_sym___alignof] = ACTIONS(2118),
    [anon_sym__alignof] = ACTIONS(2118),
    [anon_sym_alignof] = ACTIONS(2118),
    [anon_sym__Alignof] = ACTIONS(2118),
    [anon_sym_offsetof] = ACTIONS(2118),
    [anon_sym__Generic] = ACTIONS(2118),
    [anon_sym_asm] = ACTIONS(2118),
    [anon_sym___asm__] = ACTIONS(2118),
    [anon_sym___asm] = ACTIONS(2118),
    [sym_number_literal] = ACTIONS(2120),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2120),
    [anon_sym_u_DQUOTE] = ACTIONS(2120),
    [anon_sym_U_DQUOTE] = ACTIONS(2120),
    [anon_sym_u8_DQUOTE] = ACTIONS(2120),
    [anon_sym_DQUOTE] = ACTIONS(2120),
    [sym_true] = ACTIONS(2118),
    [sym_false] = ACTIONS(2118),
    [anon_sym_NULL] = ACTIONS(2118),
    [anon_sym_nullptr] = ACTIONS(2118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_explicit] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2118),
    [anon_sym_template] = ACTIONS(2118),
    [anon_sym_operator] = ACTIONS(2118),
    [anon_sym_try] = ACTIONS(2118),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_namespace] = ACTIONS(2118),
    [anon_sym_using] = ACTIONS(2118),
    [anon_sym_static_assert] = ACTIONS(2118),
    [anon_sym_concept] = ACTIONS(2118),
    [anon_sym_co_return] = ACTIONS(2118),
    [anon_sym_co_yield] = ACTIONS(2118),
    [anon_sym_R_DQUOTE] = ACTIONS(2120),
    [anon_sym_LR_DQUOTE] = ACTIONS(2120),
    [anon_sym_uR_DQUOTE] = ACTIONS(2120),
    [anon_sym_UR_DQUOTE] = ACTIONS(2120),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2120),
    [anon_sym_co_await] = ACTIONS(2118),
    [anon_sym_new] = ACTIONS(2118),
    [anon_sym_requires] = ACTIONS(2118),
    [sym_this] = ACTIONS(2118),
    [anon_sym_discard] = ACTIONS(2118),
    [anon_sym_precise] = ACTIONS(2118),
    [anon_sym_shared] = ACTIONS(2118),
    [anon_sym_groupshared] = ACTIONS(2118),
    [anon_sym_uniform] = ACTIONS(2118),
    [anon_sym_row_major] = ACTIONS(2118),
    [anon_sym_column_major] = ACTIONS(2118),
    [anon_sym_globallycoherent] = ACTIONS(2118),
    [anon_sym_centroid] = ACTIONS(2118),
    [anon_sym_noperspective] = ACTIONS(2118),
    [anon_sym_nointerpolation] = ACTIONS(2118),
    [anon_sym_sample] = ACTIONS(2118),
    [anon_sym_linear] = ACTIONS(2118),
    [anon_sym_snorm] = ACTIONS(2118),
    [anon_sym_unorm] = ACTIONS(2118),
    [anon_sym_point] = ACTIONS(2118),
    [anon_sym_line] = ACTIONS(2118),
    [anon_sym_triangleadj] = ACTIONS(2118),
    [anon_sym_lineadj] = ACTIONS(2118),
    [anon_sym_triangle] = ACTIONS(2118),
    [anon_sym_cbuffer] = ACTIONS(2118),
  },
  [187] = {
    [sym_identifier] = ACTIONS(2122),
    [aux_sym_preproc_include_token1] = ACTIONS(2122),
    [aux_sym_preproc_def_token1] = ACTIONS(2122),
    [aux_sym_preproc_if_token1] = ACTIONS(2122),
    [aux_sym_preproc_if_token2] = ACTIONS(2122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2122),
    [aux_sym_preproc_else_token1] = ACTIONS(2122),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2122),
    [sym_preproc_directive] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2122),
    [anon_sym_PLUS] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2122),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym___extension__] = ACTIONS(2122),
    [anon_sym_typedef] = ACTIONS(2122),
    [anon_sym_in] = ACTIONS(2122),
    [anon_sym_out] = ACTIONS(2122),
    [anon_sym_inout] = ACTIONS(2122),
    [anon_sym_virtual] = ACTIONS(2122),
    [anon_sym_extern] = ACTIONS(2122),
    [anon_sym___attribute__] = ACTIONS(2122),
    [anon_sym_COLON_COLON] = ACTIONS(2124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2124),
    [anon_sym___declspec] = ACTIONS(2122),
    [anon_sym___based] = ACTIONS(2122),
    [anon_sym___cdecl] = ACTIONS(2122),
    [anon_sym___clrcall] = ACTIONS(2122),
    [anon_sym___stdcall] = ACTIONS(2122),
    [anon_sym___fastcall] = ACTIONS(2122),
    [anon_sym___thiscall] = ACTIONS(2122),
    [anon_sym___vectorcall] = ACTIONS(2122),
    [anon_sym_LBRACE] = ACTIONS(2124),
    [anon_sym_signed] = ACTIONS(2122),
    [anon_sym_unsigned] = ACTIONS(2122),
    [anon_sym_long] = ACTIONS(2122),
    [anon_sym_short] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_static] = ACTIONS(2122),
    [anon_sym_register] = ACTIONS(2122),
    [anon_sym_inline] = ACTIONS(2122),
    [anon_sym___inline] = ACTIONS(2122),
    [anon_sym___inline__] = ACTIONS(2122),
    [anon_sym___forceinline] = ACTIONS(2122),
    [anon_sym_thread_local] = ACTIONS(2122),
    [anon_sym___thread] = ACTIONS(2122),
    [anon_sym_const] = ACTIONS(2122),
    [anon_sym_constexpr] = ACTIONS(2122),
    [anon_sym_volatile] = ACTIONS(2122),
    [anon_sym_restrict] = ACTIONS(2122),
    [anon_sym___restrict__] = ACTIONS(2122),
    [anon_sym__Atomic] = ACTIONS(2122),
    [anon_sym__Noreturn] = ACTIONS(2122),
    [anon_sym_noreturn] = ACTIONS(2122),
    [anon_sym__Nonnull] = ACTIONS(2122),
    [anon_sym_mutable] = ACTIONS(2122),
    [anon_sym_constinit] = ACTIONS(2122),
    [anon_sym_consteval] = ACTIONS(2122),
    [anon_sym_alignas] = ACTIONS(2122),
    [anon_sym__Alignas] = ACTIONS(2122),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2122),
    [anon_sym_class] = ACTIONS(2122),
    [anon_sym_struct] = ACTIONS(2122),
    [anon_sym_union] = ACTIONS(2122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_else] = ACTIONS(2122),
    [anon_sym_switch] = ACTIONS(2122),
    [anon_sym_case] = ACTIONS(2122),
    [anon_sym_default] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_do] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2122),
    [anon_sym_return] = ACTIONS(2122),
    [anon_sym_break] = ACTIONS(2122),
    [anon_sym_continue] = ACTIONS(2122),
    [anon_sym_goto] = ACTIONS(2122),
    [anon_sym___try] = ACTIONS(2122),
    [anon_sym___leave] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2122),
    [anon_sym_compl] = ACTIONS(2122),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_sizeof] = ACTIONS(2122),
    [anon_sym___alignof__] = ACTIONS(2122),
    [anon_sym___alignof] = ACTIONS(2122),
    [anon_sym__alignof] = ACTIONS(2122),
    [anon_sym_alignof] = ACTIONS(2122),
    [anon_sym__Alignof] = ACTIONS(2122),
    [anon_sym_offsetof] = ACTIONS(2122),
    [anon_sym__Generic] = ACTIONS(2122),
    [anon_sym_asm] = ACTIONS(2122),
    [anon_sym___asm__] = ACTIONS(2122),
    [anon_sym___asm] = ACTIONS(2122),
    [sym_number_literal] = ACTIONS(2124),
    [anon_sym_L_SQUOTE] = ACTIONS(2124),
    [anon_sym_u_SQUOTE] = ACTIONS(2124),
    [anon_sym_U_SQUOTE] = ACTIONS(2124),
    [anon_sym_u8_SQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [anon_sym_L_DQUOTE] = ACTIONS(2124),
    [anon_sym_u_DQUOTE] = ACTIONS(2124),
    [anon_sym_U_DQUOTE] = ACTIONS(2124),
    [anon_sym_u8_DQUOTE] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2122),
    [anon_sym_nullptr] = ACTIONS(2122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2122),
    [anon_sym_decltype] = ACTIONS(2122),
    [anon_sym_explicit] = ACTIONS(2122),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(2122),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_try] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2122),
    [anon_sym_throw] = ACTIONS(2122),
    [anon_sym_namespace] = ACTIONS(2122),
    [anon_sym_using] = ACTIONS(2122),
    [anon_sym_static_assert] = ACTIONS(2122),
    [anon_sym_concept] = ACTIONS(2122),
    [anon_sym_co_return] = ACTIONS(2122),
    [anon_sym_co_yield] = ACTIONS(2122),
    [anon_sym_R_DQUOTE] = ACTIONS(2124),
    [anon_sym_LR_DQUOTE] = ACTIONS(2124),
    [anon_sym_uR_DQUOTE] = ACTIONS(2124),
    [anon_sym_UR_DQUOTE] = ACTIONS(2124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2124),
    [anon_sym_co_await] = ACTIONS(2122),
    [anon_sym_new] = ACTIONS(2122),
    [anon_sym_requires] = ACTIONS(2122),
    [sym_this] = ACTIONS(2122),
    [anon_sym_discard] = ACTIONS(2122),
    [anon_sym_precise] = ACTIONS(2122),
    [anon_sym_shared] = ACTIONS(2122),
    [anon_sym_groupshared] = ACTIONS(2122),
    [anon_sym_uniform] = ACTIONS(2122),
    [anon_sym_row_major] = ACTIONS(2122),
    [anon_sym_column_major] = ACTIONS(2122),
    [anon_sym_globallycoherent] = ACTIONS(2122),
    [anon_sym_centroid] = ACTIONS(2122),
    [anon_sym_noperspective] = ACTIONS(2122),
    [anon_sym_nointerpolation] = ACTIONS(2122),
    [anon_sym_sample] = ACTIONS(2122),
    [anon_sym_linear] = ACTIONS(2122),
    [anon_sym_snorm] = ACTIONS(2122),
    [anon_sym_unorm] = ACTIONS(2122),
    [anon_sym_point] = ACTIONS(2122),
    [anon_sym_line] = ACTIONS(2122),
    [anon_sym_triangleadj] = ACTIONS(2122),
    [anon_sym_lineadj] = ACTIONS(2122),
    [anon_sym_triangle] = ACTIONS(2122),
    [anon_sym_cbuffer] = ACTIONS(2122),
  },
  [188] = {
    [sym_identifier] = ACTIONS(2126),
    [aux_sym_preproc_include_token1] = ACTIONS(2126),
    [aux_sym_preproc_def_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token2] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2126),
    [aux_sym_preproc_else_token1] = ACTIONS(2126),
    [aux_sym_preproc_elif_token1] = ACTIONS(2126),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2126),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2126),
    [sym_preproc_directive] = ACTIONS(2126),
    [anon_sym_LPAREN2] = ACTIONS(2128),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_DASH] = ACTIONS(2126),
    [anon_sym_PLUS] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_AMP_AMP] = ACTIONS(2128),
    [anon_sym_AMP] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2126),
    [anon_sym_in] = ACTIONS(2126),
    [anon_sym_out] = ACTIONS(2126),
    [anon_sym_inout] = ACTIONS(2126),
    [anon_sym_virtual] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2126),
    [anon_sym___attribute__] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2128),
    [anon_sym___declspec] = ACTIONS(2126),
    [anon_sym___based] = ACTIONS(2126),
    [anon_sym___cdecl] = ACTIONS(2126),
    [anon_sym___clrcall] = ACTIONS(2126),
    [anon_sym___stdcall] = ACTIONS(2126),
    [anon_sym___fastcall] = ACTIONS(2126),
    [anon_sym___thiscall] = ACTIONS(2126),
    [anon_sym___vectorcall] = ACTIONS(2126),
    [anon_sym_LBRACE] = ACTIONS(2128),
    [anon_sym_signed] = ACTIONS(2126),
    [anon_sym_unsigned] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_register] = ACTIONS(2126),
    [anon_sym_inline] = ACTIONS(2126),
    [anon_sym___inline] = ACTIONS(2126),
    [anon_sym___inline__] = ACTIONS(2126),
    [anon_sym___forceinline] = ACTIONS(2126),
    [anon_sym_thread_local] = ACTIONS(2126),
    [anon_sym___thread] = ACTIONS(2126),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_constexpr] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_restrict] = ACTIONS(2126),
    [anon_sym___restrict__] = ACTIONS(2126),
    [anon_sym__Atomic] = ACTIONS(2126),
    [anon_sym__Noreturn] = ACTIONS(2126),
    [anon_sym_noreturn] = ACTIONS(2126),
    [anon_sym__Nonnull] = ACTIONS(2126),
    [anon_sym_mutable] = ACTIONS(2126),
    [anon_sym_constinit] = ACTIONS(2126),
    [anon_sym_consteval] = ACTIONS(2126),
    [anon_sym_alignas] = ACTIONS(2126),
    [anon_sym__Alignas] = ACTIONS(2126),
    [sym_primitive_type] = ACTIONS(2126),
    [anon_sym_enum] = ACTIONS(2126),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2126),
    [anon_sym_union] = ACTIONS(2126),
    [anon_sym_if] = ACTIONS(2126),
    [anon_sym_else] = ACTIONS(2126),
    [anon_sym_switch] = ACTIONS(2126),
    [anon_sym_case] = ACTIONS(2126),
    [anon_sym_default] = ACTIONS(2126),
    [anon_sym_while] = ACTIONS(2126),
    [anon_sym_do] = ACTIONS(2126),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_return] = ACTIONS(2126),
    [anon_sym_break] = ACTIONS(2126),
    [anon_sym_continue] = ACTIONS(2126),
    [anon_sym_goto] = ACTIONS(2126),
    [anon_sym___try] = ACTIONS(2126),
    [anon_sym___leave] = ACTIONS(2126),
    [anon_sym_not] = ACTIONS(2126),
    [anon_sym_compl] = ACTIONS(2126),
    [anon_sym_DASH_DASH] = ACTIONS(2128),
    [anon_sym_PLUS_PLUS] = ACTIONS(2128),
    [anon_sym_sizeof] = ACTIONS(2126),
    [anon_sym___alignof__] = ACTIONS(2126),
    [anon_sym___alignof] = ACTIONS(2126),
    [anon_sym__alignof] = ACTIONS(2126),
    [anon_sym_alignof] = ACTIONS(2126),
    [anon_sym__Alignof] = ACTIONS(2126),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2126),
    [anon_sym___asm__] = ACTIONS(2126),
    [anon_sym___asm] = ACTIONS(2126),
    [sym_number_literal] = ACTIONS(2128),
    [anon_sym_L_SQUOTE] = ACTIONS(2128),
    [anon_sym_u_SQUOTE] = ACTIONS(2128),
    [anon_sym_U_SQUOTE] = ACTIONS(2128),
    [anon_sym_u8_SQUOTE] = ACTIONS(2128),
    [anon_sym_SQUOTE] = ACTIONS(2128),
    [anon_sym_L_DQUOTE] = ACTIONS(2128),
    [anon_sym_u_DQUOTE] = ACTIONS(2128),
    [anon_sym_U_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8_DQUOTE] = ACTIONS(2128),
    [anon_sym_DQUOTE] = ACTIONS(2128),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2126),
    [anon_sym_nullptr] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2126),
    [anon_sym_decltype] = ACTIONS(2126),
    [anon_sym_explicit] = ACTIONS(2126),
    [anon_sym_typename] = ACTIONS(2126),
    [anon_sym_template] = ACTIONS(2126),
    [anon_sym_operator] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_throw] = ACTIONS(2126),
    [anon_sym_namespace] = ACTIONS(2126),
    [anon_sym_using] = ACTIONS(2126),
    [anon_sym_static_assert] = ACTIONS(2126),
    [anon_sym_concept] = ACTIONS(2126),
    [anon_sym_co_return] = ACTIONS(2126),
    [anon_sym_co_yield] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(2126),
    [anon_sym_requires] = ACTIONS(2126),
    [sym_this] = ACTIONS(2126),
    [anon_sym_discard] = ACTIONS(2126),
    [anon_sym_precise] = ACTIONS(2126),
    [anon_sym_shared] = ACTIONS(2126),
    [anon_sym_groupshared] = ACTIONS(2126),
    [anon_sym_uniform] = ACTIONS(2126),
    [anon_sym_row_major] = ACTIONS(2126),
    [anon_sym_column_major] = ACTIONS(2126),
    [anon_sym_globallycoherent] = ACTIONS(2126),
    [anon_sym_centroid] = ACTIONS(2126),
    [anon_sym_noperspective] = ACTIONS(2126),
    [anon_sym_nointerpolation] = ACTIONS(2126),
    [anon_sym_sample] = ACTIONS(2126),
    [anon_sym_linear] = ACTIONS(2126),
    [anon_sym_snorm] = ACTIONS(2126),
    [anon_sym_unorm] = ACTIONS(2126),
    [anon_sym_point] = ACTIONS(2126),
    [anon_sym_line] = ACTIONS(2126),
    [anon_sym_triangleadj] = ACTIONS(2126),
    [anon_sym_lineadj] = ACTIONS(2126),
    [anon_sym_triangle] = ACTIONS(2126),
    [anon_sym_cbuffer] = ACTIONS(2126),
  },
  [189] = {
    [sym_identifier] = ACTIONS(2130),
    [aux_sym_preproc_include_token1] = ACTIONS(2130),
    [aux_sym_preproc_def_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token2] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2130),
    [aux_sym_preproc_else_token1] = ACTIONS(2130),
    [aux_sym_preproc_elif_token1] = ACTIONS(2130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2130),
    [sym_preproc_directive] = ACTIONS(2130),
    [anon_sym_LPAREN2] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_DASH] = ACTIONS(2130),
    [anon_sym_PLUS] = ACTIONS(2130),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_AMP_AMP] = ACTIONS(2132),
    [anon_sym_AMP] = ACTIONS(2130),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym___extension__] = ACTIONS(2130),
    [anon_sym_typedef] = ACTIONS(2130),
    [anon_sym_in] = ACTIONS(2130),
    [anon_sym_out] = ACTIONS(2130),
    [anon_sym_inout] = ACTIONS(2130),
    [anon_sym_virtual] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2130),
    [anon_sym___attribute__] = ACTIONS(2130),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2132),
    [anon_sym___declspec] = ACTIONS(2130),
    [anon_sym___based] = ACTIONS(2130),
    [anon_sym___cdecl] = ACTIONS(2130),
    [anon_sym___clrcall] = ACTIONS(2130),
    [anon_sym___stdcall] = ACTIONS(2130),
    [anon_sym___fastcall] = ACTIONS(2130),
    [anon_sym___thiscall] = ACTIONS(2130),
    [anon_sym___vectorcall] = ACTIONS(2130),
    [anon_sym_LBRACE] = ACTIONS(2132),
    [anon_sym_signed] = ACTIONS(2130),
    [anon_sym_unsigned] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [anon_sym_register] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2130),
    [anon_sym___inline] = ACTIONS(2130),
    [anon_sym___inline__] = ACTIONS(2130),
    [anon_sym___forceinline] = ACTIONS(2130),
    [anon_sym_thread_local] = ACTIONS(2130),
    [anon_sym___thread] = ACTIONS(2130),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_constexpr] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_restrict] = ACTIONS(2130),
    [anon_sym___restrict__] = ACTIONS(2130),
    [anon_sym__Atomic] = ACTIONS(2130),
    [anon_sym__Noreturn] = ACTIONS(2130),
    [anon_sym_noreturn] = ACTIONS(2130),
    [anon_sym__Nonnull] = ACTIONS(2130),
    [anon_sym_mutable] = ACTIONS(2130),
    [anon_sym_constinit] = ACTIONS(2130),
    [anon_sym_consteval] = ACTIONS(2130),
    [anon_sym_alignas] = ACTIONS(2130),
    [anon_sym__Alignas] = ACTIONS(2130),
    [sym_primitive_type] = ACTIONS(2130),
    [anon_sym_enum] = ACTIONS(2130),
    [anon_sym_class] = ACTIONS(2130),
    [anon_sym_struct] = ACTIONS(2130),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_if] = ACTIONS(2130),
    [anon_sym_else] = ACTIONS(2130),
    [anon_sym_switch] = ACTIONS(2130),
    [anon_sym_case] = ACTIONS(2130),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2130),
    [anon_sym_do] = ACTIONS(2130),
    [anon_sym_for] = ACTIONS(2130),
    [anon_sym_return] = ACTIONS(2130),
    [anon_sym_break] = ACTIONS(2130),
    [anon_sym_continue] = ACTIONS(2130),
    [anon_sym_goto] = ACTIONS(2130),
    [anon_sym___try] = ACTIONS(2130),
    [anon_sym___leave] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2130),
    [anon_sym_compl] = ACTIONS(2130),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2130),
    [anon_sym___alignof__] = ACTIONS(2130),
    [anon_sym___alignof] = ACTIONS(2130),
    [anon_sym__alignof] = ACTIONS(2130),
    [anon_sym_alignof] = ACTIONS(2130),
    [anon_sym__Alignof] = ACTIONS(2130),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2130),
    [anon_sym_asm] = ACTIONS(2130),
    [anon_sym___asm__] = ACTIONS(2130),
    [anon_sym___asm] = ACTIONS(2130),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2132),
    [anon_sym_u_SQUOTE] = ACTIONS(2132),
    [anon_sym_U_SQUOTE] = ACTIONS(2132),
    [anon_sym_u8_SQUOTE] = ACTIONS(2132),
    [anon_sym_SQUOTE] = ACTIONS(2132),
    [anon_sym_L_DQUOTE] = ACTIONS(2132),
    [anon_sym_u_DQUOTE] = ACTIONS(2132),
    [anon_sym_U_DQUOTE] = ACTIONS(2132),
    [anon_sym_u8_DQUOTE] = ACTIONS(2132),
    [anon_sym_DQUOTE] = ACTIONS(2132),
    [sym_true] = ACTIONS(2130),
    [sym_false] = ACTIONS(2130),
    [anon_sym_NULL] = ACTIONS(2130),
    [anon_sym_nullptr] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2130),
    [anon_sym_decltype] = ACTIONS(2130),
    [anon_sym_explicit] = ACTIONS(2130),
    [anon_sym_typename] = ACTIONS(2130),
    [anon_sym_template] = ACTIONS(2130),
    [anon_sym_operator] = ACTIONS(2130),
    [anon_sym_try] = ACTIONS(2130),
    [anon_sym_delete] = ACTIONS(2130),
    [anon_sym_throw] = ACTIONS(2130),
    [anon_sym_namespace] = ACTIONS(2130),
    [anon_sym_using] = ACTIONS(2130),
    [anon_sym_static_assert] = ACTIONS(2130),
    [anon_sym_concept] = ACTIONS(2130),
    [anon_sym_co_return] = ACTIONS(2130),
    [anon_sym_co_yield] = ACTIONS(2130),
    [anon_sym_R_DQUOTE] = ACTIONS(2132),
    [anon_sym_LR_DQUOTE] = ACTIONS(2132),
    [anon_sym_uR_DQUOTE] = ACTIONS(2132),
    [anon_sym_UR_DQUOTE] = ACTIONS(2132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2132),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2130),
    [sym_this] = ACTIONS(2130),
    [anon_sym_discard] = ACTIONS(2130),
    [anon_sym_precise] = ACTIONS(2130),
    [anon_sym_shared] = ACTIONS(2130),
    [anon_sym_groupshared] = ACTIONS(2130),
    [anon_sym_uniform] = ACTIONS(2130),
    [anon_sym_row_major] = ACTIONS(2130),
    [anon_sym_column_major] = ACTIONS(2130),
    [anon_sym_globallycoherent] = ACTIONS(2130),
    [anon_sym_centroid] = ACTIONS(2130),
    [anon_sym_noperspective] = ACTIONS(2130),
    [anon_sym_nointerpolation] = ACTIONS(2130),
    [anon_sym_sample] = ACTIONS(2130),
    [anon_sym_linear] = ACTIONS(2130),
    [anon_sym_snorm] = ACTIONS(2130),
    [anon_sym_unorm] = ACTIONS(2130),
    [anon_sym_point] = ACTIONS(2130),
    [anon_sym_line] = ACTIONS(2130),
    [anon_sym_triangleadj] = ACTIONS(2130),
    [anon_sym_lineadj] = ACTIONS(2130),
    [anon_sym_triangle] = ACTIONS(2130),
    [anon_sym_cbuffer] = ACTIONS(2130),
  },
  [190] = {
    [sym_identifier] = ACTIONS(2134),
    [aux_sym_preproc_include_token1] = ACTIONS(2134),
    [aux_sym_preproc_def_token1] = ACTIONS(2134),
    [aux_sym_preproc_if_token1] = ACTIONS(2134),
    [aux_sym_preproc_if_token2] = ACTIONS(2134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2134),
    [aux_sym_preproc_else_token1] = ACTIONS(2134),
    [aux_sym_preproc_elif_token1] = ACTIONS(2134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2134),
    [sym_preproc_directive] = ACTIONS(2134),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2136),
    [anon_sym_TILDE] = ACTIONS(2136),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym___extension__] = ACTIONS(2134),
    [anon_sym_typedef] = ACTIONS(2134),
    [anon_sym_in] = ACTIONS(2134),
    [anon_sym_out] = ACTIONS(2134),
    [anon_sym_inout] = ACTIONS(2134),
    [anon_sym_virtual] = ACTIONS(2134),
    [anon_sym_extern] = ACTIONS(2134),
    [anon_sym___attribute__] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2136),
    [anon_sym___declspec] = ACTIONS(2134),
    [anon_sym___based] = ACTIONS(2134),
    [anon_sym___cdecl] = ACTIONS(2134),
    [anon_sym___clrcall] = ACTIONS(2134),
    [anon_sym___stdcall] = ACTIONS(2134),
    [anon_sym___fastcall] = ACTIONS(2134),
    [anon_sym___thiscall] = ACTIONS(2134),
    [anon_sym___vectorcall] = ACTIONS(2134),
    [anon_sym_LBRACE] = ACTIONS(2136),
    [anon_sym_signed] = ACTIONS(2134),
    [anon_sym_unsigned] = ACTIONS(2134),
    [anon_sym_long] = ACTIONS(2134),
    [anon_sym_short] = ACTIONS(2134),
    [anon_sym_LBRACK] = ACTIONS(2134),
    [anon_sym_static] = ACTIONS(2134),
    [anon_sym_register] = ACTIONS(2134),
    [anon_sym_inline] = ACTIONS(2134),
    [anon_sym___inline] = ACTIONS(2134),
    [anon_sym___inline__] = ACTIONS(2134),
    [anon_sym___forceinline] = ACTIONS(2134),
    [anon_sym_thread_local] = ACTIONS(2134),
    [anon_sym___thread] = ACTIONS(2134),
    [anon_sym_const] = ACTIONS(2134),
    [anon_sym_constexpr] = ACTIONS(2134),
    [anon_sym_volatile] = ACTIONS(2134),
    [anon_sym_restrict] = ACTIONS(2134),
    [anon_sym___restrict__] = ACTIONS(2134),
    [anon_sym__Atomic] = ACTIONS(2134),
    [anon_sym__Noreturn] = ACTIONS(2134),
    [anon_sym_noreturn] = ACTIONS(2134),
    [anon_sym__Nonnull] = ACTIONS(2134),
    [anon_sym_mutable] = ACTIONS(2134),
    [anon_sym_constinit] = ACTIONS(2134),
    [anon_sym_consteval] = ACTIONS(2134),
    [anon_sym_alignas] = ACTIONS(2134),
    [anon_sym__Alignas] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2134),
    [anon_sym_enum] = ACTIONS(2134),
    [anon_sym_class] = ACTIONS(2134),
    [anon_sym_struct] = ACTIONS(2134),
    [anon_sym_union] = ACTIONS(2134),
    [anon_sym_if] = ACTIONS(2134),
    [anon_sym_else] = ACTIONS(2134),
    [anon_sym_switch] = ACTIONS(2134),
    [anon_sym_case] = ACTIONS(2134),
    [anon_sym_default] = ACTIONS(2134),
    [anon_sym_while] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(2134),
    [anon_sym_for] = ACTIONS(2134),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_break] = ACTIONS(2134),
    [anon_sym_continue] = ACTIONS(2134),
    [anon_sym_goto] = ACTIONS(2134),
    [anon_sym___try] = ACTIONS(2134),
    [anon_sym___leave] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2134),
    [anon_sym_compl] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2134),
    [anon_sym___alignof] = ACTIONS(2134),
    [anon_sym__alignof] = ACTIONS(2134),
    [anon_sym_alignof] = ACTIONS(2134),
    [anon_sym__Alignof] = ACTIONS(2134),
    [anon_sym_offsetof] = ACTIONS(2134),
    [anon_sym__Generic] = ACTIONS(2134),
    [anon_sym_asm] = ACTIONS(2134),
    [anon_sym___asm__] = ACTIONS(2134),
    [anon_sym___asm] = ACTIONS(2134),
    [sym_number_literal] = ACTIONS(2136),
    [anon_sym_L_SQUOTE] = ACTIONS(2136),
    [anon_sym_u_SQUOTE] = ACTIONS(2136),
    [anon_sym_U_SQUOTE] = ACTIONS(2136),
    [anon_sym_u8_SQUOTE] = ACTIONS(2136),
    [anon_sym_SQUOTE] = ACTIONS(2136),
    [anon_sym_L_DQUOTE] = ACTIONS(2136),
    [anon_sym_u_DQUOTE] = ACTIONS(2136),
    [anon_sym_U_DQUOTE] = ACTIONS(2136),
    [anon_sym_u8_DQUOTE] = ACTIONS(2136),
    [anon_sym_DQUOTE] = ACTIONS(2136),
    [sym_true] = ACTIONS(2134),
    [sym_false] = ACTIONS(2134),
    [anon_sym_NULL] = ACTIONS(2134),
    [anon_sym_nullptr] = ACTIONS(2134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2134),
    [anon_sym_decltype] = ACTIONS(2134),
    [anon_sym_explicit] = ACTIONS(2134),
    [anon_sym_typename] = ACTIONS(2134),
    [anon_sym_template] = ACTIONS(2134),
    [anon_sym_operator] = ACTIONS(2134),
    [anon_sym_try] = ACTIONS(2134),
    [anon_sym_delete] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_namespace] = ACTIONS(2134),
    [anon_sym_using] = ACTIONS(2134),
    [anon_sym_static_assert] = ACTIONS(2134),
    [anon_sym_concept] = ACTIONS(2134),
    [anon_sym_co_return] = ACTIONS(2134),
    [anon_sym_co_yield] = ACTIONS(2134),
    [anon_sym_R_DQUOTE] = ACTIONS(2136),
    [anon_sym_LR_DQUOTE] = ACTIONS(2136),
    [anon_sym_uR_DQUOTE] = ACTIONS(2136),
    [anon_sym_UR_DQUOTE] = ACTIONS(2136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2136),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2134),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2134),
    [anon_sym_discard] = ACTIONS(2134),
    [anon_sym_precise] = ACTIONS(2134),
    [anon_sym_shared] = ACTIONS(2134),
    [anon_sym_groupshared] = ACTIONS(2134),
    [anon_sym_uniform] = ACTIONS(2134),
    [anon_sym_row_major] = ACTIONS(2134),
    [anon_sym_column_major] = ACTIONS(2134),
    [anon_sym_globallycoherent] = ACTIONS(2134),
    [anon_sym_centroid] = ACTIONS(2134),
    [anon_sym_noperspective] = ACTIONS(2134),
    [anon_sym_nointerpolation] = ACTIONS(2134),
    [anon_sym_sample] = ACTIONS(2134),
    [anon_sym_linear] = ACTIONS(2134),
    [anon_sym_snorm] = ACTIONS(2134),
    [anon_sym_unorm] = ACTIONS(2134),
    [anon_sym_point] = ACTIONS(2134),
    [anon_sym_line] = ACTIONS(2134),
    [anon_sym_triangleadj] = ACTIONS(2134),
    [anon_sym_lineadj] = ACTIONS(2134),
    [anon_sym_triangle] = ACTIONS(2134),
    [anon_sym_cbuffer] = ACTIONS(2134),
  },
  [191] = {
    [sym_identifier] = ACTIONS(2138),
    [aux_sym_preproc_include_token1] = ACTIONS(2138),
    [aux_sym_preproc_def_token1] = ACTIONS(2138),
    [aux_sym_preproc_if_token1] = ACTIONS(2138),
    [aux_sym_preproc_if_token2] = ACTIONS(2138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2138),
    [aux_sym_preproc_else_token1] = ACTIONS(2138),
    [aux_sym_preproc_elif_token1] = ACTIONS(2138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2138),
    [sym_preproc_directive] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym___extension__] = ACTIONS(2138),
    [anon_sym_typedef] = ACTIONS(2138),
    [anon_sym_in] = ACTIONS(2138),
    [anon_sym_out] = ACTIONS(2138),
    [anon_sym_inout] = ACTIONS(2138),
    [anon_sym_virtual] = ACTIONS(2138),
    [anon_sym_extern] = ACTIONS(2138),
    [anon_sym___attribute__] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2140),
    [anon_sym___declspec] = ACTIONS(2138),
    [anon_sym___based] = ACTIONS(2138),
    [anon_sym___cdecl] = ACTIONS(2138),
    [anon_sym___clrcall] = ACTIONS(2138),
    [anon_sym___stdcall] = ACTIONS(2138),
    [anon_sym___fastcall] = ACTIONS(2138),
    [anon_sym___thiscall] = ACTIONS(2138),
    [anon_sym___vectorcall] = ACTIONS(2138),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_signed] = ACTIONS(2138),
    [anon_sym_unsigned] = ACTIONS(2138),
    [anon_sym_long] = ACTIONS(2138),
    [anon_sym_short] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_static] = ACTIONS(2138),
    [anon_sym_register] = ACTIONS(2138),
    [anon_sym_inline] = ACTIONS(2138),
    [anon_sym___inline] = ACTIONS(2138),
    [anon_sym___inline__] = ACTIONS(2138),
    [anon_sym___forceinline] = ACTIONS(2138),
    [anon_sym_thread_local] = ACTIONS(2138),
    [anon_sym___thread] = ACTIONS(2138),
    [anon_sym_const] = ACTIONS(2138),
    [anon_sym_constexpr] = ACTIONS(2138),
    [anon_sym_volatile] = ACTIONS(2138),
    [anon_sym_restrict] = ACTIONS(2138),
    [anon_sym___restrict__] = ACTIONS(2138),
    [anon_sym__Atomic] = ACTIONS(2138),
    [anon_sym__Noreturn] = ACTIONS(2138),
    [anon_sym_noreturn] = ACTIONS(2138),
    [anon_sym__Nonnull] = ACTIONS(2138),
    [anon_sym_mutable] = ACTIONS(2138),
    [anon_sym_constinit] = ACTIONS(2138),
    [anon_sym_consteval] = ACTIONS(2138),
    [anon_sym_alignas] = ACTIONS(2138),
    [anon_sym__Alignas] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2138),
    [anon_sym_enum] = ACTIONS(2138),
    [anon_sym_class] = ACTIONS(2138),
    [anon_sym_struct] = ACTIONS(2138),
    [anon_sym_union] = ACTIONS(2138),
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_else] = ACTIONS(2138),
    [anon_sym_switch] = ACTIONS(2138),
    [anon_sym_case] = ACTIONS(2138),
    [anon_sym_default] = ACTIONS(2138),
    [anon_sym_while] = ACTIONS(2138),
    [anon_sym_do] = ACTIONS(2138),
    [anon_sym_for] = ACTIONS(2138),
    [anon_sym_return] = ACTIONS(2138),
    [anon_sym_break] = ACTIONS(2138),
    [anon_sym_continue] = ACTIONS(2138),
    [anon_sym_goto] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2138),
    [anon_sym___leave] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2138),
    [anon_sym___alignof__] = ACTIONS(2138),
    [anon_sym___alignof] = ACTIONS(2138),
    [anon_sym__alignof] = ACTIONS(2138),
    [anon_sym_alignof] = ACTIONS(2138),
    [anon_sym__Alignof] = ACTIONS(2138),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2138),
    [anon_sym_asm] = ACTIONS(2138),
    [anon_sym___asm__] = ACTIONS(2138),
    [anon_sym___asm] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2140),
    [anon_sym_L_SQUOTE] = ACTIONS(2140),
    [anon_sym_u_SQUOTE] = ACTIONS(2140),
    [anon_sym_U_SQUOTE] = ACTIONS(2140),
    [anon_sym_u8_SQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_L_DQUOTE] = ACTIONS(2140),
    [anon_sym_u_DQUOTE] = ACTIONS(2140),
    [anon_sym_U_DQUOTE] = ACTIONS(2140),
    [anon_sym_u8_DQUOTE] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [sym_true] = ACTIONS(2138),
    [sym_false] = ACTIONS(2138),
    [anon_sym_NULL] = ACTIONS(2138),
    [anon_sym_nullptr] = ACTIONS(2138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2138),
    [anon_sym_decltype] = ACTIONS(2138),
    [anon_sym_explicit] = ACTIONS(2138),
    [anon_sym_typename] = ACTIONS(2138),
    [anon_sym_template] = ACTIONS(2138),
    [anon_sym_operator] = ACTIONS(2138),
    [anon_sym_try] = ACTIONS(2138),
    [anon_sym_delete] = ACTIONS(2138),
    [anon_sym_throw] = ACTIONS(2138),
    [anon_sym_namespace] = ACTIONS(2138),
    [anon_sym_using] = ACTIONS(2138),
    [anon_sym_static_assert] = ACTIONS(2138),
    [anon_sym_concept] = ACTIONS(2138),
    [anon_sym_co_return] = ACTIONS(2138),
    [anon_sym_co_yield] = ACTIONS(2138),
    [anon_sym_R_DQUOTE] = ACTIONS(2140),
    [anon_sym_LR_DQUOTE] = ACTIONS(2140),
    [anon_sym_uR_DQUOTE] = ACTIONS(2140),
    [anon_sym_UR_DQUOTE] = ACTIONS(2140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2140),
    [anon_sym_co_await] = ACTIONS(2138),
    [anon_sym_new] = ACTIONS(2138),
    [anon_sym_requires] = ACTIONS(2138),
    [sym_this] = ACTIONS(2138),
    [anon_sym_discard] = ACTIONS(2138),
    [anon_sym_precise] = ACTIONS(2138),
    [anon_sym_shared] = ACTIONS(2138),
    [anon_sym_groupshared] = ACTIONS(2138),
    [anon_sym_uniform] = ACTIONS(2138),
    [anon_sym_row_major] = ACTIONS(2138),
    [anon_sym_column_major] = ACTIONS(2138),
    [anon_sym_globallycoherent] = ACTIONS(2138),
    [anon_sym_centroid] = ACTIONS(2138),
    [anon_sym_noperspective] = ACTIONS(2138),
    [anon_sym_nointerpolation] = ACTIONS(2138),
    [anon_sym_sample] = ACTIONS(2138),
    [anon_sym_linear] = ACTIONS(2138),
    [anon_sym_snorm] = ACTIONS(2138),
    [anon_sym_unorm] = ACTIONS(2138),
    [anon_sym_point] = ACTIONS(2138),
    [anon_sym_line] = ACTIONS(2138),
    [anon_sym_triangleadj] = ACTIONS(2138),
    [anon_sym_lineadj] = ACTIONS(2138),
    [anon_sym_triangle] = ACTIONS(2138),
    [anon_sym_cbuffer] = ACTIONS(2138),
  },
  [192] = {
    [sym_identifier] = ACTIONS(2142),
    [aux_sym_preproc_include_token1] = ACTIONS(2142),
    [aux_sym_preproc_def_token1] = ACTIONS(2142),
    [aux_sym_preproc_if_token1] = ACTIONS(2142),
    [aux_sym_preproc_if_token2] = ACTIONS(2142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2142),
    [aux_sym_preproc_else_token1] = ACTIONS(2142),
    [aux_sym_preproc_elif_token1] = ACTIONS(2142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2142),
    [sym_preproc_directive] = ACTIONS(2142),
    [anon_sym_LPAREN2] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_AMP_AMP] = ACTIONS(2144),
    [anon_sym_AMP] = ACTIONS(2142),
    [anon_sym_SEMI] = ACTIONS(2144),
    [anon_sym___extension__] = ACTIONS(2142),
    [anon_sym_typedef] = ACTIONS(2142),
    [anon_sym_in] = ACTIONS(2142),
    [anon_sym_out] = ACTIONS(2142),
    [anon_sym_inout] = ACTIONS(2142),
    [anon_sym_virtual] = ACTIONS(2142),
    [anon_sym_extern] = ACTIONS(2142),
    [anon_sym___attribute__] = ACTIONS(2142),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2144),
    [anon_sym___declspec] = ACTIONS(2142),
    [anon_sym___based] = ACTIONS(2142),
    [anon_sym___cdecl] = ACTIONS(2142),
    [anon_sym___clrcall] = ACTIONS(2142),
    [anon_sym___stdcall] = ACTIONS(2142),
    [anon_sym___fastcall] = ACTIONS(2142),
    [anon_sym___thiscall] = ACTIONS(2142),
    [anon_sym___vectorcall] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_signed] = ACTIONS(2142),
    [anon_sym_unsigned] = ACTIONS(2142),
    [anon_sym_long] = ACTIONS(2142),
    [anon_sym_short] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2142),
    [anon_sym_static] = ACTIONS(2142),
    [anon_sym_register] = ACTIONS(2142),
    [anon_sym_inline] = ACTIONS(2142),
    [anon_sym___inline] = ACTIONS(2142),
    [anon_sym___inline__] = ACTIONS(2142),
    [anon_sym___forceinline] = ACTIONS(2142),
    [anon_sym_thread_local] = ACTIONS(2142),
    [anon_sym___thread] = ACTIONS(2142),
    [anon_sym_const] = ACTIONS(2142),
    [anon_sym_constexpr] = ACTIONS(2142),
    [anon_sym_volatile] = ACTIONS(2142),
    [anon_sym_restrict] = ACTIONS(2142),
    [anon_sym___restrict__] = ACTIONS(2142),
    [anon_sym__Atomic] = ACTIONS(2142),
    [anon_sym__Noreturn] = ACTIONS(2142),
    [anon_sym_noreturn] = ACTIONS(2142),
    [anon_sym__Nonnull] = ACTIONS(2142),
    [anon_sym_mutable] = ACTIONS(2142),
    [anon_sym_constinit] = ACTIONS(2142),
    [anon_sym_consteval] = ACTIONS(2142),
    [anon_sym_alignas] = ACTIONS(2142),
    [anon_sym__Alignas] = ACTIONS(2142),
    [sym_primitive_type] = ACTIONS(2142),
    [anon_sym_enum] = ACTIONS(2142),
    [anon_sym_class] = ACTIONS(2142),
    [anon_sym_struct] = ACTIONS(2142),
    [anon_sym_union] = ACTIONS(2142),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_else] = ACTIONS(2142),
    [anon_sym_switch] = ACTIONS(2142),
    [anon_sym_case] = ACTIONS(2142),
    [anon_sym_default] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_do] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2142),
    [anon_sym_return] = ACTIONS(2142),
    [anon_sym_break] = ACTIONS(2142),
    [anon_sym_continue] = ACTIONS(2142),
    [anon_sym_goto] = ACTIONS(2142),
    [anon_sym___try] = ACTIONS(2142),
    [anon_sym___leave] = ACTIONS(2142),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2144),
    [anon_sym_sizeof] = ACTIONS(2142),
    [anon_sym___alignof__] = ACTIONS(2142),
    [anon_sym___alignof] = ACTIONS(2142),
    [anon_sym__alignof] = ACTIONS(2142),
    [anon_sym_alignof] = ACTIONS(2142),
    [anon_sym__Alignof] = ACTIONS(2142),
    [anon_sym_offsetof] = ACTIONS(2142),
    [anon_sym__Generic] = ACTIONS(2142),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [anon_sym___asm] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2144),
    [anon_sym_u_SQUOTE] = ACTIONS(2144),
    [anon_sym_U_SQUOTE] = ACTIONS(2144),
    [anon_sym_u8_SQUOTE] = ACTIONS(2144),
    [anon_sym_SQUOTE] = ACTIONS(2144),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2142),
    [sym_false] = ACTIONS(2142),
    [anon_sym_NULL] = ACTIONS(2142),
    [anon_sym_nullptr] = ACTIONS(2142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2142),
    [anon_sym_decltype] = ACTIONS(2142),
    [anon_sym_explicit] = ACTIONS(2142),
    [anon_sym_typename] = ACTIONS(2142),
    [anon_sym_template] = ACTIONS(2142),
    [anon_sym_operator] = ACTIONS(2142),
    [anon_sym_try] = ACTIONS(2142),
    [anon_sym_delete] = ACTIONS(2142),
    [anon_sym_throw] = ACTIONS(2142),
    [anon_sym_namespace] = ACTIONS(2142),
    [anon_sym_using] = ACTIONS(2142),
    [anon_sym_static_assert] = ACTIONS(2142),
    [anon_sym_concept] = ACTIONS(2142),
    [anon_sym_co_return] = ACTIONS(2142),
    [anon_sym_co_yield] = ACTIONS(2142),
    [anon_sym_R_DQUOTE] = ACTIONS(2144),
    [anon_sym_LR_DQUOTE] = ACTIONS(2144),
    [anon_sym_uR_DQUOTE] = ACTIONS(2144),
    [anon_sym_UR_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2144),
    [anon_sym_co_await] = ACTIONS(2142),
    [anon_sym_new] = ACTIONS(2142),
    [anon_sym_requires] = ACTIONS(2142),
    [sym_this] = ACTIONS(2142),
    [anon_sym_discard] = ACTIONS(2142),
    [anon_sym_precise] = ACTIONS(2142),
    [anon_sym_shared] = ACTIONS(2142),
    [anon_sym_groupshared] = ACTIONS(2142),
    [anon_sym_uniform] = ACTIONS(2142),
    [anon_sym_row_major] = ACTIONS(2142),
    [anon_sym_column_major] = ACTIONS(2142),
    [anon_sym_globallycoherent] = ACTIONS(2142),
    [anon_sym_centroid] = ACTIONS(2142),
    [anon_sym_noperspective] = ACTIONS(2142),
    [anon_sym_nointerpolation] = ACTIONS(2142),
    [anon_sym_sample] = ACTIONS(2142),
    [anon_sym_linear] = ACTIONS(2142),
    [anon_sym_snorm] = ACTIONS(2142),
    [anon_sym_unorm] = ACTIONS(2142),
    [anon_sym_point] = ACTIONS(2142),
    [anon_sym_line] = ACTIONS(2142),
    [anon_sym_triangleadj] = ACTIONS(2142),
    [anon_sym_lineadj] = ACTIONS(2142),
    [anon_sym_triangle] = ACTIONS(2142),
    [anon_sym_cbuffer] = ACTIONS(2142),
  },
  [193] = {
    [sym_identifier] = ACTIONS(2146),
    [aux_sym_preproc_include_token1] = ACTIONS(2146),
    [aux_sym_preproc_def_token1] = ACTIONS(2146),
    [aux_sym_preproc_if_token1] = ACTIONS(2146),
    [aux_sym_preproc_if_token2] = ACTIONS(2146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2146),
    [aux_sym_preproc_else_token1] = ACTIONS(2146),
    [aux_sym_preproc_elif_token1] = ACTIONS(2146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2146),
    [sym_preproc_directive] = ACTIONS(2146),
    [anon_sym_LPAREN2] = ACTIONS(2148),
    [anon_sym_BANG] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2146),
    [anon_sym_PLUS] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2146),
    [anon_sym_SEMI] = ACTIONS(2148),
    [anon_sym___extension__] = ACTIONS(2146),
    [anon_sym_typedef] = ACTIONS(2146),
    [anon_sym_in] = ACTIONS(2146),
    [anon_sym_out] = ACTIONS(2146),
    [anon_sym_inout] = ACTIONS(2146),
    [anon_sym_virtual] = ACTIONS(2146),
    [anon_sym_extern] = ACTIONS(2146),
    [anon_sym___attribute__] = ACTIONS(2146),
    [anon_sym_COLON_COLON] = ACTIONS(2148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2148),
    [anon_sym___declspec] = ACTIONS(2146),
    [anon_sym___based] = ACTIONS(2146),
    [anon_sym___cdecl] = ACTIONS(2146),
    [anon_sym___clrcall] = ACTIONS(2146),
    [anon_sym___stdcall] = ACTIONS(2146),
    [anon_sym___fastcall] = ACTIONS(2146),
    [anon_sym___thiscall] = ACTIONS(2146),
    [anon_sym___vectorcall] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_signed] = ACTIONS(2146),
    [anon_sym_unsigned] = ACTIONS(2146),
    [anon_sym_long] = ACTIONS(2146),
    [anon_sym_short] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_static] = ACTIONS(2146),
    [anon_sym_register] = ACTIONS(2146),
    [anon_sym_inline] = ACTIONS(2146),
    [anon_sym___inline] = ACTIONS(2146),
    [anon_sym___inline__] = ACTIONS(2146),
    [anon_sym___forceinline] = ACTIONS(2146),
    [anon_sym_thread_local] = ACTIONS(2146),
    [anon_sym___thread] = ACTIONS(2146),
    [anon_sym_const] = ACTIONS(2146),
    [anon_sym_constexpr] = ACTIONS(2146),
    [anon_sym_volatile] = ACTIONS(2146),
    [anon_sym_restrict] = ACTIONS(2146),
    [anon_sym___restrict__] = ACTIONS(2146),
    [anon_sym__Atomic] = ACTIONS(2146),
    [anon_sym__Noreturn] = ACTIONS(2146),
    [anon_sym_noreturn] = ACTIONS(2146),
    [anon_sym__Nonnull] = ACTIONS(2146),
    [anon_sym_mutable] = ACTIONS(2146),
    [anon_sym_constinit] = ACTIONS(2146),
    [anon_sym_consteval] = ACTIONS(2146),
    [anon_sym_alignas] = ACTIONS(2146),
    [anon_sym__Alignas] = ACTIONS(2146),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_enum] = ACTIONS(2146),
    [anon_sym_class] = ACTIONS(2146),
    [anon_sym_struct] = ACTIONS(2146),
    [anon_sym_union] = ACTIONS(2146),
    [anon_sym_if] = ACTIONS(2146),
    [anon_sym_else] = ACTIONS(2146),
    [anon_sym_switch] = ACTIONS(2146),
    [anon_sym_case] = ACTIONS(2146),
    [anon_sym_default] = ACTIONS(2146),
    [anon_sym_while] = ACTIONS(2146),
    [anon_sym_do] = ACTIONS(2146),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_return] = ACTIONS(2146),
    [anon_sym_break] = ACTIONS(2146),
    [anon_sym_continue] = ACTIONS(2146),
    [anon_sym_goto] = ACTIONS(2146),
    [anon_sym___try] = ACTIONS(2146),
    [anon_sym___leave] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2146),
    [anon_sym_compl] = ACTIONS(2146),
    [anon_sym_DASH_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_PLUS] = ACTIONS(2148),
    [anon_sym_sizeof] = ACTIONS(2146),
    [anon_sym___alignof__] = ACTIONS(2146),
    [anon_sym___alignof] = ACTIONS(2146),
    [anon_sym__alignof] = ACTIONS(2146),
    [anon_sym_alignof] = ACTIONS(2146),
    [anon_sym__Alignof] = ACTIONS(2146),
    [anon_sym_offsetof] = ACTIONS(2146),
    [anon_sym__Generic] = ACTIONS(2146),
    [anon_sym_asm] = ACTIONS(2146),
    [anon_sym___asm__] = ACTIONS(2146),
    [anon_sym___asm] = ACTIONS(2146),
    [sym_number_literal] = ACTIONS(2148),
    [anon_sym_L_SQUOTE] = ACTIONS(2148),
    [anon_sym_u_SQUOTE] = ACTIONS(2148),
    [anon_sym_U_SQUOTE] = ACTIONS(2148),
    [anon_sym_u8_SQUOTE] = ACTIONS(2148),
    [anon_sym_SQUOTE] = ACTIONS(2148),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2146),
    [sym_false] = ACTIONS(2146),
    [anon_sym_NULL] = ACTIONS(2146),
    [anon_sym_nullptr] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2146),
    [anon_sym_decltype] = ACTIONS(2146),
    [anon_sym_explicit] = ACTIONS(2146),
    [anon_sym_typename] = ACTIONS(2146),
    [anon_sym_template] = ACTIONS(2146),
    [anon_sym_operator] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_delete] = ACTIONS(2146),
    [anon_sym_throw] = ACTIONS(2146),
    [anon_sym_namespace] = ACTIONS(2146),
    [anon_sym_using] = ACTIONS(2146),
    [anon_sym_static_assert] = ACTIONS(2146),
    [anon_sym_concept] = ACTIONS(2146),
    [anon_sym_co_return] = ACTIONS(2146),
    [anon_sym_co_yield] = ACTIONS(2146),
    [anon_sym_R_DQUOTE] = ACTIONS(2148),
    [anon_sym_LR_DQUOTE] = ACTIONS(2148),
    [anon_sym_uR_DQUOTE] = ACTIONS(2148),
    [anon_sym_UR_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2148),
    [anon_sym_co_await] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(2146),
    [anon_sym_requires] = ACTIONS(2146),
    [sym_this] = ACTIONS(2146),
    [anon_sym_discard] = ACTIONS(2146),
    [anon_sym_precise] = ACTIONS(2146),
    [anon_sym_shared] = ACTIONS(2146),
    [anon_sym_groupshared] = ACTIONS(2146),
    [anon_sym_uniform] = ACTIONS(2146),
    [anon_sym_row_major] = ACTIONS(2146),
    [anon_sym_column_major] = ACTIONS(2146),
    [anon_sym_globallycoherent] = ACTIONS(2146),
    [anon_sym_centroid] = ACTIONS(2146),
    [anon_sym_noperspective] = ACTIONS(2146),
    [anon_sym_nointerpolation] = ACTIONS(2146),
    [anon_sym_sample] = ACTIONS(2146),
    [anon_sym_linear] = ACTIONS(2146),
    [anon_sym_snorm] = ACTIONS(2146),
    [anon_sym_unorm] = ACTIONS(2146),
    [anon_sym_point] = ACTIONS(2146),
    [anon_sym_line] = ACTIONS(2146),
    [anon_sym_triangleadj] = ACTIONS(2146),
    [anon_sym_lineadj] = ACTIONS(2146),
    [anon_sym_triangle] = ACTIONS(2146),
    [anon_sym_cbuffer] = ACTIONS(2146),
  },
  [194] = {
    [sym_identifier] = ACTIONS(2150),
    [aux_sym_preproc_include_token1] = ACTIONS(2150),
    [aux_sym_preproc_def_token1] = ACTIONS(2150),
    [aux_sym_preproc_if_token1] = ACTIONS(2150),
    [aux_sym_preproc_if_token2] = ACTIONS(2150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2150),
    [aux_sym_preproc_else_token1] = ACTIONS(2150),
    [aux_sym_preproc_elif_token1] = ACTIONS(2150),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2150),
    [sym_preproc_directive] = ACTIONS(2150),
    [anon_sym_LPAREN2] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2152),
    [anon_sym_AMP] = ACTIONS(2150),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym___extension__] = ACTIONS(2150),
    [anon_sym_typedef] = ACTIONS(2150),
    [anon_sym_in] = ACTIONS(2150),
    [anon_sym_out] = ACTIONS(2150),
    [anon_sym_inout] = ACTIONS(2150),
    [anon_sym_virtual] = ACTIONS(2150),
    [anon_sym_extern] = ACTIONS(2150),
    [anon_sym___attribute__] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2152),
    [anon_sym___declspec] = ACTIONS(2150),
    [anon_sym___based] = ACTIONS(2150),
    [anon_sym___cdecl] = ACTIONS(2150),
    [anon_sym___clrcall] = ACTIONS(2150),
    [anon_sym___stdcall] = ACTIONS(2150),
    [anon_sym___fastcall] = ACTIONS(2150),
    [anon_sym___thiscall] = ACTIONS(2150),
    [anon_sym___vectorcall] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_signed] = ACTIONS(2150),
    [anon_sym_unsigned] = ACTIONS(2150),
    [anon_sym_long] = ACTIONS(2150),
    [anon_sym_short] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_static] = ACTIONS(2150),
    [anon_sym_register] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(2150),
    [anon_sym___inline] = ACTIONS(2150),
    [anon_sym___inline__] = ACTIONS(2150),
    [anon_sym___forceinline] = ACTIONS(2150),
    [anon_sym_thread_local] = ACTIONS(2150),
    [anon_sym___thread] = ACTIONS(2150),
    [anon_sym_const] = ACTIONS(2150),
    [anon_sym_constexpr] = ACTIONS(2150),
    [anon_sym_volatile] = ACTIONS(2150),
    [anon_sym_restrict] = ACTIONS(2150),
    [anon_sym___restrict__] = ACTIONS(2150),
    [anon_sym__Atomic] = ACTIONS(2150),
    [anon_sym__Noreturn] = ACTIONS(2150),
    [anon_sym_noreturn] = ACTIONS(2150),
    [anon_sym__Nonnull] = ACTIONS(2150),
    [anon_sym_mutable] = ACTIONS(2150),
    [anon_sym_constinit] = ACTIONS(2150),
    [anon_sym_consteval] = ACTIONS(2150),
    [anon_sym_alignas] = ACTIONS(2150),
    [anon_sym__Alignas] = ACTIONS(2150),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_enum] = ACTIONS(2150),
    [anon_sym_class] = ACTIONS(2150),
    [anon_sym_struct] = ACTIONS(2150),
    [anon_sym_union] = ACTIONS(2150),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_else] = ACTIONS(2150),
    [anon_sym_switch] = ACTIONS(2150),
    [anon_sym_case] = ACTIONS(2150),
    [anon_sym_default] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2150),
    [anon_sym_do] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2150),
    [anon_sym_return] = ACTIONS(2150),
    [anon_sym_break] = ACTIONS(2150),
    [anon_sym_continue] = ACTIONS(2150),
    [anon_sym_goto] = ACTIONS(2150),
    [anon_sym___try] = ACTIONS(2150),
    [anon_sym___leave] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2150),
    [anon_sym_compl] = ACTIONS(2150),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2150),
    [anon_sym__Generic] = ACTIONS(2150),
    [anon_sym_asm] = ACTIONS(2150),
    [anon_sym___asm__] = ACTIONS(2150),
    [anon_sym___asm] = ACTIONS(2150),
    [sym_number_literal] = ACTIONS(2152),
    [anon_sym_L_SQUOTE] = ACTIONS(2152),
    [anon_sym_u_SQUOTE] = ACTIONS(2152),
    [anon_sym_U_SQUOTE] = ACTIONS(2152),
    [anon_sym_u8_SQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_L_DQUOTE] = ACTIONS(2152),
    [anon_sym_u_DQUOTE] = ACTIONS(2152),
    [anon_sym_U_DQUOTE] = ACTIONS(2152),
    [anon_sym_u8_DQUOTE] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2150),
    [anon_sym_decltype] = ACTIONS(2150),
    [anon_sym_explicit] = ACTIONS(2150),
    [anon_sym_typename] = ACTIONS(2150),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_operator] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2150),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_throw] = ACTIONS(2150),
    [anon_sym_namespace] = ACTIONS(2150),
    [anon_sym_using] = ACTIONS(2150),
    [anon_sym_static_assert] = ACTIONS(2150),
    [anon_sym_concept] = ACTIONS(2150),
    [anon_sym_co_return] = ACTIONS(2150),
    [anon_sym_co_yield] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(2152),
    [anon_sym_LR_DQUOTE] = ACTIONS(2152),
    [anon_sym_uR_DQUOTE] = ACTIONS(2152),
    [anon_sym_UR_DQUOTE] = ACTIONS(2152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2152),
    [anon_sym_co_await] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2150),
    [anon_sym_requires] = ACTIONS(2150),
    [sym_this] = ACTIONS(2150),
    [anon_sym_discard] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(2150),
    [anon_sym_shared] = ACTIONS(2150),
    [anon_sym_groupshared] = ACTIONS(2150),
    [anon_sym_uniform] = ACTIONS(2150),
    [anon_sym_row_major] = ACTIONS(2150),
    [anon_sym_column_major] = ACTIONS(2150),
    [anon_sym_globallycoherent] = ACTIONS(2150),
    [anon_sym_centroid] = ACTIONS(2150),
    [anon_sym_noperspective] = ACTIONS(2150),
    [anon_sym_nointerpolation] = ACTIONS(2150),
    [anon_sym_sample] = ACTIONS(2150),
    [anon_sym_linear] = ACTIONS(2150),
    [anon_sym_snorm] = ACTIONS(2150),
    [anon_sym_unorm] = ACTIONS(2150),
    [anon_sym_point] = ACTIONS(2150),
    [anon_sym_line] = ACTIONS(2150),
    [anon_sym_triangleadj] = ACTIONS(2150),
    [anon_sym_lineadj] = ACTIONS(2150),
    [anon_sym_triangle] = ACTIONS(2150),
    [anon_sym_cbuffer] = ACTIONS(2150),
  },
  [195] = {
    [sym_identifier] = ACTIONS(2154),
    [aux_sym_preproc_include_token1] = ACTIONS(2154),
    [aux_sym_preproc_def_token1] = ACTIONS(2154),
    [aux_sym_preproc_if_token1] = ACTIONS(2154),
    [aux_sym_preproc_if_token2] = ACTIONS(2154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2154),
    [aux_sym_preproc_else_token1] = ACTIONS(2154),
    [aux_sym_preproc_elif_token1] = ACTIONS(2154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2154),
    [sym_preproc_directive] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2156),
    [anon_sym_TILDE] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_AMP_AMP] = ACTIONS(2156),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_SEMI] = ACTIONS(2156),
    [anon_sym___extension__] = ACTIONS(2154),
    [anon_sym_typedef] = ACTIONS(2154),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_out] = ACTIONS(2154),
    [anon_sym_inout] = ACTIONS(2154),
    [anon_sym_virtual] = ACTIONS(2154),
    [anon_sym_extern] = ACTIONS(2154),
    [anon_sym___attribute__] = ACTIONS(2154),
    [anon_sym_COLON_COLON] = ACTIONS(2156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2156),
    [anon_sym___declspec] = ACTIONS(2154),
    [anon_sym___based] = ACTIONS(2154),
    [anon_sym___cdecl] = ACTIONS(2154),
    [anon_sym___clrcall] = ACTIONS(2154),
    [anon_sym___stdcall] = ACTIONS(2154),
    [anon_sym___fastcall] = ACTIONS(2154),
    [anon_sym___thiscall] = ACTIONS(2154),
    [anon_sym___vectorcall] = ACTIONS(2154),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_signed] = ACTIONS(2154),
    [anon_sym_unsigned] = ACTIONS(2154),
    [anon_sym_long] = ACTIONS(2154),
    [anon_sym_short] = ACTIONS(2154),
    [anon_sym_LBRACK] = ACTIONS(2154),
    [anon_sym_static] = ACTIONS(2154),
    [anon_sym_register] = ACTIONS(2154),
    [anon_sym_inline] = ACTIONS(2154),
    [anon_sym___inline] = ACTIONS(2154),
    [anon_sym___inline__] = ACTIONS(2154),
    [anon_sym___forceinline] = ACTIONS(2154),
    [anon_sym_thread_local] = ACTIONS(2154),
    [anon_sym___thread] = ACTIONS(2154),
    [anon_sym_const] = ACTIONS(2154),
    [anon_sym_constexpr] = ACTIONS(2154),
    [anon_sym_volatile] = ACTIONS(2154),
    [anon_sym_restrict] = ACTIONS(2154),
    [anon_sym___restrict__] = ACTIONS(2154),
    [anon_sym__Atomic] = ACTIONS(2154),
    [anon_sym__Noreturn] = ACTIONS(2154),
    [anon_sym_noreturn] = ACTIONS(2154),
    [anon_sym__Nonnull] = ACTIONS(2154),
    [anon_sym_mutable] = ACTIONS(2154),
    [anon_sym_constinit] = ACTIONS(2154),
    [anon_sym_consteval] = ACTIONS(2154),
    [anon_sym_alignas] = ACTIONS(2154),
    [anon_sym__Alignas] = ACTIONS(2154),
    [sym_primitive_type] = ACTIONS(2154),
    [anon_sym_enum] = ACTIONS(2154),
    [anon_sym_class] = ACTIONS(2154),
    [anon_sym_struct] = ACTIONS(2154),
    [anon_sym_union] = ACTIONS(2154),
    [anon_sym_if] = ACTIONS(2154),
    [anon_sym_else] = ACTIONS(2154),
    [anon_sym_switch] = ACTIONS(2154),
    [anon_sym_case] = ACTIONS(2154),
    [anon_sym_default] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(2154),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_break] = ACTIONS(2154),
    [anon_sym_continue] = ACTIONS(2154),
    [anon_sym_goto] = ACTIONS(2154),
    [anon_sym___try] = ACTIONS(2154),
    [anon_sym___leave] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2154),
    [anon_sym_compl] = ACTIONS(2154),
    [anon_sym_DASH_DASH] = ACTIONS(2156),
    [anon_sym_PLUS_PLUS] = ACTIONS(2156),
    [anon_sym_sizeof] = ACTIONS(2154),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2154),
    [anon_sym___asm__] = ACTIONS(2154),
    [anon_sym___asm] = ACTIONS(2154),
    [sym_number_literal] = ACTIONS(2156),
    [anon_sym_L_SQUOTE] = ACTIONS(2156),
    [anon_sym_u_SQUOTE] = ACTIONS(2156),
    [anon_sym_U_SQUOTE] = ACTIONS(2156),
    [anon_sym_u8_SQUOTE] = ACTIONS(2156),
    [anon_sym_SQUOTE] = ACTIONS(2156),
    [anon_sym_L_DQUOTE] = ACTIONS(2156),
    [anon_sym_u_DQUOTE] = ACTIONS(2156),
    [anon_sym_U_DQUOTE] = ACTIONS(2156),
    [anon_sym_u8_DQUOTE] = ACTIONS(2156),
    [anon_sym_DQUOTE] = ACTIONS(2156),
    [sym_true] = ACTIONS(2154),
    [sym_false] = ACTIONS(2154),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2154),
    [anon_sym_decltype] = ACTIONS(2154),
    [anon_sym_explicit] = ACTIONS(2154),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(2154),
    [anon_sym_operator] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2154),
    [anon_sym_delete] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2154),
    [anon_sym_using] = ACTIONS(2154),
    [anon_sym_static_assert] = ACTIONS(2154),
    [anon_sym_concept] = ACTIONS(2154),
    [anon_sym_co_return] = ACTIONS(2154),
    [anon_sym_co_yield] = ACTIONS(2154),
    [anon_sym_R_DQUOTE] = ACTIONS(2156),
    [anon_sym_LR_DQUOTE] = ACTIONS(2156),
    [anon_sym_uR_DQUOTE] = ACTIONS(2156),
    [anon_sym_UR_DQUOTE] = ACTIONS(2156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2156),
    [anon_sym_co_await] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2154),
    [anon_sym_requires] = ACTIONS(2154),
    [sym_this] = ACTIONS(2154),
    [anon_sym_discard] = ACTIONS(2154),
    [anon_sym_precise] = ACTIONS(2154),
    [anon_sym_shared] = ACTIONS(2154),
    [anon_sym_groupshared] = ACTIONS(2154),
    [anon_sym_uniform] = ACTIONS(2154),
    [anon_sym_row_major] = ACTIONS(2154),
    [anon_sym_column_major] = ACTIONS(2154),
    [anon_sym_globallycoherent] = ACTIONS(2154),
    [anon_sym_centroid] = ACTIONS(2154),
    [anon_sym_noperspective] = ACTIONS(2154),
    [anon_sym_nointerpolation] = ACTIONS(2154),
    [anon_sym_sample] = ACTIONS(2154),
    [anon_sym_linear] = ACTIONS(2154),
    [anon_sym_snorm] = ACTIONS(2154),
    [anon_sym_unorm] = ACTIONS(2154),
    [anon_sym_point] = ACTIONS(2154),
    [anon_sym_line] = ACTIONS(2154),
    [anon_sym_triangleadj] = ACTIONS(2154),
    [anon_sym_lineadj] = ACTIONS(2154),
    [anon_sym_triangle] = ACTIONS(2154),
    [anon_sym_cbuffer] = ACTIONS(2154),
  },
  [196] = {
    [sym_identifier] = ACTIONS(2158),
    [aux_sym_preproc_include_token1] = ACTIONS(2158),
    [aux_sym_preproc_def_token1] = ACTIONS(2158),
    [aux_sym_preproc_if_token1] = ACTIONS(2158),
    [aux_sym_preproc_if_token2] = ACTIONS(2158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2158),
    [aux_sym_preproc_else_token1] = ACTIONS(2158),
    [aux_sym_preproc_elif_token1] = ACTIONS(2158),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2158),
    [sym_preproc_directive] = ACTIONS(2158),
    [anon_sym_LPAREN2] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2158),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2158),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym___extension__] = ACTIONS(2158),
    [anon_sym_typedef] = ACTIONS(2158),
    [anon_sym_in] = ACTIONS(2158),
    [anon_sym_out] = ACTIONS(2158),
    [anon_sym_inout] = ACTIONS(2158),
    [anon_sym_virtual] = ACTIONS(2158),
    [anon_sym_extern] = ACTIONS(2158),
    [anon_sym___attribute__] = ACTIONS(2158),
    [anon_sym_COLON_COLON] = ACTIONS(2160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2160),
    [anon_sym___declspec] = ACTIONS(2158),
    [anon_sym___based] = ACTIONS(2158),
    [anon_sym___cdecl] = ACTIONS(2158),
    [anon_sym___clrcall] = ACTIONS(2158),
    [anon_sym___stdcall] = ACTIONS(2158),
    [anon_sym___fastcall] = ACTIONS(2158),
    [anon_sym___thiscall] = ACTIONS(2158),
    [anon_sym___vectorcall] = ACTIONS(2158),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_signed] = ACTIONS(2158),
    [anon_sym_unsigned] = ACTIONS(2158),
    [anon_sym_long] = ACTIONS(2158),
    [anon_sym_short] = ACTIONS(2158),
    [anon_sym_LBRACK] = ACTIONS(2158),
    [anon_sym_static] = ACTIONS(2158),
    [anon_sym_register] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(2158),
    [anon_sym___inline] = ACTIONS(2158),
    [anon_sym___inline__] = ACTIONS(2158),
    [anon_sym___forceinline] = ACTIONS(2158),
    [anon_sym_thread_local] = ACTIONS(2158),
    [anon_sym___thread] = ACTIONS(2158),
    [anon_sym_const] = ACTIONS(2158),
    [anon_sym_constexpr] = ACTIONS(2158),
    [anon_sym_volatile] = ACTIONS(2158),
    [anon_sym_restrict] = ACTIONS(2158),
    [anon_sym___restrict__] = ACTIONS(2158),
    [anon_sym__Atomic] = ACTIONS(2158),
    [anon_sym__Noreturn] = ACTIONS(2158),
    [anon_sym_noreturn] = ACTIONS(2158),
    [anon_sym__Nonnull] = ACTIONS(2158),
    [anon_sym_mutable] = ACTIONS(2158),
    [anon_sym_constinit] = ACTIONS(2158),
    [anon_sym_consteval] = ACTIONS(2158),
    [anon_sym_alignas] = ACTIONS(2158),
    [anon_sym__Alignas] = ACTIONS(2158),
    [sym_primitive_type] = ACTIONS(2158),
    [anon_sym_enum] = ACTIONS(2158),
    [anon_sym_class] = ACTIONS(2158),
    [anon_sym_struct] = ACTIONS(2158),
    [anon_sym_union] = ACTIONS(2158),
    [anon_sym_if] = ACTIONS(2158),
    [anon_sym_else] = ACTIONS(2158),
    [anon_sym_switch] = ACTIONS(2158),
    [anon_sym_case] = ACTIONS(2158),
    [anon_sym_default] = ACTIONS(2158),
    [anon_sym_while] = ACTIONS(2158),
    [anon_sym_do] = ACTIONS(2158),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_return] = ACTIONS(2158),
    [anon_sym_break] = ACTIONS(2158),
    [anon_sym_continue] = ACTIONS(2158),
    [anon_sym_goto] = ACTIONS(2158),
    [anon_sym___try] = ACTIONS(2158),
    [anon_sym___leave] = ACTIONS(2158),
    [anon_sym_not] = ACTIONS(2158),
    [anon_sym_compl] = ACTIONS(2158),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_sizeof] = ACTIONS(2158),
    [anon_sym___alignof__] = ACTIONS(2158),
    [anon_sym___alignof] = ACTIONS(2158),
    [anon_sym__alignof] = ACTIONS(2158),
    [anon_sym_alignof] = ACTIONS(2158),
    [anon_sym__Alignof] = ACTIONS(2158),
    [anon_sym_offsetof] = ACTIONS(2158),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym___asm] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2160),
    [anon_sym_u_DQUOTE] = ACTIONS(2160),
    [anon_sym_U_DQUOTE] = ACTIONS(2160),
    [anon_sym_u8_DQUOTE] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [sym_true] = ACTIONS(2158),
    [sym_false] = ACTIONS(2158),
    [anon_sym_NULL] = ACTIONS(2158),
    [anon_sym_nullptr] = ACTIONS(2158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2158),
    [anon_sym_decltype] = ACTIONS(2158),
    [anon_sym_explicit] = ACTIONS(2158),
    [anon_sym_typename] = ACTIONS(2158),
    [anon_sym_template] = ACTIONS(2158),
    [anon_sym_operator] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2158),
    [anon_sym_delete] = ACTIONS(2158),
    [anon_sym_throw] = ACTIONS(2158),
    [anon_sym_namespace] = ACTIONS(2158),
    [anon_sym_using] = ACTIONS(2158),
    [anon_sym_static_assert] = ACTIONS(2158),
    [anon_sym_concept] = ACTIONS(2158),
    [anon_sym_co_return] = ACTIONS(2158),
    [anon_sym_co_yield] = ACTIONS(2158),
    [anon_sym_R_DQUOTE] = ACTIONS(2160),
    [anon_sym_LR_DQUOTE] = ACTIONS(2160),
    [anon_sym_uR_DQUOTE] = ACTIONS(2160),
    [anon_sym_UR_DQUOTE] = ACTIONS(2160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2160),
    [anon_sym_co_await] = ACTIONS(2158),
    [anon_sym_new] = ACTIONS(2158),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2158),
    [anon_sym_discard] = ACTIONS(2158),
    [anon_sym_precise] = ACTIONS(2158),
    [anon_sym_shared] = ACTIONS(2158),
    [anon_sym_groupshared] = ACTIONS(2158),
    [anon_sym_uniform] = ACTIONS(2158),
    [anon_sym_row_major] = ACTIONS(2158),
    [anon_sym_column_major] = ACTIONS(2158),
    [anon_sym_globallycoherent] = ACTIONS(2158),
    [anon_sym_centroid] = ACTIONS(2158),
    [anon_sym_noperspective] = ACTIONS(2158),
    [anon_sym_nointerpolation] = ACTIONS(2158),
    [anon_sym_sample] = ACTIONS(2158),
    [anon_sym_linear] = ACTIONS(2158),
    [anon_sym_snorm] = ACTIONS(2158),
    [anon_sym_unorm] = ACTIONS(2158),
    [anon_sym_point] = ACTIONS(2158),
    [anon_sym_line] = ACTIONS(2158),
    [anon_sym_triangleadj] = ACTIONS(2158),
    [anon_sym_lineadj] = ACTIONS(2158),
    [anon_sym_triangle] = ACTIONS(2158),
    [anon_sym_cbuffer] = ACTIONS(2158),
  },
  [197] = {
    [sym_identifier] = ACTIONS(2162),
    [aux_sym_preproc_include_token1] = ACTIONS(2162),
    [aux_sym_preproc_def_token1] = ACTIONS(2162),
    [aux_sym_preproc_if_token1] = ACTIONS(2162),
    [aux_sym_preproc_if_token2] = ACTIONS(2162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2162),
    [aux_sym_preproc_else_token1] = ACTIONS(2162),
    [aux_sym_preproc_elif_token1] = ACTIONS(2162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2162),
    [sym_preproc_directive] = ACTIONS(2162),
    [anon_sym_LPAREN2] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2164),
    [anon_sym_AMP_AMP] = ACTIONS(2164),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym___extension__] = ACTIONS(2162),
    [anon_sym_typedef] = ACTIONS(2162),
    [anon_sym_in] = ACTIONS(2162),
    [anon_sym_out] = ACTIONS(2162),
    [anon_sym_inout] = ACTIONS(2162),
    [anon_sym_virtual] = ACTIONS(2162),
    [anon_sym_extern] = ACTIONS(2162),
    [anon_sym___attribute__] = ACTIONS(2162),
    [anon_sym_COLON_COLON] = ACTIONS(2164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2164),
    [anon_sym___declspec] = ACTIONS(2162),
    [anon_sym___based] = ACTIONS(2162),
    [anon_sym___cdecl] = ACTIONS(2162),
    [anon_sym___clrcall] = ACTIONS(2162),
    [anon_sym___stdcall] = ACTIONS(2162),
    [anon_sym___fastcall] = ACTIONS(2162),
    [anon_sym___thiscall] = ACTIONS(2162),
    [anon_sym___vectorcall] = ACTIONS(2162),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_signed] = ACTIONS(2162),
    [anon_sym_unsigned] = ACTIONS(2162),
    [anon_sym_long] = ACTIONS(2162),
    [anon_sym_short] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_static] = ACTIONS(2162),
    [anon_sym_register] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(2162),
    [anon_sym___inline] = ACTIONS(2162),
    [anon_sym___inline__] = ACTIONS(2162),
    [anon_sym___forceinline] = ACTIONS(2162),
    [anon_sym_thread_local] = ACTIONS(2162),
    [anon_sym___thread] = ACTIONS(2162),
    [anon_sym_const] = ACTIONS(2162),
    [anon_sym_constexpr] = ACTIONS(2162),
    [anon_sym_volatile] = ACTIONS(2162),
    [anon_sym_restrict] = ACTIONS(2162),
    [anon_sym___restrict__] = ACTIONS(2162),
    [anon_sym__Atomic] = ACTIONS(2162),
    [anon_sym__Noreturn] = ACTIONS(2162),
    [anon_sym_noreturn] = ACTIONS(2162),
    [anon_sym__Nonnull] = ACTIONS(2162),
    [anon_sym_mutable] = ACTIONS(2162),
    [anon_sym_constinit] = ACTIONS(2162),
    [anon_sym_consteval] = ACTIONS(2162),
    [anon_sym_alignas] = ACTIONS(2162),
    [anon_sym__Alignas] = ACTIONS(2162),
    [sym_primitive_type] = ACTIONS(2162),
    [anon_sym_enum] = ACTIONS(2162),
    [anon_sym_class] = ACTIONS(2162),
    [anon_sym_struct] = ACTIONS(2162),
    [anon_sym_union] = ACTIONS(2162),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_else] = ACTIONS(2162),
    [anon_sym_switch] = ACTIONS(2162),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_do] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2162),
    [anon_sym_return] = ACTIONS(2162),
    [anon_sym_break] = ACTIONS(2162),
    [anon_sym_continue] = ACTIONS(2162),
    [anon_sym_goto] = ACTIONS(2162),
    [anon_sym___try] = ACTIONS(2162),
    [anon_sym___leave] = ACTIONS(2162),
    [anon_sym_not] = ACTIONS(2162),
    [anon_sym_compl] = ACTIONS(2162),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_sizeof] = ACTIONS(2162),
    [anon_sym___alignof__] = ACTIONS(2162),
    [anon_sym___alignof] = ACTIONS(2162),
    [anon_sym__alignof] = ACTIONS(2162),
    [anon_sym_alignof] = ACTIONS(2162),
    [anon_sym__Alignof] = ACTIONS(2162),
    [anon_sym_offsetof] = ACTIONS(2162),
    [anon_sym__Generic] = ACTIONS(2162),
    [anon_sym_asm] = ACTIONS(2162),
    [anon_sym___asm__] = ACTIONS(2162),
    [anon_sym___asm] = ACTIONS(2162),
    [sym_number_literal] = ACTIONS(2164),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2162),
    [sym_false] = ACTIONS(2162),
    [anon_sym_NULL] = ACTIONS(2162),
    [anon_sym_nullptr] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2162),
    [anon_sym_decltype] = ACTIONS(2162),
    [anon_sym_explicit] = ACTIONS(2162),
    [anon_sym_typename] = ACTIONS(2162),
    [anon_sym_template] = ACTIONS(2162),
    [anon_sym_operator] = ACTIONS(2162),
    [anon_sym_try] = ACTIONS(2162),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2162),
    [anon_sym_namespace] = ACTIONS(2162),
    [anon_sym_using] = ACTIONS(2162),
    [anon_sym_static_assert] = ACTIONS(2162),
    [anon_sym_concept] = ACTIONS(2162),
    [anon_sym_co_return] = ACTIONS(2162),
    [anon_sym_co_yield] = ACTIONS(2162),
    [anon_sym_R_DQUOTE] = ACTIONS(2164),
    [anon_sym_LR_DQUOTE] = ACTIONS(2164),
    [anon_sym_uR_DQUOTE] = ACTIONS(2164),
    [anon_sym_UR_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2164),
    [anon_sym_co_await] = ACTIONS(2162),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2162),
    [anon_sym_discard] = ACTIONS(2162),
    [anon_sym_precise] = ACTIONS(2162),
    [anon_sym_shared] = ACTIONS(2162),
    [anon_sym_groupshared] = ACTIONS(2162),
    [anon_sym_uniform] = ACTIONS(2162),
    [anon_sym_row_major] = ACTIONS(2162),
    [anon_sym_column_major] = ACTIONS(2162),
    [anon_sym_globallycoherent] = ACTIONS(2162),
    [anon_sym_centroid] = ACTIONS(2162),
    [anon_sym_noperspective] = ACTIONS(2162),
    [anon_sym_nointerpolation] = ACTIONS(2162),
    [anon_sym_sample] = ACTIONS(2162),
    [anon_sym_linear] = ACTIONS(2162),
    [anon_sym_snorm] = ACTIONS(2162),
    [anon_sym_unorm] = ACTIONS(2162),
    [anon_sym_point] = ACTIONS(2162),
    [anon_sym_line] = ACTIONS(2162),
    [anon_sym_triangleadj] = ACTIONS(2162),
    [anon_sym_lineadj] = ACTIONS(2162),
    [anon_sym_triangle] = ACTIONS(2162),
    [anon_sym_cbuffer] = ACTIONS(2162),
  },
  [198] = {
    [sym_identifier] = ACTIONS(2166),
    [aux_sym_preproc_include_token1] = ACTIONS(2166),
    [aux_sym_preproc_def_token1] = ACTIONS(2166),
    [aux_sym_preproc_if_token1] = ACTIONS(2166),
    [aux_sym_preproc_if_token2] = ACTIONS(2166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2166),
    [aux_sym_preproc_else_token1] = ACTIONS(2166),
    [aux_sym_preproc_elif_token1] = ACTIONS(2166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2166),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2166),
    [sym_preproc_directive] = ACTIONS(2166),
    [anon_sym_LPAREN2] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_STAR] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym___extension__] = ACTIONS(2166),
    [anon_sym_typedef] = ACTIONS(2166),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_out] = ACTIONS(2166),
    [anon_sym_inout] = ACTIONS(2166),
    [anon_sym_virtual] = ACTIONS(2166),
    [anon_sym_extern] = ACTIONS(2166),
    [anon_sym___attribute__] = ACTIONS(2166),
    [anon_sym_COLON_COLON] = ACTIONS(2168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2168),
    [anon_sym___declspec] = ACTIONS(2166),
    [anon_sym___based] = ACTIONS(2166),
    [anon_sym___cdecl] = ACTIONS(2166),
    [anon_sym___clrcall] = ACTIONS(2166),
    [anon_sym___stdcall] = ACTIONS(2166),
    [anon_sym___fastcall] = ACTIONS(2166),
    [anon_sym___thiscall] = ACTIONS(2166),
    [anon_sym___vectorcall] = ACTIONS(2166),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_signed] = ACTIONS(2166),
    [anon_sym_unsigned] = ACTIONS(2166),
    [anon_sym_long] = ACTIONS(2166),
    [anon_sym_short] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2166),
    [anon_sym_static] = ACTIONS(2166),
    [anon_sym_register] = ACTIONS(2166),
    [anon_sym_inline] = ACTIONS(2166),
    [anon_sym___inline] = ACTIONS(2166),
    [anon_sym___inline__] = ACTIONS(2166),
    [anon_sym___forceinline] = ACTIONS(2166),
    [anon_sym_thread_local] = ACTIONS(2166),
    [anon_sym___thread] = ACTIONS(2166),
    [anon_sym_const] = ACTIONS(2166),
    [anon_sym_constexpr] = ACTIONS(2166),
    [anon_sym_volatile] = ACTIONS(2166),
    [anon_sym_restrict] = ACTIONS(2166),
    [anon_sym___restrict__] = ACTIONS(2166),
    [anon_sym__Atomic] = ACTIONS(2166),
    [anon_sym__Noreturn] = ACTIONS(2166),
    [anon_sym_noreturn] = ACTIONS(2166),
    [anon_sym__Nonnull] = ACTIONS(2166),
    [anon_sym_mutable] = ACTIONS(2166),
    [anon_sym_constinit] = ACTIONS(2166),
    [anon_sym_consteval] = ACTIONS(2166),
    [anon_sym_alignas] = ACTIONS(2166),
    [anon_sym__Alignas] = ACTIONS(2166),
    [sym_primitive_type] = ACTIONS(2166),
    [anon_sym_enum] = ACTIONS(2166),
    [anon_sym_class] = ACTIONS(2166),
    [anon_sym_struct] = ACTIONS(2166),
    [anon_sym_union] = ACTIONS(2166),
    [anon_sym_if] = ACTIONS(2166),
    [anon_sym_else] = ACTIONS(2166),
    [anon_sym_switch] = ACTIONS(2166),
    [anon_sym_case] = ACTIONS(2166),
    [anon_sym_default] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(2166),
    [anon_sym_for] = ACTIONS(2166),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_break] = ACTIONS(2166),
    [anon_sym_continue] = ACTIONS(2166),
    [anon_sym_goto] = ACTIONS(2166),
    [anon_sym___try] = ACTIONS(2166),
    [anon_sym___leave] = ACTIONS(2166),
    [anon_sym_not] = ACTIONS(2166),
    [anon_sym_compl] = ACTIONS(2166),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_sizeof] = ACTIONS(2166),
    [anon_sym___alignof__] = ACTIONS(2166),
    [anon_sym___alignof] = ACTIONS(2166),
    [anon_sym__alignof] = ACTIONS(2166),
    [anon_sym_alignof] = ACTIONS(2166),
    [anon_sym__Alignof] = ACTIONS(2166),
    [anon_sym_offsetof] = ACTIONS(2166),
    [anon_sym__Generic] = ACTIONS(2166),
    [anon_sym_asm] = ACTIONS(2166),
    [anon_sym___asm__] = ACTIONS(2166),
    [anon_sym___asm] = ACTIONS(2166),
    [sym_number_literal] = ACTIONS(2168),
    [anon_sym_L_SQUOTE] = ACTIONS(2168),
    [anon_sym_u_SQUOTE] = ACTIONS(2168),
    [anon_sym_U_SQUOTE] = ACTIONS(2168),
    [anon_sym_u8_SQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_L_DQUOTE] = ACTIONS(2168),
    [anon_sym_u_DQUOTE] = ACTIONS(2168),
    [anon_sym_U_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8_DQUOTE] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2166),
    [anon_sym_decltype] = ACTIONS(2166),
    [anon_sym_explicit] = ACTIONS(2166),
    [anon_sym_typename] = ACTIONS(2166),
    [anon_sym_template] = ACTIONS(2166),
    [anon_sym_operator] = ACTIONS(2166),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_namespace] = ACTIONS(2166),
    [anon_sym_using] = ACTIONS(2166),
    [anon_sym_static_assert] = ACTIONS(2166),
    [anon_sym_concept] = ACTIONS(2166),
    [anon_sym_co_return] = ACTIONS(2166),
    [anon_sym_co_yield] = ACTIONS(2166),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(2166),
    [anon_sym_requires] = ACTIONS(2166),
    [sym_this] = ACTIONS(2166),
    [anon_sym_discard] = ACTIONS(2166),
    [anon_sym_precise] = ACTIONS(2166),
    [anon_sym_shared] = ACTIONS(2166),
    [anon_sym_groupshared] = ACTIONS(2166),
    [anon_sym_uniform] = ACTIONS(2166),
    [anon_sym_row_major] = ACTIONS(2166),
    [anon_sym_column_major] = ACTIONS(2166),
    [anon_sym_globallycoherent] = ACTIONS(2166),
    [anon_sym_centroid] = ACTIONS(2166),
    [anon_sym_noperspective] = ACTIONS(2166),
    [anon_sym_nointerpolation] = ACTIONS(2166),
    [anon_sym_sample] = ACTIONS(2166),
    [anon_sym_linear] = ACTIONS(2166),
    [anon_sym_snorm] = ACTIONS(2166),
    [anon_sym_unorm] = ACTIONS(2166),
    [anon_sym_point] = ACTIONS(2166),
    [anon_sym_line] = ACTIONS(2166),
    [anon_sym_triangleadj] = ACTIONS(2166),
    [anon_sym_lineadj] = ACTIONS(2166),
    [anon_sym_triangle] = ACTIONS(2166),
    [anon_sym_cbuffer] = ACTIONS(2166),
  },
  [199] = {
    [sym_identifier] = ACTIONS(2170),
    [aux_sym_preproc_include_token1] = ACTIONS(2170),
    [aux_sym_preproc_def_token1] = ACTIONS(2170),
    [aux_sym_preproc_if_token1] = ACTIONS(2170),
    [aux_sym_preproc_if_token2] = ACTIONS(2170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2170),
    [aux_sym_preproc_else_token1] = ACTIONS(2170),
    [aux_sym_preproc_elif_token1] = ACTIONS(2170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2170),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2170),
    [sym_preproc_directive] = ACTIONS(2170),
    [anon_sym_LPAREN2] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2172),
    [anon_sym_AMP_AMP] = ACTIONS(2172),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym___extension__] = ACTIONS(2170),
    [anon_sym_typedef] = ACTIONS(2170),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_out] = ACTIONS(2170),
    [anon_sym_inout] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(2170),
    [anon_sym_extern] = ACTIONS(2170),
    [anon_sym___attribute__] = ACTIONS(2170),
    [anon_sym_COLON_COLON] = ACTIONS(2172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2172),
    [anon_sym___declspec] = ACTIONS(2170),
    [anon_sym___based] = ACTIONS(2170),
    [anon_sym___cdecl] = ACTIONS(2170),
    [anon_sym___clrcall] = ACTIONS(2170),
    [anon_sym___stdcall] = ACTIONS(2170),
    [anon_sym___fastcall] = ACTIONS(2170),
    [anon_sym___thiscall] = ACTIONS(2170),
    [anon_sym___vectorcall] = ACTIONS(2170),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_signed] = ACTIONS(2170),
    [anon_sym_unsigned] = ACTIONS(2170),
    [anon_sym_long] = ACTIONS(2170),
    [anon_sym_short] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2170),
    [anon_sym_static] = ACTIONS(2170),
    [anon_sym_register] = ACTIONS(2170),
    [anon_sym_inline] = ACTIONS(2170),
    [anon_sym___inline] = ACTIONS(2170),
    [anon_sym___inline__] = ACTIONS(2170),
    [anon_sym___forceinline] = ACTIONS(2170),
    [anon_sym_thread_local] = ACTIONS(2170),
    [anon_sym___thread] = ACTIONS(2170),
    [anon_sym_const] = ACTIONS(2170),
    [anon_sym_constexpr] = ACTIONS(2170),
    [anon_sym_volatile] = ACTIONS(2170),
    [anon_sym_restrict] = ACTIONS(2170),
    [anon_sym___restrict__] = ACTIONS(2170),
    [anon_sym__Atomic] = ACTIONS(2170),
    [anon_sym__Noreturn] = ACTIONS(2170),
    [anon_sym_noreturn] = ACTIONS(2170),
    [anon_sym__Nonnull] = ACTIONS(2170),
    [anon_sym_mutable] = ACTIONS(2170),
    [anon_sym_constinit] = ACTIONS(2170),
    [anon_sym_consteval] = ACTIONS(2170),
    [anon_sym_alignas] = ACTIONS(2170),
    [anon_sym__Alignas] = ACTIONS(2170),
    [sym_primitive_type] = ACTIONS(2170),
    [anon_sym_enum] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(2170),
    [anon_sym_struct] = ACTIONS(2170),
    [anon_sym_union] = ACTIONS(2170),
    [anon_sym_if] = ACTIONS(2170),
    [anon_sym_else] = ACTIONS(2170),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_case] = ACTIONS(2170),
    [anon_sym_default] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2170),
    [anon_sym_do] = ACTIONS(2170),
    [anon_sym_for] = ACTIONS(2170),
    [anon_sym_return] = ACTIONS(2170),
    [anon_sym_break] = ACTIONS(2170),
    [anon_sym_continue] = ACTIONS(2170),
    [anon_sym_goto] = ACTIONS(2170),
    [anon_sym___try] = ACTIONS(2170),
    [anon_sym___leave] = ACTIONS(2170),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_compl] = ACTIONS(2170),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_sizeof] = ACTIONS(2170),
    [anon_sym___alignof__] = ACTIONS(2170),
    [anon_sym___alignof] = ACTIONS(2170),
    [anon_sym__alignof] = ACTIONS(2170),
    [anon_sym_alignof] = ACTIONS(2170),
    [anon_sym__Alignof] = ACTIONS(2170),
    [anon_sym_offsetof] = ACTIONS(2170),
    [anon_sym__Generic] = ACTIONS(2170),
    [anon_sym_asm] = ACTIONS(2170),
    [anon_sym___asm__] = ACTIONS(2170),
    [anon_sym___asm] = ACTIONS(2170),
    [sym_number_literal] = ACTIONS(2172),
    [anon_sym_L_SQUOTE] = ACTIONS(2172),
    [anon_sym_u_SQUOTE] = ACTIONS(2172),
    [anon_sym_U_SQUOTE] = ACTIONS(2172),
    [anon_sym_u8_SQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_L_DQUOTE] = ACTIONS(2172),
    [anon_sym_u_DQUOTE] = ACTIONS(2172),
    [anon_sym_U_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8_DQUOTE] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [sym_true] = ACTIONS(2170),
    [sym_false] = ACTIONS(2170),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2170),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_explicit] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(2170),
    [anon_sym_operator] = ACTIONS(2170),
    [anon_sym_try] = ACTIONS(2170),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_throw] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2170),
    [anon_sym_using] = ACTIONS(2170),
    [anon_sym_static_assert] = ACTIONS(2170),
    [anon_sym_concept] = ACTIONS(2170),
    [anon_sym_co_return] = ACTIONS(2170),
    [anon_sym_co_yield] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2170),
    [anon_sym_requires] = ACTIONS(2170),
    [sym_this] = ACTIONS(2170),
    [anon_sym_discard] = ACTIONS(2170),
    [anon_sym_precise] = ACTIONS(2170),
    [anon_sym_shared] = ACTIONS(2170),
    [anon_sym_groupshared] = ACTIONS(2170),
    [anon_sym_uniform] = ACTIONS(2170),
    [anon_sym_row_major] = ACTIONS(2170),
    [anon_sym_column_major] = ACTIONS(2170),
    [anon_sym_globallycoherent] = ACTIONS(2170),
    [anon_sym_centroid] = ACTIONS(2170),
    [anon_sym_noperspective] = ACTIONS(2170),
    [anon_sym_nointerpolation] = ACTIONS(2170),
    [anon_sym_sample] = ACTIONS(2170),
    [anon_sym_linear] = ACTIONS(2170),
    [anon_sym_snorm] = ACTIONS(2170),
    [anon_sym_unorm] = ACTIONS(2170),
    [anon_sym_point] = ACTIONS(2170),
    [anon_sym_line] = ACTIONS(2170),
    [anon_sym_triangleadj] = ACTIONS(2170),
    [anon_sym_lineadj] = ACTIONS(2170),
    [anon_sym_triangle] = ACTIONS(2170),
    [anon_sym_cbuffer] = ACTIONS(2170),
  },
  [200] = {
    [sym_identifier] = ACTIONS(2174),
    [aux_sym_preproc_include_token1] = ACTIONS(2174),
    [aux_sym_preproc_def_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token2] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2174),
    [aux_sym_preproc_else_token1] = ACTIONS(2174),
    [aux_sym_preproc_elif_token1] = ACTIONS(2174),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2174),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2174),
    [sym_preproc_directive] = ACTIONS(2174),
    [anon_sym_LPAREN2] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(2174),
    [anon_sym_typedef] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_out] = ACTIONS(2174),
    [anon_sym_inout] = ACTIONS(2174),
    [anon_sym_virtual] = ACTIONS(2174),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym___attribute__] = ACTIONS(2174),
    [anon_sym_COLON_COLON] = ACTIONS(2176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2176),
    [anon_sym___declspec] = ACTIONS(2174),
    [anon_sym___based] = ACTIONS(2174),
    [anon_sym___cdecl] = ACTIONS(2174),
    [anon_sym___clrcall] = ACTIONS(2174),
    [anon_sym___stdcall] = ACTIONS(2174),
    [anon_sym___fastcall] = ACTIONS(2174),
    [anon_sym___thiscall] = ACTIONS(2174),
    [anon_sym___vectorcall] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_signed] = ACTIONS(2174),
    [anon_sym_unsigned] = ACTIONS(2174),
    [anon_sym_long] = ACTIONS(2174),
    [anon_sym_short] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_register] = ACTIONS(2174),
    [anon_sym_inline] = ACTIONS(2174),
    [anon_sym___inline] = ACTIONS(2174),
    [anon_sym___inline__] = ACTIONS(2174),
    [anon_sym___forceinline] = ACTIONS(2174),
    [anon_sym_thread_local] = ACTIONS(2174),
    [anon_sym___thread] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_constexpr] = ACTIONS(2174),
    [anon_sym_volatile] = ACTIONS(2174),
    [anon_sym_restrict] = ACTIONS(2174),
    [anon_sym___restrict__] = ACTIONS(2174),
    [anon_sym__Atomic] = ACTIONS(2174),
    [anon_sym__Noreturn] = ACTIONS(2174),
    [anon_sym_noreturn] = ACTIONS(2174),
    [anon_sym__Nonnull] = ACTIONS(2174),
    [anon_sym_mutable] = ACTIONS(2174),
    [anon_sym_constinit] = ACTIONS(2174),
    [anon_sym_consteval] = ACTIONS(2174),
    [anon_sym_alignas] = ACTIONS(2174),
    [anon_sym__Alignas] = ACTIONS(2174),
    [sym_primitive_type] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_struct] = ACTIONS(2174),
    [anon_sym_union] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_case] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_goto] = ACTIONS(2174),
    [anon_sym___try] = ACTIONS(2174),
    [anon_sym___leave] = ACTIONS(2174),
    [anon_sym_not] = ACTIONS(2174),
    [anon_sym_compl] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_sizeof] = ACTIONS(2174),
    [anon_sym___alignof__] = ACTIONS(2174),
    [anon_sym___alignof] = ACTIONS(2174),
    [anon_sym__alignof] = ACTIONS(2174),
    [anon_sym_alignof] = ACTIONS(2174),
    [anon_sym__Alignof] = ACTIONS(2174),
    [anon_sym_offsetof] = ACTIONS(2174),
    [anon_sym__Generic] = ACTIONS(2174),
    [anon_sym_asm] = ACTIONS(2174),
    [anon_sym___asm__] = ACTIONS(2174),
    [anon_sym___asm] = ACTIONS(2174),
    [sym_number_literal] = ACTIONS(2176),
    [anon_sym_L_SQUOTE] = ACTIONS(2176),
    [anon_sym_u_SQUOTE] = ACTIONS(2176),
    [anon_sym_U_SQUOTE] = ACTIONS(2176),
    [anon_sym_u8_SQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_L_DQUOTE] = ACTIONS(2176),
    [anon_sym_u_DQUOTE] = ACTIONS(2176),
    [anon_sym_U_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8_DQUOTE] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [anon_sym_NULL] = ACTIONS(2174),
    [anon_sym_nullptr] = ACTIONS(2174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2174),
    [anon_sym_decltype] = ACTIONS(2174),
    [anon_sym_explicit] = ACTIONS(2174),
    [anon_sym_typename] = ACTIONS(2174),
    [anon_sym_template] = ACTIONS(2174),
    [anon_sym_operator] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_static_assert] = ACTIONS(2174),
    [anon_sym_concept] = ACTIONS(2174),
    [anon_sym_co_return] = ACTIONS(2174),
    [anon_sym_co_yield] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [anon_sym_discard] = ACTIONS(2174),
    [anon_sym_precise] = ACTIONS(2174),
    [anon_sym_shared] = ACTIONS(2174),
    [anon_sym_groupshared] = ACTIONS(2174),
    [anon_sym_uniform] = ACTIONS(2174),
    [anon_sym_row_major] = ACTIONS(2174),
    [anon_sym_column_major] = ACTIONS(2174),
    [anon_sym_globallycoherent] = ACTIONS(2174),
    [anon_sym_centroid] = ACTIONS(2174),
    [anon_sym_noperspective] = ACTIONS(2174),
    [anon_sym_nointerpolation] = ACTIONS(2174),
    [anon_sym_sample] = ACTIONS(2174),
    [anon_sym_linear] = ACTIONS(2174),
    [anon_sym_snorm] = ACTIONS(2174),
    [anon_sym_unorm] = ACTIONS(2174),
    [anon_sym_point] = ACTIONS(2174),
    [anon_sym_line] = ACTIONS(2174),
    [anon_sym_triangleadj] = ACTIONS(2174),
    [anon_sym_lineadj] = ACTIONS(2174),
    [anon_sym_triangle] = ACTIONS(2174),
    [anon_sym_cbuffer] = ACTIONS(2174),
  },
  [201] = {
    [sym_identifier] = ACTIONS(2178),
    [aux_sym_preproc_include_token1] = ACTIONS(2178),
    [aux_sym_preproc_def_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token2] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2178),
    [aux_sym_preproc_else_token1] = ACTIONS(2178),
    [aux_sym_preproc_elif_token1] = ACTIONS(2178),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2178),
    [sym_preproc_directive] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym__Nonnull] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym__Alignas] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [anon_sym___asm] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_explicit] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_static_assert] = ACTIONS(2178),
    [anon_sym_concept] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [202] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [aux_sym_preproc_else_token1] = ACTIONS(2182),
    [aux_sym_preproc_elif_token1] = ACTIONS(2182),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym__Nonnull] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym__Alignas] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [anon_sym___asm] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [203] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym__Nonnull] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym__Alignas] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [anon_sym___asm] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [204] = {
    [sym_identifier] = ACTIONS(2190),
    [aux_sym_preproc_include_token1] = ACTIONS(2190),
    [aux_sym_preproc_def_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token2] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2190),
    [aux_sym_preproc_else_token1] = ACTIONS(2190),
    [aux_sym_preproc_elif_token1] = ACTIONS(2190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2190),
    [sym_preproc_directive] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(2190),
    [anon_sym___cdecl] = ACTIONS(2190),
    [anon_sym___clrcall] = ACTIONS(2190),
    [anon_sym___stdcall] = ACTIONS(2190),
    [anon_sym___fastcall] = ACTIONS(2190),
    [anon_sym___thiscall] = ACTIONS(2190),
    [anon_sym___vectorcall] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym__Nonnull] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym__Alignas] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [anon_sym___asm] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_explicit] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_operator] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_static_assert] = ACTIONS(2190),
    [anon_sym_concept] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [205] = {
    [sym_identifier] = ACTIONS(2194),
    [aux_sym_preproc_include_token1] = ACTIONS(2194),
    [aux_sym_preproc_def_token1] = ACTIONS(2194),
    [aux_sym_preproc_if_token1] = ACTIONS(2194),
    [aux_sym_preproc_if_token2] = ACTIONS(2194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2194),
    [aux_sym_preproc_else_token1] = ACTIONS(2194),
    [aux_sym_preproc_elif_token1] = ACTIONS(2194),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2194),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2194),
    [sym_preproc_directive] = ACTIONS(2194),
    [anon_sym_LPAREN2] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym___extension__] = ACTIONS(2194),
    [anon_sym_typedef] = ACTIONS(2194),
    [anon_sym_in] = ACTIONS(2194),
    [anon_sym_out] = ACTIONS(2194),
    [anon_sym_inout] = ACTIONS(2194),
    [anon_sym_virtual] = ACTIONS(2194),
    [anon_sym_extern] = ACTIONS(2194),
    [anon_sym___attribute__] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2196),
    [anon_sym___declspec] = ACTIONS(2194),
    [anon_sym___based] = ACTIONS(2194),
    [anon_sym___cdecl] = ACTIONS(2194),
    [anon_sym___clrcall] = ACTIONS(2194),
    [anon_sym___stdcall] = ACTIONS(2194),
    [anon_sym___fastcall] = ACTIONS(2194),
    [anon_sym___thiscall] = ACTIONS(2194),
    [anon_sym___vectorcall] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_signed] = ACTIONS(2194),
    [anon_sym_unsigned] = ACTIONS(2194),
    [anon_sym_long] = ACTIONS(2194),
    [anon_sym_short] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_register] = ACTIONS(2194),
    [anon_sym_inline] = ACTIONS(2194),
    [anon_sym___inline] = ACTIONS(2194),
    [anon_sym___inline__] = ACTIONS(2194),
    [anon_sym___forceinline] = ACTIONS(2194),
    [anon_sym_thread_local] = ACTIONS(2194),
    [anon_sym___thread] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_constexpr] = ACTIONS(2194),
    [anon_sym_volatile] = ACTIONS(2194),
    [anon_sym_restrict] = ACTIONS(2194),
    [anon_sym___restrict__] = ACTIONS(2194),
    [anon_sym__Atomic] = ACTIONS(2194),
    [anon_sym__Noreturn] = ACTIONS(2194),
    [anon_sym_noreturn] = ACTIONS(2194),
    [anon_sym__Nonnull] = ACTIONS(2194),
    [anon_sym_mutable] = ACTIONS(2194),
    [anon_sym_constinit] = ACTIONS(2194),
    [anon_sym_consteval] = ACTIONS(2194),
    [anon_sym_alignas] = ACTIONS(2194),
    [anon_sym__Alignas] = ACTIONS(2194),
    [sym_primitive_type] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_struct] = ACTIONS(2194),
    [anon_sym_union] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_else] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_case] = ACTIONS(2194),
    [anon_sym_default] = ACTIONS(2194),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_goto] = ACTIONS(2194),
    [anon_sym___try] = ACTIONS(2194),
    [anon_sym___leave] = ACTIONS(2194),
    [anon_sym_not] = ACTIONS(2194),
    [anon_sym_compl] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2194),
    [anon_sym___alignof] = ACTIONS(2194),
    [anon_sym__alignof] = ACTIONS(2194),
    [anon_sym_alignof] = ACTIONS(2194),
    [anon_sym__Alignof] = ACTIONS(2194),
    [anon_sym_offsetof] = ACTIONS(2194),
    [anon_sym__Generic] = ACTIONS(2194),
    [anon_sym_asm] = ACTIONS(2194),
    [anon_sym___asm__] = ACTIONS(2194),
    [anon_sym___asm] = ACTIONS(2194),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [anon_sym_NULL] = ACTIONS(2194),
    [anon_sym_nullptr] = ACTIONS(2194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2194),
    [anon_sym_decltype] = ACTIONS(2194),
    [anon_sym_explicit] = ACTIONS(2194),
    [anon_sym_typename] = ACTIONS(2194),
    [anon_sym_template] = ACTIONS(2194),
    [anon_sym_operator] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_static_assert] = ACTIONS(2194),
    [anon_sym_concept] = ACTIONS(2194),
    [anon_sym_co_return] = ACTIONS(2194),
    [anon_sym_co_yield] = ACTIONS(2194),
    [anon_sym_R_DQUOTE] = ACTIONS(2196),
    [anon_sym_LR_DQUOTE] = ACTIONS(2196),
    [anon_sym_uR_DQUOTE] = ACTIONS(2196),
    [anon_sym_UR_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2196),
    [anon_sym_co_await] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_requires] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [anon_sym_discard] = ACTIONS(2194),
    [anon_sym_precise] = ACTIONS(2194),
    [anon_sym_shared] = ACTIONS(2194),
    [anon_sym_groupshared] = ACTIONS(2194),
    [anon_sym_uniform] = ACTIONS(2194),
    [anon_sym_row_major] = ACTIONS(2194),
    [anon_sym_column_major] = ACTIONS(2194),
    [anon_sym_globallycoherent] = ACTIONS(2194),
    [anon_sym_centroid] = ACTIONS(2194),
    [anon_sym_noperspective] = ACTIONS(2194),
    [anon_sym_nointerpolation] = ACTIONS(2194),
    [anon_sym_sample] = ACTIONS(2194),
    [anon_sym_linear] = ACTIONS(2194),
    [anon_sym_snorm] = ACTIONS(2194),
    [anon_sym_unorm] = ACTIONS(2194),
    [anon_sym_point] = ACTIONS(2194),
    [anon_sym_line] = ACTIONS(2194),
    [anon_sym_triangleadj] = ACTIONS(2194),
    [anon_sym_lineadj] = ACTIONS(2194),
    [anon_sym_triangle] = ACTIONS(2194),
    [anon_sym_cbuffer] = ACTIONS(2194),
  },
  [206] = {
    [sym_identifier] = ACTIONS(2198),
    [aux_sym_preproc_include_token1] = ACTIONS(2198),
    [aux_sym_preproc_def_token1] = ACTIONS(2198),
    [aux_sym_preproc_if_token1] = ACTIONS(2198),
    [aux_sym_preproc_if_token2] = ACTIONS(2198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2198),
    [aux_sym_preproc_else_token1] = ACTIONS(2198),
    [aux_sym_preproc_elif_token1] = ACTIONS(2198),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2198),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2198),
    [sym_preproc_directive] = ACTIONS(2198),
    [anon_sym_LPAREN2] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_PLUS] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2198),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2198),
    [anon_sym_typedef] = ACTIONS(2198),
    [anon_sym_in] = ACTIONS(2198),
    [anon_sym_out] = ACTIONS(2198),
    [anon_sym_inout] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2198),
    [anon_sym_extern] = ACTIONS(2198),
    [anon_sym___attribute__] = ACTIONS(2198),
    [anon_sym_COLON_COLON] = ACTIONS(2200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2200),
    [anon_sym___declspec] = ACTIONS(2198),
    [anon_sym___based] = ACTIONS(2198),
    [anon_sym___cdecl] = ACTIONS(2198),
    [anon_sym___clrcall] = ACTIONS(2198),
    [anon_sym___stdcall] = ACTIONS(2198),
    [anon_sym___fastcall] = ACTIONS(2198),
    [anon_sym___thiscall] = ACTIONS(2198),
    [anon_sym___vectorcall] = ACTIONS(2198),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_signed] = ACTIONS(2198),
    [anon_sym_unsigned] = ACTIONS(2198),
    [anon_sym_long] = ACTIONS(2198),
    [anon_sym_short] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [anon_sym_static] = ACTIONS(2198),
    [anon_sym_register] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(2198),
    [anon_sym___inline] = ACTIONS(2198),
    [anon_sym___inline__] = ACTIONS(2198),
    [anon_sym___forceinline] = ACTIONS(2198),
    [anon_sym_thread_local] = ACTIONS(2198),
    [anon_sym___thread] = ACTIONS(2198),
    [anon_sym_const] = ACTIONS(2198),
    [anon_sym_constexpr] = ACTIONS(2198),
    [anon_sym_volatile] = ACTIONS(2198),
    [anon_sym_restrict] = ACTIONS(2198),
    [anon_sym___restrict__] = ACTIONS(2198),
    [anon_sym__Atomic] = ACTIONS(2198),
    [anon_sym__Noreturn] = ACTIONS(2198),
    [anon_sym_noreturn] = ACTIONS(2198),
    [anon_sym__Nonnull] = ACTIONS(2198),
    [anon_sym_mutable] = ACTIONS(2198),
    [anon_sym_constinit] = ACTIONS(2198),
    [anon_sym_consteval] = ACTIONS(2198),
    [anon_sym_alignas] = ACTIONS(2198),
    [anon_sym__Alignas] = ACTIONS(2198),
    [sym_primitive_type] = ACTIONS(2198),
    [anon_sym_enum] = ACTIONS(2198),
    [anon_sym_class] = ACTIONS(2198),
    [anon_sym_struct] = ACTIONS(2198),
    [anon_sym_union] = ACTIONS(2198),
    [anon_sym_if] = ACTIONS(2198),
    [anon_sym_else] = ACTIONS(2198),
    [anon_sym_switch] = ACTIONS(2198),
    [anon_sym_case] = ACTIONS(2198),
    [anon_sym_default] = ACTIONS(2198),
    [anon_sym_while] = ACTIONS(2198),
    [anon_sym_do] = ACTIONS(2198),
    [anon_sym_for] = ACTIONS(2198),
    [anon_sym_return] = ACTIONS(2198),
    [anon_sym_break] = ACTIONS(2198),
    [anon_sym_continue] = ACTIONS(2198),
    [anon_sym_goto] = ACTIONS(2198),
    [anon_sym___try] = ACTIONS(2198),
    [anon_sym___leave] = ACTIONS(2198),
    [anon_sym_not] = ACTIONS(2198),
    [anon_sym_compl] = ACTIONS(2198),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_sizeof] = ACTIONS(2198),
    [anon_sym___alignof__] = ACTIONS(2198),
    [anon_sym___alignof] = ACTIONS(2198),
    [anon_sym__alignof] = ACTIONS(2198),
    [anon_sym_alignof] = ACTIONS(2198),
    [anon_sym__Alignof] = ACTIONS(2198),
    [anon_sym_offsetof] = ACTIONS(2198),
    [anon_sym__Generic] = ACTIONS(2198),
    [anon_sym_asm] = ACTIONS(2198),
    [anon_sym___asm__] = ACTIONS(2198),
    [anon_sym___asm] = ACTIONS(2198),
    [sym_number_literal] = ACTIONS(2200),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2198),
    [sym_false] = ACTIONS(2198),
    [anon_sym_NULL] = ACTIONS(2198),
    [anon_sym_nullptr] = ACTIONS(2198),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2198),
    [anon_sym_decltype] = ACTIONS(2198),
    [anon_sym_explicit] = ACTIONS(2198),
    [anon_sym_typename] = ACTIONS(2198),
    [anon_sym_template] = ACTIONS(2198),
    [anon_sym_operator] = ACTIONS(2198),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_throw] = ACTIONS(2198),
    [anon_sym_namespace] = ACTIONS(2198),
    [anon_sym_using] = ACTIONS(2198),
    [anon_sym_static_assert] = ACTIONS(2198),
    [anon_sym_concept] = ACTIONS(2198),
    [anon_sym_co_return] = ACTIONS(2198),
    [anon_sym_co_yield] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(2198),
    [anon_sym_requires] = ACTIONS(2198),
    [sym_this] = ACTIONS(2198),
    [anon_sym_discard] = ACTIONS(2198),
    [anon_sym_precise] = ACTIONS(2198),
    [anon_sym_shared] = ACTIONS(2198),
    [anon_sym_groupshared] = ACTIONS(2198),
    [anon_sym_uniform] = ACTIONS(2198),
    [anon_sym_row_major] = ACTIONS(2198),
    [anon_sym_column_major] = ACTIONS(2198),
    [anon_sym_globallycoherent] = ACTIONS(2198),
    [anon_sym_centroid] = ACTIONS(2198),
    [anon_sym_noperspective] = ACTIONS(2198),
    [anon_sym_nointerpolation] = ACTIONS(2198),
    [anon_sym_sample] = ACTIONS(2198),
    [anon_sym_linear] = ACTIONS(2198),
    [anon_sym_snorm] = ACTIONS(2198),
    [anon_sym_unorm] = ACTIONS(2198),
    [anon_sym_point] = ACTIONS(2198),
    [anon_sym_line] = ACTIONS(2198),
    [anon_sym_triangleadj] = ACTIONS(2198),
    [anon_sym_lineadj] = ACTIONS(2198),
    [anon_sym_triangle] = ACTIONS(2198),
    [anon_sym_cbuffer] = ACTIONS(2198),
  },
  [207] = {
    [sym_identifier] = ACTIONS(2202),
    [aux_sym_preproc_include_token1] = ACTIONS(2202),
    [aux_sym_preproc_def_token1] = ACTIONS(2202),
    [aux_sym_preproc_if_token1] = ACTIONS(2202),
    [aux_sym_preproc_if_token2] = ACTIONS(2202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2202),
    [aux_sym_preproc_else_token1] = ACTIONS(2202),
    [aux_sym_preproc_elif_token1] = ACTIONS(2202),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2202),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2202),
    [sym_preproc_directive] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2202),
    [anon_sym_typedef] = ACTIONS(2202),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_out] = ACTIONS(2202),
    [anon_sym_inout] = ACTIONS(2202),
    [anon_sym_virtual] = ACTIONS(2202),
    [anon_sym_extern] = ACTIONS(2202),
    [anon_sym___attribute__] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2202),
    [anon_sym___based] = ACTIONS(2202),
    [anon_sym___cdecl] = ACTIONS(2202),
    [anon_sym___clrcall] = ACTIONS(2202),
    [anon_sym___stdcall] = ACTIONS(2202),
    [anon_sym___fastcall] = ACTIONS(2202),
    [anon_sym___thiscall] = ACTIONS(2202),
    [anon_sym___vectorcall] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2202),
    [anon_sym_unsigned] = ACTIONS(2202),
    [anon_sym_long] = ACTIONS(2202),
    [anon_sym_short] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_static] = ACTIONS(2202),
    [anon_sym_register] = ACTIONS(2202),
    [anon_sym_inline] = ACTIONS(2202),
    [anon_sym___inline] = ACTIONS(2202),
    [anon_sym___inline__] = ACTIONS(2202),
    [anon_sym___forceinline] = ACTIONS(2202),
    [anon_sym_thread_local] = ACTIONS(2202),
    [anon_sym___thread] = ACTIONS(2202),
    [anon_sym_const] = ACTIONS(2202),
    [anon_sym_constexpr] = ACTIONS(2202),
    [anon_sym_volatile] = ACTIONS(2202),
    [anon_sym_restrict] = ACTIONS(2202),
    [anon_sym___restrict__] = ACTIONS(2202),
    [anon_sym__Atomic] = ACTIONS(2202),
    [anon_sym__Noreturn] = ACTIONS(2202),
    [anon_sym_noreturn] = ACTIONS(2202),
    [anon_sym__Nonnull] = ACTIONS(2202),
    [anon_sym_mutable] = ACTIONS(2202),
    [anon_sym_constinit] = ACTIONS(2202),
    [anon_sym_consteval] = ACTIONS(2202),
    [anon_sym_alignas] = ACTIONS(2202),
    [anon_sym__Alignas] = ACTIONS(2202),
    [sym_primitive_type] = ACTIONS(2202),
    [anon_sym_enum] = ACTIONS(2202),
    [anon_sym_class] = ACTIONS(2202),
    [anon_sym_struct] = ACTIONS(2202),
    [anon_sym_union] = ACTIONS(2202),
    [anon_sym_if] = ACTIONS(2202),
    [anon_sym_else] = ACTIONS(2202),
    [anon_sym_switch] = ACTIONS(2202),
    [anon_sym_case] = ACTIONS(2202),
    [anon_sym_default] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2202),
    [anon_sym_do] = ACTIONS(2202),
    [anon_sym_for] = ACTIONS(2202),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_break] = ACTIONS(2202),
    [anon_sym_continue] = ACTIONS(2202),
    [anon_sym_goto] = ACTIONS(2202),
    [anon_sym___try] = ACTIONS(2202),
    [anon_sym___leave] = ACTIONS(2202),
    [anon_sym_not] = ACTIONS(2202),
    [anon_sym_compl] = ACTIONS(2202),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2202),
    [anon_sym___alignof__] = ACTIONS(2202),
    [anon_sym___alignof] = ACTIONS(2202),
    [anon_sym__alignof] = ACTIONS(2202),
    [anon_sym_alignof] = ACTIONS(2202),
    [anon_sym__Alignof] = ACTIONS(2202),
    [anon_sym_offsetof] = ACTIONS(2202),
    [anon_sym__Generic] = ACTIONS(2202),
    [anon_sym_asm] = ACTIONS(2202),
    [anon_sym___asm__] = ACTIONS(2202),
    [anon_sym___asm] = ACTIONS(2202),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2202),
    [sym_false] = ACTIONS(2202),
    [anon_sym_NULL] = ACTIONS(2202),
    [anon_sym_nullptr] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2202),
    [anon_sym_decltype] = ACTIONS(2202),
    [anon_sym_explicit] = ACTIONS(2202),
    [anon_sym_typename] = ACTIONS(2202),
    [anon_sym_template] = ACTIONS(2202),
    [anon_sym_operator] = ACTIONS(2202),
    [anon_sym_try] = ACTIONS(2202),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2202),
    [anon_sym_namespace] = ACTIONS(2202),
    [anon_sym_using] = ACTIONS(2202),
    [anon_sym_static_assert] = ACTIONS(2202),
    [anon_sym_concept] = ACTIONS(2202),
    [anon_sym_co_return] = ACTIONS(2202),
    [anon_sym_co_yield] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2202),
    [anon_sym_requires] = ACTIONS(2202),
    [sym_this] = ACTIONS(2202),
    [anon_sym_discard] = ACTIONS(2202),
    [anon_sym_precise] = ACTIONS(2202),
    [anon_sym_shared] = ACTIONS(2202),
    [anon_sym_groupshared] = ACTIONS(2202),
    [anon_sym_uniform] = ACTIONS(2202),
    [anon_sym_row_major] = ACTIONS(2202),
    [anon_sym_column_major] = ACTIONS(2202),
    [anon_sym_globallycoherent] = ACTIONS(2202),
    [anon_sym_centroid] = ACTIONS(2202),
    [anon_sym_noperspective] = ACTIONS(2202),
    [anon_sym_nointerpolation] = ACTIONS(2202),
    [anon_sym_sample] = ACTIONS(2202),
    [anon_sym_linear] = ACTIONS(2202),
    [anon_sym_snorm] = ACTIONS(2202),
    [anon_sym_unorm] = ACTIONS(2202),
    [anon_sym_point] = ACTIONS(2202),
    [anon_sym_line] = ACTIONS(2202),
    [anon_sym_triangleadj] = ACTIONS(2202),
    [anon_sym_lineadj] = ACTIONS(2202),
    [anon_sym_triangle] = ACTIONS(2202),
    [anon_sym_cbuffer] = ACTIONS(2202),
  },
  [208] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_include_token1] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token2] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [aux_sym_preproc_else_token1] = ACTIONS(2206),
    [aux_sym_preproc_elif_token1] = ACTIONS(2206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym___cdecl] = ACTIONS(2206),
    [anon_sym___clrcall] = ACTIONS(2206),
    [anon_sym___stdcall] = ACTIONS(2206),
    [anon_sym___fastcall] = ACTIONS(2206),
    [anon_sym___thiscall] = ACTIONS(2206),
    [anon_sym___vectorcall] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym__Nonnull] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym__Alignas] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [anon_sym___asm] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_concept] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [209] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_out] = ACTIONS(2210),
    [anon_sym_inout] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2212),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym__Nonnull] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym__Alignas] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [anon_sym___asm] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2212),
    [anon_sym_L_SQUOTE] = ACTIONS(2212),
    [anon_sym_u_SQUOTE] = ACTIONS(2212),
    [anon_sym_U_SQUOTE] = ACTIONS(2212),
    [anon_sym_u8_SQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_L_DQUOTE] = ACTIONS(2212),
    [anon_sym_u_DQUOTE] = ACTIONS(2212),
    [anon_sym_U_DQUOTE] = ACTIONS(2212),
    [anon_sym_u8_DQUOTE] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2212),
    [anon_sym_LR_DQUOTE] = ACTIONS(2212),
    [anon_sym_uR_DQUOTE] = ACTIONS(2212),
    [anon_sym_UR_DQUOTE] = ACTIONS(2212),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2212),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
    [anon_sym_discard] = ACTIONS(2210),
    [anon_sym_precise] = ACTIONS(2210),
    [anon_sym_shared] = ACTIONS(2210),
    [anon_sym_groupshared] = ACTIONS(2210),
    [anon_sym_uniform] = ACTIONS(2210),
    [anon_sym_row_major] = ACTIONS(2210),
    [anon_sym_column_major] = ACTIONS(2210),
    [anon_sym_globallycoherent] = ACTIONS(2210),
    [anon_sym_centroid] = ACTIONS(2210),
    [anon_sym_noperspective] = ACTIONS(2210),
    [anon_sym_nointerpolation] = ACTIONS(2210),
    [anon_sym_sample] = ACTIONS(2210),
    [anon_sym_linear] = ACTIONS(2210),
    [anon_sym_snorm] = ACTIONS(2210),
    [anon_sym_unorm] = ACTIONS(2210),
    [anon_sym_point] = ACTIONS(2210),
    [anon_sym_line] = ACTIONS(2210),
    [anon_sym_triangleadj] = ACTIONS(2210),
    [anon_sym_lineadj] = ACTIONS(2210),
    [anon_sym_triangle] = ACTIONS(2210),
    [anon_sym_cbuffer] = ACTIONS(2210),
  },
  [210] = {
    [sym_identifier] = ACTIONS(2214),
    [aux_sym_preproc_include_token1] = ACTIONS(2214),
    [aux_sym_preproc_def_token1] = ACTIONS(2214),
    [aux_sym_preproc_if_token1] = ACTIONS(2214),
    [aux_sym_preproc_if_token2] = ACTIONS(2214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2214),
    [aux_sym_preproc_else_token1] = ACTIONS(2214),
    [aux_sym_preproc_elif_token1] = ACTIONS(2214),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2214),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2214),
    [sym_preproc_directive] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2214),
    [anon_sym_typedef] = ACTIONS(2214),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_out] = ACTIONS(2214),
    [anon_sym_inout] = ACTIONS(2214),
    [anon_sym_virtual] = ACTIONS(2214),
    [anon_sym_extern] = ACTIONS(2214),
    [anon_sym___attribute__] = ACTIONS(2214),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2216),
    [anon_sym___declspec] = ACTIONS(2214),
    [anon_sym___based] = ACTIONS(2214),
    [anon_sym___cdecl] = ACTIONS(2214),
    [anon_sym___clrcall] = ACTIONS(2214),
    [anon_sym___stdcall] = ACTIONS(2214),
    [anon_sym___fastcall] = ACTIONS(2214),
    [anon_sym___thiscall] = ACTIONS(2214),
    [anon_sym___vectorcall] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_signed] = ACTIONS(2214),
    [anon_sym_unsigned] = ACTIONS(2214),
    [anon_sym_long] = ACTIONS(2214),
    [anon_sym_short] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_static] = ACTIONS(2214),
    [anon_sym_register] = ACTIONS(2214),
    [anon_sym_inline] = ACTIONS(2214),
    [anon_sym___inline] = ACTIONS(2214),
    [anon_sym___inline__] = ACTIONS(2214),
    [anon_sym___forceinline] = ACTIONS(2214),
    [anon_sym_thread_local] = ACTIONS(2214),
    [anon_sym___thread] = ACTIONS(2214),
    [anon_sym_const] = ACTIONS(2214),
    [anon_sym_constexpr] = ACTIONS(2214),
    [anon_sym_volatile] = ACTIONS(2214),
    [anon_sym_restrict] = ACTIONS(2214),
    [anon_sym___restrict__] = ACTIONS(2214),
    [anon_sym__Atomic] = ACTIONS(2214),
    [anon_sym__Noreturn] = ACTIONS(2214),
    [anon_sym_noreturn] = ACTIONS(2214),
    [anon_sym__Nonnull] = ACTIONS(2214),
    [anon_sym_mutable] = ACTIONS(2214),
    [anon_sym_constinit] = ACTIONS(2214),
    [anon_sym_consteval] = ACTIONS(2214),
    [anon_sym_alignas] = ACTIONS(2214),
    [anon_sym__Alignas] = ACTIONS(2214),
    [sym_primitive_type] = ACTIONS(2214),
    [anon_sym_enum] = ACTIONS(2214),
    [anon_sym_class] = ACTIONS(2214),
    [anon_sym_struct] = ACTIONS(2214),
    [anon_sym_union] = ACTIONS(2214),
    [anon_sym_if] = ACTIONS(2214),
    [anon_sym_else] = ACTIONS(2214),
    [anon_sym_switch] = ACTIONS(2214),
    [anon_sym_case] = ACTIONS(2214),
    [anon_sym_default] = ACTIONS(2214),
    [anon_sym_while] = ACTIONS(2214),
    [anon_sym_do] = ACTIONS(2214),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_return] = ACTIONS(2214),
    [anon_sym_break] = ACTIONS(2214),
    [anon_sym_continue] = ACTIONS(2214),
    [anon_sym_goto] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2214),
    [anon_sym___leave] = ACTIONS(2214),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_sizeof] = ACTIONS(2214),
    [anon_sym___alignof__] = ACTIONS(2214),
    [anon_sym___alignof] = ACTIONS(2214),
    [anon_sym__alignof] = ACTIONS(2214),
    [anon_sym_alignof] = ACTIONS(2214),
    [anon_sym__Alignof] = ACTIONS(2214),
    [anon_sym_offsetof] = ACTIONS(2214),
    [anon_sym__Generic] = ACTIONS(2214),
    [anon_sym_asm] = ACTIONS(2214),
    [anon_sym___asm__] = ACTIONS(2214),
    [anon_sym___asm] = ACTIONS(2214),
    [sym_number_literal] = ACTIONS(2216),
    [anon_sym_L_SQUOTE] = ACTIONS(2216),
    [anon_sym_u_SQUOTE] = ACTIONS(2216),
    [anon_sym_U_SQUOTE] = ACTIONS(2216),
    [anon_sym_u8_SQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_L_DQUOTE] = ACTIONS(2216),
    [anon_sym_u_DQUOTE] = ACTIONS(2216),
    [anon_sym_U_DQUOTE] = ACTIONS(2216),
    [anon_sym_u8_DQUOTE] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [sym_true] = ACTIONS(2214),
    [sym_false] = ACTIONS(2214),
    [anon_sym_NULL] = ACTIONS(2214),
    [anon_sym_nullptr] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2214),
    [anon_sym_decltype] = ACTIONS(2214),
    [anon_sym_explicit] = ACTIONS(2214),
    [anon_sym_typename] = ACTIONS(2214),
    [anon_sym_template] = ACTIONS(2214),
    [anon_sym_operator] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2214),
    [anon_sym_delete] = ACTIONS(2214),
    [anon_sym_throw] = ACTIONS(2214),
    [anon_sym_namespace] = ACTIONS(2214),
    [anon_sym_using] = ACTIONS(2214),
    [anon_sym_static_assert] = ACTIONS(2214),
    [anon_sym_concept] = ACTIONS(2214),
    [anon_sym_co_return] = ACTIONS(2214),
    [anon_sym_co_yield] = ACTIONS(2214),
    [anon_sym_R_DQUOTE] = ACTIONS(2216),
    [anon_sym_LR_DQUOTE] = ACTIONS(2216),
    [anon_sym_uR_DQUOTE] = ACTIONS(2216),
    [anon_sym_UR_DQUOTE] = ACTIONS(2216),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2216),
    [anon_sym_co_await] = ACTIONS(2214),
    [anon_sym_new] = ACTIONS(2214),
    [anon_sym_requires] = ACTIONS(2214),
    [sym_this] = ACTIONS(2214),
    [anon_sym_discard] = ACTIONS(2214),
    [anon_sym_precise] = ACTIONS(2214),
    [anon_sym_shared] = ACTIONS(2214),
    [anon_sym_groupshared] = ACTIONS(2214),
    [anon_sym_uniform] = ACTIONS(2214),
    [anon_sym_row_major] = ACTIONS(2214),
    [anon_sym_column_major] = ACTIONS(2214),
    [anon_sym_globallycoherent] = ACTIONS(2214),
    [anon_sym_centroid] = ACTIONS(2214),
    [anon_sym_noperspective] = ACTIONS(2214),
    [anon_sym_nointerpolation] = ACTIONS(2214),
    [anon_sym_sample] = ACTIONS(2214),
    [anon_sym_linear] = ACTIONS(2214),
    [anon_sym_snorm] = ACTIONS(2214),
    [anon_sym_unorm] = ACTIONS(2214),
    [anon_sym_point] = ACTIONS(2214),
    [anon_sym_line] = ACTIONS(2214),
    [anon_sym_triangleadj] = ACTIONS(2214),
    [anon_sym_lineadj] = ACTIONS(2214),
    [anon_sym_triangle] = ACTIONS(2214),
    [anon_sym_cbuffer] = ACTIONS(2214),
  },
  [211] = {
    [sym_identifier] = ACTIONS(2218),
    [aux_sym_preproc_include_token1] = ACTIONS(2218),
    [aux_sym_preproc_def_token1] = ACTIONS(2218),
    [aux_sym_preproc_if_token1] = ACTIONS(2218),
    [aux_sym_preproc_if_token2] = ACTIONS(2218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2218),
    [aux_sym_preproc_else_token1] = ACTIONS(2218),
    [aux_sym_preproc_elif_token1] = ACTIONS(2218),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2218),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2218),
    [sym_preproc_directive] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2218),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym___extension__] = ACTIONS(2218),
    [anon_sym_typedef] = ACTIONS(2218),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_out] = ACTIONS(2218),
    [anon_sym_inout] = ACTIONS(2218),
    [anon_sym_virtual] = ACTIONS(2218),
    [anon_sym_extern] = ACTIONS(2218),
    [anon_sym___attribute__] = ACTIONS(2218),
    [anon_sym_COLON_COLON] = ACTIONS(2220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2220),
    [anon_sym___declspec] = ACTIONS(2218),
    [anon_sym___based] = ACTIONS(2218),
    [anon_sym___cdecl] = ACTIONS(2218),
    [anon_sym___clrcall] = ACTIONS(2218),
    [anon_sym___stdcall] = ACTIONS(2218),
    [anon_sym___fastcall] = ACTIONS(2218),
    [anon_sym___thiscall] = ACTIONS(2218),
    [anon_sym___vectorcall] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_signed] = ACTIONS(2218),
    [anon_sym_unsigned] = ACTIONS(2218),
    [anon_sym_long] = ACTIONS(2218),
    [anon_sym_short] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_static] = ACTIONS(2218),
    [anon_sym_register] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2218),
    [anon_sym___inline] = ACTIONS(2218),
    [anon_sym___inline__] = ACTIONS(2218),
    [anon_sym___forceinline] = ACTIONS(2218),
    [anon_sym_thread_local] = ACTIONS(2218),
    [anon_sym___thread] = ACTIONS(2218),
    [anon_sym_const] = ACTIONS(2218),
    [anon_sym_constexpr] = ACTIONS(2218),
    [anon_sym_volatile] = ACTIONS(2218),
    [anon_sym_restrict] = ACTIONS(2218),
    [anon_sym___restrict__] = ACTIONS(2218),
    [anon_sym__Atomic] = ACTIONS(2218),
    [anon_sym__Noreturn] = ACTIONS(2218),
    [anon_sym_noreturn] = ACTIONS(2218),
    [anon_sym__Nonnull] = ACTIONS(2218),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_constinit] = ACTIONS(2218),
    [anon_sym_consteval] = ACTIONS(2218),
    [anon_sym_alignas] = ACTIONS(2218),
    [anon_sym__Alignas] = ACTIONS(2218),
    [sym_primitive_type] = ACTIONS(2218),
    [anon_sym_enum] = ACTIONS(2218),
    [anon_sym_class] = ACTIONS(2218),
    [anon_sym_struct] = ACTIONS(2218),
    [anon_sym_union] = ACTIONS(2218),
    [anon_sym_if] = ACTIONS(2218),
    [anon_sym_else] = ACTIONS(2218),
    [anon_sym_switch] = ACTIONS(2218),
    [anon_sym_case] = ACTIONS(2218),
    [anon_sym_default] = ACTIONS(2218),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_do] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2218),
    [anon_sym_return] = ACTIONS(2218),
    [anon_sym_break] = ACTIONS(2218),
    [anon_sym_continue] = ACTIONS(2218),
    [anon_sym_goto] = ACTIONS(2218),
    [anon_sym___try] = ACTIONS(2218),
    [anon_sym___leave] = ACTIONS(2218),
    [anon_sym_not] = ACTIONS(2218),
    [anon_sym_compl] = ACTIONS(2218),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_sizeof] = ACTIONS(2218),
    [anon_sym___alignof__] = ACTIONS(2218),
    [anon_sym___alignof] = ACTIONS(2218),
    [anon_sym__alignof] = ACTIONS(2218),
    [anon_sym_alignof] = ACTIONS(2218),
    [anon_sym__Alignof] = ACTIONS(2218),
    [anon_sym_offsetof] = ACTIONS(2218),
    [anon_sym__Generic] = ACTIONS(2218),
    [anon_sym_asm] = ACTIONS(2218),
    [anon_sym___asm__] = ACTIONS(2218),
    [anon_sym___asm] = ACTIONS(2218),
    [sym_number_literal] = ACTIONS(2220),
    [anon_sym_L_SQUOTE] = ACTIONS(2220),
    [anon_sym_u_SQUOTE] = ACTIONS(2220),
    [anon_sym_U_SQUOTE] = ACTIONS(2220),
    [anon_sym_u8_SQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [anon_sym_L_DQUOTE] = ACTIONS(2220),
    [anon_sym_u_DQUOTE] = ACTIONS(2220),
    [anon_sym_U_DQUOTE] = ACTIONS(2220),
    [anon_sym_u8_DQUOTE] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [sym_true] = ACTIONS(2218),
    [sym_false] = ACTIONS(2218),
    [anon_sym_NULL] = ACTIONS(2218),
    [anon_sym_nullptr] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2218),
    [anon_sym_decltype] = ACTIONS(2218),
    [anon_sym_explicit] = ACTIONS(2218),
    [anon_sym_typename] = ACTIONS(2218),
    [anon_sym_template] = ACTIONS(2218),
    [anon_sym_operator] = ACTIONS(2218),
    [anon_sym_try] = ACTIONS(2218),
    [anon_sym_delete] = ACTIONS(2218),
    [anon_sym_throw] = ACTIONS(2218),
    [anon_sym_namespace] = ACTIONS(2218),
    [anon_sym_using] = ACTIONS(2218),
    [anon_sym_static_assert] = ACTIONS(2218),
    [anon_sym_concept] = ACTIONS(2218),
    [anon_sym_co_return] = ACTIONS(2218),
    [anon_sym_co_yield] = ACTIONS(2218),
    [anon_sym_R_DQUOTE] = ACTIONS(2220),
    [anon_sym_LR_DQUOTE] = ACTIONS(2220),
    [anon_sym_uR_DQUOTE] = ACTIONS(2220),
    [anon_sym_UR_DQUOTE] = ACTIONS(2220),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2220),
    [anon_sym_co_await] = ACTIONS(2218),
    [anon_sym_new] = ACTIONS(2218),
    [anon_sym_requires] = ACTIONS(2218),
    [sym_this] = ACTIONS(2218),
    [anon_sym_discard] = ACTIONS(2218),
    [anon_sym_precise] = ACTIONS(2218),
    [anon_sym_shared] = ACTIONS(2218),
    [anon_sym_groupshared] = ACTIONS(2218),
    [anon_sym_uniform] = ACTIONS(2218),
    [anon_sym_row_major] = ACTIONS(2218),
    [anon_sym_column_major] = ACTIONS(2218),
    [anon_sym_globallycoherent] = ACTIONS(2218),
    [anon_sym_centroid] = ACTIONS(2218),
    [anon_sym_noperspective] = ACTIONS(2218),
    [anon_sym_nointerpolation] = ACTIONS(2218),
    [anon_sym_sample] = ACTIONS(2218),
    [anon_sym_linear] = ACTIONS(2218),
    [anon_sym_snorm] = ACTIONS(2218),
    [anon_sym_unorm] = ACTIONS(2218),
    [anon_sym_point] = ACTIONS(2218),
    [anon_sym_line] = ACTIONS(2218),
    [anon_sym_triangleadj] = ACTIONS(2218),
    [anon_sym_lineadj] = ACTIONS(2218),
    [anon_sym_triangle] = ACTIONS(2218),
    [anon_sym_cbuffer] = ACTIONS(2218),
  },
  [212] = {
    [sym_identifier] = ACTIONS(2222),
    [aux_sym_preproc_include_token1] = ACTIONS(2222),
    [aux_sym_preproc_def_token1] = ACTIONS(2222),
    [aux_sym_preproc_if_token1] = ACTIONS(2222),
    [aux_sym_preproc_if_token2] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2222),
    [aux_sym_preproc_else_token1] = ACTIONS(2222),
    [aux_sym_preproc_elif_token1] = ACTIONS(2222),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2222),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2222),
    [sym_preproc_directive] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2222),
    [anon_sym_STAR] = ACTIONS(2224),
    [anon_sym_AMP_AMP] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym___extension__] = ACTIONS(2222),
    [anon_sym_typedef] = ACTIONS(2222),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_out] = ACTIONS(2222),
    [anon_sym_inout] = ACTIONS(2222),
    [anon_sym_virtual] = ACTIONS(2222),
    [anon_sym_extern] = ACTIONS(2222),
    [anon_sym___attribute__] = ACTIONS(2222),
    [anon_sym_COLON_COLON] = ACTIONS(2224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2224),
    [anon_sym___declspec] = ACTIONS(2222),
    [anon_sym___based] = ACTIONS(2222),
    [anon_sym___cdecl] = ACTIONS(2222),
    [anon_sym___clrcall] = ACTIONS(2222),
    [anon_sym___stdcall] = ACTIONS(2222),
    [anon_sym___fastcall] = ACTIONS(2222),
    [anon_sym___thiscall] = ACTIONS(2222),
    [anon_sym___vectorcall] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_signed] = ACTIONS(2222),
    [anon_sym_unsigned] = ACTIONS(2222),
    [anon_sym_long] = ACTIONS(2222),
    [anon_sym_short] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_static] = ACTIONS(2222),
    [anon_sym_register] = ACTIONS(2222),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym___inline] = ACTIONS(2222),
    [anon_sym___inline__] = ACTIONS(2222),
    [anon_sym___forceinline] = ACTIONS(2222),
    [anon_sym_thread_local] = ACTIONS(2222),
    [anon_sym___thread] = ACTIONS(2222),
    [anon_sym_const] = ACTIONS(2222),
    [anon_sym_constexpr] = ACTIONS(2222),
    [anon_sym_volatile] = ACTIONS(2222),
    [anon_sym_restrict] = ACTIONS(2222),
    [anon_sym___restrict__] = ACTIONS(2222),
    [anon_sym__Atomic] = ACTIONS(2222),
    [anon_sym__Noreturn] = ACTIONS(2222),
    [anon_sym_noreturn] = ACTIONS(2222),
    [anon_sym__Nonnull] = ACTIONS(2222),
    [anon_sym_mutable] = ACTIONS(2222),
    [anon_sym_constinit] = ACTIONS(2222),
    [anon_sym_consteval] = ACTIONS(2222),
    [anon_sym_alignas] = ACTIONS(2222),
    [anon_sym__Alignas] = ACTIONS(2222),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_enum] = ACTIONS(2222),
    [anon_sym_class] = ACTIONS(2222),
    [anon_sym_struct] = ACTIONS(2222),
    [anon_sym_union] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(2222),
    [anon_sym_else] = ACTIONS(2222),
    [anon_sym_switch] = ACTIONS(2222),
    [anon_sym_case] = ACTIONS(2222),
    [anon_sym_default] = ACTIONS(2222),
    [anon_sym_while] = ACTIONS(2222),
    [anon_sym_do] = ACTIONS(2222),
    [anon_sym_for] = ACTIONS(2222),
    [anon_sym_return] = ACTIONS(2222),
    [anon_sym_break] = ACTIONS(2222),
    [anon_sym_continue] = ACTIONS(2222),
    [anon_sym_goto] = ACTIONS(2222),
    [anon_sym___try] = ACTIONS(2222),
    [anon_sym___leave] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2222),
    [anon_sym_compl] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2222),
    [anon_sym___alignof] = ACTIONS(2222),
    [anon_sym__alignof] = ACTIONS(2222),
    [anon_sym_alignof] = ACTIONS(2222),
    [anon_sym__Alignof] = ACTIONS(2222),
    [anon_sym_offsetof] = ACTIONS(2222),
    [anon_sym__Generic] = ACTIONS(2222),
    [anon_sym_asm] = ACTIONS(2222),
    [anon_sym___asm__] = ACTIONS(2222),
    [anon_sym___asm] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2224),
    [anon_sym_L_SQUOTE] = ACTIONS(2224),
    [anon_sym_u_SQUOTE] = ACTIONS(2224),
    [anon_sym_U_SQUOTE] = ACTIONS(2224),
    [anon_sym_u8_SQUOTE] = ACTIONS(2224),
    [anon_sym_SQUOTE] = ACTIONS(2224),
    [anon_sym_L_DQUOTE] = ACTIONS(2224),
    [anon_sym_u_DQUOTE] = ACTIONS(2224),
    [anon_sym_U_DQUOTE] = ACTIONS(2224),
    [anon_sym_u8_DQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2224),
    [sym_true] = ACTIONS(2222),
    [sym_false] = ACTIONS(2222),
    [anon_sym_NULL] = ACTIONS(2222),
    [anon_sym_nullptr] = ACTIONS(2222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2222),
    [anon_sym_decltype] = ACTIONS(2222),
    [anon_sym_explicit] = ACTIONS(2222),
    [anon_sym_typename] = ACTIONS(2222),
    [anon_sym_template] = ACTIONS(2222),
    [anon_sym_operator] = ACTIONS(2222),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_delete] = ACTIONS(2222),
    [anon_sym_throw] = ACTIONS(2222),
    [anon_sym_namespace] = ACTIONS(2222),
    [anon_sym_using] = ACTIONS(2222),
    [anon_sym_static_assert] = ACTIONS(2222),
    [anon_sym_concept] = ACTIONS(2222),
    [anon_sym_co_return] = ACTIONS(2222),
    [anon_sym_co_yield] = ACTIONS(2222),
    [anon_sym_R_DQUOTE] = ACTIONS(2224),
    [anon_sym_LR_DQUOTE] = ACTIONS(2224),
    [anon_sym_uR_DQUOTE] = ACTIONS(2224),
    [anon_sym_UR_DQUOTE] = ACTIONS(2224),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2224),
    [anon_sym_co_await] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2222),
    [anon_sym_requires] = ACTIONS(2222),
    [sym_this] = ACTIONS(2222),
    [anon_sym_discard] = ACTIONS(2222),
    [anon_sym_precise] = ACTIONS(2222),
    [anon_sym_shared] = ACTIONS(2222),
    [anon_sym_groupshared] = ACTIONS(2222),
    [anon_sym_uniform] = ACTIONS(2222),
    [anon_sym_row_major] = ACTIONS(2222),
    [anon_sym_column_major] = ACTIONS(2222),
    [anon_sym_globallycoherent] = ACTIONS(2222),
    [anon_sym_centroid] = ACTIONS(2222),
    [anon_sym_noperspective] = ACTIONS(2222),
    [anon_sym_nointerpolation] = ACTIONS(2222),
    [anon_sym_sample] = ACTIONS(2222),
    [anon_sym_linear] = ACTIONS(2222),
    [anon_sym_snorm] = ACTIONS(2222),
    [anon_sym_unorm] = ACTIONS(2222),
    [anon_sym_point] = ACTIONS(2222),
    [anon_sym_line] = ACTIONS(2222),
    [anon_sym_triangleadj] = ACTIONS(2222),
    [anon_sym_lineadj] = ACTIONS(2222),
    [anon_sym_triangle] = ACTIONS(2222),
    [anon_sym_cbuffer] = ACTIONS(2222),
  },
  [213] = {
    [sym_identifier] = ACTIONS(2226),
    [aux_sym_preproc_include_token1] = ACTIONS(2226),
    [aux_sym_preproc_def_token1] = ACTIONS(2226),
    [aux_sym_preproc_if_token1] = ACTIONS(2226),
    [aux_sym_preproc_if_token2] = ACTIONS(2226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2226),
    [aux_sym_preproc_else_token1] = ACTIONS(2226),
    [aux_sym_preproc_elif_token1] = ACTIONS(2226),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2226),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2226),
    [sym_preproc_directive] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym___extension__] = ACTIONS(2226),
    [anon_sym_typedef] = ACTIONS(2226),
    [anon_sym_in] = ACTIONS(2226),
    [anon_sym_out] = ACTIONS(2226),
    [anon_sym_inout] = ACTIONS(2226),
    [anon_sym_virtual] = ACTIONS(2226),
    [anon_sym_extern] = ACTIONS(2226),
    [anon_sym___attribute__] = ACTIONS(2226),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2228),
    [anon_sym___declspec] = ACTIONS(2226),
    [anon_sym___based] = ACTIONS(2226),
    [anon_sym___cdecl] = ACTIONS(2226),
    [anon_sym___clrcall] = ACTIONS(2226),
    [anon_sym___stdcall] = ACTIONS(2226),
    [anon_sym___fastcall] = ACTIONS(2226),
    [anon_sym___thiscall] = ACTIONS(2226),
    [anon_sym___vectorcall] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_signed] = ACTIONS(2226),
    [anon_sym_unsigned] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_register] = ACTIONS(2226),
    [anon_sym_inline] = ACTIONS(2226),
    [anon_sym___inline] = ACTIONS(2226),
    [anon_sym___inline__] = ACTIONS(2226),
    [anon_sym___forceinline] = ACTIONS(2226),
    [anon_sym_thread_local] = ACTIONS(2226),
    [anon_sym___thread] = ACTIONS(2226),
    [anon_sym_const] = ACTIONS(2226),
    [anon_sym_constexpr] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_restrict] = ACTIONS(2226),
    [anon_sym___restrict__] = ACTIONS(2226),
    [anon_sym__Atomic] = ACTIONS(2226),
    [anon_sym__Noreturn] = ACTIONS(2226),
    [anon_sym_noreturn] = ACTIONS(2226),
    [anon_sym__Nonnull] = ACTIONS(2226),
    [anon_sym_mutable] = ACTIONS(2226),
    [anon_sym_constinit] = ACTIONS(2226),
    [anon_sym_consteval] = ACTIONS(2226),
    [anon_sym_alignas] = ACTIONS(2226),
    [anon_sym__Alignas] = ACTIONS(2226),
    [sym_primitive_type] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_struct] = ACTIONS(2226),
    [anon_sym_union] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_case] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_goto] = ACTIONS(2226),
    [anon_sym___try] = ACTIONS(2226),
    [anon_sym___leave] = ACTIONS(2226),
    [anon_sym_not] = ACTIONS(2226),
    [anon_sym_compl] = ACTIONS(2226),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_sizeof] = ACTIONS(2226),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2226),
    [anon_sym_asm] = ACTIONS(2226),
    [anon_sym___asm__] = ACTIONS(2226),
    [anon_sym___asm] = ACTIONS(2226),
    [sym_number_literal] = ACTIONS(2228),
    [anon_sym_L_SQUOTE] = ACTIONS(2228),
    [anon_sym_u_SQUOTE] = ACTIONS(2228),
    [anon_sym_U_SQUOTE] = ACTIONS(2228),
    [anon_sym_u8_SQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_L_DQUOTE] = ACTIONS(2228),
    [anon_sym_u_DQUOTE] = ACTIONS(2228),
    [anon_sym_U_DQUOTE] = ACTIONS(2228),
    [anon_sym_u8_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [anon_sym_NULL] = ACTIONS(2226),
    [anon_sym_nullptr] = ACTIONS(2226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2226),
    [anon_sym_decltype] = ACTIONS(2226),
    [anon_sym_explicit] = ACTIONS(2226),
    [anon_sym_typename] = ACTIONS(2226),
    [anon_sym_template] = ACTIONS(2226),
    [anon_sym_operator] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_delete] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_namespace] = ACTIONS(2226),
    [anon_sym_using] = ACTIONS(2226),
    [anon_sym_static_assert] = ACTIONS(2226),
    [anon_sym_concept] = ACTIONS(2226),
    [anon_sym_co_return] = ACTIONS(2226),
    [anon_sym_co_yield] = ACTIONS(2226),
    [anon_sym_R_DQUOTE] = ACTIONS(2228),
    [anon_sym_LR_DQUOTE] = ACTIONS(2228),
    [anon_sym_uR_DQUOTE] = ACTIONS(2228),
    [anon_sym_UR_DQUOTE] = ACTIONS(2228),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2228),
    [anon_sym_co_await] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_requires] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [anon_sym_discard] = ACTIONS(2226),
    [anon_sym_precise] = ACTIONS(2226),
    [anon_sym_shared] = ACTIONS(2226),
    [anon_sym_groupshared] = ACTIONS(2226),
    [anon_sym_uniform] = ACTIONS(2226),
    [anon_sym_row_major] = ACTIONS(2226),
    [anon_sym_column_major] = ACTIONS(2226),
    [anon_sym_globallycoherent] = ACTIONS(2226),
    [anon_sym_centroid] = ACTIONS(2226),
    [anon_sym_noperspective] = ACTIONS(2226),
    [anon_sym_nointerpolation] = ACTIONS(2226),
    [anon_sym_sample] = ACTIONS(2226),
    [anon_sym_linear] = ACTIONS(2226),
    [anon_sym_snorm] = ACTIONS(2226),
    [anon_sym_unorm] = ACTIONS(2226),
    [anon_sym_point] = ACTIONS(2226),
    [anon_sym_line] = ACTIONS(2226),
    [anon_sym_triangleadj] = ACTIONS(2226),
    [anon_sym_lineadj] = ACTIONS(2226),
    [anon_sym_triangle] = ACTIONS(2226),
    [anon_sym_cbuffer] = ACTIONS(2226),
  },
  [214] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_include_token1] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token2] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [aux_sym_preproc_else_token1] = ACTIONS(2230),
    [aux_sym_preproc_elif_token1] = ACTIONS(2230),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym___cdecl] = ACTIONS(2230),
    [anon_sym___clrcall] = ACTIONS(2230),
    [anon_sym___stdcall] = ACTIONS(2230),
    [anon_sym___fastcall] = ACTIONS(2230),
    [anon_sym___thiscall] = ACTIONS(2230),
    [anon_sym___vectorcall] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_goto] = ACTIONS(2230),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2230),
    [anon_sym_not] = ACTIONS(2230),
    [anon_sym_compl] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2230),
    [anon_sym___alignof] = ACTIONS(2230),
    [anon_sym__alignof] = ACTIONS(2230),
    [anon_sym_alignof] = ACTIONS(2230),
    [anon_sym__Alignof] = ACTIONS(2230),
    [anon_sym_offsetof] = ACTIONS(2230),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym___asm] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2232),
    [anon_sym_u_SQUOTE] = ACTIONS(2232),
    [anon_sym_U_SQUOTE] = ACTIONS(2232),
    [anon_sym_u8_SQUOTE] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_L_DQUOTE] = ACTIONS(2232),
    [anon_sym_u_DQUOTE] = ACTIONS(2232),
    [anon_sym_U_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2232),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [anon_sym_NULL] = ACTIONS(2230),
    [anon_sym_nullptr] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_concept] = ACTIONS(2230),
    [anon_sym_co_return] = ACTIONS(2230),
    [anon_sym_co_yield] = ACTIONS(2230),
    [anon_sym_R_DQUOTE] = ACTIONS(2232),
    [anon_sym_LR_DQUOTE] = ACTIONS(2232),
    [anon_sym_uR_DQUOTE] = ACTIONS(2232),
    [anon_sym_UR_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2232),
    [anon_sym_co_await] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_requires] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [anon_sym_discard] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
    [anon_sym_cbuffer] = ACTIONS(2230),
  },
  [215] = {
    [sym_identifier] = ACTIONS(2234),
    [aux_sym_preproc_include_token1] = ACTIONS(2234),
    [aux_sym_preproc_def_token1] = ACTIONS(2234),
    [aux_sym_preproc_if_token1] = ACTIONS(2234),
    [aux_sym_preproc_if_token2] = ACTIONS(2234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2234),
    [aux_sym_preproc_else_token1] = ACTIONS(2234),
    [aux_sym_preproc_elif_token1] = ACTIONS(2234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2234),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2234),
    [sym_preproc_directive] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2234),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2234),
    [anon_sym_typedef] = ACTIONS(2234),
    [anon_sym_in] = ACTIONS(2234),
    [anon_sym_out] = ACTIONS(2234),
    [anon_sym_inout] = ACTIONS(2234),
    [anon_sym_virtual] = ACTIONS(2234),
    [anon_sym_extern] = ACTIONS(2234),
    [anon_sym___attribute__] = ACTIONS(2234),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2234),
    [anon_sym___based] = ACTIONS(2234),
    [anon_sym___cdecl] = ACTIONS(2234),
    [anon_sym___clrcall] = ACTIONS(2234),
    [anon_sym___stdcall] = ACTIONS(2234),
    [anon_sym___fastcall] = ACTIONS(2234),
    [anon_sym___thiscall] = ACTIONS(2234),
    [anon_sym___vectorcall] = ACTIONS(2234),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2234),
    [anon_sym_unsigned] = ACTIONS(2234),
    [anon_sym_long] = ACTIONS(2234),
    [anon_sym_short] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2234),
    [anon_sym_static] = ACTIONS(2234),
    [anon_sym_register] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(2234),
    [anon_sym___inline] = ACTIONS(2234),
    [anon_sym___inline__] = ACTIONS(2234),
    [anon_sym___forceinline] = ACTIONS(2234),
    [anon_sym_thread_local] = ACTIONS(2234),
    [anon_sym___thread] = ACTIONS(2234),
    [anon_sym_const] = ACTIONS(2234),
    [anon_sym_constexpr] = ACTIONS(2234),
    [anon_sym_volatile] = ACTIONS(2234),
    [anon_sym_restrict] = ACTIONS(2234),
    [anon_sym___restrict__] = ACTIONS(2234),
    [anon_sym__Atomic] = ACTIONS(2234),
    [anon_sym__Noreturn] = ACTIONS(2234),
    [anon_sym_noreturn] = ACTIONS(2234),
    [anon_sym__Nonnull] = ACTIONS(2234),
    [anon_sym_mutable] = ACTIONS(2234),
    [anon_sym_constinit] = ACTIONS(2234),
    [anon_sym_consteval] = ACTIONS(2234),
    [anon_sym_alignas] = ACTIONS(2234),
    [anon_sym__Alignas] = ACTIONS(2234),
    [sym_primitive_type] = ACTIONS(2234),
    [anon_sym_enum] = ACTIONS(2234),
    [anon_sym_class] = ACTIONS(2234),
    [anon_sym_struct] = ACTIONS(2234),
    [anon_sym_union] = ACTIONS(2234),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_else] = ACTIONS(2234),
    [anon_sym_switch] = ACTIONS(2234),
    [anon_sym_case] = ACTIONS(2234),
    [anon_sym_default] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(2234),
    [anon_sym_do] = ACTIONS(2234),
    [anon_sym_for] = ACTIONS(2234),
    [anon_sym_return] = ACTIONS(2234),
    [anon_sym_break] = ACTIONS(2234),
    [anon_sym_continue] = ACTIONS(2234),
    [anon_sym_goto] = ACTIONS(2234),
    [anon_sym___try] = ACTIONS(2234),
    [anon_sym___leave] = ACTIONS(2234),
    [anon_sym_not] = ACTIONS(2234),
    [anon_sym_compl] = ACTIONS(2234),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2234),
    [anon_sym___alignof__] = ACTIONS(2234),
    [anon_sym___alignof] = ACTIONS(2234),
    [anon_sym__alignof] = ACTIONS(2234),
    [anon_sym_alignof] = ACTIONS(2234),
    [anon_sym__Alignof] = ACTIONS(2234),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2234),
    [anon_sym_asm] = ACTIONS(2234),
    [anon_sym___asm__] = ACTIONS(2234),
    [anon_sym___asm] = ACTIONS(2234),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2234),
    [sym_false] = ACTIONS(2234),
    [anon_sym_NULL] = ACTIONS(2234),
    [anon_sym_nullptr] = ACTIONS(2234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2234),
    [anon_sym_decltype] = ACTIONS(2234),
    [anon_sym_explicit] = ACTIONS(2234),
    [anon_sym_typename] = ACTIONS(2234),
    [anon_sym_template] = ACTIONS(2234),
    [anon_sym_operator] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_delete] = ACTIONS(2234),
    [anon_sym_throw] = ACTIONS(2234),
    [anon_sym_namespace] = ACTIONS(2234),
    [anon_sym_using] = ACTIONS(2234),
    [anon_sym_static_assert] = ACTIONS(2234),
    [anon_sym_concept] = ACTIONS(2234),
    [anon_sym_co_return] = ACTIONS(2234),
    [anon_sym_co_yield] = ACTIONS(2234),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(2234),
    [anon_sym_requires] = ACTIONS(2234),
    [sym_this] = ACTIONS(2234),
    [anon_sym_discard] = ACTIONS(2234),
    [anon_sym_precise] = ACTIONS(2234),
    [anon_sym_shared] = ACTIONS(2234),
    [anon_sym_groupshared] = ACTIONS(2234),
    [anon_sym_uniform] = ACTIONS(2234),
    [anon_sym_row_major] = ACTIONS(2234),
    [anon_sym_column_major] = ACTIONS(2234),
    [anon_sym_globallycoherent] = ACTIONS(2234),
    [anon_sym_centroid] = ACTIONS(2234),
    [anon_sym_noperspective] = ACTIONS(2234),
    [anon_sym_nointerpolation] = ACTIONS(2234),
    [anon_sym_sample] = ACTIONS(2234),
    [anon_sym_linear] = ACTIONS(2234),
    [anon_sym_snorm] = ACTIONS(2234),
    [anon_sym_unorm] = ACTIONS(2234),
    [anon_sym_point] = ACTIONS(2234),
    [anon_sym_line] = ACTIONS(2234),
    [anon_sym_triangleadj] = ACTIONS(2234),
    [anon_sym_lineadj] = ACTIONS(2234),
    [anon_sym_triangle] = ACTIONS(2234),
    [anon_sym_cbuffer] = ACTIONS(2234),
  },
  [216] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2240),
    [anon_sym_u_SQUOTE] = ACTIONS(2240),
    [anon_sym_U_SQUOTE] = ACTIONS(2240),
    [anon_sym_u8_SQUOTE] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_L_DQUOTE] = ACTIONS(2240),
    [anon_sym_u_DQUOTE] = ACTIONS(2240),
    [anon_sym_U_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8_DQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2240),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2240),
    [anon_sym_LR_DQUOTE] = ACTIONS(2240),
    [anon_sym_uR_DQUOTE] = ACTIONS(2240),
    [anon_sym_UR_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2240),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [217] = {
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_include_token1] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token2] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [aux_sym_preproc_else_token1] = ACTIONS(2242),
    [aux_sym_preproc_elif_token1] = ACTIONS(2242),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym___cdecl] = ACTIONS(2242),
    [anon_sym___clrcall] = ACTIONS(2242),
    [anon_sym___stdcall] = ACTIONS(2242),
    [anon_sym___fastcall] = ACTIONS(2242),
    [anon_sym___thiscall] = ACTIONS(2242),
    [anon_sym___vectorcall] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym__Nonnull] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym__Alignas] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [anon_sym___asm] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_concept] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [218] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [aux_sym_preproc_else_token1] = ACTIONS(1973),
    [aux_sym_preproc_elif_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [sym_number_literal] = ACTIONS(1971),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
    [anon_sym_discard] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
    [anon_sym_cbuffer] = ACTIONS(1973),
  },
  [219] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2240),
    [anon_sym_u_SQUOTE] = ACTIONS(2240),
    [anon_sym_U_SQUOTE] = ACTIONS(2240),
    [anon_sym_u8_SQUOTE] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_L_DQUOTE] = ACTIONS(2240),
    [anon_sym_u_DQUOTE] = ACTIONS(2240),
    [anon_sym_U_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8_DQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2240),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2240),
    [anon_sym_LR_DQUOTE] = ACTIONS(2240),
    [anon_sym_uR_DQUOTE] = ACTIONS(2240),
    [anon_sym_UR_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2240),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [220] = {
    [sym_identifier] = ACTIONS(2248),
    [aux_sym_preproc_include_token1] = ACTIONS(2248),
    [aux_sym_preproc_def_token1] = ACTIONS(2248),
    [aux_sym_preproc_if_token1] = ACTIONS(2248),
    [aux_sym_preproc_if_token2] = ACTIONS(2248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2248),
    [aux_sym_preproc_else_token1] = ACTIONS(2248),
    [aux_sym_preproc_elif_token1] = ACTIONS(2248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2248),
    [sym_preproc_directive] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_AMP_AMP] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym___extension__] = ACTIONS(2248),
    [anon_sym_typedef] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2248),
    [anon_sym_out] = ACTIONS(2248),
    [anon_sym_inout] = ACTIONS(2248),
    [anon_sym_virtual] = ACTIONS(2248),
    [anon_sym_extern] = ACTIONS(2248),
    [anon_sym___attribute__] = ACTIONS(2248),
    [anon_sym_COLON_COLON] = ACTIONS(2250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2250),
    [anon_sym___declspec] = ACTIONS(2248),
    [anon_sym___based] = ACTIONS(2248),
    [anon_sym___cdecl] = ACTIONS(2248),
    [anon_sym___clrcall] = ACTIONS(2248),
    [anon_sym___stdcall] = ACTIONS(2248),
    [anon_sym___fastcall] = ACTIONS(2248),
    [anon_sym___thiscall] = ACTIONS(2248),
    [anon_sym___vectorcall] = ACTIONS(2248),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_signed] = ACTIONS(2248),
    [anon_sym_unsigned] = ACTIONS(2248),
    [anon_sym_long] = ACTIONS(2248),
    [anon_sym_short] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_static] = ACTIONS(2248),
    [anon_sym_register] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(2248),
    [anon_sym___inline] = ACTIONS(2248),
    [anon_sym___inline__] = ACTIONS(2248),
    [anon_sym___forceinline] = ACTIONS(2248),
    [anon_sym_thread_local] = ACTIONS(2248),
    [anon_sym___thread] = ACTIONS(2248),
    [anon_sym_const] = ACTIONS(2248),
    [anon_sym_constexpr] = ACTIONS(2248),
    [anon_sym_volatile] = ACTIONS(2248),
    [anon_sym_restrict] = ACTIONS(2248),
    [anon_sym___restrict__] = ACTIONS(2248),
    [anon_sym__Atomic] = ACTIONS(2248),
    [anon_sym__Noreturn] = ACTIONS(2248),
    [anon_sym_noreturn] = ACTIONS(2248),
    [anon_sym__Nonnull] = ACTIONS(2248),
    [anon_sym_mutable] = ACTIONS(2248),
    [anon_sym_constinit] = ACTIONS(2248),
    [anon_sym_consteval] = ACTIONS(2248),
    [anon_sym_alignas] = ACTIONS(2248),
    [anon_sym__Alignas] = ACTIONS(2248),
    [sym_primitive_type] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2248),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_union] = ACTIONS(2248),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_else] = ACTIONS(2248),
    [anon_sym_switch] = ACTIONS(2248),
    [anon_sym_case] = ACTIONS(2248),
    [anon_sym_default] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(2248),
    [anon_sym_do] = ACTIONS(2248),
    [anon_sym_for] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(2248),
    [anon_sym_break] = ACTIONS(2248),
    [anon_sym_continue] = ACTIONS(2248),
    [anon_sym_goto] = ACTIONS(2248),
    [anon_sym___try] = ACTIONS(2248),
    [anon_sym___leave] = ACTIONS(2248),
    [anon_sym_not] = ACTIONS(2248),
    [anon_sym_compl] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(2248),
    [anon_sym___alignof] = ACTIONS(2248),
    [anon_sym__alignof] = ACTIONS(2248),
    [anon_sym_alignof] = ACTIONS(2248),
    [anon_sym__Alignof] = ACTIONS(2248),
    [anon_sym_offsetof] = ACTIONS(2248),
    [anon_sym__Generic] = ACTIONS(2248),
    [anon_sym_asm] = ACTIONS(2248),
    [anon_sym___asm__] = ACTIONS(2248),
    [anon_sym___asm] = ACTIONS(2248),
    [sym_number_literal] = ACTIONS(2250),
    [anon_sym_L_SQUOTE] = ACTIONS(2250),
    [anon_sym_u_SQUOTE] = ACTIONS(2250),
    [anon_sym_U_SQUOTE] = ACTIONS(2250),
    [anon_sym_u8_SQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [anon_sym_L_DQUOTE] = ACTIONS(2250),
    [anon_sym_u_DQUOTE] = ACTIONS(2250),
    [anon_sym_U_DQUOTE] = ACTIONS(2250),
    [anon_sym_u8_DQUOTE] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2248),
    [anon_sym_nullptr] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2248),
    [anon_sym_decltype] = ACTIONS(2248),
    [anon_sym_explicit] = ACTIONS(2248),
    [anon_sym_typename] = ACTIONS(2248),
    [anon_sym_template] = ACTIONS(2248),
    [anon_sym_operator] = ACTIONS(2248),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_delete] = ACTIONS(2248),
    [anon_sym_throw] = ACTIONS(2248),
    [anon_sym_namespace] = ACTIONS(2248),
    [anon_sym_using] = ACTIONS(2248),
    [anon_sym_static_assert] = ACTIONS(2248),
    [anon_sym_concept] = ACTIONS(2248),
    [anon_sym_co_return] = ACTIONS(2248),
    [anon_sym_co_yield] = ACTIONS(2248),
    [anon_sym_R_DQUOTE] = ACTIONS(2250),
    [anon_sym_LR_DQUOTE] = ACTIONS(2250),
    [anon_sym_uR_DQUOTE] = ACTIONS(2250),
    [anon_sym_UR_DQUOTE] = ACTIONS(2250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2250),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2248),
    [sym_this] = ACTIONS(2248),
    [anon_sym_discard] = ACTIONS(2248),
    [anon_sym_precise] = ACTIONS(2248),
    [anon_sym_shared] = ACTIONS(2248),
    [anon_sym_groupshared] = ACTIONS(2248),
    [anon_sym_uniform] = ACTIONS(2248),
    [anon_sym_row_major] = ACTIONS(2248),
    [anon_sym_column_major] = ACTIONS(2248),
    [anon_sym_globallycoherent] = ACTIONS(2248),
    [anon_sym_centroid] = ACTIONS(2248),
    [anon_sym_noperspective] = ACTIONS(2248),
    [anon_sym_nointerpolation] = ACTIONS(2248),
    [anon_sym_sample] = ACTIONS(2248),
    [anon_sym_linear] = ACTIONS(2248),
    [anon_sym_snorm] = ACTIONS(2248),
    [anon_sym_unorm] = ACTIONS(2248),
    [anon_sym_point] = ACTIONS(2248),
    [anon_sym_line] = ACTIONS(2248),
    [anon_sym_triangleadj] = ACTIONS(2248),
    [anon_sym_lineadj] = ACTIONS(2248),
    [anon_sym_triangle] = ACTIONS(2248),
    [anon_sym_cbuffer] = ACTIONS(2248),
  },
  [221] = {
    [sym_identifier] = ACTIONS(2252),
    [aux_sym_preproc_include_token1] = ACTIONS(2252),
    [aux_sym_preproc_def_token1] = ACTIONS(2252),
    [aux_sym_preproc_if_token1] = ACTIONS(2252),
    [aux_sym_preproc_if_token2] = ACTIONS(2252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2252),
    [aux_sym_preproc_else_token1] = ACTIONS(2252),
    [aux_sym_preproc_elif_token1] = ACTIONS(2252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2252),
    [sym_preproc_directive] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2254),
    [anon_sym_AMP_AMP] = ACTIONS(2254),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2252),
    [anon_sym_typedef] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_out] = ACTIONS(2252),
    [anon_sym_inout] = ACTIONS(2252),
    [anon_sym_virtual] = ACTIONS(2252),
    [anon_sym_extern] = ACTIONS(2252),
    [anon_sym___attribute__] = ACTIONS(2252),
    [anon_sym_COLON_COLON] = ACTIONS(2254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2254),
    [anon_sym___declspec] = ACTIONS(2252),
    [anon_sym___based] = ACTIONS(2252),
    [anon_sym___cdecl] = ACTIONS(2252),
    [anon_sym___clrcall] = ACTIONS(2252),
    [anon_sym___stdcall] = ACTIONS(2252),
    [anon_sym___fastcall] = ACTIONS(2252),
    [anon_sym___thiscall] = ACTIONS(2252),
    [anon_sym___vectorcall] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_signed] = ACTIONS(2252),
    [anon_sym_unsigned] = ACTIONS(2252),
    [anon_sym_long] = ACTIONS(2252),
    [anon_sym_short] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_register] = ACTIONS(2252),
    [anon_sym_inline] = ACTIONS(2252),
    [anon_sym___inline] = ACTIONS(2252),
    [anon_sym___inline__] = ACTIONS(2252),
    [anon_sym___forceinline] = ACTIONS(2252),
    [anon_sym_thread_local] = ACTIONS(2252),
    [anon_sym___thread] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_constexpr] = ACTIONS(2252),
    [anon_sym_volatile] = ACTIONS(2252),
    [anon_sym_restrict] = ACTIONS(2252),
    [anon_sym___restrict__] = ACTIONS(2252),
    [anon_sym__Atomic] = ACTIONS(2252),
    [anon_sym__Noreturn] = ACTIONS(2252),
    [anon_sym_noreturn] = ACTIONS(2252),
    [anon_sym__Nonnull] = ACTIONS(2252),
    [anon_sym_mutable] = ACTIONS(2252),
    [anon_sym_constinit] = ACTIONS(2252),
    [anon_sym_consteval] = ACTIONS(2252),
    [anon_sym_alignas] = ACTIONS(2252),
    [anon_sym__Alignas] = ACTIONS(2252),
    [sym_primitive_type] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_struct] = ACTIONS(2252),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_else] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_goto] = ACTIONS(2252),
    [anon_sym___try] = ACTIONS(2252),
    [anon_sym___leave] = ACTIONS(2252),
    [anon_sym_not] = ACTIONS(2252),
    [anon_sym_compl] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_sizeof] = ACTIONS(2252),
    [anon_sym___alignof__] = ACTIONS(2252),
    [anon_sym___alignof] = ACTIONS(2252),
    [anon_sym__alignof] = ACTIONS(2252),
    [anon_sym_alignof] = ACTIONS(2252),
    [anon_sym__Alignof] = ACTIONS(2252),
    [anon_sym_offsetof] = ACTIONS(2252),
    [anon_sym__Generic] = ACTIONS(2252),
    [anon_sym_asm] = ACTIONS(2252),
    [anon_sym___asm__] = ACTIONS(2252),
    [anon_sym___asm] = ACTIONS(2252),
    [sym_number_literal] = ACTIONS(2254),
    [anon_sym_L_SQUOTE] = ACTIONS(2254),
    [anon_sym_u_SQUOTE] = ACTIONS(2254),
    [anon_sym_U_SQUOTE] = ACTIONS(2254),
    [anon_sym_u8_SQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_L_DQUOTE] = ACTIONS(2254),
    [anon_sym_u_DQUOTE] = ACTIONS(2254),
    [anon_sym_U_DQUOTE] = ACTIONS(2254),
    [anon_sym_u8_DQUOTE] = ACTIONS(2254),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [anon_sym_NULL] = ACTIONS(2252),
    [anon_sym_nullptr] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2252),
    [anon_sym_decltype] = ACTIONS(2252),
    [anon_sym_explicit] = ACTIONS(2252),
    [anon_sym_typename] = ACTIONS(2252),
    [anon_sym_template] = ACTIONS(2252),
    [anon_sym_operator] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_static_assert] = ACTIONS(2252),
    [anon_sym_concept] = ACTIONS(2252),
    [anon_sym_co_return] = ACTIONS(2252),
    [anon_sym_co_yield] = ACTIONS(2252),
    [anon_sym_R_DQUOTE] = ACTIONS(2254),
    [anon_sym_LR_DQUOTE] = ACTIONS(2254),
    [anon_sym_uR_DQUOTE] = ACTIONS(2254),
    [anon_sym_UR_DQUOTE] = ACTIONS(2254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2254),
    [anon_sym_co_await] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [anon_sym_discard] = ACTIONS(2252),
    [anon_sym_precise] = ACTIONS(2252),
    [anon_sym_shared] = ACTIONS(2252),
    [anon_sym_groupshared] = ACTIONS(2252),
    [anon_sym_uniform] = ACTIONS(2252),
    [anon_sym_row_major] = ACTIONS(2252),
    [anon_sym_column_major] = ACTIONS(2252),
    [anon_sym_globallycoherent] = ACTIONS(2252),
    [anon_sym_centroid] = ACTIONS(2252),
    [anon_sym_noperspective] = ACTIONS(2252),
    [anon_sym_nointerpolation] = ACTIONS(2252),
    [anon_sym_sample] = ACTIONS(2252),
    [anon_sym_linear] = ACTIONS(2252),
    [anon_sym_snorm] = ACTIONS(2252),
    [anon_sym_unorm] = ACTIONS(2252),
    [anon_sym_point] = ACTIONS(2252),
    [anon_sym_line] = ACTIONS(2252),
    [anon_sym_triangleadj] = ACTIONS(2252),
    [anon_sym_lineadj] = ACTIONS(2252),
    [anon_sym_triangle] = ACTIONS(2252),
    [anon_sym_cbuffer] = ACTIONS(2252),
  },
  [222] = {
    [sym_identifier] = ACTIONS(2256),
    [aux_sym_preproc_include_token1] = ACTIONS(2256),
    [aux_sym_preproc_def_token1] = ACTIONS(2256),
    [aux_sym_preproc_if_token1] = ACTIONS(2256),
    [aux_sym_preproc_if_token2] = ACTIONS(2256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2256),
    [aux_sym_preproc_else_token1] = ACTIONS(2256),
    [aux_sym_preproc_elif_token1] = ACTIONS(2256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2256),
    [sym_preproc_directive] = ACTIONS(2256),
    [anon_sym_LPAREN2] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2256),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym___extension__] = ACTIONS(2256),
    [anon_sym_typedef] = ACTIONS(2256),
    [anon_sym_in] = ACTIONS(2256),
    [anon_sym_out] = ACTIONS(2256),
    [anon_sym_inout] = ACTIONS(2256),
    [anon_sym_virtual] = ACTIONS(2256),
    [anon_sym_extern] = ACTIONS(2256),
    [anon_sym___attribute__] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2258),
    [anon_sym___declspec] = ACTIONS(2256),
    [anon_sym___based] = ACTIONS(2256),
    [anon_sym___cdecl] = ACTIONS(2256),
    [anon_sym___clrcall] = ACTIONS(2256),
    [anon_sym___stdcall] = ACTIONS(2256),
    [anon_sym___fastcall] = ACTIONS(2256),
    [anon_sym___thiscall] = ACTIONS(2256),
    [anon_sym___vectorcall] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_signed] = ACTIONS(2256),
    [anon_sym_unsigned] = ACTIONS(2256),
    [anon_sym_long] = ACTIONS(2256),
    [anon_sym_short] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2256),
    [anon_sym_register] = ACTIONS(2256),
    [anon_sym_inline] = ACTIONS(2256),
    [anon_sym___inline] = ACTIONS(2256),
    [anon_sym___inline__] = ACTIONS(2256),
    [anon_sym___forceinline] = ACTIONS(2256),
    [anon_sym_thread_local] = ACTIONS(2256),
    [anon_sym___thread] = ACTIONS(2256),
    [anon_sym_const] = ACTIONS(2256),
    [anon_sym_constexpr] = ACTIONS(2256),
    [anon_sym_volatile] = ACTIONS(2256),
    [anon_sym_restrict] = ACTIONS(2256),
    [anon_sym___restrict__] = ACTIONS(2256),
    [anon_sym__Atomic] = ACTIONS(2256),
    [anon_sym__Noreturn] = ACTIONS(2256),
    [anon_sym_noreturn] = ACTIONS(2256),
    [anon_sym__Nonnull] = ACTIONS(2256),
    [anon_sym_mutable] = ACTIONS(2256),
    [anon_sym_constinit] = ACTIONS(2256),
    [anon_sym_consteval] = ACTIONS(2256),
    [anon_sym_alignas] = ACTIONS(2256),
    [anon_sym__Alignas] = ACTIONS(2256),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_enum] = ACTIONS(2256),
    [anon_sym_class] = ACTIONS(2256),
    [anon_sym_struct] = ACTIONS(2256),
    [anon_sym_union] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_else] = ACTIONS(2256),
    [anon_sym_switch] = ACTIONS(2256),
    [anon_sym_case] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2256),
    [anon_sym_for] = ACTIONS(2256),
    [anon_sym_return] = ACTIONS(2256),
    [anon_sym_break] = ACTIONS(2256),
    [anon_sym_continue] = ACTIONS(2256),
    [anon_sym_goto] = ACTIONS(2256),
    [anon_sym___try] = ACTIONS(2256),
    [anon_sym___leave] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2256),
    [anon_sym_compl] = ACTIONS(2256),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_sizeof] = ACTIONS(2256),
    [anon_sym___alignof__] = ACTIONS(2256),
    [anon_sym___alignof] = ACTIONS(2256),
    [anon_sym__alignof] = ACTIONS(2256),
    [anon_sym_alignof] = ACTIONS(2256),
    [anon_sym__Alignof] = ACTIONS(2256),
    [anon_sym_offsetof] = ACTIONS(2256),
    [anon_sym__Generic] = ACTIONS(2256),
    [anon_sym_asm] = ACTIONS(2256),
    [anon_sym___asm__] = ACTIONS(2256),
    [anon_sym___asm] = ACTIONS(2256),
    [sym_number_literal] = ACTIONS(2258),
    [anon_sym_L_SQUOTE] = ACTIONS(2258),
    [anon_sym_u_SQUOTE] = ACTIONS(2258),
    [anon_sym_U_SQUOTE] = ACTIONS(2258),
    [anon_sym_u8_SQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_L_DQUOTE] = ACTIONS(2258),
    [anon_sym_u_DQUOTE] = ACTIONS(2258),
    [anon_sym_U_DQUOTE] = ACTIONS(2258),
    [anon_sym_u8_DQUOTE] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [sym_true] = ACTIONS(2256),
    [sym_false] = ACTIONS(2256),
    [anon_sym_NULL] = ACTIONS(2256),
    [anon_sym_nullptr] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2256),
    [anon_sym_decltype] = ACTIONS(2256),
    [anon_sym_explicit] = ACTIONS(2256),
    [anon_sym_typename] = ACTIONS(2256),
    [anon_sym_template] = ACTIONS(2256),
    [anon_sym_operator] = ACTIONS(2256),
    [anon_sym_try] = ACTIONS(2256),
    [anon_sym_delete] = ACTIONS(2256),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_namespace] = ACTIONS(2256),
    [anon_sym_using] = ACTIONS(2256),
    [anon_sym_static_assert] = ACTIONS(2256),
    [anon_sym_concept] = ACTIONS(2256),
    [anon_sym_co_return] = ACTIONS(2256),
    [anon_sym_co_yield] = ACTIONS(2256),
    [anon_sym_R_DQUOTE] = ACTIONS(2258),
    [anon_sym_LR_DQUOTE] = ACTIONS(2258),
    [anon_sym_uR_DQUOTE] = ACTIONS(2258),
    [anon_sym_UR_DQUOTE] = ACTIONS(2258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2258),
    [anon_sym_co_await] = ACTIONS(2256),
    [anon_sym_new] = ACTIONS(2256),
    [anon_sym_requires] = ACTIONS(2256),
    [sym_this] = ACTIONS(2256),
    [anon_sym_discard] = ACTIONS(2256),
    [anon_sym_precise] = ACTIONS(2256),
    [anon_sym_shared] = ACTIONS(2256),
    [anon_sym_groupshared] = ACTIONS(2256),
    [anon_sym_uniform] = ACTIONS(2256),
    [anon_sym_row_major] = ACTIONS(2256),
    [anon_sym_column_major] = ACTIONS(2256),
    [anon_sym_globallycoherent] = ACTIONS(2256),
    [anon_sym_centroid] = ACTIONS(2256),
    [anon_sym_noperspective] = ACTIONS(2256),
    [anon_sym_nointerpolation] = ACTIONS(2256),
    [anon_sym_sample] = ACTIONS(2256),
    [anon_sym_linear] = ACTIONS(2256),
    [anon_sym_snorm] = ACTIONS(2256),
    [anon_sym_unorm] = ACTIONS(2256),
    [anon_sym_point] = ACTIONS(2256),
    [anon_sym_line] = ACTIONS(2256),
    [anon_sym_triangleadj] = ACTIONS(2256),
    [anon_sym_lineadj] = ACTIONS(2256),
    [anon_sym_triangle] = ACTIONS(2256),
    [anon_sym_cbuffer] = ACTIONS(2256),
  },
  [223] = {
    [sym_identifier] = ACTIONS(2260),
    [aux_sym_preproc_include_token1] = ACTIONS(2260),
    [aux_sym_preproc_def_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token2] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2260),
    [aux_sym_preproc_else_token1] = ACTIONS(2260),
    [aux_sym_preproc_elif_token1] = ACTIONS(2260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2260),
    [sym_preproc_directive] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2260),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2260),
    [anon_sym_typedef] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_out] = ACTIONS(2260),
    [anon_sym_inout] = ACTIONS(2260),
    [anon_sym_virtual] = ACTIONS(2260),
    [anon_sym_extern] = ACTIONS(2260),
    [anon_sym___attribute__] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2262),
    [anon_sym___declspec] = ACTIONS(2260),
    [anon_sym___based] = ACTIONS(2260),
    [anon_sym___cdecl] = ACTIONS(2260),
    [anon_sym___clrcall] = ACTIONS(2260),
    [anon_sym___stdcall] = ACTIONS(2260),
    [anon_sym___fastcall] = ACTIONS(2260),
    [anon_sym___thiscall] = ACTIONS(2260),
    [anon_sym___vectorcall] = ACTIONS(2260),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_signed] = ACTIONS(2260),
    [anon_sym_unsigned] = ACTIONS(2260),
    [anon_sym_long] = ACTIONS(2260),
    [anon_sym_short] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_register] = ACTIONS(2260),
    [anon_sym_inline] = ACTIONS(2260),
    [anon_sym___inline] = ACTIONS(2260),
    [anon_sym___inline__] = ACTIONS(2260),
    [anon_sym___forceinline] = ACTIONS(2260),
    [anon_sym_thread_local] = ACTIONS(2260),
    [anon_sym___thread] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2260),
    [anon_sym_constexpr] = ACTIONS(2260),
    [anon_sym_volatile] = ACTIONS(2260),
    [anon_sym_restrict] = ACTIONS(2260),
    [anon_sym___restrict__] = ACTIONS(2260),
    [anon_sym__Atomic] = ACTIONS(2260),
    [anon_sym__Noreturn] = ACTIONS(2260),
    [anon_sym_noreturn] = ACTIONS(2260),
    [anon_sym__Nonnull] = ACTIONS(2260),
    [anon_sym_mutable] = ACTIONS(2260),
    [anon_sym_constinit] = ACTIONS(2260),
    [anon_sym_consteval] = ACTIONS(2260),
    [anon_sym_alignas] = ACTIONS(2260),
    [anon_sym__Alignas] = ACTIONS(2260),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2260),
    [anon_sym_struct] = ACTIONS(2260),
    [anon_sym_union] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_else] = ACTIONS(2260),
    [anon_sym_switch] = ACTIONS(2260),
    [anon_sym_case] = ACTIONS(2260),
    [anon_sym_default] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2260),
    [anon_sym_do] = ACTIONS(2260),
    [anon_sym_for] = ACTIONS(2260),
    [anon_sym_return] = ACTIONS(2260),
    [anon_sym_break] = ACTIONS(2260),
    [anon_sym_continue] = ACTIONS(2260),
    [anon_sym_goto] = ACTIONS(2260),
    [anon_sym___try] = ACTIONS(2260),
    [anon_sym___leave] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2260),
    [anon_sym___alignof] = ACTIONS(2260),
    [anon_sym__alignof] = ACTIONS(2260),
    [anon_sym_alignof] = ACTIONS(2260),
    [anon_sym__Alignof] = ACTIONS(2260),
    [anon_sym_offsetof] = ACTIONS(2260),
    [anon_sym__Generic] = ACTIONS(2260),
    [anon_sym_asm] = ACTIONS(2260),
    [anon_sym___asm__] = ACTIONS(2260),
    [anon_sym___asm] = ACTIONS(2260),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2262),
    [anon_sym_u_SQUOTE] = ACTIONS(2262),
    [anon_sym_U_SQUOTE] = ACTIONS(2262),
    [anon_sym_u8_SQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_L_DQUOTE] = ACTIONS(2262),
    [anon_sym_u_DQUOTE] = ACTIONS(2262),
    [anon_sym_U_DQUOTE] = ACTIONS(2262),
    [anon_sym_u8_DQUOTE] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [sym_true] = ACTIONS(2260),
    [sym_false] = ACTIONS(2260),
    [anon_sym_NULL] = ACTIONS(2260),
    [anon_sym_nullptr] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2260),
    [anon_sym_decltype] = ACTIONS(2260),
    [anon_sym_explicit] = ACTIONS(2260),
    [anon_sym_typename] = ACTIONS(2260),
    [anon_sym_template] = ACTIONS(2260),
    [anon_sym_operator] = ACTIONS(2260),
    [anon_sym_try] = ACTIONS(2260),
    [anon_sym_delete] = ACTIONS(2260),
    [anon_sym_throw] = ACTIONS(2260),
    [anon_sym_namespace] = ACTIONS(2260),
    [anon_sym_using] = ACTIONS(2260),
    [anon_sym_static_assert] = ACTIONS(2260),
    [anon_sym_concept] = ACTIONS(2260),
    [anon_sym_co_return] = ACTIONS(2260),
    [anon_sym_co_yield] = ACTIONS(2260),
    [anon_sym_R_DQUOTE] = ACTIONS(2262),
    [anon_sym_LR_DQUOTE] = ACTIONS(2262),
    [anon_sym_uR_DQUOTE] = ACTIONS(2262),
    [anon_sym_UR_DQUOTE] = ACTIONS(2262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2262),
    [anon_sym_co_await] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2260),
    [anon_sym_requires] = ACTIONS(2260),
    [sym_this] = ACTIONS(2260),
    [anon_sym_discard] = ACTIONS(2260),
    [anon_sym_precise] = ACTIONS(2260),
    [anon_sym_shared] = ACTIONS(2260),
    [anon_sym_groupshared] = ACTIONS(2260),
    [anon_sym_uniform] = ACTIONS(2260),
    [anon_sym_row_major] = ACTIONS(2260),
    [anon_sym_column_major] = ACTIONS(2260),
    [anon_sym_globallycoherent] = ACTIONS(2260),
    [anon_sym_centroid] = ACTIONS(2260),
    [anon_sym_noperspective] = ACTIONS(2260),
    [anon_sym_nointerpolation] = ACTIONS(2260),
    [anon_sym_sample] = ACTIONS(2260),
    [anon_sym_linear] = ACTIONS(2260),
    [anon_sym_snorm] = ACTIONS(2260),
    [anon_sym_unorm] = ACTIONS(2260),
    [anon_sym_point] = ACTIONS(2260),
    [anon_sym_line] = ACTIONS(2260),
    [anon_sym_triangleadj] = ACTIONS(2260),
    [anon_sym_lineadj] = ACTIONS(2260),
    [anon_sym_triangle] = ACTIONS(2260),
    [anon_sym_cbuffer] = ACTIONS(2260),
  },
  [224] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [aux_sym_preproc_else_token1] = ACTIONS(2264),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym__Nonnull] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym__Alignas] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [anon_sym___asm] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [225] = {
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [aux_sym_preproc_else_token1] = ACTIONS(2268),
    [aux_sym_preproc_elif_token1] = ACTIONS(2268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym__Nonnull] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym__Alignas] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [anon_sym___asm] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [226] = {
    [sym_identifier] = ACTIONS(2272),
    [aux_sym_preproc_include_token1] = ACTIONS(2272),
    [aux_sym_preproc_def_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token2] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2272),
    [aux_sym_preproc_else_token1] = ACTIONS(2272),
    [aux_sym_preproc_elif_token1] = ACTIONS(2272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2272),
    [sym_preproc_directive] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2272),
    [anon_sym_typedef] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2272),
    [anon_sym_out] = ACTIONS(2272),
    [anon_sym_inout] = ACTIONS(2272),
    [anon_sym_virtual] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym___attribute__] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2274),
    [anon_sym___declspec] = ACTIONS(2272),
    [anon_sym___based] = ACTIONS(2272),
    [anon_sym___cdecl] = ACTIONS(2272),
    [anon_sym___clrcall] = ACTIONS(2272),
    [anon_sym___stdcall] = ACTIONS(2272),
    [anon_sym___fastcall] = ACTIONS(2272),
    [anon_sym___thiscall] = ACTIONS(2272),
    [anon_sym___vectorcall] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2272),
    [anon_sym_unsigned] = ACTIONS(2272),
    [anon_sym_long] = ACTIONS(2272),
    [anon_sym_short] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_register] = ACTIONS(2272),
    [anon_sym_inline] = ACTIONS(2272),
    [anon_sym___inline] = ACTIONS(2272),
    [anon_sym___inline__] = ACTIONS(2272),
    [anon_sym___forceinline] = ACTIONS(2272),
    [anon_sym_thread_local] = ACTIONS(2272),
    [anon_sym___thread] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_constexpr] = ACTIONS(2272),
    [anon_sym_volatile] = ACTIONS(2272),
    [anon_sym_restrict] = ACTIONS(2272),
    [anon_sym___restrict__] = ACTIONS(2272),
    [anon_sym__Atomic] = ACTIONS(2272),
    [anon_sym__Noreturn] = ACTIONS(2272),
    [anon_sym_noreturn] = ACTIONS(2272),
    [anon_sym__Nonnull] = ACTIONS(2272),
    [anon_sym_mutable] = ACTIONS(2272),
    [anon_sym_constinit] = ACTIONS(2272),
    [anon_sym_consteval] = ACTIONS(2272),
    [anon_sym_alignas] = ACTIONS(2272),
    [anon_sym__Alignas] = ACTIONS(2272),
    [sym_primitive_type] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_goto] = ACTIONS(2272),
    [anon_sym___try] = ACTIONS(2272),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_compl] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2272),
    [anon_sym___alignof] = ACTIONS(2272),
    [anon_sym__alignof] = ACTIONS(2272),
    [anon_sym_alignof] = ACTIONS(2272),
    [anon_sym__Alignof] = ACTIONS(2272),
    [anon_sym_offsetof] = ACTIONS(2272),
    [anon_sym__Generic] = ACTIONS(2272),
    [anon_sym_asm] = ACTIONS(2272),
    [anon_sym___asm__] = ACTIONS(2272),
    [anon_sym___asm] = ACTIONS(2272),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2274),
    [anon_sym_u_DQUOTE] = ACTIONS(2274),
    [anon_sym_U_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8_DQUOTE] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [anon_sym_NULL] = ACTIONS(2272),
    [anon_sym_nullptr] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2272),
    [anon_sym_decltype] = ACTIONS(2272),
    [anon_sym_explicit] = ACTIONS(2272),
    [anon_sym_typename] = ACTIONS(2272),
    [anon_sym_template] = ACTIONS(2272),
    [anon_sym_operator] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_static_assert] = ACTIONS(2272),
    [anon_sym_concept] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2272),
    [anon_sym_co_yield] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2274),
    [anon_sym_LR_DQUOTE] = ACTIONS(2274),
    [anon_sym_uR_DQUOTE] = ACTIONS(2274),
    [anon_sym_UR_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2274),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_requires] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [anon_sym_discard] = ACTIONS(2272),
    [anon_sym_precise] = ACTIONS(2272),
    [anon_sym_shared] = ACTIONS(2272),
    [anon_sym_groupshared] = ACTIONS(2272),
    [anon_sym_uniform] = ACTIONS(2272),
    [anon_sym_row_major] = ACTIONS(2272),
    [anon_sym_column_major] = ACTIONS(2272),
    [anon_sym_globallycoherent] = ACTIONS(2272),
    [anon_sym_centroid] = ACTIONS(2272),
    [anon_sym_noperspective] = ACTIONS(2272),
    [anon_sym_nointerpolation] = ACTIONS(2272),
    [anon_sym_sample] = ACTIONS(2272),
    [anon_sym_linear] = ACTIONS(2272),
    [anon_sym_snorm] = ACTIONS(2272),
    [anon_sym_unorm] = ACTIONS(2272),
    [anon_sym_point] = ACTIONS(2272),
    [anon_sym_line] = ACTIONS(2272),
    [anon_sym_triangleadj] = ACTIONS(2272),
    [anon_sym_lineadj] = ACTIONS(2272),
    [anon_sym_triangle] = ACTIONS(2272),
    [anon_sym_cbuffer] = ACTIONS(2272),
  },
  [227] = {
    [sym_identifier] = ACTIONS(2276),
    [aux_sym_preproc_include_token1] = ACTIONS(2276),
    [aux_sym_preproc_def_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token2] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2276),
    [aux_sym_preproc_else_token1] = ACTIONS(2276),
    [aux_sym_preproc_elif_token1] = ACTIONS(2276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2276),
    [sym_preproc_directive] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_TILDE] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_AMP_AMP] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2276),
    [anon_sym_typedef] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2276),
    [anon_sym_out] = ACTIONS(2276),
    [anon_sym_inout] = ACTIONS(2276),
    [anon_sym_virtual] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym___attribute__] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2278),
    [anon_sym___declspec] = ACTIONS(2276),
    [anon_sym___based] = ACTIONS(2276),
    [anon_sym___cdecl] = ACTIONS(2276),
    [anon_sym___clrcall] = ACTIONS(2276),
    [anon_sym___stdcall] = ACTIONS(2276),
    [anon_sym___fastcall] = ACTIONS(2276),
    [anon_sym___thiscall] = ACTIONS(2276),
    [anon_sym___vectorcall] = ACTIONS(2276),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2276),
    [anon_sym_unsigned] = ACTIONS(2276),
    [anon_sym_long] = ACTIONS(2276),
    [anon_sym_short] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_register] = ACTIONS(2276),
    [anon_sym_inline] = ACTIONS(2276),
    [anon_sym___inline] = ACTIONS(2276),
    [anon_sym___inline__] = ACTIONS(2276),
    [anon_sym___forceinline] = ACTIONS(2276),
    [anon_sym_thread_local] = ACTIONS(2276),
    [anon_sym___thread] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_constexpr] = ACTIONS(2276),
    [anon_sym_volatile] = ACTIONS(2276),
    [anon_sym_restrict] = ACTIONS(2276),
    [anon_sym___restrict__] = ACTIONS(2276),
    [anon_sym__Atomic] = ACTIONS(2276),
    [anon_sym__Noreturn] = ACTIONS(2276),
    [anon_sym_noreturn] = ACTIONS(2276),
    [anon_sym__Nonnull] = ACTIONS(2276),
    [anon_sym_mutable] = ACTIONS(2276),
    [anon_sym_constinit] = ACTIONS(2276),
    [anon_sym_consteval] = ACTIONS(2276),
    [anon_sym_alignas] = ACTIONS(2276),
    [anon_sym__Alignas] = ACTIONS(2276),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_else] = ACTIONS(2276),
    [anon_sym_switch] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_goto] = ACTIONS(2276),
    [anon_sym___try] = ACTIONS(2276),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2276),
    [anon_sym_compl] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2278),
    [anon_sym_sizeof] = ACTIONS(2276),
    [anon_sym___alignof__] = ACTIONS(2276),
    [anon_sym___alignof] = ACTIONS(2276),
    [anon_sym__alignof] = ACTIONS(2276),
    [anon_sym_alignof] = ACTIONS(2276),
    [anon_sym__Alignof] = ACTIONS(2276),
    [anon_sym_offsetof] = ACTIONS(2276),
    [anon_sym__Generic] = ACTIONS(2276),
    [anon_sym_asm] = ACTIONS(2276),
    [anon_sym___asm__] = ACTIONS(2276),
    [anon_sym___asm] = ACTIONS(2276),
    [sym_number_literal] = ACTIONS(2278),
    [anon_sym_L_SQUOTE] = ACTIONS(2278),
    [anon_sym_u_SQUOTE] = ACTIONS(2278),
    [anon_sym_U_SQUOTE] = ACTIONS(2278),
    [anon_sym_u8_SQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2278),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [anon_sym_NULL] = ACTIONS(2276),
    [anon_sym_nullptr] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2276),
    [anon_sym_decltype] = ACTIONS(2276),
    [anon_sym_explicit] = ACTIONS(2276),
    [anon_sym_typename] = ACTIONS(2276),
    [anon_sym_template] = ACTIONS(2276),
    [anon_sym_operator] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_delete] = ACTIONS(2276),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_namespace] = ACTIONS(2276),
    [anon_sym_using] = ACTIONS(2276),
    [anon_sym_static_assert] = ACTIONS(2276),
    [anon_sym_concept] = ACTIONS(2276),
    [anon_sym_co_return] = ACTIONS(2276),
    [anon_sym_co_yield] = ACTIONS(2276),
    [anon_sym_R_DQUOTE] = ACTIONS(2278),
    [anon_sym_LR_DQUOTE] = ACTIONS(2278),
    [anon_sym_uR_DQUOTE] = ACTIONS(2278),
    [anon_sym_UR_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2278),
    [anon_sym_co_await] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_requires] = ACTIONS(2276),
    [sym_this] = ACTIONS(2276),
    [anon_sym_discard] = ACTIONS(2276),
    [anon_sym_precise] = ACTIONS(2276),
    [anon_sym_shared] = ACTIONS(2276),
    [anon_sym_groupshared] = ACTIONS(2276),
    [anon_sym_uniform] = ACTIONS(2276),
    [anon_sym_row_major] = ACTIONS(2276),
    [anon_sym_column_major] = ACTIONS(2276),
    [anon_sym_globallycoherent] = ACTIONS(2276),
    [anon_sym_centroid] = ACTIONS(2276),
    [anon_sym_noperspective] = ACTIONS(2276),
    [anon_sym_nointerpolation] = ACTIONS(2276),
    [anon_sym_sample] = ACTIONS(2276),
    [anon_sym_linear] = ACTIONS(2276),
    [anon_sym_snorm] = ACTIONS(2276),
    [anon_sym_unorm] = ACTIONS(2276),
    [anon_sym_point] = ACTIONS(2276),
    [anon_sym_line] = ACTIONS(2276),
    [anon_sym_triangleadj] = ACTIONS(2276),
    [anon_sym_lineadj] = ACTIONS(2276),
    [anon_sym_triangle] = ACTIONS(2276),
    [anon_sym_cbuffer] = ACTIONS(2276),
  },
  [228] = {
    [sym_identifier] = ACTIONS(2280),
    [aux_sym_preproc_include_token1] = ACTIONS(2280),
    [aux_sym_preproc_def_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token2] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2280),
    [aux_sym_preproc_else_token1] = ACTIONS(2280),
    [aux_sym_preproc_elif_token1] = ACTIONS(2280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2280),
    [sym_preproc_directive] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2280),
    [anon_sym_typedef] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2280),
    [anon_sym_out] = ACTIONS(2280),
    [anon_sym_inout] = ACTIONS(2280),
    [anon_sym_virtual] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym___attribute__] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2282),
    [anon_sym___declspec] = ACTIONS(2280),
    [anon_sym___based] = ACTIONS(2280),
    [anon_sym___cdecl] = ACTIONS(2280),
    [anon_sym___clrcall] = ACTIONS(2280),
    [anon_sym___stdcall] = ACTIONS(2280),
    [anon_sym___fastcall] = ACTIONS(2280),
    [anon_sym___thiscall] = ACTIONS(2280),
    [anon_sym___vectorcall] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2280),
    [anon_sym_unsigned] = ACTIONS(2280),
    [anon_sym_long] = ACTIONS(2280),
    [anon_sym_short] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_register] = ACTIONS(2280),
    [anon_sym_inline] = ACTIONS(2280),
    [anon_sym___inline] = ACTIONS(2280),
    [anon_sym___inline__] = ACTIONS(2280),
    [anon_sym___forceinline] = ACTIONS(2280),
    [anon_sym_thread_local] = ACTIONS(2280),
    [anon_sym___thread] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_constexpr] = ACTIONS(2280),
    [anon_sym_volatile] = ACTIONS(2280),
    [anon_sym_restrict] = ACTIONS(2280),
    [anon_sym___restrict__] = ACTIONS(2280),
    [anon_sym__Atomic] = ACTIONS(2280),
    [anon_sym__Noreturn] = ACTIONS(2280),
    [anon_sym_noreturn] = ACTIONS(2280),
    [anon_sym__Nonnull] = ACTIONS(2280),
    [anon_sym_mutable] = ACTIONS(2280),
    [anon_sym_constinit] = ACTIONS(2280),
    [anon_sym_consteval] = ACTIONS(2280),
    [anon_sym_alignas] = ACTIONS(2280),
    [anon_sym__Alignas] = ACTIONS(2280),
    [sym_primitive_type] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2280),
    [anon_sym___try] = ACTIONS(2280),
    [anon_sym___leave] = ACTIONS(2280),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_compl] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2282),
    [anon_sym_sizeof] = ACTIONS(2280),
    [anon_sym___alignof__] = ACTIONS(2280),
    [anon_sym___alignof] = ACTIONS(2280),
    [anon_sym__alignof] = ACTIONS(2280),
    [anon_sym_alignof] = ACTIONS(2280),
    [anon_sym__Alignof] = ACTIONS(2280),
    [anon_sym_offsetof] = ACTIONS(2280),
    [anon_sym__Generic] = ACTIONS(2280),
    [anon_sym_asm] = ACTIONS(2280),
    [anon_sym___asm__] = ACTIONS(2280),
    [anon_sym___asm] = ACTIONS(2280),
    [sym_number_literal] = ACTIONS(2282),
    [anon_sym_L_SQUOTE] = ACTIONS(2282),
    [anon_sym_u_SQUOTE] = ACTIONS(2282),
    [anon_sym_U_SQUOTE] = ACTIONS(2282),
    [anon_sym_u8_SQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2282),
    [anon_sym_L_DQUOTE] = ACTIONS(2282),
    [anon_sym_u_DQUOTE] = ACTIONS(2282),
    [anon_sym_U_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8_DQUOTE] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [anon_sym_NULL] = ACTIONS(2280),
    [anon_sym_nullptr] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2280),
    [anon_sym_decltype] = ACTIONS(2280),
    [anon_sym_explicit] = ACTIONS(2280),
    [anon_sym_typename] = ACTIONS(2280),
    [anon_sym_template] = ACTIONS(2280),
    [anon_sym_operator] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_static_assert] = ACTIONS(2280),
    [anon_sym_concept] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2280),
    [anon_sym_co_yield] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_requires] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [anon_sym_discard] = ACTIONS(2280),
    [anon_sym_precise] = ACTIONS(2280),
    [anon_sym_shared] = ACTIONS(2280),
    [anon_sym_groupshared] = ACTIONS(2280),
    [anon_sym_uniform] = ACTIONS(2280),
    [anon_sym_row_major] = ACTIONS(2280),
    [anon_sym_column_major] = ACTIONS(2280),
    [anon_sym_globallycoherent] = ACTIONS(2280),
    [anon_sym_centroid] = ACTIONS(2280),
    [anon_sym_noperspective] = ACTIONS(2280),
    [anon_sym_nointerpolation] = ACTIONS(2280),
    [anon_sym_sample] = ACTIONS(2280),
    [anon_sym_linear] = ACTIONS(2280),
    [anon_sym_snorm] = ACTIONS(2280),
    [anon_sym_unorm] = ACTIONS(2280),
    [anon_sym_point] = ACTIONS(2280),
    [anon_sym_line] = ACTIONS(2280),
    [anon_sym_triangleadj] = ACTIONS(2280),
    [anon_sym_lineadj] = ACTIONS(2280),
    [anon_sym_triangle] = ACTIONS(2280),
    [anon_sym_cbuffer] = ACTIONS(2280),
  },
  [229] = {
    [sym_identifier] = ACTIONS(2284),
    [aux_sym_preproc_include_token1] = ACTIONS(2284),
    [aux_sym_preproc_def_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token2] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2284),
    [aux_sym_preproc_else_token1] = ACTIONS(2284),
    [aux_sym_preproc_elif_token1] = ACTIONS(2284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2284),
    [sym_preproc_directive] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_AMP_AMP] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2284),
    [anon_sym_typedef] = ACTIONS(2284),
    [anon_sym_in] = ACTIONS(2284),
    [anon_sym_out] = ACTIONS(2284),
    [anon_sym_inout] = ACTIONS(2284),
    [anon_sym_virtual] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym___attribute__] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2286),
    [anon_sym___declspec] = ACTIONS(2284),
    [anon_sym___based] = ACTIONS(2284),
    [anon_sym___cdecl] = ACTIONS(2284),
    [anon_sym___clrcall] = ACTIONS(2284),
    [anon_sym___stdcall] = ACTIONS(2284),
    [anon_sym___fastcall] = ACTIONS(2284),
    [anon_sym___thiscall] = ACTIONS(2284),
    [anon_sym___vectorcall] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2284),
    [anon_sym_unsigned] = ACTIONS(2284),
    [anon_sym_long] = ACTIONS(2284),
    [anon_sym_short] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_register] = ACTIONS(2284),
    [anon_sym_inline] = ACTIONS(2284),
    [anon_sym___inline] = ACTIONS(2284),
    [anon_sym___inline__] = ACTIONS(2284),
    [anon_sym___forceinline] = ACTIONS(2284),
    [anon_sym_thread_local] = ACTIONS(2284),
    [anon_sym___thread] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_constexpr] = ACTIONS(2284),
    [anon_sym_volatile] = ACTIONS(2284),
    [anon_sym_restrict] = ACTIONS(2284),
    [anon_sym___restrict__] = ACTIONS(2284),
    [anon_sym__Atomic] = ACTIONS(2284),
    [anon_sym__Noreturn] = ACTIONS(2284),
    [anon_sym_noreturn] = ACTIONS(2284),
    [anon_sym__Nonnull] = ACTIONS(2284),
    [anon_sym_mutable] = ACTIONS(2284),
    [anon_sym_constinit] = ACTIONS(2284),
    [anon_sym_consteval] = ACTIONS(2284),
    [anon_sym_alignas] = ACTIONS(2284),
    [anon_sym__Alignas] = ACTIONS(2284),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_else] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2284),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym_default] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym___try] = ACTIONS(2284),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2284),
    [anon_sym_compl] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2286),
    [anon_sym_sizeof] = ACTIONS(2284),
    [anon_sym___alignof__] = ACTIONS(2284),
    [anon_sym___alignof] = ACTIONS(2284),
    [anon_sym__alignof] = ACTIONS(2284),
    [anon_sym_alignof] = ACTIONS(2284),
    [anon_sym__Alignof] = ACTIONS(2284),
    [anon_sym_offsetof] = ACTIONS(2284),
    [anon_sym__Generic] = ACTIONS(2284),
    [anon_sym_asm] = ACTIONS(2284),
    [anon_sym___asm__] = ACTIONS(2284),
    [anon_sym___asm] = ACTIONS(2284),
    [sym_number_literal] = ACTIONS(2286),
    [anon_sym_L_SQUOTE] = ACTIONS(2286),
    [anon_sym_u_SQUOTE] = ACTIONS(2286),
    [anon_sym_U_SQUOTE] = ACTIONS(2286),
    [anon_sym_u8_SQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2286),
    [anon_sym_L_DQUOTE] = ACTIONS(2286),
    [anon_sym_u_DQUOTE] = ACTIONS(2286),
    [anon_sym_U_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8_DQUOTE] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [anon_sym_NULL] = ACTIONS(2284),
    [anon_sym_nullptr] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2284),
    [anon_sym_decltype] = ACTIONS(2284),
    [anon_sym_explicit] = ACTIONS(2284),
    [anon_sym_typename] = ACTIONS(2284),
    [anon_sym_template] = ACTIONS(2284),
    [anon_sym_operator] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_namespace] = ACTIONS(2284),
    [anon_sym_using] = ACTIONS(2284),
    [anon_sym_static_assert] = ACTIONS(2284),
    [anon_sym_concept] = ACTIONS(2284),
    [anon_sym_co_return] = ACTIONS(2284),
    [anon_sym_co_yield] = ACTIONS(2284),
    [anon_sym_R_DQUOTE] = ACTIONS(2286),
    [anon_sym_LR_DQUOTE] = ACTIONS(2286),
    [anon_sym_uR_DQUOTE] = ACTIONS(2286),
    [anon_sym_UR_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2286),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2284),
    [anon_sym_requires] = ACTIONS(2284),
    [sym_this] = ACTIONS(2284),
    [anon_sym_discard] = ACTIONS(2284),
    [anon_sym_precise] = ACTIONS(2284),
    [anon_sym_shared] = ACTIONS(2284),
    [anon_sym_groupshared] = ACTIONS(2284),
    [anon_sym_uniform] = ACTIONS(2284),
    [anon_sym_row_major] = ACTIONS(2284),
    [anon_sym_column_major] = ACTIONS(2284),
    [anon_sym_globallycoherent] = ACTIONS(2284),
    [anon_sym_centroid] = ACTIONS(2284),
    [anon_sym_noperspective] = ACTIONS(2284),
    [anon_sym_nointerpolation] = ACTIONS(2284),
    [anon_sym_sample] = ACTIONS(2284),
    [anon_sym_linear] = ACTIONS(2284),
    [anon_sym_snorm] = ACTIONS(2284),
    [anon_sym_unorm] = ACTIONS(2284),
    [anon_sym_point] = ACTIONS(2284),
    [anon_sym_line] = ACTIONS(2284),
    [anon_sym_triangleadj] = ACTIONS(2284),
    [anon_sym_lineadj] = ACTIONS(2284),
    [anon_sym_triangle] = ACTIONS(2284),
    [anon_sym_cbuffer] = ACTIONS(2284),
  },
  [230] = {
    [sym_identifier] = ACTIONS(2288),
    [aux_sym_preproc_include_token1] = ACTIONS(2288),
    [aux_sym_preproc_def_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token2] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2288),
    [aux_sym_preproc_else_token1] = ACTIONS(2288),
    [aux_sym_preproc_elif_token1] = ACTIONS(2288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2288),
    [sym_preproc_directive] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2288),
    [anon_sym_typedef] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_out] = ACTIONS(2288),
    [anon_sym_inout] = ACTIONS(2288),
    [anon_sym_virtual] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym___attribute__] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2290),
    [anon_sym___declspec] = ACTIONS(2288),
    [anon_sym___based] = ACTIONS(2288),
    [anon_sym___cdecl] = ACTIONS(2288),
    [anon_sym___clrcall] = ACTIONS(2288),
    [anon_sym___stdcall] = ACTIONS(2288),
    [anon_sym___fastcall] = ACTIONS(2288),
    [anon_sym___thiscall] = ACTIONS(2288),
    [anon_sym___vectorcall] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2288),
    [anon_sym_unsigned] = ACTIONS(2288),
    [anon_sym_long] = ACTIONS(2288),
    [anon_sym_short] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_register] = ACTIONS(2288),
    [anon_sym_inline] = ACTIONS(2288),
    [anon_sym___inline] = ACTIONS(2288),
    [anon_sym___inline__] = ACTIONS(2288),
    [anon_sym___forceinline] = ACTIONS(2288),
    [anon_sym_thread_local] = ACTIONS(2288),
    [anon_sym___thread] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_constexpr] = ACTIONS(2288),
    [anon_sym_volatile] = ACTIONS(2288),
    [anon_sym_restrict] = ACTIONS(2288),
    [anon_sym___restrict__] = ACTIONS(2288),
    [anon_sym__Atomic] = ACTIONS(2288),
    [anon_sym__Noreturn] = ACTIONS(2288),
    [anon_sym_noreturn] = ACTIONS(2288),
    [anon_sym__Nonnull] = ACTIONS(2288),
    [anon_sym_mutable] = ACTIONS(2288),
    [anon_sym_constinit] = ACTIONS(2288),
    [anon_sym_consteval] = ACTIONS(2288),
    [anon_sym_alignas] = ACTIONS(2288),
    [anon_sym__Alignas] = ACTIONS(2288),
    [sym_primitive_type] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym___try] = ACTIONS(2288),
    [anon_sym___leave] = ACTIONS(2288),
    [anon_sym_not] = ACTIONS(2288),
    [anon_sym_compl] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2290),
    [anon_sym_PLUS_PLUS] = ACTIONS(2290),
    [anon_sym_sizeof] = ACTIONS(2288),
    [anon_sym___alignof__] = ACTIONS(2288),
    [anon_sym___alignof] = ACTIONS(2288),
    [anon_sym__alignof] = ACTIONS(2288),
    [anon_sym_alignof] = ACTIONS(2288),
    [anon_sym__Alignof] = ACTIONS(2288),
    [anon_sym_offsetof] = ACTIONS(2288),
    [anon_sym__Generic] = ACTIONS(2288),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(2290),
    [anon_sym_L_SQUOTE] = ACTIONS(2290),
    [anon_sym_u_SQUOTE] = ACTIONS(2290),
    [anon_sym_U_SQUOTE] = ACTIONS(2290),
    [anon_sym_u8_SQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym_L_DQUOTE] = ACTIONS(2290),
    [anon_sym_u_DQUOTE] = ACTIONS(2290),
    [anon_sym_U_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8_DQUOTE] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [anon_sym_NULL] = ACTIONS(2288),
    [anon_sym_nullptr] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2288),
    [anon_sym_decltype] = ACTIONS(2288),
    [anon_sym_explicit] = ACTIONS(2288),
    [anon_sym_typename] = ACTIONS(2288),
    [anon_sym_template] = ACTIONS(2288),
    [anon_sym_operator] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_static_assert] = ACTIONS(2288),
    [anon_sym_concept] = ACTIONS(2288),
    [anon_sym_co_return] = ACTIONS(2288),
    [anon_sym_co_yield] = ACTIONS(2288),
    [anon_sym_R_DQUOTE] = ACTIONS(2290),
    [anon_sym_LR_DQUOTE] = ACTIONS(2290),
    [anon_sym_uR_DQUOTE] = ACTIONS(2290),
    [anon_sym_UR_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2290),
    [anon_sym_co_await] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_requires] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [anon_sym_discard] = ACTIONS(2288),
    [anon_sym_precise] = ACTIONS(2288),
    [anon_sym_shared] = ACTIONS(2288),
    [anon_sym_groupshared] = ACTIONS(2288),
    [anon_sym_uniform] = ACTIONS(2288),
    [anon_sym_row_major] = ACTIONS(2288),
    [anon_sym_column_major] = ACTIONS(2288),
    [anon_sym_globallycoherent] = ACTIONS(2288),
    [anon_sym_centroid] = ACTIONS(2288),
    [anon_sym_noperspective] = ACTIONS(2288),
    [anon_sym_nointerpolation] = ACTIONS(2288),
    [anon_sym_sample] = ACTIONS(2288),
    [anon_sym_linear] = ACTIONS(2288),
    [anon_sym_snorm] = ACTIONS(2288),
    [anon_sym_unorm] = ACTIONS(2288),
    [anon_sym_point] = ACTIONS(2288),
    [anon_sym_line] = ACTIONS(2288),
    [anon_sym_triangleadj] = ACTIONS(2288),
    [anon_sym_lineadj] = ACTIONS(2288),
    [anon_sym_triangle] = ACTIONS(2288),
    [anon_sym_cbuffer] = ACTIONS(2288),
  },
  [231] = {
    [sym_identifier] = ACTIONS(2292),
    [aux_sym_preproc_include_token1] = ACTIONS(2292),
    [aux_sym_preproc_def_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token2] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2292),
    [aux_sym_preproc_else_token1] = ACTIONS(2292),
    [aux_sym_preproc_elif_token1] = ACTIONS(2292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2292),
    [sym_preproc_directive] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_typedef] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym___based] = ACTIONS(2292),
    [anon_sym___cdecl] = ACTIONS(2292),
    [anon_sym___clrcall] = ACTIONS(2292),
    [anon_sym___stdcall] = ACTIONS(2292),
    [anon_sym___fastcall] = ACTIONS(2292),
    [anon_sym___thiscall] = ACTIONS(2292),
    [anon_sym___vectorcall] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_switch] = ACTIONS(2292),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym___try] = ACTIONS(2292),
    [anon_sym___leave] = ACTIONS(2292),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_sizeof] = ACTIONS(2292),
    [anon_sym___alignof__] = ACTIONS(2292),
    [anon_sym___alignof] = ACTIONS(2292),
    [anon_sym__alignof] = ACTIONS(2292),
    [anon_sym_alignof] = ACTIONS(2292),
    [anon_sym__Alignof] = ACTIONS(2292),
    [anon_sym_offsetof] = ACTIONS(2292),
    [anon_sym__Generic] = ACTIONS(2292),
    [anon_sym_asm] = ACTIONS(2292),
    [anon_sym___asm__] = ACTIONS(2292),
    [anon_sym___asm] = ACTIONS(2292),
    [sym_number_literal] = ACTIONS(2294),
    [anon_sym_L_SQUOTE] = ACTIONS(2294),
    [anon_sym_u_SQUOTE] = ACTIONS(2294),
    [anon_sym_U_SQUOTE] = ACTIONS(2294),
    [anon_sym_u8_SQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2294),
    [anon_sym_L_DQUOTE] = ACTIONS(2294),
    [anon_sym_u_DQUOTE] = ACTIONS(2294),
    [anon_sym_U_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8_DQUOTE] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [sym_true] = ACTIONS(2292),
    [sym_false] = ACTIONS(2292),
    [anon_sym_NULL] = ACTIONS(2292),
    [anon_sym_nullptr] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_explicit] = ACTIONS(2292),
    [anon_sym_typename] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_operator] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_namespace] = ACTIONS(2292),
    [anon_sym_using] = ACTIONS(2292),
    [anon_sym_static_assert] = ACTIONS(2292),
    [anon_sym_concept] = ACTIONS(2292),
    [anon_sym_co_return] = ACTIONS(2292),
    [anon_sym_co_yield] = ACTIONS(2292),
    [anon_sym_R_DQUOTE] = ACTIONS(2294),
    [anon_sym_LR_DQUOTE] = ACTIONS(2294),
    [anon_sym_uR_DQUOTE] = ACTIONS(2294),
    [anon_sym_UR_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2294),
    [anon_sym_co_await] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [sym_this] = ACTIONS(2292),
    [anon_sym_discard] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
    [anon_sym_cbuffer] = ACTIONS(2292),
  },
  [232] = {
    [sym_identifier] = ACTIONS(2296),
    [aux_sym_preproc_include_token1] = ACTIONS(2296),
    [aux_sym_preproc_def_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token2] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2296),
    [aux_sym_preproc_else_token1] = ACTIONS(2296),
    [aux_sym_preproc_elif_token1] = ACTIONS(2296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2296),
    [sym_preproc_directive] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_AMP_AMP] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2296),
    [anon_sym_typedef] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym___based] = ACTIONS(2296),
    [anon_sym___cdecl] = ACTIONS(2296),
    [anon_sym___clrcall] = ACTIONS(2296),
    [anon_sym___stdcall] = ACTIONS(2296),
    [anon_sym___fastcall] = ACTIONS(2296),
    [anon_sym___thiscall] = ACTIONS(2296),
    [anon_sym___vectorcall] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym___try] = ACTIONS(2296),
    [anon_sym___leave] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(2296),
    [anon_sym_compl] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2298),
    [anon_sym_sizeof] = ACTIONS(2296),
    [anon_sym___alignof__] = ACTIONS(2296),
    [anon_sym___alignof] = ACTIONS(2296),
    [anon_sym__alignof] = ACTIONS(2296),
    [anon_sym_alignof] = ACTIONS(2296),
    [anon_sym__Alignof] = ACTIONS(2296),
    [anon_sym_offsetof] = ACTIONS(2296),
    [anon_sym__Generic] = ACTIONS(2296),
    [anon_sym_asm] = ACTIONS(2296),
    [anon_sym___asm__] = ACTIONS(2296),
    [anon_sym___asm] = ACTIONS(2296),
    [sym_number_literal] = ACTIONS(2298),
    [anon_sym_L_SQUOTE] = ACTIONS(2298),
    [anon_sym_u_SQUOTE] = ACTIONS(2298),
    [anon_sym_U_SQUOTE] = ACTIONS(2298),
    [anon_sym_u8_SQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2298),
    [anon_sym_L_DQUOTE] = ACTIONS(2298),
    [anon_sym_u_DQUOTE] = ACTIONS(2298),
    [anon_sym_U_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8_DQUOTE] = ACTIONS(2298),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [anon_sym_NULL] = ACTIONS(2296),
    [anon_sym_nullptr] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2296),
    [anon_sym_explicit] = ACTIONS(2296),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2296),
    [anon_sym_operator] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_static_assert] = ACTIONS(2296),
    [anon_sym_concept] = ACTIONS(2296),
    [anon_sym_co_return] = ACTIONS(2296),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2298),
    [anon_sym_LR_DQUOTE] = ACTIONS(2298),
    [anon_sym_uR_DQUOTE] = ACTIONS(2298),
    [anon_sym_UR_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2298),
    [anon_sym_co_await] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_requires] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [anon_sym_discard] = ACTIONS(2296),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
    [anon_sym_cbuffer] = ACTIONS(2296),
  },
  [233] = {
    [sym_identifier] = ACTIONS(2300),
    [aux_sym_preproc_include_token1] = ACTIONS(2300),
    [aux_sym_preproc_def_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token2] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2300),
    [aux_sym_preproc_else_token1] = ACTIONS(2300),
    [aux_sym_preproc_elif_token1] = ACTIONS(2300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2300),
    [sym_preproc_directive] = ACTIONS(2300),
    [anon_sym_LPAREN2] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2300),
    [anon_sym_typedef] = ACTIONS(2300),
    [anon_sym_in] = ACTIONS(2300),
    [anon_sym_out] = ACTIONS(2300),
    [anon_sym_inout] = ACTIONS(2300),
    [anon_sym_virtual] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym___attribute__] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2302),
    [anon_sym___declspec] = ACTIONS(2300),
    [anon_sym___based] = ACTIONS(2300),
    [anon_sym___cdecl] = ACTIONS(2300),
    [anon_sym___clrcall] = ACTIONS(2300),
    [anon_sym___stdcall] = ACTIONS(2300),
    [anon_sym___fastcall] = ACTIONS(2300),
    [anon_sym___thiscall] = ACTIONS(2300),
    [anon_sym___vectorcall] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2300),
    [anon_sym_unsigned] = ACTIONS(2300),
    [anon_sym_long] = ACTIONS(2300),
    [anon_sym_short] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_register] = ACTIONS(2300),
    [anon_sym_inline] = ACTIONS(2300),
    [anon_sym___inline] = ACTIONS(2300),
    [anon_sym___inline__] = ACTIONS(2300),
    [anon_sym___forceinline] = ACTIONS(2300),
    [anon_sym_thread_local] = ACTIONS(2300),
    [anon_sym___thread] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_constexpr] = ACTIONS(2300),
    [anon_sym_volatile] = ACTIONS(2300),
    [anon_sym_restrict] = ACTIONS(2300),
    [anon_sym___restrict__] = ACTIONS(2300),
    [anon_sym__Atomic] = ACTIONS(2300),
    [anon_sym__Noreturn] = ACTIONS(2300),
    [anon_sym_noreturn] = ACTIONS(2300),
    [anon_sym__Nonnull] = ACTIONS(2300),
    [anon_sym_mutable] = ACTIONS(2300),
    [anon_sym_constinit] = ACTIONS(2300),
    [anon_sym_consteval] = ACTIONS(2300),
    [anon_sym_alignas] = ACTIONS(2300),
    [anon_sym__Alignas] = ACTIONS(2300),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_else] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(2300),
    [anon_sym_case] = ACTIONS(2300),
    [anon_sym_default] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_goto] = ACTIONS(2300),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2300),
    [anon_sym_compl] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2300),
    [anon_sym___alignof] = ACTIONS(2300),
    [anon_sym__alignof] = ACTIONS(2300),
    [anon_sym_alignof] = ACTIONS(2300),
    [anon_sym__Alignof] = ACTIONS(2300),
    [anon_sym_offsetof] = ACTIONS(2300),
    [anon_sym__Generic] = ACTIONS(2300),
    [anon_sym_asm] = ACTIONS(2300),
    [anon_sym___asm__] = ACTIONS(2300),
    [anon_sym___asm] = ACTIONS(2300),
    [sym_number_literal] = ACTIONS(2302),
    [anon_sym_L_SQUOTE] = ACTIONS(2302),
    [anon_sym_u_SQUOTE] = ACTIONS(2302),
    [anon_sym_U_SQUOTE] = ACTIONS(2302),
    [anon_sym_u8_SQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_L_DQUOTE] = ACTIONS(2302),
    [anon_sym_u_DQUOTE] = ACTIONS(2302),
    [anon_sym_U_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8_DQUOTE] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [sym_true] = ACTIONS(2300),
    [sym_false] = ACTIONS(2300),
    [anon_sym_NULL] = ACTIONS(2300),
    [anon_sym_nullptr] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2300),
    [anon_sym_decltype] = ACTIONS(2300),
    [anon_sym_explicit] = ACTIONS(2300),
    [anon_sym_typename] = ACTIONS(2300),
    [anon_sym_template] = ACTIONS(2300),
    [anon_sym_operator] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_delete] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2300),
    [anon_sym_namespace] = ACTIONS(2300),
    [anon_sym_using] = ACTIONS(2300),
    [anon_sym_static_assert] = ACTIONS(2300),
    [anon_sym_concept] = ACTIONS(2300),
    [anon_sym_co_return] = ACTIONS(2300),
    [anon_sym_co_yield] = ACTIONS(2300),
    [anon_sym_R_DQUOTE] = ACTIONS(2302),
    [anon_sym_LR_DQUOTE] = ACTIONS(2302),
    [anon_sym_uR_DQUOTE] = ACTIONS(2302),
    [anon_sym_UR_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2302),
    [anon_sym_co_await] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2300),
    [anon_sym_requires] = ACTIONS(2300),
    [sym_this] = ACTIONS(2300),
    [anon_sym_discard] = ACTIONS(2300),
    [anon_sym_precise] = ACTIONS(2300),
    [anon_sym_shared] = ACTIONS(2300),
    [anon_sym_groupshared] = ACTIONS(2300),
    [anon_sym_uniform] = ACTIONS(2300),
    [anon_sym_row_major] = ACTIONS(2300),
    [anon_sym_column_major] = ACTIONS(2300),
    [anon_sym_globallycoherent] = ACTIONS(2300),
    [anon_sym_centroid] = ACTIONS(2300),
    [anon_sym_noperspective] = ACTIONS(2300),
    [anon_sym_nointerpolation] = ACTIONS(2300),
    [anon_sym_sample] = ACTIONS(2300),
    [anon_sym_linear] = ACTIONS(2300),
    [anon_sym_snorm] = ACTIONS(2300),
    [anon_sym_unorm] = ACTIONS(2300),
    [anon_sym_point] = ACTIONS(2300),
    [anon_sym_line] = ACTIONS(2300),
    [anon_sym_triangleadj] = ACTIONS(2300),
    [anon_sym_lineadj] = ACTIONS(2300),
    [anon_sym_triangle] = ACTIONS(2300),
    [anon_sym_cbuffer] = ACTIONS(2300),
  },
  [234] = {
    [sym_identifier] = ACTIONS(2304),
    [aux_sym_preproc_include_token1] = ACTIONS(2304),
    [aux_sym_preproc_def_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token2] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2304),
    [aux_sym_preproc_else_token1] = ACTIONS(2304),
    [aux_sym_preproc_elif_token1] = ACTIONS(2304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2304),
    [sym_preproc_directive] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2304),
    [anon_sym_typedef] = ACTIONS(2304),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_out] = ACTIONS(2304),
    [anon_sym_inout] = ACTIONS(2304),
    [anon_sym_virtual] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym___attribute__] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2306),
    [anon_sym___declspec] = ACTIONS(2304),
    [anon_sym___based] = ACTIONS(2304),
    [anon_sym___cdecl] = ACTIONS(2304),
    [anon_sym___clrcall] = ACTIONS(2304),
    [anon_sym___stdcall] = ACTIONS(2304),
    [anon_sym___fastcall] = ACTIONS(2304),
    [anon_sym___thiscall] = ACTIONS(2304),
    [anon_sym___vectorcall] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2304),
    [anon_sym_unsigned] = ACTIONS(2304),
    [anon_sym_long] = ACTIONS(2304),
    [anon_sym_short] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_register] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2304),
    [anon_sym___inline] = ACTIONS(2304),
    [anon_sym___inline__] = ACTIONS(2304),
    [anon_sym___forceinline] = ACTIONS(2304),
    [anon_sym_thread_local] = ACTIONS(2304),
    [anon_sym___thread] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_constexpr] = ACTIONS(2304),
    [anon_sym_volatile] = ACTIONS(2304),
    [anon_sym_restrict] = ACTIONS(2304),
    [anon_sym___restrict__] = ACTIONS(2304),
    [anon_sym__Atomic] = ACTIONS(2304),
    [anon_sym__Noreturn] = ACTIONS(2304),
    [anon_sym_noreturn] = ACTIONS(2304),
    [anon_sym__Nonnull] = ACTIONS(2304),
    [anon_sym_mutable] = ACTIONS(2304),
    [anon_sym_constinit] = ACTIONS(2304),
    [anon_sym_consteval] = ACTIONS(2304),
    [anon_sym_alignas] = ACTIONS(2304),
    [anon_sym__Alignas] = ACTIONS(2304),
    [sym_primitive_type] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_else] = ACTIONS(2304),
    [anon_sym_switch] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2304),
    [anon_sym_compl] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2304),
    [anon_sym__Generic] = ACTIONS(2304),
    [anon_sym_asm] = ACTIONS(2304),
    [anon_sym___asm__] = ACTIONS(2304),
    [anon_sym___asm] = ACTIONS(2304),
    [sym_number_literal] = ACTIONS(2306),
    [anon_sym_L_SQUOTE] = ACTIONS(2306),
    [anon_sym_u_SQUOTE] = ACTIONS(2306),
    [anon_sym_U_SQUOTE] = ACTIONS(2306),
    [anon_sym_u8_SQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_L_DQUOTE] = ACTIONS(2306),
    [anon_sym_u_DQUOTE] = ACTIONS(2306),
    [anon_sym_U_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8_DQUOTE] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [sym_true] = ACTIONS(2304),
    [sym_false] = ACTIONS(2304),
    [anon_sym_NULL] = ACTIONS(2304),
    [anon_sym_nullptr] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2304),
    [anon_sym_decltype] = ACTIONS(2304),
    [anon_sym_explicit] = ACTIONS(2304),
    [anon_sym_typename] = ACTIONS(2304),
    [anon_sym_template] = ACTIONS(2304),
    [anon_sym_operator] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_throw] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2304),
    [anon_sym_using] = ACTIONS(2304),
    [anon_sym_static_assert] = ACTIONS(2304),
    [anon_sym_concept] = ACTIONS(2304),
    [anon_sym_co_return] = ACTIONS(2304),
    [anon_sym_co_yield] = ACTIONS(2304),
    [anon_sym_R_DQUOTE] = ACTIONS(2306),
    [anon_sym_LR_DQUOTE] = ACTIONS(2306),
    [anon_sym_uR_DQUOTE] = ACTIONS(2306),
    [anon_sym_UR_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2306),
    [anon_sym_co_await] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2304),
    [anon_sym_requires] = ACTIONS(2304),
    [sym_this] = ACTIONS(2304),
    [anon_sym_discard] = ACTIONS(2304),
    [anon_sym_precise] = ACTIONS(2304),
    [anon_sym_shared] = ACTIONS(2304),
    [anon_sym_groupshared] = ACTIONS(2304),
    [anon_sym_uniform] = ACTIONS(2304),
    [anon_sym_row_major] = ACTIONS(2304),
    [anon_sym_column_major] = ACTIONS(2304),
    [anon_sym_globallycoherent] = ACTIONS(2304),
    [anon_sym_centroid] = ACTIONS(2304),
    [anon_sym_noperspective] = ACTIONS(2304),
    [anon_sym_nointerpolation] = ACTIONS(2304),
    [anon_sym_sample] = ACTIONS(2304),
    [anon_sym_linear] = ACTIONS(2304),
    [anon_sym_snorm] = ACTIONS(2304),
    [anon_sym_unorm] = ACTIONS(2304),
    [anon_sym_point] = ACTIONS(2304),
    [anon_sym_line] = ACTIONS(2304),
    [anon_sym_triangleadj] = ACTIONS(2304),
    [anon_sym_lineadj] = ACTIONS(2304),
    [anon_sym_triangle] = ACTIONS(2304),
    [anon_sym_cbuffer] = ACTIONS(2304),
  },
  [235] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_typedef] = ACTIONS(2328),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [236] = {
    [sym_identifier] = ACTIONS(2347),
    [aux_sym_preproc_include_token1] = ACTIONS(2347),
    [aux_sym_preproc_def_token1] = ACTIONS(2347),
    [aux_sym_preproc_if_token1] = ACTIONS(2347),
    [aux_sym_preproc_if_token2] = ACTIONS(2347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2347),
    [aux_sym_preproc_else_token1] = ACTIONS(2347),
    [aux_sym_preproc_elif_token1] = ACTIONS(2347),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2347),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2347),
    [sym_preproc_directive] = ACTIONS(2347),
    [anon_sym_LPAREN2] = ACTIONS(2349),
    [anon_sym_BANG] = ACTIONS(2349),
    [anon_sym_TILDE] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2347),
    [anon_sym_PLUS] = ACTIONS(2347),
    [anon_sym_STAR] = ACTIONS(2349),
    [anon_sym_AMP_AMP] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(2349),
    [anon_sym___extension__] = ACTIONS(2347),
    [anon_sym_typedef] = ACTIONS(2347),
    [anon_sym_in] = ACTIONS(2347),
    [anon_sym_out] = ACTIONS(2347),
    [anon_sym_inout] = ACTIONS(2347),
    [anon_sym_virtual] = ACTIONS(2347),
    [anon_sym_extern] = ACTIONS(2347),
    [anon_sym___attribute__] = ACTIONS(2347),
    [anon_sym_COLON_COLON] = ACTIONS(2349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2349),
    [anon_sym___declspec] = ACTIONS(2347),
    [anon_sym___based] = ACTIONS(2347),
    [anon_sym___cdecl] = ACTIONS(2347),
    [anon_sym___clrcall] = ACTIONS(2347),
    [anon_sym___stdcall] = ACTIONS(2347),
    [anon_sym___fastcall] = ACTIONS(2347),
    [anon_sym___thiscall] = ACTIONS(2347),
    [anon_sym___vectorcall] = ACTIONS(2347),
    [anon_sym_LBRACE] = ACTIONS(2349),
    [anon_sym_signed] = ACTIONS(2347),
    [anon_sym_unsigned] = ACTIONS(2347),
    [anon_sym_long] = ACTIONS(2347),
    [anon_sym_short] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(2347),
    [anon_sym_static] = ACTIONS(2347),
    [anon_sym_register] = ACTIONS(2347),
    [anon_sym_inline] = ACTIONS(2347),
    [anon_sym___inline] = ACTIONS(2347),
    [anon_sym___inline__] = ACTIONS(2347),
    [anon_sym___forceinline] = ACTIONS(2347),
    [anon_sym_thread_local] = ACTIONS(2347),
    [anon_sym___thread] = ACTIONS(2347),
    [anon_sym_const] = ACTIONS(2347),
    [anon_sym_constexpr] = ACTIONS(2347),
    [anon_sym_volatile] = ACTIONS(2347),
    [anon_sym_restrict] = ACTIONS(2347),
    [anon_sym___restrict__] = ACTIONS(2347),
    [anon_sym__Atomic] = ACTIONS(2347),
    [anon_sym__Noreturn] = ACTIONS(2347),
    [anon_sym_noreturn] = ACTIONS(2347),
    [anon_sym__Nonnull] = ACTIONS(2347),
    [anon_sym_mutable] = ACTIONS(2347),
    [anon_sym_constinit] = ACTIONS(2347),
    [anon_sym_consteval] = ACTIONS(2347),
    [anon_sym_alignas] = ACTIONS(2347),
    [anon_sym__Alignas] = ACTIONS(2347),
    [sym_primitive_type] = ACTIONS(2347),
    [anon_sym_enum] = ACTIONS(2347),
    [anon_sym_class] = ACTIONS(2347),
    [anon_sym_struct] = ACTIONS(2347),
    [anon_sym_union] = ACTIONS(2347),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_else] = ACTIONS(2347),
    [anon_sym_switch] = ACTIONS(2347),
    [anon_sym_case] = ACTIONS(2347),
    [anon_sym_default] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2347),
    [anon_sym_do] = ACTIONS(2347),
    [anon_sym_for] = ACTIONS(2347),
    [anon_sym_return] = ACTIONS(2347),
    [anon_sym_break] = ACTIONS(2347),
    [anon_sym_continue] = ACTIONS(2347),
    [anon_sym_goto] = ACTIONS(2347),
    [anon_sym___try] = ACTIONS(2347),
    [anon_sym___leave] = ACTIONS(2347),
    [anon_sym_not] = ACTIONS(2347),
    [anon_sym_compl] = ACTIONS(2347),
    [anon_sym_DASH_DASH] = ACTIONS(2349),
    [anon_sym_PLUS_PLUS] = ACTIONS(2349),
    [anon_sym_sizeof] = ACTIONS(2347),
    [anon_sym___alignof__] = ACTIONS(2347),
    [anon_sym___alignof] = ACTIONS(2347),
    [anon_sym__alignof] = ACTIONS(2347),
    [anon_sym_alignof] = ACTIONS(2347),
    [anon_sym__Alignof] = ACTIONS(2347),
    [anon_sym_offsetof] = ACTIONS(2347),
    [anon_sym__Generic] = ACTIONS(2347),
    [anon_sym_asm] = ACTIONS(2347),
    [anon_sym___asm__] = ACTIONS(2347),
    [anon_sym___asm] = ACTIONS(2347),
    [sym_number_literal] = ACTIONS(2349),
    [anon_sym_L_SQUOTE] = ACTIONS(2349),
    [anon_sym_u_SQUOTE] = ACTIONS(2349),
    [anon_sym_U_SQUOTE] = ACTIONS(2349),
    [anon_sym_u8_SQUOTE] = ACTIONS(2349),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_L_DQUOTE] = ACTIONS(2349),
    [anon_sym_u_DQUOTE] = ACTIONS(2349),
    [anon_sym_U_DQUOTE] = ACTIONS(2349),
    [anon_sym_u8_DQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2349),
    [sym_true] = ACTIONS(2347),
    [sym_false] = ACTIONS(2347),
    [anon_sym_NULL] = ACTIONS(2347),
    [anon_sym_nullptr] = ACTIONS(2347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2347),
    [anon_sym_decltype] = ACTIONS(2347),
    [anon_sym_explicit] = ACTIONS(2347),
    [anon_sym_typename] = ACTIONS(2347),
    [anon_sym_template] = ACTIONS(2347),
    [anon_sym_operator] = ACTIONS(2347),
    [anon_sym_try] = ACTIONS(2347),
    [anon_sym_delete] = ACTIONS(2347),
    [anon_sym_throw] = ACTIONS(2347),
    [anon_sym_namespace] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_static_assert] = ACTIONS(2347),
    [anon_sym_concept] = ACTIONS(2347),
    [anon_sym_co_return] = ACTIONS(2347),
    [anon_sym_co_yield] = ACTIONS(2347),
    [anon_sym_R_DQUOTE] = ACTIONS(2349),
    [anon_sym_LR_DQUOTE] = ACTIONS(2349),
    [anon_sym_uR_DQUOTE] = ACTIONS(2349),
    [anon_sym_UR_DQUOTE] = ACTIONS(2349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2349),
    [anon_sym_co_await] = ACTIONS(2347),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_requires] = ACTIONS(2347),
    [sym_this] = ACTIONS(2347),
    [anon_sym_discard] = ACTIONS(2347),
    [anon_sym_precise] = ACTIONS(2347),
    [anon_sym_shared] = ACTIONS(2347),
    [anon_sym_groupshared] = ACTIONS(2347),
    [anon_sym_uniform] = ACTIONS(2347),
    [anon_sym_row_major] = ACTIONS(2347),
    [anon_sym_column_major] = ACTIONS(2347),
    [anon_sym_globallycoherent] = ACTIONS(2347),
    [anon_sym_centroid] = ACTIONS(2347),
    [anon_sym_noperspective] = ACTIONS(2347),
    [anon_sym_nointerpolation] = ACTIONS(2347),
    [anon_sym_sample] = ACTIONS(2347),
    [anon_sym_linear] = ACTIONS(2347),
    [anon_sym_snorm] = ACTIONS(2347),
    [anon_sym_unorm] = ACTIONS(2347),
    [anon_sym_point] = ACTIONS(2347),
    [anon_sym_line] = ACTIONS(2347),
    [anon_sym_triangleadj] = ACTIONS(2347),
    [anon_sym_lineadj] = ACTIONS(2347),
    [anon_sym_triangle] = ACTIONS(2347),
    [anon_sym_cbuffer] = ACTIONS(2347),
  },
  [237] = {
    [sym_identifier] = ACTIONS(2351),
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token2] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2351),
    [aux_sym_preproc_else_token1] = ACTIONS(2351),
    [aux_sym_preproc_elif_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2353),
    [anon_sym_TILDE] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_PLUS] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(2353),
    [anon_sym_AMP_AMP] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2353),
    [anon_sym___extension__] = ACTIONS(2351),
    [anon_sym_typedef] = ACTIONS(2351),
    [anon_sym_in] = ACTIONS(2351),
    [anon_sym_out] = ACTIONS(2351),
    [anon_sym_inout] = ACTIONS(2351),
    [anon_sym_virtual] = ACTIONS(2351),
    [anon_sym_extern] = ACTIONS(2351),
    [anon_sym___attribute__] = ACTIONS(2351),
    [anon_sym_COLON_COLON] = ACTIONS(2353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2353),
    [anon_sym___declspec] = ACTIONS(2351),
    [anon_sym___based] = ACTIONS(2351),
    [anon_sym___cdecl] = ACTIONS(2351),
    [anon_sym___clrcall] = ACTIONS(2351),
    [anon_sym___stdcall] = ACTIONS(2351),
    [anon_sym___fastcall] = ACTIONS(2351),
    [anon_sym___thiscall] = ACTIONS(2351),
    [anon_sym___vectorcall] = ACTIONS(2351),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_signed] = ACTIONS(2351),
    [anon_sym_unsigned] = ACTIONS(2351),
    [anon_sym_long] = ACTIONS(2351),
    [anon_sym_short] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_register] = ACTIONS(2351),
    [anon_sym_inline] = ACTIONS(2351),
    [anon_sym___inline] = ACTIONS(2351),
    [anon_sym___inline__] = ACTIONS(2351),
    [anon_sym___forceinline] = ACTIONS(2351),
    [anon_sym_thread_local] = ACTIONS(2351),
    [anon_sym___thread] = ACTIONS(2351),
    [anon_sym_const] = ACTIONS(2351),
    [anon_sym_constexpr] = ACTIONS(2351),
    [anon_sym_volatile] = ACTIONS(2351),
    [anon_sym_restrict] = ACTIONS(2351),
    [anon_sym___restrict__] = ACTIONS(2351),
    [anon_sym__Atomic] = ACTIONS(2351),
    [anon_sym__Noreturn] = ACTIONS(2351),
    [anon_sym_noreturn] = ACTIONS(2351),
    [anon_sym__Nonnull] = ACTIONS(2351),
    [anon_sym_mutable] = ACTIONS(2351),
    [anon_sym_constinit] = ACTIONS(2351),
    [anon_sym_consteval] = ACTIONS(2351),
    [anon_sym_alignas] = ACTIONS(2351),
    [anon_sym__Alignas] = ACTIONS(2351),
    [sym_primitive_type] = ACTIONS(2351),
    [anon_sym_enum] = ACTIONS(2351),
    [anon_sym_class] = ACTIONS(2351),
    [anon_sym_struct] = ACTIONS(2351),
    [anon_sym_union] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_case] = ACTIONS(2351),
    [anon_sym_default] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_do] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_return] = ACTIONS(2351),
    [anon_sym_break] = ACTIONS(2351),
    [anon_sym_continue] = ACTIONS(2351),
    [anon_sym_goto] = ACTIONS(2351),
    [anon_sym___try] = ACTIONS(2351),
    [anon_sym___leave] = ACTIONS(2351),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_compl] = ACTIONS(2351),
    [anon_sym_DASH_DASH] = ACTIONS(2353),
    [anon_sym_PLUS_PLUS] = ACTIONS(2353),
    [anon_sym_sizeof] = ACTIONS(2351),
    [anon_sym___alignof__] = ACTIONS(2351),
    [anon_sym___alignof] = ACTIONS(2351),
    [anon_sym__alignof] = ACTIONS(2351),
    [anon_sym_alignof] = ACTIONS(2351),
    [anon_sym__Alignof] = ACTIONS(2351),
    [anon_sym_offsetof] = ACTIONS(2351),
    [anon_sym__Generic] = ACTIONS(2351),
    [anon_sym_asm] = ACTIONS(2351),
    [anon_sym___asm__] = ACTIONS(2351),
    [anon_sym___asm] = ACTIONS(2351),
    [sym_number_literal] = ACTIONS(2353),
    [anon_sym_L_SQUOTE] = ACTIONS(2353),
    [anon_sym_u_SQUOTE] = ACTIONS(2353),
    [anon_sym_U_SQUOTE] = ACTIONS(2353),
    [anon_sym_u8_SQUOTE] = ACTIONS(2353),
    [anon_sym_SQUOTE] = ACTIONS(2353),
    [anon_sym_L_DQUOTE] = ACTIONS(2353),
    [anon_sym_u_DQUOTE] = ACTIONS(2353),
    [anon_sym_U_DQUOTE] = ACTIONS(2353),
    [anon_sym_u8_DQUOTE] = ACTIONS(2353),
    [anon_sym_DQUOTE] = ACTIONS(2353),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [anon_sym_NULL] = ACTIONS(2351),
    [anon_sym_nullptr] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2351),
    [anon_sym_decltype] = ACTIONS(2351),
    [anon_sym_explicit] = ACTIONS(2351),
    [anon_sym_typename] = ACTIONS(2351),
    [anon_sym_template] = ACTIONS(2351),
    [anon_sym_operator] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2351),
    [anon_sym_delete] = ACTIONS(2351),
    [anon_sym_throw] = ACTIONS(2351),
    [anon_sym_namespace] = ACTIONS(2351),
    [anon_sym_using] = ACTIONS(2351),
    [anon_sym_static_assert] = ACTIONS(2351),
    [anon_sym_concept] = ACTIONS(2351),
    [anon_sym_co_return] = ACTIONS(2351),
    [anon_sym_co_yield] = ACTIONS(2351),
    [anon_sym_R_DQUOTE] = ACTIONS(2353),
    [anon_sym_LR_DQUOTE] = ACTIONS(2353),
    [anon_sym_uR_DQUOTE] = ACTIONS(2353),
    [anon_sym_UR_DQUOTE] = ACTIONS(2353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2353),
    [anon_sym_co_await] = ACTIONS(2351),
    [anon_sym_new] = ACTIONS(2351),
    [anon_sym_requires] = ACTIONS(2351),
    [sym_this] = ACTIONS(2351),
    [anon_sym_discard] = ACTIONS(2351),
    [anon_sym_precise] = ACTIONS(2351),
    [anon_sym_shared] = ACTIONS(2351),
    [anon_sym_groupshared] = ACTIONS(2351),
    [anon_sym_uniform] = ACTIONS(2351),
    [anon_sym_row_major] = ACTIONS(2351),
    [anon_sym_column_major] = ACTIONS(2351),
    [anon_sym_globallycoherent] = ACTIONS(2351),
    [anon_sym_centroid] = ACTIONS(2351),
    [anon_sym_noperspective] = ACTIONS(2351),
    [anon_sym_nointerpolation] = ACTIONS(2351),
    [anon_sym_sample] = ACTIONS(2351),
    [anon_sym_linear] = ACTIONS(2351),
    [anon_sym_snorm] = ACTIONS(2351),
    [anon_sym_unorm] = ACTIONS(2351),
    [anon_sym_point] = ACTIONS(2351),
    [anon_sym_line] = ACTIONS(2351),
    [anon_sym_triangleadj] = ACTIONS(2351),
    [anon_sym_lineadj] = ACTIONS(2351),
    [anon_sym_triangle] = ACTIONS(2351),
    [anon_sym_cbuffer] = ACTIONS(2351),
  },
  [238] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_typedef] = ACTIONS(2355),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [239] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_include_token1] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token2] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [aux_sym_preproc_else_token1] = ACTIONS(2230),
    [aux_sym_preproc_elif_token1] = ACTIONS(2230),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym___cdecl] = ACTIONS(2230),
    [anon_sym___clrcall] = ACTIONS(2230),
    [anon_sym___stdcall] = ACTIONS(2230),
    [anon_sym___fastcall] = ACTIONS(2230),
    [anon_sym___thiscall] = ACTIONS(2230),
    [anon_sym___vectorcall] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_goto] = ACTIONS(2230),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2230),
    [anon_sym_not] = ACTIONS(2230),
    [anon_sym_compl] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2230),
    [anon_sym___alignof] = ACTIONS(2230),
    [anon_sym__alignof] = ACTIONS(2230),
    [anon_sym_alignof] = ACTIONS(2230),
    [anon_sym__Alignof] = ACTIONS(2230),
    [anon_sym_offsetof] = ACTIONS(2230),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym___asm] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2232),
    [anon_sym_u_SQUOTE] = ACTIONS(2232),
    [anon_sym_U_SQUOTE] = ACTIONS(2232),
    [anon_sym_u8_SQUOTE] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_L_DQUOTE] = ACTIONS(2232),
    [anon_sym_u_DQUOTE] = ACTIONS(2232),
    [anon_sym_U_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2232),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [anon_sym_NULL] = ACTIONS(2230),
    [anon_sym_nullptr] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_concept] = ACTIONS(2230),
    [anon_sym_co_return] = ACTIONS(2230),
    [anon_sym_co_yield] = ACTIONS(2230),
    [anon_sym_R_DQUOTE] = ACTIONS(2232),
    [anon_sym_LR_DQUOTE] = ACTIONS(2232),
    [anon_sym_uR_DQUOTE] = ACTIONS(2232),
    [anon_sym_UR_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2232),
    [anon_sym_co_await] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_requires] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [anon_sym_discard] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
    [anon_sym_cbuffer] = ACTIONS(2230),
  },
  [240] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_typedef] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [241] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_typedef] = ACTIONS(2359),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [242] = {
    [sym_identifier] = ACTIONS(2361),
    [aux_sym_preproc_include_token1] = ACTIONS(2361),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token2] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2361),
    [aux_sym_preproc_else_token1] = ACTIONS(2361),
    [aux_sym_preproc_elif_token1] = ACTIONS(2361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2361),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2361),
    [sym_preproc_directive] = ACTIONS(2361),
    [anon_sym_LPAREN2] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2361),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym___extension__] = ACTIONS(2361),
    [anon_sym_typedef] = ACTIONS(2361),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_out] = ACTIONS(2361),
    [anon_sym_inout] = ACTIONS(2361),
    [anon_sym_virtual] = ACTIONS(2361),
    [anon_sym_extern] = ACTIONS(2361),
    [anon_sym___attribute__] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2363),
    [anon_sym___declspec] = ACTIONS(2361),
    [anon_sym___based] = ACTIONS(2361),
    [anon_sym___cdecl] = ACTIONS(2361),
    [anon_sym___clrcall] = ACTIONS(2361),
    [anon_sym___stdcall] = ACTIONS(2361),
    [anon_sym___fastcall] = ACTIONS(2361),
    [anon_sym___thiscall] = ACTIONS(2361),
    [anon_sym___vectorcall] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_signed] = ACTIONS(2361),
    [anon_sym_unsigned] = ACTIONS(2361),
    [anon_sym_long] = ACTIONS(2361),
    [anon_sym_short] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_static] = ACTIONS(2361),
    [anon_sym_register] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym___inline] = ACTIONS(2361),
    [anon_sym___inline__] = ACTIONS(2361),
    [anon_sym___forceinline] = ACTIONS(2361),
    [anon_sym_thread_local] = ACTIONS(2361),
    [anon_sym___thread] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_constexpr] = ACTIONS(2361),
    [anon_sym_volatile] = ACTIONS(2361),
    [anon_sym_restrict] = ACTIONS(2361),
    [anon_sym___restrict__] = ACTIONS(2361),
    [anon_sym__Atomic] = ACTIONS(2361),
    [anon_sym__Noreturn] = ACTIONS(2361),
    [anon_sym_noreturn] = ACTIONS(2361),
    [anon_sym__Nonnull] = ACTIONS(2361),
    [anon_sym_mutable] = ACTIONS(2361),
    [anon_sym_constinit] = ACTIONS(2361),
    [anon_sym_consteval] = ACTIONS(2361),
    [anon_sym_alignas] = ACTIONS(2361),
    [anon_sym__Alignas] = ACTIONS(2361),
    [sym_primitive_type] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_class] = ACTIONS(2361),
    [anon_sym_struct] = ACTIONS(2361),
    [anon_sym_union] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2361),
    [anon_sym_switch] = ACTIONS(2361),
    [anon_sym_case] = ACTIONS(2361),
    [anon_sym_default] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(2361),
    [anon_sym_for] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_break] = ACTIONS(2361),
    [anon_sym_continue] = ACTIONS(2361),
    [anon_sym_goto] = ACTIONS(2361),
    [anon_sym___try] = ACTIONS(2361),
    [anon_sym___leave] = ACTIONS(2361),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_compl] = ACTIONS(2361),
    [anon_sym_DASH_DASH] = ACTIONS(2363),
    [anon_sym_PLUS_PLUS] = ACTIONS(2363),
    [anon_sym_sizeof] = ACTIONS(2361),
    [anon_sym___alignof__] = ACTIONS(2361),
    [anon_sym___alignof] = ACTIONS(2361),
    [anon_sym__alignof] = ACTIONS(2361),
    [anon_sym_alignof] = ACTIONS(2361),
    [anon_sym__Alignof] = ACTIONS(2361),
    [anon_sym_offsetof] = ACTIONS(2361),
    [anon_sym__Generic] = ACTIONS(2361),
    [anon_sym_asm] = ACTIONS(2361),
    [anon_sym___asm__] = ACTIONS(2361),
    [anon_sym___asm] = ACTIONS(2361),
    [sym_number_literal] = ACTIONS(2363),
    [anon_sym_L_SQUOTE] = ACTIONS(2363),
    [anon_sym_u_SQUOTE] = ACTIONS(2363),
    [anon_sym_U_SQUOTE] = ACTIONS(2363),
    [anon_sym_u8_SQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_L_DQUOTE] = ACTIONS(2363),
    [anon_sym_u_DQUOTE] = ACTIONS(2363),
    [anon_sym_U_DQUOTE] = ACTIONS(2363),
    [anon_sym_u8_DQUOTE] = ACTIONS(2363),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_true] = ACTIONS(2361),
    [sym_false] = ACTIONS(2361),
    [anon_sym_NULL] = ACTIONS(2361),
    [anon_sym_nullptr] = ACTIONS(2361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2361),
    [anon_sym_decltype] = ACTIONS(2361),
    [anon_sym_explicit] = ACTIONS(2361),
    [anon_sym_typename] = ACTIONS(2361),
    [anon_sym_template] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_delete] = ACTIONS(2361),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_namespace] = ACTIONS(2361),
    [anon_sym_using] = ACTIONS(2361),
    [anon_sym_static_assert] = ACTIONS(2361),
    [anon_sym_concept] = ACTIONS(2361),
    [anon_sym_co_return] = ACTIONS(2361),
    [anon_sym_co_yield] = ACTIONS(2361),
    [anon_sym_R_DQUOTE] = ACTIONS(2363),
    [anon_sym_LR_DQUOTE] = ACTIONS(2363),
    [anon_sym_uR_DQUOTE] = ACTIONS(2363),
    [anon_sym_UR_DQUOTE] = ACTIONS(2363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2363),
    [anon_sym_co_await] = ACTIONS(2361),
    [anon_sym_new] = ACTIONS(2361),
    [anon_sym_requires] = ACTIONS(2361),
    [sym_this] = ACTIONS(2361),
    [anon_sym_discard] = ACTIONS(2361),
    [anon_sym_precise] = ACTIONS(2361),
    [anon_sym_shared] = ACTIONS(2361),
    [anon_sym_groupshared] = ACTIONS(2361),
    [anon_sym_uniform] = ACTIONS(2361),
    [anon_sym_row_major] = ACTIONS(2361),
    [anon_sym_column_major] = ACTIONS(2361),
    [anon_sym_globallycoherent] = ACTIONS(2361),
    [anon_sym_centroid] = ACTIONS(2361),
    [anon_sym_noperspective] = ACTIONS(2361),
    [anon_sym_nointerpolation] = ACTIONS(2361),
    [anon_sym_sample] = ACTIONS(2361),
    [anon_sym_linear] = ACTIONS(2361),
    [anon_sym_snorm] = ACTIONS(2361),
    [anon_sym_unorm] = ACTIONS(2361),
    [anon_sym_point] = ACTIONS(2361),
    [anon_sym_line] = ACTIONS(2361),
    [anon_sym_triangleadj] = ACTIONS(2361),
    [anon_sym_lineadj] = ACTIONS(2361),
    [anon_sym_triangle] = ACTIONS(2361),
    [anon_sym_cbuffer] = ACTIONS(2361),
  },
  [243] = {
    [sym_catch_clause] = STATE(320),
    [aux_sym_constructor_try_statement_repeat1] = STATE(320),
    [sym_identifier] = ACTIONS(2055),
    [aux_sym_preproc_include_token1] = ACTIONS(2055),
    [aux_sym_preproc_def_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token2] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2055),
    [sym_preproc_directive] = ACTIONS(2055),
    [anon_sym_LPAREN2] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym___extension__] = ACTIONS(2055),
    [anon_sym_typedef] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_out] = ACTIONS(2055),
    [anon_sym_inout] = ACTIONS(2055),
    [anon_sym_virtual] = ACTIONS(2055),
    [anon_sym_extern] = ACTIONS(2055),
    [anon_sym___attribute__] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2057),
    [anon_sym___declspec] = ACTIONS(2055),
    [anon_sym___based] = ACTIONS(2055),
    [anon_sym___cdecl] = ACTIONS(2055),
    [anon_sym___clrcall] = ACTIONS(2055),
    [anon_sym___stdcall] = ACTIONS(2055),
    [anon_sym___fastcall] = ACTIONS(2055),
    [anon_sym___thiscall] = ACTIONS(2055),
    [anon_sym___vectorcall] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_signed] = ACTIONS(2055),
    [anon_sym_unsigned] = ACTIONS(2055),
    [anon_sym_long] = ACTIONS(2055),
    [anon_sym_short] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_register] = ACTIONS(2055),
    [anon_sym_inline] = ACTIONS(2055),
    [anon_sym___inline] = ACTIONS(2055),
    [anon_sym___inline__] = ACTIONS(2055),
    [anon_sym___forceinline] = ACTIONS(2055),
    [anon_sym_thread_local] = ACTIONS(2055),
    [anon_sym___thread] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_constexpr] = ACTIONS(2055),
    [anon_sym_volatile] = ACTIONS(2055),
    [anon_sym_restrict] = ACTIONS(2055),
    [anon_sym___restrict__] = ACTIONS(2055),
    [anon_sym__Atomic] = ACTIONS(2055),
    [anon_sym__Noreturn] = ACTIONS(2055),
    [anon_sym_noreturn] = ACTIONS(2055),
    [anon_sym__Nonnull] = ACTIONS(2055),
    [anon_sym_mutable] = ACTIONS(2055),
    [anon_sym_constinit] = ACTIONS(2055),
    [anon_sym_consteval] = ACTIONS(2055),
    [anon_sym_alignas] = ACTIONS(2055),
    [anon_sym__Alignas] = ACTIONS(2055),
    [sym_primitive_type] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_struct] = ACTIONS(2055),
    [anon_sym_union] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_goto] = ACTIONS(2055),
    [anon_sym___try] = ACTIONS(2055),
    [anon_sym___leave] = ACTIONS(2055),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_sizeof] = ACTIONS(2055),
    [anon_sym___alignof__] = ACTIONS(2055),
    [anon_sym___alignof] = ACTIONS(2055),
    [anon_sym__alignof] = ACTIONS(2055),
    [anon_sym_alignof] = ACTIONS(2055),
    [anon_sym__Alignof] = ACTIONS(2055),
    [anon_sym_offsetof] = ACTIONS(2055),
    [anon_sym__Generic] = ACTIONS(2055),
    [anon_sym_asm] = ACTIONS(2055),
    [anon_sym___asm__] = ACTIONS(2055),
    [anon_sym___asm] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(2057),
    [anon_sym_L_SQUOTE] = ACTIONS(2057),
    [anon_sym_u_SQUOTE] = ACTIONS(2057),
    [anon_sym_U_SQUOTE] = ACTIONS(2057),
    [anon_sym_u8_SQUOTE] = ACTIONS(2057),
    [anon_sym_SQUOTE] = ACTIONS(2057),
    [anon_sym_L_DQUOTE] = ACTIONS(2057),
    [anon_sym_u_DQUOTE] = ACTIONS(2057),
    [anon_sym_U_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8_DQUOTE] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(2057),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [anon_sym_NULL] = ACTIONS(2055),
    [anon_sym_nullptr] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2055),
    [anon_sym_decltype] = ACTIONS(2055),
    [anon_sym_explicit] = ACTIONS(2055),
    [anon_sym_typename] = ACTIONS(2055),
    [anon_sym_template] = ACTIONS(2055),
    [anon_sym_operator] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_static_assert] = ACTIONS(2055),
    [anon_sym_concept] = ACTIONS(2055),
    [anon_sym_co_return] = ACTIONS(2055),
    [anon_sym_co_yield] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(2365),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_requires] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [anon_sym_discard] = ACTIONS(2055),
    [anon_sym_precise] = ACTIONS(2055),
    [anon_sym_shared] = ACTIONS(2055),
    [anon_sym_groupshared] = ACTIONS(2055),
    [anon_sym_uniform] = ACTIONS(2055),
    [anon_sym_row_major] = ACTIONS(2055),
    [anon_sym_column_major] = ACTIONS(2055),
    [anon_sym_globallycoherent] = ACTIONS(2055),
    [anon_sym_centroid] = ACTIONS(2055),
    [anon_sym_noperspective] = ACTIONS(2055),
    [anon_sym_nointerpolation] = ACTIONS(2055),
    [anon_sym_sample] = ACTIONS(2055),
    [anon_sym_linear] = ACTIONS(2055),
    [anon_sym_snorm] = ACTIONS(2055),
    [anon_sym_unorm] = ACTIONS(2055),
    [anon_sym_point] = ACTIONS(2055),
    [anon_sym_line] = ACTIONS(2055),
    [anon_sym_triangleadj] = ACTIONS(2055),
    [anon_sym_lineadj] = ACTIONS(2055),
    [anon_sym_triangle] = ACTIONS(2055),
    [anon_sym_cbuffer] = ACTIONS(2055),
  },
  [244] = {
    [sym_catch_clause] = STATE(245),
    [aux_sym_constructor_try_statement_repeat1] = STATE(245),
    [sym_identifier] = ACTIONS(2055),
    [aux_sym_preproc_include_token1] = ACTIONS(2055),
    [aux_sym_preproc_def_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token1] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2055),
    [sym_preproc_directive] = ACTIONS(2055),
    [anon_sym_LPAREN2] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym___extension__] = ACTIONS(2055),
    [anon_sym_typedef] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_out] = ACTIONS(2055),
    [anon_sym_inout] = ACTIONS(2055),
    [anon_sym_virtual] = ACTIONS(2055),
    [anon_sym_extern] = ACTIONS(2055),
    [anon_sym___attribute__] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2057),
    [anon_sym___declspec] = ACTIONS(2055),
    [anon_sym___based] = ACTIONS(2055),
    [anon_sym___cdecl] = ACTIONS(2055),
    [anon_sym___clrcall] = ACTIONS(2055),
    [anon_sym___stdcall] = ACTIONS(2055),
    [anon_sym___fastcall] = ACTIONS(2055),
    [anon_sym___thiscall] = ACTIONS(2055),
    [anon_sym___vectorcall] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_RBRACE] = ACTIONS(2057),
    [anon_sym_signed] = ACTIONS(2055),
    [anon_sym_unsigned] = ACTIONS(2055),
    [anon_sym_long] = ACTIONS(2055),
    [anon_sym_short] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_register] = ACTIONS(2055),
    [anon_sym_inline] = ACTIONS(2055),
    [anon_sym___inline] = ACTIONS(2055),
    [anon_sym___inline__] = ACTIONS(2055),
    [anon_sym___forceinline] = ACTIONS(2055),
    [anon_sym_thread_local] = ACTIONS(2055),
    [anon_sym___thread] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_constexpr] = ACTIONS(2055),
    [anon_sym_volatile] = ACTIONS(2055),
    [anon_sym_restrict] = ACTIONS(2055),
    [anon_sym___restrict__] = ACTIONS(2055),
    [anon_sym__Atomic] = ACTIONS(2055),
    [anon_sym__Noreturn] = ACTIONS(2055),
    [anon_sym_noreturn] = ACTIONS(2055),
    [anon_sym__Nonnull] = ACTIONS(2055),
    [anon_sym_mutable] = ACTIONS(2055),
    [anon_sym_constinit] = ACTIONS(2055),
    [anon_sym_consteval] = ACTIONS(2055),
    [anon_sym_alignas] = ACTIONS(2055),
    [anon_sym__Alignas] = ACTIONS(2055),
    [sym_primitive_type] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_struct] = ACTIONS(2055),
    [anon_sym_union] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_goto] = ACTIONS(2055),
    [anon_sym___try] = ACTIONS(2055),
    [anon_sym___leave] = ACTIONS(2055),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_sizeof] = ACTIONS(2055),
    [anon_sym___alignof__] = ACTIONS(2055),
    [anon_sym___alignof] = ACTIONS(2055),
    [anon_sym__alignof] = ACTIONS(2055),
    [anon_sym_alignof] = ACTIONS(2055),
    [anon_sym__Alignof] = ACTIONS(2055),
    [anon_sym_offsetof] = ACTIONS(2055),
    [anon_sym__Generic] = ACTIONS(2055),
    [anon_sym_asm] = ACTIONS(2055),
    [anon_sym___asm__] = ACTIONS(2055),
    [anon_sym___asm] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(2057),
    [anon_sym_L_SQUOTE] = ACTIONS(2057),
    [anon_sym_u_SQUOTE] = ACTIONS(2057),
    [anon_sym_U_SQUOTE] = ACTIONS(2057),
    [anon_sym_u8_SQUOTE] = ACTIONS(2057),
    [anon_sym_SQUOTE] = ACTIONS(2057),
    [anon_sym_L_DQUOTE] = ACTIONS(2057),
    [anon_sym_u_DQUOTE] = ACTIONS(2057),
    [anon_sym_U_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8_DQUOTE] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(2057),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [anon_sym_NULL] = ACTIONS(2055),
    [anon_sym_nullptr] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2055),
    [anon_sym_decltype] = ACTIONS(2055),
    [anon_sym_explicit] = ACTIONS(2055),
    [anon_sym_typename] = ACTIONS(2055),
    [anon_sym_template] = ACTIONS(2055),
    [anon_sym_operator] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_static_assert] = ACTIONS(2055),
    [anon_sym_concept] = ACTIONS(2055),
    [anon_sym_co_return] = ACTIONS(2055),
    [anon_sym_co_yield] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(2367),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_requires] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [anon_sym_discard] = ACTIONS(2055),
    [anon_sym_precise] = ACTIONS(2055),
    [anon_sym_shared] = ACTIONS(2055),
    [anon_sym_groupshared] = ACTIONS(2055),
    [anon_sym_uniform] = ACTIONS(2055),
    [anon_sym_row_major] = ACTIONS(2055),
    [anon_sym_column_major] = ACTIONS(2055),
    [anon_sym_globallycoherent] = ACTIONS(2055),
    [anon_sym_centroid] = ACTIONS(2055),
    [anon_sym_noperspective] = ACTIONS(2055),
    [anon_sym_nointerpolation] = ACTIONS(2055),
    [anon_sym_sample] = ACTIONS(2055),
    [anon_sym_linear] = ACTIONS(2055),
    [anon_sym_snorm] = ACTIONS(2055),
    [anon_sym_unorm] = ACTIONS(2055),
    [anon_sym_point] = ACTIONS(2055),
    [anon_sym_line] = ACTIONS(2055),
    [anon_sym_triangleadj] = ACTIONS(2055),
    [anon_sym_lineadj] = ACTIONS(2055),
    [anon_sym_triangle] = ACTIONS(2055),
    [anon_sym_cbuffer] = ACTIONS(2055),
  },
  [245] = {
    [sym_catch_clause] = STATE(245),
    [aux_sym_constructor_try_statement_repeat1] = STATE(245),
    [sym_identifier] = ACTIONS(2061),
    [aux_sym_preproc_include_token1] = ACTIONS(2061),
    [aux_sym_preproc_def_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2061),
    [sym_preproc_directive] = ACTIONS(2061),
    [anon_sym_LPAREN2] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_TILDE] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_AMP_AMP] = ACTIONS(2063),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2063),
    [anon_sym___extension__] = ACTIONS(2061),
    [anon_sym_typedef] = ACTIONS(2061),
    [anon_sym_in] = ACTIONS(2061),
    [anon_sym_out] = ACTIONS(2061),
    [anon_sym_inout] = ACTIONS(2061),
    [anon_sym_virtual] = ACTIONS(2061),
    [anon_sym_extern] = ACTIONS(2061),
    [anon_sym___attribute__] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym___declspec] = ACTIONS(2061),
    [anon_sym___based] = ACTIONS(2061),
    [anon_sym___cdecl] = ACTIONS(2061),
    [anon_sym___clrcall] = ACTIONS(2061),
    [anon_sym___stdcall] = ACTIONS(2061),
    [anon_sym___fastcall] = ACTIONS(2061),
    [anon_sym___thiscall] = ACTIONS(2061),
    [anon_sym___vectorcall] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2063),
    [anon_sym_RBRACE] = ACTIONS(2063),
    [anon_sym_signed] = ACTIONS(2061),
    [anon_sym_unsigned] = ACTIONS(2061),
    [anon_sym_long] = ACTIONS(2061),
    [anon_sym_short] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_static] = ACTIONS(2061),
    [anon_sym_register] = ACTIONS(2061),
    [anon_sym_inline] = ACTIONS(2061),
    [anon_sym___inline] = ACTIONS(2061),
    [anon_sym___inline__] = ACTIONS(2061),
    [anon_sym___forceinline] = ACTIONS(2061),
    [anon_sym_thread_local] = ACTIONS(2061),
    [anon_sym___thread] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(2061),
    [anon_sym_constexpr] = ACTIONS(2061),
    [anon_sym_volatile] = ACTIONS(2061),
    [anon_sym_restrict] = ACTIONS(2061),
    [anon_sym___restrict__] = ACTIONS(2061),
    [anon_sym__Atomic] = ACTIONS(2061),
    [anon_sym__Noreturn] = ACTIONS(2061),
    [anon_sym_noreturn] = ACTIONS(2061),
    [anon_sym__Nonnull] = ACTIONS(2061),
    [anon_sym_mutable] = ACTIONS(2061),
    [anon_sym_constinit] = ACTIONS(2061),
    [anon_sym_consteval] = ACTIONS(2061),
    [anon_sym_alignas] = ACTIONS(2061),
    [anon_sym__Alignas] = ACTIONS(2061),
    [sym_primitive_type] = ACTIONS(2061),
    [anon_sym_enum] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_struct] = ACTIONS(2061),
    [anon_sym_union] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_else] = ACTIONS(2061),
    [anon_sym_switch] = ACTIONS(2061),
    [anon_sym_case] = ACTIONS(2061),
    [anon_sym_default] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym___try] = ACTIONS(2061),
    [anon_sym___leave] = ACTIONS(2061),
    [anon_sym_not] = ACTIONS(2061),
    [anon_sym_compl] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2063),
    [anon_sym_PLUS_PLUS] = ACTIONS(2063),
    [anon_sym_sizeof] = ACTIONS(2061),
    [anon_sym___alignof__] = ACTIONS(2061),
    [anon_sym___alignof] = ACTIONS(2061),
    [anon_sym__alignof] = ACTIONS(2061),
    [anon_sym_alignof] = ACTIONS(2061),
    [anon_sym__Alignof] = ACTIONS(2061),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2061),
    [anon_sym_asm] = ACTIONS(2061),
    [anon_sym___asm__] = ACTIONS(2061),
    [anon_sym___asm] = ACTIONS(2061),
    [sym_number_literal] = ACTIONS(2063),
    [anon_sym_L_SQUOTE] = ACTIONS(2063),
    [anon_sym_u_SQUOTE] = ACTIONS(2063),
    [anon_sym_U_SQUOTE] = ACTIONS(2063),
    [anon_sym_u8_SQUOTE] = ACTIONS(2063),
    [anon_sym_SQUOTE] = ACTIONS(2063),
    [anon_sym_L_DQUOTE] = ACTIONS(2063),
    [anon_sym_u_DQUOTE] = ACTIONS(2063),
    [anon_sym_U_DQUOTE] = ACTIONS(2063),
    [anon_sym_u8_DQUOTE] = ACTIONS(2063),
    [anon_sym_DQUOTE] = ACTIONS(2063),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2061),
    [anon_sym_nullptr] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2061),
    [anon_sym_decltype] = ACTIONS(2061),
    [anon_sym_explicit] = ACTIONS(2061),
    [anon_sym_typename] = ACTIONS(2061),
    [anon_sym_template] = ACTIONS(2061),
    [anon_sym_operator] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2061),
    [anon_sym_namespace] = ACTIONS(2061),
    [anon_sym_using] = ACTIONS(2061),
    [anon_sym_static_assert] = ACTIONS(2061),
    [anon_sym_concept] = ACTIONS(2061),
    [anon_sym_co_return] = ACTIONS(2061),
    [anon_sym_co_yield] = ACTIONS(2061),
    [anon_sym_catch] = ACTIONS(2369),
    [anon_sym_R_DQUOTE] = ACTIONS(2063),
    [anon_sym_LR_DQUOTE] = ACTIONS(2063),
    [anon_sym_uR_DQUOTE] = ACTIONS(2063),
    [anon_sym_UR_DQUOTE] = ACTIONS(2063),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2063),
    [anon_sym_co_await] = ACTIONS(2061),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2061),
    [sym_this] = ACTIONS(2061),
    [anon_sym_discard] = ACTIONS(2061),
    [anon_sym_precise] = ACTIONS(2061),
    [anon_sym_shared] = ACTIONS(2061),
    [anon_sym_groupshared] = ACTIONS(2061),
    [anon_sym_uniform] = ACTIONS(2061),
    [anon_sym_row_major] = ACTIONS(2061),
    [anon_sym_column_major] = ACTIONS(2061),
    [anon_sym_globallycoherent] = ACTIONS(2061),
    [anon_sym_centroid] = ACTIONS(2061),
    [anon_sym_noperspective] = ACTIONS(2061),
    [anon_sym_nointerpolation] = ACTIONS(2061),
    [anon_sym_sample] = ACTIONS(2061),
    [anon_sym_linear] = ACTIONS(2061),
    [anon_sym_snorm] = ACTIONS(2061),
    [anon_sym_unorm] = ACTIONS(2061),
    [anon_sym_point] = ACTIONS(2061),
    [anon_sym_line] = ACTIONS(2061),
    [anon_sym_triangleadj] = ACTIONS(2061),
    [anon_sym_lineadj] = ACTIONS(2061),
    [anon_sym_triangle] = ACTIONS(2061),
    [anon_sym_cbuffer] = ACTIONS(2061),
  },
  [246] = {
    [sym_identifier] = ACTIONS(2372),
    [aux_sym_preproc_include_token1] = ACTIONS(2372),
    [aux_sym_preproc_def_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token2] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2372),
    [aux_sym_preproc_else_token1] = ACTIONS(2372),
    [aux_sym_preproc_elif_token1] = ACTIONS(2372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2372),
    [sym_preproc_directive] = ACTIONS(2372),
    [anon_sym_LPAREN2] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym___extension__] = ACTIONS(2372),
    [anon_sym_typedef] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_out] = ACTIONS(2372),
    [anon_sym_inout] = ACTIONS(2372),
    [anon_sym_virtual] = ACTIONS(2372),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym___attribute__] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2374),
    [anon_sym___declspec] = ACTIONS(2372),
    [anon_sym___based] = ACTIONS(2372),
    [anon_sym___cdecl] = ACTIONS(2372),
    [anon_sym___clrcall] = ACTIONS(2372),
    [anon_sym___stdcall] = ACTIONS(2372),
    [anon_sym___fastcall] = ACTIONS(2372),
    [anon_sym___thiscall] = ACTIONS(2372),
    [anon_sym___vectorcall] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2372),
    [anon_sym_unsigned] = ACTIONS(2372),
    [anon_sym_long] = ACTIONS(2372),
    [anon_sym_short] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_register] = ACTIONS(2372),
    [anon_sym_inline] = ACTIONS(2372),
    [anon_sym___inline] = ACTIONS(2372),
    [anon_sym___inline__] = ACTIONS(2372),
    [anon_sym___forceinline] = ACTIONS(2372),
    [anon_sym_thread_local] = ACTIONS(2372),
    [anon_sym___thread] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_constexpr] = ACTIONS(2372),
    [anon_sym_volatile] = ACTIONS(2372),
    [anon_sym_restrict] = ACTIONS(2372),
    [anon_sym___restrict__] = ACTIONS(2372),
    [anon_sym__Atomic] = ACTIONS(2372),
    [anon_sym__Noreturn] = ACTIONS(2372),
    [anon_sym_noreturn] = ACTIONS(2372),
    [anon_sym__Nonnull] = ACTIONS(2372),
    [anon_sym_mutable] = ACTIONS(2372),
    [anon_sym_constinit] = ACTIONS(2372),
    [anon_sym_consteval] = ACTIONS(2372),
    [anon_sym_alignas] = ACTIONS(2372),
    [anon_sym__Alignas] = ACTIONS(2372),
    [sym_primitive_type] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_struct] = ACTIONS(2372),
    [anon_sym_union] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2372),
    [anon_sym___leave] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_compl] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(2372),
    [anon_sym___alignof] = ACTIONS(2372),
    [anon_sym__alignof] = ACTIONS(2372),
    [anon_sym_alignof] = ACTIONS(2372),
    [anon_sym__Alignof] = ACTIONS(2372),
    [anon_sym_offsetof] = ACTIONS(2372),
    [anon_sym__Generic] = ACTIONS(2372),
    [anon_sym_asm] = ACTIONS(2372),
    [anon_sym___asm__] = ACTIONS(2372),
    [anon_sym___asm] = ACTIONS(2372),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2374),
    [anon_sym_u_SQUOTE] = ACTIONS(2374),
    [anon_sym_U_SQUOTE] = ACTIONS(2374),
    [anon_sym_u8_SQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_L_DQUOTE] = ACTIONS(2374),
    [anon_sym_u_DQUOTE] = ACTIONS(2374),
    [anon_sym_U_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8_DQUOTE] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [anon_sym_NULL] = ACTIONS(2372),
    [anon_sym_nullptr] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2372),
    [anon_sym_decltype] = ACTIONS(2372),
    [anon_sym_explicit] = ACTIONS(2372),
    [anon_sym_typename] = ACTIONS(2372),
    [anon_sym_template] = ACTIONS(2372),
    [anon_sym_operator] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_using] = ACTIONS(2372),
    [anon_sym_static_assert] = ACTIONS(2372),
    [anon_sym_concept] = ACTIONS(2372),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2372),
    [anon_sym_R_DQUOTE] = ACTIONS(2374),
    [anon_sym_LR_DQUOTE] = ACTIONS(2374),
    [anon_sym_uR_DQUOTE] = ACTIONS(2374),
    [anon_sym_UR_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2374),
    [anon_sym_co_await] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_requires] = ACTIONS(2372),
    [sym_this] = ACTIONS(2372),
    [anon_sym_discard] = ACTIONS(2372),
    [anon_sym_precise] = ACTIONS(2372),
    [anon_sym_shared] = ACTIONS(2372),
    [anon_sym_groupshared] = ACTIONS(2372),
    [anon_sym_uniform] = ACTIONS(2372),
    [anon_sym_row_major] = ACTIONS(2372),
    [anon_sym_column_major] = ACTIONS(2372),
    [anon_sym_globallycoherent] = ACTIONS(2372),
    [anon_sym_centroid] = ACTIONS(2372),
    [anon_sym_noperspective] = ACTIONS(2372),
    [anon_sym_nointerpolation] = ACTIONS(2372),
    [anon_sym_sample] = ACTIONS(2372),
    [anon_sym_linear] = ACTIONS(2372),
    [anon_sym_snorm] = ACTIONS(2372),
    [anon_sym_unorm] = ACTIONS(2372),
    [anon_sym_point] = ACTIONS(2372),
    [anon_sym_line] = ACTIONS(2372),
    [anon_sym_triangleadj] = ACTIONS(2372),
    [anon_sym_lineadj] = ACTIONS(2372),
    [anon_sym_triangle] = ACTIONS(2372),
    [anon_sym_cbuffer] = ACTIONS(2372),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_include_token1] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token2] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [aux_sym_preproc_else_token1] = ACTIONS(2376),
    [aux_sym_preproc_elif_token1] = ACTIONS(2376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym___cdecl] = ACTIONS(2376),
    [anon_sym___clrcall] = ACTIONS(2376),
    [anon_sym___stdcall] = ACTIONS(2376),
    [anon_sym___fastcall] = ACTIONS(2376),
    [anon_sym___thiscall] = ACTIONS(2376),
    [anon_sym___vectorcall] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym__Nonnull] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym__Alignas] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_goto] = ACTIONS(2376),
    [anon_sym___try] = ACTIONS(2376),
    [anon_sym___leave] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(2376),
    [anon_sym_compl] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_sizeof] = ACTIONS(2376),
    [anon_sym___alignof__] = ACTIONS(2376),
    [anon_sym___alignof] = ACTIONS(2376),
    [anon_sym__alignof] = ACTIONS(2376),
    [anon_sym_alignof] = ACTIONS(2376),
    [anon_sym__Alignof] = ACTIONS(2376),
    [anon_sym_offsetof] = ACTIONS(2376),
    [anon_sym__Generic] = ACTIONS(2376),
    [anon_sym_asm] = ACTIONS(2376),
    [anon_sym___asm__] = ACTIONS(2376),
    [anon_sym___asm] = ACTIONS(2376),
    [sym_number_literal] = ACTIONS(2378),
    [anon_sym_L_SQUOTE] = ACTIONS(2378),
    [anon_sym_u_SQUOTE] = ACTIONS(2378),
    [anon_sym_U_SQUOTE] = ACTIONS(2378),
    [anon_sym_u8_SQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [anon_sym_NULL] = ACTIONS(2376),
    [anon_sym_nullptr] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_concept] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2376),
    [anon_sym_co_yield] = ACTIONS(2376),
    [anon_sym_R_DQUOTE] = ACTIONS(2378),
    [anon_sym_LR_DQUOTE] = ACTIONS(2378),
    [anon_sym_uR_DQUOTE] = ACTIONS(2378),
    [anon_sym_UR_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2378),
    [anon_sym_co_await] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_requires] = ACTIONS(2376),
    [sym_this] = ACTIONS(2376),
    [anon_sym_discard] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
    [anon_sym_cbuffer] = ACTIONS(2376),
  },
  [248] = {
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_include_token1] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token2] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [aux_sym_preproc_else_token1] = ACTIONS(2380),
    [aux_sym_preproc_elif_token1] = ACTIONS(2380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym___cdecl] = ACTIONS(2380),
    [anon_sym___clrcall] = ACTIONS(2380),
    [anon_sym___stdcall] = ACTIONS(2380),
    [anon_sym___fastcall] = ACTIONS(2380),
    [anon_sym___thiscall] = ACTIONS(2380),
    [anon_sym___vectorcall] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym__Nonnull] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym__Alignas] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym_default] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym___try] = ACTIONS(2380),
    [anon_sym___leave] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_compl] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_sizeof] = ACTIONS(2380),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2380),
    [anon_sym__Generic] = ACTIONS(2380),
    [anon_sym_asm] = ACTIONS(2380),
    [anon_sym___asm__] = ACTIONS(2380),
    [anon_sym___asm] = ACTIONS(2380),
    [sym_number_literal] = ACTIONS(2382),
    [anon_sym_L_SQUOTE] = ACTIONS(2382),
    [anon_sym_u_SQUOTE] = ACTIONS(2382),
    [anon_sym_U_SQUOTE] = ACTIONS(2382),
    [anon_sym_u8_SQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_L_DQUOTE] = ACTIONS(2382),
    [anon_sym_u_DQUOTE] = ACTIONS(2382),
    [anon_sym_U_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [anon_sym_NULL] = ACTIONS(2380),
    [anon_sym_nullptr] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_namespace] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_concept] = ACTIONS(2380),
    [anon_sym_co_return] = ACTIONS(2380),
    [anon_sym_co_yield] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_requires] = ACTIONS(2380),
    [sym_this] = ACTIONS(2380),
    [anon_sym_discard] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
    [anon_sym_cbuffer] = ACTIONS(2380),
  },
  [249] = {
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_include_token1] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token2] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [aux_sym_preproc_else_token1] = ACTIONS(2384),
    [aux_sym_preproc_elif_token1] = ACTIONS(2384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym___cdecl] = ACTIONS(2384),
    [anon_sym___clrcall] = ACTIONS(2384),
    [anon_sym___stdcall] = ACTIONS(2384),
    [anon_sym___fastcall] = ACTIONS(2384),
    [anon_sym___thiscall] = ACTIONS(2384),
    [anon_sym___vectorcall] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym__Nonnull] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym__Alignas] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_goto] = ACTIONS(2384),
    [anon_sym___try] = ACTIONS(2384),
    [anon_sym___leave] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2384),
    [anon_sym_compl] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2384),
    [anon_sym___alignof] = ACTIONS(2384),
    [anon_sym__alignof] = ACTIONS(2384),
    [anon_sym_alignof] = ACTIONS(2384),
    [anon_sym__Alignof] = ACTIONS(2384),
    [anon_sym_offsetof] = ACTIONS(2384),
    [anon_sym__Generic] = ACTIONS(2384),
    [anon_sym_asm] = ACTIONS(2384),
    [anon_sym___asm__] = ACTIONS(2384),
    [anon_sym___asm] = ACTIONS(2384),
    [sym_number_literal] = ACTIONS(2386),
    [anon_sym_L_SQUOTE] = ACTIONS(2386),
    [anon_sym_u_SQUOTE] = ACTIONS(2386),
    [anon_sym_U_SQUOTE] = ACTIONS(2386),
    [anon_sym_u8_SQUOTE] = ACTIONS(2386),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_L_DQUOTE] = ACTIONS(2386),
    [anon_sym_u_DQUOTE] = ACTIONS(2386),
    [anon_sym_U_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8_DQUOTE] = ACTIONS(2386),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_NULL] = ACTIONS(2384),
    [anon_sym_nullptr] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_delete] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_concept] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2384),
    [anon_sym_co_yield] = ACTIONS(2384),
    [anon_sym_R_DQUOTE] = ACTIONS(2386),
    [anon_sym_LR_DQUOTE] = ACTIONS(2386),
    [anon_sym_uR_DQUOTE] = ACTIONS(2386),
    [anon_sym_UR_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2386),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_requires] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [anon_sym_discard] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
    [anon_sym_cbuffer] = ACTIONS(2384),
  },
  [250] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_include_token1] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [aux_sym_preproc_else_token1] = ACTIONS(2388),
    [aux_sym_preproc_elif_token1] = ACTIONS(2388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym___cdecl] = ACTIONS(2388),
    [anon_sym___clrcall] = ACTIONS(2388),
    [anon_sym___stdcall] = ACTIONS(2388),
    [anon_sym___fastcall] = ACTIONS(2388),
    [anon_sym___thiscall] = ACTIONS(2388),
    [anon_sym___vectorcall] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym__Nonnull] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym__Alignas] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [anon_sym_if] = ACTIONS(2388),
    [anon_sym_switch] = ACTIONS(2388),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym_default] = ACTIONS(2388),
    [anon_sym_while] = ACTIONS(2388),
    [anon_sym_do] = ACTIONS(2388),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2388),
    [anon_sym_break] = ACTIONS(2388),
    [anon_sym_continue] = ACTIONS(2388),
    [anon_sym_goto] = ACTIONS(2388),
    [anon_sym___try] = ACTIONS(2388),
    [anon_sym___leave] = ACTIONS(2388),
    [anon_sym_not] = ACTIONS(2388),
    [anon_sym_compl] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_sizeof] = ACTIONS(2388),
    [anon_sym___alignof__] = ACTIONS(2388),
    [anon_sym___alignof] = ACTIONS(2388),
    [anon_sym__alignof] = ACTIONS(2388),
    [anon_sym_alignof] = ACTIONS(2388),
    [anon_sym__Alignof] = ACTIONS(2388),
    [anon_sym_offsetof] = ACTIONS(2388),
    [anon_sym__Generic] = ACTIONS(2388),
    [anon_sym_asm] = ACTIONS(2388),
    [anon_sym___asm__] = ACTIONS(2388),
    [anon_sym___asm] = ACTIONS(2388),
    [sym_number_literal] = ACTIONS(2390),
    [anon_sym_L_SQUOTE] = ACTIONS(2390),
    [anon_sym_u_SQUOTE] = ACTIONS(2390),
    [anon_sym_U_SQUOTE] = ACTIONS(2390),
    [anon_sym_u8_SQUOTE] = ACTIONS(2390),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_L_DQUOTE] = ACTIONS(2390),
    [anon_sym_u_DQUOTE] = ACTIONS(2390),
    [anon_sym_U_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8_DQUOTE] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2390),
    [sym_true] = ACTIONS(2388),
    [sym_false] = ACTIONS(2388),
    [anon_sym_NULL] = ACTIONS(2388),
    [anon_sym_nullptr] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2388),
    [anon_sym_delete] = ACTIONS(2388),
    [anon_sym_throw] = ACTIONS(2388),
    [anon_sym_namespace] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_concept] = ACTIONS(2388),
    [anon_sym_co_return] = ACTIONS(2388),
    [anon_sym_co_yield] = ACTIONS(2388),
    [anon_sym_R_DQUOTE] = ACTIONS(2390),
    [anon_sym_LR_DQUOTE] = ACTIONS(2390),
    [anon_sym_uR_DQUOTE] = ACTIONS(2390),
    [anon_sym_UR_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2390),
    [anon_sym_co_await] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2388),
    [anon_sym_requires] = ACTIONS(2388),
    [sym_this] = ACTIONS(2388),
    [anon_sym_discard] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
    [anon_sym_cbuffer] = ACTIONS(2388),
  },
  [251] = {
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_include_token1] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token2] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [aux_sym_preproc_else_token1] = ACTIONS(2392),
    [aux_sym_preproc_elif_token1] = ACTIONS(2392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym___cdecl] = ACTIONS(2392),
    [anon_sym___clrcall] = ACTIONS(2392),
    [anon_sym___stdcall] = ACTIONS(2392),
    [anon_sym___fastcall] = ACTIONS(2392),
    [anon_sym___thiscall] = ACTIONS(2392),
    [anon_sym___vectorcall] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym__Nonnull] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym__Alignas] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_switch] = ACTIONS(2392),
    [anon_sym_case] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_return] = ACTIONS(2392),
    [anon_sym_break] = ACTIONS(2392),
    [anon_sym_continue] = ACTIONS(2392),
    [anon_sym_goto] = ACTIONS(2392),
    [anon_sym___try] = ACTIONS(2392),
    [anon_sym___leave] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_compl] = ACTIONS(2392),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_sizeof] = ACTIONS(2392),
    [anon_sym___alignof__] = ACTIONS(2392),
    [anon_sym___alignof] = ACTIONS(2392),
    [anon_sym__alignof] = ACTIONS(2392),
    [anon_sym_alignof] = ACTIONS(2392),
    [anon_sym__Alignof] = ACTIONS(2392),
    [anon_sym_offsetof] = ACTIONS(2392),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2392),
    [anon_sym___asm__] = ACTIONS(2392),
    [anon_sym___asm] = ACTIONS(2392),
    [sym_number_literal] = ACTIONS(2394),
    [anon_sym_L_SQUOTE] = ACTIONS(2394),
    [anon_sym_u_SQUOTE] = ACTIONS(2394),
    [anon_sym_U_SQUOTE] = ACTIONS(2394),
    [anon_sym_u8_SQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_L_DQUOTE] = ACTIONS(2394),
    [anon_sym_u_DQUOTE] = ACTIONS(2394),
    [anon_sym_U_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8_DQUOTE] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [sym_true] = ACTIONS(2392),
    [sym_false] = ACTIONS(2392),
    [anon_sym_NULL] = ACTIONS(2392),
    [anon_sym_nullptr] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_try] = ACTIONS(2392),
    [anon_sym_delete] = ACTIONS(2392),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_namespace] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_concept] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2392),
    [anon_sym_co_yield] = ACTIONS(2392),
    [anon_sym_R_DQUOTE] = ACTIONS(2394),
    [anon_sym_LR_DQUOTE] = ACTIONS(2394),
    [anon_sym_uR_DQUOTE] = ACTIONS(2394),
    [anon_sym_UR_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2394),
    [anon_sym_co_await] = ACTIONS(2392),
    [anon_sym_new] = ACTIONS(2392),
    [anon_sym_requires] = ACTIONS(2392),
    [sym_this] = ACTIONS(2392),
    [anon_sym_discard] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
    [anon_sym_cbuffer] = ACTIONS(2392),
  },
  [252] = {
    [sym_identifier] = ACTIONS(2396),
    [aux_sym_preproc_include_token1] = ACTIONS(2396),
    [aux_sym_preproc_def_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token2] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2396),
    [aux_sym_preproc_else_token1] = ACTIONS(2396),
    [aux_sym_preproc_elif_token1] = ACTIONS(2396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2396),
    [sym_preproc_directive] = ACTIONS(2396),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_typedef] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym___cdecl] = ACTIONS(2396),
    [anon_sym___clrcall] = ACTIONS(2396),
    [anon_sym___stdcall] = ACTIONS(2396),
    [anon_sym___fastcall] = ACTIONS(2396),
    [anon_sym___thiscall] = ACTIONS(2396),
    [anon_sym___vectorcall] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym__Nonnull] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym__Alignas] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2396),
    [anon_sym_class] = ACTIONS(2396),
    [anon_sym_struct] = ACTIONS(2396),
    [anon_sym_union] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2396),
    [anon_sym_switch] = ACTIONS(2396),
    [anon_sym_case] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [anon_sym_do] = ACTIONS(2396),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_break] = ACTIONS(2396),
    [anon_sym_continue] = ACTIONS(2396),
    [anon_sym_goto] = ACTIONS(2396),
    [anon_sym___try] = ACTIONS(2396),
    [anon_sym___leave] = ACTIONS(2396),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_compl] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_sizeof] = ACTIONS(2396),
    [anon_sym___alignof__] = ACTIONS(2396),
    [anon_sym___alignof] = ACTIONS(2396),
    [anon_sym__alignof] = ACTIONS(2396),
    [anon_sym_alignof] = ACTIONS(2396),
    [anon_sym__Alignof] = ACTIONS(2396),
    [anon_sym_offsetof] = ACTIONS(2396),
    [anon_sym__Generic] = ACTIONS(2396),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [anon_sym___asm] = ACTIONS(2396),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2398),
    [anon_sym_u_SQUOTE] = ACTIONS(2398),
    [anon_sym_U_SQUOTE] = ACTIONS(2398),
    [anon_sym_u8_SQUOTE] = ACTIONS(2398),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2396),
    [sym_false] = ACTIONS(2396),
    [anon_sym_NULL] = ACTIONS(2396),
    [anon_sym_nullptr] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_explicit] = ACTIONS(2396),
    [anon_sym_typename] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_operator] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_delete] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2396),
    [anon_sym_using] = ACTIONS(2396),
    [anon_sym_static_assert] = ACTIONS(2396),
    [anon_sym_concept] = ACTIONS(2396),
    [anon_sym_co_return] = ACTIONS(2396),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2398),
    [anon_sym_LR_DQUOTE] = ACTIONS(2398),
    [anon_sym_uR_DQUOTE] = ACTIONS(2398),
    [anon_sym_UR_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2398),
    [anon_sym_co_await] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [sym_this] = ACTIONS(2396),
    [anon_sym_discard] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
    [anon_sym_cbuffer] = ACTIONS(2396),
  },
  [253] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_include_token1] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token2] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [aux_sym_preproc_else_token1] = ACTIONS(2400),
    [aux_sym_preproc_elif_token1] = ACTIONS(2400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym___cdecl] = ACTIONS(2400),
    [anon_sym___clrcall] = ACTIONS(2400),
    [anon_sym___stdcall] = ACTIONS(2400),
    [anon_sym___fastcall] = ACTIONS(2400),
    [anon_sym___thiscall] = ACTIONS(2400),
    [anon_sym___vectorcall] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym__Nonnull] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym__Alignas] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2400),
    [anon_sym_switch] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2400),
    [anon_sym_default] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2400),
    [anon_sym_do] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2400),
    [anon_sym_return] = ACTIONS(2400),
    [anon_sym_break] = ACTIONS(2400),
    [anon_sym_continue] = ACTIONS(2400),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym___try] = ACTIONS(2400),
    [anon_sym___leave] = ACTIONS(2400),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_compl] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_sizeof] = ACTIONS(2400),
    [anon_sym___alignof__] = ACTIONS(2400),
    [anon_sym___alignof] = ACTIONS(2400),
    [anon_sym__alignof] = ACTIONS(2400),
    [anon_sym_alignof] = ACTIONS(2400),
    [anon_sym__Alignof] = ACTIONS(2400),
    [anon_sym_offsetof] = ACTIONS(2400),
    [anon_sym__Generic] = ACTIONS(2400),
    [anon_sym_asm] = ACTIONS(2400),
    [anon_sym___asm__] = ACTIONS(2400),
    [anon_sym___asm] = ACTIONS(2400),
    [sym_number_literal] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2402),
    [anon_sym_u_SQUOTE] = ACTIONS(2402),
    [anon_sym_U_SQUOTE] = ACTIONS(2402),
    [anon_sym_u8_SQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_L_DQUOTE] = ACTIONS(2402),
    [anon_sym_u_DQUOTE] = ACTIONS(2402),
    [anon_sym_U_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8_DQUOTE] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [sym_true] = ACTIONS(2400),
    [sym_false] = ACTIONS(2400),
    [anon_sym_NULL] = ACTIONS(2400),
    [anon_sym_nullptr] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_try] = ACTIONS(2400),
    [anon_sym_delete] = ACTIONS(2400),
    [anon_sym_throw] = ACTIONS(2400),
    [anon_sym_namespace] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_concept] = ACTIONS(2400),
    [anon_sym_co_return] = ACTIONS(2400),
    [anon_sym_co_yield] = ACTIONS(2400),
    [anon_sym_R_DQUOTE] = ACTIONS(2402),
    [anon_sym_LR_DQUOTE] = ACTIONS(2402),
    [anon_sym_uR_DQUOTE] = ACTIONS(2402),
    [anon_sym_UR_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2402),
    [anon_sym_co_await] = ACTIONS(2400),
    [anon_sym_new] = ACTIONS(2400),
    [anon_sym_requires] = ACTIONS(2400),
    [sym_this] = ACTIONS(2400),
    [anon_sym_discard] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
    [anon_sym_cbuffer] = ACTIONS(2400),
  },
  [254] = {
    [sym_identifier] = ACTIONS(2404),
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [aux_sym_preproc_else_token1] = ACTIONS(2404),
    [aux_sym_preproc_elif_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_TILDE] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym___extension__] = ACTIONS(2404),
    [anon_sym_typedef] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_out] = ACTIONS(2404),
    [anon_sym_inout] = ACTIONS(2404),
    [anon_sym_virtual] = ACTIONS(2404),
    [anon_sym_extern] = ACTIONS(2404),
    [anon_sym___attribute__] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2406),
    [anon_sym___declspec] = ACTIONS(2404),
    [anon_sym___based] = ACTIONS(2404),
    [anon_sym___cdecl] = ACTIONS(2404),
    [anon_sym___clrcall] = ACTIONS(2404),
    [anon_sym___stdcall] = ACTIONS(2404),
    [anon_sym___fastcall] = ACTIONS(2404),
    [anon_sym___thiscall] = ACTIONS(2404),
    [anon_sym___vectorcall] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_signed] = ACTIONS(2404),
    [anon_sym_unsigned] = ACTIONS(2404),
    [anon_sym_long] = ACTIONS(2404),
    [anon_sym_short] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_static] = ACTIONS(2404),
    [anon_sym_register] = ACTIONS(2404),
    [anon_sym_inline] = ACTIONS(2404),
    [anon_sym___inline] = ACTIONS(2404),
    [anon_sym___inline__] = ACTIONS(2404),
    [anon_sym___forceinline] = ACTIONS(2404),
    [anon_sym_thread_local] = ACTIONS(2404),
    [anon_sym___thread] = ACTIONS(2404),
    [anon_sym_const] = ACTIONS(2404),
    [anon_sym_constexpr] = ACTIONS(2404),
    [anon_sym_volatile] = ACTIONS(2404),
    [anon_sym_restrict] = ACTIONS(2404),
    [anon_sym___restrict__] = ACTIONS(2404),
    [anon_sym__Atomic] = ACTIONS(2404),
    [anon_sym__Noreturn] = ACTIONS(2404),
    [anon_sym_noreturn] = ACTIONS(2404),
    [anon_sym__Nonnull] = ACTIONS(2404),
    [anon_sym_mutable] = ACTIONS(2404),
    [anon_sym_constinit] = ACTIONS(2404),
    [anon_sym_consteval] = ACTIONS(2404),
    [anon_sym_alignas] = ACTIONS(2404),
    [anon_sym__Alignas] = ACTIONS(2404),
    [sym_primitive_type] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(2404),
    [anon_sym_union] = ACTIONS(2404),
    [anon_sym_if] = ACTIONS(2404),
    [anon_sym_switch] = ACTIONS(2404),
    [anon_sym_case] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2404),
    [anon_sym___leave] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2404),
    [anon_sym_compl] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_sizeof] = ACTIONS(2404),
    [anon_sym___alignof__] = ACTIONS(2404),
    [anon_sym___alignof] = ACTIONS(2404),
    [anon_sym__alignof] = ACTIONS(2404),
    [anon_sym_alignof] = ACTIONS(2404),
    [anon_sym__Alignof] = ACTIONS(2404),
    [anon_sym_offsetof] = ACTIONS(2404),
    [anon_sym__Generic] = ACTIONS(2404),
    [anon_sym_asm] = ACTIONS(2404),
    [anon_sym___asm__] = ACTIONS(2404),
    [anon_sym___asm] = ACTIONS(2404),
    [sym_number_literal] = ACTIONS(2406),
    [anon_sym_L_SQUOTE] = ACTIONS(2406),
    [anon_sym_u_SQUOTE] = ACTIONS(2406),
    [anon_sym_U_SQUOTE] = ACTIONS(2406),
    [anon_sym_u8_SQUOTE] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2406),
    [anon_sym_L_DQUOTE] = ACTIONS(2406),
    [anon_sym_u_DQUOTE] = ACTIONS(2406),
    [anon_sym_U_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8_DQUOTE] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2404),
    [sym_false] = ACTIONS(2404),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2404),
    [anon_sym_decltype] = ACTIONS(2404),
    [anon_sym_explicit] = ACTIONS(2404),
    [anon_sym_typename] = ACTIONS(2404),
    [anon_sym_template] = ACTIONS(2404),
    [anon_sym_operator] = ACTIONS(2404),
    [anon_sym_try] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2404),
    [anon_sym_using] = ACTIONS(2404),
    [anon_sym_static_assert] = ACTIONS(2404),
    [anon_sym_concept] = ACTIONS(2404),
    [anon_sym_co_return] = ACTIONS(2404),
    [anon_sym_co_yield] = ACTIONS(2404),
    [anon_sym_R_DQUOTE] = ACTIONS(2406),
    [anon_sym_LR_DQUOTE] = ACTIONS(2406),
    [anon_sym_uR_DQUOTE] = ACTIONS(2406),
    [anon_sym_UR_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2406),
    [anon_sym_co_await] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2404),
    [anon_sym_requires] = ACTIONS(2404),
    [sym_this] = ACTIONS(2404),
    [anon_sym_discard] = ACTIONS(2404),
    [anon_sym_precise] = ACTIONS(2404),
    [anon_sym_shared] = ACTIONS(2404),
    [anon_sym_groupshared] = ACTIONS(2404),
    [anon_sym_uniform] = ACTIONS(2404),
    [anon_sym_row_major] = ACTIONS(2404),
    [anon_sym_column_major] = ACTIONS(2404),
    [anon_sym_globallycoherent] = ACTIONS(2404),
    [anon_sym_centroid] = ACTIONS(2404),
    [anon_sym_noperspective] = ACTIONS(2404),
    [anon_sym_nointerpolation] = ACTIONS(2404),
    [anon_sym_sample] = ACTIONS(2404),
    [anon_sym_linear] = ACTIONS(2404),
    [anon_sym_snorm] = ACTIONS(2404),
    [anon_sym_unorm] = ACTIONS(2404),
    [anon_sym_point] = ACTIONS(2404),
    [anon_sym_line] = ACTIONS(2404),
    [anon_sym_triangleadj] = ACTIONS(2404),
    [anon_sym_lineadj] = ACTIONS(2404),
    [anon_sym_triangle] = ACTIONS(2404),
    [anon_sym_cbuffer] = ACTIONS(2404),
  },
  [255] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [aux_sym_preproc_else_token1] = ACTIONS(2408),
    [aux_sym_preproc_elif_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym___leave] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2408),
    [anon_sym_compl] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_concept] = ACTIONS(2408),
    [anon_sym_co_return] = ACTIONS(2408),
    [anon_sym_co_yield] = ACTIONS(2408),
    [anon_sym_R_DQUOTE] = ACTIONS(2410),
    [anon_sym_LR_DQUOTE] = ACTIONS(2410),
    [anon_sym_uR_DQUOTE] = ACTIONS(2410),
    [anon_sym_UR_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2410),
    [anon_sym_co_await] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_requires] = ACTIONS(2408),
    [sym_this] = ACTIONS(2408),
    [anon_sym_discard] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
    [anon_sym_cbuffer] = ACTIONS(2408),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [aux_sym_preproc_else_token1] = ACTIONS(2412),
    [aux_sym_preproc_elif_token1] = ACTIONS(2412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_virtual] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___based] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_mutable] = ACTIONS(2412),
    [anon_sym_constinit] = ACTIONS(2412),
    [anon_sym_consteval] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_class] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym___leave] = ACTIONS(2412),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_compl] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2412),
    [anon_sym_decltype] = ACTIONS(2412),
    [anon_sym_explicit] = ACTIONS(2412),
    [anon_sym_typename] = ACTIONS(2412),
    [anon_sym_template] = ACTIONS(2412),
    [anon_sym_operator] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_namespace] = ACTIONS(2412),
    [anon_sym_using] = ACTIONS(2412),
    [anon_sym_static_assert] = ACTIONS(2412),
    [anon_sym_concept] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2412),
    [anon_sym_co_yield] = ACTIONS(2412),
    [anon_sym_R_DQUOTE] = ACTIONS(2414),
    [anon_sym_LR_DQUOTE] = ACTIONS(2414),
    [anon_sym_uR_DQUOTE] = ACTIONS(2414),
    [anon_sym_UR_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2414),
    [anon_sym_co_await] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2412),
    [anon_sym_requires] = ACTIONS(2412),
    [sym_this] = ACTIONS(2412),
    [anon_sym_discard] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_groupshared] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_row_major] = ACTIONS(2412),
    [anon_sym_column_major] = ACTIONS(2412),
    [anon_sym_globallycoherent] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym_nointerpolation] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_linear] = ACTIONS(2412),
    [anon_sym_snorm] = ACTIONS(2412),
    [anon_sym_unorm] = ACTIONS(2412),
    [anon_sym_point] = ACTIONS(2412),
    [anon_sym_line] = ACTIONS(2412),
    [anon_sym_triangleadj] = ACTIONS(2412),
    [anon_sym_lineadj] = ACTIONS(2412),
    [anon_sym_triangle] = ACTIONS(2412),
    [anon_sym_cbuffer] = ACTIONS(2412),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token2] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [aux_sym_preproc_else_token1] = ACTIONS(2416),
    [aux_sym_preproc_elif_token1] = ACTIONS(2416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_out] = ACTIONS(2416),
    [anon_sym_inout] = ACTIONS(2416),
    [anon_sym_virtual] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___based] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_mutable] = ACTIONS(2416),
    [anon_sym_constinit] = ACTIONS(2416),
    [anon_sym_consteval] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym___leave] = ACTIONS(2416),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2416),
    [anon_sym_decltype] = ACTIONS(2416),
    [anon_sym_explicit] = ACTIONS(2416),
    [anon_sym_typename] = ACTIONS(2416),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_operator] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_static_assert] = ACTIONS(2416),
    [anon_sym_concept] = ACTIONS(2416),
    [anon_sym_co_return] = ACTIONS(2416),
    [anon_sym_co_yield] = ACTIONS(2416),
    [anon_sym_R_DQUOTE] = ACTIONS(2418),
    [anon_sym_LR_DQUOTE] = ACTIONS(2418),
    [anon_sym_uR_DQUOTE] = ACTIONS(2418),
    [anon_sym_UR_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2418),
    [anon_sym_co_await] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_requires] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [anon_sym_discard] = ACTIONS(2416),
    [anon_sym_precise] = ACTIONS(2416),
    [anon_sym_shared] = ACTIONS(2416),
    [anon_sym_groupshared] = ACTIONS(2416),
    [anon_sym_uniform] = ACTIONS(2416),
    [anon_sym_row_major] = ACTIONS(2416),
    [anon_sym_column_major] = ACTIONS(2416),
    [anon_sym_globallycoherent] = ACTIONS(2416),
    [anon_sym_centroid] = ACTIONS(2416),
    [anon_sym_noperspective] = ACTIONS(2416),
    [anon_sym_nointerpolation] = ACTIONS(2416),
    [anon_sym_sample] = ACTIONS(2416),
    [anon_sym_linear] = ACTIONS(2416),
    [anon_sym_snorm] = ACTIONS(2416),
    [anon_sym_unorm] = ACTIONS(2416),
    [anon_sym_point] = ACTIONS(2416),
    [anon_sym_line] = ACTIONS(2416),
    [anon_sym_triangleadj] = ACTIONS(2416),
    [anon_sym_lineadj] = ACTIONS(2416),
    [anon_sym_triangle] = ACTIONS(2416),
    [anon_sym_cbuffer] = ACTIONS(2416),
  },
  [258] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [aux_sym_preproc_else_token1] = ACTIONS(2420),
    [aux_sym_preproc_elif_token1] = ACTIONS(2420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_out] = ACTIONS(2420),
    [anon_sym_inout] = ACTIONS(2420),
    [anon_sym_virtual] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___based] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_mutable] = ACTIONS(2420),
    [anon_sym_constinit] = ACTIONS(2420),
    [anon_sym_consteval] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_class] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym___leave] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_compl] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2420),
    [anon_sym_decltype] = ACTIONS(2420),
    [anon_sym_explicit] = ACTIONS(2420),
    [anon_sym_typename] = ACTIONS(2420),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_operator] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_delete] = ACTIONS(2420),
    [anon_sym_throw] = ACTIONS(2420),
    [anon_sym_namespace] = ACTIONS(2420),
    [anon_sym_using] = ACTIONS(2420),
    [anon_sym_static_assert] = ACTIONS(2420),
    [anon_sym_concept] = ACTIONS(2420),
    [anon_sym_co_return] = ACTIONS(2420),
    [anon_sym_co_yield] = ACTIONS(2420),
    [anon_sym_R_DQUOTE] = ACTIONS(2422),
    [anon_sym_LR_DQUOTE] = ACTIONS(2422),
    [anon_sym_uR_DQUOTE] = ACTIONS(2422),
    [anon_sym_UR_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2422),
    [anon_sym_co_await] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(2420),
    [anon_sym_requires] = ACTIONS(2420),
    [sym_this] = ACTIONS(2420),
    [anon_sym_discard] = ACTIONS(2420),
    [anon_sym_precise] = ACTIONS(2420),
    [anon_sym_shared] = ACTIONS(2420),
    [anon_sym_groupshared] = ACTIONS(2420),
    [anon_sym_uniform] = ACTIONS(2420),
    [anon_sym_row_major] = ACTIONS(2420),
    [anon_sym_column_major] = ACTIONS(2420),
    [anon_sym_globallycoherent] = ACTIONS(2420),
    [anon_sym_centroid] = ACTIONS(2420),
    [anon_sym_noperspective] = ACTIONS(2420),
    [anon_sym_nointerpolation] = ACTIONS(2420),
    [anon_sym_sample] = ACTIONS(2420),
    [anon_sym_linear] = ACTIONS(2420),
    [anon_sym_snorm] = ACTIONS(2420),
    [anon_sym_unorm] = ACTIONS(2420),
    [anon_sym_point] = ACTIONS(2420),
    [anon_sym_line] = ACTIONS(2420),
    [anon_sym_triangleadj] = ACTIONS(2420),
    [anon_sym_lineadj] = ACTIONS(2420),
    [anon_sym_triangle] = ACTIONS(2420),
    [anon_sym_cbuffer] = ACTIONS(2420),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [aux_sym_preproc_else_token1] = ACTIONS(2424),
    [aux_sym_preproc_elif_token1] = ACTIONS(2424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2424),
    [anon_sym_compl] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_delete] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_concept] = ACTIONS(2424),
    [anon_sym_co_return] = ACTIONS(2424),
    [anon_sym_co_yield] = ACTIONS(2424),
    [anon_sym_R_DQUOTE] = ACTIONS(2426),
    [anon_sym_LR_DQUOTE] = ACTIONS(2426),
    [anon_sym_uR_DQUOTE] = ACTIONS(2426),
    [anon_sym_UR_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2426),
    [anon_sym_co_await] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_requires] = ACTIONS(2424),
    [sym_this] = ACTIONS(2424),
    [anon_sym_discard] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
    [anon_sym_cbuffer] = ACTIONS(2424),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [aux_sym_preproc_else_token1] = ACTIONS(2428),
    [aux_sym_preproc_elif_token1] = ACTIONS(2428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_out] = ACTIONS(2428),
    [anon_sym_inout] = ACTIONS(2428),
    [anon_sym_virtual] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___based] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_mutable] = ACTIONS(2428),
    [anon_sym_constinit] = ACTIONS(2428),
    [anon_sym_consteval] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_class] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2428),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_compl] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2428),
    [anon_sym_decltype] = ACTIONS(2428),
    [anon_sym_explicit] = ACTIONS(2428),
    [anon_sym_typename] = ACTIONS(2428),
    [anon_sym_template] = ACTIONS(2428),
    [anon_sym_operator] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_delete] = ACTIONS(2428),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_using] = ACTIONS(2428),
    [anon_sym_static_assert] = ACTIONS(2428),
    [anon_sym_concept] = ACTIONS(2428),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2428),
    [anon_sym_R_DQUOTE] = ACTIONS(2430),
    [anon_sym_LR_DQUOTE] = ACTIONS(2430),
    [anon_sym_uR_DQUOTE] = ACTIONS(2430),
    [anon_sym_UR_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2430),
    [anon_sym_co_await] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_requires] = ACTIONS(2428),
    [sym_this] = ACTIONS(2428),
    [anon_sym_discard] = ACTIONS(2428),
    [anon_sym_precise] = ACTIONS(2428),
    [anon_sym_shared] = ACTIONS(2428),
    [anon_sym_groupshared] = ACTIONS(2428),
    [anon_sym_uniform] = ACTIONS(2428),
    [anon_sym_row_major] = ACTIONS(2428),
    [anon_sym_column_major] = ACTIONS(2428),
    [anon_sym_globallycoherent] = ACTIONS(2428),
    [anon_sym_centroid] = ACTIONS(2428),
    [anon_sym_noperspective] = ACTIONS(2428),
    [anon_sym_nointerpolation] = ACTIONS(2428),
    [anon_sym_sample] = ACTIONS(2428),
    [anon_sym_linear] = ACTIONS(2428),
    [anon_sym_snorm] = ACTIONS(2428),
    [anon_sym_unorm] = ACTIONS(2428),
    [anon_sym_point] = ACTIONS(2428),
    [anon_sym_line] = ACTIONS(2428),
    [anon_sym_triangleadj] = ACTIONS(2428),
    [anon_sym_lineadj] = ACTIONS(2428),
    [anon_sym_triangle] = ACTIONS(2428),
    [anon_sym_cbuffer] = ACTIONS(2428),
  },
  [261] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [aux_sym_preproc_else_token1] = ACTIONS(2432),
    [aux_sym_preproc_elif_token1] = ACTIONS(2432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym___leave] = ACTIONS(2432),
    [anon_sym_not] = ACTIONS(2432),
    [anon_sym_compl] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [anon_sym_delete] = ACTIONS(2432),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_concept] = ACTIONS(2432),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2432),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_requires] = ACTIONS(2432),
    [sym_this] = ACTIONS(2432),
    [anon_sym_discard] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
    [anon_sym_cbuffer] = ACTIONS(2432),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [aux_sym_preproc_else_token1] = ACTIONS(2436),
    [aux_sym_preproc_elif_token1] = ACTIONS(2436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_out] = ACTIONS(2436),
    [anon_sym_inout] = ACTIONS(2436),
    [anon_sym_virtual] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___based] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_mutable] = ACTIONS(2436),
    [anon_sym_constinit] = ACTIONS(2436),
    [anon_sym_consteval] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_class] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym___leave] = ACTIONS(2436),
    [anon_sym_not] = ACTIONS(2436),
    [anon_sym_compl] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2436),
    [anon_sym_decltype] = ACTIONS(2436),
    [anon_sym_explicit] = ACTIONS(2436),
    [anon_sym_typename] = ACTIONS(2436),
    [anon_sym_template] = ACTIONS(2436),
    [anon_sym_operator] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_delete] = ACTIONS(2436),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_using] = ACTIONS(2436),
    [anon_sym_static_assert] = ACTIONS(2436),
    [anon_sym_concept] = ACTIONS(2436),
    [anon_sym_co_return] = ACTIONS(2436),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_requires] = ACTIONS(2436),
    [sym_this] = ACTIONS(2436),
    [anon_sym_discard] = ACTIONS(2436),
    [anon_sym_precise] = ACTIONS(2436),
    [anon_sym_shared] = ACTIONS(2436),
    [anon_sym_groupshared] = ACTIONS(2436),
    [anon_sym_uniform] = ACTIONS(2436),
    [anon_sym_row_major] = ACTIONS(2436),
    [anon_sym_column_major] = ACTIONS(2436),
    [anon_sym_globallycoherent] = ACTIONS(2436),
    [anon_sym_centroid] = ACTIONS(2436),
    [anon_sym_noperspective] = ACTIONS(2436),
    [anon_sym_nointerpolation] = ACTIONS(2436),
    [anon_sym_sample] = ACTIONS(2436),
    [anon_sym_linear] = ACTIONS(2436),
    [anon_sym_snorm] = ACTIONS(2436),
    [anon_sym_unorm] = ACTIONS(2436),
    [anon_sym_point] = ACTIONS(2436),
    [anon_sym_line] = ACTIONS(2436),
    [anon_sym_triangleadj] = ACTIONS(2436),
    [anon_sym_lineadj] = ACTIONS(2436),
    [anon_sym_triangle] = ACTIONS(2436),
    [anon_sym_cbuffer] = ACTIONS(2436),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token2] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [aux_sym_preproc_else_token1] = ACTIONS(2440),
    [aux_sym_preproc_elif_token1] = ACTIONS(2440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym___leave] = ACTIONS(2440),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_compl] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_delete] = ACTIONS(2440),
    [anon_sym_throw] = ACTIONS(2440),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_concept] = ACTIONS(2440),
    [anon_sym_co_return] = ACTIONS(2440),
    [anon_sym_co_yield] = ACTIONS(2440),
    [anon_sym_R_DQUOTE] = ACTIONS(2442),
    [anon_sym_LR_DQUOTE] = ACTIONS(2442),
    [anon_sym_uR_DQUOTE] = ACTIONS(2442),
    [anon_sym_UR_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2442),
    [anon_sym_co_await] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2440),
    [sym_this] = ACTIONS(2440),
    [anon_sym_discard] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
    [anon_sym_cbuffer] = ACTIONS(2440),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym___leave] = ACTIONS(2448),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_concept] = ACTIONS(2448),
    [anon_sym_co_return] = ACTIONS(2448),
    [anon_sym_co_yield] = ACTIONS(2448),
    [anon_sym_R_DQUOTE] = ACTIONS(2450),
    [anon_sym_LR_DQUOTE] = ACTIONS(2450),
    [anon_sym_uR_DQUOTE] = ACTIONS(2450),
    [anon_sym_UR_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2450),
    [anon_sym_co_await] = ACTIONS(2448),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_requires] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [anon_sym_discard] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
    [anon_sym_cbuffer] = ACTIONS(2448),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [aux_sym_preproc_else_token1] = ACTIONS(2452),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym___leave] = ACTIONS(2452),
    [anon_sym_not] = ACTIONS(2452),
    [anon_sym_compl] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_concept] = ACTIONS(2452),
    [anon_sym_co_return] = ACTIONS(2452),
    [anon_sym_co_yield] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [sym_this] = ACTIONS(2452),
    [anon_sym_discard] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
    [anon_sym_cbuffer] = ACTIONS(2452),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym___leave] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_delete] = ACTIONS(2456),
    [anon_sym_throw] = ACTIONS(2456),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_concept] = ACTIONS(2456),
    [anon_sym_co_return] = ACTIONS(2456),
    [anon_sym_co_yield] = ACTIONS(2456),
    [anon_sym_R_DQUOTE] = ACTIONS(2458),
    [anon_sym_LR_DQUOTE] = ACTIONS(2458),
    [anon_sym_uR_DQUOTE] = ACTIONS(2458),
    [anon_sym_UR_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2458),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_requires] = ACTIONS(2456),
    [sym_this] = ACTIONS(2456),
    [anon_sym_discard] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
    [anon_sym_cbuffer] = ACTIONS(2456),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym___leave] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_compl] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_concept] = ACTIONS(2460),
    [anon_sym_co_return] = ACTIONS(2460),
    [anon_sym_co_yield] = ACTIONS(2460),
    [anon_sym_R_DQUOTE] = ACTIONS(2462),
    [anon_sym_LR_DQUOTE] = ACTIONS(2462),
    [anon_sym_uR_DQUOTE] = ACTIONS(2462),
    [anon_sym_UR_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2462),
    [anon_sym_co_await] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [anon_sym_discard] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
    [anon_sym_cbuffer] = ACTIONS(2460),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_include_token1] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [aux_sym_preproc_else_token1] = ACTIONS(2464),
    [aux_sym_preproc_elif_token1] = ACTIONS(2464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym___cdecl] = ACTIONS(2464),
    [anon_sym___clrcall] = ACTIONS(2464),
    [anon_sym___stdcall] = ACTIONS(2464),
    [anon_sym___fastcall] = ACTIONS(2464),
    [anon_sym___thiscall] = ACTIONS(2464),
    [anon_sym___vectorcall] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym__Nonnull] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym__Alignas] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_goto] = ACTIONS(2464),
    [anon_sym___try] = ACTIONS(2464),
    [anon_sym___leave] = ACTIONS(2464),
    [anon_sym_not] = ACTIONS(2464),
    [anon_sym_compl] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_sizeof] = ACTIONS(2464),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2464),
    [anon_sym___asm__] = ACTIONS(2464),
    [anon_sym___asm] = ACTIONS(2464),
    [sym_number_literal] = ACTIONS(2466),
    [anon_sym_L_SQUOTE] = ACTIONS(2466),
    [anon_sym_u_SQUOTE] = ACTIONS(2466),
    [anon_sym_U_SQUOTE] = ACTIONS(2466),
    [anon_sym_u8_SQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_L_DQUOTE] = ACTIONS(2466),
    [anon_sym_u_DQUOTE] = ACTIONS(2466),
    [anon_sym_U_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_concept] = ACTIONS(2464),
    [anon_sym_co_return] = ACTIONS(2464),
    [anon_sym_co_yield] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(2466),
    [anon_sym_LR_DQUOTE] = ACTIONS(2466),
    [anon_sym_uR_DQUOTE] = ACTIONS(2466),
    [anon_sym_UR_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2466),
    [anon_sym_co_await] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_requires] = ACTIONS(2464),
    [sym_this] = ACTIONS(2464),
    [anon_sym_discard] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
    [anon_sym_cbuffer] = ACTIONS(2464),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [aux_sym_preproc_else_token1] = ACTIONS(2468),
    [aux_sym_preproc_elif_token1] = ACTIONS(2468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym__Nonnull] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [anon_sym_discard] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
    [anon_sym_cbuffer] = ACTIONS(2468),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_include_token1] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token2] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [aux_sym_preproc_else_token1] = ACTIONS(2472),
    [aux_sym_preproc_elif_token1] = ACTIONS(2472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym___cdecl] = ACTIONS(2472),
    [anon_sym___clrcall] = ACTIONS(2472),
    [anon_sym___stdcall] = ACTIONS(2472),
    [anon_sym___fastcall] = ACTIONS(2472),
    [anon_sym___thiscall] = ACTIONS(2472),
    [anon_sym___vectorcall] = ACTIONS(2472),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym__Nonnull] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym__Alignas] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_switch] = ACTIONS(2472),
    [anon_sym_case] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_goto] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2472),
    [anon_sym___leave] = ACTIONS(2472),
    [anon_sym_not] = ACTIONS(2472),
    [anon_sym_compl] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_sizeof] = ACTIONS(2472),
    [anon_sym___alignof__] = ACTIONS(2472),
    [anon_sym___alignof] = ACTIONS(2472),
    [anon_sym__alignof] = ACTIONS(2472),
    [anon_sym_alignof] = ACTIONS(2472),
    [anon_sym__Alignof] = ACTIONS(2472),
    [anon_sym_offsetof] = ACTIONS(2472),
    [anon_sym__Generic] = ACTIONS(2472),
    [anon_sym_asm] = ACTIONS(2472),
    [anon_sym___asm__] = ACTIONS(2472),
    [anon_sym___asm] = ACTIONS(2472),
    [sym_number_literal] = ACTIONS(2474),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2474),
    [anon_sym_u_DQUOTE] = ACTIONS(2474),
    [anon_sym_U_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_true] = ACTIONS(2472),
    [sym_false] = ACTIONS(2472),
    [anon_sym_NULL] = ACTIONS(2472),
    [anon_sym_nullptr] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_delete] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_concept] = ACTIONS(2472),
    [anon_sym_co_return] = ACTIONS(2472),
    [anon_sym_co_yield] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2474),
    [anon_sym_LR_DQUOTE] = ACTIONS(2474),
    [anon_sym_uR_DQUOTE] = ACTIONS(2474),
    [anon_sym_UR_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2474),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_requires] = ACTIONS(2472),
    [sym_this] = ACTIONS(2472),
    [anon_sym_discard] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
    [anon_sym_cbuffer] = ACTIONS(2472),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2476),
    [aux_sym_preproc_include_token1] = ACTIONS(2476),
    [aux_sym_preproc_def_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token2] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2476),
    [aux_sym_preproc_else_token1] = ACTIONS(2476),
    [aux_sym_preproc_elif_token1] = ACTIONS(2476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2476),
    [sym_preproc_directive] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2476),
    [anon_sym_typedef] = ACTIONS(2476),
    [anon_sym_in] = ACTIONS(2476),
    [anon_sym_out] = ACTIONS(2476),
    [anon_sym_inout] = ACTIONS(2476),
    [anon_sym_virtual] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym___attribute__] = ACTIONS(2476),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2478),
    [anon_sym___declspec] = ACTIONS(2476),
    [anon_sym___based] = ACTIONS(2476),
    [anon_sym___cdecl] = ACTIONS(2476),
    [anon_sym___clrcall] = ACTIONS(2476),
    [anon_sym___stdcall] = ACTIONS(2476),
    [anon_sym___fastcall] = ACTIONS(2476),
    [anon_sym___thiscall] = ACTIONS(2476),
    [anon_sym___vectorcall] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2476),
    [anon_sym_unsigned] = ACTIONS(2476),
    [anon_sym_long] = ACTIONS(2476),
    [anon_sym_short] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_register] = ACTIONS(2476),
    [anon_sym_inline] = ACTIONS(2476),
    [anon_sym___inline] = ACTIONS(2476),
    [anon_sym___inline__] = ACTIONS(2476),
    [anon_sym___forceinline] = ACTIONS(2476),
    [anon_sym_thread_local] = ACTIONS(2476),
    [anon_sym___thread] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_constexpr] = ACTIONS(2476),
    [anon_sym_volatile] = ACTIONS(2476),
    [anon_sym_restrict] = ACTIONS(2476),
    [anon_sym___restrict__] = ACTIONS(2476),
    [anon_sym__Atomic] = ACTIONS(2476),
    [anon_sym__Noreturn] = ACTIONS(2476),
    [anon_sym_noreturn] = ACTIONS(2476),
    [anon_sym__Nonnull] = ACTIONS(2476),
    [anon_sym_mutable] = ACTIONS(2476),
    [anon_sym_constinit] = ACTIONS(2476),
    [anon_sym_consteval] = ACTIONS(2476),
    [anon_sym_alignas] = ACTIONS(2476),
    [anon_sym__Alignas] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_class] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_switch] = ACTIONS(2476),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2476),
    [anon_sym___leave] = ACTIONS(2476),
    [anon_sym_not] = ACTIONS(2476),
    [anon_sym_compl] = ACTIONS(2476),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_sizeof] = ACTIONS(2476),
    [anon_sym___alignof__] = ACTIONS(2476),
    [anon_sym___alignof] = ACTIONS(2476),
    [anon_sym__alignof] = ACTIONS(2476),
    [anon_sym_alignof] = ACTIONS(2476),
    [anon_sym__Alignof] = ACTIONS(2476),
    [anon_sym_offsetof] = ACTIONS(2476),
    [anon_sym__Generic] = ACTIONS(2476),
    [anon_sym_asm] = ACTIONS(2476),
    [anon_sym___asm__] = ACTIONS(2476),
    [anon_sym___asm] = ACTIONS(2476),
    [sym_number_literal] = ACTIONS(2478),
    [anon_sym_L_SQUOTE] = ACTIONS(2478),
    [anon_sym_u_SQUOTE] = ACTIONS(2478),
    [anon_sym_U_SQUOTE] = ACTIONS(2478),
    [anon_sym_u8_SQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_L_DQUOTE] = ACTIONS(2478),
    [anon_sym_u_DQUOTE] = ACTIONS(2478),
    [anon_sym_U_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [sym_true] = ACTIONS(2476),
    [sym_false] = ACTIONS(2476),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2476),
    [anon_sym_decltype] = ACTIONS(2476),
    [anon_sym_explicit] = ACTIONS(2476),
    [anon_sym_typename] = ACTIONS(2476),
    [anon_sym_template] = ACTIONS(2476),
    [anon_sym_operator] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_using] = ACTIONS(2476),
    [anon_sym_static_assert] = ACTIONS(2476),
    [anon_sym_concept] = ACTIONS(2476),
    [anon_sym_co_return] = ACTIONS(2476),
    [anon_sym_co_yield] = ACTIONS(2476),
    [anon_sym_R_DQUOTE] = ACTIONS(2478),
    [anon_sym_LR_DQUOTE] = ACTIONS(2478),
    [anon_sym_uR_DQUOTE] = ACTIONS(2478),
    [anon_sym_UR_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2478),
    [anon_sym_co_await] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_requires] = ACTIONS(2476),
    [sym_this] = ACTIONS(2476),
    [anon_sym_discard] = ACTIONS(2476),
    [anon_sym_precise] = ACTIONS(2476),
    [anon_sym_shared] = ACTIONS(2476),
    [anon_sym_groupshared] = ACTIONS(2476),
    [anon_sym_uniform] = ACTIONS(2476),
    [anon_sym_row_major] = ACTIONS(2476),
    [anon_sym_column_major] = ACTIONS(2476),
    [anon_sym_globallycoherent] = ACTIONS(2476),
    [anon_sym_centroid] = ACTIONS(2476),
    [anon_sym_noperspective] = ACTIONS(2476),
    [anon_sym_nointerpolation] = ACTIONS(2476),
    [anon_sym_sample] = ACTIONS(2476),
    [anon_sym_linear] = ACTIONS(2476),
    [anon_sym_snorm] = ACTIONS(2476),
    [anon_sym_unorm] = ACTIONS(2476),
    [anon_sym_point] = ACTIONS(2476),
    [anon_sym_line] = ACTIONS(2476),
    [anon_sym_triangleadj] = ACTIONS(2476),
    [anon_sym_lineadj] = ACTIONS(2476),
    [anon_sym_triangle] = ACTIONS(2476),
    [anon_sym_cbuffer] = ACTIONS(2476),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2480),
    [aux_sym_preproc_include_token1] = ACTIONS(2480),
    [aux_sym_preproc_def_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token2] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2480),
    [aux_sym_preproc_else_token1] = ACTIONS(2480),
    [aux_sym_preproc_elif_token1] = ACTIONS(2480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2480),
    [sym_preproc_directive] = ACTIONS(2480),
    [anon_sym_LPAREN2] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_TILDE] = ACTIONS(2482),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2480),
    [anon_sym_typedef] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_out] = ACTIONS(2480),
    [anon_sym_inout] = ACTIONS(2480),
    [anon_sym_virtual] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym___attribute__] = ACTIONS(2480),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2482),
    [anon_sym___declspec] = ACTIONS(2480),
    [anon_sym___based] = ACTIONS(2480),
    [anon_sym___cdecl] = ACTIONS(2480),
    [anon_sym___clrcall] = ACTIONS(2480),
    [anon_sym___stdcall] = ACTIONS(2480),
    [anon_sym___fastcall] = ACTIONS(2480),
    [anon_sym___thiscall] = ACTIONS(2480),
    [anon_sym___vectorcall] = ACTIONS(2480),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2480),
    [anon_sym_unsigned] = ACTIONS(2480),
    [anon_sym_long] = ACTIONS(2480),
    [anon_sym_short] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_register] = ACTIONS(2480),
    [anon_sym_inline] = ACTIONS(2480),
    [anon_sym___inline] = ACTIONS(2480),
    [anon_sym___inline__] = ACTIONS(2480),
    [anon_sym___forceinline] = ACTIONS(2480),
    [anon_sym_thread_local] = ACTIONS(2480),
    [anon_sym___thread] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_constexpr] = ACTIONS(2480),
    [anon_sym_volatile] = ACTIONS(2480),
    [anon_sym_restrict] = ACTIONS(2480),
    [anon_sym___restrict__] = ACTIONS(2480),
    [anon_sym__Atomic] = ACTIONS(2480),
    [anon_sym__Noreturn] = ACTIONS(2480),
    [anon_sym_noreturn] = ACTIONS(2480),
    [anon_sym__Nonnull] = ACTIONS(2480),
    [anon_sym_mutable] = ACTIONS(2480),
    [anon_sym_constinit] = ACTIONS(2480),
    [anon_sym_consteval] = ACTIONS(2480),
    [anon_sym_alignas] = ACTIONS(2480),
    [anon_sym__Alignas] = ACTIONS(2480),
    [sym_primitive_type] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_class] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_switch] = ACTIONS(2480),
    [anon_sym_case] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_goto] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2480),
    [anon_sym___leave] = ACTIONS(2480),
    [anon_sym_not] = ACTIONS(2480),
    [anon_sym_compl] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_sizeof] = ACTIONS(2480),
    [anon_sym___alignof__] = ACTIONS(2480),
    [anon_sym___alignof] = ACTIONS(2480),
    [anon_sym__alignof] = ACTIONS(2480),
    [anon_sym_alignof] = ACTIONS(2480),
    [anon_sym__Alignof] = ACTIONS(2480),
    [anon_sym_offsetof] = ACTIONS(2480),
    [anon_sym__Generic] = ACTIONS(2480),
    [anon_sym_asm] = ACTIONS(2480),
    [anon_sym___asm__] = ACTIONS(2480),
    [anon_sym___asm] = ACTIONS(2480),
    [sym_number_literal] = ACTIONS(2482),
    [anon_sym_L_SQUOTE] = ACTIONS(2482),
    [anon_sym_u_SQUOTE] = ACTIONS(2482),
    [anon_sym_U_SQUOTE] = ACTIONS(2482),
    [anon_sym_u8_SQUOTE] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2482),
    [anon_sym_L_DQUOTE] = ACTIONS(2482),
    [anon_sym_u_DQUOTE] = ACTIONS(2482),
    [anon_sym_U_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8_DQUOTE] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [sym_true] = ACTIONS(2480),
    [sym_false] = ACTIONS(2480),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2480),
    [anon_sym_decltype] = ACTIONS(2480),
    [anon_sym_explicit] = ACTIONS(2480),
    [anon_sym_typename] = ACTIONS(2480),
    [anon_sym_template] = ACTIONS(2480),
    [anon_sym_operator] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [anon_sym_delete] = ACTIONS(2480),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2480),
    [anon_sym_using] = ACTIONS(2480),
    [anon_sym_static_assert] = ACTIONS(2480),
    [anon_sym_concept] = ACTIONS(2480),
    [anon_sym_co_return] = ACTIONS(2480),
    [anon_sym_co_yield] = ACTIONS(2480),
    [anon_sym_R_DQUOTE] = ACTIONS(2482),
    [anon_sym_LR_DQUOTE] = ACTIONS(2482),
    [anon_sym_uR_DQUOTE] = ACTIONS(2482),
    [anon_sym_UR_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2482),
    [anon_sym_co_await] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2480),
    [anon_sym_requires] = ACTIONS(2480),
    [sym_this] = ACTIONS(2480),
    [anon_sym_discard] = ACTIONS(2480),
    [anon_sym_precise] = ACTIONS(2480),
    [anon_sym_shared] = ACTIONS(2480),
    [anon_sym_groupshared] = ACTIONS(2480),
    [anon_sym_uniform] = ACTIONS(2480),
    [anon_sym_row_major] = ACTIONS(2480),
    [anon_sym_column_major] = ACTIONS(2480),
    [anon_sym_globallycoherent] = ACTIONS(2480),
    [anon_sym_centroid] = ACTIONS(2480),
    [anon_sym_noperspective] = ACTIONS(2480),
    [anon_sym_nointerpolation] = ACTIONS(2480),
    [anon_sym_sample] = ACTIONS(2480),
    [anon_sym_linear] = ACTIONS(2480),
    [anon_sym_snorm] = ACTIONS(2480),
    [anon_sym_unorm] = ACTIONS(2480),
    [anon_sym_point] = ACTIONS(2480),
    [anon_sym_line] = ACTIONS(2480),
    [anon_sym_triangleadj] = ACTIONS(2480),
    [anon_sym_lineadj] = ACTIONS(2480),
    [anon_sym_triangle] = ACTIONS(2480),
    [anon_sym_cbuffer] = ACTIONS(2480),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token2] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [aux_sym_preproc_else_token1] = ACTIONS(2484),
    [aux_sym_preproc_elif_token1] = ACTIONS(2484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym__Nonnull] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym__Alignas] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [anon_sym___asm] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [276] = {
    [sym_catch_clause] = STATE(331),
    [aux_sym_constructor_try_statement_repeat1] = STATE(331),
    [ts_builtin_sym_end] = ACTIONS(2057),
    [sym_identifier] = ACTIONS(2055),
    [aux_sym_preproc_include_token1] = ACTIONS(2055),
    [aux_sym_preproc_def_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token1] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2055),
    [sym_preproc_directive] = ACTIONS(2055),
    [anon_sym_LPAREN2] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym___extension__] = ACTIONS(2055),
    [anon_sym_typedef] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_out] = ACTIONS(2055),
    [anon_sym_inout] = ACTIONS(2055),
    [anon_sym_virtual] = ACTIONS(2055),
    [anon_sym_extern] = ACTIONS(2055),
    [anon_sym___attribute__] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2057),
    [anon_sym___declspec] = ACTIONS(2055),
    [anon_sym___based] = ACTIONS(2055),
    [anon_sym___cdecl] = ACTIONS(2055),
    [anon_sym___clrcall] = ACTIONS(2055),
    [anon_sym___stdcall] = ACTIONS(2055),
    [anon_sym___fastcall] = ACTIONS(2055),
    [anon_sym___thiscall] = ACTIONS(2055),
    [anon_sym___vectorcall] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_signed] = ACTIONS(2055),
    [anon_sym_unsigned] = ACTIONS(2055),
    [anon_sym_long] = ACTIONS(2055),
    [anon_sym_short] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_register] = ACTIONS(2055),
    [anon_sym_inline] = ACTIONS(2055),
    [anon_sym___inline] = ACTIONS(2055),
    [anon_sym___inline__] = ACTIONS(2055),
    [anon_sym___forceinline] = ACTIONS(2055),
    [anon_sym_thread_local] = ACTIONS(2055),
    [anon_sym___thread] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_constexpr] = ACTIONS(2055),
    [anon_sym_volatile] = ACTIONS(2055),
    [anon_sym_restrict] = ACTIONS(2055),
    [anon_sym___restrict__] = ACTIONS(2055),
    [anon_sym__Atomic] = ACTIONS(2055),
    [anon_sym__Noreturn] = ACTIONS(2055),
    [anon_sym_noreturn] = ACTIONS(2055),
    [anon_sym__Nonnull] = ACTIONS(2055),
    [anon_sym_mutable] = ACTIONS(2055),
    [anon_sym_constinit] = ACTIONS(2055),
    [anon_sym_consteval] = ACTIONS(2055),
    [anon_sym_alignas] = ACTIONS(2055),
    [anon_sym__Alignas] = ACTIONS(2055),
    [sym_primitive_type] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_struct] = ACTIONS(2055),
    [anon_sym_union] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_goto] = ACTIONS(2055),
    [anon_sym___try] = ACTIONS(2055),
    [anon_sym___leave] = ACTIONS(2055),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_sizeof] = ACTIONS(2055),
    [anon_sym___alignof__] = ACTIONS(2055),
    [anon_sym___alignof] = ACTIONS(2055),
    [anon_sym__alignof] = ACTIONS(2055),
    [anon_sym_alignof] = ACTIONS(2055),
    [anon_sym__Alignof] = ACTIONS(2055),
    [anon_sym_offsetof] = ACTIONS(2055),
    [anon_sym__Generic] = ACTIONS(2055),
    [anon_sym_asm] = ACTIONS(2055),
    [anon_sym___asm__] = ACTIONS(2055),
    [anon_sym___asm] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(2057),
    [anon_sym_L_SQUOTE] = ACTIONS(2057),
    [anon_sym_u_SQUOTE] = ACTIONS(2057),
    [anon_sym_U_SQUOTE] = ACTIONS(2057),
    [anon_sym_u8_SQUOTE] = ACTIONS(2057),
    [anon_sym_SQUOTE] = ACTIONS(2057),
    [anon_sym_L_DQUOTE] = ACTIONS(2057),
    [anon_sym_u_DQUOTE] = ACTIONS(2057),
    [anon_sym_U_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8_DQUOTE] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(2057),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [anon_sym_NULL] = ACTIONS(2055),
    [anon_sym_nullptr] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2055),
    [anon_sym_decltype] = ACTIONS(2055),
    [anon_sym_explicit] = ACTIONS(2055),
    [anon_sym_typename] = ACTIONS(2055),
    [anon_sym_template] = ACTIONS(2055),
    [anon_sym_operator] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_static_assert] = ACTIONS(2055),
    [anon_sym_concept] = ACTIONS(2055),
    [anon_sym_co_return] = ACTIONS(2055),
    [anon_sym_co_yield] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_requires] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [anon_sym_discard] = ACTIONS(2055),
    [anon_sym_precise] = ACTIONS(2055),
    [anon_sym_shared] = ACTIONS(2055),
    [anon_sym_groupshared] = ACTIONS(2055),
    [anon_sym_uniform] = ACTIONS(2055),
    [anon_sym_row_major] = ACTIONS(2055),
    [anon_sym_column_major] = ACTIONS(2055),
    [anon_sym_globallycoherent] = ACTIONS(2055),
    [anon_sym_centroid] = ACTIONS(2055),
    [anon_sym_noperspective] = ACTIONS(2055),
    [anon_sym_nointerpolation] = ACTIONS(2055),
    [anon_sym_sample] = ACTIONS(2055),
    [anon_sym_linear] = ACTIONS(2055),
    [anon_sym_snorm] = ACTIONS(2055),
    [anon_sym_unorm] = ACTIONS(2055),
    [anon_sym_point] = ACTIONS(2055),
    [anon_sym_line] = ACTIONS(2055),
    [anon_sym_triangleadj] = ACTIONS(2055),
    [anon_sym_lineadj] = ACTIONS(2055),
    [anon_sym_triangle] = ACTIONS(2055),
    [anon_sym_cbuffer] = ACTIONS(2055),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token2] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [aux_sym_preproc_else_token1] = ACTIONS(2490),
    [aux_sym_preproc_elif_token1] = ACTIONS(2490),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_out] = ACTIONS(2490),
    [anon_sym_inout] = ACTIONS(2490),
    [anon_sym_virtual] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___based] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_mutable] = ACTIONS(2490),
    [anon_sym_constinit] = ACTIONS(2490),
    [anon_sym_consteval] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_class] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym___leave] = ACTIONS(2490),
    [anon_sym_not] = ACTIONS(2490),
    [anon_sym_compl] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2490),
    [anon_sym_decltype] = ACTIONS(2490),
    [anon_sym_explicit] = ACTIONS(2490),
    [anon_sym_typename] = ACTIONS(2490),
    [anon_sym_template] = ACTIONS(2490),
    [anon_sym_operator] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2490),
    [anon_sym_delete] = ACTIONS(2490),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_namespace] = ACTIONS(2490),
    [anon_sym_using] = ACTIONS(2490),
    [anon_sym_static_assert] = ACTIONS(2490),
    [anon_sym_concept] = ACTIONS(2490),
    [anon_sym_co_return] = ACTIONS(2490),
    [anon_sym_co_yield] = ACTIONS(2490),
    [anon_sym_R_DQUOTE] = ACTIONS(2492),
    [anon_sym_LR_DQUOTE] = ACTIONS(2492),
    [anon_sym_uR_DQUOTE] = ACTIONS(2492),
    [anon_sym_UR_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2492),
    [anon_sym_co_await] = ACTIONS(2490),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2490),
    [anon_sym_discard] = ACTIONS(2490),
    [anon_sym_precise] = ACTIONS(2490),
    [anon_sym_shared] = ACTIONS(2490),
    [anon_sym_groupshared] = ACTIONS(2490),
    [anon_sym_uniform] = ACTIONS(2490),
    [anon_sym_row_major] = ACTIONS(2490),
    [anon_sym_column_major] = ACTIONS(2490),
    [anon_sym_globallycoherent] = ACTIONS(2490),
    [anon_sym_centroid] = ACTIONS(2490),
    [anon_sym_noperspective] = ACTIONS(2490),
    [anon_sym_nointerpolation] = ACTIONS(2490),
    [anon_sym_sample] = ACTIONS(2490),
    [anon_sym_linear] = ACTIONS(2490),
    [anon_sym_snorm] = ACTIONS(2490),
    [anon_sym_unorm] = ACTIONS(2490),
    [anon_sym_point] = ACTIONS(2490),
    [anon_sym_line] = ACTIONS(2490),
    [anon_sym_triangleadj] = ACTIONS(2490),
    [anon_sym_lineadj] = ACTIONS(2490),
    [anon_sym_triangle] = ACTIONS(2490),
    [anon_sym_cbuffer] = ACTIONS(2490),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [aux_sym_preproc_else_token1] = ACTIONS(2494),
    [aux_sym_preproc_elif_token1] = ACTIONS(2494),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_in] = ACTIONS(2494),
    [anon_sym_out] = ACTIONS(2494),
    [anon_sym_inout] = ACTIONS(2494),
    [anon_sym_virtual] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym__Nonnull] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [anon_sym___asm] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
    [anon_sym_discard] = ACTIONS(2494),
    [anon_sym_precise] = ACTIONS(2494),
    [anon_sym_shared] = ACTIONS(2494),
    [anon_sym_groupshared] = ACTIONS(2494),
    [anon_sym_uniform] = ACTIONS(2494),
    [anon_sym_row_major] = ACTIONS(2494),
    [anon_sym_column_major] = ACTIONS(2494),
    [anon_sym_globallycoherent] = ACTIONS(2494),
    [anon_sym_centroid] = ACTIONS(2494),
    [anon_sym_noperspective] = ACTIONS(2494),
    [anon_sym_nointerpolation] = ACTIONS(2494),
    [anon_sym_sample] = ACTIONS(2494),
    [anon_sym_linear] = ACTIONS(2494),
    [anon_sym_snorm] = ACTIONS(2494),
    [anon_sym_unorm] = ACTIONS(2494),
    [anon_sym_point] = ACTIONS(2494),
    [anon_sym_line] = ACTIONS(2494),
    [anon_sym_triangleadj] = ACTIONS(2494),
    [anon_sym_lineadj] = ACTIONS(2494),
    [anon_sym_triangle] = ACTIONS(2494),
    [anon_sym_cbuffer] = ACTIONS(2494),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token2] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [aux_sym_preproc_else_token1] = ACTIONS(2498),
    [aux_sym_preproc_elif_token1] = ACTIONS(2498),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_in] = ACTIONS(2498),
    [anon_sym_out] = ACTIONS(2498),
    [anon_sym_inout] = ACTIONS(2498),
    [anon_sym_virtual] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym__Nonnull] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [anon_sym___asm] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
    [anon_sym_discard] = ACTIONS(2498),
    [anon_sym_precise] = ACTIONS(2498),
    [anon_sym_shared] = ACTIONS(2498),
    [anon_sym_groupshared] = ACTIONS(2498),
    [anon_sym_uniform] = ACTIONS(2498),
    [anon_sym_row_major] = ACTIONS(2498),
    [anon_sym_column_major] = ACTIONS(2498),
    [anon_sym_globallycoherent] = ACTIONS(2498),
    [anon_sym_centroid] = ACTIONS(2498),
    [anon_sym_noperspective] = ACTIONS(2498),
    [anon_sym_nointerpolation] = ACTIONS(2498),
    [anon_sym_sample] = ACTIONS(2498),
    [anon_sym_linear] = ACTIONS(2498),
    [anon_sym_snorm] = ACTIONS(2498),
    [anon_sym_unorm] = ACTIONS(2498),
    [anon_sym_point] = ACTIONS(2498),
    [anon_sym_line] = ACTIONS(2498),
    [anon_sym_triangleadj] = ACTIONS(2498),
    [anon_sym_lineadj] = ACTIONS(2498),
    [anon_sym_triangle] = ACTIONS(2498),
    [anon_sym_cbuffer] = ACTIONS(2498),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2502),
    [aux_sym_preproc_include_token1] = ACTIONS(2502),
    [aux_sym_preproc_def_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token2] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2502),
    [aux_sym_preproc_else_token1] = ACTIONS(2502),
    [aux_sym_preproc_elif_token1] = ACTIONS(2502),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2502),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2502),
    [sym_preproc_directive] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2502),
    [anon_sym_typedef] = ACTIONS(2502),
    [anon_sym_in] = ACTIONS(2502),
    [anon_sym_out] = ACTIONS(2502),
    [anon_sym_inout] = ACTIONS(2502),
    [anon_sym_virtual] = ACTIONS(2502),
    [anon_sym_extern] = ACTIONS(2502),
    [anon_sym___attribute__] = ACTIONS(2502),
    [anon_sym_COLON_COLON] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2504),
    [anon_sym___declspec] = ACTIONS(2502),
    [anon_sym___based] = ACTIONS(2502),
    [anon_sym___cdecl] = ACTIONS(2502),
    [anon_sym___clrcall] = ACTIONS(2502),
    [anon_sym___stdcall] = ACTIONS(2502),
    [anon_sym___fastcall] = ACTIONS(2502),
    [anon_sym___thiscall] = ACTIONS(2502),
    [anon_sym___vectorcall] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2502),
    [anon_sym_unsigned] = ACTIONS(2502),
    [anon_sym_long] = ACTIONS(2502),
    [anon_sym_short] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_register] = ACTIONS(2502),
    [anon_sym_inline] = ACTIONS(2502),
    [anon_sym___inline] = ACTIONS(2502),
    [anon_sym___inline__] = ACTIONS(2502),
    [anon_sym___forceinline] = ACTIONS(2502),
    [anon_sym_thread_local] = ACTIONS(2502),
    [anon_sym___thread] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_constexpr] = ACTIONS(2502),
    [anon_sym_volatile] = ACTIONS(2502),
    [anon_sym_restrict] = ACTIONS(2502),
    [anon_sym___restrict__] = ACTIONS(2502),
    [anon_sym__Atomic] = ACTIONS(2502),
    [anon_sym__Noreturn] = ACTIONS(2502),
    [anon_sym_noreturn] = ACTIONS(2502),
    [anon_sym__Nonnull] = ACTIONS(2502),
    [anon_sym_mutable] = ACTIONS(2502),
    [anon_sym_constinit] = ACTIONS(2502),
    [anon_sym_consteval] = ACTIONS(2502),
    [anon_sym_alignas] = ACTIONS(2502),
    [anon_sym__Alignas] = ACTIONS(2502),
    [sym_primitive_type] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_struct] = ACTIONS(2502),
    [anon_sym_union] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym_default] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_goto] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2502),
    [anon_sym___leave] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2502),
    [anon_sym_compl] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(2502),
    [anon_sym___alignof] = ACTIONS(2502),
    [anon_sym__alignof] = ACTIONS(2502),
    [anon_sym_alignof] = ACTIONS(2502),
    [anon_sym__Alignof] = ACTIONS(2502),
    [anon_sym_offsetof] = ACTIONS(2502),
    [anon_sym__Generic] = ACTIONS(2502),
    [anon_sym_asm] = ACTIONS(2502),
    [anon_sym___asm__] = ACTIONS(2502),
    [anon_sym___asm] = ACTIONS(2502),
    [sym_number_literal] = ACTIONS(2504),
    [anon_sym_L_SQUOTE] = ACTIONS(2504),
    [anon_sym_u_SQUOTE] = ACTIONS(2504),
    [anon_sym_U_SQUOTE] = ACTIONS(2504),
    [anon_sym_u8_SQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_L_DQUOTE] = ACTIONS(2504),
    [anon_sym_u_DQUOTE] = ACTIONS(2504),
    [anon_sym_U_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8_DQUOTE] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [anon_sym_NULL] = ACTIONS(2502),
    [anon_sym_nullptr] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2502),
    [anon_sym_decltype] = ACTIONS(2502),
    [anon_sym_explicit] = ACTIONS(2502),
    [anon_sym_typename] = ACTIONS(2502),
    [anon_sym_template] = ACTIONS(2502),
    [anon_sym_operator] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_namespace] = ACTIONS(2502),
    [anon_sym_using] = ACTIONS(2502),
    [anon_sym_static_assert] = ACTIONS(2502),
    [anon_sym_concept] = ACTIONS(2502),
    [anon_sym_co_return] = ACTIONS(2502),
    [anon_sym_co_yield] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2504),
    [anon_sym_LR_DQUOTE] = ACTIONS(2504),
    [anon_sym_uR_DQUOTE] = ACTIONS(2504),
    [anon_sym_UR_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2504),
    [anon_sym_co_await] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_requires] = ACTIONS(2502),
    [sym_this] = ACTIONS(2502),
    [anon_sym_discard] = ACTIONS(2502),
    [anon_sym_precise] = ACTIONS(2502),
    [anon_sym_shared] = ACTIONS(2502),
    [anon_sym_groupshared] = ACTIONS(2502),
    [anon_sym_uniform] = ACTIONS(2502),
    [anon_sym_row_major] = ACTIONS(2502),
    [anon_sym_column_major] = ACTIONS(2502),
    [anon_sym_globallycoherent] = ACTIONS(2502),
    [anon_sym_centroid] = ACTIONS(2502),
    [anon_sym_noperspective] = ACTIONS(2502),
    [anon_sym_nointerpolation] = ACTIONS(2502),
    [anon_sym_sample] = ACTIONS(2502),
    [anon_sym_linear] = ACTIONS(2502),
    [anon_sym_snorm] = ACTIONS(2502),
    [anon_sym_unorm] = ACTIONS(2502),
    [anon_sym_point] = ACTIONS(2502),
    [anon_sym_line] = ACTIONS(2502),
    [anon_sym_triangleadj] = ACTIONS(2502),
    [anon_sym_lineadj] = ACTIONS(2502),
    [anon_sym_triangle] = ACTIONS(2502),
    [anon_sym_cbuffer] = ACTIONS(2502),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_include_token1] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token2] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [aux_sym_preproc_else_token1] = ACTIONS(2506),
    [aux_sym_preproc_elif_token1] = ACTIONS(2506),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_in] = ACTIONS(2506),
    [anon_sym_out] = ACTIONS(2506),
    [anon_sym_inout] = ACTIONS(2506),
    [anon_sym_virtual] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym___cdecl] = ACTIONS(2506),
    [anon_sym___clrcall] = ACTIONS(2506),
    [anon_sym___stdcall] = ACTIONS(2506),
    [anon_sym___fastcall] = ACTIONS(2506),
    [anon_sym___thiscall] = ACTIONS(2506),
    [anon_sym___vectorcall] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym__Nonnull] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_goto] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2506),
    [anon_sym___leave] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2506),
    [anon_sym_compl] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2508),
    [anon_sym_sizeof] = ACTIONS(2506),
    [anon_sym___alignof__] = ACTIONS(2506),
    [anon_sym___alignof] = ACTIONS(2506),
    [anon_sym__alignof] = ACTIONS(2506),
    [anon_sym_alignof] = ACTIONS(2506),
    [anon_sym__Alignof] = ACTIONS(2506),
    [anon_sym_offsetof] = ACTIONS(2506),
    [anon_sym__Generic] = ACTIONS(2506),
    [anon_sym_asm] = ACTIONS(2506),
    [anon_sym___asm__] = ACTIONS(2506),
    [anon_sym___asm] = ACTIONS(2506),
    [sym_number_literal] = ACTIONS(2508),
    [anon_sym_L_SQUOTE] = ACTIONS(2508),
    [anon_sym_u_SQUOTE] = ACTIONS(2508),
    [anon_sym_U_SQUOTE] = ACTIONS(2508),
    [anon_sym_u8_SQUOTE] = ACTIONS(2508),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_L_DQUOTE] = ACTIONS(2508),
    [anon_sym_u_DQUOTE] = ACTIONS(2508),
    [anon_sym_U_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8_DQUOTE] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [anon_sym_NULL] = ACTIONS(2506),
    [anon_sym_nullptr] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_namespace] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_concept] = ACTIONS(2506),
    [anon_sym_co_return] = ACTIONS(2506),
    [anon_sym_co_yield] = ACTIONS(2506),
    [anon_sym_R_DQUOTE] = ACTIONS(2508),
    [anon_sym_LR_DQUOTE] = ACTIONS(2508),
    [anon_sym_uR_DQUOTE] = ACTIONS(2508),
    [anon_sym_UR_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2508),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_requires] = ACTIONS(2506),
    [sym_this] = ACTIONS(2506),
    [anon_sym_discard] = ACTIONS(2506),
    [anon_sym_precise] = ACTIONS(2506),
    [anon_sym_shared] = ACTIONS(2506),
    [anon_sym_groupshared] = ACTIONS(2506),
    [anon_sym_uniform] = ACTIONS(2506),
    [anon_sym_row_major] = ACTIONS(2506),
    [anon_sym_column_major] = ACTIONS(2506),
    [anon_sym_globallycoherent] = ACTIONS(2506),
    [anon_sym_centroid] = ACTIONS(2506),
    [anon_sym_noperspective] = ACTIONS(2506),
    [anon_sym_nointerpolation] = ACTIONS(2506),
    [anon_sym_sample] = ACTIONS(2506),
    [anon_sym_linear] = ACTIONS(2506),
    [anon_sym_snorm] = ACTIONS(2506),
    [anon_sym_unorm] = ACTIONS(2506),
    [anon_sym_point] = ACTIONS(2506),
    [anon_sym_line] = ACTIONS(2506),
    [anon_sym_triangleadj] = ACTIONS(2506),
    [anon_sym_lineadj] = ACTIONS(2506),
    [anon_sym_triangle] = ACTIONS(2506),
    [anon_sym_cbuffer] = ACTIONS(2506),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2510),
    [aux_sym_preproc_include_token1] = ACTIONS(2510),
    [aux_sym_preproc_def_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token2] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2510),
    [aux_sym_preproc_else_token1] = ACTIONS(2510),
    [aux_sym_preproc_elif_token1] = ACTIONS(2510),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2510),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2510),
    [sym_preproc_directive] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_PLUS] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2510),
    [anon_sym_typedef] = ACTIONS(2510),
    [anon_sym_in] = ACTIONS(2510),
    [anon_sym_out] = ACTIONS(2510),
    [anon_sym_inout] = ACTIONS(2510),
    [anon_sym_virtual] = ACTIONS(2510),
    [anon_sym_extern] = ACTIONS(2510),
    [anon_sym___attribute__] = ACTIONS(2510),
    [anon_sym_COLON_COLON] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2512),
    [anon_sym___declspec] = ACTIONS(2510),
    [anon_sym___based] = ACTIONS(2510),
    [anon_sym___cdecl] = ACTIONS(2510),
    [anon_sym___clrcall] = ACTIONS(2510),
    [anon_sym___stdcall] = ACTIONS(2510),
    [anon_sym___fastcall] = ACTIONS(2510),
    [anon_sym___thiscall] = ACTIONS(2510),
    [anon_sym___vectorcall] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2510),
    [anon_sym_unsigned] = ACTIONS(2510),
    [anon_sym_long] = ACTIONS(2510),
    [anon_sym_short] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_static] = ACTIONS(2510),
    [anon_sym_register] = ACTIONS(2510),
    [anon_sym_inline] = ACTIONS(2510),
    [anon_sym___inline] = ACTIONS(2510),
    [anon_sym___inline__] = ACTIONS(2510),
    [anon_sym___forceinline] = ACTIONS(2510),
    [anon_sym_thread_local] = ACTIONS(2510),
    [anon_sym___thread] = ACTIONS(2510),
    [anon_sym_const] = ACTIONS(2510),
    [anon_sym_constexpr] = ACTIONS(2510),
    [anon_sym_volatile] = ACTIONS(2510),
    [anon_sym_restrict] = ACTIONS(2510),
    [anon_sym___restrict__] = ACTIONS(2510),
    [anon_sym__Atomic] = ACTIONS(2510),
    [anon_sym__Noreturn] = ACTIONS(2510),
    [anon_sym_noreturn] = ACTIONS(2510),
    [anon_sym__Nonnull] = ACTIONS(2510),
    [anon_sym_mutable] = ACTIONS(2510),
    [anon_sym_constinit] = ACTIONS(2510),
    [anon_sym_consteval] = ACTIONS(2510),
    [anon_sym_alignas] = ACTIONS(2510),
    [anon_sym__Alignas] = ACTIONS(2510),
    [sym_primitive_type] = ACTIONS(2510),
    [anon_sym_enum] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_struct] = ACTIONS(2510),
    [anon_sym_union] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_switch] = ACTIONS(2510),
    [anon_sym_case] = ACTIONS(2510),
    [anon_sym_default] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_do] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2510),
    [anon_sym_return] = ACTIONS(2510),
    [anon_sym_break] = ACTIONS(2510),
    [anon_sym_continue] = ACTIONS(2510),
    [anon_sym_goto] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2510),
    [anon_sym___leave] = ACTIONS(2510),
    [anon_sym_not] = ACTIONS(2510),
    [anon_sym_compl] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_sizeof] = ACTIONS(2510),
    [anon_sym___alignof__] = ACTIONS(2510),
    [anon_sym___alignof] = ACTIONS(2510),
    [anon_sym__alignof] = ACTIONS(2510),
    [anon_sym_alignof] = ACTIONS(2510),
    [anon_sym__Alignof] = ACTIONS(2510),
    [anon_sym_offsetof] = ACTIONS(2510),
    [anon_sym__Generic] = ACTIONS(2510),
    [anon_sym_asm] = ACTIONS(2510),
    [anon_sym___asm__] = ACTIONS(2510),
    [anon_sym___asm] = ACTIONS(2510),
    [sym_number_literal] = ACTIONS(2512),
    [anon_sym_L_SQUOTE] = ACTIONS(2512),
    [anon_sym_u_SQUOTE] = ACTIONS(2512),
    [anon_sym_U_SQUOTE] = ACTIONS(2512),
    [anon_sym_u8_SQUOTE] = ACTIONS(2512),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_L_DQUOTE] = ACTIONS(2512),
    [anon_sym_u_DQUOTE] = ACTIONS(2512),
    [anon_sym_U_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8_DQUOTE] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [sym_true] = ACTIONS(2510),
    [sym_false] = ACTIONS(2510),
    [anon_sym_NULL] = ACTIONS(2510),
    [anon_sym_nullptr] = ACTIONS(2510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2510),
    [anon_sym_decltype] = ACTIONS(2510),
    [anon_sym_explicit] = ACTIONS(2510),
    [anon_sym_typename] = ACTIONS(2510),
    [anon_sym_template] = ACTIONS(2510),
    [anon_sym_operator] = ACTIONS(2510),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2510),
    [anon_sym_throw] = ACTIONS(2510),
    [anon_sym_namespace] = ACTIONS(2510),
    [anon_sym_using] = ACTIONS(2510),
    [anon_sym_static_assert] = ACTIONS(2510),
    [anon_sym_concept] = ACTIONS(2510),
    [anon_sym_co_return] = ACTIONS(2510),
    [anon_sym_co_yield] = ACTIONS(2510),
    [anon_sym_R_DQUOTE] = ACTIONS(2512),
    [anon_sym_LR_DQUOTE] = ACTIONS(2512),
    [anon_sym_uR_DQUOTE] = ACTIONS(2512),
    [anon_sym_UR_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2512),
    [anon_sym_co_await] = ACTIONS(2510),
    [anon_sym_new] = ACTIONS(2510),
    [anon_sym_requires] = ACTIONS(2510),
    [sym_this] = ACTIONS(2510),
    [anon_sym_discard] = ACTIONS(2510),
    [anon_sym_precise] = ACTIONS(2510),
    [anon_sym_shared] = ACTIONS(2510),
    [anon_sym_groupshared] = ACTIONS(2510),
    [anon_sym_uniform] = ACTIONS(2510),
    [anon_sym_row_major] = ACTIONS(2510),
    [anon_sym_column_major] = ACTIONS(2510),
    [anon_sym_globallycoherent] = ACTIONS(2510),
    [anon_sym_centroid] = ACTIONS(2510),
    [anon_sym_noperspective] = ACTIONS(2510),
    [anon_sym_nointerpolation] = ACTIONS(2510),
    [anon_sym_sample] = ACTIONS(2510),
    [anon_sym_linear] = ACTIONS(2510),
    [anon_sym_snorm] = ACTIONS(2510),
    [anon_sym_unorm] = ACTIONS(2510),
    [anon_sym_point] = ACTIONS(2510),
    [anon_sym_line] = ACTIONS(2510),
    [anon_sym_triangleadj] = ACTIONS(2510),
    [anon_sym_lineadj] = ACTIONS(2510),
    [anon_sym_triangle] = ACTIONS(2510),
    [anon_sym_cbuffer] = ACTIONS(2510),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [aux_sym_preproc_else_token1] = ACTIONS(2514),
    [aux_sym_preproc_elif_token1] = ACTIONS(2514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [anon_sym___asm] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
    [anon_sym_discard] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
    [anon_sym_cbuffer] = ACTIONS(2514),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [aux_sym_preproc_else_token1] = ACTIONS(2518),
    [aux_sym_preproc_elif_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [anon_sym___asm] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
    [anon_sym_discard] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
    [anon_sym_cbuffer] = ACTIONS(2518),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [aux_sym_preproc_else_token1] = ACTIONS(2518),
    [aux_sym_preproc_elif_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [anon_sym___asm] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
    [anon_sym_discard] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
    [anon_sym_cbuffer] = ACTIONS(2518),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_include_token1] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token2] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [aux_sym_preproc_else_token1] = ACTIONS(2526),
    [aux_sym_preproc_elif_token1] = ACTIONS(2526),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_in] = ACTIONS(2526),
    [anon_sym_out] = ACTIONS(2526),
    [anon_sym_inout] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym___cdecl] = ACTIONS(2526),
    [anon_sym___clrcall] = ACTIONS(2526),
    [anon_sym___stdcall] = ACTIONS(2526),
    [anon_sym___fastcall] = ACTIONS(2526),
    [anon_sym___thiscall] = ACTIONS(2526),
    [anon_sym___vectorcall] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym__Nonnull] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2526),
    [anon_sym_case] = ACTIONS(2526),
    [anon_sym_default] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_break] = ACTIONS(2526),
    [anon_sym_continue] = ACTIONS(2526),
    [anon_sym_goto] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2526),
    [anon_sym___leave] = ACTIONS(2526),
    [anon_sym_not] = ACTIONS(2526),
    [anon_sym_compl] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_sizeof] = ACTIONS(2526),
    [anon_sym___alignof__] = ACTIONS(2526),
    [anon_sym___alignof] = ACTIONS(2526),
    [anon_sym__alignof] = ACTIONS(2526),
    [anon_sym_alignof] = ACTIONS(2526),
    [anon_sym__Alignof] = ACTIONS(2526),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2526),
    [anon_sym_asm] = ACTIONS(2526),
    [anon_sym___asm__] = ACTIONS(2526),
    [anon_sym___asm] = ACTIONS(2526),
    [sym_number_literal] = ACTIONS(2528),
    [anon_sym_L_SQUOTE] = ACTIONS(2528),
    [anon_sym_u_SQUOTE] = ACTIONS(2528),
    [anon_sym_U_SQUOTE] = ACTIONS(2528),
    [anon_sym_u8_SQUOTE] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_L_DQUOTE] = ACTIONS(2528),
    [anon_sym_u_DQUOTE] = ACTIONS(2528),
    [anon_sym_U_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2528),
    [sym_true] = ACTIONS(2526),
    [sym_false] = ACTIONS(2526),
    [anon_sym_NULL] = ACTIONS(2526),
    [anon_sym_nullptr] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_delete] = ACTIONS(2526),
    [anon_sym_throw] = ACTIONS(2526),
    [anon_sym_namespace] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_concept] = ACTIONS(2526),
    [anon_sym_co_return] = ACTIONS(2526),
    [anon_sym_co_yield] = ACTIONS(2526),
    [anon_sym_R_DQUOTE] = ACTIONS(2528),
    [anon_sym_LR_DQUOTE] = ACTIONS(2528),
    [anon_sym_uR_DQUOTE] = ACTIONS(2528),
    [anon_sym_UR_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2528),
    [anon_sym_co_await] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_requires] = ACTIONS(2526),
    [sym_this] = ACTIONS(2526),
    [anon_sym_discard] = ACTIONS(2526),
    [anon_sym_precise] = ACTIONS(2526),
    [anon_sym_shared] = ACTIONS(2526),
    [anon_sym_groupshared] = ACTIONS(2526),
    [anon_sym_uniform] = ACTIONS(2526),
    [anon_sym_row_major] = ACTIONS(2526),
    [anon_sym_column_major] = ACTIONS(2526),
    [anon_sym_globallycoherent] = ACTIONS(2526),
    [anon_sym_centroid] = ACTIONS(2526),
    [anon_sym_noperspective] = ACTIONS(2526),
    [anon_sym_nointerpolation] = ACTIONS(2526),
    [anon_sym_sample] = ACTIONS(2526),
    [anon_sym_linear] = ACTIONS(2526),
    [anon_sym_snorm] = ACTIONS(2526),
    [anon_sym_unorm] = ACTIONS(2526),
    [anon_sym_point] = ACTIONS(2526),
    [anon_sym_line] = ACTIONS(2526),
    [anon_sym_triangleadj] = ACTIONS(2526),
    [anon_sym_lineadj] = ACTIONS(2526),
    [anon_sym_triangle] = ACTIONS(2526),
    [anon_sym_cbuffer] = ACTIONS(2526),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_include_token1] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token2] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [aux_sym_preproc_else_token1] = ACTIONS(2530),
    [aux_sym_preproc_elif_token1] = ACTIONS(2530),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_in] = ACTIONS(2530),
    [anon_sym_out] = ACTIONS(2530),
    [anon_sym_inout] = ACTIONS(2530),
    [anon_sym_virtual] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym___cdecl] = ACTIONS(2530),
    [anon_sym___clrcall] = ACTIONS(2530),
    [anon_sym___stdcall] = ACTIONS(2530),
    [anon_sym___fastcall] = ACTIONS(2530),
    [anon_sym___thiscall] = ACTIONS(2530),
    [anon_sym___vectorcall] = ACTIONS(2530),
    [anon_sym_LBRACE] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym__Nonnull] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_switch] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2530),
    [anon_sym_default] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_do] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2530),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_goto] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2530),
    [anon_sym___leave] = ACTIONS(2530),
    [anon_sym_not] = ACTIONS(2530),
    [anon_sym_compl] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_sizeof] = ACTIONS(2530),
    [anon_sym___alignof__] = ACTIONS(2530),
    [anon_sym___alignof] = ACTIONS(2530),
    [anon_sym__alignof] = ACTIONS(2530),
    [anon_sym_alignof] = ACTIONS(2530),
    [anon_sym__Alignof] = ACTIONS(2530),
    [anon_sym_offsetof] = ACTIONS(2530),
    [anon_sym__Generic] = ACTIONS(2530),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [sym_number_literal] = ACTIONS(2532),
    [anon_sym_L_SQUOTE] = ACTIONS(2532),
    [anon_sym_u_SQUOTE] = ACTIONS(2532),
    [anon_sym_U_SQUOTE] = ACTIONS(2532),
    [anon_sym_u8_SQUOTE] = ACTIONS(2532),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [anon_sym_L_DQUOTE] = ACTIONS(2532),
    [anon_sym_u_DQUOTE] = ACTIONS(2532),
    [anon_sym_U_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8_DQUOTE] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [sym_true] = ACTIONS(2530),
    [sym_false] = ACTIONS(2530),
    [anon_sym_NULL] = ACTIONS(2530),
    [anon_sym_nullptr] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_try] = ACTIONS(2530),
    [anon_sym_delete] = ACTIONS(2530),
    [anon_sym_throw] = ACTIONS(2530),
    [anon_sym_namespace] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_concept] = ACTIONS(2530),
    [anon_sym_co_return] = ACTIONS(2530),
    [anon_sym_co_yield] = ACTIONS(2530),
    [anon_sym_R_DQUOTE] = ACTIONS(2532),
    [anon_sym_LR_DQUOTE] = ACTIONS(2532),
    [anon_sym_uR_DQUOTE] = ACTIONS(2532),
    [anon_sym_UR_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2532),
    [anon_sym_co_await] = ACTIONS(2530),
    [anon_sym_new] = ACTIONS(2530),
    [anon_sym_requires] = ACTIONS(2530),
    [sym_this] = ACTIONS(2530),
    [anon_sym_discard] = ACTIONS(2530),
    [anon_sym_precise] = ACTIONS(2530),
    [anon_sym_shared] = ACTIONS(2530),
    [anon_sym_groupshared] = ACTIONS(2530),
    [anon_sym_uniform] = ACTIONS(2530),
    [anon_sym_row_major] = ACTIONS(2530),
    [anon_sym_column_major] = ACTIONS(2530),
    [anon_sym_globallycoherent] = ACTIONS(2530),
    [anon_sym_centroid] = ACTIONS(2530),
    [anon_sym_noperspective] = ACTIONS(2530),
    [anon_sym_nointerpolation] = ACTIONS(2530),
    [anon_sym_sample] = ACTIONS(2530),
    [anon_sym_linear] = ACTIONS(2530),
    [anon_sym_snorm] = ACTIONS(2530),
    [anon_sym_unorm] = ACTIONS(2530),
    [anon_sym_point] = ACTIONS(2530),
    [anon_sym_line] = ACTIONS(2530),
    [anon_sym_triangleadj] = ACTIONS(2530),
    [anon_sym_lineadj] = ACTIONS(2530),
    [anon_sym_triangle] = ACTIONS(2530),
    [anon_sym_cbuffer] = ACTIONS(2530),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_include_token1] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token2] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [aux_sym_preproc_else_token1] = ACTIONS(2534),
    [aux_sym_preproc_elif_token1] = ACTIONS(2534),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2534),
    [anon_sym_out] = ACTIONS(2534),
    [anon_sym_inout] = ACTIONS(2534),
    [anon_sym_virtual] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym___cdecl] = ACTIONS(2534),
    [anon_sym___clrcall] = ACTIONS(2534),
    [anon_sym___stdcall] = ACTIONS(2534),
    [anon_sym___fastcall] = ACTIONS(2534),
    [anon_sym___thiscall] = ACTIONS(2534),
    [anon_sym___vectorcall] = ACTIONS(2534),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym__Nonnull] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_switch] = ACTIONS(2534),
    [anon_sym_case] = ACTIONS(2534),
    [anon_sym_default] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_do] = ACTIONS(2534),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_break] = ACTIONS(2534),
    [anon_sym_continue] = ACTIONS(2534),
    [anon_sym_goto] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2534),
    [anon_sym___leave] = ACTIONS(2534),
    [anon_sym_not] = ACTIONS(2534),
    [anon_sym_compl] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_sizeof] = ACTIONS(2534),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2534),
    [anon_sym__Generic] = ACTIONS(2534),
    [anon_sym_asm] = ACTIONS(2534),
    [anon_sym___asm__] = ACTIONS(2534),
    [anon_sym___asm] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2536),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2536),
    [anon_sym_u_DQUOTE] = ACTIONS(2536),
    [anon_sym_U_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8_DQUOTE] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [anon_sym_NULL] = ACTIONS(2534),
    [anon_sym_nullptr] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_try] = ACTIONS(2534),
    [anon_sym_delete] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2534),
    [anon_sym_namespace] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_concept] = ACTIONS(2534),
    [anon_sym_co_return] = ACTIONS(2534),
    [anon_sym_co_yield] = ACTIONS(2534),
    [anon_sym_R_DQUOTE] = ACTIONS(2536),
    [anon_sym_LR_DQUOTE] = ACTIONS(2536),
    [anon_sym_uR_DQUOTE] = ACTIONS(2536),
    [anon_sym_UR_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2536),
    [anon_sym_co_await] = ACTIONS(2534),
    [anon_sym_new] = ACTIONS(2534),
    [anon_sym_requires] = ACTIONS(2534),
    [sym_this] = ACTIONS(2534),
    [anon_sym_discard] = ACTIONS(2534),
    [anon_sym_precise] = ACTIONS(2534),
    [anon_sym_shared] = ACTIONS(2534),
    [anon_sym_groupshared] = ACTIONS(2534),
    [anon_sym_uniform] = ACTIONS(2534),
    [anon_sym_row_major] = ACTIONS(2534),
    [anon_sym_column_major] = ACTIONS(2534),
    [anon_sym_globallycoherent] = ACTIONS(2534),
    [anon_sym_centroid] = ACTIONS(2534),
    [anon_sym_noperspective] = ACTIONS(2534),
    [anon_sym_nointerpolation] = ACTIONS(2534),
    [anon_sym_sample] = ACTIONS(2534),
    [anon_sym_linear] = ACTIONS(2534),
    [anon_sym_snorm] = ACTIONS(2534),
    [anon_sym_unorm] = ACTIONS(2534),
    [anon_sym_point] = ACTIONS(2534),
    [anon_sym_line] = ACTIONS(2534),
    [anon_sym_triangleadj] = ACTIONS(2534),
    [anon_sym_lineadj] = ACTIONS(2534),
    [anon_sym_triangle] = ACTIONS(2534),
    [anon_sym_cbuffer] = ACTIONS(2534),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_include_token1] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token2] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [aux_sym_preproc_else_token1] = ACTIONS(2538),
    [aux_sym_preproc_elif_token1] = ACTIONS(2538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_in] = ACTIONS(2538),
    [anon_sym_out] = ACTIONS(2538),
    [anon_sym_inout] = ACTIONS(2538),
    [anon_sym_virtual] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym___cdecl] = ACTIONS(2538),
    [anon_sym___clrcall] = ACTIONS(2538),
    [anon_sym___stdcall] = ACTIONS(2538),
    [anon_sym___fastcall] = ACTIONS(2538),
    [anon_sym___thiscall] = ACTIONS(2538),
    [anon_sym___vectorcall] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym__Nonnull] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_switch] = ACTIONS(2538),
    [anon_sym_case] = ACTIONS(2538),
    [anon_sym_default] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_do] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2538),
    [anon_sym_return] = ACTIONS(2538),
    [anon_sym_break] = ACTIONS(2538),
    [anon_sym_continue] = ACTIONS(2538),
    [anon_sym_goto] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2538),
    [anon_sym___leave] = ACTIONS(2538),
    [anon_sym_not] = ACTIONS(2538),
    [anon_sym_compl] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2540),
    [anon_sym_sizeof] = ACTIONS(2538),
    [anon_sym___alignof__] = ACTIONS(2538),
    [anon_sym___alignof] = ACTIONS(2538),
    [anon_sym__alignof] = ACTIONS(2538),
    [anon_sym_alignof] = ACTIONS(2538),
    [anon_sym__Alignof] = ACTIONS(2538),
    [anon_sym_offsetof] = ACTIONS(2538),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2538),
    [anon_sym___asm__] = ACTIONS(2538),
    [anon_sym___asm] = ACTIONS(2538),
    [sym_number_literal] = ACTIONS(2540),
    [anon_sym_L_SQUOTE] = ACTIONS(2540),
    [anon_sym_u_SQUOTE] = ACTIONS(2540),
    [anon_sym_U_SQUOTE] = ACTIONS(2540),
    [anon_sym_u8_SQUOTE] = ACTIONS(2540),
    [anon_sym_SQUOTE] = ACTIONS(2540),
    [anon_sym_L_DQUOTE] = ACTIONS(2540),
    [anon_sym_u_DQUOTE] = ACTIONS(2540),
    [anon_sym_U_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8_DQUOTE] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2540),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [anon_sym_NULL] = ACTIONS(2538),
    [anon_sym_nullptr] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_try] = ACTIONS(2538),
    [anon_sym_delete] = ACTIONS(2538),
    [anon_sym_throw] = ACTIONS(2538),
    [anon_sym_namespace] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_concept] = ACTIONS(2538),
    [anon_sym_co_return] = ACTIONS(2538),
    [anon_sym_co_yield] = ACTIONS(2538),
    [anon_sym_R_DQUOTE] = ACTIONS(2540),
    [anon_sym_LR_DQUOTE] = ACTIONS(2540),
    [anon_sym_uR_DQUOTE] = ACTIONS(2540),
    [anon_sym_UR_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2540),
    [anon_sym_co_await] = ACTIONS(2538),
    [anon_sym_new] = ACTIONS(2538),
    [anon_sym_requires] = ACTIONS(2538),
    [sym_this] = ACTIONS(2538),
    [anon_sym_discard] = ACTIONS(2538),
    [anon_sym_precise] = ACTIONS(2538),
    [anon_sym_shared] = ACTIONS(2538),
    [anon_sym_groupshared] = ACTIONS(2538),
    [anon_sym_uniform] = ACTIONS(2538),
    [anon_sym_row_major] = ACTIONS(2538),
    [anon_sym_column_major] = ACTIONS(2538),
    [anon_sym_globallycoherent] = ACTIONS(2538),
    [anon_sym_centroid] = ACTIONS(2538),
    [anon_sym_noperspective] = ACTIONS(2538),
    [anon_sym_nointerpolation] = ACTIONS(2538),
    [anon_sym_sample] = ACTIONS(2538),
    [anon_sym_linear] = ACTIONS(2538),
    [anon_sym_snorm] = ACTIONS(2538),
    [anon_sym_unorm] = ACTIONS(2538),
    [anon_sym_point] = ACTIONS(2538),
    [anon_sym_line] = ACTIONS(2538),
    [anon_sym_triangleadj] = ACTIONS(2538),
    [anon_sym_lineadj] = ACTIONS(2538),
    [anon_sym_triangle] = ACTIONS(2538),
    [anon_sym_cbuffer] = ACTIONS(2538),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2542),
    [aux_sym_preproc_include_token1] = ACTIONS(2542),
    [aux_sym_preproc_def_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token2] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2542),
    [aux_sym_preproc_else_token1] = ACTIONS(2542),
    [aux_sym_preproc_elif_token1] = ACTIONS(2542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2542),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2542),
    [sym_preproc_directive] = ACTIONS(2542),
    [anon_sym_LPAREN2] = ACTIONS(2544),
    [anon_sym_BANG] = ACTIONS(2544),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2542),
    [anon_sym_STAR] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2544),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2542),
    [anon_sym_typedef] = ACTIONS(2542),
    [anon_sym_in] = ACTIONS(2542),
    [anon_sym_out] = ACTIONS(2542),
    [anon_sym_inout] = ACTIONS(2542),
    [anon_sym_virtual] = ACTIONS(2542),
    [anon_sym_extern] = ACTIONS(2542),
    [anon_sym___attribute__] = ACTIONS(2542),
    [anon_sym_COLON_COLON] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2544),
    [anon_sym___declspec] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(2542),
    [anon_sym___cdecl] = ACTIONS(2542),
    [anon_sym___clrcall] = ACTIONS(2542),
    [anon_sym___stdcall] = ACTIONS(2542),
    [anon_sym___fastcall] = ACTIONS(2542),
    [anon_sym___thiscall] = ACTIONS(2542),
    [anon_sym___vectorcall] = ACTIONS(2542),
    [anon_sym_LBRACE] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2542),
    [anon_sym_unsigned] = ACTIONS(2542),
    [anon_sym_long] = ACTIONS(2542),
    [anon_sym_short] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_static] = ACTIONS(2542),
    [anon_sym_register] = ACTIONS(2542),
    [anon_sym_inline] = ACTIONS(2542),
    [anon_sym___inline] = ACTIONS(2542),
    [anon_sym___inline__] = ACTIONS(2542),
    [anon_sym___forceinline] = ACTIONS(2542),
    [anon_sym_thread_local] = ACTIONS(2542),
    [anon_sym___thread] = ACTIONS(2542),
    [anon_sym_const] = ACTIONS(2542),
    [anon_sym_constexpr] = ACTIONS(2542),
    [anon_sym_volatile] = ACTIONS(2542),
    [anon_sym_restrict] = ACTIONS(2542),
    [anon_sym___restrict__] = ACTIONS(2542),
    [anon_sym__Atomic] = ACTIONS(2542),
    [anon_sym__Noreturn] = ACTIONS(2542),
    [anon_sym_noreturn] = ACTIONS(2542),
    [anon_sym__Nonnull] = ACTIONS(2542),
    [anon_sym_mutable] = ACTIONS(2542),
    [anon_sym_constinit] = ACTIONS(2542),
    [anon_sym_consteval] = ACTIONS(2542),
    [anon_sym_alignas] = ACTIONS(2542),
    [anon_sym__Alignas] = ACTIONS(2542),
    [sym_primitive_type] = ACTIONS(2542),
    [anon_sym_enum] = ACTIONS(2542),
    [anon_sym_class] = ACTIONS(2542),
    [anon_sym_struct] = ACTIONS(2542),
    [anon_sym_union] = ACTIONS(2542),
    [anon_sym_if] = ACTIONS(2542),
    [anon_sym_switch] = ACTIONS(2542),
    [anon_sym_case] = ACTIONS(2542),
    [anon_sym_default] = ACTIONS(2542),
    [anon_sym_while] = ACTIONS(2542),
    [anon_sym_do] = ACTIONS(2542),
    [anon_sym_for] = ACTIONS(2542),
    [anon_sym_return] = ACTIONS(2542),
    [anon_sym_break] = ACTIONS(2542),
    [anon_sym_continue] = ACTIONS(2542),
    [anon_sym_goto] = ACTIONS(2542),
    [anon_sym___try] = ACTIONS(2542),
    [anon_sym___leave] = ACTIONS(2542),
    [anon_sym_not] = ACTIONS(2542),
    [anon_sym_compl] = ACTIONS(2542),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_sizeof] = ACTIONS(2542),
    [anon_sym___alignof__] = ACTIONS(2542),
    [anon_sym___alignof] = ACTIONS(2542),
    [anon_sym__alignof] = ACTIONS(2542),
    [anon_sym_alignof] = ACTIONS(2542),
    [anon_sym__Alignof] = ACTIONS(2542),
    [anon_sym_offsetof] = ACTIONS(2542),
    [anon_sym__Generic] = ACTIONS(2542),
    [anon_sym_asm] = ACTIONS(2542),
    [anon_sym___asm__] = ACTIONS(2542),
    [anon_sym___asm] = ACTIONS(2542),
    [sym_number_literal] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2544),
    [anon_sym_u_SQUOTE] = ACTIONS(2544),
    [anon_sym_U_SQUOTE] = ACTIONS(2544),
    [anon_sym_u8_SQUOTE] = ACTIONS(2544),
    [anon_sym_SQUOTE] = ACTIONS(2544),
    [anon_sym_L_DQUOTE] = ACTIONS(2544),
    [anon_sym_u_DQUOTE] = ACTIONS(2544),
    [anon_sym_U_DQUOTE] = ACTIONS(2544),
    [anon_sym_u8_DQUOTE] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2544),
    [sym_true] = ACTIONS(2542),
    [sym_false] = ACTIONS(2542),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2542),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2542),
    [anon_sym_try] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(2542),
    [anon_sym_throw] = ACTIONS(2542),
    [anon_sym_namespace] = ACTIONS(2542),
    [anon_sym_using] = ACTIONS(2542),
    [anon_sym_static_assert] = ACTIONS(2542),
    [anon_sym_concept] = ACTIONS(2542),
    [anon_sym_co_return] = ACTIONS(2542),
    [anon_sym_co_yield] = ACTIONS(2542),
    [anon_sym_R_DQUOTE] = ACTIONS(2544),
    [anon_sym_LR_DQUOTE] = ACTIONS(2544),
    [anon_sym_uR_DQUOTE] = ACTIONS(2544),
    [anon_sym_UR_DQUOTE] = ACTIONS(2544),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2544),
    [anon_sym_co_await] = ACTIONS(2542),
    [anon_sym_new] = ACTIONS(2542),
    [anon_sym_requires] = ACTIONS(2542),
    [sym_this] = ACTIONS(2542),
    [anon_sym_discard] = ACTIONS(2542),
    [anon_sym_precise] = ACTIONS(2542),
    [anon_sym_shared] = ACTIONS(2542),
    [anon_sym_groupshared] = ACTIONS(2542),
    [anon_sym_uniform] = ACTIONS(2542),
    [anon_sym_row_major] = ACTIONS(2542),
    [anon_sym_column_major] = ACTIONS(2542),
    [anon_sym_globallycoherent] = ACTIONS(2542),
    [anon_sym_centroid] = ACTIONS(2542),
    [anon_sym_noperspective] = ACTIONS(2542),
    [anon_sym_nointerpolation] = ACTIONS(2542),
    [anon_sym_sample] = ACTIONS(2542),
    [anon_sym_linear] = ACTIONS(2542),
    [anon_sym_snorm] = ACTIONS(2542),
    [anon_sym_unorm] = ACTIONS(2542),
    [anon_sym_point] = ACTIONS(2542),
    [anon_sym_line] = ACTIONS(2542),
    [anon_sym_triangleadj] = ACTIONS(2542),
    [anon_sym_lineadj] = ACTIONS(2542),
    [anon_sym_triangle] = ACTIONS(2542),
    [anon_sym_cbuffer] = ACTIONS(2542),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2546),
    [aux_sym_preproc_include_token1] = ACTIONS(2546),
    [aux_sym_preproc_def_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token2] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2546),
    [aux_sym_preproc_else_token1] = ACTIONS(2546),
    [aux_sym_preproc_elif_token1] = ACTIONS(2546),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2546),
    [sym_preproc_directive] = ACTIONS(2546),
    [anon_sym_LPAREN2] = ACTIONS(2548),
    [anon_sym_BANG] = ACTIONS(2548),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2548),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2546),
    [anon_sym_typedef] = ACTIONS(2546),
    [anon_sym_in] = ACTIONS(2546),
    [anon_sym_out] = ACTIONS(2546),
    [anon_sym_inout] = ACTIONS(2546),
    [anon_sym_virtual] = ACTIONS(2546),
    [anon_sym_extern] = ACTIONS(2546),
    [anon_sym___attribute__] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2548),
    [anon_sym___declspec] = ACTIONS(2546),
    [anon_sym___based] = ACTIONS(2546),
    [anon_sym___cdecl] = ACTIONS(2546),
    [anon_sym___clrcall] = ACTIONS(2546),
    [anon_sym___stdcall] = ACTIONS(2546),
    [anon_sym___fastcall] = ACTIONS(2546),
    [anon_sym___thiscall] = ACTIONS(2546),
    [anon_sym___vectorcall] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_register] = ACTIONS(2546),
    [anon_sym_inline] = ACTIONS(2546),
    [anon_sym___inline] = ACTIONS(2546),
    [anon_sym___inline__] = ACTIONS(2546),
    [anon_sym___forceinline] = ACTIONS(2546),
    [anon_sym_thread_local] = ACTIONS(2546),
    [anon_sym___thread] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_constexpr] = ACTIONS(2546),
    [anon_sym_volatile] = ACTIONS(2546),
    [anon_sym_restrict] = ACTIONS(2546),
    [anon_sym___restrict__] = ACTIONS(2546),
    [anon_sym__Atomic] = ACTIONS(2546),
    [anon_sym__Noreturn] = ACTIONS(2546),
    [anon_sym_noreturn] = ACTIONS(2546),
    [anon_sym__Nonnull] = ACTIONS(2546),
    [anon_sym_mutable] = ACTIONS(2546),
    [anon_sym_constinit] = ACTIONS(2546),
    [anon_sym_consteval] = ACTIONS(2546),
    [anon_sym_alignas] = ACTIONS(2546),
    [anon_sym__Alignas] = ACTIONS(2546),
    [sym_primitive_type] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_struct] = ACTIONS(2546),
    [anon_sym_union] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_goto] = ACTIONS(2546),
    [anon_sym___try] = ACTIONS(2546),
    [anon_sym___leave] = ACTIONS(2546),
    [anon_sym_not] = ACTIONS(2546),
    [anon_sym_compl] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_sizeof] = ACTIONS(2546),
    [anon_sym___alignof__] = ACTIONS(2546),
    [anon_sym___alignof] = ACTIONS(2546),
    [anon_sym__alignof] = ACTIONS(2546),
    [anon_sym_alignof] = ACTIONS(2546),
    [anon_sym__Alignof] = ACTIONS(2546),
    [anon_sym_offsetof] = ACTIONS(2546),
    [anon_sym__Generic] = ACTIONS(2546),
    [anon_sym_asm] = ACTIONS(2546),
    [anon_sym___asm__] = ACTIONS(2546),
    [anon_sym___asm] = ACTIONS(2546),
    [sym_number_literal] = ACTIONS(2548),
    [anon_sym_L_SQUOTE] = ACTIONS(2548),
    [anon_sym_u_SQUOTE] = ACTIONS(2548),
    [anon_sym_U_SQUOTE] = ACTIONS(2548),
    [anon_sym_u8_SQUOTE] = ACTIONS(2548),
    [anon_sym_SQUOTE] = ACTIONS(2548),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [anon_sym_NULL] = ACTIONS(2546),
    [anon_sym_nullptr] = ACTIONS(2546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2546),
    [anon_sym_decltype] = ACTIONS(2546),
    [anon_sym_explicit] = ACTIONS(2546),
    [anon_sym_typename] = ACTIONS(2546),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_static_assert] = ACTIONS(2546),
    [anon_sym_concept] = ACTIONS(2546),
    [anon_sym_co_return] = ACTIONS(2546),
    [anon_sym_co_yield] = ACTIONS(2546),
    [anon_sym_R_DQUOTE] = ACTIONS(2548),
    [anon_sym_LR_DQUOTE] = ACTIONS(2548),
    [anon_sym_uR_DQUOTE] = ACTIONS(2548),
    [anon_sym_UR_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2548),
    [anon_sym_co_await] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_requires] = ACTIONS(2546),
    [sym_this] = ACTIONS(2546),
    [anon_sym_discard] = ACTIONS(2546),
    [anon_sym_precise] = ACTIONS(2546),
    [anon_sym_shared] = ACTIONS(2546),
    [anon_sym_groupshared] = ACTIONS(2546),
    [anon_sym_uniform] = ACTIONS(2546),
    [anon_sym_row_major] = ACTIONS(2546),
    [anon_sym_column_major] = ACTIONS(2546),
    [anon_sym_globallycoherent] = ACTIONS(2546),
    [anon_sym_centroid] = ACTIONS(2546),
    [anon_sym_noperspective] = ACTIONS(2546),
    [anon_sym_nointerpolation] = ACTIONS(2546),
    [anon_sym_sample] = ACTIONS(2546),
    [anon_sym_linear] = ACTIONS(2546),
    [anon_sym_snorm] = ACTIONS(2546),
    [anon_sym_unorm] = ACTIONS(2546),
    [anon_sym_point] = ACTIONS(2546),
    [anon_sym_line] = ACTIONS(2546),
    [anon_sym_triangleadj] = ACTIONS(2546),
    [anon_sym_lineadj] = ACTIONS(2546),
    [anon_sym_triangle] = ACTIONS(2546),
    [anon_sym_cbuffer] = ACTIONS(2546),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2550),
    [aux_sym_preproc_include_token1] = ACTIONS(2550),
    [aux_sym_preproc_def_token1] = ACTIONS(2550),
    [aux_sym_preproc_if_token1] = ACTIONS(2550),
    [aux_sym_preproc_if_token2] = ACTIONS(2550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2550),
    [aux_sym_preproc_else_token1] = ACTIONS(2550),
    [aux_sym_preproc_elif_token1] = ACTIONS(2550),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2550),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2550),
    [sym_preproc_directive] = ACTIONS(2550),
    [anon_sym_LPAREN2] = ACTIONS(2552),
    [anon_sym_BANG] = ACTIONS(2552),
    [anon_sym_TILDE] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2552),
    [anon_sym___extension__] = ACTIONS(2550),
    [anon_sym_typedef] = ACTIONS(2550),
    [anon_sym_in] = ACTIONS(2550),
    [anon_sym_out] = ACTIONS(2550),
    [anon_sym_inout] = ACTIONS(2550),
    [anon_sym_virtual] = ACTIONS(2550),
    [anon_sym_extern] = ACTIONS(2550),
    [anon_sym___attribute__] = ACTIONS(2550),
    [anon_sym_COLON_COLON] = ACTIONS(2552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2552),
    [anon_sym___declspec] = ACTIONS(2550),
    [anon_sym___based] = ACTIONS(2550),
    [anon_sym___cdecl] = ACTIONS(2550),
    [anon_sym___clrcall] = ACTIONS(2550),
    [anon_sym___stdcall] = ACTIONS(2550),
    [anon_sym___fastcall] = ACTIONS(2550),
    [anon_sym___thiscall] = ACTIONS(2550),
    [anon_sym___vectorcall] = ACTIONS(2550),
    [anon_sym_LBRACE] = ACTIONS(2552),
    [anon_sym_signed] = ACTIONS(2550),
    [anon_sym_unsigned] = ACTIONS(2550),
    [anon_sym_long] = ACTIONS(2550),
    [anon_sym_short] = ACTIONS(2550),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym_static] = ACTIONS(2550),
    [anon_sym_register] = ACTIONS(2550),
    [anon_sym_inline] = ACTIONS(2550),
    [anon_sym___inline] = ACTIONS(2550),
    [anon_sym___inline__] = ACTIONS(2550),
    [anon_sym___forceinline] = ACTIONS(2550),
    [anon_sym_thread_local] = ACTIONS(2550),
    [anon_sym___thread] = ACTIONS(2550),
    [anon_sym_const] = ACTIONS(2550),
    [anon_sym_constexpr] = ACTIONS(2550),
    [anon_sym_volatile] = ACTIONS(2550),
    [anon_sym_restrict] = ACTIONS(2550),
    [anon_sym___restrict__] = ACTIONS(2550),
    [anon_sym__Atomic] = ACTIONS(2550),
    [anon_sym__Noreturn] = ACTIONS(2550),
    [anon_sym_noreturn] = ACTIONS(2550),
    [anon_sym__Nonnull] = ACTIONS(2550),
    [anon_sym_mutable] = ACTIONS(2550),
    [anon_sym_constinit] = ACTIONS(2550),
    [anon_sym_consteval] = ACTIONS(2550),
    [anon_sym_alignas] = ACTIONS(2550),
    [anon_sym__Alignas] = ACTIONS(2550),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2550),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_struct] = ACTIONS(2550),
    [anon_sym_union] = ACTIONS(2550),
    [anon_sym_if] = ACTIONS(2550),
    [anon_sym_switch] = ACTIONS(2550),
    [anon_sym_case] = ACTIONS(2550),
    [anon_sym_default] = ACTIONS(2550),
    [anon_sym_while] = ACTIONS(2550),
    [anon_sym_do] = ACTIONS(2550),
    [anon_sym_for] = ACTIONS(2550),
    [anon_sym_return] = ACTIONS(2550),
    [anon_sym_break] = ACTIONS(2550),
    [anon_sym_continue] = ACTIONS(2550),
    [anon_sym_goto] = ACTIONS(2550),
    [anon_sym___try] = ACTIONS(2550),
    [anon_sym___leave] = ACTIONS(2550),
    [anon_sym_not] = ACTIONS(2550),
    [anon_sym_compl] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_sizeof] = ACTIONS(2550),
    [anon_sym___alignof__] = ACTIONS(2550),
    [anon_sym___alignof] = ACTIONS(2550),
    [anon_sym__alignof] = ACTIONS(2550),
    [anon_sym_alignof] = ACTIONS(2550),
    [anon_sym__Alignof] = ACTIONS(2550),
    [anon_sym_offsetof] = ACTIONS(2550),
    [anon_sym__Generic] = ACTIONS(2550),
    [anon_sym_asm] = ACTIONS(2550),
    [anon_sym___asm__] = ACTIONS(2550),
    [anon_sym___asm] = ACTIONS(2550),
    [sym_number_literal] = ACTIONS(2552),
    [anon_sym_L_SQUOTE] = ACTIONS(2552),
    [anon_sym_u_SQUOTE] = ACTIONS(2552),
    [anon_sym_U_SQUOTE] = ACTIONS(2552),
    [anon_sym_u8_SQUOTE] = ACTIONS(2552),
    [anon_sym_SQUOTE] = ACTIONS(2552),
    [anon_sym_L_DQUOTE] = ACTIONS(2552),
    [anon_sym_u_DQUOTE] = ACTIONS(2552),
    [anon_sym_U_DQUOTE] = ACTIONS(2552),
    [anon_sym_u8_DQUOTE] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2552),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2550),
    [anon_sym_nullptr] = ACTIONS(2550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2550),
    [anon_sym_decltype] = ACTIONS(2550),
    [anon_sym_explicit] = ACTIONS(2550),
    [anon_sym_typename] = ACTIONS(2550),
    [anon_sym_template] = ACTIONS(2550),
    [anon_sym_operator] = ACTIONS(2550),
    [anon_sym_try] = ACTIONS(2550),
    [anon_sym_delete] = ACTIONS(2550),
    [anon_sym_throw] = ACTIONS(2550),
    [anon_sym_namespace] = ACTIONS(2550),
    [anon_sym_using] = ACTIONS(2550),
    [anon_sym_static_assert] = ACTIONS(2550),
    [anon_sym_concept] = ACTIONS(2550),
    [anon_sym_co_return] = ACTIONS(2550),
    [anon_sym_co_yield] = ACTIONS(2550),
    [anon_sym_R_DQUOTE] = ACTIONS(2552),
    [anon_sym_LR_DQUOTE] = ACTIONS(2552),
    [anon_sym_uR_DQUOTE] = ACTIONS(2552),
    [anon_sym_UR_DQUOTE] = ACTIONS(2552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2552),
    [anon_sym_co_await] = ACTIONS(2550),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2550),
    [sym_this] = ACTIONS(2550),
    [anon_sym_discard] = ACTIONS(2550),
    [anon_sym_precise] = ACTIONS(2550),
    [anon_sym_shared] = ACTIONS(2550),
    [anon_sym_groupshared] = ACTIONS(2550),
    [anon_sym_uniform] = ACTIONS(2550),
    [anon_sym_row_major] = ACTIONS(2550),
    [anon_sym_column_major] = ACTIONS(2550),
    [anon_sym_globallycoherent] = ACTIONS(2550),
    [anon_sym_centroid] = ACTIONS(2550),
    [anon_sym_noperspective] = ACTIONS(2550),
    [anon_sym_nointerpolation] = ACTIONS(2550),
    [anon_sym_sample] = ACTIONS(2550),
    [anon_sym_linear] = ACTIONS(2550),
    [anon_sym_snorm] = ACTIONS(2550),
    [anon_sym_unorm] = ACTIONS(2550),
    [anon_sym_point] = ACTIONS(2550),
    [anon_sym_line] = ACTIONS(2550),
    [anon_sym_triangleadj] = ACTIONS(2550),
    [anon_sym_lineadj] = ACTIONS(2550),
    [anon_sym_triangle] = ACTIONS(2550),
    [anon_sym_cbuffer] = ACTIONS(2550),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2554),
    [aux_sym_preproc_include_token1] = ACTIONS(2554),
    [aux_sym_preproc_def_token1] = ACTIONS(2554),
    [aux_sym_preproc_if_token1] = ACTIONS(2554),
    [aux_sym_preproc_if_token2] = ACTIONS(2554),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2554),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2554),
    [aux_sym_preproc_else_token1] = ACTIONS(2554),
    [aux_sym_preproc_elif_token1] = ACTIONS(2554),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2554),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2554),
    [sym_preproc_directive] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(2556),
    [anon_sym_BANG] = ACTIONS(2556),
    [anon_sym_TILDE] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym___extension__] = ACTIONS(2554),
    [anon_sym_typedef] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2554),
    [anon_sym_out] = ACTIONS(2554),
    [anon_sym_inout] = ACTIONS(2554),
    [anon_sym_virtual] = ACTIONS(2554),
    [anon_sym_extern] = ACTIONS(2554),
    [anon_sym___attribute__] = ACTIONS(2554),
    [anon_sym_COLON_COLON] = ACTIONS(2556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2556),
    [anon_sym___declspec] = ACTIONS(2554),
    [anon_sym___based] = ACTIONS(2554),
    [anon_sym___cdecl] = ACTIONS(2554),
    [anon_sym___clrcall] = ACTIONS(2554),
    [anon_sym___stdcall] = ACTIONS(2554),
    [anon_sym___fastcall] = ACTIONS(2554),
    [anon_sym___thiscall] = ACTIONS(2554),
    [anon_sym___vectorcall] = ACTIONS(2554),
    [anon_sym_LBRACE] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2554),
    [anon_sym_unsigned] = ACTIONS(2554),
    [anon_sym_long] = ACTIONS(2554),
    [anon_sym_short] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_static] = ACTIONS(2554),
    [anon_sym_register] = ACTIONS(2554),
    [anon_sym_inline] = ACTIONS(2554),
    [anon_sym___inline] = ACTIONS(2554),
    [anon_sym___inline__] = ACTIONS(2554),
    [anon_sym___forceinline] = ACTIONS(2554),
    [anon_sym_thread_local] = ACTIONS(2554),
    [anon_sym___thread] = ACTIONS(2554),
    [anon_sym_const] = ACTIONS(2554),
    [anon_sym_constexpr] = ACTIONS(2554),
    [anon_sym_volatile] = ACTIONS(2554),
    [anon_sym_restrict] = ACTIONS(2554),
    [anon_sym___restrict__] = ACTIONS(2554),
    [anon_sym__Atomic] = ACTIONS(2554),
    [anon_sym__Noreturn] = ACTIONS(2554),
    [anon_sym_noreturn] = ACTIONS(2554),
    [anon_sym__Nonnull] = ACTIONS(2554),
    [anon_sym_mutable] = ACTIONS(2554),
    [anon_sym_constinit] = ACTIONS(2554),
    [anon_sym_consteval] = ACTIONS(2554),
    [anon_sym_alignas] = ACTIONS(2554),
    [anon_sym__Alignas] = ACTIONS(2554),
    [sym_primitive_type] = ACTIONS(2554),
    [anon_sym_enum] = ACTIONS(2554),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2554),
    [anon_sym_union] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2554),
    [anon_sym_switch] = ACTIONS(2554),
    [anon_sym_case] = ACTIONS(2554),
    [anon_sym_default] = ACTIONS(2554),
    [anon_sym_while] = ACTIONS(2554),
    [anon_sym_do] = ACTIONS(2554),
    [anon_sym_for] = ACTIONS(2554),
    [anon_sym_return] = ACTIONS(2554),
    [anon_sym_break] = ACTIONS(2554),
    [anon_sym_continue] = ACTIONS(2554),
    [anon_sym_goto] = ACTIONS(2554),
    [anon_sym___try] = ACTIONS(2554),
    [anon_sym___leave] = ACTIONS(2554),
    [anon_sym_not] = ACTIONS(2554),
    [anon_sym_compl] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_sizeof] = ACTIONS(2554),
    [anon_sym___alignof__] = ACTIONS(2554),
    [anon_sym___alignof] = ACTIONS(2554),
    [anon_sym__alignof] = ACTIONS(2554),
    [anon_sym_alignof] = ACTIONS(2554),
    [anon_sym__Alignof] = ACTIONS(2554),
    [anon_sym_offsetof] = ACTIONS(2554),
    [anon_sym__Generic] = ACTIONS(2554),
    [anon_sym_asm] = ACTIONS(2554),
    [anon_sym___asm__] = ACTIONS(2554),
    [anon_sym___asm] = ACTIONS(2554),
    [sym_number_literal] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2556),
    [anon_sym_u_SQUOTE] = ACTIONS(2556),
    [anon_sym_U_SQUOTE] = ACTIONS(2556),
    [anon_sym_u8_SQUOTE] = ACTIONS(2556),
    [anon_sym_SQUOTE] = ACTIONS(2556),
    [anon_sym_L_DQUOTE] = ACTIONS(2556),
    [anon_sym_u_DQUOTE] = ACTIONS(2556),
    [anon_sym_U_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8_DQUOTE] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2556),
    [sym_true] = ACTIONS(2554),
    [sym_false] = ACTIONS(2554),
    [anon_sym_NULL] = ACTIONS(2554),
    [anon_sym_nullptr] = ACTIONS(2554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2554),
    [anon_sym_decltype] = ACTIONS(2554),
    [anon_sym_explicit] = ACTIONS(2554),
    [anon_sym_typename] = ACTIONS(2554),
    [anon_sym_template] = ACTIONS(2554),
    [anon_sym_operator] = ACTIONS(2554),
    [anon_sym_try] = ACTIONS(2554),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_throw] = ACTIONS(2554),
    [anon_sym_namespace] = ACTIONS(2554),
    [anon_sym_using] = ACTIONS(2554),
    [anon_sym_static_assert] = ACTIONS(2554),
    [anon_sym_concept] = ACTIONS(2554),
    [anon_sym_co_return] = ACTIONS(2554),
    [anon_sym_co_yield] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2554),
    [anon_sym_new] = ACTIONS(2554),
    [anon_sym_requires] = ACTIONS(2554),
    [sym_this] = ACTIONS(2554),
    [anon_sym_discard] = ACTIONS(2554),
    [anon_sym_precise] = ACTIONS(2554),
    [anon_sym_shared] = ACTIONS(2554),
    [anon_sym_groupshared] = ACTIONS(2554),
    [anon_sym_uniform] = ACTIONS(2554),
    [anon_sym_row_major] = ACTIONS(2554),
    [anon_sym_column_major] = ACTIONS(2554),
    [anon_sym_globallycoherent] = ACTIONS(2554),
    [anon_sym_centroid] = ACTIONS(2554),
    [anon_sym_noperspective] = ACTIONS(2554),
    [anon_sym_nointerpolation] = ACTIONS(2554),
    [anon_sym_sample] = ACTIONS(2554),
    [anon_sym_linear] = ACTIONS(2554),
    [anon_sym_snorm] = ACTIONS(2554),
    [anon_sym_unorm] = ACTIONS(2554),
    [anon_sym_point] = ACTIONS(2554),
    [anon_sym_line] = ACTIONS(2554),
    [anon_sym_triangleadj] = ACTIONS(2554),
    [anon_sym_lineadj] = ACTIONS(2554),
    [anon_sym_triangle] = ACTIONS(2554),
    [anon_sym_cbuffer] = ACTIONS(2554),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2558),
    [aux_sym_preproc_include_token1] = ACTIONS(2558),
    [aux_sym_preproc_def_token1] = ACTIONS(2558),
    [aux_sym_preproc_if_token1] = ACTIONS(2558),
    [aux_sym_preproc_if_token2] = ACTIONS(2558),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2558),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2558),
    [aux_sym_preproc_else_token1] = ACTIONS(2558),
    [aux_sym_preproc_elif_token1] = ACTIONS(2558),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2558),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2558),
    [sym_preproc_directive] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(2560),
    [anon_sym_BANG] = ACTIONS(2560),
    [anon_sym_TILDE] = ACTIONS(2560),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_typedef] = ACTIONS(2558),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_out] = ACTIONS(2558),
    [anon_sym_inout] = ACTIONS(2558),
    [anon_sym_virtual] = ACTIONS(2558),
    [anon_sym_extern] = ACTIONS(2558),
    [anon_sym___attribute__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2560),
    [anon_sym___declspec] = ACTIONS(2558),
    [anon_sym___based] = ACTIONS(2558),
    [anon_sym___cdecl] = ACTIONS(2558),
    [anon_sym___clrcall] = ACTIONS(2558),
    [anon_sym___stdcall] = ACTIONS(2558),
    [anon_sym___fastcall] = ACTIONS(2558),
    [anon_sym___thiscall] = ACTIONS(2558),
    [anon_sym___vectorcall] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2558),
    [anon_sym_unsigned] = ACTIONS(2558),
    [anon_sym_long] = ACTIONS(2558),
    [anon_sym_short] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym_static] = ACTIONS(2558),
    [anon_sym_register] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym___inline] = ACTIONS(2558),
    [anon_sym___inline__] = ACTIONS(2558),
    [anon_sym___forceinline] = ACTIONS(2558),
    [anon_sym_thread_local] = ACTIONS(2558),
    [anon_sym___thread] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_constexpr] = ACTIONS(2558),
    [anon_sym_volatile] = ACTIONS(2558),
    [anon_sym_restrict] = ACTIONS(2558),
    [anon_sym___restrict__] = ACTIONS(2558),
    [anon_sym__Atomic] = ACTIONS(2558),
    [anon_sym__Noreturn] = ACTIONS(2558),
    [anon_sym_noreturn] = ACTIONS(2558),
    [anon_sym__Nonnull] = ACTIONS(2558),
    [anon_sym_mutable] = ACTIONS(2558),
    [anon_sym_constinit] = ACTIONS(2558),
    [anon_sym_consteval] = ACTIONS(2558),
    [anon_sym_alignas] = ACTIONS(2558),
    [anon_sym__Alignas] = ACTIONS(2558),
    [sym_primitive_type] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_class] = ACTIONS(2558),
    [anon_sym_struct] = ACTIONS(2558),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_switch] = ACTIONS(2558),
    [anon_sym_case] = ACTIONS(2558),
    [anon_sym_default] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_do] = ACTIONS(2558),
    [anon_sym_for] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_break] = ACTIONS(2558),
    [anon_sym_continue] = ACTIONS(2558),
    [anon_sym_goto] = ACTIONS(2558),
    [anon_sym___try] = ACTIONS(2558),
    [anon_sym___leave] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2558),
    [anon_sym_compl] = ACTIONS(2558),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2558),
    [anon_sym___alignof__] = ACTIONS(2558),
    [anon_sym___alignof] = ACTIONS(2558),
    [anon_sym__alignof] = ACTIONS(2558),
    [anon_sym_alignof] = ACTIONS(2558),
    [anon_sym__Alignof] = ACTIONS(2558),
    [anon_sym_offsetof] = ACTIONS(2558),
    [anon_sym__Generic] = ACTIONS(2558),
    [anon_sym_asm] = ACTIONS(2558),
    [anon_sym___asm__] = ACTIONS(2558),
    [anon_sym___asm] = ACTIONS(2558),
    [sym_number_literal] = ACTIONS(2560),
    [anon_sym_L_SQUOTE] = ACTIONS(2560),
    [anon_sym_u_SQUOTE] = ACTIONS(2560),
    [anon_sym_U_SQUOTE] = ACTIONS(2560),
    [anon_sym_u8_SQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [anon_sym_L_DQUOTE] = ACTIONS(2560),
    [anon_sym_u_DQUOTE] = ACTIONS(2560),
    [anon_sym_U_DQUOTE] = ACTIONS(2560),
    [anon_sym_u8_DQUOTE] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2560),
    [sym_true] = ACTIONS(2558),
    [sym_false] = ACTIONS(2558),
    [anon_sym_NULL] = ACTIONS(2558),
    [anon_sym_nullptr] = ACTIONS(2558),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2558),
    [anon_sym_decltype] = ACTIONS(2558),
    [anon_sym_explicit] = ACTIONS(2558),
    [anon_sym_typename] = ACTIONS(2558),
    [anon_sym_template] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_delete] = ACTIONS(2558),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_namespace] = ACTIONS(2558),
    [anon_sym_using] = ACTIONS(2558),
    [anon_sym_static_assert] = ACTIONS(2558),
    [anon_sym_concept] = ACTIONS(2558),
    [anon_sym_co_return] = ACTIONS(2558),
    [anon_sym_co_yield] = ACTIONS(2558),
    [anon_sym_R_DQUOTE] = ACTIONS(2560),
    [anon_sym_LR_DQUOTE] = ACTIONS(2560),
    [anon_sym_uR_DQUOTE] = ACTIONS(2560),
    [anon_sym_UR_DQUOTE] = ACTIONS(2560),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2560),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2558),
    [anon_sym_requires] = ACTIONS(2558),
    [sym_this] = ACTIONS(2558),
    [anon_sym_discard] = ACTIONS(2558),
    [anon_sym_precise] = ACTIONS(2558),
    [anon_sym_shared] = ACTIONS(2558),
    [anon_sym_groupshared] = ACTIONS(2558),
    [anon_sym_uniform] = ACTIONS(2558),
    [anon_sym_row_major] = ACTIONS(2558),
    [anon_sym_column_major] = ACTIONS(2558),
    [anon_sym_globallycoherent] = ACTIONS(2558),
    [anon_sym_centroid] = ACTIONS(2558),
    [anon_sym_noperspective] = ACTIONS(2558),
    [anon_sym_nointerpolation] = ACTIONS(2558),
    [anon_sym_sample] = ACTIONS(2558),
    [anon_sym_linear] = ACTIONS(2558),
    [anon_sym_snorm] = ACTIONS(2558),
    [anon_sym_unorm] = ACTIONS(2558),
    [anon_sym_point] = ACTIONS(2558),
    [anon_sym_line] = ACTIONS(2558),
    [anon_sym_triangleadj] = ACTIONS(2558),
    [anon_sym_lineadj] = ACTIONS(2558),
    [anon_sym_triangle] = ACTIONS(2558),
    [anon_sym_cbuffer] = ACTIONS(2558),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [aux_sym_preproc_else_token1] = ACTIONS(2562),
    [aux_sym_preproc_elif_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2562),
    [anon_sym_out] = ACTIONS(2562),
    [anon_sym_inout] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [sym_number_literal] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
    [anon_sym_discard] = ACTIONS(2562),
    [anon_sym_precise] = ACTIONS(2562),
    [anon_sym_shared] = ACTIONS(2562),
    [anon_sym_groupshared] = ACTIONS(2562),
    [anon_sym_uniform] = ACTIONS(2562),
    [anon_sym_row_major] = ACTIONS(2562),
    [anon_sym_column_major] = ACTIONS(2562),
    [anon_sym_globallycoherent] = ACTIONS(2562),
    [anon_sym_centroid] = ACTIONS(2562),
    [anon_sym_noperspective] = ACTIONS(2562),
    [anon_sym_nointerpolation] = ACTIONS(2562),
    [anon_sym_sample] = ACTIONS(2562),
    [anon_sym_linear] = ACTIONS(2562),
    [anon_sym_snorm] = ACTIONS(2562),
    [anon_sym_unorm] = ACTIONS(2562),
    [anon_sym_point] = ACTIONS(2562),
    [anon_sym_line] = ACTIONS(2562),
    [anon_sym_triangleadj] = ACTIONS(2562),
    [anon_sym_lineadj] = ACTIONS(2562),
    [anon_sym_triangle] = ACTIONS(2562),
    [anon_sym_cbuffer] = ACTIONS(2562),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token2] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [aux_sym_preproc_else_token1] = ACTIONS(2566),
    [aux_sym_preproc_elif_token1] = ACTIONS(2566),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_out] = ACTIONS(2566),
    [anon_sym_inout] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
    [anon_sym_discard] = ACTIONS(2566),
    [anon_sym_precise] = ACTIONS(2566),
    [anon_sym_shared] = ACTIONS(2566),
    [anon_sym_groupshared] = ACTIONS(2566),
    [anon_sym_uniform] = ACTIONS(2566),
    [anon_sym_row_major] = ACTIONS(2566),
    [anon_sym_column_major] = ACTIONS(2566),
    [anon_sym_globallycoherent] = ACTIONS(2566),
    [anon_sym_centroid] = ACTIONS(2566),
    [anon_sym_noperspective] = ACTIONS(2566),
    [anon_sym_nointerpolation] = ACTIONS(2566),
    [anon_sym_sample] = ACTIONS(2566),
    [anon_sym_linear] = ACTIONS(2566),
    [anon_sym_snorm] = ACTIONS(2566),
    [anon_sym_unorm] = ACTIONS(2566),
    [anon_sym_point] = ACTIONS(2566),
    [anon_sym_line] = ACTIONS(2566),
    [anon_sym_triangleadj] = ACTIONS(2566),
    [anon_sym_lineadj] = ACTIONS(2566),
    [anon_sym_triangle] = ACTIONS(2566),
    [anon_sym_cbuffer] = ACTIONS(2566),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token2] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [aux_sym_preproc_else_token1] = ACTIONS(2570),
    [aux_sym_preproc_elif_token1] = ACTIONS(2570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_in] = ACTIONS(2570),
    [anon_sym_out] = ACTIONS(2570),
    [anon_sym_inout] = ACTIONS(2570),
    [anon_sym_virtual] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym__Nonnull] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym__Alignas] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [anon_sym___asm] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
    [anon_sym_discard] = ACTIONS(2570),
    [anon_sym_precise] = ACTIONS(2570),
    [anon_sym_shared] = ACTIONS(2570),
    [anon_sym_groupshared] = ACTIONS(2570),
    [anon_sym_uniform] = ACTIONS(2570),
    [anon_sym_row_major] = ACTIONS(2570),
    [anon_sym_column_major] = ACTIONS(2570),
    [anon_sym_globallycoherent] = ACTIONS(2570),
    [anon_sym_centroid] = ACTIONS(2570),
    [anon_sym_noperspective] = ACTIONS(2570),
    [anon_sym_nointerpolation] = ACTIONS(2570),
    [anon_sym_sample] = ACTIONS(2570),
    [anon_sym_linear] = ACTIONS(2570),
    [anon_sym_snorm] = ACTIONS(2570),
    [anon_sym_unorm] = ACTIONS(2570),
    [anon_sym_point] = ACTIONS(2570),
    [anon_sym_line] = ACTIONS(2570),
    [anon_sym_triangleadj] = ACTIONS(2570),
    [anon_sym_lineadj] = ACTIONS(2570),
    [anon_sym_triangle] = ACTIONS(2570),
    [anon_sym_cbuffer] = ACTIONS(2570),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_preproc_include_token1] = ACTIONS(2574),
    [aux_sym_preproc_def_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token2] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2574),
    [aux_sym_preproc_else_token1] = ACTIONS(2574),
    [aux_sym_preproc_elif_token1] = ACTIONS(2574),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2574),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2574),
    [sym_preproc_directive] = ACTIONS(2574),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym___extension__] = ACTIONS(2574),
    [anon_sym_typedef] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2574),
    [anon_sym_out] = ACTIONS(2574),
    [anon_sym_inout] = ACTIONS(2574),
    [anon_sym_virtual] = ACTIONS(2574),
    [anon_sym_extern] = ACTIONS(2574),
    [anon_sym___attribute__] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2576),
    [anon_sym___declspec] = ACTIONS(2574),
    [anon_sym___based] = ACTIONS(2574),
    [anon_sym___cdecl] = ACTIONS(2574),
    [anon_sym___clrcall] = ACTIONS(2574),
    [anon_sym___stdcall] = ACTIONS(2574),
    [anon_sym___fastcall] = ACTIONS(2574),
    [anon_sym___thiscall] = ACTIONS(2574),
    [anon_sym___vectorcall] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2574),
    [anon_sym_unsigned] = ACTIONS(2574),
    [anon_sym_long] = ACTIONS(2574),
    [anon_sym_short] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_register] = ACTIONS(2574),
    [anon_sym_inline] = ACTIONS(2574),
    [anon_sym___inline] = ACTIONS(2574),
    [anon_sym___inline__] = ACTIONS(2574),
    [anon_sym___forceinline] = ACTIONS(2574),
    [anon_sym_thread_local] = ACTIONS(2574),
    [anon_sym___thread] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_constexpr] = ACTIONS(2574),
    [anon_sym_volatile] = ACTIONS(2574),
    [anon_sym_restrict] = ACTIONS(2574),
    [anon_sym___restrict__] = ACTIONS(2574),
    [anon_sym__Atomic] = ACTIONS(2574),
    [anon_sym__Noreturn] = ACTIONS(2574),
    [anon_sym_noreturn] = ACTIONS(2574),
    [anon_sym__Nonnull] = ACTIONS(2574),
    [anon_sym_mutable] = ACTIONS(2574),
    [anon_sym_constinit] = ACTIONS(2574),
    [anon_sym_consteval] = ACTIONS(2574),
    [anon_sym_alignas] = ACTIONS(2574),
    [anon_sym__Alignas] = ACTIONS(2574),
    [sym_primitive_type] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_struct] = ACTIONS(2574),
    [anon_sym_union] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_default] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_goto] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2574),
    [anon_sym___leave] = ACTIONS(2574),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_compl] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2576),
    [anon_sym_sizeof] = ACTIONS(2574),
    [anon_sym___alignof__] = ACTIONS(2574),
    [anon_sym___alignof] = ACTIONS(2574),
    [anon_sym__alignof] = ACTIONS(2574),
    [anon_sym_alignof] = ACTIONS(2574),
    [anon_sym__Alignof] = ACTIONS(2574),
    [anon_sym_offsetof] = ACTIONS(2574),
    [anon_sym__Generic] = ACTIONS(2574),
    [anon_sym_asm] = ACTIONS(2574),
    [anon_sym___asm__] = ACTIONS(2574),
    [anon_sym___asm] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2576),
    [anon_sym_L_SQUOTE] = ACTIONS(2576),
    [anon_sym_u_SQUOTE] = ACTIONS(2576),
    [anon_sym_U_SQUOTE] = ACTIONS(2576),
    [anon_sym_u8_SQUOTE] = ACTIONS(2576),
    [anon_sym_SQUOTE] = ACTIONS(2576),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [anon_sym_NULL] = ACTIONS(2574),
    [anon_sym_nullptr] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2574),
    [anon_sym_decltype] = ACTIONS(2574),
    [anon_sym_explicit] = ACTIONS(2574),
    [anon_sym_typename] = ACTIONS(2574),
    [anon_sym_template] = ACTIONS(2574),
    [anon_sym_operator] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_namespace] = ACTIONS(2574),
    [anon_sym_using] = ACTIONS(2574),
    [anon_sym_static_assert] = ACTIONS(2574),
    [anon_sym_concept] = ACTIONS(2574),
    [anon_sym_co_return] = ACTIONS(2574),
    [anon_sym_co_yield] = ACTIONS(2574),
    [anon_sym_R_DQUOTE] = ACTIONS(2576),
    [anon_sym_LR_DQUOTE] = ACTIONS(2576),
    [anon_sym_uR_DQUOTE] = ACTIONS(2576),
    [anon_sym_UR_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2576),
    [anon_sym_co_await] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_requires] = ACTIONS(2574),
    [sym_this] = ACTIONS(2574),
    [anon_sym_discard] = ACTIONS(2574),
    [anon_sym_precise] = ACTIONS(2574),
    [anon_sym_shared] = ACTIONS(2574),
    [anon_sym_groupshared] = ACTIONS(2574),
    [anon_sym_uniform] = ACTIONS(2574),
    [anon_sym_row_major] = ACTIONS(2574),
    [anon_sym_column_major] = ACTIONS(2574),
    [anon_sym_globallycoherent] = ACTIONS(2574),
    [anon_sym_centroid] = ACTIONS(2574),
    [anon_sym_noperspective] = ACTIONS(2574),
    [anon_sym_nointerpolation] = ACTIONS(2574),
    [anon_sym_sample] = ACTIONS(2574),
    [anon_sym_linear] = ACTIONS(2574),
    [anon_sym_snorm] = ACTIONS(2574),
    [anon_sym_unorm] = ACTIONS(2574),
    [anon_sym_point] = ACTIONS(2574),
    [anon_sym_line] = ACTIONS(2574),
    [anon_sym_triangleadj] = ACTIONS(2574),
    [anon_sym_lineadj] = ACTIONS(2574),
    [anon_sym_triangle] = ACTIONS(2574),
    [anon_sym_cbuffer] = ACTIONS(2574),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_include_token1] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token2] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [aux_sym_preproc_else_token1] = ACTIONS(2578),
    [aux_sym_preproc_elif_token1] = ACTIONS(2578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_out] = ACTIONS(2578),
    [anon_sym_inout] = ACTIONS(2578),
    [anon_sym_virtual] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym___cdecl] = ACTIONS(2578),
    [anon_sym___clrcall] = ACTIONS(2578),
    [anon_sym___stdcall] = ACTIONS(2578),
    [anon_sym___fastcall] = ACTIONS(2578),
    [anon_sym___thiscall] = ACTIONS(2578),
    [anon_sym___vectorcall] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym__Nonnull] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym__Alignas] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2578),
    [anon_sym_default] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_continue] = ACTIONS(2578),
    [anon_sym_goto] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2578),
    [anon_sym___leave] = ACTIONS(2578),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_compl] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_sizeof] = ACTIONS(2578),
    [anon_sym___alignof__] = ACTIONS(2578),
    [anon_sym___alignof] = ACTIONS(2578),
    [anon_sym__alignof] = ACTIONS(2578),
    [anon_sym_alignof] = ACTIONS(2578),
    [anon_sym__Alignof] = ACTIONS(2578),
    [anon_sym_offsetof] = ACTIONS(2578),
    [anon_sym__Generic] = ACTIONS(2578),
    [anon_sym_asm] = ACTIONS(2578),
    [anon_sym___asm__] = ACTIONS(2578),
    [anon_sym___asm] = ACTIONS(2578),
    [sym_number_literal] = ACTIONS(2580),
    [anon_sym_L_SQUOTE] = ACTIONS(2580),
    [anon_sym_u_SQUOTE] = ACTIONS(2580),
    [anon_sym_U_SQUOTE] = ACTIONS(2580),
    [anon_sym_u8_SQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_L_DQUOTE] = ACTIONS(2580),
    [anon_sym_u_DQUOTE] = ACTIONS(2580),
    [anon_sym_U_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8_DQUOTE] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2578),
    [anon_sym_nullptr] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_concept] = ACTIONS(2578),
    [anon_sym_co_return] = ACTIONS(2578),
    [anon_sym_co_yield] = ACTIONS(2578),
    [anon_sym_R_DQUOTE] = ACTIONS(2580),
    [anon_sym_LR_DQUOTE] = ACTIONS(2580),
    [anon_sym_uR_DQUOTE] = ACTIONS(2580),
    [anon_sym_UR_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2580),
    [anon_sym_co_await] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_requires] = ACTIONS(2578),
    [sym_this] = ACTIONS(2578),
    [anon_sym_discard] = ACTIONS(2578),
    [anon_sym_precise] = ACTIONS(2578),
    [anon_sym_shared] = ACTIONS(2578),
    [anon_sym_groupshared] = ACTIONS(2578),
    [anon_sym_uniform] = ACTIONS(2578),
    [anon_sym_row_major] = ACTIONS(2578),
    [anon_sym_column_major] = ACTIONS(2578),
    [anon_sym_globallycoherent] = ACTIONS(2578),
    [anon_sym_centroid] = ACTIONS(2578),
    [anon_sym_noperspective] = ACTIONS(2578),
    [anon_sym_nointerpolation] = ACTIONS(2578),
    [anon_sym_sample] = ACTIONS(2578),
    [anon_sym_linear] = ACTIONS(2578),
    [anon_sym_snorm] = ACTIONS(2578),
    [anon_sym_unorm] = ACTIONS(2578),
    [anon_sym_point] = ACTIONS(2578),
    [anon_sym_line] = ACTIONS(2578),
    [anon_sym_triangleadj] = ACTIONS(2578),
    [anon_sym_lineadj] = ACTIONS(2578),
    [anon_sym_triangle] = ACTIONS(2578),
    [anon_sym_cbuffer] = ACTIONS(2578),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_include_token1] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token2] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [aux_sym_preproc_else_token1] = ACTIONS(2582),
    [aux_sym_preproc_elif_token1] = ACTIONS(2582),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_DASH] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_out] = ACTIONS(2582),
    [anon_sym_inout] = ACTIONS(2582),
    [anon_sym_virtual] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym___cdecl] = ACTIONS(2582),
    [anon_sym___clrcall] = ACTIONS(2582),
    [anon_sym___stdcall] = ACTIONS(2582),
    [anon_sym___fastcall] = ACTIONS(2582),
    [anon_sym___thiscall] = ACTIONS(2582),
    [anon_sym___vectorcall] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym__Nonnull] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym__Alignas] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_switch] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_default] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_continue] = ACTIONS(2582),
    [anon_sym_goto] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2582),
    [anon_sym___leave] = ACTIONS(2582),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_compl] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_sizeof] = ACTIONS(2582),
    [anon_sym___alignof__] = ACTIONS(2582),
    [anon_sym___alignof] = ACTIONS(2582),
    [anon_sym__alignof] = ACTIONS(2582),
    [anon_sym_alignof] = ACTIONS(2582),
    [anon_sym__Alignof] = ACTIONS(2582),
    [anon_sym_offsetof] = ACTIONS(2582),
    [anon_sym__Generic] = ACTIONS(2582),
    [anon_sym_asm] = ACTIONS(2582),
    [anon_sym___asm__] = ACTIONS(2582),
    [anon_sym___asm] = ACTIONS(2582),
    [sym_number_literal] = ACTIONS(2584),
    [anon_sym_L_SQUOTE] = ACTIONS(2584),
    [anon_sym_u_SQUOTE] = ACTIONS(2584),
    [anon_sym_U_SQUOTE] = ACTIONS(2584),
    [anon_sym_u8_SQUOTE] = ACTIONS(2584),
    [anon_sym_SQUOTE] = ACTIONS(2584),
    [anon_sym_L_DQUOTE] = ACTIONS(2584),
    [anon_sym_u_DQUOTE] = ACTIONS(2584),
    [anon_sym_U_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8_DQUOTE] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [anon_sym_NULL] = ACTIONS(2582),
    [anon_sym_nullptr] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_try] = ACTIONS(2582),
    [anon_sym_delete] = ACTIONS(2582),
    [anon_sym_throw] = ACTIONS(2582),
    [anon_sym_namespace] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_concept] = ACTIONS(2582),
    [anon_sym_co_return] = ACTIONS(2582),
    [anon_sym_co_yield] = ACTIONS(2582),
    [anon_sym_R_DQUOTE] = ACTIONS(2584),
    [anon_sym_LR_DQUOTE] = ACTIONS(2584),
    [anon_sym_uR_DQUOTE] = ACTIONS(2584),
    [anon_sym_UR_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2584),
    [anon_sym_co_await] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_requires] = ACTIONS(2582),
    [sym_this] = ACTIONS(2582),
    [anon_sym_discard] = ACTIONS(2582),
    [anon_sym_precise] = ACTIONS(2582),
    [anon_sym_shared] = ACTIONS(2582),
    [anon_sym_groupshared] = ACTIONS(2582),
    [anon_sym_uniform] = ACTIONS(2582),
    [anon_sym_row_major] = ACTIONS(2582),
    [anon_sym_column_major] = ACTIONS(2582),
    [anon_sym_globallycoherent] = ACTIONS(2582),
    [anon_sym_centroid] = ACTIONS(2582),
    [anon_sym_noperspective] = ACTIONS(2582),
    [anon_sym_nointerpolation] = ACTIONS(2582),
    [anon_sym_sample] = ACTIONS(2582),
    [anon_sym_linear] = ACTIONS(2582),
    [anon_sym_snorm] = ACTIONS(2582),
    [anon_sym_unorm] = ACTIONS(2582),
    [anon_sym_point] = ACTIONS(2582),
    [anon_sym_line] = ACTIONS(2582),
    [anon_sym_triangleadj] = ACTIONS(2582),
    [anon_sym_lineadj] = ACTIONS(2582),
    [anon_sym_triangle] = ACTIONS(2582),
    [anon_sym_cbuffer] = ACTIONS(2582),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_include_token1] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token2] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [aux_sym_preproc_else_token1] = ACTIONS(2586),
    [aux_sym_preproc_elif_token1] = ACTIONS(2586),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_out] = ACTIONS(2586),
    [anon_sym_inout] = ACTIONS(2586),
    [anon_sym_virtual] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym___cdecl] = ACTIONS(2586),
    [anon_sym___clrcall] = ACTIONS(2586),
    [anon_sym___stdcall] = ACTIONS(2586),
    [anon_sym___fastcall] = ACTIONS(2586),
    [anon_sym___thiscall] = ACTIONS(2586),
    [anon_sym___vectorcall] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym__Nonnull] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym__Alignas] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_switch] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_default] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_continue] = ACTIONS(2586),
    [anon_sym_goto] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2586),
    [anon_sym___leave] = ACTIONS(2586),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_compl] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_sizeof] = ACTIONS(2586),
    [anon_sym___alignof__] = ACTIONS(2586),
    [anon_sym___alignof] = ACTIONS(2586),
    [anon_sym__alignof] = ACTIONS(2586),
    [anon_sym_alignof] = ACTIONS(2586),
    [anon_sym__Alignof] = ACTIONS(2586),
    [anon_sym_offsetof] = ACTIONS(2586),
    [anon_sym__Generic] = ACTIONS(2586),
    [anon_sym_asm] = ACTIONS(2586),
    [anon_sym___asm__] = ACTIONS(2586),
    [anon_sym___asm] = ACTIONS(2586),
    [sym_number_literal] = ACTIONS(2588),
    [anon_sym_L_SQUOTE] = ACTIONS(2588),
    [anon_sym_u_SQUOTE] = ACTIONS(2588),
    [anon_sym_U_SQUOTE] = ACTIONS(2588),
    [anon_sym_u8_SQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_L_DQUOTE] = ACTIONS(2588),
    [anon_sym_u_DQUOTE] = ACTIONS(2588),
    [anon_sym_U_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8_DQUOTE] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [anon_sym_NULL] = ACTIONS(2586),
    [anon_sym_nullptr] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_concept] = ACTIONS(2586),
    [anon_sym_co_return] = ACTIONS(2586),
    [anon_sym_co_yield] = ACTIONS(2586),
    [anon_sym_R_DQUOTE] = ACTIONS(2588),
    [anon_sym_LR_DQUOTE] = ACTIONS(2588),
    [anon_sym_uR_DQUOTE] = ACTIONS(2588),
    [anon_sym_UR_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2588),
    [anon_sym_co_await] = ACTIONS(2586),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_requires] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
    [anon_sym_discard] = ACTIONS(2586),
    [anon_sym_precise] = ACTIONS(2586),
    [anon_sym_shared] = ACTIONS(2586),
    [anon_sym_groupshared] = ACTIONS(2586),
    [anon_sym_uniform] = ACTIONS(2586),
    [anon_sym_row_major] = ACTIONS(2586),
    [anon_sym_column_major] = ACTIONS(2586),
    [anon_sym_globallycoherent] = ACTIONS(2586),
    [anon_sym_centroid] = ACTIONS(2586),
    [anon_sym_noperspective] = ACTIONS(2586),
    [anon_sym_nointerpolation] = ACTIONS(2586),
    [anon_sym_sample] = ACTIONS(2586),
    [anon_sym_linear] = ACTIONS(2586),
    [anon_sym_snorm] = ACTIONS(2586),
    [anon_sym_unorm] = ACTIONS(2586),
    [anon_sym_point] = ACTIONS(2586),
    [anon_sym_line] = ACTIONS(2586),
    [anon_sym_triangleadj] = ACTIONS(2586),
    [anon_sym_lineadj] = ACTIONS(2586),
    [anon_sym_triangle] = ACTIONS(2586),
    [anon_sym_cbuffer] = ACTIONS(2586),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [aux_sym_preproc_else_token1] = ACTIONS(2590),
    [aux_sym_preproc_elif_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [aux_sym_preproc_else_token1] = ACTIONS(2590),
    [aux_sym_preproc_elif_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [aux_sym_preproc_else_token1] = ACTIONS(2590),
    [aux_sym_preproc_elif_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [aux_sym_preproc_else_token1] = ACTIONS(2590),
    [aux_sym_preproc_elif_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [aux_sym_preproc_else_token1] = ACTIONS(2594),
    [aux_sym_preproc_elif_token1] = ACTIONS(2594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [anon_sym___asm] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
    [anon_sym_discard] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
    [anon_sym_cbuffer] = ACTIONS(2594),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [aux_sym_preproc_else_token1] = ACTIONS(2594),
    [aux_sym_preproc_elif_token1] = ACTIONS(2594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [anon_sym___asm] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
    [anon_sym_discard] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
    [anon_sym_cbuffer] = ACTIONS(2594),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_include_token1] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token2] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [aux_sym_preproc_else_token1] = ACTIONS(2598),
    [aux_sym_preproc_elif_token1] = ACTIONS(2598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_out] = ACTIONS(2598),
    [anon_sym_inout] = ACTIONS(2598),
    [anon_sym_virtual] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym___cdecl] = ACTIONS(2598),
    [anon_sym___clrcall] = ACTIONS(2598),
    [anon_sym___stdcall] = ACTIONS(2598),
    [anon_sym___fastcall] = ACTIONS(2598),
    [anon_sym___thiscall] = ACTIONS(2598),
    [anon_sym___vectorcall] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym__Nonnull] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym__Alignas] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2598),
    [anon_sym_default] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_do] = ACTIONS(2598),
    [anon_sym_for] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_break] = ACTIONS(2598),
    [anon_sym_continue] = ACTIONS(2598),
    [anon_sym_goto] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2598),
    [anon_sym___leave] = ACTIONS(2598),
    [anon_sym_not] = ACTIONS(2598),
    [anon_sym_compl] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2598),
    [anon_sym___alignof] = ACTIONS(2598),
    [anon_sym__alignof] = ACTIONS(2598),
    [anon_sym_alignof] = ACTIONS(2598),
    [anon_sym__Alignof] = ACTIONS(2598),
    [anon_sym_offsetof] = ACTIONS(2598),
    [anon_sym__Generic] = ACTIONS(2598),
    [anon_sym_asm] = ACTIONS(2598),
    [anon_sym___asm__] = ACTIONS(2598),
    [anon_sym___asm] = ACTIONS(2598),
    [sym_number_literal] = ACTIONS(2600),
    [anon_sym_L_SQUOTE] = ACTIONS(2600),
    [anon_sym_u_SQUOTE] = ACTIONS(2600),
    [anon_sym_U_SQUOTE] = ACTIONS(2600),
    [anon_sym_u8_SQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [anon_sym_L_DQUOTE] = ACTIONS(2600),
    [anon_sym_u_DQUOTE] = ACTIONS(2600),
    [anon_sym_U_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8_DQUOTE] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2600),
    [sym_true] = ACTIONS(2598),
    [sym_false] = ACTIONS(2598),
    [anon_sym_NULL] = ACTIONS(2598),
    [anon_sym_nullptr] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_delete] = ACTIONS(2598),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_namespace] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_concept] = ACTIONS(2598),
    [anon_sym_co_return] = ACTIONS(2598),
    [anon_sym_co_yield] = ACTIONS(2598),
    [anon_sym_R_DQUOTE] = ACTIONS(2600),
    [anon_sym_LR_DQUOTE] = ACTIONS(2600),
    [anon_sym_uR_DQUOTE] = ACTIONS(2600),
    [anon_sym_UR_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2600),
    [anon_sym_co_await] = ACTIONS(2598),
    [anon_sym_new] = ACTIONS(2598),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2598),
    [anon_sym_discard] = ACTIONS(2598),
    [anon_sym_precise] = ACTIONS(2598),
    [anon_sym_shared] = ACTIONS(2598),
    [anon_sym_groupshared] = ACTIONS(2598),
    [anon_sym_uniform] = ACTIONS(2598),
    [anon_sym_row_major] = ACTIONS(2598),
    [anon_sym_column_major] = ACTIONS(2598),
    [anon_sym_globallycoherent] = ACTIONS(2598),
    [anon_sym_centroid] = ACTIONS(2598),
    [anon_sym_noperspective] = ACTIONS(2598),
    [anon_sym_nointerpolation] = ACTIONS(2598),
    [anon_sym_sample] = ACTIONS(2598),
    [anon_sym_linear] = ACTIONS(2598),
    [anon_sym_snorm] = ACTIONS(2598),
    [anon_sym_unorm] = ACTIONS(2598),
    [anon_sym_point] = ACTIONS(2598),
    [anon_sym_line] = ACTIONS(2598),
    [anon_sym_triangleadj] = ACTIONS(2598),
    [anon_sym_lineadj] = ACTIONS(2598),
    [anon_sym_triangle] = ACTIONS(2598),
    [anon_sym_cbuffer] = ACTIONS(2598),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2602),
    [aux_sym_preproc_include_token1] = ACTIONS(2602),
    [aux_sym_preproc_def_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token2] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2602),
    [aux_sym_preproc_else_token1] = ACTIONS(2602),
    [aux_sym_preproc_elif_token1] = ACTIONS(2602),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2602),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2602),
    [sym_preproc_directive] = ACTIONS(2602),
    [anon_sym_LPAREN2] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2602),
    [anon_sym_typedef] = ACTIONS(2602),
    [anon_sym_in] = ACTIONS(2602),
    [anon_sym_out] = ACTIONS(2602),
    [anon_sym_inout] = ACTIONS(2602),
    [anon_sym_virtual] = ACTIONS(2602),
    [anon_sym_extern] = ACTIONS(2602),
    [anon_sym___attribute__] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2604),
    [anon_sym___declspec] = ACTIONS(2602),
    [anon_sym___based] = ACTIONS(2602),
    [anon_sym___cdecl] = ACTIONS(2602),
    [anon_sym___clrcall] = ACTIONS(2602),
    [anon_sym___stdcall] = ACTIONS(2602),
    [anon_sym___fastcall] = ACTIONS(2602),
    [anon_sym___thiscall] = ACTIONS(2602),
    [anon_sym___vectorcall] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_register] = ACTIONS(2602),
    [anon_sym_inline] = ACTIONS(2602),
    [anon_sym___inline] = ACTIONS(2602),
    [anon_sym___inline__] = ACTIONS(2602),
    [anon_sym___forceinline] = ACTIONS(2602),
    [anon_sym_thread_local] = ACTIONS(2602),
    [anon_sym___thread] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_constexpr] = ACTIONS(2602),
    [anon_sym_volatile] = ACTIONS(2602),
    [anon_sym_restrict] = ACTIONS(2602),
    [anon_sym___restrict__] = ACTIONS(2602),
    [anon_sym__Atomic] = ACTIONS(2602),
    [anon_sym__Noreturn] = ACTIONS(2602),
    [anon_sym_noreturn] = ACTIONS(2602),
    [anon_sym__Nonnull] = ACTIONS(2602),
    [anon_sym_mutable] = ACTIONS(2602),
    [anon_sym_constinit] = ACTIONS(2602),
    [anon_sym_consteval] = ACTIONS(2602),
    [anon_sym_alignas] = ACTIONS(2602),
    [anon_sym__Alignas] = ACTIONS(2602),
    [sym_primitive_type] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_struct] = ACTIONS(2602),
    [anon_sym_union] = ACTIONS(2602),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_case] = ACTIONS(2602),
    [anon_sym_default] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_goto] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2602),
    [anon_sym___leave] = ACTIONS(2602),
    [anon_sym_not] = ACTIONS(2602),
    [anon_sym_compl] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_sizeof] = ACTIONS(2602),
    [anon_sym___alignof__] = ACTIONS(2602),
    [anon_sym___alignof] = ACTIONS(2602),
    [anon_sym__alignof] = ACTIONS(2602),
    [anon_sym_alignof] = ACTIONS(2602),
    [anon_sym__Alignof] = ACTIONS(2602),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2602),
    [anon_sym_asm] = ACTIONS(2602),
    [anon_sym___asm__] = ACTIONS(2602),
    [anon_sym___asm] = ACTIONS(2602),
    [sym_number_literal] = ACTIONS(2604),
    [anon_sym_L_SQUOTE] = ACTIONS(2604),
    [anon_sym_u_SQUOTE] = ACTIONS(2604),
    [anon_sym_U_SQUOTE] = ACTIONS(2604),
    [anon_sym_u8_SQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_L_DQUOTE] = ACTIONS(2604),
    [anon_sym_u_DQUOTE] = ACTIONS(2604),
    [anon_sym_U_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8_DQUOTE] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [anon_sym_NULL] = ACTIONS(2602),
    [anon_sym_nullptr] = ACTIONS(2602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2602),
    [anon_sym_decltype] = ACTIONS(2602),
    [anon_sym_explicit] = ACTIONS(2602),
    [anon_sym_typename] = ACTIONS(2602),
    [anon_sym_template] = ACTIONS(2602),
    [anon_sym_operator] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_using] = ACTIONS(2602),
    [anon_sym_static_assert] = ACTIONS(2602),
    [anon_sym_concept] = ACTIONS(2602),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2602),
    [anon_sym_R_DQUOTE] = ACTIONS(2604),
    [anon_sym_LR_DQUOTE] = ACTIONS(2604),
    [anon_sym_uR_DQUOTE] = ACTIONS(2604),
    [anon_sym_UR_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2604),
    [anon_sym_co_await] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_requires] = ACTIONS(2602),
    [sym_this] = ACTIONS(2602),
    [anon_sym_discard] = ACTIONS(2602),
    [anon_sym_precise] = ACTIONS(2602),
    [anon_sym_shared] = ACTIONS(2602),
    [anon_sym_groupshared] = ACTIONS(2602),
    [anon_sym_uniform] = ACTIONS(2602),
    [anon_sym_row_major] = ACTIONS(2602),
    [anon_sym_column_major] = ACTIONS(2602),
    [anon_sym_globallycoherent] = ACTIONS(2602),
    [anon_sym_centroid] = ACTIONS(2602),
    [anon_sym_noperspective] = ACTIONS(2602),
    [anon_sym_nointerpolation] = ACTIONS(2602),
    [anon_sym_sample] = ACTIONS(2602),
    [anon_sym_linear] = ACTIONS(2602),
    [anon_sym_snorm] = ACTIONS(2602),
    [anon_sym_unorm] = ACTIONS(2602),
    [anon_sym_point] = ACTIONS(2602),
    [anon_sym_line] = ACTIONS(2602),
    [anon_sym_triangleadj] = ACTIONS(2602),
    [anon_sym_lineadj] = ACTIONS(2602),
    [anon_sym_triangle] = ACTIONS(2602),
    [anon_sym_cbuffer] = ACTIONS(2602),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_include_token1] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token2] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [aux_sym_preproc_else_token1] = ACTIONS(2606),
    [aux_sym_preproc_elif_token1] = ACTIONS(2606),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_in] = ACTIONS(2606),
    [anon_sym_out] = ACTIONS(2606),
    [anon_sym_inout] = ACTIONS(2606),
    [anon_sym_virtual] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym___cdecl] = ACTIONS(2606),
    [anon_sym___clrcall] = ACTIONS(2606),
    [anon_sym___stdcall] = ACTIONS(2606),
    [anon_sym___fastcall] = ACTIONS(2606),
    [anon_sym___thiscall] = ACTIONS(2606),
    [anon_sym___vectorcall] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym__Nonnull] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym__Alignas] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_switch] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2606),
    [anon_sym_default] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_return] = ACTIONS(2606),
    [anon_sym_break] = ACTIONS(2606),
    [anon_sym_continue] = ACTIONS(2606),
    [anon_sym_goto] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2606),
    [anon_sym___leave] = ACTIONS(2606),
    [anon_sym_not] = ACTIONS(2606),
    [anon_sym_compl] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_sizeof] = ACTIONS(2606),
    [anon_sym___alignof__] = ACTIONS(2606),
    [anon_sym___alignof] = ACTIONS(2606),
    [anon_sym__alignof] = ACTIONS(2606),
    [anon_sym_alignof] = ACTIONS(2606),
    [anon_sym__Alignof] = ACTIONS(2606),
    [anon_sym_offsetof] = ACTIONS(2606),
    [anon_sym__Generic] = ACTIONS(2606),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [sym_number_literal] = ACTIONS(2608),
    [anon_sym_L_SQUOTE] = ACTIONS(2608),
    [anon_sym_u_SQUOTE] = ACTIONS(2608),
    [anon_sym_U_SQUOTE] = ACTIONS(2608),
    [anon_sym_u8_SQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_L_DQUOTE] = ACTIONS(2608),
    [anon_sym_u_DQUOTE] = ACTIONS(2608),
    [anon_sym_U_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8_DQUOTE] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [anon_sym_NULL] = ACTIONS(2606),
    [anon_sym_nullptr] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_throw] = ACTIONS(2606),
    [anon_sym_namespace] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_concept] = ACTIONS(2606),
    [anon_sym_co_return] = ACTIONS(2606),
    [anon_sym_co_yield] = ACTIONS(2606),
    [anon_sym_R_DQUOTE] = ACTIONS(2608),
    [anon_sym_LR_DQUOTE] = ACTIONS(2608),
    [anon_sym_uR_DQUOTE] = ACTIONS(2608),
    [anon_sym_UR_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2608),
    [anon_sym_co_await] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_requires] = ACTIONS(2606),
    [sym_this] = ACTIONS(2606),
    [anon_sym_discard] = ACTIONS(2606),
    [anon_sym_precise] = ACTIONS(2606),
    [anon_sym_shared] = ACTIONS(2606),
    [anon_sym_groupshared] = ACTIONS(2606),
    [anon_sym_uniform] = ACTIONS(2606),
    [anon_sym_row_major] = ACTIONS(2606),
    [anon_sym_column_major] = ACTIONS(2606),
    [anon_sym_globallycoherent] = ACTIONS(2606),
    [anon_sym_centroid] = ACTIONS(2606),
    [anon_sym_noperspective] = ACTIONS(2606),
    [anon_sym_nointerpolation] = ACTIONS(2606),
    [anon_sym_sample] = ACTIONS(2606),
    [anon_sym_linear] = ACTIONS(2606),
    [anon_sym_snorm] = ACTIONS(2606),
    [anon_sym_unorm] = ACTIONS(2606),
    [anon_sym_point] = ACTIONS(2606),
    [anon_sym_line] = ACTIONS(2606),
    [anon_sym_triangleadj] = ACTIONS(2606),
    [anon_sym_lineadj] = ACTIONS(2606),
    [anon_sym_triangle] = ACTIONS(2606),
    [anon_sym_cbuffer] = ACTIONS(2606),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [aux_sym_preproc_else_token1] = ACTIONS(2610),
    [aux_sym_preproc_elif_token1] = ACTIONS(2610),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [anon_sym___asm] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
    [anon_sym_discard] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
    [anon_sym_cbuffer] = ACTIONS(2610),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [aux_sym_preproc_else_token1] = ACTIONS(2610),
    [aux_sym_preproc_elif_token1] = ACTIONS(2610),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [anon_sym___asm] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
    [anon_sym_discard] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
    [anon_sym_cbuffer] = ACTIONS(2610),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token2] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [aux_sym_preproc_else_token1] = ACTIONS(2614),
    [aux_sym_preproc_elif_token1] = ACTIONS(2614),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_out] = ACTIONS(2614),
    [anon_sym_inout] = ACTIONS(2614),
    [anon_sym_virtual] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym___leave] = ACTIONS(2614),
    [anon_sym_not] = ACTIONS(2614),
    [anon_sym_compl] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [anon_sym___asm] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_namespace] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_concept] = ACTIONS(2614),
    [anon_sym_co_return] = ACTIONS(2614),
    [anon_sym_co_yield] = ACTIONS(2614),
    [anon_sym_R_DQUOTE] = ACTIONS(2616),
    [anon_sym_LR_DQUOTE] = ACTIONS(2616),
    [anon_sym_uR_DQUOTE] = ACTIONS(2616),
    [anon_sym_UR_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2616),
    [anon_sym_co_await] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_requires] = ACTIONS(2614),
    [sym_this] = ACTIONS(2614),
    [anon_sym_discard] = ACTIONS(2614),
    [anon_sym_precise] = ACTIONS(2614),
    [anon_sym_shared] = ACTIONS(2614),
    [anon_sym_groupshared] = ACTIONS(2614),
    [anon_sym_uniform] = ACTIONS(2614),
    [anon_sym_row_major] = ACTIONS(2614),
    [anon_sym_column_major] = ACTIONS(2614),
    [anon_sym_globallycoherent] = ACTIONS(2614),
    [anon_sym_centroid] = ACTIONS(2614),
    [anon_sym_noperspective] = ACTIONS(2614),
    [anon_sym_nointerpolation] = ACTIONS(2614),
    [anon_sym_sample] = ACTIONS(2614),
    [anon_sym_linear] = ACTIONS(2614),
    [anon_sym_snorm] = ACTIONS(2614),
    [anon_sym_unorm] = ACTIONS(2614),
    [anon_sym_point] = ACTIONS(2614),
    [anon_sym_line] = ACTIONS(2614),
    [anon_sym_triangleadj] = ACTIONS(2614),
    [anon_sym_lineadj] = ACTIONS(2614),
    [anon_sym_triangle] = ACTIONS(2614),
    [anon_sym_cbuffer] = ACTIONS(2614),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [aux_sym_preproc_else_token1] = ACTIONS(2618),
    [aux_sym_preproc_elif_token1] = ACTIONS(2618),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_out] = ACTIONS(2618),
    [anon_sym_inout] = ACTIONS(2618),
    [anon_sym_virtual] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym___leave] = ACTIONS(2618),
    [anon_sym_not] = ACTIONS(2618),
    [anon_sym_compl] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [anon_sym___asm] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_delete] = ACTIONS(2618),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_namespace] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_concept] = ACTIONS(2618),
    [anon_sym_co_return] = ACTIONS(2618),
    [anon_sym_co_yield] = ACTIONS(2618),
    [anon_sym_R_DQUOTE] = ACTIONS(2620),
    [anon_sym_LR_DQUOTE] = ACTIONS(2620),
    [anon_sym_uR_DQUOTE] = ACTIONS(2620),
    [anon_sym_UR_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2620),
    [anon_sym_co_await] = ACTIONS(2618),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_requires] = ACTIONS(2618),
    [sym_this] = ACTIONS(2618),
    [anon_sym_discard] = ACTIONS(2618),
    [anon_sym_precise] = ACTIONS(2618),
    [anon_sym_shared] = ACTIONS(2618),
    [anon_sym_groupshared] = ACTIONS(2618),
    [anon_sym_uniform] = ACTIONS(2618),
    [anon_sym_row_major] = ACTIONS(2618),
    [anon_sym_column_major] = ACTIONS(2618),
    [anon_sym_globallycoherent] = ACTIONS(2618),
    [anon_sym_centroid] = ACTIONS(2618),
    [anon_sym_noperspective] = ACTIONS(2618),
    [anon_sym_nointerpolation] = ACTIONS(2618),
    [anon_sym_sample] = ACTIONS(2618),
    [anon_sym_linear] = ACTIONS(2618),
    [anon_sym_snorm] = ACTIONS(2618),
    [anon_sym_unorm] = ACTIONS(2618),
    [anon_sym_point] = ACTIONS(2618),
    [anon_sym_line] = ACTIONS(2618),
    [anon_sym_triangleadj] = ACTIONS(2618),
    [anon_sym_lineadj] = ACTIONS(2618),
    [anon_sym_triangle] = ACTIONS(2618),
    [anon_sym_cbuffer] = ACTIONS(2618),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [aux_sym_preproc_else_token1] = ACTIONS(2622),
    [aux_sym_preproc_elif_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_out] = ACTIONS(2622),
    [anon_sym_inout] = ACTIONS(2622),
    [anon_sym_virtual] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym___leave] = ACTIONS(2622),
    [anon_sym_not] = ACTIONS(2622),
    [anon_sym_compl] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_try] = ACTIONS(2622),
    [anon_sym_delete] = ACTIONS(2622),
    [anon_sym_throw] = ACTIONS(2622),
    [anon_sym_namespace] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_concept] = ACTIONS(2622),
    [anon_sym_co_return] = ACTIONS(2622),
    [anon_sym_co_yield] = ACTIONS(2622),
    [anon_sym_R_DQUOTE] = ACTIONS(2624),
    [anon_sym_LR_DQUOTE] = ACTIONS(2624),
    [anon_sym_uR_DQUOTE] = ACTIONS(2624),
    [anon_sym_UR_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2624),
    [anon_sym_co_await] = ACTIONS(2622),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_requires] = ACTIONS(2622),
    [sym_this] = ACTIONS(2622),
    [anon_sym_discard] = ACTIONS(2622),
    [anon_sym_precise] = ACTIONS(2622),
    [anon_sym_shared] = ACTIONS(2622),
    [anon_sym_groupshared] = ACTIONS(2622),
    [anon_sym_uniform] = ACTIONS(2622),
    [anon_sym_row_major] = ACTIONS(2622),
    [anon_sym_column_major] = ACTIONS(2622),
    [anon_sym_globallycoherent] = ACTIONS(2622),
    [anon_sym_centroid] = ACTIONS(2622),
    [anon_sym_noperspective] = ACTIONS(2622),
    [anon_sym_nointerpolation] = ACTIONS(2622),
    [anon_sym_sample] = ACTIONS(2622),
    [anon_sym_linear] = ACTIONS(2622),
    [anon_sym_snorm] = ACTIONS(2622),
    [anon_sym_unorm] = ACTIONS(2622),
    [anon_sym_point] = ACTIONS(2622),
    [anon_sym_line] = ACTIONS(2622),
    [anon_sym_triangleadj] = ACTIONS(2622),
    [anon_sym_lineadj] = ACTIONS(2622),
    [anon_sym_triangle] = ACTIONS(2622),
    [anon_sym_cbuffer] = ACTIONS(2622),
  },
  [320] = {
    [sym_catch_clause] = STATE(320),
    [aux_sym_constructor_try_statement_repeat1] = STATE(320),
    [sym_identifier] = ACTIONS(2061),
    [aux_sym_preproc_include_token1] = ACTIONS(2061),
    [aux_sym_preproc_def_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2061),
    [sym_preproc_directive] = ACTIONS(2061),
    [anon_sym_LPAREN2] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_TILDE] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_AMP_AMP] = ACTIONS(2063),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2063),
    [anon_sym___extension__] = ACTIONS(2061),
    [anon_sym_typedef] = ACTIONS(2061),
    [anon_sym_in] = ACTIONS(2061),
    [anon_sym_out] = ACTIONS(2061),
    [anon_sym_inout] = ACTIONS(2061),
    [anon_sym_virtual] = ACTIONS(2061),
    [anon_sym_extern] = ACTIONS(2061),
    [anon_sym___attribute__] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym___declspec] = ACTIONS(2061),
    [anon_sym___based] = ACTIONS(2061),
    [anon_sym___cdecl] = ACTIONS(2061),
    [anon_sym___clrcall] = ACTIONS(2061),
    [anon_sym___stdcall] = ACTIONS(2061),
    [anon_sym___fastcall] = ACTIONS(2061),
    [anon_sym___thiscall] = ACTIONS(2061),
    [anon_sym___vectorcall] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2063),
    [anon_sym_signed] = ACTIONS(2061),
    [anon_sym_unsigned] = ACTIONS(2061),
    [anon_sym_long] = ACTIONS(2061),
    [anon_sym_short] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_static] = ACTIONS(2061),
    [anon_sym_register] = ACTIONS(2061),
    [anon_sym_inline] = ACTIONS(2061),
    [anon_sym___inline] = ACTIONS(2061),
    [anon_sym___inline__] = ACTIONS(2061),
    [anon_sym___forceinline] = ACTIONS(2061),
    [anon_sym_thread_local] = ACTIONS(2061),
    [anon_sym___thread] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(2061),
    [anon_sym_constexpr] = ACTIONS(2061),
    [anon_sym_volatile] = ACTIONS(2061),
    [anon_sym_restrict] = ACTIONS(2061),
    [anon_sym___restrict__] = ACTIONS(2061),
    [anon_sym__Atomic] = ACTIONS(2061),
    [anon_sym__Noreturn] = ACTIONS(2061),
    [anon_sym_noreturn] = ACTIONS(2061),
    [anon_sym__Nonnull] = ACTIONS(2061),
    [anon_sym_mutable] = ACTIONS(2061),
    [anon_sym_constinit] = ACTIONS(2061),
    [anon_sym_consteval] = ACTIONS(2061),
    [anon_sym_alignas] = ACTIONS(2061),
    [anon_sym__Alignas] = ACTIONS(2061),
    [sym_primitive_type] = ACTIONS(2061),
    [anon_sym_enum] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_struct] = ACTIONS(2061),
    [anon_sym_union] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_else] = ACTIONS(2061),
    [anon_sym_switch] = ACTIONS(2061),
    [anon_sym_case] = ACTIONS(2061),
    [anon_sym_default] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym___try] = ACTIONS(2061),
    [anon_sym___leave] = ACTIONS(2061),
    [anon_sym_not] = ACTIONS(2061),
    [anon_sym_compl] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2063),
    [anon_sym_PLUS_PLUS] = ACTIONS(2063),
    [anon_sym_sizeof] = ACTIONS(2061),
    [anon_sym___alignof__] = ACTIONS(2061),
    [anon_sym___alignof] = ACTIONS(2061),
    [anon_sym__alignof] = ACTIONS(2061),
    [anon_sym_alignof] = ACTIONS(2061),
    [anon_sym__Alignof] = ACTIONS(2061),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2061),
    [anon_sym_asm] = ACTIONS(2061),
    [anon_sym___asm__] = ACTIONS(2061),
    [anon_sym___asm] = ACTIONS(2061),
    [sym_number_literal] = ACTIONS(2063),
    [anon_sym_L_SQUOTE] = ACTIONS(2063),
    [anon_sym_u_SQUOTE] = ACTIONS(2063),
    [anon_sym_U_SQUOTE] = ACTIONS(2063),
    [anon_sym_u8_SQUOTE] = ACTIONS(2063),
    [anon_sym_SQUOTE] = ACTIONS(2063),
    [anon_sym_L_DQUOTE] = ACTIONS(2063),
    [anon_sym_u_DQUOTE] = ACTIONS(2063),
    [anon_sym_U_DQUOTE] = ACTIONS(2063),
    [anon_sym_u8_DQUOTE] = ACTIONS(2063),
    [anon_sym_DQUOTE] = ACTIONS(2063),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2061),
    [anon_sym_nullptr] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2061),
    [anon_sym_decltype] = ACTIONS(2061),
    [anon_sym_explicit] = ACTIONS(2061),
    [anon_sym_typename] = ACTIONS(2061),
    [anon_sym_template] = ACTIONS(2061),
    [anon_sym_operator] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2061),
    [anon_sym_namespace] = ACTIONS(2061),
    [anon_sym_using] = ACTIONS(2061),
    [anon_sym_static_assert] = ACTIONS(2061),
    [anon_sym_concept] = ACTIONS(2061),
    [anon_sym_co_return] = ACTIONS(2061),
    [anon_sym_co_yield] = ACTIONS(2061),
    [anon_sym_catch] = ACTIONS(2626),
    [anon_sym_R_DQUOTE] = ACTIONS(2063),
    [anon_sym_LR_DQUOTE] = ACTIONS(2063),
    [anon_sym_uR_DQUOTE] = ACTIONS(2063),
    [anon_sym_UR_DQUOTE] = ACTIONS(2063),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2063),
    [anon_sym_co_await] = ACTIONS(2061),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2061),
    [sym_this] = ACTIONS(2061),
    [anon_sym_discard] = ACTIONS(2061),
    [anon_sym_precise] = ACTIONS(2061),
    [anon_sym_shared] = ACTIONS(2061),
    [anon_sym_groupshared] = ACTIONS(2061),
    [anon_sym_uniform] = ACTIONS(2061),
    [anon_sym_row_major] = ACTIONS(2061),
    [anon_sym_column_major] = ACTIONS(2061),
    [anon_sym_globallycoherent] = ACTIONS(2061),
    [anon_sym_centroid] = ACTIONS(2061),
    [anon_sym_noperspective] = ACTIONS(2061),
    [anon_sym_nointerpolation] = ACTIONS(2061),
    [anon_sym_sample] = ACTIONS(2061),
    [anon_sym_linear] = ACTIONS(2061),
    [anon_sym_snorm] = ACTIONS(2061),
    [anon_sym_unorm] = ACTIONS(2061),
    [anon_sym_point] = ACTIONS(2061),
    [anon_sym_line] = ACTIONS(2061),
    [anon_sym_triangleadj] = ACTIONS(2061),
    [anon_sym_lineadj] = ACTIONS(2061),
    [anon_sym_triangle] = ACTIONS(2061),
    [anon_sym_cbuffer] = ACTIONS(2061),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [anon_sym___asm] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
    [anon_sym_discard] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
    [anon_sym_cbuffer] = ACTIONS(2629),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
    [anon_sym_discard] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
    [anon_sym_cbuffer] = ACTIONS(2633),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [aux_sym_preproc_else_token1] = ACTIONS(2637),
    [aux_sym_preproc_elif_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [anon_sym___asm] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
    [anon_sym_discard] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
    [anon_sym_cbuffer] = ACTIONS(2637),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [aux_sym_preproc_else_token1] = ACTIONS(2641),
    [aux_sym_preproc_elif_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [anon_sym___asm] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
    [anon_sym_discard] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
    [anon_sym_cbuffer] = ACTIONS(2641),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2076),
    [aux_sym_preproc_include_token1] = ACTIONS(2076),
    [aux_sym_preproc_def_token1] = ACTIONS(2076),
    [aux_sym_preproc_if_token1] = ACTIONS(2076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2076),
    [sym_preproc_directive] = ACTIONS(2076),
    [anon_sym_LPAREN2] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_AMP_AMP] = ACTIONS(2078),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym___extension__] = ACTIONS(2076),
    [anon_sym_typedef] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2076),
    [anon_sym_out] = ACTIONS(2076),
    [anon_sym_inout] = ACTIONS(2076),
    [anon_sym_virtual] = ACTIONS(2076),
    [anon_sym_extern] = ACTIONS(2076),
    [anon_sym___attribute__] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2078),
    [anon_sym___declspec] = ACTIONS(2076),
    [anon_sym___based] = ACTIONS(2076),
    [anon_sym___cdecl] = ACTIONS(2076),
    [anon_sym___clrcall] = ACTIONS(2076),
    [anon_sym___stdcall] = ACTIONS(2076),
    [anon_sym___fastcall] = ACTIONS(2076),
    [anon_sym___thiscall] = ACTIONS(2076),
    [anon_sym___vectorcall] = ACTIONS(2076),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_RBRACE] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2076),
    [anon_sym_unsigned] = ACTIONS(2076),
    [anon_sym_long] = ACTIONS(2076),
    [anon_sym_short] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_static] = ACTIONS(2076),
    [anon_sym_register] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(2076),
    [anon_sym___inline] = ACTIONS(2076),
    [anon_sym___inline__] = ACTIONS(2076),
    [anon_sym___forceinline] = ACTIONS(2076),
    [anon_sym_thread_local] = ACTIONS(2076),
    [anon_sym___thread] = ACTIONS(2076),
    [anon_sym_const] = ACTIONS(2076),
    [anon_sym_constexpr] = ACTIONS(2076),
    [anon_sym_volatile] = ACTIONS(2076),
    [anon_sym_restrict] = ACTIONS(2076),
    [anon_sym___restrict__] = ACTIONS(2076),
    [anon_sym__Atomic] = ACTIONS(2076),
    [anon_sym__Noreturn] = ACTIONS(2076),
    [anon_sym_noreturn] = ACTIONS(2076),
    [anon_sym__Nonnull] = ACTIONS(2076),
    [anon_sym_mutable] = ACTIONS(2076),
    [anon_sym_constinit] = ACTIONS(2076),
    [anon_sym_consteval] = ACTIONS(2076),
    [anon_sym_alignas] = ACTIONS(2076),
    [anon_sym__Alignas] = ACTIONS(2076),
    [sym_primitive_type] = ACTIONS(2076),
    [anon_sym_enum] = ACTIONS(2076),
    [anon_sym_class] = ACTIONS(2076),
    [anon_sym_struct] = ACTIONS(2076),
    [anon_sym_union] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_else] = ACTIONS(2076),
    [anon_sym_switch] = ACTIONS(2076),
    [anon_sym_case] = ACTIONS(2076),
    [anon_sym_default] = ACTIONS(2076),
    [anon_sym_while] = ACTIONS(2076),
    [anon_sym_do] = ACTIONS(2076),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_break] = ACTIONS(2076),
    [anon_sym_continue] = ACTIONS(2076),
    [anon_sym_goto] = ACTIONS(2076),
    [anon_sym___try] = ACTIONS(2076),
    [anon_sym___leave] = ACTIONS(2076),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_compl] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2078),
    [anon_sym_PLUS_PLUS] = ACTIONS(2078),
    [anon_sym_sizeof] = ACTIONS(2076),
    [anon_sym___alignof__] = ACTIONS(2076),
    [anon_sym___alignof] = ACTIONS(2076),
    [anon_sym__alignof] = ACTIONS(2076),
    [anon_sym_alignof] = ACTIONS(2076),
    [anon_sym__Alignof] = ACTIONS(2076),
    [anon_sym_offsetof] = ACTIONS(2076),
    [anon_sym__Generic] = ACTIONS(2076),
    [anon_sym_asm] = ACTIONS(2076),
    [anon_sym___asm__] = ACTIONS(2076),
    [anon_sym___asm] = ACTIONS(2076),
    [sym_number_literal] = ACTIONS(2078),
    [anon_sym_L_SQUOTE] = ACTIONS(2078),
    [anon_sym_u_SQUOTE] = ACTIONS(2078),
    [anon_sym_U_SQUOTE] = ACTIONS(2078),
    [anon_sym_u8_SQUOTE] = ACTIONS(2078),
    [anon_sym_SQUOTE] = ACTIONS(2078),
    [anon_sym_L_DQUOTE] = ACTIONS(2078),
    [anon_sym_u_DQUOTE] = ACTIONS(2078),
    [anon_sym_U_DQUOTE] = ACTIONS(2078),
    [anon_sym_u8_DQUOTE] = ACTIONS(2078),
    [anon_sym_DQUOTE] = ACTIONS(2078),
    [sym_true] = ACTIONS(2076),
    [sym_false] = ACTIONS(2076),
    [anon_sym_NULL] = ACTIONS(2076),
    [anon_sym_nullptr] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2076),
    [anon_sym_decltype] = ACTIONS(2076),
    [anon_sym_final] = ACTIONS(2076),
    [anon_sym_override] = ACTIONS(2076),
    [anon_sym_explicit] = ACTIONS(2076),
    [anon_sym_typename] = ACTIONS(2076),
    [anon_sym_template] = ACTIONS(2076),
    [anon_sym_operator] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2076),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2076),
    [anon_sym_namespace] = ACTIONS(2076),
    [anon_sym_using] = ACTIONS(2076),
    [anon_sym_static_assert] = ACTIONS(2076),
    [anon_sym_concept] = ACTIONS(2076),
    [anon_sym_co_return] = ACTIONS(2076),
    [anon_sym_co_yield] = ACTIONS(2076),
    [anon_sym_R_DQUOTE] = ACTIONS(2078),
    [anon_sym_LR_DQUOTE] = ACTIONS(2078),
    [anon_sym_uR_DQUOTE] = ACTIONS(2078),
    [anon_sym_UR_DQUOTE] = ACTIONS(2078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2078),
    [anon_sym_co_await] = ACTIONS(2076),
    [anon_sym_new] = ACTIONS(2076),
    [anon_sym_requires] = ACTIONS(2076),
    [sym_this] = ACTIONS(2076),
    [anon_sym_discard] = ACTIONS(2076),
    [anon_sym_precise] = ACTIONS(2076),
    [anon_sym_shared] = ACTIONS(2076),
    [anon_sym_groupshared] = ACTIONS(2076),
    [anon_sym_uniform] = ACTIONS(2076),
    [anon_sym_row_major] = ACTIONS(2076),
    [anon_sym_column_major] = ACTIONS(2076),
    [anon_sym_globallycoherent] = ACTIONS(2076),
    [anon_sym_centroid] = ACTIONS(2076),
    [anon_sym_noperspective] = ACTIONS(2076),
    [anon_sym_nointerpolation] = ACTIONS(2076),
    [anon_sym_sample] = ACTIONS(2076),
    [anon_sym_linear] = ACTIONS(2076),
    [anon_sym_snorm] = ACTIONS(2076),
    [anon_sym_unorm] = ACTIONS(2076),
    [anon_sym_point] = ACTIONS(2076),
    [anon_sym_line] = ACTIONS(2076),
    [anon_sym_triangleadj] = ACTIONS(2076),
    [anon_sym_lineadj] = ACTIONS(2076),
    [anon_sym_triangle] = ACTIONS(2076),
    [anon_sym_cbuffer] = ACTIONS(2076),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2072),
    [aux_sym_preproc_include_token1] = ACTIONS(2072),
    [aux_sym_preproc_def_token1] = ACTIONS(2072),
    [aux_sym_preproc_if_token1] = ACTIONS(2072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2072),
    [sym_preproc_directive] = ACTIONS(2072),
    [anon_sym_LPAREN2] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(2074),
    [anon_sym_TILDE] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(2074),
    [anon_sym_AMP] = ACTIONS(2072),
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2074),
    [anon_sym___extension__] = ACTIONS(2072),
    [anon_sym_typedef] = ACTIONS(2072),
    [anon_sym_in] = ACTIONS(2072),
    [anon_sym_out] = ACTIONS(2072),
    [anon_sym_inout] = ACTIONS(2072),
    [anon_sym_virtual] = ACTIONS(2072),
    [anon_sym_extern] = ACTIONS(2072),
    [anon_sym___attribute__] = ACTIONS(2072),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2074),
    [anon_sym___declspec] = ACTIONS(2072),
    [anon_sym___based] = ACTIONS(2072),
    [anon_sym___cdecl] = ACTIONS(2072),
    [anon_sym___clrcall] = ACTIONS(2072),
    [anon_sym___stdcall] = ACTIONS(2072),
    [anon_sym___fastcall] = ACTIONS(2072),
    [anon_sym___thiscall] = ACTIONS(2072),
    [anon_sym___vectorcall] = ACTIONS(2072),
    [anon_sym_LBRACE] = ACTIONS(2074),
    [anon_sym_RBRACE] = ACTIONS(2074),
    [anon_sym_signed] = ACTIONS(2072),
    [anon_sym_unsigned] = ACTIONS(2072),
    [anon_sym_long] = ACTIONS(2072),
    [anon_sym_short] = ACTIONS(2072),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_static] = ACTIONS(2072),
    [anon_sym_register] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(2072),
    [anon_sym___inline] = ACTIONS(2072),
    [anon_sym___inline__] = ACTIONS(2072),
    [anon_sym___forceinline] = ACTIONS(2072),
    [anon_sym_thread_local] = ACTIONS(2072),
    [anon_sym___thread] = ACTIONS(2072),
    [anon_sym_const] = ACTIONS(2072),
    [anon_sym_constexpr] = ACTIONS(2072),
    [anon_sym_volatile] = ACTIONS(2072),
    [anon_sym_restrict] = ACTIONS(2072),
    [anon_sym___restrict__] = ACTIONS(2072),
    [anon_sym__Atomic] = ACTIONS(2072),
    [anon_sym__Noreturn] = ACTIONS(2072),
    [anon_sym_noreturn] = ACTIONS(2072),
    [anon_sym__Nonnull] = ACTIONS(2072),
    [anon_sym_mutable] = ACTIONS(2072),
    [anon_sym_constinit] = ACTIONS(2072),
    [anon_sym_consteval] = ACTIONS(2072),
    [anon_sym_alignas] = ACTIONS(2072),
    [anon_sym__Alignas] = ACTIONS(2072),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_enum] = ACTIONS(2072),
    [anon_sym_class] = ACTIONS(2072),
    [anon_sym_struct] = ACTIONS(2072),
    [anon_sym_union] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_else] = ACTIONS(2072),
    [anon_sym_switch] = ACTIONS(2072),
    [anon_sym_case] = ACTIONS(2072),
    [anon_sym_default] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2072),
    [anon_sym_do] = ACTIONS(2072),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_return] = ACTIONS(2072),
    [anon_sym_break] = ACTIONS(2072),
    [anon_sym_continue] = ACTIONS(2072),
    [anon_sym_goto] = ACTIONS(2072),
    [anon_sym___try] = ACTIONS(2072),
    [anon_sym___leave] = ACTIONS(2072),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2074),
    [anon_sym_PLUS_PLUS] = ACTIONS(2074),
    [anon_sym_sizeof] = ACTIONS(2072),
    [anon_sym___alignof__] = ACTIONS(2072),
    [anon_sym___alignof] = ACTIONS(2072),
    [anon_sym__alignof] = ACTIONS(2072),
    [anon_sym_alignof] = ACTIONS(2072),
    [anon_sym__Alignof] = ACTIONS(2072),
    [anon_sym_offsetof] = ACTIONS(2072),
    [anon_sym__Generic] = ACTIONS(2072),
    [anon_sym_asm] = ACTIONS(2072),
    [anon_sym___asm__] = ACTIONS(2072),
    [anon_sym___asm] = ACTIONS(2072),
    [sym_number_literal] = ACTIONS(2074),
    [anon_sym_L_SQUOTE] = ACTIONS(2074),
    [anon_sym_u_SQUOTE] = ACTIONS(2074),
    [anon_sym_U_SQUOTE] = ACTIONS(2074),
    [anon_sym_u8_SQUOTE] = ACTIONS(2074),
    [anon_sym_SQUOTE] = ACTIONS(2074),
    [anon_sym_L_DQUOTE] = ACTIONS(2074),
    [anon_sym_u_DQUOTE] = ACTIONS(2074),
    [anon_sym_U_DQUOTE] = ACTIONS(2074),
    [anon_sym_u8_DQUOTE] = ACTIONS(2074),
    [anon_sym_DQUOTE] = ACTIONS(2074),
    [sym_true] = ACTIONS(2072),
    [sym_false] = ACTIONS(2072),
    [anon_sym_NULL] = ACTIONS(2072),
    [anon_sym_nullptr] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2072),
    [anon_sym_decltype] = ACTIONS(2072),
    [anon_sym_final] = ACTIONS(2072),
    [anon_sym_override] = ACTIONS(2072),
    [anon_sym_explicit] = ACTIONS(2072),
    [anon_sym_typename] = ACTIONS(2072),
    [anon_sym_template] = ACTIONS(2072),
    [anon_sym_operator] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2072),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2072),
    [anon_sym_namespace] = ACTIONS(2072),
    [anon_sym_using] = ACTIONS(2072),
    [anon_sym_static_assert] = ACTIONS(2072),
    [anon_sym_concept] = ACTIONS(2072),
    [anon_sym_co_return] = ACTIONS(2072),
    [anon_sym_co_yield] = ACTIONS(2072),
    [anon_sym_R_DQUOTE] = ACTIONS(2074),
    [anon_sym_LR_DQUOTE] = ACTIONS(2074),
    [anon_sym_uR_DQUOTE] = ACTIONS(2074),
    [anon_sym_UR_DQUOTE] = ACTIONS(2074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2074),
    [anon_sym_co_await] = ACTIONS(2072),
    [anon_sym_new] = ACTIONS(2072),
    [anon_sym_requires] = ACTIONS(2072),
    [sym_this] = ACTIONS(2072),
    [anon_sym_discard] = ACTIONS(2072),
    [anon_sym_precise] = ACTIONS(2072),
    [anon_sym_shared] = ACTIONS(2072),
    [anon_sym_groupshared] = ACTIONS(2072),
    [anon_sym_uniform] = ACTIONS(2072),
    [anon_sym_row_major] = ACTIONS(2072),
    [anon_sym_column_major] = ACTIONS(2072),
    [anon_sym_globallycoherent] = ACTIONS(2072),
    [anon_sym_centroid] = ACTIONS(2072),
    [anon_sym_noperspective] = ACTIONS(2072),
    [anon_sym_nointerpolation] = ACTIONS(2072),
    [anon_sym_sample] = ACTIONS(2072),
    [anon_sym_linear] = ACTIONS(2072),
    [anon_sym_snorm] = ACTIONS(2072),
    [anon_sym_unorm] = ACTIONS(2072),
    [anon_sym_point] = ACTIONS(2072),
    [anon_sym_line] = ACTIONS(2072),
    [anon_sym_triangleadj] = ACTIONS(2072),
    [anon_sym_lineadj] = ACTIONS(2072),
    [anon_sym_triangle] = ACTIONS(2072),
    [anon_sym_cbuffer] = ACTIONS(2072),
  },
  [330] = {
    [sym_identifier] = ACTIONS(2068),
    [aux_sym_preproc_include_token1] = ACTIONS(2068),
    [aux_sym_preproc_def_token1] = ACTIONS(2068),
    [aux_sym_preproc_if_token1] = ACTIONS(2068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2068),
    [sym_preproc_directive] = ACTIONS(2068),
    [anon_sym_LPAREN2] = ACTIONS(2070),
    [anon_sym_BANG] = ACTIONS(2070),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_AMP_AMP] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_typedef] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym___cdecl] = ACTIONS(2068),
    [anon_sym___clrcall] = ACTIONS(2068),
    [anon_sym___stdcall] = ACTIONS(2068),
    [anon_sym___fastcall] = ACTIONS(2068),
    [anon_sym___thiscall] = ACTIONS(2068),
    [anon_sym___vectorcall] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_RBRACE] = ACTIONS(2070),
    [anon_sym_signed] = ACTIONS(2068),
    [anon_sym_unsigned] = ACTIONS(2068),
    [anon_sym_long] = ACTIONS(2068),
    [anon_sym_short] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [sym_primitive_type] = ACTIONS(2068),
    [anon_sym_enum] = ACTIONS(2068),
    [anon_sym_class] = ACTIONS(2068),
    [anon_sym_struct] = ACTIONS(2068),
    [anon_sym_union] = ACTIONS(2068),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_else] = ACTIONS(2068),
    [anon_sym_switch] = ACTIONS(2068),
    [anon_sym_case] = ACTIONS(2068),
    [anon_sym_default] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2068),
    [anon_sym_do] = ACTIONS(2068),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_return] = ACTIONS(2068),
    [anon_sym_break] = ACTIONS(2068),
    [anon_sym_continue] = ACTIONS(2068),
    [anon_sym_goto] = ACTIONS(2068),
    [anon_sym___try] = ACTIONS(2068),
    [anon_sym___leave] = ACTIONS(2068),
    [anon_sym_not] = ACTIONS(2068),
    [anon_sym_compl] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2070),
    [anon_sym_PLUS_PLUS] = ACTIONS(2070),
    [anon_sym_sizeof] = ACTIONS(2068),
    [anon_sym___alignof__] = ACTIONS(2068),
    [anon_sym___alignof] = ACTIONS(2068),
    [anon_sym__alignof] = ACTIONS(2068),
    [anon_sym_alignof] = ACTIONS(2068),
    [anon_sym__Alignof] = ACTIONS(2068),
    [anon_sym_offsetof] = ACTIONS(2068),
    [anon_sym__Generic] = ACTIONS(2068),
    [anon_sym_asm] = ACTIONS(2068),
    [anon_sym___asm__] = ACTIONS(2068),
    [anon_sym___asm] = ACTIONS(2068),
    [sym_number_literal] = ACTIONS(2070),
    [anon_sym_L_SQUOTE] = ACTIONS(2070),
    [anon_sym_u_SQUOTE] = ACTIONS(2070),
    [anon_sym_U_SQUOTE] = ACTIONS(2070),
    [anon_sym_u8_SQUOTE] = ACTIONS(2070),
    [anon_sym_SQUOTE] = ACTIONS(2070),
    [anon_sym_L_DQUOTE] = ACTIONS(2070),
    [anon_sym_u_DQUOTE] = ACTIONS(2070),
    [anon_sym_U_DQUOTE] = ACTIONS(2070),
    [anon_sym_u8_DQUOTE] = ACTIONS(2070),
    [anon_sym_DQUOTE] = ACTIONS(2070),
    [sym_true] = ACTIONS(2068),
    [sym_false] = ACTIONS(2068),
    [anon_sym_NULL] = ACTIONS(2068),
    [anon_sym_nullptr] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_final] = ACTIONS(2068),
    [anon_sym_override] = ACTIONS(2068),
    [anon_sym_explicit] = ACTIONS(2068),
    [anon_sym_typename] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2068),
    [anon_sym_delete] = ACTIONS(2068),
    [anon_sym_throw] = ACTIONS(2068),
    [anon_sym_namespace] = ACTIONS(2068),
    [anon_sym_using] = ACTIONS(2068),
    [anon_sym_static_assert] = ACTIONS(2068),
    [anon_sym_concept] = ACTIONS(2068),
    [anon_sym_co_return] = ACTIONS(2068),
    [anon_sym_co_yield] = ACTIONS(2068),
    [anon_sym_R_DQUOTE] = ACTIONS(2070),
    [anon_sym_LR_DQUOTE] = ACTIONS(2070),
    [anon_sym_uR_DQUOTE] = ACTIONS(2070),
    [anon_sym_UR_DQUOTE] = ACTIONS(2070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2070),
    [anon_sym_co_await] = ACTIONS(2068),
    [anon_sym_new] = ACTIONS(2068),
    [anon_sym_requires] = ACTIONS(2068),
    [sym_this] = ACTIONS(2068),
    [anon_sym_discard] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
    [anon_sym_cbuffer] = ACTIONS(2068),
  },
  [331] = {
    [sym_catch_clause] = STATE(331),
    [aux_sym_constructor_try_statement_repeat1] = STATE(331),
    [ts_builtin_sym_end] = ACTIONS(2063),
    [sym_identifier] = ACTIONS(2061),
    [aux_sym_preproc_include_token1] = ACTIONS(2061),
    [aux_sym_preproc_def_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2061),
    [sym_preproc_directive] = ACTIONS(2061),
    [anon_sym_LPAREN2] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_TILDE] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_AMP_AMP] = ACTIONS(2063),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2063),
    [anon_sym___extension__] = ACTIONS(2061),
    [anon_sym_typedef] = ACTIONS(2061),
    [anon_sym_in] = ACTIONS(2061),
    [anon_sym_out] = ACTIONS(2061),
    [anon_sym_inout] = ACTIONS(2061),
    [anon_sym_virtual] = ACTIONS(2061),
    [anon_sym_extern] = ACTIONS(2061),
    [anon_sym___attribute__] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym___declspec] = ACTIONS(2061),
    [anon_sym___based] = ACTIONS(2061),
    [anon_sym___cdecl] = ACTIONS(2061),
    [anon_sym___clrcall] = ACTIONS(2061),
    [anon_sym___stdcall] = ACTIONS(2061),
    [anon_sym___fastcall] = ACTIONS(2061),
    [anon_sym___thiscall] = ACTIONS(2061),
    [anon_sym___vectorcall] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2063),
    [anon_sym_signed] = ACTIONS(2061),
    [anon_sym_unsigned] = ACTIONS(2061),
    [anon_sym_long] = ACTIONS(2061),
    [anon_sym_short] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_static] = ACTIONS(2061),
    [anon_sym_register] = ACTIONS(2061),
    [anon_sym_inline] = ACTIONS(2061),
    [anon_sym___inline] = ACTIONS(2061),
    [anon_sym___inline__] = ACTIONS(2061),
    [anon_sym___forceinline] = ACTIONS(2061),
    [anon_sym_thread_local] = ACTIONS(2061),
    [anon_sym___thread] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(2061),
    [anon_sym_constexpr] = ACTIONS(2061),
    [anon_sym_volatile] = ACTIONS(2061),
    [anon_sym_restrict] = ACTIONS(2061),
    [anon_sym___restrict__] = ACTIONS(2061),
    [anon_sym__Atomic] = ACTIONS(2061),
    [anon_sym__Noreturn] = ACTIONS(2061),
    [anon_sym_noreturn] = ACTIONS(2061),
    [anon_sym__Nonnull] = ACTIONS(2061),
    [anon_sym_mutable] = ACTIONS(2061),
    [anon_sym_constinit] = ACTIONS(2061),
    [anon_sym_consteval] = ACTIONS(2061),
    [anon_sym_alignas] = ACTIONS(2061),
    [anon_sym__Alignas] = ACTIONS(2061),
    [sym_primitive_type] = ACTIONS(2061),
    [anon_sym_enum] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_struct] = ACTIONS(2061),
    [anon_sym_union] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_else] = ACTIONS(2061),
    [anon_sym_switch] = ACTIONS(2061),
    [anon_sym_case] = ACTIONS(2061),
    [anon_sym_default] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym___try] = ACTIONS(2061),
    [anon_sym___leave] = ACTIONS(2061),
    [anon_sym_not] = ACTIONS(2061),
    [anon_sym_compl] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2063),
    [anon_sym_PLUS_PLUS] = ACTIONS(2063),
    [anon_sym_sizeof] = ACTIONS(2061),
    [anon_sym___alignof__] = ACTIONS(2061),
    [anon_sym___alignof] = ACTIONS(2061),
    [anon_sym__alignof] = ACTIONS(2061),
    [anon_sym_alignof] = ACTIONS(2061),
    [anon_sym__Alignof] = ACTIONS(2061),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2061),
    [anon_sym_asm] = ACTIONS(2061),
    [anon_sym___asm__] = ACTIONS(2061),
    [anon_sym___asm] = ACTIONS(2061),
    [sym_number_literal] = ACTIONS(2063),
    [anon_sym_L_SQUOTE] = ACTIONS(2063),
    [anon_sym_u_SQUOTE] = ACTIONS(2063),
    [anon_sym_U_SQUOTE] = ACTIONS(2063),
    [anon_sym_u8_SQUOTE] = ACTIONS(2063),
    [anon_sym_SQUOTE] = ACTIONS(2063),
    [anon_sym_L_DQUOTE] = ACTIONS(2063),
    [anon_sym_u_DQUOTE] = ACTIONS(2063),
    [anon_sym_U_DQUOTE] = ACTIONS(2063),
    [anon_sym_u8_DQUOTE] = ACTIONS(2063),
    [anon_sym_DQUOTE] = ACTIONS(2063),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2061),
    [anon_sym_nullptr] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2061),
    [anon_sym_decltype] = ACTIONS(2061),
    [anon_sym_explicit] = ACTIONS(2061),
    [anon_sym_typename] = ACTIONS(2061),
    [anon_sym_template] = ACTIONS(2061),
    [anon_sym_operator] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2061),
    [anon_sym_namespace] = ACTIONS(2061),
    [anon_sym_using] = ACTIONS(2061),
    [anon_sym_static_assert] = ACTIONS(2061),
    [anon_sym_concept] = ACTIONS(2061),
    [anon_sym_co_return] = ACTIONS(2061),
    [anon_sym_co_yield] = ACTIONS(2061),
    [anon_sym_catch] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2063),
    [anon_sym_LR_DQUOTE] = ACTIONS(2063),
    [anon_sym_uR_DQUOTE] = ACTIONS(2063),
    [anon_sym_UR_DQUOTE] = ACTIONS(2063),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2063),
    [anon_sym_co_await] = ACTIONS(2061),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2061),
    [sym_this] = ACTIONS(2061),
    [anon_sym_discard] = ACTIONS(2061),
    [anon_sym_precise] = ACTIONS(2061),
    [anon_sym_shared] = ACTIONS(2061),
    [anon_sym_groupshared] = ACTIONS(2061),
    [anon_sym_uniform] = ACTIONS(2061),
    [anon_sym_row_major] = ACTIONS(2061),
    [anon_sym_column_major] = ACTIONS(2061),
    [anon_sym_globallycoherent] = ACTIONS(2061),
    [anon_sym_centroid] = ACTIONS(2061),
    [anon_sym_noperspective] = ACTIONS(2061),
    [anon_sym_nointerpolation] = ACTIONS(2061),
    [anon_sym_sample] = ACTIONS(2061),
    [anon_sym_linear] = ACTIONS(2061),
    [anon_sym_snorm] = ACTIONS(2061),
    [anon_sym_unorm] = ACTIONS(2061),
    [anon_sym_point] = ACTIONS(2061),
    [anon_sym_line] = ACTIONS(2061),
    [anon_sym_triangleadj] = ACTIONS(2061),
    [anon_sym_lineadj] = ACTIONS(2061),
    [anon_sym_triangle] = ACTIONS(2061),
    [anon_sym_cbuffer] = ACTIONS(2061),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(2078),
    [sym_identifier] = ACTIONS(2076),
    [aux_sym_preproc_include_token1] = ACTIONS(2076),
    [aux_sym_preproc_def_token1] = ACTIONS(2076),
    [aux_sym_preproc_if_token1] = ACTIONS(2076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2076),
    [sym_preproc_directive] = ACTIONS(2076),
    [anon_sym_LPAREN2] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_AMP_AMP] = ACTIONS(2078),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym___extension__] = ACTIONS(2076),
    [anon_sym_typedef] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2076),
    [anon_sym_out] = ACTIONS(2076),
    [anon_sym_inout] = ACTIONS(2076),
    [anon_sym_virtual] = ACTIONS(2076),
    [anon_sym_extern] = ACTIONS(2076),
    [anon_sym___attribute__] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2078),
    [anon_sym___declspec] = ACTIONS(2076),
    [anon_sym___based] = ACTIONS(2076),
    [anon_sym___cdecl] = ACTIONS(2076),
    [anon_sym___clrcall] = ACTIONS(2076),
    [anon_sym___stdcall] = ACTIONS(2076),
    [anon_sym___fastcall] = ACTIONS(2076),
    [anon_sym___thiscall] = ACTIONS(2076),
    [anon_sym___vectorcall] = ACTIONS(2076),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2076),
    [anon_sym_unsigned] = ACTIONS(2076),
    [anon_sym_long] = ACTIONS(2076),
    [anon_sym_short] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_static] = ACTIONS(2076),
    [anon_sym_register] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(2076),
    [anon_sym___inline] = ACTIONS(2076),
    [anon_sym___inline__] = ACTIONS(2076),
    [anon_sym___forceinline] = ACTIONS(2076),
    [anon_sym_thread_local] = ACTIONS(2076),
    [anon_sym___thread] = ACTIONS(2076),
    [anon_sym_const] = ACTIONS(2076),
    [anon_sym_constexpr] = ACTIONS(2076),
    [anon_sym_volatile] = ACTIONS(2076),
    [anon_sym_restrict] = ACTIONS(2076),
    [anon_sym___restrict__] = ACTIONS(2076),
    [anon_sym__Atomic] = ACTIONS(2076),
    [anon_sym__Noreturn] = ACTIONS(2076),
    [anon_sym_noreturn] = ACTIONS(2076),
    [anon_sym__Nonnull] = ACTIONS(2076),
    [anon_sym_mutable] = ACTIONS(2076),
    [anon_sym_constinit] = ACTIONS(2076),
    [anon_sym_consteval] = ACTIONS(2076),
    [anon_sym_alignas] = ACTIONS(2076),
    [anon_sym__Alignas] = ACTIONS(2076),
    [sym_primitive_type] = ACTIONS(2076),
    [anon_sym_enum] = ACTIONS(2076),
    [anon_sym_class] = ACTIONS(2076),
    [anon_sym_struct] = ACTIONS(2076),
    [anon_sym_union] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_else] = ACTIONS(2076),
    [anon_sym_switch] = ACTIONS(2076),
    [anon_sym_case] = ACTIONS(2076),
    [anon_sym_default] = ACTIONS(2076),
    [anon_sym_while] = ACTIONS(2076),
    [anon_sym_do] = ACTIONS(2076),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_break] = ACTIONS(2076),
    [anon_sym_continue] = ACTIONS(2076),
    [anon_sym_goto] = ACTIONS(2076),
    [anon_sym___try] = ACTIONS(2076),
    [anon_sym___leave] = ACTIONS(2076),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_compl] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2078),
    [anon_sym_PLUS_PLUS] = ACTIONS(2078),
    [anon_sym_sizeof] = ACTIONS(2076),
    [anon_sym___alignof__] = ACTIONS(2076),
    [anon_sym___alignof] = ACTIONS(2076),
    [anon_sym__alignof] = ACTIONS(2076),
    [anon_sym_alignof] = ACTIONS(2076),
    [anon_sym__Alignof] = ACTIONS(2076),
    [anon_sym_offsetof] = ACTIONS(2076),
    [anon_sym__Generic] = ACTIONS(2076),
    [anon_sym_asm] = ACTIONS(2076),
    [anon_sym___asm__] = ACTIONS(2076),
    [anon_sym___asm] = ACTIONS(2076),
    [sym_number_literal] = ACTIONS(2078),
    [anon_sym_L_SQUOTE] = ACTIONS(2078),
    [anon_sym_u_SQUOTE] = ACTIONS(2078),
    [anon_sym_U_SQUOTE] = ACTIONS(2078),
    [anon_sym_u8_SQUOTE] = ACTIONS(2078),
    [anon_sym_SQUOTE] = ACTIONS(2078),
    [anon_sym_L_DQUOTE] = ACTIONS(2078),
    [anon_sym_u_DQUOTE] = ACTIONS(2078),
    [anon_sym_U_DQUOTE] = ACTIONS(2078),
    [anon_sym_u8_DQUOTE] = ACTIONS(2078),
    [anon_sym_DQUOTE] = ACTIONS(2078),
    [sym_true] = ACTIONS(2076),
    [sym_false] = ACTIONS(2076),
    [anon_sym_NULL] = ACTIONS(2076),
    [anon_sym_nullptr] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2076),
    [anon_sym_decltype] = ACTIONS(2076),
    [anon_sym_final] = ACTIONS(2076),
    [anon_sym_override] = ACTIONS(2076),
    [anon_sym_explicit] = ACTIONS(2076),
    [anon_sym_typename] = ACTIONS(2076),
    [anon_sym_template] = ACTIONS(2076),
    [anon_sym_operator] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2076),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2076),
    [anon_sym_namespace] = ACTIONS(2076),
    [anon_sym_using] = ACTIONS(2076),
    [anon_sym_static_assert] = ACTIONS(2076),
    [anon_sym_concept] = ACTIONS(2076),
    [anon_sym_co_return] = ACTIONS(2076),
    [anon_sym_co_yield] = ACTIONS(2076),
    [anon_sym_R_DQUOTE] = ACTIONS(2078),
    [anon_sym_LR_DQUOTE] = ACTIONS(2078),
    [anon_sym_uR_DQUOTE] = ACTIONS(2078),
    [anon_sym_UR_DQUOTE] = ACTIONS(2078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2078),
    [anon_sym_co_await] = ACTIONS(2076),
    [anon_sym_new] = ACTIONS(2076),
    [anon_sym_requires] = ACTIONS(2076),
    [sym_this] = ACTIONS(2076),
    [anon_sym_discard] = ACTIONS(2076),
    [anon_sym_precise] = ACTIONS(2076),
    [anon_sym_shared] = ACTIONS(2076),
    [anon_sym_groupshared] = ACTIONS(2076),
    [anon_sym_uniform] = ACTIONS(2076),
    [anon_sym_row_major] = ACTIONS(2076),
    [anon_sym_column_major] = ACTIONS(2076),
    [anon_sym_globallycoherent] = ACTIONS(2076),
    [anon_sym_centroid] = ACTIONS(2076),
    [anon_sym_noperspective] = ACTIONS(2076),
    [anon_sym_nointerpolation] = ACTIONS(2076),
    [anon_sym_sample] = ACTIONS(2076),
    [anon_sym_linear] = ACTIONS(2076),
    [anon_sym_snorm] = ACTIONS(2076),
    [anon_sym_unorm] = ACTIONS(2076),
    [anon_sym_point] = ACTIONS(2076),
    [anon_sym_line] = ACTIONS(2076),
    [anon_sym_triangleadj] = ACTIONS(2076),
    [anon_sym_lineadj] = ACTIONS(2076),
    [anon_sym_triangle] = ACTIONS(2076),
    [anon_sym_cbuffer] = ACTIONS(2076),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(2051),
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(2051),
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(2074),
    [sym_identifier] = ACTIONS(2072),
    [aux_sym_preproc_include_token1] = ACTIONS(2072),
    [aux_sym_preproc_def_token1] = ACTIONS(2072),
    [aux_sym_preproc_if_token1] = ACTIONS(2072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2072),
    [sym_preproc_directive] = ACTIONS(2072),
    [anon_sym_LPAREN2] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(2074),
    [anon_sym_TILDE] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(2074),
    [anon_sym_AMP] = ACTIONS(2072),
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2074),
    [anon_sym___extension__] = ACTIONS(2072),
    [anon_sym_typedef] = ACTIONS(2072),
    [anon_sym_in] = ACTIONS(2072),
    [anon_sym_out] = ACTIONS(2072),
    [anon_sym_inout] = ACTIONS(2072),
    [anon_sym_virtual] = ACTIONS(2072),
    [anon_sym_extern] = ACTIONS(2072),
    [anon_sym___attribute__] = ACTIONS(2072),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2074),
    [anon_sym___declspec] = ACTIONS(2072),
    [anon_sym___based] = ACTIONS(2072),
    [anon_sym___cdecl] = ACTIONS(2072),
    [anon_sym___clrcall] = ACTIONS(2072),
    [anon_sym___stdcall] = ACTIONS(2072),
    [anon_sym___fastcall] = ACTIONS(2072),
    [anon_sym___thiscall] = ACTIONS(2072),
    [anon_sym___vectorcall] = ACTIONS(2072),
    [anon_sym_LBRACE] = ACTIONS(2074),
    [anon_sym_signed] = ACTIONS(2072),
    [anon_sym_unsigned] = ACTIONS(2072),
    [anon_sym_long] = ACTIONS(2072),
    [anon_sym_short] = ACTIONS(2072),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_static] = ACTIONS(2072),
    [anon_sym_register] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(2072),
    [anon_sym___inline] = ACTIONS(2072),
    [anon_sym___inline__] = ACTIONS(2072),
    [anon_sym___forceinline] = ACTIONS(2072),
    [anon_sym_thread_local] = ACTIONS(2072),
    [anon_sym___thread] = ACTIONS(2072),
    [anon_sym_const] = ACTIONS(2072),
    [anon_sym_constexpr] = ACTIONS(2072),
    [anon_sym_volatile] = ACTIONS(2072),
    [anon_sym_restrict] = ACTIONS(2072),
    [anon_sym___restrict__] = ACTIONS(2072),
    [anon_sym__Atomic] = ACTIONS(2072),
    [anon_sym__Noreturn] = ACTIONS(2072),
    [anon_sym_noreturn] = ACTIONS(2072),
    [anon_sym__Nonnull] = ACTIONS(2072),
    [anon_sym_mutable] = ACTIONS(2072),
    [anon_sym_constinit] = ACTIONS(2072),
    [anon_sym_consteval] = ACTIONS(2072),
    [anon_sym_alignas] = ACTIONS(2072),
    [anon_sym__Alignas] = ACTIONS(2072),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_enum] = ACTIONS(2072),
    [anon_sym_class] = ACTIONS(2072),
    [anon_sym_struct] = ACTIONS(2072),
    [anon_sym_union] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_else] = ACTIONS(2072),
    [anon_sym_switch] = ACTIONS(2072),
    [anon_sym_case] = ACTIONS(2072),
    [anon_sym_default] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2072),
    [anon_sym_do] = ACTIONS(2072),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_return] = ACTIONS(2072),
    [anon_sym_break] = ACTIONS(2072),
    [anon_sym_continue] = ACTIONS(2072),
    [anon_sym_goto] = ACTIONS(2072),
    [anon_sym___try] = ACTIONS(2072),
    [anon_sym___leave] = ACTIONS(2072),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2074),
    [anon_sym_PLUS_PLUS] = ACTIONS(2074),
    [anon_sym_sizeof] = ACTIONS(2072),
    [anon_sym___alignof__] = ACTIONS(2072),
    [anon_sym___alignof] = ACTIONS(2072),
    [anon_sym__alignof] = ACTIONS(2072),
    [anon_sym_alignof] = ACTIONS(2072),
    [anon_sym__Alignof] = ACTIONS(2072),
    [anon_sym_offsetof] = ACTIONS(2072),
    [anon_sym__Generic] = ACTIONS(2072),
    [anon_sym_asm] = ACTIONS(2072),
    [anon_sym___asm__] = ACTIONS(2072),
    [anon_sym___asm] = ACTIONS(2072),
    [sym_number_literal] = ACTIONS(2074),
    [anon_sym_L_SQUOTE] = ACTIONS(2074),
    [anon_sym_u_SQUOTE] = ACTIONS(2074),
    [anon_sym_U_SQUOTE] = ACTIONS(2074),
    [anon_sym_u8_SQUOTE] = ACTIONS(2074),
    [anon_sym_SQUOTE] = ACTIONS(2074),
    [anon_sym_L_DQUOTE] = ACTIONS(2074),
    [anon_sym_u_DQUOTE] = ACTIONS(2074),
    [anon_sym_U_DQUOTE] = ACTIONS(2074),
    [anon_sym_u8_DQUOTE] = ACTIONS(2074),
    [anon_sym_DQUOTE] = ACTIONS(2074),
    [sym_true] = ACTIONS(2072),
    [sym_false] = ACTIONS(2072),
    [anon_sym_NULL] = ACTIONS(2072),
    [anon_sym_nullptr] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2072),
    [anon_sym_decltype] = ACTIONS(2072),
    [anon_sym_final] = ACTIONS(2072),
    [anon_sym_override] = ACTIONS(2072),
    [anon_sym_explicit] = ACTIONS(2072),
    [anon_sym_typename] = ACTIONS(2072),
    [anon_sym_template] = ACTIONS(2072),
    [anon_sym_operator] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2072),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2072),
    [anon_sym_namespace] = ACTIONS(2072),
    [anon_sym_using] = ACTIONS(2072),
    [anon_sym_static_assert] = ACTIONS(2072),
    [anon_sym_concept] = ACTIONS(2072),
    [anon_sym_co_return] = ACTIONS(2072),
    [anon_sym_co_yield] = ACTIONS(2072),
    [anon_sym_R_DQUOTE] = ACTIONS(2074),
    [anon_sym_LR_DQUOTE] = ACTIONS(2074),
    [anon_sym_uR_DQUOTE] = ACTIONS(2074),
    [anon_sym_UR_DQUOTE] = ACTIONS(2074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2074),
    [anon_sym_co_await] = ACTIONS(2072),
    [anon_sym_new] = ACTIONS(2072),
    [anon_sym_requires] = ACTIONS(2072),
    [sym_this] = ACTIONS(2072),
    [anon_sym_discard] = ACTIONS(2072),
    [anon_sym_precise] = ACTIONS(2072),
    [anon_sym_shared] = ACTIONS(2072),
    [anon_sym_groupshared] = ACTIONS(2072),
    [anon_sym_uniform] = ACTIONS(2072),
    [anon_sym_row_major] = ACTIONS(2072),
    [anon_sym_column_major] = ACTIONS(2072),
    [anon_sym_globallycoherent] = ACTIONS(2072),
    [anon_sym_centroid] = ACTIONS(2072),
    [anon_sym_noperspective] = ACTIONS(2072),
    [anon_sym_nointerpolation] = ACTIONS(2072),
    [anon_sym_sample] = ACTIONS(2072),
    [anon_sym_linear] = ACTIONS(2072),
    [anon_sym_snorm] = ACTIONS(2072),
    [anon_sym_unorm] = ACTIONS(2072),
    [anon_sym_point] = ACTIONS(2072),
    [anon_sym_line] = ACTIONS(2072),
    [anon_sym_triangleadj] = ACTIONS(2072),
    [anon_sym_lineadj] = ACTIONS(2072),
    [anon_sym_triangle] = ACTIONS(2072),
    [anon_sym_cbuffer] = ACTIONS(2072),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(2070),
    [sym_identifier] = ACTIONS(2068),
    [aux_sym_preproc_include_token1] = ACTIONS(2068),
    [aux_sym_preproc_def_token1] = ACTIONS(2068),
    [aux_sym_preproc_if_token1] = ACTIONS(2068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2068),
    [sym_preproc_directive] = ACTIONS(2068),
    [anon_sym_LPAREN2] = ACTIONS(2070),
    [anon_sym_BANG] = ACTIONS(2070),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_AMP_AMP] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_typedef] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym___cdecl] = ACTIONS(2068),
    [anon_sym___clrcall] = ACTIONS(2068),
    [anon_sym___stdcall] = ACTIONS(2068),
    [anon_sym___fastcall] = ACTIONS(2068),
    [anon_sym___thiscall] = ACTIONS(2068),
    [anon_sym___vectorcall] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_signed] = ACTIONS(2068),
    [anon_sym_unsigned] = ACTIONS(2068),
    [anon_sym_long] = ACTIONS(2068),
    [anon_sym_short] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [sym_primitive_type] = ACTIONS(2068),
    [anon_sym_enum] = ACTIONS(2068),
    [anon_sym_class] = ACTIONS(2068),
    [anon_sym_struct] = ACTIONS(2068),
    [anon_sym_union] = ACTIONS(2068),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_else] = ACTIONS(2068),
    [anon_sym_switch] = ACTIONS(2068),
    [anon_sym_case] = ACTIONS(2068),
    [anon_sym_default] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2068),
    [anon_sym_do] = ACTIONS(2068),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_return] = ACTIONS(2068),
    [anon_sym_break] = ACTIONS(2068),
    [anon_sym_continue] = ACTIONS(2068),
    [anon_sym_goto] = ACTIONS(2068),
    [anon_sym___try] = ACTIONS(2068),
    [anon_sym___leave] = ACTIONS(2068),
    [anon_sym_not] = ACTIONS(2068),
    [anon_sym_compl] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2070),
    [anon_sym_PLUS_PLUS] = ACTIONS(2070),
    [anon_sym_sizeof] = ACTIONS(2068),
    [anon_sym___alignof__] = ACTIONS(2068),
    [anon_sym___alignof] = ACTIONS(2068),
    [anon_sym__alignof] = ACTIONS(2068),
    [anon_sym_alignof] = ACTIONS(2068),
    [anon_sym__Alignof] = ACTIONS(2068),
    [anon_sym_offsetof] = ACTIONS(2068),
    [anon_sym__Generic] = ACTIONS(2068),
    [anon_sym_asm] = ACTIONS(2068),
    [anon_sym___asm__] = ACTIONS(2068),
    [anon_sym___asm] = ACTIONS(2068),
    [sym_number_literal] = ACTIONS(2070),
    [anon_sym_L_SQUOTE] = ACTIONS(2070),
    [anon_sym_u_SQUOTE] = ACTIONS(2070),
    [anon_sym_U_SQUOTE] = ACTIONS(2070),
    [anon_sym_u8_SQUOTE] = ACTIONS(2070),
    [anon_sym_SQUOTE] = ACTIONS(2070),
    [anon_sym_L_DQUOTE] = ACTIONS(2070),
    [anon_sym_u_DQUOTE] = ACTIONS(2070),
    [anon_sym_U_DQUOTE] = ACTIONS(2070),
    [anon_sym_u8_DQUOTE] = ACTIONS(2070),
    [anon_sym_DQUOTE] = ACTIONS(2070),
    [sym_true] = ACTIONS(2068),
    [sym_false] = ACTIONS(2068),
    [anon_sym_NULL] = ACTIONS(2068),
    [anon_sym_nullptr] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_final] = ACTIONS(2068),
    [anon_sym_override] = ACTIONS(2068),
    [anon_sym_explicit] = ACTIONS(2068),
    [anon_sym_typename] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2068),
    [anon_sym_delete] = ACTIONS(2068),
    [anon_sym_throw] = ACTIONS(2068),
    [anon_sym_namespace] = ACTIONS(2068),
    [anon_sym_using] = ACTIONS(2068),
    [anon_sym_static_assert] = ACTIONS(2068),
    [anon_sym_concept] = ACTIONS(2068),
    [anon_sym_co_return] = ACTIONS(2068),
    [anon_sym_co_yield] = ACTIONS(2068),
    [anon_sym_R_DQUOTE] = ACTIONS(2070),
    [anon_sym_LR_DQUOTE] = ACTIONS(2070),
    [anon_sym_uR_DQUOTE] = ACTIONS(2070),
    [anon_sym_UR_DQUOTE] = ACTIONS(2070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2070),
    [anon_sym_co_await] = ACTIONS(2068),
    [anon_sym_new] = ACTIONS(2068),
    [anon_sym_requires] = ACTIONS(2068),
    [sym_this] = ACTIONS(2068),
    [anon_sym_discard] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
    [anon_sym_cbuffer] = ACTIONS(2068),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(2051),
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [338] = {
    [sym_identifier] = ACTIONS(2068),
    [aux_sym_preproc_include_token1] = ACTIONS(2068),
    [aux_sym_preproc_def_token1] = ACTIONS(2068),
    [aux_sym_preproc_if_token1] = ACTIONS(2068),
    [aux_sym_preproc_if_token2] = ACTIONS(2068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2068),
    [sym_preproc_directive] = ACTIONS(2068),
    [anon_sym_LPAREN2] = ACTIONS(2070),
    [anon_sym_BANG] = ACTIONS(2070),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_AMP_AMP] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_typedef] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym___cdecl] = ACTIONS(2068),
    [anon_sym___clrcall] = ACTIONS(2068),
    [anon_sym___stdcall] = ACTIONS(2068),
    [anon_sym___fastcall] = ACTIONS(2068),
    [anon_sym___thiscall] = ACTIONS(2068),
    [anon_sym___vectorcall] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_signed] = ACTIONS(2068),
    [anon_sym_unsigned] = ACTIONS(2068),
    [anon_sym_long] = ACTIONS(2068),
    [anon_sym_short] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [sym_primitive_type] = ACTIONS(2068),
    [anon_sym_enum] = ACTIONS(2068),
    [anon_sym_class] = ACTIONS(2068),
    [anon_sym_struct] = ACTIONS(2068),
    [anon_sym_union] = ACTIONS(2068),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_else] = ACTIONS(2068),
    [anon_sym_switch] = ACTIONS(2068),
    [anon_sym_case] = ACTIONS(2068),
    [anon_sym_default] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2068),
    [anon_sym_do] = ACTIONS(2068),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_return] = ACTIONS(2068),
    [anon_sym_break] = ACTIONS(2068),
    [anon_sym_continue] = ACTIONS(2068),
    [anon_sym_goto] = ACTIONS(2068),
    [anon_sym___try] = ACTIONS(2068),
    [anon_sym___leave] = ACTIONS(2068),
    [anon_sym_not] = ACTIONS(2068),
    [anon_sym_compl] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2070),
    [anon_sym_PLUS_PLUS] = ACTIONS(2070),
    [anon_sym_sizeof] = ACTIONS(2068),
    [anon_sym___alignof__] = ACTIONS(2068),
    [anon_sym___alignof] = ACTIONS(2068),
    [anon_sym__alignof] = ACTIONS(2068),
    [anon_sym_alignof] = ACTIONS(2068),
    [anon_sym__Alignof] = ACTIONS(2068),
    [anon_sym_offsetof] = ACTIONS(2068),
    [anon_sym__Generic] = ACTIONS(2068),
    [anon_sym_asm] = ACTIONS(2068),
    [anon_sym___asm__] = ACTIONS(2068),
    [anon_sym___asm] = ACTIONS(2068),
    [sym_number_literal] = ACTIONS(2070),
    [anon_sym_L_SQUOTE] = ACTIONS(2070),
    [anon_sym_u_SQUOTE] = ACTIONS(2070),
    [anon_sym_U_SQUOTE] = ACTIONS(2070),
    [anon_sym_u8_SQUOTE] = ACTIONS(2070),
    [anon_sym_SQUOTE] = ACTIONS(2070),
    [anon_sym_L_DQUOTE] = ACTIONS(2070),
    [anon_sym_u_DQUOTE] = ACTIONS(2070),
    [anon_sym_U_DQUOTE] = ACTIONS(2070),
    [anon_sym_u8_DQUOTE] = ACTIONS(2070),
    [anon_sym_DQUOTE] = ACTIONS(2070),
    [sym_true] = ACTIONS(2068),
    [sym_false] = ACTIONS(2068),
    [anon_sym_NULL] = ACTIONS(2068),
    [anon_sym_nullptr] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_final] = ACTIONS(2068),
    [anon_sym_override] = ACTIONS(2068),
    [anon_sym_explicit] = ACTIONS(2068),
    [anon_sym_typename] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2068),
    [anon_sym_delete] = ACTIONS(2068),
    [anon_sym_throw] = ACTIONS(2068),
    [anon_sym_namespace] = ACTIONS(2068),
    [anon_sym_using] = ACTIONS(2068),
    [anon_sym_static_assert] = ACTIONS(2068),
    [anon_sym_concept] = ACTIONS(2068),
    [anon_sym_co_return] = ACTIONS(2068),
    [anon_sym_co_yield] = ACTIONS(2068),
    [anon_sym_R_DQUOTE] = ACTIONS(2070),
    [anon_sym_LR_DQUOTE] = ACTIONS(2070),
    [anon_sym_uR_DQUOTE] = ACTIONS(2070),
    [anon_sym_UR_DQUOTE] = ACTIONS(2070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2070),
    [anon_sym_co_await] = ACTIONS(2068),
    [anon_sym_new] = ACTIONS(2068),
    [anon_sym_requires] = ACTIONS(2068),
    [sym_this] = ACTIONS(2068),
    [anon_sym_discard] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
    [anon_sym_cbuffer] = ACTIONS(2068),
  },
  [339] = {
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token2] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [340] = {
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token2] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [341] = {
    [sym_identifier] = ACTIONS(2072),
    [aux_sym_preproc_include_token1] = ACTIONS(2072),
    [aux_sym_preproc_def_token1] = ACTIONS(2072),
    [aux_sym_preproc_if_token1] = ACTIONS(2072),
    [aux_sym_preproc_if_token2] = ACTIONS(2072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2072),
    [sym_preproc_directive] = ACTIONS(2072),
    [anon_sym_LPAREN2] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(2074),
    [anon_sym_TILDE] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(2074),
    [anon_sym_AMP] = ACTIONS(2072),
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2074),
    [anon_sym___extension__] = ACTIONS(2072),
    [anon_sym_typedef] = ACTIONS(2072),
    [anon_sym_in] = ACTIONS(2072),
    [anon_sym_out] = ACTIONS(2072),
    [anon_sym_inout] = ACTIONS(2072),
    [anon_sym_virtual] = ACTIONS(2072),
    [anon_sym_extern] = ACTIONS(2072),
    [anon_sym___attribute__] = ACTIONS(2072),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2074),
    [anon_sym___declspec] = ACTIONS(2072),
    [anon_sym___based] = ACTIONS(2072),
    [anon_sym___cdecl] = ACTIONS(2072),
    [anon_sym___clrcall] = ACTIONS(2072),
    [anon_sym___stdcall] = ACTIONS(2072),
    [anon_sym___fastcall] = ACTIONS(2072),
    [anon_sym___thiscall] = ACTIONS(2072),
    [anon_sym___vectorcall] = ACTIONS(2072),
    [anon_sym_LBRACE] = ACTIONS(2074),
    [anon_sym_signed] = ACTIONS(2072),
    [anon_sym_unsigned] = ACTIONS(2072),
    [anon_sym_long] = ACTIONS(2072),
    [anon_sym_short] = ACTIONS(2072),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_static] = ACTIONS(2072),
    [anon_sym_register] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(2072),
    [anon_sym___inline] = ACTIONS(2072),
    [anon_sym___inline__] = ACTIONS(2072),
    [anon_sym___forceinline] = ACTIONS(2072),
    [anon_sym_thread_local] = ACTIONS(2072),
    [anon_sym___thread] = ACTIONS(2072),
    [anon_sym_const] = ACTIONS(2072),
    [anon_sym_constexpr] = ACTIONS(2072),
    [anon_sym_volatile] = ACTIONS(2072),
    [anon_sym_restrict] = ACTIONS(2072),
    [anon_sym___restrict__] = ACTIONS(2072),
    [anon_sym__Atomic] = ACTIONS(2072),
    [anon_sym__Noreturn] = ACTIONS(2072),
    [anon_sym_noreturn] = ACTIONS(2072),
    [anon_sym__Nonnull] = ACTIONS(2072),
    [anon_sym_mutable] = ACTIONS(2072),
    [anon_sym_constinit] = ACTIONS(2072),
    [anon_sym_consteval] = ACTIONS(2072),
    [anon_sym_alignas] = ACTIONS(2072),
    [anon_sym__Alignas] = ACTIONS(2072),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_enum] = ACTIONS(2072),
    [anon_sym_class] = ACTIONS(2072),
    [anon_sym_struct] = ACTIONS(2072),
    [anon_sym_union] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_else] = ACTIONS(2072),
    [anon_sym_switch] = ACTIONS(2072),
    [anon_sym_case] = ACTIONS(2072),
    [anon_sym_default] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2072),
    [anon_sym_do] = ACTIONS(2072),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_return] = ACTIONS(2072),
    [anon_sym_break] = ACTIONS(2072),
    [anon_sym_continue] = ACTIONS(2072),
    [anon_sym_goto] = ACTIONS(2072),
    [anon_sym___try] = ACTIONS(2072),
    [anon_sym___leave] = ACTIONS(2072),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2074),
    [anon_sym_PLUS_PLUS] = ACTIONS(2074),
    [anon_sym_sizeof] = ACTIONS(2072),
    [anon_sym___alignof__] = ACTIONS(2072),
    [anon_sym___alignof] = ACTIONS(2072),
    [anon_sym__alignof] = ACTIONS(2072),
    [anon_sym_alignof] = ACTIONS(2072),
    [anon_sym__Alignof] = ACTIONS(2072),
    [anon_sym_offsetof] = ACTIONS(2072),
    [anon_sym__Generic] = ACTIONS(2072),
    [anon_sym_asm] = ACTIONS(2072),
    [anon_sym___asm__] = ACTIONS(2072),
    [anon_sym___asm] = ACTIONS(2072),
    [sym_number_literal] = ACTIONS(2074),
    [anon_sym_L_SQUOTE] = ACTIONS(2074),
    [anon_sym_u_SQUOTE] = ACTIONS(2074),
    [anon_sym_U_SQUOTE] = ACTIONS(2074),
    [anon_sym_u8_SQUOTE] = ACTIONS(2074),
    [anon_sym_SQUOTE] = ACTIONS(2074),
    [anon_sym_L_DQUOTE] = ACTIONS(2074),
    [anon_sym_u_DQUOTE] = ACTIONS(2074),
    [anon_sym_U_DQUOTE] = ACTIONS(2074),
    [anon_sym_u8_DQUOTE] = ACTIONS(2074),
    [anon_sym_DQUOTE] = ACTIONS(2074),
    [sym_true] = ACTIONS(2072),
    [sym_false] = ACTIONS(2072),
    [anon_sym_NULL] = ACTIONS(2072),
    [anon_sym_nullptr] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2072),
    [anon_sym_decltype] = ACTIONS(2072),
    [anon_sym_final] = ACTIONS(2072),
    [anon_sym_override] = ACTIONS(2072),
    [anon_sym_explicit] = ACTIONS(2072),
    [anon_sym_typename] = ACTIONS(2072),
    [anon_sym_template] = ACTIONS(2072),
    [anon_sym_operator] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2072),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2072),
    [anon_sym_namespace] = ACTIONS(2072),
    [anon_sym_using] = ACTIONS(2072),
    [anon_sym_static_assert] = ACTIONS(2072),
    [anon_sym_concept] = ACTIONS(2072),
    [anon_sym_co_return] = ACTIONS(2072),
    [anon_sym_co_yield] = ACTIONS(2072),
    [anon_sym_R_DQUOTE] = ACTIONS(2074),
    [anon_sym_LR_DQUOTE] = ACTIONS(2074),
    [anon_sym_uR_DQUOTE] = ACTIONS(2074),
    [anon_sym_UR_DQUOTE] = ACTIONS(2074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2074),
    [anon_sym_co_await] = ACTIONS(2072),
    [anon_sym_new] = ACTIONS(2072),
    [anon_sym_requires] = ACTIONS(2072),
    [sym_this] = ACTIONS(2072),
    [anon_sym_discard] = ACTIONS(2072),
    [anon_sym_precise] = ACTIONS(2072),
    [anon_sym_shared] = ACTIONS(2072),
    [anon_sym_groupshared] = ACTIONS(2072),
    [anon_sym_uniform] = ACTIONS(2072),
    [anon_sym_row_major] = ACTIONS(2072),
    [anon_sym_column_major] = ACTIONS(2072),
    [anon_sym_globallycoherent] = ACTIONS(2072),
    [anon_sym_centroid] = ACTIONS(2072),
    [anon_sym_noperspective] = ACTIONS(2072),
    [anon_sym_nointerpolation] = ACTIONS(2072),
    [anon_sym_sample] = ACTIONS(2072),
    [anon_sym_linear] = ACTIONS(2072),
    [anon_sym_snorm] = ACTIONS(2072),
    [anon_sym_unorm] = ACTIONS(2072),
    [anon_sym_point] = ACTIONS(2072),
    [anon_sym_line] = ACTIONS(2072),
    [anon_sym_triangleadj] = ACTIONS(2072),
    [anon_sym_lineadj] = ACTIONS(2072),
    [anon_sym_triangle] = ACTIONS(2072),
    [anon_sym_cbuffer] = ACTIONS(2072),
  },
  [342] = {
    [sym_identifier] = ACTIONS(2076),
    [aux_sym_preproc_include_token1] = ACTIONS(2076),
    [aux_sym_preproc_def_token1] = ACTIONS(2076),
    [aux_sym_preproc_if_token1] = ACTIONS(2076),
    [aux_sym_preproc_if_token2] = ACTIONS(2076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2076),
    [sym_preproc_directive] = ACTIONS(2076),
    [anon_sym_LPAREN2] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_AMP_AMP] = ACTIONS(2078),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym___extension__] = ACTIONS(2076),
    [anon_sym_typedef] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2076),
    [anon_sym_out] = ACTIONS(2076),
    [anon_sym_inout] = ACTIONS(2076),
    [anon_sym_virtual] = ACTIONS(2076),
    [anon_sym_extern] = ACTIONS(2076),
    [anon_sym___attribute__] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2078),
    [anon_sym___declspec] = ACTIONS(2076),
    [anon_sym___based] = ACTIONS(2076),
    [anon_sym___cdecl] = ACTIONS(2076),
    [anon_sym___clrcall] = ACTIONS(2076),
    [anon_sym___stdcall] = ACTIONS(2076),
    [anon_sym___fastcall] = ACTIONS(2076),
    [anon_sym___thiscall] = ACTIONS(2076),
    [anon_sym___vectorcall] = ACTIONS(2076),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2076),
    [anon_sym_unsigned] = ACTIONS(2076),
    [anon_sym_long] = ACTIONS(2076),
    [anon_sym_short] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_static] = ACTIONS(2076),
    [anon_sym_register] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(2076),
    [anon_sym___inline] = ACTIONS(2076),
    [anon_sym___inline__] = ACTIONS(2076),
    [anon_sym___forceinline] = ACTIONS(2076),
    [anon_sym_thread_local] = ACTIONS(2076),
    [anon_sym___thread] = ACTIONS(2076),
    [anon_sym_const] = ACTIONS(2076),
    [anon_sym_constexpr] = ACTIONS(2076),
    [anon_sym_volatile] = ACTIONS(2076),
    [anon_sym_restrict] = ACTIONS(2076),
    [anon_sym___restrict__] = ACTIONS(2076),
    [anon_sym__Atomic] = ACTIONS(2076),
    [anon_sym__Noreturn] = ACTIONS(2076),
    [anon_sym_noreturn] = ACTIONS(2076),
    [anon_sym__Nonnull] = ACTIONS(2076),
    [anon_sym_mutable] = ACTIONS(2076),
    [anon_sym_constinit] = ACTIONS(2076),
    [anon_sym_consteval] = ACTIONS(2076),
    [anon_sym_alignas] = ACTIONS(2076),
    [anon_sym__Alignas] = ACTIONS(2076),
    [sym_primitive_type] = ACTIONS(2076),
    [anon_sym_enum] = ACTIONS(2076),
    [anon_sym_class] = ACTIONS(2076),
    [anon_sym_struct] = ACTIONS(2076),
    [anon_sym_union] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_else] = ACTIONS(2076),
    [anon_sym_switch] = ACTIONS(2076),
    [anon_sym_case] = ACTIONS(2076),
    [anon_sym_default] = ACTIONS(2076),
    [anon_sym_while] = ACTIONS(2076),
    [anon_sym_do] = ACTIONS(2076),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_break] = ACTIONS(2076),
    [anon_sym_continue] = ACTIONS(2076),
    [anon_sym_goto] = ACTIONS(2076),
    [anon_sym___try] = ACTIONS(2076),
    [anon_sym___leave] = ACTIONS(2076),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_compl] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2078),
    [anon_sym_PLUS_PLUS] = ACTIONS(2078),
    [anon_sym_sizeof] = ACTIONS(2076),
    [anon_sym___alignof__] = ACTIONS(2076),
    [anon_sym___alignof] = ACTIONS(2076),
    [anon_sym__alignof] = ACTIONS(2076),
    [anon_sym_alignof] = ACTIONS(2076),
    [anon_sym__Alignof] = ACTIONS(2076),
    [anon_sym_offsetof] = ACTIONS(2076),
    [anon_sym__Generic] = ACTIONS(2076),
    [anon_sym_asm] = ACTIONS(2076),
    [anon_sym___asm__] = ACTIONS(2076),
    [anon_sym___asm] = ACTIONS(2076),
    [sym_number_literal] = ACTIONS(2078),
    [anon_sym_L_SQUOTE] = ACTIONS(2078),
    [anon_sym_u_SQUOTE] = ACTIONS(2078),
    [anon_sym_U_SQUOTE] = ACTIONS(2078),
    [anon_sym_u8_SQUOTE] = ACTIONS(2078),
    [anon_sym_SQUOTE] = ACTIONS(2078),
    [anon_sym_L_DQUOTE] = ACTIONS(2078),
    [anon_sym_u_DQUOTE] = ACTIONS(2078),
    [anon_sym_U_DQUOTE] = ACTIONS(2078),
    [anon_sym_u8_DQUOTE] = ACTIONS(2078),
    [anon_sym_DQUOTE] = ACTIONS(2078),
    [sym_true] = ACTIONS(2076),
    [sym_false] = ACTIONS(2076),
    [anon_sym_NULL] = ACTIONS(2076),
    [anon_sym_nullptr] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2076),
    [anon_sym_decltype] = ACTIONS(2076),
    [anon_sym_final] = ACTIONS(2076),
    [anon_sym_override] = ACTIONS(2076),
    [anon_sym_explicit] = ACTIONS(2076),
    [anon_sym_typename] = ACTIONS(2076),
    [anon_sym_template] = ACTIONS(2076),
    [anon_sym_operator] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2076),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2076),
    [anon_sym_namespace] = ACTIONS(2076),
    [anon_sym_using] = ACTIONS(2076),
    [anon_sym_static_assert] = ACTIONS(2076),
    [anon_sym_concept] = ACTIONS(2076),
    [anon_sym_co_return] = ACTIONS(2076),
    [anon_sym_co_yield] = ACTIONS(2076),
    [anon_sym_R_DQUOTE] = ACTIONS(2078),
    [anon_sym_LR_DQUOTE] = ACTIONS(2078),
    [anon_sym_uR_DQUOTE] = ACTIONS(2078),
    [anon_sym_UR_DQUOTE] = ACTIONS(2078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2078),
    [anon_sym_co_await] = ACTIONS(2076),
    [anon_sym_new] = ACTIONS(2076),
    [anon_sym_requires] = ACTIONS(2076),
    [sym_this] = ACTIONS(2076),
    [anon_sym_discard] = ACTIONS(2076),
    [anon_sym_precise] = ACTIONS(2076),
    [anon_sym_shared] = ACTIONS(2076),
    [anon_sym_groupshared] = ACTIONS(2076),
    [anon_sym_uniform] = ACTIONS(2076),
    [anon_sym_row_major] = ACTIONS(2076),
    [anon_sym_column_major] = ACTIONS(2076),
    [anon_sym_globallycoherent] = ACTIONS(2076),
    [anon_sym_centroid] = ACTIONS(2076),
    [anon_sym_noperspective] = ACTIONS(2076),
    [anon_sym_nointerpolation] = ACTIONS(2076),
    [anon_sym_sample] = ACTIONS(2076),
    [anon_sym_linear] = ACTIONS(2076),
    [anon_sym_snorm] = ACTIONS(2076),
    [anon_sym_unorm] = ACTIONS(2076),
    [anon_sym_point] = ACTIONS(2076),
    [anon_sym_line] = ACTIONS(2076),
    [anon_sym_triangleadj] = ACTIONS(2076),
    [anon_sym_lineadj] = ACTIONS(2076),
    [anon_sym_triangle] = ACTIONS(2076),
    [anon_sym_cbuffer] = ACTIONS(2076),
  },
  [343] = {
    [sym_identifier] = ACTIONS(2049),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token1] = ACTIONS(2049),
    [aux_sym_preproc_if_token2] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2049),
    [sym_preproc_directive] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_static_assert] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1923),
    [sym_identifier] = ACTIONS(1921),
    [aux_sym_preproc_include_token1] = ACTIONS(1921),
    [aux_sym_preproc_def_token1] = ACTIONS(1921),
    [aux_sym_preproc_if_token1] = ACTIONS(1921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1921),
    [sym_preproc_directive] = ACTIONS(1921),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_typedef] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym___cdecl] = ACTIONS(1921),
    [anon_sym___clrcall] = ACTIONS(1921),
    [anon_sym___stdcall] = ACTIONS(1921),
    [anon_sym___fastcall] = ACTIONS(1921),
    [anon_sym___thiscall] = ACTIONS(1921),
    [anon_sym___vectorcall] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_signed] = ACTIONS(1921),
    [anon_sym_unsigned] = ACTIONS(1921),
    [anon_sym_long] = ACTIONS(1921),
    [anon_sym_short] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [sym_primitive_type] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1921),
    [anon_sym_struct] = ACTIONS(1921),
    [anon_sym_union] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1921),
    [anon_sym_case] = ACTIONS(1921),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1921),
    [anon_sym_return] = ACTIONS(1921),
    [anon_sym_break] = ACTIONS(1921),
    [anon_sym_continue] = ACTIONS(1921),
    [anon_sym_goto] = ACTIONS(1921),
    [anon_sym___try] = ACTIONS(1921),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(1921),
    [anon_sym_compl] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_sizeof] = ACTIONS(1921),
    [anon_sym___alignof__] = ACTIONS(1921),
    [anon_sym___alignof] = ACTIONS(1921),
    [anon_sym__alignof] = ACTIONS(1921),
    [anon_sym_alignof] = ACTIONS(1921),
    [anon_sym__Alignof] = ACTIONS(1921),
    [anon_sym_offsetof] = ACTIONS(1921),
    [anon_sym__Generic] = ACTIONS(1921),
    [anon_sym_asm] = ACTIONS(1921),
    [anon_sym___asm__] = ACTIONS(1921),
    [anon_sym___asm] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [anon_sym_L_SQUOTE] = ACTIONS(1923),
    [anon_sym_u_SQUOTE] = ACTIONS(1923),
    [anon_sym_U_SQUOTE] = ACTIONS(1923),
    [anon_sym_u8_SQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [anon_sym_L_DQUOTE] = ACTIONS(1923),
    [anon_sym_u_DQUOTE] = ACTIONS(1923),
    [anon_sym_U_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8_DQUOTE] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [anon_sym_NULL] = ACTIONS(1921),
    [anon_sym_nullptr] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_final] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_explicit] = ACTIONS(1921),
    [anon_sym_typename] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_operator] = ACTIONS(1921),
    [anon_sym_try] = ACTIONS(1921),
    [anon_sym_delete] = ACTIONS(1921),
    [anon_sym_throw] = ACTIONS(1921),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_using] = ACTIONS(1921),
    [anon_sym_static_assert] = ACTIONS(1921),
    [anon_sym_concept] = ACTIONS(1921),
    [anon_sym_co_return] = ACTIONS(1921),
    [anon_sym_co_yield] = ACTIONS(1921),
    [anon_sym_R_DQUOTE] = ACTIONS(1923),
    [anon_sym_LR_DQUOTE] = ACTIONS(1923),
    [anon_sym_uR_DQUOTE] = ACTIONS(1923),
    [anon_sym_UR_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1923),
    [anon_sym_co_await] = ACTIONS(1921),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_requires] = ACTIONS(1921),
    [sym_this] = ACTIONS(1921),
    [anon_sym_discard] = ACTIONS(1921),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
    [anon_sym_cbuffer] = ACTIONS(1921),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1949),
    [sym_identifier] = ACTIONS(1947),
    [aux_sym_preproc_include_token1] = ACTIONS(1947),
    [aux_sym_preproc_def_token1] = ACTIONS(1947),
    [aux_sym_preproc_if_token1] = ACTIONS(1947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1947),
    [sym_preproc_directive] = ACTIONS(1947),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1949),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_typedef] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym___cdecl] = ACTIONS(1947),
    [anon_sym___clrcall] = ACTIONS(1947),
    [anon_sym___stdcall] = ACTIONS(1947),
    [anon_sym___fastcall] = ACTIONS(1947),
    [anon_sym___thiscall] = ACTIONS(1947),
    [anon_sym___vectorcall] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_signed] = ACTIONS(1947),
    [anon_sym_unsigned] = ACTIONS(1947),
    [anon_sym_long] = ACTIONS(1947),
    [anon_sym_short] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [sym_primitive_type] = ACTIONS(1947),
    [anon_sym_enum] = ACTIONS(1947),
    [anon_sym_class] = ACTIONS(1947),
    [anon_sym_struct] = ACTIONS(1947),
    [anon_sym_union] = ACTIONS(1947),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_else] = ACTIONS(1947),
    [anon_sym_switch] = ACTIONS(1947),
    [anon_sym_case] = ACTIONS(1947),
    [anon_sym_default] = ACTIONS(1947),
    [anon_sym_while] = ACTIONS(1947),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym___try] = ACTIONS(1947),
    [anon_sym___leave] = ACTIONS(1947),
    [anon_sym_not] = ACTIONS(1947),
    [anon_sym_compl] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(1947),
    [anon_sym___alignof] = ACTIONS(1947),
    [anon_sym__alignof] = ACTIONS(1947),
    [anon_sym_alignof] = ACTIONS(1947),
    [anon_sym__Alignof] = ACTIONS(1947),
    [anon_sym_offsetof] = ACTIONS(1947),
    [anon_sym__Generic] = ACTIONS(1947),
    [anon_sym_asm] = ACTIONS(1947),
    [anon_sym___asm__] = ACTIONS(1947),
    [anon_sym___asm] = ACTIONS(1947),
    [sym_number_literal] = ACTIONS(1949),
    [anon_sym_L_SQUOTE] = ACTIONS(1949),
    [anon_sym_u_SQUOTE] = ACTIONS(1949),
    [anon_sym_U_SQUOTE] = ACTIONS(1949),
    [anon_sym_u8_SQUOTE] = ACTIONS(1949),
    [anon_sym_SQUOTE] = ACTIONS(1949),
    [anon_sym_L_DQUOTE] = ACTIONS(1949),
    [anon_sym_u_DQUOTE] = ACTIONS(1949),
    [anon_sym_U_DQUOTE] = ACTIONS(1949),
    [anon_sym_u8_DQUOTE] = ACTIONS(1949),
    [anon_sym_DQUOTE] = ACTIONS(1949),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_final] = ACTIONS(1947),
    [anon_sym_override] = ACTIONS(1947),
    [anon_sym_explicit] = ACTIONS(1947),
    [anon_sym_typename] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_operator] = ACTIONS(1947),
    [anon_sym_try] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_throw] = ACTIONS(1947),
    [anon_sym_namespace] = ACTIONS(1947),
    [anon_sym_using] = ACTIONS(1947),
    [anon_sym_static_assert] = ACTIONS(1947),
    [anon_sym_concept] = ACTIONS(1947),
    [anon_sym_co_return] = ACTIONS(1947),
    [anon_sym_co_yield] = ACTIONS(1947),
    [anon_sym_R_DQUOTE] = ACTIONS(1949),
    [anon_sym_LR_DQUOTE] = ACTIONS(1949),
    [anon_sym_uR_DQUOTE] = ACTIONS(1949),
    [anon_sym_UR_DQUOTE] = ACTIONS(1949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1949),
    [anon_sym_co_await] = ACTIONS(1947),
    [anon_sym_new] = ACTIONS(1947),
    [anon_sym_requires] = ACTIONS(1947),
    [sym_this] = ACTIONS(1947),
    [anon_sym_discard] = ACTIONS(1947),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
    [anon_sym_cbuffer] = ACTIONS(1947),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1953),
    [sym_identifier] = ACTIONS(1951),
    [aux_sym_preproc_include_token1] = ACTIONS(1951),
    [aux_sym_preproc_def_token1] = ACTIONS(1951),
    [aux_sym_preproc_if_token1] = ACTIONS(1951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1951),
    [sym_preproc_directive] = ACTIONS(1951),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_BANG] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_typedef] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym___cdecl] = ACTIONS(1951),
    [anon_sym___clrcall] = ACTIONS(1951),
    [anon_sym___stdcall] = ACTIONS(1951),
    [anon_sym___fastcall] = ACTIONS(1951),
    [anon_sym___thiscall] = ACTIONS(1951),
    [anon_sym___vectorcall] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_signed] = ACTIONS(1951),
    [anon_sym_unsigned] = ACTIONS(1951),
    [anon_sym_long] = ACTIONS(1951),
    [anon_sym_short] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [sym_primitive_type] = ACTIONS(1951),
    [anon_sym_enum] = ACTIONS(1951),
    [anon_sym_class] = ACTIONS(1951),
    [anon_sym_struct] = ACTIONS(1951),
    [anon_sym_union] = ACTIONS(1951),
    [anon_sym_if] = ACTIONS(1951),
    [anon_sym_else] = ACTIONS(1951),
    [anon_sym_switch] = ACTIONS(1951),
    [anon_sym_case] = ACTIONS(1951),
    [anon_sym_default] = ACTIONS(1951),
    [anon_sym_while] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1951),
    [anon_sym_for] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1951),
    [anon_sym_break] = ACTIONS(1951),
    [anon_sym_continue] = ACTIONS(1951),
    [anon_sym_goto] = ACTIONS(1951),
    [anon_sym___try] = ACTIONS(1951),
    [anon_sym___leave] = ACTIONS(1951),
    [anon_sym_not] = ACTIONS(1951),
    [anon_sym_compl] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_sizeof] = ACTIONS(1951),
    [anon_sym___alignof__] = ACTIONS(1951),
    [anon_sym___alignof] = ACTIONS(1951),
    [anon_sym__alignof] = ACTIONS(1951),
    [anon_sym_alignof] = ACTIONS(1951),
    [anon_sym__Alignof] = ACTIONS(1951),
    [anon_sym_offsetof] = ACTIONS(1951),
    [anon_sym__Generic] = ACTIONS(1951),
    [anon_sym_asm] = ACTIONS(1951),
    [anon_sym___asm__] = ACTIONS(1951),
    [anon_sym___asm] = ACTIONS(1951),
    [sym_number_literal] = ACTIONS(1953),
    [anon_sym_L_SQUOTE] = ACTIONS(1953),
    [anon_sym_u_SQUOTE] = ACTIONS(1953),
    [anon_sym_U_SQUOTE] = ACTIONS(1953),
    [anon_sym_u8_SQUOTE] = ACTIONS(1953),
    [anon_sym_SQUOTE] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(1953),
    [anon_sym_u_DQUOTE] = ACTIONS(1953),
    [anon_sym_U_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8_DQUOTE] = ACTIONS(1953),
    [anon_sym_DQUOTE] = ACTIONS(1953),
    [sym_true] = ACTIONS(1951),
    [sym_false] = ACTIONS(1951),
    [anon_sym_NULL] = ACTIONS(1951),
    [anon_sym_nullptr] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_final] = ACTIONS(1951),
    [anon_sym_override] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_operator] = ACTIONS(1951),
    [anon_sym_try] = ACTIONS(1951),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_throw] = ACTIONS(1951),
    [anon_sym_namespace] = ACTIONS(1951),
    [anon_sym_using] = ACTIONS(1951),
    [anon_sym_static_assert] = ACTIONS(1951),
    [anon_sym_concept] = ACTIONS(1951),
    [anon_sym_co_return] = ACTIONS(1951),
    [anon_sym_co_yield] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1951),
    [anon_sym_new] = ACTIONS(1951),
    [anon_sym_requires] = ACTIONS(1951),
    [sym_this] = ACTIONS(1951),
    [anon_sym_discard] = ACTIONS(1951),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
    [anon_sym_cbuffer] = ACTIONS(1951),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1957),
    [sym_identifier] = ACTIONS(1955),
    [aux_sym_preproc_include_token1] = ACTIONS(1955),
    [aux_sym_preproc_def_token1] = ACTIONS(1955),
    [aux_sym_preproc_if_token1] = ACTIONS(1955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1955),
    [sym_preproc_directive] = ACTIONS(1955),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_typedef] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym___cdecl] = ACTIONS(1955),
    [anon_sym___clrcall] = ACTIONS(1955),
    [anon_sym___stdcall] = ACTIONS(1955),
    [anon_sym___fastcall] = ACTIONS(1955),
    [anon_sym___thiscall] = ACTIONS(1955),
    [anon_sym___vectorcall] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_signed] = ACTIONS(1955),
    [anon_sym_unsigned] = ACTIONS(1955),
    [anon_sym_long] = ACTIONS(1955),
    [anon_sym_short] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [sym_primitive_type] = ACTIONS(1955),
    [anon_sym_enum] = ACTIONS(1955),
    [anon_sym_class] = ACTIONS(1955),
    [anon_sym_struct] = ACTIONS(1955),
    [anon_sym_union] = ACTIONS(1955),
    [anon_sym_if] = ACTIONS(1955),
    [anon_sym_else] = ACTIONS(1955),
    [anon_sym_switch] = ACTIONS(1955),
    [anon_sym_case] = ACTIONS(1955),
    [anon_sym_default] = ACTIONS(1955),
    [anon_sym_while] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1955),
    [anon_sym_for] = ACTIONS(1955),
    [anon_sym_return] = ACTIONS(1955),
    [anon_sym_break] = ACTIONS(1955),
    [anon_sym_continue] = ACTIONS(1955),
    [anon_sym_goto] = ACTIONS(1955),
    [anon_sym___try] = ACTIONS(1955),
    [anon_sym___leave] = ACTIONS(1955),
    [anon_sym_not] = ACTIONS(1955),
    [anon_sym_compl] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_sizeof] = ACTIONS(1955),
    [anon_sym___alignof__] = ACTIONS(1955),
    [anon_sym___alignof] = ACTIONS(1955),
    [anon_sym__alignof] = ACTIONS(1955),
    [anon_sym_alignof] = ACTIONS(1955),
    [anon_sym__Alignof] = ACTIONS(1955),
    [anon_sym_offsetof] = ACTIONS(1955),
    [anon_sym__Generic] = ACTIONS(1955),
    [anon_sym_asm] = ACTIONS(1955),
    [anon_sym___asm__] = ACTIONS(1955),
    [anon_sym___asm] = ACTIONS(1955),
    [sym_number_literal] = ACTIONS(1957),
    [anon_sym_L_SQUOTE] = ACTIONS(1957),
    [anon_sym_u_SQUOTE] = ACTIONS(1957),
    [anon_sym_U_SQUOTE] = ACTIONS(1957),
    [anon_sym_u8_SQUOTE] = ACTIONS(1957),
    [anon_sym_SQUOTE] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(1957),
    [anon_sym_u_DQUOTE] = ACTIONS(1957),
    [anon_sym_U_DQUOTE] = ACTIONS(1957),
    [anon_sym_u8_DQUOTE] = ACTIONS(1957),
    [anon_sym_DQUOTE] = ACTIONS(1957),
    [sym_true] = ACTIONS(1955),
    [sym_false] = ACTIONS(1955),
    [anon_sym_NULL] = ACTIONS(1955),
    [anon_sym_nullptr] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_final] = ACTIONS(1955),
    [anon_sym_override] = ACTIONS(1955),
    [anon_sym_explicit] = ACTIONS(1955),
    [anon_sym_typename] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_operator] = ACTIONS(1955),
    [anon_sym_try] = ACTIONS(1955),
    [anon_sym_delete] = ACTIONS(1955),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1955),
    [anon_sym_using] = ACTIONS(1955),
    [anon_sym_static_assert] = ACTIONS(1955),
    [anon_sym_concept] = ACTIONS(1955),
    [anon_sym_co_return] = ACTIONS(1955),
    [anon_sym_co_yield] = ACTIONS(1955),
    [anon_sym_R_DQUOTE] = ACTIONS(1957),
    [anon_sym_LR_DQUOTE] = ACTIONS(1957),
    [anon_sym_uR_DQUOTE] = ACTIONS(1957),
    [anon_sym_UR_DQUOTE] = ACTIONS(1957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1957),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1955),
    [anon_sym_requires] = ACTIONS(1955),
    [sym_this] = ACTIONS(1955),
    [anon_sym_discard] = ACTIONS(1955),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
    [anon_sym_cbuffer] = ACTIONS(1955),
  },
  [348] = {
    [ts_builtin_sym_end] = ACTIONS(1919),
    [sym_identifier] = ACTIONS(1917),
    [aux_sym_preproc_include_token1] = ACTIONS(1917),
    [aux_sym_preproc_def_token1] = ACTIONS(1917),
    [aux_sym_preproc_if_token1] = ACTIONS(1917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1917),
    [sym_preproc_directive] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_typedef] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym___cdecl] = ACTIONS(1917),
    [anon_sym___clrcall] = ACTIONS(1917),
    [anon_sym___stdcall] = ACTIONS(1917),
    [anon_sym___fastcall] = ACTIONS(1917),
    [anon_sym___thiscall] = ACTIONS(1917),
    [anon_sym___vectorcall] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_signed] = ACTIONS(1917),
    [anon_sym_unsigned] = ACTIONS(1917),
    [anon_sym_long] = ACTIONS(1917),
    [anon_sym_short] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(1917),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_class] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(1917),
    [anon_sym_union] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1917),
    [anon_sym_else] = ACTIONS(1917),
    [anon_sym_switch] = ACTIONS(1917),
    [anon_sym_case] = ACTIONS(1917),
    [anon_sym_default] = ACTIONS(1917),
    [anon_sym_while] = ACTIONS(1917),
    [anon_sym_do] = ACTIONS(1917),
    [anon_sym_for] = ACTIONS(1917),
    [anon_sym_return] = ACTIONS(1917),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_continue] = ACTIONS(1917),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1917),
    [anon_sym___leave] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_sizeof] = ACTIONS(1917),
    [anon_sym___alignof__] = ACTIONS(1917),
    [anon_sym___alignof] = ACTIONS(1917),
    [anon_sym__alignof] = ACTIONS(1917),
    [anon_sym_alignof] = ACTIONS(1917),
    [anon_sym__Alignof] = ACTIONS(1917),
    [anon_sym_offsetof] = ACTIONS(1917),
    [anon_sym__Generic] = ACTIONS(1917),
    [anon_sym_asm] = ACTIONS(1917),
    [anon_sym___asm__] = ACTIONS(1917),
    [anon_sym___asm] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(1919),
    [anon_sym_L_SQUOTE] = ACTIONS(1919),
    [anon_sym_u_SQUOTE] = ACTIONS(1919),
    [anon_sym_U_SQUOTE] = ACTIONS(1919),
    [anon_sym_u8_SQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1919),
    [anon_sym_L_DQUOTE] = ACTIONS(1919),
    [anon_sym_u_DQUOTE] = ACTIONS(1919),
    [anon_sym_U_DQUOTE] = ACTIONS(1919),
    [anon_sym_u8_DQUOTE] = ACTIONS(1919),
    [anon_sym_DQUOTE] = ACTIONS(1919),
    [sym_true] = ACTIONS(1917),
    [sym_false] = ACTIONS(1917),
    [anon_sym_NULL] = ACTIONS(1917),
    [anon_sym_nullptr] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_final] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_explicit] = ACTIONS(1917),
    [anon_sym_typename] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_operator] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1917),
    [anon_sym_delete] = ACTIONS(1917),
    [anon_sym_throw] = ACTIONS(1917),
    [anon_sym_namespace] = ACTIONS(1917),
    [anon_sym_using] = ACTIONS(1917),
    [anon_sym_static_assert] = ACTIONS(1917),
    [anon_sym_concept] = ACTIONS(1917),
    [anon_sym_co_return] = ACTIONS(1917),
    [anon_sym_co_yield] = ACTIONS(1917),
    [anon_sym_R_DQUOTE] = ACTIONS(1919),
    [anon_sym_LR_DQUOTE] = ACTIONS(1919),
    [anon_sym_uR_DQUOTE] = ACTIONS(1919),
    [anon_sym_UR_DQUOTE] = ACTIONS(1919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1919),
    [anon_sym_co_await] = ACTIONS(1917),
    [anon_sym_new] = ACTIONS(1917),
    [anon_sym_requires] = ACTIONS(1917),
    [sym_this] = ACTIONS(1917),
    [anon_sym_discard] = ACTIONS(1917),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
    [anon_sym_cbuffer] = ACTIONS(1917),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(1939),
    [aux_sym_preproc_include_token1] = ACTIONS(1939),
    [aux_sym_preproc_def_token1] = ACTIONS(1939),
    [aux_sym_preproc_if_token1] = ACTIONS(1939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1939),
    [sym_preproc_directive] = ACTIONS(1939),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_BANG] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1941),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_typedef] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym___cdecl] = ACTIONS(1939),
    [anon_sym___clrcall] = ACTIONS(1939),
    [anon_sym___stdcall] = ACTIONS(1939),
    [anon_sym___fastcall] = ACTIONS(1939),
    [anon_sym___thiscall] = ACTIONS(1939),
    [anon_sym___vectorcall] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_signed] = ACTIONS(1939),
    [anon_sym_unsigned] = ACTIONS(1939),
    [anon_sym_long] = ACTIONS(1939),
    [anon_sym_short] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [sym_primitive_type] = ACTIONS(1939),
    [anon_sym_enum] = ACTIONS(1939),
    [anon_sym_class] = ACTIONS(1939),
    [anon_sym_struct] = ACTIONS(1939),
    [anon_sym_union] = ACTIONS(1939),
    [anon_sym_if] = ACTIONS(1939),
    [anon_sym_else] = ACTIONS(1939),
    [anon_sym_switch] = ACTIONS(1939),
    [anon_sym_case] = ACTIONS(1939),
    [anon_sym_default] = ACTIONS(1939),
    [anon_sym_while] = ACTIONS(1939),
    [anon_sym_do] = ACTIONS(1939),
    [anon_sym_for] = ACTIONS(1939),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_break] = ACTIONS(1939),
    [anon_sym_continue] = ACTIONS(1939),
    [anon_sym_goto] = ACTIONS(1939),
    [anon_sym___try] = ACTIONS(1939),
    [anon_sym___leave] = ACTIONS(1939),
    [anon_sym_not] = ACTIONS(1939),
    [anon_sym_compl] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_sizeof] = ACTIONS(1939),
    [anon_sym___alignof__] = ACTIONS(1939),
    [anon_sym___alignof] = ACTIONS(1939),
    [anon_sym__alignof] = ACTIONS(1939),
    [anon_sym_alignof] = ACTIONS(1939),
    [anon_sym__Alignof] = ACTIONS(1939),
    [anon_sym_offsetof] = ACTIONS(1939),
    [anon_sym__Generic] = ACTIONS(1939),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1941),
    [anon_sym_u_DQUOTE] = ACTIONS(1941),
    [anon_sym_U_DQUOTE] = ACTIONS(1941),
    [anon_sym_u8_DQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1941),
    [sym_true] = ACTIONS(1939),
    [sym_false] = ACTIONS(1939),
    [anon_sym_NULL] = ACTIONS(1939),
    [anon_sym_nullptr] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_final] = ACTIONS(1939),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_explicit] = ACTIONS(1939),
    [anon_sym_typename] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_operator] = ACTIONS(1939),
    [anon_sym_try] = ACTIONS(1939),
    [anon_sym_delete] = ACTIONS(1939),
    [anon_sym_throw] = ACTIONS(1939),
    [anon_sym_namespace] = ACTIONS(1939),
    [anon_sym_using] = ACTIONS(1939),
    [anon_sym_static_assert] = ACTIONS(1939),
    [anon_sym_concept] = ACTIONS(1939),
    [anon_sym_co_return] = ACTIONS(1939),
    [anon_sym_co_yield] = ACTIONS(1939),
    [anon_sym_R_DQUOTE] = ACTIONS(1941),
    [anon_sym_LR_DQUOTE] = ACTIONS(1941),
    [anon_sym_uR_DQUOTE] = ACTIONS(1941),
    [anon_sym_UR_DQUOTE] = ACTIONS(1941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1941),
    [anon_sym_co_await] = ACTIONS(1939),
    [anon_sym_new] = ACTIONS(1939),
    [anon_sym_requires] = ACTIONS(1939),
    [sym_this] = ACTIONS(1939),
    [anon_sym_discard] = ACTIONS(1939),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
    [anon_sym_cbuffer] = ACTIONS(1939),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(1915),
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_include_token1] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_goto] = ACTIONS(1913),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym___leave] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_compl] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1913),
    [anon_sym___alignof__] = ACTIONS(1913),
    [anon_sym___alignof] = ACTIONS(1913),
    [anon_sym__alignof] = ACTIONS(1913),
    [anon_sym_alignof] = ACTIONS(1913),
    [anon_sym__Alignof] = ACTIONS(1913),
    [anon_sym_offsetof] = ACTIONS(1913),
    [anon_sym__Generic] = ACTIONS(1913),
    [anon_sym_asm] = ACTIONS(1913),
    [anon_sym___asm__] = ACTIONS(1913),
    [anon_sym___asm] = ACTIONS(1913),
    [sym_number_literal] = ACTIONS(1915),
    [anon_sym_L_SQUOTE] = ACTIONS(1915),
    [anon_sym_u_SQUOTE] = ACTIONS(1915),
    [anon_sym_U_SQUOTE] = ACTIONS(1915),
    [anon_sym_u8_SQUOTE] = ACTIONS(1915),
    [anon_sym_SQUOTE] = ACTIONS(1915),
    [anon_sym_L_DQUOTE] = ACTIONS(1915),
    [anon_sym_u_DQUOTE] = ACTIONS(1915),
    [anon_sym_U_DQUOTE] = ACTIONS(1915),
    [anon_sym_u8_DQUOTE] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1915),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [anon_sym_NULL] = ACTIONS(1913),
    [anon_sym_nullptr] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_final] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_concept] = ACTIONS(1913),
    [anon_sym_co_return] = ACTIONS(1913),
    [anon_sym_co_yield] = ACTIONS(1913),
    [anon_sym_R_DQUOTE] = ACTIONS(1915),
    [anon_sym_LR_DQUOTE] = ACTIONS(1915),
    [anon_sym_uR_DQUOTE] = ACTIONS(1915),
    [anon_sym_UR_DQUOTE] = ACTIONS(1915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1915),
    [anon_sym_co_await] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [sym_this] = ACTIONS(1913),
    [anon_sym_discard] = ACTIONS(1913),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
    [anon_sym_cbuffer] = ACTIONS(1913),
  },
  [351] = {
    [sym_identifier] = ACTIONS(1921),
    [aux_sym_preproc_include_token1] = ACTIONS(1921),
    [aux_sym_preproc_def_token1] = ACTIONS(1921),
    [aux_sym_preproc_if_token1] = ACTIONS(1921),
    [aux_sym_preproc_if_token2] = ACTIONS(1921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1921),
    [sym_preproc_directive] = ACTIONS(1921),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_typedef] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym___cdecl] = ACTIONS(1921),
    [anon_sym___clrcall] = ACTIONS(1921),
    [anon_sym___stdcall] = ACTIONS(1921),
    [anon_sym___fastcall] = ACTIONS(1921),
    [anon_sym___thiscall] = ACTIONS(1921),
    [anon_sym___vectorcall] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_signed] = ACTIONS(1921),
    [anon_sym_unsigned] = ACTIONS(1921),
    [anon_sym_long] = ACTIONS(1921),
    [anon_sym_short] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [sym_primitive_type] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1921),
    [anon_sym_struct] = ACTIONS(1921),
    [anon_sym_union] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1921),
    [anon_sym_case] = ACTIONS(1921),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1921),
    [anon_sym_return] = ACTIONS(1921),
    [anon_sym_break] = ACTIONS(1921),
    [anon_sym_continue] = ACTIONS(1921),
    [anon_sym_goto] = ACTIONS(1921),
    [anon_sym___try] = ACTIONS(1921),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(1921),
    [anon_sym_compl] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_sizeof] = ACTIONS(1921),
    [anon_sym___alignof__] = ACTIONS(1921),
    [anon_sym___alignof] = ACTIONS(1921),
    [anon_sym__alignof] = ACTIONS(1921),
    [anon_sym_alignof] = ACTIONS(1921),
    [anon_sym__Alignof] = ACTIONS(1921),
    [anon_sym_offsetof] = ACTIONS(1921),
    [anon_sym__Generic] = ACTIONS(1921),
    [anon_sym_asm] = ACTIONS(1921),
    [anon_sym___asm__] = ACTIONS(1921),
    [anon_sym___asm] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [anon_sym_L_SQUOTE] = ACTIONS(1923),
    [anon_sym_u_SQUOTE] = ACTIONS(1923),
    [anon_sym_U_SQUOTE] = ACTIONS(1923),
    [anon_sym_u8_SQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [anon_sym_L_DQUOTE] = ACTIONS(1923),
    [anon_sym_u_DQUOTE] = ACTIONS(1923),
    [anon_sym_U_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8_DQUOTE] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [anon_sym_NULL] = ACTIONS(1921),
    [anon_sym_nullptr] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_final] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_explicit] = ACTIONS(1921),
    [anon_sym_typename] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_operator] = ACTIONS(1921),
    [anon_sym_try] = ACTIONS(1921),
    [anon_sym_delete] = ACTIONS(1921),
    [anon_sym_throw] = ACTIONS(1921),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_using] = ACTIONS(1921),
    [anon_sym_static_assert] = ACTIONS(1921),
    [anon_sym_concept] = ACTIONS(1921),
    [anon_sym_co_return] = ACTIONS(1921),
    [anon_sym_co_yield] = ACTIONS(1921),
    [anon_sym_R_DQUOTE] = ACTIONS(1923),
    [anon_sym_LR_DQUOTE] = ACTIONS(1923),
    [anon_sym_uR_DQUOTE] = ACTIONS(1923),
    [anon_sym_UR_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1923),
    [anon_sym_co_await] = ACTIONS(1921),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_requires] = ACTIONS(1921),
    [sym_this] = ACTIONS(1921),
    [anon_sym_discard] = ACTIONS(1921),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
    [anon_sym_cbuffer] = ACTIONS(1921),
  },
  [352] = {
    [sym_identifier] = ACTIONS(1947),
    [aux_sym_preproc_include_token1] = ACTIONS(1947),
    [aux_sym_preproc_def_token1] = ACTIONS(1947),
    [aux_sym_preproc_if_token1] = ACTIONS(1947),
    [aux_sym_preproc_if_token2] = ACTIONS(1947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1947),
    [sym_preproc_directive] = ACTIONS(1947),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1949),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_typedef] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym___cdecl] = ACTIONS(1947),
    [anon_sym___clrcall] = ACTIONS(1947),
    [anon_sym___stdcall] = ACTIONS(1947),
    [anon_sym___fastcall] = ACTIONS(1947),
    [anon_sym___thiscall] = ACTIONS(1947),
    [anon_sym___vectorcall] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_signed] = ACTIONS(1947),
    [anon_sym_unsigned] = ACTIONS(1947),
    [anon_sym_long] = ACTIONS(1947),
    [anon_sym_short] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [sym_primitive_type] = ACTIONS(1947),
    [anon_sym_enum] = ACTIONS(1947),
    [anon_sym_class] = ACTIONS(1947),
    [anon_sym_struct] = ACTIONS(1947),
    [anon_sym_union] = ACTIONS(1947),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_else] = ACTIONS(1947),
    [anon_sym_switch] = ACTIONS(1947),
    [anon_sym_case] = ACTIONS(1947),
    [anon_sym_default] = ACTIONS(1947),
    [anon_sym_while] = ACTIONS(1947),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym___try] = ACTIONS(1947),
    [anon_sym___leave] = ACTIONS(1947),
    [anon_sym_not] = ACTIONS(1947),
    [anon_sym_compl] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(1947),
    [anon_sym___alignof] = ACTIONS(1947),
    [anon_sym__alignof] = ACTIONS(1947),
    [anon_sym_alignof] = ACTIONS(1947),
    [anon_sym__Alignof] = ACTIONS(1947),
    [anon_sym_offsetof] = ACTIONS(1947),
    [anon_sym__Generic] = ACTIONS(1947),
    [anon_sym_asm] = ACTIONS(1947),
    [anon_sym___asm__] = ACTIONS(1947),
    [anon_sym___asm] = ACTIONS(1947),
    [sym_number_literal] = ACTIONS(1949),
    [anon_sym_L_SQUOTE] = ACTIONS(1949),
    [anon_sym_u_SQUOTE] = ACTIONS(1949),
    [anon_sym_U_SQUOTE] = ACTIONS(1949),
    [anon_sym_u8_SQUOTE] = ACTIONS(1949),
    [anon_sym_SQUOTE] = ACTIONS(1949),
    [anon_sym_L_DQUOTE] = ACTIONS(1949),
    [anon_sym_u_DQUOTE] = ACTIONS(1949),
    [anon_sym_U_DQUOTE] = ACTIONS(1949),
    [anon_sym_u8_DQUOTE] = ACTIONS(1949),
    [anon_sym_DQUOTE] = ACTIONS(1949),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_final] = ACTIONS(1947),
    [anon_sym_override] = ACTIONS(1947),
    [anon_sym_explicit] = ACTIONS(1947),
    [anon_sym_typename] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_operator] = ACTIONS(1947),
    [anon_sym_try] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_throw] = ACTIONS(1947),
    [anon_sym_namespace] = ACTIONS(1947),
    [anon_sym_using] = ACTIONS(1947),
    [anon_sym_static_assert] = ACTIONS(1947),
    [anon_sym_concept] = ACTIONS(1947),
    [anon_sym_co_return] = ACTIONS(1947),
    [anon_sym_co_yield] = ACTIONS(1947),
    [anon_sym_R_DQUOTE] = ACTIONS(1949),
    [anon_sym_LR_DQUOTE] = ACTIONS(1949),
    [anon_sym_uR_DQUOTE] = ACTIONS(1949),
    [anon_sym_UR_DQUOTE] = ACTIONS(1949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1949),
    [anon_sym_co_await] = ACTIONS(1947),
    [anon_sym_new] = ACTIONS(1947),
    [anon_sym_requires] = ACTIONS(1947),
    [sym_this] = ACTIONS(1947),
    [anon_sym_discard] = ACTIONS(1947),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
    [anon_sym_cbuffer] = ACTIONS(1947),
  },
  [353] = {
    [sym_identifier] = ACTIONS(1951),
    [aux_sym_preproc_include_token1] = ACTIONS(1951),
    [aux_sym_preproc_def_token1] = ACTIONS(1951),
    [aux_sym_preproc_if_token1] = ACTIONS(1951),
    [aux_sym_preproc_if_token2] = ACTIONS(1951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1951),
    [sym_preproc_directive] = ACTIONS(1951),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_BANG] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_typedef] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym___cdecl] = ACTIONS(1951),
    [anon_sym___clrcall] = ACTIONS(1951),
    [anon_sym___stdcall] = ACTIONS(1951),
    [anon_sym___fastcall] = ACTIONS(1951),
    [anon_sym___thiscall] = ACTIONS(1951),
    [anon_sym___vectorcall] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_signed] = ACTIONS(1951),
    [anon_sym_unsigned] = ACTIONS(1951),
    [anon_sym_long] = ACTIONS(1951),
    [anon_sym_short] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [sym_primitive_type] = ACTIONS(1951),
    [anon_sym_enum] = ACTIONS(1951),
    [anon_sym_class] = ACTIONS(1951),
    [anon_sym_struct] = ACTIONS(1951),
    [anon_sym_union] = ACTIONS(1951),
    [anon_sym_if] = ACTIONS(1951),
    [anon_sym_else] = ACTIONS(1951),
    [anon_sym_switch] = ACTIONS(1951),
    [anon_sym_case] = ACTIONS(1951),
    [anon_sym_default] = ACTIONS(1951),
    [anon_sym_while] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1951),
    [anon_sym_for] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1951),
    [anon_sym_break] = ACTIONS(1951),
    [anon_sym_continue] = ACTIONS(1951),
    [anon_sym_goto] = ACTIONS(1951),
    [anon_sym___try] = ACTIONS(1951),
    [anon_sym___leave] = ACTIONS(1951),
    [anon_sym_not] = ACTIONS(1951),
    [anon_sym_compl] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_sizeof] = ACTIONS(1951),
    [anon_sym___alignof__] = ACTIONS(1951),
    [anon_sym___alignof] = ACTIONS(1951),
    [anon_sym__alignof] = ACTIONS(1951),
    [anon_sym_alignof] = ACTIONS(1951),
    [anon_sym__Alignof] = ACTIONS(1951),
    [anon_sym_offsetof] = ACTIONS(1951),
    [anon_sym__Generic] = ACTIONS(1951),
    [anon_sym_asm] = ACTIONS(1951),
    [anon_sym___asm__] = ACTIONS(1951),
    [anon_sym___asm] = ACTIONS(1951),
    [sym_number_literal] = ACTIONS(1953),
    [anon_sym_L_SQUOTE] = ACTIONS(1953),
    [anon_sym_u_SQUOTE] = ACTIONS(1953),
    [anon_sym_U_SQUOTE] = ACTIONS(1953),
    [anon_sym_u8_SQUOTE] = ACTIONS(1953),
    [anon_sym_SQUOTE] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(1953),
    [anon_sym_u_DQUOTE] = ACTIONS(1953),
    [anon_sym_U_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8_DQUOTE] = ACTIONS(1953),
    [anon_sym_DQUOTE] = ACTIONS(1953),
    [sym_true] = ACTIONS(1951),
    [sym_false] = ACTIONS(1951),
    [anon_sym_NULL] = ACTIONS(1951),
    [anon_sym_nullptr] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_final] = ACTIONS(1951),
    [anon_sym_override] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_operator] = ACTIONS(1951),
    [anon_sym_try] = ACTIONS(1951),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_throw] = ACTIONS(1951),
    [anon_sym_namespace] = ACTIONS(1951),
    [anon_sym_using] = ACTIONS(1951),
    [anon_sym_static_assert] = ACTIONS(1951),
    [anon_sym_concept] = ACTIONS(1951),
    [anon_sym_co_return] = ACTIONS(1951),
    [anon_sym_co_yield] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1951),
    [anon_sym_new] = ACTIONS(1951),
    [anon_sym_requires] = ACTIONS(1951),
    [sym_this] = ACTIONS(1951),
    [anon_sym_discard] = ACTIONS(1951),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
    [anon_sym_cbuffer] = ACTIONS(1951),
  },
  [354] = {
    [sym_identifier] = ACTIONS(1955),
    [aux_sym_preproc_include_token1] = ACTIONS(1955),
    [aux_sym_preproc_def_token1] = ACTIONS(1955),
    [aux_sym_preproc_if_token1] = ACTIONS(1955),
    [aux_sym_preproc_if_token2] = ACTIONS(1955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1955),
    [sym_preproc_directive] = ACTIONS(1955),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_typedef] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym___cdecl] = ACTIONS(1955),
    [anon_sym___clrcall] = ACTIONS(1955),
    [anon_sym___stdcall] = ACTIONS(1955),
    [anon_sym___fastcall] = ACTIONS(1955),
    [anon_sym___thiscall] = ACTIONS(1955),
    [anon_sym___vectorcall] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_signed] = ACTIONS(1955),
    [anon_sym_unsigned] = ACTIONS(1955),
    [anon_sym_long] = ACTIONS(1955),
    [anon_sym_short] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [sym_primitive_type] = ACTIONS(1955),
    [anon_sym_enum] = ACTIONS(1955),
    [anon_sym_class] = ACTIONS(1955),
    [anon_sym_struct] = ACTIONS(1955),
    [anon_sym_union] = ACTIONS(1955),
    [anon_sym_if] = ACTIONS(1955),
    [anon_sym_else] = ACTIONS(1955),
    [anon_sym_switch] = ACTIONS(1955),
    [anon_sym_case] = ACTIONS(1955),
    [anon_sym_default] = ACTIONS(1955),
    [anon_sym_while] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1955),
    [anon_sym_for] = ACTIONS(1955),
    [anon_sym_return] = ACTIONS(1955),
    [anon_sym_break] = ACTIONS(1955),
    [anon_sym_continue] = ACTIONS(1955),
    [anon_sym_goto] = ACTIONS(1955),
    [anon_sym___try] = ACTIONS(1955),
    [anon_sym___leave] = ACTIONS(1955),
    [anon_sym_not] = ACTIONS(1955),
    [anon_sym_compl] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_sizeof] = ACTIONS(1955),
    [anon_sym___alignof__] = ACTIONS(1955),
    [anon_sym___alignof] = ACTIONS(1955),
    [anon_sym__alignof] = ACTIONS(1955),
    [anon_sym_alignof] = ACTIONS(1955),
    [anon_sym__Alignof] = ACTIONS(1955),
    [anon_sym_offsetof] = ACTIONS(1955),
    [anon_sym__Generic] = ACTIONS(1955),
    [anon_sym_asm] = ACTIONS(1955),
    [anon_sym___asm__] = ACTIONS(1955),
    [anon_sym___asm] = ACTIONS(1955),
    [sym_number_literal] = ACTIONS(1957),
    [anon_sym_L_SQUOTE] = ACTIONS(1957),
    [anon_sym_u_SQUOTE] = ACTIONS(1957),
    [anon_sym_U_SQUOTE] = ACTIONS(1957),
    [anon_sym_u8_SQUOTE] = ACTIONS(1957),
    [anon_sym_SQUOTE] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(1957),
    [anon_sym_u_DQUOTE] = ACTIONS(1957),
    [anon_sym_U_DQUOTE] = ACTIONS(1957),
    [anon_sym_u8_DQUOTE] = ACTIONS(1957),
    [anon_sym_DQUOTE] = ACTIONS(1957),
    [sym_true] = ACTIONS(1955),
    [sym_false] = ACTIONS(1955),
    [anon_sym_NULL] = ACTIONS(1955),
    [anon_sym_nullptr] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_final] = ACTIONS(1955),
    [anon_sym_override] = ACTIONS(1955),
    [anon_sym_explicit] = ACTIONS(1955),
    [anon_sym_typename] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_operator] = ACTIONS(1955),
    [anon_sym_try] = ACTIONS(1955),
    [anon_sym_delete] = ACTIONS(1955),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1955),
    [anon_sym_using] = ACTIONS(1955),
    [anon_sym_static_assert] = ACTIONS(1955),
    [anon_sym_concept] = ACTIONS(1955),
    [anon_sym_co_return] = ACTIONS(1955),
    [anon_sym_co_yield] = ACTIONS(1955),
    [anon_sym_R_DQUOTE] = ACTIONS(1957),
    [anon_sym_LR_DQUOTE] = ACTIONS(1957),
    [anon_sym_uR_DQUOTE] = ACTIONS(1957),
    [anon_sym_UR_DQUOTE] = ACTIONS(1957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1957),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1955),
    [anon_sym_requires] = ACTIONS(1955),
    [sym_this] = ACTIONS(1955),
    [anon_sym_discard] = ACTIONS(1955),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
    [anon_sym_cbuffer] = ACTIONS(1955),
  },
  [355] = {
    [sym_identifier] = ACTIONS(1917),
    [aux_sym_preproc_include_token1] = ACTIONS(1917),
    [aux_sym_preproc_def_token1] = ACTIONS(1917),
    [aux_sym_preproc_if_token1] = ACTIONS(1917),
    [aux_sym_preproc_if_token2] = ACTIONS(1917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1917),
    [sym_preproc_directive] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_typedef] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym___cdecl] = ACTIONS(1917),
    [anon_sym___clrcall] = ACTIONS(1917),
    [anon_sym___stdcall] = ACTIONS(1917),
    [anon_sym___fastcall] = ACTIONS(1917),
    [anon_sym___thiscall] = ACTIONS(1917),
    [anon_sym___vectorcall] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_signed] = ACTIONS(1917),
    [anon_sym_unsigned] = ACTIONS(1917),
    [anon_sym_long] = ACTIONS(1917),
    [anon_sym_short] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(1917),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_class] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(1917),
    [anon_sym_union] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1917),
    [anon_sym_else] = ACTIONS(1917),
    [anon_sym_switch] = ACTIONS(1917),
    [anon_sym_case] = ACTIONS(1917),
    [anon_sym_default] = ACTIONS(1917),
    [anon_sym_while] = ACTIONS(1917),
    [anon_sym_do] = ACTIONS(1917),
    [anon_sym_for] = ACTIONS(1917),
    [anon_sym_return] = ACTIONS(1917),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_continue] = ACTIONS(1917),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1917),
    [anon_sym___leave] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_sizeof] = ACTIONS(1917),
    [anon_sym___alignof__] = ACTIONS(1917),
    [anon_sym___alignof] = ACTIONS(1917),
    [anon_sym__alignof] = ACTIONS(1917),
    [anon_sym_alignof] = ACTIONS(1917),
    [anon_sym__Alignof] = ACTIONS(1917),
    [anon_sym_offsetof] = ACTIONS(1917),
    [anon_sym__Generic] = ACTIONS(1917),
    [anon_sym_asm] = ACTIONS(1917),
    [anon_sym___asm__] = ACTIONS(1917),
    [anon_sym___asm] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(1919),
    [anon_sym_L_SQUOTE] = ACTIONS(1919),
    [anon_sym_u_SQUOTE] = ACTIONS(1919),
    [anon_sym_U_SQUOTE] = ACTIONS(1919),
    [anon_sym_u8_SQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1919),
    [anon_sym_L_DQUOTE] = ACTIONS(1919),
    [anon_sym_u_DQUOTE] = ACTIONS(1919),
    [anon_sym_U_DQUOTE] = ACTIONS(1919),
    [anon_sym_u8_DQUOTE] = ACTIONS(1919),
    [anon_sym_DQUOTE] = ACTIONS(1919),
    [sym_true] = ACTIONS(1917),
    [sym_false] = ACTIONS(1917),
    [anon_sym_NULL] = ACTIONS(1917),
    [anon_sym_nullptr] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_final] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_explicit] = ACTIONS(1917),
    [anon_sym_typename] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_operator] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1917),
    [anon_sym_delete] = ACTIONS(1917),
    [anon_sym_throw] = ACTIONS(1917),
    [anon_sym_namespace] = ACTIONS(1917),
    [anon_sym_using] = ACTIONS(1917),
    [anon_sym_static_assert] = ACTIONS(1917),
    [anon_sym_concept] = ACTIONS(1917),
    [anon_sym_co_return] = ACTIONS(1917),
    [anon_sym_co_yield] = ACTIONS(1917),
    [anon_sym_R_DQUOTE] = ACTIONS(1919),
    [anon_sym_LR_DQUOTE] = ACTIONS(1919),
    [anon_sym_uR_DQUOTE] = ACTIONS(1919),
    [anon_sym_UR_DQUOTE] = ACTIONS(1919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1919),
    [anon_sym_co_await] = ACTIONS(1917),
    [anon_sym_new] = ACTIONS(1917),
    [anon_sym_requires] = ACTIONS(1917),
    [sym_this] = ACTIONS(1917),
    [anon_sym_discard] = ACTIONS(1917),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
    [anon_sym_cbuffer] = ACTIONS(1917),
  },
  [356] = {
    [sym_identifier] = ACTIONS(1939),
    [aux_sym_preproc_include_token1] = ACTIONS(1939),
    [aux_sym_preproc_def_token1] = ACTIONS(1939),
    [aux_sym_preproc_if_token1] = ACTIONS(1939),
    [aux_sym_preproc_if_token2] = ACTIONS(1939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1939),
    [sym_preproc_directive] = ACTIONS(1939),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_BANG] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1941),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_typedef] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym___cdecl] = ACTIONS(1939),
    [anon_sym___clrcall] = ACTIONS(1939),
    [anon_sym___stdcall] = ACTIONS(1939),
    [anon_sym___fastcall] = ACTIONS(1939),
    [anon_sym___thiscall] = ACTIONS(1939),
    [anon_sym___vectorcall] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_signed] = ACTIONS(1939),
    [anon_sym_unsigned] = ACTIONS(1939),
    [anon_sym_long] = ACTIONS(1939),
    [anon_sym_short] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [sym_primitive_type] = ACTIONS(1939),
    [anon_sym_enum] = ACTIONS(1939),
    [anon_sym_class] = ACTIONS(1939),
    [anon_sym_struct] = ACTIONS(1939),
    [anon_sym_union] = ACTIONS(1939),
    [anon_sym_if] = ACTIONS(1939),
    [anon_sym_else] = ACTIONS(1939),
    [anon_sym_switch] = ACTIONS(1939),
    [anon_sym_case] = ACTIONS(1939),
    [anon_sym_default] = ACTIONS(1939),
    [anon_sym_while] = ACTIONS(1939),
    [anon_sym_do] = ACTIONS(1939),
    [anon_sym_for] = ACTIONS(1939),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_break] = ACTIONS(1939),
    [anon_sym_continue] = ACTIONS(1939),
    [anon_sym_goto] = ACTIONS(1939),
    [anon_sym___try] = ACTIONS(1939),
    [anon_sym___leave] = ACTIONS(1939),
    [anon_sym_not] = ACTIONS(1939),
    [anon_sym_compl] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_sizeof] = ACTIONS(1939),
    [anon_sym___alignof__] = ACTIONS(1939),
    [anon_sym___alignof] = ACTIONS(1939),
    [anon_sym__alignof] = ACTIONS(1939),
    [anon_sym_alignof] = ACTIONS(1939),
    [anon_sym__Alignof] = ACTIONS(1939),
    [anon_sym_offsetof] = ACTIONS(1939),
    [anon_sym__Generic] = ACTIONS(1939),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1941),
    [anon_sym_u_DQUOTE] = ACTIONS(1941),
    [anon_sym_U_DQUOTE] = ACTIONS(1941),
    [anon_sym_u8_DQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1941),
    [sym_true] = ACTIONS(1939),
    [sym_false] = ACTIONS(1939),
    [anon_sym_NULL] = ACTIONS(1939),
    [anon_sym_nullptr] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_final] = ACTIONS(1939),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_explicit] = ACTIONS(1939),
    [anon_sym_typename] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_operator] = ACTIONS(1939),
    [anon_sym_try] = ACTIONS(1939),
    [anon_sym_delete] = ACTIONS(1939),
    [anon_sym_throw] = ACTIONS(1939),
    [anon_sym_namespace] = ACTIONS(1939),
    [anon_sym_using] = ACTIONS(1939),
    [anon_sym_static_assert] = ACTIONS(1939),
    [anon_sym_concept] = ACTIONS(1939),
    [anon_sym_co_return] = ACTIONS(1939),
    [anon_sym_co_yield] = ACTIONS(1939),
    [anon_sym_R_DQUOTE] = ACTIONS(1941),
    [anon_sym_LR_DQUOTE] = ACTIONS(1941),
    [anon_sym_uR_DQUOTE] = ACTIONS(1941),
    [anon_sym_UR_DQUOTE] = ACTIONS(1941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1941),
    [anon_sym_co_await] = ACTIONS(1939),
    [anon_sym_new] = ACTIONS(1939),
    [anon_sym_requires] = ACTIONS(1939),
    [sym_this] = ACTIONS(1939),
    [anon_sym_discard] = ACTIONS(1939),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
    [anon_sym_cbuffer] = ACTIONS(1939),
  },
  [357] = {
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_include_token1] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token2] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_goto] = ACTIONS(1913),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym___leave] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_compl] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1913),
    [anon_sym___alignof__] = ACTIONS(1913),
    [anon_sym___alignof] = ACTIONS(1913),
    [anon_sym__alignof] = ACTIONS(1913),
    [anon_sym_alignof] = ACTIONS(1913),
    [anon_sym__Alignof] = ACTIONS(1913),
    [anon_sym_offsetof] = ACTIONS(1913),
    [anon_sym__Generic] = ACTIONS(1913),
    [anon_sym_asm] = ACTIONS(1913),
    [anon_sym___asm__] = ACTIONS(1913),
    [anon_sym___asm] = ACTIONS(1913),
    [sym_number_literal] = ACTIONS(1915),
    [anon_sym_L_SQUOTE] = ACTIONS(1915),
    [anon_sym_u_SQUOTE] = ACTIONS(1915),
    [anon_sym_U_SQUOTE] = ACTIONS(1915),
    [anon_sym_u8_SQUOTE] = ACTIONS(1915),
    [anon_sym_SQUOTE] = ACTIONS(1915),
    [anon_sym_L_DQUOTE] = ACTIONS(1915),
    [anon_sym_u_DQUOTE] = ACTIONS(1915),
    [anon_sym_U_DQUOTE] = ACTIONS(1915),
    [anon_sym_u8_DQUOTE] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1915),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [anon_sym_NULL] = ACTIONS(1913),
    [anon_sym_nullptr] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_final] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_concept] = ACTIONS(1913),
    [anon_sym_co_return] = ACTIONS(1913),
    [anon_sym_co_yield] = ACTIONS(1913),
    [anon_sym_R_DQUOTE] = ACTIONS(1915),
    [anon_sym_LR_DQUOTE] = ACTIONS(1915),
    [anon_sym_uR_DQUOTE] = ACTIONS(1915),
    [anon_sym_UR_DQUOTE] = ACTIONS(1915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1915),
    [anon_sym_co_await] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [sym_this] = ACTIONS(1913),
    [anon_sym_discard] = ACTIONS(1913),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
    [anon_sym_cbuffer] = ACTIONS(1913),
  },
  [358] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token2] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [aux_sym_preproc_else_token1] = ACTIONS(2648),
    [aux_sym_preproc_elif_token1] = ACTIONS(2648),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_in] = ACTIONS(2648),
    [anon_sym_out] = ACTIONS(2648),
    [anon_sym_inout] = ACTIONS(2648),
    [anon_sym_virtual] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym__Nonnull] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2648),
    [anon_sym___leave] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [anon_sym___asm] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
    [anon_sym_discard] = ACTIONS(2648),
    [anon_sym_precise] = ACTIONS(2648),
    [anon_sym_shared] = ACTIONS(2648),
    [anon_sym_groupshared] = ACTIONS(2648),
    [anon_sym_uniform] = ACTIONS(2648),
    [anon_sym_row_major] = ACTIONS(2648),
    [anon_sym_column_major] = ACTIONS(2648),
    [anon_sym_globallycoherent] = ACTIONS(2648),
    [anon_sym_centroid] = ACTIONS(2648),
    [anon_sym_noperspective] = ACTIONS(2648),
    [anon_sym_nointerpolation] = ACTIONS(2648),
    [anon_sym_sample] = ACTIONS(2648),
    [anon_sym_linear] = ACTIONS(2648),
    [anon_sym_snorm] = ACTIONS(2648),
    [anon_sym_unorm] = ACTIONS(2648),
    [anon_sym_point] = ACTIONS(2648),
    [anon_sym_line] = ACTIONS(2648),
    [anon_sym_triangleadj] = ACTIONS(2648),
    [anon_sym_lineadj] = ACTIONS(2648),
    [anon_sym_triangle] = ACTIONS(2648),
    [anon_sym_cbuffer] = ACTIONS(2648),
  },
  [359] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [aux_sym_preproc_else_token1] = ACTIONS(2654),
    [aux_sym_preproc_elif_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_out] = ACTIONS(2654),
    [anon_sym_inout] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
    [anon_sym_discard] = ACTIONS(2654),
    [anon_sym_precise] = ACTIONS(2654),
    [anon_sym_shared] = ACTIONS(2654),
    [anon_sym_groupshared] = ACTIONS(2654),
    [anon_sym_uniform] = ACTIONS(2654),
    [anon_sym_row_major] = ACTIONS(2654),
    [anon_sym_column_major] = ACTIONS(2654),
    [anon_sym_globallycoherent] = ACTIONS(2654),
    [anon_sym_centroid] = ACTIONS(2654),
    [anon_sym_noperspective] = ACTIONS(2654),
    [anon_sym_nointerpolation] = ACTIONS(2654),
    [anon_sym_sample] = ACTIONS(2654),
    [anon_sym_linear] = ACTIONS(2654),
    [anon_sym_snorm] = ACTIONS(2654),
    [anon_sym_unorm] = ACTIONS(2654),
    [anon_sym_point] = ACTIONS(2654),
    [anon_sym_line] = ACTIONS(2654),
    [anon_sym_triangleadj] = ACTIONS(2654),
    [anon_sym_lineadj] = ACTIONS(2654),
    [anon_sym_triangle] = ACTIONS(2654),
    [anon_sym_cbuffer] = ACTIONS(2654),
  },
  [360] = {
    [sym_catch_clause] = STATE(245),
    [aux_sym_constructor_try_statement_repeat1] = STATE(245),
    [sym_identifier] = ACTIONS(2090),
    [aux_sym_preproc_include_token1] = ACTIONS(2090),
    [aux_sym_preproc_def_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token1] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2090),
    [sym_preproc_directive] = ACTIONS(2090),
    [anon_sym_LPAREN2] = ACTIONS(2092),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2092),
    [anon_sym_AMP_AMP] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2090),
    [anon_sym_out] = ACTIONS(2090),
    [anon_sym_inout] = ACTIONS(2090),
    [anon_sym_virtual] = ACTIONS(2090),
    [anon_sym_extern] = ACTIONS(2090),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2092),
    [anon_sym___declspec] = ACTIONS(2090),
    [anon_sym___based] = ACTIONS(2090),
    [anon_sym___cdecl] = ACTIONS(2090),
    [anon_sym___clrcall] = ACTIONS(2090),
    [anon_sym___stdcall] = ACTIONS(2090),
    [anon_sym___fastcall] = ACTIONS(2090),
    [anon_sym___thiscall] = ACTIONS(2090),
    [anon_sym___vectorcall] = ACTIONS(2090),
    [anon_sym_LBRACE] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [anon_sym_signed] = ACTIONS(2090),
    [anon_sym_unsigned] = ACTIONS(2090),
    [anon_sym_long] = ACTIONS(2090),
    [anon_sym_short] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_static] = ACTIONS(2090),
    [anon_sym_register] = ACTIONS(2090),
    [anon_sym_inline] = ACTIONS(2090),
    [anon_sym___inline] = ACTIONS(2090),
    [anon_sym___inline__] = ACTIONS(2090),
    [anon_sym___forceinline] = ACTIONS(2090),
    [anon_sym_thread_local] = ACTIONS(2090),
    [anon_sym___thread] = ACTIONS(2090),
    [anon_sym_const] = ACTIONS(2090),
    [anon_sym_constexpr] = ACTIONS(2090),
    [anon_sym_volatile] = ACTIONS(2090),
    [anon_sym_restrict] = ACTIONS(2090),
    [anon_sym___restrict__] = ACTIONS(2090),
    [anon_sym__Atomic] = ACTIONS(2090),
    [anon_sym__Noreturn] = ACTIONS(2090),
    [anon_sym_noreturn] = ACTIONS(2090),
    [anon_sym__Nonnull] = ACTIONS(2090),
    [anon_sym_mutable] = ACTIONS(2090),
    [anon_sym_constinit] = ACTIONS(2090),
    [anon_sym_consteval] = ACTIONS(2090),
    [anon_sym_alignas] = ACTIONS(2090),
    [anon_sym__Alignas] = ACTIONS(2090),
    [sym_primitive_type] = ACTIONS(2090),
    [anon_sym_enum] = ACTIONS(2090),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2090),
    [anon_sym_if] = ACTIONS(2090),
    [anon_sym_switch] = ACTIONS(2090),
    [anon_sym_case] = ACTIONS(2090),
    [anon_sym_default] = ACTIONS(2090),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2090),
    [anon_sym_return] = ACTIONS(2090),
    [anon_sym_break] = ACTIONS(2090),
    [anon_sym_continue] = ACTIONS(2090),
    [anon_sym_goto] = ACTIONS(2090),
    [anon_sym___try] = ACTIONS(2090),
    [anon_sym___leave] = ACTIONS(2090),
    [anon_sym_not] = ACTIONS(2090),
    [anon_sym_compl] = ACTIONS(2090),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_sizeof] = ACTIONS(2090),
    [anon_sym___alignof__] = ACTIONS(2090),
    [anon_sym___alignof] = ACTIONS(2090),
    [anon_sym__alignof] = ACTIONS(2090),
    [anon_sym_alignof] = ACTIONS(2090),
    [anon_sym__Alignof] = ACTIONS(2090),
    [anon_sym_offsetof] = ACTIONS(2090),
    [anon_sym__Generic] = ACTIONS(2090),
    [anon_sym_asm] = ACTIONS(2090),
    [anon_sym___asm__] = ACTIONS(2090),
    [anon_sym___asm] = ACTIONS(2090),
    [sym_number_literal] = ACTIONS(2092),
    [anon_sym_L_SQUOTE] = ACTIONS(2092),
    [anon_sym_u_SQUOTE] = ACTIONS(2092),
    [anon_sym_U_SQUOTE] = ACTIONS(2092),
    [anon_sym_u8_SQUOTE] = ACTIONS(2092),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_L_DQUOTE] = ACTIONS(2092),
    [anon_sym_u_DQUOTE] = ACTIONS(2092),
    [anon_sym_U_DQUOTE] = ACTIONS(2092),
    [anon_sym_u8_DQUOTE] = ACTIONS(2092),
    [anon_sym_DQUOTE] = ACTIONS(2092),
    [sym_true] = ACTIONS(2090),
    [sym_false] = ACTIONS(2090),
    [anon_sym_NULL] = ACTIONS(2090),
    [anon_sym_nullptr] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2090),
    [anon_sym_decltype] = ACTIONS(2090),
    [anon_sym_explicit] = ACTIONS(2090),
    [anon_sym_typename] = ACTIONS(2090),
    [anon_sym_template] = ACTIONS(2090),
    [anon_sym_operator] = ACTIONS(2090),
    [anon_sym_try] = ACTIONS(2090),
    [anon_sym_delete] = ACTIONS(2090),
    [anon_sym_throw] = ACTIONS(2090),
    [anon_sym_namespace] = ACTIONS(2090),
    [anon_sym_using] = ACTIONS(2090),
    [anon_sym_static_assert] = ACTIONS(2090),
    [anon_sym_concept] = ACTIONS(2090),
    [anon_sym_co_return] = ACTIONS(2090),
    [anon_sym_co_yield] = ACTIONS(2090),
    [anon_sym_catch] = ACTIONS(2367),
    [anon_sym_R_DQUOTE] = ACTIONS(2092),
    [anon_sym_LR_DQUOTE] = ACTIONS(2092),
    [anon_sym_uR_DQUOTE] = ACTIONS(2092),
    [anon_sym_UR_DQUOTE] = ACTIONS(2092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2092),
    [anon_sym_co_await] = ACTIONS(2090),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_requires] = ACTIONS(2090),
    [sym_this] = ACTIONS(2090),
    [anon_sym_discard] = ACTIONS(2090),
    [anon_sym_precise] = ACTIONS(2090),
    [anon_sym_shared] = ACTIONS(2090),
    [anon_sym_groupshared] = ACTIONS(2090),
    [anon_sym_uniform] = ACTIONS(2090),
    [anon_sym_row_major] = ACTIONS(2090),
    [anon_sym_column_major] = ACTIONS(2090),
    [anon_sym_globallycoherent] = ACTIONS(2090),
    [anon_sym_centroid] = ACTIONS(2090),
    [anon_sym_noperspective] = ACTIONS(2090),
    [anon_sym_nointerpolation] = ACTIONS(2090),
    [anon_sym_sample] = ACTIONS(2090),
    [anon_sym_linear] = ACTIONS(2090),
    [anon_sym_snorm] = ACTIONS(2090),
    [anon_sym_unorm] = ACTIONS(2090),
    [anon_sym_point] = ACTIONS(2090),
    [anon_sym_line] = ACTIONS(2090),
    [anon_sym_triangleadj] = ACTIONS(2090),
    [anon_sym_lineadj] = ACTIONS(2090),
    [anon_sym_triangle] = ACTIONS(2090),
    [anon_sym_cbuffer] = ACTIONS(2090),
  },
  [361] = {
    [sym_catch_clause] = STATE(320),
    [aux_sym_constructor_try_statement_repeat1] = STATE(320),
    [sym_identifier] = ACTIONS(2084),
    [aux_sym_preproc_include_token1] = ACTIONS(2084),
    [aux_sym_preproc_def_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token2] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2084),
    [sym_preproc_directive] = ACTIONS(2084),
    [anon_sym_LPAREN2] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(2086),
    [anon_sym_TILDE] = ACTIONS(2086),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_STAR] = ACTIONS(2086),
    [anon_sym_AMP_AMP] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_typedef] = ACTIONS(2084),
    [anon_sym_in] = ACTIONS(2084),
    [anon_sym_out] = ACTIONS(2084),
    [anon_sym_inout] = ACTIONS(2084),
    [anon_sym_virtual] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2084),
    [anon_sym___attribute__] = ACTIONS(2084),
    [anon_sym_COLON_COLON] = ACTIONS(2086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2086),
    [anon_sym___declspec] = ACTIONS(2084),
    [anon_sym___based] = ACTIONS(2084),
    [anon_sym___cdecl] = ACTIONS(2084),
    [anon_sym___clrcall] = ACTIONS(2084),
    [anon_sym___stdcall] = ACTIONS(2084),
    [anon_sym___fastcall] = ACTIONS(2084),
    [anon_sym___thiscall] = ACTIONS(2084),
    [anon_sym___vectorcall] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2086),
    [anon_sym_signed] = ACTIONS(2084),
    [anon_sym_unsigned] = ACTIONS(2084),
    [anon_sym_long] = ACTIONS(2084),
    [anon_sym_short] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_register] = ACTIONS(2084),
    [anon_sym_inline] = ACTIONS(2084),
    [anon_sym___inline] = ACTIONS(2084),
    [anon_sym___inline__] = ACTIONS(2084),
    [anon_sym___forceinline] = ACTIONS(2084),
    [anon_sym_thread_local] = ACTIONS(2084),
    [anon_sym___thread] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_mutable] = ACTIONS(2084),
    [anon_sym_constinit] = ACTIONS(2084),
    [anon_sym_consteval] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2084),
    [anon_sym__Alignas] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2084),
    [anon_sym_struct] = ACTIONS(2084),
    [anon_sym_union] = ACTIONS(2084),
    [anon_sym_if] = ACTIONS(2084),
    [anon_sym_switch] = ACTIONS(2084),
    [anon_sym_case] = ACTIONS(2084),
    [anon_sym_default] = ACTIONS(2084),
    [anon_sym_while] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2084),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_return] = ACTIONS(2084),
    [anon_sym_break] = ACTIONS(2084),
    [anon_sym_continue] = ACTIONS(2084),
    [anon_sym_goto] = ACTIONS(2084),
    [anon_sym___try] = ACTIONS(2084),
    [anon_sym___leave] = ACTIONS(2084),
    [anon_sym_not] = ACTIONS(2084),
    [anon_sym_compl] = ACTIONS(2084),
    [anon_sym_DASH_DASH] = ACTIONS(2086),
    [anon_sym_PLUS_PLUS] = ACTIONS(2086),
    [anon_sym_sizeof] = ACTIONS(2084),
    [anon_sym___alignof__] = ACTIONS(2084),
    [anon_sym___alignof] = ACTIONS(2084),
    [anon_sym__alignof] = ACTIONS(2084),
    [anon_sym_alignof] = ACTIONS(2084),
    [anon_sym__Alignof] = ACTIONS(2084),
    [anon_sym_offsetof] = ACTIONS(2084),
    [anon_sym__Generic] = ACTIONS(2084),
    [anon_sym_asm] = ACTIONS(2084),
    [anon_sym___asm__] = ACTIONS(2084),
    [anon_sym___asm] = ACTIONS(2084),
    [sym_number_literal] = ACTIONS(2086),
    [anon_sym_L_SQUOTE] = ACTIONS(2086),
    [anon_sym_u_SQUOTE] = ACTIONS(2086),
    [anon_sym_U_SQUOTE] = ACTIONS(2086),
    [anon_sym_u8_SQUOTE] = ACTIONS(2086),
    [anon_sym_SQUOTE] = ACTIONS(2086),
    [anon_sym_L_DQUOTE] = ACTIONS(2086),
    [anon_sym_u_DQUOTE] = ACTIONS(2086),
    [anon_sym_U_DQUOTE] = ACTIONS(2086),
    [anon_sym_u8_DQUOTE] = ACTIONS(2086),
    [anon_sym_DQUOTE] = ACTIONS(2086),
    [sym_true] = ACTIONS(2084),
    [sym_false] = ACTIONS(2084),
    [anon_sym_NULL] = ACTIONS(2084),
    [anon_sym_nullptr] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2084),
    [anon_sym_decltype] = ACTIONS(2084),
    [anon_sym_explicit] = ACTIONS(2084),
    [anon_sym_typename] = ACTIONS(2084),
    [anon_sym_template] = ACTIONS(2084),
    [anon_sym_operator] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2084),
    [anon_sym_delete] = ACTIONS(2084),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_namespace] = ACTIONS(2084),
    [anon_sym_using] = ACTIONS(2084),
    [anon_sym_static_assert] = ACTIONS(2084),
    [anon_sym_concept] = ACTIONS(2084),
    [anon_sym_co_return] = ACTIONS(2084),
    [anon_sym_co_yield] = ACTIONS(2084),
    [anon_sym_catch] = ACTIONS(2365),
    [anon_sym_R_DQUOTE] = ACTIONS(2086),
    [anon_sym_LR_DQUOTE] = ACTIONS(2086),
    [anon_sym_uR_DQUOTE] = ACTIONS(2086),
    [anon_sym_UR_DQUOTE] = ACTIONS(2086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2086),
    [anon_sym_co_await] = ACTIONS(2084),
    [anon_sym_new] = ACTIONS(2084),
    [anon_sym_requires] = ACTIONS(2084),
    [sym_this] = ACTIONS(2084),
    [anon_sym_discard] = ACTIONS(2084),
    [anon_sym_precise] = ACTIONS(2084),
    [anon_sym_shared] = ACTIONS(2084),
    [anon_sym_groupshared] = ACTIONS(2084),
    [anon_sym_uniform] = ACTIONS(2084),
    [anon_sym_row_major] = ACTIONS(2084),
    [anon_sym_column_major] = ACTIONS(2084),
    [anon_sym_globallycoherent] = ACTIONS(2084),
    [anon_sym_centroid] = ACTIONS(2084),
    [anon_sym_noperspective] = ACTIONS(2084),
    [anon_sym_nointerpolation] = ACTIONS(2084),
    [anon_sym_sample] = ACTIONS(2084),
    [anon_sym_linear] = ACTIONS(2084),
    [anon_sym_snorm] = ACTIONS(2084),
    [anon_sym_unorm] = ACTIONS(2084),
    [anon_sym_point] = ACTIONS(2084),
    [anon_sym_line] = ACTIONS(2084),
    [anon_sym_triangleadj] = ACTIONS(2084),
    [anon_sym_lineadj] = ACTIONS(2084),
    [anon_sym_triangle] = ACTIONS(2084),
    [anon_sym_cbuffer] = ACTIONS(2084),
  },
  [362] = {
    [sym_catch_clause] = STATE(320),
    [aux_sym_constructor_try_statement_repeat1] = STATE(320),
    [sym_identifier] = ACTIONS(2090),
    [aux_sym_preproc_include_token1] = ACTIONS(2090),
    [aux_sym_preproc_def_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token2] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2090),
    [sym_preproc_directive] = ACTIONS(2090),
    [anon_sym_LPAREN2] = ACTIONS(2092),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2092),
    [anon_sym_AMP_AMP] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2090),
    [anon_sym_out] = ACTIONS(2090),
    [anon_sym_inout] = ACTIONS(2090),
    [anon_sym_virtual] = ACTIONS(2090),
    [anon_sym_extern] = ACTIONS(2090),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2092),
    [anon_sym___declspec] = ACTIONS(2090),
    [anon_sym___based] = ACTIONS(2090),
    [anon_sym___cdecl] = ACTIONS(2090),
    [anon_sym___clrcall] = ACTIONS(2090),
    [anon_sym___stdcall] = ACTIONS(2090),
    [anon_sym___fastcall] = ACTIONS(2090),
    [anon_sym___thiscall] = ACTIONS(2090),
    [anon_sym___vectorcall] = ACTIONS(2090),
    [anon_sym_LBRACE] = ACTIONS(2092),
    [anon_sym_signed] = ACTIONS(2090),
    [anon_sym_unsigned] = ACTIONS(2090),
    [anon_sym_long] = ACTIONS(2090),
    [anon_sym_short] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_static] = ACTIONS(2090),
    [anon_sym_register] = ACTIONS(2090),
    [anon_sym_inline] = ACTIONS(2090),
    [anon_sym___inline] = ACTIONS(2090),
    [anon_sym___inline__] = ACTIONS(2090),
    [anon_sym___forceinline] = ACTIONS(2090),
    [anon_sym_thread_local] = ACTIONS(2090),
    [anon_sym___thread] = ACTIONS(2090),
    [anon_sym_const] = ACTIONS(2090),
    [anon_sym_constexpr] = ACTIONS(2090),
    [anon_sym_volatile] = ACTIONS(2090),
    [anon_sym_restrict] = ACTIONS(2090),
    [anon_sym___restrict__] = ACTIONS(2090),
    [anon_sym__Atomic] = ACTIONS(2090),
    [anon_sym__Noreturn] = ACTIONS(2090),
    [anon_sym_noreturn] = ACTIONS(2090),
    [anon_sym__Nonnull] = ACTIONS(2090),
    [anon_sym_mutable] = ACTIONS(2090),
    [anon_sym_constinit] = ACTIONS(2090),
    [anon_sym_consteval] = ACTIONS(2090),
    [anon_sym_alignas] = ACTIONS(2090),
    [anon_sym__Alignas] = ACTIONS(2090),
    [sym_primitive_type] = ACTIONS(2090),
    [anon_sym_enum] = ACTIONS(2090),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2090),
    [anon_sym_if] = ACTIONS(2090),
    [anon_sym_switch] = ACTIONS(2090),
    [anon_sym_case] = ACTIONS(2090),
    [anon_sym_default] = ACTIONS(2090),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2090),
    [anon_sym_return] = ACTIONS(2090),
    [anon_sym_break] = ACTIONS(2090),
    [anon_sym_continue] = ACTIONS(2090),
    [anon_sym_goto] = ACTIONS(2090),
    [anon_sym___try] = ACTIONS(2090),
    [anon_sym___leave] = ACTIONS(2090),
    [anon_sym_not] = ACTIONS(2090),
    [anon_sym_compl] = ACTIONS(2090),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_sizeof] = ACTIONS(2090),
    [anon_sym___alignof__] = ACTIONS(2090),
    [anon_sym___alignof] = ACTIONS(2090),
    [anon_sym__alignof] = ACTIONS(2090),
    [anon_sym_alignof] = ACTIONS(2090),
    [anon_sym__Alignof] = ACTIONS(2090),
    [anon_sym_offsetof] = ACTIONS(2090),
    [anon_sym__Generic] = ACTIONS(2090),
    [anon_sym_asm] = ACTIONS(2090),
    [anon_sym___asm__] = ACTIONS(2090),
    [anon_sym___asm] = ACTIONS(2090),
    [sym_number_literal] = ACTIONS(2092),
    [anon_sym_L_SQUOTE] = ACTIONS(2092),
    [anon_sym_u_SQUOTE] = ACTIONS(2092),
    [anon_sym_U_SQUOTE] = ACTIONS(2092),
    [anon_sym_u8_SQUOTE] = ACTIONS(2092),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_L_DQUOTE] = ACTIONS(2092),
    [anon_sym_u_DQUOTE] = ACTIONS(2092),
    [anon_sym_U_DQUOTE] = ACTIONS(2092),
    [anon_sym_u8_DQUOTE] = ACTIONS(2092),
    [anon_sym_DQUOTE] = ACTIONS(2092),
    [sym_true] = ACTIONS(2090),
    [sym_false] = ACTIONS(2090),
    [anon_sym_NULL] = ACTIONS(2090),
    [anon_sym_nullptr] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2090),
    [anon_sym_decltype] = ACTIONS(2090),
    [anon_sym_explicit] = ACTIONS(2090),
    [anon_sym_typename] = ACTIONS(2090),
    [anon_sym_template] = ACTIONS(2090),
    [anon_sym_operator] = ACTIONS(2090),
    [anon_sym_try] = ACTIONS(2090),
    [anon_sym_delete] = ACTIONS(2090),
    [anon_sym_throw] = ACTIONS(2090),
    [anon_sym_namespace] = ACTIONS(2090),
    [anon_sym_using] = ACTIONS(2090),
    [anon_sym_static_assert] = ACTIONS(2090),
    [anon_sym_concept] = ACTIONS(2090),
    [anon_sym_co_return] = ACTIONS(2090),
    [anon_sym_co_yield] = ACTIONS(2090),
    [anon_sym_catch] = ACTIONS(2365),
    [anon_sym_R_DQUOTE] = ACTIONS(2092),
    [anon_sym_LR_DQUOTE] = ACTIONS(2092),
    [anon_sym_uR_DQUOTE] = ACTIONS(2092),
    [anon_sym_UR_DQUOTE] = ACTIONS(2092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2092),
    [anon_sym_co_await] = ACTIONS(2090),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_requires] = ACTIONS(2090),
    [sym_this] = ACTIONS(2090),
    [anon_sym_discard] = ACTIONS(2090),
    [anon_sym_precise] = ACTIONS(2090),
    [anon_sym_shared] = ACTIONS(2090),
    [anon_sym_groupshared] = ACTIONS(2090),
    [anon_sym_uniform] = ACTIONS(2090),
    [anon_sym_row_major] = ACTIONS(2090),
    [anon_sym_column_major] = ACTIONS(2090),
    [anon_sym_globallycoherent] = ACTIONS(2090),
    [anon_sym_centroid] = ACTIONS(2090),
    [anon_sym_noperspective] = ACTIONS(2090),
    [anon_sym_nointerpolation] = ACTIONS(2090),
    [anon_sym_sample] = ACTIONS(2090),
    [anon_sym_linear] = ACTIONS(2090),
    [anon_sym_snorm] = ACTIONS(2090),
    [anon_sym_unorm] = ACTIONS(2090),
    [anon_sym_point] = ACTIONS(2090),
    [anon_sym_line] = ACTIONS(2090),
    [anon_sym_triangleadj] = ACTIONS(2090),
    [anon_sym_lineadj] = ACTIONS(2090),
    [anon_sym_triangle] = ACTIONS(2090),
    [anon_sym_cbuffer] = ACTIONS(2090),
  },
  [363] = {
    [sym_catch_clause] = STATE(245),
    [aux_sym_constructor_try_statement_repeat1] = STATE(245),
    [sym_identifier] = ACTIONS(2084),
    [aux_sym_preproc_include_token1] = ACTIONS(2084),
    [aux_sym_preproc_def_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token1] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2084),
    [sym_preproc_directive] = ACTIONS(2084),
    [anon_sym_LPAREN2] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(2086),
    [anon_sym_TILDE] = ACTIONS(2086),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_STAR] = ACTIONS(2086),
    [anon_sym_AMP_AMP] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_typedef] = ACTIONS(2084),
    [anon_sym_in] = ACTIONS(2084),
    [anon_sym_out] = ACTIONS(2084),
    [anon_sym_inout] = ACTIONS(2084),
    [anon_sym_virtual] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2084),
    [anon_sym___attribute__] = ACTIONS(2084),
    [anon_sym_COLON_COLON] = ACTIONS(2086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2086),
    [anon_sym___declspec] = ACTIONS(2084),
    [anon_sym___based] = ACTIONS(2084),
    [anon_sym___cdecl] = ACTIONS(2084),
    [anon_sym___clrcall] = ACTIONS(2084),
    [anon_sym___stdcall] = ACTIONS(2084),
    [anon_sym___fastcall] = ACTIONS(2084),
    [anon_sym___thiscall] = ACTIONS(2084),
    [anon_sym___vectorcall] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2086),
    [anon_sym_RBRACE] = ACTIONS(2086),
    [anon_sym_signed] = ACTIONS(2084),
    [anon_sym_unsigned] = ACTIONS(2084),
    [anon_sym_long] = ACTIONS(2084),
    [anon_sym_short] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_register] = ACTIONS(2084),
    [anon_sym_inline] = ACTIONS(2084),
    [anon_sym___inline] = ACTIONS(2084),
    [anon_sym___inline__] = ACTIONS(2084),
    [anon_sym___forceinline] = ACTIONS(2084),
    [anon_sym_thread_local] = ACTIONS(2084),
    [anon_sym___thread] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_mutable] = ACTIONS(2084),
    [anon_sym_constinit] = ACTIONS(2084),
    [anon_sym_consteval] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2084),
    [anon_sym__Alignas] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2084),
    [anon_sym_struct] = ACTIONS(2084),
    [anon_sym_union] = ACTIONS(2084),
    [anon_sym_if] = ACTIONS(2084),
    [anon_sym_switch] = ACTIONS(2084),
    [anon_sym_case] = ACTIONS(2084),
    [anon_sym_default] = ACTIONS(2084),
    [anon_sym_while] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2084),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_return] = ACTIONS(2084),
    [anon_sym_break] = ACTIONS(2084),
    [anon_sym_continue] = ACTIONS(2084),
    [anon_sym_goto] = ACTIONS(2084),
    [anon_sym___try] = ACTIONS(2084),
    [anon_sym___leave] = ACTIONS(2084),
    [anon_sym_not] = ACTIONS(2084),
    [anon_sym_compl] = ACTIONS(2084),
    [anon_sym_DASH_DASH] = ACTIONS(2086),
    [anon_sym_PLUS_PLUS] = ACTIONS(2086),
    [anon_sym_sizeof] = ACTIONS(2084),
    [anon_sym___alignof__] = ACTIONS(2084),
    [anon_sym___alignof] = ACTIONS(2084),
    [anon_sym__alignof] = ACTIONS(2084),
    [anon_sym_alignof] = ACTIONS(2084),
    [anon_sym__Alignof] = ACTIONS(2084),
    [anon_sym_offsetof] = ACTIONS(2084),
    [anon_sym__Generic] = ACTIONS(2084),
    [anon_sym_asm] = ACTIONS(2084),
    [anon_sym___asm__] = ACTIONS(2084),
    [anon_sym___asm] = ACTIONS(2084),
    [sym_number_literal] = ACTIONS(2086),
    [anon_sym_L_SQUOTE] = ACTIONS(2086),
    [anon_sym_u_SQUOTE] = ACTIONS(2086),
    [anon_sym_U_SQUOTE] = ACTIONS(2086),
    [anon_sym_u8_SQUOTE] = ACTIONS(2086),
    [anon_sym_SQUOTE] = ACTIONS(2086),
    [anon_sym_L_DQUOTE] = ACTIONS(2086),
    [anon_sym_u_DQUOTE] = ACTIONS(2086),
    [anon_sym_U_DQUOTE] = ACTIONS(2086),
    [anon_sym_u8_DQUOTE] = ACTIONS(2086),
    [anon_sym_DQUOTE] = ACTIONS(2086),
    [sym_true] = ACTIONS(2084),
    [sym_false] = ACTIONS(2084),
    [anon_sym_NULL] = ACTIONS(2084),
    [anon_sym_nullptr] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2084),
    [anon_sym_decltype] = ACTIONS(2084),
    [anon_sym_explicit] = ACTIONS(2084),
    [anon_sym_typename] = ACTIONS(2084),
    [anon_sym_template] = ACTIONS(2084),
    [anon_sym_operator] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2084),
    [anon_sym_delete] = ACTIONS(2084),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_namespace] = ACTIONS(2084),
    [anon_sym_using] = ACTIONS(2084),
    [anon_sym_static_assert] = ACTIONS(2084),
    [anon_sym_concept] = ACTIONS(2084),
    [anon_sym_co_return] = ACTIONS(2084),
    [anon_sym_co_yield] = ACTIONS(2084),
    [anon_sym_catch] = ACTIONS(2367),
    [anon_sym_R_DQUOTE] = ACTIONS(2086),
    [anon_sym_LR_DQUOTE] = ACTIONS(2086),
    [anon_sym_uR_DQUOTE] = ACTIONS(2086),
    [anon_sym_UR_DQUOTE] = ACTIONS(2086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2086),
    [anon_sym_co_await] = ACTIONS(2084),
    [anon_sym_new] = ACTIONS(2084),
    [anon_sym_requires] = ACTIONS(2084),
    [sym_this] = ACTIONS(2084),
    [anon_sym_discard] = ACTIONS(2084),
    [anon_sym_precise] = ACTIONS(2084),
    [anon_sym_shared] = ACTIONS(2084),
    [anon_sym_groupshared] = ACTIONS(2084),
    [anon_sym_uniform] = ACTIONS(2084),
    [anon_sym_row_major] = ACTIONS(2084),
    [anon_sym_column_major] = ACTIONS(2084),
    [anon_sym_globallycoherent] = ACTIONS(2084),
    [anon_sym_centroid] = ACTIONS(2084),
    [anon_sym_noperspective] = ACTIONS(2084),
    [anon_sym_nointerpolation] = ACTIONS(2084),
    [anon_sym_sample] = ACTIONS(2084),
    [anon_sym_linear] = ACTIONS(2084),
    [anon_sym_snorm] = ACTIONS(2084),
    [anon_sym_unorm] = ACTIONS(2084),
    [anon_sym_point] = ACTIONS(2084),
    [anon_sym_line] = ACTIONS(2084),
    [anon_sym_triangleadj] = ACTIONS(2084),
    [anon_sym_lineadj] = ACTIONS(2084),
    [anon_sym_triangle] = ACTIONS(2084),
    [anon_sym_cbuffer] = ACTIONS(2084),
  },
  [364] = {
    [sym_preproc_def] = STATE(389),
    [sym_preproc_function_def] = STATE(389),
    [sym_preproc_call] = STATE(389),
    [sym_preproc_if_in_field_declaration_list] = STATE(389),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(389),
    [sym_preproc_else_in_field_declaration_list] = STATE(8055),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8055),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8055),
    [sym_type_definition] = STATE(389),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(389),
    [sym_field_declaration] = STATE(389),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(389),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(389),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(389),
    [sym_operator_cast_declaration] = STATE(389),
    [sym_constructor_or_destructor_definition] = STATE(389),
    [sym_constructor_or_destructor_declaration] = STATE(389),
    [sym_friend_declaration] = STATE(389),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(389),
    [sym_alias_declaration] = STATE(389),
    [sym_static_assert_declaration] = STATE(389),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(389),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [365] = {
    [sym_else_clause] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(2106),
    [sym_identifier] = ACTIONS(2104),
    [aux_sym_preproc_include_token1] = ACTIONS(2104),
    [aux_sym_preproc_def_token1] = ACTIONS(2104),
    [aux_sym_preproc_if_token1] = ACTIONS(2104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2104),
    [sym_preproc_directive] = ACTIONS(2104),
    [anon_sym_LPAREN2] = ACTIONS(2106),
    [anon_sym_BANG] = ACTIONS(2106),
    [anon_sym_TILDE] = ACTIONS(2106),
    [anon_sym_DASH] = ACTIONS(2104),
    [anon_sym_PLUS] = ACTIONS(2104),
    [anon_sym_STAR] = ACTIONS(2106),
    [anon_sym_AMP_AMP] = ACTIONS(2106),
    [anon_sym_AMP] = ACTIONS(2104),
    [anon_sym_SEMI] = ACTIONS(2106),
    [anon_sym___extension__] = ACTIONS(2104),
    [anon_sym_typedef] = ACTIONS(2104),
    [anon_sym_in] = ACTIONS(2104),
    [anon_sym_out] = ACTIONS(2104),
    [anon_sym_inout] = ACTIONS(2104),
    [anon_sym_virtual] = ACTIONS(2104),
    [anon_sym_extern] = ACTIONS(2104),
    [anon_sym___attribute__] = ACTIONS(2104),
    [anon_sym_COLON_COLON] = ACTIONS(2106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2106),
    [anon_sym___declspec] = ACTIONS(2104),
    [anon_sym___based] = ACTIONS(2104),
    [anon_sym___cdecl] = ACTIONS(2104),
    [anon_sym___clrcall] = ACTIONS(2104),
    [anon_sym___stdcall] = ACTIONS(2104),
    [anon_sym___fastcall] = ACTIONS(2104),
    [anon_sym___thiscall] = ACTIONS(2104),
    [anon_sym___vectorcall] = ACTIONS(2104),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_signed] = ACTIONS(2104),
    [anon_sym_unsigned] = ACTIONS(2104),
    [anon_sym_long] = ACTIONS(2104),
    [anon_sym_short] = ACTIONS(2104),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_static] = ACTIONS(2104),
    [anon_sym_register] = ACTIONS(2104),
    [anon_sym_inline] = ACTIONS(2104),
    [anon_sym___inline] = ACTIONS(2104),
    [anon_sym___inline__] = ACTIONS(2104),
    [anon_sym___forceinline] = ACTIONS(2104),
    [anon_sym_thread_local] = ACTIONS(2104),
    [anon_sym___thread] = ACTIONS(2104),
    [anon_sym_const] = ACTIONS(2104),
    [anon_sym_constexpr] = ACTIONS(2104),
    [anon_sym_volatile] = ACTIONS(2104),
    [anon_sym_restrict] = ACTIONS(2104),
    [anon_sym___restrict__] = ACTIONS(2104),
    [anon_sym__Atomic] = ACTIONS(2104),
    [anon_sym__Noreturn] = ACTIONS(2104),
    [anon_sym_noreturn] = ACTIONS(2104),
    [anon_sym__Nonnull] = ACTIONS(2104),
    [anon_sym_mutable] = ACTIONS(2104),
    [anon_sym_constinit] = ACTIONS(2104),
    [anon_sym_consteval] = ACTIONS(2104),
    [anon_sym_alignas] = ACTIONS(2104),
    [anon_sym__Alignas] = ACTIONS(2104),
    [sym_primitive_type] = ACTIONS(2104),
    [anon_sym_enum] = ACTIONS(2104),
    [anon_sym_class] = ACTIONS(2104),
    [anon_sym_struct] = ACTIONS(2104),
    [anon_sym_union] = ACTIONS(2104),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_else] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2104),
    [anon_sym_case] = ACTIONS(2104),
    [anon_sym_default] = ACTIONS(2104),
    [anon_sym_while] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_return] = ACTIONS(2104),
    [anon_sym_break] = ACTIONS(2104),
    [anon_sym_continue] = ACTIONS(2104),
    [anon_sym_goto] = ACTIONS(2104),
    [anon_sym___try] = ACTIONS(2104),
    [anon_sym___leave] = ACTIONS(2104),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_compl] = ACTIONS(2104),
    [anon_sym_DASH_DASH] = ACTIONS(2106),
    [anon_sym_PLUS_PLUS] = ACTIONS(2106),
    [anon_sym_sizeof] = ACTIONS(2104),
    [anon_sym___alignof__] = ACTIONS(2104),
    [anon_sym___alignof] = ACTIONS(2104),
    [anon_sym__alignof] = ACTIONS(2104),
    [anon_sym_alignof] = ACTIONS(2104),
    [anon_sym__Alignof] = ACTIONS(2104),
    [anon_sym_offsetof] = ACTIONS(2104),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [anon_sym___asm] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2106),
    [anon_sym_u_SQUOTE] = ACTIONS(2106),
    [anon_sym_U_SQUOTE] = ACTIONS(2106),
    [anon_sym_u8_SQUOTE] = ACTIONS(2106),
    [anon_sym_SQUOTE] = ACTIONS(2106),
    [anon_sym_L_DQUOTE] = ACTIONS(2106),
    [anon_sym_u_DQUOTE] = ACTIONS(2106),
    [anon_sym_U_DQUOTE] = ACTIONS(2106),
    [anon_sym_u8_DQUOTE] = ACTIONS(2106),
    [anon_sym_DQUOTE] = ACTIONS(2106),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2104),
    [anon_sym_nullptr] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2104),
    [anon_sym_decltype] = ACTIONS(2104),
    [anon_sym_explicit] = ACTIONS(2104),
    [anon_sym_typename] = ACTIONS(2104),
    [anon_sym_template] = ACTIONS(2104),
    [anon_sym_operator] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2104),
    [anon_sym_delete] = ACTIONS(2104),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_namespace] = ACTIONS(2104),
    [anon_sym_using] = ACTIONS(2104),
    [anon_sym_static_assert] = ACTIONS(2104),
    [anon_sym_concept] = ACTIONS(2104),
    [anon_sym_co_return] = ACTIONS(2104),
    [anon_sym_co_yield] = ACTIONS(2104),
    [anon_sym_R_DQUOTE] = ACTIONS(2106),
    [anon_sym_LR_DQUOTE] = ACTIONS(2106),
    [anon_sym_uR_DQUOTE] = ACTIONS(2106),
    [anon_sym_UR_DQUOTE] = ACTIONS(2106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2106),
    [anon_sym_co_await] = ACTIONS(2104),
    [anon_sym_new] = ACTIONS(2104),
    [anon_sym_requires] = ACTIONS(2104),
    [sym_this] = ACTIONS(2104),
    [anon_sym_discard] = ACTIONS(2104),
    [anon_sym_precise] = ACTIONS(2104),
    [anon_sym_shared] = ACTIONS(2104),
    [anon_sym_groupshared] = ACTIONS(2104),
    [anon_sym_uniform] = ACTIONS(2104),
    [anon_sym_row_major] = ACTIONS(2104),
    [anon_sym_column_major] = ACTIONS(2104),
    [anon_sym_globallycoherent] = ACTIONS(2104),
    [anon_sym_centroid] = ACTIONS(2104),
    [anon_sym_noperspective] = ACTIONS(2104),
    [anon_sym_nointerpolation] = ACTIONS(2104),
    [anon_sym_sample] = ACTIONS(2104),
    [anon_sym_linear] = ACTIONS(2104),
    [anon_sym_snorm] = ACTIONS(2104),
    [anon_sym_unorm] = ACTIONS(2104),
    [anon_sym_point] = ACTIONS(2104),
    [anon_sym_line] = ACTIONS(2104),
    [anon_sym_triangleadj] = ACTIONS(2104),
    [anon_sym_lineadj] = ACTIONS(2104),
    [anon_sym_triangle] = ACTIONS(2104),
    [anon_sym_cbuffer] = ACTIONS(2104),
  },
  [366] = {
    [sym_else_clause] = STATE(399),
    [ts_builtin_sym_end] = ACTIONS(2116),
    [sym_identifier] = ACTIONS(2114),
    [aux_sym_preproc_include_token1] = ACTIONS(2114),
    [aux_sym_preproc_def_token1] = ACTIONS(2114),
    [aux_sym_preproc_if_token1] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2114),
    [sym_preproc_directive] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(2116),
    [anon_sym_TILDE] = ACTIONS(2116),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP_AMP] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2114),
    [anon_sym_SEMI] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(2114),
    [anon_sym_typedef] = ACTIONS(2114),
    [anon_sym_in] = ACTIONS(2114),
    [anon_sym_out] = ACTIONS(2114),
    [anon_sym_inout] = ACTIONS(2114),
    [anon_sym_virtual] = ACTIONS(2114),
    [anon_sym_extern] = ACTIONS(2114),
    [anon_sym___attribute__] = ACTIONS(2114),
    [anon_sym_COLON_COLON] = ACTIONS(2116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2116),
    [anon_sym___declspec] = ACTIONS(2114),
    [anon_sym___based] = ACTIONS(2114),
    [anon_sym___cdecl] = ACTIONS(2114),
    [anon_sym___clrcall] = ACTIONS(2114),
    [anon_sym___stdcall] = ACTIONS(2114),
    [anon_sym___fastcall] = ACTIONS(2114),
    [anon_sym___thiscall] = ACTIONS(2114),
    [anon_sym___vectorcall] = ACTIONS(2114),
    [anon_sym_LBRACE] = ACTIONS(2116),
    [anon_sym_signed] = ACTIONS(2114),
    [anon_sym_unsigned] = ACTIONS(2114),
    [anon_sym_long] = ACTIONS(2114),
    [anon_sym_short] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2114),
    [anon_sym_static] = ACTIONS(2114),
    [anon_sym_register] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(2114),
    [anon_sym___inline] = ACTIONS(2114),
    [anon_sym___inline__] = ACTIONS(2114),
    [anon_sym___forceinline] = ACTIONS(2114),
    [anon_sym_thread_local] = ACTIONS(2114),
    [anon_sym___thread] = ACTIONS(2114),
    [anon_sym_const] = ACTIONS(2114),
    [anon_sym_constexpr] = ACTIONS(2114),
    [anon_sym_volatile] = ACTIONS(2114),
    [anon_sym_restrict] = ACTIONS(2114),
    [anon_sym___restrict__] = ACTIONS(2114),
    [anon_sym__Atomic] = ACTIONS(2114),
    [anon_sym__Noreturn] = ACTIONS(2114),
    [anon_sym_noreturn] = ACTIONS(2114),
    [anon_sym__Nonnull] = ACTIONS(2114),
    [anon_sym_mutable] = ACTIONS(2114),
    [anon_sym_constinit] = ACTIONS(2114),
    [anon_sym_consteval] = ACTIONS(2114),
    [anon_sym_alignas] = ACTIONS(2114),
    [anon_sym__Alignas] = ACTIONS(2114),
    [sym_primitive_type] = ACTIONS(2114),
    [anon_sym_enum] = ACTIONS(2114),
    [anon_sym_class] = ACTIONS(2114),
    [anon_sym_struct] = ACTIONS(2114),
    [anon_sym_union] = ACTIONS(2114),
    [anon_sym_if] = ACTIONS(2114),
    [anon_sym_else] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2114),
    [anon_sym_case] = ACTIONS(2114),
    [anon_sym_default] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2114),
    [anon_sym_do] = ACTIONS(2114),
    [anon_sym_for] = ACTIONS(2114),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_break] = ACTIONS(2114),
    [anon_sym_continue] = ACTIONS(2114),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym___try] = ACTIONS(2114),
    [anon_sym___leave] = ACTIONS(2114),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2116),
    [anon_sym_PLUS_PLUS] = ACTIONS(2116),
    [anon_sym_sizeof] = ACTIONS(2114),
    [anon_sym___alignof__] = ACTIONS(2114),
    [anon_sym___alignof] = ACTIONS(2114),
    [anon_sym__alignof] = ACTIONS(2114),
    [anon_sym_alignof] = ACTIONS(2114),
    [anon_sym__Alignof] = ACTIONS(2114),
    [anon_sym_offsetof] = ACTIONS(2114),
    [anon_sym__Generic] = ACTIONS(2114),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2116),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2116),
    [anon_sym_u_DQUOTE] = ACTIONS(2116),
    [anon_sym_U_DQUOTE] = ACTIONS(2116),
    [anon_sym_u8_DQUOTE] = ACTIONS(2116),
    [anon_sym_DQUOTE] = ACTIONS(2116),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2114),
    [anon_sym_decltype] = ACTIONS(2114),
    [anon_sym_explicit] = ACTIONS(2114),
    [anon_sym_typename] = ACTIONS(2114),
    [anon_sym_template] = ACTIONS(2114),
    [anon_sym_operator] = ACTIONS(2114),
    [anon_sym_try] = ACTIONS(2114),
    [anon_sym_delete] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2114),
    [anon_sym_namespace] = ACTIONS(2114),
    [anon_sym_using] = ACTIONS(2114),
    [anon_sym_static_assert] = ACTIONS(2114),
    [anon_sym_concept] = ACTIONS(2114),
    [anon_sym_co_return] = ACTIONS(2114),
    [anon_sym_co_yield] = ACTIONS(2114),
    [anon_sym_R_DQUOTE] = ACTIONS(2116),
    [anon_sym_LR_DQUOTE] = ACTIONS(2116),
    [anon_sym_uR_DQUOTE] = ACTIONS(2116),
    [anon_sym_UR_DQUOTE] = ACTIONS(2116),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2116),
    [anon_sym_co_await] = ACTIONS(2114),
    [anon_sym_new] = ACTIONS(2114),
    [anon_sym_requires] = ACTIONS(2114),
    [sym_this] = ACTIONS(2114),
    [anon_sym_discard] = ACTIONS(2114),
    [anon_sym_precise] = ACTIONS(2114),
    [anon_sym_shared] = ACTIONS(2114),
    [anon_sym_groupshared] = ACTIONS(2114),
    [anon_sym_uniform] = ACTIONS(2114),
    [anon_sym_row_major] = ACTIONS(2114),
    [anon_sym_column_major] = ACTIONS(2114),
    [anon_sym_globallycoherent] = ACTIONS(2114),
    [anon_sym_centroid] = ACTIONS(2114),
    [anon_sym_noperspective] = ACTIONS(2114),
    [anon_sym_nointerpolation] = ACTIONS(2114),
    [anon_sym_sample] = ACTIONS(2114),
    [anon_sym_linear] = ACTIONS(2114),
    [anon_sym_snorm] = ACTIONS(2114),
    [anon_sym_unorm] = ACTIONS(2114),
    [anon_sym_point] = ACTIONS(2114),
    [anon_sym_line] = ACTIONS(2114),
    [anon_sym_triangleadj] = ACTIONS(2114),
    [anon_sym_lineadj] = ACTIONS(2114),
    [anon_sym_triangle] = ACTIONS(2114),
    [anon_sym_cbuffer] = ACTIONS(2114),
  },
  [367] = {
    [sym_expression] = STATE(4666),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(7938),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2728),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2731),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2734),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2737),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
  },
  [368] = {
    [sym_else_clause] = STATE(476),
    [sym_identifier] = ACTIONS(2114),
    [aux_sym_preproc_include_token1] = ACTIONS(2114),
    [aux_sym_preproc_def_token1] = ACTIONS(2114),
    [aux_sym_preproc_if_token1] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2114),
    [sym_preproc_directive] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(2116),
    [anon_sym_TILDE] = ACTIONS(2116),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP_AMP] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2114),
    [anon_sym_SEMI] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(2114),
    [anon_sym_typedef] = ACTIONS(2114),
    [anon_sym_in] = ACTIONS(2114),
    [anon_sym_out] = ACTIONS(2114),
    [anon_sym_inout] = ACTIONS(2114),
    [anon_sym_virtual] = ACTIONS(2114),
    [anon_sym_extern] = ACTIONS(2114),
    [anon_sym___attribute__] = ACTIONS(2114),
    [anon_sym_COLON_COLON] = ACTIONS(2116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2116),
    [anon_sym___declspec] = ACTIONS(2114),
    [anon_sym___based] = ACTIONS(2114),
    [anon_sym___cdecl] = ACTIONS(2114),
    [anon_sym___clrcall] = ACTIONS(2114),
    [anon_sym___stdcall] = ACTIONS(2114),
    [anon_sym___fastcall] = ACTIONS(2114),
    [anon_sym___thiscall] = ACTIONS(2114),
    [anon_sym___vectorcall] = ACTIONS(2114),
    [anon_sym_LBRACE] = ACTIONS(2116),
    [anon_sym_RBRACE] = ACTIONS(2116),
    [anon_sym_signed] = ACTIONS(2114),
    [anon_sym_unsigned] = ACTIONS(2114),
    [anon_sym_long] = ACTIONS(2114),
    [anon_sym_short] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2114),
    [anon_sym_static] = ACTIONS(2114),
    [anon_sym_register] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(2114),
    [anon_sym___inline] = ACTIONS(2114),
    [anon_sym___inline__] = ACTIONS(2114),
    [anon_sym___forceinline] = ACTIONS(2114),
    [anon_sym_thread_local] = ACTIONS(2114),
    [anon_sym___thread] = ACTIONS(2114),
    [anon_sym_const] = ACTIONS(2114),
    [anon_sym_constexpr] = ACTIONS(2114),
    [anon_sym_volatile] = ACTIONS(2114),
    [anon_sym_restrict] = ACTIONS(2114),
    [anon_sym___restrict__] = ACTIONS(2114),
    [anon_sym__Atomic] = ACTIONS(2114),
    [anon_sym__Noreturn] = ACTIONS(2114),
    [anon_sym_noreturn] = ACTIONS(2114),
    [anon_sym__Nonnull] = ACTIONS(2114),
    [anon_sym_mutable] = ACTIONS(2114),
    [anon_sym_constinit] = ACTIONS(2114),
    [anon_sym_consteval] = ACTIONS(2114),
    [anon_sym_alignas] = ACTIONS(2114),
    [anon_sym__Alignas] = ACTIONS(2114),
    [sym_primitive_type] = ACTIONS(2114),
    [anon_sym_enum] = ACTIONS(2114),
    [anon_sym_class] = ACTIONS(2114),
    [anon_sym_struct] = ACTIONS(2114),
    [anon_sym_union] = ACTIONS(2114),
    [anon_sym_if] = ACTIONS(2114),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2114),
    [anon_sym_case] = ACTIONS(2114),
    [anon_sym_default] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2114),
    [anon_sym_do] = ACTIONS(2114),
    [anon_sym_for] = ACTIONS(2114),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_break] = ACTIONS(2114),
    [anon_sym_continue] = ACTIONS(2114),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym___try] = ACTIONS(2114),
    [anon_sym___leave] = ACTIONS(2114),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2116),
    [anon_sym_PLUS_PLUS] = ACTIONS(2116),
    [anon_sym_sizeof] = ACTIONS(2114),
    [anon_sym___alignof__] = ACTIONS(2114),
    [anon_sym___alignof] = ACTIONS(2114),
    [anon_sym__alignof] = ACTIONS(2114),
    [anon_sym_alignof] = ACTIONS(2114),
    [anon_sym__Alignof] = ACTIONS(2114),
    [anon_sym_offsetof] = ACTIONS(2114),
    [anon_sym__Generic] = ACTIONS(2114),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2116),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2116),
    [anon_sym_u_DQUOTE] = ACTIONS(2116),
    [anon_sym_U_DQUOTE] = ACTIONS(2116),
    [anon_sym_u8_DQUOTE] = ACTIONS(2116),
    [anon_sym_DQUOTE] = ACTIONS(2116),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2114),
    [anon_sym_decltype] = ACTIONS(2114),
    [anon_sym_explicit] = ACTIONS(2114),
    [anon_sym_typename] = ACTIONS(2114),
    [anon_sym_template] = ACTIONS(2114),
    [anon_sym_operator] = ACTIONS(2114),
    [anon_sym_try] = ACTIONS(2114),
    [anon_sym_delete] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2114),
    [anon_sym_namespace] = ACTIONS(2114),
    [anon_sym_using] = ACTIONS(2114),
    [anon_sym_static_assert] = ACTIONS(2114),
    [anon_sym_concept] = ACTIONS(2114),
    [anon_sym_co_return] = ACTIONS(2114),
    [anon_sym_co_yield] = ACTIONS(2114),
    [anon_sym_R_DQUOTE] = ACTIONS(2116),
    [anon_sym_LR_DQUOTE] = ACTIONS(2116),
    [anon_sym_uR_DQUOTE] = ACTIONS(2116),
    [anon_sym_UR_DQUOTE] = ACTIONS(2116),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2116),
    [anon_sym_co_await] = ACTIONS(2114),
    [anon_sym_new] = ACTIONS(2114),
    [anon_sym_requires] = ACTIONS(2114),
    [sym_this] = ACTIONS(2114),
    [anon_sym_discard] = ACTIONS(2114),
    [anon_sym_precise] = ACTIONS(2114),
    [anon_sym_shared] = ACTIONS(2114),
    [anon_sym_groupshared] = ACTIONS(2114),
    [anon_sym_uniform] = ACTIONS(2114),
    [anon_sym_row_major] = ACTIONS(2114),
    [anon_sym_column_major] = ACTIONS(2114),
    [anon_sym_globallycoherent] = ACTIONS(2114),
    [anon_sym_centroid] = ACTIONS(2114),
    [anon_sym_noperspective] = ACTIONS(2114),
    [anon_sym_nointerpolation] = ACTIONS(2114),
    [anon_sym_sample] = ACTIONS(2114),
    [anon_sym_linear] = ACTIONS(2114),
    [anon_sym_snorm] = ACTIONS(2114),
    [anon_sym_unorm] = ACTIONS(2114),
    [anon_sym_point] = ACTIONS(2114),
    [anon_sym_line] = ACTIONS(2114),
    [anon_sym_triangleadj] = ACTIONS(2114),
    [anon_sym_lineadj] = ACTIONS(2114),
    [anon_sym_triangle] = ACTIONS(2114),
    [anon_sym_cbuffer] = ACTIONS(2114),
  },
  [369] = {
    [sym_else_clause] = STATE(509),
    [sym_identifier] = ACTIONS(2104),
    [aux_sym_preproc_include_token1] = ACTIONS(2104),
    [aux_sym_preproc_def_token1] = ACTIONS(2104),
    [aux_sym_preproc_if_token1] = ACTIONS(2104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2104),
    [sym_preproc_directive] = ACTIONS(2104),
    [anon_sym_LPAREN2] = ACTIONS(2106),
    [anon_sym_BANG] = ACTIONS(2106),
    [anon_sym_TILDE] = ACTIONS(2106),
    [anon_sym_DASH] = ACTIONS(2104),
    [anon_sym_PLUS] = ACTIONS(2104),
    [anon_sym_STAR] = ACTIONS(2106),
    [anon_sym_AMP_AMP] = ACTIONS(2106),
    [anon_sym_AMP] = ACTIONS(2104),
    [anon_sym_SEMI] = ACTIONS(2106),
    [anon_sym___extension__] = ACTIONS(2104),
    [anon_sym_typedef] = ACTIONS(2104),
    [anon_sym_in] = ACTIONS(2104),
    [anon_sym_out] = ACTIONS(2104),
    [anon_sym_inout] = ACTIONS(2104),
    [anon_sym_virtual] = ACTIONS(2104),
    [anon_sym_extern] = ACTIONS(2104),
    [anon_sym___attribute__] = ACTIONS(2104),
    [anon_sym_COLON_COLON] = ACTIONS(2106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2106),
    [anon_sym___declspec] = ACTIONS(2104),
    [anon_sym___based] = ACTIONS(2104),
    [anon_sym___cdecl] = ACTIONS(2104),
    [anon_sym___clrcall] = ACTIONS(2104),
    [anon_sym___stdcall] = ACTIONS(2104),
    [anon_sym___fastcall] = ACTIONS(2104),
    [anon_sym___thiscall] = ACTIONS(2104),
    [anon_sym___vectorcall] = ACTIONS(2104),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_RBRACE] = ACTIONS(2106),
    [anon_sym_signed] = ACTIONS(2104),
    [anon_sym_unsigned] = ACTIONS(2104),
    [anon_sym_long] = ACTIONS(2104),
    [anon_sym_short] = ACTIONS(2104),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_static] = ACTIONS(2104),
    [anon_sym_register] = ACTIONS(2104),
    [anon_sym_inline] = ACTIONS(2104),
    [anon_sym___inline] = ACTIONS(2104),
    [anon_sym___inline__] = ACTIONS(2104),
    [anon_sym___forceinline] = ACTIONS(2104),
    [anon_sym_thread_local] = ACTIONS(2104),
    [anon_sym___thread] = ACTIONS(2104),
    [anon_sym_const] = ACTIONS(2104),
    [anon_sym_constexpr] = ACTIONS(2104),
    [anon_sym_volatile] = ACTIONS(2104),
    [anon_sym_restrict] = ACTIONS(2104),
    [anon_sym___restrict__] = ACTIONS(2104),
    [anon_sym__Atomic] = ACTIONS(2104),
    [anon_sym__Noreturn] = ACTIONS(2104),
    [anon_sym_noreturn] = ACTIONS(2104),
    [anon_sym__Nonnull] = ACTIONS(2104),
    [anon_sym_mutable] = ACTIONS(2104),
    [anon_sym_constinit] = ACTIONS(2104),
    [anon_sym_consteval] = ACTIONS(2104),
    [anon_sym_alignas] = ACTIONS(2104),
    [anon_sym__Alignas] = ACTIONS(2104),
    [sym_primitive_type] = ACTIONS(2104),
    [anon_sym_enum] = ACTIONS(2104),
    [anon_sym_class] = ACTIONS(2104),
    [anon_sym_struct] = ACTIONS(2104),
    [anon_sym_union] = ACTIONS(2104),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2104),
    [anon_sym_case] = ACTIONS(2104),
    [anon_sym_default] = ACTIONS(2104),
    [anon_sym_while] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_return] = ACTIONS(2104),
    [anon_sym_break] = ACTIONS(2104),
    [anon_sym_continue] = ACTIONS(2104),
    [anon_sym_goto] = ACTIONS(2104),
    [anon_sym___try] = ACTIONS(2104),
    [anon_sym___leave] = ACTIONS(2104),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_compl] = ACTIONS(2104),
    [anon_sym_DASH_DASH] = ACTIONS(2106),
    [anon_sym_PLUS_PLUS] = ACTIONS(2106),
    [anon_sym_sizeof] = ACTIONS(2104),
    [anon_sym___alignof__] = ACTIONS(2104),
    [anon_sym___alignof] = ACTIONS(2104),
    [anon_sym__alignof] = ACTIONS(2104),
    [anon_sym_alignof] = ACTIONS(2104),
    [anon_sym__Alignof] = ACTIONS(2104),
    [anon_sym_offsetof] = ACTIONS(2104),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [anon_sym___asm] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2106),
    [anon_sym_u_SQUOTE] = ACTIONS(2106),
    [anon_sym_U_SQUOTE] = ACTIONS(2106),
    [anon_sym_u8_SQUOTE] = ACTIONS(2106),
    [anon_sym_SQUOTE] = ACTIONS(2106),
    [anon_sym_L_DQUOTE] = ACTIONS(2106),
    [anon_sym_u_DQUOTE] = ACTIONS(2106),
    [anon_sym_U_DQUOTE] = ACTIONS(2106),
    [anon_sym_u8_DQUOTE] = ACTIONS(2106),
    [anon_sym_DQUOTE] = ACTIONS(2106),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2104),
    [anon_sym_nullptr] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2104),
    [anon_sym_decltype] = ACTIONS(2104),
    [anon_sym_explicit] = ACTIONS(2104),
    [anon_sym_typename] = ACTIONS(2104),
    [anon_sym_template] = ACTIONS(2104),
    [anon_sym_operator] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2104),
    [anon_sym_delete] = ACTIONS(2104),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_namespace] = ACTIONS(2104),
    [anon_sym_using] = ACTIONS(2104),
    [anon_sym_static_assert] = ACTIONS(2104),
    [anon_sym_concept] = ACTIONS(2104),
    [anon_sym_co_return] = ACTIONS(2104),
    [anon_sym_co_yield] = ACTIONS(2104),
    [anon_sym_R_DQUOTE] = ACTIONS(2106),
    [anon_sym_LR_DQUOTE] = ACTIONS(2106),
    [anon_sym_uR_DQUOTE] = ACTIONS(2106),
    [anon_sym_UR_DQUOTE] = ACTIONS(2106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2106),
    [anon_sym_co_await] = ACTIONS(2104),
    [anon_sym_new] = ACTIONS(2104),
    [anon_sym_requires] = ACTIONS(2104),
    [sym_this] = ACTIONS(2104),
    [anon_sym_discard] = ACTIONS(2104),
    [anon_sym_precise] = ACTIONS(2104),
    [anon_sym_shared] = ACTIONS(2104),
    [anon_sym_groupshared] = ACTIONS(2104),
    [anon_sym_uniform] = ACTIONS(2104),
    [anon_sym_row_major] = ACTIONS(2104),
    [anon_sym_column_major] = ACTIONS(2104),
    [anon_sym_globallycoherent] = ACTIONS(2104),
    [anon_sym_centroid] = ACTIONS(2104),
    [anon_sym_noperspective] = ACTIONS(2104),
    [anon_sym_nointerpolation] = ACTIONS(2104),
    [anon_sym_sample] = ACTIONS(2104),
    [anon_sym_linear] = ACTIONS(2104),
    [anon_sym_snorm] = ACTIONS(2104),
    [anon_sym_unorm] = ACTIONS(2104),
    [anon_sym_point] = ACTIONS(2104),
    [anon_sym_line] = ACTIONS(2104),
    [anon_sym_triangleadj] = ACTIONS(2104),
    [anon_sym_lineadj] = ACTIONS(2104),
    [anon_sym_triangle] = ACTIONS(2104),
    [anon_sym_cbuffer] = ACTIONS(2104),
  },
  [370] = {
    [sym_identifier] = ACTIONS(1937),
    [aux_sym_preproc_include_token1] = ACTIONS(1937),
    [aux_sym_preproc_def_token1] = ACTIONS(1937),
    [aux_sym_preproc_if_token1] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1937),
    [sym_preproc_directive] = ACTIONS(1937),
    [anon_sym_LPAREN2] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1937),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_AMP_AMP] = ACTIONS(1935),
    [anon_sym_AMP] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym___extension__] = ACTIONS(1937),
    [anon_sym_typedef] = ACTIONS(1937),
    [anon_sym_in] = ACTIONS(1937),
    [anon_sym_out] = ACTIONS(1937),
    [anon_sym_inout] = ACTIONS(1937),
    [anon_sym_virtual] = ACTIONS(1937),
    [anon_sym_extern] = ACTIONS(1937),
    [anon_sym___attribute__] = ACTIONS(1937),
    [anon_sym_COLON_COLON] = ACTIONS(1935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1935),
    [anon_sym___declspec] = ACTIONS(1937),
    [anon_sym___based] = ACTIONS(1937),
    [anon_sym___cdecl] = ACTIONS(1937),
    [anon_sym___clrcall] = ACTIONS(1937),
    [anon_sym___stdcall] = ACTIONS(1937),
    [anon_sym___fastcall] = ACTIONS(1937),
    [anon_sym___thiscall] = ACTIONS(1937),
    [anon_sym___vectorcall] = ACTIONS(1937),
    [anon_sym_LBRACE] = ACTIONS(1935),
    [anon_sym_RBRACE] = ACTIONS(1935),
    [anon_sym_signed] = ACTIONS(1937),
    [anon_sym_unsigned] = ACTIONS(1937),
    [anon_sym_long] = ACTIONS(1937),
    [anon_sym_short] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1937),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_register] = ACTIONS(1937),
    [anon_sym_inline] = ACTIONS(1937),
    [anon_sym___inline] = ACTIONS(1937),
    [anon_sym___inline__] = ACTIONS(1937),
    [anon_sym___forceinline] = ACTIONS(1937),
    [anon_sym_thread_local] = ACTIONS(1937),
    [anon_sym___thread] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_constexpr] = ACTIONS(1937),
    [anon_sym_volatile] = ACTIONS(1937),
    [anon_sym_restrict] = ACTIONS(1937),
    [anon_sym___restrict__] = ACTIONS(1937),
    [anon_sym__Atomic] = ACTIONS(1937),
    [anon_sym__Noreturn] = ACTIONS(1937),
    [anon_sym_noreturn] = ACTIONS(1937),
    [anon_sym__Nonnull] = ACTIONS(1937),
    [anon_sym_mutable] = ACTIONS(1937),
    [anon_sym_constinit] = ACTIONS(1937),
    [anon_sym_consteval] = ACTIONS(1937),
    [anon_sym_alignas] = ACTIONS(1937),
    [anon_sym__Alignas] = ACTIONS(1937),
    [sym_primitive_type] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_struct] = ACTIONS(1937),
    [anon_sym_union] = ACTIONS(1937),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_else] = ACTIONS(1937),
    [anon_sym_switch] = ACTIONS(1937),
    [anon_sym_case] = ACTIONS(1937),
    [anon_sym_default] = ACTIONS(1937),
    [anon_sym_while] = ACTIONS(1937),
    [anon_sym_do] = ACTIONS(1937),
    [anon_sym_for] = ACTIONS(1937),
    [anon_sym_return] = ACTIONS(1937),
    [anon_sym_break] = ACTIONS(1937),
    [anon_sym_continue] = ACTIONS(1937),
    [anon_sym_goto] = ACTIONS(1937),
    [anon_sym___try] = ACTIONS(1937),
    [anon_sym___leave] = ACTIONS(1937),
    [anon_sym_not] = ACTIONS(1937),
    [anon_sym_compl] = ACTIONS(1937),
    [anon_sym_DASH_DASH] = ACTIONS(1935),
    [anon_sym_PLUS_PLUS] = ACTIONS(1935),
    [anon_sym_sizeof] = ACTIONS(1937),
    [anon_sym___alignof__] = ACTIONS(1937),
    [anon_sym___alignof] = ACTIONS(1937),
    [anon_sym__alignof] = ACTIONS(1937),
    [anon_sym_alignof] = ACTIONS(1937),
    [anon_sym__Alignof] = ACTIONS(1937),
    [anon_sym_offsetof] = ACTIONS(1937),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1937),
    [anon_sym___asm__] = ACTIONS(1937),
    [anon_sym___asm] = ACTIONS(1937),
    [sym_number_literal] = ACTIONS(1935),
    [anon_sym_L_SQUOTE] = ACTIONS(1935),
    [anon_sym_u_SQUOTE] = ACTIONS(1935),
    [anon_sym_U_SQUOTE] = ACTIONS(1935),
    [anon_sym_u8_SQUOTE] = ACTIONS(1935),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_L_DQUOTE] = ACTIONS(1935),
    [anon_sym_u_DQUOTE] = ACTIONS(1935),
    [anon_sym_U_DQUOTE] = ACTIONS(1935),
    [anon_sym_u8_DQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1935),
    [sym_true] = ACTIONS(1937),
    [sym_false] = ACTIONS(1937),
    [anon_sym_NULL] = ACTIONS(1937),
    [anon_sym_nullptr] = ACTIONS(1937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1937),
    [anon_sym_decltype] = ACTIONS(1937),
    [anon_sym_explicit] = ACTIONS(1937),
    [anon_sym_typename] = ACTIONS(1937),
    [anon_sym_template] = ACTIONS(1937),
    [anon_sym_operator] = ACTIONS(1937),
    [anon_sym_try] = ACTIONS(1937),
    [anon_sym_delete] = ACTIONS(1937),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_namespace] = ACTIONS(1937),
    [anon_sym_using] = ACTIONS(1937),
    [anon_sym_static_assert] = ACTIONS(1937),
    [anon_sym_concept] = ACTIONS(1937),
    [anon_sym_co_return] = ACTIONS(1937),
    [anon_sym_co_yield] = ACTIONS(1937),
    [anon_sym_catch] = ACTIONS(1937),
    [anon_sym_R_DQUOTE] = ACTIONS(1935),
    [anon_sym_LR_DQUOTE] = ACTIONS(1935),
    [anon_sym_uR_DQUOTE] = ACTIONS(1935),
    [anon_sym_UR_DQUOTE] = ACTIONS(1935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1935),
    [anon_sym_co_await] = ACTIONS(1937),
    [anon_sym_new] = ACTIONS(1937),
    [anon_sym_requires] = ACTIONS(1937),
    [sym_this] = ACTIONS(1937),
    [anon_sym_discard] = ACTIONS(1937),
    [anon_sym_precise] = ACTIONS(1937),
    [anon_sym_shared] = ACTIONS(1937),
    [anon_sym_groupshared] = ACTIONS(1937),
    [anon_sym_uniform] = ACTIONS(1937),
    [anon_sym_row_major] = ACTIONS(1937),
    [anon_sym_column_major] = ACTIONS(1937),
    [anon_sym_globallycoherent] = ACTIONS(1937),
    [anon_sym_centroid] = ACTIONS(1937),
    [anon_sym_noperspective] = ACTIONS(1937),
    [anon_sym_nointerpolation] = ACTIONS(1937),
    [anon_sym_sample] = ACTIONS(1937),
    [anon_sym_linear] = ACTIONS(1937),
    [anon_sym_snorm] = ACTIONS(1937),
    [anon_sym_unorm] = ACTIONS(1937),
    [anon_sym_point] = ACTIONS(1937),
    [anon_sym_line] = ACTIONS(1937),
    [anon_sym_triangleadj] = ACTIONS(1937),
    [anon_sym_lineadj] = ACTIONS(1937),
    [anon_sym_triangle] = ACTIONS(1937),
    [anon_sym_cbuffer] = ACTIONS(1937),
  },
  [371] = {
    [sym_expression] = STATE(4511),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8426),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym___extension__] = ACTIONS(2747),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_out] = ACTIONS(2750),
    [anon_sym_inout] = ACTIONS(2750),
    [anon_sym_virtual] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2755),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2763),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2750),
    [anon_sym_shared] = ACTIONS(2750),
    [anon_sym_groupshared] = ACTIONS(2750),
    [anon_sym_uniform] = ACTIONS(2750),
    [anon_sym_row_major] = ACTIONS(2750),
    [anon_sym_column_major] = ACTIONS(2750),
    [anon_sym_globallycoherent] = ACTIONS(2750),
    [anon_sym_centroid] = ACTIONS(2750),
    [anon_sym_noperspective] = ACTIONS(2750),
    [anon_sym_nointerpolation] = ACTIONS(2750),
    [anon_sym_sample] = ACTIONS(2750),
    [anon_sym_linear] = ACTIONS(2750),
    [anon_sym_snorm] = ACTIONS(2750),
    [anon_sym_unorm] = ACTIONS(2750),
    [anon_sym_point] = ACTIONS(2750),
    [anon_sym_line] = ACTIONS(2750),
    [anon_sym_triangleadj] = ACTIONS(2750),
    [anon_sym_lineadj] = ACTIONS(2750),
    [anon_sym_triangle] = ACTIONS(2750),
  },
  [372] = {
    [sym_else_clause] = STATE(431),
    [sym_identifier] = ACTIONS(2104),
    [aux_sym_preproc_include_token1] = ACTIONS(2104),
    [aux_sym_preproc_def_token1] = ACTIONS(2104),
    [aux_sym_preproc_if_token1] = ACTIONS(2104),
    [aux_sym_preproc_if_token2] = ACTIONS(2104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2104),
    [sym_preproc_directive] = ACTIONS(2104),
    [anon_sym_LPAREN2] = ACTIONS(2106),
    [anon_sym_BANG] = ACTIONS(2106),
    [anon_sym_TILDE] = ACTIONS(2106),
    [anon_sym_DASH] = ACTIONS(2104),
    [anon_sym_PLUS] = ACTIONS(2104),
    [anon_sym_STAR] = ACTIONS(2106),
    [anon_sym_AMP_AMP] = ACTIONS(2106),
    [anon_sym_AMP] = ACTIONS(2104),
    [anon_sym_SEMI] = ACTIONS(2106),
    [anon_sym___extension__] = ACTIONS(2104),
    [anon_sym_typedef] = ACTIONS(2104),
    [anon_sym_in] = ACTIONS(2104),
    [anon_sym_out] = ACTIONS(2104),
    [anon_sym_inout] = ACTIONS(2104),
    [anon_sym_virtual] = ACTIONS(2104),
    [anon_sym_extern] = ACTIONS(2104),
    [anon_sym___attribute__] = ACTIONS(2104),
    [anon_sym_COLON_COLON] = ACTIONS(2106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2106),
    [anon_sym___declspec] = ACTIONS(2104),
    [anon_sym___based] = ACTIONS(2104),
    [anon_sym___cdecl] = ACTIONS(2104),
    [anon_sym___clrcall] = ACTIONS(2104),
    [anon_sym___stdcall] = ACTIONS(2104),
    [anon_sym___fastcall] = ACTIONS(2104),
    [anon_sym___thiscall] = ACTIONS(2104),
    [anon_sym___vectorcall] = ACTIONS(2104),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_signed] = ACTIONS(2104),
    [anon_sym_unsigned] = ACTIONS(2104),
    [anon_sym_long] = ACTIONS(2104),
    [anon_sym_short] = ACTIONS(2104),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_static] = ACTIONS(2104),
    [anon_sym_register] = ACTIONS(2104),
    [anon_sym_inline] = ACTIONS(2104),
    [anon_sym___inline] = ACTIONS(2104),
    [anon_sym___inline__] = ACTIONS(2104),
    [anon_sym___forceinline] = ACTIONS(2104),
    [anon_sym_thread_local] = ACTIONS(2104),
    [anon_sym___thread] = ACTIONS(2104),
    [anon_sym_const] = ACTIONS(2104),
    [anon_sym_constexpr] = ACTIONS(2104),
    [anon_sym_volatile] = ACTIONS(2104),
    [anon_sym_restrict] = ACTIONS(2104),
    [anon_sym___restrict__] = ACTIONS(2104),
    [anon_sym__Atomic] = ACTIONS(2104),
    [anon_sym__Noreturn] = ACTIONS(2104),
    [anon_sym_noreturn] = ACTIONS(2104),
    [anon_sym__Nonnull] = ACTIONS(2104),
    [anon_sym_mutable] = ACTIONS(2104),
    [anon_sym_constinit] = ACTIONS(2104),
    [anon_sym_consteval] = ACTIONS(2104),
    [anon_sym_alignas] = ACTIONS(2104),
    [anon_sym__Alignas] = ACTIONS(2104),
    [sym_primitive_type] = ACTIONS(2104),
    [anon_sym_enum] = ACTIONS(2104),
    [anon_sym_class] = ACTIONS(2104),
    [anon_sym_struct] = ACTIONS(2104),
    [anon_sym_union] = ACTIONS(2104),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2104),
    [anon_sym_case] = ACTIONS(2104),
    [anon_sym_default] = ACTIONS(2104),
    [anon_sym_while] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_return] = ACTIONS(2104),
    [anon_sym_break] = ACTIONS(2104),
    [anon_sym_continue] = ACTIONS(2104),
    [anon_sym_goto] = ACTIONS(2104),
    [anon_sym___try] = ACTIONS(2104),
    [anon_sym___leave] = ACTIONS(2104),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_compl] = ACTIONS(2104),
    [anon_sym_DASH_DASH] = ACTIONS(2106),
    [anon_sym_PLUS_PLUS] = ACTIONS(2106),
    [anon_sym_sizeof] = ACTIONS(2104),
    [anon_sym___alignof__] = ACTIONS(2104),
    [anon_sym___alignof] = ACTIONS(2104),
    [anon_sym__alignof] = ACTIONS(2104),
    [anon_sym_alignof] = ACTIONS(2104),
    [anon_sym__Alignof] = ACTIONS(2104),
    [anon_sym_offsetof] = ACTIONS(2104),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [anon_sym___asm] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2106),
    [anon_sym_u_SQUOTE] = ACTIONS(2106),
    [anon_sym_U_SQUOTE] = ACTIONS(2106),
    [anon_sym_u8_SQUOTE] = ACTIONS(2106),
    [anon_sym_SQUOTE] = ACTIONS(2106),
    [anon_sym_L_DQUOTE] = ACTIONS(2106),
    [anon_sym_u_DQUOTE] = ACTIONS(2106),
    [anon_sym_U_DQUOTE] = ACTIONS(2106),
    [anon_sym_u8_DQUOTE] = ACTIONS(2106),
    [anon_sym_DQUOTE] = ACTIONS(2106),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2104),
    [anon_sym_nullptr] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2104),
    [anon_sym_decltype] = ACTIONS(2104),
    [anon_sym_explicit] = ACTIONS(2104),
    [anon_sym_typename] = ACTIONS(2104),
    [anon_sym_template] = ACTIONS(2104),
    [anon_sym_operator] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2104),
    [anon_sym_delete] = ACTIONS(2104),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_namespace] = ACTIONS(2104),
    [anon_sym_using] = ACTIONS(2104),
    [anon_sym_static_assert] = ACTIONS(2104),
    [anon_sym_concept] = ACTIONS(2104),
    [anon_sym_co_return] = ACTIONS(2104),
    [anon_sym_co_yield] = ACTIONS(2104),
    [anon_sym_R_DQUOTE] = ACTIONS(2106),
    [anon_sym_LR_DQUOTE] = ACTIONS(2106),
    [anon_sym_uR_DQUOTE] = ACTIONS(2106),
    [anon_sym_UR_DQUOTE] = ACTIONS(2106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2106),
    [anon_sym_co_await] = ACTIONS(2104),
    [anon_sym_new] = ACTIONS(2104),
    [anon_sym_requires] = ACTIONS(2104),
    [sym_this] = ACTIONS(2104),
    [anon_sym_discard] = ACTIONS(2104),
    [anon_sym_precise] = ACTIONS(2104),
    [anon_sym_shared] = ACTIONS(2104),
    [anon_sym_groupshared] = ACTIONS(2104),
    [anon_sym_uniform] = ACTIONS(2104),
    [anon_sym_row_major] = ACTIONS(2104),
    [anon_sym_column_major] = ACTIONS(2104),
    [anon_sym_globallycoherent] = ACTIONS(2104),
    [anon_sym_centroid] = ACTIONS(2104),
    [anon_sym_noperspective] = ACTIONS(2104),
    [anon_sym_nointerpolation] = ACTIONS(2104),
    [anon_sym_sample] = ACTIONS(2104),
    [anon_sym_linear] = ACTIONS(2104),
    [anon_sym_snorm] = ACTIONS(2104),
    [anon_sym_unorm] = ACTIONS(2104),
    [anon_sym_point] = ACTIONS(2104),
    [anon_sym_line] = ACTIONS(2104),
    [anon_sym_triangleadj] = ACTIONS(2104),
    [anon_sym_lineadj] = ACTIONS(2104),
    [anon_sym_triangle] = ACTIONS(2104),
    [anon_sym_cbuffer] = ACTIONS(2104),
  },
  [373] = {
    [sym_else_clause] = STATE(422),
    [sym_identifier] = ACTIONS(2114),
    [aux_sym_preproc_include_token1] = ACTIONS(2114),
    [aux_sym_preproc_def_token1] = ACTIONS(2114),
    [aux_sym_preproc_if_token1] = ACTIONS(2114),
    [aux_sym_preproc_if_token2] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2114),
    [sym_preproc_directive] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(2116),
    [anon_sym_TILDE] = ACTIONS(2116),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP_AMP] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2114),
    [anon_sym_SEMI] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(2114),
    [anon_sym_typedef] = ACTIONS(2114),
    [anon_sym_in] = ACTIONS(2114),
    [anon_sym_out] = ACTIONS(2114),
    [anon_sym_inout] = ACTIONS(2114),
    [anon_sym_virtual] = ACTIONS(2114),
    [anon_sym_extern] = ACTIONS(2114),
    [anon_sym___attribute__] = ACTIONS(2114),
    [anon_sym_COLON_COLON] = ACTIONS(2116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2116),
    [anon_sym___declspec] = ACTIONS(2114),
    [anon_sym___based] = ACTIONS(2114),
    [anon_sym___cdecl] = ACTIONS(2114),
    [anon_sym___clrcall] = ACTIONS(2114),
    [anon_sym___stdcall] = ACTIONS(2114),
    [anon_sym___fastcall] = ACTIONS(2114),
    [anon_sym___thiscall] = ACTIONS(2114),
    [anon_sym___vectorcall] = ACTIONS(2114),
    [anon_sym_LBRACE] = ACTIONS(2116),
    [anon_sym_signed] = ACTIONS(2114),
    [anon_sym_unsigned] = ACTIONS(2114),
    [anon_sym_long] = ACTIONS(2114),
    [anon_sym_short] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2114),
    [anon_sym_static] = ACTIONS(2114),
    [anon_sym_register] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(2114),
    [anon_sym___inline] = ACTIONS(2114),
    [anon_sym___inline__] = ACTIONS(2114),
    [anon_sym___forceinline] = ACTIONS(2114),
    [anon_sym_thread_local] = ACTIONS(2114),
    [anon_sym___thread] = ACTIONS(2114),
    [anon_sym_const] = ACTIONS(2114),
    [anon_sym_constexpr] = ACTIONS(2114),
    [anon_sym_volatile] = ACTIONS(2114),
    [anon_sym_restrict] = ACTIONS(2114),
    [anon_sym___restrict__] = ACTIONS(2114),
    [anon_sym__Atomic] = ACTIONS(2114),
    [anon_sym__Noreturn] = ACTIONS(2114),
    [anon_sym_noreturn] = ACTIONS(2114),
    [anon_sym__Nonnull] = ACTIONS(2114),
    [anon_sym_mutable] = ACTIONS(2114),
    [anon_sym_constinit] = ACTIONS(2114),
    [anon_sym_consteval] = ACTIONS(2114),
    [anon_sym_alignas] = ACTIONS(2114),
    [anon_sym__Alignas] = ACTIONS(2114),
    [sym_primitive_type] = ACTIONS(2114),
    [anon_sym_enum] = ACTIONS(2114),
    [anon_sym_class] = ACTIONS(2114),
    [anon_sym_struct] = ACTIONS(2114),
    [anon_sym_union] = ACTIONS(2114),
    [anon_sym_if] = ACTIONS(2114),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2114),
    [anon_sym_case] = ACTIONS(2114),
    [anon_sym_default] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2114),
    [anon_sym_do] = ACTIONS(2114),
    [anon_sym_for] = ACTIONS(2114),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_break] = ACTIONS(2114),
    [anon_sym_continue] = ACTIONS(2114),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym___try] = ACTIONS(2114),
    [anon_sym___leave] = ACTIONS(2114),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2116),
    [anon_sym_PLUS_PLUS] = ACTIONS(2116),
    [anon_sym_sizeof] = ACTIONS(2114),
    [anon_sym___alignof__] = ACTIONS(2114),
    [anon_sym___alignof] = ACTIONS(2114),
    [anon_sym__alignof] = ACTIONS(2114),
    [anon_sym_alignof] = ACTIONS(2114),
    [anon_sym__Alignof] = ACTIONS(2114),
    [anon_sym_offsetof] = ACTIONS(2114),
    [anon_sym__Generic] = ACTIONS(2114),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2116),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2116),
    [anon_sym_u_DQUOTE] = ACTIONS(2116),
    [anon_sym_U_DQUOTE] = ACTIONS(2116),
    [anon_sym_u8_DQUOTE] = ACTIONS(2116),
    [anon_sym_DQUOTE] = ACTIONS(2116),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2114),
    [anon_sym_decltype] = ACTIONS(2114),
    [anon_sym_explicit] = ACTIONS(2114),
    [anon_sym_typename] = ACTIONS(2114),
    [anon_sym_template] = ACTIONS(2114),
    [anon_sym_operator] = ACTIONS(2114),
    [anon_sym_try] = ACTIONS(2114),
    [anon_sym_delete] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2114),
    [anon_sym_namespace] = ACTIONS(2114),
    [anon_sym_using] = ACTIONS(2114),
    [anon_sym_static_assert] = ACTIONS(2114),
    [anon_sym_concept] = ACTIONS(2114),
    [anon_sym_co_return] = ACTIONS(2114),
    [anon_sym_co_yield] = ACTIONS(2114),
    [anon_sym_R_DQUOTE] = ACTIONS(2116),
    [anon_sym_LR_DQUOTE] = ACTIONS(2116),
    [anon_sym_uR_DQUOTE] = ACTIONS(2116),
    [anon_sym_UR_DQUOTE] = ACTIONS(2116),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2116),
    [anon_sym_co_await] = ACTIONS(2114),
    [anon_sym_new] = ACTIONS(2114),
    [anon_sym_requires] = ACTIONS(2114),
    [sym_this] = ACTIONS(2114),
    [anon_sym_discard] = ACTIONS(2114),
    [anon_sym_precise] = ACTIONS(2114),
    [anon_sym_shared] = ACTIONS(2114),
    [anon_sym_groupshared] = ACTIONS(2114),
    [anon_sym_uniform] = ACTIONS(2114),
    [anon_sym_row_major] = ACTIONS(2114),
    [anon_sym_column_major] = ACTIONS(2114),
    [anon_sym_globallycoherent] = ACTIONS(2114),
    [anon_sym_centroid] = ACTIONS(2114),
    [anon_sym_noperspective] = ACTIONS(2114),
    [anon_sym_nointerpolation] = ACTIONS(2114),
    [anon_sym_sample] = ACTIONS(2114),
    [anon_sym_linear] = ACTIONS(2114),
    [anon_sym_snorm] = ACTIONS(2114),
    [anon_sym_unorm] = ACTIONS(2114),
    [anon_sym_point] = ACTIONS(2114),
    [anon_sym_line] = ACTIONS(2114),
    [anon_sym_triangleadj] = ACTIONS(2114),
    [anon_sym_lineadj] = ACTIONS(2114),
    [anon_sym_triangle] = ACTIONS(2114),
    [anon_sym_cbuffer] = ACTIONS(2114),
  },
  [374] = {
    [sym_expression] = STATE(4508),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8188),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2768),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2347),
    [anon_sym_out] = ACTIONS(2347),
    [anon_sym_inout] = ACTIONS(2347),
    [anon_sym_virtual] = ACTIONS(2347),
    [anon_sym_extern] = ACTIONS(2347),
    [anon_sym___attribute__] = ACTIONS(2347),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2349),
    [anon_sym___declspec] = ACTIONS(2347),
    [anon_sym_signed] = ACTIONS(2347),
    [anon_sym_unsigned] = ACTIONS(2347),
    [anon_sym_long] = ACTIONS(2347),
    [anon_sym_short] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2347),
    [anon_sym_register] = ACTIONS(2347),
    [anon_sym_inline] = ACTIONS(2347),
    [anon_sym___inline] = ACTIONS(2347),
    [anon_sym___inline__] = ACTIONS(2347),
    [anon_sym___forceinline] = ACTIONS(2347),
    [anon_sym_thread_local] = ACTIONS(2347),
    [anon_sym___thread] = ACTIONS(2347),
    [anon_sym_const] = ACTIONS(2347),
    [anon_sym_constexpr] = ACTIONS(2347),
    [anon_sym_volatile] = ACTIONS(2347),
    [anon_sym_restrict] = ACTIONS(2347),
    [anon_sym___restrict__] = ACTIONS(2347),
    [anon_sym__Atomic] = ACTIONS(2347),
    [anon_sym__Noreturn] = ACTIONS(2347),
    [anon_sym_noreturn] = ACTIONS(2347),
    [anon_sym__Nonnull] = ACTIONS(2347),
    [anon_sym_mutable] = ACTIONS(2347),
    [anon_sym_constinit] = ACTIONS(2347),
    [anon_sym_consteval] = ACTIONS(2347),
    [anon_sym_alignas] = ACTIONS(2347),
    [anon_sym__Alignas] = ACTIONS(2347),
    [sym_primitive_type] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(2347),
    [anon_sym_class] = ACTIONS(2347),
    [anon_sym_struct] = ACTIONS(2347),
    [anon_sym_union] = ACTIONS(2347),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2347),
    [anon_sym_decltype] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2347),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2347),
    [anon_sym_shared] = ACTIONS(2347),
    [anon_sym_groupshared] = ACTIONS(2347),
    [anon_sym_uniform] = ACTIONS(2347),
    [anon_sym_row_major] = ACTIONS(2347),
    [anon_sym_column_major] = ACTIONS(2347),
    [anon_sym_globallycoherent] = ACTIONS(2347),
    [anon_sym_centroid] = ACTIONS(2347),
    [anon_sym_noperspective] = ACTIONS(2347),
    [anon_sym_nointerpolation] = ACTIONS(2347),
    [anon_sym_sample] = ACTIONS(2347),
    [anon_sym_linear] = ACTIONS(2347),
    [anon_sym_snorm] = ACTIONS(2347),
    [anon_sym_unorm] = ACTIONS(2347),
    [anon_sym_point] = ACTIONS(2347),
    [anon_sym_line] = ACTIONS(2347),
    [anon_sym_triangleadj] = ACTIONS(2347),
    [anon_sym_lineadj] = ACTIONS(2347),
    [anon_sym_triangle] = ACTIONS(2347),
  },
  [375] = {
    [sym_identifier] = ACTIONS(2108),
    [aux_sym_preproc_include_token1] = ACTIONS(2108),
    [aux_sym_preproc_def_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token1] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2108),
    [sym_preproc_directive] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2110),
    [anon_sym_TILDE] = ACTIONS(2110),
    [anon_sym_DASH] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_STAR] = ACTIONS(2110),
    [anon_sym_AMP_AMP] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym___extension__] = ACTIONS(2108),
    [anon_sym_typedef] = ACTIONS(2108),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_out] = ACTIONS(2108),
    [anon_sym_inout] = ACTIONS(2108),
    [anon_sym_virtual] = ACTIONS(2108),
    [anon_sym_extern] = ACTIONS(2108),
    [anon_sym___attribute__] = ACTIONS(2108),
    [anon_sym_COLON_COLON] = ACTIONS(2110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2110),
    [anon_sym___declspec] = ACTIONS(2108),
    [anon_sym___based] = ACTIONS(2108),
    [anon_sym___cdecl] = ACTIONS(2108),
    [anon_sym___clrcall] = ACTIONS(2108),
    [anon_sym___stdcall] = ACTIONS(2108),
    [anon_sym___fastcall] = ACTIONS(2108),
    [anon_sym___thiscall] = ACTIONS(2108),
    [anon_sym___vectorcall] = ACTIONS(2108),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_RBRACE] = ACTIONS(2110),
    [anon_sym_signed] = ACTIONS(2108),
    [anon_sym_unsigned] = ACTIONS(2108),
    [anon_sym_long] = ACTIONS(2108),
    [anon_sym_short] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_register] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(2108),
    [anon_sym___inline] = ACTIONS(2108),
    [anon_sym___inline__] = ACTIONS(2108),
    [anon_sym___forceinline] = ACTIONS(2108),
    [anon_sym_thread_local] = ACTIONS(2108),
    [anon_sym___thread] = ACTIONS(2108),
    [anon_sym_const] = ACTIONS(2108),
    [anon_sym_constexpr] = ACTIONS(2108),
    [anon_sym_volatile] = ACTIONS(2108),
    [anon_sym_restrict] = ACTIONS(2108),
    [anon_sym___restrict__] = ACTIONS(2108),
    [anon_sym__Atomic] = ACTIONS(2108),
    [anon_sym__Noreturn] = ACTIONS(2108),
    [anon_sym_noreturn] = ACTIONS(2108),
    [anon_sym__Nonnull] = ACTIONS(2108),
    [anon_sym_mutable] = ACTIONS(2108),
    [anon_sym_constinit] = ACTIONS(2108),
    [anon_sym_consteval] = ACTIONS(2108),
    [anon_sym_alignas] = ACTIONS(2108),
    [anon_sym__Alignas] = ACTIONS(2108),
    [sym_primitive_type] = ACTIONS(2108),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2108),
    [anon_sym_union] = ACTIONS(2108),
    [anon_sym_if] = ACTIONS(2108),
    [anon_sym_else] = ACTIONS(2108),
    [anon_sym_switch] = ACTIONS(2108),
    [anon_sym_case] = ACTIONS(2108),
    [anon_sym_default] = ACTIONS(2108),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_do] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2108),
    [anon_sym_continue] = ACTIONS(2108),
    [anon_sym_goto] = ACTIONS(2108),
    [anon_sym___try] = ACTIONS(2108),
    [anon_sym___leave] = ACTIONS(2108),
    [anon_sym_not] = ACTIONS(2108),
    [anon_sym_compl] = ACTIONS(2108),
    [anon_sym_DASH_DASH] = ACTIONS(2110),
    [anon_sym_PLUS_PLUS] = ACTIONS(2110),
    [anon_sym_sizeof] = ACTIONS(2108),
    [anon_sym___alignof__] = ACTIONS(2108),
    [anon_sym___alignof] = ACTIONS(2108),
    [anon_sym__alignof] = ACTIONS(2108),
    [anon_sym_alignof] = ACTIONS(2108),
    [anon_sym__Alignof] = ACTIONS(2108),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2108),
    [anon_sym_asm] = ACTIONS(2108),
    [anon_sym___asm__] = ACTIONS(2108),
    [anon_sym___asm] = ACTIONS(2108),
    [sym_number_literal] = ACTIONS(2110),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2108),
    [sym_false] = ACTIONS(2108),
    [anon_sym_NULL] = ACTIONS(2108),
    [anon_sym_nullptr] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2108),
    [anon_sym_decltype] = ACTIONS(2108),
    [anon_sym_explicit] = ACTIONS(2108),
    [anon_sym_typename] = ACTIONS(2108),
    [anon_sym_template] = ACTIONS(2108),
    [anon_sym_operator] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2108),
    [anon_sym_delete] = ACTIONS(2108),
    [anon_sym_throw] = ACTIONS(2108),
    [anon_sym_namespace] = ACTIONS(2108),
    [anon_sym_using] = ACTIONS(2108),
    [anon_sym_static_assert] = ACTIONS(2108),
    [anon_sym_concept] = ACTIONS(2108),
    [anon_sym_co_return] = ACTIONS(2108),
    [anon_sym_co_yield] = ACTIONS(2108),
    [anon_sym_catch] = ACTIONS(2108),
    [anon_sym_R_DQUOTE] = ACTIONS(2110),
    [anon_sym_LR_DQUOTE] = ACTIONS(2110),
    [anon_sym_uR_DQUOTE] = ACTIONS(2110),
    [anon_sym_UR_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2110),
    [anon_sym_co_await] = ACTIONS(2108),
    [anon_sym_new] = ACTIONS(2108),
    [anon_sym_requires] = ACTIONS(2108),
    [sym_this] = ACTIONS(2108),
    [anon_sym_discard] = ACTIONS(2108),
    [anon_sym_precise] = ACTIONS(2108),
    [anon_sym_shared] = ACTIONS(2108),
    [anon_sym_groupshared] = ACTIONS(2108),
    [anon_sym_uniform] = ACTIONS(2108),
    [anon_sym_row_major] = ACTIONS(2108),
    [anon_sym_column_major] = ACTIONS(2108),
    [anon_sym_globallycoherent] = ACTIONS(2108),
    [anon_sym_centroid] = ACTIONS(2108),
    [anon_sym_noperspective] = ACTIONS(2108),
    [anon_sym_nointerpolation] = ACTIONS(2108),
    [anon_sym_sample] = ACTIONS(2108),
    [anon_sym_linear] = ACTIONS(2108),
    [anon_sym_snorm] = ACTIONS(2108),
    [anon_sym_unorm] = ACTIONS(2108),
    [anon_sym_point] = ACTIONS(2108),
    [anon_sym_line] = ACTIONS(2108),
    [anon_sym_triangleadj] = ACTIONS(2108),
    [anon_sym_lineadj] = ACTIONS(2108),
    [anon_sym_triangle] = ACTIONS(2108),
    [anon_sym_cbuffer] = ACTIONS(2108),
  },
  [376] = {
    [sym_identifier] = ACTIONS(2108),
    [aux_sym_preproc_include_token1] = ACTIONS(2108),
    [aux_sym_preproc_def_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token2] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2108),
    [sym_preproc_directive] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2110),
    [anon_sym_TILDE] = ACTIONS(2110),
    [anon_sym_DASH] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_STAR] = ACTIONS(2110),
    [anon_sym_AMP_AMP] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym___extension__] = ACTIONS(2108),
    [anon_sym_typedef] = ACTIONS(2108),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_out] = ACTIONS(2108),
    [anon_sym_inout] = ACTIONS(2108),
    [anon_sym_virtual] = ACTIONS(2108),
    [anon_sym_extern] = ACTIONS(2108),
    [anon_sym___attribute__] = ACTIONS(2108),
    [anon_sym_COLON_COLON] = ACTIONS(2110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2110),
    [anon_sym___declspec] = ACTIONS(2108),
    [anon_sym___based] = ACTIONS(2108),
    [anon_sym___cdecl] = ACTIONS(2108),
    [anon_sym___clrcall] = ACTIONS(2108),
    [anon_sym___stdcall] = ACTIONS(2108),
    [anon_sym___fastcall] = ACTIONS(2108),
    [anon_sym___thiscall] = ACTIONS(2108),
    [anon_sym___vectorcall] = ACTIONS(2108),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_signed] = ACTIONS(2108),
    [anon_sym_unsigned] = ACTIONS(2108),
    [anon_sym_long] = ACTIONS(2108),
    [anon_sym_short] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_register] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(2108),
    [anon_sym___inline] = ACTIONS(2108),
    [anon_sym___inline__] = ACTIONS(2108),
    [anon_sym___forceinline] = ACTIONS(2108),
    [anon_sym_thread_local] = ACTIONS(2108),
    [anon_sym___thread] = ACTIONS(2108),
    [anon_sym_const] = ACTIONS(2108),
    [anon_sym_constexpr] = ACTIONS(2108),
    [anon_sym_volatile] = ACTIONS(2108),
    [anon_sym_restrict] = ACTIONS(2108),
    [anon_sym___restrict__] = ACTIONS(2108),
    [anon_sym__Atomic] = ACTIONS(2108),
    [anon_sym__Noreturn] = ACTIONS(2108),
    [anon_sym_noreturn] = ACTIONS(2108),
    [anon_sym__Nonnull] = ACTIONS(2108),
    [anon_sym_mutable] = ACTIONS(2108),
    [anon_sym_constinit] = ACTIONS(2108),
    [anon_sym_consteval] = ACTIONS(2108),
    [anon_sym_alignas] = ACTIONS(2108),
    [anon_sym__Alignas] = ACTIONS(2108),
    [sym_primitive_type] = ACTIONS(2108),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2108),
    [anon_sym_union] = ACTIONS(2108),
    [anon_sym_if] = ACTIONS(2108),
    [anon_sym_else] = ACTIONS(2108),
    [anon_sym_switch] = ACTIONS(2108),
    [anon_sym_case] = ACTIONS(2108),
    [anon_sym_default] = ACTIONS(2108),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_do] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2108),
    [anon_sym_continue] = ACTIONS(2108),
    [anon_sym_goto] = ACTIONS(2108),
    [anon_sym___try] = ACTIONS(2108),
    [anon_sym___leave] = ACTIONS(2108),
    [anon_sym_not] = ACTIONS(2108),
    [anon_sym_compl] = ACTIONS(2108),
    [anon_sym_DASH_DASH] = ACTIONS(2110),
    [anon_sym_PLUS_PLUS] = ACTIONS(2110),
    [anon_sym_sizeof] = ACTIONS(2108),
    [anon_sym___alignof__] = ACTIONS(2108),
    [anon_sym___alignof] = ACTIONS(2108),
    [anon_sym__alignof] = ACTIONS(2108),
    [anon_sym_alignof] = ACTIONS(2108),
    [anon_sym__Alignof] = ACTIONS(2108),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2108),
    [anon_sym_asm] = ACTIONS(2108),
    [anon_sym___asm__] = ACTIONS(2108),
    [anon_sym___asm] = ACTIONS(2108),
    [sym_number_literal] = ACTIONS(2110),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2108),
    [sym_false] = ACTIONS(2108),
    [anon_sym_NULL] = ACTIONS(2108),
    [anon_sym_nullptr] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2108),
    [anon_sym_decltype] = ACTIONS(2108),
    [anon_sym_explicit] = ACTIONS(2108),
    [anon_sym_typename] = ACTIONS(2108),
    [anon_sym_template] = ACTIONS(2108),
    [anon_sym_operator] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2108),
    [anon_sym_delete] = ACTIONS(2108),
    [anon_sym_throw] = ACTIONS(2108),
    [anon_sym_namespace] = ACTIONS(2108),
    [anon_sym_using] = ACTIONS(2108),
    [anon_sym_static_assert] = ACTIONS(2108),
    [anon_sym_concept] = ACTIONS(2108),
    [anon_sym_co_return] = ACTIONS(2108),
    [anon_sym_co_yield] = ACTIONS(2108),
    [anon_sym_catch] = ACTIONS(2108),
    [anon_sym_R_DQUOTE] = ACTIONS(2110),
    [anon_sym_LR_DQUOTE] = ACTIONS(2110),
    [anon_sym_uR_DQUOTE] = ACTIONS(2110),
    [anon_sym_UR_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2110),
    [anon_sym_co_await] = ACTIONS(2108),
    [anon_sym_new] = ACTIONS(2108),
    [anon_sym_requires] = ACTIONS(2108),
    [sym_this] = ACTIONS(2108),
    [anon_sym_discard] = ACTIONS(2108),
    [anon_sym_precise] = ACTIONS(2108),
    [anon_sym_shared] = ACTIONS(2108),
    [anon_sym_groupshared] = ACTIONS(2108),
    [anon_sym_uniform] = ACTIONS(2108),
    [anon_sym_row_major] = ACTIONS(2108),
    [anon_sym_column_major] = ACTIONS(2108),
    [anon_sym_globallycoherent] = ACTIONS(2108),
    [anon_sym_centroid] = ACTIONS(2108),
    [anon_sym_noperspective] = ACTIONS(2108),
    [anon_sym_nointerpolation] = ACTIONS(2108),
    [anon_sym_sample] = ACTIONS(2108),
    [anon_sym_linear] = ACTIONS(2108),
    [anon_sym_snorm] = ACTIONS(2108),
    [anon_sym_unorm] = ACTIONS(2108),
    [anon_sym_point] = ACTIONS(2108),
    [anon_sym_line] = ACTIONS(2108),
    [anon_sym_triangleadj] = ACTIONS(2108),
    [anon_sym_lineadj] = ACTIONS(2108),
    [anon_sym_triangle] = ACTIONS(2108),
    [anon_sym_cbuffer] = ACTIONS(2108),
  },
  [377] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [sym_number_literal] = ACTIONS(1971),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
    [anon_sym_discard] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
    [anon_sym_cbuffer] = ACTIONS(1973),
  },
  [378] = {
    [sym_else_clause] = STATE(443),
    [sym_identifier] = ACTIONS(2096),
    [aux_sym_preproc_include_token1] = ACTIONS(2096),
    [aux_sym_preproc_def_token1] = ACTIONS(2096),
    [aux_sym_preproc_if_token1] = ACTIONS(2096),
    [aux_sym_preproc_if_token2] = ACTIONS(2096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2096),
    [sym_preproc_directive] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(2098),
    [anon_sym_TILDE] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(2098),
    [anon_sym_AMP_AMP] = ACTIONS(2098),
    [anon_sym_AMP] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym___extension__] = ACTIONS(2096),
    [anon_sym_typedef] = ACTIONS(2096),
    [anon_sym_in] = ACTIONS(2096),
    [anon_sym_out] = ACTIONS(2096),
    [anon_sym_inout] = ACTIONS(2096),
    [anon_sym_virtual] = ACTIONS(2096),
    [anon_sym_extern] = ACTIONS(2096),
    [anon_sym___attribute__] = ACTIONS(2096),
    [anon_sym_COLON_COLON] = ACTIONS(2098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2098),
    [anon_sym___declspec] = ACTIONS(2096),
    [anon_sym___based] = ACTIONS(2096),
    [anon_sym___cdecl] = ACTIONS(2096),
    [anon_sym___clrcall] = ACTIONS(2096),
    [anon_sym___stdcall] = ACTIONS(2096),
    [anon_sym___fastcall] = ACTIONS(2096),
    [anon_sym___thiscall] = ACTIONS(2096),
    [anon_sym___vectorcall] = ACTIONS(2096),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_signed] = ACTIONS(2096),
    [anon_sym_unsigned] = ACTIONS(2096),
    [anon_sym_long] = ACTIONS(2096),
    [anon_sym_short] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_static] = ACTIONS(2096),
    [anon_sym_register] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(2096),
    [anon_sym___inline] = ACTIONS(2096),
    [anon_sym___inline__] = ACTIONS(2096),
    [anon_sym___forceinline] = ACTIONS(2096),
    [anon_sym_thread_local] = ACTIONS(2096),
    [anon_sym___thread] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(2096),
    [anon_sym_constexpr] = ACTIONS(2096),
    [anon_sym_volatile] = ACTIONS(2096),
    [anon_sym_restrict] = ACTIONS(2096),
    [anon_sym___restrict__] = ACTIONS(2096),
    [anon_sym__Atomic] = ACTIONS(2096),
    [anon_sym__Noreturn] = ACTIONS(2096),
    [anon_sym_noreturn] = ACTIONS(2096),
    [anon_sym__Nonnull] = ACTIONS(2096),
    [anon_sym_mutable] = ACTIONS(2096),
    [anon_sym_constinit] = ACTIONS(2096),
    [anon_sym_consteval] = ACTIONS(2096),
    [anon_sym_alignas] = ACTIONS(2096),
    [anon_sym__Alignas] = ACTIONS(2096),
    [sym_primitive_type] = ACTIONS(2096),
    [anon_sym_enum] = ACTIONS(2096),
    [anon_sym_class] = ACTIONS(2096),
    [anon_sym_struct] = ACTIONS(2096),
    [anon_sym_union] = ACTIONS(2096),
    [anon_sym_if] = ACTIONS(2096),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2096),
    [anon_sym_case] = ACTIONS(2096),
    [anon_sym_default] = ACTIONS(2096),
    [anon_sym_while] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2096),
    [anon_sym_for] = ACTIONS(2096),
    [anon_sym_return] = ACTIONS(2096),
    [anon_sym_break] = ACTIONS(2096),
    [anon_sym_continue] = ACTIONS(2096),
    [anon_sym_goto] = ACTIONS(2096),
    [anon_sym___try] = ACTIONS(2096),
    [anon_sym___leave] = ACTIONS(2096),
    [anon_sym_not] = ACTIONS(2096),
    [anon_sym_compl] = ACTIONS(2096),
    [anon_sym_DASH_DASH] = ACTIONS(2098),
    [anon_sym_PLUS_PLUS] = ACTIONS(2098),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2096),
    [anon_sym___alignof] = ACTIONS(2096),
    [anon_sym__alignof] = ACTIONS(2096),
    [anon_sym_alignof] = ACTIONS(2096),
    [anon_sym__Alignof] = ACTIONS(2096),
    [anon_sym_offsetof] = ACTIONS(2096),
    [anon_sym__Generic] = ACTIONS(2096),
    [anon_sym_asm] = ACTIONS(2096),
    [anon_sym___asm__] = ACTIONS(2096),
    [anon_sym___asm] = ACTIONS(2096),
    [sym_number_literal] = ACTIONS(2098),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2098),
    [anon_sym_u_DQUOTE] = ACTIONS(2098),
    [anon_sym_U_DQUOTE] = ACTIONS(2098),
    [anon_sym_u8_DQUOTE] = ACTIONS(2098),
    [anon_sym_DQUOTE] = ACTIONS(2098),
    [sym_true] = ACTIONS(2096),
    [sym_false] = ACTIONS(2096),
    [anon_sym_NULL] = ACTIONS(2096),
    [anon_sym_nullptr] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2096),
    [anon_sym_decltype] = ACTIONS(2096),
    [anon_sym_explicit] = ACTIONS(2096),
    [anon_sym_typename] = ACTIONS(2096),
    [anon_sym_template] = ACTIONS(2096),
    [anon_sym_operator] = ACTIONS(2096),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_delete] = ACTIONS(2096),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_namespace] = ACTIONS(2096),
    [anon_sym_using] = ACTIONS(2096),
    [anon_sym_static_assert] = ACTIONS(2096),
    [anon_sym_concept] = ACTIONS(2096),
    [anon_sym_co_return] = ACTIONS(2096),
    [anon_sym_co_yield] = ACTIONS(2096),
    [anon_sym_R_DQUOTE] = ACTIONS(2098),
    [anon_sym_LR_DQUOTE] = ACTIONS(2098),
    [anon_sym_uR_DQUOTE] = ACTIONS(2098),
    [anon_sym_UR_DQUOTE] = ACTIONS(2098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2098),
    [anon_sym_co_await] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_requires] = ACTIONS(2096),
    [sym_this] = ACTIONS(2096),
    [anon_sym_discard] = ACTIONS(2096),
    [anon_sym_precise] = ACTIONS(2096),
    [anon_sym_shared] = ACTIONS(2096),
    [anon_sym_groupshared] = ACTIONS(2096),
    [anon_sym_uniform] = ACTIONS(2096),
    [anon_sym_row_major] = ACTIONS(2096),
    [anon_sym_column_major] = ACTIONS(2096),
    [anon_sym_globallycoherent] = ACTIONS(2096),
    [anon_sym_centroid] = ACTIONS(2096),
    [anon_sym_noperspective] = ACTIONS(2096),
    [anon_sym_nointerpolation] = ACTIONS(2096),
    [anon_sym_sample] = ACTIONS(2096),
    [anon_sym_linear] = ACTIONS(2096),
    [anon_sym_snorm] = ACTIONS(2096),
    [anon_sym_unorm] = ACTIONS(2096),
    [anon_sym_point] = ACTIONS(2096),
    [anon_sym_line] = ACTIONS(2096),
    [anon_sym_triangleadj] = ACTIONS(2096),
    [anon_sym_lineadj] = ACTIONS(2096),
    [anon_sym_triangle] = ACTIONS(2096),
    [anon_sym_cbuffer] = ACTIONS(2096),
  },
  [379] = {
    [sym_preproc_def] = STATE(391),
    [sym_preproc_function_def] = STATE(391),
    [sym_preproc_call] = STATE(391),
    [sym_preproc_if_in_field_declaration_list] = STATE(391),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(391),
    [sym_preproc_else_in_field_declaration_list] = STATE(8085),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8085),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8085),
    [sym_type_definition] = STATE(391),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(391),
    [sym_field_declaration] = STATE(391),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(391),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(391),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(391),
    [sym_operator_cast_declaration] = STATE(391),
    [sym_constructor_or_destructor_definition] = STATE(391),
    [sym_constructor_or_destructor_declaration] = STATE(391),
    [sym_friend_declaration] = STATE(391),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(391),
    [sym_alias_declaration] = STATE(391),
    [sym_static_assert_declaration] = STATE(391),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(391),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2790),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [380] = {
    [sym_else_clause] = STATE(442),
    [sym_identifier] = ACTIONS(2096),
    [aux_sym_preproc_include_token1] = ACTIONS(2096),
    [aux_sym_preproc_def_token1] = ACTIONS(2096),
    [aux_sym_preproc_if_token1] = ACTIONS(2096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2096),
    [sym_preproc_directive] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(2098),
    [anon_sym_TILDE] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(2098),
    [anon_sym_AMP_AMP] = ACTIONS(2098),
    [anon_sym_AMP] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym___extension__] = ACTIONS(2096),
    [anon_sym_typedef] = ACTIONS(2096),
    [anon_sym_in] = ACTIONS(2096),
    [anon_sym_out] = ACTIONS(2096),
    [anon_sym_inout] = ACTIONS(2096),
    [anon_sym_virtual] = ACTIONS(2096),
    [anon_sym_extern] = ACTIONS(2096),
    [anon_sym___attribute__] = ACTIONS(2096),
    [anon_sym_COLON_COLON] = ACTIONS(2098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2098),
    [anon_sym___declspec] = ACTIONS(2096),
    [anon_sym___based] = ACTIONS(2096),
    [anon_sym___cdecl] = ACTIONS(2096),
    [anon_sym___clrcall] = ACTIONS(2096),
    [anon_sym___stdcall] = ACTIONS(2096),
    [anon_sym___fastcall] = ACTIONS(2096),
    [anon_sym___thiscall] = ACTIONS(2096),
    [anon_sym___vectorcall] = ACTIONS(2096),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_RBRACE] = ACTIONS(2098),
    [anon_sym_signed] = ACTIONS(2096),
    [anon_sym_unsigned] = ACTIONS(2096),
    [anon_sym_long] = ACTIONS(2096),
    [anon_sym_short] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_static] = ACTIONS(2096),
    [anon_sym_register] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(2096),
    [anon_sym___inline] = ACTIONS(2096),
    [anon_sym___inline__] = ACTIONS(2096),
    [anon_sym___forceinline] = ACTIONS(2096),
    [anon_sym_thread_local] = ACTIONS(2096),
    [anon_sym___thread] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(2096),
    [anon_sym_constexpr] = ACTIONS(2096),
    [anon_sym_volatile] = ACTIONS(2096),
    [anon_sym_restrict] = ACTIONS(2096),
    [anon_sym___restrict__] = ACTIONS(2096),
    [anon_sym__Atomic] = ACTIONS(2096),
    [anon_sym__Noreturn] = ACTIONS(2096),
    [anon_sym_noreturn] = ACTIONS(2096),
    [anon_sym__Nonnull] = ACTIONS(2096),
    [anon_sym_mutable] = ACTIONS(2096),
    [anon_sym_constinit] = ACTIONS(2096),
    [anon_sym_consteval] = ACTIONS(2096),
    [anon_sym_alignas] = ACTIONS(2096),
    [anon_sym__Alignas] = ACTIONS(2096),
    [sym_primitive_type] = ACTIONS(2096),
    [anon_sym_enum] = ACTIONS(2096),
    [anon_sym_class] = ACTIONS(2096),
    [anon_sym_struct] = ACTIONS(2096),
    [anon_sym_union] = ACTIONS(2096),
    [anon_sym_if] = ACTIONS(2096),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2096),
    [anon_sym_case] = ACTIONS(2096),
    [anon_sym_default] = ACTIONS(2096),
    [anon_sym_while] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2096),
    [anon_sym_for] = ACTIONS(2096),
    [anon_sym_return] = ACTIONS(2096),
    [anon_sym_break] = ACTIONS(2096),
    [anon_sym_continue] = ACTIONS(2096),
    [anon_sym_goto] = ACTIONS(2096),
    [anon_sym___try] = ACTIONS(2096),
    [anon_sym___leave] = ACTIONS(2096),
    [anon_sym_not] = ACTIONS(2096),
    [anon_sym_compl] = ACTIONS(2096),
    [anon_sym_DASH_DASH] = ACTIONS(2098),
    [anon_sym_PLUS_PLUS] = ACTIONS(2098),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2096),
    [anon_sym___alignof] = ACTIONS(2096),
    [anon_sym__alignof] = ACTIONS(2096),
    [anon_sym_alignof] = ACTIONS(2096),
    [anon_sym__Alignof] = ACTIONS(2096),
    [anon_sym_offsetof] = ACTIONS(2096),
    [anon_sym__Generic] = ACTIONS(2096),
    [anon_sym_asm] = ACTIONS(2096),
    [anon_sym___asm__] = ACTIONS(2096),
    [anon_sym___asm] = ACTIONS(2096),
    [sym_number_literal] = ACTIONS(2098),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2098),
    [anon_sym_u_DQUOTE] = ACTIONS(2098),
    [anon_sym_U_DQUOTE] = ACTIONS(2098),
    [anon_sym_u8_DQUOTE] = ACTIONS(2098),
    [anon_sym_DQUOTE] = ACTIONS(2098),
    [sym_true] = ACTIONS(2096),
    [sym_false] = ACTIONS(2096),
    [anon_sym_NULL] = ACTIONS(2096),
    [anon_sym_nullptr] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2096),
    [anon_sym_decltype] = ACTIONS(2096),
    [anon_sym_explicit] = ACTIONS(2096),
    [anon_sym_typename] = ACTIONS(2096),
    [anon_sym_template] = ACTIONS(2096),
    [anon_sym_operator] = ACTIONS(2096),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_delete] = ACTIONS(2096),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_namespace] = ACTIONS(2096),
    [anon_sym_using] = ACTIONS(2096),
    [anon_sym_static_assert] = ACTIONS(2096),
    [anon_sym_concept] = ACTIONS(2096),
    [anon_sym_co_return] = ACTIONS(2096),
    [anon_sym_co_yield] = ACTIONS(2096),
    [anon_sym_R_DQUOTE] = ACTIONS(2098),
    [anon_sym_LR_DQUOTE] = ACTIONS(2098),
    [anon_sym_uR_DQUOTE] = ACTIONS(2098),
    [anon_sym_UR_DQUOTE] = ACTIONS(2098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2098),
    [anon_sym_co_await] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_requires] = ACTIONS(2096),
    [sym_this] = ACTIONS(2096),
    [anon_sym_discard] = ACTIONS(2096),
    [anon_sym_precise] = ACTIONS(2096),
    [anon_sym_shared] = ACTIONS(2096),
    [anon_sym_groupshared] = ACTIONS(2096),
    [anon_sym_uniform] = ACTIONS(2096),
    [anon_sym_row_major] = ACTIONS(2096),
    [anon_sym_column_major] = ACTIONS(2096),
    [anon_sym_globallycoherent] = ACTIONS(2096),
    [anon_sym_centroid] = ACTIONS(2096),
    [anon_sym_noperspective] = ACTIONS(2096),
    [anon_sym_nointerpolation] = ACTIONS(2096),
    [anon_sym_sample] = ACTIONS(2096),
    [anon_sym_linear] = ACTIONS(2096),
    [anon_sym_snorm] = ACTIONS(2096),
    [anon_sym_unorm] = ACTIONS(2096),
    [anon_sym_point] = ACTIONS(2096),
    [anon_sym_line] = ACTIONS(2096),
    [anon_sym_triangleadj] = ACTIONS(2096),
    [anon_sym_lineadj] = ACTIONS(2096),
    [anon_sym_triangle] = ACTIONS(2096),
    [anon_sym_cbuffer] = ACTIONS(2096),
  },
  [381] = {
    [sym_preproc_def] = STATE(383),
    [sym_preproc_function_def] = STATE(383),
    [sym_preproc_call] = STATE(383),
    [sym_preproc_if_in_field_declaration_list] = STATE(383),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(383),
    [sym_preproc_else_in_field_declaration_list] = STATE(7933),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7933),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7933),
    [sym_type_definition] = STATE(383),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(383),
    [sym_field_declaration] = STATE(383),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(383),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(383),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(383),
    [sym_operator_cast_declaration] = STATE(383),
    [sym_constructor_or_destructor_definition] = STATE(383),
    [sym_constructor_or_destructor_declaration] = STATE(383),
    [sym_friend_declaration] = STATE(383),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(383),
    [sym_alias_declaration] = STATE(383),
    [sym_static_assert_declaration] = STATE(383),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(383),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2794),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [382] = {
    [sym_preproc_def] = STATE(384),
    [sym_preproc_function_def] = STATE(384),
    [sym_preproc_call] = STATE(384),
    [sym_preproc_if_in_field_declaration_list] = STATE(384),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(384),
    [sym_preproc_else_in_field_declaration_list] = STATE(8149),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8149),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8149),
    [sym_type_definition] = STATE(384),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(384),
    [sym_field_declaration] = STATE(384),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(384),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(384),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(384),
    [sym_operator_cast_declaration] = STATE(384),
    [sym_constructor_or_destructor_definition] = STATE(384),
    [sym_constructor_or_destructor_declaration] = STATE(384),
    [sym_friend_declaration] = STATE(384),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(384),
    [sym_alias_declaration] = STATE(384),
    [sym_static_assert_declaration] = STATE(384),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(384),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [383] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8155),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8155),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8155),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [384] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8276),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8276),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8276),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(2110),
    [sym_identifier] = ACTIONS(2108),
    [aux_sym_preproc_include_token1] = ACTIONS(2108),
    [aux_sym_preproc_def_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token1] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2108),
    [sym_preproc_directive] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2110),
    [anon_sym_TILDE] = ACTIONS(2110),
    [anon_sym_DASH] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_STAR] = ACTIONS(2110),
    [anon_sym_AMP_AMP] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym___extension__] = ACTIONS(2108),
    [anon_sym_typedef] = ACTIONS(2108),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_out] = ACTIONS(2108),
    [anon_sym_inout] = ACTIONS(2108),
    [anon_sym_virtual] = ACTIONS(2108),
    [anon_sym_extern] = ACTIONS(2108),
    [anon_sym___attribute__] = ACTIONS(2108),
    [anon_sym_COLON_COLON] = ACTIONS(2110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2110),
    [anon_sym___declspec] = ACTIONS(2108),
    [anon_sym___based] = ACTIONS(2108),
    [anon_sym___cdecl] = ACTIONS(2108),
    [anon_sym___clrcall] = ACTIONS(2108),
    [anon_sym___stdcall] = ACTIONS(2108),
    [anon_sym___fastcall] = ACTIONS(2108),
    [anon_sym___thiscall] = ACTIONS(2108),
    [anon_sym___vectorcall] = ACTIONS(2108),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_signed] = ACTIONS(2108),
    [anon_sym_unsigned] = ACTIONS(2108),
    [anon_sym_long] = ACTIONS(2108),
    [anon_sym_short] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_register] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(2108),
    [anon_sym___inline] = ACTIONS(2108),
    [anon_sym___inline__] = ACTIONS(2108),
    [anon_sym___forceinline] = ACTIONS(2108),
    [anon_sym_thread_local] = ACTIONS(2108),
    [anon_sym___thread] = ACTIONS(2108),
    [anon_sym_const] = ACTIONS(2108),
    [anon_sym_constexpr] = ACTIONS(2108),
    [anon_sym_volatile] = ACTIONS(2108),
    [anon_sym_restrict] = ACTIONS(2108),
    [anon_sym___restrict__] = ACTIONS(2108),
    [anon_sym__Atomic] = ACTIONS(2108),
    [anon_sym__Noreturn] = ACTIONS(2108),
    [anon_sym_noreturn] = ACTIONS(2108),
    [anon_sym__Nonnull] = ACTIONS(2108),
    [anon_sym_mutable] = ACTIONS(2108),
    [anon_sym_constinit] = ACTIONS(2108),
    [anon_sym_consteval] = ACTIONS(2108),
    [anon_sym_alignas] = ACTIONS(2108),
    [anon_sym__Alignas] = ACTIONS(2108),
    [sym_primitive_type] = ACTIONS(2108),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2108),
    [anon_sym_union] = ACTIONS(2108),
    [anon_sym_if] = ACTIONS(2108),
    [anon_sym_else] = ACTIONS(2108),
    [anon_sym_switch] = ACTIONS(2108),
    [anon_sym_case] = ACTIONS(2108),
    [anon_sym_default] = ACTIONS(2108),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_do] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2108),
    [anon_sym_continue] = ACTIONS(2108),
    [anon_sym_goto] = ACTIONS(2108),
    [anon_sym___try] = ACTIONS(2108),
    [anon_sym___leave] = ACTIONS(2108),
    [anon_sym_not] = ACTIONS(2108),
    [anon_sym_compl] = ACTIONS(2108),
    [anon_sym_DASH_DASH] = ACTIONS(2110),
    [anon_sym_PLUS_PLUS] = ACTIONS(2110),
    [anon_sym_sizeof] = ACTIONS(2108),
    [anon_sym___alignof__] = ACTIONS(2108),
    [anon_sym___alignof] = ACTIONS(2108),
    [anon_sym__alignof] = ACTIONS(2108),
    [anon_sym_alignof] = ACTIONS(2108),
    [anon_sym__Alignof] = ACTIONS(2108),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2108),
    [anon_sym_asm] = ACTIONS(2108),
    [anon_sym___asm__] = ACTIONS(2108),
    [anon_sym___asm] = ACTIONS(2108),
    [sym_number_literal] = ACTIONS(2110),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2108),
    [sym_false] = ACTIONS(2108),
    [anon_sym_NULL] = ACTIONS(2108),
    [anon_sym_nullptr] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2108),
    [anon_sym_decltype] = ACTIONS(2108),
    [anon_sym_explicit] = ACTIONS(2108),
    [anon_sym_typename] = ACTIONS(2108),
    [anon_sym_template] = ACTIONS(2108),
    [anon_sym_operator] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2108),
    [anon_sym_delete] = ACTIONS(2108),
    [anon_sym_throw] = ACTIONS(2108),
    [anon_sym_namespace] = ACTIONS(2108),
    [anon_sym_using] = ACTIONS(2108),
    [anon_sym_static_assert] = ACTIONS(2108),
    [anon_sym_concept] = ACTIONS(2108),
    [anon_sym_co_return] = ACTIONS(2108),
    [anon_sym_co_yield] = ACTIONS(2108),
    [anon_sym_catch] = ACTIONS(2108),
    [anon_sym_R_DQUOTE] = ACTIONS(2110),
    [anon_sym_LR_DQUOTE] = ACTIONS(2110),
    [anon_sym_uR_DQUOTE] = ACTIONS(2110),
    [anon_sym_UR_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2110),
    [anon_sym_co_await] = ACTIONS(2108),
    [anon_sym_new] = ACTIONS(2108),
    [anon_sym_requires] = ACTIONS(2108),
    [sym_this] = ACTIONS(2108),
    [anon_sym_discard] = ACTIONS(2108),
    [anon_sym_precise] = ACTIONS(2108),
    [anon_sym_shared] = ACTIONS(2108),
    [anon_sym_groupshared] = ACTIONS(2108),
    [anon_sym_uniform] = ACTIONS(2108),
    [anon_sym_row_major] = ACTIONS(2108),
    [anon_sym_column_major] = ACTIONS(2108),
    [anon_sym_globallycoherent] = ACTIONS(2108),
    [anon_sym_centroid] = ACTIONS(2108),
    [anon_sym_noperspective] = ACTIONS(2108),
    [anon_sym_nointerpolation] = ACTIONS(2108),
    [anon_sym_sample] = ACTIONS(2108),
    [anon_sym_linear] = ACTIONS(2108),
    [anon_sym_snorm] = ACTIONS(2108),
    [anon_sym_unorm] = ACTIONS(2108),
    [anon_sym_point] = ACTIONS(2108),
    [anon_sym_line] = ACTIONS(2108),
    [anon_sym_triangleadj] = ACTIONS(2108),
    [anon_sym_lineadj] = ACTIONS(2108),
    [anon_sym_triangle] = ACTIONS(2108),
    [anon_sym_cbuffer] = ACTIONS(2108),
  },
  [386] = {
    [sym_else_clause] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(2098),
    [sym_identifier] = ACTIONS(2096),
    [aux_sym_preproc_include_token1] = ACTIONS(2096),
    [aux_sym_preproc_def_token1] = ACTIONS(2096),
    [aux_sym_preproc_if_token1] = ACTIONS(2096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2096),
    [sym_preproc_directive] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(2098),
    [anon_sym_TILDE] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(2098),
    [anon_sym_AMP_AMP] = ACTIONS(2098),
    [anon_sym_AMP] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym___extension__] = ACTIONS(2096),
    [anon_sym_typedef] = ACTIONS(2096),
    [anon_sym_in] = ACTIONS(2096),
    [anon_sym_out] = ACTIONS(2096),
    [anon_sym_inout] = ACTIONS(2096),
    [anon_sym_virtual] = ACTIONS(2096),
    [anon_sym_extern] = ACTIONS(2096),
    [anon_sym___attribute__] = ACTIONS(2096),
    [anon_sym_COLON_COLON] = ACTIONS(2098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2098),
    [anon_sym___declspec] = ACTIONS(2096),
    [anon_sym___based] = ACTIONS(2096),
    [anon_sym___cdecl] = ACTIONS(2096),
    [anon_sym___clrcall] = ACTIONS(2096),
    [anon_sym___stdcall] = ACTIONS(2096),
    [anon_sym___fastcall] = ACTIONS(2096),
    [anon_sym___thiscall] = ACTIONS(2096),
    [anon_sym___vectorcall] = ACTIONS(2096),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_signed] = ACTIONS(2096),
    [anon_sym_unsigned] = ACTIONS(2096),
    [anon_sym_long] = ACTIONS(2096),
    [anon_sym_short] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_static] = ACTIONS(2096),
    [anon_sym_register] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(2096),
    [anon_sym___inline] = ACTIONS(2096),
    [anon_sym___inline__] = ACTIONS(2096),
    [anon_sym___forceinline] = ACTIONS(2096),
    [anon_sym_thread_local] = ACTIONS(2096),
    [anon_sym___thread] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(2096),
    [anon_sym_constexpr] = ACTIONS(2096),
    [anon_sym_volatile] = ACTIONS(2096),
    [anon_sym_restrict] = ACTIONS(2096),
    [anon_sym___restrict__] = ACTIONS(2096),
    [anon_sym__Atomic] = ACTIONS(2096),
    [anon_sym__Noreturn] = ACTIONS(2096),
    [anon_sym_noreturn] = ACTIONS(2096),
    [anon_sym__Nonnull] = ACTIONS(2096),
    [anon_sym_mutable] = ACTIONS(2096),
    [anon_sym_constinit] = ACTIONS(2096),
    [anon_sym_consteval] = ACTIONS(2096),
    [anon_sym_alignas] = ACTIONS(2096),
    [anon_sym__Alignas] = ACTIONS(2096),
    [sym_primitive_type] = ACTIONS(2096),
    [anon_sym_enum] = ACTIONS(2096),
    [anon_sym_class] = ACTIONS(2096),
    [anon_sym_struct] = ACTIONS(2096),
    [anon_sym_union] = ACTIONS(2096),
    [anon_sym_if] = ACTIONS(2096),
    [anon_sym_else] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2096),
    [anon_sym_case] = ACTIONS(2096),
    [anon_sym_default] = ACTIONS(2096),
    [anon_sym_while] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2096),
    [anon_sym_for] = ACTIONS(2096),
    [anon_sym_return] = ACTIONS(2096),
    [anon_sym_break] = ACTIONS(2096),
    [anon_sym_continue] = ACTIONS(2096),
    [anon_sym_goto] = ACTIONS(2096),
    [anon_sym___try] = ACTIONS(2096),
    [anon_sym___leave] = ACTIONS(2096),
    [anon_sym_not] = ACTIONS(2096),
    [anon_sym_compl] = ACTIONS(2096),
    [anon_sym_DASH_DASH] = ACTIONS(2098),
    [anon_sym_PLUS_PLUS] = ACTIONS(2098),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2096),
    [anon_sym___alignof] = ACTIONS(2096),
    [anon_sym__alignof] = ACTIONS(2096),
    [anon_sym_alignof] = ACTIONS(2096),
    [anon_sym__Alignof] = ACTIONS(2096),
    [anon_sym_offsetof] = ACTIONS(2096),
    [anon_sym__Generic] = ACTIONS(2096),
    [anon_sym_asm] = ACTIONS(2096),
    [anon_sym___asm__] = ACTIONS(2096),
    [anon_sym___asm] = ACTIONS(2096),
    [sym_number_literal] = ACTIONS(2098),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2098),
    [anon_sym_u_DQUOTE] = ACTIONS(2098),
    [anon_sym_U_DQUOTE] = ACTIONS(2098),
    [anon_sym_u8_DQUOTE] = ACTIONS(2098),
    [anon_sym_DQUOTE] = ACTIONS(2098),
    [sym_true] = ACTIONS(2096),
    [sym_false] = ACTIONS(2096),
    [anon_sym_NULL] = ACTIONS(2096),
    [anon_sym_nullptr] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2096),
    [anon_sym_decltype] = ACTIONS(2096),
    [anon_sym_explicit] = ACTIONS(2096),
    [anon_sym_typename] = ACTIONS(2096),
    [anon_sym_template] = ACTIONS(2096),
    [anon_sym_operator] = ACTIONS(2096),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_delete] = ACTIONS(2096),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_namespace] = ACTIONS(2096),
    [anon_sym_using] = ACTIONS(2096),
    [anon_sym_static_assert] = ACTIONS(2096),
    [anon_sym_concept] = ACTIONS(2096),
    [anon_sym_co_return] = ACTIONS(2096),
    [anon_sym_co_yield] = ACTIONS(2096),
    [anon_sym_R_DQUOTE] = ACTIONS(2098),
    [anon_sym_LR_DQUOTE] = ACTIONS(2098),
    [anon_sym_uR_DQUOTE] = ACTIONS(2098),
    [anon_sym_UR_DQUOTE] = ACTIONS(2098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2098),
    [anon_sym_co_await] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_requires] = ACTIONS(2096),
    [sym_this] = ACTIONS(2096),
    [anon_sym_discard] = ACTIONS(2096),
    [anon_sym_precise] = ACTIONS(2096),
    [anon_sym_shared] = ACTIONS(2096),
    [anon_sym_groupshared] = ACTIONS(2096),
    [anon_sym_uniform] = ACTIONS(2096),
    [anon_sym_row_major] = ACTIONS(2096),
    [anon_sym_column_major] = ACTIONS(2096),
    [anon_sym_globallycoherent] = ACTIONS(2096),
    [anon_sym_centroid] = ACTIONS(2096),
    [anon_sym_noperspective] = ACTIONS(2096),
    [anon_sym_nointerpolation] = ACTIONS(2096),
    [anon_sym_sample] = ACTIONS(2096),
    [anon_sym_linear] = ACTIONS(2096),
    [anon_sym_snorm] = ACTIONS(2096),
    [anon_sym_unorm] = ACTIONS(2096),
    [anon_sym_point] = ACTIONS(2096),
    [anon_sym_line] = ACTIONS(2096),
    [anon_sym_triangleadj] = ACTIONS(2096),
    [anon_sym_lineadj] = ACTIONS(2096),
    [anon_sym_triangle] = ACTIONS(2096),
    [anon_sym_cbuffer] = ACTIONS(2096),
  },
  [387] = {
    [sym_preproc_def] = STATE(398),
    [sym_preproc_function_def] = STATE(398),
    [sym_preproc_call] = STATE(398),
    [sym_preproc_if_in_field_declaration_list] = STATE(398),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(398),
    [sym_preproc_else_in_field_declaration_list] = STATE(8420),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8420),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8420),
    [sym_type_definition] = STATE(398),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(398),
    [sym_field_declaration] = STATE(398),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(398),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(398),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(398),
    [sym_operator_cast_declaration] = STATE(398),
    [sym_constructor_or_destructor_definition] = STATE(398),
    [sym_constructor_or_destructor_declaration] = STATE(398),
    [sym_friend_declaration] = STATE(398),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(398),
    [sym_alias_declaration] = STATE(398),
    [sym_static_assert_declaration] = STATE(398),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(398),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [388] = {
    [sym_preproc_def] = STATE(390),
    [sym_preproc_function_def] = STATE(390),
    [sym_preproc_call] = STATE(390),
    [sym_preproc_if_in_field_declaration_list] = STATE(390),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(390),
    [sym_preproc_else_in_field_declaration_list] = STATE(8475),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8475),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8475),
    [sym_type_definition] = STATE(390),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(390),
    [sym_field_declaration] = STATE(390),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(390),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(390),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(390),
    [sym_operator_cast_declaration] = STATE(390),
    [sym_constructor_or_destructor_definition] = STATE(390),
    [sym_constructor_or_destructor_declaration] = STATE(390),
    [sym_friend_declaration] = STATE(390),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(390),
    [sym_alias_declaration] = STATE(390),
    [sym_static_assert_declaration] = STATE(390),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(390),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [389] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8498),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8498),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8498),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [390] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8661),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8661),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8661),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [391] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8624),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8624),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8624),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [392] = {
    [sym_preproc_def] = STATE(394),
    [sym_preproc_function_def] = STATE(394),
    [sym_preproc_call] = STATE(394),
    [sym_preproc_if_in_field_declaration_list] = STATE(394),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(394),
    [sym_preproc_else_in_field_declaration_list] = STATE(8632),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8632),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8632),
    [sym_type_definition] = STATE(394),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(394),
    [sym_field_declaration] = STATE(394),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(394),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(394),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(394),
    [sym_operator_cast_declaration] = STATE(394),
    [sym_constructor_or_destructor_definition] = STATE(394),
    [sym_constructor_or_destructor_declaration] = STATE(394),
    [sym_friend_declaration] = STATE(394),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(394),
    [sym_alias_declaration] = STATE(394),
    [sym_static_assert_declaration] = STATE(394),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(394),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [393] = {
    [sym_preproc_def] = STATE(395),
    [sym_preproc_function_def] = STATE(395),
    [sym_preproc_call] = STATE(395),
    [sym_preproc_if_in_field_declaration_list] = STATE(395),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(395),
    [sym_preproc_else_in_field_declaration_list] = STATE(8421),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8421),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8421),
    [sym_type_definition] = STATE(395),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(395),
    [sym_field_declaration] = STATE(395),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(395),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(395),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(395),
    [sym_operator_cast_declaration] = STATE(395),
    [sym_constructor_or_destructor_definition] = STATE(395),
    [sym_constructor_or_destructor_declaration] = STATE(395),
    [sym_friend_declaration] = STATE(395),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(395),
    [sym_alias_declaration] = STATE(395),
    [sym_static_assert_declaration] = STATE(395),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(395),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [394] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8452),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8452),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8452),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [395] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8075),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8075),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8075),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [sym_number_literal] = ACTIONS(1971),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
    [anon_sym_discard] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
    [anon_sym_cbuffer] = ACTIONS(1973),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1937),
    [aux_sym_preproc_include_token1] = ACTIONS(1937),
    [aux_sym_preproc_def_token1] = ACTIONS(1937),
    [aux_sym_preproc_if_token1] = ACTIONS(1937),
    [aux_sym_preproc_if_token2] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1937),
    [sym_preproc_directive] = ACTIONS(1937),
    [anon_sym_LPAREN2] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1937),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_AMP_AMP] = ACTIONS(1935),
    [anon_sym_AMP] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym___extension__] = ACTIONS(1937),
    [anon_sym_typedef] = ACTIONS(1937),
    [anon_sym_in] = ACTIONS(1937),
    [anon_sym_out] = ACTIONS(1937),
    [anon_sym_inout] = ACTIONS(1937),
    [anon_sym_virtual] = ACTIONS(1937),
    [anon_sym_extern] = ACTIONS(1937),
    [anon_sym___attribute__] = ACTIONS(1937),
    [anon_sym_COLON_COLON] = ACTIONS(1935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1935),
    [anon_sym___declspec] = ACTIONS(1937),
    [anon_sym___based] = ACTIONS(1937),
    [anon_sym___cdecl] = ACTIONS(1937),
    [anon_sym___clrcall] = ACTIONS(1937),
    [anon_sym___stdcall] = ACTIONS(1937),
    [anon_sym___fastcall] = ACTIONS(1937),
    [anon_sym___thiscall] = ACTIONS(1937),
    [anon_sym___vectorcall] = ACTIONS(1937),
    [anon_sym_LBRACE] = ACTIONS(1935),
    [anon_sym_signed] = ACTIONS(1937),
    [anon_sym_unsigned] = ACTIONS(1937),
    [anon_sym_long] = ACTIONS(1937),
    [anon_sym_short] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1937),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_register] = ACTIONS(1937),
    [anon_sym_inline] = ACTIONS(1937),
    [anon_sym___inline] = ACTIONS(1937),
    [anon_sym___inline__] = ACTIONS(1937),
    [anon_sym___forceinline] = ACTIONS(1937),
    [anon_sym_thread_local] = ACTIONS(1937),
    [anon_sym___thread] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_constexpr] = ACTIONS(1937),
    [anon_sym_volatile] = ACTIONS(1937),
    [anon_sym_restrict] = ACTIONS(1937),
    [anon_sym___restrict__] = ACTIONS(1937),
    [anon_sym__Atomic] = ACTIONS(1937),
    [anon_sym__Noreturn] = ACTIONS(1937),
    [anon_sym_noreturn] = ACTIONS(1937),
    [anon_sym__Nonnull] = ACTIONS(1937),
    [anon_sym_mutable] = ACTIONS(1937),
    [anon_sym_constinit] = ACTIONS(1937),
    [anon_sym_consteval] = ACTIONS(1937),
    [anon_sym_alignas] = ACTIONS(1937),
    [anon_sym__Alignas] = ACTIONS(1937),
    [sym_primitive_type] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_struct] = ACTIONS(1937),
    [anon_sym_union] = ACTIONS(1937),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_else] = ACTIONS(1937),
    [anon_sym_switch] = ACTIONS(1937),
    [anon_sym_case] = ACTIONS(1937),
    [anon_sym_default] = ACTIONS(1937),
    [anon_sym_while] = ACTIONS(1937),
    [anon_sym_do] = ACTIONS(1937),
    [anon_sym_for] = ACTIONS(1937),
    [anon_sym_return] = ACTIONS(1937),
    [anon_sym_break] = ACTIONS(1937),
    [anon_sym_continue] = ACTIONS(1937),
    [anon_sym_goto] = ACTIONS(1937),
    [anon_sym___try] = ACTIONS(1937),
    [anon_sym___leave] = ACTIONS(1937),
    [anon_sym_not] = ACTIONS(1937),
    [anon_sym_compl] = ACTIONS(1937),
    [anon_sym_DASH_DASH] = ACTIONS(1935),
    [anon_sym_PLUS_PLUS] = ACTIONS(1935),
    [anon_sym_sizeof] = ACTIONS(1937),
    [anon_sym___alignof__] = ACTIONS(1937),
    [anon_sym___alignof] = ACTIONS(1937),
    [anon_sym__alignof] = ACTIONS(1937),
    [anon_sym_alignof] = ACTIONS(1937),
    [anon_sym__Alignof] = ACTIONS(1937),
    [anon_sym_offsetof] = ACTIONS(1937),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1937),
    [anon_sym___asm__] = ACTIONS(1937),
    [anon_sym___asm] = ACTIONS(1937),
    [sym_number_literal] = ACTIONS(1935),
    [anon_sym_L_SQUOTE] = ACTIONS(1935),
    [anon_sym_u_SQUOTE] = ACTIONS(1935),
    [anon_sym_U_SQUOTE] = ACTIONS(1935),
    [anon_sym_u8_SQUOTE] = ACTIONS(1935),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_L_DQUOTE] = ACTIONS(1935),
    [anon_sym_u_DQUOTE] = ACTIONS(1935),
    [anon_sym_U_DQUOTE] = ACTIONS(1935),
    [anon_sym_u8_DQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1935),
    [sym_true] = ACTIONS(1937),
    [sym_false] = ACTIONS(1937),
    [anon_sym_NULL] = ACTIONS(1937),
    [anon_sym_nullptr] = ACTIONS(1937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1937),
    [anon_sym_decltype] = ACTIONS(1937),
    [anon_sym_explicit] = ACTIONS(1937),
    [anon_sym_typename] = ACTIONS(1937),
    [anon_sym_template] = ACTIONS(1937),
    [anon_sym_operator] = ACTIONS(1937),
    [anon_sym_try] = ACTIONS(1937),
    [anon_sym_delete] = ACTIONS(1937),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_namespace] = ACTIONS(1937),
    [anon_sym_using] = ACTIONS(1937),
    [anon_sym_static_assert] = ACTIONS(1937),
    [anon_sym_concept] = ACTIONS(1937),
    [anon_sym_co_return] = ACTIONS(1937),
    [anon_sym_co_yield] = ACTIONS(1937),
    [anon_sym_catch] = ACTIONS(1937),
    [anon_sym_R_DQUOTE] = ACTIONS(1935),
    [anon_sym_LR_DQUOTE] = ACTIONS(1935),
    [anon_sym_uR_DQUOTE] = ACTIONS(1935),
    [anon_sym_UR_DQUOTE] = ACTIONS(1935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1935),
    [anon_sym_co_await] = ACTIONS(1937),
    [anon_sym_new] = ACTIONS(1937),
    [anon_sym_requires] = ACTIONS(1937),
    [sym_this] = ACTIONS(1937),
    [anon_sym_discard] = ACTIONS(1937),
    [anon_sym_precise] = ACTIONS(1937),
    [anon_sym_shared] = ACTIONS(1937),
    [anon_sym_groupshared] = ACTIONS(1937),
    [anon_sym_uniform] = ACTIONS(1937),
    [anon_sym_row_major] = ACTIONS(1937),
    [anon_sym_column_major] = ACTIONS(1937),
    [anon_sym_globallycoherent] = ACTIONS(1937),
    [anon_sym_centroid] = ACTIONS(1937),
    [anon_sym_noperspective] = ACTIONS(1937),
    [anon_sym_nointerpolation] = ACTIONS(1937),
    [anon_sym_sample] = ACTIONS(1937),
    [anon_sym_linear] = ACTIONS(1937),
    [anon_sym_snorm] = ACTIONS(1937),
    [anon_sym_unorm] = ACTIONS(1937),
    [anon_sym_point] = ACTIONS(1937),
    [anon_sym_line] = ACTIONS(1937),
    [anon_sym_triangleadj] = ACTIONS(1937),
    [anon_sym_lineadj] = ACTIONS(1937),
    [anon_sym_triangle] = ACTIONS(1937),
    [anon_sym_cbuffer] = ACTIONS(1937),
  },
  [398] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8114),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8114),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8114),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [399] = {
    [ts_builtin_sym_end] = ACTIONS(2306),
    [sym_identifier] = ACTIONS(2304),
    [aux_sym_preproc_include_token1] = ACTIONS(2304),
    [aux_sym_preproc_def_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2304),
    [sym_preproc_directive] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2304),
    [anon_sym_typedef] = ACTIONS(2304),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_out] = ACTIONS(2304),
    [anon_sym_inout] = ACTIONS(2304),
    [anon_sym_virtual] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym___attribute__] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2306),
    [anon_sym___declspec] = ACTIONS(2304),
    [anon_sym___based] = ACTIONS(2304),
    [anon_sym___cdecl] = ACTIONS(2304),
    [anon_sym___clrcall] = ACTIONS(2304),
    [anon_sym___stdcall] = ACTIONS(2304),
    [anon_sym___fastcall] = ACTIONS(2304),
    [anon_sym___thiscall] = ACTIONS(2304),
    [anon_sym___vectorcall] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2304),
    [anon_sym_unsigned] = ACTIONS(2304),
    [anon_sym_long] = ACTIONS(2304),
    [anon_sym_short] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_register] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2304),
    [anon_sym___inline] = ACTIONS(2304),
    [anon_sym___inline__] = ACTIONS(2304),
    [anon_sym___forceinline] = ACTIONS(2304),
    [anon_sym_thread_local] = ACTIONS(2304),
    [anon_sym___thread] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_constexpr] = ACTIONS(2304),
    [anon_sym_volatile] = ACTIONS(2304),
    [anon_sym_restrict] = ACTIONS(2304),
    [anon_sym___restrict__] = ACTIONS(2304),
    [anon_sym__Atomic] = ACTIONS(2304),
    [anon_sym__Noreturn] = ACTIONS(2304),
    [anon_sym_noreturn] = ACTIONS(2304),
    [anon_sym__Nonnull] = ACTIONS(2304),
    [anon_sym_mutable] = ACTIONS(2304),
    [anon_sym_constinit] = ACTIONS(2304),
    [anon_sym_consteval] = ACTIONS(2304),
    [anon_sym_alignas] = ACTIONS(2304),
    [anon_sym__Alignas] = ACTIONS(2304),
    [sym_primitive_type] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_else] = ACTIONS(2304),
    [anon_sym_switch] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2304),
    [anon_sym_compl] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2304),
    [anon_sym__Generic] = ACTIONS(2304),
    [anon_sym_asm] = ACTIONS(2304),
    [anon_sym___asm__] = ACTIONS(2304),
    [anon_sym___asm] = ACTIONS(2304),
    [sym_number_literal] = ACTIONS(2306),
    [anon_sym_L_SQUOTE] = ACTIONS(2306),
    [anon_sym_u_SQUOTE] = ACTIONS(2306),
    [anon_sym_U_SQUOTE] = ACTIONS(2306),
    [anon_sym_u8_SQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_L_DQUOTE] = ACTIONS(2306),
    [anon_sym_u_DQUOTE] = ACTIONS(2306),
    [anon_sym_U_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8_DQUOTE] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [sym_true] = ACTIONS(2304),
    [sym_false] = ACTIONS(2304),
    [anon_sym_NULL] = ACTIONS(2304),
    [anon_sym_nullptr] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2304),
    [anon_sym_decltype] = ACTIONS(2304),
    [anon_sym_explicit] = ACTIONS(2304),
    [anon_sym_typename] = ACTIONS(2304),
    [anon_sym_template] = ACTIONS(2304),
    [anon_sym_operator] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_throw] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2304),
    [anon_sym_using] = ACTIONS(2304),
    [anon_sym_static_assert] = ACTIONS(2304),
    [anon_sym_concept] = ACTIONS(2304),
    [anon_sym_co_return] = ACTIONS(2304),
    [anon_sym_co_yield] = ACTIONS(2304),
    [anon_sym_R_DQUOTE] = ACTIONS(2306),
    [anon_sym_LR_DQUOTE] = ACTIONS(2306),
    [anon_sym_uR_DQUOTE] = ACTIONS(2306),
    [anon_sym_UR_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2306),
    [anon_sym_co_await] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2304),
    [anon_sym_requires] = ACTIONS(2304),
    [sym_this] = ACTIONS(2304),
    [anon_sym_discard] = ACTIONS(2304),
    [anon_sym_precise] = ACTIONS(2304),
    [anon_sym_shared] = ACTIONS(2304),
    [anon_sym_groupshared] = ACTIONS(2304),
    [anon_sym_uniform] = ACTIONS(2304),
    [anon_sym_row_major] = ACTIONS(2304),
    [anon_sym_column_major] = ACTIONS(2304),
    [anon_sym_globallycoherent] = ACTIONS(2304),
    [anon_sym_centroid] = ACTIONS(2304),
    [anon_sym_noperspective] = ACTIONS(2304),
    [anon_sym_nointerpolation] = ACTIONS(2304),
    [anon_sym_sample] = ACTIONS(2304),
    [anon_sym_linear] = ACTIONS(2304),
    [anon_sym_snorm] = ACTIONS(2304),
    [anon_sym_unorm] = ACTIONS(2304),
    [anon_sym_point] = ACTIONS(2304),
    [anon_sym_line] = ACTIONS(2304),
    [anon_sym_triangleadj] = ACTIONS(2304),
    [anon_sym_lineadj] = ACTIONS(2304),
    [anon_sym_triangle] = ACTIONS(2304),
    [anon_sym_cbuffer] = ACTIONS(2304),
  },
  [400] = {
    [sym_identifier] = ACTIONS(2118),
    [aux_sym_preproc_include_token1] = ACTIONS(2118),
    [aux_sym_preproc_def_token1] = ACTIONS(2118),
    [aux_sym_preproc_if_token1] = ACTIONS(2118),
    [aux_sym_preproc_if_token2] = ACTIONS(2118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2118),
    [sym_preproc_directive] = ACTIONS(2118),
    [anon_sym_LPAREN2] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(2120),
    [anon_sym_TILDE] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2118),
    [anon_sym_PLUS] = ACTIONS(2118),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_AMP_AMP] = ACTIONS(2120),
    [anon_sym_AMP] = ACTIONS(2118),
    [anon_sym_SEMI] = ACTIONS(2120),
    [anon_sym___extension__] = ACTIONS(2118),
    [anon_sym_typedef] = ACTIONS(2118),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_virtual] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(2118),
    [anon_sym___attribute__] = ACTIONS(2118),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2120),
    [anon_sym___declspec] = ACTIONS(2118),
    [anon_sym___based] = ACTIONS(2118),
    [anon_sym___cdecl] = ACTIONS(2118),
    [anon_sym___clrcall] = ACTIONS(2118),
    [anon_sym___stdcall] = ACTIONS(2118),
    [anon_sym___fastcall] = ACTIONS(2118),
    [anon_sym___thiscall] = ACTIONS(2118),
    [anon_sym___vectorcall] = ACTIONS(2118),
    [anon_sym_LBRACE] = ACTIONS(2120),
    [anon_sym_signed] = ACTIONS(2118),
    [anon_sym_unsigned] = ACTIONS(2118),
    [anon_sym_long] = ACTIONS(2118),
    [anon_sym_short] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(2118),
    [anon_sym_static] = ACTIONS(2118),
    [anon_sym_register] = ACTIONS(2118),
    [anon_sym_inline] = ACTIONS(2118),
    [anon_sym___inline] = ACTIONS(2118),
    [anon_sym___inline__] = ACTIONS(2118),
    [anon_sym___forceinline] = ACTIONS(2118),
    [anon_sym_thread_local] = ACTIONS(2118),
    [anon_sym___thread] = ACTIONS(2118),
    [anon_sym_const] = ACTIONS(2118),
    [anon_sym_constexpr] = ACTIONS(2118),
    [anon_sym_volatile] = ACTIONS(2118),
    [anon_sym_restrict] = ACTIONS(2118),
    [anon_sym___restrict__] = ACTIONS(2118),
    [anon_sym__Atomic] = ACTIONS(2118),
    [anon_sym__Noreturn] = ACTIONS(2118),
    [anon_sym_noreturn] = ACTIONS(2118),
    [anon_sym__Nonnull] = ACTIONS(2118),
    [anon_sym_mutable] = ACTIONS(2118),
    [anon_sym_constinit] = ACTIONS(2118),
    [anon_sym_consteval] = ACTIONS(2118),
    [anon_sym_alignas] = ACTIONS(2118),
    [anon_sym__Alignas] = ACTIONS(2118),
    [sym_primitive_type] = ACTIONS(2118),
    [anon_sym_enum] = ACTIONS(2118),
    [anon_sym_class] = ACTIONS(2118),
    [anon_sym_struct] = ACTIONS(2118),
    [anon_sym_union] = ACTIONS(2118),
    [anon_sym_if] = ACTIONS(2118),
    [anon_sym_else] = ACTIONS(2118),
    [anon_sym_switch] = ACTIONS(2118),
    [anon_sym_case] = ACTIONS(2118),
    [anon_sym_default] = ACTIONS(2118),
    [anon_sym_while] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_for] = ACTIONS(2118),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_break] = ACTIONS(2118),
    [anon_sym_continue] = ACTIONS(2118),
    [anon_sym_goto] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2118),
    [anon_sym___leave] = ACTIONS(2118),
    [anon_sym_not] = ACTIONS(2118),
    [anon_sym_compl] = ACTIONS(2118),
    [anon_sym_DASH_DASH] = ACTIONS(2120),
    [anon_sym_PLUS_PLUS] = ACTIONS(2120),
    [anon_sym_sizeof] = ACTIONS(2118),
    [anon_sym___alignof__] = ACTIONS(2118),
    [anon_sym___alignof] = ACTIONS(2118),
    [anon_sym__alignof] = ACTIONS(2118),
    [anon_sym_alignof] = ACTIONS(2118),
    [anon_sym__Alignof] = ACTIONS(2118),
    [anon_sym_offsetof] = ACTIONS(2118),
    [anon_sym__Generic] = ACTIONS(2118),
    [anon_sym_asm] = ACTIONS(2118),
    [anon_sym___asm__] = ACTIONS(2118),
    [anon_sym___asm] = ACTIONS(2118),
    [sym_number_literal] = ACTIONS(2120),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2120),
    [anon_sym_u_DQUOTE] = ACTIONS(2120),
    [anon_sym_U_DQUOTE] = ACTIONS(2120),
    [anon_sym_u8_DQUOTE] = ACTIONS(2120),
    [anon_sym_DQUOTE] = ACTIONS(2120),
    [sym_true] = ACTIONS(2118),
    [sym_false] = ACTIONS(2118),
    [anon_sym_NULL] = ACTIONS(2118),
    [anon_sym_nullptr] = ACTIONS(2118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_explicit] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2118),
    [anon_sym_template] = ACTIONS(2118),
    [anon_sym_operator] = ACTIONS(2118),
    [anon_sym_try] = ACTIONS(2118),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_namespace] = ACTIONS(2118),
    [anon_sym_using] = ACTIONS(2118),
    [anon_sym_static_assert] = ACTIONS(2118),
    [anon_sym_concept] = ACTIONS(2118),
    [anon_sym_co_return] = ACTIONS(2118),
    [anon_sym_co_yield] = ACTIONS(2118),
    [anon_sym_R_DQUOTE] = ACTIONS(2120),
    [anon_sym_LR_DQUOTE] = ACTIONS(2120),
    [anon_sym_uR_DQUOTE] = ACTIONS(2120),
    [anon_sym_UR_DQUOTE] = ACTIONS(2120),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2120),
    [anon_sym_co_await] = ACTIONS(2118),
    [anon_sym_new] = ACTIONS(2118),
    [anon_sym_requires] = ACTIONS(2118),
    [sym_this] = ACTIONS(2118),
    [anon_sym_discard] = ACTIONS(2118),
    [anon_sym_precise] = ACTIONS(2118),
    [anon_sym_shared] = ACTIONS(2118),
    [anon_sym_groupshared] = ACTIONS(2118),
    [anon_sym_uniform] = ACTIONS(2118),
    [anon_sym_row_major] = ACTIONS(2118),
    [anon_sym_column_major] = ACTIONS(2118),
    [anon_sym_globallycoherent] = ACTIONS(2118),
    [anon_sym_centroid] = ACTIONS(2118),
    [anon_sym_noperspective] = ACTIONS(2118),
    [anon_sym_nointerpolation] = ACTIONS(2118),
    [anon_sym_sample] = ACTIONS(2118),
    [anon_sym_linear] = ACTIONS(2118),
    [anon_sym_snorm] = ACTIONS(2118),
    [anon_sym_unorm] = ACTIONS(2118),
    [anon_sym_point] = ACTIONS(2118),
    [anon_sym_line] = ACTIONS(2118),
    [anon_sym_triangleadj] = ACTIONS(2118),
    [anon_sym_lineadj] = ACTIONS(2118),
    [anon_sym_triangle] = ACTIONS(2118),
    [anon_sym_cbuffer] = ACTIONS(2118),
  },
  [401] = {
    [sym_identifier] = ACTIONS(2300),
    [aux_sym_preproc_include_token1] = ACTIONS(2300),
    [aux_sym_preproc_def_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token2] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2300),
    [sym_preproc_directive] = ACTIONS(2300),
    [anon_sym_LPAREN2] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2300),
    [anon_sym_typedef] = ACTIONS(2300),
    [anon_sym_in] = ACTIONS(2300),
    [anon_sym_out] = ACTIONS(2300),
    [anon_sym_inout] = ACTIONS(2300),
    [anon_sym_virtual] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym___attribute__] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2302),
    [anon_sym___declspec] = ACTIONS(2300),
    [anon_sym___based] = ACTIONS(2300),
    [anon_sym___cdecl] = ACTIONS(2300),
    [anon_sym___clrcall] = ACTIONS(2300),
    [anon_sym___stdcall] = ACTIONS(2300),
    [anon_sym___fastcall] = ACTIONS(2300),
    [anon_sym___thiscall] = ACTIONS(2300),
    [anon_sym___vectorcall] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2300),
    [anon_sym_unsigned] = ACTIONS(2300),
    [anon_sym_long] = ACTIONS(2300),
    [anon_sym_short] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_register] = ACTIONS(2300),
    [anon_sym_inline] = ACTIONS(2300),
    [anon_sym___inline] = ACTIONS(2300),
    [anon_sym___inline__] = ACTIONS(2300),
    [anon_sym___forceinline] = ACTIONS(2300),
    [anon_sym_thread_local] = ACTIONS(2300),
    [anon_sym___thread] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_constexpr] = ACTIONS(2300),
    [anon_sym_volatile] = ACTIONS(2300),
    [anon_sym_restrict] = ACTIONS(2300),
    [anon_sym___restrict__] = ACTIONS(2300),
    [anon_sym__Atomic] = ACTIONS(2300),
    [anon_sym__Noreturn] = ACTIONS(2300),
    [anon_sym_noreturn] = ACTIONS(2300),
    [anon_sym__Nonnull] = ACTIONS(2300),
    [anon_sym_mutable] = ACTIONS(2300),
    [anon_sym_constinit] = ACTIONS(2300),
    [anon_sym_consteval] = ACTIONS(2300),
    [anon_sym_alignas] = ACTIONS(2300),
    [anon_sym__Alignas] = ACTIONS(2300),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_else] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(2300),
    [anon_sym_case] = ACTIONS(2300),
    [anon_sym_default] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_goto] = ACTIONS(2300),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2300),
    [anon_sym_compl] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2300),
    [anon_sym___alignof] = ACTIONS(2300),
    [anon_sym__alignof] = ACTIONS(2300),
    [anon_sym_alignof] = ACTIONS(2300),
    [anon_sym__Alignof] = ACTIONS(2300),
    [anon_sym_offsetof] = ACTIONS(2300),
    [anon_sym__Generic] = ACTIONS(2300),
    [anon_sym_asm] = ACTIONS(2300),
    [anon_sym___asm__] = ACTIONS(2300),
    [anon_sym___asm] = ACTIONS(2300),
    [sym_number_literal] = ACTIONS(2302),
    [anon_sym_L_SQUOTE] = ACTIONS(2302),
    [anon_sym_u_SQUOTE] = ACTIONS(2302),
    [anon_sym_U_SQUOTE] = ACTIONS(2302),
    [anon_sym_u8_SQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_L_DQUOTE] = ACTIONS(2302),
    [anon_sym_u_DQUOTE] = ACTIONS(2302),
    [anon_sym_U_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8_DQUOTE] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [sym_true] = ACTIONS(2300),
    [sym_false] = ACTIONS(2300),
    [anon_sym_NULL] = ACTIONS(2300),
    [anon_sym_nullptr] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2300),
    [anon_sym_decltype] = ACTIONS(2300),
    [anon_sym_explicit] = ACTIONS(2300),
    [anon_sym_typename] = ACTIONS(2300),
    [anon_sym_template] = ACTIONS(2300),
    [anon_sym_operator] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_delete] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2300),
    [anon_sym_namespace] = ACTIONS(2300),
    [anon_sym_using] = ACTIONS(2300),
    [anon_sym_static_assert] = ACTIONS(2300),
    [anon_sym_concept] = ACTIONS(2300),
    [anon_sym_co_return] = ACTIONS(2300),
    [anon_sym_co_yield] = ACTIONS(2300),
    [anon_sym_R_DQUOTE] = ACTIONS(2302),
    [anon_sym_LR_DQUOTE] = ACTIONS(2302),
    [anon_sym_uR_DQUOTE] = ACTIONS(2302),
    [anon_sym_UR_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2302),
    [anon_sym_co_await] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2300),
    [anon_sym_requires] = ACTIONS(2300),
    [sym_this] = ACTIONS(2300),
    [anon_sym_discard] = ACTIONS(2300),
    [anon_sym_precise] = ACTIONS(2300),
    [anon_sym_shared] = ACTIONS(2300),
    [anon_sym_groupshared] = ACTIONS(2300),
    [anon_sym_uniform] = ACTIONS(2300),
    [anon_sym_row_major] = ACTIONS(2300),
    [anon_sym_column_major] = ACTIONS(2300),
    [anon_sym_globallycoherent] = ACTIONS(2300),
    [anon_sym_centroid] = ACTIONS(2300),
    [anon_sym_noperspective] = ACTIONS(2300),
    [anon_sym_nointerpolation] = ACTIONS(2300),
    [anon_sym_sample] = ACTIONS(2300),
    [anon_sym_linear] = ACTIONS(2300),
    [anon_sym_snorm] = ACTIONS(2300),
    [anon_sym_unorm] = ACTIONS(2300),
    [anon_sym_point] = ACTIONS(2300),
    [anon_sym_line] = ACTIONS(2300),
    [anon_sym_triangleadj] = ACTIONS(2300),
    [anon_sym_lineadj] = ACTIONS(2300),
    [anon_sym_triangle] = ACTIONS(2300),
    [anon_sym_cbuffer] = ACTIONS(2300),
  },
  [402] = {
    [sym_identifier] = ACTIONS(2284),
    [aux_sym_preproc_include_token1] = ACTIONS(2284),
    [aux_sym_preproc_def_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token2] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2284),
    [sym_preproc_directive] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_AMP_AMP] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2284),
    [anon_sym_typedef] = ACTIONS(2284),
    [anon_sym_in] = ACTIONS(2284),
    [anon_sym_out] = ACTIONS(2284),
    [anon_sym_inout] = ACTIONS(2284),
    [anon_sym_virtual] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym___attribute__] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2286),
    [anon_sym___declspec] = ACTIONS(2284),
    [anon_sym___based] = ACTIONS(2284),
    [anon_sym___cdecl] = ACTIONS(2284),
    [anon_sym___clrcall] = ACTIONS(2284),
    [anon_sym___stdcall] = ACTIONS(2284),
    [anon_sym___fastcall] = ACTIONS(2284),
    [anon_sym___thiscall] = ACTIONS(2284),
    [anon_sym___vectorcall] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2284),
    [anon_sym_unsigned] = ACTIONS(2284),
    [anon_sym_long] = ACTIONS(2284),
    [anon_sym_short] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_register] = ACTIONS(2284),
    [anon_sym_inline] = ACTIONS(2284),
    [anon_sym___inline] = ACTIONS(2284),
    [anon_sym___inline__] = ACTIONS(2284),
    [anon_sym___forceinline] = ACTIONS(2284),
    [anon_sym_thread_local] = ACTIONS(2284),
    [anon_sym___thread] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_constexpr] = ACTIONS(2284),
    [anon_sym_volatile] = ACTIONS(2284),
    [anon_sym_restrict] = ACTIONS(2284),
    [anon_sym___restrict__] = ACTIONS(2284),
    [anon_sym__Atomic] = ACTIONS(2284),
    [anon_sym__Noreturn] = ACTIONS(2284),
    [anon_sym_noreturn] = ACTIONS(2284),
    [anon_sym__Nonnull] = ACTIONS(2284),
    [anon_sym_mutable] = ACTIONS(2284),
    [anon_sym_constinit] = ACTIONS(2284),
    [anon_sym_consteval] = ACTIONS(2284),
    [anon_sym_alignas] = ACTIONS(2284),
    [anon_sym__Alignas] = ACTIONS(2284),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_else] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2284),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym_default] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym___try] = ACTIONS(2284),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2284),
    [anon_sym_compl] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2286),
    [anon_sym_sizeof] = ACTIONS(2284),
    [anon_sym___alignof__] = ACTIONS(2284),
    [anon_sym___alignof] = ACTIONS(2284),
    [anon_sym__alignof] = ACTIONS(2284),
    [anon_sym_alignof] = ACTIONS(2284),
    [anon_sym__Alignof] = ACTIONS(2284),
    [anon_sym_offsetof] = ACTIONS(2284),
    [anon_sym__Generic] = ACTIONS(2284),
    [anon_sym_asm] = ACTIONS(2284),
    [anon_sym___asm__] = ACTIONS(2284),
    [anon_sym___asm] = ACTIONS(2284),
    [sym_number_literal] = ACTIONS(2286),
    [anon_sym_L_SQUOTE] = ACTIONS(2286),
    [anon_sym_u_SQUOTE] = ACTIONS(2286),
    [anon_sym_U_SQUOTE] = ACTIONS(2286),
    [anon_sym_u8_SQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2286),
    [anon_sym_L_DQUOTE] = ACTIONS(2286),
    [anon_sym_u_DQUOTE] = ACTIONS(2286),
    [anon_sym_U_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8_DQUOTE] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [anon_sym_NULL] = ACTIONS(2284),
    [anon_sym_nullptr] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2284),
    [anon_sym_decltype] = ACTIONS(2284),
    [anon_sym_explicit] = ACTIONS(2284),
    [anon_sym_typename] = ACTIONS(2284),
    [anon_sym_template] = ACTIONS(2284),
    [anon_sym_operator] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_namespace] = ACTIONS(2284),
    [anon_sym_using] = ACTIONS(2284),
    [anon_sym_static_assert] = ACTIONS(2284),
    [anon_sym_concept] = ACTIONS(2284),
    [anon_sym_co_return] = ACTIONS(2284),
    [anon_sym_co_yield] = ACTIONS(2284),
    [anon_sym_R_DQUOTE] = ACTIONS(2286),
    [anon_sym_LR_DQUOTE] = ACTIONS(2286),
    [anon_sym_uR_DQUOTE] = ACTIONS(2286),
    [anon_sym_UR_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2286),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2284),
    [anon_sym_requires] = ACTIONS(2284),
    [sym_this] = ACTIONS(2284),
    [anon_sym_discard] = ACTIONS(2284),
    [anon_sym_precise] = ACTIONS(2284),
    [anon_sym_shared] = ACTIONS(2284),
    [anon_sym_groupshared] = ACTIONS(2284),
    [anon_sym_uniform] = ACTIONS(2284),
    [anon_sym_row_major] = ACTIONS(2284),
    [anon_sym_column_major] = ACTIONS(2284),
    [anon_sym_globallycoherent] = ACTIONS(2284),
    [anon_sym_centroid] = ACTIONS(2284),
    [anon_sym_noperspective] = ACTIONS(2284),
    [anon_sym_nointerpolation] = ACTIONS(2284),
    [anon_sym_sample] = ACTIONS(2284),
    [anon_sym_linear] = ACTIONS(2284),
    [anon_sym_snorm] = ACTIONS(2284),
    [anon_sym_unorm] = ACTIONS(2284),
    [anon_sym_point] = ACTIONS(2284),
    [anon_sym_line] = ACTIONS(2284),
    [anon_sym_triangleadj] = ACTIONS(2284),
    [anon_sym_lineadj] = ACTIONS(2284),
    [anon_sym_triangle] = ACTIONS(2284),
    [anon_sym_cbuffer] = ACTIONS(2284),
  },
  [403] = {
    [ts_builtin_sym_end] = ACTIONS(2266),
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym__Nonnull] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym__Alignas] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [anon_sym___asm] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [404] = {
    [sym_identifier] = ACTIONS(2174),
    [aux_sym_preproc_include_token1] = ACTIONS(2174),
    [aux_sym_preproc_def_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token1] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2174),
    [sym_preproc_directive] = ACTIONS(2174),
    [anon_sym_LPAREN2] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(2174),
    [anon_sym_typedef] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_out] = ACTIONS(2174),
    [anon_sym_inout] = ACTIONS(2174),
    [anon_sym_virtual] = ACTIONS(2174),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym___attribute__] = ACTIONS(2174),
    [anon_sym_COLON_COLON] = ACTIONS(2176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2176),
    [anon_sym___declspec] = ACTIONS(2174),
    [anon_sym___based] = ACTIONS(2174),
    [anon_sym___cdecl] = ACTIONS(2174),
    [anon_sym___clrcall] = ACTIONS(2174),
    [anon_sym___stdcall] = ACTIONS(2174),
    [anon_sym___fastcall] = ACTIONS(2174),
    [anon_sym___thiscall] = ACTIONS(2174),
    [anon_sym___vectorcall] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_signed] = ACTIONS(2174),
    [anon_sym_unsigned] = ACTIONS(2174),
    [anon_sym_long] = ACTIONS(2174),
    [anon_sym_short] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_register] = ACTIONS(2174),
    [anon_sym_inline] = ACTIONS(2174),
    [anon_sym___inline] = ACTIONS(2174),
    [anon_sym___inline__] = ACTIONS(2174),
    [anon_sym___forceinline] = ACTIONS(2174),
    [anon_sym_thread_local] = ACTIONS(2174),
    [anon_sym___thread] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_constexpr] = ACTIONS(2174),
    [anon_sym_volatile] = ACTIONS(2174),
    [anon_sym_restrict] = ACTIONS(2174),
    [anon_sym___restrict__] = ACTIONS(2174),
    [anon_sym__Atomic] = ACTIONS(2174),
    [anon_sym__Noreturn] = ACTIONS(2174),
    [anon_sym_noreturn] = ACTIONS(2174),
    [anon_sym__Nonnull] = ACTIONS(2174),
    [anon_sym_mutable] = ACTIONS(2174),
    [anon_sym_constinit] = ACTIONS(2174),
    [anon_sym_consteval] = ACTIONS(2174),
    [anon_sym_alignas] = ACTIONS(2174),
    [anon_sym__Alignas] = ACTIONS(2174),
    [sym_primitive_type] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_struct] = ACTIONS(2174),
    [anon_sym_union] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_case] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_goto] = ACTIONS(2174),
    [anon_sym___try] = ACTIONS(2174),
    [anon_sym___leave] = ACTIONS(2174),
    [anon_sym_not] = ACTIONS(2174),
    [anon_sym_compl] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_sizeof] = ACTIONS(2174),
    [anon_sym___alignof__] = ACTIONS(2174),
    [anon_sym___alignof] = ACTIONS(2174),
    [anon_sym__alignof] = ACTIONS(2174),
    [anon_sym_alignof] = ACTIONS(2174),
    [anon_sym__Alignof] = ACTIONS(2174),
    [anon_sym_offsetof] = ACTIONS(2174),
    [anon_sym__Generic] = ACTIONS(2174),
    [anon_sym_asm] = ACTIONS(2174),
    [anon_sym___asm__] = ACTIONS(2174),
    [anon_sym___asm] = ACTIONS(2174),
    [sym_number_literal] = ACTIONS(2176),
    [anon_sym_L_SQUOTE] = ACTIONS(2176),
    [anon_sym_u_SQUOTE] = ACTIONS(2176),
    [anon_sym_U_SQUOTE] = ACTIONS(2176),
    [anon_sym_u8_SQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_L_DQUOTE] = ACTIONS(2176),
    [anon_sym_u_DQUOTE] = ACTIONS(2176),
    [anon_sym_U_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8_DQUOTE] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [anon_sym_NULL] = ACTIONS(2174),
    [anon_sym_nullptr] = ACTIONS(2174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2174),
    [anon_sym_decltype] = ACTIONS(2174),
    [anon_sym_explicit] = ACTIONS(2174),
    [anon_sym_typename] = ACTIONS(2174),
    [anon_sym_template] = ACTIONS(2174),
    [anon_sym_operator] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_static_assert] = ACTIONS(2174),
    [anon_sym_concept] = ACTIONS(2174),
    [anon_sym_co_return] = ACTIONS(2174),
    [anon_sym_co_yield] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [anon_sym_discard] = ACTIONS(2174),
    [anon_sym_precise] = ACTIONS(2174),
    [anon_sym_shared] = ACTIONS(2174),
    [anon_sym_groupshared] = ACTIONS(2174),
    [anon_sym_uniform] = ACTIONS(2174),
    [anon_sym_row_major] = ACTIONS(2174),
    [anon_sym_column_major] = ACTIONS(2174),
    [anon_sym_globallycoherent] = ACTIONS(2174),
    [anon_sym_centroid] = ACTIONS(2174),
    [anon_sym_noperspective] = ACTIONS(2174),
    [anon_sym_nointerpolation] = ACTIONS(2174),
    [anon_sym_sample] = ACTIONS(2174),
    [anon_sym_linear] = ACTIONS(2174),
    [anon_sym_snorm] = ACTIONS(2174),
    [anon_sym_unorm] = ACTIONS(2174),
    [anon_sym_point] = ACTIONS(2174),
    [anon_sym_line] = ACTIONS(2174),
    [anon_sym_triangleadj] = ACTIONS(2174),
    [anon_sym_lineadj] = ACTIONS(2174),
    [anon_sym_triangle] = ACTIONS(2174),
    [anon_sym_cbuffer] = ACTIONS(2174),
  },
  [405] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym__Nonnull] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym__Alignas] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [anon_sym___asm] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [406] = {
    [sym_identifier] = ACTIONS(2222),
    [aux_sym_preproc_include_token1] = ACTIONS(2222),
    [aux_sym_preproc_def_token1] = ACTIONS(2222),
    [aux_sym_preproc_if_token1] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2222),
    [sym_preproc_directive] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2222),
    [anon_sym_STAR] = ACTIONS(2224),
    [anon_sym_AMP_AMP] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym___extension__] = ACTIONS(2222),
    [anon_sym_typedef] = ACTIONS(2222),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_out] = ACTIONS(2222),
    [anon_sym_inout] = ACTIONS(2222),
    [anon_sym_virtual] = ACTIONS(2222),
    [anon_sym_extern] = ACTIONS(2222),
    [anon_sym___attribute__] = ACTIONS(2222),
    [anon_sym_COLON_COLON] = ACTIONS(2224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2224),
    [anon_sym___declspec] = ACTIONS(2222),
    [anon_sym___based] = ACTIONS(2222),
    [anon_sym___cdecl] = ACTIONS(2222),
    [anon_sym___clrcall] = ACTIONS(2222),
    [anon_sym___stdcall] = ACTIONS(2222),
    [anon_sym___fastcall] = ACTIONS(2222),
    [anon_sym___thiscall] = ACTIONS(2222),
    [anon_sym___vectorcall] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [anon_sym_signed] = ACTIONS(2222),
    [anon_sym_unsigned] = ACTIONS(2222),
    [anon_sym_long] = ACTIONS(2222),
    [anon_sym_short] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_static] = ACTIONS(2222),
    [anon_sym_register] = ACTIONS(2222),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym___inline] = ACTIONS(2222),
    [anon_sym___inline__] = ACTIONS(2222),
    [anon_sym___forceinline] = ACTIONS(2222),
    [anon_sym_thread_local] = ACTIONS(2222),
    [anon_sym___thread] = ACTIONS(2222),
    [anon_sym_const] = ACTIONS(2222),
    [anon_sym_constexpr] = ACTIONS(2222),
    [anon_sym_volatile] = ACTIONS(2222),
    [anon_sym_restrict] = ACTIONS(2222),
    [anon_sym___restrict__] = ACTIONS(2222),
    [anon_sym__Atomic] = ACTIONS(2222),
    [anon_sym__Noreturn] = ACTIONS(2222),
    [anon_sym_noreturn] = ACTIONS(2222),
    [anon_sym__Nonnull] = ACTIONS(2222),
    [anon_sym_mutable] = ACTIONS(2222),
    [anon_sym_constinit] = ACTIONS(2222),
    [anon_sym_consteval] = ACTIONS(2222),
    [anon_sym_alignas] = ACTIONS(2222),
    [anon_sym__Alignas] = ACTIONS(2222),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_enum] = ACTIONS(2222),
    [anon_sym_class] = ACTIONS(2222),
    [anon_sym_struct] = ACTIONS(2222),
    [anon_sym_union] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(2222),
    [anon_sym_else] = ACTIONS(2222),
    [anon_sym_switch] = ACTIONS(2222),
    [anon_sym_case] = ACTIONS(2222),
    [anon_sym_default] = ACTIONS(2222),
    [anon_sym_while] = ACTIONS(2222),
    [anon_sym_do] = ACTIONS(2222),
    [anon_sym_for] = ACTIONS(2222),
    [anon_sym_return] = ACTIONS(2222),
    [anon_sym_break] = ACTIONS(2222),
    [anon_sym_continue] = ACTIONS(2222),
    [anon_sym_goto] = ACTIONS(2222),
    [anon_sym___try] = ACTIONS(2222),
    [anon_sym___leave] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2222),
    [anon_sym_compl] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2222),
    [anon_sym___alignof] = ACTIONS(2222),
    [anon_sym__alignof] = ACTIONS(2222),
    [anon_sym_alignof] = ACTIONS(2222),
    [anon_sym__Alignof] = ACTIONS(2222),
    [anon_sym_offsetof] = ACTIONS(2222),
    [anon_sym__Generic] = ACTIONS(2222),
    [anon_sym_asm] = ACTIONS(2222),
    [anon_sym___asm__] = ACTIONS(2222),
    [anon_sym___asm] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2224),
    [anon_sym_L_SQUOTE] = ACTIONS(2224),
    [anon_sym_u_SQUOTE] = ACTIONS(2224),
    [anon_sym_U_SQUOTE] = ACTIONS(2224),
    [anon_sym_u8_SQUOTE] = ACTIONS(2224),
    [anon_sym_SQUOTE] = ACTIONS(2224),
    [anon_sym_L_DQUOTE] = ACTIONS(2224),
    [anon_sym_u_DQUOTE] = ACTIONS(2224),
    [anon_sym_U_DQUOTE] = ACTIONS(2224),
    [anon_sym_u8_DQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2224),
    [sym_true] = ACTIONS(2222),
    [sym_false] = ACTIONS(2222),
    [anon_sym_NULL] = ACTIONS(2222),
    [anon_sym_nullptr] = ACTIONS(2222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2222),
    [anon_sym_decltype] = ACTIONS(2222),
    [anon_sym_explicit] = ACTIONS(2222),
    [anon_sym_typename] = ACTIONS(2222),
    [anon_sym_template] = ACTIONS(2222),
    [anon_sym_operator] = ACTIONS(2222),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_delete] = ACTIONS(2222),
    [anon_sym_throw] = ACTIONS(2222),
    [anon_sym_namespace] = ACTIONS(2222),
    [anon_sym_using] = ACTIONS(2222),
    [anon_sym_static_assert] = ACTIONS(2222),
    [anon_sym_concept] = ACTIONS(2222),
    [anon_sym_co_return] = ACTIONS(2222),
    [anon_sym_co_yield] = ACTIONS(2222),
    [anon_sym_R_DQUOTE] = ACTIONS(2224),
    [anon_sym_LR_DQUOTE] = ACTIONS(2224),
    [anon_sym_uR_DQUOTE] = ACTIONS(2224),
    [anon_sym_UR_DQUOTE] = ACTIONS(2224),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2224),
    [anon_sym_co_await] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2222),
    [anon_sym_requires] = ACTIONS(2222),
    [sym_this] = ACTIONS(2222),
    [anon_sym_discard] = ACTIONS(2222),
    [anon_sym_precise] = ACTIONS(2222),
    [anon_sym_shared] = ACTIONS(2222),
    [anon_sym_groupshared] = ACTIONS(2222),
    [anon_sym_uniform] = ACTIONS(2222),
    [anon_sym_row_major] = ACTIONS(2222),
    [anon_sym_column_major] = ACTIONS(2222),
    [anon_sym_globallycoherent] = ACTIONS(2222),
    [anon_sym_centroid] = ACTIONS(2222),
    [anon_sym_noperspective] = ACTIONS(2222),
    [anon_sym_nointerpolation] = ACTIONS(2222),
    [anon_sym_sample] = ACTIONS(2222),
    [anon_sym_linear] = ACTIONS(2222),
    [anon_sym_snorm] = ACTIONS(2222),
    [anon_sym_unorm] = ACTIONS(2222),
    [anon_sym_point] = ACTIONS(2222),
    [anon_sym_line] = ACTIONS(2222),
    [anon_sym_triangleadj] = ACTIONS(2222),
    [anon_sym_lineadj] = ACTIONS(2222),
    [anon_sym_triangle] = ACTIONS(2222),
    [anon_sym_cbuffer] = ACTIONS(2222),
  },
  [407] = {
    [sym_identifier] = ACTIONS(2351),
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token2] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2353),
    [anon_sym_TILDE] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_PLUS] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(2353),
    [anon_sym_AMP_AMP] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2353),
    [anon_sym___extension__] = ACTIONS(2351),
    [anon_sym_typedef] = ACTIONS(2351),
    [anon_sym_in] = ACTIONS(2351),
    [anon_sym_out] = ACTIONS(2351),
    [anon_sym_inout] = ACTIONS(2351),
    [anon_sym_virtual] = ACTIONS(2351),
    [anon_sym_extern] = ACTIONS(2351),
    [anon_sym___attribute__] = ACTIONS(2351),
    [anon_sym_COLON_COLON] = ACTIONS(2353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2353),
    [anon_sym___declspec] = ACTIONS(2351),
    [anon_sym___based] = ACTIONS(2351),
    [anon_sym___cdecl] = ACTIONS(2351),
    [anon_sym___clrcall] = ACTIONS(2351),
    [anon_sym___stdcall] = ACTIONS(2351),
    [anon_sym___fastcall] = ACTIONS(2351),
    [anon_sym___thiscall] = ACTIONS(2351),
    [anon_sym___vectorcall] = ACTIONS(2351),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_signed] = ACTIONS(2351),
    [anon_sym_unsigned] = ACTIONS(2351),
    [anon_sym_long] = ACTIONS(2351),
    [anon_sym_short] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_register] = ACTIONS(2351),
    [anon_sym_inline] = ACTIONS(2351),
    [anon_sym___inline] = ACTIONS(2351),
    [anon_sym___inline__] = ACTIONS(2351),
    [anon_sym___forceinline] = ACTIONS(2351),
    [anon_sym_thread_local] = ACTIONS(2351),
    [anon_sym___thread] = ACTIONS(2351),
    [anon_sym_const] = ACTIONS(2351),
    [anon_sym_constexpr] = ACTIONS(2351),
    [anon_sym_volatile] = ACTIONS(2351),
    [anon_sym_restrict] = ACTIONS(2351),
    [anon_sym___restrict__] = ACTIONS(2351),
    [anon_sym__Atomic] = ACTIONS(2351),
    [anon_sym__Noreturn] = ACTIONS(2351),
    [anon_sym_noreturn] = ACTIONS(2351),
    [anon_sym__Nonnull] = ACTIONS(2351),
    [anon_sym_mutable] = ACTIONS(2351),
    [anon_sym_constinit] = ACTIONS(2351),
    [anon_sym_consteval] = ACTIONS(2351),
    [anon_sym_alignas] = ACTIONS(2351),
    [anon_sym__Alignas] = ACTIONS(2351),
    [sym_primitive_type] = ACTIONS(2351),
    [anon_sym_enum] = ACTIONS(2351),
    [anon_sym_class] = ACTIONS(2351),
    [anon_sym_struct] = ACTIONS(2351),
    [anon_sym_union] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_case] = ACTIONS(2351),
    [anon_sym_default] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_do] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_return] = ACTIONS(2351),
    [anon_sym_break] = ACTIONS(2351),
    [anon_sym_continue] = ACTIONS(2351),
    [anon_sym_goto] = ACTIONS(2351),
    [anon_sym___try] = ACTIONS(2351),
    [anon_sym___leave] = ACTIONS(2351),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_compl] = ACTIONS(2351),
    [anon_sym_DASH_DASH] = ACTIONS(2353),
    [anon_sym_PLUS_PLUS] = ACTIONS(2353),
    [anon_sym_sizeof] = ACTIONS(2351),
    [anon_sym___alignof__] = ACTIONS(2351),
    [anon_sym___alignof] = ACTIONS(2351),
    [anon_sym__alignof] = ACTIONS(2351),
    [anon_sym_alignof] = ACTIONS(2351),
    [anon_sym__Alignof] = ACTIONS(2351),
    [anon_sym_offsetof] = ACTIONS(2351),
    [anon_sym__Generic] = ACTIONS(2351),
    [anon_sym_asm] = ACTIONS(2351),
    [anon_sym___asm__] = ACTIONS(2351),
    [anon_sym___asm] = ACTIONS(2351),
    [sym_number_literal] = ACTIONS(2353),
    [anon_sym_L_SQUOTE] = ACTIONS(2353),
    [anon_sym_u_SQUOTE] = ACTIONS(2353),
    [anon_sym_U_SQUOTE] = ACTIONS(2353),
    [anon_sym_u8_SQUOTE] = ACTIONS(2353),
    [anon_sym_SQUOTE] = ACTIONS(2353),
    [anon_sym_L_DQUOTE] = ACTIONS(2353),
    [anon_sym_u_DQUOTE] = ACTIONS(2353),
    [anon_sym_U_DQUOTE] = ACTIONS(2353),
    [anon_sym_u8_DQUOTE] = ACTIONS(2353),
    [anon_sym_DQUOTE] = ACTIONS(2353),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [anon_sym_NULL] = ACTIONS(2351),
    [anon_sym_nullptr] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2351),
    [anon_sym_decltype] = ACTIONS(2351),
    [anon_sym_explicit] = ACTIONS(2351),
    [anon_sym_typename] = ACTIONS(2351),
    [anon_sym_template] = ACTIONS(2351),
    [anon_sym_operator] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2351),
    [anon_sym_delete] = ACTIONS(2351),
    [anon_sym_throw] = ACTIONS(2351),
    [anon_sym_namespace] = ACTIONS(2351),
    [anon_sym_using] = ACTIONS(2351),
    [anon_sym_static_assert] = ACTIONS(2351),
    [anon_sym_concept] = ACTIONS(2351),
    [anon_sym_co_return] = ACTIONS(2351),
    [anon_sym_co_yield] = ACTIONS(2351),
    [anon_sym_R_DQUOTE] = ACTIONS(2353),
    [anon_sym_LR_DQUOTE] = ACTIONS(2353),
    [anon_sym_uR_DQUOTE] = ACTIONS(2353),
    [anon_sym_UR_DQUOTE] = ACTIONS(2353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2353),
    [anon_sym_co_await] = ACTIONS(2351),
    [anon_sym_new] = ACTIONS(2351),
    [anon_sym_requires] = ACTIONS(2351),
    [sym_this] = ACTIONS(2351),
    [anon_sym_discard] = ACTIONS(2351),
    [anon_sym_precise] = ACTIONS(2351),
    [anon_sym_shared] = ACTIONS(2351),
    [anon_sym_groupshared] = ACTIONS(2351),
    [anon_sym_uniform] = ACTIONS(2351),
    [anon_sym_row_major] = ACTIONS(2351),
    [anon_sym_column_major] = ACTIONS(2351),
    [anon_sym_globallycoherent] = ACTIONS(2351),
    [anon_sym_centroid] = ACTIONS(2351),
    [anon_sym_noperspective] = ACTIONS(2351),
    [anon_sym_nointerpolation] = ACTIONS(2351),
    [anon_sym_sample] = ACTIONS(2351),
    [anon_sym_linear] = ACTIONS(2351),
    [anon_sym_snorm] = ACTIONS(2351),
    [anon_sym_unorm] = ACTIONS(2351),
    [anon_sym_point] = ACTIONS(2351),
    [anon_sym_line] = ACTIONS(2351),
    [anon_sym_triangleadj] = ACTIONS(2351),
    [anon_sym_lineadj] = ACTIONS(2351),
    [anon_sym_triangle] = ACTIONS(2351),
    [anon_sym_cbuffer] = ACTIONS(2351),
  },
  [408] = {
    [sym_identifier] = ACTIONS(2122),
    [aux_sym_preproc_include_token1] = ACTIONS(2122),
    [aux_sym_preproc_def_token1] = ACTIONS(2122),
    [aux_sym_preproc_if_token1] = ACTIONS(2122),
    [aux_sym_preproc_if_token2] = ACTIONS(2122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2122),
    [sym_preproc_directive] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2122),
    [anon_sym_PLUS] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2122),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym___extension__] = ACTIONS(2122),
    [anon_sym_typedef] = ACTIONS(2122),
    [anon_sym_in] = ACTIONS(2122),
    [anon_sym_out] = ACTIONS(2122),
    [anon_sym_inout] = ACTIONS(2122),
    [anon_sym_virtual] = ACTIONS(2122),
    [anon_sym_extern] = ACTIONS(2122),
    [anon_sym___attribute__] = ACTIONS(2122),
    [anon_sym_COLON_COLON] = ACTIONS(2124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2124),
    [anon_sym___declspec] = ACTIONS(2122),
    [anon_sym___based] = ACTIONS(2122),
    [anon_sym___cdecl] = ACTIONS(2122),
    [anon_sym___clrcall] = ACTIONS(2122),
    [anon_sym___stdcall] = ACTIONS(2122),
    [anon_sym___fastcall] = ACTIONS(2122),
    [anon_sym___thiscall] = ACTIONS(2122),
    [anon_sym___vectorcall] = ACTIONS(2122),
    [anon_sym_LBRACE] = ACTIONS(2124),
    [anon_sym_signed] = ACTIONS(2122),
    [anon_sym_unsigned] = ACTIONS(2122),
    [anon_sym_long] = ACTIONS(2122),
    [anon_sym_short] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_static] = ACTIONS(2122),
    [anon_sym_register] = ACTIONS(2122),
    [anon_sym_inline] = ACTIONS(2122),
    [anon_sym___inline] = ACTIONS(2122),
    [anon_sym___inline__] = ACTIONS(2122),
    [anon_sym___forceinline] = ACTIONS(2122),
    [anon_sym_thread_local] = ACTIONS(2122),
    [anon_sym___thread] = ACTIONS(2122),
    [anon_sym_const] = ACTIONS(2122),
    [anon_sym_constexpr] = ACTIONS(2122),
    [anon_sym_volatile] = ACTIONS(2122),
    [anon_sym_restrict] = ACTIONS(2122),
    [anon_sym___restrict__] = ACTIONS(2122),
    [anon_sym__Atomic] = ACTIONS(2122),
    [anon_sym__Noreturn] = ACTIONS(2122),
    [anon_sym_noreturn] = ACTIONS(2122),
    [anon_sym__Nonnull] = ACTIONS(2122),
    [anon_sym_mutable] = ACTIONS(2122),
    [anon_sym_constinit] = ACTIONS(2122),
    [anon_sym_consteval] = ACTIONS(2122),
    [anon_sym_alignas] = ACTIONS(2122),
    [anon_sym__Alignas] = ACTIONS(2122),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2122),
    [anon_sym_class] = ACTIONS(2122),
    [anon_sym_struct] = ACTIONS(2122),
    [anon_sym_union] = ACTIONS(2122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_else] = ACTIONS(2122),
    [anon_sym_switch] = ACTIONS(2122),
    [anon_sym_case] = ACTIONS(2122),
    [anon_sym_default] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_do] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2122),
    [anon_sym_return] = ACTIONS(2122),
    [anon_sym_break] = ACTIONS(2122),
    [anon_sym_continue] = ACTIONS(2122),
    [anon_sym_goto] = ACTIONS(2122),
    [anon_sym___try] = ACTIONS(2122),
    [anon_sym___leave] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2122),
    [anon_sym_compl] = ACTIONS(2122),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_sizeof] = ACTIONS(2122),
    [anon_sym___alignof__] = ACTIONS(2122),
    [anon_sym___alignof] = ACTIONS(2122),
    [anon_sym__alignof] = ACTIONS(2122),
    [anon_sym_alignof] = ACTIONS(2122),
    [anon_sym__Alignof] = ACTIONS(2122),
    [anon_sym_offsetof] = ACTIONS(2122),
    [anon_sym__Generic] = ACTIONS(2122),
    [anon_sym_asm] = ACTIONS(2122),
    [anon_sym___asm__] = ACTIONS(2122),
    [anon_sym___asm] = ACTIONS(2122),
    [sym_number_literal] = ACTIONS(2124),
    [anon_sym_L_SQUOTE] = ACTIONS(2124),
    [anon_sym_u_SQUOTE] = ACTIONS(2124),
    [anon_sym_U_SQUOTE] = ACTIONS(2124),
    [anon_sym_u8_SQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [anon_sym_L_DQUOTE] = ACTIONS(2124),
    [anon_sym_u_DQUOTE] = ACTIONS(2124),
    [anon_sym_U_DQUOTE] = ACTIONS(2124),
    [anon_sym_u8_DQUOTE] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2122),
    [anon_sym_nullptr] = ACTIONS(2122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2122),
    [anon_sym_decltype] = ACTIONS(2122),
    [anon_sym_explicit] = ACTIONS(2122),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(2122),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_try] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2122),
    [anon_sym_throw] = ACTIONS(2122),
    [anon_sym_namespace] = ACTIONS(2122),
    [anon_sym_using] = ACTIONS(2122),
    [anon_sym_static_assert] = ACTIONS(2122),
    [anon_sym_concept] = ACTIONS(2122),
    [anon_sym_co_return] = ACTIONS(2122),
    [anon_sym_co_yield] = ACTIONS(2122),
    [anon_sym_R_DQUOTE] = ACTIONS(2124),
    [anon_sym_LR_DQUOTE] = ACTIONS(2124),
    [anon_sym_uR_DQUOTE] = ACTIONS(2124),
    [anon_sym_UR_DQUOTE] = ACTIONS(2124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2124),
    [anon_sym_co_await] = ACTIONS(2122),
    [anon_sym_new] = ACTIONS(2122),
    [anon_sym_requires] = ACTIONS(2122),
    [sym_this] = ACTIONS(2122),
    [anon_sym_discard] = ACTIONS(2122),
    [anon_sym_precise] = ACTIONS(2122),
    [anon_sym_shared] = ACTIONS(2122),
    [anon_sym_groupshared] = ACTIONS(2122),
    [anon_sym_uniform] = ACTIONS(2122),
    [anon_sym_row_major] = ACTIONS(2122),
    [anon_sym_column_major] = ACTIONS(2122),
    [anon_sym_globallycoherent] = ACTIONS(2122),
    [anon_sym_centroid] = ACTIONS(2122),
    [anon_sym_noperspective] = ACTIONS(2122),
    [anon_sym_nointerpolation] = ACTIONS(2122),
    [anon_sym_sample] = ACTIONS(2122),
    [anon_sym_linear] = ACTIONS(2122),
    [anon_sym_snorm] = ACTIONS(2122),
    [anon_sym_unorm] = ACTIONS(2122),
    [anon_sym_point] = ACTIONS(2122),
    [anon_sym_line] = ACTIONS(2122),
    [anon_sym_triangleadj] = ACTIONS(2122),
    [anon_sym_lineadj] = ACTIONS(2122),
    [anon_sym_triangle] = ACTIONS(2122),
    [anon_sym_cbuffer] = ACTIONS(2122),
  },
  [409] = {
    [sym_identifier] = ACTIONS(2170),
    [aux_sym_preproc_include_token1] = ACTIONS(2170),
    [aux_sym_preproc_def_token1] = ACTIONS(2170),
    [aux_sym_preproc_if_token1] = ACTIONS(2170),
    [aux_sym_preproc_if_token2] = ACTIONS(2170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2170),
    [sym_preproc_directive] = ACTIONS(2170),
    [anon_sym_LPAREN2] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2172),
    [anon_sym_AMP_AMP] = ACTIONS(2172),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym___extension__] = ACTIONS(2170),
    [anon_sym_typedef] = ACTIONS(2170),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_out] = ACTIONS(2170),
    [anon_sym_inout] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(2170),
    [anon_sym_extern] = ACTIONS(2170),
    [anon_sym___attribute__] = ACTIONS(2170),
    [anon_sym_COLON_COLON] = ACTIONS(2172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2172),
    [anon_sym___declspec] = ACTIONS(2170),
    [anon_sym___based] = ACTIONS(2170),
    [anon_sym___cdecl] = ACTIONS(2170),
    [anon_sym___clrcall] = ACTIONS(2170),
    [anon_sym___stdcall] = ACTIONS(2170),
    [anon_sym___fastcall] = ACTIONS(2170),
    [anon_sym___thiscall] = ACTIONS(2170),
    [anon_sym___vectorcall] = ACTIONS(2170),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_signed] = ACTIONS(2170),
    [anon_sym_unsigned] = ACTIONS(2170),
    [anon_sym_long] = ACTIONS(2170),
    [anon_sym_short] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2170),
    [anon_sym_static] = ACTIONS(2170),
    [anon_sym_register] = ACTIONS(2170),
    [anon_sym_inline] = ACTIONS(2170),
    [anon_sym___inline] = ACTIONS(2170),
    [anon_sym___inline__] = ACTIONS(2170),
    [anon_sym___forceinline] = ACTIONS(2170),
    [anon_sym_thread_local] = ACTIONS(2170),
    [anon_sym___thread] = ACTIONS(2170),
    [anon_sym_const] = ACTIONS(2170),
    [anon_sym_constexpr] = ACTIONS(2170),
    [anon_sym_volatile] = ACTIONS(2170),
    [anon_sym_restrict] = ACTIONS(2170),
    [anon_sym___restrict__] = ACTIONS(2170),
    [anon_sym__Atomic] = ACTIONS(2170),
    [anon_sym__Noreturn] = ACTIONS(2170),
    [anon_sym_noreturn] = ACTIONS(2170),
    [anon_sym__Nonnull] = ACTIONS(2170),
    [anon_sym_mutable] = ACTIONS(2170),
    [anon_sym_constinit] = ACTIONS(2170),
    [anon_sym_consteval] = ACTIONS(2170),
    [anon_sym_alignas] = ACTIONS(2170),
    [anon_sym__Alignas] = ACTIONS(2170),
    [sym_primitive_type] = ACTIONS(2170),
    [anon_sym_enum] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(2170),
    [anon_sym_struct] = ACTIONS(2170),
    [anon_sym_union] = ACTIONS(2170),
    [anon_sym_if] = ACTIONS(2170),
    [anon_sym_else] = ACTIONS(2170),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_case] = ACTIONS(2170),
    [anon_sym_default] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2170),
    [anon_sym_do] = ACTIONS(2170),
    [anon_sym_for] = ACTIONS(2170),
    [anon_sym_return] = ACTIONS(2170),
    [anon_sym_break] = ACTIONS(2170),
    [anon_sym_continue] = ACTIONS(2170),
    [anon_sym_goto] = ACTIONS(2170),
    [anon_sym___try] = ACTIONS(2170),
    [anon_sym___leave] = ACTIONS(2170),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_compl] = ACTIONS(2170),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_sizeof] = ACTIONS(2170),
    [anon_sym___alignof__] = ACTIONS(2170),
    [anon_sym___alignof] = ACTIONS(2170),
    [anon_sym__alignof] = ACTIONS(2170),
    [anon_sym_alignof] = ACTIONS(2170),
    [anon_sym__Alignof] = ACTIONS(2170),
    [anon_sym_offsetof] = ACTIONS(2170),
    [anon_sym__Generic] = ACTIONS(2170),
    [anon_sym_asm] = ACTIONS(2170),
    [anon_sym___asm__] = ACTIONS(2170),
    [anon_sym___asm] = ACTIONS(2170),
    [sym_number_literal] = ACTIONS(2172),
    [anon_sym_L_SQUOTE] = ACTIONS(2172),
    [anon_sym_u_SQUOTE] = ACTIONS(2172),
    [anon_sym_U_SQUOTE] = ACTIONS(2172),
    [anon_sym_u8_SQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_L_DQUOTE] = ACTIONS(2172),
    [anon_sym_u_DQUOTE] = ACTIONS(2172),
    [anon_sym_U_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8_DQUOTE] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [sym_true] = ACTIONS(2170),
    [sym_false] = ACTIONS(2170),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2170),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_explicit] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(2170),
    [anon_sym_operator] = ACTIONS(2170),
    [anon_sym_try] = ACTIONS(2170),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_throw] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2170),
    [anon_sym_using] = ACTIONS(2170),
    [anon_sym_static_assert] = ACTIONS(2170),
    [anon_sym_concept] = ACTIONS(2170),
    [anon_sym_co_return] = ACTIONS(2170),
    [anon_sym_co_yield] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2170),
    [anon_sym_requires] = ACTIONS(2170),
    [sym_this] = ACTIONS(2170),
    [anon_sym_discard] = ACTIONS(2170),
    [anon_sym_precise] = ACTIONS(2170),
    [anon_sym_shared] = ACTIONS(2170),
    [anon_sym_groupshared] = ACTIONS(2170),
    [anon_sym_uniform] = ACTIONS(2170),
    [anon_sym_row_major] = ACTIONS(2170),
    [anon_sym_column_major] = ACTIONS(2170),
    [anon_sym_globallycoherent] = ACTIONS(2170),
    [anon_sym_centroid] = ACTIONS(2170),
    [anon_sym_noperspective] = ACTIONS(2170),
    [anon_sym_nointerpolation] = ACTIONS(2170),
    [anon_sym_sample] = ACTIONS(2170),
    [anon_sym_linear] = ACTIONS(2170),
    [anon_sym_snorm] = ACTIONS(2170),
    [anon_sym_unorm] = ACTIONS(2170),
    [anon_sym_point] = ACTIONS(2170),
    [anon_sym_line] = ACTIONS(2170),
    [anon_sym_triangleadj] = ACTIONS(2170),
    [anon_sym_lineadj] = ACTIONS(2170),
    [anon_sym_triangle] = ACTIONS(2170),
    [anon_sym_cbuffer] = ACTIONS(2170),
  },
  [410] = {
    [sym_identifier] = ACTIONS(2178),
    [aux_sym_preproc_include_token1] = ACTIONS(2178),
    [aux_sym_preproc_def_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token2] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2178),
    [sym_preproc_directive] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym__Nonnull] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym__Alignas] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [anon_sym___asm] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_explicit] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_static_assert] = ACTIONS(2178),
    [anon_sym_concept] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [411] = {
    [sym_identifier] = ACTIONS(2222),
    [aux_sym_preproc_include_token1] = ACTIONS(2222),
    [aux_sym_preproc_def_token1] = ACTIONS(2222),
    [aux_sym_preproc_if_token1] = ACTIONS(2222),
    [aux_sym_preproc_if_token2] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2222),
    [sym_preproc_directive] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2222),
    [anon_sym_STAR] = ACTIONS(2224),
    [anon_sym_AMP_AMP] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym___extension__] = ACTIONS(2222),
    [anon_sym_typedef] = ACTIONS(2222),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_out] = ACTIONS(2222),
    [anon_sym_inout] = ACTIONS(2222),
    [anon_sym_virtual] = ACTIONS(2222),
    [anon_sym_extern] = ACTIONS(2222),
    [anon_sym___attribute__] = ACTIONS(2222),
    [anon_sym_COLON_COLON] = ACTIONS(2224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2224),
    [anon_sym___declspec] = ACTIONS(2222),
    [anon_sym___based] = ACTIONS(2222),
    [anon_sym___cdecl] = ACTIONS(2222),
    [anon_sym___clrcall] = ACTIONS(2222),
    [anon_sym___stdcall] = ACTIONS(2222),
    [anon_sym___fastcall] = ACTIONS(2222),
    [anon_sym___thiscall] = ACTIONS(2222),
    [anon_sym___vectorcall] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_signed] = ACTIONS(2222),
    [anon_sym_unsigned] = ACTIONS(2222),
    [anon_sym_long] = ACTIONS(2222),
    [anon_sym_short] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_static] = ACTIONS(2222),
    [anon_sym_register] = ACTIONS(2222),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym___inline] = ACTIONS(2222),
    [anon_sym___inline__] = ACTIONS(2222),
    [anon_sym___forceinline] = ACTIONS(2222),
    [anon_sym_thread_local] = ACTIONS(2222),
    [anon_sym___thread] = ACTIONS(2222),
    [anon_sym_const] = ACTIONS(2222),
    [anon_sym_constexpr] = ACTIONS(2222),
    [anon_sym_volatile] = ACTIONS(2222),
    [anon_sym_restrict] = ACTIONS(2222),
    [anon_sym___restrict__] = ACTIONS(2222),
    [anon_sym__Atomic] = ACTIONS(2222),
    [anon_sym__Noreturn] = ACTIONS(2222),
    [anon_sym_noreturn] = ACTIONS(2222),
    [anon_sym__Nonnull] = ACTIONS(2222),
    [anon_sym_mutable] = ACTIONS(2222),
    [anon_sym_constinit] = ACTIONS(2222),
    [anon_sym_consteval] = ACTIONS(2222),
    [anon_sym_alignas] = ACTIONS(2222),
    [anon_sym__Alignas] = ACTIONS(2222),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_enum] = ACTIONS(2222),
    [anon_sym_class] = ACTIONS(2222),
    [anon_sym_struct] = ACTIONS(2222),
    [anon_sym_union] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(2222),
    [anon_sym_else] = ACTIONS(2222),
    [anon_sym_switch] = ACTIONS(2222),
    [anon_sym_case] = ACTIONS(2222),
    [anon_sym_default] = ACTIONS(2222),
    [anon_sym_while] = ACTIONS(2222),
    [anon_sym_do] = ACTIONS(2222),
    [anon_sym_for] = ACTIONS(2222),
    [anon_sym_return] = ACTIONS(2222),
    [anon_sym_break] = ACTIONS(2222),
    [anon_sym_continue] = ACTIONS(2222),
    [anon_sym_goto] = ACTIONS(2222),
    [anon_sym___try] = ACTIONS(2222),
    [anon_sym___leave] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2222),
    [anon_sym_compl] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2222),
    [anon_sym___alignof] = ACTIONS(2222),
    [anon_sym__alignof] = ACTIONS(2222),
    [anon_sym_alignof] = ACTIONS(2222),
    [anon_sym__Alignof] = ACTIONS(2222),
    [anon_sym_offsetof] = ACTIONS(2222),
    [anon_sym__Generic] = ACTIONS(2222),
    [anon_sym_asm] = ACTIONS(2222),
    [anon_sym___asm__] = ACTIONS(2222),
    [anon_sym___asm] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2224),
    [anon_sym_L_SQUOTE] = ACTIONS(2224),
    [anon_sym_u_SQUOTE] = ACTIONS(2224),
    [anon_sym_U_SQUOTE] = ACTIONS(2224),
    [anon_sym_u8_SQUOTE] = ACTIONS(2224),
    [anon_sym_SQUOTE] = ACTIONS(2224),
    [anon_sym_L_DQUOTE] = ACTIONS(2224),
    [anon_sym_u_DQUOTE] = ACTIONS(2224),
    [anon_sym_U_DQUOTE] = ACTIONS(2224),
    [anon_sym_u8_DQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2224),
    [sym_true] = ACTIONS(2222),
    [sym_false] = ACTIONS(2222),
    [anon_sym_NULL] = ACTIONS(2222),
    [anon_sym_nullptr] = ACTIONS(2222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2222),
    [anon_sym_decltype] = ACTIONS(2222),
    [anon_sym_explicit] = ACTIONS(2222),
    [anon_sym_typename] = ACTIONS(2222),
    [anon_sym_template] = ACTIONS(2222),
    [anon_sym_operator] = ACTIONS(2222),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_delete] = ACTIONS(2222),
    [anon_sym_throw] = ACTIONS(2222),
    [anon_sym_namespace] = ACTIONS(2222),
    [anon_sym_using] = ACTIONS(2222),
    [anon_sym_static_assert] = ACTIONS(2222),
    [anon_sym_concept] = ACTIONS(2222),
    [anon_sym_co_return] = ACTIONS(2222),
    [anon_sym_co_yield] = ACTIONS(2222),
    [anon_sym_R_DQUOTE] = ACTIONS(2224),
    [anon_sym_LR_DQUOTE] = ACTIONS(2224),
    [anon_sym_uR_DQUOTE] = ACTIONS(2224),
    [anon_sym_UR_DQUOTE] = ACTIONS(2224),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2224),
    [anon_sym_co_await] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2222),
    [anon_sym_requires] = ACTIONS(2222),
    [sym_this] = ACTIONS(2222),
    [anon_sym_discard] = ACTIONS(2222),
    [anon_sym_precise] = ACTIONS(2222),
    [anon_sym_shared] = ACTIONS(2222),
    [anon_sym_groupshared] = ACTIONS(2222),
    [anon_sym_uniform] = ACTIONS(2222),
    [anon_sym_row_major] = ACTIONS(2222),
    [anon_sym_column_major] = ACTIONS(2222),
    [anon_sym_globallycoherent] = ACTIONS(2222),
    [anon_sym_centroid] = ACTIONS(2222),
    [anon_sym_noperspective] = ACTIONS(2222),
    [anon_sym_nointerpolation] = ACTIONS(2222),
    [anon_sym_sample] = ACTIONS(2222),
    [anon_sym_linear] = ACTIONS(2222),
    [anon_sym_snorm] = ACTIONS(2222),
    [anon_sym_unorm] = ACTIONS(2222),
    [anon_sym_point] = ACTIONS(2222),
    [anon_sym_line] = ACTIONS(2222),
    [anon_sym_triangleadj] = ACTIONS(2222),
    [anon_sym_lineadj] = ACTIONS(2222),
    [anon_sym_triangle] = ACTIONS(2222),
    [anon_sym_cbuffer] = ACTIONS(2222),
  },
  [412] = {
    [sym_identifier] = ACTIONS(2361),
    [aux_sym_preproc_include_token1] = ACTIONS(2361),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token2] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2361),
    [sym_preproc_directive] = ACTIONS(2361),
    [anon_sym_LPAREN2] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2361),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym___extension__] = ACTIONS(2361),
    [anon_sym_typedef] = ACTIONS(2361),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_out] = ACTIONS(2361),
    [anon_sym_inout] = ACTIONS(2361),
    [anon_sym_virtual] = ACTIONS(2361),
    [anon_sym_extern] = ACTIONS(2361),
    [anon_sym___attribute__] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2363),
    [anon_sym___declspec] = ACTIONS(2361),
    [anon_sym___based] = ACTIONS(2361),
    [anon_sym___cdecl] = ACTIONS(2361),
    [anon_sym___clrcall] = ACTIONS(2361),
    [anon_sym___stdcall] = ACTIONS(2361),
    [anon_sym___fastcall] = ACTIONS(2361),
    [anon_sym___thiscall] = ACTIONS(2361),
    [anon_sym___vectorcall] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_signed] = ACTIONS(2361),
    [anon_sym_unsigned] = ACTIONS(2361),
    [anon_sym_long] = ACTIONS(2361),
    [anon_sym_short] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_static] = ACTIONS(2361),
    [anon_sym_register] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym___inline] = ACTIONS(2361),
    [anon_sym___inline__] = ACTIONS(2361),
    [anon_sym___forceinline] = ACTIONS(2361),
    [anon_sym_thread_local] = ACTIONS(2361),
    [anon_sym___thread] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_constexpr] = ACTIONS(2361),
    [anon_sym_volatile] = ACTIONS(2361),
    [anon_sym_restrict] = ACTIONS(2361),
    [anon_sym___restrict__] = ACTIONS(2361),
    [anon_sym__Atomic] = ACTIONS(2361),
    [anon_sym__Noreturn] = ACTIONS(2361),
    [anon_sym_noreturn] = ACTIONS(2361),
    [anon_sym__Nonnull] = ACTIONS(2361),
    [anon_sym_mutable] = ACTIONS(2361),
    [anon_sym_constinit] = ACTIONS(2361),
    [anon_sym_consteval] = ACTIONS(2361),
    [anon_sym_alignas] = ACTIONS(2361),
    [anon_sym__Alignas] = ACTIONS(2361),
    [sym_primitive_type] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_class] = ACTIONS(2361),
    [anon_sym_struct] = ACTIONS(2361),
    [anon_sym_union] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2361),
    [anon_sym_switch] = ACTIONS(2361),
    [anon_sym_case] = ACTIONS(2361),
    [anon_sym_default] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(2361),
    [anon_sym_for] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_break] = ACTIONS(2361),
    [anon_sym_continue] = ACTIONS(2361),
    [anon_sym_goto] = ACTIONS(2361),
    [anon_sym___try] = ACTIONS(2361),
    [anon_sym___leave] = ACTIONS(2361),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_compl] = ACTIONS(2361),
    [anon_sym_DASH_DASH] = ACTIONS(2363),
    [anon_sym_PLUS_PLUS] = ACTIONS(2363),
    [anon_sym_sizeof] = ACTIONS(2361),
    [anon_sym___alignof__] = ACTIONS(2361),
    [anon_sym___alignof] = ACTIONS(2361),
    [anon_sym__alignof] = ACTIONS(2361),
    [anon_sym_alignof] = ACTIONS(2361),
    [anon_sym__Alignof] = ACTIONS(2361),
    [anon_sym_offsetof] = ACTIONS(2361),
    [anon_sym__Generic] = ACTIONS(2361),
    [anon_sym_asm] = ACTIONS(2361),
    [anon_sym___asm__] = ACTIONS(2361),
    [anon_sym___asm] = ACTIONS(2361),
    [sym_number_literal] = ACTIONS(2363),
    [anon_sym_L_SQUOTE] = ACTIONS(2363),
    [anon_sym_u_SQUOTE] = ACTIONS(2363),
    [anon_sym_U_SQUOTE] = ACTIONS(2363),
    [anon_sym_u8_SQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_L_DQUOTE] = ACTIONS(2363),
    [anon_sym_u_DQUOTE] = ACTIONS(2363),
    [anon_sym_U_DQUOTE] = ACTIONS(2363),
    [anon_sym_u8_DQUOTE] = ACTIONS(2363),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_true] = ACTIONS(2361),
    [sym_false] = ACTIONS(2361),
    [anon_sym_NULL] = ACTIONS(2361),
    [anon_sym_nullptr] = ACTIONS(2361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2361),
    [anon_sym_decltype] = ACTIONS(2361),
    [anon_sym_explicit] = ACTIONS(2361),
    [anon_sym_typename] = ACTIONS(2361),
    [anon_sym_template] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_delete] = ACTIONS(2361),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_namespace] = ACTIONS(2361),
    [anon_sym_using] = ACTIONS(2361),
    [anon_sym_static_assert] = ACTIONS(2361),
    [anon_sym_concept] = ACTIONS(2361),
    [anon_sym_co_return] = ACTIONS(2361),
    [anon_sym_co_yield] = ACTIONS(2361),
    [anon_sym_R_DQUOTE] = ACTIONS(2363),
    [anon_sym_LR_DQUOTE] = ACTIONS(2363),
    [anon_sym_uR_DQUOTE] = ACTIONS(2363),
    [anon_sym_UR_DQUOTE] = ACTIONS(2363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2363),
    [anon_sym_co_await] = ACTIONS(2361),
    [anon_sym_new] = ACTIONS(2361),
    [anon_sym_requires] = ACTIONS(2361),
    [sym_this] = ACTIONS(2361),
    [anon_sym_discard] = ACTIONS(2361),
    [anon_sym_precise] = ACTIONS(2361),
    [anon_sym_shared] = ACTIONS(2361),
    [anon_sym_groupshared] = ACTIONS(2361),
    [anon_sym_uniform] = ACTIONS(2361),
    [anon_sym_row_major] = ACTIONS(2361),
    [anon_sym_column_major] = ACTIONS(2361),
    [anon_sym_globallycoherent] = ACTIONS(2361),
    [anon_sym_centroid] = ACTIONS(2361),
    [anon_sym_noperspective] = ACTIONS(2361),
    [anon_sym_nointerpolation] = ACTIONS(2361),
    [anon_sym_sample] = ACTIONS(2361),
    [anon_sym_linear] = ACTIONS(2361),
    [anon_sym_snorm] = ACTIONS(2361),
    [anon_sym_unorm] = ACTIONS(2361),
    [anon_sym_point] = ACTIONS(2361),
    [anon_sym_line] = ACTIONS(2361),
    [anon_sym_triangleadj] = ACTIONS(2361),
    [anon_sym_lineadj] = ACTIONS(2361),
    [anon_sym_triangle] = ACTIONS(2361),
    [anon_sym_cbuffer] = ACTIONS(2361),
  },
  [413] = {
    [sym_identifier] = ACTIONS(2234),
    [aux_sym_preproc_include_token1] = ACTIONS(2234),
    [aux_sym_preproc_def_token1] = ACTIONS(2234),
    [aux_sym_preproc_if_token1] = ACTIONS(2234),
    [aux_sym_preproc_if_token2] = ACTIONS(2234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2234),
    [sym_preproc_directive] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2234),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2234),
    [anon_sym_typedef] = ACTIONS(2234),
    [anon_sym_in] = ACTIONS(2234),
    [anon_sym_out] = ACTIONS(2234),
    [anon_sym_inout] = ACTIONS(2234),
    [anon_sym_virtual] = ACTIONS(2234),
    [anon_sym_extern] = ACTIONS(2234),
    [anon_sym___attribute__] = ACTIONS(2234),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2234),
    [anon_sym___based] = ACTIONS(2234),
    [anon_sym___cdecl] = ACTIONS(2234),
    [anon_sym___clrcall] = ACTIONS(2234),
    [anon_sym___stdcall] = ACTIONS(2234),
    [anon_sym___fastcall] = ACTIONS(2234),
    [anon_sym___thiscall] = ACTIONS(2234),
    [anon_sym___vectorcall] = ACTIONS(2234),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2234),
    [anon_sym_unsigned] = ACTIONS(2234),
    [anon_sym_long] = ACTIONS(2234),
    [anon_sym_short] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2234),
    [anon_sym_static] = ACTIONS(2234),
    [anon_sym_register] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(2234),
    [anon_sym___inline] = ACTIONS(2234),
    [anon_sym___inline__] = ACTIONS(2234),
    [anon_sym___forceinline] = ACTIONS(2234),
    [anon_sym_thread_local] = ACTIONS(2234),
    [anon_sym___thread] = ACTIONS(2234),
    [anon_sym_const] = ACTIONS(2234),
    [anon_sym_constexpr] = ACTIONS(2234),
    [anon_sym_volatile] = ACTIONS(2234),
    [anon_sym_restrict] = ACTIONS(2234),
    [anon_sym___restrict__] = ACTIONS(2234),
    [anon_sym__Atomic] = ACTIONS(2234),
    [anon_sym__Noreturn] = ACTIONS(2234),
    [anon_sym_noreturn] = ACTIONS(2234),
    [anon_sym__Nonnull] = ACTIONS(2234),
    [anon_sym_mutable] = ACTIONS(2234),
    [anon_sym_constinit] = ACTIONS(2234),
    [anon_sym_consteval] = ACTIONS(2234),
    [anon_sym_alignas] = ACTIONS(2234),
    [anon_sym__Alignas] = ACTIONS(2234),
    [sym_primitive_type] = ACTIONS(2234),
    [anon_sym_enum] = ACTIONS(2234),
    [anon_sym_class] = ACTIONS(2234),
    [anon_sym_struct] = ACTIONS(2234),
    [anon_sym_union] = ACTIONS(2234),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_else] = ACTIONS(2234),
    [anon_sym_switch] = ACTIONS(2234),
    [anon_sym_case] = ACTIONS(2234),
    [anon_sym_default] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(2234),
    [anon_sym_do] = ACTIONS(2234),
    [anon_sym_for] = ACTIONS(2234),
    [anon_sym_return] = ACTIONS(2234),
    [anon_sym_break] = ACTIONS(2234),
    [anon_sym_continue] = ACTIONS(2234),
    [anon_sym_goto] = ACTIONS(2234),
    [anon_sym___try] = ACTIONS(2234),
    [anon_sym___leave] = ACTIONS(2234),
    [anon_sym_not] = ACTIONS(2234),
    [anon_sym_compl] = ACTIONS(2234),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2234),
    [anon_sym___alignof__] = ACTIONS(2234),
    [anon_sym___alignof] = ACTIONS(2234),
    [anon_sym__alignof] = ACTIONS(2234),
    [anon_sym_alignof] = ACTIONS(2234),
    [anon_sym__Alignof] = ACTIONS(2234),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2234),
    [anon_sym_asm] = ACTIONS(2234),
    [anon_sym___asm__] = ACTIONS(2234),
    [anon_sym___asm] = ACTIONS(2234),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2234),
    [sym_false] = ACTIONS(2234),
    [anon_sym_NULL] = ACTIONS(2234),
    [anon_sym_nullptr] = ACTIONS(2234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2234),
    [anon_sym_decltype] = ACTIONS(2234),
    [anon_sym_explicit] = ACTIONS(2234),
    [anon_sym_typename] = ACTIONS(2234),
    [anon_sym_template] = ACTIONS(2234),
    [anon_sym_operator] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_delete] = ACTIONS(2234),
    [anon_sym_throw] = ACTIONS(2234),
    [anon_sym_namespace] = ACTIONS(2234),
    [anon_sym_using] = ACTIONS(2234),
    [anon_sym_static_assert] = ACTIONS(2234),
    [anon_sym_concept] = ACTIONS(2234),
    [anon_sym_co_return] = ACTIONS(2234),
    [anon_sym_co_yield] = ACTIONS(2234),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(2234),
    [anon_sym_requires] = ACTIONS(2234),
    [sym_this] = ACTIONS(2234),
    [anon_sym_discard] = ACTIONS(2234),
    [anon_sym_precise] = ACTIONS(2234),
    [anon_sym_shared] = ACTIONS(2234),
    [anon_sym_groupshared] = ACTIONS(2234),
    [anon_sym_uniform] = ACTIONS(2234),
    [anon_sym_row_major] = ACTIONS(2234),
    [anon_sym_column_major] = ACTIONS(2234),
    [anon_sym_globallycoherent] = ACTIONS(2234),
    [anon_sym_centroid] = ACTIONS(2234),
    [anon_sym_noperspective] = ACTIONS(2234),
    [anon_sym_nointerpolation] = ACTIONS(2234),
    [anon_sym_sample] = ACTIONS(2234),
    [anon_sym_linear] = ACTIONS(2234),
    [anon_sym_snorm] = ACTIONS(2234),
    [anon_sym_unorm] = ACTIONS(2234),
    [anon_sym_point] = ACTIONS(2234),
    [anon_sym_line] = ACTIONS(2234),
    [anon_sym_triangleadj] = ACTIONS(2234),
    [anon_sym_lineadj] = ACTIONS(2234),
    [anon_sym_triangle] = ACTIONS(2234),
    [anon_sym_cbuffer] = ACTIONS(2234),
  },
  [414] = {
    [sym_identifier] = ACTIONS(2272),
    [aux_sym_preproc_include_token1] = ACTIONS(2272),
    [aux_sym_preproc_def_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token2] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2272),
    [sym_preproc_directive] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2272),
    [anon_sym_typedef] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2272),
    [anon_sym_out] = ACTIONS(2272),
    [anon_sym_inout] = ACTIONS(2272),
    [anon_sym_virtual] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym___attribute__] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2274),
    [anon_sym___declspec] = ACTIONS(2272),
    [anon_sym___based] = ACTIONS(2272),
    [anon_sym___cdecl] = ACTIONS(2272),
    [anon_sym___clrcall] = ACTIONS(2272),
    [anon_sym___stdcall] = ACTIONS(2272),
    [anon_sym___fastcall] = ACTIONS(2272),
    [anon_sym___thiscall] = ACTIONS(2272),
    [anon_sym___vectorcall] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2272),
    [anon_sym_unsigned] = ACTIONS(2272),
    [anon_sym_long] = ACTIONS(2272),
    [anon_sym_short] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_register] = ACTIONS(2272),
    [anon_sym_inline] = ACTIONS(2272),
    [anon_sym___inline] = ACTIONS(2272),
    [anon_sym___inline__] = ACTIONS(2272),
    [anon_sym___forceinline] = ACTIONS(2272),
    [anon_sym_thread_local] = ACTIONS(2272),
    [anon_sym___thread] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_constexpr] = ACTIONS(2272),
    [anon_sym_volatile] = ACTIONS(2272),
    [anon_sym_restrict] = ACTIONS(2272),
    [anon_sym___restrict__] = ACTIONS(2272),
    [anon_sym__Atomic] = ACTIONS(2272),
    [anon_sym__Noreturn] = ACTIONS(2272),
    [anon_sym_noreturn] = ACTIONS(2272),
    [anon_sym__Nonnull] = ACTIONS(2272),
    [anon_sym_mutable] = ACTIONS(2272),
    [anon_sym_constinit] = ACTIONS(2272),
    [anon_sym_consteval] = ACTIONS(2272),
    [anon_sym_alignas] = ACTIONS(2272),
    [anon_sym__Alignas] = ACTIONS(2272),
    [sym_primitive_type] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_goto] = ACTIONS(2272),
    [anon_sym___try] = ACTIONS(2272),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_compl] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2272),
    [anon_sym___alignof] = ACTIONS(2272),
    [anon_sym__alignof] = ACTIONS(2272),
    [anon_sym_alignof] = ACTIONS(2272),
    [anon_sym__Alignof] = ACTIONS(2272),
    [anon_sym_offsetof] = ACTIONS(2272),
    [anon_sym__Generic] = ACTIONS(2272),
    [anon_sym_asm] = ACTIONS(2272),
    [anon_sym___asm__] = ACTIONS(2272),
    [anon_sym___asm] = ACTIONS(2272),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2274),
    [anon_sym_u_DQUOTE] = ACTIONS(2274),
    [anon_sym_U_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8_DQUOTE] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [anon_sym_NULL] = ACTIONS(2272),
    [anon_sym_nullptr] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2272),
    [anon_sym_decltype] = ACTIONS(2272),
    [anon_sym_explicit] = ACTIONS(2272),
    [anon_sym_typename] = ACTIONS(2272),
    [anon_sym_template] = ACTIONS(2272),
    [anon_sym_operator] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_static_assert] = ACTIONS(2272),
    [anon_sym_concept] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2272),
    [anon_sym_co_yield] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2274),
    [anon_sym_LR_DQUOTE] = ACTIONS(2274),
    [anon_sym_uR_DQUOTE] = ACTIONS(2274),
    [anon_sym_UR_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2274),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_requires] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [anon_sym_discard] = ACTIONS(2272),
    [anon_sym_precise] = ACTIONS(2272),
    [anon_sym_shared] = ACTIONS(2272),
    [anon_sym_groupshared] = ACTIONS(2272),
    [anon_sym_uniform] = ACTIONS(2272),
    [anon_sym_row_major] = ACTIONS(2272),
    [anon_sym_column_major] = ACTIONS(2272),
    [anon_sym_globallycoherent] = ACTIONS(2272),
    [anon_sym_centroid] = ACTIONS(2272),
    [anon_sym_noperspective] = ACTIONS(2272),
    [anon_sym_nointerpolation] = ACTIONS(2272),
    [anon_sym_sample] = ACTIONS(2272),
    [anon_sym_linear] = ACTIONS(2272),
    [anon_sym_snorm] = ACTIONS(2272),
    [anon_sym_unorm] = ACTIONS(2272),
    [anon_sym_point] = ACTIONS(2272),
    [anon_sym_line] = ACTIONS(2272),
    [anon_sym_triangleadj] = ACTIONS(2272),
    [anon_sym_lineadj] = ACTIONS(2272),
    [anon_sym_triangle] = ACTIONS(2272),
    [anon_sym_cbuffer] = ACTIONS(2272),
  },
  [415] = {
    [sym_identifier] = ACTIONS(2280),
    [aux_sym_preproc_include_token1] = ACTIONS(2280),
    [aux_sym_preproc_def_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token2] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2280),
    [sym_preproc_directive] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2280),
    [anon_sym_typedef] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2280),
    [anon_sym_out] = ACTIONS(2280),
    [anon_sym_inout] = ACTIONS(2280),
    [anon_sym_virtual] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym___attribute__] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2282),
    [anon_sym___declspec] = ACTIONS(2280),
    [anon_sym___based] = ACTIONS(2280),
    [anon_sym___cdecl] = ACTIONS(2280),
    [anon_sym___clrcall] = ACTIONS(2280),
    [anon_sym___stdcall] = ACTIONS(2280),
    [anon_sym___fastcall] = ACTIONS(2280),
    [anon_sym___thiscall] = ACTIONS(2280),
    [anon_sym___vectorcall] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2280),
    [anon_sym_unsigned] = ACTIONS(2280),
    [anon_sym_long] = ACTIONS(2280),
    [anon_sym_short] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_register] = ACTIONS(2280),
    [anon_sym_inline] = ACTIONS(2280),
    [anon_sym___inline] = ACTIONS(2280),
    [anon_sym___inline__] = ACTIONS(2280),
    [anon_sym___forceinline] = ACTIONS(2280),
    [anon_sym_thread_local] = ACTIONS(2280),
    [anon_sym___thread] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_constexpr] = ACTIONS(2280),
    [anon_sym_volatile] = ACTIONS(2280),
    [anon_sym_restrict] = ACTIONS(2280),
    [anon_sym___restrict__] = ACTIONS(2280),
    [anon_sym__Atomic] = ACTIONS(2280),
    [anon_sym__Noreturn] = ACTIONS(2280),
    [anon_sym_noreturn] = ACTIONS(2280),
    [anon_sym__Nonnull] = ACTIONS(2280),
    [anon_sym_mutable] = ACTIONS(2280),
    [anon_sym_constinit] = ACTIONS(2280),
    [anon_sym_consteval] = ACTIONS(2280),
    [anon_sym_alignas] = ACTIONS(2280),
    [anon_sym__Alignas] = ACTIONS(2280),
    [sym_primitive_type] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2280),
    [anon_sym___try] = ACTIONS(2280),
    [anon_sym___leave] = ACTIONS(2280),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_compl] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2282),
    [anon_sym_sizeof] = ACTIONS(2280),
    [anon_sym___alignof__] = ACTIONS(2280),
    [anon_sym___alignof] = ACTIONS(2280),
    [anon_sym__alignof] = ACTIONS(2280),
    [anon_sym_alignof] = ACTIONS(2280),
    [anon_sym__Alignof] = ACTIONS(2280),
    [anon_sym_offsetof] = ACTIONS(2280),
    [anon_sym__Generic] = ACTIONS(2280),
    [anon_sym_asm] = ACTIONS(2280),
    [anon_sym___asm__] = ACTIONS(2280),
    [anon_sym___asm] = ACTIONS(2280),
    [sym_number_literal] = ACTIONS(2282),
    [anon_sym_L_SQUOTE] = ACTIONS(2282),
    [anon_sym_u_SQUOTE] = ACTIONS(2282),
    [anon_sym_U_SQUOTE] = ACTIONS(2282),
    [anon_sym_u8_SQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2282),
    [anon_sym_L_DQUOTE] = ACTIONS(2282),
    [anon_sym_u_DQUOTE] = ACTIONS(2282),
    [anon_sym_U_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8_DQUOTE] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [anon_sym_NULL] = ACTIONS(2280),
    [anon_sym_nullptr] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2280),
    [anon_sym_decltype] = ACTIONS(2280),
    [anon_sym_explicit] = ACTIONS(2280),
    [anon_sym_typename] = ACTIONS(2280),
    [anon_sym_template] = ACTIONS(2280),
    [anon_sym_operator] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_static_assert] = ACTIONS(2280),
    [anon_sym_concept] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2280),
    [anon_sym_co_yield] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_requires] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [anon_sym_discard] = ACTIONS(2280),
    [anon_sym_precise] = ACTIONS(2280),
    [anon_sym_shared] = ACTIONS(2280),
    [anon_sym_groupshared] = ACTIONS(2280),
    [anon_sym_uniform] = ACTIONS(2280),
    [anon_sym_row_major] = ACTIONS(2280),
    [anon_sym_column_major] = ACTIONS(2280),
    [anon_sym_globallycoherent] = ACTIONS(2280),
    [anon_sym_centroid] = ACTIONS(2280),
    [anon_sym_noperspective] = ACTIONS(2280),
    [anon_sym_nointerpolation] = ACTIONS(2280),
    [anon_sym_sample] = ACTIONS(2280),
    [anon_sym_linear] = ACTIONS(2280),
    [anon_sym_snorm] = ACTIONS(2280),
    [anon_sym_unorm] = ACTIONS(2280),
    [anon_sym_point] = ACTIONS(2280),
    [anon_sym_line] = ACTIONS(2280),
    [anon_sym_triangleadj] = ACTIONS(2280),
    [anon_sym_lineadj] = ACTIONS(2280),
    [anon_sym_triangle] = ACTIONS(2280),
    [anon_sym_cbuffer] = ACTIONS(2280),
  },
  [416] = {
    [sym_identifier] = ACTIONS(2361),
    [aux_sym_preproc_include_token1] = ACTIONS(2361),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2361),
    [sym_preproc_directive] = ACTIONS(2361),
    [anon_sym_LPAREN2] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2361),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym___extension__] = ACTIONS(2361),
    [anon_sym_typedef] = ACTIONS(2361),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_out] = ACTIONS(2361),
    [anon_sym_inout] = ACTIONS(2361),
    [anon_sym_virtual] = ACTIONS(2361),
    [anon_sym_extern] = ACTIONS(2361),
    [anon_sym___attribute__] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2363),
    [anon_sym___declspec] = ACTIONS(2361),
    [anon_sym___based] = ACTIONS(2361),
    [anon_sym___cdecl] = ACTIONS(2361),
    [anon_sym___clrcall] = ACTIONS(2361),
    [anon_sym___stdcall] = ACTIONS(2361),
    [anon_sym___fastcall] = ACTIONS(2361),
    [anon_sym___thiscall] = ACTIONS(2361),
    [anon_sym___vectorcall] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_signed] = ACTIONS(2361),
    [anon_sym_unsigned] = ACTIONS(2361),
    [anon_sym_long] = ACTIONS(2361),
    [anon_sym_short] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_static] = ACTIONS(2361),
    [anon_sym_register] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym___inline] = ACTIONS(2361),
    [anon_sym___inline__] = ACTIONS(2361),
    [anon_sym___forceinline] = ACTIONS(2361),
    [anon_sym_thread_local] = ACTIONS(2361),
    [anon_sym___thread] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_constexpr] = ACTIONS(2361),
    [anon_sym_volatile] = ACTIONS(2361),
    [anon_sym_restrict] = ACTIONS(2361),
    [anon_sym___restrict__] = ACTIONS(2361),
    [anon_sym__Atomic] = ACTIONS(2361),
    [anon_sym__Noreturn] = ACTIONS(2361),
    [anon_sym_noreturn] = ACTIONS(2361),
    [anon_sym__Nonnull] = ACTIONS(2361),
    [anon_sym_mutable] = ACTIONS(2361),
    [anon_sym_constinit] = ACTIONS(2361),
    [anon_sym_consteval] = ACTIONS(2361),
    [anon_sym_alignas] = ACTIONS(2361),
    [anon_sym__Alignas] = ACTIONS(2361),
    [sym_primitive_type] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_class] = ACTIONS(2361),
    [anon_sym_struct] = ACTIONS(2361),
    [anon_sym_union] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2361),
    [anon_sym_switch] = ACTIONS(2361),
    [anon_sym_case] = ACTIONS(2361),
    [anon_sym_default] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(2361),
    [anon_sym_for] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_break] = ACTIONS(2361),
    [anon_sym_continue] = ACTIONS(2361),
    [anon_sym_goto] = ACTIONS(2361),
    [anon_sym___try] = ACTIONS(2361),
    [anon_sym___leave] = ACTIONS(2361),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_compl] = ACTIONS(2361),
    [anon_sym_DASH_DASH] = ACTIONS(2363),
    [anon_sym_PLUS_PLUS] = ACTIONS(2363),
    [anon_sym_sizeof] = ACTIONS(2361),
    [anon_sym___alignof__] = ACTIONS(2361),
    [anon_sym___alignof] = ACTIONS(2361),
    [anon_sym__alignof] = ACTIONS(2361),
    [anon_sym_alignof] = ACTIONS(2361),
    [anon_sym__Alignof] = ACTIONS(2361),
    [anon_sym_offsetof] = ACTIONS(2361),
    [anon_sym__Generic] = ACTIONS(2361),
    [anon_sym_asm] = ACTIONS(2361),
    [anon_sym___asm__] = ACTIONS(2361),
    [anon_sym___asm] = ACTIONS(2361),
    [sym_number_literal] = ACTIONS(2363),
    [anon_sym_L_SQUOTE] = ACTIONS(2363),
    [anon_sym_u_SQUOTE] = ACTIONS(2363),
    [anon_sym_U_SQUOTE] = ACTIONS(2363),
    [anon_sym_u8_SQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_L_DQUOTE] = ACTIONS(2363),
    [anon_sym_u_DQUOTE] = ACTIONS(2363),
    [anon_sym_U_DQUOTE] = ACTIONS(2363),
    [anon_sym_u8_DQUOTE] = ACTIONS(2363),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_true] = ACTIONS(2361),
    [sym_false] = ACTIONS(2361),
    [anon_sym_NULL] = ACTIONS(2361),
    [anon_sym_nullptr] = ACTIONS(2361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2361),
    [anon_sym_decltype] = ACTIONS(2361),
    [anon_sym_explicit] = ACTIONS(2361),
    [anon_sym_typename] = ACTIONS(2361),
    [anon_sym_template] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_delete] = ACTIONS(2361),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_namespace] = ACTIONS(2361),
    [anon_sym_using] = ACTIONS(2361),
    [anon_sym_static_assert] = ACTIONS(2361),
    [anon_sym_concept] = ACTIONS(2361),
    [anon_sym_co_return] = ACTIONS(2361),
    [anon_sym_co_yield] = ACTIONS(2361),
    [anon_sym_R_DQUOTE] = ACTIONS(2363),
    [anon_sym_LR_DQUOTE] = ACTIONS(2363),
    [anon_sym_uR_DQUOTE] = ACTIONS(2363),
    [anon_sym_UR_DQUOTE] = ACTIONS(2363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2363),
    [anon_sym_co_await] = ACTIONS(2361),
    [anon_sym_new] = ACTIONS(2361),
    [anon_sym_requires] = ACTIONS(2361),
    [sym_this] = ACTIONS(2361),
    [anon_sym_discard] = ACTIONS(2361),
    [anon_sym_precise] = ACTIONS(2361),
    [anon_sym_shared] = ACTIONS(2361),
    [anon_sym_groupshared] = ACTIONS(2361),
    [anon_sym_uniform] = ACTIONS(2361),
    [anon_sym_row_major] = ACTIONS(2361),
    [anon_sym_column_major] = ACTIONS(2361),
    [anon_sym_globallycoherent] = ACTIONS(2361),
    [anon_sym_centroid] = ACTIONS(2361),
    [anon_sym_noperspective] = ACTIONS(2361),
    [anon_sym_nointerpolation] = ACTIONS(2361),
    [anon_sym_sample] = ACTIONS(2361),
    [anon_sym_linear] = ACTIONS(2361),
    [anon_sym_snorm] = ACTIONS(2361),
    [anon_sym_unorm] = ACTIONS(2361),
    [anon_sym_point] = ACTIONS(2361),
    [anon_sym_line] = ACTIONS(2361),
    [anon_sym_triangleadj] = ACTIONS(2361),
    [anon_sym_lineadj] = ACTIONS(2361),
    [anon_sym_triangle] = ACTIONS(2361),
    [anon_sym_cbuffer] = ACTIONS(2361),
  },
  [417] = {
    [sym_identifier] = ACTIONS(2288),
    [aux_sym_preproc_include_token1] = ACTIONS(2288),
    [aux_sym_preproc_def_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token2] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2288),
    [sym_preproc_directive] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2288),
    [anon_sym_typedef] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_out] = ACTIONS(2288),
    [anon_sym_inout] = ACTIONS(2288),
    [anon_sym_virtual] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym___attribute__] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2290),
    [anon_sym___declspec] = ACTIONS(2288),
    [anon_sym___based] = ACTIONS(2288),
    [anon_sym___cdecl] = ACTIONS(2288),
    [anon_sym___clrcall] = ACTIONS(2288),
    [anon_sym___stdcall] = ACTIONS(2288),
    [anon_sym___fastcall] = ACTIONS(2288),
    [anon_sym___thiscall] = ACTIONS(2288),
    [anon_sym___vectorcall] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2288),
    [anon_sym_unsigned] = ACTIONS(2288),
    [anon_sym_long] = ACTIONS(2288),
    [anon_sym_short] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_register] = ACTIONS(2288),
    [anon_sym_inline] = ACTIONS(2288),
    [anon_sym___inline] = ACTIONS(2288),
    [anon_sym___inline__] = ACTIONS(2288),
    [anon_sym___forceinline] = ACTIONS(2288),
    [anon_sym_thread_local] = ACTIONS(2288),
    [anon_sym___thread] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_constexpr] = ACTIONS(2288),
    [anon_sym_volatile] = ACTIONS(2288),
    [anon_sym_restrict] = ACTIONS(2288),
    [anon_sym___restrict__] = ACTIONS(2288),
    [anon_sym__Atomic] = ACTIONS(2288),
    [anon_sym__Noreturn] = ACTIONS(2288),
    [anon_sym_noreturn] = ACTIONS(2288),
    [anon_sym__Nonnull] = ACTIONS(2288),
    [anon_sym_mutable] = ACTIONS(2288),
    [anon_sym_constinit] = ACTIONS(2288),
    [anon_sym_consteval] = ACTIONS(2288),
    [anon_sym_alignas] = ACTIONS(2288),
    [anon_sym__Alignas] = ACTIONS(2288),
    [sym_primitive_type] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym___try] = ACTIONS(2288),
    [anon_sym___leave] = ACTIONS(2288),
    [anon_sym_not] = ACTIONS(2288),
    [anon_sym_compl] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2290),
    [anon_sym_PLUS_PLUS] = ACTIONS(2290),
    [anon_sym_sizeof] = ACTIONS(2288),
    [anon_sym___alignof__] = ACTIONS(2288),
    [anon_sym___alignof] = ACTIONS(2288),
    [anon_sym__alignof] = ACTIONS(2288),
    [anon_sym_alignof] = ACTIONS(2288),
    [anon_sym__Alignof] = ACTIONS(2288),
    [anon_sym_offsetof] = ACTIONS(2288),
    [anon_sym__Generic] = ACTIONS(2288),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(2290),
    [anon_sym_L_SQUOTE] = ACTIONS(2290),
    [anon_sym_u_SQUOTE] = ACTIONS(2290),
    [anon_sym_U_SQUOTE] = ACTIONS(2290),
    [anon_sym_u8_SQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym_L_DQUOTE] = ACTIONS(2290),
    [anon_sym_u_DQUOTE] = ACTIONS(2290),
    [anon_sym_U_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8_DQUOTE] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [anon_sym_NULL] = ACTIONS(2288),
    [anon_sym_nullptr] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2288),
    [anon_sym_decltype] = ACTIONS(2288),
    [anon_sym_explicit] = ACTIONS(2288),
    [anon_sym_typename] = ACTIONS(2288),
    [anon_sym_template] = ACTIONS(2288),
    [anon_sym_operator] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_static_assert] = ACTIONS(2288),
    [anon_sym_concept] = ACTIONS(2288),
    [anon_sym_co_return] = ACTIONS(2288),
    [anon_sym_co_yield] = ACTIONS(2288),
    [anon_sym_R_DQUOTE] = ACTIONS(2290),
    [anon_sym_LR_DQUOTE] = ACTIONS(2290),
    [anon_sym_uR_DQUOTE] = ACTIONS(2290),
    [anon_sym_UR_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2290),
    [anon_sym_co_await] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_requires] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [anon_sym_discard] = ACTIONS(2288),
    [anon_sym_precise] = ACTIONS(2288),
    [anon_sym_shared] = ACTIONS(2288),
    [anon_sym_groupshared] = ACTIONS(2288),
    [anon_sym_uniform] = ACTIONS(2288),
    [anon_sym_row_major] = ACTIONS(2288),
    [anon_sym_column_major] = ACTIONS(2288),
    [anon_sym_globallycoherent] = ACTIONS(2288),
    [anon_sym_centroid] = ACTIONS(2288),
    [anon_sym_noperspective] = ACTIONS(2288),
    [anon_sym_nointerpolation] = ACTIONS(2288),
    [anon_sym_sample] = ACTIONS(2288),
    [anon_sym_linear] = ACTIONS(2288),
    [anon_sym_snorm] = ACTIONS(2288),
    [anon_sym_unorm] = ACTIONS(2288),
    [anon_sym_point] = ACTIONS(2288),
    [anon_sym_line] = ACTIONS(2288),
    [anon_sym_triangleadj] = ACTIONS(2288),
    [anon_sym_lineadj] = ACTIONS(2288),
    [anon_sym_triangle] = ACTIONS(2288),
    [anon_sym_cbuffer] = ACTIONS(2288),
  },
  [418] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym__Nonnull] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym__Alignas] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [anon_sym___asm] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [aux_sym_preproc_include_token1] = ACTIONS(2190),
    [aux_sym_preproc_def_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2190),
    [sym_preproc_directive] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(2190),
    [anon_sym___cdecl] = ACTIONS(2190),
    [anon_sym___clrcall] = ACTIONS(2190),
    [anon_sym___stdcall] = ACTIONS(2190),
    [anon_sym___fastcall] = ACTIONS(2190),
    [anon_sym___thiscall] = ACTIONS(2190),
    [anon_sym___vectorcall] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym__Nonnull] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym__Alignas] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [anon_sym___asm] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_explicit] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_operator] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_static_assert] = ACTIONS(2190),
    [anon_sym_concept] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [420] = {
    [ts_builtin_sym_end] = ACTIONS(2294),
    [sym_identifier] = ACTIONS(2292),
    [aux_sym_preproc_include_token1] = ACTIONS(2292),
    [aux_sym_preproc_def_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2292),
    [sym_preproc_directive] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_typedef] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym___based] = ACTIONS(2292),
    [anon_sym___cdecl] = ACTIONS(2292),
    [anon_sym___clrcall] = ACTIONS(2292),
    [anon_sym___stdcall] = ACTIONS(2292),
    [anon_sym___fastcall] = ACTIONS(2292),
    [anon_sym___thiscall] = ACTIONS(2292),
    [anon_sym___vectorcall] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_switch] = ACTIONS(2292),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym___try] = ACTIONS(2292),
    [anon_sym___leave] = ACTIONS(2292),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_sizeof] = ACTIONS(2292),
    [anon_sym___alignof__] = ACTIONS(2292),
    [anon_sym___alignof] = ACTIONS(2292),
    [anon_sym__alignof] = ACTIONS(2292),
    [anon_sym_alignof] = ACTIONS(2292),
    [anon_sym__Alignof] = ACTIONS(2292),
    [anon_sym_offsetof] = ACTIONS(2292),
    [anon_sym__Generic] = ACTIONS(2292),
    [anon_sym_asm] = ACTIONS(2292),
    [anon_sym___asm__] = ACTIONS(2292),
    [anon_sym___asm] = ACTIONS(2292),
    [sym_number_literal] = ACTIONS(2294),
    [anon_sym_L_SQUOTE] = ACTIONS(2294),
    [anon_sym_u_SQUOTE] = ACTIONS(2294),
    [anon_sym_U_SQUOTE] = ACTIONS(2294),
    [anon_sym_u8_SQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2294),
    [anon_sym_L_DQUOTE] = ACTIONS(2294),
    [anon_sym_u_DQUOTE] = ACTIONS(2294),
    [anon_sym_U_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8_DQUOTE] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [sym_true] = ACTIONS(2292),
    [sym_false] = ACTIONS(2292),
    [anon_sym_NULL] = ACTIONS(2292),
    [anon_sym_nullptr] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_explicit] = ACTIONS(2292),
    [anon_sym_typename] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_operator] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_namespace] = ACTIONS(2292),
    [anon_sym_using] = ACTIONS(2292),
    [anon_sym_static_assert] = ACTIONS(2292),
    [anon_sym_concept] = ACTIONS(2292),
    [anon_sym_co_return] = ACTIONS(2292),
    [anon_sym_co_yield] = ACTIONS(2292),
    [anon_sym_R_DQUOTE] = ACTIONS(2294),
    [anon_sym_LR_DQUOTE] = ACTIONS(2294),
    [anon_sym_uR_DQUOTE] = ACTIONS(2294),
    [anon_sym_UR_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2294),
    [anon_sym_co_await] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [sym_this] = ACTIONS(2292),
    [anon_sym_discard] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
    [anon_sym_cbuffer] = ACTIONS(2292),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(2196),
    [sym_identifier] = ACTIONS(2194),
    [aux_sym_preproc_include_token1] = ACTIONS(2194),
    [aux_sym_preproc_def_token1] = ACTIONS(2194),
    [aux_sym_preproc_if_token1] = ACTIONS(2194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2194),
    [sym_preproc_directive] = ACTIONS(2194),
    [anon_sym_LPAREN2] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym___extension__] = ACTIONS(2194),
    [anon_sym_typedef] = ACTIONS(2194),
    [anon_sym_in] = ACTIONS(2194),
    [anon_sym_out] = ACTIONS(2194),
    [anon_sym_inout] = ACTIONS(2194),
    [anon_sym_virtual] = ACTIONS(2194),
    [anon_sym_extern] = ACTIONS(2194),
    [anon_sym___attribute__] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2196),
    [anon_sym___declspec] = ACTIONS(2194),
    [anon_sym___based] = ACTIONS(2194),
    [anon_sym___cdecl] = ACTIONS(2194),
    [anon_sym___clrcall] = ACTIONS(2194),
    [anon_sym___stdcall] = ACTIONS(2194),
    [anon_sym___fastcall] = ACTIONS(2194),
    [anon_sym___thiscall] = ACTIONS(2194),
    [anon_sym___vectorcall] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_signed] = ACTIONS(2194),
    [anon_sym_unsigned] = ACTIONS(2194),
    [anon_sym_long] = ACTIONS(2194),
    [anon_sym_short] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_register] = ACTIONS(2194),
    [anon_sym_inline] = ACTIONS(2194),
    [anon_sym___inline] = ACTIONS(2194),
    [anon_sym___inline__] = ACTIONS(2194),
    [anon_sym___forceinline] = ACTIONS(2194),
    [anon_sym_thread_local] = ACTIONS(2194),
    [anon_sym___thread] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_constexpr] = ACTIONS(2194),
    [anon_sym_volatile] = ACTIONS(2194),
    [anon_sym_restrict] = ACTIONS(2194),
    [anon_sym___restrict__] = ACTIONS(2194),
    [anon_sym__Atomic] = ACTIONS(2194),
    [anon_sym__Noreturn] = ACTIONS(2194),
    [anon_sym_noreturn] = ACTIONS(2194),
    [anon_sym__Nonnull] = ACTIONS(2194),
    [anon_sym_mutable] = ACTIONS(2194),
    [anon_sym_constinit] = ACTIONS(2194),
    [anon_sym_consteval] = ACTIONS(2194),
    [anon_sym_alignas] = ACTIONS(2194),
    [anon_sym__Alignas] = ACTIONS(2194),
    [sym_primitive_type] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_struct] = ACTIONS(2194),
    [anon_sym_union] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_else] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_case] = ACTIONS(2194),
    [anon_sym_default] = ACTIONS(2194),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_goto] = ACTIONS(2194),
    [anon_sym___try] = ACTIONS(2194),
    [anon_sym___leave] = ACTIONS(2194),
    [anon_sym_not] = ACTIONS(2194),
    [anon_sym_compl] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2194),
    [anon_sym___alignof] = ACTIONS(2194),
    [anon_sym__alignof] = ACTIONS(2194),
    [anon_sym_alignof] = ACTIONS(2194),
    [anon_sym__Alignof] = ACTIONS(2194),
    [anon_sym_offsetof] = ACTIONS(2194),
    [anon_sym__Generic] = ACTIONS(2194),
    [anon_sym_asm] = ACTIONS(2194),
    [anon_sym___asm__] = ACTIONS(2194),
    [anon_sym___asm] = ACTIONS(2194),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [anon_sym_NULL] = ACTIONS(2194),
    [anon_sym_nullptr] = ACTIONS(2194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2194),
    [anon_sym_decltype] = ACTIONS(2194),
    [anon_sym_explicit] = ACTIONS(2194),
    [anon_sym_typename] = ACTIONS(2194),
    [anon_sym_template] = ACTIONS(2194),
    [anon_sym_operator] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_static_assert] = ACTIONS(2194),
    [anon_sym_concept] = ACTIONS(2194),
    [anon_sym_co_return] = ACTIONS(2194),
    [anon_sym_co_yield] = ACTIONS(2194),
    [anon_sym_R_DQUOTE] = ACTIONS(2196),
    [anon_sym_LR_DQUOTE] = ACTIONS(2196),
    [anon_sym_uR_DQUOTE] = ACTIONS(2196),
    [anon_sym_UR_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2196),
    [anon_sym_co_await] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_requires] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [anon_sym_discard] = ACTIONS(2194),
    [anon_sym_precise] = ACTIONS(2194),
    [anon_sym_shared] = ACTIONS(2194),
    [anon_sym_groupshared] = ACTIONS(2194),
    [anon_sym_uniform] = ACTIONS(2194),
    [anon_sym_row_major] = ACTIONS(2194),
    [anon_sym_column_major] = ACTIONS(2194),
    [anon_sym_globallycoherent] = ACTIONS(2194),
    [anon_sym_centroid] = ACTIONS(2194),
    [anon_sym_noperspective] = ACTIONS(2194),
    [anon_sym_nointerpolation] = ACTIONS(2194),
    [anon_sym_sample] = ACTIONS(2194),
    [anon_sym_linear] = ACTIONS(2194),
    [anon_sym_snorm] = ACTIONS(2194),
    [anon_sym_unorm] = ACTIONS(2194),
    [anon_sym_point] = ACTIONS(2194),
    [anon_sym_line] = ACTIONS(2194),
    [anon_sym_triangleadj] = ACTIONS(2194),
    [anon_sym_lineadj] = ACTIONS(2194),
    [anon_sym_triangle] = ACTIONS(2194),
    [anon_sym_cbuffer] = ACTIONS(2194),
  },
  [422] = {
    [sym_identifier] = ACTIONS(2304),
    [aux_sym_preproc_include_token1] = ACTIONS(2304),
    [aux_sym_preproc_def_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token2] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2304),
    [sym_preproc_directive] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2304),
    [anon_sym_typedef] = ACTIONS(2304),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_out] = ACTIONS(2304),
    [anon_sym_inout] = ACTIONS(2304),
    [anon_sym_virtual] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym___attribute__] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2306),
    [anon_sym___declspec] = ACTIONS(2304),
    [anon_sym___based] = ACTIONS(2304),
    [anon_sym___cdecl] = ACTIONS(2304),
    [anon_sym___clrcall] = ACTIONS(2304),
    [anon_sym___stdcall] = ACTIONS(2304),
    [anon_sym___fastcall] = ACTIONS(2304),
    [anon_sym___thiscall] = ACTIONS(2304),
    [anon_sym___vectorcall] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2304),
    [anon_sym_unsigned] = ACTIONS(2304),
    [anon_sym_long] = ACTIONS(2304),
    [anon_sym_short] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_register] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2304),
    [anon_sym___inline] = ACTIONS(2304),
    [anon_sym___inline__] = ACTIONS(2304),
    [anon_sym___forceinline] = ACTIONS(2304),
    [anon_sym_thread_local] = ACTIONS(2304),
    [anon_sym___thread] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_constexpr] = ACTIONS(2304),
    [anon_sym_volatile] = ACTIONS(2304),
    [anon_sym_restrict] = ACTIONS(2304),
    [anon_sym___restrict__] = ACTIONS(2304),
    [anon_sym__Atomic] = ACTIONS(2304),
    [anon_sym__Noreturn] = ACTIONS(2304),
    [anon_sym_noreturn] = ACTIONS(2304),
    [anon_sym__Nonnull] = ACTIONS(2304),
    [anon_sym_mutable] = ACTIONS(2304),
    [anon_sym_constinit] = ACTIONS(2304),
    [anon_sym_consteval] = ACTIONS(2304),
    [anon_sym_alignas] = ACTIONS(2304),
    [anon_sym__Alignas] = ACTIONS(2304),
    [sym_primitive_type] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_else] = ACTIONS(2304),
    [anon_sym_switch] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2304),
    [anon_sym_compl] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2304),
    [anon_sym__Generic] = ACTIONS(2304),
    [anon_sym_asm] = ACTIONS(2304),
    [anon_sym___asm__] = ACTIONS(2304),
    [anon_sym___asm] = ACTIONS(2304),
    [sym_number_literal] = ACTIONS(2306),
    [anon_sym_L_SQUOTE] = ACTIONS(2306),
    [anon_sym_u_SQUOTE] = ACTIONS(2306),
    [anon_sym_U_SQUOTE] = ACTIONS(2306),
    [anon_sym_u8_SQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_L_DQUOTE] = ACTIONS(2306),
    [anon_sym_u_DQUOTE] = ACTIONS(2306),
    [anon_sym_U_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8_DQUOTE] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [sym_true] = ACTIONS(2304),
    [sym_false] = ACTIONS(2304),
    [anon_sym_NULL] = ACTIONS(2304),
    [anon_sym_nullptr] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2304),
    [anon_sym_decltype] = ACTIONS(2304),
    [anon_sym_explicit] = ACTIONS(2304),
    [anon_sym_typename] = ACTIONS(2304),
    [anon_sym_template] = ACTIONS(2304),
    [anon_sym_operator] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_throw] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2304),
    [anon_sym_using] = ACTIONS(2304),
    [anon_sym_static_assert] = ACTIONS(2304),
    [anon_sym_concept] = ACTIONS(2304),
    [anon_sym_co_return] = ACTIONS(2304),
    [anon_sym_co_yield] = ACTIONS(2304),
    [anon_sym_R_DQUOTE] = ACTIONS(2306),
    [anon_sym_LR_DQUOTE] = ACTIONS(2306),
    [anon_sym_uR_DQUOTE] = ACTIONS(2306),
    [anon_sym_UR_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2306),
    [anon_sym_co_await] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2304),
    [anon_sym_requires] = ACTIONS(2304),
    [sym_this] = ACTIONS(2304),
    [anon_sym_discard] = ACTIONS(2304),
    [anon_sym_precise] = ACTIONS(2304),
    [anon_sym_shared] = ACTIONS(2304),
    [anon_sym_groupshared] = ACTIONS(2304),
    [anon_sym_uniform] = ACTIONS(2304),
    [anon_sym_row_major] = ACTIONS(2304),
    [anon_sym_column_major] = ACTIONS(2304),
    [anon_sym_globallycoherent] = ACTIONS(2304),
    [anon_sym_centroid] = ACTIONS(2304),
    [anon_sym_noperspective] = ACTIONS(2304),
    [anon_sym_nointerpolation] = ACTIONS(2304),
    [anon_sym_sample] = ACTIONS(2304),
    [anon_sym_linear] = ACTIONS(2304),
    [anon_sym_snorm] = ACTIONS(2304),
    [anon_sym_unorm] = ACTIONS(2304),
    [anon_sym_point] = ACTIONS(2304),
    [anon_sym_line] = ACTIONS(2304),
    [anon_sym_triangleadj] = ACTIONS(2304),
    [anon_sym_lineadj] = ACTIONS(2304),
    [anon_sym_triangle] = ACTIONS(2304),
    [anon_sym_cbuffer] = ACTIONS(2304),
  },
  [423] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym__Nonnull] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym__Alignas] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [anon_sym___asm] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(2200),
    [sym_identifier] = ACTIONS(2198),
    [aux_sym_preproc_include_token1] = ACTIONS(2198),
    [aux_sym_preproc_def_token1] = ACTIONS(2198),
    [aux_sym_preproc_if_token1] = ACTIONS(2198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2198),
    [sym_preproc_directive] = ACTIONS(2198),
    [anon_sym_LPAREN2] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_PLUS] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2198),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2198),
    [anon_sym_typedef] = ACTIONS(2198),
    [anon_sym_in] = ACTIONS(2198),
    [anon_sym_out] = ACTIONS(2198),
    [anon_sym_inout] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2198),
    [anon_sym_extern] = ACTIONS(2198),
    [anon_sym___attribute__] = ACTIONS(2198),
    [anon_sym_COLON_COLON] = ACTIONS(2200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2200),
    [anon_sym___declspec] = ACTIONS(2198),
    [anon_sym___based] = ACTIONS(2198),
    [anon_sym___cdecl] = ACTIONS(2198),
    [anon_sym___clrcall] = ACTIONS(2198),
    [anon_sym___stdcall] = ACTIONS(2198),
    [anon_sym___fastcall] = ACTIONS(2198),
    [anon_sym___thiscall] = ACTIONS(2198),
    [anon_sym___vectorcall] = ACTIONS(2198),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_signed] = ACTIONS(2198),
    [anon_sym_unsigned] = ACTIONS(2198),
    [anon_sym_long] = ACTIONS(2198),
    [anon_sym_short] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [anon_sym_static] = ACTIONS(2198),
    [anon_sym_register] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(2198),
    [anon_sym___inline] = ACTIONS(2198),
    [anon_sym___inline__] = ACTIONS(2198),
    [anon_sym___forceinline] = ACTIONS(2198),
    [anon_sym_thread_local] = ACTIONS(2198),
    [anon_sym___thread] = ACTIONS(2198),
    [anon_sym_const] = ACTIONS(2198),
    [anon_sym_constexpr] = ACTIONS(2198),
    [anon_sym_volatile] = ACTIONS(2198),
    [anon_sym_restrict] = ACTIONS(2198),
    [anon_sym___restrict__] = ACTIONS(2198),
    [anon_sym__Atomic] = ACTIONS(2198),
    [anon_sym__Noreturn] = ACTIONS(2198),
    [anon_sym_noreturn] = ACTIONS(2198),
    [anon_sym__Nonnull] = ACTIONS(2198),
    [anon_sym_mutable] = ACTIONS(2198),
    [anon_sym_constinit] = ACTIONS(2198),
    [anon_sym_consteval] = ACTIONS(2198),
    [anon_sym_alignas] = ACTIONS(2198),
    [anon_sym__Alignas] = ACTIONS(2198),
    [sym_primitive_type] = ACTIONS(2198),
    [anon_sym_enum] = ACTIONS(2198),
    [anon_sym_class] = ACTIONS(2198),
    [anon_sym_struct] = ACTIONS(2198),
    [anon_sym_union] = ACTIONS(2198),
    [anon_sym_if] = ACTIONS(2198),
    [anon_sym_else] = ACTIONS(2198),
    [anon_sym_switch] = ACTIONS(2198),
    [anon_sym_case] = ACTIONS(2198),
    [anon_sym_default] = ACTIONS(2198),
    [anon_sym_while] = ACTIONS(2198),
    [anon_sym_do] = ACTIONS(2198),
    [anon_sym_for] = ACTIONS(2198),
    [anon_sym_return] = ACTIONS(2198),
    [anon_sym_break] = ACTIONS(2198),
    [anon_sym_continue] = ACTIONS(2198),
    [anon_sym_goto] = ACTIONS(2198),
    [anon_sym___try] = ACTIONS(2198),
    [anon_sym___leave] = ACTIONS(2198),
    [anon_sym_not] = ACTIONS(2198),
    [anon_sym_compl] = ACTIONS(2198),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_sizeof] = ACTIONS(2198),
    [anon_sym___alignof__] = ACTIONS(2198),
    [anon_sym___alignof] = ACTIONS(2198),
    [anon_sym__alignof] = ACTIONS(2198),
    [anon_sym_alignof] = ACTIONS(2198),
    [anon_sym__Alignof] = ACTIONS(2198),
    [anon_sym_offsetof] = ACTIONS(2198),
    [anon_sym__Generic] = ACTIONS(2198),
    [anon_sym_asm] = ACTIONS(2198),
    [anon_sym___asm__] = ACTIONS(2198),
    [anon_sym___asm] = ACTIONS(2198),
    [sym_number_literal] = ACTIONS(2200),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2198),
    [sym_false] = ACTIONS(2198),
    [anon_sym_NULL] = ACTIONS(2198),
    [anon_sym_nullptr] = ACTIONS(2198),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2198),
    [anon_sym_decltype] = ACTIONS(2198),
    [anon_sym_explicit] = ACTIONS(2198),
    [anon_sym_typename] = ACTIONS(2198),
    [anon_sym_template] = ACTIONS(2198),
    [anon_sym_operator] = ACTIONS(2198),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_throw] = ACTIONS(2198),
    [anon_sym_namespace] = ACTIONS(2198),
    [anon_sym_using] = ACTIONS(2198),
    [anon_sym_static_assert] = ACTIONS(2198),
    [anon_sym_concept] = ACTIONS(2198),
    [anon_sym_co_return] = ACTIONS(2198),
    [anon_sym_co_yield] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(2198),
    [anon_sym_requires] = ACTIONS(2198),
    [sym_this] = ACTIONS(2198),
    [anon_sym_discard] = ACTIONS(2198),
    [anon_sym_precise] = ACTIONS(2198),
    [anon_sym_shared] = ACTIONS(2198),
    [anon_sym_groupshared] = ACTIONS(2198),
    [anon_sym_uniform] = ACTIONS(2198),
    [anon_sym_row_major] = ACTIONS(2198),
    [anon_sym_column_major] = ACTIONS(2198),
    [anon_sym_globallycoherent] = ACTIONS(2198),
    [anon_sym_centroid] = ACTIONS(2198),
    [anon_sym_noperspective] = ACTIONS(2198),
    [anon_sym_nointerpolation] = ACTIONS(2198),
    [anon_sym_sample] = ACTIONS(2198),
    [anon_sym_linear] = ACTIONS(2198),
    [anon_sym_snorm] = ACTIONS(2198),
    [anon_sym_unorm] = ACTIONS(2198),
    [anon_sym_point] = ACTIONS(2198),
    [anon_sym_line] = ACTIONS(2198),
    [anon_sym_triangleadj] = ACTIONS(2198),
    [anon_sym_lineadj] = ACTIONS(2198),
    [anon_sym_triangle] = ACTIONS(2198),
    [anon_sym_cbuffer] = ACTIONS(2198),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2134),
    [aux_sym_preproc_include_token1] = ACTIONS(2134),
    [aux_sym_preproc_def_token1] = ACTIONS(2134),
    [aux_sym_preproc_if_token1] = ACTIONS(2134),
    [aux_sym_preproc_if_token2] = ACTIONS(2134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2134),
    [sym_preproc_directive] = ACTIONS(2134),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2136),
    [anon_sym_TILDE] = ACTIONS(2136),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym___extension__] = ACTIONS(2134),
    [anon_sym_typedef] = ACTIONS(2134),
    [anon_sym_in] = ACTIONS(2134),
    [anon_sym_out] = ACTIONS(2134),
    [anon_sym_inout] = ACTIONS(2134),
    [anon_sym_virtual] = ACTIONS(2134),
    [anon_sym_extern] = ACTIONS(2134),
    [anon_sym___attribute__] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2136),
    [anon_sym___declspec] = ACTIONS(2134),
    [anon_sym___based] = ACTIONS(2134),
    [anon_sym___cdecl] = ACTIONS(2134),
    [anon_sym___clrcall] = ACTIONS(2134),
    [anon_sym___stdcall] = ACTIONS(2134),
    [anon_sym___fastcall] = ACTIONS(2134),
    [anon_sym___thiscall] = ACTIONS(2134),
    [anon_sym___vectorcall] = ACTIONS(2134),
    [anon_sym_LBRACE] = ACTIONS(2136),
    [anon_sym_signed] = ACTIONS(2134),
    [anon_sym_unsigned] = ACTIONS(2134),
    [anon_sym_long] = ACTIONS(2134),
    [anon_sym_short] = ACTIONS(2134),
    [anon_sym_LBRACK] = ACTIONS(2134),
    [anon_sym_static] = ACTIONS(2134),
    [anon_sym_register] = ACTIONS(2134),
    [anon_sym_inline] = ACTIONS(2134),
    [anon_sym___inline] = ACTIONS(2134),
    [anon_sym___inline__] = ACTIONS(2134),
    [anon_sym___forceinline] = ACTIONS(2134),
    [anon_sym_thread_local] = ACTIONS(2134),
    [anon_sym___thread] = ACTIONS(2134),
    [anon_sym_const] = ACTIONS(2134),
    [anon_sym_constexpr] = ACTIONS(2134),
    [anon_sym_volatile] = ACTIONS(2134),
    [anon_sym_restrict] = ACTIONS(2134),
    [anon_sym___restrict__] = ACTIONS(2134),
    [anon_sym__Atomic] = ACTIONS(2134),
    [anon_sym__Noreturn] = ACTIONS(2134),
    [anon_sym_noreturn] = ACTIONS(2134),
    [anon_sym__Nonnull] = ACTIONS(2134),
    [anon_sym_mutable] = ACTIONS(2134),
    [anon_sym_constinit] = ACTIONS(2134),
    [anon_sym_consteval] = ACTIONS(2134),
    [anon_sym_alignas] = ACTIONS(2134),
    [anon_sym__Alignas] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2134),
    [anon_sym_enum] = ACTIONS(2134),
    [anon_sym_class] = ACTIONS(2134),
    [anon_sym_struct] = ACTIONS(2134),
    [anon_sym_union] = ACTIONS(2134),
    [anon_sym_if] = ACTIONS(2134),
    [anon_sym_else] = ACTIONS(2134),
    [anon_sym_switch] = ACTIONS(2134),
    [anon_sym_case] = ACTIONS(2134),
    [anon_sym_default] = ACTIONS(2134),
    [anon_sym_while] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(2134),
    [anon_sym_for] = ACTIONS(2134),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_break] = ACTIONS(2134),
    [anon_sym_continue] = ACTIONS(2134),
    [anon_sym_goto] = ACTIONS(2134),
    [anon_sym___try] = ACTIONS(2134),
    [anon_sym___leave] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2134),
    [anon_sym_compl] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2134),
    [anon_sym___alignof] = ACTIONS(2134),
    [anon_sym__alignof] = ACTIONS(2134),
    [anon_sym_alignof] = ACTIONS(2134),
    [anon_sym__Alignof] = ACTIONS(2134),
    [anon_sym_offsetof] = ACTIONS(2134),
    [anon_sym__Generic] = ACTIONS(2134),
    [anon_sym_asm] = ACTIONS(2134),
    [anon_sym___asm__] = ACTIONS(2134),
    [anon_sym___asm] = ACTIONS(2134),
    [sym_number_literal] = ACTIONS(2136),
    [anon_sym_L_SQUOTE] = ACTIONS(2136),
    [anon_sym_u_SQUOTE] = ACTIONS(2136),
    [anon_sym_U_SQUOTE] = ACTIONS(2136),
    [anon_sym_u8_SQUOTE] = ACTIONS(2136),
    [anon_sym_SQUOTE] = ACTIONS(2136),
    [anon_sym_L_DQUOTE] = ACTIONS(2136),
    [anon_sym_u_DQUOTE] = ACTIONS(2136),
    [anon_sym_U_DQUOTE] = ACTIONS(2136),
    [anon_sym_u8_DQUOTE] = ACTIONS(2136),
    [anon_sym_DQUOTE] = ACTIONS(2136),
    [sym_true] = ACTIONS(2134),
    [sym_false] = ACTIONS(2134),
    [anon_sym_NULL] = ACTIONS(2134),
    [anon_sym_nullptr] = ACTIONS(2134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2134),
    [anon_sym_decltype] = ACTIONS(2134),
    [anon_sym_explicit] = ACTIONS(2134),
    [anon_sym_typename] = ACTIONS(2134),
    [anon_sym_template] = ACTIONS(2134),
    [anon_sym_operator] = ACTIONS(2134),
    [anon_sym_try] = ACTIONS(2134),
    [anon_sym_delete] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_namespace] = ACTIONS(2134),
    [anon_sym_using] = ACTIONS(2134),
    [anon_sym_static_assert] = ACTIONS(2134),
    [anon_sym_concept] = ACTIONS(2134),
    [anon_sym_co_return] = ACTIONS(2134),
    [anon_sym_co_yield] = ACTIONS(2134),
    [anon_sym_R_DQUOTE] = ACTIONS(2136),
    [anon_sym_LR_DQUOTE] = ACTIONS(2136),
    [anon_sym_uR_DQUOTE] = ACTIONS(2136),
    [anon_sym_UR_DQUOTE] = ACTIONS(2136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2136),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2134),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2134),
    [anon_sym_discard] = ACTIONS(2134),
    [anon_sym_precise] = ACTIONS(2134),
    [anon_sym_shared] = ACTIONS(2134),
    [anon_sym_groupshared] = ACTIONS(2134),
    [anon_sym_uniform] = ACTIONS(2134),
    [anon_sym_row_major] = ACTIONS(2134),
    [anon_sym_column_major] = ACTIONS(2134),
    [anon_sym_globallycoherent] = ACTIONS(2134),
    [anon_sym_centroid] = ACTIONS(2134),
    [anon_sym_noperspective] = ACTIONS(2134),
    [anon_sym_nointerpolation] = ACTIONS(2134),
    [anon_sym_sample] = ACTIONS(2134),
    [anon_sym_linear] = ACTIONS(2134),
    [anon_sym_snorm] = ACTIONS(2134),
    [anon_sym_unorm] = ACTIONS(2134),
    [anon_sym_point] = ACTIONS(2134),
    [anon_sym_line] = ACTIONS(2134),
    [anon_sym_triangleadj] = ACTIONS(2134),
    [anon_sym_lineadj] = ACTIONS(2134),
    [anon_sym_triangle] = ACTIONS(2134),
    [anon_sym_cbuffer] = ACTIONS(2134),
  },
  [426] = {
    [sym_identifier] = ACTIONS(2138),
    [aux_sym_preproc_include_token1] = ACTIONS(2138),
    [aux_sym_preproc_def_token1] = ACTIONS(2138),
    [aux_sym_preproc_if_token1] = ACTIONS(2138),
    [aux_sym_preproc_if_token2] = ACTIONS(2138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2138),
    [sym_preproc_directive] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym___extension__] = ACTIONS(2138),
    [anon_sym_typedef] = ACTIONS(2138),
    [anon_sym_in] = ACTIONS(2138),
    [anon_sym_out] = ACTIONS(2138),
    [anon_sym_inout] = ACTIONS(2138),
    [anon_sym_virtual] = ACTIONS(2138),
    [anon_sym_extern] = ACTIONS(2138),
    [anon_sym___attribute__] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2140),
    [anon_sym___declspec] = ACTIONS(2138),
    [anon_sym___based] = ACTIONS(2138),
    [anon_sym___cdecl] = ACTIONS(2138),
    [anon_sym___clrcall] = ACTIONS(2138),
    [anon_sym___stdcall] = ACTIONS(2138),
    [anon_sym___fastcall] = ACTIONS(2138),
    [anon_sym___thiscall] = ACTIONS(2138),
    [anon_sym___vectorcall] = ACTIONS(2138),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_signed] = ACTIONS(2138),
    [anon_sym_unsigned] = ACTIONS(2138),
    [anon_sym_long] = ACTIONS(2138),
    [anon_sym_short] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_static] = ACTIONS(2138),
    [anon_sym_register] = ACTIONS(2138),
    [anon_sym_inline] = ACTIONS(2138),
    [anon_sym___inline] = ACTIONS(2138),
    [anon_sym___inline__] = ACTIONS(2138),
    [anon_sym___forceinline] = ACTIONS(2138),
    [anon_sym_thread_local] = ACTIONS(2138),
    [anon_sym___thread] = ACTIONS(2138),
    [anon_sym_const] = ACTIONS(2138),
    [anon_sym_constexpr] = ACTIONS(2138),
    [anon_sym_volatile] = ACTIONS(2138),
    [anon_sym_restrict] = ACTIONS(2138),
    [anon_sym___restrict__] = ACTIONS(2138),
    [anon_sym__Atomic] = ACTIONS(2138),
    [anon_sym__Noreturn] = ACTIONS(2138),
    [anon_sym_noreturn] = ACTIONS(2138),
    [anon_sym__Nonnull] = ACTIONS(2138),
    [anon_sym_mutable] = ACTIONS(2138),
    [anon_sym_constinit] = ACTIONS(2138),
    [anon_sym_consteval] = ACTIONS(2138),
    [anon_sym_alignas] = ACTIONS(2138),
    [anon_sym__Alignas] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2138),
    [anon_sym_enum] = ACTIONS(2138),
    [anon_sym_class] = ACTIONS(2138),
    [anon_sym_struct] = ACTIONS(2138),
    [anon_sym_union] = ACTIONS(2138),
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_else] = ACTIONS(2138),
    [anon_sym_switch] = ACTIONS(2138),
    [anon_sym_case] = ACTIONS(2138),
    [anon_sym_default] = ACTIONS(2138),
    [anon_sym_while] = ACTIONS(2138),
    [anon_sym_do] = ACTIONS(2138),
    [anon_sym_for] = ACTIONS(2138),
    [anon_sym_return] = ACTIONS(2138),
    [anon_sym_break] = ACTIONS(2138),
    [anon_sym_continue] = ACTIONS(2138),
    [anon_sym_goto] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2138),
    [anon_sym___leave] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2138),
    [anon_sym___alignof__] = ACTIONS(2138),
    [anon_sym___alignof] = ACTIONS(2138),
    [anon_sym__alignof] = ACTIONS(2138),
    [anon_sym_alignof] = ACTIONS(2138),
    [anon_sym__Alignof] = ACTIONS(2138),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2138),
    [anon_sym_asm] = ACTIONS(2138),
    [anon_sym___asm__] = ACTIONS(2138),
    [anon_sym___asm] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2140),
    [anon_sym_L_SQUOTE] = ACTIONS(2140),
    [anon_sym_u_SQUOTE] = ACTIONS(2140),
    [anon_sym_U_SQUOTE] = ACTIONS(2140),
    [anon_sym_u8_SQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_L_DQUOTE] = ACTIONS(2140),
    [anon_sym_u_DQUOTE] = ACTIONS(2140),
    [anon_sym_U_DQUOTE] = ACTIONS(2140),
    [anon_sym_u8_DQUOTE] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [sym_true] = ACTIONS(2138),
    [sym_false] = ACTIONS(2138),
    [anon_sym_NULL] = ACTIONS(2138),
    [anon_sym_nullptr] = ACTIONS(2138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2138),
    [anon_sym_decltype] = ACTIONS(2138),
    [anon_sym_explicit] = ACTIONS(2138),
    [anon_sym_typename] = ACTIONS(2138),
    [anon_sym_template] = ACTIONS(2138),
    [anon_sym_operator] = ACTIONS(2138),
    [anon_sym_try] = ACTIONS(2138),
    [anon_sym_delete] = ACTIONS(2138),
    [anon_sym_throw] = ACTIONS(2138),
    [anon_sym_namespace] = ACTIONS(2138),
    [anon_sym_using] = ACTIONS(2138),
    [anon_sym_static_assert] = ACTIONS(2138),
    [anon_sym_concept] = ACTIONS(2138),
    [anon_sym_co_return] = ACTIONS(2138),
    [anon_sym_co_yield] = ACTIONS(2138),
    [anon_sym_R_DQUOTE] = ACTIONS(2140),
    [anon_sym_LR_DQUOTE] = ACTIONS(2140),
    [anon_sym_uR_DQUOTE] = ACTIONS(2140),
    [anon_sym_UR_DQUOTE] = ACTIONS(2140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2140),
    [anon_sym_co_await] = ACTIONS(2138),
    [anon_sym_new] = ACTIONS(2138),
    [anon_sym_requires] = ACTIONS(2138),
    [sym_this] = ACTIONS(2138),
    [anon_sym_discard] = ACTIONS(2138),
    [anon_sym_precise] = ACTIONS(2138),
    [anon_sym_shared] = ACTIONS(2138),
    [anon_sym_groupshared] = ACTIONS(2138),
    [anon_sym_uniform] = ACTIONS(2138),
    [anon_sym_row_major] = ACTIONS(2138),
    [anon_sym_column_major] = ACTIONS(2138),
    [anon_sym_globallycoherent] = ACTIONS(2138),
    [anon_sym_centroid] = ACTIONS(2138),
    [anon_sym_noperspective] = ACTIONS(2138),
    [anon_sym_nointerpolation] = ACTIONS(2138),
    [anon_sym_sample] = ACTIONS(2138),
    [anon_sym_linear] = ACTIONS(2138),
    [anon_sym_snorm] = ACTIONS(2138),
    [anon_sym_unorm] = ACTIONS(2138),
    [anon_sym_point] = ACTIONS(2138),
    [anon_sym_line] = ACTIONS(2138),
    [anon_sym_triangleadj] = ACTIONS(2138),
    [anon_sym_lineadj] = ACTIONS(2138),
    [anon_sym_triangle] = ACTIONS(2138),
    [anon_sym_cbuffer] = ACTIONS(2138),
  },
  [427] = {
    [sym_identifier] = ACTIONS(2142),
    [aux_sym_preproc_include_token1] = ACTIONS(2142),
    [aux_sym_preproc_def_token1] = ACTIONS(2142),
    [aux_sym_preproc_if_token1] = ACTIONS(2142),
    [aux_sym_preproc_if_token2] = ACTIONS(2142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2142),
    [sym_preproc_directive] = ACTIONS(2142),
    [anon_sym_LPAREN2] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_AMP_AMP] = ACTIONS(2144),
    [anon_sym_AMP] = ACTIONS(2142),
    [anon_sym_SEMI] = ACTIONS(2144),
    [anon_sym___extension__] = ACTIONS(2142),
    [anon_sym_typedef] = ACTIONS(2142),
    [anon_sym_in] = ACTIONS(2142),
    [anon_sym_out] = ACTIONS(2142),
    [anon_sym_inout] = ACTIONS(2142),
    [anon_sym_virtual] = ACTIONS(2142),
    [anon_sym_extern] = ACTIONS(2142),
    [anon_sym___attribute__] = ACTIONS(2142),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2144),
    [anon_sym___declspec] = ACTIONS(2142),
    [anon_sym___based] = ACTIONS(2142),
    [anon_sym___cdecl] = ACTIONS(2142),
    [anon_sym___clrcall] = ACTIONS(2142),
    [anon_sym___stdcall] = ACTIONS(2142),
    [anon_sym___fastcall] = ACTIONS(2142),
    [anon_sym___thiscall] = ACTIONS(2142),
    [anon_sym___vectorcall] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_signed] = ACTIONS(2142),
    [anon_sym_unsigned] = ACTIONS(2142),
    [anon_sym_long] = ACTIONS(2142),
    [anon_sym_short] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2142),
    [anon_sym_static] = ACTIONS(2142),
    [anon_sym_register] = ACTIONS(2142),
    [anon_sym_inline] = ACTIONS(2142),
    [anon_sym___inline] = ACTIONS(2142),
    [anon_sym___inline__] = ACTIONS(2142),
    [anon_sym___forceinline] = ACTIONS(2142),
    [anon_sym_thread_local] = ACTIONS(2142),
    [anon_sym___thread] = ACTIONS(2142),
    [anon_sym_const] = ACTIONS(2142),
    [anon_sym_constexpr] = ACTIONS(2142),
    [anon_sym_volatile] = ACTIONS(2142),
    [anon_sym_restrict] = ACTIONS(2142),
    [anon_sym___restrict__] = ACTIONS(2142),
    [anon_sym__Atomic] = ACTIONS(2142),
    [anon_sym__Noreturn] = ACTIONS(2142),
    [anon_sym_noreturn] = ACTIONS(2142),
    [anon_sym__Nonnull] = ACTIONS(2142),
    [anon_sym_mutable] = ACTIONS(2142),
    [anon_sym_constinit] = ACTIONS(2142),
    [anon_sym_consteval] = ACTIONS(2142),
    [anon_sym_alignas] = ACTIONS(2142),
    [anon_sym__Alignas] = ACTIONS(2142),
    [sym_primitive_type] = ACTIONS(2142),
    [anon_sym_enum] = ACTIONS(2142),
    [anon_sym_class] = ACTIONS(2142),
    [anon_sym_struct] = ACTIONS(2142),
    [anon_sym_union] = ACTIONS(2142),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_else] = ACTIONS(2142),
    [anon_sym_switch] = ACTIONS(2142),
    [anon_sym_case] = ACTIONS(2142),
    [anon_sym_default] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_do] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2142),
    [anon_sym_return] = ACTIONS(2142),
    [anon_sym_break] = ACTIONS(2142),
    [anon_sym_continue] = ACTIONS(2142),
    [anon_sym_goto] = ACTIONS(2142),
    [anon_sym___try] = ACTIONS(2142),
    [anon_sym___leave] = ACTIONS(2142),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2144),
    [anon_sym_sizeof] = ACTIONS(2142),
    [anon_sym___alignof__] = ACTIONS(2142),
    [anon_sym___alignof] = ACTIONS(2142),
    [anon_sym__alignof] = ACTIONS(2142),
    [anon_sym_alignof] = ACTIONS(2142),
    [anon_sym__Alignof] = ACTIONS(2142),
    [anon_sym_offsetof] = ACTIONS(2142),
    [anon_sym__Generic] = ACTIONS(2142),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [anon_sym___asm] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2144),
    [anon_sym_u_SQUOTE] = ACTIONS(2144),
    [anon_sym_U_SQUOTE] = ACTIONS(2144),
    [anon_sym_u8_SQUOTE] = ACTIONS(2144),
    [anon_sym_SQUOTE] = ACTIONS(2144),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2142),
    [sym_false] = ACTIONS(2142),
    [anon_sym_NULL] = ACTIONS(2142),
    [anon_sym_nullptr] = ACTIONS(2142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2142),
    [anon_sym_decltype] = ACTIONS(2142),
    [anon_sym_explicit] = ACTIONS(2142),
    [anon_sym_typename] = ACTIONS(2142),
    [anon_sym_template] = ACTIONS(2142),
    [anon_sym_operator] = ACTIONS(2142),
    [anon_sym_try] = ACTIONS(2142),
    [anon_sym_delete] = ACTIONS(2142),
    [anon_sym_throw] = ACTIONS(2142),
    [anon_sym_namespace] = ACTIONS(2142),
    [anon_sym_using] = ACTIONS(2142),
    [anon_sym_static_assert] = ACTIONS(2142),
    [anon_sym_concept] = ACTIONS(2142),
    [anon_sym_co_return] = ACTIONS(2142),
    [anon_sym_co_yield] = ACTIONS(2142),
    [anon_sym_R_DQUOTE] = ACTIONS(2144),
    [anon_sym_LR_DQUOTE] = ACTIONS(2144),
    [anon_sym_uR_DQUOTE] = ACTIONS(2144),
    [anon_sym_UR_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2144),
    [anon_sym_co_await] = ACTIONS(2142),
    [anon_sym_new] = ACTIONS(2142),
    [anon_sym_requires] = ACTIONS(2142),
    [sym_this] = ACTIONS(2142),
    [anon_sym_discard] = ACTIONS(2142),
    [anon_sym_precise] = ACTIONS(2142),
    [anon_sym_shared] = ACTIONS(2142),
    [anon_sym_groupshared] = ACTIONS(2142),
    [anon_sym_uniform] = ACTIONS(2142),
    [anon_sym_row_major] = ACTIONS(2142),
    [anon_sym_column_major] = ACTIONS(2142),
    [anon_sym_globallycoherent] = ACTIONS(2142),
    [anon_sym_centroid] = ACTIONS(2142),
    [anon_sym_noperspective] = ACTIONS(2142),
    [anon_sym_nointerpolation] = ACTIONS(2142),
    [anon_sym_sample] = ACTIONS(2142),
    [anon_sym_linear] = ACTIONS(2142),
    [anon_sym_snorm] = ACTIONS(2142),
    [anon_sym_unorm] = ACTIONS(2142),
    [anon_sym_point] = ACTIONS(2142),
    [anon_sym_line] = ACTIONS(2142),
    [anon_sym_triangleadj] = ACTIONS(2142),
    [anon_sym_lineadj] = ACTIONS(2142),
    [anon_sym_triangle] = ACTIONS(2142),
    [anon_sym_cbuffer] = ACTIONS(2142),
  },
  [428] = {
    [sym_identifier] = ACTIONS(2146),
    [aux_sym_preproc_include_token1] = ACTIONS(2146),
    [aux_sym_preproc_def_token1] = ACTIONS(2146),
    [aux_sym_preproc_if_token1] = ACTIONS(2146),
    [aux_sym_preproc_if_token2] = ACTIONS(2146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2146),
    [sym_preproc_directive] = ACTIONS(2146),
    [anon_sym_LPAREN2] = ACTIONS(2148),
    [anon_sym_BANG] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2146),
    [anon_sym_PLUS] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2146),
    [anon_sym_SEMI] = ACTIONS(2148),
    [anon_sym___extension__] = ACTIONS(2146),
    [anon_sym_typedef] = ACTIONS(2146),
    [anon_sym_in] = ACTIONS(2146),
    [anon_sym_out] = ACTIONS(2146),
    [anon_sym_inout] = ACTIONS(2146),
    [anon_sym_virtual] = ACTIONS(2146),
    [anon_sym_extern] = ACTIONS(2146),
    [anon_sym___attribute__] = ACTIONS(2146),
    [anon_sym_COLON_COLON] = ACTIONS(2148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2148),
    [anon_sym___declspec] = ACTIONS(2146),
    [anon_sym___based] = ACTIONS(2146),
    [anon_sym___cdecl] = ACTIONS(2146),
    [anon_sym___clrcall] = ACTIONS(2146),
    [anon_sym___stdcall] = ACTIONS(2146),
    [anon_sym___fastcall] = ACTIONS(2146),
    [anon_sym___thiscall] = ACTIONS(2146),
    [anon_sym___vectorcall] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_signed] = ACTIONS(2146),
    [anon_sym_unsigned] = ACTIONS(2146),
    [anon_sym_long] = ACTIONS(2146),
    [anon_sym_short] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_static] = ACTIONS(2146),
    [anon_sym_register] = ACTIONS(2146),
    [anon_sym_inline] = ACTIONS(2146),
    [anon_sym___inline] = ACTIONS(2146),
    [anon_sym___inline__] = ACTIONS(2146),
    [anon_sym___forceinline] = ACTIONS(2146),
    [anon_sym_thread_local] = ACTIONS(2146),
    [anon_sym___thread] = ACTIONS(2146),
    [anon_sym_const] = ACTIONS(2146),
    [anon_sym_constexpr] = ACTIONS(2146),
    [anon_sym_volatile] = ACTIONS(2146),
    [anon_sym_restrict] = ACTIONS(2146),
    [anon_sym___restrict__] = ACTIONS(2146),
    [anon_sym__Atomic] = ACTIONS(2146),
    [anon_sym__Noreturn] = ACTIONS(2146),
    [anon_sym_noreturn] = ACTIONS(2146),
    [anon_sym__Nonnull] = ACTIONS(2146),
    [anon_sym_mutable] = ACTIONS(2146),
    [anon_sym_constinit] = ACTIONS(2146),
    [anon_sym_consteval] = ACTIONS(2146),
    [anon_sym_alignas] = ACTIONS(2146),
    [anon_sym__Alignas] = ACTIONS(2146),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_enum] = ACTIONS(2146),
    [anon_sym_class] = ACTIONS(2146),
    [anon_sym_struct] = ACTIONS(2146),
    [anon_sym_union] = ACTIONS(2146),
    [anon_sym_if] = ACTIONS(2146),
    [anon_sym_else] = ACTIONS(2146),
    [anon_sym_switch] = ACTIONS(2146),
    [anon_sym_case] = ACTIONS(2146),
    [anon_sym_default] = ACTIONS(2146),
    [anon_sym_while] = ACTIONS(2146),
    [anon_sym_do] = ACTIONS(2146),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_return] = ACTIONS(2146),
    [anon_sym_break] = ACTIONS(2146),
    [anon_sym_continue] = ACTIONS(2146),
    [anon_sym_goto] = ACTIONS(2146),
    [anon_sym___try] = ACTIONS(2146),
    [anon_sym___leave] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2146),
    [anon_sym_compl] = ACTIONS(2146),
    [anon_sym_DASH_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_PLUS] = ACTIONS(2148),
    [anon_sym_sizeof] = ACTIONS(2146),
    [anon_sym___alignof__] = ACTIONS(2146),
    [anon_sym___alignof] = ACTIONS(2146),
    [anon_sym__alignof] = ACTIONS(2146),
    [anon_sym_alignof] = ACTIONS(2146),
    [anon_sym__Alignof] = ACTIONS(2146),
    [anon_sym_offsetof] = ACTIONS(2146),
    [anon_sym__Generic] = ACTIONS(2146),
    [anon_sym_asm] = ACTIONS(2146),
    [anon_sym___asm__] = ACTIONS(2146),
    [anon_sym___asm] = ACTIONS(2146),
    [sym_number_literal] = ACTIONS(2148),
    [anon_sym_L_SQUOTE] = ACTIONS(2148),
    [anon_sym_u_SQUOTE] = ACTIONS(2148),
    [anon_sym_U_SQUOTE] = ACTIONS(2148),
    [anon_sym_u8_SQUOTE] = ACTIONS(2148),
    [anon_sym_SQUOTE] = ACTIONS(2148),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2146),
    [sym_false] = ACTIONS(2146),
    [anon_sym_NULL] = ACTIONS(2146),
    [anon_sym_nullptr] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2146),
    [anon_sym_decltype] = ACTIONS(2146),
    [anon_sym_explicit] = ACTIONS(2146),
    [anon_sym_typename] = ACTIONS(2146),
    [anon_sym_template] = ACTIONS(2146),
    [anon_sym_operator] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_delete] = ACTIONS(2146),
    [anon_sym_throw] = ACTIONS(2146),
    [anon_sym_namespace] = ACTIONS(2146),
    [anon_sym_using] = ACTIONS(2146),
    [anon_sym_static_assert] = ACTIONS(2146),
    [anon_sym_concept] = ACTIONS(2146),
    [anon_sym_co_return] = ACTIONS(2146),
    [anon_sym_co_yield] = ACTIONS(2146),
    [anon_sym_R_DQUOTE] = ACTIONS(2148),
    [anon_sym_LR_DQUOTE] = ACTIONS(2148),
    [anon_sym_uR_DQUOTE] = ACTIONS(2148),
    [anon_sym_UR_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2148),
    [anon_sym_co_await] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(2146),
    [anon_sym_requires] = ACTIONS(2146),
    [sym_this] = ACTIONS(2146),
    [anon_sym_discard] = ACTIONS(2146),
    [anon_sym_precise] = ACTIONS(2146),
    [anon_sym_shared] = ACTIONS(2146),
    [anon_sym_groupshared] = ACTIONS(2146),
    [anon_sym_uniform] = ACTIONS(2146),
    [anon_sym_row_major] = ACTIONS(2146),
    [anon_sym_column_major] = ACTIONS(2146),
    [anon_sym_globallycoherent] = ACTIONS(2146),
    [anon_sym_centroid] = ACTIONS(2146),
    [anon_sym_noperspective] = ACTIONS(2146),
    [anon_sym_nointerpolation] = ACTIONS(2146),
    [anon_sym_sample] = ACTIONS(2146),
    [anon_sym_linear] = ACTIONS(2146),
    [anon_sym_snorm] = ACTIONS(2146),
    [anon_sym_unorm] = ACTIONS(2146),
    [anon_sym_point] = ACTIONS(2146),
    [anon_sym_line] = ACTIONS(2146),
    [anon_sym_triangleadj] = ACTIONS(2146),
    [anon_sym_lineadj] = ACTIONS(2146),
    [anon_sym_triangle] = ACTIONS(2146),
    [anon_sym_cbuffer] = ACTIONS(2146),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(2204),
    [sym_identifier] = ACTIONS(2202),
    [aux_sym_preproc_include_token1] = ACTIONS(2202),
    [aux_sym_preproc_def_token1] = ACTIONS(2202),
    [aux_sym_preproc_if_token1] = ACTIONS(2202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2202),
    [sym_preproc_directive] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2202),
    [anon_sym_typedef] = ACTIONS(2202),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_out] = ACTIONS(2202),
    [anon_sym_inout] = ACTIONS(2202),
    [anon_sym_virtual] = ACTIONS(2202),
    [anon_sym_extern] = ACTIONS(2202),
    [anon_sym___attribute__] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2202),
    [anon_sym___based] = ACTIONS(2202),
    [anon_sym___cdecl] = ACTIONS(2202),
    [anon_sym___clrcall] = ACTIONS(2202),
    [anon_sym___stdcall] = ACTIONS(2202),
    [anon_sym___fastcall] = ACTIONS(2202),
    [anon_sym___thiscall] = ACTIONS(2202),
    [anon_sym___vectorcall] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2202),
    [anon_sym_unsigned] = ACTIONS(2202),
    [anon_sym_long] = ACTIONS(2202),
    [anon_sym_short] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_static] = ACTIONS(2202),
    [anon_sym_register] = ACTIONS(2202),
    [anon_sym_inline] = ACTIONS(2202),
    [anon_sym___inline] = ACTIONS(2202),
    [anon_sym___inline__] = ACTIONS(2202),
    [anon_sym___forceinline] = ACTIONS(2202),
    [anon_sym_thread_local] = ACTIONS(2202),
    [anon_sym___thread] = ACTIONS(2202),
    [anon_sym_const] = ACTIONS(2202),
    [anon_sym_constexpr] = ACTIONS(2202),
    [anon_sym_volatile] = ACTIONS(2202),
    [anon_sym_restrict] = ACTIONS(2202),
    [anon_sym___restrict__] = ACTIONS(2202),
    [anon_sym__Atomic] = ACTIONS(2202),
    [anon_sym__Noreturn] = ACTIONS(2202),
    [anon_sym_noreturn] = ACTIONS(2202),
    [anon_sym__Nonnull] = ACTIONS(2202),
    [anon_sym_mutable] = ACTIONS(2202),
    [anon_sym_constinit] = ACTIONS(2202),
    [anon_sym_consteval] = ACTIONS(2202),
    [anon_sym_alignas] = ACTIONS(2202),
    [anon_sym__Alignas] = ACTIONS(2202),
    [sym_primitive_type] = ACTIONS(2202),
    [anon_sym_enum] = ACTIONS(2202),
    [anon_sym_class] = ACTIONS(2202),
    [anon_sym_struct] = ACTIONS(2202),
    [anon_sym_union] = ACTIONS(2202),
    [anon_sym_if] = ACTIONS(2202),
    [anon_sym_else] = ACTIONS(2202),
    [anon_sym_switch] = ACTIONS(2202),
    [anon_sym_case] = ACTIONS(2202),
    [anon_sym_default] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2202),
    [anon_sym_do] = ACTIONS(2202),
    [anon_sym_for] = ACTIONS(2202),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_break] = ACTIONS(2202),
    [anon_sym_continue] = ACTIONS(2202),
    [anon_sym_goto] = ACTIONS(2202),
    [anon_sym___try] = ACTIONS(2202),
    [anon_sym___leave] = ACTIONS(2202),
    [anon_sym_not] = ACTIONS(2202),
    [anon_sym_compl] = ACTIONS(2202),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2202),
    [anon_sym___alignof__] = ACTIONS(2202),
    [anon_sym___alignof] = ACTIONS(2202),
    [anon_sym__alignof] = ACTIONS(2202),
    [anon_sym_alignof] = ACTIONS(2202),
    [anon_sym__Alignof] = ACTIONS(2202),
    [anon_sym_offsetof] = ACTIONS(2202),
    [anon_sym__Generic] = ACTIONS(2202),
    [anon_sym_asm] = ACTIONS(2202),
    [anon_sym___asm__] = ACTIONS(2202),
    [anon_sym___asm] = ACTIONS(2202),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2202),
    [sym_false] = ACTIONS(2202),
    [anon_sym_NULL] = ACTIONS(2202),
    [anon_sym_nullptr] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2202),
    [anon_sym_decltype] = ACTIONS(2202),
    [anon_sym_explicit] = ACTIONS(2202),
    [anon_sym_typename] = ACTIONS(2202),
    [anon_sym_template] = ACTIONS(2202),
    [anon_sym_operator] = ACTIONS(2202),
    [anon_sym_try] = ACTIONS(2202),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2202),
    [anon_sym_namespace] = ACTIONS(2202),
    [anon_sym_using] = ACTIONS(2202),
    [anon_sym_static_assert] = ACTIONS(2202),
    [anon_sym_concept] = ACTIONS(2202),
    [anon_sym_co_return] = ACTIONS(2202),
    [anon_sym_co_yield] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2202),
    [anon_sym_requires] = ACTIONS(2202),
    [sym_this] = ACTIONS(2202),
    [anon_sym_discard] = ACTIONS(2202),
    [anon_sym_precise] = ACTIONS(2202),
    [anon_sym_shared] = ACTIONS(2202),
    [anon_sym_groupshared] = ACTIONS(2202),
    [anon_sym_uniform] = ACTIONS(2202),
    [anon_sym_row_major] = ACTIONS(2202),
    [anon_sym_column_major] = ACTIONS(2202),
    [anon_sym_globallycoherent] = ACTIONS(2202),
    [anon_sym_centroid] = ACTIONS(2202),
    [anon_sym_noperspective] = ACTIONS(2202),
    [anon_sym_nointerpolation] = ACTIONS(2202),
    [anon_sym_sample] = ACTIONS(2202),
    [anon_sym_linear] = ACTIONS(2202),
    [anon_sym_snorm] = ACTIONS(2202),
    [anon_sym_unorm] = ACTIONS(2202),
    [anon_sym_point] = ACTIONS(2202),
    [anon_sym_line] = ACTIONS(2202),
    [anon_sym_triangleadj] = ACTIONS(2202),
    [anon_sym_lineadj] = ACTIONS(2202),
    [anon_sym_triangle] = ACTIONS(2202),
    [anon_sym_cbuffer] = ACTIONS(2202),
  },
  [430] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [sym_number_literal] = ACTIONS(1971),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
    [anon_sym_discard] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
    [anon_sym_cbuffer] = ACTIONS(1973),
  },
  [431] = {
    [sym_identifier] = ACTIONS(2150),
    [aux_sym_preproc_include_token1] = ACTIONS(2150),
    [aux_sym_preproc_def_token1] = ACTIONS(2150),
    [aux_sym_preproc_if_token1] = ACTIONS(2150),
    [aux_sym_preproc_if_token2] = ACTIONS(2150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2150),
    [sym_preproc_directive] = ACTIONS(2150),
    [anon_sym_LPAREN2] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2152),
    [anon_sym_AMP] = ACTIONS(2150),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym___extension__] = ACTIONS(2150),
    [anon_sym_typedef] = ACTIONS(2150),
    [anon_sym_in] = ACTIONS(2150),
    [anon_sym_out] = ACTIONS(2150),
    [anon_sym_inout] = ACTIONS(2150),
    [anon_sym_virtual] = ACTIONS(2150),
    [anon_sym_extern] = ACTIONS(2150),
    [anon_sym___attribute__] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2152),
    [anon_sym___declspec] = ACTIONS(2150),
    [anon_sym___based] = ACTIONS(2150),
    [anon_sym___cdecl] = ACTIONS(2150),
    [anon_sym___clrcall] = ACTIONS(2150),
    [anon_sym___stdcall] = ACTIONS(2150),
    [anon_sym___fastcall] = ACTIONS(2150),
    [anon_sym___thiscall] = ACTIONS(2150),
    [anon_sym___vectorcall] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_signed] = ACTIONS(2150),
    [anon_sym_unsigned] = ACTIONS(2150),
    [anon_sym_long] = ACTIONS(2150),
    [anon_sym_short] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_static] = ACTIONS(2150),
    [anon_sym_register] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(2150),
    [anon_sym___inline] = ACTIONS(2150),
    [anon_sym___inline__] = ACTIONS(2150),
    [anon_sym___forceinline] = ACTIONS(2150),
    [anon_sym_thread_local] = ACTIONS(2150),
    [anon_sym___thread] = ACTIONS(2150),
    [anon_sym_const] = ACTIONS(2150),
    [anon_sym_constexpr] = ACTIONS(2150),
    [anon_sym_volatile] = ACTIONS(2150),
    [anon_sym_restrict] = ACTIONS(2150),
    [anon_sym___restrict__] = ACTIONS(2150),
    [anon_sym__Atomic] = ACTIONS(2150),
    [anon_sym__Noreturn] = ACTIONS(2150),
    [anon_sym_noreturn] = ACTIONS(2150),
    [anon_sym__Nonnull] = ACTIONS(2150),
    [anon_sym_mutable] = ACTIONS(2150),
    [anon_sym_constinit] = ACTIONS(2150),
    [anon_sym_consteval] = ACTIONS(2150),
    [anon_sym_alignas] = ACTIONS(2150),
    [anon_sym__Alignas] = ACTIONS(2150),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_enum] = ACTIONS(2150),
    [anon_sym_class] = ACTIONS(2150),
    [anon_sym_struct] = ACTIONS(2150),
    [anon_sym_union] = ACTIONS(2150),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_else] = ACTIONS(2150),
    [anon_sym_switch] = ACTIONS(2150),
    [anon_sym_case] = ACTIONS(2150),
    [anon_sym_default] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2150),
    [anon_sym_do] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2150),
    [anon_sym_return] = ACTIONS(2150),
    [anon_sym_break] = ACTIONS(2150),
    [anon_sym_continue] = ACTIONS(2150),
    [anon_sym_goto] = ACTIONS(2150),
    [anon_sym___try] = ACTIONS(2150),
    [anon_sym___leave] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2150),
    [anon_sym_compl] = ACTIONS(2150),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2150),
    [anon_sym__Generic] = ACTIONS(2150),
    [anon_sym_asm] = ACTIONS(2150),
    [anon_sym___asm__] = ACTIONS(2150),
    [anon_sym___asm] = ACTIONS(2150),
    [sym_number_literal] = ACTIONS(2152),
    [anon_sym_L_SQUOTE] = ACTIONS(2152),
    [anon_sym_u_SQUOTE] = ACTIONS(2152),
    [anon_sym_U_SQUOTE] = ACTIONS(2152),
    [anon_sym_u8_SQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_L_DQUOTE] = ACTIONS(2152),
    [anon_sym_u_DQUOTE] = ACTIONS(2152),
    [anon_sym_U_DQUOTE] = ACTIONS(2152),
    [anon_sym_u8_DQUOTE] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2150),
    [anon_sym_decltype] = ACTIONS(2150),
    [anon_sym_explicit] = ACTIONS(2150),
    [anon_sym_typename] = ACTIONS(2150),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_operator] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2150),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_throw] = ACTIONS(2150),
    [anon_sym_namespace] = ACTIONS(2150),
    [anon_sym_using] = ACTIONS(2150),
    [anon_sym_static_assert] = ACTIONS(2150),
    [anon_sym_concept] = ACTIONS(2150),
    [anon_sym_co_return] = ACTIONS(2150),
    [anon_sym_co_yield] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(2152),
    [anon_sym_LR_DQUOTE] = ACTIONS(2152),
    [anon_sym_uR_DQUOTE] = ACTIONS(2152),
    [anon_sym_UR_DQUOTE] = ACTIONS(2152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2152),
    [anon_sym_co_await] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2150),
    [anon_sym_requires] = ACTIONS(2150),
    [sym_this] = ACTIONS(2150),
    [anon_sym_discard] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(2150),
    [anon_sym_shared] = ACTIONS(2150),
    [anon_sym_groupshared] = ACTIONS(2150),
    [anon_sym_uniform] = ACTIONS(2150),
    [anon_sym_row_major] = ACTIONS(2150),
    [anon_sym_column_major] = ACTIONS(2150),
    [anon_sym_globallycoherent] = ACTIONS(2150),
    [anon_sym_centroid] = ACTIONS(2150),
    [anon_sym_noperspective] = ACTIONS(2150),
    [anon_sym_nointerpolation] = ACTIONS(2150),
    [anon_sym_sample] = ACTIONS(2150),
    [anon_sym_linear] = ACTIONS(2150),
    [anon_sym_snorm] = ACTIONS(2150),
    [anon_sym_unorm] = ACTIONS(2150),
    [anon_sym_point] = ACTIONS(2150),
    [anon_sym_line] = ACTIONS(2150),
    [anon_sym_triangleadj] = ACTIONS(2150),
    [anon_sym_lineadj] = ACTIONS(2150),
    [anon_sym_triangle] = ACTIONS(2150),
    [anon_sym_cbuffer] = ACTIONS(2150),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2154),
    [aux_sym_preproc_include_token1] = ACTIONS(2154),
    [aux_sym_preproc_def_token1] = ACTIONS(2154),
    [aux_sym_preproc_if_token1] = ACTIONS(2154),
    [aux_sym_preproc_if_token2] = ACTIONS(2154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2154),
    [sym_preproc_directive] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2156),
    [anon_sym_TILDE] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_AMP_AMP] = ACTIONS(2156),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_SEMI] = ACTIONS(2156),
    [anon_sym___extension__] = ACTIONS(2154),
    [anon_sym_typedef] = ACTIONS(2154),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_out] = ACTIONS(2154),
    [anon_sym_inout] = ACTIONS(2154),
    [anon_sym_virtual] = ACTIONS(2154),
    [anon_sym_extern] = ACTIONS(2154),
    [anon_sym___attribute__] = ACTIONS(2154),
    [anon_sym_COLON_COLON] = ACTIONS(2156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2156),
    [anon_sym___declspec] = ACTIONS(2154),
    [anon_sym___based] = ACTIONS(2154),
    [anon_sym___cdecl] = ACTIONS(2154),
    [anon_sym___clrcall] = ACTIONS(2154),
    [anon_sym___stdcall] = ACTIONS(2154),
    [anon_sym___fastcall] = ACTIONS(2154),
    [anon_sym___thiscall] = ACTIONS(2154),
    [anon_sym___vectorcall] = ACTIONS(2154),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_signed] = ACTIONS(2154),
    [anon_sym_unsigned] = ACTIONS(2154),
    [anon_sym_long] = ACTIONS(2154),
    [anon_sym_short] = ACTIONS(2154),
    [anon_sym_LBRACK] = ACTIONS(2154),
    [anon_sym_static] = ACTIONS(2154),
    [anon_sym_register] = ACTIONS(2154),
    [anon_sym_inline] = ACTIONS(2154),
    [anon_sym___inline] = ACTIONS(2154),
    [anon_sym___inline__] = ACTIONS(2154),
    [anon_sym___forceinline] = ACTIONS(2154),
    [anon_sym_thread_local] = ACTIONS(2154),
    [anon_sym___thread] = ACTIONS(2154),
    [anon_sym_const] = ACTIONS(2154),
    [anon_sym_constexpr] = ACTIONS(2154),
    [anon_sym_volatile] = ACTIONS(2154),
    [anon_sym_restrict] = ACTIONS(2154),
    [anon_sym___restrict__] = ACTIONS(2154),
    [anon_sym__Atomic] = ACTIONS(2154),
    [anon_sym__Noreturn] = ACTIONS(2154),
    [anon_sym_noreturn] = ACTIONS(2154),
    [anon_sym__Nonnull] = ACTIONS(2154),
    [anon_sym_mutable] = ACTIONS(2154),
    [anon_sym_constinit] = ACTIONS(2154),
    [anon_sym_consteval] = ACTIONS(2154),
    [anon_sym_alignas] = ACTIONS(2154),
    [anon_sym__Alignas] = ACTIONS(2154),
    [sym_primitive_type] = ACTIONS(2154),
    [anon_sym_enum] = ACTIONS(2154),
    [anon_sym_class] = ACTIONS(2154),
    [anon_sym_struct] = ACTIONS(2154),
    [anon_sym_union] = ACTIONS(2154),
    [anon_sym_if] = ACTIONS(2154),
    [anon_sym_else] = ACTIONS(2154),
    [anon_sym_switch] = ACTIONS(2154),
    [anon_sym_case] = ACTIONS(2154),
    [anon_sym_default] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(2154),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_break] = ACTIONS(2154),
    [anon_sym_continue] = ACTIONS(2154),
    [anon_sym_goto] = ACTIONS(2154),
    [anon_sym___try] = ACTIONS(2154),
    [anon_sym___leave] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2154),
    [anon_sym_compl] = ACTIONS(2154),
    [anon_sym_DASH_DASH] = ACTIONS(2156),
    [anon_sym_PLUS_PLUS] = ACTIONS(2156),
    [anon_sym_sizeof] = ACTIONS(2154),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2154),
    [anon_sym___asm__] = ACTIONS(2154),
    [anon_sym___asm] = ACTIONS(2154),
    [sym_number_literal] = ACTIONS(2156),
    [anon_sym_L_SQUOTE] = ACTIONS(2156),
    [anon_sym_u_SQUOTE] = ACTIONS(2156),
    [anon_sym_U_SQUOTE] = ACTIONS(2156),
    [anon_sym_u8_SQUOTE] = ACTIONS(2156),
    [anon_sym_SQUOTE] = ACTIONS(2156),
    [anon_sym_L_DQUOTE] = ACTIONS(2156),
    [anon_sym_u_DQUOTE] = ACTIONS(2156),
    [anon_sym_U_DQUOTE] = ACTIONS(2156),
    [anon_sym_u8_DQUOTE] = ACTIONS(2156),
    [anon_sym_DQUOTE] = ACTIONS(2156),
    [sym_true] = ACTIONS(2154),
    [sym_false] = ACTIONS(2154),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2154),
    [anon_sym_decltype] = ACTIONS(2154),
    [anon_sym_explicit] = ACTIONS(2154),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(2154),
    [anon_sym_operator] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2154),
    [anon_sym_delete] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2154),
    [anon_sym_using] = ACTIONS(2154),
    [anon_sym_static_assert] = ACTIONS(2154),
    [anon_sym_concept] = ACTIONS(2154),
    [anon_sym_co_return] = ACTIONS(2154),
    [anon_sym_co_yield] = ACTIONS(2154),
    [anon_sym_R_DQUOTE] = ACTIONS(2156),
    [anon_sym_LR_DQUOTE] = ACTIONS(2156),
    [anon_sym_uR_DQUOTE] = ACTIONS(2156),
    [anon_sym_UR_DQUOTE] = ACTIONS(2156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2156),
    [anon_sym_co_await] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2154),
    [anon_sym_requires] = ACTIONS(2154),
    [sym_this] = ACTIONS(2154),
    [anon_sym_discard] = ACTIONS(2154),
    [anon_sym_precise] = ACTIONS(2154),
    [anon_sym_shared] = ACTIONS(2154),
    [anon_sym_groupshared] = ACTIONS(2154),
    [anon_sym_uniform] = ACTIONS(2154),
    [anon_sym_row_major] = ACTIONS(2154),
    [anon_sym_column_major] = ACTIONS(2154),
    [anon_sym_globallycoherent] = ACTIONS(2154),
    [anon_sym_centroid] = ACTIONS(2154),
    [anon_sym_noperspective] = ACTIONS(2154),
    [anon_sym_nointerpolation] = ACTIONS(2154),
    [anon_sym_sample] = ACTIONS(2154),
    [anon_sym_linear] = ACTIONS(2154),
    [anon_sym_snorm] = ACTIONS(2154),
    [anon_sym_unorm] = ACTIONS(2154),
    [anon_sym_point] = ACTIONS(2154),
    [anon_sym_line] = ACTIONS(2154),
    [anon_sym_triangleadj] = ACTIONS(2154),
    [anon_sym_lineadj] = ACTIONS(2154),
    [anon_sym_triangle] = ACTIONS(2154),
    [anon_sym_cbuffer] = ACTIONS(2154),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2158),
    [aux_sym_preproc_include_token1] = ACTIONS(2158),
    [aux_sym_preproc_def_token1] = ACTIONS(2158),
    [aux_sym_preproc_if_token1] = ACTIONS(2158),
    [aux_sym_preproc_if_token2] = ACTIONS(2158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2158),
    [sym_preproc_directive] = ACTIONS(2158),
    [anon_sym_LPAREN2] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2158),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2158),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym___extension__] = ACTIONS(2158),
    [anon_sym_typedef] = ACTIONS(2158),
    [anon_sym_in] = ACTIONS(2158),
    [anon_sym_out] = ACTIONS(2158),
    [anon_sym_inout] = ACTIONS(2158),
    [anon_sym_virtual] = ACTIONS(2158),
    [anon_sym_extern] = ACTIONS(2158),
    [anon_sym___attribute__] = ACTIONS(2158),
    [anon_sym_COLON_COLON] = ACTIONS(2160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2160),
    [anon_sym___declspec] = ACTIONS(2158),
    [anon_sym___based] = ACTIONS(2158),
    [anon_sym___cdecl] = ACTIONS(2158),
    [anon_sym___clrcall] = ACTIONS(2158),
    [anon_sym___stdcall] = ACTIONS(2158),
    [anon_sym___fastcall] = ACTIONS(2158),
    [anon_sym___thiscall] = ACTIONS(2158),
    [anon_sym___vectorcall] = ACTIONS(2158),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_signed] = ACTIONS(2158),
    [anon_sym_unsigned] = ACTIONS(2158),
    [anon_sym_long] = ACTIONS(2158),
    [anon_sym_short] = ACTIONS(2158),
    [anon_sym_LBRACK] = ACTIONS(2158),
    [anon_sym_static] = ACTIONS(2158),
    [anon_sym_register] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(2158),
    [anon_sym___inline] = ACTIONS(2158),
    [anon_sym___inline__] = ACTIONS(2158),
    [anon_sym___forceinline] = ACTIONS(2158),
    [anon_sym_thread_local] = ACTIONS(2158),
    [anon_sym___thread] = ACTIONS(2158),
    [anon_sym_const] = ACTIONS(2158),
    [anon_sym_constexpr] = ACTIONS(2158),
    [anon_sym_volatile] = ACTIONS(2158),
    [anon_sym_restrict] = ACTIONS(2158),
    [anon_sym___restrict__] = ACTIONS(2158),
    [anon_sym__Atomic] = ACTIONS(2158),
    [anon_sym__Noreturn] = ACTIONS(2158),
    [anon_sym_noreturn] = ACTIONS(2158),
    [anon_sym__Nonnull] = ACTIONS(2158),
    [anon_sym_mutable] = ACTIONS(2158),
    [anon_sym_constinit] = ACTIONS(2158),
    [anon_sym_consteval] = ACTIONS(2158),
    [anon_sym_alignas] = ACTIONS(2158),
    [anon_sym__Alignas] = ACTIONS(2158),
    [sym_primitive_type] = ACTIONS(2158),
    [anon_sym_enum] = ACTIONS(2158),
    [anon_sym_class] = ACTIONS(2158),
    [anon_sym_struct] = ACTIONS(2158),
    [anon_sym_union] = ACTIONS(2158),
    [anon_sym_if] = ACTIONS(2158),
    [anon_sym_else] = ACTIONS(2158),
    [anon_sym_switch] = ACTIONS(2158),
    [anon_sym_case] = ACTIONS(2158),
    [anon_sym_default] = ACTIONS(2158),
    [anon_sym_while] = ACTIONS(2158),
    [anon_sym_do] = ACTIONS(2158),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_return] = ACTIONS(2158),
    [anon_sym_break] = ACTIONS(2158),
    [anon_sym_continue] = ACTIONS(2158),
    [anon_sym_goto] = ACTIONS(2158),
    [anon_sym___try] = ACTIONS(2158),
    [anon_sym___leave] = ACTIONS(2158),
    [anon_sym_not] = ACTIONS(2158),
    [anon_sym_compl] = ACTIONS(2158),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_sizeof] = ACTIONS(2158),
    [anon_sym___alignof__] = ACTIONS(2158),
    [anon_sym___alignof] = ACTIONS(2158),
    [anon_sym__alignof] = ACTIONS(2158),
    [anon_sym_alignof] = ACTIONS(2158),
    [anon_sym__Alignof] = ACTIONS(2158),
    [anon_sym_offsetof] = ACTIONS(2158),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym___asm] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2160),
    [anon_sym_u_DQUOTE] = ACTIONS(2160),
    [anon_sym_U_DQUOTE] = ACTIONS(2160),
    [anon_sym_u8_DQUOTE] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [sym_true] = ACTIONS(2158),
    [sym_false] = ACTIONS(2158),
    [anon_sym_NULL] = ACTIONS(2158),
    [anon_sym_nullptr] = ACTIONS(2158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2158),
    [anon_sym_decltype] = ACTIONS(2158),
    [anon_sym_explicit] = ACTIONS(2158),
    [anon_sym_typename] = ACTIONS(2158),
    [anon_sym_template] = ACTIONS(2158),
    [anon_sym_operator] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2158),
    [anon_sym_delete] = ACTIONS(2158),
    [anon_sym_throw] = ACTIONS(2158),
    [anon_sym_namespace] = ACTIONS(2158),
    [anon_sym_using] = ACTIONS(2158),
    [anon_sym_static_assert] = ACTIONS(2158),
    [anon_sym_concept] = ACTIONS(2158),
    [anon_sym_co_return] = ACTIONS(2158),
    [anon_sym_co_yield] = ACTIONS(2158),
    [anon_sym_R_DQUOTE] = ACTIONS(2160),
    [anon_sym_LR_DQUOTE] = ACTIONS(2160),
    [anon_sym_uR_DQUOTE] = ACTIONS(2160),
    [anon_sym_UR_DQUOTE] = ACTIONS(2160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2160),
    [anon_sym_co_await] = ACTIONS(2158),
    [anon_sym_new] = ACTIONS(2158),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2158),
    [anon_sym_discard] = ACTIONS(2158),
    [anon_sym_precise] = ACTIONS(2158),
    [anon_sym_shared] = ACTIONS(2158),
    [anon_sym_groupshared] = ACTIONS(2158),
    [anon_sym_uniform] = ACTIONS(2158),
    [anon_sym_row_major] = ACTIONS(2158),
    [anon_sym_column_major] = ACTIONS(2158),
    [anon_sym_globallycoherent] = ACTIONS(2158),
    [anon_sym_centroid] = ACTIONS(2158),
    [anon_sym_noperspective] = ACTIONS(2158),
    [anon_sym_nointerpolation] = ACTIONS(2158),
    [anon_sym_sample] = ACTIONS(2158),
    [anon_sym_linear] = ACTIONS(2158),
    [anon_sym_snorm] = ACTIONS(2158),
    [anon_sym_unorm] = ACTIONS(2158),
    [anon_sym_point] = ACTIONS(2158),
    [anon_sym_line] = ACTIONS(2158),
    [anon_sym_triangleadj] = ACTIONS(2158),
    [anon_sym_lineadj] = ACTIONS(2158),
    [anon_sym_triangle] = ACTIONS(2158),
    [anon_sym_cbuffer] = ACTIONS(2158),
  },
  [434] = {
    [sym_identifier] = ACTIONS(2162),
    [aux_sym_preproc_include_token1] = ACTIONS(2162),
    [aux_sym_preproc_def_token1] = ACTIONS(2162),
    [aux_sym_preproc_if_token1] = ACTIONS(2162),
    [aux_sym_preproc_if_token2] = ACTIONS(2162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2162),
    [sym_preproc_directive] = ACTIONS(2162),
    [anon_sym_LPAREN2] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2164),
    [anon_sym_AMP_AMP] = ACTIONS(2164),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym___extension__] = ACTIONS(2162),
    [anon_sym_typedef] = ACTIONS(2162),
    [anon_sym_in] = ACTIONS(2162),
    [anon_sym_out] = ACTIONS(2162),
    [anon_sym_inout] = ACTIONS(2162),
    [anon_sym_virtual] = ACTIONS(2162),
    [anon_sym_extern] = ACTIONS(2162),
    [anon_sym___attribute__] = ACTIONS(2162),
    [anon_sym_COLON_COLON] = ACTIONS(2164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2164),
    [anon_sym___declspec] = ACTIONS(2162),
    [anon_sym___based] = ACTIONS(2162),
    [anon_sym___cdecl] = ACTIONS(2162),
    [anon_sym___clrcall] = ACTIONS(2162),
    [anon_sym___stdcall] = ACTIONS(2162),
    [anon_sym___fastcall] = ACTIONS(2162),
    [anon_sym___thiscall] = ACTIONS(2162),
    [anon_sym___vectorcall] = ACTIONS(2162),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_signed] = ACTIONS(2162),
    [anon_sym_unsigned] = ACTIONS(2162),
    [anon_sym_long] = ACTIONS(2162),
    [anon_sym_short] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_static] = ACTIONS(2162),
    [anon_sym_register] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(2162),
    [anon_sym___inline] = ACTIONS(2162),
    [anon_sym___inline__] = ACTIONS(2162),
    [anon_sym___forceinline] = ACTIONS(2162),
    [anon_sym_thread_local] = ACTIONS(2162),
    [anon_sym___thread] = ACTIONS(2162),
    [anon_sym_const] = ACTIONS(2162),
    [anon_sym_constexpr] = ACTIONS(2162),
    [anon_sym_volatile] = ACTIONS(2162),
    [anon_sym_restrict] = ACTIONS(2162),
    [anon_sym___restrict__] = ACTIONS(2162),
    [anon_sym__Atomic] = ACTIONS(2162),
    [anon_sym__Noreturn] = ACTIONS(2162),
    [anon_sym_noreturn] = ACTIONS(2162),
    [anon_sym__Nonnull] = ACTIONS(2162),
    [anon_sym_mutable] = ACTIONS(2162),
    [anon_sym_constinit] = ACTIONS(2162),
    [anon_sym_consteval] = ACTIONS(2162),
    [anon_sym_alignas] = ACTIONS(2162),
    [anon_sym__Alignas] = ACTIONS(2162),
    [sym_primitive_type] = ACTIONS(2162),
    [anon_sym_enum] = ACTIONS(2162),
    [anon_sym_class] = ACTIONS(2162),
    [anon_sym_struct] = ACTIONS(2162),
    [anon_sym_union] = ACTIONS(2162),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_else] = ACTIONS(2162),
    [anon_sym_switch] = ACTIONS(2162),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_do] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2162),
    [anon_sym_return] = ACTIONS(2162),
    [anon_sym_break] = ACTIONS(2162),
    [anon_sym_continue] = ACTIONS(2162),
    [anon_sym_goto] = ACTIONS(2162),
    [anon_sym___try] = ACTIONS(2162),
    [anon_sym___leave] = ACTIONS(2162),
    [anon_sym_not] = ACTIONS(2162),
    [anon_sym_compl] = ACTIONS(2162),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_sizeof] = ACTIONS(2162),
    [anon_sym___alignof__] = ACTIONS(2162),
    [anon_sym___alignof] = ACTIONS(2162),
    [anon_sym__alignof] = ACTIONS(2162),
    [anon_sym_alignof] = ACTIONS(2162),
    [anon_sym__Alignof] = ACTIONS(2162),
    [anon_sym_offsetof] = ACTIONS(2162),
    [anon_sym__Generic] = ACTIONS(2162),
    [anon_sym_asm] = ACTIONS(2162),
    [anon_sym___asm__] = ACTIONS(2162),
    [anon_sym___asm] = ACTIONS(2162),
    [sym_number_literal] = ACTIONS(2164),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2162),
    [sym_false] = ACTIONS(2162),
    [anon_sym_NULL] = ACTIONS(2162),
    [anon_sym_nullptr] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2162),
    [anon_sym_decltype] = ACTIONS(2162),
    [anon_sym_explicit] = ACTIONS(2162),
    [anon_sym_typename] = ACTIONS(2162),
    [anon_sym_template] = ACTIONS(2162),
    [anon_sym_operator] = ACTIONS(2162),
    [anon_sym_try] = ACTIONS(2162),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2162),
    [anon_sym_namespace] = ACTIONS(2162),
    [anon_sym_using] = ACTIONS(2162),
    [anon_sym_static_assert] = ACTIONS(2162),
    [anon_sym_concept] = ACTIONS(2162),
    [anon_sym_co_return] = ACTIONS(2162),
    [anon_sym_co_yield] = ACTIONS(2162),
    [anon_sym_R_DQUOTE] = ACTIONS(2164),
    [anon_sym_LR_DQUOTE] = ACTIONS(2164),
    [anon_sym_uR_DQUOTE] = ACTIONS(2164),
    [anon_sym_UR_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2164),
    [anon_sym_co_await] = ACTIONS(2162),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2162),
    [anon_sym_discard] = ACTIONS(2162),
    [anon_sym_precise] = ACTIONS(2162),
    [anon_sym_shared] = ACTIONS(2162),
    [anon_sym_groupshared] = ACTIONS(2162),
    [anon_sym_uniform] = ACTIONS(2162),
    [anon_sym_row_major] = ACTIONS(2162),
    [anon_sym_column_major] = ACTIONS(2162),
    [anon_sym_globallycoherent] = ACTIONS(2162),
    [anon_sym_centroid] = ACTIONS(2162),
    [anon_sym_noperspective] = ACTIONS(2162),
    [anon_sym_nointerpolation] = ACTIONS(2162),
    [anon_sym_sample] = ACTIONS(2162),
    [anon_sym_linear] = ACTIONS(2162),
    [anon_sym_snorm] = ACTIONS(2162),
    [anon_sym_unorm] = ACTIONS(2162),
    [anon_sym_point] = ACTIONS(2162),
    [anon_sym_line] = ACTIONS(2162),
    [anon_sym_triangleadj] = ACTIONS(2162),
    [anon_sym_lineadj] = ACTIONS(2162),
    [anon_sym_triangle] = ACTIONS(2162),
    [anon_sym_cbuffer] = ACTIONS(2162),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2166),
    [aux_sym_preproc_include_token1] = ACTIONS(2166),
    [aux_sym_preproc_def_token1] = ACTIONS(2166),
    [aux_sym_preproc_if_token1] = ACTIONS(2166),
    [aux_sym_preproc_if_token2] = ACTIONS(2166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2166),
    [sym_preproc_directive] = ACTIONS(2166),
    [anon_sym_LPAREN2] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_STAR] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym___extension__] = ACTIONS(2166),
    [anon_sym_typedef] = ACTIONS(2166),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_out] = ACTIONS(2166),
    [anon_sym_inout] = ACTIONS(2166),
    [anon_sym_virtual] = ACTIONS(2166),
    [anon_sym_extern] = ACTIONS(2166),
    [anon_sym___attribute__] = ACTIONS(2166),
    [anon_sym_COLON_COLON] = ACTIONS(2168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2168),
    [anon_sym___declspec] = ACTIONS(2166),
    [anon_sym___based] = ACTIONS(2166),
    [anon_sym___cdecl] = ACTIONS(2166),
    [anon_sym___clrcall] = ACTIONS(2166),
    [anon_sym___stdcall] = ACTIONS(2166),
    [anon_sym___fastcall] = ACTIONS(2166),
    [anon_sym___thiscall] = ACTIONS(2166),
    [anon_sym___vectorcall] = ACTIONS(2166),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_signed] = ACTIONS(2166),
    [anon_sym_unsigned] = ACTIONS(2166),
    [anon_sym_long] = ACTIONS(2166),
    [anon_sym_short] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2166),
    [anon_sym_static] = ACTIONS(2166),
    [anon_sym_register] = ACTIONS(2166),
    [anon_sym_inline] = ACTIONS(2166),
    [anon_sym___inline] = ACTIONS(2166),
    [anon_sym___inline__] = ACTIONS(2166),
    [anon_sym___forceinline] = ACTIONS(2166),
    [anon_sym_thread_local] = ACTIONS(2166),
    [anon_sym___thread] = ACTIONS(2166),
    [anon_sym_const] = ACTIONS(2166),
    [anon_sym_constexpr] = ACTIONS(2166),
    [anon_sym_volatile] = ACTIONS(2166),
    [anon_sym_restrict] = ACTIONS(2166),
    [anon_sym___restrict__] = ACTIONS(2166),
    [anon_sym__Atomic] = ACTIONS(2166),
    [anon_sym__Noreturn] = ACTIONS(2166),
    [anon_sym_noreturn] = ACTIONS(2166),
    [anon_sym__Nonnull] = ACTIONS(2166),
    [anon_sym_mutable] = ACTIONS(2166),
    [anon_sym_constinit] = ACTIONS(2166),
    [anon_sym_consteval] = ACTIONS(2166),
    [anon_sym_alignas] = ACTIONS(2166),
    [anon_sym__Alignas] = ACTIONS(2166),
    [sym_primitive_type] = ACTIONS(2166),
    [anon_sym_enum] = ACTIONS(2166),
    [anon_sym_class] = ACTIONS(2166),
    [anon_sym_struct] = ACTIONS(2166),
    [anon_sym_union] = ACTIONS(2166),
    [anon_sym_if] = ACTIONS(2166),
    [anon_sym_else] = ACTIONS(2166),
    [anon_sym_switch] = ACTIONS(2166),
    [anon_sym_case] = ACTIONS(2166),
    [anon_sym_default] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(2166),
    [anon_sym_for] = ACTIONS(2166),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_break] = ACTIONS(2166),
    [anon_sym_continue] = ACTIONS(2166),
    [anon_sym_goto] = ACTIONS(2166),
    [anon_sym___try] = ACTIONS(2166),
    [anon_sym___leave] = ACTIONS(2166),
    [anon_sym_not] = ACTIONS(2166),
    [anon_sym_compl] = ACTIONS(2166),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_sizeof] = ACTIONS(2166),
    [anon_sym___alignof__] = ACTIONS(2166),
    [anon_sym___alignof] = ACTIONS(2166),
    [anon_sym__alignof] = ACTIONS(2166),
    [anon_sym_alignof] = ACTIONS(2166),
    [anon_sym__Alignof] = ACTIONS(2166),
    [anon_sym_offsetof] = ACTIONS(2166),
    [anon_sym__Generic] = ACTIONS(2166),
    [anon_sym_asm] = ACTIONS(2166),
    [anon_sym___asm__] = ACTIONS(2166),
    [anon_sym___asm] = ACTIONS(2166),
    [sym_number_literal] = ACTIONS(2168),
    [anon_sym_L_SQUOTE] = ACTIONS(2168),
    [anon_sym_u_SQUOTE] = ACTIONS(2168),
    [anon_sym_U_SQUOTE] = ACTIONS(2168),
    [anon_sym_u8_SQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_L_DQUOTE] = ACTIONS(2168),
    [anon_sym_u_DQUOTE] = ACTIONS(2168),
    [anon_sym_U_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8_DQUOTE] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2166),
    [anon_sym_decltype] = ACTIONS(2166),
    [anon_sym_explicit] = ACTIONS(2166),
    [anon_sym_typename] = ACTIONS(2166),
    [anon_sym_template] = ACTIONS(2166),
    [anon_sym_operator] = ACTIONS(2166),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_namespace] = ACTIONS(2166),
    [anon_sym_using] = ACTIONS(2166),
    [anon_sym_static_assert] = ACTIONS(2166),
    [anon_sym_concept] = ACTIONS(2166),
    [anon_sym_co_return] = ACTIONS(2166),
    [anon_sym_co_yield] = ACTIONS(2166),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(2166),
    [anon_sym_requires] = ACTIONS(2166),
    [sym_this] = ACTIONS(2166),
    [anon_sym_discard] = ACTIONS(2166),
    [anon_sym_precise] = ACTIONS(2166),
    [anon_sym_shared] = ACTIONS(2166),
    [anon_sym_groupshared] = ACTIONS(2166),
    [anon_sym_uniform] = ACTIONS(2166),
    [anon_sym_row_major] = ACTIONS(2166),
    [anon_sym_column_major] = ACTIONS(2166),
    [anon_sym_globallycoherent] = ACTIONS(2166),
    [anon_sym_centroid] = ACTIONS(2166),
    [anon_sym_noperspective] = ACTIONS(2166),
    [anon_sym_nointerpolation] = ACTIONS(2166),
    [anon_sym_sample] = ACTIONS(2166),
    [anon_sym_linear] = ACTIONS(2166),
    [anon_sym_snorm] = ACTIONS(2166),
    [anon_sym_unorm] = ACTIONS(2166),
    [anon_sym_point] = ACTIONS(2166),
    [anon_sym_line] = ACTIONS(2166),
    [anon_sym_triangleadj] = ACTIONS(2166),
    [anon_sym_lineadj] = ACTIONS(2166),
    [anon_sym_triangle] = ACTIONS(2166),
    [anon_sym_cbuffer] = ACTIONS(2166),
  },
  [436] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_include_token1] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym___cdecl] = ACTIONS(2206),
    [anon_sym___clrcall] = ACTIONS(2206),
    [anon_sym___stdcall] = ACTIONS(2206),
    [anon_sym___fastcall] = ACTIONS(2206),
    [anon_sym___thiscall] = ACTIONS(2206),
    [anon_sym___vectorcall] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym__Nonnull] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym__Alignas] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [anon_sym___asm] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_concept] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(2224),
    [sym_identifier] = ACTIONS(2222),
    [aux_sym_preproc_include_token1] = ACTIONS(2222),
    [aux_sym_preproc_def_token1] = ACTIONS(2222),
    [aux_sym_preproc_if_token1] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2222),
    [sym_preproc_directive] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2222),
    [anon_sym_STAR] = ACTIONS(2224),
    [anon_sym_AMP_AMP] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym___extension__] = ACTIONS(2222),
    [anon_sym_typedef] = ACTIONS(2222),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_out] = ACTIONS(2222),
    [anon_sym_inout] = ACTIONS(2222),
    [anon_sym_virtual] = ACTIONS(2222),
    [anon_sym_extern] = ACTIONS(2222),
    [anon_sym___attribute__] = ACTIONS(2222),
    [anon_sym_COLON_COLON] = ACTIONS(2224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2224),
    [anon_sym___declspec] = ACTIONS(2222),
    [anon_sym___based] = ACTIONS(2222),
    [anon_sym___cdecl] = ACTIONS(2222),
    [anon_sym___clrcall] = ACTIONS(2222),
    [anon_sym___stdcall] = ACTIONS(2222),
    [anon_sym___fastcall] = ACTIONS(2222),
    [anon_sym___thiscall] = ACTIONS(2222),
    [anon_sym___vectorcall] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_signed] = ACTIONS(2222),
    [anon_sym_unsigned] = ACTIONS(2222),
    [anon_sym_long] = ACTIONS(2222),
    [anon_sym_short] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_static] = ACTIONS(2222),
    [anon_sym_register] = ACTIONS(2222),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym___inline] = ACTIONS(2222),
    [anon_sym___inline__] = ACTIONS(2222),
    [anon_sym___forceinline] = ACTIONS(2222),
    [anon_sym_thread_local] = ACTIONS(2222),
    [anon_sym___thread] = ACTIONS(2222),
    [anon_sym_const] = ACTIONS(2222),
    [anon_sym_constexpr] = ACTIONS(2222),
    [anon_sym_volatile] = ACTIONS(2222),
    [anon_sym_restrict] = ACTIONS(2222),
    [anon_sym___restrict__] = ACTIONS(2222),
    [anon_sym__Atomic] = ACTIONS(2222),
    [anon_sym__Noreturn] = ACTIONS(2222),
    [anon_sym_noreturn] = ACTIONS(2222),
    [anon_sym__Nonnull] = ACTIONS(2222),
    [anon_sym_mutable] = ACTIONS(2222),
    [anon_sym_constinit] = ACTIONS(2222),
    [anon_sym_consteval] = ACTIONS(2222),
    [anon_sym_alignas] = ACTIONS(2222),
    [anon_sym__Alignas] = ACTIONS(2222),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_enum] = ACTIONS(2222),
    [anon_sym_class] = ACTIONS(2222),
    [anon_sym_struct] = ACTIONS(2222),
    [anon_sym_union] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(2222),
    [anon_sym_else] = ACTIONS(2222),
    [anon_sym_switch] = ACTIONS(2222),
    [anon_sym_case] = ACTIONS(2222),
    [anon_sym_default] = ACTIONS(2222),
    [anon_sym_while] = ACTIONS(2222),
    [anon_sym_do] = ACTIONS(2222),
    [anon_sym_for] = ACTIONS(2222),
    [anon_sym_return] = ACTIONS(2222),
    [anon_sym_break] = ACTIONS(2222),
    [anon_sym_continue] = ACTIONS(2222),
    [anon_sym_goto] = ACTIONS(2222),
    [anon_sym___try] = ACTIONS(2222),
    [anon_sym___leave] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2222),
    [anon_sym_compl] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2222),
    [anon_sym___alignof] = ACTIONS(2222),
    [anon_sym__alignof] = ACTIONS(2222),
    [anon_sym_alignof] = ACTIONS(2222),
    [anon_sym__Alignof] = ACTIONS(2222),
    [anon_sym_offsetof] = ACTIONS(2222),
    [anon_sym__Generic] = ACTIONS(2222),
    [anon_sym_asm] = ACTIONS(2222),
    [anon_sym___asm__] = ACTIONS(2222),
    [anon_sym___asm] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2224),
    [anon_sym_L_SQUOTE] = ACTIONS(2224),
    [anon_sym_u_SQUOTE] = ACTIONS(2224),
    [anon_sym_U_SQUOTE] = ACTIONS(2224),
    [anon_sym_u8_SQUOTE] = ACTIONS(2224),
    [anon_sym_SQUOTE] = ACTIONS(2224),
    [anon_sym_L_DQUOTE] = ACTIONS(2224),
    [anon_sym_u_DQUOTE] = ACTIONS(2224),
    [anon_sym_U_DQUOTE] = ACTIONS(2224),
    [anon_sym_u8_DQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2224),
    [sym_true] = ACTIONS(2222),
    [sym_false] = ACTIONS(2222),
    [anon_sym_NULL] = ACTIONS(2222),
    [anon_sym_nullptr] = ACTIONS(2222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2222),
    [anon_sym_decltype] = ACTIONS(2222),
    [anon_sym_explicit] = ACTIONS(2222),
    [anon_sym_typename] = ACTIONS(2222),
    [anon_sym_template] = ACTIONS(2222),
    [anon_sym_operator] = ACTIONS(2222),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_delete] = ACTIONS(2222),
    [anon_sym_throw] = ACTIONS(2222),
    [anon_sym_namespace] = ACTIONS(2222),
    [anon_sym_using] = ACTIONS(2222),
    [anon_sym_static_assert] = ACTIONS(2222),
    [anon_sym_concept] = ACTIONS(2222),
    [anon_sym_co_return] = ACTIONS(2222),
    [anon_sym_co_yield] = ACTIONS(2222),
    [anon_sym_R_DQUOTE] = ACTIONS(2224),
    [anon_sym_LR_DQUOTE] = ACTIONS(2224),
    [anon_sym_uR_DQUOTE] = ACTIONS(2224),
    [anon_sym_UR_DQUOTE] = ACTIONS(2224),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2224),
    [anon_sym_co_await] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2222),
    [anon_sym_requires] = ACTIONS(2222),
    [sym_this] = ACTIONS(2222),
    [anon_sym_discard] = ACTIONS(2222),
    [anon_sym_precise] = ACTIONS(2222),
    [anon_sym_shared] = ACTIONS(2222),
    [anon_sym_groupshared] = ACTIONS(2222),
    [anon_sym_uniform] = ACTIONS(2222),
    [anon_sym_row_major] = ACTIONS(2222),
    [anon_sym_column_major] = ACTIONS(2222),
    [anon_sym_globallycoherent] = ACTIONS(2222),
    [anon_sym_centroid] = ACTIONS(2222),
    [anon_sym_noperspective] = ACTIONS(2222),
    [anon_sym_nointerpolation] = ACTIONS(2222),
    [anon_sym_sample] = ACTIONS(2222),
    [anon_sym_linear] = ACTIONS(2222),
    [anon_sym_snorm] = ACTIONS(2222),
    [anon_sym_unorm] = ACTIONS(2222),
    [anon_sym_point] = ACTIONS(2222),
    [anon_sym_line] = ACTIONS(2222),
    [anon_sym_triangleadj] = ACTIONS(2222),
    [anon_sym_lineadj] = ACTIONS(2222),
    [anon_sym_triangle] = ACTIONS(2222),
    [anon_sym_cbuffer] = ACTIONS(2222),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2190),
    [aux_sym_preproc_include_token1] = ACTIONS(2190),
    [aux_sym_preproc_def_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token2] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2190),
    [sym_preproc_directive] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(2190),
    [anon_sym___cdecl] = ACTIONS(2190),
    [anon_sym___clrcall] = ACTIONS(2190),
    [anon_sym___stdcall] = ACTIONS(2190),
    [anon_sym___fastcall] = ACTIONS(2190),
    [anon_sym___thiscall] = ACTIONS(2190),
    [anon_sym___vectorcall] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym__Nonnull] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym__Alignas] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [anon_sym___asm] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_explicit] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_operator] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_static_assert] = ACTIONS(2190),
    [anon_sym_concept] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [439] = {
    [sym_identifier] = ACTIONS(2194),
    [aux_sym_preproc_include_token1] = ACTIONS(2194),
    [aux_sym_preproc_def_token1] = ACTIONS(2194),
    [aux_sym_preproc_if_token1] = ACTIONS(2194),
    [aux_sym_preproc_if_token2] = ACTIONS(2194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2194),
    [sym_preproc_directive] = ACTIONS(2194),
    [anon_sym_LPAREN2] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym___extension__] = ACTIONS(2194),
    [anon_sym_typedef] = ACTIONS(2194),
    [anon_sym_in] = ACTIONS(2194),
    [anon_sym_out] = ACTIONS(2194),
    [anon_sym_inout] = ACTIONS(2194),
    [anon_sym_virtual] = ACTIONS(2194),
    [anon_sym_extern] = ACTIONS(2194),
    [anon_sym___attribute__] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2196),
    [anon_sym___declspec] = ACTIONS(2194),
    [anon_sym___based] = ACTIONS(2194),
    [anon_sym___cdecl] = ACTIONS(2194),
    [anon_sym___clrcall] = ACTIONS(2194),
    [anon_sym___stdcall] = ACTIONS(2194),
    [anon_sym___fastcall] = ACTIONS(2194),
    [anon_sym___thiscall] = ACTIONS(2194),
    [anon_sym___vectorcall] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_signed] = ACTIONS(2194),
    [anon_sym_unsigned] = ACTIONS(2194),
    [anon_sym_long] = ACTIONS(2194),
    [anon_sym_short] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_register] = ACTIONS(2194),
    [anon_sym_inline] = ACTIONS(2194),
    [anon_sym___inline] = ACTIONS(2194),
    [anon_sym___inline__] = ACTIONS(2194),
    [anon_sym___forceinline] = ACTIONS(2194),
    [anon_sym_thread_local] = ACTIONS(2194),
    [anon_sym___thread] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_constexpr] = ACTIONS(2194),
    [anon_sym_volatile] = ACTIONS(2194),
    [anon_sym_restrict] = ACTIONS(2194),
    [anon_sym___restrict__] = ACTIONS(2194),
    [anon_sym__Atomic] = ACTIONS(2194),
    [anon_sym__Noreturn] = ACTIONS(2194),
    [anon_sym_noreturn] = ACTIONS(2194),
    [anon_sym__Nonnull] = ACTIONS(2194),
    [anon_sym_mutable] = ACTIONS(2194),
    [anon_sym_constinit] = ACTIONS(2194),
    [anon_sym_consteval] = ACTIONS(2194),
    [anon_sym_alignas] = ACTIONS(2194),
    [anon_sym__Alignas] = ACTIONS(2194),
    [sym_primitive_type] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_struct] = ACTIONS(2194),
    [anon_sym_union] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_else] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_case] = ACTIONS(2194),
    [anon_sym_default] = ACTIONS(2194),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_goto] = ACTIONS(2194),
    [anon_sym___try] = ACTIONS(2194),
    [anon_sym___leave] = ACTIONS(2194),
    [anon_sym_not] = ACTIONS(2194),
    [anon_sym_compl] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2194),
    [anon_sym___alignof] = ACTIONS(2194),
    [anon_sym__alignof] = ACTIONS(2194),
    [anon_sym_alignof] = ACTIONS(2194),
    [anon_sym__Alignof] = ACTIONS(2194),
    [anon_sym_offsetof] = ACTIONS(2194),
    [anon_sym__Generic] = ACTIONS(2194),
    [anon_sym_asm] = ACTIONS(2194),
    [anon_sym___asm__] = ACTIONS(2194),
    [anon_sym___asm] = ACTIONS(2194),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [anon_sym_NULL] = ACTIONS(2194),
    [anon_sym_nullptr] = ACTIONS(2194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2194),
    [anon_sym_decltype] = ACTIONS(2194),
    [anon_sym_explicit] = ACTIONS(2194),
    [anon_sym_typename] = ACTIONS(2194),
    [anon_sym_template] = ACTIONS(2194),
    [anon_sym_operator] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_static_assert] = ACTIONS(2194),
    [anon_sym_concept] = ACTIONS(2194),
    [anon_sym_co_return] = ACTIONS(2194),
    [anon_sym_co_yield] = ACTIONS(2194),
    [anon_sym_R_DQUOTE] = ACTIONS(2196),
    [anon_sym_LR_DQUOTE] = ACTIONS(2196),
    [anon_sym_uR_DQUOTE] = ACTIONS(2196),
    [anon_sym_UR_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2196),
    [anon_sym_co_await] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_requires] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [anon_sym_discard] = ACTIONS(2194),
    [anon_sym_precise] = ACTIONS(2194),
    [anon_sym_shared] = ACTIONS(2194),
    [anon_sym_groupshared] = ACTIONS(2194),
    [anon_sym_uniform] = ACTIONS(2194),
    [anon_sym_row_major] = ACTIONS(2194),
    [anon_sym_column_major] = ACTIONS(2194),
    [anon_sym_globallycoherent] = ACTIONS(2194),
    [anon_sym_centroid] = ACTIONS(2194),
    [anon_sym_noperspective] = ACTIONS(2194),
    [anon_sym_nointerpolation] = ACTIONS(2194),
    [anon_sym_sample] = ACTIONS(2194),
    [anon_sym_linear] = ACTIONS(2194),
    [anon_sym_snorm] = ACTIONS(2194),
    [anon_sym_unorm] = ACTIONS(2194),
    [anon_sym_point] = ACTIONS(2194),
    [anon_sym_line] = ACTIONS(2194),
    [anon_sym_triangleadj] = ACTIONS(2194),
    [anon_sym_lineadj] = ACTIONS(2194),
    [anon_sym_triangle] = ACTIONS(2194),
    [anon_sym_cbuffer] = ACTIONS(2194),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2198),
    [aux_sym_preproc_include_token1] = ACTIONS(2198),
    [aux_sym_preproc_def_token1] = ACTIONS(2198),
    [aux_sym_preproc_if_token1] = ACTIONS(2198),
    [aux_sym_preproc_if_token2] = ACTIONS(2198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2198),
    [sym_preproc_directive] = ACTIONS(2198),
    [anon_sym_LPAREN2] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_PLUS] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2198),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2198),
    [anon_sym_typedef] = ACTIONS(2198),
    [anon_sym_in] = ACTIONS(2198),
    [anon_sym_out] = ACTIONS(2198),
    [anon_sym_inout] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2198),
    [anon_sym_extern] = ACTIONS(2198),
    [anon_sym___attribute__] = ACTIONS(2198),
    [anon_sym_COLON_COLON] = ACTIONS(2200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2200),
    [anon_sym___declspec] = ACTIONS(2198),
    [anon_sym___based] = ACTIONS(2198),
    [anon_sym___cdecl] = ACTIONS(2198),
    [anon_sym___clrcall] = ACTIONS(2198),
    [anon_sym___stdcall] = ACTIONS(2198),
    [anon_sym___fastcall] = ACTIONS(2198),
    [anon_sym___thiscall] = ACTIONS(2198),
    [anon_sym___vectorcall] = ACTIONS(2198),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_signed] = ACTIONS(2198),
    [anon_sym_unsigned] = ACTIONS(2198),
    [anon_sym_long] = ACTIONS(2198),
    [anon_sym_short] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [anon_sym_static] = ACTIONS(2198),
    [anon_sym_register] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(2198),
    [anon_sym___inline] = ACTIONS(2198),
    [anon_sym___inline__] = ACTIONS(2198),
    [anon_sym___forceinline] = ACTIONS(2198),
    [anon_sym_thread_local] = ACTIONS(2198),
    [anon_sym___thread] = ACTIONS(2198),
    [anon_sym_const] = ACTIONS(2198),
    [anon_sym_constexpr] = ACTIONS(2198),
    [anon_sym_volatile] = ACTIONS(2198),
    [anon_sym_restrict] = ACTIONS(2198),
    [anon_sym___restrict__] = ACTIONS(2198),
    [anon_sym__Atomic] = ACTIONS(2198),
    [anon_sym__Noreturn] = ACTIONS(2198),
    [anon_sym_noreturn] = ACTIONS(2198),
    [anon_sym__Nonnull] = ACTIONS(2198),
    [anon_sym_mutable] = ACTIONS(2198),
    [anon_sym_constinit] = ACTIONS(2198),
    [anon_sym_consteval] = ACTIONS(2198),
    [anon_sym_alignas] = ACTIONS(2198),
    [anon_sym__Alignas] = ACTIONS(2198),
    [sym_primitive_type] = ACTIONS(2198),
    [anon_sym_enum] = ACTIONS(2198),
    [anon_sym_class] = ACTIONS(2198),
    [anon_sym_struct] = ACTIONS(2198),
    [anon_sym_union] = ACTIONS(2198),
    [anon_sym_if] = ACTIONS(2198),
    [anon_sym_else] = ACTIONS(2198),
    [anon_sym_switch] = ACTIONS(2198),
    [anon_sym_case] = ACTIONS(2198),
    [anon_sym_default] = ACTIONS(2198),
    [anon_sym_while] = ACTIONS(2198),
    [anon_sym_do] = ACTIONS(2198),
    [anon_sym_for] = ACTIONS(2198),
    [anon_sym_return] = ACTIONS(2198),
    [anon_sym_break] = ACTIONS(2198),
    [anon_sym_continue] = ACTIONS(2198),
    [anon_sym_goto] = ACTIONS(2198),
    [anon_sym___try] = ACTIONS(2198),
    [anon_sym___leave] = ACTIONS(2198),
    [anon_sym_not] = ACTIONS(2198),
    [anon_sym_compl] = ACTIONS(2198),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_sizeof] = ACTIONS(2198),
    [anon_sym___alignof__] = ACTIONS(2198),
    [anon_sym___alignof] = ACTIONS(2198),
    [anon_sym__alignof] = ACTIONS(2198),
    [anon_sym_alignof] = ACTIONS(2198),
    [anon_sym__Alignof] = ACTIONS(2198),
    [anon_sym_offsetof] = ACTIONS(2198),
    [anon_sym__Generic] = ACTIONS(2198),
    [anon_sym_asm] = ACTIONS(2198),
    [anon_sym___asm__] = ACTIONS(2198),
    [anon_sym___asm] = ACTIONS(2198),
    [sym_number_literal] = ACTIONS(2200),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2198),
    [sym_false] = ACTIONS(2198),
    [anon_sym_NULL] = ACTIONS(2198),
    [anon_sym_nullptr] = ACTIONS(2198),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2198),
    [anon_sym_decltype] = ACTIONS(2198),
    [anon_sym_explicit] = ACTIONS(2198),
    [anon_sym_typename] = ACTIONS(2198),
    [anon_sym_template] = ACTIONS(2198),
    [anon_sym_operator] = ACTIONS(2198),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_throw] = ACTIONS(2198),
    [anon_sym_namespace] = ACTIONS(2198),
    [anon_sym_using] = ACTIONS(2198),
    [anon_sym_static_assert] = ACTIONS(2198),
    [anon_sym_concept] = ACTIONS(2198),
    [anon_sym_co_return] = ACTIONS(2198),
    [anon_sym_co_yield] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(2198),
    [anon_sym_requires] = ACTIONS(2198),
    [sym_this] = ACTIONS(2198),
    [anon_sym_discard] = ACTIONS(2198),
    [anon_sym_precise] = ACTIONS(2198),
    [anon_sym_shared] = ACTIONS(2198),
    [anon_sym_groupshared] = ACTIONS(2198),
    [anon_sym_uniform] = ACTIONS(2198),
    [anon_sym_row_major] = ACTIONS(2198),
    [anon_sym_column_major] = ACTIONS(2198),
    [anon_sym_globallycoherent] = ACTIONS(2198),
    [anon_sym_centroid] = ACTIONS(2198),
    [anon_sym_noperspective] = ACTIONS(2198),
    [anon_sym_nointerpolation] = ACTIONS(2198),
    [anon_sym_sample] = ACTIONS(2198),
    [anon_sym_linear] = ACTIONS(2198),
    [anon_sym_snorm] = ACTIONS(2198),
    [anon_sym_unorm] = ACTIONS(2198),
    [anon_sym_point] = ACTIONS(2198),
    [anon_sym_line] = ACTIONS(2198),
    [anon_sym_triangleadj] = ACTIONS(2198),
    [anon_sym_lineadj] = ACTIONS(2198),
    [anon_sym_triangle] = ACTIONS(2198),
    [anon_sym_cbuffer] = ACTIONS(2198),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2202),
    [aux_sym_preproc_include_token1] = ACTIONS(2202),
    [aux_sym_preproc_def_token1] = ACTIONS(2202),
    [aux_sym_preproc_if_token1] = ACTIONS(2202),
    [aux_sym_preproc_if_token2] = ACTIONS(2202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2202),
    [sym_preproc_directive] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2202),
    [anon_sym_typedef] = ACTIONS(2202),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_out] = ACTIONS(2202),
    [anon_sym_inout] = ACTIONS(2202),
    [anon_sym_virtual] = ACTIONS(2202),
    [anon_sym_extern] = ACTIONS(2202),
    [anon_sym___attribute__] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2202),
    [anon_sym___based] = ACTIONS(2202),
    [anon_sym___cdecl] = ACTIONS(2202),
    [anon_sym___clrcall] = ACTIONS(2202),
    [anon_sym___stdcall] = ACTIONS(2202),
    [anon_sym___fastcall] = ACTIONS(2202),
    [anon_sym___thiscall] = ACTIONS(2202),
    [anon_sym___vectorcall] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2202),
    [anon_sym_unsigned] = ACTIONS(2202),
    [anon_sym_long] = ACTIONS(2202),
    [anon_sym_short] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_static] = ACTIONS(2202),
    [anon_sym_register] = ACTIONS(2202),
    [anon_sym_inline] = ACTIONS(2202),
    [anon_sym___inline] = ACTIONS(2202),
    [anon_sym___inline__] = ACTIONS(2202),
    [anon_sym___forceinline] = ACTIONS(2202),
    [anon_sym_thread_local] = ACTIONS(2202),
    [anon_sym___thread] = ACTIONS(2202),
    [anon_sym_const] = ACTIONS(2202),
    [anon_sym_constexpr] = ACTIONS(2202),
    [anon_sym_volatile] = ACTIONS(2202),
    [anon_sym_restrict] = ACTIONS(2202),
    [anon_sym___restrict__] = ACTIONS(2202),
    [anon_sym__Atomic] = ACTIONS(2202),
    [anon_sym__Noreturn] = ACTIONS(2202),
    [anon_sym_noreturn] = ACTIONS(2202),
    [anon_sym__Nonnull] = ACTIONS(2202),
    [anon_sym_mutable] = ACTIONS(2202),
    [anon_sym_constinit] = ACTIONS(2202),
    [anon_sym_consteval] = ACTIONS(2202),
    [anon_sym_alignas] = ACTIONS(2202),
    [anon_sym__Alignas] = ACTIONS(2202),
    [sym_primitive_type] = ACTIONS(2202),
    [anon_sym_enum] = ACTIONS(2202),
    [anon_sym_class] = ACTIONS(2202),
    [anon_sym_struct] = ACTIONS(2202),
    [anon_sym_union] = ACTIONS(2202),
    [anon_sym_if] = ACTIONS(2202),
    [anon_sym_else] = ACTIONS(2202),
    [anon_sym_switch] = ACTIONS(2202),
    [anon_sym_case] = ACTIONS(2202),
    [anon_sym_default] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2202),
    [anon_sym_do] = ACTIONS(2202),
    [anon_sym_for] = ACTIONS(2202),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_break] = ACTIONS(2202),
    [anon_sym_continue] = ACTIONS(2202),
    [anon_sym_goto] = ACTIONS(2202),
    [anon_sym___try] = ACTIONS(2202),
    [anon_sym___leave] = ACTIONS(2202),
    [anon_sym_not] = ACTIONS(2202),
    [anon_sym_compl] = ACTIONS(2202),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2202),
    [anon_sym___alignof__] = ACTIONS(2202),
    [anon_sym___alignof] = ACTIONS(2202),
    [anon_sym__alignof] = ACTIONS(2202),
    [anon_sym_alignof] = ACTIONS(2202),
    [anon_sym__Alignof] = ACTIONS(2202),
    [anon_sym_offsetof] = ACTIONS(2202),
    [anon_sym__Generic] = ACTIONS(2202),
    [anon_sym_asm] = ACTIONS(2202),
    [anon_sym___asm__] = ACTIONS(2202),
    [anon_sym___asm] = ACTIONS(2202),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2202),
    [sym_false] = ACTIONS(2202),
    [anon_sym_NULL] = ACTIONS(2202),
    [anon_sym_nullptr] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2202),
    [anon_sym_decltype] = ACTIONS(2202),
    [anon_sym_explicit] = ACTIONS(2202),
    [anon_sym_typename] = ACTIONS(2202),
    [anon_sym_template] = ACTIONS(2202),
    [anon_sym_operator] = ACTIONS(2202),
    [anon_sym_try] = ACTIONS(2202),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2202),
    [anon_sym_namespace] = ACTIONS(2202),
    [anon_sym_using] = ACTIONS(2202),
    [anon_sym_static_assert] = ACTIONS(2202),
    [anon_sym_concept] = ACTIONS(2202),
    [anon_sym_co_return] = ACTIONS(2202),
    [anon_sym_co_yield] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2202),
    [anon_sym_requires] = ACTIONS(2202),
    [sym_this] = ACTIONS(2202),
    [anon_sym_discard] = ACTIONS(2202),
    [anon_sym_precise] = ACTIONS(2202),
    [anon_sym_shared] = ACTIONS(2202),
    [anon_sym_groupshared] = ACTIONS(2202),
    [anon_sym_uniform] = ACTIONS(2202),
    [anon_sym_row_major] = ACTIONS(2202),
    [anon_sym_column_major] = ACTIONS(2202),
    [anon_sym_globallycoherent] = ACTIONS(2202),
    [anon_sym_centroid] = ACTIONS(2202),
    [anon_sym_noperspective] = ACTIONS(2202),
    [anon_sym_nointerpolation] = ACTIONS(2202),
    [anon_sym_sample] = ACTIONS(2202),
    [anon_sym_linear] = ACTIONS(2202),
    [anon_sym_snorm] = ACTIONS(2202),
    [anon_sym_unorm] = ACTIONS(2202),
    [anon_sym_point] = ACTIONS(2202),
    [anon_sym_line] = ACTIONS(2202),
    [anon_sym_triangleadj] = ACTIONS(2202),
    [anon_sym_lineadj] = ACTIONS(2202),
    [anon_sym_triangle] = ACTIONS(2202),
    [anon_sym_cbuffer] = ACTIONS(2202),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_out] = ACTIONS(2210),
    [anon_sym_inout] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2212),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym__Nonnull] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym__Alignas] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [anon_sym___asm] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2212),
    [anon_sym_L_SQUOTE] = ACTIONS(2212),
    [anon_sym_u_SQUOTE] = ACTIONS(2212),
    [anon_sym_U_SQUOTE] = ACTIONS(2212),
    [anon_sym_u8_SQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_L_DQUOTE] = ACTIONS(2212),
    [anon_sym_u_DQUOTE] = ACTIONS(2212),
    [anon_sym_U_DQUOTE] = ACTIONS(2212),
    [anon_sym_u8_DQUOTE] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2212),
    [anon_sym_LR_DQUOTE] = ACTIONS(2212),
    [anon_sym_uR_DQUOTE] = ACTIONS(2212),
    [anon_sym_UR_DQUOTE] = ACTIONS(2212),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2212),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
    [anon_sym_discard] = ACTIONS(2210),
    [anon_sym_precise] = ACTIONS(2210),
    [anon_sym_shared] = ACTIONS(2210),
    [anon_sym_groupshared] = ACTIONS(2210),
    [anon_sym_uniform] = ACTIONS(2210),
    [anon_sym_row_major] = ACTIONS(2210),
    [anon_sym_column_major] = ACTIONS(2210),
    [anon_sym_globallycoherent] = ACTIONS(2210),
    [anon_sym_centroid] = ACTIONS(2210),
    [anon_sym_noperspective] = ACTIONS(2210),
    [anon_sym_nointerpolation] = ACTIONS(2210),
    [anon_sym_sample] = ACTIONS(2210),
    [anon_sym_linear] = ACTIONS(2210),
    [anon_sym_snorm] = ACTIONS(2210),
    [anon_sym_unorm] = ACTIONS(2210),
    [anon_sym_point] = ACTIONS(2210),
    [anon_sym_line] = ACTIONS(2210),
    [anon_sym_triangleadj] = ACTIONS(2210),
    [anon_sym_lineadj] = ACTIONS(2210),
    [anon_sym_triangle] = ACTIONS(2210),
    [anon_sym_cbuffer] = ACTIONS(2210),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_out] = ACTIONS(2210),
    [anon_sym_inout] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2212),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym__Nonnull] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym__Alignas] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [anon_sym___asm] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2212),
    [anon_sym_L_SQUOTE] = ACTIONS(2212),
    [anon_sym_u_SQUOTE] = ACTIONS(2212),
    [anon_sym_U_SQUOTE] = ACTIONS(2212),
    [anon_sym_u8_SQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_L_DQUOTE] = ACTIONS(2212),
    [anon_sym_u_DQUOTE] = ACTIONS(2212),
    [anon_sym_U_DQUOTE] = ACTIONS(2212),
    [anon_sym_u8_DQUOTE] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2212),
    [anon_sym_LR_DQUOTE] = ACTIONS(2212),
    [anon_sym_uR_DQUOTE] = ACTIONS(2212),
    [anon_sym_UR_DQUOTE] = ACTIONS(2212),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2212),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
    [anon_sym_discard] = ACTIONS(2210),
    [anon_sym_precise] = ACTIONS(2210),
    [anon_sym_shared] = ACTIONS(2210),
    [anon_sym_groupshared] = ACTIONS(2210),
    [anon_sym_uniform] = ACTIONS(2210),
    [anon_sym_row_major] = ACTIONS(2210),
    [anon_sym_column_major] = ACTIONS(2210),
    [anon_sym_globallycoherent] = ACTIONS(2210),
    [anon_sym_centroid] = ACTIONS(2210),
    [anon_sym_noperspective] = ACTIONS(2210),
    [anon_sym_nointerpolation] = ACTIONS(2210),
    [anon_sym_sample] = ACTIONS(2210),
    [anon_sym_linear] = ACTIONS(2210),
    [anon_sym_snorm] = ACTIONS(2210),
    [anon_sym_unorm] = ACTIONS(2210),
    [anon_sym_point] = ACTIONS(2210),
    [anon_sym_line] = ACTIONS(2210),
    [anon_sym_triangleadj] = ACTIONS(2210),
    [anon_sym_lineadj] = ACTIONS(2210),
    [anon_sym_triangle] = ACTIONS(2210),
    [anon_sym_cbuffer] = ACTIONS(2210),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2214),
    [aux_sym_preproc_include_token1] = ACTIONS(2214),
    [aux_sym_preproc_def_token1] = ACTIONS(2214),
    [aux_sym_preproc_if_token1] = ACTIONS(2214),
    [aux_sym_preproc_if_token2] = ACTIONS(2214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2214),
    [sym_preproc_directive] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2214),
    [anon_sym_typedef] = ACTIONS(2214),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_out] = ACTIONS(2214),
    [anon_sym_inout] = ACTIONS(2214),
    [anon_sym_virtual] = ACTIONS(2214),
    [anon_sym_extern] = ACTIONS(2214),
    [anon_sym___attribute__] = ACTIONS(2214),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2216),
    [anon_sym___declspec] = ACTIONS(2214),
    [anon_sym___based] = ACTIONS(2214),
    [anon_sym___cdecl] = ACTIONS(2214),
    [anon_sym___clrcall] = ACTIONS(2214),
    [anon_sym___stdcall] = ACTIONS(2214),
    [anon_sym___fastcall] = ACTIONS(2214),
    [anon_sym___thiscall] = ACTIONS(2214),
    [anon_sym___vectorcall] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_signed] = ACTIONS(2214),
    [anon_sym_unsigned] = ACTIONS(2214),
    [anon_sym_long] = ACTIONS(2214),
    [anon_sym_short] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_static] = ACTIONS(2214),
    [anon_sym_register] = ACTIONS(2214),
    [anon_sym_inline] = ACTIONS(2214),
    [anon_sym___inline] = ACTIONS(2214),
    [anon_sym___inline__] = ACTIONS(2214),
    [anon_sym___forceinline] = ACTIONS(2214),
    [anon_sym_thread_local] = ACTIONS(2214),
    [anon_sym___thread] = ACTIONS(2214),
    [anon_sym_const] = ACTIONS(2214),
    [anon_sym_constexpr] = ACTIONS(2214),
    [anon_sym_volatile] = ACTIONS(2214),
    [anon_sym_restrict] = ACTIONS(2214),
    [anon_sym___restrict__] = ACTIONS(2214),
    [anon_sym__Atomic] = ACTIONS(2214),
    [anon_sym__Noreturn] = ACTIONS(2214),
    [anon_sym_noreturn] = ACTIONS(2214),
    [anon_sym__Nonnull] = ACTIONS(2214),
    [anon_sym_mutable] = ACTIONS(2214),
    [anon_sym_constinit] = ACTIONS(2214),
    [anon_sym_consteval] = ACTIONS(2214),
    [anon_sym_alignas] = ACTIONS(2214),
    [anon_sym__Alignas] = ACTIONS(2214),
    [sym_primitive_type] = ACTIONS(2214),
    [anon_sym_enum] = ACTIONS(2214),
    [anon_sym_class] = ACTIONS(2214),
    [anon_sym_struct] = ACTIONS(2214),
    [anon_sym_union] = ACTIONS(2214),
    [anon_sym_if] = ACTIONS(2214),
    [anon_sym_else] = ACTIONS(2214),
    [anon_sym_switch] = ACTIONS(2214),
    [anon_sym_case] = ACTIONS(2214),
    [anon_sym_default] = ACTIONS(2214),
    [anon_sym_while] = ACTIONS(2214),
    [anon_sym_do] = ACTIONS(2214),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_return] = ACTIONS(2214),
    [anon_sym_break] = ACTIONS(2214),
    [anon_sym_continue] = ACTIONS(2214),
    [anon_sym_goto] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2214),
    [anon_sym___leave] = ACTIONS(2214),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_sizeof] = ACTIONS(2214),
    [anon_sym___alignof__] = ACTIONS(2214),
    [anon_sym___alignof] = ACTIONS(2214),
    [anon_sym__alignof] = ACTIONS(2214),
    [anon_sym_alignof] = ACTIONS(2214),
    [anon_sym__Alignof] = ACTIONS(2214),
    [anon_sym_offsetof] = ACTIONS(2214),
    [anon_sym__Generic] = ACTIONS(2214),
    [anon_sym_asm] = ACTIONS(2214),
    [anon_sym___asm__] = ACTIONS(2214),
    [anon_sym___asm] = ACTIONS(2214),
    [sym_number_literal] = ACTIONS(2216),
    [anon_sym_L_SQUOTE] = ACTIONS(2216),
    [anon_sym_u_SQUOTE] = ACTIONS(2216),
    [anon_sym_U_SQUOTE] = ACTIONS(2216),
    [anon_sym_u8_SQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_L_DQUOTE] = ACTIONS(2216),
    [anon_sym_u_DQUOTE] = ACTIONS(2216),
    [anon_sym_U_DQUOTE] = ACTIONS(2216),
    [anon_sym_u8_DQUOTE] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [sym_true] = ACTIONS(2214),
    [sym_false] = ACTIONS(2214),
    [anon_sym_NULL] = ACTIONS(2214),
    [anon_sym_nullptr] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2214),
    [anon_sym_decltype] = ACTIONS(2214),
    [anon_sym_explicit] = ACTIONS(2214),
    [anon_sym_typename] = ACTIONS(2214),
    [anon_sym_template] = ACTIONS(2214),
    [anon_sym_operator] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2214),
    [anon_sym_delete] = ACTIONS(2214),
    [anon_sym_throw] = ACTIONS(2214),
    [anon_sym_namespace] = ACTIONS(2214),
    [anon_sym_using] = ACTIONS(2214),
    [anon_sym_static_assert] = ACTIONS(2214),
    [anon_sym_concept] = ACTIONS(2214),
    [anon_sym_co_return] = ACTIONS(2214),
    [anon_sym_co_yield] = ACTIONS(2214),
    [anon_sym_R_DQUOTE] = ACTIONS(2216),
    [anon_sym_LR_DQUOTE] = ACTIONS(2216),
    [anon_sym_uR_DQUOTE] = ACTIONS(2216),
    [anon_sym_UR_DQUOTE] = ACTIONS(2216),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2216),
    [anon_sym_co_await] = ACTIONS(2214),
    [anon_sym_new] = ACTIONS(2214),
    [anon_sym_requires] = ACTIONS(2214),
    [sym_this] = ACTIONS(2214),
    [anon_sym_discard] = ACTIONS(2214),
    [anon_sym_precise] = ACTIONS(2214),
    [anon_sym_shared] = ACTIONS(2214),
    [anon_sym_groupshared] = ACTIONS(2214),
    [anon_sym_uniform] = ACTIONS(2214),
    [anon_sym_row_major] = ACTIONS(2214),
    [anon_sym_column_major] = ACTIONS(2214),
    [anon_sym_globallycoherent] = ACTIONS(2214),
    [anon_sym_centroid] = ACTIONS(2214),
    [anon_sym_noperspective] = ACTIONS(2214),
    [anon_sym_nointerpolation] = ACTIONS(2214),
    [anon_sym_sample] = ACTIONS(2214),
    [anon_sym_linear] = ACTIONS(2214),
    [anon_sym_snorm] = ACTIONS(2214),
    [anon_sym_unorm] = ACTIONS(2214),
    [anon_sym_point] = ACTIONS(2214),
    [anon_sym_line] = ACTIONS(2214),
    [anon_sym_triangleadj] = ACTIONS(2214),
    [anon_sym_lineadj] = ACTIONS(2214),
    [anon_sym_triangle] = ACTIONS(2214),
    [anon_sym_cbuffer] = ACTIONS(2214),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2218),
    [aux_sym_preproc_include_token1] = ACTIONS(2218),
    [aux_sym_preproc_def_token1] = ACTIONS(2218),
    [aux_sym_preproc_if_token1] = ACTIONS(2218),
    [aux_sym_preproc_if_token2] = ACTIONS(2218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2218),
    [sym_preproc_directive] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2218),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym___extension__] = ACTIONS(2218),
    [anon_sym_typedef] = ACTIONS(2218),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_out] = ACTIONS(2218),
    [anon_sym_inout] = ACTIONS(2218),
    [anon_sym_virtual] = ACTIONS(2218),
    [anon_sym_extern] = ACTIONS(2218),
    [anon_sym___attribute__] = ACTIONS(2218),
    [anon_sym_COLON_COLON] = ACTIONS(2220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2220),
    [anon_sym___declspec] = ACTIONS(2218),
    [anon_sym___based] = ACTIONS(2218),
    [anon_sym___cdecl] = ACTIONS(2218),
    [anon_sym___clrcall] = ACTIONS(2218),
    [anon_sym___stdcall] = ACTIONS(2218),
    [anon_sym___fastcall] = ACTIONS(2218),
    [anon_sym___thiscall] = ACTIONS(2218),
    [anon_sym___vectorcall] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_signed] = ACTIONS(2218),
    [anon_sym_unsigned] = ACTIONS(2218),
    [anon_sym_long] = ACTIONS(2218),
    [anon_sym_short] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_static] = ACTIONS(2218),
    [anon_sym_register] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2218),
    [anon_sym___inline] = ACTIONS(2218),
    [anon_sym___inline__] = ACTIONS(2218),
    [anon_sym___forceinline] = ACTIONS(2218),
    [anon_sym_thread_local] = ACTIONS(2218),
    [anon_sym___thread] = ACTIONS(2218),
    [anon_sym_const] = ACTIONS(2218),
    [anon_sym_constexpr] = ACTIONS(2218),
    [anon_sym_volatile] = ACTIONS(2218),
    [anon_sym_restrict] = ACTIONS(2218),
    [anon_sym___restrict__] = ACTIONS(2218),
    [anon_sym__Atomic] = ACTIONS(2218),
    [anon_sym__Noreturn] = ACTIONS(2218),
    [anon_sym_noreturn] = ACTIONS(2218),
    [anon_sym__Nonnull] = ACTIONS(2218),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_constinit] = ACTIONS(2218),
    [anon_sym_consteval] = ACTIONS(2218),
    [anon_sym_alignas] = ACTIONS(2218),
    [anon_sym__Alignas] = ACTIONS(2218),
    [sym_primitive_type] = ACTIONS(2218),
    [anon_sym_enum] = ACTIONS(2218),
    [anon_sym_class] = ACTIONS(2218),
    [anon_sym_struct] = ACTIONS(2218),
    [anon_sym_union] = ACTIONS(2218),
    [anon_sym_if] = ACTIONS(2218),
    [anon_sym_else] = ACTIONS(2218),
    [anon_sym_switch] = ACTIONS(2218),
    [anon_sym_case] = ACTIONS(2218),
    [anon_sym_default] = ACTIONS(2218),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_do] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2218),
    [anon_sym_return] = ACTIONS(2218),
    [anon_sym_break] = ACTIONS(2218),
    [anon_sym_continue] = ACTIONS(2218),
    [anon_sym_goto] = ACTIONS(2218),
    [anon_sym___try] = ACTIONS(2218),
    [anon_sym___leave] = ACTIONS(2218),
    [anon_sym_not] = ACTIONS(2218),
    [anon_sym_compl] = ACTIONS(2218),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_sizeof] = ACTIONS(2218),
    [anon_sym___alignof__] = ACTIONS(2218),
    [anon_sym___alignof] = ACTIONS(2218),
    [anon_sym__alignof] = ACTIONS(2218),
    [anon_sym_alignof] = ACTIONS(2218),
    [anon_sym__Alignof] = ACTIONS(2218),
    [anon_sym_offsetof] = ACTIONS(2218),
    [anon_sym__Generic] = ACTIONS(2218),
    [anon_sym_asm] = ACTIONS(2218),
    [anon_sym___asm__] = ACTIONS(2218),
    [anon_sym___asm] = ACTIONS(2218),
    [sym_number_literal] = ACTIONS(2220),
    [anon_sym_L_SQUOTE] = ACTIONS(2220),
    [anon_sym_u_SQUOTE] = ACTIONS(2220),
    [anon_sym_U_SQUOTE] = ACTIONS(2220),
    [anon_sym_u8_SQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [anon_sym_L_DQUOTE] = ACTIONS(2220),
    [anon_sym_u_DQUOTE] = ACTIONS(2220),
    [anon_sym_U_DQUOTE] = ACTIONS(2220),
    [anon_sym_u8_DQUOTE] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [sym_true] = ACTIONS(2218),
    [sym_false] = ACTIONS(2218),
    [anon_sym_NULL] = ACTIONS(2218),
    [anon_sym_nullptr] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2218),
    [anon_sym_decltype] = ACTIONS(2218),
    [anon_sym_explicit] = ACTIONS(2218),
    [anon_sym_typename] = ACTIONS(2218),
    [anon_sym_template] = ACTIONS(2218),
    [anon_sym_operator] = ACTIONS(2218),
    [anon_sym_try] = ACTIONS(2218),
    [anon_sym_delete] = ACTIONS(2218),
    [anon_sym_throw] = ACTIONS(2218),
    [anon_sym_namespace] = ACTIONS(2218),
    [anon_sym_using] = ACTIONS(2218),
    [anon_sym_static_assert] = ACTIONS(2218),
    [anon_sym_concept] = ACTIONS(2218),
    [anon_sym_co_return] = ACTIONS(2218),
    [anon_sym_co_yield] = ACTIONS(2218),
    [anon_sym_R_DQUOTE] = ACTIONS(2220),
    [anon_sym_LR_DQUOTE] = ACTIONS(2220),
    [anon_sym_uR_DQUOTE] = ACTIONS(2220),
    [anon_sym_UR_DQUOTE] = ACTIONS(2220),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2220),
    [anon_sym_co_await] = ACTIONS(2218),
    [anon_sym_new] = ACTIONS(2218),
    [anon_sym_requires] = ACTIONS(2218),
    [sym_this] = ACTIONS(2218),
    [anon_sym_discard] = ACTIONS(2218),
    [anon_sym_precise] = ACTIONS(2218),
    [anon_sym_shared] = ACTIONS(2218),
    [anon_sym_groupshared] = ACTIONS(2218),
    [anon_sym_uniform] = ACTIONS(2218),
    [anon_sym_row_major] = ACTIONS(2218),
    [anon_sym_column_major] = ACTIONS(2218),
    [anon_sym_globallycoherent] = ACTIONS(2218),
    [anon_sym_centroid] = ACTIONS(2218),
    [anon_sym_noperspective] = ACTIONS(2218),
    [anon_sym_nointerpolation] = ACTIONS(2218),
    [anon_sym_sample] = ACTIONS(2218),
    [anon_sym_linear] = ACTIONS(2218),
    [anon_sym_snorm] = ACTIONS(2218),
    [anon_sym_unorm] = ACTIONS(2218),
    [anon_sym_point] = ACTIONS(2218),
    [anon_sym_line] = ACTIONS(2218),
    [anon_sym_triangleadj] = ACTIONS(2218),
    [anon_sym_lineadj] = ACTIONS(2218),
    [anon_sym_triangle] = ACTIONS(2218),
    [anon_sym_cbuffer] = ACTIONS(2218),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2214),
    [aux_sym_preproc_include_token1] = ACTIONS(2214),
    [aux_sym_preproc_def_token1] = ACTIONS(2214),
    [aux_sym_preproc_if_token1] = ACTIONS(2214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2214),
    [sym_preproc_directive] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2214),
    [anon_sym_typedef] = ACTIONS(2214),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_out] = ACTIONS(2214),
    [anon_sym_inout] = ACTIONS(2214),
    [anon_sym_virtual] = ACTIONS(2214),
    [anon_sym_extern] = ACTIONS(2214),
    [anon_sym___attribute__] = ACTIONS(2214),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2216),
    [anon_sym___declspec] = ACTIONS(2214),
    [anon_sym___based] = ACTIONS(2214),
    [anon_sym___cdecl] = ACTIONS(2214),
    [anon_sym___clrcall] = ACTIONS(2214),
    [anon_sym___stdcall] = ACTIONS(2214),
    [anon_sym___fastcall] = ACTIONS(2214),
    [anon_sym___thiscall] = ACTIONS(2214),
    [anon_sym___vectorcall] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_signed] = ACTIONS(2214),
    [anon_sym_unsigned] = ACTIONS(2214),
    [anon_sym_long] = ACTIONS(2214),
    [anon_sym_short] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_static] = ACTIONS(2214),
    [anon_sym_register] = ACTIONS(2214),
    [anon_sym_inline] = ACTIONS(2214),
    [anon_sym___inline] = ACTIONS(2214),
    [anon_sym___inline__] = ACTIONS(2214),
    [anon_sym___forceinline] = ACTIONS(2214),
    [anon_sym_thread_local] = ACTIONS(2214),
    [anon_sym___thread] = ACTIONS(2214),
    [anon_sym_const] = ACTIONS(2214),
    [anon_sym_constexpr] = ACTIONS(2214),
    [anon_sym_volatile] = ACTIONS(2214),
    [anon_sym_restrict] = ACTIONS(2214),
    [anon_sym___restrict__] = ACTIONS(2214),
    [anon_sym__Atomic] = ACTIONS(2214),
    [anon_sym__Noreturn] = ACTIONS(2214),
    [anon_sym_noreturn] = ACTIONS(2214),
    [anon_sym__Nonnull] = ACTIONS(2214),
    [anon_sym_mutable] = ACTIONS(2214),
    [anon_sym_constinit] = ACTIONS(2214),
    [anon_sym_consteval] = ACTIONS(2214),
    [anon_sym_alignas] = ACTIONS(2214),
    [anon_sym__Alignas] = ACTIONS(2214),
    [sym_primitive_type] = ACTIONS(2214),
    [anon_sym_enum] = ACTIONS(2214),
    [anon_sym_class] = ACTIONS(2214),
    [anon_sym_struct] = ACTIONS(2214),
    [anon_sym_union] = ACTIONS(2214),
    [anon_sym_if] = ACTIONS(2214),
    [anon_sym_else] = ACTIONS(2214),
    [anon_sym_switch] = ACTIONS(2214),
    [anon_sym_case] = ACTIONS(2214),
    [anon_sym_default] = ACTIONS(2214),
    [anon_sym_while] = ACTIONS(2214),
    [anon_sym_do] = ACTIONS(2214),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_return] = ACTIONS(2214),
    [anon_sym_break] = ACTIONS(2214),
    [anon_sym_continue] = ACTIONS(2214),
    [anon_sym_goto] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2214),
    [anon_sym___leave] = ACTIONS(2214),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_sizeof] = ACTIONS(2214),
    [anon_sym___alignof__] = ACTIONS(2214),
    [anon_sym___alignof] = ACTIONS(2214),
    [anon_sym__alignof] = ACTIONS(2214),
    [anon_sym_alignof] = ACTIONS(2214),
    [anon_sym__Alignof] = ACTIONS(2214),
    [anon_sym_offsetof] = ACTIONS(2214),
    [anon_sym__Generic] = ACTIONS(2214),
    [anon_sym_asm] = ACTIONS(2214),
    [anon_sym___asm__] = ACTIONS(2214),
    [anon_sym___asm] = ACTIONS(2214),
    [sym_number_literal] = ACTIONS(2216),
    [anon_sym_L_SQUOTE] = ACTIONS(2216),
    [anon_sym_u_SQUOTE] = ACTIONS(2216),
    [anon_sym_U_SQUOTE] = ACTIONS(2216),
    [anon_sym_u8_SQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_L_DQUOTE] = ACTIONS(2216),
    [anon_sym_u_DQUOTE] = ACTIONS(2216),
    [anon_sym_U_DQUOTE] = ACTIONS(2216),
    [anon_sym_u8_DQUOTE] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [sym_true] = ACTIONS(2214),
    [sym_false] = ACTIONS(2214),
    [anon_sym_NULL] = ACTIONS(2214),
    [anon_sym_nullptr] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2214),
    [anon_sym_decltype] = ACTIONS(2214),
    [anon_sym_explicit] = ACTIONS(2214),
    [anon_sym_typename] = ACTIONS(2214),
    [anon_sym_template] = ACTIONS(2214),
    [anon_sym_operator] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2214),
    [anon_sym_delete] = ACTIONS(2214),
    [anon_sym_throw] = ACTIONS(2214),
    [anon_sym_namespace] = ACTIONS(2214),
    [anon_sym_using] = ACTIONS(2214),
    [anon_sym_static_assert] = ACTIONS(2214),
    [anon_sym_concept] = ACTIONS(2214),
    [anon_sym_co_return] = ACTIONS(2214),
    [anon_sym_co_yield] = ACTIONS(2214),
    [anon_sym_R_DQUOTE] = ACTIONS(2216),
    [anon_sym_LR_DQUOTE] = ACTIONS(2216),
    [anon_sym_uR_DQUOTE] = ACTIONS(2216),
    [anon_sym_UR_DQUOTE] = ACTIONS(2216),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2216),
    [anon_sym_co_await] = ACTIONS(2214),
    [anon_sym_new] = ACTIONS(2214),
    [anon_sym_requires] = ACTIONS(2214),
    [sym_this] = ACTIONS(2214),
    [anon_sym_discard] = ACTIONS(2214),
    [anon_sym_precise] = ACTIONS(2214),
    [anon_sym_shared] = ACTIONS(2214),
    [anon_sym_groupshared] = ACTIONS(2214),
    [anon_sym_uniform] = ACTIONS(2214),
    [anon_sym_row_major] = ACTIONS(2214),
    [anon_sym_column_major] = ACTIONS(2214),
    [anon_sym_globallycoherent] = ACTIONS(2214),
    [anon_sym_centroid] = ACTIONS(2214),
    [anon_sym_noperspective] = ACTIONS(2214),
    [anon_sym_nointerpolation] = ACTIONS(2214),
    [anon_sym_sample] = ACTIONS(2214),
    [anon_sym_linear] = ACTIONS(2214),
    [anon_sym_snorm] = ACTIONS(2214),
    [anon_sym_unorm] = ACTIONS(2214),
    [anon_sym_point] = ACTIONS(2214),
    [anon_sym_line] = ACTIONS(2214),
    [anon_sym_triangleadj] = ACTIONS(2214),
    [anon_sym_lineadj] = ACTIONS(2214),
    [anon_sym_triangle] = ACTIONS(2214),
    [anon_sym_cbuffer] = ACTIONS(2214),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(2220),
    [sym_identifier] = ACTIONS(2218),
    [aux_sym_preproc_include_token1] = ACTIONS(2218),
    [aux_sym_preproc_def_token1] = ACTIONS(2218),
    [aux_sym_preproc_if_token1] = ACTIONS(2218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2218),
    [sym_preproc_directive] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2218),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym___extension__] = ACTIONS(2218),
    [anon_sym_typedef] = ACTIONS(2218),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_out] = ACTIONS(2218),
    [anon_sym_inout] = ACTIONS(2218),
    [anon_sym_virtual] = ACTIONS(2218),
    [anon_sym_extern] = ACTIONS(2218),
    [anon_sym___attribute__] = ACTIONS(2218),
    [anon_sym_COLON_COLON] = ACTIONS(2220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2220),
    [anon_sym___declspec] = ACTIONS(2218),
    [anon_sym___based] = ACTIONS(2218),
    [anon_sym___cdecl] = ACTIONS(2218),
    [anon_sym___clrcall] = ACTIONS(2218),
    [anon_sym___stdcall] = ACTIONS(2218),
    [anon_sym___fastcall] = ACTIONS(2218),
    [anon_sym___thiscall] = ACTIONS(2218),
    [anon_sym___vectorcall] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_signed] = ACTIONS(2218),
    [anon_sym_unsigned] = ACTIONS(2218),
    [anon_sym_long] = ACTIONS(2218),
    [anon_sym_short] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_static] = ACTIONS(2218),
    [anon_sym_register] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2218),
    [anon_sym___inline] = ACTIONS(2218),
    [anon_sym___inline__] = ACTIONS(2218),
    [anon_sym___forceinline] = ACTIONS(2218),
    [anon_sym_thread_local] = ACTIONS(2218),
    [anon_sym___thread] = ACTIONS(2218),
    [anon_sym_const] = ACTIONS(2218),
    [anon_sym_constexpr] = ACTIONS(2218),
    [anon_sym_volatile] = ACTIONS(2218),
    [anon_sym_restrict] = ACTIONS(2218),
    [anon_sym___restrict__] = ACTIONS(2218),
    [anon_sym__Atomic] = ACTIONS(2218),
    [anon_sym__Noreturn] = ACTIONS(2218),
    [anon_sym_noreturn] = ACTIONS(2218),
    [anon_sym__Nonnull] = ACTIONS(2218),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_constinit] = ACTIONS(2218),
    [anon_sym_consteval] = ACTIONS(2218),
    [anon_sym_alignas] = ACTIONS(2218),
    [anon_sym__Alignas] = ACTIONS(2218),
    [sym_primitive_type] = ACTIONS(2218),
    [anon_sym_enum] = ACTIONS(2218),
    [anon_sym_class] = ACTIONS(2218),
    [anon_sym_struct] = ACTIONS(2218),
    [anon_sym_union] = ACTIONS(2218),
    [anon_sym_if] = ACTIONS(2218),
    [anon_sym_else] = ACTIONS(2218),
    [anon_sym_switch] = ACTIONS(2218),
    [anon_sym_case] = ACTIONS(2218),
    [anon_sym_default] = ACTIONS(2218),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_do] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2218),
    [anon_sym_return] = ACTIONS(2218),
    [anon_sym_break] = ACTIONS(2218),
    [anon_sym_continue] = ACTIONS(2218),
    [anon_sym_goto] = ACTIONS(2218),
    [anon_sym___try] = ACTIONS(2218),
    [anon_sym___leave] = ACTIONS(2218),
    [anon_sym_not] = ACTIONS(2218),
    [anon_sym_compl] = ACTIONS(2218),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_sizeof] = ACTIONS(2218),
    [anon_sym___alignof__] = ACTIONS(2218),
    [anon_sym___alignof] = ACTIONS(2218),
    [anon_sym__alignof] = ACTIONS(2218),
    [anon_sym_alignof] = ACTIONS(2218),
    [anon_sym__Alignof] = ACTIONS(2218),
    [anon_sym_offsetof] = ACTIONS(2218),
    [anon_sym__Generic] = ACTIONS(2218),
    [anon_sym_asm] = ACTIONS(2218),
    [anon_sym___asm__] = ACTIONS(2218),
    [anon_sym___asm] = ACTIONS(2218),
    [sym_number_literal] = ACTIONS(2220),
    [anon_sym_L_SQUOTE] = ACTIONS(2220),
    [anon_sym_u_SQUOTE] = ACTIONS(2220),
    [anon_sym_U_SQUOTE] = ACTIONS(2220),
    [anon_sym_u8_SQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [anon_sym_L_DQUOTE] = ACTIONS(2220),
    [anon_sym_u_DQUOTE] = ACTIONS(2220),
    [anon_sym_U_DQUOTE] = ACTIONS(2220),
    [anon_sym_u8_DQUOTE] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [sym_true] = ACTIONS(2218),
    [sym_false] = ACTIONS(2218),
    [anon_sym_NULL] = ACTIONS(2218),
    [anon_sym_nullptr] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2218),
    [anon_sym_decltype] = ACTIONS(2218),
    [anon_sym_explicit] = ACTIONS(2218),
    [anon_sym_typename] = ACTIONS(2218),
    [anon_sym_template] = ACTIONS(2218),
    [anon_sym_operator] = ACTIONS(2218),
    [anon_sym_try] = ACTIONS(2218),
    [anon_sym_delete] = ACTIONS(2218),
    [anon_sym_throw] = ACTIONS(2218),
    [anon_sym_namespace] = ACTIONS(2218),
    [anon_sym_using] = ACTIONS(2218),
    [anon_sym_static_assert] = ACTIONS(2218),
    [anon_sym_concept] = ACTIONS(2218),
    [anon_sym_co_return] = ACTIONS(2218),
    [anon_sym_co_yield] = ACTIONS(2218),
    [anon_sym_R_DQUOTE] = ACTIONS(2220),
    [anon_sym_LR_DQUOTE] = ACTIONS(2220),
    [anon_sym_uR_DQUOTE] = ACTIONS(2220),
    [anon_sym_UR_DQUOTE] = ACTIONS(2220),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2220),
    [anon_sym_co_await] = ACTIONS(2218),
    [anon_sym_new] = ACTIONS(2218),
    [anon_sym_requires] = ACTIONS(2218),
    [sym_this] = ACTIONS(2218),
    [anon_sym_discard] = ACTIONS(2218),
    [anon_sym_precise] = ACTIONS(2218),
    [anon_sym_shared] = ACTIONS(2218),
    [anon_sym_groupshared] = ACTIONS(2218),
    [anon_sym_uniform] = ACTIONS(2218),
    [anon_sym_row_major] = ACTIONS(2218),
    [anon_sym_column_major] = ACTIONS(2218),
    [anon_sym_globallycoherent] = ACTIONS(2218),
    [anon_sym_centroid] = ACTIONS(2218),
    [anon_sym_noperspective] = ACTIONS(2218),
    [anon_sym_nointerpolation] = ACTIONS(2218),
    [anon_sym_sample] = ACTIONS(2218),
    [anon_sym_linear] = ACTIONS(2218),
    [anon_sym_snorm] = ACTIONS(2218),
    [anon_sym_unorm] = ACTIONS(2218),
    [anon_sym_point] = ACTIONS(2218),
    [anon_sym_line] = ACTIONS(2218),
    [anon_sym_triangleadj] = ACTIONS(2218),
    [anon_sym_lineadj] = ACTIONS(2218),
    [anon_sym_triangle] = ACTIONS(2218),
    [anon_sym_cbuffer] = ACTIONS(2218),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2292),
    [aux_sym_preproc_include_token1] = ACTIONS(2292),
    [aux_sym_preproc_def_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2292),
    [sym_preproc_directive] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_typedef] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym___based] = ACTIONS(2292),
    [anon_sym___cdecl] = ACTIONS(2292),
    [anon_sym___clrcall] = ACTIONS(2292),
    [anon_sym___stdcall] = ACTIONS(2292),
    [anon_sym___fastcall] = ACTIONS(2292),
    [anon_sym___thiscall] = ACTIONS(2292),
    [anon_sym___vectorcall] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_RBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_switch] = ACTIONS(2292),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym___try] = ACTIONS(2292),
    [anon_sym___leave] = ACTIONS(2292),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_sizeof] = ACTIONS(2292),
    [anon_sym___alignof__] = ACTIONS(2292),
    [anon_sym___alignof] = ACTIONS(2292),
    [anon_sym__alignof] = ACTIONS(2292),
    [anon_sym_alignof] = ACTIONS(2292),
    [anon_sym__Alignof] = ACTIONS(2292),
    [anon_sym_offsetof] = ACTIONS(2292),
    [anon_sym__Generic] = ACTIONS(2292),
    [anon_sym_asm] = ACTIONS(2292),
    [anon_sym___asm__] = ACTIONS(2292),
    [anon_sym___asm] = ACTIONS(2292),
    [sym_number_literal] = ACTIONS(2294),
    [anon_sym_L_SQUOTE] = ACTIONS(2294),
    [anon_sym_u_SQUOTE] = ACTIONS(2294),
    [anon_sym_U_SQUOTE] = ACTIONS(2294),
    [anon_sym_u8_SQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2294),
    [anon_sym_L_DQUOTE] = ACTIONS(2294),
    [anon_sym_u_DQUOTE] = ACTIONS(2294),
    [anon_sym_U_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8_DQUOTE] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [sym_true] = ACTIONS(2292),
    [sym_false] = ACTIONS(2292),
    [anon_sym_NULL] = ACTIONS(2292),
    [anon_sym_nullptr] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_explicit] = ACTIONS(2292),
    [anon_sym_typename] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_operator] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_namespace] = ACTIONS(2292),
    [anon_sym_using] = ACTIONS(2292),
    [anon_sym_static_assert] = ACTIONS(2292),
    [anon_sym_concept] = ACTIONS(2292),
    [anon_sym_co_return] = ACTIONS(2292),
    [anon_sym_co_yield] = ACTIONS(2292),
    [anon_sym_R_DQUOTE] = ACTIONS(2294),
    [anon_sym_LR_DQUOTE] = ACTIONS(2294),
    [anon_sym_uR_DQUOTE] = ACTIONS(2294),
    [anon_sym_UR_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2294),
    [anon_sym_co_await] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [sym_this] = ACTIONS(2292),
    [anon_sym_discard] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
    [anon_sym_cbuffer] = ACTIONS(2292),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(2250),
    [sym_identifier] = ACTIONS(2248),
    [aux_sym_preproc_include_token1] = ACTIONS(2248),
    [aux_sym_preproc_def_token1] = ACTIONS(2248),
    [aux_sym_preproc_if_token1] = ACTIONS(2248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2248),
    [sym_preproc_directive] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_AMP_AMP] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym___extension__] = ACTIONS(2248),
    [anon_sym_typedef] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2248),
    [anon_sym_out] = ACTIONS(2248),
    [anon_sym_inout] = ACTIONS(2248),
    [anon_sym_virtual] = ACTIONS(2248),
    [anon_sym_extern] = ACTIONS(2248),
    [anon_sym___attribute__] = ACTIONS(2248),
    [anon_sym_COLON_COLON] = ACTIONS(2250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2250),
    [anon_sym___declspec] = ACTIONS(2248),
    [anon_sym___based] = ACTIONS(2248),
    [anon_sym___cdecl] = ACTIONS(2248),
    [anon_sym___clrcall] = ACTIONS(2248),
    [anon_sym___stdcall] = ACTIONS(2248),
    [anon_sym___fastcall] = ACTIONS(2248),
    [anon_sym___thiscall] = ACTIONS(2248),
    [anon_sym___vectorcall] = ACTIONS(2248),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_signed] = ACTIONS(2248),
    [anon_sym_unsigned] = ACTIONS(2248),
    [anon_sym_long] = ACTIONS(2248),
    [anon_sym_short] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_static] = ACTIONS(2248),
    [anon_sym_register] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(2248),
    [anon_sym___inline] = ACTIONS(2248),
    [anon_sym___inline__] = ACTIONS(2248),
    [anon_sym___forceinline] = ACTIONS(2248),
    [anon_sym_thread_local] = ACTIONS(2248),
    [anon_sym___thread] = ACTIONS(2248),
    [anon_sym_const] = ACTIONS(2248),
    [anon_sym_constexpr] = ACTIONS(2248),
    [anon_sym_volatile] = ACTIONS(2248),
    [anon_sym_restrict] = ACTIONS(2248),
    [anon_sym___restrict__] = ACTIONS(2248),
    [anon_sym__Atomic] = ACTIONS(2248),
    [anon_sym__Noreturn] = ACTIONS(2248),
    [anon_sym_noreturn] = ACTIONS(2248),
    [anon_sym__Nonnull] = ACTIONS(2248),
    [anon_sym_mutable] = ACTIONS(2248),
    [anon_sym_constinit] = ACTIONS(2248),
    [anon_sym_consteval] = ACTIONS(2248),
    [anon_sym_alignas] = ACTIONS(2248),
    [anon_sym__Alignas] = ACTIONS(2248),
    [sym_primitive_type] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2248),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_union] = ACTIONS(2248),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_else] = ACTIONS(2248),
    [anon_sym_switch] = ACTIONS(2248),
    [anon_sym_case] = ACTIONS(2248),
    [anon_sym_default] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(2248),
    [anon_sym_do] = ACTIONS(2248),
    [anon_sym_for] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(2248),
    [anon_sym_break] = ACTIONS(2248),
    [anon_sym_continue] = ACTIONS(2248),
    [anon_sym_goto] = ACTIONS(2248),
    [anon_sym___try] = ACTIONS(2248),
    [anon_sym___leave] = ACTIONS(2248),
    [anon_sym_not] = ACTIONS(2248),
    [anon_sym_compl] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(2248),
    [anon_sym___alignof] = ACTIONS(2248),
    [anon_sym__alignof] = ACTIONS(2248),
    [anon_sym_alignof] = ACTIONS(2248),
    [anon_sym__Alignof] = ACTIONS(2248),
    [anon_sym_offsetof] = ACTIONS(2248),
    [anon_sym__Generic] = ACTIONS(2248),
    [anon_sym_asm] = ACTIONS(2248),
    [anon_sym___asm__] = ACTIONS(2248),
    [anon_sym___asm] = ACTIONS(2248),
    [sym_number_literal] = ACTIONS(2250),
    [anon_sym_L_SQUOTE] = ACTIONS(2250),
    [anon_sym_u_SQUOTE] = ACTIONS(2250),
    [anon_sym_U_SQUOTE] = ACTIONS(2250),
    [anon_sym_u8_SQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [anon_sym_L_DQUOTE] = ACTIONS(2250),
    [anon_sym_u_DQUOTE] = ACTIONS(2250),
    [anon_sym_U_DQUOTE] = ACTIONS(2250),
    [anon_sym_u8_DQUOTE] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2248),
    [anon_sym_nullptr] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2248),
    [anon_sym_decltype] = ACTIONS(2248),
    [anon_sym_explicit] = ACTIONS(2248),
    [anon_sym_typename] = ACTIONS(2248),
    [anon_sym_template] = ACTIONS(2248),
    [anon_sym_operator] = ACTIONS(2248),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_delete] = ACTIONS(2248),
    [anon_sym_throw] = ACTIONS(2248),
    [anon_sym_namespace] = ACTIONS(2248),
    [anon_sym_using] = ACTIONS(2248),
    [anon_sym_static_assert] = ACTIONS(2248),
    [anon_sym_concept] = ACTIONS(2248),
    [anon_sym_co_return] = ACTIONS(2248),
    [anon_sym_co_yield] = ACTIONS(2248),
    [anon_sym_R_DQUOTE] = ACTIONS(2250),
    [anon_sym_LR_DQUOTE] = ACTIONS(2250),
    [anon_sym_uR_DQUOTE] = ACTIONS(2250),
    [anon_sym_UR_DQUOTE] = ACTIONS(2250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2250),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2248),
    [sym_this] = ACTIONS(2248),
    [anon_sym_discard] = ACTIONS(2248),
    [anon_sym_precise] = ACTIONS(2248),
    [anon_sym_shared] = ACTIONS(2248),
    [anon_sym_groupshared] = ACTIONS(2248),
    [anon_sym_uniform] = ACTIONS(2248),
    [anon_sym_row_major] = ACTIONS(2248),
    [anon_sym_column_major] = ACTIONS(2248),
    [anon_sym_globallycoherent] = ACTIONS(2248),
    [anon_sym_centroid] = ACTIONS(2248),
    [anon_sym_noperspective] = ACTIONS(2248),
    [anon_sym_nointerpolation] = ACTIONS(2248),
    [anon_sym_sample] = ACTIONS(2248),
    [anon_sym_linear] = ACTIONS(2248),
    [anon_sym_snorm] = ACTIONS(2248),
    [anon_sym_unorm] = ACTIONS(2248),
    [anon_sym_point] = ACTIONS(2248),
    [anon_sym_line] = ACTIONS(2248),
    [anon_sym_triangleadj] = ACTIONS(2248),
    [anon_sym_lineadj] = ACTIONS(2248),
    [anon_sym_triangle] = ACTIONS(2248),
    [anon_sym_cbuffer] = ACTIONS(2248),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2234),
    [aux_sym_preproc_include_token1] = ACTIONS(2234),
    [aux_sym_preproc_def_token1] = ACTIONS(2234),
    [aux_sym_preproc_if_token1] = ACTIONS(2234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2234),
    [sym_preproc_directive] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2234),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2234),
    [anon_sym_typedef] = ACTIONS(2234),
    [anon_sym_in] = ACTIONS(2234),
    [anon_sym_out] = ACTIONS(2234),
    [anon_sym_inout] = ACTIONS(2234),
    [anon_sym_virtual] = ACTIONS(2234),
    [anon_sym_extern] = ACTIONS(2234),
    [anon_sym___attribute__] = ACTIONS(2234),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2234),
    [anon_sym___based] = ACTIONS(2234),
    [anon_sym___cdecl] = ACTIONS(2234),
    [anon_sym___clrcall] = ACTIONS(2234),
    [anon_sym___stdcall] = ACTIONS(2234),
    [anon_sym___fastcall] = ACTIONS(2234),
    [anon_sym___thiscall] = ACTIONS(2234),
    [anon_sym___vectorcall] = ACTIONS(2234),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2234),
    [anon_sym_unsigned] = ACTIONS(2234),
    [anon_sym_long] = ACTIONS(2234),
    [anon_sym_short] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2234),
    [anon_sym_static] = ACTIONS(2234),
    [anon_sym_register] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(2234),
    [anon_sym___inline] = ACTIONS(2234),
    [anon_sym___inline__] = ACTIONS(2234),
    [anon_sym___forceinline] = ACTIONS(2234),
    [anon_sym_thread_local] = ACTIONS(2234),
    [anon_sym___thread] = ACTIONS(2234),
    [anon_sym_const] = ACTIONS(2234),
    [anon_sym_constexpr] = ACTIONS(2234),
    [anon_sym_volatile] = ACTIONS(2234),
    [anon_sym_restrict] = ACTIONS(2234),
    [anon_sym___restrict__] = ACTIONS(2234),
    [anon_sym__Atomic] = ACTIONS(2234),
    [anon_sym__Noreturn] = ACTIONS(2234),
    [anon_sym_noreturn] = ACTIONS(2234),
    [anon_sym__Nonnull] = ACTIONS(2234),
    [anon_sym_mutable] = ACTIONS(2234),
    [anon_sym_constinit] = ACTIONS(2234),
    [anon_sym_consteval] = ACTIONS(2234),
    [anon_sym_alignas] = ACTIONS(2234),
    [anon_sym__Alignas] = ACTIONS(2234),
    [sym_primitive_type] = ACTIONS(2234),
    [anon_sym_enum] = ACTIONS(2234),
    [anon_sym_class] = ACTIONS(2234),
    [anon_sym_struct] = ACTIONS(2234),
    [anon_sym_union] = ACTIONS(2234),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_else] = ACTIONS(2234),
    [anon_sym_switch] = ACTIONS(2234),
    [anon_sym_case] = ACTIONS(2234),
    [anon_sym_default] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(2234),
    [anon_sym_do] = ACTIONS(2234),
    [anon_sym_for] = ACTIONS(2234),
    [anon_sym_return] = ACTIONS(2234),
    [anon_sym_break] = ACTIONS(2234),
    [anon_sym_continue] = ACTIONS(2234),
    [anon_sym_goto] = ACTIONS(2234),
    [anon_sym___try] = ACTIONS(2234),
    [anon_sym___leave] = ACTIONS(2234),
    [anon_sym_not] = ACTIONS(2234),
    [anon_sym_compl] = ACTIONS(2234),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2234),
    [anon_sym___alignof__] = ACTIONS(2234),
    [anon_sym___alignof] = ACTIONS(2234),
    [anon_sym__alignof] = ACTIONS(2234),
    [anon_sym_alignof] = ACTIONS(2234),
    [anon_sym__Alignof] = ACTIONS(2234),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2234),
    [anon_sym_asm] = ACTIONS(2234),
    [anon_sym___asm__] = ACTIONS(2234),
    [anon_sym___asm] = ACTIONS(2234),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2234),
    [sym_false] = ACTIONS(2234),
    [anon_sym_NULL] = ACTIONS(2234),
    [anon_sym_nullptr] = ACTIONS(2234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2234),
    [anon_sym_decltype] = ACTIONS(2234),
    [anon_sym_explicit] = ACTIONS(2234),
    [anon_sym_typename] = ACTIONS(2234),
    [anon_sym_template] = ACTIONS(2234),
    [anon_sym_operator] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_delete] = ACTIONS(2234),
    [anon_sym_throw] = ACTIONS(2234),
    [anon_sym_namespace] = ACTIONS(2234),
    [anon_sym_using] = ACTIONS(2234),
    [anon_sym_static_assert] = ACTIONS(2234),
    [anon_sym_concept] = ACTIONS(2234),
    [anon_sym_co_return] = ACTIONS(2234),
    [anon_sym_co_yield] = ACTIONS(2234),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(2234),
    [anon_sym_requires] = ACTIONS(2234),
    [sym_this] = ACTIONS(2234),
    [anon_sym_discard] = ACTIONS(2234),
    [anon_sym_precise] = ACTIONS(2234),
    [anon_sym_shared] = ACTIONS(2234),
    [anon_sym_groupshared] = ACTIONS(2234),
    [anon_sym_uniform] = ACTIONS(2234),
    [anon_sym_row_major] = ACTIONS(2234),
    [anon_sym_column_major] = ACTIONS(2234),
    [anon_sym_globallycoherent] = ACTIONS(2234),
    [anon_sym_centroid] = ACTIONS(2234),
    [anon_sym_noperspective] = ACTIONS(2234),
    [anon_sym_nointerpolation] = ACTIONS(2234),
    [anon_sym_sample] = ACTIONS(2234),
    [anon_sym_linear] = ACTIONS(2234),
    [anon_sym_snorm] = ACTIONS(2234),
    [anon_sym_unorm] = ACTIONS(2234),
    [anon_sym_point] = ACTIONS(2234),
    [anon_sym_line] = ACTIONS(2234),
    [anon_sym_triangleadj] = ACTIONS(2234),
    [anon_sym_lineadj] = ACTIONS(2234),
    [anon_sym_triangle] = ACTIONS(2234),
    [anon_sym_cbuffer] = ACTIONS(2234),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2226),
    [aux_sym_preproc_include_token1] = ACTIONS(2226),
    [aux_sym_preproc_def_token1] = ACTIONS(2226),
    [aux_sym_preproc_if_token1] = ACTIONS(2226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2226),
    [sym_preproc_directive] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym___extension__] = ACTIONS(2226),
    [anon_sym_typedef] = ACTIONS(2226),
    [anon_sym_in] = ACTIONS(2226),
    [anon_sym_out] = ACTIONS(2226),
    [anon_sym_inout] = ACTIONS(2226),
    [anon_sym_virtual] = ACTIONS(2226),
    [anon_sym_extern] = ACTIONS(2226),
    [anon_sym___attribute__] = ACTIONS(2226),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2228),
    [anon_sym___declspec] = ACTIONS(2226),
    [anon_sym___based] = ACTIONS(2226),
    [anon_sym___cdecl] = ACTIONS(2226),
    [anon_sym___clrcall] = ACTIONS(2226),
    [anon_sym___stdcall] = ACTIONS(2226),
    [anon_sym___fastcall] = ACTIONS(2226),
    [anon_sym___thiscall] = ACTIONS(2226),
    [anon_sym___vectorcall] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_signed] = ACTIONS(2226),
    [anon_sym_unsigned] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_register] = ACTIONS(2226),
    [anon_sym_inline] = ACTIONS(2226),
    [anon_sym___inline] = ACTIONS(2226),
    [anon_sym___inline__] = ACTIONS(2226),
    [anon_sym___forceinline] = ACTIONS(2226),
    [anon_sym_thread_local] = ACTIONS(2226),
    [anon_sym___thread] = ACTIONS(2226),
    [anon_sym_const] = ACTIONS(2226),
    [anon_sym_constexpr] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_restrict] = ACTIONS(2226),
    [anon_sym___restrict__] = ACTIONS(2226),
    [anon_sym__Atomic] = ACTIONS(2226),
    [anon_sym__Noreturn] = ACTIONS(2226),
    [anon_sym_noreturn] = ACTIONS(2226),
    [anon_sym__Nonnull] = ACTIONS(2226),
    [anon_sym_mutable] = ACTIONS(2226),
    [anon_sym_constinit] = ACTIONS(2226),
    [anon_sym_consteval] = ACTIONS(2226),
    [anon_sym_alignas] = ACTIONS(2226),
    [anon_sym__Alignas] = ACTIONS(2226),
    [sym_primitive_type] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_struct] = ACTIONS(2226),
    [anon_sym_union] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_case] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_goto] = ACTIONS(2226),
    [anon_sym___try] = ACTIONS(2226),
    [anon_sym___leave] = ACTIONS(2226),
    [anon_sym_not] = ACTIONS(2226),
    [anon_sym_compl] = ACTIONS(2226),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_sizeof] = ACTIONS(2226),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2226),
    [anon_sym_asm] = ACTIONS(2226),
    [anon_sym___asm__] = ACTIONS(2226),
    [anon_sym___asm] = ACTIONS(2226),
    [sym_number_literal] = ACTIONS(2228),
    [anon_sym_L_SQUOTE] = ACTIONS(2228),
    [anon_sym_u_SQUOTE] = ACTIONS(2228),
    [anon_sym_U_SQUOTE] = ACTIONS(2228),
    [anon_sym_u8_SQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_L_DQUOTE] = ACTIONS(2228),
    [anon_sym_u_DQUOTE] = ACTIONS(2228),
    [anon_sym_U_DQUOTE] = ACTIONS(2228),
    [anon_sym_u8_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [anon_sym_NULL] = ACTIONS(2226),
    [anon_sym_nullptr] = ACTIONS(2226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2226),
    [anon_sym_decltype] = ACTIONS(2226),
    [anon_sym_explicit] = ACTIONS(2226),
    [anon_sym_typename] = ACTIONS(2226),
    [anon_sym_template] = ACTIONS(2226),
    [anon_sym_operator] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_delete] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_namespace] = ACTIONS(2226),
    [anon_sym_using] = ACTIONS(2226),
    [anon_sym_static_assert] = ACTIONS(2226),
    [anon_sym_concept] = ACTIONS(2226),
    [anon_sym_co_return] = ACTIONS(2226),
    [anon_sym_co_yield] = ACTIONS(2226),
    [anon_sym_R_DQUOTE] = ACTIONS(2228),
    [anon_sym_LR_DQUOTE] = ACTIONS(2228),
    [anon_sym_uR_DQUOTE] = ACTIONS(2228),
    [anon_sym_UR_DQUOTE] = ACTIONS(2228),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2228),
    [anon_sym_co_await] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_requires] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [anon_sym_discard] = ACTIONS(2226),
    [anon_sym_precise] = ACTIONS(2226),
    [anon_sym_shared] = ACTIONS(2226),
    [anon_sym_groupshared] = ACTIONS(2226),
    [anon_sym_uniform] = ACTIONS(2226),
    [anon_sym_row_major] = ACTIONS(2226),
    [anon_sym_column_major] = ACTIONS(2226),
    [anon_sym_globallycoherent] = ACTIONS(2226),
    [anon_sym_centroid] = ACTIONS(2226),
    [anon_sym_noperspective] = ACTIONS(2226),
    [anon_sym_nointerpolation] = ACTIONS(2226),
    [anon_sym_sample] = ACTIONS(2226),
    [anon_sym_linear] = ACTIONS(2226),
    [anon_sym_snorm] = ACTIONS(2226),
    [anon_sym_unorm] = ACTIONS(2226),
    [anon_sym_point] = ACTIONS(2226),
    [anon_sym_line] = ACTIONS(2226),
    [anon_sym_triangleadj] = ACTIONS(2226),
    [anon_sym_lineadj] = ACTIONS(2226),
    [anon_sym_triangle] = ACTIONS(2226),
    [anon_sym_cbuffer] = ACTIONS(2226),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_RBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2240),
    [anon_sym_u_SQUOTE] = ACTIONS(2240),
    [anon_sym_U_SQUOTE] = ACTIONS(2240),
    [anon_sym_u8_SQUOTE] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_L_DQUOTE] = ACTIONS(2240),
    [anon_sym_u_DQUOTE] = ACTIONS(2240),
    [anon_sym_U_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8_DQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2240),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2240),
    [anon_sym_LR_DQUOTE] = ACTIONS(2240),
    [anon_sym_uR_DQUOTE] = ACTIONS(2240),
    [anon_sym_UR_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2240),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(2270),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym__Nonnull] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym__Alignas] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [anon_sym___asm] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_RBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2240),
    [anon_sym_u_SQUOTE] = ACTIONS(2240),
    [anon_sym_U_SQUOTE] = ACTIONS(2240),
    [anon_sym_u8_SQUOTE] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_L_DQUOTE] = ACTIONS(2240),
    [anon_sym_u_DQUOTE] = ACTIONS(2240),
    [anon_sym_U_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8_DQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2240),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2240),
    [anon_sym_LR_DQUOTE] = ACTIONS(2240),
    [anon_sym_uR_DQUOTE] = ACTIONS(2240),
    [anon_sym_UR_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2240),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2240),
    [anon_sym_u_SQUOTE] = ACTIONS(2240),
    [anon_sym_U_SQUOTE] = ACTIONS(2240),
    [anon_sym_u8_SQUOTE] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_L_DQUOTE] = ACTIONS(2240),
    [anon_sym_u_DQUOTE] = ACTIONS(2240),
    [anon_sym_U_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8_DQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2240),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2240),
    [anon_sym_LR_DQUOTE] = ACTIONS(2240),
    [anon_sym_uR_DQUOTE] = ACTIONS(2240),
    [anon_sym_UR_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2240),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2240),
    [anon_sym_u_SQUOTE] = ACTIONS(2240),
    [anon_sym_U_SQUOTE] = ACTIONS(2240),
    [anon_sym_u8_SQUOTE] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_L_DQUOTE] = ACTIONS(2240),
    [anon_sym_u_DQUOTE] = ACTIONS(2240),
    [anon_sym_U_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8_DQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2240),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2240),
    [anon_sym_LR_DQUOTE] = ACTIONS(2240),
    [anon_sym_uR_DQUOTE] = ACTIONS(2240),
    [anon_sym_UR_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2240),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2260),
    [aux_sym_preproc_include_token1] = ACTIONS(2260),
    [aux_sym_preproc_def_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token1] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2260),
    [sym_preproc_directive] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2260),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2260),
    [anon_sym_typedef] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_out] = ACTIONS(2260),
    [anon_sym_inout] = ACTIONS(2260),
    [anon_sym_virtual] = ACTIONS(2260),
    [anon_sym_extern] = ACTIONS(2260),
    [anon_sym___attribute__] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2262),
    [anon_sym___declspec] = ACTIONS(2260),
    [anon_sym___based] = ACTIONS(2260),
    [anon_sym___cdecl] = ACTIONS(2260),
    [anon_sym___clrcall] = ACTIONS(2260),
    [anon_sym___stdcall] = ACTIONS(2260),
    [anon_sym___fastcall] = ACTIONS(2260),
    [anon_sym___thiscall] = ACTIONS(2260),
    [anon_sym___vectorcall] = ACTIONS(2260),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_signed] = ACTIONS(2260),
    [anon_sym_unsigned] = ACTIONS(2260),
    [anon_sym_long] = ACTIONS(2260),
    [anon_sym_short] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_register] = ACTIONS(2260),
    [anon_sym_inline] = ACTIONS(2260),
    [anon_sym___inline] = ACTIONS(2260),
    [anon_sym___inline__] = ACTIONS(2260),
    [anon_sym___forceinline] = ACTIONS(2260),
    [anon_sym_thread_local] = ACTIONS(2260),
    [anon_sym___thread] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2260),
    [anon_sym_constexpr] = ACTIONS(2260),
    [anon_sym_volatile] = ACTIONS(2260),
    [anon_sym_restrict] = ACTIONS(2260),
    [anon_sym___restrict__] = ACTIONS(2260),
    [anon_sym__Atomic] = ACTIONS(2260),
    [anon_sym__Noreturn] = ACTIONS(2260),
    [anon_sym_noreturn] = ACTIONS(2260),
    [anon_sym__Nonnull] = ACTIONS(2260),
    [anon_sym_mutable] = ACTIONS(2260),
    [anon_sym_constinit] = ACTIONS(2260),
    [anon_sym_consteval] = ACTIONS(2260),
    [anon_sym_alignas] = ACTIONS(2260),
    [anon_sym__Alignas] = ACTIONS(2260),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2260),
    [anon_sym_struct] = ACTIONS(2260),
    [anon_sym_union] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_else] = ACTIONS(2260),
    [anon_sym_switch] = ACTIONS(2260),
    [anon_sym_case] = ACTIONS(2260),
    [anon_sym_default] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2260),
    [anon_sym_do] = ACTIONS(2260),
    [anon_sym_for] = ACTIONS(2260),
    [anon_sym_return] = ACTIONS(2260),
    [anon_sym_break] = ACTIONS(2260),
    [anon_sym_continue] = ACTIONS(2260),
    [anon_sym_goto] = ACTIONS(2260),
    [anon_sym___try] = ACTIONS(2260),
    [anon_sym___leave] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2260),
    [anon_sym___alignof] = ACTIONS(2260),
    [anon_sym__alignof] = ACTIONS(2260),
    [anon_sym_alignof] = ACTIONS(2260),
    [anon_sym__Alignof] = ACTIONS(2260),
    [anon_sym_offsetof] = ACTIONS(2260),
    [anon_sym__Generic] = ACTIONS(2260),
    [anon_sym_asm] = ACTIONS(2260),
    [anon_sym___asm__] = ACTIONS(2260),
    [anon_sym___asm] = ACTIONS(2260),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2262),
    [anon_sym_u_SQUOTE] = ACTIONS(2262),
    [anon_sym_U_SQUOTE] = ACTIONS(2262),
    [anon_sym_u8_SQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_L_DQUOTE] = ACTIONS(2262),
    [anon_sym_u_DQUOTE] = ACTIONS(2262),
    [anon_sym_U_DQUOTE] = ACTIONS(2262),
    [anon_sym_u8_DQUOTE] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [sym_true] = ACTIONS(2260),
    [sym_false] = ACTIONS(2260),
    [anon_sym_NULL] = ACTIONS(2260),
    [anon_sym_nullptr] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2260),
    [anon_sym_decltype] = ACTIONS(2260),
    [anon_sym_explicit] = ACTIONS(2260),
    [anon_sym_typename] = ACTIONS(2260),
    [anon_sym_template] = ACTIONS(2260),
    [anon_sym_operator] = ACTIONS(2260),
    [anon_sym_try] = ACTIONS(2260),
    [anon_sym_delete] = ACTIONS(2260),
    [anon_sym_throw] = ACTIONS(2260),
    [anon_sym_namespace] = ACTIONS(2260),
    [anon_sym_using] = ACTIONS(2260),
    [anon_sym_static_assert] = ACTIONS(2260),
    [anon_sym_concept] = ACTIONS(2260),
    [anon_sym_co_return] = ACTIONS(2260),
    [anon_sym_co_yield] = ACTIONS(2260),
    [anon_sym_R_DQUOTE] = ACTIONS(2262),
    [anon_sym_LR_DQUOTE] = ACTIONS(2262),
    [anon_sym_uR_DQUOTE] = ACTIONS(2262),
    [anon_sym_UR_DQUOTE] = ACTIONS(2262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2262),
    [anon_sym_co_await] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2260),
    [anon_sym_requires] = ACTIONS(2260),
    [sym_this] = ACTIONS(2260),
    [anon_sym_discard] = ACTIONS(2260),
    [anon_sym_precise] = ACTIONS(2260),
    [anon_sym_shared] = ACTIONS(2260),
    [anon_sym_groupshared] = ACTIONS(2260),
    [anon_sym_uniform] = ACTIONS(2260),
    [anon_sym_row_major] = ACTIONS(2260),
    [anon_sym_column_major] = ACTIONS(2260),
    [anon_sym_globallycoherent] = ACTIONS(2260),
    [anon_sym_centroid] = ACTIONS(2260),
    [anon_sym_noperspective] = ACTIONS(2260),
    [anon_sym_nointerpolation] = ACTIONS(2260),
    [anon_sym_sample] = ACTIONS(2260),
    [anon_sym_linear] = ACTIONS(2260),
    [anon_sym_snorm] = ACTIONS(2260),
    [anon_sym_unorm] = ACTIONS(2260),
    [anon_sym_point] = ACTIONS(2260),
    [anon_sym_line] = ACTIONS(2260),
    [anon_sym_triangleadj] = ACTIONS(2260),
    [anon_sym_lineadj] = ACTIONS(2260),
    [anon_sym_triangle] = ACTIONS(2260),
    [anon_sym_cbuffer] = ACTIONS(2260),
  },
  [458] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [sym_number_literal] = ACTIONS(1971),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
    [anon_sym_discard] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
    [anon_sym_cbuffer] = ACTIONS(1973),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(2232),
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_include_token1] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym___cdecl] = ACTIONS(2230),
    [anon_sym___clrcall] = ACTIONS(2230),
    [anon_sym___stdcall] = ACTIONS(2230),
    [anon_sym___fastcall] = ACTIONS(2230),
    [anon_sym___thiscall] = ACTIONS(2230),
    [anon_sym___vectorcall] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_goto] = ACTIONS(2230),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2230),
    [anon_sym_not] = ACTIONS(2230),
    [anon_sym_compl] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2230),
    [anon_sym___alignof] = ACTIONS(2230),
    [anon_sym__alignof] = ACTIONS(2230),
    [anon_sym_alignof] = ACTIONS(2230),
    [anon_sym__Alignof] = ACTIONS(2230),
    [anon_sym_offsetof] = ACTIONS(2230),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym___asm] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2232),
    [anon_sym_u_SQUOTE] = ACTIONS(2232),
    [anon_sym_U_SQUOTE] = ACTIONS(2232),
    [anon_sym_u8_SQUOTE] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_L_DQUOTE] = ACTIONS(2232),
    [anon_sym_u_DQUOTE] = ACTIONS(2232),
    [anon_sym_U_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2232),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [anon_sym_NULL] = ACTIONS(2230),
    [anon_sym_nullptr] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_concept] = ACTIONS(2230),
    [anon_sym_co_return] = ACTIONS(2230),
    [anon_sym_co_yield] = ACTIONS(2230),
    [anon_sym_R_DQUOTE] = ACTIONS(2232),
    [anon_sym_LR_DQUOTE] = ACTIONS(2232),
    [anon_sym_uR_DQUOTE] = ACTIONS(2232),
    [anon_sym_UR_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2232),
    [anon_sym_co_await] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_requires] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [anon_sym_discard] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
    [anon_sym_cbuffer] = ACTIONS(2230),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_include_token1] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token2] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym___cdecl] = ACTIONS(2230),
    [anon_sym___clrcall] = ACTIONS(2230),
    [anon_sym___stdcall] = ACTIONS(2230),
    [anon_sym___fastcall] = ACTIONS(2230),
    [anon_sym___thiscall] = ACTIONS(2230),
    [anon_sym___vectorcall] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_goto] = ACTIONS(2230),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2230),
    [anon_sym_not] = ACTIONS(2230),
    [anon_sym_compl] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2230),
    [anon_sym___alignof] = ACTIONS(2230),
    [anon_sym__alignof] = ACTIONS(2230),
    [anon_sym_alignof] = ACTIONS(2230),
    [anon_sym__Alignof] = ACTIONS(2230),
    [anon_sym_offsetof] = ACTIONS(2230),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym___asm] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2232),
    [anon_sym_u_SQUOTE] = ACTIONS(2232),
    [anon_sym_U_SQUOTE] = ACTIONS(2232),
    [anon_sym_u8_SQUOTE] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_L_DQUOTE] = ACTIONS(2232),
    [anon_sym_u_DQUOTE] = ACTIONS(2232),
    [anon_sym_U_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2232),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [anon_sym_NULL] = ACTIONS(2230),
    [anon_sym_nullptr] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_concept] = ACTIONS(2230),
    [anon_sym_co_return] = ACTIONS(2230),
    [anon_sym_co_yield] = ACTIONS(2230),
    [anon_sym_R_DQUOTE] = ACTIONS(2232),
    [anon_sym_LR_DQUOTE] = ACTIONS(2232),
    [anon_sym_uR_DQUOTE] = ACTIONS(2232),
    [anon_sym_UR_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2232),
    [anon_sym_co_await] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_requires] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [anon_sym_discard] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
    [anon_sym_cbuffer] = ACTIONS(2230),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_include_token1] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token2] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym___cdecl] = ACTIONS(2230),
    [anon_sym___clrcall] = ACTIONS(2230),
    [anon_sym___stdcall] = ACTIONS(2230),
    [anon_sym___fastcall] = ACTIONS(2230),
    [anon_sym___thiscall] = ACTIONS(2230),
    [anon_sym___vectorcall] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_goto] = ACTIONS(2230),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2230),
    [anon_sym_not] = ACTIONS(2230),
    [anon_sym_compl] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2230),
    [anon_sym___alignof] = ACTIONS(2230),
    [anon_sym__alignof] = ACTIONS(2230),
    [anon_sym_alignof] = ACTIONS(2230),
    [anon_sym__Alignof] = ACTIONS(2230),
    [anon_sym_offsetof] = ACTIONS(2230),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym___asm] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2232),
    [anon_sym_u_SQUOTE] = ACTIONS(2232),
    [anon_sym_U_SQUOTE] = ACTIONS(2232),
    [anon_sym_u8_SQUOTE] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_L_DQUOTE] = ACTIONS(2232),
    [anon_sym_u_DQUOTE] = ACTIONS(2232),
    [anon_sym_U_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2232),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [anon_sym_NULL] = ACTIONS(2230),
    [anon_sym_nullptr] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_concept] = ACTIONS(2230),
    [anon_sym_co_return] = ACTIONS(2230),
    [anon_sym_co_yield] = ACTIONS(2230),
    [anon_sym_R_DQUOTE] = ACTIONS(2232),
    [anon_sym_LR_DQUOTE] = ACTIONS(2232),
    [anon_sym_uR_DQUOTE] = ACTIONS(2232),
    [anon_sym_UR_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2232),
    [anon_sym_co_await] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_requires] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [anon_sym_discard] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
    [anon_sym_cbuffer] = ACTIONS(2230),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(2363),
    [sym_identifier] = ACTIONS(2361),
    [aux_sym_preproc_include_token1] = ACTIONS(2361),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2361),
    [sym_preproc_directive] = ACTIONS(2361),
    [anon_sym_LPAREN2] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2361),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym___extension__] = ACTIONS(2361),
    [anon_sym_typedef] = ACTIONS(2361),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_out] = ACTIONS(2361),
    [anon_sym_inout] = ACTIONS(2361),
    [anon_sym_virtual] = ACTIONS(2361),
    [anon_sym_extern] = ACTIONS(2361),
    [anon_sym___attribute__] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2363),
    [anon_sym___declspec] = ACTIONS(2361),
    [anon_sym___based] = ACTIONS(2361),
    [anon_sym___cdecl] = ACTIONS(2361),
    [anon_sym___clrcall] = ACTIONS(2361),
    [anon_sym___stdcall] = ACTIONS(2361),
    [anon_sym___fastcall] = ACTIONS(2361),
    [anon_sym___thiscall] = ACTIONS(2361),
    [anon_sym___vectorcall] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_signed] = ACTIONS(2361),
    [anon_sym_unsigned] = ACTIONS(2361),
    [anon_sym_long] = ACTIONS(2361),
    [anon_sym_short] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_static] = ACTIONS(2361),
    [anon_sym_register] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym___inline] = ACTIONS(2361),
    [anon_sym___inline__] = ACTIONS(2361),
    [anon_sym___forceinline] = ACTIONS(2361),
    [anon_sym_thread_local] = ACTIONS(2361),
    [anon_sym___thread] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_constexpr] = ACTIONS(2361),
    [anon_sym_volatile] = ACTIONS(2361),
    [anon_sym_restrict] = ACTIONS(2361),
    [anon_sym___restrict__] = ACTIONS(2361),
    [anon_sym__Atomic] = ACTIONS(2361),
    [anon_sym__Noreturn] = ACTIONS(2361),
    [anon_sym_noreturn] = ACTIONS(2361),
    [anon_sym__Nonnull] = ACTIONS(2361),
    [anon_sym_mutable] = ACTIONS(2361),
    [anon_sym_constinit] = ACTIONS(2361),
    [anon_sym_consteval] = ACTIONS(2361),
    [anon_sym_alignas] = ACTIONS(2361),
    [anon_sym__Alignas] = ACTIONS(2361),
    [sym_primitive_type] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_class] = ACTIONS(2361),
    [anon_sym_struct] = ACTIONS(2361),
    [anon_sym_union] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2361),
    [anon_sym_switch] = ACTIONS(2361),
    [anon_sym_case] = ACTIONS(2361),
    [anon_sym_default] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(2361),
    [anon_sym_for] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_break] = ACTIONS(2361),
    [anon_sym_continue] = ACTIONS(2361),
    [anon_sym_goto] = ACTIONS(2361),
    [anon_sym___try] = ACTIONS(2361),
    [anon_sym___leave] = ACTIONS(2361),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_compl] = ACTIONS(2361),
    [anon_sym_DASH_DASH] = ACTIONS(2363),
    [anon_sym_PLUS_PLUS] = ACTIONS(2363),
    [anon_sym_sizeof] = ACTIONS(2361),
    [anon_sym___alignof__] = ACTIONS(2361),
    [anon_sym___alignof] = ACTIONS(2361),
    [anon_sym__alignof] = ACTIONS(2361),
    [anon_sym_alignof] = ACTIONS(2361),
    [anon_sym__Alignof] = ACTIONS(2361),
    [anon_sym_offsetof] = ACTIONS(2361),
    [anon_sym__Generic] = ACTIONS(2361),
    [anon_sym_asm] = ACTIONS(2361),
    [anon_sym___asm__] = ACTIONS(2361),
    [anon_sym___asm] = ACTIONS(2361),
    [sym_number_literal] = ACTIONS(2363),
    [anon_sym_L_SQUOTE] = ACTIONS(2363),
    [anon_sym_u_SQUOTE] = ACTIONS(2363),
    [anon_sym_U_SQUOTE] = ACTIONS(2363),
    [anon_sym_u8_SQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_L_DQUOTE] = ACTIONS(2363),
    [anon_sym_u_DQUOTE] = ACTIONS(2363),
    [anon_sym_U_DQUOTE] = ACTIONS(2363),
    [anon_sym_u8_DQUOTE] = ACTIONS(2363),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_true] = ACTIONS(2361),
    [sym_false] = ACTIONS(2361),
    [anon_sym_NULL] = ACTIONS(2361),
    [anon_sym_nullptr] = ACTIONS(2361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2361),
    [anon_sym_decltype] = ACTIONS(2361),
    [anon_sym_explicit] = ACTIONS(2361),
    [anon_sym_typename] = ACTIONS(2361),
    [anon_sym_template] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_delete] = ACTIONS(2361),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_namespace] = ACTIONS(2361),
    [anon_sym_using] = ACTIONS(2361),
    [anon_sym_static_assert] = ACTIONS(2361),
    [anon_sym_concept] = ACTIONS(2361),
    [anon_sym_co_return] = ACTIONS(2361),
    [anon_sym_co_yield] = ACTIONS(2361),
    [anon_sym_R_DQUOTE] = ACTIONS(2363),
    [anon_sym_LR_DQUOTE] = ACTIONS(2363),
    [anon_sym_uR_DQUOTE] = ACTIONS(2363),
    [anon_sym_UR_DQUOTE] = ACTIONS(2363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2363),
    [anon_sym_co_await] = ACTIONS(2361),
    [anon_sym_new] = ACTIONS(2361),
    [anon_sym_requires] = ACTIONS(2361),
    [sym_this] = ACTIONS(2361),
    [anon_sym_discard] = ACTIONS(2361),
    [anon_sym_precise] = ACTIONS(2361),
    [anon_sym_shared] = ACTIONS(2361),
    [anon_sym_groupshared] = ACTIONS(2361),
    [anon_sym_uniform] = ACTIONS(2361),
    [anon_sym_row_major] = ACTIONS(2361),
    [anon_sym_column_major] = ACTIONS(2361),
    [anon_sym_globallycoherent] = ACTIONS(2361),
    [anon_sym_centroid] = ACTIONS(2361),
    [anon_sym_noperspective] = ACTIONS(2361),
    [anon_sym_nointerpolation] = ACTIONS(2361),
    [anon_sym_sample] = ACTIONS(2361),
    [anon_sym_linear] = ACTIONS(2361),
    [anon_sym_snorm] = ACTIONS(2361),
    [anon_sym_unorm] = ACTIONS(2361),
    [anon_sym_point] = ACTIONS(2361),
    [anon_sym_line] = ACTIONS(2361),
    [anon_sym_triangleadj] = ACTIONS(2361),
    [anon_sym_lineadj] = ACTIONS(2361),
    [anon_sym_triangle] = ACTIONS(2361),
    [anon_sym_cbuffer] = ACTIONS(2361),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(2232),
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_include_token1] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym___cdecl] = ACTIONS(2230),
    [anon_sym___clrcall] = ACTIONS(2230),
    [anon_sym___stdcall] = ACTIONS(2230),
    [anon_sym___fastcall] = ACTIONS(2230),
    [anon_sym___thiscall] = ACTIONS(2230),
    [anon_sym___vectorcall] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_goto] = ACTIONS(2230),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2230),
    [anon_sym_not] = ACTIONS(2230),
    [anon_sym_compl] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2230),
    [anon_sym___alignof] = ACTIONS(2230),
    [anon_sym__alignof] = ACTIONS(2230),
    [anon_sym_alignof] = ACTIONS(2230),
    [anon_sym__Alignof] = ACTIONS(2230),
    [anon_sym_offsetof] = ACTIONS(2230),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym___asm] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2232),
    [anon_sym_u_SQUOTE] = ACTIONS(2232),
    [anon_sym_U_SQUOTE] = ACTIONS(2232),
    [anon_sym_u8_SQUOTE] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_L_DQUOTE] = ACTIONS(2232),
    [anon_sym_u_DQUOTE] = ACTIONS(2232),
    [anon_sym_U_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2232),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [anon_sym_NULL] = ACTIONS(2230),
    [anon_sym_nullptr] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_concept] = ACTIONS(2230),
    [anon_sym_co_return] = ACTIONS(2230),
    [anon_sym_co_yield] = ACTIONS(2230),
    [anon_sym_R_DQUOTE] = ACTIONS(2232),
    [anon_sym_LR_DQUOTE] = ACTIONS(2232),
    [anon_sym_uR_DQUOTE] = ACTIONS(2232),
    [anon_sym_UR_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2232),
    [anon_sym_co_await] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_requires] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [anon_sym_discard] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
    [anon_sym_cbuffer] = ACTIONS(2230),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2174),
    [aux_sym_preproc_include_token1] = ACTIONS(2174),
    [aux_sym_preproc_def_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token2] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2174),
    [sym_preproc_directive] = ACTIONS(2174),
    [anon_sym_LPAREN2] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(2174),
    [anon_sym_typedef] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_out] = ACTIONS(2174),
    [anon_sym_inout] = ACTIONS(2174),
    [anon_sym_virtual] = ACTIONS(2174),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym___attribute__] = ACTIONS(2174),
    [anon_sym_COLON_COLON] = ACTIONS(2176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2176),
    [anon_sym___declspec] = ACTIONS(2174),
    [anon_sym___based] = ACTIONS(2174),
    [anon_sym___cdecl] = ACTIONS(2174),
    [anon_sym___clrcall] = ACTIONS(2174),
    [anon_sym___stdcall] = ACTIONS(2174),
    [anon_sym___fastcall] = ACTIONS(2174),
    [anon_sym___thiscall] = ACTIONS(2174),
    [anon_sym___vectorcall] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_signed] = ACTIONS(2174),
    [anon_sym_unsigned] = ACTIONS(2174),
    [anon_sym_long] = ACTIONS(2174),
    [anon_sym_short] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_register] = ACTIONS(2174),
    [anon_sym_inline] = ACTIONS(2174),
    [anon_sym___inline] = ACTIONS(2174),
    [anon_sym___inline__] = ACTIONS(2174),
    [anon_sym___forceinline] = ACTIONS(2174),
    [anon_sym_thread_local] = ACTIONS(2174),
    [anon_sym___thread] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_constexpr] = ACTIONS(2174),
    [anon_sym_volatile] = ACTIONS(2174),
    [anon_sym_restrict] = ACTIONS(2174),
    [anon_sym___restrict__] = ACTIONS(2174),
    [anon_sym__Atomic] = ACTIONS(2174),
    [anon_sym__Noreturn] = ACTIONS(2174),
    [anon_sym_noreturn] = ACTIONS(2174),
    [anon_sym__Nonnull] = ACTIONS(2174),
    [anon_sym_mutable] = ACTIONS(2174),
    [anon_sym_constinit] = ACTIONS(2174),
    [anon_sym_consteval] = ACTIONS(2174),
    [anon_sym_alignas] = ACTIONS(2174),
    [anon_sym__Alignas] = ACTIONS(2174),
    [sym_primitive_type] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_struct] = ACTIONS(2174),
    [anon_sym_union] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_case] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_goto] = ACTIONS(2174),
    [anon_sym___try] = ACTIONS(2174),
    [anon_sym___leave] = ACTIONS(2174),
    [anon_sym_not] = ACTIONS(2174),
    [anon_sym_compl] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_sizeof] = ACTIONS(2174),
    [anon_sym___alignof__] = ACTIONS(2174),
    [anon_sym___alignof] = ACTIONS(2174),
    [anon_sym__alignof] = ACTIONS(2174),
    [anon_sym_alignof] = ACTIONS(2174),
    [anon_sym__Alignof] = ACTIONS(2174),
    [anon_sym_offsetof] = ACTIONS(2174),
    [anon_sym__Generic] = ACTIONS(2174),
    [anon_sym_asm] = ACTIONS(2174),
    [anon_sym___asm__] = ACTIONS(2174),
    [anon_sym___asm] = ACTIONS(2174),
    [sym_number_literal] = ACTIONS(2176),
    [anon_sym_L_SQUOTE] = ACTIONS(2176),
    [anon_sym_u_SQUOTE] = ACTIONS(2176),
    [anon_sym_U_SQUOTE] = ACTIONS(2176),
    [anon_sym_u8_SQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_L_DQUOTE] = ACTIONS(2176),
    [anon_sym_u_DQUOTE] = ACTIONS(2176),
    [anon_sym_U_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8_DQUOTE] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [anon_sym_NULL] = ACTIONS(2174),
    [anon_sym_nullptr] = ACTIONS(2174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2174),
    [anon_sym_decltype] = ACTIONS(2174),
    [anon_sym_explicit] = ACTIONS(2174),
    [anon_sym_typename] = ACTIONS(2174),
    [anon_sym_template] = ACTIONS(2174),
    [anon_sym_operator] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_static_assert] = ACTIONS(2174),
    [anon_sym_concept] = ACTIONS(2174),
    [anon_sym_co_return] = ACTIONS(2174),
    [anon_sym_co_yield] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [anon_sym_discard] = ACTIONS(2174),
    [anon_sym_precise] = ACTIONS(2174),
    [anon_sym_shared] = ACTIONS(2174),
    [anon_sym_groupshared] = ACTIONS(2174),
    [anon_sym_uniform] = ACTIONS(2174),
    [anon_sym_row_major] = ACTIONS(2174),
    [anon_sym_column_major] = ACTIONS(2174),
    [anon_sym_globallycoherent] = ACTIONS(2174),
    [anon_sym_centroid] = ACTIONS(2174),
    [anon_sym_noperspective] = ACTIONS(2174),
    [anon_sym_nointerpolation] = ACTIONS(2174),
    [anon_sym_sample] = ACTIONS(2174),
    [anon_sym_linear] = ACTIONS(2174),
    [anon_sym_snorm] = ACTIONS(2174),
    [anon_sym_unorm] = ACTIONS(2174),
    [anon_sym_point] = ACTIONS(2174),
    [anon_sym_line] = ACTIONS(2174),
    [anon_sym_triangleadj] = ACTIONS(2174),
    [anon_sym_lineadj] = ACTIONS(2174),
    [anon_sym_triangle] = ACTIONS(2174),
    [anon_sym_cbuffer] = ACTIONS(2174),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(2236),
    [sym_identifier] = ACTIONS(2234),
    [aux_sym_preproc_include_token1] = ACTIONS(2234),
    [aux_sym_preproc_def_token1] = ACTIONS(2234),
    [aux_sym_preproc_if_token1] = ACTIONS(2234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2234),
    [sym_preproc_directive] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2234),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2234),
    [anon_sym_typedef] = ACTIONS(2234),
    [anon_sym_in] = ACTIONS(2234),
    [anon_sym_out] = ACTIONS(2234),
    [anon_sym_inout] = ACTIONS(2234),
    [anon_sym_virtual] = ACTIONS(2234),
    [anon_sym_extern] = ACTIONS(2234),
    [anon_sym___attribute__] = ACTIONS(2234),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2234),
    [anon_sym___based] = ACTIONS(2234),
    [anon_sym___cdecl] = ACTIONS(2234),
    [anon_sym___clrcall] = ACTIONS(2234),
    [anon_sym___stdcall] = ACTIONS(2234),
    [anon_sym___fastcall] = ACTIONS(2234),
    [anon_sym___thiscall] = ACTIONS(2234),
    [anon_sym___vectorcall] = ACTIONS(2234),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2234),
    [anon_sym_unsigned] = ACTIONS(2234),
    [anon_sym_long] = ACTIONS(2234),
    [anon_sym_short] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2234),
    [anon_sym_static] = ACTIONS(2234),
    [anon_sym_register] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(2234),
    [anon_sym___inline] = ACTIONS(2234),
    [anon_sym___inline__] = ACTIONS(2234),
    [anon_sym___forceinline] = ACTIONS(2234),
    [anon_sym_thread_local] = ACTIONS(2234),
    [anon_sym___thread] = ACTIONS(2234),
    [anon_sym_const] = ACTIONS(2234),
    [anon_sym_constexpr] = ACTIONS(2234),
    [anon_sym_volatile] = ACTIONS(2234),
    [anon_sym_restrict] = ACTIONS(2234),
    [anon_sym___restrict__] = ACTIONS(2234),
    [anon_sym__Atomic] = ACTIONS(2234),
    [anon_sym__Noreturn] = ACTIONS(2234),
    [anon_sym_noreturn] = ACTIONS(2234),
    [anon_sym__Nonnull] = ACTIONS(2234),
    [anon_sym_mutable] = ACTIONS(2234),
    [anon_sym_constinit] = ACTIONS(2234),
    [anon_sym_consteval] = ACTIONS(2234),
    [anon_sym_alignas] = ACTIONS(2234),
    [anon_sym__Alignas] = ACTIONS(2234),
    [sym_primitive_type] = ACTIONS(2234),
    [anon_sym_enum] = ACTIONS(2234),
    [anon_sym_class] = ACTIONS(2234),
    [anon_sym_struct] = ACTIONS(2234),
    [anon_sym_union] = ACTIONS(2234),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_else] = ACTIONS(2234),
    [anon_sym_switch] = ACTIONS(2234),
    [anon_sym_case] = ACTIONS(2234),
    [anon_sym_default] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(2234),
    [anon_sym_do] = ACTIONS(2234),
    [anon_sym_for] = ACTIONS(2234),
    [anon_sym_return] = ACTIONS(2234),
    [anon_sym_break] = ACTIONS(2234),
    [anon_sym_continue] = ACTIONS(2234),
    [anon_sym_goto] = ACTIONS(2234),
    [anon_sym___try] = ACTIONS(2234),
    [anon_sym___leave] = ACTIONS(2234),
    [anon_sym_not] = ACTIONS(2234),
    [anon_sym_compl] = ACTIONS(2234),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2234),
    [anon_sym___alignof__] = ACTIONS(2234),
    [anon_sym___alignof] = ACTIONS(2234),
    [anon_sym__alignof] = ACTIONS(2234),
    [anon_sym_alignof] = ACTIONS(2234),
    [anon_sym__Alignof] = ACTIONS(2234),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2234),
    [anon_sym_asm] = ACTIONS(2234),
    [anon_sym___asm__] = ACTIONS(2234),
    [anon_sym___asm] = ACTIONS(2234),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2234),
    [sym_false] = ACTIONS(2234),
    [anon_sym_NULL] = ACTIONS(2234),
    [anon_sym_nullptr] = ACTIONS(2234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2234),
    [anon_sym_decltype] = ACTIONS(2234),
    [anon_sym_explicit] = ACTIONS(2234),
    [anon_sym_typename] = ACTIONS(2234),
    [anon_sym_template] = ACTIONS(2234),
    [anon_sym_operator] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_delete] = ACTIONS(2234),
    [anon_sym_throw] = ACTIONS(2234),
    [anon_sym_namespace] = ACTIONS(2234),
    [anon_sym_using] = ACTIONS(2234),
    [anon_sym_static_assert] = ACTIONS(2234),
    [anon_sym_concept] = ACTIONS(2234),
    [anon_sym_co_return] = ACTIONS(2234),
    [anon_sym_co_yield] = ACTIONS(2234),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(2234),
    [anon_sym_requires] = ACTIONS(2234),
    [sym_this] = ACTIONS(2234),
    [anon_sym_discard] = ACTIONS(2234),
    [anon_sym_precise] = ACTIONS(2234),
    [anon_sym_shared] = ACTIONS(2234),
    [anon_sym_groupshared] = ACTIONS(2234),
    [anon_sym_uniform] = ACTIONS(2234),
    [anon_sym_row_major] = ACTIONS(2234),
    [anon_sym_column_major] = ACTIONS(2234),
    [anon_sym_globallycoherent] = ACTIONS(2234),
    [anon_sym_centroid] = ACTIONS(2234),
    [anon_sym_noperspective] = ACTIONS(2234),
    [anon_sym_nointerpolation] = ACTIONS(2234),
    [anon_sym_sample] = ACTIONS(2234),
    [anon_sym_linear] = ACTIONS(2234),
    [anon_sym_snorm] = ACTIONS(2234),
    [anon_sym_unorm] = ACTIONS(2234),
    [anon_sym_point] = ACTIONS(2234),
    [anon_sym_line] = ACTIONS(2234),
    [anon_sym_triangleadj] = ACTIONS(2234),
    [anon_sym_lineadj] = ACTIONS(2234),
    [anon_sym_triangle] = ACTIONS(2234),
    [anon_sym_cbuffer] = ACTIONS(2234),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_include_token1] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token2] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym___cdecl] = ACTIONS(2206),
    [anon_sym___clrcall] = ACTIONS(2206),
    [anon_sym___stdcall] = ACTIONS(2206),
    [anon_sym___fastcall] = ACTIONS(2206),
    [anon_sym___thiscall] = ACTIONS(2206),
    [anon_sym___vectorcall] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym__Nonnull] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym__Alignas] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [anon_sym___asm] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_concept] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(2274),
    [sym_identifier] = ACTIONS(2272),
    [aux_sym_preproc_include_token1] = ACTIONS(2272),
    [aux_sym_preproc_def_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2272),
    [sym_preproc_directive] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2272),
    [anon_sym_typedef] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2272),
    [anon_sym_out] = ACTIONS(2272),
    [anon_sym_inout] = ACTIONS(2272),
    [anon_sym_virtual] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym___attribute__] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2274),
    [anon_sym___declspec] = ACTIONS(2272),
    [anon_sym___based] = ACTIONS(2272),
    [anon_sym___cdecl] = ACTIONS(2272),
    [anon_sym___clrcall] = ACTIONS(2272),
    [anon_sym___stdcall] = ACTIONS(2272),
    [anon_sym___fastcall] = ACTIONS(2272),
    [anon_sym___thiscall] = ACTIONS(2272),
    [anon_sym___vectorcall] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2272),
    [anon_sym_unsigned] = ACTIONS(2272),
    [anon_sym_long] = ACTIONS(2272),
    [anon_sym_short] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_register] = ACTIONS(2272),
    [anon_sym_inline] = ACTIONS(2272),
    [anon_sym___inline] = ACTIONS(2272),
    [anon_sym___inline__] = ACTIONS(2272),
    [anon_sym___forceinline] = ACTIONS(2272),
    [anon_sym_thread_local] = ACTIONS(2272),
    [anon_sym___thread] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_constexpr] = ACTIONS(2272),
    [anon_sym_volatile] = ACTIONS(2272),
    [anon_sym_restrict] = ACTIONS(2272),
    [anon_sym___restrict__] = ACTIONS(2272),
    [anon_sym__Atomic] = ACTIONS(2272),
    [anon_sym__Noreturn] = ACTIONS(2272),
    [anon_sym_noreturn] = ACTIONS(2272),
    [anon_sym__Nonnull] = ACTIONS(2272),
    [anon_sym_mutable] = ACTIONS(2272),
    [anon_sym_constinit] = ACTIONS(2272),
    [anon_sym_consteval] = ACTIONS(2272),
    [anon_sym_alignas] = ACTIONS(2272),
    [anon_sym__Alignas] = ACTIONS(2272),
    [sym_primitive_type] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_goto] = ACTIONS(2272),
    [anon_sym___try] = ACTIONS(2272),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_compl] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2272),
    [anon_sym___alignof] = ACTIONS(2272),
    [anon_sym__alignof] = ACTIONS(2272),
    [anon_sym_alignof] = ACTIONS(2272),
    [anon_sym__Alignof] = ACTIONS(2272),
    [anon_sym_offsetof] = ACTIONS(2272),
    [anon_sym__Generic] = ACTIONS(2272),
    [anon_sym_asm] = ACTIONS(2272),
    [anon_sym___asm__] = ACTIONS(2272),
    [anon_sym___asm] = ACTIONS(2272),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2274),
    [anon_sym_u_DQUOTE] = ACTIONS(2274),
    [anon_sym_U_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8_DQUOTE] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [anon_sym_NULL] = ACTIONS(2272),
    [anon_sym_nullptr] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2272),
    [anon_sym_decltype] = ACTIONS(2272),
    [anon_sym_explicit] = ACTIONS(2272),
    [anon_sym_typename] = ACTIONS(2272),
    [anon_sym_template] = ACTIONS(2272),
    [anon_sym_operator] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_static_assert] = ACTIONS(2272),
    [anon_sym_concept] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2272),
    [anon_sym_co_yield] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2274),
    [anon_sym_LR_DQUOTE] = ACTIONS(2274),
    [anon_sym_uR_DQUOTE] = ACTIONS(2274),
    [anon_sym_UR_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2274),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_requires] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [anon_sym_discard] = ACTIONS(2272),
    [anon_sym_precise] = ACTIONS(2272),
    [anon_sym_shared] = ACTIONS(2272),
    [anon_sym_groupshared] = ACTIONS(2272),
    [anon_sym_uniform] = ACTIONS(2272),
    [anon_sym_row_major] = ACTIONS(2272),
    [anon_sym_column_major] = ACTIONS(2272),
    [anon_sym_globallycoherent] = ACTIONS(2272),
    [anon_sym_centroid] = ACTIONS(2272),
    [anon_sym_noperspective] = ACTIONS(2272),
    [anon_sym_nointerpolation] = ACTIONS(2272),
    [anon_sym_sample] = ACTIONS(2272),
    [anon_sym_linear] = ACTIONS(2272),
    [anon_sym_snorm] = ACTIONS(2272),
    [anon_sym_unorm] = ACTIONS(2272),
    [anon_sym_point] = ACTIONS(2272),
    [anon_sym_line] = ACTIONS(2272),
    [anon_sym_triangleadj] = ACTIONS(2272),
    [anon_sym_lineadj] = ACTIONS(2272),
    [anon_sym_triangle] = ACTIONS(2272),
    [anon_sym_cbuffer] = ACTIONS(2272),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2347),
    [aux_sym_preproc_include_token1] = ACTIONS(2347),
    [aux_sym_preproc_def_token1] = ACTIONS(2347),
    [aux_sym_preproc_if_token1] = ACTIONS(2347),
    [aux_sym_preproc_if_token2] = ACTIONS(2347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2347),
    [sym_preproc_directive] = ACTIONS(2347),
    [anon_sym_LPAREN2] = ACTIONS(2349),
    [anon_sym_BANG] = ACTIONS(2349),
    [anon_sym_TILDE] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2347),
    [anon_sym_PLUS] = ACTIONS(2347),
    [anon_sym_STAR] = ACTIONS(2349),
    [anon_sym_AMP_AMP] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(2349),
    [anon_sym___extension__] = ACTIONS(2347),
    [anon_sym_typedef] = ACTIONS(2347),
    [anon_sym_in] = ACTIONS(2347),
    [anon_sym_out] = ACTIONS(2347),
    [anon_sym_inout] = ACTIONS(2347),
    [anon_sym_virtual] = ACTIONS(2347),
    [anon_sym_extern] = ACTIONS(2347),
    [anon_sym___attribute__] = ACTIONS(2347),
    [anon_sym_COLON_COLON] = ACTIONS(2349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2349),
    [anon_sym___declspec] = ACTIONS(2347),
    [anon_sym___based] = ACTIONS(2347),
    [anon_sym___cdecl] = ACTIONS(2347),
    [anon_sym___clrcall] = ACTIONS(2347),
    [anon_sym___stdcall] = ACTIONS(2347),
    [anon_sym___fastcall] = ACTIONS(2347),
    [anon_sym___thiscall] = ACTIONS(2347),
    [anon_sym___vectorcall] = ACTIONS(2347),
    [anon_sym_LBRACE] = ACTIONS(2349),
    [anon_sym_signed] = ACTIONS(2347),
    [anon_sym_unsigned] = ACTIONS(2347),
    [anon_sym_long] = ACTIONS(2347),
    [anon_sym_short] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(2347),
    [anon_sym_static] = ACTIONS(2347),
    [anon_sym_register] = ACTIONS(2347),
    [anon_sym_inline] = ACTIONS(2347),
    [anon_sym___inline] = ACTIONS(2347),
    [anon_sym___inline__] = ACTIONS(2347),
    [anon_sym___forceinline] = ACTIONS(2347),
    [anon_sym_thread_local] = ACTIONS(2347),
    [anon_sym___thread] = ACTIONS(2347),
    [anon_sym_const] = ACTIONS(2347),
    [anon_sym_constexpr] = ACTIONS(2347),
    [anon_sym_volatile] = ACTIONS(2347),
    [anon_sym_restrict] = ACTIONS(2347),
    [anon_sym___restrict__] = ACTIONS(2347),
    [anon_sym__Atomic] = ACTIONS(2347),
    [anon_sym__Noreturn] = ACTIONS(2347),
    [anon_sym_noreturn] = ACTIONS(2347),
    [anon_sym__Nonnull] = ACTIONS(2347),
    [anon_sym_mutable] = ACTIONS(2347),
    [anon_sym_constinit] = ACTIONS(2347),
    [anon_sym_consteval] = ACTIONS(2347),
    [anon_sym_alignas] = ACTIONS(2347),
    [anon_sym__Alignas] = ACTIONS(2347),
    [sym_primitive_type] = ACTIONS(2347),
    [anon_sym_enum] = ACTIONS(2347),
    [anon_sym_class] = ACTIONS(2347),
    [anon_sym_struct] = ACTIONS(2347),
    [anon_sym_union] = ACTIONS(2347),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_else] = ACTIONS(2347),
    [anon_sym_switch] = ACTIONS(2347),
    [anon_sym_case] = ACTIONS(2347),
    [anon_sym_default] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2347),
    [anon_sym_do] = ACTIONS(2347),
    [anon_sym_for] = ACTIONS(2347),
    [anon_sym_return] = ACTIONS(2347),
    [anon_sym_break] = ACTIONS(2347),
    [anon_sym_continue] = ACTIONS(2347),
    [anon_sym_goto] = ACTIONS(2347),
    [anon_sym___try] = ACTIONS(2347),
    [anon_sym___leave] = ACTIONS(2347),
    [anon_sym_not] = ACTIONS(2347),
    [anon_sym_compl] = ACTIONS(2347),
    [anon_sym_DASH_DASH] = ACTIONS(2349),
    [anon_sym_PLUS_PLUS] = ACTIONS(2349),
    [anon_sym_sizeof] = ACTIONS(2347),
    [anon_sym___alignof__] = ACTIONS(2347),
    [anon_sym___alignof] = ACTIONS(2347),
    [anon_sym__alignof] = ACTIONS(2347),
    [anon_sym_alignof] = ACTIONS(2347),
    [anon_sym__Alignof] = ACTIONS(2347),
    [anon_sym_offsetof] = ACTIONS(2347),
    [anon_sym__Generic] = ACTIONS(2347),
    [anon_sym_asm] = ACTIONS(2347),
    [anon_sym___asm__] = ACTIONS(2347),
    [anon_sym___asm] = ACTIONS(2347),
    [sym_number_literal] = ACTIONS(2349),
    [anon_sym_L_SQUOTE] = ACTIONS(2349),
    [anon_sym_u_SQUOTE] = ACTIONS(2349),
    [anon_sym_U_SQUOTE] = ACTIONS(2349),
    [anon_sym_u8_SQUOTE] = ACTIONS(2349),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_L_DQUOTE] = ACTIONS(2349),
    [anon_sym_u_DQUOTE] = ACTIONS(2349),
    [anon_sym_U_DQUOTE] = ACTIONS(2349),
    [anon_sym_u8_DQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2349),
    [sym_true] = ACTIONS(2347),
    [sym_false] = ACTIONS(2347),
    [anon_sym_NULL] = ACTIONS(2347),
    [anon_sym_nullptr] = ACTIONS(2347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2347),
    [anon_sym_decltype] = ACTIONS(2347),
    [anon_sym_explicit] = ACTIONS(2347),
    [anon_sym_typename] = ACTIONS(2347),
    [anon_sym_template] = ACTIONS(2347),
    [anon_sym_operator] = ACTIONS(2347),
    [anon_sym_try] = ACTIONS(2347),
    [anon_sym_delete] = ACTIONS(2347),
    [anon_sym_throw] = ACTIONS(2347),
    [anon_sym_namespace] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_static_assert] = ACTIONS(2347),
    [anon_sym_concept] = ACTIONS(2347),
    [anon_sym_co_return] = ACTIONS(2347),
    [anon_sym_co_yield] = ACTIONS(2347),
    [anon_sym_R_DQUOTE] = ACTIONS(2349),
    [anon_sym_LR_DQUOTE] = ACTIONS(2349),
    [anon_sym_uR_DQUOTE] = ACTIONS(2349),
    [anon_sym_UR_DQUOTE] = ACTIONS(2349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2349),
    [anon_sym_co_await] = ACTIONS(2347),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_requires] = ACTIONS(2347),
    [sym_this] = ACTIONS(2347),
    [anon_sym_discard] = ACTIONS(2347),
    [anon_sym_precise] = ACTIONS(2347),
    [anon_sym_shared] = ACTIONS(2347),
    [anon_sym_groupshared] = ACTIONS(2347),
    [anon_sym_uniform] = ACTIONS(2347),
    [anon_sym_row_major] = ACTIONS(2347),
    [anon_sym_column_major] = ACTIONS(2347),
    [anon_sym_globallycoherent] = ACTIONS(2347),
    [anon_sym_centroid] = ACTIONS(2347),
    [anon_sym_noperspective] = ACTIONS(2347),
    [anon_sym_nointerpolation] = ACTIONS(2347),
    [anon_sym_sample] = ACTIONS(2347),
    [anon_sym_linear] = ACTIONS(2347),
    [anon_sym_snorm] = ACTIONS(2347),
    [anon_sym_unorm] = ACTIONS(2347),
    [anon_sym_point] = ACTIONS(2347),
    [anon_sym_line] = ACTIONS(2347),
    [anon_sym_triangleadj] = ACTIONS(2347),
    [anon_sym_lineadj] = ACTIONS(2347),
    [anon_sym_triangle] = ACTIONS(2347),
    [anon_sym_cbuffer] = ACTIONS(2347),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(2282),
    [sym_identifier] = ACTIONS(2280),
    [aux_sym_preproc_include_token1] = ACTIONS(2280),
    [aux_sym_preproc_def_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2280),
    [sym_preproc_directive] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2280),
    [anon_sym_typedef] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2280),
    [anon_sym_out] = ACTIONS(2280),
    [anon_sym_inout] = ACTIONS(2280),
    [anon_sym_virtual] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym___attribute__] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2282),
    [anon_sym___declspec] = ACTIONS(2280),
    [anon_sym___based] = ACTIONS(2280),
    [anon_sym___cdecl] = ACTIONS(2280),
    [anon_sym___clrcall] = ACTIONS(2280),
    [anon_sym___stdcall] = ACTIONS(2280),
    [anon_sym___fastcall] = ACTIONS(2280),
    [anon_sym___thiscall] = ACTIONS(2280),
    [anon_sym___vectorcall] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2280),
    [anon_sym_unsigned] = ACTIONS(2280),
    [anon_sym_long] = ACTIONS(2280),
    [anon_sym_short] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_register] = ACTIONS(2280),
    [anon_sym_inline] = ACTIONS(2280),
    [anon_sym___inline] = ACTIONS(2280),
    [anon_sym___inline__] = ACTIONS(2280),
    [anon_sym___forceinline] = ACTIONS(2280),
    [anon_sym_thread_local] = ACTIONS(2280),
    [anon_sym___thread] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_constexpr] = ACTIONS(2280),
    [anon_sym_volatile] = ACTIONS(2280),
    [anon_sym_restrict] = ACTIONS(2280),
    [anon_sym___restrict__] = ACTIONS(2280),
    [anon_sym__Atomic] = ACTIONS(2280),
    [anon_sym__Noreturn] = ACTIONS(2280),
    [anon_sym_noreturn] = ACTIONS(2280),
    [anon_sym__Nonnull] = ACTIONS(2280),
    [anon_sym_mutable] = ACTIONS(2280),
    [anon_sym_constinit] = ACTIONS(2280),
    [anon_sym_consteval] = ACTIONS(2280),
    [anon_sym_alignas] = ACTIONS(2280),
    [anon_sym__Alignas] = ACTIONS(2280),
    [sym_primitive_type] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2280),
    [anon_sym___try] = ACTIONS(2280),
    [anon_sym___leave] = ACTIONS(2280),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_compl] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2282),
    [anon_sym_sizeof] = ACTIONS(2280),
    [anon_sym___alignof__] = ACTIONS(2280),
    [anon_sym___alignof] = ACTIONS(2280),
    [anon_sym__alignof] = ACTIONS(2280),
    [anon_sym_alignof] = ACTIONS(2280),
    [anon_sym__Alignof] = ACTIONS(2280),
    [anon_sym_offsetof] = ACTIONS(2280),
    [anon_sym__Generic] = ACTIONS(2280),
    [anon_sym_asm] = ACTIONS(2280),
    [anon_sym___asm__] = ACTIONS(2280),
    [anon_sym___asm] = ACTIONS(2280),
    [sym_number_literal] = ACTIONS(2282),
    [anon_sym_L_SQUOTE] = ACTIONS(2282),
    [anon_sym_u_SQUOTE] = ACTIONS(2282),
    [anon_sym_U_SQUOTE] = ACTIONS(2282),
    [anon_sym_u8_SQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2282),
    [anon_sym_L_DQUOTE] = ACTIONS(2282),
    [anon_sym_u_DQUOTE] = ACTIONS(2282),
    [anon_sym_U_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8_DQUOTE] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [anon_sym_NULL] = ACTIONS(2280),
    [anon_sym_nullptr] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2280),
    [anon_sym_decltype] = ACTIONS(2280),
    [anon_sym_explicit] = ACTIONS(2280),
    [anon_sym_typename] = ACTIONS(2280),
    [anon_sym_template] = ACTIONS(2280),
    [anon_sym_operator] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_static_assert] = ACTIONS(2280),
    [anon_sym_concept] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2280),
    [anon_sym_co_yield] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_requires] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [anon_sym_discard] = ACTIONS(2280),
    [anon_sym_precise] = ACTIONS(2280),
    [anon_sym_shared] = ACTIONS(2280),
    [anon_sym_groupshared] = ACTIONS(2280),
    [anon_sym_uniform] = ACTIONS(2280),
    [anon_sym_row_major] = ACTIONS(2280),
    [anon_sym_column_major] = ACTIONS(2280),
    [anon_sym_globallycoherent] = ACTIONS(2280),
    [anon_sym_centroid] = ACTIONS(2280),
    [anon_sym_noperspective] = ACTIONS(2280),
    [anon_sym_nointerpolation] = ACTIONS(2280),
    [anon_sym_sample] = ACTIONS(2280),
    [anon_sym_linear] = ACTIONS(2280),
    [anon_sym_snorm] = ACTIONS(2280),
    [anon_sym_unorm] = ACTIONS(2280),
    [anon_sym_point] = ACTIONS(2280),
    [anon_sym_line] = ACTIONS(2280),
    [anon_sym_triangleadj] = ACTIONS(2280),
    [anon_sym_lineadj] = ACTIONS(2280),
    [anon_sym_triangle] = ACTIONS(2280),
    [anon_sym_cbuffer] = ACTIONS(2280),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2118),
    [aux_sym_preproc_include_token1] = ACTIONS(2118),
    [aux_sym_preproc_def_token1] = ACTIONS(2118),
    [aux_sym_preproc_if_token1] = ACTIONS(2118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2118),
    [sym_preproc_directive] = ACTIONS(2118),
    [anon_sym_LPAREN2] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(2120),
    [anon_sym_TILDE] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2118),
    [anon_sym_PLUS] = ACTIONS(2118),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_AMP_AMP] = ACTIONS(2120),
    [anon_sym_AMP] = ACTIONS(2118),
    [anon_sym_SEMI] = ACTIONS(2120),
    [anon_sym___extension__] = ACTIONS(2118),
    [anon_sym_typedef] = ACTIONS(2118),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_virtual] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(2118),
    [anon_sym___attribute__] = ACTIONS(2118),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2120),
    [anon_sym___declspec] = ACTIONS(2118),
    [anon_sym___based] = ACTIONS(2118),
    [anon_sym___cdecl] = ACTIONS(2118),
    [anon_sym___clrcall] = ACTIONS(2118),
    [anon_sym___stdcall] = ACTIONS(2118),
    [anon_sym___fastcall] = ACTIONS(2118),
    [anon_sym___thiscall] = ACTIONS(2118),
    [anon_sym___vectorcall] = ACTIONS(2118),
    [anon_sym_LBRACE] = ACTIONS(2120),
    [anon_sym_RBRACE] = ACTIONS(2120),
    [anon_sym_signed] = ACTIONS(2118),
    [anon_sym_unsigned] = ACTIONS(2118),
    [anon_sym_long] = ACTIONS(2118),
    [anon_sym_short] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(2118),
    [anon_sym_static] = ACTIONS(2118),
    [anon_sym_register] = ACTIONS(2118),
    [anon_sym_inline] = ACTIONS(2118),
    [anon_sym___inline] = ACTIONS(2118),
    [anon_sym___inline__] = ACTIONS(2118),
    [anon_sym___forceinline] = ACTIONS(2118),
    [anon_sym_thread_local] = ACTIONS(2118),
    [anon_sym___thread] = ACTIONS(2118),
    [anon_sym_const] = ACTIONS(2118),
    [anon_sym_constexpr] = ACTIONS(2118),
    [anon_sym_volatile] = ACTIONS(2118),
    [anon_sym_restrict] = ACTIONS(2118),
    [anon_sym___restrict__] = ACTIONS(2118),
    [anon_sym__Atomic] = ACTIONS(2118),
    [anon_sym__Noreturn] = ACTIONS(2118),
    [anon_sym_noreturn] = ACTIONS(2118),
    [anon_sym__Nonnull] = ACTIONS(2118),
    [anon_sym_mutable] = ACTIONS(2118),
    [anon_sym_constinit] = ACTIONS(2118),
    [anon_sym_consteval] = ACTIONS(2118),
    [anon_sym_alignas] = ACTIONS(2118),
    [anon_sym__Alignas] = ACTIONS(2118),
    [sym_primitive_type] = ACTIONS(2118),
    [anon_sym_enum] = ACTIONS(2118),
    [anon_sym_class] = ACTIONS(2118),
    [anon_sym_struct] = ACTIONS(2118),
    [anon_sym_union] = ACTIONS(2118),
    [anon_sym_if] = ACTIONS(2118),
    [anon_sym_else] = ACTIONS(2118),
    [anon_sym_switch] = ACTIONS(2118),
    [anon_sym_case] = ACTIONS(2118),
    [anon_sym_default] = ACTIONS(2118),
    [anon_sym_while] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_for] = ACTIONS(2118),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_break] = ACTIONS(2118),
    [anon_sym_continue] = ACTIONS(2118),
    [anon_sym_goto] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2118),
    [anon_sym___leave] = ACTIONS(2118),
    [anon_sym_not] = ACTIONS(2118),
    [anon_sym_compl] = ACTIONS(2118),
    [anon_sym_DASH_DASH] = ACTIONS(2120),
    [anon_sym_PLUS_PLUS] = ACTIONS(2120),
    [anon_sym_sizeof] = ACTIONS(2118),
    [anon_sym___alignof__] = ACTIONS(2118),
    [anon_sym___alignof] = ACTIONS(2118),
    [anon_sym__alignof] = ACTIONS(2118),
    [anon_sym_alignof] = ACTIONS(2118),
    [anon_sym__Alignof] = ACTIONS(2118),
    [anon_sym_offsetof] = ACTIONS(2118),
    [anon_sym__Generic] = ACTIONS(2118),
    [anon_sym_asm] = ACTIONS(2118),
    [anon_sym___asm__] = ACTIONS(2118),
    [anon_sym___asm] = ACTIONS(2118),
    [sym_number_literal] = ACTIONS(2120),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2120),
    [anon_sym_u_DQUOTE] = ACTIONS(2120),
    [anon_sym_U_DQUOTE] = ACTIONS(2120),
    [anon_sym_u8_DQUOTE] = ACTIONS(2120),
    [anon_sym_DQUOTE] = ACTIONS(2120),
    [sym_true] = ACTIONS(2118),
    [sym_false] = ACTIONS(2118),
    [anon_sym_NULL] = ACTIONS(2118),
    [anon_sym_nullptr] = ACTIONS(2118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_explicit] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2118),
    [anon_sym_template] = ACTIONS(2118),
    [anon_sym_operator] = ACTIONS(2118),
    [anon_sym_try] = ACTIONS(2118),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_namespace] = ACTIONS(2118),
    [anon_sym_using] = ACTIONS(2118),
    [anon_sym_static_assert] = ACTIONS(2118),
    [anon_sym_concept] = ACTIONS(2118),
    [anon_sym_co_return] = ACTIONS(2118),
    [anon_sym_co_yield] = ACTIONS(2118),
    [anon_sym_R_DQUOTE] = ACTIONS(2120),
    [anon_sym_LR_DQUOTE] = ACTIONS(2120),
    [anon_sym_uR_DQUOTE] = ACTIONS(2120),
    [anon_sym_UR_DQUOTE] = ACTIONS(2120),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2120),
    [anon_sym_co_await] = ACTIONS(2118),
    [anon_sym_new] = ACTIONS(2118),
    [anon_sym_requires] = ACTIONS(2118),
    [sym_this] = ACTIONS(2118),
    [anon_sym_discard] = ACTIONS(2118),
    [anon_sym_precise] = ACTIONS(2118),
    [anon_sym_shared] = ACTIONS(2118),
    [anon_sym_groupshared] = ACTIONS(2118),
    [anon_sym_uniform] = ACTIONS(2118),
    [anon_sym_row_major] = ACTIONS(2118),
    [anon_sym_column_major] = ACTIONS(2118),
    [anon_sym_globallycoherent] = ACTIONS(2118),
    [anon_sym_centroid] = ACTIONS(2118),
    [anon_sym_noperspective] = ACTIONS(2118),
    [anon_sym_nointerpolation] = ACTIONS(2118),
    [anon_sym_sample] = ACTIONS(2118),
    [anon_sym_linear] = ACTIONS(2118),
    [anon_sym_snorm] = ACTIONS(2118),
    [anon_sym_unorm] = ACTIONS(2118),
    [anon_sym_point] = ACTIONS(2118),
    [anon_sym_line] = ACTIONS(2118),
    [anon_sym_triangleadj] = ACTIONS(2118),
    [anon_sym_lineadj] = ACTIONS(2118),
    [anon_sym_triangle] = ACTIONS(2118),
    [anon_sym_cbuffer] = ACTIONS(2118),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(2290),
    [sym_identifier] = ACTIONS(2288),
    [aux_sym_preproc_include_token1] = ACTIONS(2288),
    [aux_sym_preproc_def_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2288),
    [sym_preproc_directive] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2288),
    [anon_sym_typedef] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_out] = ACTIONS(2288),
    [anon_sym_inout] = ACTIONS(2288),
    [anon_sym_virtual] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym___attribute__] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2290),
    [anon_sym___declspec] = ACTIONS(2288),
    [anon_sym___based] = ACTIONS(2288),
    [anon_sym___cdecl] = ACTIONS(2288),
    [anon_sym___clrcall] = ACTIONS(2288),
    [anon_sym___stdcall] = ACTIONS(2288),
    [anon_sym___fastcall] = ACTIONS(2288),
    [anon_sym___thiscall] = ACTIONS(2288),
    [anon_sym___vectorcall] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2288),
    [anon_sym_unsigned] = ACTIONS(2288),
    [anon_sym_long] = ACTIONS(2288),
    [anon_sym_short] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_register] = ACTIONS(2288),
    [anon_sym_inline] = ACTIONS(2288),
    [anon_sym___inline] = ACTIONS(2288),
    [anon_sym___inline__] = ACTIONS(2288),
    [anon_sym___forceinline] = ACTIONS(2288),
    [anon_sym_thread_local] = ACTIONS(2288),
    [anon_sym___thread] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_constexpr] = ACTIONS(2288),
    [anon_sym_volatile] = ACTIONS(2288),
    [anon_sym_restrict] = ACTIONS(2288),
    [anon_sym___restrict__] = ACTIONS(2288),
    [anon_sym__Atomic] = ACTIONS(2288),
    [anon_sym__Noreturn] = ACTIONS(2288),
    [anon_sym_noreturn] = ACTIONS(2288),
    [anon_sym__Nonnull] = ACTIONS(2288),
    [anon_sym_mutable] = ACTIONS(2288),
    [anon_sym_constinit] = ACTIONS(2288),
    [anon_sym_consteval] = ACTIONS(2288),
    [anon_sym_alignas] = ACTIONS(2288),
    [anon_sym__Alignas] = ACTIONS(2288),
    [sym_primitive_type] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym___try] = ACTIONS(2288),
    [anon_sym___leave] = ACTIONS(2288),
    [anon_sym_not] = ACTIONS(2288),
    [anon_sym_compl] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2290),
    [anon_sym_PLUS_PLUS] = ACTIONS(2290),
    [anon_sym_sizeof] = ACTIONS(2288),
    [anon_sym___alignof__] = ACTIONS(2288),
    [anon_sym___alignof] = ACTIONS(2288),
    [anon_sym__alignof] = ACTIONS(2288),
    [anon_sym_alignof] = ACTIONS(2288),
    [anon_sym__Alignof] = ACTIONS(2288),
    [anon_sym_offsetof] = ACTIONS(2288),
    [anon_sym__Generic] = ACTIONS(2288),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(2290),
    [anon_sym_L_SQUOTE] = ACTIONS(2290),
    [anon_sym_u_SQUOTE] = ACTIONS(2290),
    [anon_sym_U_SQUOTE] = ACTIONS(2290),
    [anon_sym_u8_SQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym_L_DQUOTE] = ACTIONS(2290),
    [anon_sym_u_DQUOTE] = ACTIONS(2290),
    [anon_sym_U_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8_DQUOTE] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [anon_sym_NULL] = ACTIONS(2288),
    [anon_sym_nullptr] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2288),
    [anon_sym_decltype] = ACTIONS(2288),
    [anon_sym_explicit] = ACTIONS(2288),
    [anon_sym_typename] = ACTIONS(2288),
    [anon_sym_template] = ACTIONS(2288),
    [anon_sym_operator] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_static_assert] = ACTIONS(2288),
    [anon_sym_concept] = ACTIONS(2288),
    [anon_sym_co_return] = ACTIONS(2288),
    [anon_sym_co_yield] = ACTIONS(2288),
    [anon_sym_R_DQUOTE] = ACTIONS(2290),
    [anon_sym_LR_DQUOTE] = ACTIONS(2290),
    [anon_sym_uR_DQUOTE] = ACTIONS(2290),
    [anon_sym_UR_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2290),
    [anon_sym_co_await] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_requires] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [anon_sym_discard] = ACTIONS(2288),
    [anon_sym_precise] = ACTIONS(2288),
    [anon_sym_shared] = ACTIONS(2288),
    [anon_sym_groupshared] = ACTIONS(2288),
    [anon_sym_uniform] = ACTIONS(2288),
    [anon_sym_row_major] = ACTIONS(2288),
    [anon_sym_column_major] = ACTIONS(2288),
    [anon_sym_globallycoherent] = ACTIONS(2288),
    [anon_sym_centroid] = ACTIONS(2288),
    [anon_sym_noperspective] = ACTIONS(2288),
    [anon_sym_nointerpolation] = ACTIONS(2288),
    [anon_sym_sample] = ACTIONS(2288),
    [anon_sym_linear] = ACTIONS(2288),
    [anon_sym_snorm] = ACTIONS(2288),
    [anon_sym_unorm] = ACTIONS(2288),
    [anon_sym_point] = ACTIONS(2288),
    [anon_sym_line] = ACTIONS(2288),
    [anon_sym_triangleadj] = ACTIONS(2288),
    [anon_sym_lineadj] = ACTIONS(2288),
    [anon_sym_triangle] = ACTIONS(2288),
    [anon_sym_cbuffer] = ACTIONS(2288),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2122),
    [aux_sym_preproc_include_token1] = ACTIONS(2122),
    [aux_sym_preproc_def_token1] = ACTIONS(2122),
    [aux_sym_preproc_if_token1] = ACTIONS(2122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2122),
    [sym_preproc_directive] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2122),
    [anon_sym_PLUS] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2122),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym___extension__] = ACTIONS(2122),
    [anon_sym_typedef] = ACTIONS(2122),
    [anon_sym_in] = ACTIONS(2122),
    [anon_sym_out] = ACTIONS(2122),
    [anon_sym_inout] = ACTIONS(2122),
    [anon_sym_virtual] = ACTIONS(2122),
    [anon_sym_extern] = ACTIONS(2122),
    [anon_sym___attribute__] = ACTIONS(2122),
    [anon_sym_COLON_COLON] = ACTIONS(2124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2124),
    [anon_sym___declspec] = ACTIONS(2122),
    [anon_sym___based] = ACTIONS(2122),
    [anon_sym___cdecl] = ACTIONS(2122),
    [anon_sym___clrcall] = ACTIONS(2122),
    [anon_sym___stdcall] = ACTIONS(2122),
    [anon_sym___fastcall] = ACTIONS(2122),
    [anon_sym___thiscall] = ACTIONS(2122),
    [anon_sym___vectorcall] = ACTIONS(2122),
    [anon_sym_LBRACE] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_signed] = ACTIONS(2122),
    [anon_sym_unsigned] = ACTIONS(2122),
    [anon_sym_long] = ACTIONS(2122),
    [anon_sym_short] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_static] = ACTIONS(2122),
    [anon_sym_register] = ACTIONS(2122),
    [anon_sym_inline] = ACTIONS(2122),
    [anon_sym___inline] = ACTIONS(2122),
    [anon_sym___inline__] = ACTIONS(2122),
    [anon_sym___forceinline] = ACTIONS(2122),
    [anon_sym_thread_local] = ACTIONS(2122),
    [anon_sym___thread] = ACTIONS(2122),
    [anon_sym_const] = ACTIONS(2122),
    [anon_sym_constexpr] = ACTIONS(2122),
    [anon_sym_volatile] = ACTIONS(2122),
    [anon_sym_restrict] = ACTIONS(2122),
    [anon_sym___restrict__] = ACTIONS(2122),
    [anon_sym__Atomic] = ACTIONS(2122),
    [anon_sym__Noreturn] = ACTIONS(2122),
    [anon_sym_noreturn] = ACTIONS(2122),
    [anon_sym__Nonnull] = ACTIONS(2122),
    [anon_sym_mutable] = ACTIONS(2122),
    [anon_sym_constinit] = ACTIONS(2122),
    [anon_sym_consteval] = ACTIONS(2122),
    [anon_sym_alignas] = ACTIONS(2122),
    [anon_sym__Alignas] = ACTIONS(2122),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2122),
    [anon_sym_class] = ACTIONS(2122),
    [anon_sym_struct] = ACTIONS(2122),
    [anon_sym_union] = ACTIONS(2122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_else] = ACTIONS(2122),
    [anon_sym_switch] = ACTIONS(2122),
    [anon_sym_case] = ACTIONS(2122),
    [anon_sym_default] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_do] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2122),
    [anon_sym_return] = ACTIONS(2122),
    [anon_sym_break] = ACTIONS(2122),
    [anon_sym_continue] = ACTIONS(2122),
    [anon_sym_goto] = ACTIONS(2122),
    [anon_sym___try] = ACTIONS(2122),
    [anon_sym___leave] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2122),
    [anon_sym_compl] = ACTIONS(2122),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_sizeof] = ACTIONS(2122),
    [anon_sym___alignof__] = ACTIONS(2122),
    [anon_sym___alignof] = ACTIONS(2122),
    [anon_sym__alignof] = ACTIONS(2122),
    [anon_sym_alignof] = ACTIONS(2122),
    [anon_sym__Alignof] = ACTIONS(2122),
    [anon_sym_offsetof] = ACTIONS(2122),
    [anon_sym__Generic] = ACTIONS(2122),
    [anon_sym_asm] = ACTIONS(2122),
    [anon_sym___asm__] = ACTIONS(2122),
    [anon_sym___asm] = ACTIONS(2122),
    [sym_number_literal] = ACTIONS(2124),
    [anon_sym_L_SQUOTE] = ACTIONS(2124),
    [anon_sym_u_SQUOTE] = ACTIONS(2124),
    [anon_sym_U_SQUOTE] = ACTIONS(2124),
    [anon_sym_u8_SQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [anon_sym_L_DQUOTE] = ACTIONS(2124),
    [anon_sym_u_DQUOTE] = ACTIONS(2124),
    [anon_sym_U_DQUOTE] = ACTIONS(2124),
    [anon_sym_u8_DQUOTE] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2122),
    [anon_sym_nullptr] = ACTIONS(2122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2122),
    [anon_sym_decltype] = ACTIONS(2122),
    [anon_sym_explicit] = ACTIONS(2122),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(2122),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_try] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2122),
    [anon_sym_throw] = ACTIONS(2122),
    [anon_sym_namespace] = ACTIONS(2122),
    [anon_sym_using] = ACTIONS(2122),
    [anon_sym_static_assert] = ACTIONS(2122),
    [anon_sym_concept] = ACTIONS(2122),
    [anon_sym_co_return] = ACTIONS(2122),
    [anon_sym_co_yield] = ACTIONS(2122),
    [anon_sym_R_DQUOTE] = ACTIONS(2124),
    [anon_sym_LR_DQUOTE] = ACTIONS(2124),
    [anon_sym_uR_DQUOTE] = ACTIONS(2124),
    [anon_sym_UR_DQUOTE] = ACTIONS(2124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2124),
    [anon_sym_co_await] = ACTIONS(2122),
    [anon_sym_new] = ACTIONS(2122),
    [anon_sym_requires] = ACTIONS(2122),
    [sym_this] = ACTIONS(2122),
    [anon_sym_discard] = ACTIONS(2122),
    [anon_sym_precise] = ACTIONS(2122),
    [anon_sym_shared] = ACTIONS(2122),
    [anon_sym_groupshared] = ACTIONS(2122),
    [anon_sym_uniform] = ACTIONS(2122),
    [anon_sym_row_major] = ACTIONS(2122),
    [anon_sym_column_major] = ACTIONS(2122),
    [anon_sym_globallycoherent] = ACTIONS(2122),
    [anon_sym_centroid] = ACTIONS(2122),
    [anon_sym_noperspective] = ACTIONS(2122),
    [anon_sym_nointerpolation] = ACTIONS(2122),
    [anon_sym_sample] = ACTIONS(2122),
    [anon_sym_linear] = ACTIONS(2122),
    [anon_sym_snorm] = ACTIONS(2122),
    [anon_sym_unorm] = ACTIONS(2122),
    [anon_sym_point] = ACTIONS(2122),
    [anon_sym_line] = ACTIONS(2122),
    [anon_sym_triangleadj] = ACTIONS(2122),
    [anon_sym_lineadj] = ACTIONS(2122),
    [anon_sym_triangle] = ACTIONS(2122),
    [anon_sym_cbuffer] = ACTIONS(2122),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2296),
    [aux_sym_preproc_include_token1] = ACTIONS(2296),
    [aux_sym_preproc_def_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token2] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2296),
    [sym_preproc_directive] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_AMP_AMP] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2296),
    [anon_sym_typedef] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym___based] = ACTIONS(2296),
    [anon_sym___cdecl] = ACTIONS(2296),
    [anon_sym___clrcall] = ACTIONS(2296),
    [anon_sym___stdcall] = ACTIONS(2296),
    [anon_sym___fastcall] = ACTIONS(2296),
    [anon_sym___thiscall] = ACTIONS(2296),
    [anon_sym___vectorcall] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym___try] = ACTIONS(2296),
    [anon_sym___leave] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(2296),
    [anon_sym_compl] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2298),
    [anon_sym_sizeof] = ACTIONS(2296),
    [anon_sym___alignof__] = ACTIONS(2296),
    [anon_sym___alignof] = ACTIONS(2296),
    [anon_sym__alignof] = ACTIONS(2296),
    [anon_sym_alignof] = ACTIONS(2296),
    [anon_sym__Alignof] = ACTIONS(2296),
    [anon_sym_offsetof] = ACTIONS(2296),
    [anon_sym__Generic] = ACTIONS(2296),
    [anon_sym_asm] = ACTIONS(2296),
    [anon_sym___asm__] = ACTIONS(2296),
    [anon_sym___asm] = ACTIONS(2296),
    [sym_number_literal] = ACTIONS(2298),
    [anon_sym_L_SQUOTE] = ACTIONS(2298),
    [anon_sym_u_SQUOTE] = ACTIONS(2298),
    [anon_sym_U_SQUOTE] = ACTIONS(2298),
    [anon_sym_u8_SQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2298),
    [anon_sym_L_DQUOTE] = ACTIONS(2298),
    [anon_sym_u_DQUOTE] = ACTIONS(2298),
    [anon_sym_U_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8_DQUOTE] = ACTIONS(2298),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [anon_sym_NULL] = ACTIONS(2296),
    [anon_sym_nullptr] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2296),
    [anon_sym_explicit] = ACTIONS(2296),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2296),
    [anon_sym_operator] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_static_assert] = ACTIONS(2296),
    [anon_sym_concept] = ACTIONS(2296),
    [anon_sym_co_return] = ACTIONS(2296),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2298),
    [anon_sym_LR_DQUOTE] = ACTIONS(2298),
    [anon_sym_uR_DQUOTE] = ACTIONS(2298),
    [anon_sym_UR_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2298),
    [anon_sym_co_await] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_requires] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [anon_sym_discard] = ACTIONS(2296),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
    [anon_sym_cbuffer] = ACTIONS(2296),
  },
  [474] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [sym_number_literal] = ACTIONS(1971),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
    [anon_sym_discard] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
    [anon_sym_cbuffer] = ACTIONS(1973),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(2254),
    [sym_identifier] = ACTIONS(2252),
    [aux_sym_preproc_include_token1] = ACTIONS(2252),
    [aux_sym_preproc_def_token1] = ACTIONS(2252),
    [aux_sym_preproc_if_token1] = ACTIONS(2252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2252),
    [sym_preproc_directive] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2254),
    [anon_sym_AMP_AMP] = ACTIONS(2254),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2252),
    [anon_sym_typedef] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_out] = ACTIONS(2252),
    [anon_sym_inout] = ACTIONS(2252),
    [anon_sym_virtual] = ACTIONS(2252),
    [anon_sym_extern] = ACTIONS(2252),
    [anon_sym___attribute__] = ACTIONS(2252),
    [anon_sym_COLON_COLON] = ACTIONS(2254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2254),
    [anon_sym___declspec] = ACTIONS(2252),
    [anon_sym___based] = ACTIONS(2252),
    [anon_sym___cdecl] = ACTIONS(2252),
    [anon_sym___clrcall] = ACTIONS(2252),
    [anon_sym___stdcall] = ACTIONS(2252),
    [anon_sym___fastcall] = ACTIONS(2252),
    [anon_sym___thiscall] = ACTIONS(2252),
    [anon_sym___vectorcall] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_signed] = ACTIONS(2252),
    [anon_sym_unsigned] = ACTIONS(2252),
    [anon_sym_long] = ACTIONS(2252),
    [anon_sym_short] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_register] = ACTIONS(2252),
    [anon_sym_inline] = ACTIONS(2252),
    [anon_sym___inline] = ACTIONS(2252),
    [anon_sym___inline__] = ACTIONS(2252),
    [anon_sym___forceinline] = ACTIONS(2252),
    [anon_sym_thread_local] = ACTIONS(2252),
    [anon_sym___thread] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_constexpr] = ACTIONS(2252),
    [anon_sym_volatile] = ACTIONS(2252),
    [anon_sym_restrict] = ACTIONS(2252),
    [anon_sym___restrict__] = ACTIONS(2252),
    [anon_sym__Atomic] = ACTIONS(2252),
    [anon_sym__Noreturn] = ACTIONS(2252),
    [anon_sym_noreturn] = ACTIONS(2252),
    [anon_sym__Nonnull] = ACTIONS(2252),
    [anon_sym_mutable] = ACTIONS(2252),
    [anon_sym_constinit] = ACTIONS(2252),
    [anon_sym_consteval] = ACTIONS(2252),
    [anon_sym_alignas] = ACTIONS(2252),
    [anon_sym__Alignas] = ACTIONS(2252),
    [sym_primitive_type] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_struct] = ACTIONS(2252),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_else] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_goto] = ACTIONS(2252),
    [anon_sym___try] = ACTIONS(2252),
    [anon_sym___leave] = ACTIONS(2252),
    [anon_sym_not] = ACTIONS(2252),
    [anon_sym_compl] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_sizeof] = ACTIONS(2252),
    [anon_sym___alignof__] = ACTIONS(2252),
    [anon_sym___alignof] = ACTIONS(2252),
    [anon_sym__alignof] = ACTIONS(2252),
    [anon_sym_alignof] = ACTIONS(2252),
    [anon_sym__Alignof] = ACTIONS(2252),
    [anon_sym_offsetof] = ACTIONS(2252),
    [anon_sym__Generic] = ACTIONS(2252),
    [anon_sym_asm] = ACTIONS(2252),
    [anon_sym___asm__] = ACTIONS(2252),
    [anon_sym___asm] = ACTIONS(2252),
    [sym_number_literal] = ACTIONS(2254),
    [anon_sym_L_SQUOTE] = ACTIONS(2254),
    [anon_sym_u_SQUOTE] = ACTIONS(2254),
    [anon_sym_U_SQUOTE] = ACTIONS(2254),
    [anon_sym_u8_SQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_L_DQUOTE] = ACTIONS(2254),
    [anon_sym_u_DQUOTE] = ACTIONS(2254),
    [anon_sym_U_DQUOTE] = ACTIONS(2254),
    [anon_sym_u8_DQUOTE] = ACTIONS(2254),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [anon_sym_NULL] = ACTIONS(2252),
    [anon_sym_nullptr] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2252),
    [anon_sym_decltype] = ACTIONS(2252),
    [anon_sym_explicit] = ACTIONS(2252),
    [anon_sym_typename] = ACTIONS(2252),
    [anon_sym_template] = ACTIONS(2252),
    [anon_sym_operator] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_static_assert] = ACTIONS(2252),
    [anon_sym_concept] = ACTIONS(2252),
    [anon_sym_co_return] = ACTIONS(2252),
    [anon_sym_co_yield] = ACTIONS(2252),
    [anon_sym_R_DQUOTE] = ACTIONS(2254),
    [anon_sym_LR_DQUOTE] = ACTIONS(2254),
    [anon_sym_uR_DQUOTE] = ACTIONS(2254),
    [anon_sym_UR_DQUOTE] = ACTIONS(2254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2254),
    [anon_sym_co_await] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [anon_sym_discard] = ACTIONS(2252),
    [anon_sym_precise] = ACTIONS(2252),
    [anon_sym_shared] = ACTIONS(2252),
    [anon_sym_groupshared] = ACTIONS(2252),
    [anon_sym_uniform] = ACTIONS(2252),
    [anon_sym_row_major] = ACTIONS(2252),
    [anon_sym_column_major] = ACTIONS(2252),
    [anon_sym_globallycoherent] = ACTIONS(2252),
    [anon_sym_centroid] = ACTIONS(2252),
    [anon_sym_noperspective] = ACTIONS(2252),
    [anon_sym_nointerpolation] = ACTIONS(2252),
    [anon_sym_sample] = ACTIONS(2252),
    [anon_sym_linear] = ACTIONS(2252),
    [anon_sym_snorm] = ACTIONS(2252),
    [anon_sym_unorm] = ACTIONS(2252),
    [anon_sym_point] = ACTIONS(2252),
    [anon_sym_line] = ACTIONS(2252),
    [anon_sym_triangleadj] = ACTIONS(2252),
    [anon_sym_lineadj] = ACTIONS(2252),
    [anon_sym_triangle] = ACTIONS(2252),
    [anon_sym_cbuffer] = ACTIONS(2252),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2304),
    [aux_sym_preproc_include_token1] = ACTIONS(2304),
    [aux_sym_preproc_def_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2304),
    [sym_preproc_directive] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2304),
    [anon_sym_typedef] = ACTIONS(2304),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_out] = ACTIONS(2304),
    [anon_sym_inout] = ACTIONS(2304),
    [anon_sym_virtual] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym___attribute__] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2306),
    [anon_sym___declspec] = ACTIONS(2304),
    [anon_sym___based] = ACTIONS(2304),
    [anon_sym___cdecl] = ACTIONS(2304),
    [anon_sym___clrcall] = ACTIONS(2304),
    [anon_sym___stdcall] = ACTIONS(2304),
    [anon_sym___fastcall] = ACTIONS(2304),
    [anon_sym___thiscall] = ACTIONS(2304),
    [anon_sym___vectorcall] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2304),
    [anon_sym_unsigned] = ACTIONS(2304),
    [anon_sym_long] = ACTIONS(2304),
    [anon_sym_short] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_register] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2304),
    [anon_sym___inline] = ACTIONS(2304),
    [anon_sym___inline__] = ACTIONS(2304),
    [anon_sym___forceinline] = ACTIONS(2304),
    [anon_sym_thread_local] = ACTIONS(2304),
    [anon_sym___thread] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_constexpr] = ACTIONS(2304),
    [anon_sym_volatile] = ACTIONS(2304),
    [anon_sym_restrict] = ACTIONS(2304),
    [anon_sym___restrict__] = ACTIONS(2304),
    [anon_sym__Atomic] = ACTIONS(2304),
    [anon_sym__Noreturn] = ACTIONS(2304),
    [anon_sym_noreturn] = ACTIONS(2304),
    [anon_sym__Nonnull] = ACTIONS(2304),
    [anon_sym_mutable] = ACTIONS(2304),
    [anon_sym_constinit] = ACTIONS(2304),
    [anon_sym_consteval] = ACTIONS(2304),
    [anon_sym_alignas] = ACTIONS(2304),
    [anon_sym__Alignas] = ACTIONS(2304),
    [sym_primitive_type] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_else] = ACTIONS(2304),
    [anon_sym_switch] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2304),
    [anon_sym_compl] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2304),
    [anon_sym__Generic] = ACTIONS(2304),
    [anon_sym_asm] = ACTIONS(2304),
    [anon_sym___asm__] = ACTIONS(2304),
    [anon_sym___asm] = ACTIONS(2304),
    [sym_number_literal] = ACTIONS(2306),
    [anon_sym_L_SQUOTE] = ACTIONS(2306),
    [anon_sym_u_SQUOTE] = ACTIONS(2306),
    [anon_sym_U_SQUOTE] = ACTIONS(2306),
    [anon_sym_u8_SQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_L_DQUOTE] = ACTIONS(2306),
    [anon_sym_u_DQUOTE] = ACTIONS(2306),
    [anon_sym_U_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8_DQUOTE] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [sym_true] = ACTIONS(2304),
    [sym_false] = ACTIONS(2304),
    [anon_sym_NULL] = ACTIONS(2304),
    [anon_sym_nullptr] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2304),
    [anon_sym_decltype] = ACTIONS(2304),
    [anon_sym_explicit] = ACTIONS(2304),
    [anon_sym_typename] = ACTIONS(2304),
    [anon_sym_template] = ACTIONS(2304),
    [anon_sym_operator] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_throw] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2304),
    [anon_sym_using] = ACTIONS(2304),
    [anon_sym_static_assert] = ACTIONS(2304),
    [anon_sym_concept] = ACTIONS(2304),
    [anon_sym_co_return] = ACTIONS(2304),
    [anon_sym_co_yield] = ACTIONS(2304),
    [anon_sym_R_DQUOTE] = ACTIONS(2306),
    [anon_sym_LR_DQUOTE] = ACTIONS(2306),
    [anon_sym_uR_DQUOTE] = ACTIONS(2306),
    [anon_sym_UR_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2306),
    [anon_sym_co_await] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2304),
    [anon_sym_requires] = ACTIONS(2304),
    [sym_this] = ACTIONS(2304),
    [anon_sym_discard] = ACTIONS(2304),
    [anon_sym_precise] = ACTIONS(2304),
    [anon_sym_shared] = ACTIONS(2304),
    [anon_sym_groupshared] = ACTIONS(2304),
    [anon_sym_uniform] = ACTIONS(2304),
    [anon_sym_row_major] = ACTIONS(2304),
    [anon_sym_column_major] = ACTIONS(2304),
    [anon_sym_globallycoherent] = ACTIONS(2304),
    [anon_sym_centroid] = ACTIONS(2304),
    [anon_sym_noperspective] = ACTIONS(2304),
    [anon_sym_nointerpolation] = ACTIONS(2304),
    [anon_sym_sample] = ACTIONS(2304),
    [anon_sym_linear] = ACTIONS(2304),
    [anon_sym_snorm] = ACTIONS(2304),
    [anon_sym_unorm] = ACTIONS(2304),
    [anon_sym_point] = ACTIONS(2304),
    [anon_sym_line] = ACTIONS(2304),
    [anon_sym_triangleadj] = ACTIONS(2304),
    [anon_sym_lineadj] = ACTIONS(2304),
    [anon_sym_triangle] = ACTIONS(2304),
    [anon_sym_cbuffer] = ACTIONS(2304),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2170),
    [aux_sym_preproc_include_token1] = ACTIONS(2170),
    [aux_sym_preproc_def_token1] = ACTIONS(2170),
    [aux_sym_preproc_if_token1] = ACTIONS(2170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2170),
    [sym_preproc_directive] = ACTIONS(2170),
    [anon_sym_LPAREN2] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2172),
    [anon_sym_AMP_AMP] = ACTIONS(2172),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym___extension__] = ACTIONS(2170),
    [anon_sym_typedef] = ACTIONS(2170),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_out] = ACTIONS(2170),
    [anon_sym_inout] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(2170),
    [anon_sym_extern] = ACTIONS(2170),
    [anon_sym___attribute__] = ACTIONS(2170),
    [anon_sym_COLON_COLON] = ACTIONS(2172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2172),
    [anon_sym___declspec] = ACTIONS(2170),
    [anon_sym___based] = ACTIONS(2170),
    [anon_sym___cdecl] = ACTIONS(2170),
    [anon_sym___clrcall] = ACTIONS(2170),
    [anon_sym___stdcall] = ACTIONS(2170),
    [anon_sym___fastcall] = ACTIONS(2170),
    [anon_sym___thiscall] = ACTIONS(2170),
    [anon_sym___vectorcall] = ACTIONS(2170),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_signed] = ACTIONS(2170),
    [anon_sym_unsigned] = ACTIONS(2170),
    [anon_sym_long] = ACTIONS(2170),
    [anon_sym_short] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2170),
    [anon_sym_static] = ACTIONS(2170),
    [anon_sym_register] = ACTIONS(2170),
    [anon_sym_inline] = ACTIONS(2170),
    [anon_sym___inline] = ACTIONS(2170),
    [anon_sym___inline__] = ACTIONS(2170),
    [anon_sym___forceinline] = ACTIONS(2170),
    [anon_sym_thread_local] = ACTIONS(2170),
    [anon_sym___thread] = ACTIONS(2170),
    [anon_sym_const] = ACTIONS(2170),
    [anon_sym_constexpr] = ACTIONS(2170),
    [anon_sym_volatile] = ACTIONS(2170),
    [anon_sym_restrict] = ACTIONS(2170),
    [anon_sym___restrict__] = ACTIONS(2170),
    [anon_sym__Atomic] = ACTIONS(2170),
    [anon_sym__Noreturn] = ACTIONS(2170),
    [anon_sym_noreturn] = ACTIONS(2170),
    [anon_sym__Nonnull] = ACTIONS(2170),
    [anon_sym_mutable] = ACTIONS(2170),
    [anon_sym_constinit] = ACTIONS(2170),
    [anon_sym_consteval] = ACTIONS(2170),
    [anon_sym_alignas] = ACTIONS(2170),
    [anon_sym__Alignas] = ACTIONS(2170),
    [sym_primitive_type] = ACTIONS(2170),
    [anon_sym_enum] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(2170),
    [anon_sym_struct] = ACTIONS(2170),
    [anon_sym_union] = ACTIONS(2170),
    [anon_sym_if] = ACTIONS(2170),
    [anon_sym_else] = ACTIONS(2170),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_case] = ACTIONS(2170),
    [anon_sym_default] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2170),
    [anon_sym_do] = ACTIONS(2170),
    [anon_sym_for] = ACTIONS(2170),
    [anon_sym_return] = ACTIONS(2170),
    [anon_sym_break] = ACTIONS(2170),
    [anon_sym_continue] = ACTIONS(2170),
    [anon_sym_goto] = ACTIONS(2170),
    [anon_sym___try] = ACTIONS(2170),
    [anon_sym___leave] = ACTIONS(2170),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_compl] = ACTIONS(2170),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_sizeof] = ACTIONS(2170),
    [anon_sym___alignof__] = ACTIONS(2170),
    [anon_sym___alignof] = ACTIONS(2170),
    [anon_sym__alignof] = ACTIONS(2170),
    [anon_sym_alignof] = ACTIONS(2170),
    [anon_sym__Alignof] = ACTIONS(2170),
    [anon_sym_offsetof] = ACTIONS(2170),
    [anon_sym__Generic] = ACTIONS(2170),
    [anon_sym_asm] = ACTIONS(2170),
    [anon_sym___asm__] = ACTIONS(2170),
    [anon_sym___asm] = ACTIONS(2170),
    [sym_number_literal] = ACTIONS(2172),
    [anon_sym_L_SQUOTE] = ACTIONS(2172),
    [anon_sym_u_SQUOTE] = ACTIONS(2172),
    [anon_sym_U_SQUOTE] = ACTIONS(2172),
    [anon_sym_u8_SQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_L_DQUOTE] = ACTIONS(2172),
    [anon_sym_u_DQUOTE] = ACTIONS(2172),
    [anon_sym_U_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8_DQUOTE] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [sym_true] = ACTIONS(2170),
    [sym_false] = ACTIONS(2170),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2170),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_explicit] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(2170),
    [anon_sym_operator] = ACTIONS(2170),
    [anon_sym_try] = ACTIONS(2170),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_throw] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2170),
    [anon_sym_using] = ACTIONS(2170),
    [anon_sym_static_assert] = ACTIONS(2170),
    [anon_sym_concept] = ACTIONS(2170),
    [anon_sym_co_return] = ACTIONS(2170),
    [anon_sym_co_yield] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2170),
    [anon_sym_requires] = ACTIONS(2170),
    [sym_this] = ACTIONS(2170),
    [anon_sym_discard] = ACTIONS(2170),
    [anon_sym_precise] = ACTIONS(2170),
    [anon_sym_shared] = ACTIONS(2170),
    [anon_sym_groupshared] = ACTIONS(2170),
    [anon_sym_uniform] = ACTIONS(2170),
    [anon_sym_row_major] = ACTIONS(2170),
    [anon_sym_column_major] = ACTIONS(2170),
    [anon_sym_globallycoherent] = ACTIONS(2170),
    [anon_sym_centroid] = ACTIONS(2170),
    [anon_sym_noperspective] = ACTIONS(2170),
    [anon_sym_nointerpolation] = ACTIONS(2170),
    [anon_sym_sample] = ACTIONS(2170),
    [anon_sym_linear] = ACTIONS(2170),
    [anon_sym_snorm] = ACTIONS(2170),
    [anon_sym_unorm] = ACTIONS(2170),
    [anon_sym_point] = ACTIONS(2170),
    [anon_sym_line] = ACTIONS(2170),
    [anon_sym_triangleadj] = ACTIONS(2170),
    [anon_sym_lineadj] = ACTIONS(2170),
    [anon_sym_triangle] = ACTIONS(2170),
    [anon_sym_cbuffer] = ACTIONS(2170),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2260),
    [aux_sym_preproc_include_token1] = ACTIONS(2260),
    [aux_sym_preproc_def_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token2] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2260),
    [sym_preproc_directive] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2260),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2260),
    [anon_sym_typedef] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_out] = ACTIONS(2260),
    [anon_sym_inout] = ACTIONS(2260),
    [anon_sym_virtual] = ACTIONS(2260),
    [anon_sym_extern] = ACTIONS(2260),
    [anon_sym___attribute__] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2262),
    [anon_sym___declspec] = ACTIONS(2260),
    [anon_sym___based] = ACTIONS(2260),
    [anon_sym___cdecl] = ACTIONS(2260),
    [anon_sym___clrcall] = ACTIONS(2260),
    [anon_sym___stdcall] = ACTIONS(2260),
    [anon_sym___fastcall] = ACTIONS(2260),
    [anon_sym___thiscall] = ACTIONS(2260),
    [anon_sym___vectorcall] = ACTIONS(2260),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_signed] = ACTIONS(2260),
    [anon_sym_unsigned] = ACTIONS(2260),
    [anon_sym_long] = ACTIONS(2260),
    [anon_sym_short] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_register] = ACTIONS(2260),
    [anon_sym_inline] = ACTIONS(2260),
    [anon_sym___inline] = ACTIONS(2260),
    [anon_sym___inline__] = ACTIONS(2260),
    [anon_sym___forceinline] = ACTIONS(2260),
    [anon_sym_thread_local] = ACTIONS(2260),
    [anon_sym___thread] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2260),
    [anon_sym_constexpr] = ACTIONS(2260),
    [anon_sym_volatile] = ACTIONS(2260),
    [anon_sym_restrict] = ACTIONS(2260),
    [anon_sym___restrict__] = ACTIONS(2260),
    [anon_sym__Atomic] = ACTIONS(2260),
    [anon_sym__Noreturn] = ACTIONS(2260),
    [anon_sym_noreturn] = ACTIONS(2260),
    [anon_sym__Nonnull] = ACTIONS(2260),
    [anon_sym_mutable] = ACTIONS(2260),
    [anon_sym_constinit] = ACTIONS(2260),
    [anon_sym_consteval] = ACTIONS(2260),
    [anon_sym_alignas] = ACTIONS(2260),
    [anon_sym__Alignas] = ACTIONS(2260),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2260),
    [anon_sym_struct] = ACTIONS(2260),
    [anon_sym_union] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_else] = ACTIONS(2260),
    [anon_sym_switch] = ACTIONS(2260),
    [anon_sym_case] = ACTIONS(2260),
    [anon_sym_default] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2260),
    [anon_sym_do] = ACTIONS(2260),
    [anon_sym_for] = ACTIONS(2260),
    [anon_sym_return] = ACTIONS(2260),
    [anon_sym_break] = ACTIONS(2260),
    [anon_sym_continue] = ACTIONS(2260),
    [anon_sym_goto] = ACTIONS(2260),
    [anon_sym___try] = ACTIONS(2260),
    [anon_sym___leave] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2260),
    [anon_sym___alignof] = ACTIONS(2260),
    [anon_sym__alignof] = ACTIONS(2260),
    [anon_sym_alignof] = ACTIONS(2260),
    [anon_sym__Alignof] = ACTIONS(2260),
    [anon_sym_offsetof] = ACTIONS(2260),
    [anon_sym__Generic] = ACTIONS(2260),
    [anon_sym_asm] = ACTIONS(2260),
    [anon_sym___asm__] = ACTIONS(2260),
    [anon_sym___asm] = ACTIONS(2260),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2262),
    [anon_sym_u_SQUOTE] = ACTIONS(2262),
    [anon_sym_U_SQUOTE] = ACTIONS(2262),
    [anon_sym_u8_SQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_L_DQUOTE] = ACTIONS(2262),
    [anon_sym_u_DQUOTE] = ACTIONS(2262),
    [anon_sym_U_DQUOTE] = ACTIONS(2262),
    [anon_sym_u8_DQUOTE] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [sym_true] = ACTIONS(2260),
    [sym_false] = ACTIONS(2260),
    [anon_sym_NULL] = ACTIONS(2260),
    [anon_sym_nullptr] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2260),
    [anon_sym_decltype] = ACTIONS(2260),
    [anon_sym_explicit] = ACTIONS(2260),
    [anon_sym_typename] = ACTIONS(2260),
    [anon_sym_template] = ACTIONS(2260),
    [anon_sym_operator] = ACTIONS(2260),
    [anon_sym_try] = ACTIONS(2260),
    [anon_sym_delete] = ACTIONS(2260),
    [anon_sym_throw] = ACTIONS(2260),
    [anon_sym_namespace] = ACTIONS(2260),
    [anon_sym_using] = ACTIONS(2260),
    [anon_sym_static_assert] = ACTIONS(2260),
    [anon_sym_concept] = ACTIONS(2260),
    [anon_sym_co_return] = ACTIONS(2260),
    [anon_sym_co_yield] = ACTIONS(2260),
    [anon_sym_R_DQUOTE] = ACTIONS(2262),
    [anon_sym_LR_DQUOTE] = ACTIONS(2262),
    [anon_sym_uR_DQUOTE] = ACTIONS(2262),
    [anon_sym_UR_DQUOTE] = ACTIONS(2262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2262),
    [anon_sym_co_await] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2260),
    [anon_sym_requires] = ACTIONS(2260),
    [sym_this] = ACTIONS(2260),
    [anon_sym_discard] = ACTIONS(2260),
    [anon_sym_precise] = ACTIONS(2260),
    [anon_sym_shared] = ACTIONS(2260),
    [anon_sym_groupshared] = ACTIONS(2260),
    [anon_sym_uniform] = ACTIONS(2260),
    [anon_sym_row_major] = ACTIONS(2260),
    [anon_sym_column_major] = ACTIONS(2260),
    [anon_sym_globallycoherent] = ACTIONS(2260),
    [anon_sym_centroid] = ACTIONS(2260),
    [anon_sym_noperspective] = ACTIONS(2260),
    [anon_sym_nointerpolation] = ACTIONS(2260),
    [anon_sym_sample] = ACTIONS(2260),
    [anon_sym_linear] = ACTIONS(2260),
    [anon_sym_snorm] = ACTIONS(2260),
    [anon_sym_unorm] = ACTIONS(2260),
    [anon_sym_point] = ACTIONS(2260),
    [anon_sym_line] = ACTIONS(2260),
    [anon_sym_triangleadj] = ACTIONS(2260),
    [anon_sym_lineadj] = ACTIONS(2260),
    [anon_sym_triangle] = ACTIONS(2260),
    [anon_sym_cbuffer] = ACTIONS(2260),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2126),
    [aux_sym_preproc_include_token1] = ACTIONS(2126),
    [aux_sym_preproc_def_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token2] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2126),
    [sym_preproc_directive] = ACTIONS(2126),
    [anon_sym_LPAREN2] = ACTIONS(2128),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_DASH] = ACTIONS(2126),
    [anon_sym_PLUS] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_AMP_AMP] = ACTIONS(2128),
    [anon_sym_AMP] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2126),
    [anon_sym_in] = ACTIONS(2126),
    [anon_sym_out] = ACTIONS(2126),
    [anon_sym_inout] = ACTIONS(2126),
    [anon_sym_virtual] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2126),
    [anon_sym___attribute__] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2128),
    [anon_sym___declspec] = ACTIONS(2126),
    [anon_sym___based] = ACTIONS(2126),
    [anon_sym___cdecl] = ACTIONS(2126),
    [anon_sym___clrcall] = ACTIONS(2126),
    [anon_sym___stdcall] = ACTIONS(2126),
    [anon_sym___fastcall] = ACTIONS(2126),
    [anon_sym___thiscall] = ACTIONS(2126),
    [anon_sym___vectorcall] = ACTIONS(2126),
    [anon_sym_LBRACE] = ACTIONS(2128),
    [anon_sym_signed] = ACTIONS(2126),
    [anon_sym_unsigned] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_register] = ACTIONS(2126),
    [anon_sym_inline] = ACTIONS(2126),
    [anon_sym___inline] = ACTIONS(2126),
    [anon_sym___inline__] = ACTIONS(2126),
    [anon_sym___forceinline] = ACTIONS(2126),
    [anon_sym_thread_local] = ACTIONS(2126),
    [anon_sym___thread] = ACTIONS(2126),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_constexpr] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_restrict] = ACTIONS(2126),
    [anon_sym___restrict__] = ACTIONS(2126),
    [anon_sym__Atomic] = ACTIONS(2126),
    [anon_sym__Noreturn] = ACTIONS(2126),
    [anon_sym_noreturn] = ACTIONS(2126),
    [anon_sym__Nonnull] = ACTIONS(2126),
    [anon_sym_mutable] = ACTIONS(2126),
    [anon_sym_constinit] = ACTIONS(2126),
    [anon_sym_consteval] = ACTIONS(2126),
    [anon_sym_alignas] = ACTIONS(2126),
    [anon_sym__Alignas] = ACTIONS(2126),
    [sym_primitive_type] = ACTIONS(2126),
    [anon_sym_enum] = ACTIONS(2126),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2126),
    [anon_sym_union] = ACTIONS(2126),
    [anon_sym_if] = ACTIONS(2126),
    [anon_sym_else] = ACTIONS(2126),
    [anon_sym_switch] = ACTIONS(2126),
    [anon_sym_case] = ACTIONS(2126),
    [anon_sym_default] = ACTIONS(2126),
    [anon_sym_while] = ACTIONS(2126),
    [anon_sym_do] = ACTIONS(2126),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_return] = ACTIONS(2126),
    [anon_sym_break] = ACTIONS(2126),
    [anon_sym_continue] = ACTIONS(2126),
    [anon_sym_goto] = ACTIONS(2126),
    [anon_sym___try] = ACTIONS(2126),
    [anon_sym___leave] = ACTIONS(2126),
    [anon_sym_not] = ACTIONS(2126),
    [anon_sym_compl] = ACTIONS(2126),
    [anon_sym_DASH_DASH] = ACTIONS(2128),
    [anon_sym_PLUS_PLUS] = ACTIONS(2128),
    [anon_sym_sizeof] = ACTIONS(2126),
    [anon_sym___alignof__] = ACTIONS(2126),
    [anon_sym___alignof] = ACTIONS(2126),
    [anon_sym__alignof] = ACTIONS(2126),
    [anon_sym_alignof] = ACTIONS(2126),
    [anon_sym__Alignof] = ACTIONS(2126),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2126),
    [anon_sym___asm__] = ACTIONS(2126),
    [anon_sym___asm] = ACTIONS(2126),
    [sym_number_literal] = ACTIONS(2128),
    [anon_sym_L_SQUOTE] = ACTIONS(2128),
    [anon_sym_u_SQUOTE] = ACTIONS(2128),
    [anon_sym_U_SQUOTE] = ACTIONS(2128),
    [anon_sym_u8_SQUOTE] = ACTIONS(2128),
    [anon_sym_SQUOTE] = ACTIONS(2128),
    [anon_sym_L_DQUOTE] = ACTIONS(2128),
    [anon_sym_u_DQUOTE] = ACTIONS(2128),
    [anon_sym_U_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8_DQUOTE] = ACTIONS(2128),
    [anon_sym_DQUOTE] = ACTIONS(2128),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2126),
    [anon_sym_nullptr] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2126),
    [anon_sym_decltype] = ACTIONS(2126),
    [anon_sym_explicit] = ACTIONS(2126),
    [anon_sym_typename] = ACTIONS(2126),
    [anon_sym_template] = ACTIONS(2126),
    [anon_sym_operator] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_throw] = ACTIONS(2126),
    [anon_sym_namespace] = ACTIONS(2126),
    [anon_sym_using] = ACTIONS(2126),
    [anon_sym_static_assert] = ACTIONS(2126),
    [anon_sym_concept] = ACTIONS(2126),
    [anon_sym_co_return] = ACTIONS(2126),
    [anon_sym_co_yield] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(2126),
    [anon_sym_requires] = ACTIONS(2126),
    [sym_this] = ACTIONS(2126),
    [anon_sym_discard] = ACTIONS(2126),
    [anon_sym_precise] = ACTIONS(2126),
    [anon_sym_shared] = ACTIONS(2126),
    [anon_sym_groupshared] = ACTIONS(2126),
    [anon_sym_uniform] = ACTIONS(2126),
    [anon_sym_row_major] = ACTIONS(2126),
    [anon_sym_column_major] = ACTIONS(2126),
    [anon_sym_globallycoherent] = ACTIONS(2126),
    [anon_sym_centroid] = ACTIONS(2126),
    [anon_sym_noperspective] = ACTIONS(2126),
    [anon_sym_nointerpolation] = ACTIONS(2126),
    [anon_sym_sample] = ACTIONS(2126),
    [anon_sym_linear] = ACTIONS(2126),
    [anon_sym_snorm] = ACTIONS(2126),
    [anon_sym_unorm] = ACTIONS(2126),
    [anon_sym_point] = ACTIONS(2126),
    [anon_sym_line] = ACTIONS(2126),
    [anon_sym_triangleadj] = ACTIONS(2126),
    [anon_sym_lineadj] = ACTIONS(2126),
    [anon_sym_triangle] = ACTIONS(2126),
    [anon_sym_cbuffer] = ACTIONS(2126),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2130),
    [aux_sym_preproc_include_token1] = ACTIONS(2130),
    [aux_sym_preproc_def_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token2] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2130),
    [sym_preproc_directive] = ACTIONS(2130),
    [anon_sym_LPAREN2] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_DASH] = ACTIONS(2130),
    [anon_sym_PLUS] = ACTIONS(2130),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_AMP_AMP] = ACTIONS(2132),
    [anon_sym_AMP] = ACTIONS(2130),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym___extension__] = ACTIONS(2130),
    [anon_sym_typedef] = ACTIONS(2130),
    [anon_sym_in] = ACTIONS(2130),
    [anon_sym_out] = ACTIONS(2130),
    [anon_sym_inout] = ACTIONS(2130),
    [anon_sym_virtual] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2130),
    [anon_sym___attribute__] = ACTIONS(2130),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2132),
    [anon_sym___declspec] = ACTIONS(2130),
    [anon_sym___based] = ACTIONS(2130),
    [anon_sym___cdecl] = ACTIONS(2130),
    [anon_sym___clrcall] = ACTIONS(2130),
    [anon_sym___stdcall] = ACTIONS(2130),
    [anon_sym___fastcall] = ACTIONS(2130),
    [anon_sym___thiscall] = ACTIONS(2130),
    [anon_sym___vectorcall] = ACTIONS(2130),
    [anon_sym_LBRACE] = ACTIONS(2132),
    [anon_sym_signed] = ACTIONS(2130),
    [anon_sym_unsigned] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [anon_sym_register] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2130),
    [anon_sym___inline] = ACTIONS(2130),
    [anon_sym___inline__] = ACTIONS(2130),
    [anon_sym___forceinline] = ACTIONS(2130),
    [anon_sym_thread_local] = ACTIONS(2130),
    [anon_sym___thread] = ACTIONS(2130),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_constexpr] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_restrict] = ACTIONS(2130),
    [anon_sym___restrict__] = ACTIONS(2130),
    [anon_sym__Atomic] = ACTIONS(2130),
    [anon_sym__Noreturn] = ACTIONS(2130),
    [anon_sym_noreturn] = ACTIONS(2130),
    [anon_sym__Nonnull] = ACTIONS(2130),
    [anon_sym_mutable] = ACTIONS(2130),
    [anon_sym_constinit] = ACTIONS(2130),
    [anon_sym_consteval] = ACTIONS(2130),
    [anon_sym_alignas] = ACTIONS(2130),
    [anon_sym__Alignas] = ACTIONS(2130),
    [sym_primitive_type] = ACTIONS(2130),
    [anon_sym_enum] = ACTIONS(2130),
    [anon_sym_class] = ACTIONS(2130),
    [anon_sym_struct] = ACTIONS(2130),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_if] = ACTIONS(2130),
    [anon_sym_else] = ACTIONS(2130),
    [anon_sym_switch] = ACTIONS(2130),
    [anon_sym_case] = ACTIONS(2130),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2130),
    [anon_sym_do] = ACTIONS(2130),
    [anon_sym_for] = ACTIONS(2130),
    [anon_sym_return] = ACTIONS(2130),
    [anon_sym_break] = ACTIONS(2130),
    [anon_sym_continue] = ACTIONS(2130),
    [anon_sym_goto] = ACTIONS(2130),
    [anon_sym___try] = ACTIONS(2130),
    [anon_sym___leave] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2130),
    [anon_sym_compl] = ACTIONS(2130),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2130),
    [anon_sym___alignof__] = ACTIONS(2130),
    [anon_sym___alignof] = ACTIONS(2130),
    [anon_sym__alignof] = ACTIONS(2130),
    [anon_sym_alignof] = ACTIONS(2130),
    [anon_sym__Alignof] = ACTIONS(2130),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2130),
    [anon_sym_asm] = ACTIONS(2130),
    [anon_sym___asm__] = ACTIONS(2130),
    [anon_sym___asm] = ACTIONS(2130),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2132),
    [anon_sym_u_SQUOTE] = ACTIONS(2132),
    [anon_sym_U_SQUOTE] = ACTIONS(2132),
    [anon_sym_u8_SQUOTE] = ACTIONS(2132),
    [anon_sym_SQUOTE] = ACTIONS(2132),
    [anon_sym_L_DQUOTE] = ACTIONS(2132),
    [anon_sym_u_DQUOTE] = ACTIONS(2132),
    [anon_sym_U_DQUOTE] = ACTIONS(2132),
    [anon_sym_u8_DQUOTE] = ACTIONS(2132),
    [anon_sym_DQUOTE] = ACTIONS(2132),
    [sym_true] = ACTIONS(2130),
    [sym_false] = ACTIONS(2130),
    [anon_sym_NULL] = ACTIONS(2130),
    [anon_sym_nullptr] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2130),
    [anon_sym_decltype] = ACTIONS(2130),
    [anon_sym_explicit] = ACTIONS(2130),
    [anon_sym_typename] = ACTIONS(2130),
    [anon_sym_template] = ACTIONS(2130),
    [anon_sym_operator] = ACTIONS(2130),
    [anon_sym_try] = ACTIONS(2130),
    [anon_sym_delete] = ACTIONS(2130),
    [anon_sym_throw] = ACTIONS(2130),
    [anon_sym_namespace] = ACTIONS(2130),
    [anon_sym_using] = ACTIONS(2130),
    [anon_sym_static_assert] = ACTIONS(2130),
    [anon_sym_concept] = ACTIONS(2130),
    [anon_sym_co_return] = ACTIONS(2130),
    [anon_sym_co_yield] = ACTIONS(2130),
    [anon_sym_R_DQUOTE] = ACTIONS(2132),
    [anon_sym_LR_DQUOTE] = ACTIONS(2132),
    [anon_sym_uR_DQUOTE] = ACTIONS(2132),
    [anon_sym_UR_DQUOTE] = ACTIONS(2132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2132),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2130),
    [sym_this] = ACTIONS(2130),
    [anon_sym_discard] = ACTIONS(2130),
    [anon_sym_precise] = ACTIONS(2130),
    [anon_sym_shared] = ACTIONS(2130),
    [anon_sym_groupshared] = ACTIONS(2130),
    [anon_sym_uniform] = ACTIONS(2130),
    [anon_sym_row_major] = ACTIONS(2130),
    [anon_sym_column_major] = ACTIONS(2130),
    [anon_sym_globallycoherent] = ACTIONS(2130),
    [anon_sym_centroid] = ACTIONS(2130),
    [anon_sym_noperspective] = ACTIONS(2130),
    [anon_sym_nointerpolation] = ACTIONS(2130),
    [anon_sym_sample] = ACTIONS(2130),
    [anon_sym_linear] = ACTIONS(2130),
    [anon_sym_snorm] = ACTIONS(2130),
    [anon_sym_unorm] = ACTIONS(2130),
    [anon_sym_point] = ACTIONS(2130),
    [anon_sym_line] = ACTIONS(2130),
    [anon_sym_triangleadj] = ACTIONS(2130),
    [anon_sym_lineadj] = ACTIONS(2130),
    [anon_sym_triangle] = ACTIONS(2130),
    [anon_sym_cbuffer] = ACTIONS(2130),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym__Nonnull] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym__Alignas] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [anon_sym___asm] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym__Nonnull] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym__Alignas] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [anon_sym___asm] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2292),
    [aux_sym_preproc_include_token1] = ACTIONS(2292),
    [aux_sym_preproc_def_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token2] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2292),
    [sym_preproc_directive] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_typedef] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym___based] = ACTIONS(2292),
    [anon_sym___cdecl] = ACTIONS(2292),
    [anon_sym___clrcall] = ACTIONS(2292),
    [anon_sym___stdcall] = ACTIONS(2292),
    [anon_sym___fastcall] = ACTIONS(2292),
    [anon_sym___thiscall] = ACTIONS(2292),
    [anon_sym___vectorcall] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_switch] = ACTIONS(2292),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym___try] = ACTIONS(2292),
    [anon_sym___leave] = ACTIONS(2292),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_sizeof] = ACTIONS(2292),
    [anon_sym___alignof__] = ACTIONS(2292),
    [anon_sym___alignof] = ACTIONS(2292),
    [anon_sym__alignof] = ACTIONS(2292),
    [anon_sym_alignof] = ACTIONS(2292),
    [anon_sym__Alignof] = ACTIONS(2292),
    [anon_sym_offsetof] = ACTIONS(2292),
    [anon_sym__Generic] = ACTIONS(2292),
    [anon_sym_asm] = ACTIONS(2292),
    [anon_sym___asm__] = ACTIONS(2292),
    [anon_sym___asm] = ACTIONS(2292),
    [sym_number_literal] = ACTIONS(2294),
    [anon_sym_L_SQUOTE] = ACTIONS(2294),
    [anon_sym_u_SQUOTE] = ACTIONS(2294),
    [anon_sym_U_SQUOTE] = ACTIONS(2294),
    [anon_sym_u8_SQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2294),
    [anon_sym_L_DQUOTE] = ACTIONS(2294),
    [anon_sym_u_DQUOTE] = ACTIONS(2294),
    [anon_sym_U_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8_DQUOTE] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [sym_true] = ACTIONS(2292),
    [sym_false] = ACTIONS(2292),
    [anon_sym_NULL] = ACTIONS(2292),
    [anon_sym_nullptr] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_explicit] = ACTIONS(2292),
    [anon_sym_typename] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_operator] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_namespace] = ACTIONS(2292),
    [anon_sym_using] = ACTIONS(2292),
    [anon_sym_static_assert] = ACTIONS(2292),
    [anon_sym_concept] = ACTIONS(2292),
    [anon_sym_co_return] = ACTIONS(2292),
    [anon_sym_co_yield] = ACTIONS(2292),
    [anon_sym_R_DQUOTE] = ACTIONS(2294),
    [anon_sym_LR_DQUOTE] = ACTIONS(2294),
    [anon_sym_uR_DQUOTE] = ACTIONS(2294),
    [anon_sym_UR_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2294),
    [anon_sym_co_await] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [sym_this] = ACTIONS(2292),
    [anon_sym_discard] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
    [anon_sym_cbuffer] = ACTIONS(2292),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_include_token1] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym___cdecl] = ACTIONS(2230),
    [anon_sym___clrcall] = ACTIONS(2230),
    [anon_sym___stdcall] = ACTIONS(2230),
    [anon_sym___fastcall] = ACTIONS(2230),
    [anon_sym___thiscall] = ACTIONS(2230),
    [anon_sym___vectorcall] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_RBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_goto] = ACTIONS(2230),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2230),
    [anon_sym_not] = ACTIONS(2230),
    [anon_sym_compl] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2230),
    [anon_sym___alignof] = ACTIONS(2230),
    [anon_sym__alignof] = ACTIONS(2230),
    [anon_sym_alignof] = ACTIONS(2230),
    [anon_sym__Alignof] = ACTIONS(2230),
    [anon_sym_offsetof] = ACTIONS(2230),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym___asm] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2232),
    [anon_sym_u_SQUOTE] = ACTIONS(2232),
    [anon_sym_U_SQUOTE] = ACTIONS(2232),
    [anon_sym_u8_SQUOTE] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_L_DQUOTE] = ACTIONS(2232),
    [anon_sym_u_DQUOTE] = ACTIONS(2232),
    [anon_sym_U_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2232),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [anon_sym_NULL] = ACTIONS(2230),
    [anon_sym_nullptr] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_concept] = ACTIONS(2230),
    [anon_sym_co_return] = ACTIONS(2230),
    [anon_sym_co_yield] = ACTIONS(2230),
    [anon_sym_R_DQUOTE] = ACTIONS(2232),
    [anon_sym_LR_DQUOTE] = ACTIONS(2232),
    [anon_sym_uR_DQUOTE] = ACTIONS(2232),
    [anon_sym_UR_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2232),
    [anon_sym_co_await] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_requires] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [anon_sym_discard] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
    [anon_sym_cbuffer] = ACTIONS(2230),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2300),
    [aux_sym_preproc_include_token1] = ACTIONS(2300),
    [aux_sym_preproc_def_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2300),
    [sym_preproc_directive] = ACTIONS(2300),
    [anon_sym_LPAREN2] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2300),
    [anon_sym_typedef] = ACTIONS(2300),
    [anon_sym_in] = ACTIONS(2300),
    [anon_sym_out] = ACTIONS(2300),
    [anon_sym_inout] = ACTIONS(2300),
    [anon_sym_virtual] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym___attribute__] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2302),
    [anon_sym___declspec] = ACTIONS(2300),
    [anon_sym___based] = ACTIONS(2300),
    [anon_sym___cdecl] = ACTIONS(2300),
    [anon_sym___clrcall] = ACTIONS(2300),
    [anon_sym___stdcall] = ACTIONS(2300),
    [anon_sym___fastcall] = ACTIONS(2300),
    [anon_sym___thiscall] = ACTIONS(2300),
    [anon_sym___vectorcall] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2300),
    [anon_sym_unsigned] = ACTIONS(2300),
    [anon_sym_long] = ACTIONS(2300),
    [anon_sym_short] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_register] = ACTIONS(2300),
    [anon_sym_inline] = ACTIONS(2300),
    [anon_sym___inline] = ACTIONS(2300),
    [anon_sym___inline__] = ACTIONS(2300),
    [anon_sym___forceinline] = ACTIONS(2300),
    [anon_sym_thread_local] = ACTIONS(2300),
    [anon_sym___thread] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_constexpr] = ACTIONS(2300),
    [anon_sym_volatile] = ACTIONS(2300),
    [anon_sym_restrict] = ACTIONS(2300),
    [anon_sym___restrict__] = ACTIONS(2300),
    [anon_sym__Atomic] = ACTIONS(2300),
    [anon_sym__Noreturn] = ACTIONS(2300),
    [anon_sym_noreturn] = ACTIONS(2300),
    [anon_sym__Nonnull] = ACTIONS(2300),
    [anon_sym_mutable] = ACTIONS(2300),
    [anon_sym_constinit] = ACTIONS(2300),
    [anon_sym_consteval] = ACTIONS(2300),
    [anon_sym_alignas] = ACTIONS(2300),
    [anon_sym__Alignas] = ACTIONS(2300),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_else] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(2300),
    [anon_sym_case] = ACTIONS(2300),
    [anon_sym_default] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_goto] = ACTIONS(2300),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2300),
    [anon_sym_compl] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2300),
    [anon_sym___alignof] = ACTIONS(2300),
    [anon_sym__alignof] = ACTIONS(2300),
    [anon_sym_alignof] = ACTIONS(2300),
    [anon_sym__Alignof] = ACTIONS(2300),
    [anon_sym_offsetof] = ACTIONS(2300),
    [anon_sym__Generic] = ACTIONS(2300),
    [anon_sym_asm] = ACTIONS(2300),
    [anon_sym___asm__] = ACTIONS(2300),
    [anon_sym___asm] = ACTIONS(2300),
    [sym_number_literal] = ACTIONS(2302),
    [anon_sym_L_SQUOTE] = ACTIONS(2302),
    [anon_sym_u_SQUOTE] = ACTIONS(2302),
    [anon_sym_U_SQUOTE] = ACTIONS(2302),
    [anon_sym_u8_SQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_L_DQUOTE] = ACTIONS(2302),
    [anon_sym_u_DQUOTE] = ACTIONS(2302),
    [anon_sym_U_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8_DQUOTE] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [sym_true] = ACTIONS(2300),
    [sym_false] = ACTIONS(2300),
    [anon_sym_NULL] = ACTIONS(2300),
    [anon_sym_nullptr] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2300),
    [anon_sym_decltype] = ACTIONS(2300),
    [anon_sym_explicit] = ACTIONS(2300),
    [anon_sym_typename] = ACTIONS(2300),
    [anon_sym_template] = ACTIONS(2300),
    [anon_sym_operator] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_delete] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2300),
    [anon_sym_namespace] = ACTIONS(2300),
    [anon_sym_using] = ACTIONS(2300),
    [anon_sym_static_assert] = ACTIONS(2300),
    [anon_sym_concept] = ACTIONS(2300),
    [anon_sym_co_return] = ACTIONS(2300),
    [anon_sym_co_yield] = ACTIONS(2300),
    [anon_sym_R_DQUOTE] = ACTIONS(2302),
    [anon_sym_LR_DQUOTE] = ACTIONS(2302),
    [anon_sym_uR_DQUOTE] = ACTIONS(2302),
    [anon_sym_UR_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2302),
    [anon_sym_co_await] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2300),
    [anon_sym_requires] = ACTIONS(2300),
    [sym_this] = ACTIONS(2300),
    [anon_sym_discard] = ACTIONS(2300),
    [anon_sym_precise] = ACTIONS(2300),
    [anon_sym_shared] = ACTIONS(2300),
    [anon_sym_groupshared] = ACTIONS(2300),
    [anon_sym_uniform] = ACTIONS(2300),
    [anon_sym_row_major] = ACTIONS(2300),
    [anon_sym_column_major] = ACTIONS(2300),
    [anon_sym_globallycoherent] = ACTIONS(2300),
    [anon_sym_centroid] = ACTIONS(2300),
    [anon_sym_noperspective] = ACTIONS(2300),
    [anon_sym_nointerpolation] = ACTIONS(2300),
    [anon_sym_sample] = ACTIONS(2300),
    [anon_sym_linear] = ACTIONS(2300),
    [anon_sym_snorm] = ACTIONS(2300),
    [anon_sym_unorm] = ACTIONS(2300),
    [anon_sym_point] = ACTIONS(2300),
    [anon_sym_line] = ACTIONS(2300),
    [anon_sym_triangleadj] = ACTIONS(2300),
    [anon_sym_lineadj] = ACTIONS(2300),
    [anon_sym_triangle] = ACTIONS(2300),
    [anon_sym_cbuffer] = ACTIONS(2300),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2284),
    [aux_sym_preproc_include_token1] = ACTIONS(2284),
    [aux_sym_preproc_def_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2284),
    [sym_preproc_directive] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_AMP_AMP] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2284),
    [anon_sym_typedef] = ACTIONS(2284),
    [anon_sym_in] = ACTIONS(2284),
    [anon_sym_out] = ACTIONS(2284),
    [anon_sym_inout] = ACTIONS(2284),
    [anon_sym_virtual] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym___attribute__] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2286),
    [anon_sym___declspec] = ACTIONS(2284),
    [anon_sym___based] = ACTIONS(2284),
    [anon_sym___cdecl] = ACTIONS(2284),
    [anon_sym___clrcall] = ACTIONS(2284),
    [anon_sym___stdcall] = ACTIONS(2284),
    [anon_sym___fastcall] = ACTIONS(2284),
    [anon_sym___thiscall] = ACTIONS(2284),
    [anon_sym___vectorcall] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2284),
    [anon_sym_unsigned] = ACTIONS(2284),
    [anon_sym_long] = ACTIONS(2284),
    [anon_sym_short] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_register] = ACTIONS(2284),
    [anon_sym_inline] = ACTIONS(2284),
    [anon_sym___inline] = ACTIONS(2284),
    [anon_sym___inline__] = ACTIONS(2284),
    [anon_sym___forceinline] = ACTIONS(2284),
    [anon_sym_thread_local] = ACTIONS(2284),
    [anon_sym___thread] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_constexpr] = ACTIONS(2284),
    [anon_sym_volatile] = ACTIONS(2284),
    [anon_sym_restrict] = ACTIONS(2284),
    [anon_sym___restrict__] = ACTIONS(2284),
    [anon_sym__Atomic] = ACTIONS(2284),
    [anon_sym__Noreturn] = ACTIONS(2284),
    [anon_sym_noreturn] = ACTIONS(2284),
    [anon_sym__Nonnull] = ACTIONS(2284),
    [anon_sym_mutable] = ACTIONS(2284),
    [anon_sym_constinit] = ACTIONS(2284),
    [anon_sym_consteval] = ACTIONS(2284),
    [anon_sym_alignas] = ACTIONS(2284),
    [anon_sym__Alignas] = ACTIONS(2284),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_else] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2284),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym_default] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym___try] = ACTIONS(2284),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2284),
    [anon_sym_compl] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2286),
    [anon_sym_sizeof] = ACTIONS(2284),
    [anon_sym___alignof__] = ACTIONS(2284),
    [anon_sym___alignof] = ACTIONS(2284),
    [anon_sym__alignof] = ACTIONS(2284),
    [anon_sym_alignof] = ACTIONS(2284),
    [anon_sym__Alignof] = ACTIONS(2284),
    [anon_sym_offsetof] = ACTIONS(2284),
    [anon_sym__Generic] = ACTIONS(2284),
    [anon_sym_asm] = ACTIONS(2284),
    [anon_sym___asm__] = ACTIONS(2284),
    [anon_sym___asm] = ACTIONS(2284),
    [sym_number_literal] = ACTIONS(2286),
    [anon_sym_L_SQUOTE] = ACTIONS(2286),
    [anon_sym_u_SQUOTE] = ACTIONS(2286),
    [anon_sym_U_SQUOTE] = ACTIONS(2286),
    [anon_sym_u8_SQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2286),
    [anon_sym_L_DQUOTE] = ACTIONS(2286),
    [anon_sym_u_DQUOTE] = ACTIONS(2286),
    [anon_sym_U_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8_DQUOTE] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [anon_sym_NULL] = ACTIONS(2284),
    [anon_sym_nullptr] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2284),
    [anon_sym_decltype] = ACTIONS(2284),
    [anon_sym_explicit] = ACTIONS(2284),
    [anon_sym_typename] = ACTIONS(2284),
    [anon_sym_template] = ACTIONS(2284),
    [anon_sym_operator] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_namespace] = ACTIONS(2284),
    [anon_sym_using] = ACTIONS(2284),
    [anon_sym_static_assert] = ACTIONS(2284),
    [anon_sym_concept] = ACTIONS(2284),
    [anon_sym_co_return] = ACTIONS(2284),
    [anon_sym_co_yield] = ACTIONS(2284),
    [anon_sym_R_DQUOTE] = ACTIONS(2286),
    [anon_sym_LR_DQUOTE] = ACTIONS(2286),
    [anon_sym_uR_DQUOTE] = ACTIONS(2286),
    [anon_sym_UR_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2286),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2284),
    [anon_sym_requires] = ACTIONS(2284),
    [sym_this] = ACTIONS(2284),
    [anon_sym_discard] = ACTIONS(2284),
    [anon_sym_precise] = ACTIONS(2284),
    [anon_sym_shared] = ACTIONS(2284),
    [anon_sym_groupshared] = ACTIONS(2284),
    [anon_sym_uniform] = ACTIONS(2284),
    [anon_sym_row_major] = ACTIONS(2284),
    [anon_sym_column_major] = ACTIONS(2284),
    [anon_sym_globallycoherent] = ACTIONS(2284),
    [anon_sym_centroid] = ACTIONS(2284),
    [anon_sym_noperspective] = ACTIONS(2284),
    [anon_sym_nointerpolation] = ACTIONS(2284),
    [anon_sym_sample] = ACTIONS(2284),
    [anon_sym_linear] = ACTIONS(2284),
    [anon_sym_snorm] = ACTIONS(2284),
    [anon_sym_unorm] = ACTIONS(2284),
    [anon_sym_point] = ACTIONS(2284),
    [anon_sym_line] = ACTIONS(2284),
    [anon_sym_triangleadj] = ACTIONS(2284),
    [anon_sym_lineadj] = ACTIONS(2284),
    [anon_sym_triangle] = ACTIONS(2284),
    [anon_sym_cbuffer] = ACTIONS(2284),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(2278),
    [sym_identifier] = ACTIONS(2276),
    [aux_sym_preproc_include_token1] = ACTIONS(2276),
    [aux_sym_preproc_def_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2276),
    [sym_preproc_directive] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_TILDE] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_AMP_AMP] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2276),
    [anon_sym_typedef] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2276),
    [anon_sym_out] = ACTIONS(2276),
    [anon_sym_inout] = ACTIONS(2276),
    [anon_sym_virtual] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym___attribute__] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2278),
    [anon_sym___declspec] = ACTIONS(2276),
    [anon_sym___based] = ACTIONS(2276),
    [anon_sym___cdecl] = ACTIONS(2276),
    [anon_sym___clrcall] = ACTIONS(2276),
    [anon_sym___stdcall] = ACTIONS(2276),
    [anon_sym___fastcall] = ACTIONS(2276),
    [anon_sym___thiscall] = ACTIONS(2276),
    [anon_sym___vectorcall] = ACTIONS(2276),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2276),
    [anon_sym_unsigned] = ACTIONS(2276),
    [anon_sym_long] = ACTIONS(2276),
    [anon_sym_short] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_register] = ACTIONS(2276),
    [anon_sym_inline] = ACTIONS(2276),
    [anon_sym___inline] = ACTIONS(2276),
    [anon_sym___inline__] = ACTIONS(2276),
    [anon_sym___forceinline] = ACTIONS(2276),
    [anon_sym_thread_local] = ACTIONS(2276),
    [anon_sym___thread] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_constexpr] = ACTIONS(2276),
    [anon_sym_volatile] = ACTIONS(2276),
    [anon_sym_restrict] = ACTIONS(2276),
    [anon_sym___restrict__] = ACTIONS(2276),
    [anon_sym__Atomic] = ACTIONS(2276),
    [anon_sym__Noreturn] = ACTIONS(2276),
    [anon_sym_noreturn] = ACTIONS(2276),
    [anon_sym__Nonnull] = ACTIONS(2276),
    [anon_sym_mutable] = ACTIONS(2276),
    [anon_sym_constinit] = ACTIONS(2276),
    [anon_sym_consteval] = ACTIONS(2276),
    [anon_sym_alignas] = ACTIONS(2276),
    [anon_sym__Alignas] = ACTIONS(2276),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_else] = ACTIONS(2276),
    [anon_sym_switch] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_goto] = ACTIONS(2276),
    [anon_sym___try] = ACTIONS(2276),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2276),
    [anon_sym_compl] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2278),
    [anon_sym_sizeof] = ACTIONS(2276),
    [anon_sym___alignof__] = ACTIONS(2276),
    [anon_sym___alignof] = ACTIONS(2276),
    [anon_sym__alignof] = ACTIONS(2276),
    [anon_sym_alignof] = ACTIONS(2276),
    [anon_sym__Alignof] = ACTIONS(2276),
    [anon_sym_offsetof] = ACTIONS(2276),
    [anon_sym__Generic] = ACTIONS(2276),
    [anon_sym_asm] = ACTIONS(2276),
    [anon_sym___asm__] = ACTIONS(2276),
    [anon_sym___asm] = ACTIONS(2276),
    [sym_number_literal] = ACTIONS(2278),
    [anon_sym_L_SQUOTE] = ACTIONS(2278),
    [anon_sym_u_SQUOTE] = ACTIONS(2278),
    [anon_sym_U_SQUOTE] = ACTIONS(2278),
    [anon_sym_u8_SQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2278),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [anon_sym_NULL] = ACTIONS(2276),
    [anon_sym_nullptr] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2276),
    [anon_sym_decltype] = ACTIONS(2276),
    [anon_sym_explicit] = ACTIONS(2276),
    [anon_sym_typename] = ACTIONS(2276),
    [anon_sym_template] = ACTIONS(2276),
    [anon_sym_operator] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_delete] = ACTIONS(2276),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_namespace] = ACTIONS(2276),
    [anon_sym_using] = ACTIONS(2276),
    [anon_sym_static_assert] = ACTIONS(2276),
    [anon_sym_concept] = ACTIONS(2276),
    [anon_sym_co_return] = ACTIONS(2276),
    [anon_sym_co_yield] = ACTIONS(2276),
    [anon_sym_R_DQUOTE] = ACTIONS(2278),
    [anon_sym_LR_DQUOTE] = ACTIONS(2278),
    [anon_sym_uR_DQUOTE] = ACTIONS(2278),
    [anon_sym_UR_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2278),
    [anon_sym_co_await] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_requires] = ACTIONS(2276),
    [sym_this] = ACTIONS(2276),
    [anon_sym_discard] = ACTIONS(2276),
    [anon_sym_precise] = ACTIONS(2276),
    [anon_sym_shared] = ACTIONS(2276),
    [anon_sym_groupshared] = ACTIONS(2276),
    [anon_sym_uniform] = ACTIONS(2276),
    [anon_sym_row_major] = ACTIONS(2276),
    [anon_sym_column_major] = ACTIONS(2276),
    [anon_sym_globallycoherent] = ACTIONS(2276),
    [anon_sym_centroid] = ACTIONS(2276),
    [anon_sym_noperspective] = ACTIONS(2276),
    [anon_sym_nointerpolation] = ACTIONS(2276),
    [anon_sym_sample] = ACTIONS(2276),
    [anon_sym_linear] = ACTIONS(2276),
    [anon_sym_snorm] = ACTIONS(2276),
    [anon_sym_unorm] = ACTIONS(2276),
    [anon_sym_point] = ACTIONS(2276),
    [anon_sym_line] = ACTIONS(2276),
    [anon_sym_triangleadj] = ACTIONS(2276),
    [anon_sym_lineadj] = ACTIONS(2276),
    [anon_sym_triangle] = ACTIONS(2276),
    [anon_sym_cbuffer] = ACTIONS(2276),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_include_token1] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym___cdecl] = ACTIONS(2230),
    [anon_sym___clrcall] = ACTIONS(2230),
    [anon_sym___stdcall] = ACTIONS(2230),
    [anon_sym___fastcall] = ACTIONS(2230),
    [anon_sym___thiscall] = ACTIONS(2230),
    [anon_sym___vectorcall] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_RBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_goto] = ACTIONS(2230),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2230),
    [anon_sym_not] = ACTIONS(2230),
    [anon_sym_compl] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2230),
    [anon_sym___alignof] = ACTIONS(2230),
    [anon_sym__alignof] = ACTIONS(2230),
    [anon_sym_alignof] = ACTIONS(2230),
    [anon_sym__Alignof] = ACTIONS(2230),
    [anon_sym_offsetof] = ACTIONS(2230),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym___asm] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2232),
    [anon_sym_u_SQUOTE] = ACTIONS(2232),
    [anon_sym_U_SQUOTE] = ACTIONS(2232),
    [anon_sym_u8_SQUOTE] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_L_DQUOTE] = ACTIONS(2232),
    [anon_sym_u_DQUOTE] = ACTIONS(2232),
    [anon_sym_U_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2232),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [anon_sym_NULL] = ACTIONS(2230),
    [anon_sym_nullptr] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_concept] = ACTIONS(2230),
    [anon_sym_co_return] = ACTIONS(2230),
    [anon_sym_co_yield] = ACTIONS(2230),
    [anon_sym_R_DQUOTE] = ACTIONS(2232),
    [anon_sym_LR_DQUOTE] = ACTIONS(2232),
    [anon_sym_uR_DQUOTE] = ACTIONS(2232),
    [anon_sym_UR_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2232),
    [anon_sym_co_await] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_requires] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [anon_sym_discard] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
    [anon_sym_cbuffer] = ACTIONS(2230),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym__Nonnull] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym__Alignas] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [anon_sym___asm] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2347),
    [aux_sym_preproc_include_token1] = ACTIONS(2347),
    [aux_sym_preproc_def_token1] = ACTIONS(2347),
    [aux_sym_preproc_if_token1] = ACTIONS(2347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2347),
    [sym_preproc_directive] = ACTIONS(2347),
    [anon_sym_LPAREN2] = ACTIONS(2349),
    [anon_sym_BANG] = ACTIONS(2349),
    [anon_sym_TILDE] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2347),
    [anon_sym_PLUS] = ACTIONS(2347),
    [anon_sym_STAR] = ACTIONS(2349),
    [anon_sym_AMP_AMP] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(2349),
    [anon_sym___extension__] = ACTIONS(2347),
    [anon_sym_typedef] = ACTIONS(2347),
    [anon_sym_in] = ACTIONS(2347),
    [anon_sym_out] = ACTIONS(2347),
    [anon_sym_inout] = ACTIONS(2347),
    [anon_sym_virtual] = ACTIONS(2347),
    [anon_sym_extern] = ACTIONS(2347),
    [anon_sym___attribute__] = ACTIONS(2347),
    [anon_sym_COLON_COLON] = ACTIONS(2349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2349),
    [anon_sym___declspec] = ACTIONS(2347),
    [anon_sym___based] = ACTIONS(2347),
    [anon_sym___cdecl] = ACTIONS(2347),
    [anon_sym___clrcall] = ACTIONS(2347),
    [anon_sym___stdcall] = ACTIONS(2347),
    [anon_sym___fastcall] = ACTIONS(2347),
    [anon_sym___thiscall] = ACTIONS(2347),
    [anon_sym___vectorcall] = ACTIONS(2347),
    [anon_sym_LBRACE] = ACTIONS(2349),
    [anon_sym_RBRACE] = ACTIONS(2349),
    [anon_sym_signed] = ACTIONS(2347),
    [anon_sym_unsigned] = ACTIONS(2347),
    [anon_sym_long] = ACTIONS(2347),
    [anon_sym_short] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(2347),
    [anon_sym_static] = ACTIONS(2347),
    [anon_sym_register] = ACTIONS(2347),
    [anon_sym_inline] = ACTIONS(2347),
    [anon_sym___inline] = ACTIONS(2347),
    [anon_sym___inline__] = ACTIONS(2347),
    [anon_sym___forceinline] = ACTIONS(2347),
    [anon_sym_thread_local] = ACTIONS(2347),
    [anon_sym___thread] = ACTIONS(2347),
    [anon_sym_const] = ACTIONS(2347),
    [anon_sym_constexpr] = ACTIONS(2347),
    [anon_sym_volatile] = ACTIONS(2347),
    [anon_sym_restrict] = ACTIONS(2347),
    [anon_sym___restrict__] = ACTIONS(2347),
    [anon_sym__Atomic] = ACTIONS(2347),
    [anon_sym__Noreturn] = ACTIONS(2347),
    [anon_sym_noreturn] = ACTIONS(2347),
    [anon_sym__Nonnull] = ACTIONS(2347),
    [anon_sym_mutable] = ACTIONS(2347),
    [anon_sym_constinit] = ACTIONS(2347),
    [anon_sym_consteval] = ACTIONS(2347),
    [anon_sym_alignas] = ACTIONS(2347),
    [anon_sym__Alignas] = ACTIONS(2347),
    [sym_primitive_type] = ACTIONS(2347),
    [anon_sym_enum] = ACTIONS(2347),
    [anon_sym_class] = ACTIONS(2347),
    [anon_sym_struct] = ACTIONS(2347),
    [anon_sym_union] = ACTIONS(2347),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_else] = ACTIONS(2347),
    [anon_sym_switch] = ACTIONS(2347),
    [anon_sym_case] = ACTIONS(2347),
    [anon_sym_default] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2347),
    [anon_sym_do] = ACTIONS(2347),
    [anon_sym_for] = ACTIONS(2347),
    [anon_sym_return] = ACTIONS(2347),
    [anon_sym_break] = ACTIONS(2347),
    [anon_sym_continue] = ACTIONS(2347),
    [anon_sym_goto] = ACTIONS(2347),
    [anon_sym___try] = ACTIONS(2347),
    [anon_sym___leave] = ACTIONS(2347),
    [anon_sym_not] = ACTIONS(2347),
    [anon_sym_compl] = ACTIONS(2347),
    [anon_sym_DASH_DASH] = ACTIONS(2349),
    [anon_sym_PLUS_PLUS] = ACTIONS(2349),
    [anon_sym_sizeof] = ACTIONS(2347),
    [anon_sym___alignof__] = ACTIONS(2347),
    [anon_sym___alignof] = ACTIONS(2347),
    [anon_sym__alignof] = ACTIONS(2347),
    [anon_sym_alignof] = ACTIONS(2347),
    [anon_sym__Alignof] = ACTIONS(2347),
    [anon_sym_offsetof] = ACTIONS(2347),
    [anon_sym__Generic] = ACTIONS(2347),
    [anon_sym_asm] = ACTIONS(2347),
    [anon_sym___asm__] = ACTIONS(2347),
    [anon_sym___asm] = ACTIONS(2347),
    [sym_number_literal] = ACTIONS(2349),
    [anon_sym_L_SQUOTE] = ACTIONS(2349),
    [anon_sym_u_SQUOTE] = ACTIONS(2349),
    [anon_sym_U_SQUOTE] = ACTIONS(2349),
    [anon_sym_u8_SQUOTE] = ACTIONS(2349),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_L_DQUOTE] = ACTIONS(2349),
    [anon_sym_u_DQUOTE] = ACTIONS(2349),
    [anon_sym_U_DQUOTE] = ACTIONS(2349),
    [anon_sym_u8_DQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2349),
    [sym_true] = ACTIONS(2347),
    [sym_false] = ACTIONS(2347),
    [anon_sym_NULL] = ACTIONS(2347),
    [anon_sym_nullptr] = ACTIONS(2347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2347),
    [anon_sym_decltype] = ACTIONS(2347),
    [anon_sym_explicit] = ACTIONS(2347),
    [anon_sym_typename] = ACTIONS(2347),
    [anon_sym_template] = ACTIONS(2347),
    [anon_sym_operator] = ACTIONS(2347),
    [anon_sym_try] = ACTIONS(2347),
    [anon_sym_delete] = ACTIONS(2347),
    [anon_sym_throw] = ACTIONS(2347),
    [anon_sym_namespace] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_static_assert] = ACTIONS(2347),
    [anon_sym_concept] = ACTIONS(2347),
    [anon_sym_co_return] = ACTIONS(2347),
    [anon_sym_co_yield] = ACTIONS(2347),
    [anon_sym_R_DQUOTE] = ACTIONS(2349),
    [anon_sym_LR_DQUOTE] = ACTIONS(2349),
    [anon_sym_uR_DQUOTE] = ACTIONS(2349),
    [anon_sym_UR_DQUOTE] = ACTIONS(2349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2349),
    [anon_sym_co_await] = ACTIONS(2347),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_requires] = ACTIONS(2347),
    [sym_this] = ACTIONS(2347),
    [anon_sym_discard] = ACTIONS(2347),
    [anon_sym_precise] = ACTIONS(2347),
    [anon_sym_shared] = ACTIONS(2347),
    [anon_sym_groupshared] = ACTIONS(2347),
    [anon_sym_uniform] = ACTIONS(2347),
    [anon_sym_row_major] = ACTIONS(2347),
    [anon_sym_column_major] = ACTIONS(2347),
    [anon_sym_globallycoherent] = ACTIONS(2347),
    [anon_sym_centroid] = ACTIONS(2347),
    [anon_sym_noperspective] = ACTIONS(2347),
    [anon_sym_nointerpolation] = ACTIONS(2347),
    [anon_sym_sample] = ACTIONS(2347),
    [anon_sym_linear] = ACTIONS(2347),
    [anon_sym_snorm] = ACTIONS(2347),
    [anon_sym_unorm] = ACTIONS(2347),
    [anon_sym_point] = ACTIONS(2347),
    [anon_sym_line] = ACTIONS(2347),
    [anon_sym_triangleadj] = ACTIONS(2347),
    [anon_sym_lineadj] = ACTIONS(2347),
    [anon_sym_triangle] = ACTIONS(2347),
    [anon_sym_cbuffer] = ACTIONS(2347),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(2240),
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2240),
    [anon_sym_u_SQUOTE] = ACTIONS(2240),
    [anon_sym_U_SQUOTE] = ACTIONS(2240),
    [anon_sym_u8_SQUOTE] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_L_DQUOTE] = ACTIONS(2240),
    [anon_sym_u_DQUOTE] = ACTIONS(2240),
    [anon_sym_U_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8_DQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2240),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2240),
    [anon_sym_LR_DQUOTE] = ACTIONS(2240),
    [anon_sym_uR_DQUOTE] = ACTIONS(2240),
    [anon_sym_UR_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2240),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(2240),
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2240),
    [anon_sym_u_SQUOTE] = ACTIONS(2240),
    [anon_sym_U_SQUOTE] = ACTIONS(2240),
    [anon_sym_u8_SQUOTE] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_L_DQUOTE] = ACTIONS(2240),
    [anon_sym_u_DQUOTE] = ACTIONS(2240),
    [anon_sym_U_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8_DQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2240),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2240),
    [anon_sym_LR_DQUOTE] = ACTIONS(2240),
    [anon_sym_uR_DQUOTE] = ACTIONS(2240),
    [anon_sym_UR_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2240),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2178),
    [aux_sym_preproc_include_token1] = ACTIONS(2178),
    [aux_sym_preproc_def_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2178),
    [sym_preproc_directive] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym__Nonnull] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym__Alignas] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [anon_sym___asm] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_explicit] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_static_assert] = ACTIONS(2178),
    [anon_sym_concept] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym__Nonnull] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym__Alignas] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [anon_sym___asm] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(2244),
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_include_token1] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym___cdecl] = ACTIONS(2242),
    [anon_sym___clrcall] = ACTIONS(2242),
    [anon_sym___stdcall] = ACTIONS(2242),
    [anon_sym___fastcall] = ACTIONS(2242),
    [anon_sym___thiscall] = ACTIONS(2242),
    [anon_sym___vectorcall] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym__Nonnull] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym__Alignas] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [anon_sym___asm] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_concept] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2126),
    [aux_sym_preproc_include_token1] = ACTIONS(2126),
    [aux_sym_preproc_def_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token1] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2126),
    [sym_preproc_directive] = ACTIONS(2126),
    [anon_sym_LPAREN2] = ACTIONS(2128),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_DASH] = ACTIONS(2126),
    [anon_sym_PLUS] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_AMP_AMP] = ACTIONS(2128),
    [anon_sym_AMP] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2126),
    [anon_sym_in] = ACTIONS(2126),
    [anon_sym_out] = ACTIONS(2126),
    [anon_sym_inout] = ACTIONS(2126),
    [anon_sym_virtual] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2126),
    [anon_sym___attribute__] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2128),
    [anon_sym___declspec] = ACTIONS(2126),
    [anon_sym___based] = ACTIONS(2126),
    [anon_sym___cdecl] = ACTIONS(2126),
    [anon_sym___clrcall] = ACTIONS(2126),
    [anon_sym___stdcall] = ACTIONS(2126),
    [anon_sym___fastcall] = ACTIONS(2126),
    [anon_sym___thiscall] = ACTIONS(2126),
    [anon_sym___vectorcall] = ACTIONS(2126),
    [anon_sym_LBRACE] = ACTIONS(2128),
    [anon_sym_RBRACE] = ACTIONS(2128),
    [anon_sym_signed] = ACTIONS(2126),
    [anon_sym_unsigned] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_register] = ACTIONS(2126),
    [anon_sym_inline] = ACTIONS(2126),
    [anon_sym___inline] = ACTIONS(2126),
    [anon_sym___inline__] = ACTIONS(2126),
    [anon_sym___forceinline] = ACTIONS(2126),
    [anon_sym_thread_local] = ACTIONS(2126),
    [anon_sym___thread] = ACTIONS(2126),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_constexpr] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_restrict] = ACTIONS(2126),
    [anon_sym___restrict__] = ACTIONS(2126),
    [anon_sym__Atomic] = ACTIONS(2126),
    [anon_sym__Noreturn] = ACTIONS(2126),
    [anon_sym_noreturn] = ACTIONS(2126),
    [anon_sym__Nonnull] = ACTIONS(2126),
    [anon_sym_mutable] = ACTIONS(2126),
    [anon_sym_constinit] = ACTIONS(2126),
    [anon_sym_consteval] = ACTIONS(2126),
    [anon_sym_alignas] = ACTIONS(2126),
    [anon_sym__Alignas] = ACTIONS(2126),
    [sym_primitive_type] = ACTIONS(2126),
    [anon_sym_enum] = ACTIONS(2126),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2126),
    [anon_sym_union] = ACTIONS(2126),
    [anon_sym_if] = ACTIONS(2126),
    [anon_sym_else] = ACTIONS(2126),
    [anon_sym_switch] = ACTIONS(2126),
    [anon_sym_case] = ACTIONS(2126),
    [anon_sym_default] = ACTIONS(2126),
    [anon_sym_while] = ACTIONS(2126),
    [anon_sym_do] = ACTIONS(2126),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_return] = ACTIONS(2126),
    [anon_sym_break] = ACTIONS(2126),
    [anon_sym_continue] = ACTIONS(2126),
    [anon_sym_goto] = ACTIONS(2126),
    [anon_sym___try] = ACTIONS(2126),
    [anon_sym___leave] = ACTIONS(2126),
    [anon_sym_not] = ACTIONS(2126),
    [anon_sym_compl] = ACTIONS(2126),
    [anon_sym_DASH_DASH] = ACTIONS(2128),
    [anon_sym_PLUS_PLUS] = ACTIONS(2128),
    [anon_sym_sizeof] = ACTIONS(2126),
    [anon_sym___alignof__] = ACTIONS(2126),
    [anon_sym___alignof] = ACTIONS(2126),
    [anon_sym__alignof] = ACTIONS(2126),
    [anon_sym_alignof] = ACTIONS(2126),
    [anon_sym__Alignof] = ACTIONS(2126),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2126),
    [anon_sym___asm__] = ACTIONS(2126),
    [anon_sym___asm] = ACTIONS(2126),
    [sym_number_literal] = ACTIONS(2128),
    [anon_sym_L_SQUOTE] = ACTIONS(2128),
    [anon_sym_u_SQUOTE] = ACTIONS(2128),
    [anon_sym_U_SQUOTE] = ACTIONS(2128),
    [anon_sym_u8_SQUOTE] = ACTIONS(2128),
    [anon_sym_SQUOTE] = ACTIONS(2128),
    [anon_sym_L_DQUOTE] = ACTIONS(2128),
    [anon_sym_u_DQUOTE] = ACTIONS(2128),
    [anon_sym_U_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8_DQUOTE] = ACTIONS(2128),
    [anon_sym_DQUOTE] = ACTIONS(2128),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2126),
    [anon_sym_nullptr] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2126),
    [anon_sym_decltype] = ACTIONS(2126),
    [anon_sym_explicit] = ACTIONS(2126),
    [anon_sym_typename] = ACTIONS(2126),
    [anon_sym_template] = ACTIONS(2126),
    [anon_sym_operator] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_throw] = ACTIONS(2126),
    [anon_sym_namespace] = ACTIONS(2126),
    [anon_sym_using] = ACTIONS(2126),
    [anon_sym_static_assert] = ACTIONS(2126),
    [anon_sym_concept] = ACTIONS(2126),
    [anon_sym_co_return] = ACTIONS(2126),
    [anon_sym_co_yield] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(2126),
    [anon_sym_requires] = ACTIONS(2126),
    [sym_this] = ACTIONS(2126),
    [anon_sym_discard] = ACTIONS(2126),
    [anon_sym_precise] = ACTIONS(2126),
    [anon_sym_shared] = ACTIONS(2126),
    [anon_sym_groupshared] = ACTIONS(2126),
    [anon_sym_uniform] = ACTIONS(2126),
    [anon_sym_row_major] = ACTIONS(2126),
    [anon_sym_column_major] = ACTIONS(2126),
    [anon_sym_globallycoherent] = ACTIONS(2126),
    [anon_sym_centroid] = ACTIONS(2126),
    [anon_sym_noperspective] = ACTIONS(2126),
    [anon_sym_nointerpolation] = ACTIONS(2126),
    [anon_sym_sample] = ACTIONS(2126),
    [anon_sym_linear] = ACTIONS(2126),
    [anon_sym_snorm] = ACTIONS(2126),
    [anon_sym_unorm] = ACTIONS(2126),
    [anon_sym_point] = ACTIONS(2126),
    [anon_sym_line] = ACTIONS(2126),
    [anon_sym_triangleadj] = ACTIONS(2126),
    [anon_sym_lineadj] = ACTIONS(2126),
    [anon_sym_triangle] = ACTIONS(2126),
    [anon_sym_cbuffer] = ACTIONS(2126),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2130),
    [aux_sym_preproc_include_token1] = ACTIONS(2130),
    [aux_sym_preproc_def_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token1] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2130),
    [sym_preproc_directive] = ACTIONS(2130),
    [anon_sym_LPAREN2] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_DASH] = ACTIONS(2130),
    [anon_sym_PLUS] = ACTIONS(2130),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_AMP_AMP] = ACTIONS(2132),
    [anon_sym_AMP] = ACTIONS(2130),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym___extension__] = ACTIONS(2130),
    [anon_sym_typedef] = ACTIONS(2130),
    [anon_sym_in] = ACTIONS(2130),
    [anon_sym_out] = ACTIONS(2130),
    [anon_sym_inout] = ACTIONS(2130),
    [anon_sym_virtual] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2130),
    [anon_sym___attribute__] = ACTIONS(2130),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2132),
    [anon_sym___declspec] = ACTIONS(2130),
    [anon_sym___based] = ACTIONS(2130),
    [anon_sym___cdecl] = ACTIONS(2130),
    [anon_sym___clrcall] = ACTIONS(2130),
    [anon_sym___stdcall] = ACTIONS(2130),
    [anon_sym___fastcall] = ACTIONS(2130),
    [anon_sym___thiscall] = ACTIONS(2130),
    [anon_sym___vectorcall] = ACTIONS(2130),
    [anon_sym_LBRACE] = ACTIONS(2132),
    [anon_sym_RBRACE] = ACTIONS(2132),
    [anon_sym_signed] = ACTIONS(2130),
    [anon_sym_unsigned] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [anon_sym_register] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2130),
    [anon_sym___inline] = ACTIONS(2130),
    [anon_sym___inline__] = ACTIONS(2130),
    [anon_sym___forceinline] = ACTIONS(2130),
    [anon_sym_thread_local] = ACTIONS(2130),
    [anon_sym___thread] = ACTIONS(2130),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_constexpr] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_restrict] = ACTIONS(2130),
    [anon_sym___restrict__] = ACTIONS(2130),
    [anon_sym__Atomic] = ACTIONS(2130),
    [anon_sym__Noreturn] = ACTIONS(2130),
    [anon_sym_noreturn] = ACTIONS(2130),
    [anon_sym__Nonnull] = ACTIONS(2130),
    [anon_sym_mutable] = ACTIONS(2130),
    [anon_sym_constinit] = ACTIONS(2130),
    [anon_sym_consteval] = ACTIONS(2130),
    [anon_sym_alignas] = ACTIONS(2130),
    [anon_sym__Alignas] = ACTIONS(2130),
    [sym_primitive_type] = ACTIONS(2130),
    [anon_sym_enum] = ACTIONS(2130),
    [anon_sym_class] = ACTIONS(2130),
    [anon_sym_struct] = ACTIONS(2130),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_if] = ACTIONS(2130),
    [anon_sym_else] = ACTIONS(2130),
    [anon_sym_switch] = ACTIONS(2130),
    [anon_sym_case] = ACTIONS(2130),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2130),
    [anon_sym_do] = ACTIONS(2130),
    [anon_sym_for] = ACTIONS(2130),
    [anon_sym_return] = ACTIONS(2130),
    [anon_sym_break] = ACTIONS(2130),
    [anon_sym_continue] = ACTIONS(2130),
    [anon_sym_goto] = ACTIONS(2130),
    [anon_sym___try] = ACTIONS(2130),
    [anon_sym___leave] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2130),
    [anon_sym_compl] = ACTIONS(2130),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2130),
    [anon_sym___alignof__] = ACTIONS(2130),
    [anon_sym___alignof] = ACTIONS(2130),
    [anon_sym__alignof] = ACTIONS(2130),
    [anon_sym_alignof] = ACTIONS(2130),
    [anon_sym__Alignof] = ACTIONS(2130),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2130),
    [anon_sym_asm] = ACTIONS(2130),
    [anon_sym___asm__] = ACTIONS(2130),
    [anon_sym___asm] = ACTIONS(2130),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2132),
    [anon_sym_u_SQUOTE] = ACTIONS(2132),
    [anon_sym_U_SQUOTE] = ACTIONS(2132),
    [anon_sym_u8_SQUOTE] = ACTIONS(2132),
    [anon_sym_SQUOTE] = ACTIONS(2132),
    [anon_sym_L_DQUOTE] = ACTIONS(2132),
    [anon_sym_u_DQUOTE] = ACTIONS(2132),
    [anon_sym_U_DQUOTE] = ACTIONS(2132),
    [anon_sym_u8_DQUOTE] = ACTIONS(2132),
    [anon_sym_DQUOTE] = ACTIONS(2132),
    [sym_true] = ACTIONS(2130),
    [sym_false] = ACTIONS(2130),
    [anon_sym_NULL] = ACTIONS(2130),
    [anon_sym_nullptr] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2130),
    [anon_sym_decltype] = ACTIONS(2130),
    [anon_sym_explicit] = ACTIONS(2130),
    [anon_sym_typename] = ACTIONS(2130),
    [anon_sym_template] = ACTIONS(2130),
    [anon_sym_operator] = ACTIONS(2130),
    [anon_sym_try] = ACTIONS(2130),
    [anon_sym_delete] = ACTIONS(2130),
    [anon_sym_throw] = ACTIONS(2130),
    [anon_sym_namespace] = ACTIONS(2130),
    [anon_sym_using] = ACTIONS(2130),
    [anon_sym_static_assert] = ACTIONS(2130),
    [anon_sym_concept] = ACTIONS(2130),
    [anon_sym_co_return] = ACTIONS(2130),
    [anon_sym_co_yield] = ACTIONS(2130),
    [anon_sym_R_DQUOTE] = ACTIONS(2132),
    [anon_sym_LR_DQUOTE] = ACTIONS(2132),
    [anon_sym_uR_DQUOTE] = ACTIONS(2132),
    [anon_sym_UR_DQUOTE] = ACTIONS(2132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2132),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2130),
    [sym_this] = ACTIONS(2130),
    [anon_sym_discard] = ACTIONS(2130),
    [anon_sym_precise] = ACTIONS(2130),
    [anon_sym_shared] = ACTIONS(2130),
    [anon_sym_groupshared] = ACTIONS(2130),
    [anon_sym_uniform] = ACTIONS(2130),
    [anon_sym_row_major] = ACTIONS(2130),
    [anon_sym_column_major] = ACTIONS(2130),
    [anon_sym_globallycoherent] = ACTIONS(2130),
    [anon_sym_centroid] = ACTIONS(2130),
    [anon_sym_noperspective] = ACTIONS(2130),
    [anon_sym_nointerpolation] = ACTIONS(2130),
    [anon_sym_sample] = ACTIONS(2130),
    [anon_sym_linear] = ACTIONS(2130),
    [anon_sym_snorm] = ACTIONS(2130),
    [anon_sym_unorm] = ACTIONS(2130),
    [anon_sym_point] = ACTIONS(2130),
    [anon_sym_line] = ACTIONS(2130),
    [anon_sym_triangleadj] = ACTIONS(2130),
    [anon_sym_lineadj] = ACTIONS(2130),
    [anon_sym_triangle] = ACTIONS(2130),
    [anon_sym_cbuffer] = ACTIONS(2130),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(2128),
    [sym_identifier] = ACTIONS(2126),
    [aux_sym_preproc_include_token1] = ACTIONS(2126),
    [aux_sym_preproc_def_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token1] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2126),
    [sym_preproc_directive] = ACTIONS(2126),
    [anon_sym_LPAREN2] = ACTIONS(2128),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_DASH] = ACTIONS(2126),
    [anon_sym_PLUS] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_AMP_AMP] = ACTIONS(2128),
    [anon_sym_AMP] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2126),
    [anon_sym_in] = ACTIONS(2126),
    [anon_sym_out] = ACTIONS(2126),
    [anon_sym_inout] = ACTIONS(2126),
    [anon_sym_virtual] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2126),
    [anon_sym___attribute__] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2128),
    [anon_sym___declspec] = ACTIONS(2126),
    [anon_sym___based] = ACTIONS(2126),
    [anon_sym___cdecl] = ACTIONS(2126),
    [anon_sym___clrcall] = ACTIONS(2126),
    [anon_sym___stdcall] = ACTIONS(2126),
    [anon_sym___fastcall] = ACTIONS(2126),
    [anon_sym___thiscall] = ACTIONS(2126),
    [anon_sym___vectorcall] = ACTIONS(2126),
    [anon_sym_LBRACE] = ACTIONS(2128),
    [anon_sym_signed] = ACTIONS(2126),
    [anon_sym_unsigned] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_register] = ACTIONS(2126),
    [anon_sym_inline] = ACTIONS(2126),
    [anon_sym___inline] = ACTIONS(2126),
    [anon_sym___inline__] = ACTIONS(2126),
    [anon_sym___forceinline] = ACTIONS(2126),
    [anon_sym_thread_local] = ACTIONS(2126),
    [anon_sym___thread] = ACTIONS(2126),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_constexpr] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_restrict] = ACTIONS(2126),
    [anon_sym___restrict__] = ACTIONS(2126),
    [anon_sym__Atomic] = ACTIONS(2126),
    [anon_sym__Noreturn] = ACTIONS(2126),
    [anon_sym_noreturn] = ACTIONS(2126),
    [anon_sym__Nonnull] = ACTIONS(2126),
    [anon_sym_mutable] = ACTIONS(2126),
    [anon_sym_constinit] = ACTIONS(2126),
    [anon_sym_consteval] = ACTIONS(2126),
    [anon_sym_alignas] = ACTIONS(2126),
    [anon_sym__Alignas] = ACTIONS(2126),
    [sym_primitive_type] = ACTIONS(2126),
    [anon_sym_enum] = ACTIONS(2126),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2126),
    [anon_sym_union] = ACTIONS(2126),
    [anon_sym_if] = ACTIONS(2126),
    [anon_sym_else] = ACTIONS(2126),
    [anon_sym_switch] = ACTIONS(2126),
    [anon_sym_case] = ACTIONS(2126),
    [anon_sym_default] = ACTIONS(2126),
    [anon_sym_while] = ACTIONS(2126),
    [anon_sym_do] = ACTIONS(2126),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_return] = ACTIONS(2126),
    [anon_sym_break] = ACTIONS(2126),
    [anon_sym_continue] = ACTIONS(2126),
    [anon_sym_goto] = ACTIONS(2126),
    [anon_sym___try] = ACTIONS(2126),
    [anon_sym___leave] = ACTIONS(2126),
    [anon_sym_not] = ACTIONS(2126),
    [anon_sym_compl] = ACTIONS(2126),
    [anon_sym_DASH_DASH] = ACTIONS(2128),
    [anon_sym_PLUS_PLUS] = ACTIONS(2128),
    [anon_sym_sizeof] = ACTIONS(2126),
    [anon_sym___alignof__] = ACTIONS(2126),
    [anon_sym___alignof] = ACTIONS(2126),
    [anon_sym__alignof] = ACTIONS(2126),
    [anon_sym_alignof] = ACTIONS(2126),
    [anon_sym__Alignof] = ACTIONS(2126),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2126),
    [anon_sym___asm__] = ACTIONS(2126),
    [anon_sym___asm] = ACTIONS(2126),
    [sym_number_literal] = ACTIONS(2128),
    [anon_sym_L_SQUOTE] = ACTIONS(2128),
    [anon_sym_u_SQUOTE] = ACTIONS(2128),
    [anon_sym_U_SQUOTE] = ACTIONS(2128),
    [anon_sym_u8_SQUOTE] = ACTIONS(2128),
    [anon_sym_SQUOTE] = ACTIONS(2128),
    [anon_sym_L_DQUOTE] = ACTIONS(2128),
    [anon_sym_u_DQUOTE] = ACTIONS(2128),
    [anon_sym_U_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8_DQUOTE] = ACTIONS(2128),
    [anon_sym_DQUOTE] = ACTIONS(2128),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2126),
    [anon_sym_nullptr] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2126),
    [anon_sym_decltype] = ACTIONS(2126),
    [anon_sym_explicit] = ACTIONS(2126),
    [anon_sym_typename] = ACTIONS(2126),
    [anon_sym_template] = ACTIONS(2126),
    [anon_sym_operator] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_throw] = ACTIONS(2126),
    [anon_sym_namespace] = ACTIONS(2126),
    [anon_sym_using] = ACTIONS(2126),
    [anon_sym_static_assert] = ACTIONS(2126),
    [anon_sym_concept] = ACTIONS(2126),
    [anon_sym_co_return] = ACTIONS(2126),
    [anon_sym_co_yield] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(2126),
    [anon_sym_requires] = ACTIONS(2126),
    [sym_this] = ACTIONS(2126),
    [anon_sym_discard] = ACTIONS(2126),
    [anon_sym_precise] = ACTIONS(2126),
    [anon_sym_shared] = ACTIONS(2126),
    [anon_sym_groupshared] = ACTIONS(2126),
    [anon_sym_uniform] = ACTIONS(2126),
    [anon_sym_row_major] = ACTIONS(2126),
    [anon_sym_column_major] = ACTIONS(2126),
    [anon_sym_globallycoherent] = ACTIONS(2126),
    [anon_sym_centroid] = ACTIONS(2126),
    [anon_sym_noperspective] = ACTIONS(2126),
    [anon_sym_nointerpolation] = ACTIONS(2126),
    [anon_sym_sample] = ACTIONS(2126),
    [anon_sym_linear] = ACTIONS(2126),
    [anon_sym_snorm] = ACTIONS(2126),
    [anon_sym_unorm] = ACTIONS(2126),
    [anon_sym_point] = ACTIONS(2126),
    [anon_sym_line] = ACTIONS(2126),
    [anon_sym_triangleadj] = ACTIONS(2126),
    [anon_sym_lineadj] = ACTIONS(2126),
    [anon_sym_triangle] = ACTIONS(2126),
    [anon_sym_cbuffer] = ACTIONS(2126),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(2132),
    [sym_identifier] = ACTIONS(2130),
    [aux_sym_preproc_include_token1] = ACTIONS(2130),
    [aux_sym_preproc_def_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token1] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2130),
    [sym_preproc_directive] = ACTIONS(2130),
    [anon_sym_LPAREN2] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_DASH] = ACTIONS(2130),
    [anon_sym_PLUS] = ACTIONS(2130),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_AMP_AMP] = ACTIONS(2132),
    [anon_sym_AMP] = ACTIONS(2130),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym___extension__] = ACTIONS(2130),
    [anon_sym_typedef] = ACTIONS(2130),
    [anon_sym_in] = ACTIONS(2130),
    [anon_sym_out] = ACTIONS(2130),
    [anon_sym_inout] = ACTIONS(2130),
    [anon_sym_virtual] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2130),
    [anon_sym___attribute__] = ACTIONS(2130),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2132),
    [anon_sym___declspec] = ACTIONS(2130),
    [anon_sym___based] = ACTIONS(2130),
    [anon_sym___cdecl] = ACTIONS(2130),
    [anon_sym___clrcall] = ACTIONS(2130),
    [anon_sym___stdcall] = ACTIONS(2130),
    [anon_sym___fastcall] = ACTIONS(2130),
    [anon_sym___thiscall] = ACTIONS(2130),
    [anon_sym___vectorcall] = ACTIONS(2130),
    [anon_sym_LBRACE] = ACTIONS(2132),
    [anon_sym_signed] = ACTIONS(2130),
    [anon_sym_unsigned] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [anon_sym_register] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2130),
    [anon_sym___inline] = ACTIONS(2130),
    [anon_sym___inline__] = ACTIONS(2130),
    [anon_sym___forceinline] = ACTIONS(2130),
    [anon_sym_thread_local] = ACTIONS(2130),
    [anon_sym___thread] = ACTIONS(2130),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_constexpr] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_restrict] = ACTIONS(2130),
    [anon_sym___restrict__] = ACTIONS(2130),
    [anon_sym__Atomic] = ACTIONS(2130),
    [anon_sym__Noreturn] = ACTIONS(2130),
    [anon_sym_noreturn] = ACTIONS(2130),
    [anon_sym__Nonnull] = ACTIONS(2130),
    [anon_sym_mutable] = ACTIONS(2130),
    [anon_sym_constinit] = ACTIONS(2130),
    [anon_sym_consteval] = ACTIONS(2130),
    [anon_sym_alignas] = ACTIONS(2130),
    [anon_sym__Alignas] = ACTIONS(2130),
    [sym_primitive_type] = ACTIONS(2130),
    [anon_sym_enum] = ACTIONS(2130),
    [anon_sym_class] = ACTIONS(2130),
    [anon_sym_struct] = ACTIONS(2130),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_if] = ACTIONS(2130),
    [anon_sym_else] = ACTIONS(2130),
    [anon_sym_switch] = ACTIONS(2130),
    [anon_sym_case] = ACTIONS(2130),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2130),
    [anon_sym_do] = ACTIONS(2130),
    [anon_sym_for] = ACTIONS(2130),
    [anon_sym_return] = ACTIONS(2130),
    [anon_sym_break] = ACTIONS(2130),
    [anon_sym_continue] = ACTIONS(2130),
    [anon_sym_goto] = ACTIONS(2130),
    [anon_sym___try] = ACTIONS(2130),
    [anon_sym___leave] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2130),
    [anon_sym_compl] = ACTIONS(2130),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2130),
    [anon_sym___alignof__] = ACTIONS(2130),
    [anon_sym___alignof] = ACTIONS(2130),
    [anon_sym__alignof] = ACTIONS(2130),
    [anon_sym_alignof] = ACTIONS(2130),
    [anon_sym__Alignof] = ACTIONS(2130),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2130),
    [anon_sym_asm] = ACTIONS(2130),
    [anon_sym___asm__] = ACTIONS(2130),
    [anon_sym___asm] = ACTIONS(2130),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2132),
    [anon_sym_u_SQUOTE] = ACTIONS(2132),
    [anon_sym_U_SQUOTE] = ACTIONS(2132),
    [anon_sym_u8_SQUOTE] = ACTIONS(2132),
    [anon_sym_SQUOTE] = ACTIONS(2132),
    [anon_sym_L_DQUOTE] = ACTIONS(2132),
    [anon_sym_u_DQUOTE] = ACTIONS(2132),
    [anon_sym_U_DQUOTE] = ACTIONS(2132),
    [anon_sym_u8_DQUOTE] = ACTIONS(2132),
    [anon_sym_DQUOTE] = ACTIONS(2132),
    [sym_true] = ACTIONS(2130),
    [sym_false] = ACTIONS(2130),
    [anon_sym_NULL] = ACTIONS(2130),
    [anon_sym_nullptr] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2130),
    [anon_sym_decltype] = ACTIONS(2130),
    [anon_sym_explicit] = ACTIONS(2130),
    [anon_sym_typename] = ACTIONS(2130),
    [anon_sym_template] = ACTIONS(2130),
    [anon_sym_operator] = ACTIONS(2130),
    [anon_sym_try] = ACTIONS(2130),
    [anon_sym_delete] = ACTIONS(2130),
    [anon_sym_throw] = ACTIONS(2130),
    [anon_sym_namespace] = ACTIONS(2130),
    [anon_sym_using] = ACTIONS(2130),
    [anon_sym_static_assert] = ACTIONS(2130),
    [anon_sym_concept] = ACTIONS(2130),
    [anon_sym_co_return] = ACTIONS(2130),
    [anon_sym_co_yield] = ACTIONS(2130),
    [anon_sym_R_DQUOTE] = ACTIONS(2132),
    [anon_sym_LR_DQUOTE] = ACTIONS(2132),
    [anon_sym_uR_DQUOTE] = ACTIONS(2132),
    [anon_sym_UR_DQUOTE] = ACTIONS(2132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2132),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2130),
    [sym_this] = ACTIONS(2130),
    [anon_sym_discard] = ACTIONS(2130),
    [anon_sym_precise] = ACTIONS(2130),
    [anon_sym_shared] = ACTIONS(2130),
    [anon_sym_groupshared] = ACTIONS(2130),
    [anon_sym_uniform] = ACTIONS(2130),
    [anon_sym_row_major] = ACTIONS(2130),
    [anon_sym_column_major] = ACTIONS(2130),
    [anon_sym_globallycoherent] = ACTIONS(2130),
    [anon_sym_centroid] = ACTIONS(2130),
    [anon_sym_noperspective] = ACTIONS(2130),
    [anon_sym_nointerpolation] = ACTIONS(2130),
    [anon_sym_sample] = ACTIONS(2130),
    [anon_sym_linear] = ACTIONS(2130),
    [anon_sym_snorm] = ACTIONS(2130),
    [anon_sym_unorm] = ACTIONS(2130),
    [anon_sym_point] = ACTIONS(2130),
    [anon_sym_line] = ACTIONS(2130),
    [anon_sym_triangleadj] = ACTIONS(2130),
    [anon_sym_lineadj] = ACTIONS(2130),
    [anon_sym_triangle] = ACTIONS(2130),
    [anon_sym_cbuffer] = ACTIONS(2130),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2134),
    [aux_sym_preproc_include_token1] = ACTIONS(2134),
    [aux_sym_preproc_def_token1] = ACTIONS(2134),
    [aux_sym_preproc_if_token1] = ACTIONS(2134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2134),
    [sym_preproc_directive] = ACTIONS(2134),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2136),
    [anon_sym_TILDE] = ACTIONS(2136),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym___extension__] = ACTIONS(2134),
    [anon_sym_typedef] = ACTIONS(2134),
    [anon_sym_in] = ACTIONS(2134),
    [anon_sym_out] = ACTIONS(2134),
    [anon_sym_inout] = ACTIONS(2134),
    [anon_sym_virtual] = ACTIONS(2134),
    [anon_sym_extern] = ACTIONS(2134),
    [anon_sym___attribute__] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2136),
    [anon_sym___declspec] = ACTIONS(2134),
    [anon_sym___based] = ACTIONS(2134),
    [anon_sym___cdecl] = ACTIONS(2134),
    [anon_sym___clrcall] = ACTIONS(2134),
    [anon_sym___stdcall] = ACTIONS(2134),
    [anon_sym___fastcall] = ACTIONS(2134),
    [anon_sym___thiscall] = ACTIONS(2134),
    [anon_sym___vectorcall] = ACTIONS(2134),
    [anon_sym_LBRACE] = ACTIONS(2136),
    [anon_sym_RBRACE] = ACTIONS(2136),
    [anon_sym_signed] = ACTIONS(2134),
    [anon_sym_unsigned] = ACTIONS(2134),
    [anon_sym_long] = ACTIONS(2134),
    [anon_sym_short] = ACTIONS(2134),
    [anon_sym_LBRACK] = ACTIONS(2134),
    [anon_sym_static] = ACTIONS(2134),
    [anon_sym_register] = ACTIONS(2134),
    [anon_sym_inline] = ACTIONS(2134),
    [anon_sym___inline] = ACTIONS(2134),
    [anon_sym___inline__] = ACTIONS(2134),
    [anon_sym___forceinline] = ACTIONS(2134),
    [anon_sym_thread_local] = ACTIONS(2134),
    [anon_sym___thread] = ACTIONS(2134),
    [anon_sym_const] = ACTIONS(2134),
    [anon_sym_constexpr] = ACTIONS(2134),
    [anon_sym_volatile] = ACTIONS(2134),
    [anon_sym_restrict] = ACTIONS(2134),
    [anon_sym___restrict__] = ACTIONS(2134),
    [anon_sym__Atomic] = ACTIONS(2134),
    [anon_sym__Noreturn] = ACTIONS(2134),
    [anon_sym_noreturn] = ACTIONS(2134),
    [anon_sym__Nonnull] = ACTIONS(2134),
    [anon_sym_mutable] = ACTIONS(2134),
    [anon_sym_constinit] = ACTIONS(2134),
    [anon_sym_consteval] = ACTIONS(2134),
    [anon_sym_alignas] = ACTIONS(2134),
    [anon_sym__Alignas] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2134),
    [anon_sym_enum] = ACTIONS(2134),
    [anon_sym_class] = ACTIONS(2134),
    [anon_sym_struct] = ACTIONS(2134),
    [anon_sym_union] = ACTIONS(2134),
    [anon_sym_if] = ACTIONS(2134),
    [anon_sym_else] = ACTIONS(2134),
    [anon_sym_switch] = ACTIONS(2134),
    [anon_sym_case] = ACTIONS(2134),
    [anon_sym_default] = ACTIONS(2134),
    [anon_sym_while] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(2134),
    [anon_sym_for] = ACTIONS(2134),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_break] = ACTIONS(2134),
    [anon_sym_continue] = ACTIONS(2134),
    [anon_sym_goto] = ACTIONS(2134),
    [anon_sym___try] = ACTIONS(2134),
    [anon_sym___leave] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2134),
    [anon_sym_compl] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2134),
    [anon_sym___alignof] = ACTIONS(2134),
    [anon_sym__alignof] = ACTIONS(2134),
    [anon_sym_alignof] = ACTIONS(2134),
    [anon_sym__Alignof] = ACTIONS(2134),
    [anon_sym_offsetof] = ACTIONS(2134),
    [anon_sym__Generic] = ACTIONS(2134),
    [anon_sym_asm] = ACTIONS(2134),
    [anon_sym___asm__] = ACTIONS(2134),
    [anon_sym___asm] = ACTIONS(2134),
    [sym_number_literal] = ACTIONS(2136),
    [anon_sym_L_SQUOTE] = ACTIONS(2136),
    [anon_sym_u_SQUOTE] = ACTIONS(2136),
    [anon_sym_U_SQUOTE] = ACTIONS(2136),
    [anon_sym_u8_SQUOTE] = ACTIONS(2136),
    [anon_sym_SQUOTE] = ACTIONS(2136),
    [anon_sym_L_DQUOTE] = ACTIONS(2136),
    [anon_sym_u_DQUOTE] = ACTIONS(2136),
    [anon_sym_U_DQUOTE] = ACTIONS(2136),
    [anon_sym_u8_DQUOTE] = ACTIONS(2136),
    [anon_sym_DQUOTE] = ACTIONS(2136),
    [sym_true] = ACTIONS(2134),
    [sym_false] = ACTIONS(2134),
    [anon_sym_NULL] = ACTIONS(2134),
    [anon_sym_nullptr] = ACTIONS(2134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2134),
    [anon_sym_decltype] = ACTIONS(2134),
    [anon_sym_explicit] = ACTIONS(2134),
    [anon_sym_typename] = ACTIONS(2134),
    [anon_sym_template] = ACTIONS(2134),
    [anon_sym_operator] = ACTIONS(2134),
    [anon_sym_try] = ACTIONS(2134),
    [anon_sym_delete] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_namespace] = ACTIONS(2134),
    [anon_sym_using] = ACTIONS(2134),
    [anon_sym_static_assert] = ACTIONS(2134),
    [anon_sym_concept] = ACTIONS(2134),
    [anon_sym_co_return] = ACTIONS(2134),
    [anon_sym_co_yield] = ACTIONS(2134),
    [anon_sym_R_DQUOTE] = ACTIONS(2136),
    [anon_sym_LR_DQUOTE] = ACTIONS(2136),
    [anon_sym_uR_DQUOTE] = ACTIONS(2136),
    [anon_sym_UR_DQUOTE] = ACTIONS(2136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2136),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2134),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2134),
    [anon_sym_discard] = ACTIONS(2134),
    [anon_sym_precise] = ACTIONS(2134),
    [anon_sym_shared] = ACTIONS(2134),
    [anon_sym_groupshared] = ACTIONS(2134),
    [anon_sym_uniform] = ACTIONS(2134),
    [anon_sym_row_major] = ACTIONS(2134),
    [anon_sym_column_major] = ACTIONS(2134),
    [anon_sym_globallycoherent] = ACTIONS(2134),
    [anon_sym_centroid] = ACTIONS(2134),
    [anon_sym_noperspective] = ACTIONS(2134),
    [anon_sym_nointerpolation] = ACTIONS(2134),
    [anon_sym_sample] = ACTIONS(2134),
    [anon_sym_linear] = ACTIONS(2134),
    [anon_sym_snorm] = ACTIONS(2134),
    [anon_sym_unorm] = ACTIONS(2134),
    [anon_sym_point] = ACTIONS(2134),
    [anon_sym_line] = ACTIONS(2134),
    [anon_sym_triangleadj] = ACTIONS(2134),
    [anon_sym_lineadj] = ACTIONS(2134),
    [anon_sym_triangle] = ACTIONS(2134),
    [anon_sym_cbuffer] = ACTIONS(2134),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2138),
    [aux_sym_preproc_include_token1] = ACTIONS(2138),
    [aux_sym_preproc_def_token1] = ACTIONS(2138),
    [aux_sym_preproc_if_token1] = ACTIONS(2138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2138),
    [sym_preproc_directive] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym___extension__] = ACTIONS(2138),
    [anon_sym_typedef] = ACTIONS(2138),
    [anon_sym_in] = ACTIONS(2138),
    [anon_sym_out] = ACTIONS(2138),
    [anon_sym_inout] = ACTIONS(2138),
    [anon_sym_virtual] = ACTIONS(2138),
    [anon_sym_extern] = ACTIONS(2138),
    [anon_sym___attribute__] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2140),
    [anon_sym___declspec] = ACTIONS(2138),
    [anon_sym___based] = ACTIONS(2138),
    [anon_sym___cdecl] = ACTIONS(2138),
    [anon_sym___clrcall] = ACTIONS(2138),
    [anon_sym___stdcall] = ACTIONS(2138),
    [anon_sym___fastcall] = ACTIONS(2138),
    [anon_sym___thiscall] = ACTIONS(2138),
    [anon_sym___vectorcall] = ACTIONS(2138),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_signed] = ACTIONS(2138),
    [anon_sym_unsigned] = ACTIONS(2138),
    [anon_sym_long] = ACTIONS(2138),
    [anon_sym_short] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_static] = ACTIONS(2138),
    [anon_sym_register] = ACTIONS(2138),
    [anon_sym_inline] = ACTIONS(2138),
    [anon_sym___inline] = ACTIONS(2138),
    [anon_sym___inline__] = ACTIONS(2138),
    [anon_sym___forceinline] = ACTIONS(2138),
    [anon_sym_thread_local] = ACTIONS(2138),
    [anon_sym___thread] = ACTIONS(2138),
    [anon_sym_const] = ACTIONS(2138),
    [anon_sym_constexpr] = ACTIONS(2138),
    [anon_sym_volatile] = ACTIONS(2138),
    [anon_sym_restrict] = ACTIONS(2138),
    [anon_sym___restrict__] = ACTIONS(2138),
    [anon_sym__Atomic] = ACTIONS(2138),
    [anon_sym__Noreturn] = ACTIONS(2138),
    [anon_sym_noreturn] = ACTIONS(2138),
    [anon_sym__Nonnull] = ACTIONS(2138),
    [anon_sym_mutable] = ACTIONS(2138),
    [anon_sym_constinit] = ACTIONS(2138),
    [anon_sym_consteval] = ACTIONS(2138),
    [anon_sym_alignas] = ACTIONS(2138),
    [anon_sym__Alignas] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2138),
    [anon_sym_enum] = ACTIONS(2138),
    [anon_sym_class] = ACTIONS(2138),
    [anon_sym_struct] = ACTIONS(2138),
    [anon_sym_union] = ACTIONS(2138),
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_else] = ACTIONS(2138),
    [anon_sym_switch] = ACTIONS(2138),
    [anon_sym_case] = ACTIONS(2138),
    [anon_sym_default] = ACTIONS(2138),
    [anon_sym_while] = ACTIONS(2138),
    [anon_sym_do] = ACTIONS(2138),
    [anon_sym_for] = ACTIONS(2138),
    [anon_sym_return] = ACTIONS(2138),
    [anon_sym_break] = ACTIONS(2138),
    [anon_sym_continue] = ACTIONS(2138),
    [anon_sym_goto] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2138),
    [anon_sym___leave] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2138),
    [anon_sym___alignof__] = ACTIONS(2138),
    [anon_sym___alignof] = ACTIONS(2138),
    [anon_sym__alignof] = ACTIONS(2138),
    [anon_sym_alignof] = ACTIONS(2138),
    [anon_sym__Alignof] = ACTIONS(2138),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2138),
    [anon_sym_asm] = ACTIONS(2138),
    [anon_sym___asm__] = ACTIONS(2138),
    [anon_sym___asm] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2140),
    [anon_sym_L_SQUOTE] = ACTIONS(2140),
    [anon_sym_u_SQUOTE] = ACTIONS(2140),
    [anon_sym_U_SQUOTE] = ACTIONS(2140),
    [anon_sym_u8_SQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_L_DQUOTE] = ACTIONS(2140),
    [anon_sym_u_DQUOTE] = ACTIONS(2140),
    [anon_sym_U_DQUOTE] = ACTIONS(2140),
    [anon_sym_u8_DQUOTE] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [sym_true] = ACTIONS(2138),
    [sym_false] = ACTIONS(2138),
    [anon_sym_NULL] = ACTIONS(2138),
    [anon_sym_nullptr] = ACTIONS(2138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2138),
    [anon_sym_decltype] = ACTIONS(2138),
    [anon_sym_explicit] = ACTIONS(2138),
    [anon_sym_typename] = ACTIONS(2138),
    [anon_sym_template] = ACTIONS(2138),
    [anon_sym_operator] = ACTIONS(2138),
    [anon_sym_try] = ACTIONS(2138),
    [anon_sym_delete] = ACTIONS(2138),
    [anon_sym_throw] = ACTIONS(2138),
    [anon_sym_namespace] = ACTIONS(2138),
    [anon_sym_using] = ACTIONS(2138),
    [anon_sym_static_assert] = ACTIONS(2138),
    [anon_sym_concept] = ACTIONS(2138),
    [anon_sym_co_return] = ACTIONS(2138),
    [anon_sym_co_yield] = ACTIONS(2138),
    [anon_sym_R_DQUOTE] = ACTIONS(2140),
    [anon_sym_LR_DQUOTE] = ACTIONS(2140),
    [anon_sym_uR_DQUOTE] = ACTIONS(2140),
    [anon_sym_UR_DQUOTE] = ACTIONS(2140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2140),
    [anon_sym_co_await] = ACTIONS(2138),
    [anon_sym_new] = ACTIONS(2138),
    [anon_sym_requires] = ACTIONS(2138),
    [sym_this] = ACTIONS(2138),
    [anon_sym_discard] = ACTIONS(2138),
    [anon_sym_precise] = ACTIONS(2138),
    [anon_sym_shared] = ACTIONS(2138),
    [anon_sym_groupshared] = ACTIONS(2138),
    [anon_sym_uniform] = ACTIONS(2138),
    [anon_sym_row_major] = ACTIONS(2138),
    [anon_sym_column_major] = ACTIONS(2138),
    [anon_sym_globallycoherent] = ACTIONS(2138),
    [anon_sym_centroid] = ACTIONS(2138),
    [anon_sym_noperspective] = ACTIONS(2138),
    [anon_sym_nointerpolation] = ACTIONS(2138),
    [anon_sym_sample] = ACTIONS(2138),
    [anon_sym_linear] = ACTIONS(2138),
    [anon_sym_snorm] = ACTIONS(2138),
    [anon_sym_unorm] = ACTIONS(2138),
    [anon_sym_point] = ACTIONS(2138),
    [anon_sym_line] = ACTIONS(2138),
    [anon_sym_triangleadj] = ACTIONS(2138),
    [anon_sym_lineadj] = ACTIONS(2138),
    [anon_sym_triangle] = ACTIONS(2138),
    [anon_sym_cbuffer] = ACTIONS(2138),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2142),
    [aux_sym_preproc_include_token1] = ACTIONS(2142),
    [aux_sym_preproc_def_token1] = ACTIONS(2142),
    [aux_sym_preproc_if_token1] = ACTIONS(2142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2142),
    [sym_preproc_directive] = ACTIONS(2142),
    [anon_sym_LPAREN2] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_AMP_AMP] = ACTIONS(2144),
    [anon_sym_AMP] = ACTIONS(2142),
    [anon_sym_SEMI] = ACTIONS(2144),
    [anon_sym___extension__] = ACTIONS(2142),
    [anon_sym_typedef] = ACTIONS(2142),
    [anon_sym_in] = ACTIONS(2142),
    [anon_sym_out] = ACTIONS(2142),
    [anon_sym_inout] = ACTIONS(2142),
    [anon_sym_virtual] = ACTIONS(2142),
    [anon_sym_extern] = ACTIONS(2142),
    [anon_sym___attribute__] = ACTIONS(2142),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2144),
    [anon_sym___declspec] = ACTIONS(2142),
    [anon_sym___based] = ACTIONS(2142),
    [anon_sym___cdecl] = ACTIONS(2142),
    [anon_sym___clrcall] = ACTIONS(2142),
    [anon_sym___stdcall] = ACTIONS(2142),
    [anon_sym___fastcall] = ACTIONS(2142),
    [anon_sym___thiscall] = ACTIONS(2142),
    [anon_sym___vectorcall] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(2144),
    [anon_sym_signed] = ACTIONS(2142),
    [anon_sym_unsigned] = ACTIONS(2142),
    [anon_sym_long] = ACTIONS(2142),
    [anon_sym_short] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2142),
    [anon_sym_static] = ACTIONS(2142),
    [anon_sym_register] = ACTIONS(2142),
    [anon_sym_inline] = ACTIONS(2142),
    [anon_sym___inline] = ACTIONS(2142),
    [anon_sym___inline__] = ACTIONS(2142),
    [anon_sym___forceinline] = ACTIONS(2142),
    [anon_sym_thread_local] = ACTIONS(2142),
    [anon_sym___thread] = ACTIONS(2142),
    [anon_sym_const] = ACTIONS(2142),
    [anon_sym_constexpr] = ACTIONS(2142),
    [anon_sym_volatile] = ACTIONS(2142),
    [anon_sym_restrict] = ACTIONS(2142),
    [anon_sym___restrict__] = ACTIONS(2142),
    [anon_sym__Atomic] = ACTIONS(2142),
    [anon_sym__Noreturn] = ACTIONS(2142),
    [anon_sym_noreturn] = ACTIONS(2142),
    [anon_sym__Nonnull] = ACTIONS(2142),
    [anon_sym_mutable] = ACTIONS(2142),
    [anon_sym_constinit] = ACTIONS(2142),
    [anon_sym_consteval] = ACTIONS(2142),
    [anon_sym_alignas] = ACTIONS(2142),
    [anon_sym__Alignas] = ACTIONS(2142),
    [sym_primitive_type] = ACTIONS(2142),
    [anon_sym_enum] = ACTIONS(2142),
    [anon_sym_class] = ACTIONS(2142),
    [anon_sym_struct] = ACTIONS(2142),
    [anon_sym_union] = ACTIONS(2142),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_else] = ACTIONS(2142),
    [anon_sym_switch] = ACTIONS(2142),
    [anon_sym_case] = ACTIONS(2142),
    [anon_sym_default] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_do] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2142),
    [anon_sym_return] = ACTIONS(2142),
    [anon_sym_break] = ACTIONS(2142),
    [anon_sym_continue] = ACTIONS(2142),
    [anon_sym_goto] = ACTIONS(2142),
    [anon_sym___try] = ACTIONS(2142),
    [anon_sym___leave] = ACTIONS(2142),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2144),
    [anon_sym_sizeof] = ACTIONS(2142),
    [anon_sym___alignof__] = ACTIONS(2142),
    [anon_sym___alignof] = ACTIONS(2142),
    [anon_sym__alignof] = ACTIONS(2142),
    [anon_sym_alignof] = ACTIONS(2142),
    [anon_sym__Alignof] = ACTIONS(2142),
    [anon_sym_offsetof] = ACTIONS(2142),
    [anon_sym__Generic] = ACTIONS(2142),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [anon_sym___asm] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2144),
    [anon_sym_u_SQUOTE] = ACTIONS(2144),
    [anon_sym_U_SQUOTE] = ACTIONS(2144),
    [anon_sym_u8_SQUOTE] = ACTIONS(2144),
    [anon_sym_SQUOTE] = ACTIONS(2144),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2142),
    [sym_false] = ACTIONS(2142),
    [anon_sym_NULL] = ACTIONS(2142),
    [anon_sym_nullptr] = ACTIONS(2142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2142),
    [anon_sym_decltype] = ACTIONS(2142),
    [anon_sym_explicit] = ACTIONS(2142),
    [anon_sym_typename] = ACTIONS(2142),
    [anon_sym_template] = ACTIONS(2142),
    [anon_sym_operator] = ACTIONS(2142),
    [anon_sym_try] = ACTIONS(2142),
    [anon_sym_delete] = ACTIONS(2142),
    [anon_sym_throw] = ACTIONS(2142),
    [anon_sym_namespace] = ACTIONS(2142),
    [anon_sym_using] = ACTIONS(2142),
    [anon_sym_static_assert] = ACTIONS(2142),
    [anon_sym_concept] = ACTIONS(2142),
    [anon_sym_co_return] = ACTIONS(2142),
    [anon_sym_co_yield] = ACTIONS(2142),
    [anon_sym_R_DQUOTE] = ACTIONS(2144),
    [anon_sym_LR_DQUOTE] = ACTIONS(2144),
    [anon_sym_uR_DQUOTE] = ACTIONS(2144),
    [anon_sym_UR_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2144),
    [anon_sym_co_await] = ACTIONS(2142),
    [anon_sym_new] = ACTIONS(2142),
    [anon_sym_requires] = ACTIONS(2142),
    [sym_this] = ACTIONS(2142),
    [anon_sym_discard] = ACTIONS(2142),
    [anon_sym_precise] = ACTIONS(2142),
    [anon_sym_shared] = ACTIONS(2142),
    [anon_sym_groupshared] = ACTIONS(2142),
    [anon_sym_uniform] = ACTIONS(2142),
    [anon_sym_row_major] = ACTIONS(2142),
    [anon_sym_column_major] = ACTIONS(2142),
    [anon_sym_globallycoherent] = ACTIONS(2142),
    [anon_sym_centroid] = ACTIONS(2142),
    [anon_sym_noperspective] = ACTIONS(2142),
    [anon_sym_nointerpolation] = ACTIONS(2142),
    [anon_sym_sample] = ACTIONS(2142),
    [anon_sym_linear] = ACTIONS(2142),
    [anon_sym_snorm] = ACTIONS(2142),
    [anon_sym_unorm] = ACTIONS(2142),
    [anon_sym_point] = ACTIONS(2142),
    [anon_sym_line] = ACTIONS(2142),
    [anon_sym_triangleadj] = ACTIONS(2142),
    [anon_sym_lineadj] = ACTIONS(2142),
    [anon_sym_triangle] = ACTIONS(2142),
    [anon_sym_cbuffer] = ACTIONS(2142),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(2353),
    [sym_identifier] = ACTIONS(2351),
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2353),
    [anon_sym_TILDE] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_PLUS] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(2353),
    [anon_sym_AMP_AMP] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2353),
    [anon_sym___extension__] = ACTIONS(2351),
    [anon_sym_typedef] = ACTIONS(2351),
    [anon_sym_in] = ACTIONS(2351),
    [anon_sym_out] = ACTIONS(2351),
    [anon_sym_inout] = ACTIONS(2351),
    [anon_sym_virtual] = ACTIONS(2351),
    [anon_sym_extern] = ACTIONS(2351),
    [anon_sym___attribute__] = ACTIONS(2351),
    [anon_sym_COLON_COLON] = ACTIONS(2353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2353),
    [anon_sym___declspec] = ACTIONS(2351),
    [anon_sym___based] = ACTIONS(2351),
    [anon_sym___cdecl] = ACTIONS(2351),
    [anon_sym___clrcall] = ACTIONS(2351),
    [anon_sym___stdcall] = ACTIONS(2351),
    [anon_sym___fastcall] = ACTIONS(2351),
    [anon_sym___thiscall] = ACTIONS(2351),
    [anon_sym___vectorcall] = ACTIONS(2351),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_signed] = ACTIONS(2351),
    [anon_sym_unsigned] = ACTIONS(2351),
    [anon_sym_long] = ACTIONS(2351),
    [anon_sym_short] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_register] = ACTIONS(2351),
    [anon_sym_inline] = ACTIONS(2351),
    [anon_sym___inline] = ACTIONS(2351),
    [anon_sym___inline__] = ACTIONS(2351),
    [anon_sym___forceinline] = ACTIONS(2351),
    [anon_sym_thread_local] = ACTIONS(2351),
    [anon_sym___thread] = ACTIONS(2351),
    [anon_sym_const] = ACTIONS(2351),
    [anon_sym_constexpr] = ACTIONS(2351),
    [anon_sym_volatile] = ACTIONS(2351),
    [anon_sym_restrict] = ACTIONS(2351),
    [anon_sym___restrict__] = ACTIONS(2351),
    [anon_sym__Atomic] = ACTIONS(2351),
    [anon_sym__Noreturn] = ACTIONS(2351),
    [anon_sym_noreturn] = ACTIONS(2351),
    [anon_sym__Nonnull] = ACTIONS(2351),
    [anon_sym_mutable] = ACTIONS(2351),
    [anon_sym_constinit] = ACTIONS(2351),
    [anon_sym_consteval] = ACTIONS(2351),
    [anon_sym_alignas] = ACTIONS(2351),
    [anon_sym__Alignas] = ACTIONS(2351),
    [sym_primitive_type] = ACTIONS(2351),
    [anon_sym_enum] = ACTIONS(2351),
    [anon_sym_class] = ACTIONS(2351),
    [anon_sym_struct] = ACTIONS(2351),
    [anon_sym_union] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_case] = ACTIONS(2351),
    [anon_sym_default] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_do] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_return] = ACTIONS(2351),
    [anon_sym_break] = ACTIONS(2351),
    [anon_sym_continue] = ACTIONS(2351),
    [anon_sym_goto] = ACTIONS(2351),
    [anon_sym___try] = ACTIONS(2351),
    [anon_sym___leave] = ACTIONS(2351),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_compl] = ACTIONS(2351),
    [anon_sym_DASH_DASH] = ACTIONS(2353),
    [anon_sym_PLUS_PLUS] = ACTIONS(2353),
    [anon_sym_sizeof] = ACTIONS(2351),
    [anon_sym___alignof__] = ACTIONS(2351),
    [anon_sym___alignof] = ACTIONS(2351),
    [anon_sym__alignof] = ACTIONS(2351),
    [anon_sym_alignof] = ACTIONS(2351),
    [anon_sym__Alignof] = ACTIONS(2351),
    [anon_sym_offsetof] = ACTIONS(2351),
    [anon_sym__Generic] = ACTIONS(2351),
    [anon_sym_asm] = ACTIONS(2351),
    [anon_sym___asm__] = ACTIONS(2351),
    [anon_sym___asm] = ACTIONS(2351),
    [sym_number_literal] = ACTIONS(2353),
    [anon_sym_L_SQUOTE] = ACTIONS(2353),
    [anon_sym_u_SQUOTE] = ACTIONS(2353),
    [anon_sym_U_SQUOTE] = ACTIONS(2353),
    [anon_sym_u8_SQUOTE] = ACTIONS(2353),
    [anon_sym_SQUOTE] = ACTIONS(2353),
    [anon_sym_L_DQUOTE] = ACTIONS(2353),
    [anon_sym_u_DQUOTE] = ACTIONS(2353),
    [anon_sym_U_DQUOTE] = ACTIONS(2353),
    [anon_sym_u8_DQUOTE] = ACTIONS(2353),
    [anon_sym_DQUOTE] = ACTIONS(2353),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [anon_sym_NULL] = ACTIONS(2351),
    [anon_sym_nullptr] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2351),
    [anon_sym_decltype] = ACTIONS(2351),
    [anon_sym_explicit] = ACTIONS(2351),
    [anon_sym_typename] = ACTIONS(2351),
    [anon_sym_template] = ACTIONS(2351),
    [anon_sym_operator] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2351),
    [anon_sym_delete] = ACTIONS(2351),
    [anon_sym_throw] = ACTIONS(2351),
    [anon_sym_namespace] = ACTIONS(2351),
    [anon_sym_using] = ACTIONS(2351),
    [anon_sym_static_assert] = ACTIONS(2351),
    [anon_sym_concept] = ACTIONS(2351),
    [anon_sym_co_return] = ACTIONS(2351),
    [anon_sym_co_yield] = ACTIONS(2351),
    [anon_sym_R_DQUOTE] = ACTIONS(2353),
    [anon_sym_LR_DQUOTE] = ACTIONS(2353),
    [anon_sym_uR_DQUOTE] = ACTIONS(2353),
    [anon_sym_UR_DQUOTE] = ACTIONS(2353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2353),
    [anon_sym_co_await] = ACTIONS(2351),
    [anon_sym_new] = ACTIONS(2351),
    [anon_sym_requires] = ACTIONS(2351),
    [sym_this] = ACTIONS(2351),
    [anon_sym_discard] = ACTIONS(2351),
    [anon_sym_precise] = ACTIONS(2351),
    [anon_sym_shared] = ACTIONS(2351),
    [anon_sym_groupshared] = ACTIONS(2351),
    [anon_sym_uniform] = ACTIONS(2351),
    [anon_sym_row_major] = ACTIONS(2351),
    [anon_sym_column_major] = ACTIONS(2351),
    [anon_sym_globallycoherent] = ACTIONS(2351),
    [anon_sym_centroid] = ACTIONS(2351),
    [anon_sym_noperspective] = ACTIONS(2351),
    [anon_sym_nointerpolation] = ACTIONS(2351),
    [anon_sym_sample] = ACTIONS(2351),
    [anon_sym_linear] = ACTIONS(2351),
    [anon_sym_snorm] = ACTIONS(2351),
    [anon_sym_unorm] = ACTIONS(2351),
    [anon_sym_point] = ACTIONS(2351),
    [anon_sym_line] = ACTIONS(2351),
    [anon_sym_triangleadj] = ACTIONS(2351),
    [anon_sym_lineadj] = ACTIONS(2351),
    [anon_sym_triangle] = ACTIONS(2351),
    [anon_sym_cbuffer] = ACTIONS(2351),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(2136),
    [sym_identifier] = ACTIONS(2134),
    [aux_sym_preproc_include_token1] = ACTIONS(2134),
    [aux_sym_preproc_def_token1] = ACTIONS(2134),
    [aux_sym_preproc_if_token1] = ACTIONS(2134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2134),
    [sym_preproc_directive] = ACTIONS(2134),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2136),
    [anon_sym_TILDE] = ACTIONS(2136),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym___extension__] = ACTIONS(2134),
    [anon_sym_typedef] = ACTIONS(2134),
    [anon_sym_in] = ACTIONS(2134),
    [anon_sym_out] = ACTIONS(2134),
    [anon_sym_inout] = ACTIONS(2134),
    [anon_sym_virtual] = ACTIONS(2134),
    [anon_sym_extern] = ACTIONS(2134),
    [anon_sym___attribute__] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2136),
    [anon_sym___declspec] = ACTIONS(2134),
    [anon_sym___based] = ACTIONS(2134),
    [anon_sym___cdecl] = ACTIONS(2134),
    [anon_sym___clrcall] = ACTIONS(2134),
    [anon_sym___stdcall] = ACTIONS(2134),
    [anon_sym___fastcall] = ACTIONS(2134),
    [anon_sym___thiscall] = ACTIONS(2134),
    [anon_sym___vectorcall] = ACTIONS(2134),
    [anon_sym_LBRACE] = ACTIONS(2136),
    [anon_sym_signed] = ACTIONS(2134),
    [anon_sym_unsigned] = ACTIONS(2134),
    [anon_sym_long] = ACTIONS(2134),
    [anon_sym_short] = ACTIONS(2134),
    [anon_sym_LBRACK] = ACTIONS(2134),
    [anon_sym_static] = ACTIONS(2134),
    [anon_sym_register] = ACTIONS(2134),
    [anon_sym_inline] = ACTIONS(2134),
    [anon_sym___inline] = ACTIONS(2134),
    [anon_sym___inline__] = ACTIONS(2134),
    [anon_sym___forceinline] = ACTIONS(2134),
    [anon_sym_thread_local] = ACTIONS(2134),
    [anon_sym___thread] = ACTIONS(2134),
    [anon_sym_const] = ACTIONS(2134),
    [anon_sym_constexpr] = ACTIONS(2134),
    [anon_sym_volatile] = ACTIONS(2134),
    [anon_sym_restrict] = ACTIONS(2134),
    [anon_sym___restrict__] = ACTIONS(2134),
    [anon_sym__Atomic] = ACTIONS(2134),
    [anon_sym__Noreturn] = ACTIONS(2134),
    [anon_sym_noreturn] = ACTIONS(2134),
    [anon_sym__Nonnull] = ACTIONS(2134),
    [anon_sym_mutable] = ACTIONS(2134),
    [anon_sym_constinit] = ACTIONS(2134),
    [anon_sym_consteval] = ACTIONS(2134),
    [anon_sym_alignas] = ACTIONS(2134),
    [anon_sym__Alignas] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2134),
    [anon_sym_enum] = ACTIONS(2134),
    [anon_sym_class] = ACTIONS(2134),
    [anon_sym_struct] = ACTIONS(2134),
    [anon_sym_union] = ACTIONS(2134),
    [anon_sym_if] = ACTIONS(2134),
    [anon_sym_else] = ACTIONS(2134),
    [anon_sym_switch] = ACTIONS(2134),
    [anon_sym_case] = ACTIONS(2134),
    [anon_sym_default] = ACTIONS(2134),
    [anon_sym_while] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(2134),
    [anon_sym_for] = ACTIONS(2134),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_break] = ACTIONS(2134),
    [anon_sym_continue] = ACTIONS(2134),
    [anon_sym_goto] = ACTIONS(2134),
    [anon_sym___try] = ACTIONS(2134),
    [anon_sym___leave] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2134),
    [anon_sym_compl] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2134),
    [anon_sym___alignof] = ACTIONS(2134),
    [anon_sym__alignof] = ACTIONS(2134),
    [anon_sym_alignof] = ACTIONS(2134),
    [anon_sym__Alignof] = ACTIONS(2134),
    [anon_sym_offsetof] = ACTIONS(2134),
    [anon_sym__Generic] = ACTIONS(2134),
    [anon_sym_asm] = ACTIONS(2134),
    [anon_sym___asm__] = ACTIONS(2134),
    [anon_sym___asm] = ACTIONS(2134),
    [sym_number_literal] = ACTIONS(2136),
    [anon_sym_L_SQUOTE] = ACTIONS(2136),
    [anon_sym_u_SQUOTE] = ACTIONS(2136),
    [anon_sym_U_SQUOTE] = ACTIONS(2136),
    [anon_sym_u8_SQUOTE] = ACTIONS(2136),
    [anon_sym_SQUOTE] = ACTIONS(2136),
    [anon_sym_L_DQUOTE] = ACTIONS(2136),
    [anon_sym_u_DQUOTE] = ACTIONS(2136),
    [anon_sym_U_DQUOTE] = ACTIONS(2136),
    [anon_sym_u8_DQUOTE] = ACTIONS(2136),
    [anon_sym_DQUOTE] = ACTIONS(2136),
    [sym_true] = ACTIONS(2134),
    [sym_false] = ACTIONS(2134),
    [anon_sym_NULL] = ACTIONS(2134),
    [anon_sym_nullptr] = ACTIONS(2134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2134),
    [anon_sym_decltype] = ACTIONS(2134),
    [anon_sym_explicit] = ACTIONS(2134),
    [anon_sym_typename] = ACTIONS(2134),
    [anon_sym_template] = ACTIONS(2134),
    [anon_sym_operator] = ACTIONS(2134),
    [anon_sym_try] = ACTIONS(2134),
    [anon_sym_delete] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_namespace] = ACTIONS(2134),
    [anon_sym_using] = ACTIONS(2134),
    [anon_sym_static_assert] = ACTIONS(2134),
    [anon_sym_concept] = ACTIONS(2134),
    [anon_sym_co_return] = ACTIONS(2134),
    [anon_sym_co_yield] = ACTIONS(2134),
    [anon_sym_R_DQUOTE] = ACTIONS(2136),
    [anon_sym_LR_DQUOTE] = ACTIONS(2136),
    [anon_sym_uR_DQUOTE] = ACTIONS(2136),
    [anon_sym_UR_DQUOTE] = ACTIONS(2136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2136),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2134),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2134),
    [anon_sym_discard] = ACTIONS(2134),
    [anon_sym_precise] = ACTIONS(2134),
    [anon_sym_shared] = ACTIONS(2134),
    [anon_sym_groupshared] = ACTIONS(2134),
    [anon_sym_uniform] = ACTIONS(2134),
    [anon_sym_row_major] = ACTIONS(2134),
    [anon_sym_column_major] = ACTIONS(2134),
    [anon_sym_globallycoherent] = ACTIONS(2134),
    [anon_sym_centroid] = ACTIONS(2134),
    [anon_sym_noperspective] = ACTIONS(2134),
    [anon_sym_nointerpolation] = ACTIONS(2134),
    [anon_sym_sample] = ACTIONS(2134),
    [anon_sym_linear] = ACTIONS(2134),
    [anon_sym_snorm] = ACTIONS(2134),
    [anon_sym_unorm] = ACTIONS(2134),
    [anon_sym_point] = ACTIONS(2134),
    [anon_sym_line] = ACTIONS(2134),
    [anon_sym_triangleadj] = ACTIONS(2134),
    [anon_sym_lineadj] = ACTIONS(2134),
    [anon_sym_triangle] = ACTIONS(2134),
    [anon_sym_cbuffer] = ACTIONS(2134),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(2140),
    [sym_identifier] = ACTIONS(2138),
    [aux_sym_preproc_include_token1] = ACTIONS(2138),
    [aux_sym_preproc_def_token1] = ACTIONS(2138),
    [aux_sym_preproc_if_token1] = ACTIONS(2138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2138),
    [sym_preproc_directive] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym___extension__] = ACTIONS(2138),
    [anon_sym_typedef] = ACTIONS(2138),
    [anon_sym_in] = ACTIONS(2138),
    [anon_sym_out] = ACTIONS(2138),
    [anon_sym_inout] = ACTIONS(2138),
    [anon_sym_virtual] = ACTIONS(2138),
    [anon_sym_extern] = ACTIONS(2138),
    [anon_sym___attribute__] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2140),
    [anon_sym___declspec] = ACTIONS(2138),
    [anon_sym___based] = ACTIONS(2138),
    [anon_sym___cdecl] = ACTIONS(2138),
    [anon_sym___clrcall] = ACTIONS(2138),
    [anon_sym___stdcall] = ACTIONS(2138),
    [anon_sym___fastcall] = ACTIONS(2138),
    [anon_sym___thiscall] = ACTIONS(2138),
    [anon_sym___vectorcall] = ACTIONS(2138),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_signed] = ACTIONS(2138),
    [anon_sym_unsigned] = ACTIONS(2138),
    [anon_sym_long] = ACTIONS(2138),
    [anon_sym_short] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_static] = ACTIONS(2138),
    [anon_sym_register] = ACTIONS(2138),
    [anon_sym_inline] = ACTIONS(2138),
    [anon_sym___inline] = ACTIONS(2138),
    [anon_sym___inline__] = ACTIONS(2138),
    [anon_sym___forceinline] = ACTIONS(2138),
    [anon_sym_thread_local] = ACTIONS(2138),
    [anon_sym___thread] = ACTIONS(2138),
    [anon_sym_const] = ACTIONS(2138),
    [anon_sym_constexpr] = ACTIONS(2138),
    [anon_sym_volatile] = ACTIONS(2138),
    [anon_sym_restrict] = ACTIONS(2138),
    [anon_sym___restrict__] = ACTIONS(2138),
    [anon_sym__Atomic] = ACTIONS(2138),
    [anon_sym__Noreturn] = ACTIONS(2138),
    [anon_sym_noreturn] = ACTIONS(2138),
    [anon_sym__Nonnull] = ACTIONS(2138),
    [anon_sym_mutable] = ACTIONS(2138),
    [anon_sym_constinit] = ACTIONS(2138),
    [anon_sym_consteval] = ACTIONS(2138),
    [anon_sym_alignas] = ACTIONS(2138),
    [anon_sym__Alignas] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2138),
    [anon_sym_enum] = ACTIONS(2138),
    [anon_sym_class] = ACTIONS(2138),
    [anon_sym_struct] = ACTIONS(2138),
    [anon_sym_union] = ACTIONS(2138),
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_else] = ACTIONS(2138),
    [anon_sym_switch] = ACTIONS(2138),
    [anon_sym_case] = ACTIONS(2138),
    [anon_sym_default] = ACTIONS(2138),
    [anon_sym_while] = ACTIONS(2138),
    [anon_sym_do] = ACTIONS(2138),
    [anon_sym_for] = ACTIONS(2138),
    [anon_sym_return] = ACTIONS(2138),
    [anon_sym_break] = ACTIONS(2138),
    [anon_sym_continue] = ACTIONS(2138),
    [anon_sym_goto] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2138),
    [anon_sym___leave] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2138),
    [anon_sym___alignof__] = ACTIONS(2138),
    [anon_sym___alignof] = ACTIONS(2138),
    [anon_sym__alignof] = ACTIONS(2138),
    [anon_sym_alignof] = ACTIONS(2138),
    [anon_sym__Alignof] = ACTIONS(2138),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2138),
    [anon_sym_asm] = ACTIONS(2138),
    [anon_sym___asm__] = ACTIONS(2138),
    [anon_sym___asm] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2140),
    [anon_sym_L_SQUOTE] = ACTIONS(2140),
    [anon_sym_u_SQUOTE] = ACTIONS(2140),
    [anon_sym_U_SQUOTE] = ACTIONS(2140),
    [anon_sym_u8_SQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_L_DQUOTE] = ACTIONS(2140),
    [anon_sym_u_DQUOTE] = ACTIONS(2140),
    [anon_sym_U_DQUOTE] = ACTIONS(2140),
    [anon_sym_u8_DQUOTE] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [sym_true] = ACTIONS(2138),
    [sym_false] = ACTIONS(2138),
    [anon_sym_NULL] = ACTIONS(2138),
    [anon_sym_nullptr] = ACTIONS(2138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2138),
    [anon_sym_decltype] = ACTIONS(2138),
    [anon_sym_explicit] = ACTIONS(2138),
    [anon_sym_typename] = ACTIONS(2138),
    [anon_sym_template] = ACTIONS(2138),
    [anon_sym_operator] = ACTIONS(2138),
    [anon_sym_try] = ACTIONS(2138),
    [anon_sym_delete] = ACTIONS(2138),
    [anon_sym_throw] = ACTIONS(2138),
    [anon_sym_namespace] = ACTIONS(2138),
    [anon_sym_using] = ACTIONS(2138),
    [anon_sym_static_assert] = ACTIONS(2138),
    [anon_sym_concept] = ACTIONS(2138),
    [anon_sym_co_return] = ACTIONS(2138),
    [anon_sym_co_yield] = ACTIONS(2138),
    [anon_sym_R_DQUOTE] = ACTIONS(2140),
    [anon_sym_LR_DQUOTE] = ACTIONS(2140),
    [anon_sym_uR_DQUOTE] = ACTIONS(2140),
    [anon_sym_UR_DQUOTE] = ACTIONS(2140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2140),
    [anon_sym_co_await] = ACTIONS(2138),
    [anon_sym_new] = ACTIONS(2138),
    [anon_sym_requires] = ACTIONS(2138),
    [sym_this] = ACTIONS(2138),
    [anon_sym_discard] = ACTIONS(2138),
    [anon_sym_precise] = ACTIONS(2138),
    [anon_sym_shared] = ACTIONS(2138),
    [anon_sym_groupshared] = ACTIONS(2138),
    [anon_sym_uniform] = ACTIONS(2138),
    [anon_sym_row_major] = ACTIONS(2138),
    [anon_sym_column_major] = ACTIONS(2138),
    [anon_sym_globallycoherent] = ACTIONS(2138),
    [anon_sym_centroid] = ACTIONS(2138),
    [anon_sym_noperspective] = ACTIONS(2138),
    [anon_sym_nointerpolation] = ACTIONS(2138),
    [anon_sym_sample] = ACTIONS(2138),
    [anon_sym_linear] = ACTIONS(2138),
    [anon_sym_snorm] = ACTIONS(2138),
    [anon_sym_unorm] = ACTIONS(2138),
    [anon_sym_point] = ACTIONS(2138),
    [anon_sym_line] = ACTIONS(2138),
    [anon_sym_triangleadj] = ACTIONS(2138),
    [anon_sym_lineadj] = ACTIONS(2138),
    [anon_sym_triangle] = ACTIONS(2138),
    [anon_sym_cbuffer] = ACTIONS(2138),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(2144),
    [sym_identifier] = ACTIONS(2142),
    [aux_sym_preproc_include_token1] = ACTIONS(2142),
    [aux_sym_preproc_def_token1] = ACTIONS(2142),
    [aux_sym_preproc_if_token1] = ACTIONS(2142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2142),
    [sym_preproc_directive] = ACTIONS(2142),
    [anon_sym_LPAREN2] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_AMP_AMP] = ACTIONS(2144),
    [anon_sym_AMP] = ACTIONS(2142),
    [anon_sym_SEMI] = ACTIONS(2144),
    [anon_sym___extension__] = ACTIONS(2142),
    [anon_sym_typedef] = ACTIONS(2142),
    [anon_sym_in] = ACTIONS(2142),
    [anon_sym_out] = ACTIONS(2142),
    [anon_sym_inout] = ACTIONS(2142),
    [anon_sym_virtual] = ACTIONS(2142),
    [anon_sym_extern] = ACTIONS(2142),
    [anon_sym___attribute__] = ACTIONS(2142),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2144),
    [anon_sym___declspec] = ACTIONS(2142),
    [anon_sym___based] = ACTIONS(2142),
    [anon_sym___cdecl] = ACTIONS(2142),
    [anon_sym___clrcall] = ACTIONS(2142),
    [anon_sym___stdcall] = ACTIONS(2142),
    [anon_sym___fastcall] = ACTIONS(2142),
    [anon_sym___thiscall] = ACTIONS(2142),
    [anon_sym___vectorcall] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_signed] = ACTIONS(2142),
    [anon_sym_unsigned] = ACTIONS(2142),
    [anon_sym_long] = ACTIONS(2142),
    [anon_sym_short] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2142),
    [anon_sym_static] = ACTIONS(2142),
    [anon_sym_register] = ACTIONS(2142),
    [anon_sym_inline] = ACTIONS(2142),
    [anon_sym___inline] = ACTIONS(2142),
    [anon_sym___inline__] = ACTIONS(2142),
    [anon_sym___forceinline] = ACTIONS(2142),
    [anon_sym_thread_local] = ACTIONS(2142),
    [anon_sym___thread] = ACTIONS(2142),
    [anon_sym_const] = ACTIONS(2142),
    [anon_sym_constexpr] = ACTIONS(2142),
    [anon_sym_volatile] = ACTIONS(2142),
    [anon_sym_restrict] = ACTIONS(2142),
    [anon_sym___restrict__] = ACTIONS(2142),
    [anon_sym__Atomic] = ACTIONS(2142),
    [anon_sym__Noreturn] = ACTIONS(2142),
    [anon_sym_noreturn] = ACTIONS(2142),
    [anon_sym__Nonnull] = ACTIONS(2142),
    [anon_sym_mutable] = ACTIONS(2142),
    [anon_sym_constinit] = ACTIONS(2142),
    [anon_sym_consteval] = ACTIONS(2142),
    [anon_sym_alignas] = ACTIONS(2142),
    [anon_sym__Alignas] = ACTIONS(2142),
    [sym_primitive_type] = ACTIONS(2142),
    [anon_sym_enum] = ACTIONS(2142),
    [anon_sym_class] = ACTIONS(2142),
    [anon_sym_struct] = ACTIONS(2142),
    [anon_sym_union] = ACTIONS(2142),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_else] = ACTIONS(2142),
    [anon_sym_switch] = ACTIONS(2142),
    [anon_sym_case] = ACTIONS(2142),
    [anon_sym_default] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_do] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2142),
    [anon_sym_return] = ACTIONS(2142),
    [anon_sym_break] = ACTIONS(2142),
    [anon_sym_continue] = ACTIONS(2142),
    [anon_sym_goto] = ACTIONS(2142),
    [anon_sym___try] = ACTIONS(2142),
    [anon_sym___leave] = ACTIONS(2142),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2144),
    [anon_sym_sizeof] = ACTIONS(2142),
    [anon_sym___alignof__] = ACTIONS(2142),
    [anon_sym___alignof] = ACTIONS(2142),
    [anon_sym__alignof] = ACTIONS(2142),
    [anon_sym_alignof] = ACTIONS(2142),
    [anon_sym__Alignof] = ACTIONS(2142),
    [anon_sym_offsetof] = ACTIONS(2142),
    [anon_sym__Generic] = ACTIONS(2142),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [anon_sym___asm] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2144),
    [anon_sym_u_SQUOTE] = ACTIONS(2144),
    [anon_sym_U_SQUOTE] = ACTIONS(2144),
    [anon_sym_u8_SQUOTE] = ACTIONS(2144),
    [anon_sym_SQUOTE] = ACTIONS(2144),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2142),
    [sym_false] = ACTIONS(2142),
    [anon_sym_NULL] = ACTIONS(2142),
    [anon_sym_nullptr] = ACTIONS(2142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2142),
    [anon_sym_decltype] = ACTIONS(2142),
    [anon_sym_explicit] = ACTIONS(2142),
    [anon_sym_typename] = ACTIONS(2142),
    [anon_sym_template] = ACTIONS(2142),
    [anon_sym_operator] = ACTIONS(2142),
    [anon_sym_try] = ACTIONS(2142),
    [anon_sym_delete] = ACTIONS(2142),
    [anon_sym_throw] = ACTIONS(2142),
    [anon_sym_namespace] = ACTIONS(2142),
    [anon_sym_using] = ACTIONS(2142),
    [anon_sym_static_assert] = ACTIONS(2142),
    [anon_sym_concept] = ACTIONS(2142),
    [anon_sym_co_return] = ACTIONS(2142),
    [anon_sym_co_yield] = ACTIONS(2142),
    [anon_sym_R_DQUOTE] = ACTIONS(2144),
    [anon_sym_LR_DQUOTE] = ACTIONS(2144),
    [anon_sym_uR_DQUOTE] = ACTIONS(2144),
    [anon_sym_UR_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2144),
    [anon_sym_co_await] = ACTIONS(2142),
    [anon_sym_new] = ACTIONS(2142),
    [anon_sym_requires] = ACTIONS(2142),
    [sym_this] = ACTIONS(2142),
    [anon_sym_discard] = ACTIONS(2142),
    [anon_sym_precise] = ACTIONS(2142),
    [anon_sym_shared] = ACTIONS(2142),
    [anon_sym_groupshared] = ACTIONS(2142),
    [anon_sym_uniform] = ACTIONS(2142),
    [anon_sym_row_major] = ACTIONS(2142),
    [anon_sym_column_major] = ACTIONS(2142),
    [anon_sym_globallycoherent] = ACTIONS(2142),
    [anon_sym_centroid] = ACTIONS(2142),
    [anon_sym_noperspective] = ACTIONS(2142),
    [anon_sym_nointerpolation] = ACTIONS(2142),
    [anon_sym_sample] = ACTIONS(2142),
    [anon_sym_linear] = ACTIONS(2142),
    [anon_sym_snorm] = ACTIONS(2142),
    [anon_sym_unorm] = ACTIONS(2142),
    [anon_sym_point] = ACTIONS(2142),
    [anon_sym_line] = ACTIONS(2142),
    [anon_sym_triangleadj] = ACTIONS(2142),
    [anon_sym_lineadj] = ACTIONS(2142),
    [anon_sym_triangle] = ACTIONS(2142),
    [anon_sym_cbuffer] = ACTIONS(2142),
  },
  [507] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_typedef] = ACTIONS(2359),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(2148),
    [sym_identifier] = ACTIONS(2146),
    [aux_sym_preproc_include_token1] = ACTIONS(2146),
    [aux_sym_preproc_def_token1] = ACTIONS(2146),
    [aux_sym_preproc_if_token1] = ACTIONS(2146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2146),
    [sym_preproc_directive] = ACTIONS(2146),
    [anon_sym_LPAREN2] = ACTIONS(2148),
    [anon_sym_BANG] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2146),
    [anon_sym_PLUS] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2146),
    [anon_sym_SEMI] = ACTIONS(2148),
    [anon_sym___extension__] = ACTIONS(2146),
    [anon_sym_typedef] = ACTIONS(2146),
    [anon_sym_in] = ACTIONS(2146),
    [anon_sym_out] = ACTIONS(2146),
    [anon_sym_inout] = ACTIONS(2146),
    [anon_sym_virtual] = ACTIONS(2146),
    [anon_sym_extern] = ACTIONS(2146),
    [anon_sym___attribute__] = ACTIONS(2146),
    [anon_sym_COLON_COLON] = ACTIONS(2148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2148),
    [anon_sym___declspec] = ACTIONS(2146),
    [anon_sym___based] = ACTIONS(2146),
    [anon_sym___cdecl] = ACTIONS(2146),
    [anon_sym___clrcall] = ACTIONS(2146),
    [anon_sym___stdcall] = ACTIONS(2146),
    [anon_sym___fastcall] = ACTIONS(2146),
    [anon_sym___thiscall] = ACTIONS(2146),
    [anon_sym___vectorcall] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_signed] = ACTIONS(2146),
    [anon_sym_unsigned] = ACTIONS(2146),
    [anon_sym_long] = ACTIONS(2146),
    [anon_sym_short] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_static] = ACTIONS(2146),
    [anon_sym_register] = ACTIONS(2146),
    [anon_sym_inline] = ACTIONS(2146),
    [anon_sym___inline] = ACTIONS(2146),
    [anon_sym___inline__] = ACTIONS(2146),
    [anon_sym___forceinline] = ACTIONS(2146),
    [anon_sym_thread_local] = ACTIONS(2146),
    [anon_sym___thread] = ACTIONS(2146),
    [anon_sym_const] = ACTIONS(2146),
    [anon_sym_constexpr] = ACTIONS(2146),
    [anon_sym_volatile] = ACTIONS(2146),
    [anon_sym_restrict] = ACTIONS(2146),
    [anon_sym___restrict__] = ACTIONS(2146),
    [anon_sym__Atomic] = ACTIONS(2146),
    [anon_sym__Noreturn] = ACTIONS(2146),
    [anon_sym_noreturn] = ACTIONS(2146),
    [anon_sym__Nonnull] = ACTIONS(2146),
    [anon_sym_mutable] = ACTIONS(2146),
    [anon_sym_constinit] = ACTIONS(2146),
    [anon_sym_consteval] = ACTIONS(2146),
    [anon_sym_alignas] = ACTIONS(2146),
    [anon_sym__Alignas] = ACTIONS(2146),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_enum] = ACTIONS(2146),
    [anon_sym_class] = ACTIONS(2146),
    [anon_sym_struct] = ACTIONS(2146),
    [anon_sym_union] = ACTIONS(2146),
    [anon_sym_if] = ACTIONS(2146),
    [anon_sym_else] = ACTIONS(2146),
    [anon_sym_switch] = ACTIONS(2146),
    [anon_sym_case] = ACTIONS(2146),
    [anon_sym_default] = ACTIONS(2146),
    [anon_sym_while] = ACTIONS(2146),
    [anon_sym_do] = ACTIONS(2146),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_return] = ACTIONS(2146),
    [anon_sym_break] = ACTIONS(2146),
    [anon_sym_continue] = ACTIONS(2146),
    [anon_sym_goto] = ACTIONS(2146),
    [anon_sym___try] = ACTIONS(2146),
    [anon_sym___leave] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2146),
    [anon_sym_compl] = ACTIONS(2146),
    [anon_sym_DASH_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_PLUS] = ACTIONS(2148),
    [anon_sym_sizeof] = ACTIONS(2146),
    [anon_sym___alignof__] = ACTIONS(2146),
    [anon_sym___alignof] = ACTIONS(2146),
    [anon_sym__alignof] = ACTIONS(2146),
    [anon_sym_alignof] = ACTIONS(2146),
    [anon_sym__Alignof] = ACTIONS(2146),
    [anon_sym_offsetof] = ACTIONS(2146),
    [anon_sym__Generic] = ACTIONS(2146),
    [anon_sym_asm] = ACTIONS(2146),
    [anon_sym___asm__] = ACTIONS(2146),
    [anon_sym___asm] = ACTIONS(2146),
    [sym_number_literal] = ACTIONS(2148),
    [anon_sym_L_SQUOTE] = ACTIONS(2148),
    [anon_sym_u_SQUOTE] = ACTIONS(2148),
    [anon_sym_U_SQUOTE] = ACTIONS(2148),
    [anon_sym_u8_SQUOTE] = ACTIONS(2148),
    [anon_sym_SQUOTE] = ACTIONS(2148),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2146),
    [sym_false] = ACTIONS(2146),
    [anon_sym_NULL] = ACTIONS(2146),
    [anon_sym_nullptr] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2146),
    [anon_sym_decltype] = ACTIONS(2146),
    [anon_sym_explicit] = ACTIONS(2146),
    [anon_sym_typename] = ACTIONS(2146),
    [anon_sym_template] = ACTIONS(2146),
    [anon_sym_operator] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_delete] = ACTIONS(2146),
    [anon_sym_throw] = ACTIONS(2146),
    [anon_sym_namespace] = ACTIONS(2146),
    [anon_sym_using] = ACTIONS(2146),
    [anon_sym_static_assert] = ACTIONS(2146),
    [anon_sym_concept] = ACTIONS(2146),
    [anon_sym_co_return] = ACTIONS(2146),
    [anon_sym_co_yield] = ACTIONS(2146),
    [anon_sym_R_DQUOTE] = ACTIONS(2148),
    [anon_sym_LR_DQUOTE] = ACTIONS(2148),
    [anon_sym_uR_DQUOTE] = ACTIONS(2148),
    [anon_sym_UR_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2148),
    [anon_sym_co_await] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(2146),
    [anon_sym_requires] = ACTIONS(2146),
    [sym_this] = ACTIONS(2146),
    [anon_sym_discard] = ACTIONS(2146),
    [anon_sym_precise] = ACTIONS(2146),
    [anon_sym_shared] = ACTIONS(2146),
    [anon_sym_groupshared] = ACTIONS(2146),
    [anon_sym_uniform] = ACTIONS(2146),
    [anon_sym_row_major] = ACTIONS(2146),
    [anon_sym_column_major] = ACTIONS(2146),
    [anon_sym_globallycoherent] = ACTIONS(2146),
    [anon_sym_centroid] = ACTIONS(2146),
    [anon_sym_noperspective] = ACTIONS(2146),
    [anon_sym_nointerpolation] = ACTIONS(2146),
    [anon_sym_sample] = ACTIONS(2146),
    [anon_sym_linear] = ACTIONS(2146),
    [anon_sym_snorm] = ACTIONS(2146),
    [anon_sym_unorm] = ACTIONS(2146),
    [anon_sym_point] = ACTIONS(2146),
    [anon_sym_line] = ACTIONS(2146),
    [anon_sym_triangleadj] = ACTIONS(2146),
    [anon_sym_lineadj] = ACTIONS(2146),
    [anon_sym_triangle] = ACTIONS(2146),
    [anon_sym_cbuffer] = ACTIONS(2146),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2150),
    [aux_sym_preproc_include_token1] = ACTIONS(2150),
    [aux_sym_preproc_def_token1] = ACTIONS(2150),
    [aux_sym_preproc_if_token1] = ACTIONS(2150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2150),
    [sym_preproc_directive] = ACTIONS(2150),
    [anon_sym_LPAREN2] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2152),
    [anon_sym_AMP] = ACTIONS(2150),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym___extension__] = ACTIONS(2150),
    [anon_sym_typedef] = ACTIONS(2150),
    [anon_sym_in] = ACTIONS(2150),
    [anon_sym_out] = ACTIONS(2150),
    [anon_sym_inout] = ACTIONS(2150),
    [anon_sym_virtual] = ACTIONS(2150),
    [anon_sym_extern] = ACTIONS(2150),
    [anon_sym___attribute__] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2152),
    [anon_sym___declspec] = ACTIONS(2150),
    [anon_sym___based] = ACTIONS(2150),
    [anon_sym___cdecl] = ACTIONS(2150),
    [anon_sym___clrcall] = ACTIONS(2150),
    [anon_sym___stdcall] = ACTIONS(2150),
    [anon_sym___fastcall] = ACTIONS(2150),
    [anon_sym___thiscall] = ACTIONS(2150),
    [anon_sym___vectorcall] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_signed] = ACTIONS(2150),
    [anon_sym_unsigned] = ACTIONS(2150),
    [anon_sym_long] = ACTIONS(2150),
    [anon_sym_short] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_static] = ACTIONS(2150),
    [anon_sym_register] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(2150),
    [anon_sym___inline] = ACTIONS(2150),
    [anon_sym___inline__] = ACTIONS(2150),
    [anon_sym___forceinline] = ACTIONS(2150),
    [anon_sym_thread_local] = ACTIONS(2150),
    [anon_sym___thread] = ACTIONS(2150),
    [anon_sym_const] = ACTIONS(2150),
    [anon_sym_constexpr] = ACTIONS(2150),
    [anon_sym_volatile] = ACTIONS(2150),
    [anon_sym_restrict] = ACTIONS(2150),
    [anon_sym___restrict__] = ACTIONS(2150),
    [anon_sym__Atomic] = ACTIONS(2150),
    [anon_sym__Noreturn] = ACTIONS(2150),
    [anon_sym_noreturn] = ACTIONS(2150),
    [anon_sym__Nonnull] = ACTIONS(2150),
    [anon_sym_mutable] = ACTIONS(2150),
    [anon_sym_constinit] = ACTIONS(2150),
    [anon_sym_consteval] = ACTIONS(2150),
    [anon_sym_alignas] = ACTIONS(2150),
    [anon_sym__Alignas] = ACTIONS(2150),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_enum] = ACTIONS(2150),
    [anon_sym_class] = ACTIONS(2150),
    [anon_sym_struct] = ACTIONS(2150),
    [anon_sym_union] = ACTIONS(2150),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_else] = ACTIONS(2150),
    [anon_sym_switch] = ACTIONS(2150),
    [anon_sym_case] = ACTIONS(2150),
    [anon_sym_default] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2150),
    [anon_sym_do] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2150),
    [anon_sym_return] = ACTIONS(2150),
    [anon_sym_break] = ACTIONS(2150),
    [anon_sym_continue] = ACTIONS(2150),
    [anon_sym_goto] = ACTIONS(2150),
    [anon_sym___try] = ACTIONS(2150),
    [anon_sym___leave] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2150),
    [anon_sym_compl] = ACTIONS(2150),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2150),
    [anon_sym__Generic] = ACTIONS(2150),
    [anon_sym_asm] = ACTIONS(2150),
    [anon_sym___asm__] = ACTIONS(2150),
    [anon_sym___asm] = ACTIONS(2150),
    [sym_number_literal] = ACTIONS(2152),
    [anon_sym_L_SQUOTE] = ACTIONS(2152),
    [anon_sym_u_SQUOTE] = ACTIONS(2152),
    [anon_sym_U_SQUOTE] = ACTIONS(2152),
    [anon_sym_u8_SQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_L_DQUOTE] = ACTIONS(2152),
    [anon_sym_u_DQUOTE] = ACTIONS(2152),
    [anon_sym_U_DQUOTE] = ACTIONS(2152),
    [anon_sym_u8_DQUOTE] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2150),
    [anon_sym_decltype] = ACTIONS(2150),
    [anon_sym_explicit] = ACTIONS(2150),
    [anon_sym_typename] = ACTIONS(2150),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_operator] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2150),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_throw] = ACTIONS(2150),
    [anon_sym_namespace] = ACTIONS(2150),
    [anon_sym_using] = ACTIONS(2150),
    [anon_sym_static_assert] = ACTIONS(2150),
    [anon_sym_concept] = ACTIONS(2150),
    [anon_sym_co_return] = ACTIONS(2150),
    [anon_sym_co_yield] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(2152),
    [anon_sym_LR_DQUOTE] = ACTIONS(2152),
    [anon_sym_uR_DQUOTE] = ACTIONS(2152),
    [anon_sym_UR_DQUOTE] = ACTIONS(2152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2152),
    [anon_sym_co_await] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2150),
    [anon_sym_requires] = ACTIONS(2150),
    [sym_this] = ACTIONS(2150),
    [anon_sym_discard] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(2150),
    [anon_sym_shared] = ACTIONS(2150),
    [anon_sym_groupshared] = ACTIONS(2150),
    [anon_sym_uniform] = ACTIONS(2150),
    [anon_sym_row_major] = ACTIONS(2150),
    [anon_sym_column_major] = ACTIONS(2150),
    [anon_sym_globallycoherent] = ACTIONS(2150),
    [anon_sym_centroid] = ACTIONS(2150),
    [anon_sym_noperspective] = ACTIONS(2150),
    [anon_sym_nointerpolation] = ACTIONS(2150),
    [anon_sym_sample] = ACTIONS(2150),
    [anon_sym_linear] = ACTIONS(2150),
    [anon_sym_snorm] = ACTIONS(2150),
    [anon_sym_unorm] = ACTIONS(2150),
    [anon_sym_point] = ACTIONS(2150),
    [anon_sym_line] = ACTIONS(2150),
    [anon_sym_triangleadj] = ACTIONS(2150),
    [anon_sym_lineadj] = ACTIONS(2150),
    [anon_sym_triangle] = ACTIONS(2150),
    [anon_sym_cbuffer] = ACTIONS(2150),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2146),
    [aux_sym_preproc_include_token1] = ACTIONS(2146),
    [aux_sym_preproc_def_token1] = ACTIONS(2146),
    [aux_sym_preproc_if_token1] = ACTIONS(2146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2146),
    [sym_preproc_directive] = ACTIONS(2146),
    [anon_sym_LPAREN2] = ACTIONS(2148),
    [anon_sym_BANG] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2146),
    [anon_sym_PLUS] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2146),
    [anon_sym_SEMI] = ACTIONS(2148),
    [anon_sym___extension__] = ACTIONS(2146),
    [anon_sym_typedef] = ACTIONS(2146),
    [anon_sym_in] = ACTIONS(2146),
    [anon_sym_out] = ACTIONS(2146),
    [anon_sym_inout] = ACTIONS(2146),
    [anon_sym_virtual] = ACTIONS(2146),
    [anon_sym_extern] = ACTIONS(2146),
    [anon_sym___attribute__] = ACTIONS(2146),
    [anon_sym_COLON_COLON] = ACTIONS(2148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2148),
    [anon_sym___declspec] = ACTIONS(2146),
    [anon_sym___based] = ACTIONS(2146),
    [anon_sym___cdecl] = ACTIONS(2146),
    [anon_sym___clrcall] = ACTIONS(2146),
    [anon_sym___stdcall] = ACTIONS(2146),
    [anon_sym___fastcall] = ACTIONS(2146),
    [anon_sym___thiscall] = ACTIONS(2146),
    [anon_sym___vectorcall] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(2148),
    [anon_sym_signed] = ACTIONS(2146),
    [anon_sym_unsigned] = ACTIONS(2146),
    [anon_sym_long] = ACTIONS(2146),
    [anon_sym_short] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_static] = ACTIONS(2146),
    [anon_sym_register] = ACTIONS(2146),
    [anon_sym_inline] = ACTIONS(2146),
    [anon_sym___inline] = ACTIONS(2146),
    [anon_sym___inline__] = ACTIONS(2146),
    [anon_sym___forceinline] = ACTIONS(2146),
    [anon_sym_thread_local] = ACTIONS(2146),
    [anon_sym___thread] = ACTIONS(2146),
    [anon_sym_const] = ACTIONS(2146),
    [anon_sym_constexpr] = ACTIONS(2146),
    [anon_sym_volatile] = ACTIONS(2146),
    [anon_sym_restrict] = ACTIONS(2146),
    [anon_sym___restrict__] = ACTIONS(2146),
    [anon_sym__Atomic] = ACTIONS(2146),
    [anon_sym__Noreturn] = ACTIONS(2146),
    [anon_sym_noreturn] = ACTIONS(2146),
    [anon_sym__Nonnull] = ACTIONS(2146),
    [anon_sym_mutable] = ACTIONS(2146),
    [anon_sym_constinit] = ACTIONS(2146),
    [anon_sym_consteval] = ACTIONS(2146),
    [anon_sym_alignas] = ACTIONS(2146),
    [anon_sym__Alignas] = ACTIONS(2146),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_enum] = ACTIONS(2146),
    [anon_sym_class] = ACTIONS(2146),
    [anon_sym_struct] = ACTIONS(2146),
    [anon_sym_union] = ACTIONS(2146),
    [anon_sym_if] = ACTIONS(2146),
    [anon_sym_else] = ACTIONS(2146),
    [anon_sym_switch] = ACTIONS(2146),
    [anon_sym_case] = ACTIONS(2146),
    [anon_sym_default] = ACTIONS(2146),
    [anon_sym_while] = ACTIONS(2146),
    [anon_sym_do] = ACTIONS(2146),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_return] = ACTIONS(2146),
    [anon_sym_break] = ACTIONS(2146),
    [anon_sym_continue] = ACTIONS(2146),
    [anon_sym_goto] = ACTIONS(2146),
    [anon_sym___try] = ACTIONS(2146),
    [anon_sym___leave] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2146),
    [anon_sym_compl] = ACTIONS(2146),
    [anon_sym_DASH_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_PLUS] = ACTIONS(2148),
    [anon_sym_sizeof] = ACTIONS(2146),
    [anon_sym___alignof__] = ACTIONS(2146),
    [anon_sym___alignof] = ACTIONS(2146),
    [anon_sym__alignof] = ACTIONS(2146),
    [anon_sym_alignof] = ACTIONS(2146),
    [anon_sym__Alignof] = ACTIONS(2146),
    [anon_sym_offsetof] = ACTIONS(2146),
    [anon_sym__Generic] = ACTIONS(2146),
    [anon_sym_asm] = ACTIONS(2146),
    [anon_sym___asm__] = ACTIONS(2146),
    [anon_sym___asm] = ACTIONS(2146),
    [sym_number_literal] = ACTIONS(2148),
    [anon_sym_L_SQUOTE] = ACTIONS(2148),
    [anon_sym_u_SQUOTE] = ACTIONS(2148),
    [anon_sym_U_SQUOTE] = ACTIONS(2148),
    [anon_sym_u8_SQUOTE] = ACTIONS(2148),
    [anon_sym_SQUOTE] = ACTIONS(2148),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2146),
    [sym_false] = ACTIONS(2146),
    [anon_sym_NULL] = ACTIONS(2146),
    [anon_sym_nullptr] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2146),
    [anon_sym_decltype] = ACTIONS(2146),
    [anon_sym_explicit] = ACTIONS(2146),
    [anon_sym_typename] = ACTIONS(2146),
    [anon_sym_template] = ACTIONS(2146),
    [anon_sym_operator] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_delete] = ACTIONS(2146),
    [anon_sym_throw] = ACTIONS(2146),
    [anon_sym_namespace] = ACTIONS(2146),
    [anon_sym_using] = ACTIONS(2146),
    [anon_sym_static_assert] = ACTIONS(2146),
    [anon_sym_concept] = ACTIONS(2146),
    [anon_sym_co_return] = ACTIONS(2146),
    [anon_sym_co_yield] = ACTIONS(2146),
    [anon_sym_R_DQUOTE] = ACTIONS(2148),
    [anon_sym_LR_DQUOTE] = ACTIONS(2148),
    [anon_sym_uR_DQUOTE] = ACTIONS(2148),
    [anon_sym_UR_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2148),
    [anon_sym_co_await] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(2146),
    [anon_sym_requires] = ACTIONS(2146),
    [sym_this] = ACTIONS(2146),
    [anon_sym_discard] = ACTIONS(2146),
    [anon_sym_precise] = ACTIONS(2146),
    [anon_sym_shared] = ACTIONS(2146),
    [anon_sym_groupshared] = ACTIONS(2146),
    [anon_sym_uniform] = ACTIONS(2146),
    [anon_sym_row_major] = ACTIONS(2146),
    [anon_sym_column_major] = ACTIONS(2146),
    [anon_sym_globallycoherent] = ACTIONS(2146),
    [anon_sym_centroid] = ACTIONS(2146),
    [anon_sym_noperspective] = ACTIONS(2146),
    [anon_sym_nointerpolation] = ACTIONS(2146),
    [anon_sym_sample] = ACTIONS(2146),
    [anon_sym_linear] = ACTIONS(2146),
    [anon_sym_snorm] = ACTIONS(2146),
    [anon_sym_unorm] = ACTIONS(2146),
    [anon_sym_point] = ACTIONS(2146),
    [anon_sym_line] = ACTIONS(2146),
    [anon_sym_triangleadj] = ACTIONS(2146),
    [anon_sym_lineadj] = ACTIONS(2146),
    [anon_sym_triangle] = ACTIONS(2146),
    [anon_sym_cbuffer] = ACTIONS(2146),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2154),
    [aux_sym_preproc_include_token1] = ACTIONS(2154),
    [aux_sym_preproc_def_token1] = ACTIONS(2154),
    [aux_sym_preproc_if_token1] = ACTIONS(2154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2154),
    [sym_preproc_directive] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2156),
    [anon_sym_TILDE] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_AMP_AMP] = ACTIONS(2156),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_SEMI] = ACTIONS(2156),
    [anon_sym___extension__] = ACTIONS(2154),
    [anon_sym_typedef] = ACTIONS(2154),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_out] = ACTIONS(2154),
    [anon_sym_inout] = ACTIONS(2154),
    [anon_sym_virtual] = ACTIONS(2154),
    [anon_sym_extern] = ACTIONS(2154),
    [anon_sym___attribute__] = ACTIONS(2154),
    [anon_sym_COLON_COLON] = ACTIONS(2156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2156),
    [anon_sym___declspec] = ACTIONS(2154),
    [anon_sym___based] = ACTIONS(2154),
    [anon_sym___cdecl] = ACTIONS(2154),
    [anon_sym___clrcall] = ACTIONS(2154),
    [anon_sym___stdcall] = ACTIONS(2154),
    [anon_sym___fastcall] = ACTIONS(2154),
    [anon_sym___thiscall] = ACTIONS(2154),
    [anon_sym___vectorcall] = ACTIONS(2154),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_RBRACE] = ACTIONS(2156),
    [anon_sym_signed] = ACTIONS(2154),
    [anon_sym_unsigned] = ACTIONS(2154),
    [anon_sym_long] = ACTIONS(2154),
    [anon_sym_short] = ACTIONS(2154),
    [anon_sym_LBRACK] = ACTIONS(2154),
    [anon_sym_static] = ACTIONS(2154),
    [anon_sym_register] = ACTIONS(2154),
    [anon_sym_inline] = ACTIONS(2154),
    [anon_sym___inline] = ACTIONS(2154),
    [anon_sym___inline__] = ACTIONS(2154),
    [anon_sym___forceinline] = ACTIONS(2154),
    [anon_sym_thread_local] = ACTIONS(2154),
    [anon_sym___thread] = ACTIONS(2154),
    [anon_sym_const] = ACTIONS(2154),
    [anon_sym_constexpr] = ACTIONS(2154),
    [anon_sym_volatile] = ACTIONS(2154),
    [anon_sym_restrict] = ACTIONS(2154),
    [anon_sym___restrict__] = ACTIONS(2154),
    [anon_sym__Atomic] = ACTIONS(2154),
    [anon_sym__Noreturn] = ACTIONS(2154),
    [anon_sym_noreturn] = ACTIONS(2154),
    [anon_sym__Nonnull] = ACTIONS(2154),
    [anon_sym_mutable] = ACTIONS(2154),
    [anon_sym_constinit] = ACTIONS(2154),
    [anon_sym_consteval] = ACTIONS(2154),
    [anon_sym_alignas] = ACTIONS(2154),
    [anon_sym__Alignas] = ACTIONS(2154),
    [sym_primitive_type] = ACTIONS(2154),
    [anon_sym_enum] = ACTIONS(2154),
    [anon_sym_class] = ACTIONS(2154),
    [anon_sym_struct] = ACTIONS(2154),
    [anon_sym_union] = ACTIONS(2154),
    [anon_sym_if] = ACTIONS(2154),
    [anon_sym_else] = ACTIONS(2154),
    [anon_sym_switch] = ACTIONS(2154),
    [anon_sym_case] = ACTIONS(2154),
    [anon_sym_default] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(2154),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_break] = ACTIONS(2154),
    [anon_sym_continue] = ACTIONS(2154),
    [anon_sym_goto] = ACTIONS(2154),
    [anon_sym___try] = ACTIONS(2154),
    [anon_sym___leave] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2154),
    [anon_sym_compl] = ACTIONS(2154),
    [anon_sym_DASH_DASH] = ACTIONS(2156),
    [anon_sym_PLUS_PLUS] = ACTIONS(2156),
    [anon_sym_sizeof] = ACTIONS(2154),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2154),
    [anon_sym___asm__] = ACTIONS(2154),
    [anon_sym___asm] = ACTIONS(2154),
    [sym_number_literal] = ACTIONS(2156),
    [anon_sym_L_SQUOTE] = ACTIONS(2156),
    [anon_sym_u_SQUOTE] = ACTIONS(2156),
    [anon_sym_U_SQUOTE] = ACTIONS(2156),
    [anon_sym_u8_SQUOTE] = ACTIONS(2156),
    [anon_sym_SQUOTE] = ACTIONS(2156),
    [anon_sym_L_DQUOTE] = ACTIONS(2156),
    [anon_sym_u_DQUOTE] = ACTIONS(2156),
    [anon_sym_U_DQUOTE] = ACTIONS(2156),
    [anon_sym_u8_DQUOTE] = ACTIONS(2156),
    [anon_sym_DQUOTE] = ACTIONS(2156),
    [sym_true] = ACTIONS(2154),
    [sym_false] = ACTIONS(2154),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2154),
    [anon_sym_decltype] = ACTIONS(2154),
    [anon_sym_explicit] = ACTIONS(2154),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(2154),
    [anon_sym_operator] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2154),
    [anon_sym_delete] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2154),
    [anon_sym_using] = ACTIONS(2154),
    [anon_sym_static_assert] = ACTIONS(2154),
    [anon_sym_concept] = ACTIONS(2154),
    [anon_sym_co_return] = ACTIONS(2154),
    [anon_sym_co_yield] = ACTIONS(2154),
    [anon_sym_R_DQUOTE] = ACTIONS(2156),
    [anon_sym_LR_DQUOTE] = ACTIONS(2156),
    [anon_sym_uR_DQUOTE] = ACTIONS(2156),
    [anon_sym_UR_DQUOTE] = ACTIONS(2156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2156),
    [anon_sym_co_await] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2154),
    [anon_sym_requires] = ACTIONS(2154),
    [sym_this] = ACTIONS(2154),
    [anon_sym_discard] = ACTIONS(2154),
    [anon_sym_precise] = ACTIONS(2154),
    [anon_sym_shared] = ACTIONS(2154),
    [anon_sym_groupshared] = ACTIONS(2154),
    [anon_sym_uniform] = ACTIONS(2154),
    [anon_sym_row_major] = ACTIONS(2154),
    [anon_sym_column_major] = ACTIONS(2154),
    [anon_sym_globallycoherent] = ACTIONS(2154),
    [anon_sym_centroid] = ACTIONS(2154),
    [anon_sym_noperspective] = ACTIONS(2154),
    [anon_sym_nointerpolation] = ACTIONS(2154),
    [anon_sym_sample] = ACTIONS(2154),
    [anon_sym_linear] = ACTIONS(2154),
    [anon_sym_snorm] = ACTIONS(2154),
    [anon_sym_unorm] = ACTIONS(2154),
    [anon_sym_point] = ACTIONS(2154),
    [anon_sym_line] = ACTIONS(2154),
    [anon_sym_triangleadj] = ACTIONS(2154),
    [anon_sym_lineadj] = ACTIONS(2154),
    [anon_sym_triangle] = ACTIONS(2154),
    [anon_sym_cbuffer] = ACTIONS(2154),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(2124),
    [sym_identifier] = ACTIONS(2122),
    [aux_sym_preproc_include_token1] = ACTIONS(2122),
    [aux_sym_preproc_def_token1] = ACTIONS(2122),
    [aux_sym_preproc_if_token1] = ACTIONS(2122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2122),
    [sym_preproc_directive] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2122),
    [anon_sym_PLUS] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2122),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym___extension__] = ACTIONS(2122),
    [anon_sym_typedef] = ACTIONS(2122),
    [anon_sym_in] = ACTIONS(2122),
    [anon_sym_out] = ACTIONS(2122),
    [anon_sym_inout] = ACTIONS(2122),
    [anon_sym_virtual] = ACTIONS(2122),
    [anon_sym_extern] = ACTIONS(2122),
    [anon_sym___attribute__] = ACTIONS(2122),
    [anon_sym_COLON_COLON] = ACTIONS(2124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2124),
    [anon_sym___declspec] = ACTIONS(2122),
    [anon_sym___based] = ACTIONS(2122),
    [anon_sym___cdecl] = ACTIONS(2122),
    [anon_sym___clrcall] = ACTIONS(2122),
    [anon_sym___stdcall] = ACTIONS(2122),
    [anon_sym___fastcall] = ACTIONS(2122),
    [anon_sym___thiscall] = ACTIONS(2122),
    [anon_sym___vectorcall] = ACTIONS(2122),
    [anon_sym_LBRACE] = ACTIONS(2124),
    [anon_sym_signed] = ACTIONS(2122),
    [anon_sym_unsigned] = ACTIONS(2122),
    [anon_sym_long] = ACTIONS(2122),
    [anon_sym_short] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_static] = ACTIONS(2122),
    [anon_sym_register] = ACTIONS(2122),
    [anon_sym_inline] = ACTIONS(2122),
    [anon_sym___inline] = ACTIONS(2122),
    [anon_sym___inline__] = ACTIONS(2122),
    [anon_sym___forceinline] = ACTIONS(2122),
    [anon_sym_thread_local] = ACTIONS(2122),
    [anon_sym___thread] = ACTIONS(2122),
    [anon_sym_const] = ACTIONS(2122),
    [anon_sym_constexpr] = ACTIONS(2122),
    [anon_sym_volatile] = ACTIONS(2122),
    [anon_sym_restrict] = ACTIONS(2122),
    [anon_sym___restrict__] = ACTIONS(2122),
    [anon_sym__Atomic] = ACTIONS(2122),
    [anon_sym__Noreturn] = ACTIONS(2122),
    [anon_sym_noreturn] = ACTIONS(2122),
    [anon_sym__Nonnull] = ACTIONS(2122),
    [anon_sym_mutable] = ACTIONS(2122),
    [anon_sym_constinit] = ACTIONS(2122),
    [anon_sym_consteval] = ACTIONS(2122),
    [anon_sym_alignas] = ACTIONS(2122),
    [anon_sym__Alignas] = ACTIONS(2122),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2122),
    [anon_sym_class] = ACTIONS(2122),
    [anon_sym_struct] = ACTIONS(2122),
    [anon_sym_union] = ACTIONS(2122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_else] = ACTIONS(2122),
    [anon_sym_switch] = ACTIONS(2122),
    [anon_sym_case] = ACTIONS(2122),
    [anon_sym_default] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_do] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2122),
    [anon_sym_return] = ACTIONS(2122),
    [anon_sym_break] = ACTIONS(2122),
    [anon_sym_continue] = ACTIONS(2122),
    [anon_sym_goto] = ACTIONS(2122),
    [anon_sym___try] = ACTIONS(2122),
    [anon_sym___leave] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2122),
    [anon_sym_compl] = ACTIONS(2122),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_sizeof] = ACTIONS(2122),
    [anon_sym___alignof__] = ACTIONS(2122),
    [anon_sym___alignof] = ACTIONS(2122),
    [anon_sym__alignof] = ACTIONS(2122),
    [anon_sym_alignof] = ACTIONS(2122),
    [anon_sym__Alignof] = ACTIONS(2122),
    [anon_sym_offsetof] = ACTIONS(2122),
    [anon_sym__Generic] = ACTIONS(2122),
    [anon_sym_asm] = ACTIONS(2122),
    [anon_sym___asm__] = ACTIONS(2122),
    [anon_sym___asm] = ACTIONS(2122),
    [sym_number_literal] = ACTIONS(2124),
    [anon_sym_L_SQUOTE] = ACTIONS(2124),
    [anon_sym_u_SQUOTE] = ACTIONS(2124),
    [anon_sym_U_SQUOTE] = ACTIONS(2124),
    [anon_sym_u8_SQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [anon_sym_L_DQUOTE] = ACTIONS(2124),
    [anon_sym_u_DQUOTE] = ACTIONS(2124),
    [anon_sym_U_DQUOTE] = ACTIONS(2124),
    [anon_sym_u8_DQUOTE] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2122),
    [anon_sym_nullptr] = ACTIONS(2122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2122),
    [anon_sym_decltype] = ACTIONS(2122),
    [anon_sym_explicit] = ACTIONS(2122),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(2122),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_try] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2122),
    [anon_sym_throw] = ACTIONS(2122),
    [anon_sym_namespace] = ACTIONS(2122),
    [anon_sym_using] = ACTIONS(2122),
    [anon_sym_static_assert] = ACTIONS(2122),
    [anon_sym_concept] = ACTIONS(2122),
    [anon_sym_co_return] = ACTIONS(2122),
    [anon_sym_co_yield] = ACTIONS(2122),
    [anon_sym_R_DQUOTE] = ACTIONS(2124),
    [anon_sym_LR_DQUOTE] = ACTIONS(2124),
    [anon_sym_uR_DQUOTE] = ACTIONS(2124),
    [anon_sym_UR_DQUOTE] = ACTIONS(2124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2124),
    [anon_sym_co_await] = ACTIONS(2122),
    [anon_sym_new] = ACTIONS(2122),
    [anon_sym_requires] = ACTIONS(2122),
    [sym_this] = ACTIONS(2122),
    [anon_sym_discard] = ACTIONS(2122),
    [anon_sym_precise] = ACTIONS(2122),
    [anon_sym_shared] = ACTIONS(2122),
    [anon_sym_groupshared] = ACTIONS(2122),
    [anon_sym_uniform] = ACTIONS(2122),
    [anon_sym_row_major] = ACTIONS(2122),
    [anon_sym_column_major] = ACTIONS(2122),
    [anon_sym_globallycoherent] = ACTIONS(2122),
    [anon_sym_centroid] = ACTIONS(2122),
    [anon_sym_noperspective] = ACTIONS(2122),
    [anon_sym_nointerpolation] = ACTIONS(2122),
    [anon_sym_sample] = ACTIONS(2122),
    [anon_sym_linear] = ACTIONS(2122),
    [anon_sym_snorm] = ACTIONS(2122),
    [anon_sym_unorm] = ACTIONS(2122),
    [anon_sym_point] = ACTIONS(2122),
    [anon_sym_line] = ACTIONS(2122),
    [anon_sym_triangleadj] = ACTIONS(2122),
    [anon_sym_lineadj] = ACTIONS(2122),
    [anon_sym_triangle] = ACTIONS(2122),
    [anon_sym_cbuffer] = ACTIONS(2122),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(2152),
    [sym_identifier] = ACTIONS(2150),
    [aux_sym_preproc_include_token1] = ACTIONS(2150),
    [aux_sym_preproc_def_token1] = ACTIONS(2150),
    [aux_sym_preproc_if_token1] = ACTIONS(2150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2150),
    [sym_preproc_directive] = ACTIONS(2150),
    [anon_sym_LPAREN2] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2152),
    [anon_sym_AMP] = ACTIONS(2150),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym___extension__] = ACTIONS(2150),
    [anon_sym_typedef] = ACTIONS(2150),
    [anon_sym_in] = ACTIONS(2150),
    [anon_sym_out] = ACTIONS(2150),
    [anon_sym_inout] = ACTIONS(2150),
    [anon_sym_virtual] = ACTIONS(2150),
    [anon_sym_extern] = ACTIONS(2150),
    [anon_sym___attribute__] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2152),
    [anon_sym___declspec] = ACTIONS(2150),
    [anon_sym___based] = ACTIONS(2150),
    [anon_sym___cdecl] = ACTIONS(2150),
    [anon_sym___clrcall] = ACTIONS(2150),
    [anon_sym___stdcall] = ACTIONS(2150),
    [anon_sym___fastcall] = ACTIONS(2150),
    [anon_sym___thiscall] = ACTIONS(2150),
    [anon_sym___vectorcall] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_signed] = ACTIONS(2150),
    [anon_sym_unsigned] = ACTIONS(2150),
    [anon_sym_long] = ACTIONS(2150),
    [anon_sym_short] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_static] = ACTIONS(2150),
    [anon_sym_register] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(2150),
    [anon_sym___inline] = ACTIONS(2150),
    [anon_sym___inline__] = ACTIONS(2150),
    [anon_sym___forceinline] = ACTIONS(2150),
    [anon_sym_thread_local] = ACTIONS(2150),
    [anon_sym___thread] = ACTIONS(2150),
    [anon_sym_const] = ACTIONS(2150),
    [anon_sym_constexpr] = ACTIONS(2150),
    [anon_sym_volatile] = ACTIONS(2150),
    [anon_sym_restrict] = ACTIONS(2150),
    [anon_sym___restrict__] = ACTIONS(2150),
    [anon_sym__Atomic] = ACTIONS(2150),
    [anon_sym__Noreturn] = ACTIONS(2150),
    [anon_sym_noreturn] = ACTIONS(2150),
    [anon_sym__Nonnull] = ACTIONS(2150),
    [anon_sym_mutable] = ACTIONS(2150),
    [anon_sym_constinit] = ACTIONS(2150),
    [anon_sym_consteval] = ACTIONS(2150),
    [anon_sym_alignas] = ACTIONS(2150),
    [anon_sym__Alignas] = ACTIONS(2150),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_enum] = ACTIONS(2150),
    [anon_sym_class] = ACTIONS(2150),
    [anon_sym_struct] = ACTIONS(2150),
    [anon_sym_union] = ACTIONS(2150),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_else] = ACTIONS(2150),
    [anon_sym_switch] = ACTIONS(2150),
    [anon_sym_case] = ACTIONS(2150),
    [anon_sym_default] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2150),
    [anon_sym_do] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2150),
    [anon_sym_return] = ACTIONS(2150),
    [anon_sym_break] = ACTIONS(2150),
    [anon_sym_continue] = ACTIONS(2150),
    [anon_sym_goto] = ACTIONS(2150),
    [anon_sym___try] = ACTIONS(2150),
    [anon_sym___leave] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2150),
    [anon_sym_compl] = ACTIONS(2150),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2150),
    [anon_sym__Generic] = ACTIONS(2150),
    [anon_sym_asm] = ACTIONS(2150),
    [anon_sym___asm__] = ACTIONS(2150),
    [anon_sym___asm] = ACTIONS(2150),
    [sym_number_literal] = ACTIONS(2152),
    [anon_sym_L_SQUOTE] = ACTIONS(2152),
    [anon_sym_u_SQUOTE] = ACTIONS(2152),
    [anon_sym_U_SQUOTE] = ACTIONS(2152),
    [anon_sym_u8_SQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_L_DQUOTE] = ACTIONS(2152),
    [anon_sym_u_DQUOTE] = ACTIONS(2152),
    [anon_sym_U_DQUOTE] = ACTIONS(2152),
    [anon_sym_u8_DQUOTE] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2150),
    [anon_sym_decltype] = ACTIONS(2150),
    [anon_sym_explicit] = ACTIONS(2150),
    [anon_sym_typename] = ACTIONS(2150),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_operator] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2150),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_throw] = ACTIONS(2150),
    [anon_sym_namespace] = ACTIONS(2150),
    [anon_sym_using] = ACTIONS(2150),
    [anon_sym_static_assert] = ACTIONS(2150),
    [anon_sym_concept] = ACTIONS(2150),
    [anon_sym_co_return] = ACTIONS(2150),
    [anon_sym_co_yield] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(2152),
    [anon_sym_LR_DQUOTE] = ACTIONS(2152),
    [anon_sym_uR_DQUOTE] = ACTIONS(2152),
    [anon_sym_UR_DQUOTE] = ACTIONS(2152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2152),
    [anon_sym_co_await] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2150),
    [anon_sym_requires] = ACTIONS(2150),
    [sym_this] = ACTIONS(2150),
    [anon_sym_discard] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(2150),
    [anon_sym_shared] = ACTIONS(2150),
    [anon_sym_groupshared] = ACTIONS(2150),
    [anon_sym_uniform] = ACTIONS(2150),
    [anon_sym_row_major] = ACTIONS(2150),
    [anon_sym_column_major] = ACTIONS(2150),
    [anon_sym_globallycoherent] = ACTIONS(2150),
    [anon_sym_centroid] = ACTIONS(2150),
    [anon_sym_noperspective] = ACTIONS(2150),
    [anon_sym_nointerpolation] = ACTIONS(2150),
    [anon_sym_sample] = ACTIONS(2150),
    [anon_sym_linear] = ACTIONS(2150),
    [anon_sym_snorm] = ACTIONS(2150),
    [anon_sym_unorm] = ACTIONS(2150),
    [anon_sym_point] = ACTIONS(2150),
    [anon_sym_line] = ACTIONS(2150),
    [anon_sym_triangleadj] = ACTIONS(2150),
    [anon_sym_lineadj] = ACTIONS(2150),
    [anon_sym_triangle] = ACTIONS(2150),
    [anon_sym_cbuffer] = ACTIONS(2150),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(2156),
    [sym_identifier] = ACTIONS(2154),
    [aux_sym_preproc_include_token1] = ACTIONS(2154),
    [aux_sym_preproc_def_token1] = ACTIONS(2154),
    [aux_sym_preproc_if_token1] = ACTIONS(2154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2154),
    [sym_preproc_directive] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2156),
    [anon_sym_TILDE] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_AMP_AMP] = ACTIONS(2156),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_SEMI] = ACTIONS(2156),
    [anon_sym___extension__] = ACTIONS(2154),
    [anon_sym_typedef] = ACTIONS(2154),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_out] = ACTIONS(2154),
    [anon_sym_inout] = ACTIONS(2154),
    [anon_sym_virtual] = ACTIONS(2154),
    [anon_sym_extern] = ACTIONS(2154),
    [anon_sym___attribute__] = ACTIONS(2154),
    [anon_sym_COLON_COLON] = ACTIONS(2156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2156),
    [anon_sym___declspec] = ACTIONS(2154),
    [anon_sym___based] = ACTIONS(2154),
    [anon_sym___cdecl] = ACTIONS(2154),
    [anon_sym___clrcall] = ACTIONS(2154),
    [anon_sym___stdcall] = ACTIONS(2154),
    [anon_sym___fastcall] = ACTIONS(2154),
    [anon_sym___thiscall] = ACTIONS(2154),
    [anon_sym___vectorcall] = ACTIONS(2154),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_signed] = ACTIONS(2154),
    [anon_sym_unsigned] = ACTIONS(2154),
    [anon_sym_long] = ACTIONS(2154),
    [anon_sym_short] = ACTIONS(2154),
    [anon_sym_LBRACK] = ACTIONS(2154),
    [anon_sym_static] = ACTIONS(2154),
    [anon_sym_register] = ACTIONS(2154),
    [anon_sym_inline] = ACTIONS(2154),
    [anon_sym___inline] = ACTIONS(2154),
    [anon_sym___inline__] = ACTIONS(2154),
    [anon_sym___forceinline] = ACTIONS(2154),
    [anon_sym_thread_local] = ACTIONS(2154),
    [anon_sym___thread] = ACTIONS(2154),
    [anon_sym_const] = ACTIONS(2154),
    [anon_sym_constexpr] = ACTIONS(2154),
    [anon_sym_volatile] = ACTIONS(2154),
    [anon_sym_restrict] = ACTIONS(2154),
    [anon_sym___restrict__] = ACTIONS(2154),
    [anon_sym__Atomic] = ACTIONS(2154),
    [anon_sym__Noreturn] = ACTIONS(2154),
    [anon_sym_noreturn] = ACTIONS(2154),
    [anon_sym__Nonnull] = ACTIONS(2154),
    [anon_sym_mutable] = ACTIONS(2154),
    [anon_sym_constinit] = ACTIONS(2154),
    [anon_sym_consteval] = ACTIONS(2154),
    [anon_sym_alignas] = ACTIONS(2154),
    [anon_sym__Alignas] = ACTIONS(2154),
    [sym_primitive_type] = ACTIONS(2154),
    [anon_sym_enum] = ACTIONS(2154),
    [anon_sym_class] = ACTIONS(2154),
    [anon_sym_struct] = ACTIONS(2154),
    [anon_sym_union] = ACTIONS(2154),
    [anon_sym_if] = ACTIONS(2154),
    [anon_sym_else] = ACTIONS(2154),
    [anon_sym_switch] = ACTIONS(2154),
    [anon_sym_case] = ACTIONS(2154),
    [anon_sym_default] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(2154),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_break] = ACTIONS(2154),
    [anon_sym_continue] = ACTIONS(2154),
    [anon_sym_goto] = ACTIONS(2154),
    [anon_sym___try] = ACTIONS(2154),
    [anon_sym___leave] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2154),
    [anon_sym_compl] = ACTIONS(2154),
    [anon_sym_DASH_DASH] = ACTIONS(2156),
    [anon_sym_PLUS_PLUS] = ACTIONS(2156),
    [anon_sym_sizeof] = ACTIONS(2154),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2154),
    [anon_sym___asm__] = ACTIONS(2154),
    [anon_sym___asm] = ACTIONS(2154),
    [sym_number_literal] = ACTIONS(2156),
    [anon_sym_L_SQUOTE] = ACTIONS(2156),
    [anon_sym_u_SQUOTE] = ACTIONS(2156),
    [anon_sym_U_SQUOTE] = ACTIONS(2156),
    [anon_sym_u8_SQUOTE] = ACTIONS(2156),
    [anon_sym_SQUOTE] = ACTIONS(2156),
    [anon_sym_L_DQUOTE] = ACTIONS(2156),
    [anon_sym_u_DQUOTE] = ACTIONS(2156),
    [anon_sym_U_DQUOTE] = ACTIONS(2156),
    [anon_sym_u8_DQUOTE] = ACTIONS(2156),
    [anon_sym_DQUOTE] = ACTIONS(2156),
    [sym_true] = ACTIONS(2154),
    [sym_false] = ACTIONS(2154),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2154),
    [anon_sym_decltype] = ACTIONS(2154),
    [anon_sym_explicit] = ACTIONS(2154),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(2154),
    [anon_sym_operator] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2154),
    [anon_sym_delete] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2154),
    [anon_sym_using] = ACTIONS(2154),
    [anon_sym_static_assert] = ACTIONS(2154),
    [anon_sym_concept] = ACTIONS(2154),
    [anon_sym_co_return] = ACTIONS(2154),
    [anon_sym_co_yield] = ACTIONS(2154),
    [anon_sym_R_DQUOTE] = ACTIONS(2156),
    [anon_sym_LR_DQUOTE] = ACTIONS(2156),
    [anon_sym_uR_DQUOTE] = ACTIONS(2156),
    [anon_sym_UR_DQUOTE] = ACTIONS(2156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2156),
    [anon_sym_co_await] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2154),
    [anon_sym_requires] = ACTIONS(2154),
    [sym_this] = ACTIONS(2154),
    [anon_sym_discard] = ACTIONS(2154),
    [anon_sym_precise] = ACTIONS(2154),
    [anon_sym_shared] = ACTIONS(2154),
    [anon_sym_groupshared] = ACTIONS(2154),
    [anon_sym_uniform] = ACTIONS(2154),
    [anon_sym_row_major] = ACTIONS(2154),
    [anon_sym_column_major] = ACTIONS(2154),
    [anon_sym_globallycoherent] = ACTIONS(2154),
    [anon_sym_centroid] = ACTIONS(2154),
    [anon_sym_noperspective] = ACTIONS(2154),
    [anon_sym_nointerpolation] = ACTIONS(2154),
    [anon_sym_sample] = ACTIONS(2154),
    [anon_sym_linear] = ACTIONS(2154),
    [anon_sym_snorm] = ACTIONS(2154),
    [anon_sym_unorm] = ACTIONS(2154),
    [anon_sym_point] = ACTIONS(2154),
    [anon_sym_line] = ACTIONS(2154),
    [anon_sym_triangleadj] = ACTIONS(2154),
    [anon_sym_lineadj] = ACTIONS(2154),
    [anon_sym_triangle] = ACTIONS(2154),
    [anon_sym_cbuffer] = ACTIONS(2154),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(2160),
    [sym_identifier] = ACTIONS(2158),
    [aux_sym_preproc_include_token1] = ACTIONS(2158),
    [aux_sym_preproc_def_token1] = ACTIONS(2158),
    [aux_sym_preproc_if_token1] = ACTIONS(2158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2158),
    [sym_preproc_directive] = ACTIONS(2158),
    [anon_sym_LPAREN2] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2158),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2158),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym___extension__] = ACTIONS(2158),
    [anon_sym_typedef] = ACTIONS(2158),
    [anon_sym_in] = ACTIONS(2158),
    [anon_sym_out] = ACTIONS(2158),
    [anon_sym_inout] = ACTIONS(2158),
    [anon_sym_virtual] = ACTIONS(2158),
    [anon_sym_extern] = ACTIONS(2158),
    [anon_sym___attribute__] = ACTIONS(2158),
    [anon_sym_COLON_COLON] = ACTIONS(2160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2160),
    [anon_sym___declspec] = ACTIONS(2158),
    [anon_sym___based] = ACTIONS(2158),
    [anon_sym___cdecl] = ACTIONS(2158),
    [anon_sym___clrcall] = ACTIONS(2158),
    [anon_sym___stdcall] = ACTIONS(2158),
    [anon_sym___fastcall] = ACTIONS(2158),
    [anon_sym___thiscall] = ACTIONS(2158),
    [anon_sym___vectorcall] = ACTIONS(2158),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_signed] = ACTIONS(2158),
    [anon_sym_unsigned] = ACTIONS(2158),
    [anon_sym_long] = ACTIONS(2158),
    [anon_sym_short] = ACTIONS(2158),
    [anon_sym_LBRACK] = ACTIONS(2158),
    [anon_sym_static] = ACTIONS(2158),
    [anon_sym_register] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(2158),
    [anon_sym___inline] = ACTIONS(2158),
    [anon_sym___inline__] = ACTIONS(2158),
    [anon_sym___forceinline] = ACTIONS(2158),
    [anon_sym_thread_local] = ACTIONS(2158),
    [anon_sym___thread] = ACTIONS(2158),
    [anon_sym_const] = ACTIONS(2158),
    [anon_sym_constexpr] = ACTIONS(2158),
    [anon_sym_volatile] = ACTIONS(2158),
    [anon_sym_restrict] = ACTIONS(2158),
    [anon_sym___restrict__] = ACTIONS(2158),
    [anon_sym__Atomic] = ACTIONS(2158),
    [anon_sym__Noreturn] = ACTIONS(2158),
    [anon_sym_noreturn] = ACTIONS(2158),
    [anon_sym__Nonnull] = ACTIONS(2158),
    [anon_sym_mutable] = ACTIONS(2158),
    [anon_sym_constinit] = ACTIONS(2158),
    [anon_sym_consteval] = ACTIONS(2158),
    [anon_sym_alignas] = ACTIONS(2158),
    [anon_sym__Alignas] = ACTIONS(2158),
    [sym_primitive_type] = ACTIONS(2158),
    [anon_sym_enum] = ACTIONS(2158),
    [anon_sym_class] = ACTIONS(2158),
    [anon_sym_struct] = ACTIONS(2158),
    [anon_sym_union] = ACTIONS(2158),
    [anon_sym_if] = ACTIONS(2158),
    [anon_sym_else] = ACTIONS(2158),
    [anon_sym_switch] = ACTIONS(2158),
    [anon_sym_case] = ACTIONS(2158),
    [anon_sym_default] = ACTIONS(2158),
    [anon_sym_while] = ACTIONS(2158),
    [anon_sym_do] = ACTIONS(2158),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_return] = ACTIONS(2158),
    [anon_sym_break] = ACTIONS(2158),
    [anon_sym_continue] = ACTIONS(2158),
    [anon_sym_goto] = ACTIONS(2158),
    [anon_sym___try] = ACTIONS(2158),
    [anon_sym___leave] = ACTIONS(2158),
    [anon_sym_not] = ACTIONS(2158),
    [anon_sym_compl] = ACTIONS(2158),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_sizeof] = ACTIONS(2158),
    [anon_sym___alignof__] = ACTIONS(2158),
    [anon_sym___alignof] = ACTIONS(2158),
    [anon_sym__alignof] = ACTIONS(2158),
    [anon_sym_alignof] = ACTIONS(2158),
    [anon_sym__Alignof] = ACTIONS(2158),
    [anon_sym_offsetof] = ACTIONS(2158),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym___asm] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2160),
    [anon_sym_u_DQUOTE] = ACTIONS(2160),
    [anon_sym_U_DQUOTE] = ACTIONS(2160),
    [anon_sym_u8_DQUOTE] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [sym_true] = ACTIONS(2158),
    [sym_false] = ACTIONS(2158),
    [anon_sym_NULL] = ACTIONS(2158),
    [anon_sym_nullptr] = ACTIONS(2158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2158),
    [anon_sym_decltype] = ACTIONS(2158),
    [anon_sym_explicit] = ACTIONS(2158),
    [anon_sym_typename] = ACTIONS(2158),
    [anon_sym_template] = ACTIONS(2158),
    [anon_sym_operator] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2158),
    [anon_sym_delete] = ACTIONS(2158),
    [anon_sym_throw] = ACTIONS(2158),
    [anon_sym_namespace] = ACTIONS(2158),
    [anon_sym_using] = ACTIONS(2158),
    [anon_sym_static_assert] = ACTIONS(2158),
    [anon_sym_concept] = ACTIONS(2158),
    [anon_sym_co_return] = ACTIONS(2158),
    [anon_sym_co_yield] = ACTIONS(2158),
    [anon_sym_R_DQUOTE] = ACTIONS(2160),
    [anon_sym_LR_DQUOTE] = ACTIONS(2160),
    [anon_sym_uR_DQUOTE] = ACTIONS(2160),
    [anon_sym_UR_DQUOTE] = ACTIONS(2160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2160),
    [anon_sym_co_await] = ACTIONS(2158),
    [anon_sym_new] = ACTIONS(2158),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2158),
    [anon_sym_discard] = ACTIONS(2158),
    [anon_sym_precise] = ACTIONS(2158),
    [anon_sym_shared] = ACTIONS(2158),
    [anon_sym_groupshared] = ACTIONS(2158),
    [anon_sym_uniform] = ACTIONS(2158),
    [anon_sym_row_major] = ACTIONS(2158),
    [anon_sym_column_major] = ACTIONS(2158),
    [anon_sym_globallycoherent] = ACTIONS(2158),
    [anon_sym_centroid] = ACTIONS(2158),
    [anon_sym_noperspective] = ACTIONS(2158),
    [anon_sym_nointerpolation] = ACTIONS(2158),
    [anon_sym_sample] = ACTIONS(2158),
    [anon_sym_linear] = ACTIONS(2158),
    [anon_sym_snorm] = ACTIONS(2158),
    [anon_sym_unorm] = ACTIONS(2158),
    [anon_sym_point] = ACTIONS(2158),
    [anon_sym_line] = ACTIONS(2158),
    [anon_sym_triangleadj] = ACTIONS(2158),
    [anon_sym_lineadj] = ACTIONS(2158),
    [anon_sym_triangle] = ACTIONS(2158),
    [anon_sym_cbuffer] = ACTIONS(2158),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(2164),
    [sym_identifier] = ACTIONS(2162),
    [aux_sym_preproc_include_token1] = ACTIONS(2162),
    [aux_sym_preproc_def_token1] = ACTIONS(2162),
    [aux_sym_preproc_if_token1] = ACTIONS(2162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2162),
    [sym_preproc_directive] = ACTIONS(2162),
    [anon_sym_LPAREN2] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2164),
    [anon_sym_AMP_AMP] = ACTIONS(2164),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym___extension__] = ACTIONS(2162),
    [anon_sym_typedef] = ACTIONS(2162),
    [anon_sym_in] = ACTIONS(2162),
    [anon_sym_out] = ACTIONS(2162),
    [anon_sym_inout] = ACTIONS(2162),
    [anon_sym_virtual] = ACTIONS(2162),
    [anon_sym_extern] = ACTIONS(2162),
    [anon_sym___attribute__] = ACTIONS(2162),
    [anon_sym_COLON_COLON] = ACTIONS(2164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2164),
    [anon_sym___declspec] = ACTIONS(2162),
    [anon_sym___based] = ACTIONS(2162),
    [anon_sym___cdecl] = ACTIONS(2162),
    [anon_sym___clrcall] = ACTIONS(2162),
    [anon_sym___stdcall] = ACTIONS(2162),
    [anon_sym___fastcall] = ACTIONS(2162),
    [anon_sym___thiscall] = ACTIONS(2162),
    [anon_sym___vectorcall] = ACTIONS(2162),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_signed] = ACTIONS(2162),
    [anon_sym_unsigned] = ACTIONS(2162),
    [anon_sym_long] = ACTIONS(2162),
    [anon_sym_short] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_static] = ACTIONS(2162),
    [anon_sym_register] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(2162),
    [anon_sym___inline] = ACTIONS(2162),
    [anon_sym___inline__] = ACTIONS(2162),
    [anon_sym___forceinline] = ACTIONS(2162),
    [anon_sym_thread_local] = ACTIONS(2162),
    [anon_sym___thread] = ACTIONS(2162),
    [anon_sym_const] = ACTIONS(2162),
    [anon_sym_constexpr] = ACTIONS(2162),
    [anon_sym_volatile] = ACTIONS(2162),
    [anon_sym_restrict] = ACTIONS(2162),
    [anon_sym___restrict__] = ACTIONS(2162),
    [anon_sym__Atomic] = ACTIONS(2162),
    [anon_sym__Noreturn] = ACTIONS(2162),
    [anon_sym_noreturn] = ACTIONS(2162),
    [anon_sym__Nonnull] = ACTIONS(2162),
    [anon_sym_mutable] = ACTIONS(2162),
    [anon_sym_constinit] = ACTIONS(2162),
    [anon_sym_consteval] = ACTIONS(2162),
    [anon_sym_alignas] = ACTIONS(2162),
    [anon_sym__Alignas] = ACTIONS(2162),
    [sym_primitive_type] = ACTIONS(2162),
    [anon_sym_enum] = ACTIONS(2162),
    [anon_sym_class] = ACTIONS(2162),
    [anon_sym_struct] = ACTIONS(2162),
    [anon_sym_union] = ACTIONS(2162),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_else] = ACTIONS(2162),
    [anon_sym_switch] = ACTIONS(2162),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_do] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2162),
    [anon_sym_return] = ACTIONS(2162),
    [anon_sym_break] = ACTIONS(2162),
    [anon_sym_continue] = ACTIONS(2162),
    [anon_sym_goto] = ACTIONS(2162),
    [anon_sym___try] = ACTIONS(2162),
    [anon_sym___leave] = ACTIONS(2162),
    [anon_sym_not] = ACTIONS(2162),
    [anon_sym_compl] = ACTIONS(2162),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_sizeof] = ACTIONS(2162),
    [anon_sym___alignof__] = ACTIONS(2162),
    [anon_sym___alignof] = ACTIONS(2162),
    [anon_sym__alignof] = ACTIONS(2162),
    [anon_sym_alignof] = ACTIONS(2162),
    [anon_sym__Alignof] = ACTIONS(2162),
    [anon_sym_offsetof] = ACTIONS(2162),
    [anon_sym__Generic] = ACTIONS(2162),
    [anon_sym_asm] = ACTIONS(2162),
    [anon_sym___asm__] = ACTIONS(2162),
    [anon_sym___asm] = ACTIONS(2162),
    [sym_number_literal] = ACTIONS(2164),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2162),
    [sym_false] = ACTIONS(2162),
    [anon_sym_NULL] = ACTIONS(2162),
    [anon_sym_nullptr] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2162),
    [anon_sym_decltype] = ACTIONS(2162),
    [anon_sym_explicit] = ACTIONS(2162),
    [anon_sym_typename] = ACTIONS(2162),
    [anon_sym_template] = ACTIONS(2162),
    [anon_sym_operator] = ACTIONS(2162),
    [anon_sym_try] = ACTIONS(2162),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2162),
    [anon_sym_namespace] = ACTIONS(2162),
    [anon_sym_using] = ACTIONS(2162),
    [anon_sym_static_assert] = ACTIONS(2162),
    [anon_sym_concept] = ACTIONS(2162),
    [anon_sym_co_return] = ACTIONS(2162),
    [anon_sym_co_yield] = ACTIONS(2162),
    [anon_sym_R_DQUOTE] = ACTIONS(2164),
    [anon_sym_LR_DQUOTE] = ACTIONS(2164),
    [anon_sym_uR_DQUOTE] = ACTIONS(2164),
    [anon_sym_UR_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2164),
    [anon_sym_co_await] = ACTIONS(2162),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2162),
    [anon_sym_discard] = ACTIONS(2162),
    [anon_sym_precise] = ACTIONS(2162),
    [anon_sym_shared] = ACTIONS(2162),
    [anon_sym_groupshared] = ACTIONS(2162),
    [anon_sym_uniform] = ACTIONS(2162),
    [anon_sym_row_major] = ACTIONS(2162),
    [anon_sym_column_major] = ACTIONS(2162),
    [anon_sym_globallycoherent] = ACTIONS(2162),
    [anon_sym_centroid] = ACTIONS(2162),
    [anon_sym_noperspective] = ACTIONS(2162),
    [anon_sym_nointerpolation] = ACTIONS(2162),
    [anon_sym_sample] = ACTIONS(2162),
    [anon_sym_linear] = ACTIONS(2162),
    [anon_sym_snorm] = ACTIONS(2162),
    [anon_sym_unorm] = ACTIONS(2162),
    [anon_sym_point] = ACTIONS(2162),
    [anon_sym_line] = ACTIONS(2162),
    [anon_sym_triangleadj] = ACTIONS(2162),
    [anon_sym_lineadj] = ACTIONS(2162),
    [anon_sym_triangle] = ACTIONS(2162),
    [anon_sym_cbuffer] = ACTIONS(2162),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(2168),
    [sym_identifier] = ACTIONS(2166),
    [aux_sym_preproc_include_token1] = ACTIONS(2166),
    [aux_sym_preproc_def_token1] = ACTIONS(2166),
    [aux_sym_preproc_if_token1] = ACTIONS(2166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2166),
    [sym_preproc_directive] = ACTIONS(2166),
    [anon_sym_LPAREN2] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_STAR] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym___extension__] = ACTIONS(2166),
    [anon_sym_typedef] = ACTIONS(2166),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_out] = ACTIONS(2166),
    [anon_sym_inout] = ACTIONS(2166),
    [anon_sym_virtual] = ACTIONS(2166),
    [anon_sym_extern] = ACTIONS(2166),
    [anon_sym___attribute__] = ACTIONS(2166),
    [anon_sym_COLON_COLON] = ACTIONS(2168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2168),
    [anon_sym___declspec] = ACTIONS(2166),
    [anon_sym___based] = ACTIONS(2166),
    [anon_sym___cdecl] = ACTIONS(2166),
    [anon_sym___clrcall] = ACTIONS(2166),
    [anon_sym___stdcall] = ACTIONS(2166),
    [anon_sym___fastcall] = ACTIONS(2166),
    [anon_sym___thiscall] = ACTIONS(2166),
    [anon_sym___vectorcall] = ACTIONS(2166),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_signed] = ACTIONS(2166),
    [anon_sym_unsigned] = ACTIONS(2166),
    [anon_sym_long] = ACTIONS(2166),
    [anon_sym_short] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2166),
    [anon_sym_static] = ACTIONS(2166),
    [anon_sym_register] = ACTIONS(2166),
    [anon_sym_inline] = ACTIONS(2166),
    [anon_sym___inline] = ACTIONS(2166),
    [anon_sym___inline__] = ACTIONS(2166),
    [anon_sym___forceinline] = ACTIONS(2166),
    [anon_sym_thread_local] = ACTIONS(2166),
    [anon_sym___thread] = ACTIONS(2166),
    [anon_sym_const] = ACTIONS(2166),
    [anon_sym_constexpr] = ACTIONS(2166),
    [anon_sym_volatile] = ACTIONS(2166),
    [anon_sym_restrict] = ACTIONS(2166),
    [anon_sym___restrict__] = ACTIONS(2166),
    [anon_sym__Atomic] = ACTIONS(2166),
    [anon_sym__Noreturn] = ACTIONS(2166),
    [anon_sym_noreturn] = ACTIONS(2166),
    [anon_sym__Nonnull] = ACTIONS(2166),
    [anon_sym_mutable] = ACTIONS(2166),
    [anon_sym_constinit] = ACTIONS(2166),
    [anon_sym_consteval] = ACTIONS(2166),
    [anon_sym_alignas] = ACTIONS(2166),
    [anon_sym__Alignas] = ACTIONS(2166),
    [sym_primitive_type] = ACTIONS(2166),
    [anon_sym_enum] = ACTIONS(2166),
    [anon_sym_class] = ACTIONS(2166),
    [anon_sym_struct] = ACTIONS(2166),
    [anon_sym_union] = ACTIONS(2166),
    [anon_sym_if] = ACTIONS(2166),
    [anon_sym_else] = ACTIONS(2166),
    [anon_sym_switch] = ACTIONS(2166),
    [anon_sym_case] = ACTIONS(2166),
    [anon_sym_default] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(2166),
    [anon_sym_for] = ACTIONS(2166),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_break] = ACTIONS(2166),
    [anon_sym_continue] = ACTIONS(2166),
    [anon_sym_goto] = ACTIONS(2166),
    [anon_sym___try] = ACTIONS(2166),
    [anon_sym___leave] = ACTIONS(2166),
    [anon_sym_not] = ACTIONS(2166),
    [anon_sym_compl] = ACTIONS(2166),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_sizeof] = ACTIONS(2166),
    [anon_sym___alignof__] = ACTIONS(2166),
    [anon_sym___alignof] = ACTIONS(2166),
    [anon_sym__alignof] = ACTIONS(2166),
    [anon_sym_alignof] = ACTIONS(2166),
    [anon_sym__Alignof] = ACTIONS(2166),
    [anon_sym_offsetof] = ACTIONS(2166),
    [anon_sym__Generic] = ACTIONS(2166),
    [anon_sym_asm] = ACTIONS(2166),
    [anon_sym___asm__] = ACTIONS(2166),
    [anon_sym___asm] = ACTIONS(2166),
    [sym_number_literal] = ACTIONS(2168),
    [anon_sym_L_SQUOTE] = ACTIONS(2168),
    [anon_sym_u_SQUOTE] = ACTIONS(2168),
    [anon_sym_U_SQUOTE] = ACTIONS(2168),
    [anon_sym_u8_SQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_L_DQUOTE] = ACTIONS(2168),
    [anon_sym_u_DQUOTE] = ACTIONS(2168),
    [anon_sym_U_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8_DQUOTE] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2166),
    [anon_sym_decltype] = ACTIONS(2166),
    [anon_sym_explicit] = ACTIONS(2166),
    [anon_sym_typename] = ACTIONS(2166),
    [anon_sym_template] = ACTIONS(2166),
    [anon_sym_operator] = ACTIONS(2166),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_namespace] = ACTIONS(2166),
    [anon_sym_using] = ACTIONS(2166),
    [anon_sym_static_assert] = ACTIONS(2166),
    [anon_sym_concept] = ACTIONS(2166),
    [anon_sym_co_return] = ACTIONS(2166),
    [anon_sym_co_yield] = ACTIONS(2166),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(2166),
    [anon_sym_requires] = ACTIONS(2166),
    [sym_this] = ACTIONS(2166),
    [anon_sym_discard] = ACTIONS(2166),
    [anon_sym_precise] = ACTIONS(2166),
    [anon_sym_shared] = ACTIONS(2166),
    [anon_sym_groupshared] = ACTIONS(2166),
    [anon_sym_uniform] = ACTIONS(2166),
    [anon_sym_row_major] = ACTIONS(2166),
    [anon_sym_column_major] = ACTIONS(2166),
    [anon_sym_globallycoherent] = ACTIONS(2166),
    [anon_sym_centroid] = ACTIONS(2166),
    [anon_sym_noperspective] = ACTIONS(2166),
    [anon_sym_nointerpolation] = ACTIONS(2166),
    [anon_sym_sample] = ACTIONS(2166),
    [anon_sym_linear] = ACTIONS(2166),
    [anon_sym_snorm] = ACTIONS(2166),
    [anon_sym_unorm] = ACTIONS(2166),
    [anon_sym_point] = ACTIONS(2166),
    [anon_sym_line] = ACTIONS(2166),
    [anon_sym_triangleadj] = ACTIONS(2166),
    [anon_sym_lineadj] = ACTIONS(2166),
    [anon_sym_triangle] = ACTIONS(2166),
    [anon_sym_cbuffer] = ACTIONS(2166),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(2172),
    [sym_identifier] = ACTIONS(2170),
    [aux_sym_preproc_include_token1] = ACTIONS(2170),
    [aux_sym_preproc_def_token1] = ACTIONS(2170),
    [aux_sym_preproc_if_token1] = ACTIONS(2170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2170),
    [sym_preproc_directive] = ACTIONS(2170),
    [anon_sym_LPAREN2] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2172),
    [anon_sym_AMP_AMP] = ACTIONS(2172),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym___extension__] = ACTIONS(2170),
    [anon_sym_typedef] = ACTIONS(2170),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_out] = ACTIONS(2170),
    [anon_sym_inout] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(2170),
    [anon_sym_extern] = ACTIONS(2170),
    [anon_sym___attribute__] = ACTIONS(2170),
    [anon_sym_COLON_COLON] = ACTIONS(2172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2172),
    [anon_sym___declspec] = ACTIONS(2170),
    [anon_sym___based] = ACTIONS(2170),
    [anon_sym___cdecl] = ACTIONS(2170),
    [anon_sym___clrcall] = ACTIONS(2170),
    [anon_sym___stdcall] = ACTIONS(2170),
    [anon_sym___fastcall] = ACTIONS(2170),
    [anon_sym___thiscall] = ACTIONS(2170),
    [anon_sym___vectorcall] = ACTIONS(2170),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_signed] = ACTIONS(2170),
    [anon_sym_unsigned] = ACTIONS(2170),
    [anon_sym_long] = ACTIONS(2170),
    [anon_sym_short] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2170),
    [anon_sym_static] = ACTIONS(2170),
    [anon_sym_register] = ACTIONS(2170),
    [anon_sym_inline] = ACTIONS(2170),
    [anon_sym___inline] = ACTIONS(2170),
    [anon_sym___inline__] = ACTIONS(2170),
    [anon_sym___forceinline] = ACTIONS(2170),
    [anon_sym_thread_local] = ACTIONS(2170),
    [anon_sym___thread] = ACTIONS(2170),
    [anon_sym_const] = ACTIONS(2170),
    [anon_sym_constexpr] = ACTIONS(2170),
    [anon_sym_volatile] = ACTIONS(2170),
    [anon_sym_restrict] = ACTIONS(2170),
    [anon_sym___restrict__] = ACTIONS(2170),
    [anon_sym__Atomic] = ACTIONS(2170),
    [anon_sym__Noreturn] = ACTIONS(2170),
    [anon_sym_noreturn] = ACTIONS(2170),
    [anon_sym__Nonnull] = ACTIONS(2170),
    [anon_sym_mutable] = ACTIONS(2170),
    [anon_sym_constinit] = ACTIONS(2170),
    [anon_sym_consteval] = ACTIONS(2170),
    [anon_sym_alignas] = ACTIONS(2170),
    [anon_sym__Alignas] = ACTIONS(2170),
    [sym_primitive_type] = ACTIONS(2170),
    [anon_sym_enum] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(2170),
    [anon_sym_struct] = ACTIONS(2170),
    [anon_sym_union] = ACTIONS(2170),
    [anon_sym_if] = ACTIONS(2170),
    [anon_sym_else] = ACTIONS(2170),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_case] = ACTIONS(2170),
    [anon_sym_default] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2170),
    [anon_sym_do] = ACTIONS(2170),
    [anon_sym_for] = ACTIONS(2170),
    [anon_sym_return] = ACTIONS(2170),
    [anon_sym_break] = ACTIONS(2170),
    [anon_sym_continue] = ACTIONS(2170),
    [anon_sym_goto] = ACTIONS(2170),
    [anon_sym___try] = ACTIONS(2170),
    [anon_sym___leave] = ACTIONS(2170),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_compl] = ACTIONS(2170),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_sizeof] = ACTIONS(2170),
    [anon_sym___alignof__] = ACTIONS(2170),
    [anon_sym___alignof] = ACTIONS(2170),
    [anon_sym__alignof] = ACTIONS(2170),
    [anon_sym_alignof] = ACTIONS(2170),
    [anon_sym__Alignof] = ACTIONS(2170),
    [anon_sym_offsetof] = ACTIONS(2170),
    [anon_sym__Generic] = ACTIONS(2170),
    [anon_sym_asm] = ACTIONS(2170),
    [anon_sym___asm__] = ACTIONS(2170),
    [anon_sym___asm] = ACTIONS(2170),
    [sym_number_literal] = ACTIONS(2172),
    [anon_sym_L_SQUOTE] = ACTIONS(2172),
    [anon_sym_u_SQUOTE] = ACTIONS(2172),
    [anon_sym_U_SQUOTE] = ACTIONS(2172),
    [anon_sym_u8_SQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_L_DQUOTE] = ACTIONS(2172),
    [anon_sym_u_DQUOTE] = ACTIONS(2172),
    [anon_sym_U_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8_DQUOTE] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [sym_true] = ACTIONS(2170),
    [sym_false] = ACTIONS(2170),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2170),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_explicit] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(2170),
    [anon_sym_operator] = ACTIONS(2170),
    [anon_sym_try] = ACTIONS(2170),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_throw] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2170),
    [anon_sym_using] = ACTIONS(2170),
    [anon_sym_static_assert] = ACTIONS(2170),
    [anon_sym_concept] = ACTIONS(2170),
    [anon_sym_co_return] = ACTIONS(2170),
    [anon_sym_co_yield] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2170),
    [anon_sym_requires] = ACTIONS(2170),
    [sym_this] = ACTIONS(2170),
    [anon_sym_discard] = ACTIONS(2170),
    [anon_sym_precise] = ACTIONS(2170),
    [anon_sym_shared] = ACTIONS(2170),
    [anon_sym_groupshared] = ACTIONS(2170),
    [anon_sym_uniform] = ACTIONS(2170),
    [anon_sym_row_major] = ACTIONS(2170),
    [anon_sym_column_major] = ACTIONS(2170),
    [anon_sym_globallycoherent] = ACTIONS(2170),
    [anon_sym_centroid] = ACTIONS(2170),
    [anon_sym_noperspective] = ACTIONS(2170),
    [anon_sym_nointerpolation] = ACTIONS(2170),
    [anon_sym_sample] = ACTIONS(2170),
    [anon_sym_linear] = ACTIONS(2170),
    [anon_sym_snorm] = ACTIONS(2170),
    [anon_sym_unorm] = ACTIONS(2170),
    [anon_sym_point] = ACTIONS(2170),
    [anon_sym_line] = ACTIONS(2170),
    [anon_sym_triangleadj] = ACTIONS(2170),
    [anon_sym_lineadj] = ACTIONS(2170),
    [anon_sym_triangle] = ACTIONS(2170),
    [anon_sym_cbuffer] = ACTIONS(2170),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2158),
    [aux_sym_preproc_include_token1] = ACTIONS(2158),
    [aux_sym_preproc_def_token1] = ACTIONS(2158),
    [aux_sym_preproc_if_token1] = ACTIONS(2158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2158),
    [sym_preproc_directive] = ACTIONS(2158),
    [anon_sym_LPAREN2] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2158),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2158),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym___extension__] = ACTIONS(2158),
    [anon_sym_typedef] = ACTIONS(2158),
    [anon_sym_in] = ACTIONS(2158),
    [anon_sym_out] = ACTIONS(2158),
    [anon_sym_inout] = ACTIONS(2158),
    [anon_sym_virtual] = ACTIONS(2158),
    [anon_sym_extern] = ACTIONS(2158),
    [anon_sym___attribute__] = ACTIONS(2158),
    [anon_sym_COLON_COLON] = ACTIONS(2160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2160),
    [anon_sym___declspec] = ACTIONS(2158),
    [anon_sym___based] = ACTIONS(2158),
    [anon_sym___cdecl] = ACTIONS(2158),
    [anon_sym___clrcall] = ACTIONS(2158),
    [anon_sym___stdcall] = ACTIONS(2158),
    [anon_sym___fastcall] = ACTIONS(2158),
    [anon_sym___thiscall] = ACTIONS(2158),
    [anon_sym___vectorcall] = ACTIONS(2158),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_signed] = ACTIONS(2158),
    [anon_sym_unsigned] = ACTIONS(2158),
    [anon_sym_long] = ACTIONS(2158),
    [anon_sym_short] = ACTIONS(2158),
    [anon_sym_LBRACK] = ACTIONS(2158),
    [anon_sym_static] = ACTIONS(2158),
    [anon_sym_register] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(2158),
    [anon_sym___inline] = ACTIONS(2158),
    [anon_sym___inline__] = ACTIONS(2158),
    [anon_sym___forceinline] = ACTIONS(2158),
    [anon_sym_thread_local] = ACTIONS(2158),
    [anon_sym___thread] = ACTIONS(2158),
    [anon_sym_const] = ACTIONS(2158),
    [anon_sym_constexpr] = ACTIONS(2158),
    [anon_sym_volatile] = ACTIONS(2158),
    [anon_sym_restrict] = ACTIONS(2158),
    [anon_sym___restrict__] = ACTIONS(2158),
    [anon_sym__Atomic] = ACTIONS(2158),
    [anon_sym__Noreturn] = ACTIONS(2158),
    [anon_sym_noreturn] = ACTIONS(2158),
    [anon_sym__Nonnull] = ACTIONS(2158),
    [anon_sym_mutable] = ACTIONS(2158),
    [anon_sym_constinit] = ACTIONS(2158),
    [anon_sym_consteval] = ACTIONS(2158),
    [anon_sym_alignas] = ACTIONS(2158),
    [anon_sym__Alignas] = ACTIONS(2158),
    [sym_primitive_type] = ACTIONS(2158),
    [anon_sym_enum] = ACTIONS(2158),
    [anon_sym_class] = ACTIONS(2158),
    [anon_sym_struct] = ACTIONS(2158),
    [anon_sym_union] = ACTIONS(2158),
    [anon_sym_if] = ACTIONS(2158),
    [anon_sym_else] = ACTIONS(2158),
    [anon_sym_switch] = ACTIONS(2158),
    [anon_sym_case] = ACTIONS(2158),
    [anon_sym_default] = ACTIONS(2158),
    [anon_sym_while] = ACTIONS(2158),
    [anon_sym_do] = ACTIONS(2158),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_return] = ACTIONS(2158),
    [anon_sym_break] = ACTIONS(2158),
    [anon_sym_continue] = ACTIONS(2158),
    [anon_sym_goto] = ACTIONS(2158),
    [anon_sym___try] = ACTIONS(2158),
    [anon_sym___leave] = ACTIONS(2158),
    [anon_sym_not] = ACTIONS(2158),
    [anon_sym_compl] = ACTIONS(2158),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_sizeof] = ACTIONS(2158),
    [anon_sym___alignof__] = ACTIONS(2158),
    [anon_sym___alignof] = ACTIONS(2158),
    [anon_sym__alignof] = ACTIONS(2158),
    [anon_sym_alignof] = ACTIONS(2158),
    [anon_sym__Alignof] = ACTIONS(2158),
    [anon_sym_offsetof] = ACTIONS(2158),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym___asm] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2160),
    [anon_sym_u_DQUOTE] = ACTIONS(2160),
    [anon_sym_U_DQUOTE] = ACTIONS(2160),
    [anon_sym_u8_DQUOTE] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [sym_true] = ACTIONS(2158),
    [sym_false] = ACTIONS(2158),
    [anon_sym_NULL] = ACTIONS(2158),
    [anon_sym_nullptr] = ACTIONS(2158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2158),
    [anon_sym_decltype] = ACTIONS(2158),
    [anon_sym_explicit] = ACTIONS(2158),
    [anon_sym_typename] = ACTIONS(2158),
    [anon_sym_template] = ACTIONS(2158),
    [anon_sym_operator] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2158),
    [anon_sym_delete] = ACTIONS(2158),
    [anon_sym_throw] = ACTIONS(2158),
    [anon_sym_namespace] = ACTIONS(2158),
    [anon_sym_using] = ACTIONS(2158),
    [anon_sym_static_assert] = ACTIONS(2158),
    [anon_sym_concept] = ACTIONS(2158),
    [anon_sym_co_return] = ACTIONS(2158),
    [anon_sym_co_yield] = ACTIONS(2158),
    [anon_sym_R_DQUOTE] = ACTIONS(2160),
    [anon_sym_LR_DQUOTE] = ACTIONS(2160),
    [anon_sym_uR_DQUOTE] = ACTIONS(2160),
    [anon_sym_UR_DQUOTE] = ACTIONS(2160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2160),
    [anon_sym_co_await] = ACTIONS(2158),
    [anon_sym_new] = ACTIONS(2158),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2158),
    [anon_sym_discard] = ACTIONS(2158),
    [anon_sym_precise] = ACTIONS(2158),
    [anon_sym_shared] = ACTIONS(2158),
    [anon_sym_groupshared] = ACTIONS(2158),
    [anon_sym_uniform] = ACTIONS(2158),
    [anon_sym_row_major] = ACTIONS(2158),
    [anon_sym_column_major] = ACTIONS(2158),
    [anon_sym_globallycoherent] = ACTIONS(2158),
    [anon_sym_centroid] = ACTIONS(2158),
    [anon_sym_noperspective] = ACTIONS(2158),
    [anon_sym_nointerpolation] = ACTIONS(2158),
    [anon_sym_sample] = ACTIONS(2158),
    [anon_sym_linear] = ACTIONS(2158),
    [anon_sym_snorm] = ACTIONS(2158),
    [anon_sym_unorm] = ACTIONS(2158),
    [anon_sym_point] = ACTIONS(2158),
    [anon_sym_line] = ACTIONS(2158),
    [anon_sym_triangleadj] = ACTIONS(2158),
    [anon_sym_lineadj] = ACTIONS(2158),
    [anon_sym_triangle] = ACTIONS(2158),
    [anon_sym_cbuffer] = ACTIONS(2158),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(2262),
    [sym_identifier] = ACTIONS(2260),
    [aux_sym_preproc_include_token1] = ACTIONS(2260),
    [aux_sym_preproc_def_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token1] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2260),
    [sym_preproc_directive] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2260),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2260),
    [anon_sym_typedef] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_out] = ACTIONS(2260),
    [anon_sym_inout] = ACTIONS(2260),
    [anon_sym_virtual] = ACTIONS(2260),
    [anon_sym_extern] = ACTIONS(2260),
    [anon_sym___attribute__] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2262),
    [anon_sym___declspec] = ACTIONS(2260),
    [anon_sym___based] = ACTIONS(2260),
    [anon_sym___cdecl] = ACTIONS(2260),
    [anon_sym___clrcall] = ACTIONS(2260),
    [anon_sym___stdcall] = ACTIONS(2260),
    [anon_sym___fastcall] = ACTIONS(2260),
    [anon_sym___thiscall] = ACTIONS(2260),
    [anon_sym___vectorcall] = ACTIONS(2260),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_signed] = ACTIONS(2260),
    [anon_sym_unsigned] = ACTIONS(2260),
    [anon_sym_long] = ACTIONS(2260),
    [anon_sym_short] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_register] = ACTIONS(2260),
    [anon_sym_inline] = ACTIONS(2260),
    [anon_sym___inline] = ACTIONS(2260),
    [anon_sym___inline__] = ACTIONS(2260),
    [anon_sym___forceinline] = ACTIONS(2260),
    [anon_sym_thread_local] = ACTIONS(2260),
    [anon_sym___thread] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2260),
    [anon_sym_constexpr] = ACTIONS(2260),
    [anon_sym_volatile] = ACTIONS(2260),
    [anon_sym_restrict] = ACTIONS(2260),
    [anon_sym___restrict__] = ACTIONS(2260),
    [anon_sym__Atomic] = ACTIONS(2260),
    [anon_sym__Noreturn] = ACTIONS(2260),
    [anon_sym_noreturn] = ACTIONS(2260),
    [anon_sym__Nonnull] = ACTIONS(2260),
    [anon_sym_mutable] = ACTIONS(2260),
    [anon_sym_constinit] = ACTIONS(2260),
    [anon_sym_consteval] = ACTIONS(2260),
    [anon_sym_alignas] = ACTIONS(2260),
    [anon_sym__Alignas] = ACTIONS(2260),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2260),
    [anon_sym_struct] = ACTIONS(2260),
    [anon_sym_union] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_else] = ACTIONS(2260),
    [anon_sym_switch] = ACTIONS(2260),
    [anon_sym_case] = ACTIONS(2260),
    [anon_sym_default] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2260),
    [anon_sym_do] = ACTIONS(2260),
    [anon_sym_for] = ACTIONS(2260),
    [anon_sym_return] = ACTIONS(2260),
    [anon_sym_break] = ACTIONS(2260),
    [anon_sym_continue] = ACTIONS(2260),
    [anon_sym_goto] = ACTIONS(2260),
    [anon_sym___try] = ACTIONS(2260),
    [anon_sym___leave] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2260),
    [anon_sym___alignof] = ACTIONS(2260),
    [anon_sym__alignof] = ACTIONS(2260),
    [anon_sym_alignof] = ACTIONS(2260),
    [anon_sym__Alignof] = ACTIONS(2260),
    [anon_sym_offsetof] = ACTIONS(2260),
    [anon_sym__Generic] = ACTIONS(2260),
    [anon_sym_asm] = ACTIONS(2260),
    [anon_sym___asm__] = ACTIONS(2260),
    [anon_sym___asm] = ACTIONS(2260),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2262),
    [anon_sym_u_SQUOTE] = ACTIONS(2262),
    [anon_sym_U_SQUOTE] = ACTIONS(2262),
    [anon_sym_u8_SQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_L_DQUOTE] = ACTIONS(2262),
    [anon_sym_u_DQUOTE] = ACTIONS(2262),
    [anon_sym_U_DQUOTE] = ACTIONS(2262),
    [anon_sym_u8_DQUOTE] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [sym_true] = ACTIONS(2260),
    [sym_false] = ACTIONS(2260),
    [anon_sym_NULL] = ACTIONS(2260),
    [anon_sym_nullptr] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2260),
    [anon_sym_decltype] = ACTIONS(2260),
    [anon_sym_explicit] = ACTIONS(2260),
    [anon_sym_typename] = ACTIONS(2260),
    [anon_sym_template] = ACTIONS(2260),
    [anon_sym_operator] = ACTIONS(2260),
    [anon_sym_try] = ACTIONS(2260),
    [anon_sym_delete] = ACTIONS(2260),
    [anon_sym_throw] = ACTIONS(2260),
    [anon_sym_namespace] = ACTIONS(2260),
    [anon_sym_using] = ACTIONS(2260),
    [anon_sym_static_assert] = ACTIONS(2260),
    [anon_sym_concept] = ACTIONS(2260),
    [anon_sym_co_return] = ACTIONS(2260),
    [anon_sym_co_yield] = ACTIONS(2260),
    [anon_sym_R_DQUOTE] = ACTIONS(2262),
    [anon_sym_LR_DQUOTE] = ACTIONS(2262),
    [anon_sym_uR_DQUOTE] = ACTIONS(2262),
    [anon_sym_UR_DQUOTE] = ACTIONS(2262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2262),
    [anon_sym_co_await] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2260),
    [anon_sym_requires] = ACTIONS(2260),
    [sym_this] = ACTIONS(2260),
    [anon_sym_discard] = ACTIONS(2260),
    [anon_sym_precise] = ACTIONS(2260),
    [anon_sym_shared] = ACTIONS(2260),
    [anon_sym_groupshared] = ACTIONS(2260),
    [anon_sym_uniform] = ACTIONS(2260),
    [anon_sym_row_major] = ACTIONS(2260),
    [anon_sym_column_major] = ACTIONS(2260),
    [anon_sym_globallycoherent] = ACTIONS(2260),
    [anon_sym_centroid] = ACTIONS(2260),
    [anon_sym_noperspective] = ACTIONS(2260),
    [anon_sym_nointerpolation] = ACTIONS(2260),
    [anon_sym_sample] = ACTIONS(2260),
    [anon_sym_linear] = ACTIONS(2260),
    [anon_sym_snorm] = ACTIONS(2260),
    [anon_sym_unorm] = ACTIONS(2260),
    [anon_sym_point] = ACTIONS(2260),
    [anon_sym_line] = ACTIONS(2260),
    [anon_sym_triangleadj] = ACTIONS(2260),
    [anon_sym_lineadj] = ACTIONS(2260),
    [anon_sym_triangle] = ACTIONS(2260),
    [anon_sym_cbuffer] = ACTIONS(2260),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2162),
    [aux_sym_preproc_include_token1] = ACTIONS(2162),
    [aux_sym_preproc_def_token1] = ACTIONS(2162),
    [aux_sym_preproc_if_token1] = ACTIONS(2162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2162),
    [sym_preproc_directive] = ACTIONS(2162),
    [anon_sym_LPAREN2] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2164),
    [anon_sym_AMP_AMP] = ACTIONS(2164),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym___extension__] = ACTIONS(2162),
    [anon_sym_typedef] = ACTIONS(2162),
    [anon_sym_in] = ACTIONS(2162),
    [anon_sym_out] = ACTIONS(2162),
    [anon_sym_inout] = ACTIONS(2162),
    [anon_sym_virtual] = ACTIONS(2162),
    [anon_sym_extern] = ACTIONS(2162),
    [anon_sym___attribute__] = ACTIONS(2162),
    [anon_sym_COLON_COLON] = ACTIONS(2164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2164),
    [anon_sym___declspec] = ACTIONS(2162),
    [anon_sym___based] = ACTIONS(2162),
    [anon_sym___cdecl] = ACTIONS(2162),
    [anon_sym___clrcall] = ACTIONS(2162),
    [anon_sym___stdcall] = ACTIONS(2162),
    [anon_sym___fastcall] = ACTIONS(2162),
    [anon_sym___thiscall] = ACTIONS(2162),
    [anon_sym___vectorcall] = ACTIONS(2162),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [anon_sym_signed] = ACTIONS(2162),
    [anon_sym_unsigned] = ACTIONS(2162),
    [anon_sym_long] = ACTIONS(2162),
    [anon_sym_short] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_static] = ACTIONS(2162),
    [anon_sym_register] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(2162),
    [anon_sym___inline] = ACTIONS(2162),
    [anon_sym___inline__] = ACTIONS(2162),
    [anon_sym___forceinline] = ACTIONS(2162),
    [anon_sym_thread_local] = ACTIONS(2162),
    [anon_sym___thread] = ACTIONS(2162),
    [anon_sym_const] = ACTIONS(2162),
    [anon_sym_constexpr] = ACTIONS(2162),
    [anon_sym_volatile] = ACTIONS(2162),
    [anon_sym_restrict] = ACTIONS(2162),
    [anon_sym___restrict__] = ACTIONS(2162),
    [anon_sym__Atomic] = ACTIONS(2162),
    [anon_sym__Noreturn] = ACTIONS(2162),
    [anon_sym_noreturn] = ACTIONS(2162),
    [anon_sym__Nonnull] = ACTIONS(2162),
    [anon_sym_mutable] = ACTIONS(2162),
    [anon_sym_constinit] = ACTIONS(2162),
    [anon_sym_consteval] = ACTIONS(2162),
    [anon_sym_alignas] = ACTIONS(2162),
    [anon_sym__Alignas] = ACTIONS(2162),
    [sym_primitive_type] = ACTIONS(2162),
    [anon_sym_enum] = ACTIONS(2162),
    [anon_sym_class] = ACTIONS(2162),
    [anon_sym_struct] = ACTIONS(2162),
    [anon_sym_union] = ACTIONS(2162),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_else] = ACTIONS(2162),
    [anon_sym_switch] = ACTIONS(2162),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_do] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2162),
    [anon_sym_return] = ACTIONS(2162),
    [anon_sym_break] = ACTIONS(2162),
    [anon_sym_continue] = ACTIONS(2162),
    [anon_sym_goto] = ACTIONS(2162),
    [anon_sym___try] = ACTIONS(2162),
    [anon_sym___leave] = ACTIONS(2162),
    [anon_sym_not] = ACTIONS(2162),
    [anon_sym_compl] = ACTIONS(2162),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_sizeof] = ACTIONS(2162),
    [anon_sym___alignof__] = ACTIONS(2162),
    [anon_sym___alignof] = ACTIONS(2162),
    [anon_sym__alignof] = ACTIONS(2162),
    [anon_sym_alignof] = ACTIONS(2162),
    [anon_sym__Alignof] = ACTIONS(2162),
    [anon_sym_offsetof] = ACTIONS(2162),
    [anon_sym__Generic] = ACTIONS(2162),
    [anon_sym_asm] = ACTIONS(2162),
    [anon_sym___asm__] = ACTIONS(2162),
    [anon_sym___asm] = ACTIONS(2162),
    [sym_number_literal] = ACTIONS(2164),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2162),
    [sym_false] = ACTIONS(2162),
    [anon_sym_NULL] = ACTIONS(2162),
    [anon_sym_nullptr] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2162),
    [anon_sym_decltype] = ACTIONS(2162),
    [anon_sym_explicit] = ACTIONS(2162),
    [anon_sym_typename] = ACTIONS(2162),
    [anon_sym_template] = ACTIONS(2162),
    [anon_sym_operator] = ACTIONS(2162),
    [anon_sym_try] = ACTIONS(2162),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2162),
    [anon_sym_namespace] = ACTIONS(2162),
    [anon_sym_using] = ACTIONS(2162),
    [anon_sym_static_assert] = ACTIONS(2162),
    [anon_sym_concept] = ACTIONS(2162),
    [anon_sym_co_return] = ACTIONS(2162),
    [anon_sym_co_yield] = ACTIONS(2162),
    [anon_sym_R_DQUOTE] = ACTIONS(2164),
    [anon_sym_LR_DQUOTE] = ACTIONS(2164),
    [anon_sym_uR_DQUOTE] = ACTIONS(2164),
    [anon_sym_UR_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2164),
    [anon_sym_co_await] = ACTIONS(2162),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2162),
    [anon_sym_discard] = ACTIONS(2162),
    [anon_sym_precise] = ACTIONS(2162),
    [anon_sym_shared] = ACTIONS(2162),
    [anon_sym_groupshared] = ACTIONS(2162),
    [anon_sym_uniform] = ACTIONS(2162),
    [anon_sym_row_major] = ACTIONS(2162),
    [anon_sym_column_major] = ACTIONS(2162),
    [anon_sym_globallycoherent] = ACTIONS(2162),
    [anon_sym_centroid] = ACTIONS(2162),
    [anon_sym_noperspective] = ACTIONS(2162),
    [anon_sym_nointerpolation] = ACTIONS(2162),
    [anon_sym_sample] = ACTIONS(2162),
    [anon_sym_linear] = ACTIONS(2162),
    [anon_sym_snorm] = ACTIONS(2162),
    [anon_sym_unorm] = ACTIONS(2162),
    [anon_sym_point] = ACTIONS(2162),
    [anon_sym_line] = ACTIONS(2162),
    [anon_sym_triangleadj] = ACTIONS(2162),
    [anon_sym_lineadj] = ACTIONS(2162),
    [anon_sym_triangle] = ACTIONS(2162),
    [anon_sym_cbuffer] = ACTIONS(2162),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2272),
    [aux_sym_preproc_include_token1] = ACTIONS(2272),
    [aux_sym_preproc_def_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2272),
    [sym_preproc_directive] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2272),
    [anon_sym_typedef] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2272),
    [anon_sym_out] = ACTIONS(2272),
    [anon_sym_inout] = ACTIONS(2272),
    [anon_sym_virtual] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym___attribute__] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2274),
    [anon_sym___declspec] = ACTIONS(2272),
    [anon_sym___based] = ACTIONS(2272),
    [anon_sym___cdecl] = ACTIONS(2272),
    [anon_sym___clrcall] = ACTIONS(2272),
    [anon_sym___stdcall] = ACTIONS(2272),
    [anon_sym___fastcall] = ACTIONS(2272),
    [anon_sym___thiscall] = ACTIONS(2272),
    [anon_sym___vectorcall] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2272),
    [anon_sym_unsigned] = ACTIONS(2272),
    [anon_sym_long] = ACTIONS(2272),
    [anon_sym_short] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_register] = ACTIONS(2272),
    [anon_sym_inline] = ACTIONS(2272),
    [anon_sym___inline] = ACTIONS(2272),
    [anon_sym___inline__] = ACTIONS(2272),
    [anon_sym___forceinline] = ACTIONS(2272),
    [anon_sym_thread_local] = ACTIONS(2272),
    [anon_sym___thread] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_constexpr] = ACTIONS(2272),
    [anon_sym_volatile] = ACTIONS(2272),
    [anon_sym_restrict] = ACTIONS(2272),
    [anon_sym___restrict__] = ACTIONS(2272),
    [anon_sym__Atomic] = ACTIONS(2272),
    [anon_sym__Noreturn] = ACTIONS(2272),
    [anon_sym_noreturn] = ACTIONS(2272),
    [anon_sym__Nonnull] = ACTIONS(2272),
    [anon_sym_mutable] = ACTIONS(2272),
    [anon_sym_constinit] = ACTIONS(2272),
    [anon_sym_consteval] = ACTIONS(2272),
    [anon_sym_alignas] = ACTIONS(2272),
    [anon_sym__Alignas] = ACTIONS(2272),
    [sym_primitive_type] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_goto] = ACTIONS(2272),
    [anon_sym___try] = ACTIONS(2272),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_compl] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2272),
    [anon_sym___alignof] = ACTIONS(2272),
    [anon_sym__alignof] = ACTIONS(2272),
    [anon_sym_alignof] = ACTIONS(2272),
    [anon_sym__Alignof] = ACTIONS(2272),
    [anon_sym_offsetof] = ACTIONS(2272),
    [anon_sym__Generic] = ACTIONS(2272),
    [anon_sym_asm] = ACTIONS(2272),
    [anon_sym___asm__] = ACTIONS(2272),
    [anon_sym___asm] = ACTIONS(2272),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2274),
    [anon_sym_u_DQUOTE] = ACTIONS(2274),
    [anon_sym_U_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8_DQUOTE] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [anon_sym_NULL] = ACTIONS(2272),
    [anon_sym_nullptr] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2272),
    [anon_sym_decltype] = ACTIONS(2272),
    [anon_sym_explicit] = ACTIONS(2272),
    [anon_sym_typename] = ACTIONS(2272),
    [anon_sym_template] = ACTIONS(2272),
    [anon_sym_operator] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_static_assert] = ACTIONS(2272),
    [anon_sym_concept] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2272),
    [anon_sym_co_yield] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2274),
    [anon_sym_LR_DQUOTE] = ACTIONS(2274),
    [anon_sym_uR_DQUOTE] = ACTIONS(2274),
    [anon_sym_UR_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2274),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_requires] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [anon_sym_discard] = ACTIONS(2272),
    [anon_sym_precise] = ACTIONS(2272),
    [anon_sym_shared] = ACTIONS(2272),
    [anon_sym_groupshared] = ACTIONS(2272),
    [anon_sym_uniform] = ACTIONS(2272),
    [anon_sym_row_major] = ACTIONS(2272),
    [anon_sym_column_major] = ACTIONS(2272),
    [anon_sym_globallycoherent] = ACTIONS(2272),
    [anon_sym_centroid] = ACTIONS(2272),
    [anon_sym_noperspective] = ACTIONS(2272),
    [anon_sym_nointerpolation] = ACTIONS(2272),
    [anon_sym_sample] = ACTIONS(2272),
    [anon_sym_linear] = ACTIONS(2272),
    [anon_sym_snorm] = ACTIONS(2272),
    [anon_sym_unorm] = ACTIONS(2272),
    [anon_sym_point] = ACTIONS(2272),
    [anon_sym_line] = ACTIONS(2272),
    [anon_sym_triangleadj] = ACTIONS(2272),
    [anon_sym_lineadj] = ACTIONS(2272),
    [anon_sym_triangle] = ACTIONS(2272),
    [anon_sym_cbuffer] = ACTIONS(2272),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(2176),
    [sym_identifier] = ACTIONS(2174),
    [aux_sym_preproc_include_token1] = ACTIONS(2174),
    [aux_sym_preproc_def_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token1] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2174),
    [sym_preproc_directive] = ACTIONS(2174),
    [anon_sym_LPAREN2] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(2174),
    [anon_sym_typedef] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_out] = ACTIONS(2174),
    [anon_sym_inout] = ACTIONS(2174),
    [anon_sym_virtual] = ACTIONS(2174),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym___attribute__] = ACTIONS(2174),
    [anon_sym_COLON_COLON] = ACTIONS(2176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2176),
    [anon_sym___declspec] = ACTIONS(2174),
    [anon_sym___based] = ACTIONS(2174),
    [anon_sym___cdecl] = ACTIONS(2174),
    [anon_sym___clrcall] = ACTIONS(2174),
    [anon_sym___stdcall] = ACTIONS(2174),
    [anon_sym___fastcall] = ACTIONS(2174),
    [anon_sym___thiscall] = ACTIONS(2174),
    [anon_sym___vectorcall] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_signed] = ACTIONS(2174),
    [anon_sym_unsigned] = ACTIONS(2174),
    [anon_sym_long] = ACTIONS(2174),
    [anon_sym_short] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_register] = ACTIONS(2174),
    [anon_sym_inline] = ACTIONS(2174),
    [anon_sym___inline] = ACTIONS(2174),
    [anon_sym___inline__] = ACTIONS(2174),
    [anon_sym___forceinline] = ACTIONS(2174),
    [anon_sym_thread_local] = ACTIONS(2174),
    [anon_sym___thread] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_constexpr] = ACTIONS(2174),
    [anon_sym_volatile] = ACTIONS(2174),
    [anon_sym_restrict] = ACTIONS(2174),
    [anon_sym___restrict__] = ACTIONS(2174),
    [anon_sym__Atomic] = ACTIONS(2174),
    [anon_sym__Noreturn] = ACTIONS(2174),
    [anon_sym_noreturn] = ACTIONS(2174),
    [anon_sym__Nonnull] = ACTIONS(2174),
    [anon_sym_mutable] = ACTIONS(2174),
    [anon_sym_constinit] = ACTIONS(2174),
    [anon_sym_consteval] = ACTIONS(2174),
    [anon_sym_alignas] = ACTIONS(2174),
    [anon_sym__Alignas] = ACTIONS(2174),
    [sym_primitive_type] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_struct] = ACTIONS(2174),
    [anon_sym_union] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_case] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_goto] = ACTIONS(2174),
    [anon_sym___try] = ACTIONS(2174),
    [anon_sym___leave] = ACTIONS(2174),
    [anon_sym_not] = ACTIONS(2174),
    [anon_sym_compl] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_sizeof] = ACTIONS(2174),
    [anon_sym___alignof__] = ACTIONS(2174),
    [anon_sym___alignof] = ACTIONS(2174),
    [anon_sym__alignof] = ACTIONS(2174),
    [anon_sym_alignof] = ACTIONS(2174),
    [anon_sym__Alignof] = ACTIONS(2174),
    [anon_sym_offsetof] = ACTIONS(2174),
    [anon_sym__Generic] = ACTIONS(2174),
    [anon_sym_asm] = ACTIONS(2174),
    [anon_sym___asm__] = ACTIONS(2174),
    [anon_sym___asm] = ACTIONS(2174),
    [sym_number_literal] = ACTIONS(2176),
    [anon_sym_L_SQUOTE] = ACTIONS(2176),
    [anon_sym_u_SQUOTE] = ACTIONS(2176),
    [anon_sym_U_SQUOTE] = ACTIONS(2176),
    [anon_sym_u8_SQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_L_DQUOTE] = ACTIONS(2176),
    [anon_sym_u_DQUOTE] = ACTIONS(2176),
    [anon_sym_U_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8_DQUOTE] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [anon_sym_NULL] = ACTIONS(2174),
    [anon_sym_nullptr] = ACTIONS(2174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2174),
    [anon_sym_decltype] = ACTIONS(2174),
    [anon_sym_explicit] = ACTIONS(2174),
    [anon_sym_typename] = ACTIONS(2174),
    [anon_sym_template] = ACTIONS(2174),
    [anon_sym_operator] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_static_assert] = ACTIONS(2174),
    [anon_sym_concept] = ACTIONS(2174),
    [anon_sym_co_return] = ACTIONS(2174),
    [anon_sym_co_yield] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [anon_sym_discard] = ACTIONS(2174),
    [anon_sym_precise] = ACTIONS(2174),
    [anon_sym_shared] = ACTIONS(2174),
    [anon_sym_groupshared] = ACTIONS(2174),
    [anon_sym_uniform] = ACTIONS(2174),
    [anon_sym_row_major] = ACTIONS(2174),
    [anon_sym_column_major] = ACTIONS(2174),
    [anon_sym_globallycoherent] = ACTIONS(2174),
    [anon_sym_centroid] = ACTIONS(2174),
    [anon_sym_noperspective] = ACTIONS(2174),
    [anon_sym_nointerpolation] = ACTIONS(2174),
    [anon_sym_sample] = ACTIONS(2174),
    [anon_sym_linear] = ACTIONS(2174),
    [anon_sym_snorm] = ACTIONS(2174),
    [anon_sym_unorm] = ACTIONS(2174),
    [anon_sym_point] = ACTIONS(2174),
    [anon_sym_line] = ACTIONS(2174),
    [anon_sym_triangleadj] = ACTIONS(2174),
    [anon_sym_lineadj] = ACTIONS(2174),
    [anon_sym_triangle] = ACTIONS(2174),
    [anon_sym_cbuffer] = ACTIONS(2174),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2280),
    [aux_sym_preproc_include_token1] = ACTIONS(2280),
    [aux_sym_preproc_def_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2280),
    [sym_preproc_directive] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2280),
    [anon_sym_typedef] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2280),
    [anon_sym_out] = ACTIONS(2280),
    [anon_sym_inout] = ACTIONS(2280),
    [anon_sym_virtual] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym___attribute__] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2282),
    [anon_sym___declspec] = ACTIONS(2280),
    [anon_sym___based] = ACTIONS(2280),
    [anon_sym___cdecl] = ACTIONS(2280),
    [anon_sym___clrcall] = ACTIONS(2280),
    [anon_sym___stdcall] = ACTIONS(2280),
    [anon_sym___fastcall] = ACTIONS(2280),
    [anon_sym___thiscall] = ACTIONS(2280),
    [anon_sym___vectorcall] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2280),
    [anon_sym_unsigned] = ACTIONS(2280),
    [anon_sym_long] = ACTIONS(2280),
    [anon_sym_short] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_register] = ACTIONS(2280),
    [anon_sym_inline] = ACTIONS(2280),
    [anon_sym___inline] = ACTIONS(2280),
    [anon_sym___inline__] = ACTIONS(2280),
    [anon_sym___forceinline] = ACTIONS(2280),
    [anon_sym_thread_local] = ACTIONS(2280),
    [anon_sym___thread] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_constexpr] = ACTIONS(2280),
    [anon_sym_volatile] = ACTIONS(2280),
    [anon_sym_restrict] = ACTIONS(2280),
    [anon_sym___restrict__] = ACTIONS(2280),
    [anon_sym__Atomic] = ACTIONS(2280),
    [anon_sym__Noreturn] = ACTIONS(2280),
    [anon_sym_noreturn] = ACTIONS(2280),
    [anon_sym__Nonnull] = ACTIONS(2280),
    [anon_sym_mutable] = ACTIONS(2280),
    [anon_sym_constinit] = ACTIONS(2280),
    [anon_sym_consteval] = ACTIONS(2280),
    [anon_sym_alignas] = ACTIONS(2280),
    [anon_sym__Alignas] = ACTIONS(2280),
    [sym_primitive_type] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2280),
    [anon_sym___try] = ACTIONS(2280),
    [anon_sym___leave] = ACTIONS(2280),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_compl] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2282),
    [anon_sym_sizeof] = ACTIONS(2280),
    [anon_sym___alignof__] = ACTIONS(2280),
    [anon_sym___alignof] = ACTIONS(2280),
    [anon_sym__alignof] = ACTIONS(2280),
    [anon_sym_alignof] = ACTIONS(2280),
    [anon_sym__Alignof] = ACTIONS(2280),
    [anon_sym_offsetof] = ACTIONS(2280),
    [anon_sym__Generic] = ACTIONS(2280),
    [anon_sym_asm] = ACTIONS(2280),
    [anon_sym___asm__] = ACTIONS(2280),
    [anon_sym___asm] = ACTIONS(2280),
    [sym_number_literal] = ACTIONS(2282),
    [anon_sym_L_SQUOTE] = ACTIONS(2282),
    [anon_sym_u_SQUOTE] = ACTIONS(2282),
    [anon_sym_U_SQUOTE] = ACTIONS(2282),
    [anon_sym_u8_SQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2282),
    [anon_sym_L_DQUOTE] = ACTIONS(2282),
    [anon_sym_u_DQUOTE] = ACTIONS(2282),
    [anon_sym_U_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8_DQUOTE] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [anon_sym_NULL] = ACTIONS(2280),
    [anon_sym_nullptr] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2280),
    [anon_sym_decltype] = ACTIONS(2280),
    [anon_sym_explicit] = ACTIONS(2280),
    [anon_sym_typename] = ACTIONS(2280),
    [anon_sym_template] = ACTIONS(2280),
    [anon_sym_operator] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_static_assert] = ACTIONS(2280),
    [anon_sym_concept] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2280),
    [anon_sym_co_yield] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_requires] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [anon_sym_discard] = ACTIONS(2280),
    [anon_sym_precise] = ACTIONS(2280),
    [anon_sym_shared] = ACTIONS(2280),
    [anon_sym_groupshared] = ACTIONS(2280),
    [anon_sym_uniform] = ACTIONS(2280),
    [anon_sym_row_major] = ACTIONS(2280),
    [anon_sym_column_major] = ACTIONS(2280),
    [anon_sym_globallycoherent] = ACTIONS(2280),
    [anon_sym_centroid] = ACTIONS(2280),
    [anon_sym_noperspective] = ACTIONS(2280),
    [anon_sym_nointerpolation] = ACTIONS(2280),
    [anon_sym_sample] = ACTIONS(2280),
    [anon_sym_linear] = ACTIONS(2280),
    [anon_sym_snorm] = ACTIONS(2280),
    [anon_sym_unorm] = ACTIONS(2280),
    [anon_sym_point] = ACTIONS(2280),
    [anon_sym_line] = ACTIONS(2280),
    [anon_sym_triangleadj] = ACTIONS(2280),
    [anon_sym_lineadj] = ACTIONS(2280),
    [anon_sym_triangle] = ACTIONS(2280),
    [anon_sym_cbuffer] = ACTIONS(2280),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2178),
    [aux_sym_preproc_include_token1] = ACTIONS(2178),
    [aux_sym_preproc_def_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2178),
    [sym_preproc_directive] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym__Nonnull] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym__Alignas] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [anon_sym___asm] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_explicit] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_static_assert] = ACTIONS(2178),
    [anon_sym_concept] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2166),
    [aux_sym_preproc_include_token1] = ACTIONS(2166),
    [aux_sym_preproc_def_token1] = ACTIONS(2166),
    [aux_sym_preproc_if_token1] = ACTIONS(2166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2166),
    [sym_preproc_directive] = ACTIONS(2166),
    [anon_sym_LPAREN2] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_STAR] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym___extension__] = ACTIONS(2166),
    [anon_sym_typedef] = ACTIONS(2166),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_out] = ACTIONS(2166),
    [anon_sym_inout] = ACTIONS(2166),
    [anon_sym_virtual] = ACTIONS(2166),
    [anon_sym_extern] = ACTIONS(2166),
    [anon_sym___attribute__] = ACTIONS(2166),
    [anon_sym_COLON_COLON] = ACTIONS(2168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2168),
    [anon_sym___declspec] = ACTIONS(2166),
    [anon_sym___based] = ACTIONS(2166),
    [anon_sym___cdecl] = ACTIONS(2166),
    [anon_sym___clrcall] = ACTIONS(2166),
    [anon_sym___stdcall] = ACTIONS(2166),
    [anon_sym___fastcall] = ACTIONS(2166),
    [anon_sym___thiscall] = ACTIONS(2166),
    [anon_sym___vectorcall] = ACTIONS(2166),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_signed] = ACTIONS(2166),
    [anon_sym_unsigned] = ACTIONS(2166),
    [anon_sym_long] = ACTIONS(2166),
    [anon_sym_short] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2166),
    [anon_sym_static] = ACTIONS(2166),
    [anon_sym_register] = ACTIONS(2166),
    [anon_sym_inline] = ACTIONS(2166),
    [anon_sym___inline] = ACTIONS(2166),
    [anon_sym___inline__] = ACTIONS(2166),
    [anon_sym___forceinline] = ACTIONS(2166),
    [anon_sym_thread_local] = ACTIONS(2166),
    [anon_sym___thread] = ACTIONS(2166),
    [anon_sym_const] = ACTIONS(2166),
    [anon_sym_constexpr] = ACTIONS(2166),
    [anon_sym_volatile] = ACTIONS(2166),
    [anon_sym_restrict] = ACTIONS(2166),
    [anon_sym___restrict__] = ACTIONS(2166),
    [anon_sym__Atomic] = ACTIONS(2166),
    [anon_sym__Noreturn] = ACTIONS(2166),
    [anon_sym_noreturn] = ACTIONS(2166),
    [anon_sym__Nonnull] = ACTIONS(2166),
    [anon_sym_mutable] = ACTIONS(2166),
    [anon_sym_constinit] = ACTIONS(2166),
    [anon_sym_consteval] = ACTIONS(2166),
    [anon_sym_alignas] = ACTIONS(2166),
    [anon_sym__Alignas] = ACTIONS(2166),
    [sym_primitive_type] = ACTIONS(2166),
    [anon_sym_enum] = ACTIONS(2166),
    [anon_sym_class] = ACTIONS(2166),
    [anon_sym_struct] = ACTIONS(2166),
    [anon_sym_union] = ACTIONS(2166),
    [anon_sym_if] = ACTIONS(2166),
    [anon_sym_else] = ACTIONS(2166),
    [anon_sym_switch] = ACTIONS(2166),
    [anon_sym_case] = ACTIONS(2166),
    [anon_sym_default] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(2166),
    [anon_sym_for] = ACTIONS(2166),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_break] = ACTIONS(2166),
    [anon_sym_continue] = ACTIONS(2166),
    [anon_sym_goto] = ACTIONS(2166),
    [anon_sym___try] = ACTIONS(2166),
    [anon_sym___leave] = ACTIONS(2166),
    [anon_sym_not] = ACTIONS(2166),
    [anon_sym_compl] = ACTIONS(2166),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_sizeof] = ACTIONS(2166),
    [anon_sym___alignof__] = ACTIONS(2166),
    [anon_sym___alignof] = ACTIONS(2166),
    [anon_sym__alignof] = ACTIONS(2166),
    [anon_sym_alignof] = ACTIONS(2166),
    [anon_sym__Alignof] = ACTIONS(2166),
    [anon_sym_offsetof] = ACTIONS(2166),
    [anon_sym__Generic] = ACTIONS(2166),
    [anon_sym_asm] = ACTIONS(2166),
    [anon_sym___asm__] = ACTIONS(2166),
    [anon_sym___asm] = ACTIONS(2166),
    [sym_number_literal] = ACTIONS(2168),
    [anon_sym_L_SQUOTE] = ACTIONS(2168),
    [anon_sym_u_SQUOTE] = ACTIONS(2168),
    [anon_sym_U_SQUOTE] = ACTIONS(2168),
    [anon_sym_u8_SQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_L_DQUOTE] = ACTIONS(2168),
    [anon_sym_u_DQUOTE] = ACTIONS(2168),
    [anon_sym_U_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8_DQUOTE] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2166),
    [anon_sym_decltype] = ACTIONS(2166),
    [anon_sym_explicit] = ACTIONS(2166),
    [anon_sym_typename] = ACTIONS(2166),
    [anon_sym_template] = ACTIONS(2166),
    [anon_sym_operator] = ACTIONS(2166),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_namespace] = ACTIONS(2166),
    [anon_sym_using] = ACTIONS(2166),
    [anon_sym_static_assert] = ACTIONS(2166),
    [anon_sym_concept] = ACTIONS(2166),
    [anon_sym_co_return] = ACTIONS(2166),
    [anon_sym_co_yield] = ACTIONS(2166),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(2166),
    [anon_sym_requires] = ACTIONS(2166),
    [sym_this] = ACTIONS(2166),
    [anon_sym_discard] = ACTIONS(2166),
    [anon_sym_precise] = ACTIONS(2166),
    [anon_sym_shared] = ACTIONS(2166),
    [anon_sym_groupshared] = ACTIONS(2166),
    [anon_sym_uniform] = ACTIONS(2166),
    [anon_sym_row_major] = ACTIONS(2166),
    [anon_sym_column_major] = ACTIONS(2166),
    [anon_sym_globallycoherent] = ACTIONS(2166),
    [anon_sym_centroid] = ACTIONS(2166),
    [anon_sym_noperspective] = ACTIONS(2166),
    [anon_sym_nointerpolation] = ACTIONS(2166),
    [anon_sym_sample] = ACTIONS(2166),
    [anon_sym_linear] = ACTIONS(2166),
    [anon_sym_snorm] = ACTIONS(2166),
    [anon_sym_unorm] = ACTIONS(2166),
    [anon_sym_point] = ACTIONS(2166),
    [anon_sym_line] = ACTIONS(2166),
    [anon_sym_triangleadj] = ACTIONS(2166),
    [anon_sym_lineadj] = ACTIONS(2166),
    [anon_sym_triangle] = ACTIONS(2166),
    [anon_sym_cbuffer] = ACTIONS(2166),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(2258),
    [sym_identifier] = ACTIONS(2256),
    [aux_sym_preproc_include_token1] = ACTIONS(2256),
    [aux_sym_preproc_def_token1] = ACTIONS(2256),
    [aux_sym_preproc_if_token1] = ACTIONS(2256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2256),
    [sym_preproc_directive] = ACTIONS(2256),
    [anon_sym_LPAREN2] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2256),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym___extension__] = ACTIONS(2256),
    [anon_sym_typedef] = ACTIONS(2256),
    [anon_sym_in] = ACTIONS(2256),
    [anon_sym_out] = ACTIONS(2256),
    [anon_sym_inout] = ACTIONS(2256),
    [anon_sym_virtual] = ACTIONS(2256),
    [anon_sym_extern] = ACTIONS(2256),
    [anon_sym___attribute__] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2258),
    [anon_sym___declspec] = ACTIONS(2256),
    [anon_sym___based] = ACTIONS(2256),
    [anon_sym___cdecl] = ACTIONS(2256),
    [anon_sym___clrcall] = ACTIONS(2256),
    [anon_sym___stdcall] = ACTIONS(2256),
    [anon_sym___fastcall] = ACTIONS(2256),
    [anon_sym___thiscall] = ACTIONS(2256),
    [anon_sym___vectorcall] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_signed] = ACTIONS(2256),
    [anon_sym_unsigned] = ACTIONS(2256),
    [anon_sym_long] = ACTIONS(2256),
    [anon_sym_short] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2256),
    [anon_sym_register] = ACTIONS(2256),
    [anon_sym_inline] = ACTIONS(2256),
    [anon_sym___inline] = ACTIONS(2256),
    [anon_sym___inline__] = ACTIONS(2256),
    [anon_sym___forceinline] = ACTIONS(2256),
    [anon_sym_thread_local] = ACTIONS(2256),
    [anon_sym___thread] = ACTIONS(2256),
    [anon_sym_const] = ACTIONS(2256),
    [anon_sym_constexpr] = ACTIONS(2256),
    [anon_sym_volatile] = ACTIONS(2256),
    [anon_sym_restrict] = ACTIONS(2256),
    [anon_sym___restrict__] = ACTIONS(2256),
    [anon_sym__Atomic] = ACTIONS(2256),
    [anon_sym__Noreturn] = ACTIONS(2256),
    [anon_sym_noreturn] = ACTIONS(2256),
    [anon_sym__Nonnull] = ACTIONS(2256),
    [anon_sym_mutable] = ACTIONS(2256),
    [anon_sym_constinit] = ACTIONS(2256),
    [anon_sym_consteval] = ACTIONS(2256),
    [anon_sym_alignas] = ACTIONS(2256),
    [anon_sym__Alignas] = ACTIONS(2256),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_enum] = ACTIONS(2256),
    [anon_sym_class] = ACTIONS(2256),
    [anon_sym_struct] = ACTIONS(2256),
    [anon_sym_union] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_else] = ACTIONS(2256),
    [anon_sym_switch] = ACTIONS(2256),
    [anon_sym_case] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2256),
    [anon_sym_for] = ACTIONS(2256),
    [anon_sym_return] = ACTIONS(2256),
    [anon_sym_break] = ACTIONS(2256),
    [anon_sym_continue] = ACTIONS(2256),
    [anon_sym_goto] = ACTIONS(2256),
    [anon_sym___try] = ACTIONS(2256),
    [anon_sym___leave] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2256),
    [anon_sym_compl] = ACTIONS(2256),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_sizeof] = ACTIONS(2256),
    [anon_sym___alignof__] = ACTIONS(2256),
    [anon_sym___alignof] = ACTIONS(2256),
    [anon_sym__alignof] = ACTIONS(2256),
    [anon_sym_alignof] = ACTIONS(2256),
    [anon_sym__Alignof] = ACTIONS(2256),
    [anon_sym_offsetof] = ACTIONS(2256),
    [anon_sym__Generic] = ACTIONS(2256),
    [anon_sym_asm] = ACTIONS(2256),
    [anon_sym___asm__] = ACTIONS(2256),
    [anon_sym___asm] = ACTIONS(2256),
    [sym_number_literal] = ACTIONS(2258),
    [anon_sym_L_SQUOTE] = ACTIONS(2258),
    [anon_sym_u_SQUOTE] = ACTIONS(2258),
    [anon_sym_U_SQUOTE] = ACTIONS(2258),
    [anon_sym_u8_SQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_L_DQUOTE] = ACTIONS(2258),
    [anon_sym_u_DQUOTE] = ACTIONS(2258),
    [anon_sym_U_DQUOTE] = ACTIONS(2258),
    [anon_sym_u8_DQUOTE] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [sym_true] = ACTIONS(2256),
    [sym_false] = ACTIONS(2256),
    [anon_sym_NULL] = ACTIONS(2256),
    [anon_sym_nullptr] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2256),
    [anon_sym_decltype] = ACTIONS(2256),
    [anon_sym_explicit] = ACTIONS(2256),
    [anon_sym_typename] = ACTIONS(2256),
    [anon_sym_template] = ACTIONS(2256),
    [anon_sym_operator] = ACTIONS(2256),
    [anon_sym_try] = ACTIONS(2256),
    [anon_sym_delete] = ACTIONS(2256),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_namespace] = ACTIONS(2256),
    [anon_sym_using] = ACTIONS(2256),
    [anon_sym_static_assert] = ACTIONS(2256),
    [anon_sym_concept] = ACTIONS(2256),
    [anon_sym_co_return] = ACTIONS(2256),
    [anon_sym_co_yield] = ACTIONS(2256),
    [anon_sym_R_DQUOTE] = ACTIONS(2258),
    [anon_sym_LR_DQUOTE] = ACTIONS(2258),
    [anon_sym_uR_DQUOTE] = ACTIONS(2258),
    [anon_sym_UR_DQUOTE] = ACTIONS(2258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2258),
    [anon_sym_co_await] = ACTIONS(2256),
    [anon_sym_new] = ACTIONS(2256),
    [anon_sym_requires] = ACTIONS(2256),
    [sym_this] = ACTIONS(2256),
    [anon_sym_discard] = ACTIONS(2256),
    [anon_sym_precise] = ACTIONS(2256),
    [anon_sym_shared] = ACTIONS(2256),
    [anon_sym_groupshared] = ACTIONS(2256),
    [anon_sym_uniform] = ACTIONS(2256),
    [anon_sym_row_major] = ACTIONS(2256),
    [anon_sym_column_major] = ACTIONS(2256),
    [anon_sym_globallycoherent] = ACTIONS(2256),
    [anon_sym_centroid] = ACTIONS(2256),
    [anon_sym_noperspective] = ACTIONS(2256),
    [anon_sym_nointerpolation] = ACTIONS(2256),
    [anon_sym_sample] = ACTIONS(2256),
    [anon_sym_linear] = ACTIONS(2256),
    [anon_sym_snorm] = ACTIONS(2256),
    [anon_sym_unorm] = ACTIONS(2256),
    [anon_sym_point] = ACTIONS(2256),
    [anon_sym_line] = ACTIONS(2256),
    [anon_sym_triangleadj] = ACTIONS(2256),
    [anon_sym_lineadj] = ACTIONS(2256),
    [anon_sym_triangle] = ACTIONS(2256),
    [anon_sym_cbuffer] = ACTIONS(2256),
  },
  [528] = {
    [sym_identifier] = ACTIONS(2351),
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2353),
    [anon_sym_TILDE] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_PLUS] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(2353),
    [anon_sym_AMP_AMP] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2353),
    [anon_sym___extension__] = ACTIONS(2351),
    [anon_sym_typedef] = ACTIONS(2351),
    [anon_sym_in] = ACTIONS(2351),
    [anon_sym_out] = ACTIONS(2351),
    [anon_sym_inout] = ACTIONS(2351),
    [anon_sym_virtual] = ACTIONS(2351),
    [anon_sym_extern] = ACTIONS(2351),
    [anon_sym___attribute__] = ACTIONS(2351),
    [anon_sym_COLON_COLON] = ACTIONS(2353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2353),
    [anon_sym___declspec] = ACTIONS(2351),
    [anon_sym___based] = ACTIONS(2351),
    [anon_sym___cdecl] = ACTIONS(2351),
    [anon_sym___clrcall] = ACTIONS(2351),
    [anon_sym___stdcall] = ACTIONS(2351),
    [anon_sym___fastcall] = ACTIONS(2351),
    [anon_sym___thiscall] = ACTIONS(2351),
    [anon_sym___vectorcall] = ACTIONS(2351),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_RBRACE] = ACTIONS(2353),
    [anon_sym_signed] = ACTIONS(2351),
    [anon_sym_unsigned] = ACTIONS(2351),
    [anon_sym_long] = ACTIONS(2351),
    [anon_sym_short] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_register] = ACTIONS(2351),
    [anon_sym_inline] = ACTIONS(2351),
    [anon_sym___inline] = ACTIONS(2351),
    [anon_sym___inline__] = ACTIONS(2351),
    [anon_sym___forceinline] = ACTIONS(2351),
    [anon_sym_thread_local] = ACTIONS(2351),
    [anon_sym___thread] = ACTIONS(2351),
    [anon_sym_const] = ACTIONS(2351),
    [anon_sym_constexpr] = ACTIONS(2351),
    [anon_sym_volatile] = ACTIONS(2351),
    [anon_sym_restrict] = ACTIONS(2351),
    [anon_sym___restrict__] = ACTIONS(2351),
    [anon_sym__Atomic] = ACTIONS(2351),
    [anon_sym__Noreturn] = ACTIONS(2351),
    [anon_sym_noreturn] = ACTIONS(2351),
    [anon_sym__Nonnull] = ACTIONS(2351),
    [anon_sym_mutable] = ACTIONS(2351),
    [anon_sym_constinit] = ACTIONS(2351),
    [anon_sym_consteval] = ACTIONS(2351),
    [anon_sym_alignas] = ACTIONS(2351),
    [anon_sym__Alignas] = ACTIONS(2351),
    [sym_primitive_type] = ACTIONS(2351),
    [anon_sym_enum] = ACTIONS(2351),
    [anon_sym_class] = ACTIONS(2351),
    [anon_sym_struct] = ACTIONS(2351),
    [anon_sym_union] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_case] = ACTIONS(2351),
    [anon_sym_default] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_do] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_return] = ACTIONS(2351),
    [anon_sym_break] = ACTIONS(2351),
    [anon_sym_continue] = ACTIONS(2351),
    [anon_sym_goto] = ACTIONS(2351),
    [anon_sym___try] = ACTIONS(2351),
    [anon_sym___leave] = ACTIONS(2351),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_compl] = ACTIONS(2351),
    [anon_sym_DASH_DASH] = ACTIONS(2353),
    [anon_sym_PLUS_PLUS] = ACTIONS(2353),
    [anon_sym_sizeof] = ACTIONS(2351),
    [anon_sym___alignof__] = ACTIONS(2351),
    [anon_sym___alignof] = ACTIONS(2351),
    [anon_sym__alignof] = ACTIONS(2351),
    [anon_sym_alignof] = ACTIONS(2351),
    [anon_sym__Alignof] = ACTIONS(2351),
    [anon_sym_offsetof] = ACTIONS(2351),
    [anon_sym__Generic] = ACTIONS(2351),
    [anon_sym_asm] = ACTIONS(2351),
    [anon_sym___asm__] = ACTIONS(2351),
    [anon_sym___asm] = ACTIONS(2351),
    [sym_number_literal] = ACTIONS(2353),
    [anon_sym_L_SQUOTE] = ACTIONS(2353),
    [anon_sym_u_SQUOTE] = ACTIONS(2353),
    [anon_sym_U_SQUOTE] = ACTIONS(2353),
    [anon_sym_u8_SQUOTE] = ACTIONS(2353),
    [anon_sym_SQUOTE] = ACTIONS(2353),
    [anon_sym_L_DQUOTE] = ACTIONS(2353),
    [anon_sym_u_DQUOTE] = ACTIONS(2353),
    [anon_sym_U_DQUOTE] = ACTIONS(2353),
    [anon_sym_u8_DQUOTE] = ACTIONS(2353),
    [anon_sym_DQUOTE] = ACTIONS(2353),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [anon_sym_NULL] = ACTIONS(2351),
    [anon_sym_nullptr] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2351),
    [anon_sym_decltype] = ACTIONS(2351),
    [anon_sym_explicit] = ACTIONS(2351),
    [anon_sym_typename] = ACTIONS(2351),
    [anon_sym_template] = ACTIONS(2351),
    [anon_sym_operator] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2351),
    [anon_sym_delete] = ACTIONS(2351),
    [anon_sym_throw] = ACTIONS(2351),
    [anon_sym_namespace] = ACTIONS(2351),
    [anon_sym_using] = ACTIONS(2351),
    [anon_sym_static_assert] = ACTIONS(2351),
    [anon_sym_concept] = ACTIONS(2351),
    [anon_sym_co_return] = ACTIONS(2351),
    [anon_sym_co_yield] = ACTIONS(2351),
    [anon_sym_R_DQUOTE] = ACTIONS(2353),
    [anon_sym_LR_DQUOTE] = ACTIONS(2353),
    [anon_sym_uR_DQUOTE] = ACTIONS(2353),
    [anon_sym_UR_DQUOTE] = ACTIONS(2353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2353),
    [anon_sym_co_await] = ACTIONS(2351),
    [anon_sym_new] = ACTIONS(2351),
    [anon_sym_requires] = ACTIONS(2351),
    [sym_this] = ACTIONS(2351),
    [anon_sym_discard] = ACTIONS(2351),
    [anon_sym_precise] = ACTIONS(2351),
    [anon_sym_shared] = ACTIONS(2351),
    [anon_sym_groupshared] = ACTIONS(2351),
    [anon_sym_uniform] = ACTIONS(2351),
    [anon_sym_row_major] = ACTIONS(2351),
    [anon_sym_column_major] = ACTIONS(2351),
    [anon_sym_globallycoherent] = ACTIONS(2351),
    [anon_sym_centroid] = ACTIONS(2351),
    [anon_sym_noperspective] = ACTIONS(2351),
    [anon_sym_nointerpolation] = ACTIONS(2351),
    [anon_sym_sample] = ACTIONS(2351),
    [anon_sym_linear] = ACTIONS(2351),
    [anon_sym_snorm] = ACTIONS(2351),
    [anon_sym_unorm] = ACTIONS(2351),
    [anon_sym_point] = ACTIONS(2351),
    [anon_sym_line] = ACTIONS(2351),
    [anon_sym_triangleadj] = ACTIONS(2351),
    [anon_sym_lineadj] = ACTIONS(2351),
    [anon_sym_triangle] = ACTIONS(2351),
    [anon_sym_cbuffer] = ACTIONS(2351),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(2188),
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym__Nonnull] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym__Alignas] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [anon_sym___asm] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2190),
    [aux_sym_preproc_include_token1] = ACTIONS(2190),
    [aux_sym_preproc_def_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2190),
    [sym_preproc_directive] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(2190),
    [anon_sym___cdecl] = ACTIONS(2190),
    [anon_sym___clrcall] = ACTIONS(2190),
    [anon_sym___stdcall] = ACTIONS(2190),
    [anon_sym___fastcall] = ACTIONS(2190),
    [anon_sym___thiscall] = ACTIONS(2190),
    [anon_sym___vectorcall] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym__Nonnull] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym__Alignas] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [anon_sym___asm] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_explicit] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_operator] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_static_assert] = ACTIONS(2190),
    [anon_sym_concept] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2194),
    [aux_sym_preproc_include_token1] = ACTIONS(2194),
    [aux_sym_preproc_def_token1] = ACTIONS(2194),
    [aux_sym_preproc_if_token1] = ACTIONS(2194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2194),
    [sym_preproc_directive] = ACTIONS(2194),
    [anon_sym_LPAREN2] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym___extension__] = ACTIONS(2194),
    [anon_sym_typedef] = ACTIONS(2194),
    [anon_sym_in] = ACTIONS(2194),
    [anon_sym_out] = ACTIONS(2194),
    [anon_sym_inout] = ACTIONS(2194),
    [anon_sym_virtual] = ACTIONS(2194),
    [anon_sym_extern] = ACTIONS(2194),
    [anon_sym___attribute__] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2196),
    [anon_sym___declspec] = ACTIONS(2194),
    [anon_sym___based] = ACTIONS(2194),
    [anon_sym___cdecl] = ACTIONS(2194),
    [anon_sym___clrcall] = ACTIONS(2194),
    [anon_sym___stdcall] = ACTIONS(2194),
    [anon_sym___fastcall] = ACTIONS(2194),
    [anon_sym___thiscall] = ACTIONS(2194),
    [anon_sym___vectorcall] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_signed] = ACTIONS(2194),
    [anon_sym_unsigned] = ACTIONS(2194),
    [anon_sym_long] = ACTIONS(2194),
    [anon_sym_short] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_register] = ACTIONS(2194),
    [anon_sym_inline] = ACTIONS(2194),
    [anon_sym___inline] = ACTIONS(2194),
    [anon_sym___inline__] = ACTIONS(2194),
    [anon_sym___forceinline] = ACTIONS(2194),
    [anon_sym_thread_local] = ACTIONS(2194),
    [anon_sym___thread] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_constexpr] = ACTIONS(2194),
    [anon_sym_volatile] = ACTIONS(2194),
    [anon_sym_restrict] = ACTIONS(2194),
    [anon_sym___restrict__] = ACTIONS(2194),
    [anon_sym__Atomic] = ACTIONS(2194),
    [anon_sym__Noreturn] = ACTIONS(2194),
    [anon_sym_noreturn] = ACTIONS(2194),
    [anon_sym__Nonnull] = ACTIONS(2194),
    [anon_sym_mutable] = ACTIONS(2194),
    [anon_sym_constinit] = ACTIONS(2194),
    [anon_sym_consteval] = ACTIONS(2194),
    [anon_sym_alignas] = ACTIONS(2194),
    [anon_sym__Alignas] = ACTIONS(2194),
    [sym_primitive_type] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_struct] = ACTIONS(2194),
    [anon_sym_union] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_else] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_case] = ACTIONS(2194),
    [anon_sym_default] = ACTIONS(2194),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_goto] = ACTIONS(2194),
    [anon_sym___try] = ACTIONS(2194),
    [anon_sym___leave] = ACTIONS(2194),
    [anon_sym_not] = ACTIONS(2194),
    [anon_sym_compl] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2194),
    [anon_sym___alignof] = ACTIONS(2194),
    [anon_sym__alignof] = ACTIONS(2194),
    [anon_sym_alignof] = ACTIONS(2194),
    [anon_sym__Alignof] = ACTIONS(2194),
    [anon_sym_offsetof] = ACTIONS(2194),
    [anon_sym__Generic] = ACTIONS(2194),
    [anon_sym_asm] = ACTIONS(2194),
    [anon_sym___asm__] = ACTIONS(2194),
    [anon_sym___asm] = ACTIONS(2194),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [anon_sym_NULL] = ACTIONS(2194),
    [anon_sym_nullptr] = ACTIONS(2194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2194),
    [anon_sym_decltype] = ACTIONS(2194),
    [anon_sym_explicit] = ACTIONS(2194),
    [anon_sym_typename] = ACTIONS(2194),
    [anon_sym_template] = ACTIONS(2194),
    [anon_sym_operator] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_static_assert] = ACTIONS(2194),
    [anon_sym_concept] = ACTIONS(2194),
    [anon_sym_co_return] = ACTIONS(2194),
    [anon_sym_co_yield] = ACTIONS(2194),
    [anon_sym_R_DQUOTE] = ACTIONS(2196),
    [anon_sym_LR_DQUOTE] = ACTIONS(2196),
    [anon_sym_uR_DQUOTE] = ACTIONS(2196),
    [anon_sym_UR_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2196),
    [anon_sym_co_await] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_requires] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [anon_sym_discard] = ACTIONS(2194),
    [anon_sym_precise] = ACTIONS(2194),
    [anon_sym_shared] = ACTIONS(2194),
    [anon_sym_groupshared] = ACTIONS(2194),
    [anon_sym_uniform] = ACTIONS(2194),
    [anon_sym_row_major] = ACTIONS(2194),
    [anon_sym_column_major] = ACTIONS(2194),
    [anon_sym_globallycoherent] = ACTIONS(2194),
    [anon_sym_centroid] = ACTIONS(2194),
    [anon_sym_noperspective] = ACTIONS(2194),
    [anon_sym_nointerpolation] = ACTIONS(2194),
    [anon_sym_sample] = ACTIONS(2194),
    [anon_sym_linear] = ACTIONS(2194),
    [anon_sym_snorm] = ACTIONS(2194),
    [anon_sym_unorm] = ACTIONS(2194),
    [anon_sym_point] = ACTIONS(2194),
    [anon_sym_line] = ACTIONS(2194),
    [anon_sym_triangleadj] = ACTIONS(2194),
    [anon_sym_lineadj] = ACTIONS(2194),
    [anon_sym_triangle] = ACTIONS(2194),
    [anon_sym_cbuffer] = ACTIONS(2194),
  },
  [532] = {
    [sym_identifier] = ACTIONS(2198),
    [aux_sym_preproc_include_token1] = ACTIONS(2198),
    [aux_sym_preproc_def_token1] = ACTIONS(2198),
    [aux_sym_preproc_if_token1] = ACTIONS(2198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2198),
    [sym_preproc_directive] = ACTIONS(2198),
    [anon_sym_LPAREN2] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_PLUS] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2198),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2198),
    [anon_sym_typedef] = ACTIONS(2198),
    [anon_sym_in] = ACTIONS(2198),
    [anon_sym_out] = ACTIONS(2198),
    [anon_sym_inout] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2198),
    [anon_sym_extern] = ACTIONS(2198),
    [anon_sym___attribute__] = ACTIONS(2198),
    [anon_sym_COLON_COLON] = ACTIONS(2200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2200),
    [anon_sym___declspec] = ACTIONS(2198),
    [anon_sym___based] = ACTIONS(2198),
    [anon_sym___cdecl] = ACTIONS(2198),
    [anon_sym___clrcall] = ACTIONS(2198),
    [anon_sym___stdcall] = ACTIONS(2198),
    [anon_sym___fastcall] = ACTIONS(2198),
    [anon_sym___thiscall] = ACTIONS(2198),
    [anon_sym___vectorcall] = ACTIONS(2198),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_signed] = ACTIONS(2198),
    [anon_sym_unsigned] = ACTIONS(2198),
    [anon_sym_long] = ACTIONS(2198),
    [anon_sym_short] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [anon_sym_static] = ACTIONS(2198),
    [anon_sym_register] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(2198),
    [anon_sym___inline] = ACTIONS(2198),
    [anon_sym___inline__] = ACTIONS(2198),
    [anon_sym___forceinline] = ACTIONS(2198),
    [anon_sym_thread_local] = ACTIONS(2198),
    [anon_sym___thread] = ACTIONS(2198),
    [anon_sym_const] = ACTIONS(2198),
    [anon_sym_constexpr] = ACTIONS(2198),
    [anon_sym_volatile] = ACTIONS(2198),
    [anon_sym_restrict] = ACTIONS(2198),
    [anon_sym___restrict__] = ACTIONS(2198),
    [anon_sym__Atomic] = ACTIONS(2198),
    [anon_sym__Noreturn] = ACTIONS(2198),
    [anon_sym_noreturn] = ACTIONS(2198),
    [anon_sym__Nonnull] = ACTIONS(2198),
    [anon_sym_mutable] = ACTIONS(2198),
    [anon_sym_constinit] = ACTIONS(2198),
    [anon_sym_consteval] = ACTIONS(2198),
    [anon_sym_alignas] = ACTIONS(2198),
    [anon_sym__Alignas] = ACTIONS(2198),
    [sym_primitive_type] = ACTIONS(2198),
    [anon_sym_enum] = ACTIONS(2198),
    [anon_sym_class] = ACTIONS(2198),
    [anon_sym_struct] = ACTIONS(2198),
    [anon_sym_union] = ACTIONS(2198),
    [anon_sym_if] = ACTIONS(2198),
    [anon_sym_else] = ACTIONS(2198),
    [anon_sym_switch] = ACTIONS(2198),
    [anon_sym_case] = ACTIONS(2198),
    [anon_sym_default] = ACTIONS(2198),
    [anon_sym_while] = ACTIONS(2198),
    [anon_sym_do] = ACTIONS(2198),
    [anon_sym_for] = ACTIONS(2198),
    [anon_sym_return] = ACTIONS(2198),
    [anon_sym_break] = ACTIONS(2198),
    [anon_sym_continue] = ACTIONS(2198),
    [anon_sym_goto] = ACTIONS(2198),
    [anon_sym___try] = ACTIONS(2198),
    [anon_sym___leave] = ACTIONS(2198),
    [anon_sym_not] = ACTIONS(2198),
    [anon_sym_compl] = ACTIONS(2198),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_sizeof] = ACTIONS(2198),
    [anon_sym___alignof__] = ACTIONS(2198),
    [anon_sym___alignof] = ACTIONS(2198),
    [anon_sym__alignof] = ACTIONS(2198),
    [anon_sym_alignof] = ACTIONS(2198),
    [anon_sym__Alignof] = ACTIONS(2198),
    [anon_sym_offsetof] = ACTIONS(2198),
    [anon_sym__Generic] = ACTIONS(2198),
    [anon_sym_asm] = ACTIONS(2198),
    [anon_sym___asm__] = ACTIONS(2198),
    [anon_sym___asm] = ACTIONS(2198),
    [sym_number_literal] = ACTIONS(2200),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2198),
    [sym_false] = ACTIONS(2198),
    [anon_sym_NULL] = ACTIONS(2198),
    [anon_sym_nullptr] = ACTIONS(2198),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2198),
    [anon_sym_decltype] = ACTIONS(2198),
    [anon_sym_explicit] = ACTIONS(2198),
    [anon_sym_typename] = ACTIONS(2198),
    [anon_sym_template] = ACTIONS(2198),
    [anon_sym_operator] = ACTIONS(2198),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_throw] = ACTIONS(2198),
    [anon_sym_namespace] = ACTIONS(2198),
    [anon_sym_using] = ACTIONS(2198),
    [anon_sym_static_assert] = ACTIONS(2198),
    [anon_sym_concept] = ACTIONS(2198),
    [anon_sym_co_return] = ACTIONS(2198),
    [anon_sym_co_yield] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(2198),
    [anon_sym_requires] = ACTIONS(2198),
    [sym_this] = ACTIONS(2198),
    [anon_sym_discard] = ACTIONS(2198),
    [anon_sym_precise] = ACTIONS(2198),
    [anon_sym_shared] = ACTIONS(2198),
    [anon_sym_groupshared] = ACTIONS(2198),
    [anon_sym_uniform] = ACTIONS(2198),
    [anon_sym_row_major] = ACTIONS(2198),
    [anon_sym_column_major] = ACTIONS(2198),
    [anon_sym_globallycoherent] = ACTIONS(2198),
    [anon_sym_centroid] = ACTIONS(2198),
    [anon_sym_noperspective] = ACTIONS(2198),
    [anon_sym_nointerpolation] = ACTIONS(2198),
    [anon_sym_sample] = ACTIONS(2198),
    [anon_sym_linear] = ACTIONS(2198),
    [anon_sym_snorm] = ACTIONS(2198),
    [anon_sym_unorm] = ACTIONS(2198),
    [anon_sym_point] = ACTIONS(2198),
    [anon_sym_line] = ACTIONS(2198),
    [anon_sym_triangleadj] = ACTIONS(2198),
    [anon_sym_lineadj] = ACTIONS(2198),
    [anon_sym_triangle] = ACTIONS(2198),
    [anon_sym_cbuffer] = ACTIONS(2198),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2202),
    [aux_sym_preproc_include_token1] = ACTIONS(2202),
    [aux_sym_preproc_def_token1] = ACTIONS(2202),
    [aux_sym_preproc_if_token1] = ACTIONS(2202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2202),
    [sym_preproc_directive] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2202),
    [anon_sym_typedef] = ACTIONS(2202),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_out] = ACTIONS(2202),
    [anon_sym_inout] = ACTIONS(2202),
    [anon_sym_virtual] = ACTIONS(2202),
    [anon_sym_extern] = ACTIONS(2202),
    [anon_sym___attribute__] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2202),
    [anon_sym___based] = ACTIONS(2202),
    [anon_sym___cdecl] = ACTIONS(2202),
    [anon_sym___clrcall] = ACTIONS(2202),
    [anon_sym___stdcall] = ACTIONS(2202),
    [anon_sym___fastcall] = ACTIONS(2202),
    [anon_sym___thiscall] = ACTIONS(2202),
    [anon_sym___vectorcall] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2202),
    [anon_sym_unsigned] = ACTIONS(2202),
    [anon_sym_long] = ACTIONS(2202),
    [anon_sym_short] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_static] = ACTIONS(2202),
    [anon_sym_register] = ACTIONS(2202),
    [anon_sym_inline] = ACTIONS(2202),
    [anon_sym___inline] = ACTIONS(2202),
    [anon_sym___inline__] = ACTIONS(2202),
    [anon_sym___forceinline] = ACTIONS(2202),
    [anon_sym_thread_local] = ACTIONS(2202),
    [anon_sym___thread] = ACTIONS(2202),
    [anon_sym_const] = ACTIONS(2202),
    [anon_sym_constexpr] = ACTIONS(2202),
    [anon_sym_volatile] = ACTIONS(2202),
    [anon_sym_restrict] = ACTIONS(2202),
    [anon_sym___restrict__] = ACTIONS(2202),
    [anon_sym__Atomic] = ACTIONS(2202),
    [anon_sym__Noreturn] = ACTIONS(2202),
    [anon_sym_noreturn] = ACTIONS(2202),
    [anon_sym__Nonnull] = ACTIONS(2202),
    [anon_sym_mutable] = ACTIONS(2202),
    [anon_sym_constinit] = ACTIONS(2202),
    [anon_sym_consteval] = ACTIONS(2202),
    [anon_sym_alignas] = ACTIONS(2202),
    [anon_sym__Alignas] = ACTIONS(2202),
    [sym_primitive_type] = ACTIONS(2202),
    [anon_sym_enum] = ACTIONS(2202),
    [anon_sym_class] = ACTIONS(2202),
    [anon_sym_struct] = ACTIONS(2202),
    [anon_sym_union] = ACTIONS(2202),
    [anon_sym_if] = ACTIONS(2202),
    [anon_sym_else] = ACTIONS(2202),
    [anon_sym_switch] = ACTIONS(2202),
    [anon_sym_case] = ACTIONS(2202),
    [anon_sym_default] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2202),
    [anon_sym_do] = ACTIONS(2202),
    [anon_sym_for] = ACTIONS(2202),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_break] = ACTIONS(2202),
    [anon_sym_continue] = ACTIONS(2202),
    [anon_sym_goto] = ACTIONS(2202),
    [anon_sym___try] = ACTIONS(2202),
    [anon_sym___leave] = ACTIONS(2202),
    [anon_sym_not] = ACTIONS(2202),
    [anon_sym_compl] = ACTIONS(2202),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2202),
    [anon_sym___alignof__] = ACTIONS(2202),
    [anon_sym___alignof] = ACTIONS(2202),
    [anon_sym__alignof] = ACTIONS(2202),
    [anon_sym_alignof] = ACTIONS(2202),
    [anon_sym__Alignof] = ACTIONS(2202),
    [anon_sym_offsetof] = ACTIONS(2202),
    [anon_sym__Generic] = ACTIONS(2202),
    [anon_sym_asm] = ACTIONS(2202),
    [anon_sym___asm__] = ACTIONS(2202),
    [anon_sym___asm] = ACTIONS(2202),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2202),
    [sym_false] = ACTIONS(2202),
    [anon_sym_NULL] = ACTIONS(2202),
    [anon_sym_nullptr] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2202),
    [anon_sym_decltype] = ACTIONS(2202),
    [anon_sym_explicit] = ACTIONS(2202),
    [anon_sym_typename] = ACTIONS(2202),
    [anon_sym_template] = ACTIONS(2202),
    [anon_sym_operator] = ACTIONS(2202),
    [anon_sym_try] = ACTIONS(2202),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2202),
    [anon_sym_namespace] = ACTIONS(2202),
    [anon_sym_using] = ACTIONS(2202),
    [anon_sym_static_assert] = ACTIONS(2202),
    [anon_sym_concept] = ACTIONS(2202),
    [anon_sym_co_return] = ACTIONS(2202),
    [anon_sym_co_yield] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2202),
    [anon_sym_requires] = ACTIONS(2202),
    [sym_this] = ACTIONS(2202),
    [anon_sym_discard] = ACTIONS(2202),
    [anon_sym_precise] = ACTIONS(2202),
    [anon_sym_shared] = ACTIONS(2202),
    [anon_sym_groupshared] = ACTIONS(2202),
    [anon_sym_uniform] = ACTIONS(2202),
    [anon_sym_row_major] = ACTIONS(2202),
    [anon_sym_column_major] = ACTIONS(2202),
    [anon_sym_globallycoherent] = ACTIONS(2202),
    [anon_sym_centroid] = ACTIONS(2202),
    [anon_sym_noperspective] = ACTIONS(2202),
    [anon_sym_nointerpolation] = ACTIONS(2202),
    [anon_sym_sample] = ACTIONS(2202),
    [anon_sym_linear] = ACTIONS(2202),
    [anon_sym_snorm] = ACTIONS(2202),
    [anon_sym_unorm] = ACTIONS(2202),
    [anon_sym_point] = ACTIONS(2202),
    [anon_sym_line] = ACTIONS(2202),
    [anon_sym_triangleadj] = ACTIONS(2202),
    [anon_sym_lineadj] = ACTIONS(2202),
    [anon_sym_triangle] = ACTIONS(2202),
    [anon_sym_cbuffer] = ACTIONS(2202),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2288),
    [aux_sym_preproc_include_token1] = ACTIONS(2288),
    [aux_sym_preproc_def_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2288),
    [sym_preproc_directive] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2288),
    [anon_sym_typedef] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_out] = ACTIONS(2288),
    [anon_sym_inout] = ACTIONS(2288),
    [anon_sym_virtual] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym___attribute__] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2290),
    [anon_sym___declspec] = ACTIONS(2288),
    [anon_sym___based] = ACTIONS(2288),
    [anon_sym___cdecl] = ACTIONS(2288),
    [anon_sym___clrcall] = ACTIONS(2288),
    [anon_sym___stdcall] = ACTIONS(2288),
    [anon_sym___fastcall] = ACTIONS(2288),
    [anon_sym___thiscall] = ACTIONS(2288),
    [anon_sym___vectorcall] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2288),
    [anon_sym_unsigned] = ACTIONS(2288),
    [anon_sym_long] = ACTIONS(2288),
    [anon_sym_short] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_register] = ACTIONS(2288),
    [anon_sym_inline] = ACTIONS(2288),
    [anon_sym___inline] = ACTIONS(2288),
    [anon_sym___inline__] = ACTIONS(2288),
    [anon_sym___forceinline] = ACTIONS(2288),
    [anon_sym_thread_local] = ACTIONS(2288),
    [anon_sym___thread] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_constexpr] = ACTIONS(2288),
    [anon_sym_volatile] = ACTIONS(2288),
    [anon_sym_restrict] = ACTIONS(2288),
    [anon_sym___restrict__] = ACTIONS(2288),
    [anon_sym__Atomic] = ACTIONS(2288),
    [anon_sym__Noreturn] = ACTIONS(2288),
    [anon_sym_noreturn] = ACTIONS(2288),
    [anon_sym__Nonnull] = ACTIONS(2288),
    [anon_sym_mutable] = ACTIONS(2288),
    [anon_sym_constinit] = ACTIONS(2288),
    [anon_sym_consteval] = ACTIONS(2288),
    [anon_sym_alignas] = ACTIONS(2288),
    [anon_sym__Alignas] = ACTIONS(2288),
    [sym_primitive_type] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym___try] = ACTIONS(2288),
    [anon_sym___leave] = ACTIONS(2288),
    [anon_sym_not] = ACTIONS(2288),
    [anon_sym_compl] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2290),
    [anon_sym_PLUS_PLUS] = ACTIONS(2290),
    [anon_sym_sizeof] = ACTIONS(2288),
    [anon_sym___alignof__] = ACTIONS(2288),
    [anon_sym___alignof] = ACTIONS(2288),
    [anon_sym__alignof] = ACTIONS(2288),
    [anon_sym_alignof] = ACTIONS(2288),
    [anon_sym__Alignof] = ACTIONS(2288),
    [anon_sym_offsetof] = ACTIONS(2288),
    [anon_sym__Generic] = ACTIONS(2288),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(2290),
    [anon_sym_L_SQUOTE] = ACTIONS(2290),
    [anon_sym_u_SQUOTE] = ACTIONS(2290),
    [anon_sym_U_SQUOTE] = ACTIONS(2290),
    [anon_sym_u8_SQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym_L_DQUOTE] = ACTIONS(2290),
    [anon_sym_u_DQUOTE] = ACTIONS(2290),
    [anon_sym_U_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8_DQUOTE] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [anon_sym_NULL] = ACTIONS(2288),
    [anon_sym_nullptr] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2288),
    [anon_sym_decltype] = ACTIONS(2288),
    [anon_sym_explicit] = ACTIONS(2288),
    [anon_sym_typename] = ACTIONS(2288),
    [anon_sym_template] = ACTIONS(2288),
    [anon_sym_operator] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_static_assert] = ACTIONS(2288),
    [anon_sym_concept] = ACTIONS(2288),
    [anon_sym_co_return] = ACTIONS(2288),
    [anon_sym_co_yield] = ACTIONS(2288),
    [anon_sym_R_DQUOTE] = ACTIONS(2290),
    [anon_sym_LR_DQUOTE] = ACTIONS(2290),
    [anon_sym_uR_DQUOTE] = ACTIONS(2290),
    [anon_sym_UR_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2290),
    [anon_sym_co_await] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_requires] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [anon_sym_discard] = ACTIONS(2288),
    [anon_sym_precise] = ACTIONS(2288),
    [anon_sym_shared] = ACTIONS(2288),
    [anon_sym_groupshared] = ACTIONS(2288),
    [anon_sym_uniform] = ACTIONS(2288),
    [anon_sym_row_major] = ACTIONS(2288),
    [anon_sym_column_major] = ACTIONS(2288),
    [anon_sym_globallycoherent] = ACTIONS(2288),
    [anon_sym_centroid] = ACTIONS(2288),
    [anon_sym_noperspective] = ACTIONS(2288),
    [anon_sym_nointerpolation] = ACTIONS(2288),
    [anon_sym_sample] = ACTIONS(2288),
    [anon_sym_linear] = ACTIONS(2288),
    [anon_sym_snorm] = ACTIONS(2288),
    [anon_sym_unorm] = ACTIONS(2288),
    [anon_sym_point] = ACTIONS(2288),
    [anon_sym_line] = ACTIONS(2288),
    [anon_sym_triangleadj] = ACTIONS(2288),
    [anon_sym_lineadj] = ACTIONS(2288),
    [anon_sym_triangle] = ACTIONS(2288),
    [anon_sym_cbuffer] = ACTIONS(2288),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2226),
    [aux_sym_preproc_include_token1] = ACTIONS(2226),
    [aux_sym_preproc_def_token1] = ACTIONS(2226),
    [aux_sym_preproc_if_token1] = ACTIONS(2226),
    [aux_sym_preproc_if_token2] = ACTIONS(2226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2226),
    [sym_preproc_directive] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym___extension__] = ACTIONS(2226),
    [anon_sym_typedef] = ACTIONS(2226),
    [anon_sym_in] = ACTIONS(2226),
    [anon_sym_out] = ACTIONS(2226),
    [anon_sym_inout] = ACTIONS(2226),
    [anon_sym_virtual] = ACTIONS(2226),
    [anon_sym_extern] = ACTIONS(2226),
    [anon_sym___attribute__] = ACTIONS(2226),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2228),
    [anon_sym___declspec] = ACTIONS(2226),
    [anon_sym___based] = ACTIONS(2226),
    [anon_sym___cdecl] = ACTIONS(2226),
    [anon_sym___clrcall] = ACTIONS(2226),
    [anon_sym___stdcall] = ACTIONS(2226),
    [anon_sym___fastcall] = ACTIONS(2226),
    [anon_sym___thiscall] = ACTIONS(2226),
    [anon_sym___vectorcall] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_signed] = ACTIONS(2226),
    [anon_sym_unsigned] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_register] = ACTIONS(2226),
    [anon_sym_inline] = ACTIONS(2226),
    [anon_sym___inline] = ACTIONS(2226),
    [anon_sym___inline__] = ACTIONS(2226),
    [anon_sym___forceinline] = ACTIONS(2226),
    [anon_sym_thread_local] = ACTIONS(2226),
    [anon_sym___thread] = ACTIONS(2226),
    [anon_sym_const] = ACTIONS(2226),
    [anon_sym_constexpr] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_restrict] = ACTIONS(2226),
    [anon_sym___restrict__] = ACTIONS(2226),
    [anon_sym__Atomic] = ACTIONS(2226),
    [anon_sym__Noreturn] = ACTIONS(2226),
    [anon_sym_noreturn] = ACTIONS(2226),
    [anon_sym__Nonnull] = ACTIONS(2226),
    [anon_sym_mutable] = ACTIONS(2226),
    [anon_sym_constinit] = ACTIONS(2226),
    [anon_sym_consteval] = ACTIONS(2226),
    [anon_sym_alignas] = ACTIONS(2226),
    [anon_sym__Alignas] = ACTIONS(2226),
    [sym_primitive_type] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_struct] = ACTIONS(2226),
    [anon_sym_union] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_case] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_goto] = ACTIONS(2226),
    [anon_sym___try] = ACTIONS(2226),
    [anon_sym___leave] = ACTIONS(2226),
    [anon_sym_not] = ACTIONS(2226),
    [anon_sym_compl] = ACTIONS(2226),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_sizeof] = ACTIONS(2226),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2226),
    [anon_sym_asm] = ACTIONS(2226),
    [anon_sym___asm__] = ACTIONS(2226),
    [anon_sym___asm] = ACTIONS(2226),
    [sym_number_literal] = ACTIONS(2228),
    [anon_sym_L_SQUOTE] = ACTIONS(2228),
    [anon_sym_u_SQUOTE] = ACTIONS(2228),
    [anon_sym_U_SQUOTE] = ACTIONS(2228),
    [anon_sym_u8_SQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_L_DQUOTE] = ACTIONS(2228),
    [anon_sym_u_DQUOTE] = ACTIONS(2228),
    [anon_sym_U_DQUOTE] = ACTIONS(2228),
    [anon_sym_u8_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [anon_sym_NULL] = ACTIONS(2226),
    [anon_sym_nullptr] = ACTIONS(2226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2226),
    [anon_sym_decltype] = ACTIONS(2226),
    [anon_sym_explicit] = ACTIONS(2226),
    [anon_sym_typename] = ACTIONS(2226),
    [anon_sym_template] = ACTIONS(2226),
    [anon_sym_operator] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_delete] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_namespace] = ACTIONS(2226),
    [anon_sym_using] = ACTIONS(2226),
    [anon_sym_static_assert] = ACTIONS(2226),
    [anon_sym_concept] = ACTIONS(2226),
    [anon_sym_co_return] = ACTIONS(2226),
    [anon_sym_co_yield] = ACTIONS(2226),
    [anon_sym_R_DQUOTE] = ACTIONS(2228),
    [anon_sym_LR_DQUOTE] = ACTIONS(2228),
    [anon_sym_uR_DQUOTE] = ACTIONS(2228),
    [anon_sym_UR_DQUOTE] = ACTIONS(2228),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2228),
    [anon_sym_co_await] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_requires] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [anon_sym_discard] = ACTIONS(2226),
    [anon_sym_precise] = ACTIONS(2226),
    [anon_sym_shared] = ACTIONS(2226),
    [anon_sym_groupshared] = ACTIONS(2226),
    [anon_sym_uniform] = ACTIONS(2226),
    [anon_sym_row_major] = ACTIONS(2226),
    [anon_sym_column_major] = ACTIONS(2226),
    [anon_sym_globallycoherent] = ACTIONS(2226),
    [anon_sym_centroid] = ACTIONS(2226),
    [anon_sym_noperspective] = ACTIONS(2226),
    [anon_sym_nointerpolation] = ACTIONS(2226),
    [anon_sym_sample] = ACTIONS(2226),
    [anon_sym_linear] = ACTIONS(2226),
    [anon_sym_snorm] = ACTIONS(2226),
    [anon_sym_unorm] = ACTIONS(2226),
    [anon_sym_point] = ACTIONS(2226),
    [anon_sym_line] = ACTIONS(2226),
    [anon_sym_triangleadj] = ACTIONS(2226),
    [anon_sym_lineadj] = ACTIONS(2226),
    [anon_sym_triangle] = ACTIONS(2226),
    [anon_sym_cbuffer] = ACTIONS(2226),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(2208),
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_include_token1] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym___cdecl] = ACTIONS(2206),
    [anon_sym___clrcall] = ACTIONS(2206),
    [anon_sym___stdcall] = ACTIONS(2206),
    [anon_sym___fastcall] = ACTIONS(2206),
    [anon_sym___thiscall] = ACTIONS(2206),
    [anon_sym___vectorcall] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym__Nonnull] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym__Alignas] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [anon_sym___asm] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_concept] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(2212),
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_out] = ACTIONS(2210),
    [anon_sym_inout] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2212),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym__Nonnull] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym__Alignas] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [anon_sym___asm] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2212),
    [anon_sym_L_SQUOTE] = ACTIONS(2212),
    [anon_sym_u_SQUOTE] = ACTIONS(2212),
    [anon_sym_U_SQUOTE] = ACTIONS(2212),
    [anon_sym_u8_SQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_L_DQUOTE] = ACTIONS(2212),
    [anon_sym_u_DQUOTE] = ACTIONS(2212),
    [anon_sym_U_DQUOTE] = ACTIONS(2212),
    [anon_sym_u8_DQUOTE] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2212),
    [anon_sym_LR_DQUOTE] = ACTIONS(2212),
    [anon_sym_uR_DQUOTE] = ACTIONS(2212),
    [anon_sym_UR_DQUOTE] = ACTIONS(2212),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2212),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
    [anon_sym_discard] = ACTIONS(2210),
    [anon_sym_precise] = ACTIONS(2210),
    [anon_sym_shared] = ACTIONS(2210),
    [anon_sym_groupshared] = ACTIONS(2210),
    [anon_sym_uniform] = ACTIONS(2210),
    [anon_sym_row_major] = ACTIONS(2210),
    [anon_sym_column_major] = ACTIONS(2210),
    [anon_sym_globallycoherent] = ACTIONS(2210),
    [anon_sym_centroid] = ACTIONS(2210),
    [anon_sym_noperspective] = ACTIONS(2210),
    [anon_sym_nointerpolation] = ACTIONS(2210),
    [anon_sym_sample] = ACTIONS(2210),
    [anon_sym_linear] = ACTIONS(2210),
    [anon_sym_snorm] = ACTIONS(2210),
    [anon_sym_unorm] = ACTIONS(2210),
    [anon_sym_point] = ACTIONS(2210),
    [anon_sym_line] = ACTIONS(2210),
    [anon_sym_triangleadj] = ACTIONS(2210),
    [anon_sym_lineadj] = ACTIONS(2210),
    [anon_sym_triangle] = ACTIONS(2210),
    [anon_sym_cbuffer] = ACTIONS(2210),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(2216),
    [sym_identifier] = ACTIONS(2214),
    [aux_sym_preproc_include_token1] = ACTIONS(2214),
    [aux_sym_preproc_def_token1] = ACTIONS(2214),
    [aux_sym_preproc_if_token1] = ACTIONS(2214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2214),
    [sym_preproc_directive] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2214),
    [anon_sym_typedef] = ACTIONS(2214),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_out] = ACTIONS(2214),
    [anon_sym_inout] = ACTIONS(2214),
    [anon_sym_virtual] = ACTIONS(2214),
    [anon_sym_extern] = ACTIONS(2214),
    [anon_sym___attribute__] = ACTIONS(2214),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2216),
    [anon_sym___declspec] = ACTIONS(2214),
    [anon_sym___based] = ACTIONS(2214),
    [anon_sym___cdecl] = ACTIONS(2214),
    [anon_sym___clrcall] = ACTIONS(2214),
    [anon_sym___stdcall] = ACTIONS(2214),
    [anon_sym___fastcall] = ACTIONS(2214),
    [anon_sym___thiscall] = ACTIONS(2214),
    [anon_sym___vectorcall] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_signed] = ACTIONS(2214),
    [anon_sym_unsigned] = ACTIONS(2214),
    [anon_sym_long] = ACTIONS(2214),
    [anon_sym_short] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_static] = ACTIONS(2214),
    [anon_sym_register] = ACTIONS(2214),
    [anon_sym_inline] = ACTIONS(2214),
    [anon_sym___inline] = ACTIONS(2214),
    [anon_sym___inline__] = ACTIONS(2214),
    [anon_sym___forceinline] = ACTIONS(2214),
    [anon_sym_thread_local] = ACTIONS(2214),
    [anon_sym___thread] = ACTIONS(2214),
    [anon_sym_const] = ACTIONS(2214),
    [anon_sym_constexpr] = ACTIONS(2214),
    [anon_sym_volatile] = ACTIONS(2214),
    [anon_sym_restrict] = ACTIONS(2214),
    [anon_sym___restrict__] = ACTIONS(2214),
    [anon_sym__Atomic] = ACTIONS(2214),
    [anon_sym__Noreturn] = ACTIONS(2214),
    [anon_sym_noreturn] = ACTIONS(2214),
    [anon_sym__Nonnull] = ACTIONS(2214),
    [anon_sym_mutable] = ACTIONS(2214),
    [anon_sym_constinit] = ACTIONS(2214),
    [anon_sym_consteval] = ACTIONS(2214),
    [anon_sym_alignas] = ACTIONS(2214),
    [anon_sym__Alignas] = ACTIONS(2214),
    [sym_primitive_type] = ACTIONS(2214),
    [anon_sym_enum] = ACTIONS(2214),
    [anon_sym_class] = ACTIONS(2214),
    [anon_sym_struct] = ACTIONS(2214),
    [anon_sym_union] = ACTIONS(2214),
    [anon_sym_if] = ACTIONS(2214),
    [anon_sym_else] = ACTIONS(2214),
    [anon_sym_switch] = ACTIONS(2214),
    [anon_sym_case] = ACTIONS(2214),
    [anon_sym_default] = ACTIONS(2214),
    [anon_sym_while] = ACTIONS(2214),
    [anon_sym_do] = ACTIONS(2214),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_return] = ACTIONS(2214),
    [anon_sym_break] = ACTIONS(2214),
    [anon_sym_continue] = ACTIONS(2214),
    [anon_sym_goto] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2214),
    [anon_sym___leave] = ACTIONS(2214),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_sizeof] = ACTIONS(2214),
    [anon_sym___alignof__] = ACTIONS(2214),
    [anon_sym___alignof] = ACTIONS(2214),
    [anon_sym__alignof] = ACTIONS(2214),
    [anon_sym_alignof] = ACTIONS(2214),
    [anon_sym__Alignof] = ACTIONS(2214),
    [anon_sym_offsetof] = ACTIONS(2214),
    [anon_sym__Generic] = ACTIONS(2214),
    [anon_sym_asm] = ACTIONS(2214),
    [anon_sym___asm__] = ACTIONS(2214),
    [anon_sym___asm] = ACTIONS(2214),
    [sym_number_literal] = ACTIONS(2216),
    [anon_sym_L_SQUOTE] = ACTIONS(2216),
    [anon_sym_u_SQUOTE] = ACTIONS(2216),
    [anon_sym_U_SQUOTE] = ACTIONS(2216),
    [anon_sym_u8_SQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_L_DQUOTE] = ACTIONS(2216),
    [anon_sym_u_DQUOTE] = ACTIONS(2216),
    [anon_sym_U_DQUOTE] = ACTIONS(2216),
    [anon_sym_u8_DQUOTE] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [sym_true] = ACTIONS(2214),
    [sym_false] = ACTIONS(2214),
    [anon_sym_NULL] = ACTIONS(2214),
    [anon_sym_nullptr] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2214),
    [anon_sym_decltype] = ACTIONS(2214),
    [anon_sym_explicit] = ACTIONS(2214),
    [anon_sym_typename] = ACTIONS(2214),
    [anon_sym_template] = ACTIONS(2214),
    [anon_sym_operator] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2214),
    [anon_sym_delete] = ACTIONS(2214),
    [anon_sym_throw] = ACTIONS(2214),
    [anon_sym_namespace] = ACTIONS(2214),
    [anon_sym_using] = ACTIONS(2214),
    [anon_sym_static_assert] = ACTIONS(2214),
    [anon_sym_concept] = ACTIONS(2214),
    [anon_sym_co_return] = ACTIONS(2214),
    [anon_sym_co_yield] = ACTIONS(2214),
    [anon_sym_R_DQUOTE] = ACTIONS(2216),
    [anon_sym_LR_DQUOTE] = ACTIONS(2216),
    [anon_sym_uR_DQUOTE] = ACTIONS(2216),
    [anon_sym_UR_DQUOTE] = ACTIONS(2216),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2216),
    [anon_sym_co_await] = ACTIONS(2214),
    [anon_sym_new] = ACTIONS(2214),
    [anon_sym_requires] = ACTIONS(2214),
    [sym_this] = ACTIONS(2214),
    [anon_sym_discard] = ACTIONS(2214),
    [anon_sym_precise] = ACTIONS(2214),
    [anon_sym_shared] = ACTIONS(2214),
    [anon_sym_groupshared] = ACTIONS(2214),
    [anon_sym_uniform] = ACTIONS(2214),
    [anon_sym_row_major] = ACTIONS(2214),
    [anon_sym_column_major] = ACTIONS(2214),
    [anon_sym_globallycoherent] = ACTIONS(2214),
    [anon_sym_centroid] = ACTIONS(2214),
    [anon_sym_noperspective] = ACTIONS(2214),
    [anon_sym_nointerpolation] = ACTIONS(2214),
    [anon_sym_sample] = ACTIONS(2214),
    [anon_sym_linear] = ACTIONS(2214),
    [anon_sym_snorm] = ACTIONS(2214),
    [anon_sym_unorm] = ACTIONS(2214),
    [anon_sym_point] = ACTIONS(2214),
    [anon_sym_line] = ACTIONS(2214),
    [anon_sym_triangleadj] = ACTIONS(2214),
    [anon_sym_lineadj] = ACTIONS(2214),
    [anon_sym_triangle] = ACTIONS(2214),
    [anon_sym_cbuffer] = ACTIONS(2214),
  },
  [539] = {
    [sym_identifier] = ACTIONS(2218),
    [aux_sym_preproc_include_token1] = ACTIONS(2218),
    [aux_sym_preproc_def_token1] = ACTIONS(2218),
    [aux_sym_preproc_if_token1] = ACTIONS(2218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2218),
    [sym_preproc_directive] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2218),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym___extension__] = ACTIONS(2218),
    [anon_sym_typedef] = ACTIONS(2218),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_out] = ACTIONS(2218),
    [anon_sym_inout] = ACTIONS(2218),
    [anon_sym_virtual] = ACTIONS(2218),
    [anon_sym_extern] = ACTIONS(2218),
    [anon_sym___attribute__] = ACTIONS(2218),
    [anon_sym_COLON_COLON] = ACTIONS(2220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2220),
    [anon_sym___declspec] = ACTIONS(2218),
    [anon_sym___based] = ACTIONS(2218),
    [anon_sym___cdecl] = ACTIONS(2218),
    [anon_sym___clrcall] = ACTIONS(2218),
    [anon_sym___stdcall] = ACTIONS(2218),
    [anon_sym___fastcall] = ACTIONS(2218),
    [anon_sym___thiscall] = ACTIONS(2218),
    [anon_sym___vectorcall] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_signed] = ACTIONS(2218),
    [anon_sym_unsigned] = ACTIONS(2218),
    [anon_sym_long] = ACTIONS(2218),
    [anon_sym_short] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_static] = ACTIONS(2218),
    [anon_sym_register] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2218),
    [anon_sym___inline] = ACTIONS(2218),
    [anon_sym___inline__] = ACTIONS(2218),
    [anon_sym___forceinline] = ACTIONS(2218),
    [anon_sym_thread_local] = ACTIONS(2218),
    [anon_sym___thread] = ACTIONS(2218),
    [anon_sym_const] = ACTIONS(2218),
    [anon_sym_constexpr] = ACTIONS(2218),
    [anon_sym_volatile] = ACTIONS(2218),
    [anon_sym_restrict] = ACTIONS(2218),
    [anon_sym___restrict__] = ACTIONS(2218),
    [anon_sym__Atomic] = ACTIONS(2218),
    [anon_sym__Noreturn] = ACTIONS(2218),
    [anon_sym_noreturn] = ACTIONS(2218),
    [anon_sym__Nonnull] = ACTIONS(2218),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_constinit] = ACTIONS(2218),
    [anon_sym_consteval] = ACTIONS(2218),
    [anon_sym_alignas] = ACTIONS(2218),
    [anon_sym__Alignas] = ACTIONS(2218),
    [sym_primitive_type] = ACTIONS(2218),
    [anon_sym_enum] = ACTIONS(2218),
    [anon_sym_class] = ACTIONS(2218),
    [anon_sym_struct] = ACTIONS(2218),
    [anon_sym_union] = ACTIONS(2218),
    [anon_sym_if] = ACTIONS(2218),
    [anon_sym_else] = ACTIONS(2218),
    [anon_sym_switch] = ACTIONS(2218),
    [anon_sym_case] = ACTIONS(2218),
    [anon_sym_default] = ACTIONS(2218),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_do] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2218),
    [anon_sym_return] = ACTIONS(2218),
    [anon_sym_break] = ACTIONS(2218),
    [anon_sym_continue] = ACTIONS(2218),
    [anon_sym_goto] = ACTIONS(2218),
    [anon_sym___try] = ACTIONS(2218),
    [anon_sym___leave] = ACTIONS(2218),
    [anon_sym_not] = ACTIONS(2218),
    [anon_sym_compl] = ACTIONS(2218),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_sizeof] = ACTIONS(2218),
    [anon_sym___alignof__] = ACTIONS(2218),
    [anon_sym___alignof] = ACTIONS(2218),
    [anon_sym__alignof] = ACTIONS(2218),
    [anon_sym_alignof] = ACTIONS(2218),
    [anon_sym__Alignof] = ACTIONS(2218),
    [anon_sym_offsetof] = ACTIONS(2218),
    [anon_sym__Generic] = ACTIONS(2218),
    [anon_sym_asm] = ACTIONS(2218),
    [anon_sym___asm__] = ACTIONS(2218),
    [anon_sym___asm] = ACTIONS(2218),
    [sym_number_literal] = ACTIONS(2220),
    [anon_sym_L_SQUOTE] = ACTIONS(2220),
    [anon_sym_u_SQUOTE] = ACTIONS(2220),
    [anon_sym_U_SQUOTE] = ACTIONS(2220),
    [anon_sym_u8_SQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [anon_sym_L_DQUOTE] = ACTIONS(2220),
    [anon_sym_u_DQUOTE] = ACTIONS(2220),
    [anon_sym_U_DQUOTE] = ACTIONS(2220),
    [anon_sym_u8_DQUOTE] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [sym_true] = ACTIONS(2218),
    [sym_false] = ACTIONS(2218),
    [anon_sym_NULL] = ACTIONS(2218),
    [anon_sym_nullptr] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2218),
    [anon_sym_decltype] = ACTIONS(2218),
    [anon_sym_explicit] = ACTIONS(2218),
    [anon_sym_typename] = ACTIONS(2218),
    [anon_sym_template] = ACTIONS(2218),
    [anon_sym_operator] = ACTIONS(2218),
    [anon_sym_try] = ACTIONS(2218),
    [anon_sym_delete] = ACTIONS(2218),
    [anon_sym_throw] = ACTIONS(2218),
    [anon_sym_namespace] = ACTIONS(2218),
    [anon_sym_using] = ACTIONS(2218),
    [anon_sym_static_assert] = ACTIONS(2218),
    [anon_sym_concept] = ACTIONS(2218),
    [anon_sym_co_return] = ACTIONS(2218),
    [anon_sym_co_yield] = ACTIONS(2218),
    [anon_sym_R_DQUOTE] = ACTIONS(2220),
    [anon_sym_LR_DQUOTE] = ACTIONS(2220),
    [anon_sym_uR_DQUOTE] = ACTIONS(2220),
    [anon_sym_UR_DQUOTE] = ACTIONS(2220),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2220),
    [anon_sym_co_await] = ACTIONS(2218),
    [anon_sym_new] = ACTIONS(2218),
    [anon_sym_requires] = ACTIONS(2218),
    [sym_this] = ACTIONS(2218),
    [anon_sym_discard] = ACTIONS(2218),
    [anon_sym_precise] = ACTIONS(2218),
    [anon_sym_shared] = ACTIONS(2218),
    [anon_sym_groupshared] = ACTIONS(2218),
    [anon_sym_uniform] = ACTIONS(2218),
    [anon_sym_row_major] = ACTIONS(2218),
    [anon_sym_column_major] = ACTIONS(2218),
    [anon_sym_globallycoherent] = ACTIONS(2218),
    [anon_sym_centroid] = ACTIONS(2218),
    [anon_sym_noperspective] = ACTIONS(2218),
    [anon_sym_nointerpolation] = ACTIONS(2218),
    [anon_sym_sample] = ACTIONS(2218),
    [anon_sym_linear] = ACTIONS(2218),
    [anon_sym_snorm] = ACTIONS(2218),
    [anon_sym_unorm] = ACTIONS(2218),
    [anon_sym_point] = ACTIONS(2218),
    [anon_sym_line] = ACTIONS(2218),
    [anon_sym_triangleadj] = ACTIONS(2218),
    [anon_sym_lineadj] = ACTIONS(2218),
    [anon_sym_triangle] = ACTIONS(2218),
    [anon_sym_cbuffer] = ACTIONS(2218),
  },
  [540] = {
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_include_token1] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token2] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym___cdecl] = ACTIONS(2242),
    [anon_sym___clrcall] = ACTIONS(2242),
    [anon_sym___stdcall] = ACTIONS(2242),
    [anon_sym___fastcall] = ACTIONS(2242),
    [anon_sym___thiscall] = ACTIONS(2242),
    [anon_sym___vectorcall] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym__Nonnull] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym__Alignas] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [anon_sym___asm] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_concept] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [541] = {
    [sym_identifier] = ACTIONS(2248),
    [aux_sym_preproc_include_token1] = ACTIONS(2248),
    [aux_sym_preproc_def_token1] = ACTIONS(2248),
    [aux_sym_preproc_if_token1] = ACTIONS(2248),
    [aux_sym_preproc_if_token2] = ACTIONS(2248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2248),
    [sym_preproc_directive] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_AMP_AMP] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym___extension__] = ACTIONS(2248),
    [anon_sym_typedef] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2248),
    [anon_sym_out] = ACTIONS(2248),
    [anon_sym_inout] = ACTIONS(2248),
    [anon_sym_virtual] = ACTIONS(2248),
    [anon_sym_extern] = ACTIONS(2248),
    [anon_sym___attribute__] = ACTIONS(2248),
    [anon_sym_COLON_COLON] = ACTIONS(2250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2250),
    [anon_sym___declspec] = ACTIONS(2248),
    [anon_sym___based] = ACTIONS(2248),
    [anon_sym___cdecl] = ACTIONS(2248),
    [anon_sym___clrcall] = ACTIONS(2248),
    [anon_sym___stdcall] = ACTIONS(2248),
    [anon_sym___fastcall] = ACTIONS(2248),
    [anon_sym___thiscall] = ACTIONS(2248),
    [anon_sym___vectorcall] = ACTIONS(2248),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_signed] = ACTIONS(2248),
    [anon_sym_unsigned] = ACTIONS(2248),
    [anon_sym_long] = ACTIONS(2248),
    [anon_sym_short] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_static] = ACTIONS(2248),
    [anon_sym_register] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(2248),
    [anon_sym___inline] = ACTIONS(2248),
    [anon_sym___inline__] = ACTIONS(2248),
    [anon_sym___forceinline] = ACTIONS(2248),
    [anon_sym_thread_local] = ACTIONS(2248),
    [anon_sym___thread] = ACTIONS(2248),
    [anon_sym_const] = ACTIONS(2248),
    [anon_sym_constexpr] = ACTIONS(2248),
    [anon_sym_volatile] = ACTIONS(2248),
    [anon_sym_restrict] = ACTIONS(2248),
    [anon_sym___restrict__] = ACTIONS(2248),
    [anon_sym__Atomic] = ACTIONS(2248),
    [anon_sym__Noreturn] = ACTIONS(2248),
    [anon_sym_noreturn] = ACTIONS(2248),
    [anon_sym__Nonnull] = ACTIONS(2248),
    [anon_sym_mutable] = ACTIONS(2248),
    [anon_sym_constinit] = ACTIONS(2248),
    [anon_sym_consteval] = ACTIONS(2248),
    [anon_sym_alignas] = ACTIONS(2248),
    [anon_sym__Alignas] = ACTIONS(2248),
    [sym_primitive_type] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2248),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_union] = ACTIONS(2248),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_else] = ACTIONS(2248),
    [anon_sym_switch] = ACTIONS(2248),
    [anon_sym_case] = ACTIONS(2248),
    [anon_sym_default] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(2248),
    [anon_sym_do] = ACTIONS(2248),
    [anon_sym_for] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(2248),
    [anon_sym_break] = ACTIONS(2248),
    [anon_sym_continue] = ACTIONS(2248),
    [anon_sym_goto] = ACTIONS(2248),
    [anon_sym___try] = ACTIONS(2248),
    [anon_sym___leave] = ACTIONS(2248),
    [anon_sym_not] = ACTIONS(2248),
    [anon_sym_compl] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(2248),
    [anon_sym___alignof] = ACTIONS(2248),
    [anon_sym__alignof] = ACTIONS(2248),
    [anon_sym_alignof] = ACTIONS(2248),
    [anon_sym__Alignof] = ACTIONS(2248),
    [anon_sym_offsetof] = ACTIONS(2248),
    [anon_sym__Generic] = ACTIONS(2248),
    [anon_sym_asm] = ACTIONS(2248),
    [anon_sym___asm__] = ACTIONS(2248),
    [anon_sym___asm] = ACTIONS(2248),
    [sym_number_literal] = ACTIONS(2250),
    [anon_sym_L_SQUOTE] = ACTIONS(2250),
    [anon_sym_u_SQUOTE] = ACTIONS(2250),
    [anon_sym_U_SQUOTE] = ACTIONS(2250),
    [anon_sym_u8_SQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [anon_sym_L_DQUOTE] = ACTIONS(2250),
    [anon_sym_u_DQUOTE] = ACTIONS(2250),
    [anon_sym_U_DQUOTE] = ACTIONS(2250),
    [anon_sym_u8_DQUOTE] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2248),
    [anon_sym_nullptr] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2248),
    [anon_sym_decltype] = ACTIONS(2248),
    [anon_sym_explicit] = ACTIONS(2248),
    [anon_sym_typename] = ACTIONS(2248),
    [anon_sym_template] = ACTIONS(2248),
    [anon_sym_operator] = ACTIONS(2248),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_delete] = ACTIONS(2248),
    [anon_sym_throw] = ACTIONS(2248),
    [anon_sym_namespace] = ACTIONS(2248),
    [anon_sym_using] = ACTIONS(2248),
    [anon_sym_static_assert] = ACTIONS(2248),
    [anon_sym_concept] = ACTIONS(2248),
    [anon_sym_co_return] = ACTIONS(2248),
    [anon_sym_co_yield] = ACTIONS(2248),
    [anon_sym_R_DQUOTE] = ACTIONS(2250),
    [anon_sym_LR_DQUOTE] = ACTIONS(2250),
    [anon_sym_uR_DQUOTE] = ACTIONS(2250),
    [anon_sym_UR_DQUOTE] = ACTIONS(2250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2250),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2248),
    [sym_this] = ACTIONS(2248),
    [anon_sym_discard] = ACTIONS(2248),
    [anon_sym_precise] = ACTIONS(2248),
    [anon_sym_shared] = ACTIONS(2248),
    [anon_sym_groupshared] = ACTIONS(2248),
    [anon_sym_uniform] = ACTIONS(2248),
    [anon_sym_row_major] = ACTIONS(2248),
    [anon_sym_column_major] = ACTIONS(2248),
    [anon_sym_globallycoherent] = ACTIONS(2248),
    [anon_sym_centroid] = ACTIONS(2248),
    [anon_sym_noperspective] = ACTIONS(2248),
    [anon_sym_nointerpolation] = ACTIONS(2248),
    [anon_sym_sample] = ACTIONS(2248),
    [anon_sym_linear] = ACTIONS(2248),
    [anon_sym_snorm] = ACTIONS(2248),
    [anon_sym_unorm] = ACTIONS(2248),
    [anon_sym_point] = ACTIONS(2248),
    [anon_sym_line] = ACTIONS(2248),
    [anon_sym_triangleadj] = ACTIONS(2248),
    [anon_sym_lineadj] = ACTIONS(2248),
    [anon_sym_triangle] = ACTIONS(2248),
    [anon_sym_cbuffer] = ACTIONS(2248),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2252),
    [aux_sym_preproc_include_token1] = ACTIONS(2252),
    [aux_sym_preproc_def_token1] = ACTIONS(2252),
    [aux_sym_preproc_if_token1] = ACTIONS(2252),
    [aux_sym_preproc_if_token2] = ACTIONS(2252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2252),
    [sym_preproc_directive] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2254),
    [anon_sym_AMP_AMP] = ACTIONS(2254),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2252),
    [anon_sym_typedef] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_out] = ACTIONS(2252),
    [anon_sym_inout] = ACTIONS(2252),
    [anon_sym_virtual] = ACTIONS(2252),
    [anon_sym_extern] = ACTIONS(2252),
    [anon_sym___attribute__] = ACTIONS(2252),
    [anon_sym_COLON_COLON] = ACTIONS(2254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2254),
    [anon_sym___declspec] = ACTIONS(2252),
    [anon_sym___based] = ACTIONS(2252),
    [anon_sym___cdecl] = ACTIONS(2252),
    [anon_sym___clrcall] = ACTIONS(2252),
    [anon_sym___stdcall] = ACTIONS(2252),
    [anon_sym___fastcall] = ACTIONS(2252),
    [anon_sym___thiscall] = ACTIONS(2252),
    [anon_sym___vectorcall] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_signed] = ACTIONS(2252),
    [anon_sym_unsigned] = ACTIONS(2252),
    [anon_sym_long] = ACTIONS(2252),
    [anon_sym_short] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_register] = ACTIONS(2252),
    [anon_sym_inline] = ACTIONS(2252),
    [anon_sym___inline] = ACTIONS(2252),
    [anon_sym___inline__] = ACTIONS(2252),
    [anon_sym___forceinline] = ACTIONS(2252),
    [anon_sym_thread_local] = ACTIONS(2252),
    [anon_sym___thread] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_constexpr] = ACTIONS(2252),
    [anon_sym_volatile] = ACTIONS(2252),
    [anon_sym_restrict] = ACTIONS(2252),
    [anon_sym___restrict__] = ACTIONS(2252),
    [anon_sym__Atomic] = ACTIONS(2252),
    [anon_sym__Noreturn] = ACTIONS(2252),
    [anon_sym_noreturn] = ACTIONS(2252),
    [anon_sym__Nonnull] = ACTIONS(2252),
    [anon_sym_mutable] = ACTIONS(2252),
    [anon_sym_constinit] = ACTIONS(2252),
    [anon_sym_consteval] = ACTIONS(2252),
    [anon_sym_alignas] = ACTIONS(2252),
    [anon_sym__Alignas] = ACTIONS(2252),
    [sym_primitive_type] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_struct] = ACTIONS(2252),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_else] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_goto] = ACTIONS(2252),
    [anon_sym___try] = ACTIONS(2252),
    [anon_sym___leave] = ACTIONS(2252),
    [anon_sym_not] = ACTIONS(2252),
    [anon_sym_compl] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_sizeof] = ACTIONS(2252),
    [anon_sym___alignof__] = ACTIONS(2252),
    [anon_sym___alignof] = ACTIONS(2252),
    [anon_sym__alignof] = ACTIONS(2252),
    [anon_sym_alignof] = ACTIONS(2252),
    [anon_sym__Alignof] = ACTIONS(2252),
    [anon_sym_offsetof] = ACTIONS(2252),
    [anon_sym__Generic] = ACTIONS(2252),
    [anon_sym_asm] = ACTIONS(2252),
    [anon_sym___asm__] = ACTIONS(2252),
    [anon_sym___asm] = ACTIONS(2252),
    [sym_number_literal] = ACTIONS(2254),
    [anon_sym_L_SQUOTE] = ACTIONS(2254),
    [anon_sym_u_SQUOTE] = ACTIONS(2254),
    [anon_sym_U_SQUOTE] = ACTIONS(2254),
    [anon_sym_u8_SQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_L_DQUOTE] = ACTIONS(2254),
    [anon_sym_u_DQUOTE] = ACTIONS(2254),
    [anon_sym_U_DQUOTE] = ACTIONS(2254),
    [anon_sym_u8_DQUOTE] = ACTIONS(2254),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [anon_sym_NULL] = ACTIONS(2252),
    [anon_sym_nullptr] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2252),
    [anon_sym_decltype] = ACTIONS(2252),
    [anon_sym_explicit] = ACTIONS(2252),
    [anon_sym_typename] = ACTIONS(2252),
    [anon_sym_template] = ACTIONS(2252),
    [anon_sym_operator] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_static_assert] = ACTIONS(2252),
    [anon_sym_concept] = ACTIONS(2252),
    [anon_sym_co_return] = ACTIONS(2252),
    [anon_sym_co_yield] = ACTIONS(2252),
    [anon_sym_R_DQUOTE] = ACTIONS(2254),
    [anon_sym_LR_DQUOTE] = ACTIONS(2254),
    [anon_sym_uR_DQUOTE] = ACTIONS(2254),
    [anon_sym_UR_DQUOTE] = ACTIONS(2254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2254),
    [anon_sym_co_await] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [anon_sym_discard] = ACTIONS(2252),
    [anon_sym_precise] = ACTIONS(2252),
    [anon_sym_shared] = ACTIONS(2252),
    [anon_sym_groupshared] = ACTIONS(2252),
    [anon_sym_uniform] = ACTIONS(2252),
    [anon_sym_row_major] = ACTIONS(2252),
    [anon_sym_column_major] = ACTIONS(2252),
    [anon_sym_globallycoherent] = ACTIONS(2252),
    [anon_sym_centroid] = ACTIONS(2252),
    [anon_sym_noperspective] = ACTIONS(2252),
    [anon_sym_nointerpolation] = ACTIONS(2252),
    [anon_sym_sample] = ACTIONS(2252),
    [anon_sym_linear] = ACTIONS(2252),
    [anon_sym_snorm] = ACTIONS(2252),
    [anon_sym_unorm] = ACTIONS(2252),
    [anon_sym_point] = ACTIONS(2252),
    [anon_sym_line] = ACTIONS(2252),
    [anon_sym_triangleadj] = ACTIONS(2252),
    [anon_sym_lineadj] = ACTIONS(2252),
    [anon_sym_triangle] = ACTIONS(2252),
    [anon_sym_cbuffer] = ACTIONS(2252),
  },
  [543] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(2347),
    [aux_sym_preproc_include_token1] = ACTIONS(2347),
    [aux_sym_preproc_def_token1] = ACTIONS(2347),
    [aux_sym_preproc_if_token1] = ACTIONS(2347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2347),
    [sym_preproc_directive] = ACTIONS(2347),
    [anon_sym_LPAREN2] = ACTIONS(2349),
    [anon_sym_BANG] = ACTIONS(2349),
    [anon_sym_TILDE] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2347),
    [anon_sym_PLUS] = ACTIONS(2347),
    [anon_sym_STAR] = ACTIONS(2349),
    [anon_sym_AMP_AMP] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(2349),
    [anon_sym___extension__] = ACTIONS(2347),
    [anon_sym_typedef] = ACTIONS(2347),
    [anon_sym_in] = ACTIONS(2347),
    [anon_sym_out] = ACTIONS(2347),
    [anon_sym_inout] = ACTIONS(2347),
    [anon_sym_virtual] = ACTIONS(2347),
    [anon_sym_extern] = ACTIONS(2347),
    [anon_sym___attribute__] = ACTIONS(2347),
    [anon_sym_COLON_COLON] = ACTIONS(2349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2349),
    [anon_sym___declspec] = ACTIONS(2347),
    [anon_sym___based] = ACTIONS(2347),
    [anon_sym___cdecl] = ACTIONS(2347),
    [anon_sym___clrcall] = ACTIONS(2347),
    [anon_sym___stdcall] = ACTIONS(2347),
    [anon_sym___fastcall] = ACTIONS(2347),
    [anon_sym___thiscall] = ACTIONS(2347),
    [anon_sym___vectorcall] = ACTIONS(2347),
    [anon_sym_LBRACE] = ACTIONS(2349),
    [anon_sym_signed] = ACTIONS(2347),
    [anon_sym_unsigned] = ACTIONS(2347),
    [anon_sym_long] = ACTIONS(2347),
    [anon_sym_short] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(2347),
    [anon_sym_static] = ACTIONS(2347),
    [anon_sym_register] = ACTIONS(2347),
    [anon_sym_inline] = ACTIONS(2347),
    [anon_sym___inline] = ACTIONS(2347),
    [anon_sym___inline__] = ACTIONS(2347),
    [anon_sym___forceinline] = ACTIONS(2347),
    [anon_sym_thread_local] = ACTIONS(2347),
    [anon_sym___thread] = ACTIONS(2347),
    [anon_sym_const] = ACTIONS(2347),
    [anon_sym_constexpr] = ACTIONS(2347),
    [anon_sym_volatile] = ACTIONS(2347),
    [anon_sym_restrict] = ACTIONS(2347),
    [anon_sym___restrict__] = ACTIONS(2347),
    [anon_sym__Atomic] = ACTIONS(2347),
    [anon_sym__Noreturn] = ACTIONS(2347),
    [anon_sym_noreturn] = ACTIONS(2347),
    [anon_sym__Nonnull] = ACTIONS(2347),
    [anon_sym_mutable] = ACTIONS(2347),
    [anon_sym_constinit] = ACTIONS(2347),
    [anon_sym_consteval] = ACTIONS(2347),
    [anon_sym_alignas] = ACTIONS(2347),
    [anon_sym__Alignas] = ACTIONS(2347),
    [sym_primitive_type] = ACTIONS(2347),
    [anon_sym_enum] = ACTIONS(2347),
    [anon_sym_class] = ACTIONS(2347),
    [anon_sym_struct] = ACTIONS(2347),
    [anon_sym_union] = ACTIONS(2347),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_else] = ACTIONS(2347),
    [anon_sym_switch] = ACTIONS(2347),
    [anon_sym_case] = ACTIONS(2347),
    [anon_sym_default] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2347),
    [anon_sym_do] = ACTIONS(2347),
    [anon_sym_for] = ACTIONS(2347),
    [anon_sym_return] = ACTIONS(2347),
    [anon_sym_break] = ACTIONS(2347),
    [anon_sym_continue] = ACTIONS(2347),
    [anon_sym_goto] = ACTIONS(2347),
    [anon_sym___try] = ACTIONS(2347),
    [anon_sym___leave] = ACTIONS(2347),
    [anon_sym_not] = ACTIONS(2347),
    [anon_sym_compl] = ACTIONS(2347),
    [anon_sym_DASH_DASH] = ACTIONS(2349),
    [anon_sym_PLUS_PLUS] = ACTIONS(2349),
    [anon_sym_sizeof] = ACTIONS(2347),
    [anon_sym___alignof__] = ACTIONS(2347),
    [anon_sym___alignof] = ACTIONS(2347),
    [anon_sym__alignof] = ACTIONS(2347),
    [anon_sym_alignof] = ACTIONS(2347),
    [anon_sym__Alignof] = ACTIONS(2347),
    [anon_sym_offsetof] = ACTIONS(2347),
    [anon_sym__Generic] = ACTIONS(2347),
    [anon_sym_asm] = ACTIONS(2347),
    [anon_sym___asm__] = ACTIONS(2347),
    [anon_sym___asm] = ACTIONS(2347),
    [sym_number_literal] = ACTIONS(2349),
    [anon_sym_L_SQUOTE] = ACTIONS(2349),
    [anon_sym_u_SQUOTE] = ACTIONS(2349),
    [anon_sym_U_SQUOTE] = ACTIONS(2349),
    [anon_sym_u8_SQUOTE] = ACTIONS(2349),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_L_DQUOTE] = ACTIONS(2349),
    [anon_sym_u_DQUOTE] = ACTIONS(2349),
    [anon_sym_U_DQUOTE] = ACTIONS(2349),
    [anon_sym_u8_DQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2349),
    [sym_true] = ACTIONS(2347),
    [sym_false] = ACTIONS(2347),
    [anon_sym_NULL] = ACTIONS(2347),
    [anon_sym_nullptr] = ACTIONS(2347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2347),
    [anon_sym_decltype] = ACTIONS(2347),
    [anon_sym_explicit] = ACTIONS(2347),
    [anon_sym_typename] = ACTIONS(2347),
    [anon_sym_template] = ACTIONS(2347),
    [anon_sym_operator] = ACTIONS(2347),
    [anon_sym_try] = ACTIONS(2347),
    [anon_sym_delete] = ACTIONS(2347),
    [anon_sym_throw] = ACTIONS(2347),
    [anon_sym_namespace] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_static_assert] = ACTIONS(2347),
    [anon_sym_concept] = ACTIONS(2347),
    [anon_sym_co_return] = ACTIONS(2347),
    [anon_sym_co_yield] = ACTIONS(2347),
    [anon_sym_R_DQUOTE] = ACTIONS(2349),
    [anon_sym_LR_DQUOTE] = ACTIONS(2349),
    [anon_sym_uR_DQUOTE] = ACTIONS(2349),
    [anon_sym_UR_DQUOTE] = ACTIONS(2349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2349),
    [anon_sym_co_await] = ACTIONS(2347),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_requires] = ACTIONS(2347),
    [sym_this] = ACTIONS(2347),
    [anon_sym_discard] = ACTIONS(2347),
    [anon_sym_precise] = ACTIONS(2347),
    [anon_sym_shared] = ACTIONS(2347),
    [anon_sym_groupshared] = ACTIONS(2347),
    [anon_sym_uniform] = ACTIONS(2347),
    [anon_sym_row_major] = ACTIONS(2347),
    [anon_sym_column_major] = ACTIONS(2347),
    [anon_sym_globallycoherent] = ACTIONS(2347),
    [anon_sym_centroid] = ACTIONS(2347),
    [anon_sym_noperspective] = ACTIONS(2347),
    [anon_sym_nointerpolation] = ACTIONS(2347),
    [anon_sym_sample] = ACTIONS(2347),
    [anon_sym_linear] = ACTIONS(2347),
    [anon_sym_snorm] = ACTIONS(2347),
    [anon_sym_unorm] = ACTIONS(2347),
    [anon_sym_point] = ACTIONS(2347),
    [anon_sym_line] = ACTIONS(2347),
    [anon_sym_triangleadj] = ACTIONS(2347),
    [anon_sym_lineadj] = ACTIONS(2347),
    [anon_sym_triangle] = ACTIONS(2347),
    [anon_sym_cbuffer] = ACTIONS(2347),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2256),
    [aux_sym_preproc_include_token1] = ACTIONS(2256),
    [aux_sym_preproc_def_token1] = ACTIONS(2256),
    [aux_sym_preproc_if_token1] = ACTIONS(2256),
    [aux_sym_preproc_if_token2] = ACTIONS(2256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2256),
    [sym_preproc_directive] = ACTIONS(2256),
    [anon_sym_LPAREN2] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2256),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym___extension__] = ACTIONS(2256),
    [anon_sym_typedef] = ACTIONS(2256),
    [anon_sym_in] = ACTIONS(2256),
    [anon_sym_out] = ACTIONS(2256),
    [anon_sym_inout] = ACTIONS(2256),
    [anon_sym_virtual] = ACTIONS(2256),
    [anon_sym_extern] = ACTIONS(2256),
    [anon_sym___attribute__] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2258),
    [anon_sym___declspec] = ACTIONS(2256),
    [anon_sym___based] = ACTIONS(2256),
    [anon_sym___cdecl] = ACTIONS(2256),
    [anon_sym___clrcall] = ACTIONS(2256),
    [anon_sym___stdcall] = ACTIONS(2256),
    [anon_sym___fastcall] = ACTIONS(2256),
    [anon_sym___thiscall] = ACTIONS(2256),
    [anon_sym___vectorcall] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_signed] = ACTIONS(2256),
    [anon_sym_unsigned] = ACTIONS(2256),
    [anon_sym_long] = ACTIONS(2256),
    [anon_sym_short] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2256),
    [anon_sym_register] = ACTIONS(2256),
    [anon_sym_inline] = ACTIONS(2256),
    [anon_sym___inline] = ACTIONS(2256),
    [anon_sym___inline__] = ACTIONS(2256),
    [anon_sym___forceinline] = ACTIONS(2256),
    [anon_sym_thread_local] = ACTIONS(2256),
    [anon_sym___thread] = ACTIONS(2256),
    [anon_sym_const] = ACTIONS(2256),
    [anon_sym_constexpr] = ACTIONS(2256),
    [anon_sym_volatile] = ACTIONS(2256),
    [anon_sym_restrict] = ACTIONS(2256),
    [anon_sym___restrict__] = ACTIONS(2256),
    [anon_sym__Atomic] = ACTIONS(2256),
    [anon_sym__Noreturn] = ACTIONS(2256),
    [anon_sym_noreturn] = ACTIONS(2256),
    [anon_sym__Nonnull] = ACTIONS(2256),
    [anon_sym_mutable] = ACTIONS(2256),
    [anon_sym_constinit] = ACTIONS(2256),
    [anon_sym_consteval] = ACTIONS(2256),
    [anon_sym_alignas] = ACTIONS(2256),
    [anon_sym__Alignas] = ACTIONS(2256),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_enum] = ACTIONS(2256),
    [anon_sym_class] = ACTIONS(2256),
    [anon_sym_struct] = ACTIONS(2256),
    [anon_sym_union] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_else] = ACTIONS(2256),
    [anon_sym_switch] = ACTIONS(2256),
    [anon_sym_case] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2256),
    [anon_sym_for] = ACTIONS(2256),
    [anon_sym_return] = ACTIONS(2256),
    [anon_sym_break] = ACTIONS(2256),
    [anon_sym_continue] = ACTIONS(2256),
    [anon_sym_goto] = ACTIONS(2256),
    [anon_sym___try] = ACTIONS(2256),
    [anon_sym___leave] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2256),
    [anon_sym_compl] = ACTIONS(2256),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_sizeof] = ACTIONS(2256),
    [anon_sym___alignof__] = ACTIONS(2256),
    [anon_sym___alignof] = ACTIONS(2256),
    [anon_sym__alignof] = ACTIONS(2256),
    [anon_sym_alignof] = ACTIONS(2256),
    [anon_sym__Alignof] = ACTIONS(2256),
    [anon_sym_offsetof] = ACTIONS(2256),
    [anon_sym__Generic] = ACTIONS(2256),
    [anon_sym_asm] = ACTIONS(2256),
    [anon_sym___asm__] = ACTIONS(2256),
    [anon_sym___asm] = ACTIONS(2256),
    [sym_number_literal] = ACTIONS(2258),
    [anon_sym_L_SQUOTE] = ACTIONS(2258),
    [anon_sym_u_SQUOTE] = ACTIONS(2258),
    [anon_sym_U_SQUOTE] = ACTIONS(2258),
    [anon_sym_u8_SQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_L_DQUOTE] = ACTIONS(2258),
    [anon_sym_u_DQUOTE] = ACTIONS(2258),
    [anon_sym_U_DQUOTE] = ACTIONS(2258),
    [anon_sym_u8_DQUOTE] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [sym_true] = ACTIONS(2256),
    [sym_false] = ACTIONS(2256),
    [anon_sym_NULL] = ACTIONS(2256),
    [anon_sym_nullptr] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2256),
    [anon_sym_decltype] = ACTIONS(2256),
    [anon_sym_explicit] = ACTIONS(2256),
    [anon_sym_typename] = ACTIONS(2256),
    [anon_sym_template] = ACTIONS(2256),
    [anon_sym_operator] = ACTIONS(2256),
    [anon_sym_try] = ACTIONS(2256),
    [anon_sym_delete] = ACTIONS(2256),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_namespace] = ACTIONS(2256),
    [anon_sym_using] = ACTIONS(2256),
    [anon_sym_static_assert] = ACTIONS(2256),
    [anon_sym_concept] = ACTIONS(2256),
    [anon_sym_co_return] = ACTIONS(2256),
    [anon_sym_co_yield] = ACTIONS(2256),
    [anon_sym_R_DQUOTE] = ACTIONS(2258),
    [anon_sym_LR_DQUOTE] = ACTIONS(2258),
    [anon_sym_uR_DQUOTE] = ACTIONS(2258),
    [anon_sym_UR_DQUOTE] = ACTIONS(2258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2258),
    [anon_sym_co_await] = ACTIONS(2256),
    [anon_sym_new] = ACTIONS(2256),
    [anon_sym_requires] = ACTIONS(2256),
    [sym_this] = ACTIONS(2256),
    [anon_sym_discard] = ACTIONS(2256),
    [anon_sym_precise] = ACTIONS(2256),
    [anon_sym_shared] = ACTIONS(2256),
    [anon_sym_groupshared] = ACTIONS(2256),
    [anon_sym_uniform] = ACTIONS(2256),
    [anon_sym_row_major] = ACTIONS(2256),
    [anon_sym_column_major] = ACTIONS(2256),
    [anon_sym_globallycoherent] = ACTIONS(2256),
    [anon_sym_centroid] = ACTIONS(2256),
    [anon_sym_noperspective] = ACTIONS(2256),
    [anon_sym_nointerpolation] = ACTIONS(2256),
    [anon_sym_sample] = ACTIONS(2256),
    [anon_sym_linear] = ACTIONS(2256),
    [anon_sym_snorm] = ACTIONS(2256),
    [anon_sym_unorm] = ACTIONS(2256),
    [anon_sym_point] = ACTIONS(2256),
    [anon_sym_line] = ACTIONS(2256),
    [anon_sym_triangleadj] = ACTIONS(2256),
    [anon_sym_lineadj] = ACTIONS(2256),
    [anon_sym_triangle] = ACTIONS(2256),
    [anon_sym_cbuffer] = ACTIONS(2256),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(2228),
    [sym_identifier] = ACTIONS(2226),
    [aux_sym_preproc_include_token1] = ACTIONS(2226),
    [aux_sym_preproc_def_token1] = ACTIONS(2226),
    [aux_sym_preproc_if_token1] = ACTIONS(2226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2226),
    [sym_preproc_directive] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym___extension__] = ACTIONS(2226),
    [anon_sym_typedef] = ACTIONS(2226),
    [anon_sym_in] = ACTIONS(2226),
    [anon_sym_out] = ACTIONS(2226),
    [anon_sym_inout] = ACTIONS(2226),
    [anon_sym_virtual] = ACTIONS(2226),
    [anon_sym_extern] = ACTIONS(2226),
    [anon_sym___attribute__] = ACTIONS(2226),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2228),
    [anon_sym___declspec] = ACTIONS(2226),
    [anon_sym___based] = ACTIONS(2226),
    [anon_sym___cdecl] = ACTIONS(2226),
    [anon_sym___clrcall] = ACTIONS(2226),
    [anon_sym___stdcall] = ACTIONS(2226),
    [anon_sym___fastcall] = ACTIONS(2226),
    [anon_sym___thiscall] = ACTIONS(2226),
    [anon_sym___vectorcall] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_signed] = ACTIONS(2226),
    [anon_sym_unsigned] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_register] = ACTIONS(2226),
    [anon_sym_inline] = ACTIONS(2226),
    [anon_sym___inline] = ACTIONS(2226),
    [anon_sym___inline__] = ACTIONS(2226),
    [anon_sym___forceinline] = ACTIONS(2226),
    [anon_sym_thread_local] = ACTIONS(2226),
    [anon_sym___thread] = ACTIONS(2226),
    [anon_sym_const] = ACTIONS(2226),
    [anon_sym_constexpr] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_restrict] = ACTIONS(2226),
    [anon_sym___restrict__] = ACTIONS(2226),
    [anon_sym__Atomic] = ACTIONS(2226),
    [anon_sym__Noreturn] = ACTIONS(2226),
    [anon_sym_noreturn] = ACTIONS(2226),
    [anon_sym__Nonnull] = ACTIONS(2226),
    [anon_sym_mutable] = ACTIONS(2226),
    [anon_sym_constinit] = ACTIONS(2226),
    [anon_sym_consteval] = ACTIONS(2226),
    [anon_sym_alignas] = ACTIONS(2226),
    [anon_sym__Alignas] = ACTIONS(2226),
    [sym_primitive_type] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_struct] = ACTIONS(2226),
    [anon_sym_union] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_case] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_goto] = ACTIONS(2226),
    [anon_sym___try] = ACTIONS(2226),
    [anon_sym___leave] = ACTIONS(2226),
    [anon_sym_not] = ACTIONS(2226),
    [anon_sym_compl] = ACTIONS(2226),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_sizeof] = ACTIONS(2226),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2226),
    [anon_sym_asm] = ACTIONS(2226),
    [anon_sym___asm__] = ACTIONS(2226),
    [anon_sym___asm] = ACTIONS(2226),
    [sym_number_literal] = ACTIONS(2228),
    [anon_sym_L_SQUOTE] = ACTIONS(2228),
    [anon_sym_u_SQUOTE] = ACTIONS(2228),
    [anon_sym_U_SQUOTE] = ACTIONS(2228),
    [anon_sym_u8_SQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_L_DQUOTE] = ACTIONS(2228),
    [anon_sym_u_DQUOTE] = ACTIONS(2228),
    [anon_sym_U_DQUOTE] = ACTIONS(2228),
    [anon_sym_u8_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [anon_sym_NULL] = ACTIONS(2226),
    [anon_sym_nullptr] = ACTIONS(2226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2226),
    [anon_sym_decltype] = ACTIONS(2226),
    [anon_sym_explicit] = ACTIONS(2226),
    [anon_sym_typename] = ACTIONS(2226),
    [anon_sym_template] = ACTIONS(2226),
    [anon_sym_operator] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_delete] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_namespace] = ACTIONS(2226),
    [anon_sym_using] = ACTIONS(2226),
    [anon_sym_static_assert] = ACTIONS(2226),
    [anon_sym_concept] = ACTIONS(2226),
    [anon_sym_co_return] = ACTIONS(2226),
    [anon_sym_co_yield] = ACTIONS(2226),
    [anon_sym_R_DQUOTE] = ACTIONS(2228),
    [anon_sym_LR_DQUOTE] = ACTIONS(2228),
    [anon_sym_uR_DQUOTE] = ACTIONS(2228),
    [anon_sym_UR_DQUOTE] = ACTIONS(2228),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2228),
    [anon_sym_co_await] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_requires] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [anon_sym_discard] = ACTIONS(2226),
    [anon_sym_precise] = ACTIONS(2226),
    [anon_sym_shared] = ACTIONS(2226),
    [anon_sym_groupshared] = ACTIONS(2226),
    [anon_sym_uniform] = ACTIONS(2226),
    [anon_sym_row_major] = ACTIONS(2226),
    [anon_sym_column_major] = ACTIONS(2226),
    [anon_sym_globallycoherent] = ACTIONS(2226),
    [anon_sym_centroid] = ACTIONS(2226),
    [anon_sym_noperspective] = ACTIONS(2226),
    [anon_sym_nointerpolation] = ACTIONS(2226),
    [anon_sym_sample] = ACTIONS(2226),
    [anon_sym_linear] = ACTIONS(2226),
    [anon_sym_snorm] = ACTIONS(2226),
    [anon_sym_unorm] = ACTIONS(2226),
    [anon_sym_point] = ACTIONS(2226),
    [anon_sym_line] = ACTIONS(2226),
    [anon_sym_triangleadj] = ACTIONS(2226),
    [anon_sym_lineadj] = ACTIONS(2226),
    [anon_sym_triangle] = ACTIONS(2226),
    [anon_sym_cbuffer] = ACTIONS(2226),
  },
  [547] = {
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym__Nonnull] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym__Alignas] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [anon_sym___asm] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [548] = {
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_include_token1] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym___cdecl] = ACTIONS(2242),
    [anon_sym___clrcall] = ACTIONS(2242),
    [anon_sym___stdcall] = ACTIONS(2242),
    [anon_sym___fastcall] = ACTIONS(2242),
    [anon_sym___thiscall] = ACTIONS(2242),
    [anon_sym___vectorcall] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym__Nonnull] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym__Alignas] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [anon_sym___asm] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_concept] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [549] = {
    [sym_identifier] = ACTIONS(2248),
    [aux_sym_preproc_include_token1] = ACTIONS(2248),
    [aux_sym_preproc_def_token1] = ACTIONS(2248),
    [aux_sym_preproc_if_token1] = ACTIONS(2248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2248),
    [sym_preproc_directive] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_AMP_AMP] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym___extension__] = ACTIONS(2248),
    [anon_sym_typedef] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2248),
    [anon_sym_out] = ACTIONS(2248),
    [anon_sym_inout] = ACTIONS(2248),
    [anon_sym_virtual] = ACTIONS(2248),
    [anon_sym_extern] = ACTIONS(2248),
    [anon_sym___attribute__] = ACTIONS(2248),
    [anon_sym_COLON_COLON] = ACTIONS(2250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2250),
    [anon_sym___declspec] = ACTIONS(2248),
    [anon_sym___based] = ACTIONS(2248),
    [anon_sym___cdecl] = ACTIONS(2248),
    [anon_sym___clrcall] = ACTIONS(2248),
    [anon_sym___stdcall] = ACTIONS(2248),
    [anon_sym___fastcall] = ACTIONS(2248),
    [anon_sym___thiscall] = ACTIONS(2248),
    [anon_sym___vectorcall] = ACTIONS(2248),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_signed] = ACTIONS(2248),
    [anon_sym_unsigned] = ACTIONS(2248),
    [anon_sym_long] = ACTIONS(2248),
    [anon_sym_short] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_static] = ACTIONS(2248),
    [anon_sym_register] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(2248),
    [anon_sym___inline] = ACTIONS(2248),
    [anon_sym___inline__] = ACTIONS(2248),
    [anon_sym___forceinline] = ACTIONS(2248),
    [anon_sym_thread_local] = ACTIONS(2248),
    [anon_sym___thread] = ACTIONS(2248),
    [anon_sym_const] = ACTIONS(2248),
    [anon_sym_constexpr] = ACTIONS(2248),
    [anon_sym_volatile] = ACTIONS(2248),
    [anon_sym_restrict] = ACTIONS(2248),
    [anon_sym___restrict__] = ACTIONS(2248),
    [anon_sym__Atomic] = ACTIONS(2248),
    [anon_sym__Noreturn] = ACTIONS(2248),
    [anon_sym_noreturn] = ACTIONS(2248),
    [anon_sym__Nonnull] = ACTIONS(2248),
    [anon_sym_mutable] = ACTIONS(2248),
    [anon_sym_constinit] = ACTIONS(2248),
    [anon_sym_consteval] = ACTIONS(2248),
    [anon_sym_alignas] = ACTIONS(2248),
    [anon_sym__Alignas] = ACTIONS(2248),
    [sym_primitive_type] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2248),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_union] = ACTIONS(2248),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_else] = ACTIONS(2248),
    [anon_sym_switch] = ACTIONS(2248),
    [anon_sym_case] = ACTIONS(2248),
    [anon_sym_default] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(2248),
    [anon_sym_do] = ACTIONS(2248),
    [anon_sym_for] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(2248),
    [anon_sym_break] = ACTIONS(2248),
    [anon_sym_continue] = ACTIONS(2248),
    [anon_sym_goto] = ACTIONS(2248),
    [anon_sym___try] = ACTIONS(2248),
    [anon_sym___leave] = ACTIONS(2248),
    [anon_sym_not] = ACTIONS(2248),
    [anon_sym_compl] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(2248),
    [anon_sym___alignof] = ACTIONS(2248),
    [anon_sym__alignof] = ACTIONS(2248),
    [anon_sym_alignof] = ACTIONS(2248),
    [anon_sym__Alignof] = ACTIONS(2248),
    [anon_sym_offsetof] = ACTIONS(2248),
    [anon_sym__Generic] = ACTIONS(2248),
    [anon_sym_asm] = ACTIONS(2248),
    [anon_sym___asm__] = ACTIONS(2248),
    [anon_sym___asm] = ACTIONS(2248),
    [sym_number_literal] = ACTIONS(2250),
    [anon_sym_L_SQUOTE] = ACTIONS(2250),
    [anon_sym_u_SQUOTE] = ACTIONS(2250),
    [anon_sym_U_SQUOTE] = ACTIONS(2250),
    [anon_sym_u8_SQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [anon_sym_L_DQUOTE] = ACTIONS(2250),
    [anon_sym_u_DQUOTE] = ACTIONS(2250),
    [anon_sym_U_DQUOTE] = ACTIONS(2250),
    [anon_sym_u8_DQUOTE] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2248),
    [anon_sym_nullptr] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2248),
    [anon_sym_decltype] = ACTIONS(2248),
    [anon_sym_explicit] = ACTIONS(2248),
    [anon_sym_typename] = ACTIONS(2248),
    [anon_sym_template] = ACTIONS(2248),
    [anon_sym_operator] = ACTIONS(2248),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_delete] = ACTIONS(2248),
    [anon_sym_throw] = ACTIONS(2248),
    [anon_sym_namespace] = ACTIONS(2248),
    [anon_sym_using] = ACTIONS(2248),
    [anon_sym_static_assert] = ACTIONS(2248),
    [anon_sym_concept] = ACTIONS(2248),
    [anon_sym_co_return] = ACTIONS(2248),
    [anon_sym_co_yield] = ACTIONS(2248),
    [anon_sym_R_DQUOTE] = ACTIONS(2250),
    [anon_sym_LR_DQUOTE] = ACTIONS(2250),
    [anon_sym_uR_DQUOTE] = ACTIONS(2250),
    [anon_sym_UR_DQUOTE] = ACTIONS(2250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2250),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2248),
    [sym_this] = ACTIONS(2248),
    [anon_sym_discard] = ACTIONS(2248),
    [anon_sym_precise] = ACTIONS(2248),
    [anon_sym_shared] = ACTIONS(2248),
    [anon_sym_groupshared] = ACTIONS(2248),
    [anon_sym_uniform] = ACTIONS(2248),
    [anon_sym_row_major] = ACTIONS(2248),
    [anon_sym_column_major] = ACTIONS(2248),
    [anon_sym_globallycoherent] = ACTIONS(2248),
    [anon_sym_centroid] = ACTIONS(2248),
    [anon_sym_noperspective] = ACTIONS(2248),
    [anon_sym_nointerpolation] = ACTIONS(2248),
    [anon_sym_sample] = ACTIONS(2248),
    [anon_sym_linear] = ACTIONS(2248),
    [anon_sym_snorm] = ACTIONS(2248),
    [anon_sym_unorm] = ACTIONS(2248),
    [anon_sym_point] = ACTIONS(2248),
    [anon_sym_line] = ACTIONS(2248),
    [anon_sym_triangleadj] = ACTIONS(2248),
    [anon_sym_lineadj] = ACTIONS(2248),
    [anon_sym_triangle] = ACTIONS(2248),
    [anon_sym_cbuffer] = ACTIONS(2248),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2252),
    [aux_sym_preproc_include_token1] = ACTIONS(2252),
    [aux_sym_preproc_def_token1] = ACTIONS(2252),
    [aux_sym_preproc_if_token1] = ACTIONS(2252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2252),
    [sym_preproc_directive] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2254),
    [anon_sym_AMP_AMP] = ACTIONS(2254),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2252),
    [anon_sym_typedef] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_out] = ACTIONS(2252),
    [anon_sym_inout] = ACTIONS(2252),
    [anon_sym_virtual] = ACTIONS(2252),
    [anon_sym_extern] = ACTIONS(2252),
    [anon_sym___attribute__] = ACTIONS(2252),
    [anon_sym_COLON_COLON] = ACTIONS(2254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2254),
    [anon_sym___declspec] = ACTIONS(2252),
    [anon_sym___based] = ACTIONS(2252),
    [anon_sym___cdecl] = ACTIONS(2252),
    [anon_sym___clrcall] = ACTIONS(2252),
    [anon_sym___stdcall] = ACTIONS(2252),
    [anon_sym___fastcall] = ACTIONS(2252),
    [anon_sym___thiscall] = ACTIONS(2252),
    [anon_sym___vectorcall] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_RBRACE] = ACTIONS(2254),
    [anon_sym_signed] = ACTIONS(2252),
    [anon_sym_unsigned] = ACTIONS(2252),
    [anon_sym_long] = ACTIONS(2252),
    [anon_sym_short] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_register] = ACTIONS(2252),
    [anon_sym_inline] = ACTIONS(2252),
    [anon_sym___inline] = ACTIONS(2252),
    [anon_sym___inline__] = ACTIONS(2252),
    [anon_sym___forceinline] = ACTIONS(2252),
    [anon_sym_thread_local] = ACTIONS(2252),
    [anon_sym___thread] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_constexpr] = ACTIONS(2252),
    [anon_sym_volatile] = ACTIONS(2252),
    [anon_sym_restrict] = ACTIONS(2252),
    [anon_sym___restrict__] = ACTIONS(2252),
    [anon_sym__Atomic] = ACTIONS(2252),
    [anon_sym__Noreturn] = ACTIONS(2252),
    [anon_sym_noreturn] = ACTIONS(2252),
    [anon_sym__Nonnull] = ACTIONS(2252),
    [anon_sym_mutable] = ACTIONS(2252),
    [anon_sym_constinit] = ACTIONS(2252),
    [anon_sym_consteval] = ACTIONS(2252),
    [anon_sym_alignas] = ACTIONS(2252),
    [anon_sym__Alignas] = ACTIONS(2252),
    [sym_primitive_type] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_struct] = ACTIONS(2252),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_else] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_goto] = ACTIONS(2252),
    [anon_sym___try] = ACTIONS(2252),
    [anon_sym___leave] = ACTIONS(2252),
    [anon_sym_not] = ACTIONS(2252),
    [anon_sym_compl] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_sizeof] = ACTIONS(2252),
    [anon_sym___alignof__] = ACTIONS(2252),
    [anon_sym___alignof] = ACTIONS(2252),
    [anon_sym__alignof] = ACTIONS(2252),
    [anon_sym_alignof] = ACTIONS(2252),
    [anon_sym__Alignof] = ACTIONS(2252),
    [anon_sym_offsetof] = ACTIONS(2252),
    [anon_sym__Generic] = ACTIONS(2252),
    [anon_sym_asm] = ACTIONS(2252),
    [anon_sym___asm__] = ACTIONS(2252),
    [anon_sym___asm] = ACTIONS(2252),
    [sym_number_literal] = ACTIONS(2254),
    [anon_sym_L_SQUOTE] = ACTIONS(2254),
    [anon_sym_u_SQUOTE] = ACTIONS(2254),
    [anon_sym_U_SQUOTE] = ACTIONS(2254),
    [anon_sym_u8_SQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_L_DQUOTE] = ACTIONS(2254),
    [anon_sym_u_DQUOTE] = ACTIONS(2254),
    [anon_sym_U_DQUOTE] = ACTIONS(2254),
    [anon_sym_u8_DQUOTE] = ACTIONS(2254),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [anon_sym_NULL] = ACTIONS(2252),
    [anon_sym_nullptr] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2252),
    [anon_sym_decltype] = ACTIONS(2252),
    [anon_sym_explicit] = ACTIONS(2252),
    [anon_sym_typename] = ACTIONS(2252),
    [anon_sym_template] = ACTIONS(2252),
    [anon_sym_operator] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_static_assert] = ACTIONS(2252),
    [anon_sym_concept] = ACTIONS(2252),
    [anon_sym_co_return] = ACTIONS(2252),
    [anon_sym_co_yield] = ACTIONS(2252),
    [anon_sym_R_DQUOTE] = ACTIONS(2254),
    [anon_sym_LR_DQUOTE] = ACTIONS(2254),
    [anon_sym_uR_DQUOTE] = ACTIONS(2254),
    [anon_sym_UR_DQUOTE] = ACTIONS(2254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2254),
    [anon_sym_co_await] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [anon_sym_discard] = ACTIONS(2252),
    [anon_sym_precise] = ACTIONS(2252),
    [anon_sym_shared] = ACTIONS(2252),
    [anon_sym_groupshared] = ACTIONS(2252),
    [anon_sym_uniform] = ACTIONS(2252),
    [anon_sym_row_major] = ACTIONS(2252),
    [anon_sym_column_major] = ACTIONS(2252),
    [anon_sym_globallycoherent] = ACTIONS(2252),
    [anon_sym_centroid] = ACTIONS(2252),
    [anon_sym_noperspective] = ACTIONS(2252),
    [anon_sym_nointerpolation] = ACTIONS(2252),
    [anon_sym_sample] = ACTIONS(2252),
    [anon_sym_linear] = ACTIONS(2252),
    [anon_sym_snorm] = ACTIONS(2252),
    [anon_sym_unorm] = ACTIONS(2252),
    [anon_sym_point] = ACTIONS(2252),
    [anon_sym_line] = ACTIONS(2252),
    [anon_sym_triangleadj] = ACTIONS(2252),
    [anon_sym_lineadj] = ACTIONS(2252),
    [anon_sym_triangle] = ACTIONS(2252),
    [anon_sym_cbuffer] = ACTIONS(2252),
  },
  [551] = {
    [sym_identifier] = ACTIONS(2256),
    [aux_sym_preproc_include_token1] = ACTIONS(2256),
    [aux_sym_preproc_def_token1] = ACTIONS(2256),
    [aux_sym_preproc_if_token1] = ACTIONS(2256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2256),
    [sym_preproc_directive] = ACTIONS(2256),
    [anon_sym_LPAREN2] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2256),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym___extension__] = ACTIONS(2256),
    [anon_sym_typedef] = ACTIONS(2256),
    [anon_sym_in] = ACTIONS(2256),
    [anon_sym_out] = ACTIONS(2256),
    [anon_sym_inout] = ACTIONS(2256),
    [anon_sym_virtual] = ACTIONS(2256),
    [anon_sym_extern] = ACTIONS(2256),
    [anon_sym___attribute__] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2258),
    [anon_sym___declspec] = ACTIONS(2256),
    [anon_sym___based] = ACTIONS(2256),
    [anon_sym___cdecl] = ACTIONS(2256),
    [anon_sym___clrcall] = ACTIONS(2256),
    [anon_sym___stdcall] = ACTIONS(2256),
    [anon_sym___fastcall] = ACTIONS(2256),
    [anon_sym___thiscall] = ACTIONS(2256),
    [anon_sym___vectorcall] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_signed] = ACTIONS(2256),
    [anon_sym_unsigned] = ACTIONS(2256),
    [anon_sym_long] = ACTIONS(2256),
    [anon_sym_short] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2256),
    [anon_sym_register] = ACTIONS(2256),
    [anon_sym_inline] = ACTIONS(2256),
    [anon_sym___inline] = ACTIONS(2256),
    [anon_sym___inline__] = ACTIONS(2256),
    [anon_sym___forceinline] = ACTIONS(2256),
    [anon_sym_thread_local] = ACTIONS(2256),
    [anon_sym___thread] = ACTIONS(2256),
    [anon_sym_const] = ACTIONS(2256),
    [anon_sym_constexpr] = ACTIONS(2256),
    [anon_sym_volatile] = ACTIONS(2256),
    [anon_sym_restrict] = ACTIONS(2256),
    [anon_sym___restrict__] = ACTIONS(2256),
    [anon_sym__Atomic] = ACTIONS(2256),
    [anon_sym__Noreturn] = ACTIONS(2256),
    [anon_sym_noreturn] = ACTIONS(2256),
    [anon_sym__Nonnull] = ACTIONS(2256),
    [anon_sym_mutable] = ACTIONS(2256),
    [anon_sym_constinit] = ACTIONS(2256),
    [anon_sym_consteval] = ACTIONS(2256),
    [anon_sym_alignas] = ACTIONS(2256),
    [anon_sym__Alignas] = ACTIONS(2256),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_enum] = ACTIONS(2256),
    [anon_sym_class] = ACTIONS(2256),
    [anon_sym_struct] = ACTIONS(2256),
    [anon_sym_union] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_else] = ACTIONS(2256),
    [anon_sym_switch] = ACTIONS(2256),
    [anon_sym_case] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2256),
    [anon_sym_for] = ACTIONS(2256),
    [anon_sym_return] = ACTIONS(2256),
    [anon_sym_break] = ACTIONS(2256),
    [anon_sym_continue] = ACTIONS(2256),
    [anon_sym_goto] = ACTIONS(2256),
    [anon_sym___try] = ACTIONS(2256),
    [anon_sym___leave] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2256),
    [anon_sym_compl] = ACTIONS(2256),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_sizeof] = ACTIONS(2256),
    [anon_sym___alignof__] = ACTIONS(2256),
    [anon_sym___alignof] = ACTIONS(2256),
    [anon_sym__alignof] = ACTIONS(2256),
    [anon_sym_alignof] = ACTIONS(2256),
    [anon_sym__Alignof] = ACTIONS(2256),
    [anon_sym_offsetof] = ACTIONS(2256),
    [anon_sym__Generic] = ACTIONS(2256),
    [anon_sym_asm] = ACTIONS(2256),
    [anon_sym___asm__] = ACTIONS(2256),
    [anon_sym___asm] = ACTIONS(2256),
    [sym_number_literal] = ACTIONS(2258),
    [anon_sym_L_SQUOTE] = ACTIONS(2258),
    [anon_sym_u_SQUOTE] = ACTIONS(2258),
    [anon_sym_U_SQUOTE] = ACTIONS(2258),
    [anon_sym_u8_SQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_L_DQUOTE] = ACTIONS(2258),
    [anon_sym_u_DQUOTE] = ACTIONS(2258),
    [anon_sym_U_DQUOTE] = ACTIONS(2258),
    [anon_sym_u8_DQUOTE] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [sym_true] = ACTIONS(2256),
    [sym_false] = ACTIONS(2256),
    [anon_sym_NULL] = ACTIONS(2256),
    [anon_sym_nullptr] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2256),
    [anon_sym_decltype] = ACTIONS(2256),
    [anon_sym_explicit] = ACTIONS(2256),
    [anon_sym_typename] = ACTIONS(2256),
    [anon_sym_template] = ACTIONS(2256),
    [anon_sym_operator] = ACTIONS(2256),
    [anon_sym_try] = ACTIONS(2256),
    [anon_sym_delete] = ACTIONS(2256),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_namespace] = ACTIONS(2256),
    [anon_sym_using] = ACTIONS(2256),
    [anon_sym_static_assert] = ACTIONS(2256),
    [anon_sym_concept] = ACTIONS(2256),
    [anon_sym_co_return] = ACTIONS(2256),
    [anon_sym_co_yield] = ACTIONS(2256),
    [anon_sym_R_DQUOTE] = ACTIONS(2258),
    [anon_sym_LR_DQUOTE] = ACTIONS(2258),
    [anon_sym_uR_DQUOTE] = ACTIONS(2258),
    [anon_sym_UR_DQUOTE] = ACTIONS(2258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2258),
    [anon_sym_co_await] = ACTIONS(2256),
    [anon_sym_new] = ACTIONS(2256),
    [anon_sym_requires] = ACTIONS(2256),
    [sym_this] = ACTIONS(2256),
    [anon_sym_discard] = ACTIONS(2256),
    [anon_sym_precise] = ACTIONS(2256),
    [anon_sym_shared] = ACTIONS(2256),
    [anon_sym_groupshared] = ACTIONS(2256),
    [anon_sym_uniform] = ACTIONS(2256),
    [anon_sym_row_major] = ACTIONS(2256),
    [anon_sym_column_major] = ACTIONS(2256),
    [anon_sym_globallycoherent] = ACTIONS(2256),
    [anon_sym_centroid] = ACTIONS(2256),
    [anon_sym_noperspective] = ACTIONS(2256),
    [anon_sym_nointerpolation] = ACTIONS(2256),
    [anon_sym_sample] = ACTIONS(2256),
    [anon_sym_linear] = ACTIONS(2256),
    [anon_sym_snorm] = ACTIONS(2256),
    [anon_sym_unorm] = ACTIONS(2256),
    [anon_sym_point] = ACTIONS(2256),
    [anon_sym_line] = ACTIONS(2256),
    [anon_sym_triangleadj] = ACTIONS(2256),
    [anon_sym_lineadj] = ACTIONS(2256),
    [anon_sym_triangle] = ACTIONS(2256),
    [anon_sym_cbuffer] = ACTIONS(2256),
  },
  [552] = {
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_RBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym__Nonnull] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym__Alignas] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [anon_sym___asm] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [553] = {
    [sym_identifier] = ACTIONS(2276),
    [aux_sym_preproc_include_token1] = ACTIONS(2276),
    [aux_sym_preproc_def_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2276),
    [sym_preproc_directive] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_TILDE] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_AMP_AMP] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2276),
    [anon_sym_typedef] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2276),
    [anon_sym_out] = ACTIONS(2276),
    [anon_sym_inout] = ACTIONS(2276),
    [anon_sym_virtual] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym___attribute__] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2278),
    [anon_sym___declspec] = ACTIONS(2276),
    [anon_sym___based] = ACTIONS(2276),
    [anon_sym___cdecl] = ACTIONS(2276),
    [anon_sym___clrcall] = ACTIONS(2276),
    [anon_sym___stdcall] = ACTIONS(2276),
    [anon_sym___fastcall] = ACTIONS(2276),
    [anon_sym___thiscall] = ACTIONS(2276),
    [anon_sym___vectorcall] = ACTIONS(2276),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_RBRACE] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2276),
    [anon_sym_unsigned] = ACTIONS(2276),
    [anon_sym_long] = ACTIONS(2276),
    [anon_sym_short] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_register] = ACTIONS(2276),
    [anon_sym_inline] = ACTIONS(2276),
    [anon_sym___inline] = ACTIONS(2276),
    [anon_sym___inline__] = ACTIONS(2276),
    [anon_sym___forceinline] = ACTIONS(2276),
    [anon_sym_thread_local] = ACTIONS(2276),
    [anon_sym___thread] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_constexpr] = ACTIONS(2276),
    [anon_sym_volatile] = ACTIONS(2276),
    [anon_sym_restrict] = ACTIONS(2276),
    [anon_sym___restrict__] = ACTIONS(2276),
    [anon_sym__Atomic] = ACTIONS(2276),
    [anon_sym__Noreturn] = ACTIONS(2276),
    [anon_sym_noreturn] = ACTIONS(2276),
    [anon_sym__Nonnull] = ACTIONS(2276),
    [anon_sym_mutable] = ACTIONS(2276),
    [anon_sym_constinit] = ACTIONS(2276),
    [anon_sym_consteval] = ACTIONS(2276),
    [anon_sym_alignas] = ACTIONS(2276),
    [anon_sym__Alignas] = ACTIONS(2276),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_else] = ACTIONS(2276),
    [anon_sym_switch] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_goto] = ACTIONS(2276),
    [anon_sym___try] = ACTIONS(2276),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2276),
    [anon_sym_compl] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2278),
    [anon_sym_sizeof] = ACTIONS(2276),
    [anon_sym___alignof__] = ACTIONS(2276),
    [anon_sym___alignof] = ACTIONS(2276),
    [anon_sym__alignof] = ACTIONS(2276),
    [anon_sym_alignof] = ACTIONS(2276),
    [anon_sym__Alignof] = ACTIONS(2276),
    [anon_sym_offsetof] = ACTIONS(2276),
    [anon_sym__Generic] = ACTIONS(2276),
    [anon_sym_asm] = ACTIONS(2276),
    [anon_sym___asm__] = ACTIONS(2276),
    [anon_sym___asm] = ACTIONS(2276),
    [sym_number_literal] = ACTIONS(2278),
    [anon_sym_L_SQUOTE] = ACTIONS(2278),
    [anon_sym_u_SQUOTE] = ACTIONS(2278),
    [anon_sym_U_SQUOTE] = ACTIONS(2278),
    [anon_sym_u8_SQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2278),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [anon_sym_NULL] = ACTIONS(2276),
    [anon_sym_nullptr] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2276),
    [anon_sym_decltype] = ACTIONS(2276),
    [anon_sym_explicit] = ACTIONS(2276),
    [anon_sym_typename] = ACTIONS(2276),
    [anon_sym_template] = ACTIONS(2276),
    [anon_sym_operator] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_delete] = ACTIONS(2276),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_namespace] = ACTIONS(2276),
    [anon_sym_using] = ACTIONS(2276),
    [anon_sym_static_assert] = ACTIONS(2276),
    [anon_sym_concept] = ACTIONS(2276),
    [anon_sym_co_return] = ACTIONS(2276),
    [anon_sym_co_yield] = ACTIONS(2276),
    [anon_sym_R_DQUOTE] = ACTIONS(2278),
    [anon_sym_LR_DQUOTE] = ACTIONS(2278),
    [anon_sym_uR_DQUOTE] = ACTIONS(2278),
    [anon_sym_UR_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2278),
    [anon_sym_co_await] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_requires] = ACTIONS(2276),
    [sym_this] = ACTIONS(2276),
    [anon_sym_discard] = ACTIONS(2276),
    [anon_sym_precise] = ACTIONS(2276),
    [anon_sym_shared] = ACTIONS(2276),
    [anon_sym_groupshared] = ACTIONS(2276),
    [anon_sym_uniform] = ACTIONS(2276),
    [anon_sym_row_major] = ACTIONS(2276),
    [anon_sym_column_major] = ACTIONS(2276),
    [anon_sym_globallycoherent] = ACTIONS(2276),
    [anon_sym_centroid] = ACTIONS(2276),
    [anon_sym_noperspective] = ACTIONS(2276),
    [anon_sym_nointerpolation] = ACTIONS(2276),
    [anon_sym_sample] = ACTIONS(2276),
    [anon_sym_linear] = ACTIONS(2276),
    [anon_sym_snorm] = ACTIONS(2276),
    [anon_sym_unorm] = ACTIONS(2276),
    [anon_sym_point] = ACTIONS(2276),
    [anon_sym_line] = ACTIONS(2276),
    [anon_sym_triangleadj] = ACTIONS(2276),
    [anon_sym_lineadj] = ACTIONS(2276),
    [anon_sym_triangle] = ACTIONS(2276),
    [anon_sym_cbuffer] = ACTIONS(2276),
  },
  [554] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_typedef] = ACTIONS(2328),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(2120),
    [sym_identifier] = ACTIONS(2118),
    [aux_sym_preproc_include_token1] = ACTIONS(2118),
    [aux_sym_preproc_def_token1] = ACTIONS(2118),
    [aux_sym_preproc_if_token1] = ACTIONS(2118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2118),
    [sym_preproc_directive] = ACTIONS(2118),
    [anon_sym_LPAREN2] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(2120),
    [anon_sym_TILDE] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2118),
    [anon_sym_PLUS] = ACTIONS(2118),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_AMP_AMP] = ACTIONS(2120),
    [anon_sym_AMP] = ACTIONS(2118),
    [anon_sym_SEMI] = ACTIONS(2120),
    [anon_sym___extension__] = ACTIONS(2118),
    [anon_sym_typedef] = ACTIONS(2118),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_virtual] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(2118),
    [anon_sym___attribute__] = ACTIONS(2118),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2120),
    [anon_sym___declspec] = ACTIONS(2118),
    [anon_sym___based] = ACTIONS(2118),
    [anon_sym___cdecl] = ACTIONS(2118),
    [anon_sym___clrcall] = ACTIONS(2118),
    [anon_sym___stdcall] = ACTIONS(2118),
    [anon_sym___fastcall] = ACTIONS(2118),
    [anon_sym___thiscall] = ACTIONS(2118),
    [anon_sym___vectorcall] = ACTIONS(2118),
    [anon_sym_LBRACE] = ACTIONS(2120),
    [anon_sym_signed] = ACTIONS(2118),
    [anon_sym_unsigned] = ACTIONS(2118),
    [anon_sym_long] = ACTIONS(2118),
    [anon_sym_short] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(2118),
    [anon_sym_static] = ACTIONS(2118),
    [anon_sym_register] = ACTIONS(2118),
    [anon_sym_inline] = ACTIONS(2118),
    [anon_sym___inline] = ACTIONS(2118),
    [anon_sym___inline__] = ACTIONS(2118),
    [anon_sym___forceinline] = ACTIONS(2118),
    [anon_sym_thread_local] = ACTIONS(2118),
    [anon_sym___thread] = ACTIONS(2118),
    [anon_sym_const] = ACTIONS(2118),
    [anon_sym_constexpr] = ACTIONS(2118),
    [anon_sym_volatile] = ACTIONS(2118),
    [anon_sym_restrict] = ACTIONS(2118),
    [anon_sym___restrict__] = ACTIONS(2118),
    [anon_sym__Atomic] = ACTIONS(2118),
    [anon_sym__Noreturn] = ACTIONS(2118),
    [anon_sym_noreturn] = ACTIONS(2118),
    [anon_sym__Nonnull] = ACTIONS(2118),
    [anon_sym_mutable] = ACTIONS(2118),
    [anon_sym_constinit] = ACTIONS(2118),
    [anon_sym_consteval] = ACTIONS(2118),
    [anon_sym_alignas] = ACTIONS(2118),
    [anon_sym__Alignas] = ACTIONS(2118),
    [sym_primitive_type] = ACTIONS(2118),
    [anon_sym_enum] = ACTIONS(2118),
    [anon_sym_class] = ACTIONS(2118),
    [anon_sym_struct] = ACTIONS(2118),
    [anon_sym_union] = ACTIONS(2118),
    [anon_sym_if] = ACTIONS(2118),
    [anon_sym_else] = ACTIONS(2118),
    [anon_sym_switch] = ACTIONS(2118),
    [anon_sym_case] = ACTIONS(2118),
    [anon_sym_default] = ACTIONS(2118),
    [anon_sym_while] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_for] = ACTIONS(2118),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_break] = ACTIONS(2118),
    [anon_sym_continue] = ACTIONS(2118),
    [anon_sym_goto] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2118),
    [anon_sym___leave] = ACTIONS(2118),
    [anon_sym_not] = ACTIONS(2118),
    [anon_sym_compl] = ACTIONS(2118),
    [anon_sym_DASH_DASH] = ACTIONS(2120),
    [anon_sym_PLUS_PLUS] = ACTIONS(2120),
    [anon_sym_sizeof] = ACTIONS(2118),
    [anon_sym___alignof__] = ACTIONS(2118),
    [anon_sym___alignof] = ACTIONS(2118),
    [anon_sym__alignof] = ACTIONS(2118),
    [anon_sym_alignof] = ACTIONS(2118),
    [anon_sym__Alignof] = ACTIONS(2118),
    [anon_sym_offsetof] = ACTIONS(2118),
    [anon_sym__Generic] = ACTIONS(2118),
    [anon_sym_asm] = ACTIONS(2118),
    [anon_sym___asm__] = ACTIONS(2118),
    [anon_sym___asm] = ACTIONS(2118),
    [sym_number_literal] = ACTIONS(2120),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2120),
    [anon_sym_u_DQUOTE] = ACTIONS(2120),
    [anon_sym_U_DQUOTE] = ACTIONS(2120),
    [anon_sym_u8_DQUOTE] = ACTIONS(2120),
    [anon_sym_DQUOTE] = ACTIONS(2120),
    [sym_true] = ACTIONS(2118),
    [sym_false] = ACTIONS(2118),
    [anon_sym_NULL] = ACTIONS(2118),
    [anon_sym_nullptr] = ACTIONS(2118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_explicit] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2118),
    [anon_sym_template] = ACTIONS(2118),
    [anon_sym_operator] = ACTIONS(2118),
    [anon_sym_try] = ACTIONS(2118),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_namespace] = ACTIONS(2118),
    [anon_sym_using] = ACTIONS(2118),
    [anon_sym_static_assert] = ACTIONS(2118),
    [anon_sym_concept] = ACTIONS(2118),
    [anon_sym_co_return] = ACTIONS(2118),
    [anon_sym_co_yield] = ACTIONS(2118),
    [anon_sym_R_DQUOTE] = ACTIONS(2120),
    [anon_sym_LR_DQUOTE] = ACTIONS(2120),
    [anon_sym_uR_DQUOTE] = ACTIONS(2120),
    [anon_sym_UR_DQUOTE] = ACTIONS(2120),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2120),
    [anon_sym_co_await] = ACTIONS(2118),
    [anon_sym_new] = ACTIONS(2118),
    [anon_sym_requires] = ACTIONS(2118),
    [sym_this] = ACTIONS(2118),
    [anon_sym_discard] = ACTIONS(2118),
    [anon_sym_precise] = ACTIONS(2118),
    [anon_sym_shared] = ACTIONS(2118),
    [anon_sym_groupshared] = ACTIONS(2118),
    [anon_sym_uniform] = ACTIONS(2118),
    [anon_sym_row_major] = ACTIONS(2118),
    [anon_sym_column_major] = ACTIONS(2118),
    [anon_sym_globallycoherent] = ACTIONS(2118),
    [anon_sym_centroid] = ACTIONS(2118),
    [anon_sym_noperspective] = ACTIONS(2118),
    [anon_sym_nointerpolation] = ACTIONS(2118),
    [anon_sym_sample] = ACTIONS(2118),
    [anon_sym_linear] = ACTIONS(2118),
    [anon_sym_snorm] = ACTIONS(2118),
    [anon_sym_unorm] = ACTIONS(2118),
    [anon_sym_point] = ACTIONS(2118),
    [anon_sym_line] = ACTIONS(2118),
    [anon_sym_triangleadj] = ACTIONS(2118),
    [anon_sym_lineadj] = ACTIONS(2118),
    [anon_sym_triangle] = ACTIONS(2118),
    [anon_sym_cbuffer] = ACTIONS(2118),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(2302),
    [sym_identifier] = ACTIONS(2300),
    [aux_sym_preproc_include_token1] = ACTIONS(2300),
    [aux_sym_preproc_def_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2300),
    [sym_preproc_directive] = ACTIONS(2300),
    [anon_sym_LPAREN2] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2300),
    [anon_sym_typedef] = ACTIONS(2300),
    [anon_sym_in] = ACTIONS(2300),
    [anon_sym_out] = ACTIONS(2300),
    [anon_sym_inout] = ACTIONS(2300),
    [anon_sym_virtual] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym___attribute__] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2302),
    [anon_sym___declspec] = ACTIONS(2300),
    [anon_sym___based] = ACTIONS(2300),
    [anon_sym___cdecl] = ACTIONS(2300),
    [anon_sym___clrcall] = ACTIONS(2300),
    [anon_sym___stdcall] = ACTIONS(2300),
    [anon_sym___fastcall] = ACTIONS(2300),
    [anon_sym___thiscall] = ACTIONS(2300),
    [anon_sym___vectorcall] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2300),
    [anon_sym_unsigned] = ACTIONS(2300),
    [anon_sym_long] = ACTIONS(2300),
    [anon_sym_short] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_register] = ACTIONS(2300),
    [anon_sym_inline] = ACTIONS(2300),
    [anon_sym___inline] = ACTIONS(2300),
    [anon_sym___inline__] = ACTIONS(2300),
    [anon_sym___forceinline] = ACTIONS(2300),
    [anon_sym_thread_local] = ACTIONS(2300),
    [anon_sym___thread] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_constexpr] = ACTIONS(2300),
    [anon_sym_volatile] = ACTIONS(2300),
    [anon_sym_restrict] = ACTIONS(2300),
    [anon_sym___restrict__] = ACTIONS(2300),
    [anon_sym__Atomic] = ACTIONS(2300),
    [anon_sym__Noreturn] = ACTIONS(2300),
    [anon_sym_noreturn] = ACTIONS(2300),
    [anon_sym__Nonnull] = ACTIONS(2300),
    [anon_sym_mutable] = ACTIONS(2300),
    [anon_sym_constinit] = ACTIONS(2300),
    [anon_sym_consteval] = ACTIONS(2300),
    [anon_sym_alignas] = ACTIONS(2300),
    [anon_sym__Alignas] = ACTIONS(2300),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_else] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(2300),
    [anon_sym_case] = ACTIONS(2300),
    [anon_sym_default] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_goto] = ACTIONS(2300),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2300),
    [anon_sym_compl] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2300),
    [anon_sym___alignof] = ACTIONS(2300),
    [anon_sym__alignof] = ACTIONS(2300),
    [anon_sym_alignof] = ACTIONS(2300),
    [anon_sym__Alignof] = ACTIONS(2300),
    [anon_sym_offsetof] = ACTIONS(2300),
    [anon_sym__Generic] = ACTIONS(2300),
    [anon_sym_asm] = ACTIONS(2300),
    [anon_sym___asm__] = ACTIONS(2300),
    [anon_sym___asm] = ACTIONS(2300),
    [sym_number_literal] = ACTIONS(2302),
    [anon_sym_L_SQUOTE] = ACTIONS(2302),
    [anon_sym_u_SQUOTE] = ACTIONS(2302),
    [anon_sym_U_SQUOTE] = ACTIONS(2302),
    [anon_sym_u8_SQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_L_DQUOTE] = ACTIONS(2302),
    [anon_sym_u_DQUOTE] = ACTIONS(2302),
    [anon_sym_U_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8_DQUOTE] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [sym_true] = ACTIONS(2300),
    [sym_false] = ACTIONS(2300),
    [anon_sym_NULL] = ACTIONS(2300),
    [anon_sym_nullptr] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2300),
    [anon_sym_decltype] = ACTIONS(2300),
    [anon_sym_explicit] = ACTIONS(2300),
    [anon_sym_typename] = ACTIONS(2300),
    [anon_sym_template] = ACTIONS(2300),
    [anon_sym_operator] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_delete] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2300),
    [anon_sym_namespace] = ACTIONS(2300),
    [anon_sym_using] = ACTIONS(2300),
    [anon_sym_static_assert] = ACTIONS(2300),
    [anon_sym_concept] = ACTIONS(2300),
    [anon_sym_co_return] = ACTIONS(2300),
    [anon_sym_co_yield] = ACTIONS(2300),
    [anon_sym_R_DQUOTE] = ACTIONS(2302),
    [anon_sym_LR_DQUOTE] = ACTIONS(2302),
    [anon_sym_uR_DQUOTE] = ACTIONS(2302),
    [anon_sym_UR_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2302),
    [anon_sym_co_await] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2300),
    [anon_sym_requires] = ACTIONS(2300),
    [sym_this] = ACTIONS(2300),
    [anon_sym_discard] = ACTIONS(2300),
    [anon_sym_precise] = ACTIONS(2300),
    [anon_sym_shared] = ACTIONS(2300),
    [anon_sym_groupshared] = ACTIONS(2300),
    [anon_sym_uniform] = ACTIONS(2300),
    [anon_sym_row_major] = ACTIONS(2300),
    [anon_sym_column_major] = ACTIONS(2300),
    [anon_sym_globallycoherent] = ACTIONS(2300),
    [anon_sym_centroid] = ACTIONS(2300),
    [anon_sym_noperspective] = ACTIONS(2300),
    [anon_sym_nointerpolation] = ACTIONS(2300),
    [anon_sym_sample] = ACTIONS(2300),
    [anon_sym_linear] = ACTIONS(2300),
    [anon_sym_snorm] = ACTIONS(2300),
    [anon_sym_unorm] = ACTIONS(2300),
    [anon_sym_point] = ACTIONS(2300),
    [anon_sym_line] = ACTIONS(2300),
    [anon_sym_triangleadj] = ACTIONS(2300),
    [anon_sym_lineadj] = ACTIONS(2300),
    [anon_sym_triangle] = ACTIONS(2300),
    [anon_sym_cbuffer] = ACTIONS(2300),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(2286),
    [sym_identifier] = ACTIONS(2284),
    [aux_sym_preproc_include_token1] = ACTIONS(2284),
    [aux_sym_preproc_def_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2284),
    [sym_preproc_directive] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_AMP_AMP] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2284),
    [anon_sym_typedef] = ACTIONS(2284),
    [anon_sym_in] = ACTIONS(2284),
    [anon_sym_out] = ACTIONS(2284),
    [anon_sym_inout] = ACTIONS(2284),
    [anon_sym_virtual] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym___attribute__] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2286),
    [anon_sym___declspec] = ACTIONS(2284),
    [anon_sym___based] = ACTIONS(2284),
    [anon_sym___cdecl] = ACTIONS(2284),
    [anon_sym___clrcall] = ACTIONS(2284),
    [anon_sym___stdcall] = ACTIONS(2284),
    [anon_sym___fastcall] = ACTIONS(2284),
    [anon_sym___thiscall] = ACTIONS(2284),
    [anon_sym___vectorcall] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2284),
    [anon_sym_unsigned] = ACTIONS(2284),
    [anon_sym_long] = ACTIONS(2284),
    [anon_sym_short] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_register] = ACTIONS(2284),
    [anon_sym_inline] = ACTIONS(2284),
    [anon_sym___inline] = ACTIONS(2284),
    [anon_sym___inline__] = ACTIONS(2284),
    [anon_sym___forceinline] = ACTIONS(2284),
    [anon_sym_thread_local] = ACTIONS(2284),
    [anon_sym___thread] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_constexpr] = ACTIONS(2284),
    [anon_sym_volatile] = ACTIONS(2284),
    [anon_sym_restrict] = ACTIONS(2284),
    [anon_sym___restrict__] = ACTIONS(2284),
    [anon_sym__Atomic] = ACTIONS(2284),
    [anon_sym__Noreturn] = ACTIONS(2284),
    [anon_sym_noreturn] = ACTIONS(2284),
    [anon_sym__Nonnull] = ACTIONS(2284),
    [anon_sym_mutable] = ACTIONS(2284),
    [anon_sym_constinit] = ACTIONS(2284),
    [anon_sym_consteval] = ACTIONS(2284),
    [anon_sym_alignas] = ACTIONS(2284),
    [anon_sym__Alignas] = ACTIONS(2284),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_else] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2284),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym_default] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym___try] = ACTIONS(2284),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2284),
    [anon_sym_compl] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2286),
    [anon_sym_sizeof] = ACTIONS(2284),
    [anon_sym___alignof__] = ACTIONS(2284),
    [anon_sym___alignof] = ACTIONS(2284),
    [anon_sym__alignof] = ACTIONS(2284),
    [anon_sym_alignof] = ACTIONS(2284),
    [anon_sym__Alignof] = ACTIONS(2284),
    [anon_sym_offsetof] = ACTIONS(2284),
    [anon_sym__Generic] = ACTIONS(2284),
    [anon_sym_asm] = ACTIONS(2284),
    [anon_sym___asm__] = ACTIONS(2284),
    [anon_sym___asm] = ACTIONS(2284),
    [sym_number_literal] = ACTIONS(2286),
    [anon_sym_L_SQUOTE] = ACTIONS(2286),
    [anon_sym_u_SQUOTE] = ACTIONS(2286),
    [anon_sym_U_SQUOTE] = ACTIONS(2286),
    [anon_sym_u8_SQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2286),
    [anon_sym_L_DQUOTE] = ACTIONS(2286),
    [anon_sym_u_DQUOTE] = ACTIONS(2286),
    [anon_sym_U_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8_DQUOTE] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [anon_sym_NULL] = ACTIONS(2284),
    [anon_sym_nullptr] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2284),
    [anon_sym_decltype] = ACTIONS(2284),
    [anon_sym_explicit] = ACTIONS(2284),
    [anon_sym_typename] = ACTIONS(2284),
    [anon_sym_template] = ACTIONS(2284),
    [anon_sym_operator] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_namespace] = ACTIONS(2284),
    [anon_sym_using] = ACTIONS(2284),
    [anon_sym_static_assert] = ACTIONS(2284),
    [anon_sym_concept] = ACTIONS(2284),
    [anon_sym_co_return] = ACTIONS(2284),
    [anon_sym_co_yield] = ACTIONS(2284),
    [anon_sym_R_DQUOTE] = ACTIONS(2286),
    [anon_sym_LR_DQUOTE] = ACTIONS(2286),
    [anon_sym_uR_DQUOTE] = ACTIONS(2286),
    [anon_sym_UR_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2286),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2284),
    [anon_sym_requires] = ACTIONS(2284),
    [sym_this] = ACTIONS(2284),
    [anon_sym_discard] = ACTIONS(2284),
    [anon_sym_precise] = ACTIONS(2284),
    [anon_sym_shared] = ACTIONS(2284),
    [anon_sym_groupshared] = ACTIONS(2284),
    [anon_sym_uniform] = ACTIONS(2284),
    [anon_sym_row_major] = ACTIONS(2284),
    [anon_sym_column_major] = ACTIONS(2284),
    [anon_sym_globallycoherent] = ACTIONS(2284),
    [anon_sym_centroid] = ACTIONS(2284),
    [anon_sym_noperspective] = ACTIONS(2284),
    [anon_sym_nointerpolation] = ACTIONS(2284),
    [anon_sym_sample] = ACTIONS(2284),
    [anon_sym_linear] = ACTIONS(2284),
    [anon_sym_snorm] = ACTIONS(2284),
    [anon_sym_unorm] = ACTIONS(2284),
    [anon_sym_point] = ACTIONS(2284),
    [anon_sym_line] = ACTIONS(2284),
    [anon_sym_triangleadj] = ACTIONS(2284),
    [anon_sym_lineadj] = ACTIONS(2284),
    [anon_sym_triangle] = ACTIONS(2284),
    [anon_sym_cbuffer] = ACTIONS(2284),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [aux_sym_preproc_include_token1] = ACTIONS(2296),
    [aux_sym_preproc_def_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2296),
    [sym_preproc_directive] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_AMP_AMP] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2296),
    [anon_sym_typedef] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym___based] = ACTIONS(2296),
    [anon_sym___cdecl] = ACTIONS(2296),
    [anon_sym___clrcall] = ACTIONS(2296),
    [anon_sym___stdcall] = ACTIONS(2296),
    [anon_sym___fastcall] = ACTIONS(2296),
    [anon_sym___thiscall] = ACTIONS(2296),
    [anon_sym___vectorcall] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym___try] = ACTIONS(2296),
    [anon_sym___leave] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(2296),
    [anon_sym_compl] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2298),
    [anon_sym_sizeof] = ACTIONS(2296),
    [anon_sym___alignof__] = ACTIONS(2296),
    [anon_sym___alignof] = ACTIONS(2296),
    [anon_sym__alignof] = ACTIONS(2296),
    [anon_sym_alignof] = ACTIONS(2296),
    [anon_sym__Alignof] = ACTIONS(2296),
    [anon_sym_offsetof] = ACTIONS(2296),
    [anon_sym__Generic] = ACTIONS(2296),
    [anon_sym_asm] = ACTIONS(2296),
    [anon_sym___asm__] = ACTIONS(2296),
    [anon_sym___asm] = ACTIONS(2296),
    [sym_number_literal] = ACTIONS(2298),
    [anon_sym_L_SQUOTE] = ACTIONS(2298),
    [anon_sym_u_SQUOTE] = ACTIONS(2298),
    [anon_sym_U_SQUOTE] = ACTIONS(2298),
    [anon_sym_u8_SQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2298),
    [anon_sym_L_DQUOTE] = ACTIONS(2298),
    [anon_sym_u_DQUOTE] = ACTIONS(2298),
    [anon_sym_U_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8_DQUOTE] = ACTIONS(2298),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [anon_sym_NULL] = ACTIONS(2296),
    [anon_sym_nullptr] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2296),
    [anon_sym_explicit] = ACTIONS(2296),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2296),
    [anon_sym_operator] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_static_assert] = ACTIONS(2296),
    [anon_sym_concept] = ACTIONS(2296),
    [anon_sym_co_return] = ACTIONS(2296),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2298),
    [anon_sym_LR_DQUOTE] = ACTIONS(2298),
    [anon_sym_uR_DQUOTE] = ACTIONS(2298),
    [anon_sym_UR_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2298),
    [anon_sym_co_await] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_requires] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [anon_sym_discard] = ACTIONS(2296),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
    [anon_sym_cbuffer] = ACTIONS(2296),
  },
  [559] = {
    [sym_identifier] = ACTIONS(2276),
    [aux_sym_preproc_include_token1] = ACTIONS(2276),
    [aux_sym_preproc_def_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token2] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2276),
    [sym_preproc_directive] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_TILDE] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_AMP_AMP] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2276),
    [anon_sym_typedef] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2276),
    [anon_sym_out] = ACTIONS(2276),
    [anon_sym_inout] = ACTIONS(2276),
    [anon_sym_virtual] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym___attribute__] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2278),
    [anon_sym___declspec] = ACTIONS(2276),
    [anon_sym___based] = ACTIONS(2276),
    [anon_sym___cdecl] = ACTIONS(2276),
    [anon_sym___clrcall] = ACTIONS(2276),
    [anon_sym___stdcall] = ACTIONS(2276),
    [anon_sym___fastcall] = ACTIONS(2276),
    [anon_sym___thiscall] = ACTIONS(2276),
    [anon_sym___vectorcall] = ACTIONS(2276),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2276),
    [anon_sym_unsigned] = ACTIONS(2276),
    [anon_sym_long] = ACTIONS(2276),
    [anon_sym_short] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_register] = ACTIONS(2276),
    [anon_sym_inline] = ACTIONS(2276),
    [anon_sym___inline] = ACTIONS(2276),
    [anon_sym___inline__] = ACTIONS(2276),
    [anon_sym___forceinline] = ACTIONS(2276),
    [anon_sym_thread_local] = ACTIONS(2276),
    [anon_sym___thread] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_constexpr] = ACTIONS(2276),
    [anon_sym_volatile] = ACTIONS(2276),
    [anon_sym_restrict] = ACTIONS(2276),
    [anon_sym___restrict__] = ACTIONS(2276),
    [anon_sym__Atomic] = ACTIONS(2276),
    [anon_sym__Noreturn] = ACTIONS(2276),
    [anon_sym_noreturn] = ACTIONS(2276),
    [anon_sym__Nonnull] = ACTIONS(2276),
    [anon_sym_mutable] = ACTIONS(2276),
    [anon_sym_constinit] = ACTIONS(2276),
    [anon_sym_consteval] = ACTIONS(2276),
    [anon_sym_alignas] = ACTIONS(2276),
    [anon_sym__Alignas] = ACTIONS(2276),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_else] = ACTIONS(2276),
    [anon_sym_switch] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_goto] = ACTIONS(2276),
    [anon_sym___try] = ACTIONS(2276),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2276),
    [anon_sym_compl] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2278),
    [anon_sym_sizeof] = ACTIONS(2276),
    [anon_sym___alignof__] = ACTIONS(2276),
    [anon_sym___alignof] = ACTIONS(2276),
    [anon_sym__alignof] = ACTIONS(2276),
    [anon_sym_alignof] = ACTIONS(2276),
    [anon_sym__Alignof] = ACTIONS(2276),
    [anon_sym_offsetof] = ACTIONS(2276),
    [anon_sym__Generic] = ACTIONS(2276),
    [anon_sym_asm] = ACTIONS(2276),
    [anon_sym___asm__] = ACTIONS(2276),
    [anon_sym___asm] = ACTIONS(2276),
    [sym_number_literal] = ACTIONS(2278),
    [anon_sym_L_SQUOTE] = ACTIONS(2278),
    [anon_sym_u_SQUOTE] = ACTIONS(2278),
    [anon_sym_U_SQUOTE] = ACTIONS(2278),
    [anon_sym_u8_SQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2278),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [anon_sym_NULL] = ACTIONS(2276),
    [anon_sym_nullptr] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2276),
    [anon_sym_decltype] = ACTIONS(2276),
    [anon_sym_explicit] = ACTIONS(2276),
    [anon_sym_typename] = ACTIONS(2276),
    [anon_sym_template] = ACTIONS(2276),
    [anon_sym_operator] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_delete] = ACTIONS(2276),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_namespace] = ACTIONS(2276),
    [anon_sym_using] = ACTIONS(2276),
    [anon_sym_static_assert] = ACTIONS(2276),
    [anon_sym_concept] = ACTIONS(2276),
    [anon_sym_co_return] = ACTIONS(2276),
    [anon_sym_co_yield] = ACTIONS(2276),
    [anon_sym_R_DQUOTE] = ACTIONS(2278),
    [anon_sym_LR_DQUOTE] = ACTIONS(2278),
    [anon_sym_uR_DQUOTE] = ACTIONS(2278),
    [anon_sym_UR_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2278),
    [anon_sym_co_await] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_requires] = ACTIONS(2276),
    [sym_this] = ACTIONS(2276),
    [anon_sym_discard] = ACTIONS(2276),
    [anon_sym_precise] = ACTIONS(2276),
    [anon_sym_shared] = ACTIONS(2276),
    [anon_sym_groupshared] = ACTIONS(2276),
    [anon_sym_uniform] = ACTIONS(2276),
    [anon_sym_row_major] = ACTIONS(2276),
    [anon_sym_column_major] = ACTIONS(2276),
    [anon_sym_globallycoherent] = ACTIONS(2276),
    [anon_sym_centroid] = ACTIONS(2276),
    [anon_sym_noperspective] = ACTIONS(2276),
    [anon_sym_nointerpolation] = ACTIONS(2276),
    [anon_sym_sample] = ACTIONS(2276),
    [anon_sym_linear] = ACTIONS(2276),
    [anon_sym_snorm] = ACTIONS(2276),
    [anon_sym_unorm] = ACTIONS(2276),
    [anon_sym_point] = ACTIONS(2276),
    [anon_sym_line] = ACTIONS(2276),
    [anon_sym_triangleadj] = ACTIONS(2276),
    [anon_sym_lineadj] = ACTIONS(2276),
    [anon_sym_triangle] = ACTIONS(2276),
    [anon_sym_cbuffer] = ACTIONS(2276),
  },
  [560] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [561] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_typedef] = ACTIONS(2355),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [562] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_typedef] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [563] = {
    [sym_identifier] = ACTIONS(2296),
    [aux_sym_preproc_include_token1] = ACTIONS(2296),
    [aux_sym_preproc_def_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2296),
    [sym_preproc_directive] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_AMP_AMP] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2296),
    [anon_sym_typedef] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym___based] = ACTIONS(2296),
    [anon_sym___cdecl] = ACTIONS(2296),
    [anon_sym___clrcall] = ACTIONS(2296),
    [anon_sym___stdcall] = ACTIONS(2296),
    [anon_sym___fastcall] = ACTIONS(2296),
    [anon_sym___thiscall] = ACTIONS(2296),
    [anon_sym___vectorcall] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym___try] = ACTIONS(2296),
    [anon_sym___leave] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(2296),
    [anon_sym_compl] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2298),
    [anon_sym_sizeof] = ACTIONS(2296),
    [anon_sym___alignof__] = ACTIONS(2296),
    [anon_sym___alignof] = ACTIONS(2296),
    [anon_sym__alignof] = ACTIONS(2296),
    [anon_sym_alignof] = ACTIONS(2296),
    [anon_sym__Alignof] = ACTIONS(2296),
    [anon_sym_offsetof] = ACTIONS(2296),
    [anon_sym__Generic] = ACTIONS(2296),
    [anon_sym_asm] = ACTIONS(2296),
    [anon_sym___asm__] = ACTIONS(2296),
    [anon_sym___asm] = ACTIONS(2296),
    [sym_number_literal] = ACTIONS(2298),
    [anon_sym_L_SQUOTE] = ACTIONS(2298),
    [anon_sym_u_SQUOTE] = ACTIONS(2298),
    [anon_sym_U_SQUOTE] = ACTIONS(2298),
    [anon_sym_u8_SQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2298),
    [anon_sym_L_DQUOTE] = ACTIONS(2298),
    [anon_sym_u_DQUOTE] = ACTIONS(2298),
    [anon_sym_U_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8_DQUOTE] = ACTIONS(2298),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [anon_sym_NULL] = ACTIONS(2296),
    [anon_sym_nullptr] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2296),
    [anon_sym_explicit] = ACTIONS(2296),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2296),
    [anon_sym_operator] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_static_assert] = ACTIONS(2296),
    [anon_sym_concept] = ACTIONS(2296),
    [anon_sym_co_return] = ACTIONS(2296),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2298),
    [anon_sym_LR_DQUOTE] = ACTIONS(2298),
    [anon_sym_uR_DQUOTE] = ACTIONS(2298),
    [anon_sym_UR_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2298),
    [anon_sym_co_await] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_requires] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [anon_sym_discard] = ACTIONS(2296),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
    [anon_sym_cbuffer] = ACTIONS(2296),
  },
  [564] = {
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym__Nonnull] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [anon_sym_discard] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
    [anon_sym_cbuffer] = ACTIONS(2468),
  },
  [565] = {
    [sym_identifier] = ACTIONS(2480),
    [aux_sym_preproc_include_token1] = ACTIONS(2480),
    [aux_sym_preproc_def_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2480),
    [sym_preproc_directive] = ACTIONS(2480),
    [anon_sym_LPAREN2] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_TILDE] = ACTIONS(2482),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2480),
    [anon_sym_typedef] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_out] = ACTIONS(2480),
    [anon_sym_inout] = ACTIONS(2480),
    [anon_sym_virtual] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym___attribute__] = ACTIONS(2480),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2482),
    [anon_sym___declspec] = ACTIONS(2480),
    [anon_sym___based] = ACTIONS(2480),
    [anon_sym___cdecl] = ACTIONS(2480),
    [anon_sym___clrcall] = ACTIONS(2480),
    [anon_sym___stdcall] = ACTIONS(2480),
    [anon_sym___fastcall] = ACTIONS(2480),
    [anon_sym___thiscall] = ACTIONS(2480),
    [anon_sym___vectorcall] = ACTIONS(2480),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2480),
    [anon_sym_unsigned] = ACTIONS(2480),
    [anon_sym_long] = ACTIONS(2480),
    [anon_sym_short] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_register] = ACTIONS(2480),
    [anon_sym_inline] = ACTIONS(2480),
    [anon_sym___inline] = ACTIONS(2480),
    [anon_sym___inline__] = ACTIONS(2480),
    [anon_sym___forceinline] = ACTIONS(2480),
    [anon_sym_thread_local] = ACTIONS(2480),
    [anon_sym___thread] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_constexpr] = ACTIONS(2480),
    [anon_sym_volatile] = ACTIONS(2480),
    [anon_sym_restrict] = ACTIONS(2480),
    [anon_sym___restrict__] = ACTIONS(2480),
    [anon_sym__Atomic] = ACTIONS(2480),
    [anon_sym__Noreturn] = ACTIONS(2480),
    [anon_sym_noreturn] = ACTIONS(2480),
    [anon_sym__Nonnull] = ACTIONS(2480),
    [anon_sym_mutable] = ACTIONS(2480),
    [anon_sym_constinit] = ACTIONS(2480),
    [anon_sym_consteval] = ACTIONS(2480),
    [anon_sym_alignas] = ACTIONS(2480),
    [anon_sym__Alignas] = ACTIONS(2480),
    [sym_primitive_type] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_class] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_switch] = ACTIONS(2480),
    [anon_sym_case] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_goto] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2480),
    [anon_sym___leave] = ACTIONS(2480),
    [anon_sym_not] = ACTIONS(2480),
    [anon_sym_compl] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_sizeof] = ACTIONS(2480),
    [anon_sym___alignof__] = ACTIONS(2480),
    [anon_sym___alignof] = ACTIONS(2480),
    [anon_sym__alignof] = ACTIONS(2480),
    [anon_sym_alignof] = ACTIONS(2480),
    [anon_sym__Alignof] = ACTIONS(2480),
    [anon_sym_offsetof] = ACTIONS(2480),
    [anon_sym__Generic] = ACTIONS(2480),
    [anon_sym_asm] = ACTIONS(2480),
    [anon_sym___asm__] = ACTIONS(2480),
    [anon_sym___asm] = ACTIONS(2480),
    [sym_number_literal] = ACTIONS(2482),
    [anon_sym_L_SQUOTE] = ACTIONS(2482),
    [anon_sym_u_SQUOTE] = ACTIONS(2482),
    [anon_sym_U_SQUOTE] = ACTIONS(2482),
    [anon_sym_u8_SQUOTE] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2482),
    [anon_sym_L_DQUOTE] = ACTIONS(2482),
    [anon_sym_u_DQUOTE] = ACTIONS(2482),
    [anon_sym_U_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8_DQUOTE] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [sym_true] = ACTIONS(2480),
    [sym_false] = ACTIONS(2480),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2480),
    [anon_sym_decltype] = ACTIONS(2480),
    [anon_sym_explicit] = ACTIONS(2480),
    [anon_sym_typename] = ACTIONS(2480),
    [anon_sym_template] = ACTIONS(2480),
    [anon_sym_operator] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [anon_sym_delete] = ACTIONS(2480),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2480),
    [anon_sym_using] = ACTIONS(2480),
    [anon_sym_static_assert] = ACTIONS(2480),
    [anon_sym_concept] = ACTIONS(2480),
    [anon_sym_co_return] = ACTIONS(2480),
    [anon_sym_co_yield] = ACTIONS(2480),
    [anon_sym_R_DQUOTE] = ACTIONS(2482),
    [anon_sym_LR_DQUOTE] = ACTIONS(2482),
    [anon_sym_uR_DQUOTE] = ACTIONS(2482),
    [anon_sym_UR_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2482),
    [anon_sym_co_await] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2480),
    [anon_sym_requires] = ACTIONS(2480),
    [sym_this] = ACTIONS(2480),
    [anon_sym_discard] = ACTIONS(2480),
    [anon_sym_precise] = ACTIONS(2480),
    [anon_sym_shared] = ACTIONS(2480),
    [anon_sym_groupshared] = ACTIONS(2480),
    [anon_sym_uniform] = ACTIONS(2480),
    [anon_sym_row_major] = ACTIONS(2480),
    [anon_sym_column_major] = ACTIONS(2480),
    [anon_sym_globallycoherent] = ACTIONS(2480),
    [anon_sym_centroid] = ACTIONS(2480),
    [anon_sym_noperspective] = ACTIONS(2480),
    [anon_sym_nointerpolation] = ACTIONS(2480),
    [anon_sym_sample] = ACTIONS(2480),
    [anon_sym_linear] = ACTIONS(2480),
    [anon_sym_snorm] = ACTIONS(2480),
    [anon_sym_unorm] = ACTIONS(2480),
    [anon_sym_point] = ACTIONS(2480),
    [anon_sym_line] = ACTIONS(2480),
    [anon_sym_triangleadj] = ACTIONS(2480),
    [anon_sym_lineadj] = ACTIONS(2480),
    [anon_sym_triangle] = ACTIONS(2480),
    [anon_sym_cbuffer] = ACTIONS(2480),
  },
  [566] = {
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym__Nonnull] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym__Alignas] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [anon_sym___asm] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym___leave] = ACTIONS(2432),
    [anon_sym_not] = ACTIONS(2432),
    [anon_sym_compl] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [anon_sym_delete] = ACTIONS(2432),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_concept] = ACTIONS(2432),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2432),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_requires] = ACTIONS(2432),
    [sym_this] = ACTIONS(2432),
    [anon_sym_discard] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
    [anon_sym_cbuffer] = ACTIONS(2432),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_out] = ACTIONS(2436),
    [anon_sym_inout] = ACTIONS(2436),
    [anon_sym_virtual] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___based] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_mutable] = ACTIONS(2436),
    [anon_sym_constinit] = ACTIONS(2436),
    [anon_sym_consteval] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_class] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym___leave] = ACTIONS(2436),
    [anon_sym_not] = ACTIONS(2436),
    [anon_sym_compl] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2436),
    [anon_sym_decltype] = ACTIONS(2436),
    [anon_sym_explicit] = ACTIONS(2436),
    [anon_sym_typename] = ACTIONS(2436),
    [anon_sym_template] = ACTIONS(2436),
    [anon_sym_operator] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_delete] = ACTIONS(2436),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_using] = ACTIONS(2436),
    [anon_sym_static_assert] = ACTIONS(2436),
    [anon_sym_concept] = ACTIONS(2436),
    [anon_sym_co_return] = ACTIONS(2436),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_requires] = ACTIONS(2436),
    [sym_this] = ACTIONS(2436),
    [anon_sym_discard] = ACTIONS(2436),
    [anon_sym_precise] = ACTIONS(2436),
    [anon_sym_shared] = ACTIONS(2436),
    [anon_sym_groupshared] = ACTIONS(2436),
    [anon_sym_uniform] = ACTIONS(2436),
    [anon_sym_row_major] = ACTIONS(2436),
    [anon_sym_column_major] = ACTIONS(2436),
    [anon_sym_globallycoherent] = ACTIONS(2436),
    [anon_sym_centroid] = ACTIONS(2436),
    [anon_sym_noperspective] = ACTIONS(2436),
    [anon_sym_nointerpolation] = ACTIONS(2436),
    [anon_sym_sample] = ACTIONS(2436),
    [anon_sym_linear] = ACTIONS(2436),
    [anon_sym_snorm] = ACTIONS(2436),
    [anon_sym_unorm] = ACTIONS(2436),
    [anon_sym_point] = ACTIONS(2436),
    [anon_sym_line] = ACTIONS(2436),
    [anon_sym_triangleadj] = ACTIONS(2436),
    [anon_sym_lineadj] = ACTIONS(2436),
    [anon_sym_triangle] = ACTIONS(2436),
    [anon_sym_cbuffer] = ACTIONS(2436),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym___leave] = ACTIONS(2440),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_compl] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_delete] = ACTIONS(2440),
    [anon_sym_throw] = ACTIONS(2440),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_concept] = ACTIONS(2440),
    [anon_sym_co_return] = ACTIONS(2440),
    [anon_sym_co_yield] = ACTIONS(2440),
    [anon_sym_R_DQUOTE] = ACTIONS(2442),
    [anon_sym_LR_DQUOTE] = ACTIONS(2442),
    [anon_sym_uR_DQUOTE] = ACTIONS(2442),
    [anon_sym_UR_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2442),
    [anon_sym_co_await] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2440),
    [sym_this] = ACTIONS(2440),
    [anon_sym_discard] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
    [anon_sym_cbuffer] = ACTIONS(2440),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2424),
    [anon_sym_compl] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_delete] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_concept] = ACTIONS(2424),
    [anon_sym_co_return] = ACTIONS(2424),
    [anon_sym_co_yield] = ACTIONS(2424),
    [anon_sym_R_DQUOTE] = ACTIONS(2426),
    [anon_sym_LR_DQUOTE] = ACTIONS(2426),
    [anon_sym_uR_DQUOTE] = ACTIONS(2426),
    [anon_sym_UR_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2426),
    [anon_sym_co_await] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_requires] = ACTIONS(2424),
    [sym_this] = ACTIONS(2424),
    [anon_sym_discard] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
    [anon_sym_cbuffer] = ACTIONS(2424),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2502),
    [aux_sym_preproc_include_token1] = ACTIONS(2502),
    [aux_sym_preproc_def_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token2] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2502),
    [sym_preproc_directive] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2502),
    [anon_sym_typedef] = ACTIONS(2502),
    [anon_sym_in] = ACTIONS(2502),
    [anon_sym_out] = ACTIONS(2502),
    [anon_sym_inout] = ACTIONS(2502),
    [anon_sym_virtual] = ACTIONS(2502),
    [anon_sym_extern] = ACTIONS(2502),
    [anon_sym___attribute__] = ACTIONS(2502),
    [anon_sym_COLON_COLON] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2504),
    [anon_sym___declspec] = ACTIONS(2502),
    [anon_sym___based] = ACTIONS(2502),
    [anon_sym___cdecl] = ACTIONS(2502),
    [anon_sym___clrcall] = ACTIONS(2502),
    [anon_sym___stdcall] = ACTIONS(2502),
    [anon_sym___fastcall] = ACTIONS(2502),
    [anon_sym___thiscall] = ACTIONS(2502),
    [anon_sym___vectorcall] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2502),
    [anon_sym_unsigned] = ACTIONS(2502),
    [anon_sym_long] = ACTIONS(2502),
    [anon_sym_short] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_register] = ACTIONS(2502),
    [anon_sym_inline] = ACTIONS(2502),
    [anon_sym___inline] = ACTIONS(2502),
    [anon_sym___inline__] = ACTIONS(2502),
    [anon_sym___forceinline] = ACTIONS(2502),
    [anon_sym_thread_local] = ACTIONS(2502),
    [anon_sym___thread] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_constexpr] = ACTIONS(2502),
    [anon_sym_volatile] = ACTIONS(2502),
    [anon_sym_restrict] = ACTIONS(2502),
    [anon_sym___restrict__] = ACTIONS(2502),
    [anon_sym__Atomic] = ACTIONS(2502),
    [anon_sym__Noreturn] = ACTIONS(2502),
    [anon_sym_noreturn] = ACTIONS(2502),
    [anon_sym__Nonnull] = ACTIONS(2502),
    [anon_sym_mutable] = ACTIONS(2502),
    [anon_sym_constinit] = ACTIONS(2502),
    [anon_sym_consteval] = ACTIONS(2502),
    [anon_sym_alignas] = ACTIONS(2502),
    [anon_sym__Alignas] = ACTIONS(2502),
    [sym_primitive_type] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_struct] = ACTIONS(2502),
    [anon_sym_union] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym_default] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_goto] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2502),
    [anon_sym___leave] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2502),
    [anon_sym_compl] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(2502),
    [anon_sym___alignof] = ACTIONS(2502),
    [anon_sym__alignof] = ACTIONS(2502),
    [anon_sym_alignof] = ACTIONS(2502),
    [anon_sym__Alignof] = ACTIONS(2502),
    [anon_sym_offsetof] = ACTIONS(2502),
    [anon_sym__Generic] = ACTIONS(2502),
    [anon_sym_asm] = ACTIONS(2502),
    [anon_sym___asm__] = ACTIONS(2502),
    [anon_sym___asm] = ACTIONS(2502),
    [sym_number_literal] = ACTIONS(2504),
    [anon_sym_L_SQUOTE] = ACTIONS(2504),
    [anon_sym_u_SQUOTE] = ACTIONS(2504),
    [anon_sym_U_SQUOTE] = ACTIONS(2504),
    [anon_sym_u8_SQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_L_DQUOTE] = ACTIONS(2504),
    [anon_sym_u_DQUOTE] = ACTIONS(2504),
    [anon_sym_U_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8_DQUOTE] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [anon_sym_NULL] = ACTIONS(2502),
    [anon_sym_nullptr] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2502),
    [anon_sym_decltype] = ACTIONS(2502),
    [anon_sym_explicit] = ACTIONS(2502),
    [anon_sym_typename] = ACTIONS(2502),
    [anon_sym_template] = ACTIONS(2502),
    [anon_sym_operator] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_namespace] = ACTIONS(2502),
    [anon_sym_using] = ACTIONS(2502),
    [anon_sym_static_assert] = ACTIONS(2502),
    [anon_sym_concept] = ACTIONS(2502),
    [anon_sym_co_return] = ACTIONS(2502),
    [anon_sym_co_yield] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2504),
    [anon_sym_LR_DQUOTE] = ACTIONS(2504),
    [anon_sym_uR_DQUOTE] = ACTIONS(2504),
    [anon_sym_UR_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2504),
    [anon_sym_co_await] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_requires] = ACTIONS(2502),
    [sym_this] = ACTIONS(2502),
    [anon_sym_discard] = ACTIONS(2502),
    [anon_sym_precise] = ACTIONS(2502),
    [anon_sym_shared] = ACTIONS(2502),
    [anon_sym_groupshared] = ACTIONS(2502),
    [anon_sym_uniform] = ACTIONS(2502),
    [anon_sym_row_major] = ACTIONS(2502),
    [anon_sym_column_major] = ACTIONS(2502),
    [anon_sym_globallycoherent] = ACTIONS(2502),
    [anon_sym_centroid] = ACTIONS(2502),
    [anon_sym_noperspective] = ACTIONS(2502),
    [anon_sym_nointerpolation] = ACTIONS(2502),
    [anon_sym_sample] = ACTIONS(2502),
    [anon_sym_linear] = ACTIONS(2502),
    [anon_sym_snorm] = ACTIONS(2502),
    [anon_sym_unorm] = ACTIONS(2502),
    [anon_sym_point] = ACTIONS(2502),
    [anon_sym_line] = ACTIONS(2502),
    [anon_sym_triangleadj] = ACTIONS(2502),
    [anon_sym_lineadj] = ACTIONS(2502),
    [anon_sym_triangle] = ACTIONS(2502),
    [anon_sym_cbuffer] = ACTIONS(2502),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_in] = ACTIONS(2570),
    [anon_sym_out] = ACTIONS(2570),
    [anon_sym_inout] = ACTIONS(2570),
    [anon_sym_virtual] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym__Nonnull] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym__Alignas] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [anon_sym___asm] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
    [anon_sym_discard] = ACTIONS(2570),
    [anon_sym_precise] = ACTIONS(2570),
    [anon_sym_shared] = ACTIONS(2570),
    [anon_sym_groupshared] = ACTIONS(2570),
    [anon_sym_uniform] = ACTIONS(2570),
    [anon_sym_row_major] = ACTIONS(2570),
    [anon_sym_column_major] = ACTIONS(2570),
    [anon_sym_globallycoherent] = ACTIONS(2570),
    [anon_sym_centroid] = ACTIONS(2570),
    [anon_sym_noperspective] = ACTIONS(2570),
    [anon_sym_nointerpolation] = ACTIONS(2570),
    [anon_sym_sample] = ACTIONS(2570),
    [anon_sym_linear] = ACTIONS(2570),
    [anon_sym_snorm] = ACTIONS(2570),
    [anon_sym_unorm] = ACTIONS(2570),
    [anon_sym_point] = ACTIONS(2570),
    [anon_sym_line] = ACTIONS(2570),
    [anon_sym_triangleadj] = ACTIONS(2570),
    [anon_sym_lineadj] = ACTIONS(2570),
    [anon_sym_triangle] = ACTIONS(2570),
    [anon_sym_cbuffer] = ACTIONS(2570),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2510),
    [aux_sym_preproc_include_token1] = ACTIONS(2510),
    [aux_sym_preproc_def_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token2] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2510),
    [sym_preproc_directive] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_PLUS] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2510),
    [anon_sym_typedef] = ACTIONS(2510),
    [anon_sym_in] = ACTIONS(2510),
    [anon_sym_out] = ACTIONS(2510),
    [anon_sym_inout] = ACTIONS(2510),
    [anon_sym_virtual] = ACTIONS(2510),
    [anon_sym_extern] = ACTIONS(2510),
    [anon_sym___attribute__] = ACTIONS(2510),
    [anon_sym_COLON_COLON] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2512),
    [anon_sym___declspec] = ACTIONS(2510),
    [anon_sym___based] = ACTIONS(2510),
    [anon_sym___cdecl] = ACTIONS(2510),
    [anon_sym___clrcall] = ACTIONS(2510),
    [anon_sym___stdcall] = ACTIONS(2510),
    [anon_sym___fastcall] = ACTIONS(2510),
    [anon_sym___thiscall] = ACTIONS(2510),
    [anon_sym___vectorcall] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2510),
    [anon_sym_unsigned] = ACTIONS(2510),
    [anon_sym_long] = ACTIONS(2510),
    [anon_sym_short] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_static] = ACTIONS(2510),
    [anon_sym_register] = ACTIONS(2510),
    [anon_sym_inline] = ACTIONS(2510),
    [anon_sym___inline] = ACTIONS(2510),
    [anon_sym___inline__] = ACTIONS(2510),
    [anon_sym___forceinline] = ACTIONS(2510),
    [anon_sym_thread_local] = ACTIONS(2510),
    [anon_sym___thread] = ACTIONS(2510),
    [anon_sym_const] = ACTIONS(2510),
    [anon_sym_constexpr] = ACTIONS(2510),
    [anon_sym_volatile] = ACTIONS(2510),
    [anon_sym_restrict] = ACTIONS(2510),
    [anon_sym___restrict__] = ACTIONS(2510),
    [anon_sym__Atomic] = ACTIONS(2510),
    [anon_sym__Noreturn] = ACTIONS(2510),
    [anon_sym_noreturn] = ACTIONS(2510),
    [anon_sym__Nonnull] = ACTIONS(2510),
    [anon_sym_mutable] = ACTIONS(2510),
    [anon_sym_constinit] = ACTIONS(2510),
    [anon_sym_consteval] = ACTIONS(2510),
    [anon_sym_alignas] = ACTIONS(2510),
    [anon_sym__Alignas] = ACTIONS(2510),
    [sym_primitive_type] = ACTIONS(2510),
    [anon_sym_enum] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_struct] = ACTIONS(2510),
    [anon_sym_union] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_switch] = ACTIONS(2510),
    [anon_sym_case] = ACTIONS(2510),
    [anon_sym_default] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_do] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2510),
    [anon_sym_return] = ACTIONS(2510),
    [anon_sym_break] = ACTIONS(2510),
    [anon_sym_continue] = ACTIONS(2510),
    [anon_sym_goto] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2510),
    [anon_sym___leave] = ACTIONS(2510),
    [anon_sym_not] = ACTIONS(2510),
    [anon_sym_compl] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_sizeof] = ACTIONS(2510),
    [anon_sym___alignof__] = ACTIONS(2510),
    [anon_sym___alignof] = ACTIONS(2510),
    [anon_sym__alignof] = ACTIONS(2510),
    [anon_sym_alignof] = ACTIONS(2510),
    [anon_sym__Alignof] = ACTIONS(2510),
    [anon_sym_offsetof] = ACTIONS(2510),
    [anon_sym__Generic] = ACTIONS(2510),
    [anon_sym_asm] = ACTIONS(2510),
    [anon_sym___asm__] = ACTIONS(2510),
    [anon_sym___asm] = ACTIONS(2510),
    [sym_number_literal] = ACTIONS(2512),
    [anon_sym_L_SQUOTE] = ACTIONS(2512),
    [anon_sym_u_SQUOTE] = ACTIONS(2512),
    [anon_sym_U_SQUOTE] = ACTIONS(2512),
    [anon_sym_u8_SQUOTE] = ACTIONS(2512),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_L_DQUOTE] = ACTIONS(2512),
    [anon_sym_u_DQUOTE] = ACTIONS(2512),
    [anon_sym_U_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8_DQUOTE] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [sym_true] = ACTIONS(2510),
    [sym_false] = ACTIONS(2510),
    [anon_sym_NULL] = ACTIONS(2510),
    [anon_sym_nullptr] = ACTIONS(2510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2510),
    [anon_sym_decltype] = ACTIONS(2510),
    [anon_sym_explicit] = ACTIONS(2510),
    [anon_sym_typename] = ACTIONS(2510),
    [anon_sym_template] = ACTIONS(2510),
    [anon_sym_operator] = ACTIONS(2510),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2510),
    [anon_sym_throw] = ACTIONS(2510),
    [anon_sym_namespace] = ACTIONS(2510),
    [anon_sym_using] = ACTIONS(2510),
    [anon_sym_static_assert] = ACTIONS(2510),
    [anon_sym_concept] = ACTIONS(2510),
    [anon_sym_co_return] = ACTIONS(2510),
    [anon_sym_co_yield] = ACTIONS(2510),
    [anon_sym_R_DQUOTE] = ACTIONS(2512),
    [anon_sym_LR_DQUOTE] = ACTIONS(2512),
    [anon_sym_uR_DQUOTE] = ACTIONS(2512),
    [anon_sym_UR_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2512),
    [anon_sym_co_await] = ACTIONS(2510),
    [anon_sym_new] = ACTIONS(2510),
    [anon_sym_requires] = ACTIONS(2510),
    [sym_this] = ACTIONS(2510),
    [anon_sym_discard] = ACTIONS(2510),
    [anon_sym_precise] = ACTIONS(2510),
    [anon_sym_shared] = ACTIONS(2510),
    [anon_sym_groupshared] = ACTIONS(2510),
    [anon_sym_uniform] = ACTIONS(2510),
    [anon_sym_row_major] = ACTIONS(2510),
    [anon_sym_column_major] = ACTIONS(2510),
    [anon_sym_globallycoherent] = ACTIONS(2510),
    [anon_sym_centroid] = ACTIONS(2510),
    [anon_sym_noperspective] = ACTIONS(2510),
    [anon_sym_nointerpolation] = ACTIONS(2510),
    [anon_sym_sample] = ACTIONS(2510),
    [anon_sym_linear] = ACTIONS(2510),
    [anon_sym_snorm] = ACTIONS(2510),
    [anon_sym_unorm] = ACTIONS(2510),
    [anon_sym_point] = ACTIONS(2510),
    [anon_sym_line] = ACTIONS(2510),
    [anon_sym_triangleadj] = ACTIONS(2510),
    [anon_sym_lineadj] = ACTIONS(2510),
    [anon_sym_triangle] = ACTIONS(2510),
    [anon_sym_cbuffer] = ACTIONS(2510),
  },
  [574] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [anon_sym___asm] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
    [anon_sym_discard] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
    [anon_sym_cbuffer] = ACTIONS(2518),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [anon_sym___asm] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
    [anon_sym_discard] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
    [anon_sym_cbuffer] = ACTIONS(2518),
  },
  [576] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [579] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [580] = {
    [sym_identifier] = ACTIONS(2550),
    [aux_sym_preproc_include_token1] = ACTIONS(2550),
    [aux_sym_preproc_def_token1] = ACTIONS(2550),
    [aux_sym_preproc_if_token1] = ACTIONS(2550),
    [aux_sym_preproc_if_token2] = ACTIONS(2550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2550),
    [sym_preproc_directive] = ACTIONS(2550),
    [anon_sym_LPAREN2] = ACTIONS(2552),
    [anon_sym_BANG] = ACTIONS(2552),
    [anon_sym_TILDE] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2552),
    [anon_sym___extension__] = ACTIONS(2550),
    [anon_sym_typedef] = ACTIONS(2550),
    [anon_sym_in] = ACTIONS(2550),
    [anon_sym_out] = ACTIONS(2550),
    [anon_sym_inout] = ACTIONS(2550),
    [anon_sym_virtual] = ACTIONS(2550),
    [anon_sym_extern] = ACTIONS(2550),
    [anon_sym___attribute__] = ACTIONS(2550),
    [anon_sym_COLON_COLON] = ACTIONS(2552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2552),
    [anon_sym___declspec] = ACTIONS(2550),
    [anon_sym___based] = ACTIONS(2550),
    [anon_sym___cdecl] = ACTIONS(2550),
    [anon_sym___clrcall] = ACTIONS(2550),
    [anon_sym___stdcall] = ACTIONS(2550),
    [anon_sym___fastcall] = ACTIONS(2550),
    [anon_sym___thiscall] = ACTIONS(2550),
    [anon_sym___vectorcall] = ACTIONS(2550),
    [anon_sym_LBRACE] = ACTIONS(2552),
    [anon_sym_signed] = ACTIONS(2550),
    [anon_sym_unsigned] = ACTIONS(2550),
    [anon_sym_long] = ACTIONS(2550),
    [anon_sym_short] = ACTIONS(2550),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym_static] = ACTIONS(2550),
    [anon_sym_register] = ACTIONS(2550),
    [anon_sym_inline] = ACTIONS(2550),
    [anon_sym___inline] = ACTIONS(2550),
    [anon_sym___inline__] = ACTIONS(2550),
    [anon_sym___forceinline] = ACTIONS(2550),
    [anon_sym_thread_local] = ACTIONS(2550),
    [anon_sym___thread] = ACTIONS(2550),
    [anon_sym_const] = ACTIONS(2550),
    [anon_sym_constexpr] = ACTIONS(2550),
    [anon_sym_volatile] = ACTIONS(2550),
    [anon_sym_restrict] = ACTIONS(2550),
    [anon_sym___restrict__] = ACTIONS(2550),
    [anon_sym__Atomic] = ACTIONS(2550),
    [anon_sym__Noreturn] = ACTIONS(2550),
    [anon_sym_noreturn] = ACTIONS(2550),
    [anon_sym__Nonnull] = ACTIONS(2550),
    [anon_sym_mutable] = ACTIONS(2550),
    [anon_sym_constinit] = ACTIONS(2550),
    [anon_sym_consteval] = ACTIONS(2550),
    [anon_sym_alignas] = ACTIONS(2550),
    [anon_sym__Alignas] = ACTIONS(2550),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2550),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_struct] = ACTIONS(2550),
    [anon_sym_union] = ACTIONS(2550),
    [anon_sym_if] = ACTIONS(2550),
    [anon_sym_switch] = ACTIONS(2550),
    [anon_sym_case] = ACTIONS(2550),
    [anon_sym_default] = ACTIONS(2550),
    [anon_sym_while] = ACTIONS(2550),
    [anon_sym_do] = ACTIONS(2550),
    [anon_sym_for] = ACTIONS(2550),
    [anon_sym_return] = ACTIONS(2550),
    [anon_sym_break] = ACTIONS(2550),
    [anon_sym_continue] = ACTIONS(2550),
    [anon_sym_goto] = ACTIONS(2550),
    [anon_sym___try] = ACTIONS(2550),
    [anon_sym___leave] = ACTIONS(2550),
    [anon_sym_not] = ACTIONS(2550),
    [anon_sym_compl] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_sizeof] = ACTIONS(2550),
    [anon_sym___alignof__] = ACTIONS(2550),
    [anon_sym___alignof] = ACTIONS(2550),
    [anon_sym__alignof] = ACTIONS(2550),
    [anon_sym_alignof] = ACTIONS(2550),
    [anon_sym__Alignof] = ACTIONS(2550),
    [anon_sym_offsetof] = ACTIONS(2550),
    [anon_sym__Generic] = ACTIONS(2550),
    [anon_sym_asm] = ACTIONS(2550),
    [anon_sym___asm__] = ACTIONS(2550),
    [anon_sym___asm] = ACTIONS(2550),
    [sym_number_literal] = ACTIONS(2552),
    [anon_sym_L_SQUOTE] = ACTIONS(2552),
    [anon_sym_u_SQUOTE] = ACTIONS(2552),
    [anon_sym_U_SQUOTE] = ACTIONS(2552),
    [anon_sym_u8_SQUOTE] = ACTIONS(2552),
    [anon_sym_SQUOTE] = ACTIONS(2552),
    [anon_sym_L_DQUOTE] = ACTIONS(2552),
    [anon_sym_u_DQUOTE] = ACTIONS(2552),
    [anon_sym_U_DQUOTE] = ACTIONS(2552),
    [anon_sym_u8_DQUOTE] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2552),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2550),
    [anon_sym_nullptr] = ACTIONS(2550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2550),
    [anon_sym_decltype] = ACTIONS(2550),
    [anon_sym_explicit] = ACTIONS(2550),
    [anon_sym_typename] = ACTIONS(2550),
    [anon_sym_template] = ACTIONS(2550),
    [anon_sym_operator] = ACTIONS(2550),
    [anon_sym_try] = ACTIONS(2550),
    [anon_sym_delete] = ACTIONS(2550),
    [anon_sym_throw] = ACTIONS(2550),
    [anon_sym_namespace] = ACTIONS(2550),
    [anon_sym_using] = ACTIONS(2550),
    [anon_sym_static_assert] = ACTIONS(2550),
    [anon_sym_concept] = ACTIONS(2550),
    [anon_sym_co_return] = ACTIONS(2550),
    [anon_sym_co_yield] = ACTIONS(2550),
    [anon_sym_R_DQUOTE] = ACTIONS(2552),
    [anon_sym_LR_DQUOTE] = ACTIONS(2552),
    [anon_sym_uR_DQUOTE] = ACTIONS(2552),
    [anon_sym_UR_DQUOTE] = ACTIONS(2552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2552),
    [anon_sym_co_await] = ACTIONS(2550),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2550),
    [sym_this] = ACTIONS(2550),
    [anon_sym_discard] = ACTIONS(2550),
    [anon_sym_precise] = ACTIONS(2550),
    [anon_sym_shared] = ACTIONS(2550),
    [anon_sym_groupshared] = ACTIONS(2550),
    [anon_sym_uniform] = ACTIONS(2550),
    [anon_sym_row_major] = ACTIONS(2550),
    [anon_sym_column_major] = ACTIONS(2550),
    [anon_sym_globallycoherent] = ACTIONS(2550),
    [anon_sym_centroid] = ACTIONS(2550),
    [anon_sym_noperspective] = ACTIONS(2550),
    [anon_sym_nointerpolation] = ACTIONS(2550),
    [anon_sym_sample] = ACTIONS(2550),
    [anon_sym_linear] = ACTIONS(2550),
    [anon_sym_snorm] = ACTIONS(2550),
    [anon_sym_unorm] = ACTIONS(2550),
    [anon_sym_point] = ACTIONS(2550),
    [anon_sym_line] = ACTIONS(2550),
    [anon_sym_triangleadj] = ACTIONS(2550),
    [anon_sym_lineadj] = ACTIONS(2550),
    [anon_sym_triangle] = ACTIONS(2550),
    [anon_sym_cbuffer] = ACTIONS(2550),
  },
  [581] = {
    [sym_identifier] = ACTIONS(2554),
    [aux_sym_preproc_include_token1] = ACTIONS(2554),
    [aux_sym_preproc_def_token1] = ACTIONS(2554),
    [aux_sym_preproc_if_token1] = ACTIONS(2554),
    [aux_sym_preproc_if_token2] = ACTIONS(2554),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2554),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2554),
    [sym_preproc_directive] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(2556),
    [anon_sym_BANG] = ACTIONS(2556),
    [anon_sym_TILDE] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym___extension__] = ACTIONS(2554),
    [anon_sym_typedef] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2554),
    [anon_sym_out] = ACTIONS(2554),
    [anon_sym_inout] = ACTIONS(2554),
    [anon_sym_virtual] = ACTIONS(2554),
    [anon_sym_extern] = ACTIONS(2554),
    [anon_sym___attribute__] = ACTIONS(2554),
    [anon_sym_COLON_COLON] = ACTIONS(2556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2556),
    [anon_sym___declspec] = ACTIONS(2554),
    [anon_sym___based] = ACTIONS(2554),
    [anon_sym___cdecl] = ACTIONS(2554),
    [anon_sym___clrcall] = ACTIONS(2554),
    [anon_sym___stdcall] = ACTIONS(2554),
    [anon_sym___fastcall] = ACTIONS(2554),
    [anon_sym___thiscall] = ACTIONS(2554),
    [anon_sym___vectorcall] = ACTIONS(2554),
    [anon_sym_LBRACE] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2554),
    [anon_sym_unsigned] = ACTIONS(2554),
    [anon_sym_long] = ACTIONS(2554),
    [anon_sym_short] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_static] = ACTIONS(2554),
    [anon_sym_register] = ACTIONS(2554),
    [anon_sym_inline] = ACTIONS(2554),
    [anon_sym___inline] = ACTIONS(2554),
    [anon_sym___inline__] = ACTIONS(2554),
    [anon_sym___forceinline] = ACTIONS(2554),
    [anon_sym_thread_local] = ACTIONS(2554),
    [anon_sym___thread] = ACTIONS(2554),
    [anon_sym_const] = ACTIONS(2554),
    [anon_sym_constexpr] = ACTIONS(2554),
    [anon_sym_volatile] = ACTIONS(2554),
    [anon_sym_restrict] = ACTIONS(2554),
    [anon_sym___restrict__] = ACTIONS(2554),
    [anon_sym__Atomic] = ACTIONS(2554),
    [anon_sym__Noreturn] = ACTIONS(2554),
    [anon_sym_noreturn] = ACTIONS(2554),
    [anon_sym__Nonnull] = ACTIONS(2554),
    [anon_sym_mutable] = ACTIONS(2554),
    [anon_sym_constinit] = ACTIONS(2554),
    [anon_sym_consteval] = ACTIONS(2554),
    [anon_sym_alignas] = ACTIONS(2554),
    [anon_sym__Alignas] = ACTIONS(2554),
    [sym_primitive_type] = ACTIONS(2554),
    [anon_sym_enum] = ACTIONS(2554),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2554),
    [anon_sym_union] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2554),
    [anon_sym_switch] = ACTIONS(2554),
    [anon_sym_case] = ACTIONS(2554),
    [anon_sym_default] = ACTIONS(2554),
    [anon_sym_while] = ACTIONS(2554),
    [anon_sym_do] = ACTIONS(2554),
    [anon_sym_for] = ACTIONS(2554),
    [anon_sym_return] = ACTIONS(2554),
    [anon_sym_break] = ACTIONS(2554),
    [anon_sym_continue] = ACTIONS(2554),
    [anon_sym_goto] = ACTIONS(2554),
    [anon_sym___try] = ACTIONS(2554),
    [anon_sym___leave] = ACTIONS(2554),
    [anon_sym_not] = ACTIONS(2554),
    [anon_sym_compl] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_sizeof] = ACTIONS(2554),
    [anon_sym___alignof__] = ACTIONS(2554),
    [anon_sym___alignof] = ACTIONS(2554),
    [anon_sym__alignof] = ACTIONS(2554),
    [anon_sym_alignof] = ACTIONS(2554),
    [anon_sym__Alignof] = ACTIONS(2554),
    [anon_sym_offsetof] = ACTIONS(2554),
    [anon_sym__Generic] = ACTIONS(2554),
    [anon_sym_asm] = ACTIONS(2554),
    [anon_sym___asm__] = ACTIONS(2554),
    [anon_sym___asm] = ACTIONS(2554),
    [sym_number_literal] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2556),
    [anon_sym_u_SQUOTE] = ACTIONS(2556),
    [anon_sym_U_SQUOTE] = ACTIONS(2556),
    [anon_sym_u8_SQUOTE] = ACTIONS(2556),
    [anon_sym_SQUOTE] = ACTIONS(2556),
    [anon_sym_L_DQUOTE] = ACTIONS(2556),
    [anon_sym_u_DQUOTE] = ACTIONS(2556),
    [anon_sym_U_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8_DQUOTE] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2556),
    [sym_true] = ACTIONS(2554),
    [sym_false] = ACTIONS(2554),
    [anon_sym_NULL] = ACTIONS(2554),
    [anon_sym_nullptr] = ACTIONS(2554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2554),
    [anon_sym_decltype] = ACTIONS(2554),
    [anon_sym_explicit] = ACTIONS(2554),
    [anon_sym_typename] = ACTIONS(2554),
    [anon_sym_template] = ACTIONS(2554),
    [anon_sym_operator] = ACTIONS(2554),
    [anon_sym_try] = ACTIONS(2554),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_throw] = ACTIONS(2554),
    [anon_sym_namespace] = ACTIONS(2554),
    [anon_sym_using] = ACTIONS(2554),
    [anon_sym_static_assert] = ACTIONS(2554),
    [anon_sym_concept] = ACTIONS(2554),
    [anon_sym_co_return] = ACTIONS(2554),
    [anon_sym_co_yield] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2554),
    [anon_sym_new] = ACTIONS(2554),
    [anon_sym_requires] = ACTIONS(2554),
    [sym_this] = ACTIONS(2554),
    [anon_sym_discard] = ACTIONS(2554),
    [anon_sym_precise] = ACTIONS(2554),
    [anon_sym_shared] = ACTIONS(2554),
    [anon_sym_groupshared] = ACTIONS(2554),
    [anon_sym_uniform] = ACTIONS(2554),
    [anon_sym_row_major] = ACTIONS(2554),
    [anon_sym_column_major] = ACTIONS(2554),
    [anon_sym_globallycoherent] = ACTIONS(2554),
    [anon_sym_centroid] = ACTIONS(2554),
    [anon_sym_noperspective] = ACTIONS(2554),
    [anon_sym_nointerpolation] = ACTIONS(2554),
    [anon_sym_sample] = ACTIONS(2554),
    [anon_sym_linear] = ACTIONS(2554),
    [anon_sym_snorm] = ACTIONS(2554),
    [anon_sym_unorm] = ACTIONS(2554),
    [anon_sym_point] = ACTIONS(2554),
    [anon_sym_line] = ACTIONS(2554),
    [anon_sym_triangleadj] = ACTIONS(2554),
    [anon_sym_lineadj] = ACTIONS(2554),
    [anon_sym_triangle] = ACTIONS(2554),
    [anon_sym_cbuffer] = ACTIONS(2554),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2558),
    [aux_sym_preproc_include_token1] = ACTIONS(2558),
    [aux_sym_preproc_def_token1] = ACTIONS(2558),
    [aux_sym_preproc_if_token1] = ACTIONS(2558),
    [aux_sym_preproc_if_token2] = ACTIONS(2558),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2558),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2558),
    [sym_preproc_directive] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(2560),
    [anon_sym_BANG] = ACTIONS(2560),
    [anon_sym_TILDE] = ACTIONS(2560),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_typedef] = ACTIONS(2558),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_out] = ACTIONS(2558),
    [anon_sym_inout] = ACTIONS(2558),
    [anon_sym_virtual] = ACTIONS(2558),
    [anon_sym_extern] = ACTIONS(2558),
    [anon_sym___attribute__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2560),
    [anon_sym___declspec] = ACTIONS(2558),
    [anon_sym___based] = ACTIONS(2558),
    [anon_sym___cdecl] = ACTIONS(2558),
    [anon_sym___clrcall] = ACTIONS(2558),
    [anon_sym___stdcall] = ACTIONS(2558),
    [anon_sym___fastcall] = ACTIONS(2558),
    [anon_sym___thiscall] = ACTIONS(2558),
    [anon_sym___vectorcall] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2558),
    [anon_sym_unsigned] = ACTIONS(2558),
    [anon_sym_long] = ACTIONS(2558),
    [anon_sym_short] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym_static] = ACTIONS(2558),
    [anon_sym_register] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym___inline] = ACTIONS(2558),
    [anon_sym___inline__] = ACTIONS(2558),
    [anon_sym___forceinline] = ACTIONS(2558),
    [anon_sym_thread_local] = ACTIONS(2558),
    [anon_sym___thread] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_constexpr] = ACTIONS(2558),
    [anon_sym_volatile] = ACTIONS(2558),
    [anon_sym_restrict] = ACTIONS(2558),
    [anon_sym___restrict__] = ACTIONS(2558),
    [anon_sym__Atomic] = ACTIONS(2558),
    [anon_sym__Noreturn] = ACTIONS(2558),
    [anon_sym_noreturn] = ACTIONS(2558),
    [anon_sym__Nonnull] = ACTIONS(2558),
    [anon_sym_mutable] = ACTIONS(2558),
    [anon_sym_constinit] = ACTIONS(2558),
    [anon_sym_consteval] = ACTIONS(2558),
    [anon_sym_alignas] = ACTIONS(2558),
    [anon_sym__Alignas] = ACTIONS(2558),
    [sym_primitive_type] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_class] = ACTIONS(2558),
    [anon_sym_struct] = ACTIONS(2558),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_switch] = ACTIONS(2558),
    [anon_sym_case] = ACTIONS(2558),
    [anon_sym_default] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_do] = ACTIONS(2558),
    [anon_sym_for] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_break] = ACTIONS(2558),
    [anon_sym_continue] = ACTIONS(2558),
    [anon_sym_goto] = ACTIONS(2558),
    [anon_sym___try] = ACTIONS(2558),
    [anon_sym___leave] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2558),
    [anon_sym_compl] = ACTIONS(2558),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2558),
    [anon_sym___alignof__] = ACTIONS(2558),
    [anon_sym___alignof] = ACTIONS(2558),
    [anon_sym__alignof] = ACTIONS(2558),
    [anon_sym_alignof] = ACTIONS(2558),
    [anon_sym__Alignof] = ACTIONS(2558),
    [anon_sym_offsetof] = ACTIONS(2558),
    [anon_sym__Generic] = ACTIONS(2558),
    [anon_sym_asm] = ACTIONS(2558),
    [anon_sym___asm__] = ACTIONS(2558),
    [anon_sym___asm] = ACTIONS(2558),
    [sym_number_literal] = ACTIONS(2560),
    [anon_sym_L_SQUOTE] = ACTIONS(2560),
    [anon_sym_u_SQUOTE] = ACTIONS(2560),
    [anon_sym_U_SQUOTE] = ACTIONS(2560),
    [anon_sym_u8_SQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [anon_sym_L_DQUOTE] = ACTIONS(2560),
    [anon_sym_u_DQUOTE] = ACTIONS(2560),
    [anon_sym_U_DQUOTE] = ACTIONS(2560),
    [anon_sym_u8_DQUOTE] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2560),
    [sym_true] = ACTIONS(2558),
    [sym_false] = ACTIONS(2558),
    [anon_sym_NULL] = ACTIONS(2558),
    [anon_sym_nullptr] = ACTIONS(2558),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2558),
    [anon_sym_decltype] = ACTIONS(2558),
    [anon_sym_explicit] = ACTIONS(2558),
    [anon_sym_typename] = ACTIONS(2558),
    [anon_sym_template] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_delete] = ACTIONS(2558),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_namespace] = ACTIONS(2558),
    [anon_sym_using] = ACTIONS(2558),
    [anon_sym_static_assert] = ACTIONS(2558),
    [anon_sym_concept] = ACTIONS(2558),
    [anon_sym_co_return] = ACTIONS(2558),
    [anon_sym_co_yield] = ACTIONS(2558),
    [anon_sym_R_DQUOTE] = ACTIONS(2560),
    [anon_sym_LR_DQUOTE] = ACTIONS(2560),
    [anon_sym_uR_DQUOTE] = ACTIONS(2560),
    [anon_sym_UR_DQUOTE] = ACTIONS(2560),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2560),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2558),
    [anon_sym_requires] = ACTIONS(2558),
    [sym_this] = ACTIONS(2558),
    [anon_sym_discard] = ACTIONS(2558),
    [anon_sym_precise] = ACTIONS(2558),
    [anon_sym_shared] = ACTIONS(2558),
    [anon_sym_groupshared] = ACTIONS(2558),
    [anon_sym_uniform] = ACTIONS(2558),
    [anon_sym_row_major] = ACTIONS(2558),
    [anon_sym_column_major] = ACTIONS(2558),
    [anon_sym_globallycoherent] = ACTIONS(2558),
    [anon_sym_centroid] = ACTIONS(2558),
    [anon_sym_noperspective] = ACTIONS(2558),
    [anon_sym_nointerpolation] = ACTIONS(2558),
    [anon_sym_sample] = ACTIONS(2558),
    [anon_sym_linear] = ACTIONS(2558),
    [anon_sym_snorm] = ACTIONS(2558),
    [anon_sym_unorm] = ACTIONS(2558),
    [anon_sym_point] = ACTIONS(2558),
    [anon_sym_line] = ACTIONS(2558),
    [anon_sym_triangleadj] = ACTIONS(2558),
    [anon_sym_lineadj] = ACTIONS(2558),
    [anon_sym_triangle] = ACTIONS(2558),
    [anon_sym_cbuffer] = ACTIONS(2558),
  },
  [583] = {
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_preproc_include_token1] = ACTIONS(2574),
    [aux_sym_preproc_def_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2574),
    [sym_preproc_directive] = ACTIONS(2574),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym___extension__] = ACTIONS(2574),
    [anon_sym_typedef] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2574),
    [anon_sym_out] = ACTIONS(2574),
    [anon_sym_inout] = ACTIONS(2574),
    [anon_sym_virtual] = ACTIONS(2574),
    [anon_sym_extern] = ACTIONS(2574),
    [anon_sym___attribute__] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2576),
    [anon_sym___declspec] = ACTIONS(2574),
    [anon_sym___based] = ACTIONS(2574),
    [anon_sym___cdecl] = ACTIONS(2574),
    [anon_sym___clrcall] = ACTIONS(2574),
    [anon_sym___stdcall] = ACTIONS(2574),
    [anon_sym___fastcall] = ACTIONS(2574),
    [anon_sym___thiscall] = ACTIONS(2574),
    [anon_sym___vectorcall] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2574),
    [anon_sym_unsigned] = ACTIONS(2574),
    [anon_sym_long] = ACTIONS(2574),
    [anon_sym_short] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_register] = ACTIONS(2574),
    [anon_sym_inline] = ACTIONS(2574),
    [anon_sym___inline] = ACTIONS(2574),
    [anon_sym___inline__] = ACTIONS(2574),
    [anon_sym___forceinline] = ACTIONS(2574),
    [anon_sym_thread_local] = ACTIONS(2574),
    [anon_sym___thread] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_constexpr] = ACTIONS(2574),
    [anon_sym_volatile] = ACTIONS(2574),
    [anon_sym_restrict] = ACTIONS(2574),
    [anon_sym___restrict__] = ACTIONS(2574),
    [anon_sym__Atomic] = ACTIONS(2574),
    [anon_sym__Noreturn] = ACTIONS(2574),
    [anon_sym_noreturn] = ACTIONS(2574),
    [anon_sym__Nonnull] = ACTIONS(2574),
    [anon_sym_mutable] = ACTIONS(2574),
    [anon_sym_constinit] = ACTIONS(2574),
    [anon_sym_consteval] = ACTIONS(2574),
    [anon_sym_alignas] = ACTIONS(2574),
    [anon_sym__Alignas] = ACTIONS(2574),
    [sym_primitive_type] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_struct] = ACTIONS(2574),
    [anon_sym_union] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_default] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_goto] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2574),
    [anon_sym___leave] = ACTIONS(2574),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_compl] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2576),
    [anon_sym_sizeof] = ACTIONS(2574),
    [anon_sym___alignof__] = ACTIONS(2574),
    [anon_sym___alignof] = ACTIONS(2574),
    [anon_sym__alignof] = ACTIONS(2574),
    [anon_sym_alignof] = ACTIONS(2574),
    [anon_sym__Alignof] = ACTIONS(2574),
    [anon_sym_offsetof] = ACTIONS(2574),
    [anon_sym__Generic] = ACTIONS(2574),
    [anon_sym_asm] = ACTIONS(2574),
    [anon_sym___asm__] = ACTIONS(2574),
    [anon_sym___asm] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2576),
    [anon_sym_L_SQUOTE] = ACTIONS(2576),
    [anon_sym_u_SQUOTE] = ACTIONS(2576),
    [anon_sym_U_SQUOTE] = ACTIONS(2576),
    [anon_sym_u8_SQUOTE] = ACTIONS(2576),
    [anon_sym_SQUOTE] = ACTIONS(2576),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [anon_sym_NULL] = ACTIONS(2574),
    [anon_sym_nullptr] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2574),
    [anon_sym_decltype] = ACTIONS(2574),
    [anon_sym_explicit] = ACTIONS(2574),
    [anon_sym_typename] = ACTIONS(2574),
    [anon_sym_template] = ACTIONS(2574),
    [anon_sym_operator] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_namespace] = ACTIONS(2574),
    [anon_sym_using] = ACTIONS(2574),
    [anon_sym_static_assert] = ACTIONS(2574),
    [anon_sym_concept] = ACTIONS(2574),
    [anon_sym_co_return] = ACTIONS(2574),
    [anon_sym_co_yield] = ACTIONS(2574),
    [anon_sym_R_DQUOTE] = ACTIONS(2576),
    [anon_sym_LR_DQUOTE] = ACTIONS(2576),
    [anon_sym_uR_DQUOTE] = ACTIONS(2576),
    [anon_sym_UR_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2576),
    [anon_sym_co_await] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_requires] = ACTIONS(2574),
    [sym_this] = ACTIONS(2574),
    [anon_sym_discard] = ACTIONS(2574),
    [anon_sym_precise] = ACTIONS(2574),
    [anon_sym_shared] = ACTIONS(2574),
    [anon_sym_groupshared] = ACTIONS(2574),
    [anon_sym_uniform] = ACTIONS(2574),
    [anon_sym_row_major] = ACTIONS(2574),
    [anon_sym_column_major] = ACTIONS(2574),
    [anon_sym_globallycoherent] = ACTIONS(2574),
    [anon_sym_centroid] = ACTIONS(2574),
    [anon_sym_noperspective] = ACTIONS(2574),
    [anon_sym_nointerpolation] = ACTIONS(2574),
    [anon_sym_sample] = ACTIONS(2574),
    [anon_sym_linear] = ACTIONS(2574),
    [anon_sym_snorm] = ACTIONS(2574),
    [anon_sym_unorm] = ACTIONS(2574),
    [anon_sym_point] = ACTIONS(2574),
    [anon_sym_line] = ACTIONS(2574),
    [anon_sym_triangleadj] = ACTIONS(2574),
    [anon_sym_lineadj] = ACTIONS(2574),
    [anon_sym_triangle] = ACTIONS(2574),
    [anon_sym_cbuffer] = ACTIONS(2574),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_include_token1] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_out] = ACTIONS(2578),
    [anon_sym_inout] = ACTIONS(2578),
    [anon_sym_virtual] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym___cdecl] = ACTIONS(2578),
    [anon_sym___clrcall] = ACTIONS(2578),
    [anon_sym___stdcall] = ACTIONS(2578),
    [anon_sym___fastcall] = ACTIONS(2578),
    [anon_sym___thiscall] = ACTIONS(2578),
    [anon_sym___vectorcall] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym__Nonnull] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym__Alignas] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2578),
    [anon_sym_default] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_continue] = ACTIONS(2578),
    [anon_sym_goto] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2578),
    [anon_sym___leave] = ACTIONS(2578),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_compl] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_sizeof] = ACTIONS(2578),
    [anon_sym___alignof__] = ACTIONS(2578),
    [anon_sym___alignof] = ACTIONS(2578),
    [anon_sym__alignof] = ACTIONS(2578),
    [anon_sym_alignof] = ACTIONS(2578),
    [anon_sym__Alignof] = ACTIONS(2578),
    [anon_sym_offsetof] = ACTIONS(2578),
    [anon_sym__Generic] = ACTIONS(2578),
    [anon_sym_asm] = ACTIONS(2578),
    [anon_sym___asm__] = ACTIONS(2578),
    [anon_sym___asm] = ACTIONS(2578),
    [sym_number_literal] = ACTIONS(2580),
    [anon_sym_L_SQUOTE] = ACTIONS(2580),
    [anon_sym_u_SQUOTE] = ACTIONS(2580),
    [anon_sym_U_SQUOTE] = ACTIONS(2580),
    [anon_sym_u8_SQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_L_DQUOTE] = ACTIONS(2580),
    [anon_sym_u_DQUOTE] = ACTIONS(2580),
    [anon_sym_U_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8_DQUOTE] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2578),
    [anon_sym_nullptr] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_concept] = ACTIONS(2578),
    [anon_sym_co_return] = ACTIONS(2578),
    [anon_sym_co_yield] = ACTIONS(2578),
    [anon_sym_R_DQUOTE] = ACTIONS(2580),
    [anon_sym_LR_DQUOTE] = ACTIONS(2580),
    [anon_sym_uR_DQUOTE] = ACTIONS(2580),
    [anon_sym_UR_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2580),
    [anon_sym_co_await] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_requires] = ACTIONS(2578),
    [sym_this] = ACTIONS(2578),
    [anon_sym_discard] = ACTIONS(2578),
    [anon_sym_precise] = ACTIONS(2578),
    [anon_sym_shared] = ACTIONS(2578),
    [anon_sym_groupshared] = ACTIONS(2578),
    [anon_sym_uniform] = ACTIONS(2578),
    [anon_sym_row_major] = ACTIONS(2578),
    [anon_sym_column_major] = ACTIONS(2578),
    [anon_sym_globallycoherent] = ACTIONS(2578),
    [anon_sym_centroid] = ACTIONS(2578),
    [anon_sym_noperspective] = ACTIONS(2578),
    [anon_sym_nointerpolation] = ACTIONS(2578),
    [anon_sym_sample] = ACTIONS(2578),
    [anon_sym_linear] = ACTIONS(2578),
    [anon_sym_snorm] = ACTIONS(2578),
    [anon_sym_unorm] = ACTIONS(2578),
    [anon_sym_point] = ACTIONS(2578),
    [anon_sym_line] = ACTIONS(2578),
    [anon_sym_triangleadj] = ACTIONS(2578),
    [anon_sym_lineadj] = ACTIONS(2578),
    [anon_sym_triangle] = ACTIONS(2578),
    [anon_sym_cbuffer] = ACTIONS(2578),
  },
  [585] = {
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_include_token1] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_DASH] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_out] = ACTIONS(2582),
    [anon_sym_inout] = ACTIONS(2582),
    [anon_sym_virtual] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym___cdecl] = ACTIONS(2582),
    [anon_sym___clrcall] = ACTIONS(2582),
    [anon_sym___stdcall] = ACTIONS(2582),
    [anon_sym___fastcall] = ACTIONS(2582),
    [anon_sym___thiscall] = ACTIONS(2582),
    [anon_sym___vectorcall] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym__Nonnull] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym__Alignas] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_switch] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_default] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_continue] = ACTIONS(2582),
    [anon_sym_goto] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2582),
    [anon_sym___leave] = ACTIONS(2582),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_compl] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_sizeof] = ACTIONS(2582),
    [anon_sym___alignof__] = ACTIONS(2582),
    [anon_sym___alignof] = ACTIONS(2582),
    [anon_sym__alignof] = ACTIONS(2582),
    [anon_sym_alignof] = ACTIONS(2582),
    [anon_sym__Alignof] = ACTIONS(2582),
    [anon_sym_offsetof] = ACTIONS(2582),
    [anon_sym__Generic] = ACTIONS(2582),
    [anon_sym_asm] = ACTIONS(2582),
    [anon_sym___asm__] = ACTIONS(2582),
    [anon_sym___asm] = ACTIONS(2582),
    [sym_number_literal] = ACTIONS(2584),
    [anon_sym_L_SQUOTE] = ACTIONS(2584),
    [anon_sym_u_SQUOTE] = ACTIONS(2584),
    [anon_sym_U_SQUOTE] = ACTIONS(2584),
    [anon_sym_u8_SQUOTE] = ACTIONS(2584),
    [anon_sym_SQUOTE] = ACTIONS(2584),
    [anon_sym_L_DQUOTE] = ACTIONS(2584),
    [anon_sym_u_DQUOTE] = ACTIONS(2584),
    [anon_sym_U_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8_DQUOTE] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [anon_sym_NULL] = ACTIONS(2582),
    [anon_sym_nullptr] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_try] = ACTIONS(2582),
    [anon_sym_delete] = ACTIONS(2582),
    [anon_sym_throw] = ACTIONS(2582),
    [anon_sym_namespace] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_concept] = ACTIONS(2582),
    [anon_sym_co_return] = ACTIONS(2582),
    [anon_sym_co_yield] = ACTIONS(2582),
    [anon_sym_R_DQUOTE] = ACTIONS(2584),
    [anon_sym_LR_DQUOTE] = ACTIONS(2584),
    [anon_sym_uR_DQUOTE] = ACTIONS(2584),
    [anon_sym_UR_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2584),
    [anon_sym_co_await] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_requires] = ACTIONS(2582),
    [sym_this] = ACTIONS(2582),
    [anon_sym_discard] = ACTIONS(2582),
    [anon_sym_precise] = ACTIONS(2582),
    [anon_sym_shared] = ACTIONS(2582),
    [anon_sym_groupshared] = ACTIONS(2582),
    [anon_sym_uniform] = ACTIONS(2582),
    [anon_sym_row_major] = ACTIONS(2582),
    [anon_sym_column_major] = ACTIONS(2582),
    [anon_sym_globallycoherent] = ACTIONS(2582),
    [anon_sym_centroid] = ACTIONS(2582),
    [anon_sym_noperspective] = ACTIONS(2582),
    [anon_sym_nointerpolation] = ACTIONS(2582),
    [anon_sym_sample] = ACTIONS(2582),
    [anon_sym_linear] = ACTIONS(2582),
    [anon_sym_snorm] = ACTIONS(2582),
    [anon_sym_unorm] = ACTIONS(2582),
    [anon_sym_point] = ACTIONS(2582),
    [anon_sym_line] = ACTIONS(2582),
    [anon_sym_triangleadj] = ACTIONS(2582),
    [anon_sym_lineadj] = ACTIONS(2582),
    [anon_sym_triangle] = ACTIONS(2582),
    [anon_sym_cbuffer] = ACTIONS(2582),
  },
  [586] = {
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2562),
    [anon_sym_out] = ACTIONS(2562),
    [anon_sym_inout] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [sym_number_literal] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
    [anon_sym_discard] = ACTIONS(2562),
    [anon_sym_precise] = ACTIONS(2562),
    [anon_sym_shared] = ACTIONS(2562),
    [anon_sym_groupshared] = ACTIONS(2562),
    [anon_sym_uniform] = ACTIONS(2562),
    [anon_sym_row_major] = ACTIONS(2562),
    [anon_sym_column_major] = ACTIONS(2562),
    [anon_sym_globallycoherent] = ACTIONS(2562),
    [anon_sym_centroid] = ACTIONS(2562),
    [anon_sym_noperspective] = ACTIONS(2562),
    [anon_sym_nointerpolation] = ACTIONS(2562),
    [anon_sym_sample] = ACTIONS(2562),
    [anon_sym_linear] = ACTIONS(2562),
    [anon_sym_snorm] = ACTIONS(2562),
    [anon_sym_unorm] = ACTIONS(2562),
    [anon_sym_point] = ACTIONS(2562),
    [anon_sym_line] = ACTIONS(2562),
    [anon_sym_triangleadj] = ACTIONS(2562),
    [anon_sym_lineadj] = ACTIONS(2562),
    [anon_sym_triangle] = ACTIONS(2562),
    [anon_sym_cbuffer] = ACTIONS(2562),
  },
  [587] = {
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token2] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_out] = ACTIONS(2566),
    [anon_sym_inout] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
    [anon_sym_discard] = ACTIONS(2566),
    [anon_sym_precise] = ACTIONS(2566),
    [anon_sym_shared] = ACTIONS(2566),
    [anon_sym_groupshared] = ACTIONS(2566),
    [anon_sym_uniform] = ACTIONS(2566),
    [anon_sym_row_major] = ACTIONS(2566),
    [anon_sym_column_major] = ACTIONS(2566),
    [anon_sym_globallycoherent] = ACTIONS(2566),
    [anon_sym_centroid] = ACTIONS(2566),
    [anon_sym_noperspective] = ACTIONS(2566),
    [anon_sym_nointerpolation] = ACTIONS(2566),
    [anon_sym_sample] = ACTIONS(2566),
    [anon_sym_linear] = ACTIONS(2566),
    [anon_sym_snorm] = ACTIONS(2566),
    [anon_sym_unorm] = ACTIONS(2566),
    [anon_sym_point] = ACTIONS(2566),
    [anon_sym_line] = ACTIONS(2566),
    [anon_sym_triangleadj] = ACTIONS(2566),
    [anon_sym_lineadj] = ACTIONS(2566),
    [anon_sym_triangle] = ACTIONS(2566),
    [anon_sym_cbuffer] = ACTIONS(2566),
  },
  [588] = {
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_include_token1] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_out] = ACTIONS(2586),
    [anon_sym_inout] = ACTIONS(2586),
    [anon_sym_virtual] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym___cdecl] = ACTIONS(2586),
    [anon_sym___clrcall] = ACTIONS(2586),
    [anon_sym___stdcall] = ACTIONS(2586),
    [anon_sym___fastcall] = ACTIONS(2586),
    [anon_sym___thiscall] = ACTIONS(2586),
    [anon_sym___vectorcall] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym__Nonnull] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym__Alignas] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_switch] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_default] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_continue] = ACTIONS(2586),
    [anon_sym_goto] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2586),
    [anon_sym___leave] = ACTIONS(2586),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_compl] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_sizeof] = ACTIONS(2586),
    [anon_sym___alignof__] = ACTIONS(2586),
    [anon_sym___alignof] = ACTIONS(2586),
    [anon_sym__alignof] = ACTIONS(2586),
    [anon_sym_alignof] = ACTIONS(2586),
    [anon_sym__Alignof] = ACTIONS(2586),
    [anon_sym_offsetof] = ACTIONS(2586),
    [anon_sym__Generic] = ACTIONS(2586),
    [anon_sym_asm] = ACTIONS(2586),
    [anon_sym___asm__] = ACTIONS(2586),
    [anon_sym___asm] = ACTIONS(2586),
    [sym_number_literal] = ACTIONS(2588),
    [anon_sym_L_SQUOTE] = ACTIONS(2588),
    [anon_sym_u_SQUOTE] = ACTIONS(2588),
    [anon_sym_U_SQUOTE] = ACTIONS(2588),
    [anon_sym_u8_SQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_L_DQUOTE] = ACTIONS(2588),
    [anon_sym_u_DQUOTE] = ACTIONS(2588),
    [anon_sym_U_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8_DQUOTE] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [anon_sym_NULL] = ACTIONS(2586),
    [anon_sym_nullptr] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_concept] = ACTIONS(2586),
    [anon_sym_co_return] = ACTIONS(2586),
    [anon_sym_co_yield] = ACTIONS(2586),
    [anon_sym_R_DQUOTE] = ACTIONS(2588),
    [anon_sym_LR_DQUOTE] = ACTIONS(2588),
    [anon_sym_uR_DQUOTE] = ACTIONS(2588),
    [anon_sym_UR_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2588),
    [anon_sym_co_await] = ACTIONS(2586),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_requires] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
    [anon_sym_discard] = ACTIONS(2586),
    [anon_sym_precise] = ACTIONS(2586),
    [anon_sym_shared] = ACTIONS(2586),
    [anon_sym_groupshared] = ACTIONS(2586),
    [anon_sym_uniform] = ACTIONS(2586),
    [anon_sym_row_major] = ACTIONS(2586),
    [anon_sym_column_major] = ACTIONS(2586),
    [anon_sym_globallycoherent] = ACTIONS(2586),
    [anon_sym_centroid] = ACTIONS(2586),
    [anon_sym_noperspective] = ACTIONS(2586),
    [anon_sym_nointerpolation] = ACTIONS(2586),
    [anon_sym_sample] = ACTIONS(2586),
    [anon_sym_linear] = ACTIONS(2586),
    [anon_sym_snorm] = ACTIONS(2586),
    [anon_sym_unorm] = ACTIONS(2586),
    [anon_sym_point] = ACTIONS(2586),
    [anon_sym_line] = ACTIONS(2586),
    [anon_sym_triangleadj] = ACTIONS(2586),
    [anon_sym_lineadj] = ACTIONS(2586),
    [anon_sym_triangle] = ACTIONS(2586),
    [anon_sym_cbuffer] = ACTIONS(2586),
  },
  [589] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [590] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_out] = ACTIONS(2490),
    [anon_sym_inout] = ACTIONS(2490),
    [anon_sym_virtual] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___based] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_RBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_mutable] = ACTIONS(2490),
    [anon_sym_constinit] = ACTIONS(2490),
    [anon_sym_consteval] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_class] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym___leave] = ACTIONS(2490),
    [anon_sym_not] = ACTIONS(2490),
    [anon_sym_compl] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2490),
    [anon_sym_decltype] = ACTIONS(2490),
    [anon_sym_explicit] = ACTIONS(2490),
    [anon_sym_typename] = ACTIONS(2490),
    [anon_sym_template] = ACTIONS(2490),
    [anon_sym_operator] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2490),
    [anon_sym_delete] = ACTIONS(2490),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_namespace] = ACTIONS(2490),
    [anon_sym_using] = ACTIONS(2490),
    [anon_sym_static_assert] = ACTIONS(2490),
    [anon_sym_concept] = ACTIONS(2490),
    [anon_sym_co_return] = ACTIONS(2490),
    [anon_sym_co_yield] = ACTIONS(2490),
    [anon_sym_R_DQUOTE] = ACTIONS(2492),
    [anon_sym_LR_DQUOTE] = ACTIONS(2492),
    [anon_sym_uR_DQUOTE] = ACTIONS(2492),
    [anon_sym_UR_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2492),
    [anon_sym_co_await] = ACTIONS(2490),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2490),
    [anon_sym_discard] = ACTIONS(2490),
    [anon_sym_precise] = ACTIONS(2490),
    [anon_sym_shared] = ACTIONS(2490),
    [anon_sym_groupshared] = ACTIONS(2490),
    [anon_sym_uniform] = ACTIONS(2490),
    [anon_sym_row_major] = ACTIONS(2490),
    [anon_sym_column_major] = ACTIONS(2490),
    [anon_sym_globallycoherent] = ACTIONS(2490),
    [anon_sym_centroid] = ACTIONS(2490),
    [anon_sym_noperspective] = ACTIONS(2490),
    [anon_sym_nointerpolation] = ACTIONS(2490),
    [anon_sym_sample] = ACTIONS(2490),
    [anon_sym_linear] = ACTIONS(2490),
    [anon_sym_snorm] = ACTIONS(2490),
    [anon_sym_unorm] = ACTIONS(2490),
    [anon_sym_point] = ACTIONS(2490),
    [anon_sym_line] = ACTIONS(2490),
    [anon_sym_triangleadj] = ACTIONS(2490),
    [anon_sym_lineadj] = ACTIONS(2490),
    [anon_sym_triangle] = ACTIONS(2490),
    [anon_sym_cbuffer] = ACTIONS(2490),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_out] = ACTIONS(2618),
    [anon_sym_inout] = ACTIONS(2618),
    [anon_sym_virtual] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_RBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym___leave] = ACTIONS(2618),
    [anon_sym_not] = ACTIONS(2618),
    [anon_sym_compl] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [anon_sym___asm] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_delete] = ACTIONS(2618),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_namespace] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_concept] = ACTIONS(2618),
    [anon_sym_co_return] = ACTIONS(2618),
    [anon_sym_co_yield] = ACTIONS(2618),
    [anon_sym_R_DQUOTE] = ACTIONS(2620),
    [anon_sym_LR_DQUOTE] = ACTIONS(2620),
    [anon_sym_uR_DQUOTE] = ACTIONS(2620),
    [anon_sym_UR_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2620),
    [anon_sym_co_await] = ACTIONS(2618),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_requires] = ACTIONS(2618),
    [sym_this] = ACTIONS(2618),
    [anon_sym_discard] = ACTIONS(2618),
    [anon_sym_precise] = ACTIONS(2618),
    [anon_sym_shared] = ACTIONS(2618),
    [anon_sym_groupshared] = ACTIONS(2618),
    [anon_sym_uniform] = ACTIONS(2618),
    [anon_sym_row_major] = ACTIONS(2618),
    [anon_sym_column_major] = ACTIONS(2618),
    [anon_sym_globallycoherent] = ACTIONS(2618),
    [anon_sym_centroid] = ACTIONS(2618),
    [anon_sym_noperspective] = ACTIONS(2618),
    [anon_sym_nointerpolation] = ACTIONS(2618),
    [anon_sym_sample] = ACTIONS(2618),
    [anon_sym_linear] = ACTIONS(2618),
    [anon_sym_snorm] = ACTIONS(2618),
    [anon_sym_unorm] = ACTIONS(2618),
    [anon_sym_point] = ACTIONS(2618),
    [anon_sym_line] = ACTIONS(2618),
    [anon_sym_triangleadj] = ACTIONS(2618),
    [anon_sym_lineadj] = ACTIONS(2618),
    [anon_sym_triangle] = ACTIONS(2618),
    [anon_sym_cbuffer] = ACTIONS(2618),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token2] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_in] = ACTIONS(2570),
    [anon_sym_out] = ACTIONS(2570),
    [anon_sym_inout] = ACTIONS(2570),
    [anon_sym_virtual] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym__Nonnull] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym__Alignas] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [anon_sym___asm] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
    [anon_sym_discard] = ACTIONS(2570),
    [anon_sym_precise] = ACTIONS(2570),
    [anon_sym_shared] = ACTIONS(2570),
    [anon_sym_groupshared] = ACTIONS(2570),
    [anon_sym_uniform] = ACTIONS(2570),
    [anon_sym_row_major] = ACTIONS(2570),
    [anon_sym_column_major] = ACTIONS(2570),
    [anon_sym_globallycoherent] = ACTIONS(2570),
    [anon_sym_centroid] = ACTIONS(2570),
    [anon_sym_noperspective] = ACTIONS(2570),
    [anon_sym_nointerpolation] = ACTIONS(2570),
    [anon_sym_sample] = ACTIONS(2570),
    [anon_sym_linear] = ACTIONS(2570),
    [anon_sym_snorm] = ACTIONS(2570),
    [anon_sym_unorm] = ACTIONS(2570),
    [anon_sym_point] = ACTIONS(2570),
    [anon_sym_line] = ACTIONS(2570),
    [anon_sym_triangleadj] = ACTIONS(2570),
    [anon_sym_lineadj] = ACTIONS(2570),
    [anon_sym_triangle] = ACTIONS(2570),
    [anon_sym_cbuffer] = ACTIONS(2570),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_preproc_include_token1] = ACTIONS(2574),
    [aux_sym_preproc_def_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token2] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2574),
    [sym_preproc_directive] = ACTIONS(2574),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym___extension__] = ACTIONS(2574),
    [anon_sym_typedef] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2574),
    [anon_sym_out] = ACTIONS(2574),
    [anon_sym_inout] = ACTIONS(2574),
    [anon_sym_virtual] = ACTIONS(2574),
    [anon_sym_extern] = ACTIONS(2574),
    [anon_sym___attribute__] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2576),
    [anon_sym___declspec] = ACTIONS(2574),
    [anon_sym___based] = ACTIONS(2574),
    [anon_sym___cdecl] = ACTIONS(2574),
    [anon_sym___clrcall] = ACTIONS(2574),
    [anon_sym___stdcall] = ACTIONS(2574),
    [anon_sym___fastcall] = ACTIONS(2574),
    [anon_sym___thiscall] = ACTIONS(2574),
    [anon_sym___vectorcall] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2574),
    [anon_sym_unsigned] = ACTIONS(2574),
    [anon_sym_long] = ACTIONS(2574),
    [anon_sym_short] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_register] = ACTIONS(2574),
    [anon_sym_inline] = ACTIONS(2574),
    [anon_sym___inline] = ACTIONS(2574),
    [anon_sym___inline__] = ACTIONS(2574),
    [anon_sym___forceinline] = ACTIONS(2574),
    [anon_sym_thread_local] = ACTIONS(2574),
    [anon_sym___thread] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_constexpr] = ACTIONS(2574),
    [anon_sym_volatile] = ACTIONS(2574),
    [anon_sym_restrict] = ACTIONS(2574),
    [anon_sym___restrict__] = ACTIONS(2574),
    [anon_sym__Atomic] = ACTIONS(2574),
    [anon_sym__Noreturn] = ACTIONS(2574),
    [anon_sym_noreturn] = ACTIONS(2574),
    [anon_sym__Nonnull] = ACTIONS(2574),
    [anon_sym_mutable] = ACTIONS(2574),
    [anon_sym_constinit] = ACTIONS(2574),
    [anon_sym_consteval] = ACTIONS(2574),
    [anon_sym_alignas] = ACTIONS(2574),
    [anon_sym__Alignas] = ACTIONS(2574),
    [sym_primitive_type] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_struct] = ACTIONS(2574),
    [anon_sym_union] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_default] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_goto] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2574),
    [anon_sym___leave] = ACTIONS(2574),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_compl] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2576),
    [anon_sym_sizeof] = ACTIONS(2574),
    [anon_sym___alignof__] = ACTIONS(2574),
    [anon_sym___alignof] = ACTIONS(2574),
    [anon_sym__alignof] = ACTIONS(2574),
    [anon_sym_alignof] = ACTIONS(2574),
    [anon_sym__Alignof] = ACTIONS(2574),
    [anon_sym_offsetof] = ACTIONS(2574),
    [anon_sym__Generic] = ACTIONS(2574),
    [anon_sym_asm] = ACTIONS(2574),
    [anon_sym___asm__] = ACTIONS(2574),
    [anon_sym___asm] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2576),
    [anon_sym_L_SQUOTE] = ACTIONS(2576),
    [anon_sym_u_SQUOTE] = ACTIONS(2576),
    [anon_sym_U_SQUOTE] = ACTIONS(2576),
    [anon_sym_u8_SQUOTE] = ACTIONS(2576),
    [anon_sym_SQUOTE] = ACTIONS(2576),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [anon_sym_NULL] = ACTIONS(2574),
    [anon_sym_nullptr] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2574),
    [anon_sym_decltype] = ACTIONS(2574),
    [anon_sym_explicit] = ACTIONS(2574),
    [anon_sym_typename] = ACTIONS(2574),
    [anon_sym_template] = ACTIONS(2574),
    [anon_sym_operator] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_namespace] = ACTIONS(2574),
    [anon_sym_using] = ACTIONS(2574),
    [anon_sym_static_assert] = ACTIONS(2574),
    [anon_sym_concept] = ACTIONS(2574),
    [anon_sym_co_return] = ACTIONS(2574),
    [anon_sym_co_yield] = ACTIONS(2574),
    [anon_sym_R_DQUOTE] = ACTIONS(2576),
    [anon_sym_LR_DQUOTE] = ACTIONS(2576),
    [anon_sym_uR_DQUOTE] = ACTIONS(2576),
    [anon_sym_UR_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2576),
    [anon_sym_co_await] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_requires] = ACTIONS(2574),
    [sym_this] = ACTIONS(2574),
    [anon_sym_discard] = ACTIONS(2574),
    [anon_sym_precise] = ACTIONS(2574),
    [anon_sym_shared] = ACTIONS(2574),
    [anon_sym_groupshared] = ACTIONS(2574),
    [anon_sym_uniform] = ACTIONS(2574),
    [anon_sym_row_major] = ACTIONS(2574),
    [anon_sym_column_major] = ACTIONS(2574),
    [anon_sym_globallycoherent] = ACTIONS(2574),
    [anon_sym_centroid] = ACTIONS(2574),
    [anon_sym_noperspective] = ACTIONS(2574),
    [anon_sym_nointerpolation] = ACTIONS(2574),
    [anon_sym_sample] = ACTIONS(2574),
    [anon_sym_linear] = ACTIONS(2574),
    [anon_sym_snorm] = ACTIONS(2574),
    [anon_sym_unorm] = ACTIONS(2574),
    [anon_sym_point] = ACTIONS(2574),
    [anon_sym_line] = ACTIONS(2574),
    [anon_sym_triangleadj] = ACTIONS(2574),
    [anon_sym_lineadj] = ACTIONS(2574),
    [anon_sym_triangle] = ACTIONS(2574),
    [anon_sym_cbuffer] = ACTIONS(2574),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_include_token1] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token2] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_out] = ACTIONS(2586),
    [anon_sym_inout] = ACTIONS(2586),
    [anon_sym_virtual] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym___cdecl] = ACTIONS(2586),
    [anon_sym___clrcall] = ACTIONS(2586),
    [anon_sym___stdcall] = ACTIONS(2586),
    [anon_sym___fastcall] = ACTIONS(2586),
    [anon_sym___thiscall] = ACTIONS(2586),
    [anon_sym___vectorcall] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym__Nonnull] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym__Alignas] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_switch] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_default] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_continue] = ACTIONS(2586),
    [anon_sym_goto] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2586),
    [anon_sym___leave] = ACTIONS(2586),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_compl] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_sizeof] = ACTIONS(2586),
    [anon_sym___alignof__] = ACTIONS(2586),
    [anon_sym___alignof] = ACTIONS(2586),
    [anon_sym__alignof] = ACTIONS(2586),
    [anon_sym_alignof] = ACTIONS(2586),
    [anon_sym__Alignof] = ACTIONS(2586),
    [anon_sym_offsetof] = ACTIONS(2586),
    [anon_sym__Generic] = ACTIONS(2586),
    [anon_sym_asm] = ACTIONS(2586),
    [anon_sym___asm__] = ACTIONS(2586),
    [anon_sym___asm] = ACTIONS(2586),
    [sym_number_literal] = ACTIONS(2588),
    [anon_sym_L_SQUOTE] = ACTIONS(2588),
    [anon_sym_u_SQUOTE] = ACTIONS(2588),
    [anon_sym_U_SQUOTE] = ACTIONS(2588),
    [anon_sym_u8_SQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_L_DQUOTE] = ACTIONS(2588),
    [anon_sym_u_DQUOTE] = ACTIONS(2588),
    [anon_sym_U_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8_DQUOTE] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [anon_sym_NULL] = ACTIONS(2586),
    [anon_sym_nullptr] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_concept] = ACTIONS(2586),
    [anon_sym_co_return] = ACTIONS(2586),
    [anon_sym_co_yield] = ACTIONS(2586),
    [anon_sym_R_DQUOTE] = ACTIONS(2588),
    [anon_sym_LR_DQUOTE] = ACTIONS(2588),
    [anon_sym_uR_DQUOTE] = ACTIONS(2588),
    [anon_sym_UR_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2588),
    [anon_sym_co_await] = ACTIONS(2586),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_requires] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
    [anon_sym_discard] = ACTIONS(2586),
    [anon_sym_precise] = ACTIONS(2586),
    [anon_sym_shared] = ACTIONS(2586),
    [anon_sym_groupshared] = ACTIONS(2586),
    [anon_sym_uniform] = ACTIONS(2586),
    [anon_sym_row_major] = ACTIONS(2586),
    [anon_sym_column_major] = ACTIONS(2586),
    [anon_sym_globallycoherent] = ACTIONS(2586),
    [anon_sym_centroid] = ACTIONS(2586),
    [anon_sym_noperspective] = ACTIONS(2586),
    [anon_sym_nointerpolation] = ACTIONS(2586),
    [anon_sym_sample] = ACTIONS(2586),
    [anon_sym_linear] = ACTIONS(2586),
    [anon_sym_snorm] = ACTIONS(2586),
    [anon_sym_unorm] = ACTIONS(2586),
    [anon_sym_point] = ACTIONS(2586),
    [anon_sym_line] = ACTIONS(2586),
    [anon_sym_triangleadj] = ACTIONS(2586),
    [anon_sym_lineadj] = ACTIONS(2586),
    [anon_sym_triangle] = ACTIONS(2586),
    [anon_sym_cbuffer] = ACTIONS(2586),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [598] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_out] = ACTIONS(2622),
    [anon_sym_inout] = ACTIONS(2622),
    [anon_sym_virtual] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym___leave] = ACTIONS(2622),
    [anon_sym_not] = ACTIONS(2622),
    [anon_sym_compl] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_try] = ACTIONS(2622),
    [anon_sym_delete] = ACTIONS(2622),
    [anon_sym_throw] = ACTIONS(2622),
    [anon_sym_namespace] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_concept] = ACTIONS(2622),
    [anon_sym_co_return] = ACTIONS(2622),
    [anon_sym_co_yield] = ACTIONS(2622),
    [anon_sym_R_DQUOTE] = ACTIONS(2624),
    [anon_sym_LR_DQUOTE] = ACTIONS(2624),
    [anon_sym_uR_DQUOTE] = ACTIONS(2624),
    [anon_sym_UR_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2624),
    [anon_sym_co_await] = ACTIONS(2622),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_requires] = ACTIONS(2622),
    [sym_this] = ACTIONS(2622),
    [anon_sym_discard] = ACTIONS(2622),
    [anon_sym_precise] = ACTIONS(2622),
    [anon_sym_shared] = ACTIONS(2622),
    [anon_sym_groupshared] = ACTIONS(2622),
    [anon_sym_uniform] = ACTIONS(2622),
    [anon_sym_row_major] = ACTIONS(2622),
    [anon_sym_column_major] = ACTIONS(2622),
    [anon_sym_globallycoherent] = ACTIONS(2622),
    [anon_sym_centroid] = ACTIONS(2622),
    [anon_sym_noperspective] = ACTIONS(2622),
    [anon_sym_nointerpolation] = ACTIONS(2622),
    [anon_sym_sample] = ACTIONS(2622),
    [anon_sym_linear] = ACTIONS(2622),
    [anon_sym_snorm] = ACTIONS(2622),
    [anon_sym_unorm] = ACTIONS(2622),
    [anon_sym_point] = ACTIONS(2622),
    [anon_sym_line] = ACTIONS(2622),
    [anon_sym_triangleadj] = ACTIONS(2622),
    [anon_sym_lineadj] = ACTIONS(2622),
    [anon_sym_triangle] = ACTIONS(2622),
    [anon_sym_cbuffer] = ACTIONS(2622),
  },
  [599] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [600] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [601] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [anon_sym___asm] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
    [anon_sym_discard] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
    [anon_sym_cbuffer] = ACTIONS(2594),
  },
  [602] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [anon_sym___asm] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
    [anon_sym_discard] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
    [anon_sym_cbuffer] = ACTIONS(2594),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2602),
    [aux_sym_preproc_include_token1] = ACTIONS(2602),
    [aux_sym_preproc_def_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token2] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2602),
    [sym_preproc_directive] = ACTIONS(2602),
    [anon_sym_LPAREN2] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2602),
    [anon_sym_typedef] = ACTIONS(2602),
    [anon_sym_in] = ACTIONS(2602),
    [anon_sym_out] = ACTIONS(2602),
    [anon_sym_inout] = ACTIONS(2602),
    [anon_sym_virtual] = ACTIONS(2602),
    [anon_sym_extern] = ACTIONS(2602),
    [anon_sym___attribute__] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2604),
    [anon_sym___declspec] = ACTIONS(2602),
    [anon_sym___based] = ACTIONS(2602),
    [anon_sym___cdecl] = ACTIONS(2602),
    [anon_sym___clrcall] = ACTIONS(2602),
    [anon_sym___stdcall] = ACTIONS(2602),
    [anon_sym___fastcall] = ACTIONS(2602),
    [anon_sym___thiscall] = ACTIONS(2602),
    [anon_sym___vectorcall] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_register] = ACTIONS(2602),
    [anon_sym_inline] = ACTIONS(2602),
    [anon_sym___inline] = ACTIONS(2602),
    [anon_sym___inline__] = ACTIONS(2602),
    [anon_sym___forceinline] = ACTIONS(2602),
    [anon_sym_thread_local] = ACTIONS(2602),
    [anon_sym___thread] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_constexpr] = ACTIONS(2602),
    [anon_sym_volatile] = ACTIONS(2602),
    [anon_sym_restrict] = ACTIONS(2602),
    [anon_sym___restrict__] = ACTIONS(2602),
    [anon_sym__Atomic] = ACTIONS(2602),
    [anon_sym__Noreturn] = ACTIONS(2602),
    [anon_sym_noreturn] = ACTIONS(2602),
    [anon_sym__Nonnull] = ACTIONS(2602),
    [anon_sym_mutable] = ACTIONS(2602),
    [anon_sym_constinit] = ACTIONS(2602),
    [anon_sym_consteval] = ACTIONS(2602),
    [anon_sym_alignas] = ACTIONS(2602),
    [anon_sym__Alignas] = ACTIONS(2602),
    [sym_primitive_type] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_struct] = ACTIONS(2602),
    [anon_sym_union] = ACTIONS(2602),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_case] = ACTIONS(2602),
    [anon_sym_default] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_goto] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2602),
    [anon_sym___leave] = ACTIONS(2602),
    [anon_sym_not] = ACTIONS(2602),
    [anon_sym_compl] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_sizeof] = ACTIONS(2602),
    [anon_sym___alignof__] = ACTIONS(2602),
    [anon_sym___alignof] = ACTIONS(2602),
    [anon_sym__alignof] = ACTIONS(2602),
    [anon_sym_alignof] = ACTIONS(2602),
    [anon_sym__Alignof] = ACTIONS(2602),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2602),
    [anon_sym_asm] = ACTIONS(2602),
    [anon_sym___asm__] = ACTIONS(2602),
    [anon_sym___asm] = ACTIONS(2602),
    [sym_number_literal] = ACTIONS(2604),
    [anon_sym_L_SQUOTE] = ACTIONS(2604),
    [anon_sym_u_SQUOTE] = ACTIONS(2604),
    [anon_sym_U_SQUOTE] = ACTIONS(2604),
    [anon_sym_u8_SQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_L_DQUOTE] = ACTIONS(2604),
    [anon_sym_u_DQUOTE] = ACTIONS(2604),
    [anon_sym_U_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8_DQUOTE] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [anon_sym_NULL] = ACTIONS(2602),
    [anon_sym_nullptr] = ACTIONS(2602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2602),
    [anon_sym_decltype] = ACTIONS(2602),
    [anon_sym_explicit] = ACTIONS(2602),
    [anon_sym_typename] = ACTIONS(2602),
    [anon_sym_template] = ACTIONS(2602),
    [anon_sym_operator] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_using] = ACTIONS(2602),
    [anon_sym_static_assert] = ACTIONS(2602),
    [anon_sym_concept] = ACTIONS(2602),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2602),
    [anon_sym_R_DQUOTE] = ACTIONS(2604),
    [anon_sym_LR_DQUOTE] = ACTIONS(2604),
    [anon_sym_uR_DQUOTE] = ACTIONS(2604),
    [anon_sym_UR_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2604),
    [anon_sym_co_await] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_requires] = ACTIONS(2602),
    [sym_this] = ACTIONS(2602),
    [anon_sym_discard] = ACTIONS(2602),
    [anon_sym_precise] = ACTIONS(2602),
    [anon_sym_shared] = ACTIONS(2602),
    [anon_sym_groupshared] = ACTIONS(2602),
    [anon_sym_uniform] = ACTIONS(2602),
    [anon_sym_row_major] = ACTIONS(2602),
    [anon_sym_column_major] = ACTIONS(2602),
    [anon_sym_globallycoherent] = ACTIONS(2602),
    [anon_sym_centroid] = ACTIONS(2602),
    [anon_sym_noperspective] = ACTIONS(2602),
    [anon_sym_nointerpolation] = ACTIONS(2602),
    [anon_sym_sample] = ACTIONS(2602),
    [anon_sym_linear] = ACTIONS(2602),
    [anon_sym_snorm] = ACTIONS(2602),
    [anon_sym_unorm] = ACTIONS(2602),
    [anon_sym_point] = ACTIONS(2602),
    [anon_sym_line] = ACTIONS(2602),
    [anon_sym_triangleadj] = ACTIONS(2602),
    [anon_sym_lineadj] = ACTIONS(2602),
    [anon_sym_triangle] = ACTIONS(2602),
    [anon_sym_cbuffer] = ACTIONS(2602),
  },
  [604] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_in] = ACTIONS(2494),
    [anon_sym_out] = ACTIONS(2494),
    [anon_sym_inout] = ACTIONS(2494),
    [anon_sym_virtual] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_RBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym__Nonnull] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [anon_sym___asm] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
    [anon_sym_discard] = ACTIONS(2494),
    [anon_sym_precise] = ACTIONS(2494),
    [anon_sym_shared] = ACTIONS(2494),
    [anon_sym_groupshared] = ACTIONS(2494),
    [anon_sym_uniform] = ACTIONS(2494),
    [anon_sym_row_major] = ACTIONS(2494),
    [anon_sym_column_major] = ACTIONS(2494),
    [anon_sym_globallycoherent] = ACTIONS(2494),
    [anon_sym_centroid] = ACTIONS(2494),
    [anon_sym_noperspective] = ACTIONS(2494),
    [anon_sym_nointerpolation] = ACTIONS(2494),
    [anon_sym_sample] = ACTIONS(2494),
    [anon_sym_linear] = ACTIONS(2494),
    [anon_sym_snorm] = ACTIONS(2494),
    [anon_sym_unorm] = ACTIONS(2494),
    [anon_sym_point] = ACTIONS(2494),
    [anon_sym_line] = ACTIONS(2494),
    [anon_sym_triangleadj] = ACTIONS(2494),
    [anon_sym_lineadj] = ACTIONS(2494),
    [anon_sym_triangle] = ACTIONS(2494),
    [anon_sym_cbuffer] = ACTIONS(2494),
  },
  [605] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [anon_sym___asm] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
    [anon_sym_discard] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
    [anon_sym_cbuffer] = ACTIONS(2610),
  },
  [606] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [anon_sym___asm] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
    [anon_sym_discard] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
    [anon_sym_cbuffer] = ACTIONS(2610),
  },
  [607] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_discard] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
    [anon_sym_cbuffer] = ACTIONS(2590),
  },
  [609] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_out] = ACTIONS(2654),
    [anon_sym_inout] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
    [anon_sym_discard] = ACTIONS(2654),
    [anon_sym_precise] = ACTIONS(2654),
    [anon_sym_shared] = ACTIONS(2654),
    [anon_sym_groupshared] = ACTIONS(2654),
    [anon_sym_uniform] = ACTIONS(2654),
    [anon_sym_row_major] = ACTIONS(2654),
    [anon_sym_column_major] = ACTIONS(2654),
    [anon_sym_globallycoherent] = ACTIONS(2654),
    [anon_sym_centroid] = ACTIONS(2654),
    [anon_sym_noperspective] = ACTIONS(2654),
    [anon_sym_nointerpolation] = ACTIONS(2654),
    [anon_sym_sample] = ACTIONS(2654),
    [anon_sym_linear] = ACTIONS(2654),
    [anon_sym_snorm] = ACTIONS(2654),
    [anon_sym_unorm] = ACTIONS(2654),
    [anon_sym_point] = ACTIONS(2654),
    [anon_sym_line] = ACTIONS(2654),
    [anon_sym_triangleadj] = ACTIONS(2654),
    [anon_sym_lineadj] = ACTIONS(2654),
    [anon_sym_triangle] = ACTIONS(2654),
    [anon_sym_cbuffer] = ACTIONS(2654),
  },
  [610] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_include_token1] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token2] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym___cdecl] = ACTIONS(2376),
    [anon_sym___clrcall] = ACTIONS(2376),
    [anon_sym___stdcall] = ACTIONS(2376),
    [anon_sym___fastcall] = ACTIONS(2376),
    [anon_sym___thiscall] = ACTIONS(2376),
    [anon_sym___vectorcall] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym__Nonnull] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym__Alignas] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_goto] = ACTIONS(2376),
    [anon_sym___try] = ACTIONS(2376),
    [anon_sym___leave] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(2376),
    [anon_sym_compl] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_sizeof] = ACTIONS(2376),
    [anon_sym___alignof__] = ACTIONS(2376),
    [anon_sym___alignof] = ACTIONS(2376),
    [anon_sym__alignof] = ACTIONS(2376),
    [anon_sym_alignof] = ACTIONS(2376),
    [anon_sym__Alignof] = ACTIONS(2376),
    [anon_sym_offsetof] = ACTIONS(2376),
    [anon_sym__Generic] = ACTIONS(2376),
    [anon_sym_asm] = ACTIONS(2376),
    [anon_sym___asm__] = ACTIONS(2376),
    [anon_sym___asm] = ACTIONS(2376),
    [sym_number_literal] = ACTIONS(2378),
    [anon_sym_L_SQUOTE] = ACTIONS(2378),
    [anon_sym_u_SQUOTE] = ACTIONS(2378),
    [anon_sym_U_SQUOTE] = ACTIONS(2378),
    [anon_sym_u8_SQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [anon_sym_NULL] = ACTIONS(2376),
    [anon_sym_nullptr] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_concept] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2376),
    [anon_sym_co_yield] = ACTIONS(2376),
    [anon_sym_R_DQUOTE] = ACTIONS(2378),
    [anon_sym_LR_DQUOTE] = ACTIONS(2378),
    [anon_sym_uR_DQUOTE] = ACTIONS(2378),
    [anon_sym_UR_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2378),
    [anon_sym_co_await] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_requires] = ACTIONS(2376),
    [sym_this] = ACTIONS(2376),
    [anon_sym_discard] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
    [anon_sym_cbuffer] = ACTIONS(2376),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_include_token1] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token2] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym___cdecl] = ACTIONS(2380),
    [anon_sym___clrcall] = ACTIONS(2380),
    [anon_sym___stdcall] = ACTIONS(2380),
    [anon_sym___fastcall] = ACTIONS(2380),
    [anon_sym___thiscall] = ACTIONS(2380),
    [anon_sym___vectorcall] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym__Nonnull] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym__Alignas] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym_default] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym___try] = ACTIONS(2380),
    [anon_sym___leave] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_compl] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_sizeof] = ACTIONS(2380),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2380),
    [anon_sym__Generic] = ACTIONS(2380),
    [anon_sym_asm] = ACTIONS(2380),
    [anon_sym___asm__] = ACTIONS(2380),
    [anon_sym___asm] = ACTIONS(2380),
    [sym_number_literal] = ACTIONS(2382),
    [anon_sym_L_SQUOTE] = ACTIONS(2382),
    [anon_sym_u_SQUOTE] = ACTIONS(2382),
    [anon_sym_U_SQUOTE] = ACTIONS(2382),
    [anon_sym_u8_SQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_L_DQUOTE] = ACTIONS(2382),
    [anon_sym_u_DQUOTE] = ACTIONS(2382),
    [anon_sym_U_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [anon_sym_NULL] = ACTIONS(2380),
    [anon_sym_nullptr] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_namespace] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_concept] = ACTIONS(2380),
    [anon_sym_co_return] = ACTIONS(2380),
    [anon_sym_co_yield] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_requires] = ACTIONS(2380),
    [sym_this] = ACTIONS(2380),
    [anon_sym_discard] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
    [anon_sym_cbuffer] = ACTIONS(2380),
  },
  [613] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_include_token1] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym___cdecl] = ACTIONS(2388),
    [anon_sym___clrcall] = ACTIONS(2388),
    [anon_sym___stdcall] = ACTIONS(2388),
    [anon_sym___fastcall] = ACTIONS(2388),
    [anon_sym___thiscall] = ACTIONS(2388),
    [anon_sym___vectorcall] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym__Nonnull] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym__Alignas] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [anon_sym_if] = ACTIONS(2388),
    [anon_sym_switch] = ACTIONS(2388),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym_default] = ACTIONS(2388),
    [anon_sym_while] = ACTIONS(2388),
    [anon_sym_do] = ACTIONS(2388),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2388),
    [anon_sym_break] = ACTIONS(2388),
    [anon_sym_continue] = ACTIONS(2388),
    [anon_sym_goto] = ACTIONS(2388),
    [anon_sym___try] = ACTIONS(2388),
    [anon_sym___leave] = ACTIONS(2388),
    [anon_sym_not] = ACTIONS(2388),
    [anon_sym_compl] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_sizeof] = ACTIONS(2388),
    [anon_sym___alignof__] = ACTIONS(2388),
    [anon_sym___alignof] = ACTIONS(2388),
    [anon_sym__alignof] = ACTIONS(2388),
    [anon_sym_alignof] = ACTIONS(2388),
    [anon_sym__Alignof] = ACTIONS(2388),
    [anon_sym_offsetof] = ACTIONS(2388),
    [anon_sym__Generic] = ACTIONS(2388),
    [anon_sym_asm] = ACTIONS(2388),
    [anon_sym___asm__] = ACTIONS(2388),
    [anon_sym___asm] = ACTIONS(2388),
    [sym_number_literal] = ACTIONS(2390),
    [anon_sym_L_SQUOTE] = ACTIONS(2390),
    [anon_sym_u_SQUOTE] = ACTIONS(2390),
    [anon_sym_U_SQUOTE] = ACTIONS(2390),
    [anon_sym_u8_SQUOTE] = ACTIONS(2390),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_L_DQUOTE] = ACTIONS(2390),
    [anon_sym_u_DQUOTE] = ACTIONS(2390),
    [anon_sym_U_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8_DQUOTE] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2390),
    [sym_true] = ACTIONS(2388),
    [sym_false] = ACTIONS(2388),
    [anon_sym_NULL] = ACTIONS(2388),
    [anon_sym_nullptr] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2388),
    [anon_sym_delete] = ACTIONS(2388),
    [anon_sym_throw] = ACTIONS(2388),
    [anon_sym_namespace] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_concept] = ACTIONS(2388),
    [anon_sym_co_return] = ACTIONS(2388),
    [anon_sym_co_yield] = ACTIONS(2388),
    [anon_sym_R_DQUOTE] = ACTIONS(2390),
    [anon_sym_LR_DQUOTE] = ACTIONS(2390),
    [anon_sym_uR_DQUOTE] = ACTIONS(2390),
    [anon_sym_UR_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2390),
    [anon_sym_co_await] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2388),
    [anon_sym_requires] = ACTIONS(2388),
    [sym_this] = ACTIONS(2388),
    [anon_sym_discard] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
    [anon_sym_cbuffer] = ACTIONS(2388),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_include_token1] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token2] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym___cdecl] = ACTIONS(2392),
    [anon_sym___clrcall] = ACTIONS(2392),
    [anon_sym___stdcall] = ACTIONS(2392),
    [anon_sym___fastcall] = ACTIONS(2392),
    [anon_sym___thiscall] = ACTIONS(2392),
    [anon_sym___vectorcall] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym__Nonnull] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym__Alignas] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_switch] = ACTIONS(2392),
    [anon_sym_case] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_return] = ACTIONS(2392),
    [anon_sym_break] = ACTIONS(2392),
    [anon_sym_continue] = ACTIONS(2392),
    [anon_sym_goto] = ACTIONS(2392),
    [anon_sym___try] = ACTIONS(2392),
    [anon_sym___leave] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_compl] = ACTIONS(2392),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_sizeof] = ACTIONS(2392),
    [anon_sym___alignof__] = ACTIONS(2392),
    [anon_sym___alignof] = ACTIONS(2392),
    [anon_sym__alignof] = ACTIONS(2392),
    [anon_sym_alignof] = ACTIONS(2392),
    [anon_sym__Alignof] = ACTIONS(2392),
    [anon_sym_offsetof] = ACTIONS(2392),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2392),
    [anon_sym___asm__] = ACTIONS(2392),
    [anon_sym___asm] = ACTIONS(2392),
    [sym_number_literal] = ACTIONS(2394),
    [anon_sym_L_SQUOTE] = ACTIONS(2394),
    [anon_sym_u_SQUOTE] = ACTIONS(2394),
    [anon_sym_U_SQUOTE] = ACTIONS(2394),
    [anon_sym_u8_SQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_L_DQUOTE] = ACTIONS(2394),
    [anon_sym_u_DQUOTE] = ACTIONS(2394),
    [anon_sym_U_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8_DQUOTE] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [sym_true] = ACTIONS(2392),
    [sym_false] = ACTIONS(2392),
    [anon_sym_NULL] = ACTIONS(2392),
    [anon_sym_nullptr] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_try] = ACTIONS(2392),
    [anon_sym_delete] = ACTIONS(2392),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_namespace] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_concept] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2392),
    [anon_sym_co_yield] = ACTIONS(2392),
    [anon_sym_R_DQUOTE] = ACTIONS(2394),
    [anon_sym_LR_DQUOTE] = ACTIONS(2394),
    [anon_sym_uR_DQUOTE] = ACTIONS(2394),
    [anon_sym_UR_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2394),
    [anon_sym_co_await] = ACTIONS(2392),
    [anon_sym_new] = ACTIONS(2392),
    [anon_sym_requires] = ACTIONS(2392),
    [sym_this] = ACTIONS(2392),
    [anon_sym_discard] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
    [anon_sym_cbuffer] = ACTIONS(2392),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [anon_sym___asm] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
    [anon_sym_discard] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
    [anon_sym_cbuffer] = ACTIONS(2594),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [anon_sym___asm] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
    [anon_sym_discard] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
    [anon_sym_cbuffer] = ACTIONS(2594),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_include_token1] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_out] = ACTIONS(2598),
    [anon_sym_inout] = ACTIONS(2598),
    [anon_sym_virtual] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym___cdecl] = ACTIONS(2598),
    [anon_sym___clrcall] = ACTIONS(2598),
    [anon_sym___stdcall] = ACTIONS(2598),
    [anon_sym___fastcall] = ACTIONS(2598),
    [anon_sym___thiscall] = ACTIONS(2598),
    [anon_sym___vectorcall] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym__Nonnull] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym__Alignas] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2598),
    [anon_sym_default] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_do] = ACTIONS(2598),
    [anon_sym_for] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_break] = ACTIONS(2598),
    [anon_sym_continue] = ACTIONS(2598),
    [anon_sym_goto] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2598),
    [anon_sym___leave] = ACTIONS(2598),
    [anon_sym_not] = ACTIONS(2598),
    [anon_sym_compl] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2598),
    [anon_sym___alignof] = ACTIONS(2598),
    [anon_sym__alignof] = ACTIONS(2598),
    [anon_sym_alignof] = ACTIONS(2598),
    [anon_sym__Alignof] = ACTIONS(2598),
    [anon_sym_offsetof] = ACTIONS(2598),
    [anon_sym__Generic] = ACTIONS(2598),
    [anon_sym_asm] = ACTIONS(2598),
    [anon_sym___asm__] = ACTIONS(2598),
    [anon_sym___asm] = ACTIONS(2598),
    [sym_number_literal] = ACTIONS(2600),
    [anon_sym_L_SQUOTE] = ACTIONS(2600),
    [anon_sym_u_SQUOTE] = ACTIONS(2600),
    [anon_sym_U_SQUOTE] = ACTIONS(2600),
    [anon_sym_u8_SQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [anon_sym_L_DQUOTE] = ACTIONS(2600),
    [anon_sym_u_DQUOTE] = ACTIONS(2600),
    [anon_sym_U_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8_DQUOTE] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2600),
    [sym_true] = ACTIONS(2598),
    [sym_false] = ACTIONS(2598),
    [anon_sym_NULL] = ACTIONS(2598),
    [anon_sym_nullptr] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_delete] = ACTIONS(2598),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_namespace] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_concept] = ACTIONS(2598),
    [anon_sym_co_return] = ACTIONS(2598),
    [anon_sym_co_yield] = ACTIONS(2598),
    [anon_sym_R_DQUOTE] = ACTIONS(2600),
    [anon_sym_LR_DQUOTE] = ACTIONS(2600),
    [anon_sym_uR_DQUOTE] = ACTIONS(2600),
    [anon_sym_UR_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2600),
    [anon_sym_co_await] = ACTIONS(2598),
    [anon_sym_new] = ACTIONS(2598),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2598),
    [anon_sym_discard] = ACTIONS(2598),
    [anon_sym_precise] = ACTIONS(2598),
    [anon_sym_shared] = ACTIONS(2598),
    [anon_sym_groupshared] = ACTIONS(2598),
    [anon_sym_uniform] = ACTIONS(2598),
    [anon_sym_row_major] = ACTIONS(2598),
    [anon_sym_column_major] = ACTIONS(2598),
    [anon_sym_globallycoherent] = ACTIONS(2598),
    [anon_sym_centroid] = ACTIONS(2598),
    [anon_sym_noperspective] = ACTIONS(2598),
    [anon_sym_nointerpolation] = ACTIONS(2598),
    [anon_sym_sample] = ACTIONS(2598),
    [anon_sym_linear] = ACTIONS(2598),
    [anon_sym_snorm] = ACTIONS(2598),
    [anon_sym_unorm] = ACTIONS(2598),
    [anon_sym_point] = ACTIONS(2598),
    [anon_sym_line] = ACTIONS(2598),
    [anon_sym_triangleadj] = ACTIONS(2598),
    [anon_sym_lineadj] = ACTIONS(2598),
    [anon_sym_triangle] = ACTIONS(2598),
    [anon_sym_cbuffer] = ACTIONS(2598),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_include_token1] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token2] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym___cdecl] = ACTIONS(2400),
    [anon_sym___clrcall] = ACTIONS(2400),
    [anon_sym___stdcall] = ACTIONS(2400),
    [anon_sym___fastcall] = ACTIONS(2400),
    [anon_sym___thiscall] = ACTIONS(2400),
    [anon_sym___vectorcall] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym__Nonnull] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym__Alignas] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2400),
    [anon_sym_switch] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2400),
    [anon_sym_default] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2400),
    [anon_sym_do] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2400),
    [anon_sym_return] = ACTIONS(2400),
    [anon_sym_break] = ACTIONS(2400),
    [anon_sym_continue] = ACTIONS(2400),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym___try] = ACTIONS(2400),
    [anon_sym___leave] = ACTIONS(2400),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_compl] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_sizeof] = ACTIONS(2400),
    [anon_sym___alignof__] = ACTIONS(2400),
    [anon_sym___alignof] = ACTIONS(2400),
    [anon_sym__alignof] = ACTIONS(2400),
    [anon_sym_alignof] = ACTIONS(2400),
    [anon_sym__Alignof] = ACTIONS(2400),
    [anon_sym_offsetof] = ACTIONS(2400),
    [anon_sym__Generic] = ACTIONS(2400),
    [anon_sym_asm] = ACTIONS(2400),
    [anon_sym___asm__] = ACTIONS(2400),
    [anon_sym___asm] = ACTIONS(2400),
    [sym_number_literal] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2402),
    [anon_sym_u_SQUOTE] = ACTIONS(2402),
    [anon_sym_U_SQUOTE] = ACTIONS(2402),
    [anon_sym_u8_SQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_L_DQUOTE] = ACTIONS(2402),
    [anon_sym_u_DQUOTE] = ACTIONS(2402),
    [anon_sym_U_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8_DQUOTE] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [sym_true] = ACTIONS(2400),
    [sym_false] = ACTIONS(2400),
    [anon_sym_NULL] = ACTIONS(2400),
    [anon_sym_nullptr] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_try] = ACTIONS(2400),
    [anon_sym_delete] = ACTIONS(2400),
    [anon_sym_throw] = ACTIONS(2400),
    [anon_sym_namespace] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_concept] = ACTIONS(2400),
    [anon_sym_co_return] = ACTIONS(2400),
    [anon_sym_co_yield] = ACTIONS(2400),
    [anon_sym_R_DQUOTE] = ACTIONS(2402),
    [anon_sym_LR_DQUOTE] = ACTIONS(2402),
    [anon_sym_uR_DQUOTE] = ACTIONS(2402),
    [anon_sym_UR_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2402),
    [anon_sym_co_await] = ACTIONS(2400),
    [anon_sym_new] = ACTIONS(2400),
    [anon_sym_requires] = ACTIONS(2400),
    [sym_this] = ACTIONS(2400),
    [anon_sym_discard] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
    [anon_sym_cbuffer] = ACTIONS(2400),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym___leave] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2408),
    [anon_sym_compl] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_concept] = ACTIONS(2408),
    [anon_sym_co_return] = ACTIONS(2408),
    [anon_sym_co_yield] = ACTIONS(2408),
    [anon_sym_R_DQUOTE] = ACTIONS(2410),
    [anon_sym_LR_DQUOTE] = ACTIONS(2410),
    [anon_sym_uR_DQUOTE] = ACTIONS(2410),
    [anon_sym_UR_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2410),
    [anon_sym_co_await] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_requires] = ACTIONS(2408),
    [sym_this] = ACTIONS(2408),
    [anon_sym_discard] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
    [anon_sym_cbuffer] = ACTIONS(2408),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2602),
    [aux_sym_preproc_include_token1] = ACTIONS(2602),
    [aux_sym_preproc_def_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2602),
    [sym_preproc_directive] = ACTIONS(2602),
    [anon_sym_LPAREN2] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2602),
    [anon_sym_typedef] = ACTIONS(2602),
    [anon_sym_in] = ACTIONS(2602),
    [anon_sym_out] = ACTIONS(2602),
    [anon_sym_inout] = ACTIONS(2602),
    [anon_sym_virtual] = ACTIONS(2602),
    [anon_sym_extern] = ACTIONS(2602),
    [anon_sym___attribute__] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2604),
    [anon_sym___declspec] = ACTIONS(2602),
    [anon_sym___based] = ACTIONS(2602),
    [anon_sym___cdecl] = ACTIONS(2602),
    [anon_sym___clrcall] = ACTIONS(2602),
    [anon_sym___stdcall] = ACTIONS(2602),
    [anon_sym___fastcall] = ACTIONS(2602),
    [anon_sym___thiscall] = ACTIONS(2602),
    [anon_sym___vectorcall] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_register] = ACTIONS(2602),
    [anon_sym_inline] = ACTIONS(2602),
    [anon_sym___inline] = ACTIONS(2602),
    [anon_sym___inline__] = ACTIONS(2602),
    [anon_sym___forceinline] = ACTIONS(2602),
    [anon_sym_thread_local] = ACTIONS(2602),
    [anon_sym___thread] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_constexpr] = ACTIONS(2602),
    [anon_sym_volatile] = ACTIONS(2602),
    [anon_sym_restrict] = ACTIONS(2602),
    [anon_sym___restrict__] = ACTIONS(2602),
    [anon_sym__Atomic] = ACTIONS(2602),
    [anon_sym__Noreturn] = ACTIONS(2602),
    [anon_sym_noreturn] = ACTIONS(2602),
    [anon_sym__Nonnull] = ACTIONS(2602),
    [anon_sym_mutable] = ACTIONS(2602),
    [anon_sym_constinit] = ACTIONS(2602),
    [anon_sym_consteval] = ACTIONS(2602),
    [anon_sym_alignas] = ACTIONS(2602),
    [anon_sym__Alignas] = ACTIONS(2602),
    [sym_primitive_type] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_struct] = ACTIONS(2602),
    [anon_sym_union] = ACTIONS(2602),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_case] = ACTIONS(2602),
    [anon_sym_default] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_goto] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2602),
    [anon_sym___leave] = ACTIONS(2602),
    [anon_sym_not] = ACTIONS(2602),
    [anon_sym_compl] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_sizeof] = ACTIONS(2602),
    [anon_sym___alignof__] = ACTIONS(2602),
    [anon_sym___alignof] = ACTIONS(2602),
    [anon_sym__alignof] = ACTIONS(2602),
    [anon_sym_alignof] = ACTIONS(2602),
    [anon_sym__Alignof] = ACTIONS(2602),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2602),
    [anon_sym_asm] = ACTIONS(2602),
    [anon_sym___asm__] = ACTIONS(2602),
    [anon_sym___asm] = ACTIONS(2602),
    [sym_number_literal] = ACTIONS(2604),
    [anon_sym_L_SQUOTE] = ACTIONS(2604),
    [anon_sym_u_SQUOTE] = ACTIONS(2604),
    [anon_sym_U_SQUOTE] = ACTIONS(2604),
    [anon_sym_u8_SQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_L_DQUOTE] = ACTIONS(2604),
    [anon_sym_u_DQUOTE] = ACTIONS(2604),
    [anon_sym_U_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8_DQUOTE] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [anon_sym_NULL] = ACTIONS(2602),
    [anon_sym_nullptr] = ACTIONS(2602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2602),
    [anon_sym_decltype] = ACTIONS(2602),
    [anon_sym_explicit] = ACTIONS(2602),
    [anon_sym_typename] = ACTIONS(2602),
    [anon_sym_template] = ACTIONS(2602),
    [anon_sym_operator] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_using] = ACTIONS(2602),
    [anon_sym_static_assert] = ACTIONS(2602),
    [anon_sym_concept] = ACTIONS(2602),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2602),
    [anon_sym_R_DQUOTE] = ACTIONS(2604),
    [anon_sym_LR_DQUOTE] = ACTIONS(2604),
    [anon_sym_uR_DQUOTE] = ACTIONS(2604),
    [anon_sym_UR_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2604),
    [anon_sym_co_await] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_requires] = ACTIONS(2602),
    [sym_this] = ACTIONS(2602),
    [anon_sym_discard] = ACTIONS(2602),
    [anon_sym_precise] = ACTIONS(2602),
    [anon_sym_shared] = ACTIONS(2602),
    [anon_sym_groupshared] = ACTIONS(2602),
    [anon_sym_uniform] = ACTIONS(2602),
    [anon_sym_row_major] = ACTIONS(2602),
    [anon_sym_column_major] = ACTIONS(2602),
    [anon_sym_globallycoherent] = ACTIONS(2602),
    [anon_sym_centroid] = ACTIONS(2602),
    [anon_sym_noperspective] = ACTIONS(2602),
    [anon_sym_nointerpolation] = ACTIONS(2602),
    [anon_sym_sample] = ACTIONS(2602),
    [anon_sym_linear] = ACTIONS(2602),
    [anon_sym_snorm] = ACTIONS(2602),
    [anon_sym_unorm] = ACTIONS(2602),
    [anon_sym_point] = ACTIONS(2602),
    [anon_sym_line] = ACTIONS(2602),
    [anon_sym_triangleadj] = ACTIONS(2602),
    [anon_sym_lineadj] = ACTIONS(2602),
    [anon_sym_triangle] = ACTIONS(2602),
    [anon_sym_cbuffer] = ACTIONS(2602),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_in] = ACTIONS(2498),
    [anon_sym_out] = ACTIONS(2498),
    [anon_sym_inout] = ACTIONS(2498),
    [anon_sym_virtual] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_RBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym__Nonnull] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [anon_sym___asm] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
    [anon_sym_discard] = ACTIONS(2498),
    [anon_sym_precise] = ACTIONS(2498),
    [anon_sym_shared] = ACTIONS(2498),
    [anon_sym_groupshared] = ACTIONS(2498),
    [anon_sym_uniform] = ACTIONS(2498),
    [anon_sym_row_major] = ACTIONS(2498),
    [anon_sym_column_major] = ACTIONS(2498),
    [anon_sym_globallycoherent] = ACTIONS(2498),
    [anon_sym_centroid] = ACTIONS(2498),
    [anon_sym_noperspective] = ACTIONS(2498),
    [anon_sym_nointerpolation] = ACTIONS(2498),
    [anon_sym_sample] = ACTIONS(2498),
    [anon_sym_linear] = ACTIONS(2498),
    [anon_sym_snorm] = ACTIONS(2498),
    [anon_sym_unorm] = ACTIONS(2498),
    [anon_sym_point] = ACTIONS(2498),
    [anon_sym_line] = ACTIONS(2498),
    [anon_sym_triangleadj] = ACTIONS(2498),
    [anon_sym_lineadj] = ACTIONS(2498),
    [anon_sym_triangle] = ACTIONS(2498),
    [anon_sym_cbuffer] = ACTIONS(2498),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2424),
    [anon_sym_compl] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_delete] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_concept] = ACTIONS(2424),
    [anon_sym_co_return] = ACTIONS(2424),
    [anon_sym_co_yield] = ACTIONS(2424),
    [anon_sym_R_DQUOTE] = ACTIONS(2426),
    [anon_sym_LR_DQUOTE] = ACTIONS(2426),
    [anon_sym_uR_DQUOTE] = ACTIONS(2426),
    [anon_sym_UR_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2426),
    [anon_sym_co_await] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_requires] = ACTIONS(2424),
    [sym_this] = ACTIONS(2424),
    [anon_sym_discard] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
    [anon_sym_cbuffer] = ACTIONS(2424),
  },
  [623] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token2] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym___leave] = ACTIONS(2440),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_compl] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_delete] = ACTIONS(2440),
    [anon_sym_throw] = ACTIONS(2440),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_concept] = ACTIONS(2440),
    [anon_sym_co_return] = ACTIONS(2440),
    [anon_sym_co_yield] = ACTIONS(2440),
    [anon_sym_R_DQUOTE] = ACTIONS(2442),
    [anon_sym_LR_DQUOTE] = ACTIONS(2442),
    [anon_sym_uR_DQUOTE] = ACTIONS(2442),
    [anon_sym_UR_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2442),
    [anon_sym_co_await] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2440),
    [sym_this] = ACTIONS(2440),
    [anon_sym_discard] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
    [anon_sym_cbuffer] = ACTIONS(2440),
  },
  [624] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_out] = ACTIONS(2420),
    [anon_sym_inout] = ACTIONS(2420),
    [anon_sym_virtual] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___based] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_RBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_mutable] = ACTIONS(2420),
    [anon_sym_constinit] = ACTIONS(2420),
    [anon_sym_consteval] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_class] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym___leave] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_compl] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2420),
    [anon_sym_decltype] = ACTIONS(2420),
    [anon_sym_explicit] = ACTIONS(2420),
    [anon_sym_typename] = ACTIONS(2420),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_operator] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_delete] = ACTIONS(2420),
    [anon_sym_throw] = ACTIONS(2420),
    [anon_sym_namespace] = ACTIONS(2420),
    [anon_sym_using] = ACTIONS(2420),
    [anon_sym_static_assert] = ACTIONS(2420),
    [anon_sym_concept] = ACTIONS(2420),
    [anon_sym_co_return] = ACTIONS(2420),
    [anon_sym_co_yield] = ACTIONS(2420),
    [anon_sym_R_DQUOTE] = ACTIONS(2422),
    [anon_sym_LR_DQUOTE] = ACTIONS(2422),
    [anon_sym_uR_DQUOTE] = ACTIONS(2422),
    [anon_sym_UR_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2422),
    [anon_sym_co_await] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(2420),
    [anon_sym_requires] = ACTIONS(2420),
    [sym_this] = ACTIONS(2420),
    [anon_sym_discard] = ACTIONS(2420),
    [anon_sym_precise] = ACTIONS(2420),
    [anon_sym_shared] = ACTIONS(2420),
    [anon_sym_groupshared] = ACTIONS(2420),
    [anon_sym_uniform] = ACTIONS(2420),
    [anon_sym_row_major] = ACTIONS(2420),
    [anon_sym_column_major] = ACTIONS(2420),
    [anon_sym_globallycoherent] = ACTIONS(2420),
    [anon_sym_centroid] = ACTIONS(2420),
    [anon_sym_noperspective] = ACTIONS(2420),
    [anon_sym_nointerpolation] = ACTIONS(2420),
    [anon_sym_sample] = ACTIONS(2420),
    [anon_sym_linear] = ACTIONS(2420),
    [anon_sym_snorm] = ACTIONS(2420),
    [anon_sym_unorm] = ACTIONS(2420),
    [anon_sym_point] = ACTIONS(2420),
    [anon_sym_line] = ACTIONS(2420),
    [anon_sym_triangleadj] = ACTIONS(2420),
    [anon_sym_lineadj] = ACTIONS(2420),
    [anon_sym_triangle] = ACTIONS(2420),
    [anon_sym_cbuffer] = ACTIONS(2420),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym___leave] = ACTIONS(2448),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_concept] = ACTIONS(2448),
    [anon_sym_co_return] = ACTIONS(2448),
    [anon_sym_co_yield] = ACTIONS(2448),
    [anon_sym_R_DQUOTE] = ACTIONS(2450),
    [anon_sym_LR_DQUOTE] = ACTIONS(2450),
    [anon_sym_uR_DQUOTE] = ACTIONS(2450),
    [anon_sym_UR_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2450),
    [anon_sym_co_await] = ACTIONS(2448),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_requires] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [anon_sym_discard] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
    [anon_sym_cbuffer] = ACTIONS(2448),
  },
  [626] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym___leave] = ACTIONS(2452),
    [anon_sym_not] = ACTIONS(2452),
    [anon_sym_compl] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_concept] = ACTIONS(2452),
    [anon_sym_co_return] = ACTIONS(2452),
    [anon_sym_co_yield] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [sym_this] = ACTIONS(2452),
    [anon_sym_discard] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
    [anon_sym_cbuffer] = ACTIONS(2452),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym___leave] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_delete] = ACTIONS(2456),
    [anon_sym_throw] = ACTIONS(2456),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_concept] = ACTIONS(2456),
    [anon_sym_co_return] = ACTIONS(2456),
    [anon_sym_co_yield] = ACTIONS(2456),
    [anon_sym_R_DQUOTE] = ACTIONS(2458),
    [anon_sym_LR_DQUOTE] = ACTIONS(2458),
    [anon_sym_uR_DQUOTE] = ACTIONS(2458),
    [anon_sym_UR_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2458),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_requires] = ACTIONS(2456),
    [sym_this] = ACTIONS(2456),
    [anon_sym_discard] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
    [anon_sym_cbuffer] = ACTIONS(2456),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym___leave] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_compl] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_concept] = ACTIONS(2460),
    [anon_sym_co_return] = ACTIONS(2460),
    [anon_sym_co_yield] = ACTIONS(2460),
    [anon_sym_R_DQUOTE] = ACTIONS(2462),
    [anon_sym_LR_DQUOTE] = ACTIONS(2462),
    [anon_sym_uR_DQUOTE] = ACTIONS(2462),
    [anon_sym_UR_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2462),
    [anon_sym_co_await] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [anon_sym_discard] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
    [anon_sym_cbuffer] = ACTIONS(2460),
  },
  [629] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_include_token1] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym___cdecl] = ACTIONS(2464),
    [anon_sym___clrcall] = ACTIONS(2464),
    [anon_sym___stdcall] = ACTIONS(2464),
    [anon_sym___fastcall] = ACTIONS(2464),
    [anon_sym___thiscall] = ACTIONS(2464),
    [anon_sym___vectorcall] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym__Nonnull] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym__Alignas] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_goto] = ACTIONS(2464),
    [anon_sym___try] = ACTIONS(2464),
    [anon_sym___leave] = ACTIONS(2464),
    [anon_sym_not] = ACTIONS(2464),
    [anon_sym_compl] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_sizeof] = ACTIONS(2464),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2464),
    [anon_sym___asm__] = ACTIONS(2464),
    [anon_sym___asm] = ACTIONS(2464),
    [sym_number_literal] = ACTIONS(2466),
    [anon_sym_L_SQUOTE] = ACTIONS(2466),
    [anon_sym_u_SQUOTE] = ACTIONS(2466),
    [anon_sym_U_SQUOTE] = ACTIONS(2466),
    [anon_sym_u8_SQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_L_DQUOTE] = ACTIONS(2466),
    [anon_sym_u_DQUOTE] = ACTIONS(2466),
    [anon_sym_U_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_concept] = ACTIONS(2464),
    [anon_sym_co_return] = ACTIONS(2464),
    [anon_sym_co_yield] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(2466),
    [anon_sym_LR_DQUOTE] = ACTIONS(2466),
    [anon_sym_uR_DQUOTE] = ACTIONS(2466),
    [anon_sym_UR_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2466),
    [anon_sym_co_await] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_requires] = ACTIONS(2464),
    [sym_this] = ACTIONS(2464),
    [anon_sym_discard] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
    [anon_sym_cbuffer] = ACTIONS(2464),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_include_token1] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token2] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym___cdecl] = ACTIONS(2472),
    [anon_sym___clrcall] = ACTIONS(2472),
    [anon_sym___stdcall] = ACTIONS(2472),
    [anon_sym___fastcall] = ACTIONS(2472),
    [anon_sym___thiscall] = ACTIONS(2472),
    [anon_sym___vectorcall] = ACTIONS(2472),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym__Nonnull] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym__Alignas] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_switch] = ACTIONS(2472),
    [anon_sym_case] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_goto] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2472),
    [anon_sym___leave] = ACTIONS(2472),
    [anon_sym_not] = ACTIONS(2472),
    [anon_sym_compl] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_sizeof] = ACTIONS(2472),
    [anon_sym___alignof__] = ACTIONS(2472),
    [anon_sym___alignof] = ACTIONS(2472),
    [anon_sym__alignof] = ACTIONS(2472),
    [anon_sym_alignof] = ACTIONS(2472),
    [anon_sym__Alignof] = ACTIONS(2472),
    [anon_sym_offsetof] = ACTIONS(2472),
    [anon_sym__Generic] = ACTIONS(2472),
    [anon_sym_asm] = ACTIONS(2472),
    [anon_sym___asm__] = ACTIONS(2472),
    [anon_sym___asm] = ACTIONS(2472),
    [sym_number_literal] = ACTIONS(2474),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2474),
    [anon_sym_u_DQUOTE] = ACTIONS(2474),
    [anon_sym_U_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_true] = ACTIONS(2472),
    [sym_false] = ACTIONS(2472),
    [anon_sym_NULL] = ACTIONS(2472),
    [anon_sym_nullptr] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_delete] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_concept] = ACTIONS(2472),
    [anon_sym_co_return] = ACTIONS(2472),
    [anon_sym_co_yield] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2474),
    [anon_sym_LR_DQUOTE] = ACTIONS(2474),
    [anon_sym_uR_DQUOTE] = ACTIONS(2474),
    [anon_sym_UR_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2474),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_requires] = ACTIONS(2472),
    [sym_this] = ACTIONS(2472),
    [anon_sym_discard] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
    [anon_sym_cbuffer] = ACTIONS(2472),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_include_token1] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_in] = ACTIONS(2606),
    [anon_sym_out] = ACTIONS(2606),
    [anon_sym_inout] = ACTIONS(2606),
    [anon_sym_virtual] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym___cdecl] = ACTIONS(2606),
    [anon_sym___clrcall] = ACTIONS(2606),
    [anon_sym___stdcall] = ACTIONS(2606),
    [anon_sym___fastcall] = ACTIONS(2606),
    [anon_sym___thiscall] = ACTIONS(2606),
    [anon_sym___vectorcall] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym__Nonnull] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym__Alignas] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_switch] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2606),
    [anon_sym_default] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_return] = ACTIONS(2606),
    [anon_sym_break] = ACTIONS(2606),
    [anon_sym_continue] = ACTIONS(2606),
    [anon_sym_goto] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2606),
    [anon_sym___leave] = ACTIONS(2606),
    [anon_sym_not] = ACTIONS(2606),
    [anon_sym_compl] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_sizeof] = ACTIONS(2606),
    [anon_sym___alignof__] = ACTIONS(2606),
    [anon_sym___alignof] = ACTIONS(2606),
    [anon_sym__alignof] = ACTIONS(2606),
    [anon_sym_alignof] = ACTIONS(2606),
    [anon_sym__Alignof] = ACTIONS(2606),
    [anon_sym_offsetof] = ACTIONS(2606),
    [anon_sym__Generic] = ACTIONS(2606),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [sym_number_literal] = ACTIONS(2608),
    [anon_sym_L_SQUOTE] = ACTIONS(2608),
    [anon_sym_u_SQUOTE] = ACTIONS(2608),
    [anon_sym_U_SQUOTE] = ACTIONS(2608),
    [anon_sym_u8_SQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_L_DQUOTE] = ACTIONS(2608),
    [anon_sym_u_DQUOTE] = ACTIONS(2608),
    [anon_sym_U_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8_DQUOTE] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [anon_sym_NULL] = ACTIONS(2606),
    [anon_sym_nullptr] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_throw] = ACTIONS(2606),
    [anon_sym_namespace] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_concept] = ACTIONS(2606),
    [anon_sym_co_return] = ACTIONS(2606),
    [anon_sym_co_yield] = ACTIONS(2606),
    [anon_sym_R_DQUOTE] = ACTIONS(2608),
    [anon_sym_LR_DQUOTE] = ACTIONS(2608),
    [anon_sym_uR_DQUOTE] = ACTIONS(2608),
    [anon_sym_UR_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2608),
    [anon_sym_co_await] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_requires] = ACTIONS(2606),
    [sym_this] = ACTIONS(2606),
    [anon_sym_discard] = ACTIONS(2606),
    [anon_sym_precise] = ACTIONS(2606),
    [anon_sym_shared] = ACTIONS(2606),
    [anon_sym_groupshared] = ACTIONS(2606),
    [anon_sym_uniform] = ACTIONS(2606),
    [anon_sym_row_major] = ACTIONS(2606),
    [anon_sym_column_major] = ACTIONS(2606),
    [anon_sym_globallycoherent] = ACTIONS(2606),
    [anon_sym_centroid] = ACTIONS(2606),
    [anon_sym_noperspective] = ACTIONS(2606),
    [anon_sym_nointerpolation] = ACTIONS(2606),
    [anon_sym_sample] = ACTIONS(2606),
    [anon_sym_linear] = ACTIONS(2606),
    [anon_sym_snorm] = ACTIONS(2606),
    [anon_sym_unorm] = ACTIONS(2606),
    [anon_sym_point] = ACTIONS(2606),
    [anon_sym_line] = ACTIONS(2606),
    [anon_sym_triangleadj] = ACTIONS(2606),
    [anon_sym_lineadj] = ACTIONS(2606),
    [anon_sym_triangle] = ACTIONS(2606),
    [anon_sym_cbuffer] = ACTIONS(2606),
  },
  [632] = {
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_include_token1] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token2] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_in] = ACTIONS(2506),
    [anon_sym_out] = ACTIONS(2506),
    [anon_sym_inout] = ACTIONS(2506),
    [anon_sym_virtual] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym___cdecl] = ACTIONS(2506),
    [anon_sym___clrcall] = ACTIONS(2506),
    [anon_sym___stdcall] = ACTIONS(2506),
    [anon_sym___fastcall] = ACTIONS(2506),
    [anon_sym___thiscall] = ACTIONS(2506),
    [anon_sym___vectorcall] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym__Nonnull] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_goto] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2506),
    [anon_sym___leave] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2506),
    [anon_sym_compl] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2508),
    [anon_sym_sizeof] = ACTIONS(2506),
    [anon_sym___alignof__] = ACTIONS(2506),
    [anon_sym___alignof] = ACTIONS(2506),
    [anon_sym__alignof] = ACTIONS(2506),
    [anon_sym_alignof] = ACTIONS(2506),
    [anon_sym__Alignof] = ACTIONS(2506),
    [anon_sym_offsetof] = ACTIONS(2506),
    [anon_sym__Generic] = ACTIONS(2506),
    [anon_sym_asm] = ACTIONS(2506),
    [anon_sym___asm__] = ACTIONS(2506),
    [anon_sym___asm] = ACTIONS(2506),
    [sym_number_literal] = ACTIONS(2508),
    [anon_sym_L_SQUOTE] = ACTIONS(2508),
    [anon_sym_u_SQUOTE] = ACTIONS(2508),
    [anon_sym_U_SQUOTE] = ACTIONS(2508),
    [anon_sym_u8_SQUOTE] = ACTIONS(2508),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_L_DQUOTE] = ACTIONS(2508),
    [anon_sym_u_DQUOTE] = ACTIONS(2508),
    [anon_sym_U_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8_DQUOTE] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [anon_sym_NULL] = ACTIONS(2506),
    [anon_sym_nullptr] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_namespace] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_concept] = ACTIONS(2506),
    [anon_sym_co_return] = ACTIONS(2506),
    [anon_sym_co_yield] = ACTIONS(2506),
    [anon_sym_R_DQUOTE] = ACTIONS(2508),
    [anon_sym_LR_DQUOTE] = ACTIONS(2508),
    [anon_sym_uR_DQUOTE] = ACTIONS(2508),
    [anon_sym_UR_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2508),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_requires] = ACTIONS(2506),
    [sym_this] = ACTIONS(2506),
    [anon_sym_discard] = ACTIONS(2506),
    [anon_sym_precise] = ACTIONS(2506),
    [anon_sym_shared] = ACTIONS(2506),
    [anon_sym_groupshared] = ACTIONS(2506),
    [anon_sym_uniform] = ACTIONS(2506),
    [anon_sym_row_major] = ACTIONS(2506),
    [anon_sym_column_major] = ACTIONS(2506),
    [anon_sym_globallycoherent] = ACTIONS(2506),
    [anon_sym_centroid] = ACTIONS(2506),
    [anon_sym_noperspective] = ACTIONS(2506),
    [anon_sym_nointerpolation] = ACTIONS(2506),
    [anon_sym_sample] = ACTIONS(2506),
    [anon_sym_linear] = ACTIONS(2506),
    [anon_sym_snorm] = ACTIONS(2506),
    [anon_sym_unorm] = ACTIONS(2506),
    [anon_sym_point] = ACTIONS(2506),
    [anon_sym_line] = ACTIONS(2506),
    [anon_sym_triangleadj] = ACTIONS(2506),
    [anon_sym_lineadj] = ACTIONS(2506),
    [anon_sym_triangle] = ACTIONS(2506),
    [anon_sym_cbuffer] = ACTIONS(2506),
  },
  [633] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [anon_sym___asm] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
    [anon_sym_discard] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
    [anon_sym_cbuffer] = ACTIONS(2514),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [635] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_include_token1] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token2] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_in] = ACTIONS(2526),
    [anon_sym_out] = ACTIONS(2526),
    [anon_sym_inout] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym___cdecl] = ACTIONS(2526),
    [anon_sym___clrcall] = ACTIONS(2526),
    [anon_sym___stdcall] = ACTIONS(2526),
    [anon_sym___fastcall] = ACTIONS(2526),
    [anon_sym___thiscall] = ACTIONS(2526),
    [anon_sym___vectorcall] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym__Nonnull] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2526),
    [anon_sym_case] = ACTIONS(2526),
    [anon_sym_default] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_break] = ACTIONS(2526),
    [anon_sym_continue] = ACTIONS(2526),
    [anon_sym_goto] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2526),
    [anon_sym___leave] = ACTIONS(2526),
    [anon_sym_not] = ACTIONS(2526),
    [anon_sym_compl] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_sizeof] = ACTIONS(2526),
    [anon_sym___alignof__] = ACTIONS(2526),
    [anon_sym___alignof] = ACTIONS(2526),
    [anon_sym__alignof] = ACTIONS(2526),
    [anon_sym_alignof] = ACTIONS(2526),
    [anon_sym__Alignof] = ACTIONS(2526),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2526),
    [anon_sym_asm] = ACTIONS(2526),
    [anon_sym___asm__] = ACTIONS(2526),
    [anon_sym___asm] = ACTIONS(2526),
    [sym_number_literal] = ACTIONS(2528),
    [anon_sym_L_SQUOTE] = ACTIONS(2528),
    [anon_sym_u_SQUOTE] = ACTIONS(2528),
    [anon_sym_U_SQUOTE] = ACTIONS(2528),
    [anon_sym_u8_SQUOTE] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_L_DQUOTE] = ACTIONS(2528),
    [anon_sym_u_DQUOTE] = ACTIONS(2528),
    [anon_sym_U_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2528),
    [sym_true] = ACTIONS(2526),
    [sym_false] = ACTIONS(2526),
    [anon_sym_NULL] = ACTIONS(2526),
    [anon_sym_nullptr] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_delete] = ACTIONS(2526),
    [anon_sym_throw] = ACTIONS(2526),
    [anon_sym_namespace] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_concept] = ACTIONS(2526),
    [anon_sym_co_return] = ACTIONS(2526),
    [anon_sym_co_yield] = ACTIONS(2526),
    [anon_sym_R_DQUOTE] = ACTIONS(2528),
    [anon_sym_LR_DQUOTE] = ACTIONS(2528),
    [anon_sym_uR_DQUOTE] = ACTIONS(2528),
    [anon_sym_UR_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2528),
    [anon_sym_co_await] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_requires] = ACTIONS(2526),
    [sym_this] = ACTIONS(2526),
    [anon_sym_discard] = ACTIONS(2526),
    [anon_sym_precise] = ACTIONS(2526),
    [anon_sym_shared] = ACTIONS(2526),
    [anon_sym_groupshared] = ACTIONS(2526),
    [anon_sym_uniform] = ACTIONS(2526),
    [anon_sym_row_major] = ACTIONS(2526),
    [anon_sym_column_major] = ACTIONS(2526),
    [anon_sym_globallycoherent] = ACTIONS(2526),
    [anon_sym_centroid] = ACTIONS(2526),
    [anon_sym_noperspective] = ACTIONS(2526),
    [anon_sym_nointerpolation] = ACTIONS(2526),
    [anon_sym_sample] = ACTIONS(2526),
    [anon_sym_linear] = ACTIONS(2526),
    [anon_sym_snorm] = ACTIONS(2526),
    [anon_sym_unorm] = ACTIONS(2526),
    [anon_sym_point] = ACTIONS(2526),
    [anon_sym_line] = ACTIONS(2526),
    [anon_sym_triangleadj] = ACTIONS(2526),
    [anon_sym_lineadj] = ACTIONS(2526),
    [anon_sym_triangle] = ACTIONS(2526),
    [anon_sym_cbuffer] = ACTIONS(2526),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_include_token1] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token2] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_in] = ACTIONS(2530),
    [anon_sym_out] = ACTIONS(2530),
    [anon_sym_inout] = ACTIONS(2530),
    [anon_sym_virtual] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym___cdecl] = ACTIONS(2530),
    [anon_sym___clrcall] = ACTIONS(2530),
    [anon_sym___stdcall] = ACTIONS(2530),
    [anon_sym___fastcall] = ACTIONS(2530),
    [anon_sym___thiscall] = ACTIONS(2530),
    [anon_sym___vectorcall] = ACTIONS(2530),
    [anon_sym_LBRACE] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym__Nonnull] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_switch] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2530),
    [anon_sym_default] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_do] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2530),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_goto] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2530),
    [anon_sym___leave] = ACTIONS(2530),
    [anon_sym_not] = ACTIONS(2530),
    [anon_sym_compl] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_sizeof] = ACTIONS(2530),
    [anon_sym___alignof__] = ACTIONS(2530),
    [anon_sym___alignof] = ACTIONS(2530),
    [anon_sym__alignof] = ACTIONS(2530),
    [anon_sym_alignof] = ACTIONS(2530),
    [anon_sym__Alignof] = ACTIONS(2530),
    [anon_sym_offsetof] = ACTIONS(2530),
    [anon_sym__Generic] = ACTIONS(2530),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [sym_number_literal] = ACTIONS(2532),
    [anon_sym_L_SQUOTE] = ACTIONS(2532),
    [anon_sym_u_SQUOTE] = ACTIONS(2532),
    [anon_sym_U_SQUOTE] = ACTIONS(2532),
    [anon_sym_u8_SQUOTE] = ACTIONS(2532),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [anon_sym_L_DQUOTE] = ACTIONS(2532),
    [anon_sym_u_DQUOTE] = ACTIONS(2532),
    [anon_sym_U_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8_DQUOTE] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [sym_true] = ACTIONS(2530),
    [sym_false] = ACTIONS(2530),
    [anon_sym_NULL] = ACTIONS(2530),
    [anon_sym_nullptr] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_try] = ACTIONS(2530),
    [anon_sym_delete] = ACTIONS(2530),
    [anon_sym_throw] = ACTIONS(2530),
    [anon_sym_namespace] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_concept] = ACTIONS(2530),
    [anon_sym_co_return] = ACTIONS(2530),
    [anon_sym_co_yield] = ACTIONS(2530),
    [anon_sym_R_DQUOTE] = ACTIONS(2532),
    [anon_sym_LR_DQUOTE] = ACTIONS(2532),
    [anon_sym_uR_DQUOTE] = ACTIONS(2532),
    [anon_sym_UR_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2532),
    [anon_sym_co_await] = ACTIONS(2530),
    [anon_sym_new] = ACTIONS(2530),
    [anon_sym_requires] = ACTIONS(2530),
    [sym_this] = ACTIONS(2530),
    [anon_sym_discard] = ACTIONS(2530),
    [anon_sym_precise] = ACTIONS(2530),
    [anon_sym_shared] = ACTIONS(2530),
    [anon_sym_groupshared] = ACTIONS(2530),
    [anon_sym_uniform] = ACTIONS(2530),
    [anon_sym_row_major] = ACTIONS(2530),
    [anon_sym_column_major] = ACTIONS(2530),
    [anon_sym_globallycoherent] = ACTIONS(2530),
    [anon_sym_centroid] = ACTIONS(2530),
    [anon_sym_noperspective] = ACTIONS(2530),
    [anon_sym_nointerpolation] = ACTIONS(2530),
    [anon_sym_sample] = ACTIONS(2530),
    [anon_sym_linear] = ACTIONS(2530),
    [anon_sym_snorm] = ACTIONS(2530),
    [anon_sym_unorm] = ACTIONS(2530),
    [anon_sym_point] = ACTIONS(2530),
    [anon_sym_line] = ACTIONS(2530),
    [anon_sym_triangleadj] = ACTIONS(2530),
    [anon_sym_lineadj] = ACTIONS(2530),
    [anon_sym_triangle] = ACTIONS(2530),
    [anon_sym_cbuffer] = ACTIONS(2530),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_include_token1] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token2] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2534),
    [anon_sym_out] = ACTIONS(2534),
    [anon_sym_inout] = ACTIONS(2534),
    [anon_sym_virtual] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym___cdecl] = ACTIONS(2534),
    [anon_sym___clrcall] = ACTIONS(2534),
    [anon_sym___stdcall] = ACTIONS(2534),
    [anon_sym___fastcall] = ACTIONS(2534),
    [anon_sym___thiscall] = ACTIONS(2534),
    [anon_sym___vectorcall] = ACTIONS(2534),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym__Nonnull] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_switch] = ACTIONS(2534),
    [anon_sym_case] = ACTIONS(2534),
    [anon_sym_default] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_do] = ACTIONS(2534),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_break] = ACTIONS(2534),
    [anon_sym_continue] = ACTIONS(2534),
    [anon_sym_goto] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2534),
    [anon_sym___leave] = ACTIONS(2534),
    [anon_sym_not] = ACTIONS(2534),
    [anon_sym_compl] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_sizeof] = ACTIONS(2534),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2534),
    [anon_sym__Generic] = ACTIONS(2534),
    [anon_sym_asm] = ACTIONS(2534),
    [anon_sym___asm__] = ACTIONS(2534),
    [anon_sym___asm] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2536),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2536),
    [anon_sym_u_DQUOTE] = ACTIONS(2536),
    [anon_sym_U_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8_DQUOTE] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [anon_sym_NULL] = ACTIONS(2534),
    [anon_sym_nullptr] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_try] = ACTIONS(2534),
    [anon_sym_delete] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2534),
    [anon_sym_namespace] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_concept] = ACTIONS(2534),
    [anon_sym_co_return] = ACTIONS(2534),
    [anon_sym_co_yield] = ACTIONS(2534),
    [anon_sym_R_DQUOTE] = ACTIONS(2536),
    [anon_sym_LR_DQUOTE] = ACTIONS(2536),
    [anon_sym_uR_DQUOTE] = ACTIONS(2536),
    [anon_sym_UR_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2536),
    [anon_sym_co_await] = ACTIONS(2534),
    [anon_sym_new] = ACTIONS(2534),
    [anon_sym_requires] = ACTIONS(2534),
    [sym_this] = ACTIONS(2534),
    [anon_sym_discard] = ACTIONS(2534),
    [anon_sym_precise] = ACTIONS(2534),
    [anon_sym_shared] = ACTIONS(2534),
    [anon_sym_groupshared] = ACTIONS(2534),
    [anon_sym_uniform] = ACTIONS(2534),
    [anon_sym_row_major] = ACTIONS(2534),
    [anon_sym_column_major] = ACTIONS(2534),
    [anon_sym_globallycoherent] = ACTIONS(2534),
    [anon_sym_centroid] = ACTIONS(2534),
    [anon_sym_noperspective] = ACTIONS(2534),
    [anon_sym_nointerpolation] = ACTIONS(2534),
    [anon_sym_sample] = ACTIONS(2534),
    [anon_sym_linear] = ACTIONS(2534),
    [anon_sym_snorm] = ACTIONS(2534),
    [anon_sym_unorm] = ACTIONS(2534),
    [anon_sym_point] = ACTIONS(2534),
    [anon_sym_line] = ACTIONS(2534),
    [anon_sym_triangleadj] = ACTIONS(2534),
    [anon_sym_lineadj] = ACTIONS(2534),
    [anon_sym_triangle] = ACTIONS(2534),
    [anon_sym_cbuffer] = ACTIONS(2534),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_RBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [anon_sym___asm] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
    [anon_sym_discard] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
    [anon_sym_cbuffer] = ACTIONS(2610),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_include_token1] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token2] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_in] = ACTIONS(2538),
    [anon_sym_out] = ACTIONS(2538),
    [anon_sym_inout] = ACTIONS(2538),
    [anon_sym_virtual] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym___cdecl] = ACTIONS(2538),
    [anon_sym___clrcall] = ACTIONS(2538),
    [anon_sym___stdcall] = ACTIONS(2538),
    [anon_sym___fastcall] = ACTIONS(2538),
    [anon_sym___thiscall] = ACTIONS(2538),
    [anon_sym___vectorcall] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym__Nonnull] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_switch] = ACTIONS(2538),
    [anon_sym_case] = ACTIONS(2538),
    [anon_sym_default] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_do] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2538),
    [anon_sym_return] = ACTIONS(2538),
    [anon_sym_break] = ACTIONS(2538),
    [anon_sym_continue] = ACTIONS(2538),
    [anon_sym_goto] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2538),
    [anon_sym___leave] = ACTIONS(2538),
    [anon_sym_not] = ACTIONS(2538),
    [anon_sym_compl] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2540),
    [anon_sym_sizeof] = ACTIONS(2538),
    [anon_sym___alignof__] = ACTIONS(2538),
    [anon_sym___alignof] = ACTIONS(2538),
    [anon_sym__alignof] = ACTIONS(2538),
    [anon_sym_alignof] = ACTIONS(2538),
    [anon_sym__Alignof] = ACTIONS(2538),
    [anon_sym_offsetof] = ACTIONS(2538),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2538),
    [anon_sym___asm__] = ACTIONS(2538),
    [anon_sym___asm] = ACTIONS(2538),
    [sym_number_literal] = ACTIONS(2540),
    [anon_sym_L_SQUOTE] = ACTIONS(2540),
    [anon_sym_u_SQUOTE] = ACTIONS(2540),
    [anon_sym_U_SQUOTE] = ACTIONS(2540),
    [anon_sym_u8_SQUOTE] = ACTIONS(2540),
    [anon_sym_SQUOTE] = ACTIONS(2540),
    [anon_sym_L_DQUOTE] = ACTIONS(2540),
    [anon_sym_u_DQUOTE] = ACTIONS(2540),
    [anon_sym_U_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8_DQUOTE] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2540),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [anon_sym_NULL] = ACTIONS(2538),
    [anon_sym_nullptr] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_try] = ACTIONS(2538),
    [anon_sym_delete] = ACTIONS(2538),
    [anon_sym_throw] = ACTIONS(2538),
    [anon_sym_namespace] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_concept] = ACTIONS(2538),
    [anon_sym_co_return] = ACTIONS(2538),
    [anon_sym_co_yield] = ACTIONS(2538),
    [anon_sym_R_DQUOTE] = ACTIONS(2540),
    [anon_sym_LR_DQUOTE] = ACTIONS(2540),
    [anon_sym_uR_DQUOTE] = ACTIONS(2540),
    [anon_sym_UR_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2540),
    [anon_sym_co_await] = ACTIONS(2538),
    [anon_sym_new] = ACTIONS(2538),
    [anon_sym_requires] = ACTIONS(2538),
    [sym_this] = ACTIONS(2538),
    [anon_sym_discard] = ACTIONS(2538),
    [anon_sym_precise] = ACTIONS(2538),
    [anon_sym_shared] = ACTIONS(2538),
    [anon_sym_groupshared] = ACTIONS(2538),
    [anon_sym_uniform] = ACTIONS(2538),
    [anon_sym_row_major] = ACTIONS(2538),
    [anon_sym_column_major] = ACTIONS(2538),
    [anon_sym_globallycoherent] = ACTIONS(2538),
    [anon_sym_centroid] = ACTIONS(2538),
    [anon_sym_noperspective] = ACTIONS(2538),
    [anon_sym_nointerpolation] = ACTIONS(2538),
    [anon_sym_sample] = ACTIONS(2538),
    [anon_sym_linear] = ACTIONS(2538),
    [anon_sym_snorm] = ACTIONS(2538),
    [anon_sym_unorm] = ACTIONS(2538),
    [anon_sym_point] = ACTIONS(2538),
    [anon_sym_line] = ACTIONS(2538),
    [anon_sym_triangleadj] = ACTIONS(2538),
    [anon_sym_lineadj] = ACTIONS(2538),
    [anon_sym_triangle] = ACTIONS(2538),
    [anon_sym_cbuffer] = ACTIONS(2538),
  },
  [640] = {
    [sym_identifier] = ACTIONS(2542),
    [aux_sym_preproc_include_token1] = ACTIONS(2542),
    [aux_sym_preproc_def_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token2] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2542),
    [sym_preproc_directive] = ACTIONS(2542),
    [anon_sym_LPAREN2] = ACTIONS(2544),
    [anon_sym_BANG] = ACTIONS(2544),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2542),
    [anon_sym_STAR] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2544),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2542),
    [anon_sym_typedef] = ACTIONS(2542),
    [anon_sym_in] = ACTIONS(2542),
    [anon_sym_out] = ACTIONS(2542),
    [anon_sym_inout] = ACTIONS(2542),
    [anon_sym_virtual] = ACTIONS(2542),
    [anon_sym_extern] = ACTIONS(2542),
    [anon_sym___attribute__] = ACTIONS(2542),
    [anon_sym_COLON_COLON] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2544),
    [anon_sym___declspec] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(2542),
    [anon_sym___cdecl] = ACTIONS(2542),
    [anon_sym___clrcall] = ACTIONS(2542),
    [anon_sym___stdcall] = ACTIONS(2542),
    [anon_sym___fastcall] = ACTIONS(2542),
    [anon_sym___thiscall] = ACTIONS(2542),
    [anon_sym___vectorcall] = ACTIONS(2542),
    [anon_sym_LBRACE] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2542),
    [anon_sym_unsigned] = ACTIONS(2542),
    [anon_sym_long] = ACTIONS(2542),
    [anon_sym_short] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_static] = ACTIONS(2542),
    [anon_sym_register] = ACTIONS(2542),
    [anon_sym_inline] = ACTIONS(2542),
    [anon_sym___inline] = ACTIONS(2542),
    [anon_sym___inline__] = ACTIONS(2542),
    [anon_sym___forceinline] = ACTIONS(2542),
    [anon_sym_thread_local] = ACTIONS(2542),
    [anon_sym___thread] = ACTIONS(2542),
    [anon_sym_const] = ACTIONS(2542),
    [anon_sym_constexpr] = ACTIONS(2542),
    [anon_sym_volatile] = ACTIONS(2542),
    [anon_sym_restrict] = ACTIONS(2542),
    [anon_sym___restrict__] = ACTIONS(2542),
    [anon_sym__Atomic] = ACTIONS(2542),
    [anon_sym__Noreturn] = ACTIONS(2542),
    [anon_sym_noreturn] = ACTIONS(2542),
    [anon_sym__Nonnull] = ACTIONS(2542),
    [anon_sym_mutable] = ACTIONS(2542),
    [anon_sym_constinit] = ACTIONS(2542),
    [anon_sym_consteval] = ACTIONS(2542),
    [anon_sym_alignas] = ACTIONS(2542),
    [anon_sym__Alignas] = ACTIONS(2542),
    [sym_primitive_type] = ACTIONS(2542),
    [anon_sym_enum] = ACTIONS(2542),
    [anon_sym_class] = ACTIONS(2542),
    [anon_sym_struct] = ACTIONS(2542),
    [anon_sym_union] = ACTIONS(2542),
    [anon_sym_if] = ACTIONS(2542),
    [anon_sym_switch] = ACTIONS(2542),
    [anon_sym_case] = ACTIONS(2542),
    [anon_sym_default] = ACTIONS(2542),
    [anon_sym_while] = ACTIONS(2542),
    [anon_sym_do] = ACTIONS(2542),
    [anon_sym_for] = ACTIONS(2542),
    [anon_sym_return] = ACTIONS(2542),
    [anon_sym_break] = ACTIONS(2542),
    [anon_sym_continue] = ACTIONS(2542),
    [anon_sym_goto] = ACTIONS(2542),
    [anon_sym___try] = ACTIONS(2542),
    [anon_sym___leave] = ACTIONS(2542),
    [anon_sym_not] = ACTIONS(2542),
    [anon_sym_compl] = ACTIONS(2542),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_sizeof] = ACTIONS(2542),
    [anon_sym___alignof__] = ACTIONS(2542),
    [anon_sym___alignof] = ACTIONS(2542),
    [anon_sym__alignof] = ACTIONS(2542),
    [anon_sym_alignof] = ACTIONS(2542),
    [anon_sym__Alignof] = ACTIONS(2542),
    [anon_sym_offsetof] = ACTIONS(2542),
    [anon_sym__Generic] = ACTIONS(2542),
    [anon_sym_asm] = ACTIONS(2542),
    [anon_sym___asm__] = ACTIONS(2542),
    [anon_sym___asm] = ACTIONS(2542),
    [sym_number_literal] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2544),
    [anon_sym_u_SQUOTE] = ACTIONS(2544),
    [anon_sym_U_SQUOTE] = ACTIONS(2544),
    [anon_sym_u8_SQUOTE] = ACTIONS(2544),
    [anon_sym_SQUOTE] = ACTIONS(2544),
    [anon_sym_L_DQUOTE] = ACTIONS(2544),
    [anon_sym_u_DQUOTE] = ACTIONS(2544),
    [anon_sym_U_DQUOTE] = ACTIONS(2544),
    [anon_sym_u8_DQUOTE] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2544),
    [sym_true] = ACTIONS(2542),
    [sym_false] = ACTIONS(2542),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2542),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2542),
    [anon_sym_try] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(2542),
    [anon_sym_throw] = ACTIONS(2542),
    [anon_sym_namespace] = ACTIONS(2542),
    [anon_sym_using] = ACTIONS(2542),
    [anon_sym_static_assert] = ACTIONS(2542),
    [anon_sym_concept] = ACTIONS(2542),
    [anon_sym_co_return] = ACTIONS(2542),
    [anon_sym_co_yield] = ACTIONS(2542),
    [anon_sym_R_DQUOTE] = ACTIONS(2544),
    [anon_sym_LR_DQUOTE] = ACTIONS(2544),
    [anon_sym_uR_DQUOTE] = ACTIONS(2544),
    [anon_sym_UR_DQUOTE] = ACTIONS(2544),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2544),
    [anon_sym_co_await] = ACTIONS(2542),
    [anon_sym_new] = ACTIONS(2542),
    [anon_sym_requires] = ACTIONS(2542),
    [sym_this] = ACTIONS(2542),
    [anon_sym_discard] = ACTIONS(2542),
    [anon_sym_precise] = ACTIONS(2542),
    [anon_sym_shared] = ACTIONS(2542),
    [anon_sym_groupshared] = ACTIONS(2542),
    [anon_sym_uniform] = ACTIONS(2542),
    [anon_sym_row_major] = ACTIONS(2542),
    [anon_sym_column_major] = ACTIONS(2542),
    [anon_sym_globallycoherent] = ACTIONS(2542),
    [anon_sym_centroid] = ACTIONS(2542),
    [anon_sym_noperspective] = ACTIONS(2542),
    [anon_sym_nointerpolation] = ACTIONS(2542),
    [anon_sym_sample] = ACTIONS(2542),
    [anon_sym_linear] = ACTIONS(2542),
    [anon_sym_snorm] = ACTIONS(2542),
    [anon_sym_unorm] = ACTIONS(2542),
    [anon_sym_point] = ACTIONS(2542),
    [anon_sym_line] = ACTIONS(2542),
    [anon_sym_triangleadj] = ACTIONS(2542),
    [anon_sym_lineadj] = ACTIONS(2542),
    [anon_sym_triangle] = ACTIONS(2542),
    [anon_sym_cbuffer] = ACTIONS(2542),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2546),
    [aux_sym_preproc_include_token1] = ACTIONS(2546),
    [aux_sym_preproc_def_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token2] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2546),
    [sym_preproc_directive] = ACTIONS(2546),
    [anon_sym_LPAREN2] = ACTIONS(2548),
    [anon_sym_BANG] = ACTIONS(2548),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2548),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2546),
    [anon_sym_typedef] = ACTIONS(2546),
    [anon_sym_in] = ACTIONS(2546),
    [anon_sym_out] = ACTIONS(2546),
    [anon_sym_inout] = ACTIONS(2546),
    [anon_sym_virtual] = ACTIONS(2546),
    [anon_sym_extern] = ACTIONS(2546),
    [anon_sym___attribute__] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2548),
    [anon_sym___declspec] = ACTIONS(2546),
    [anon_sym___based] = ACTIONS(2546),
    [anon_sym___cdecl] = ACTIONS(2546),
    [anon_sym___clrcall] = ACTIONS(2546),
    [anon_sym___stdcall] = ACTIONS(2546),
    [anon_sym___fastcall] = ACTIONS(2546),
    [anon_sym___thiscall] = ACTIONS(2546),
    [anon_sym___vectorcall] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_register] = ACTIONS(2546),
    [anon_sym_inline] = ACTIONS(2546),
    [anon_sym___inline] = ACTIONS(2546),
    [anon_sym___inline__] = ACTIONS(2546),
    [anon_sym___forceinline] = ACTIONS(2546),
    [anon_sym_thread_local] = ACTIONS(2546),
    [anon_sym___thread] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_constexpr] = ACTIONS(2546),
    [anon_sym_volatile] = ACTIONS(2546),
    [anon_sym_restrict] = ACTIONS(2546),
    [anon_sym___restrict__] = ACTIONS(2546),
    [anon_sym__Atomic] = ACTIONS(2546),
    [anon_sym__Noreturn] = ACTIONS(2546),
    [anon_sym_noreturn] = ACTIONS(2546),
    [anon_sym__Nonnull] = ACTIONS(2546),
    [anon_sym_mutable] = ACTIONS(2546),
    [anon_sym_constinit] = ACTIONS(2546),
    [anon_sym_consteval] = ACTIONS(2546),
    [anon_sym_alignas] = ACTIONS(2546),
    [anon_sym__Alignas] = ACTIONS(2546),
    [sym_primitive_type] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_struct] = ACTIONS(2546),
    [anon_sym_union] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_goto] = ACTIONS(2546),
    [anon_sym___try] = ACTIONS(2546),
    [anon_sym___leave] = ACTIONS(2546),
    [anon_sym_not] = ACTIONS(2546),
    [anon_sym_compl] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_sizeof] = ACTIONS(2546),
    [anon_sym___alignof__] = ACTIONS(2546),
    [anon_sym___alignof] = ACTIONS(2546),
    [anon_sym__alignof] = ACTIONS(2546),
    [anon_sym_alignof] = ACTIONS(2546),
    [anon_sym__Alignof] = ACTIONS(2546),
    [anon_sym_offsetof] = ACTIONS(2546),
    [anon_sym__Generic] = ACTIONS(2546),
    [anon_sym_asm] = ACTIONS(2546),
    [anon_sym___asm__] = ACTIONS(2546),
    [anon_sym___asm] = ACTIONS(2546),
    [sym_number_literal] = ACTIONS(2548),
    [anon_sym_L_SQUOTE] = ACTIONS(2548),
    [anon_sym_u_SQUOTE] = ACTIONS(2548),
    [anon_sym_U_SQUOTE] = ACTIONS(2548),
    [anon_sym_u8_SQUOTE] = ACTIONS(2548),
    [anon_sym_SQUOTE] = ACTIONS(2548),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [anon_sym_NULL] = ACTIONS(2546),
    [anon_sym_nullptr] = ACTIONS(2546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2546),
    [anon_sym_decltype] = ACTIONS(2546),
    [anon_sym_explicit] = ACTIONS(2546),
    [anon_sym_typename] = ACTIONS(2546),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_static_assert] = ACTIONS(2546),
    [anon_sym_concept] = ACTIONS(2546),
    [anon_sym_co_return] = ACTIONS(2546),
    [anon_sym_co_yield] = ACTIONS(2546),
    [anon_sym_R_DQUOTE] = ACTIONS(2548),
    [anon_sym_LR_DQUOTE] = ACTIONS(2548),
    [anon_sym_uR_DQUOTE] = ACTIONS(2548),
    [anon_sym_UR_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2548),
    [anon_sym_co_await] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_requires] = ACTIONS(2546),
    [sym_this] = ACTIONS(2546),
    [anon_sym_discard] = ACTIONS(2546),
    [anon_sym_precise] = ACTIONS(2546),
    [anon_sym_shared] = ACTIONS(2546),
    [anon_sym_groupshared] = ACTIONS(2546),
    [anon_sym_uniform] = ACTIONS(2546),
    [anon_sym_row_major] = ACTIONS(2546),
    [anon_sym_column_major] = ACTIONS(2546),
    [anon_sym_globallycoherent] = ACTIONS(2546),
    [anon_sym_centroid] = ACTIONS(2546),
    [anon_sym_noperspective] = ACTIONS(2546),
    [anon_sym_nointerpolation] = ACTIONS(2546),
    [anon_sym_sample] = ACTIONS(2546),
    [anon_sym_linear] = ACTIONS(2546),
    [anon_sym_snorm] = ACTIONS(2546),
    [anon_sym_unorm] = ACTIONS(2546),
    [anon_sym_point] = ACTIONS(2546),
    [anon_sym_line] = ACTIONS(2546),
    [anon_sym_triangleadj] = ACTIONS(2546),
    [anon_sym_lineadj] = ACTIONS(2546),
    [anon_sym_triangle] = ACTIONS(2546),
    [anon_sym_cbuffer] = ACTIONS(2546),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_RBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [anon_sym___asm] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
    [anon_sym_discard] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
    [anon_sym_cbuffer] = ACTIONS(2610),
  },
  [643] = {
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_include_token1] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token2] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_DASH] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_out] = ACTIONS(2582),
    [anon_sym_inout] = ACTIONS(2582),
    [anon_sym_virtual] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym___cdecl] = ACTIONS(2582),
    [anon_sym___clrcall] = ACTIONS(2582),
    [anon_sym___stdcall] = ACTIONS(2582),
    [anon_sym___fastcall] = ACTIONS(2582),
    [anon_sym___thiscall] = ACTIONS(2582),
    [anon_sym___vectorcall] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym__Nonnull] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym__Alignas] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_switch] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_default] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_continue] = ACTIONS(2582),
    [anon_sym_goto] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2582),
    [anon_sym___leave] = ACTIONS(2582),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_compl] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_sizeof] = ACTIONS(2582),
    [anon_sym___alignof__] = ACTIONS(2582),
    [anon_sym___alignof] = ACTIONS(2582),
    [anon_sym__alignof] = ACTIONS(2582),
    [anon_sym_alignof] = ACTIONS(2582),
    [anon_sym__Alignof] = ACTIONS(2582),
    [anon_sym_offsetof] = ACTIONS(2582),
    [anon_sym__Generic] = ACTIONS(2582),
    [anon_sym_asm] = ACTIONS(2582),
    [anon_sym___asm__] = ACTIONS(2582),
    [anon_sym___asm] = ACTIONS(2582),
    [sym_number_literal] = ACTIONS(2584),
    [anon_sym_L_SQUOTE] = ACTIONS(2584),
    [anon_sym_u_SQUOTE] = ACTIONS(2584),
    [anon_sym_U_SQUOTE] = ACTIONS(2584),
    [anon_sym_u8_SQUOTE] = ACTIONS(2584),
    [anon_sym_SQUOTE] = ACTIONS(2584),
    [anon_sym_L_DQUOTE] = ACTIONS(2584),
    [anon_sym_u_DQUOTE] = ACTIONS(2584),
    [anon_sym_U_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8_DQUOTE] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [anon_sym_NULL] = ACTIONS(2582),
    [anon_sym_nullptr] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_try] = ACTIONS(2582),
    [anon_sym_delete] = ACTIONS(2582),
    [anon_sym_throw] = ACTIONS(2582),
    [anon_sym_namespace] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_concept] = ACTIONS(2582),
    [anon_sym_co_return] = ACTIONS(2582),
    [anon_sym_co_yield] = ACTIONS(2582),
    [anon_sym_R_DQUOTE] = ACTIONS(2584),
    [anon_sym_LR_DQUOTE] = ACTIONS(2584),
    [anon_sym_uR_DQUOTE] = ACTIONS(2584),
    [anon_sym_UR_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2584),
    [anon_sym_co_await] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_requires] = ACTIONS(2582),
    [sym_this] = ACTIONS(2582),
    [anon_sym_discard] = ACTIONS(2582),
    [anon_sym_precise] = ACTIONS(2582),
    [anon_sym_shared] = ACTIONS(2582),
    [anon_sym_groupshared] = ACTIONS(2582),
    [anon_sym_uniform] = ACTIONS(2582),
    [anon_sym_row_major] = ACTIONS(2582),
    [anon_sym_column_major] = ACTIONS(2582),
    [anon_sym_globallycoherent] = ACTIONS(2582),
    [anon_sym_centroid] = ACTIONS(2582),
    [anon_sym_noperspective] = ACTIONS(2582),
    [anon_sym_nointerpolation] = ACTIONS(2582),
    [anon_sym_sample] = ACTIONS(2582),
    [anon_sym_linear] = ACTIONS(2582),
    [anon_sym_snorm] = ACTIONS(2582),
    [anon_sym_unorm] = ACTIONS(2582),
    [anon_sym_point] = ACTIONS(2582),
    [anon_sym_line] = ACTIONS(2582),
    [anon_sym_triangleadj] = ACTIONS(2582),
    [anon_sym_lineadj] = ACTIONS(2582),
    [anon_sym_triangle] = ACTIONS(2582),
    [anon_sym_cbuffer] = ACTIONS(2582),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_include_token1] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token2] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_out] = ACTIONS(2598),
    [anon_sym_inout] = ACTIONS(2598),
    [anon_sym_virtual] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym___cdecl] = ACTIONS(2598),
    [anon_sym___clrcall] = ACTIONS(2598),
    [anon_sym___stdcall] = ACTIONS(2598),
    [anon_sym___fastcall] = ACTIONS(2598),
    [anon_sym___thiscall] = ACTIONS(2598),
    [anon_sym___vectorcall] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym__Nonnull] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym__Alignas] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2598),
    [anon_sym_default] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_do] = ACTIONS(2598),
    [anon_sym_for] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_break] = ACTIONS(2598),
    [anon_sym_continue] = ACTIONS(2598),
    [anon_sym_goto] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2598),
    [anon_sym___leave] = ACTIONS(2598),
    [anon_sym_not] = ACTIONS(2598),
    [anon_sym_compl] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2598),
    [anon_sym___alignof] = ACTIONS(2598),
    [anon_sym__alignof] = ACTIONS(2598),
    [anon_sym_alignof] = ACTIONS(2598),
    [anon_sym__Alignof] = ACTIONS(2598),
    [anon_sym_offsetof] = ACTIONS(2598),
    [anon_sym__Generic] = ACTIONS(2598),
    [anon_sym_asm] = ACTIONS(2598),
    [anon_sym___asm__] = ACTIONS(2598),
    [anon_sym___asm] = ACTIONS(2598),
    [sym_number_literal] = ACTIONS(2600),
    [anon_sym_L_SQUOTE] = ACTIONS(2600),
    [anon_sym_u_SQUOTE] = ACTIONS(2600),
    [anon_sym_U_SQUOTE] = ACTIONS(2600),
    [anon_sym_u8_SQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [anon_sym_L_DQUOTE] = ACTIONS(2600),
    [anon_sym_u_DQUOTE] = ACTIONS(2600),
    [anon_sym_U_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8_DQUOTE] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2600),
    [sym_true] = ACTIONS(2598),
    [sym_false] = ACTIONS(2598),
    [anon_sym_NULL] = ACTIONS(2598),
    [anon_sym_nullptr] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_delete] = ACTIONS(2598),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_namespace] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_concept] = ACTIONS(2598),
    [anon_sym_co_return] = ACTIONS(2598),
    [anon_sym_co_yield] = ACTIONS(2598),
    [anon_sym_R_DQUOTE] = ACTIONS(2600),
    [anon_sym_LR_DQUOTE] = ACTIONS(2600),
    [anon_sym_uR_DQUOTE] = ACTIONS(2600),
    [anon_sym_UR_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2600),
    [anon_sym_co_await] = ACTIONS(2598),
    [anon_sym_new] = ACTIONS(2598),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2598),
    [anon_sym_discard] = ACTIONS(2598),
    [anon_sym_precise] = ACTIONS(2598),
    [anon_sym_shared] = ACTIONS(2598),
    [anon_sym_groupshared] = ACTIONS(2598),
    [anon_sym_uniform] = ACTIONS(2598),
    [anon_sym_row_major] = ACTIONS(2598),
    [anon_sym_column_major] = ACTIONS(2598),
    [anon_sym_globallycoherent] = ACTIONS(2598),
    [anon_sym_centroid] = ACTIONS(2598),
    [anon_sym_noperspective] = ACTIONS(2598),
    [anon_sym_nointerpolation] = ACTIONS(2598),
    [anon_sym_sample] = ACTIONS(2598),
    [anon_sym_linear] = ACTIONS(2598),
    [anon_sym_snorm] = ACTIONS(2598),
    [anon_sym_unorm] = ACTIONS(2598),
    [anon_sym_point] = ACTIONS(2598),
    [anon_sym_line] = ACTIONS(2598),
    [anon_sym_triangleadj] = ACTIONS(2598),
    [anon_sym_lineadj] = ACTIONS(2598),
    [anon_sym_triangle] = ACTIONS(2598),
    [anon_sym_cbuffer] = ACTIONS(2598),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_out] = ACTIONS(2614),
    [anon_sym_inout] = ACTIONS(2614),
    [anon_sym_virtual] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_RBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym___leave] = ACTIONS(2614),
    [anon_sym_not] = ACTIONS(2614),
    [anon_sym_compl] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [anon_sym___asm] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_namespace] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_concept] = ACTIONS(2614),
    [anon_sym_co_return] = ACTIONS(2614),
    [anon_sym_co_yield] = ACTIONS(2614),
    [anon_sym_R_DQUOTE] = ACTIONS(2616),
    [anon_sym_LR_DQUOTE] = ACTIONS(2616),
    [anon_sym_uR_DQUOTE] = ACTIONS(2616),
    [anon_sym_UR_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2616),
    [anon_sym_co_await] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_requires] = ACTIONS(2614),
    [sym_this] = ACTIONS(2614),
    [anon_sym_discard] = ACTIONS(2614),
    [anon_sym_precise] = ACTIONS(2614),
    [anon_sym_shared] = ACTIONS(2614),
    [anon_sym_groupshared] = ACTIONS(2614),
    [anon_sym_uniform] = ACTIONS(2614),
    [anon_sym_row_major] = ACTIONS(2614),
    [anon_sym_column_major] = ACTIONS(2614),
    [anon_sym_globallycoherent] = ACTIONS(2614),
    [anon_sym_centroid] = ACTIONS(2614),
    [anon_sym_noperspective] = ACTIONS(2614),
    [anon_sym_nointerpolation] = ACTIONS(2614),
    [anon_sym_sample] = ACTIONS(2614),
    [anon_sym_linear] = ACTIONS(2614),
    [anon_sym_snorm] = ACTIONS(2614),
    [anon_sym_unorm] = ACTIONS(2614),
    [anon_sym_point] = ACTIONS(2614),
    [anon_sym_line] = ACTIONS(2614),
    [anon_sym_triangleadj] = ACTIONS(2614),
    [anon_sym_lineadj] = ACTIONS(2614),
    [anon_sym_triangle] = ACTIONS(2614),
    [anon_sym_cbuffer] = ACTIONS(2614),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token2] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_out] = ACTIONS(2614),
    [anon_sym_inout] = ACTIONS(2614),
    [anon_sym_virtual] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym___leave] = ACTIONS(2614),
    [anon_sym_not] = ACTIONS(2614),
    [anon_sym_compl] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [anon_sym___asm] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_namespace] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_concept] = ACTIONS(2614),
    [anon_sym_co_return] = ACTIONS(2614),
    [anon_sym_co_yield] = ACTIONS(2614),
    [anon_sym_R_DQUOTE] = ACTIONS(2616),
    [anon_sym_LR_DQUOTE] = ACTIONS(2616),
    [anon_sym_uR_DQUOTE] = ACTIONS(2616),
    [anon_sym_UR_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2616),
    [anon_sym_co_await] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_requires] = ACTIONS(2614),
    [sym_this] = ACTIONS(2614),
    [anon_sym_discard] = ACTIONS(2614),
    [anon_sym_precise] = ACTIONS(2614),
    [anon_sym_shared] = ACTIONS(2614),
    [anon_sym_groupshared] = ACTIONS(2614),
    [anon_sym_uniform] = ACTIONS(2614),
    [anon_sym_row_major] = ACTIONS(2614),
    [anon_sym_column_major] = ACTIONS(2614),
    [anon_sym_globallycoherent] = ACTIONS(2614),
    [anon_sym_centroid] = ACTIONS(2614),
    [anon_sym_noperspective] = ACTIONS(2614),
    [anon_sym_nointerpolation] = ACTIONS(2614),
    [anon_sym_sample] = ACTIONS(2614),
    [anon_sym_linear] = ACTIONS(2614),
    [anon_sym_snorm] = ACTIONS(2614),
    [anon_sym_unorm] = ACTIONS(2614),
    [anon_sym_point] = ACTIONS(2614),
    [anon_sym_line] = ACTIONS(2614),
    [anon_sym_triangleadj] = ACTIONS(2614),
    [anon_sym_lineadj] = ACTIONS(2614),
    [anon_sym_triangle] = ACTIONS(2614),
    [anon_sym_cbuffer] = ACTIONS(2614),
  },
  [647] = {
    [sym_expression] = STATE(3735),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token2] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_in] = ACTIONS(2648),
    [anon_sym_out] = ACTIONS(2648),
    [anon_sym_inout] = ACTIONS(2648),
    [anon_sym_virtual] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym__Nonnull] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2648),
    [anon_sym___leave] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [anon_sym___asm] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
    [anon_sym_discard] = ACTIONS(2648),
    [anon_sym_precise] = ACTIONS(2648),
    [anon_sym_shared] = ACTIONS(2648),
    [anon_sym_groupshared] = ACTIONS(2648),
    [anon_sym_uniform] = ACTIONS(2648),
    [anon_sym_row_major] = ACTIONS(2648),
    [anon_sym_column_major] = ACTIONS(2648),
    [anon_sym_globallycoherent] = ACTIONS(2648),
    [anon_sym_centroid] = ACTIONS(2648),
    [anon_sym_noperspective] = ACTIONS(2648),
    [anon_sym_nointerpolation] = ACTIONS(2648),
    [anon_sym_sample] = ACTIONS(2648),
    [anon_sym_linear] = ACTIONS(2648),
    [anon_sym_snorm] = ACTIONS(2648),
    [anon_sym_unorm] = ACTIONS(2648),
    [anon_sym_point] = ACTIONS(2648),
    [anon_sym_line] = ACTIONS(2648),
    [anon_sym_triangleadj] = ACTIONS(2648),
    [anon_sym_lineadj] = ACTIONS(2648),
    [anon_sym_triangle] = ACTIONS(2648),
    [anon_sym_cbuffer] = ACTIONS(2648),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_out] = ACTIONS(2618),
    [anon_sym_inout] = ACTIONS(2618),
    [anon_sym_virtual] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym___leave] = ACTIONS(2618),
    [anon_sym_not] = ACTIONS(2618),
    [anon_sym_compl] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [anon_sym___asm] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_delete] = ACTIONS(2618),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_namespace] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_concept] = ACTIONS(2618),
    [anon_sym_co_return] = ACTIONS(2618),
    [anon_sym_co_yield] = ACTIONS(2618),
    [anon_sym_R_DQUOTE] = ACTIONS(2620),
    [anon_sym_LR_DQUOTE] = ACTIONS(2620),
    [anon_sym_uR_DQUOTE] = ACTIONS(2620),
    [anon_sym_UR_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2620),
    [anon_sym_co_await] = ACTIONS(2618),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_requires] = ACTIONS(2618),
    [sym_this] = ACTIONS(2618),
    [anon_sym_discard] = ACTIONS(2618),
    [anon_sym_precise] = ACTIONS(2618),
    [anon_sym_shared] = ACTIONS(2618),
    [anon_sym_groupshared] = ACTIONS(2618),
    [anon_sym_uniform] = ACTIONS(2618),
    [anon_sym_row_major] = ACTIONS(2618),
    [anon_sym_column_major] = ACTIONS(2618),
    [anon_sym_globallycoherent] = ACTIONS(2618),
    [anon_sym_centroid] = ACTIONS(2618),
    [anon_sym_noperspective] = ACTIONS(2618),
    [anon_sym_nointerpolation] = ACTIONS(2618),
    [anon_sym_sample] = ACTIONS(2618),
    [anon_sym_linear] = ACTIONS(2618),
    [anon_sym_snorm] = ACTIONS(2618),
    [anon_sym_unorm] = ACTIONS(2618),
    [anon_sym_point] = ACTIONS(2618),
    [anon_sym_line] = ACTIONS(2618),
    [anon_sym_triangleadj] = ACTIONS(2618),
    [anon_sym_lineadj] = ACTIONS(2618),
    [anon_sym_triangle] = ACTIONS(2618),
    [anon_sym_cbuffer] = ACTIONS(2618),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_out] = ACTIONS(2622),
    [anon_sym_inout] = ACTIONS(2622),
    [anon_sym_virtual] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym___leave] = ACTIONS(2622),
    [anon_sym_not] = ACTIONS(2622),
    [anon_sym_compl] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_try] = ACTIONS(2622),
    [anon_sym_delete] = ACTIONS(2622),
    [anon_sym_throw] = ACTIONS(2622),
    [anon_sym_namespace] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_concept] = ACTIONS(2622),
    [anon_sym_co_return] = ACTIONS(2622),
    [anon_sym_co_yield] = ACTIONS(2622),
    [anon_sym_R_DQUOTE] = ACTIONS(2624),
    [anon_sym_LR_DQUOTE] = ACTIONS(2624),
    [anon_sym_uR_DQUOTE] = ACTIONS(2624),
    [anon_sym_UR_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2624),
    [anon_sym_co_await] = ACTIONS(2622),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_requires] = ACTIONS(2622),
    [sym_this] = ACTIONS(2622),
    [anon_sym_discard] = ACTIONS(2622),
    [anon_sym_precise] = ACTIONS(2622),
    [anon_sym_shared] = ACTIONS(2622),
    [anon_sym_groupshared] = ACTIONS(2622),
    [anon_sym_uniform] = ACTIONS(2622),
    [anon_sym_row_major] = ACTIONS(2622),
    [anon_sym_column_major] = ACTIONS(2622),
    [anon_sym_globallycoherent] = ACTIONS(2622),
    [anon_sym_centroid] = ACTIONS(2622),
    [anon_sym_noperspective] = ACTIONS(2622),
    [anon_sym_nointerpolation] = ACTIONS(2622),
    [anon_sym_sample] = ACTIONS(2622),
    [anon_sym_linear] = ACTIONS(2622),
    [anon_sym_snorm] = ACTIONS(2622),
    [anon_sym_unorm] = ACTIONS(2622),
    [anon_sym_point] = ACTIONS(2622),
    [anon_sym_line] = ACTIONS(2622),
    [anon_sym_triangleadj] = ACTIONS(2622),
    [anon_sym_lineadj] = ACTIONS(2622),
    [anon_sym_triangle] = ACTIONS(2622),
    [anon_sym_cbuffer] = ACTIONS(2622),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token2] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_in] = ACTIONS(2498),
    [anon_sym_out] = ACTIONS(2498),
    [anon_sym_inout] = ACTIONS(2498),
    [anon_sym_virtual] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym__Nonnull] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [anon_sym___asm] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
    [anon_sym_discard] = ACTIONS(2498),
    [anon_sym_precise] = ACTIONS(2498),
    [anon_sym_shared] = ACTIONS(2498),
    [anon_sym_groupshared] = ACTIONS(2498),
    [anon_sym_uniform] = ACTIONS(2498),
    [anon_sym_row_major] = ACTIONS(2498),
    [anon_sym_column_major] = ACTIONS(2498),
    [anon_sym_globallycoherent] = ACTIONS(2498),
    [anon_sym_centroid] = ACTIONS(2498),
    [anon_sym_noperspective] = ACTIONS(2498),
    [anon_sym_nointerpolation] = ACTIONS(2498),
    [anon_sym_sample] = ACTIONS(2498),
    [anon_sym_linear] = ACTIONS(2498),
    [anon_sym_snorm] = ACTIONS(2498),
    [anon_sym_unorm] = ACTIONS(2498),
    [anon_sym_point] = ACTIONS(2498),
    [anon_sym_line] = ACTIONS(2498),
    [anon_sym_triangleadj] = ACTIONS(2498),
    [anon_sym_lineadj] = ACTIONS(2498),
    [anon_sym_triangle] = ACTIONS(2498),
    [anon_sym_cbuffer] = ACTIONS(2498),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
    [anon_sym_discard] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
    [anon_sym_cbuffer] = ACTIONS(2633),
  },
  [653] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [anon_sym___asm] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
    [anon_sym_discard] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
    [anon_sym_cbuffer] = ACTIONS(2637),
  },
  [654] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [anon_sym___asm] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
    [anon_sym_discard] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
    [anon_sym_cbuffer] = ACTIONS(2641),
  },
  [655] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_in] = ACTIONS(2648),
    [anon_sym_out] = ACTIONS(2648),
    [anon_sym_inout] = ACTIONS(2648),
    [anon_sym_virtual] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym__Nonnull] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2648),
    [anon_sym___leave] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [anon_sym___asm] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
    [anon_sym_discard] = ACTIONS(2648),
    [anon_sym_precise] = ACTIONS(2648),
    [anon_sym_shared] = ACTIONS(2648),
    [anon_sym_groupshared] = ACTIONS(2648),
    [anon_sym_uniform] = ACTIONS(2648),
    [anon_sym_row_major] = ACTIONS(2648),
    [anon_sym_column_major] = ACTIONS(2648),
    [anon_sym_globallycoherent] = ACTIONS(2648),
    [anon_sym_centroid] = ACTIONS(2648),
    [anon_sym_noperspective] = ACTIONS(2648),
    [anon_sym_nointerpolation] = ACTIONS(2648),
    [anon_sym_sample] = ACTIONS(2648),
    [anon_sym_linear] = ACTIONS(2648),
    [anon_sym_snorm] = ACTIONS(2648),
    [anon_sym_unorm] = ACTIONS(2648),
    [anon_sym_point] = ACTIONS(2648),
    [anon_sym_line] = ACTIONS(2648),
    [anon_sym_triangleadj] = ACTIONS(2648),
    [anon_sym_lineadj] = ACTIONS(2648),
    [anon_sym_triangle] = ACTIONS(2648),
    [anon_sym_cbuffer] = ACTIONS(2648),
  },
  [656] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [anon_sym___asm] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
    [anon_sym_discard] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
    [anon_sym_cbuffer] = ACTIONS(2629),
  },
  [657] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
    [anon_sym_discard] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
    [anon_sym_cbuffer] = ACTIONS(2633),
  },
  [658] = {
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_include_token1] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token2] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_out] = ACTIONS(2578),
    [anon_sym_inout] = ACTIONS(2578),
    [anon_sym_virtual] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym___cdecl] = ACTIONS(2578),
    [anon_sym___clrcall] = ACTIONS(2578),
    [anon_sym___stdcall] = ACTIONS(2578),
    [anon_sym___fastcall] = ACTIONS(2578),
    [anon_sym___thiscall] = ACTIONS(2578),
    [anon_sym___vectorcall] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym__Nonnull] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym__Alignas] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2578),
    [anon_sym_default] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_continue] = ACTIONS(2578),
    [anon_sym_goto] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2578),
    [anon_sym___leave] = ACTIONS(2578),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_compl] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_sizeof] = ACTIONS(2578),
    [anon_sym___alignof__] = ACTIONS(2578),
    [anon_sym___alignof] = ACTIONS(2578),
    [anon_sym__alignof] = ACTIONS(2578),
    [anon_sym_alignof] = ACTIONS(2578),
    [anon_sym__Alignof] = ACTIONS(2578),
    [anon_sym_offsetof] = ACTIONS(2578),
    [anon_sym__Generic] = ACTIONS(2578),
    [anon_sym_asm] = ACTIONS(2578),
    [anon_sym___asm__] = ACTIONS(2578),
    [anon_sym___asm] = ACTIONS(2578),
    [sym_number_literal] = ACTIONS(2580),
    [anon_sym_L_SQUOTE] = ACTIONS(2580),
    [anon_sym_u_SQUOTE] = ACTIONS(2580),
    [anon_sym_U_SQUOTE] = ACTIONS(2580),
    [anon_sym_u8_SQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_L_DQUOTE] = ACTIONS(2580),
    [anon_sym_u_DQUOTE] = ACTIONS(2580),
    [anon_sym_U_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8_DQUOTE] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2578),
    [anon_sym_nullptr] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_concept] = ACTIONS(2578),
    [anon_sym_co_return] = ACTIONS(2578),
    [anon_sym_co_yield] = ACTIONS(2578),
    [anon_sym_R_DQUOTE] = ACTIONS(2580),
    [anon_sym_LR_DQUOTE] = ACTIONS(2580),
    [anon_sym_uR_DQUOTE] = ACTIONS(2580),
    [anon_sym_UR_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2580),
    [anon_sym_co_await] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_requires] = ACTIONS(2578),
    [sym_this] = ACTIONS(2578),
    [anon_sym_discard] = ACTIONS(2578),
    [anon_sym_precise] = ACTIONS(2578),
    [anon_sym_shared] = ACTIONS(2578),
    [anon_sym_groupshared] = ACTIONS(2578),
    [anon_sym_uniform] = ACTIONS(2578),
    [anon_sym_row_major] = ACTIONS(2578),
    [anon_sym_column_major] = ACTIONS(2578),
    [anon_sym_globallycoherent] = ACTIONS(2578),
    [anon_sym_centroid] = ACTIONS(2578),
    [anon_sym_noperspective] = ACTIONS(2578),
    [anon_sym_nointerpolation] = ACTIONS(2578),
    [anon_sym_sample] = ACTIONS(2578),
    [anon_sym_linear] = ACTIONS(2578),
    [anon_sym_snorm] = ACTIONS(2578),
    [anon_sym_unorm] = ACTIONS(2578),
    [anon_sym_point] = ACTIONS(2578),
    [anon_sym_line] = ACTIONS(2578),
    [anon_sym_triangleadj] = ACTIONS(2578),
    [anon_sym_lineadj] = ACTIONS(2578),
    [anon_sym_triangle] = ACTIONS(2578),
    [anon_sym_cbuffer] = ACTIONS(2578),
  },
  [659] = {
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_include_token1] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token2] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_in] = ACTIONS(2606),
    [anon_sym_out] = ACTIONS(2606),
    [anon_sym_inout] = ACTIONS(2606),
    [anon_sym_virtual] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym___cdecl] = ACTIONS(2606),
    [anon_sym___clrcall] = ACTIONS(2606),
    [anon_sym___stdcall] = ACTIONS(2606),
    [anon_sym___fastcall] = ACTIONS(2606),
    [anon_sym___thiscall] = ACTIONS(2606),
    [anon_sym___vectorcall] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym__Nonnull] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym__Alignas] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_switch] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2606),
    [anon_sym_default] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_return] = ACTIONS(2606),
    [anon_sym_break] = ACTIONS(2606),
    [anon_sym_continue] = ACTIONS(2606),
    [anon_sym_goto] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2606),
    [anon_sym___leave] = ACTIONS(2606),
    [anon_sym_not] = ACTIONS(2606),
    [anon_sym_compl] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_sizeof] = ACTIONS(2606),
    [anon_sym___alignof__] = ACTIONS(2606),
    [anon_sym___alignof] = ACTIONS(2606),
    [anon_sym__alignof] = ACTIONS(2606),
    [anon_sym_alignof] = ACTIONS(2606),
    [anon_sym__Alignof] = ACTIONS(2606),
    [anon_sym_offsetof] = ACTIONS(2606),
    [anon_sym__Generic] = ACTIONS(2606),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [sym_number_literal] = ACTIONS(2608),
    [anon_sym_L_SQUOTE] = ACTIONS(2608),
    [anon_sym_u_SQUOTE] = ACTIONS(2608),
    [anon_sym_U_SQUOTE] = ACTIONS(2608),
    [anon_sym_u8_SQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_L_DQUOTE] = ACTIONS(2608),
    [anon_sym_u_DQUOTE] = ACTIONS(2608),
    [anon_sym_U_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8_DQUOTE] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [anon_sym_NULL] = ACTIONS(2606),
    [anon_sym_nullptr] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_throw] = ACTIONS(2606),
    [anon_sym_namespace] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_concept] = ACTIONS(2606),
    [anon_sym_co_return] = ACTIONS(2606),
    [anon_sym_co_yield] = ACTIONS(2606),
    [anon_sym_R_DQUOTE] = ACTIONS(2608),
    [anon_sym_LR_DQUOTE] = ACTIONS(2608),
    [anon_sym_uR_DQUOTE] = ACTIONS(2608),
    [anon_sym_UR_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2608),
    [anon_sym_co_await] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_requires] = ACTIONS(2606),
    [sym_this] = ACTIONS(2606),
    [anon_sym_discard] = ACTIONS(2606),
    [anon_sym_precise] = ACTIONS(2606),
    [anon_sym_shared] = ACTIONS(2606),
    [anon_sym_groupshared] = ACTIONS(2606),
    [anon_sym_uniform] = ACTIONS(2606),
    [anon_sym_row_major] = ACTIONS(2606),
    [anon_sym_column_major] = ACTIONS(2606),
    [anon_sym_globallycoherent] = ACTIONS(2606),
    [anon_sym_centroid] = ACTIONS(2606),
    [anon_sym_noperspective] = ACTIONS(2606),
    [anon_sym_nointerpolation] = ACTIONS(2606),
    [anon_sym_sample] = ACTIONS(2606),
    [anon_sym_linear] = ACTIONS(2606),
    [anon_sym_snorm] = ACTIONS(2606),
    [anon_sym_unorm] = ACTIONS(2606),
    [anon_sym_point] = ACTIONS(2606),
    [anon_sym_line] = ACTIONS(2606),
    [anon_sym_triangleadj] = ACTIONS(2606),
    [anon_sym_lineadj] = ACTIONS(2606),
    [anon_sym_triangle] = ACTIONS(2606),
    [anon_sym_cbuffer] = ACTIONS(2606),
  },
  [660] = {
    [sym_identifier] = ACTIONS(2502),
    [aux_sym_preproc_include_token1] = ACTIONS(2502),
    [aux_sym_preproc_def_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2502),
    [sym_preproc_directive] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2502),
    [anon_sym_typedef] = ACTIONS(2502),
    [anon_sym_in] = ACTIONS(2502),
    [anon_sym_out] = ACTIONS(2502),
    [anon_sym_inout] = ACTIONS(2502),
    [anon_sym_virtual] = ACTIONS(2502),
    [anon_sym_extern] = ACTIONS(2502),
    [anon_sym___attribute__] = ACTIONS(2502),
    [anon_sym_COLON_COLON] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2504),
    [anon_sym___declspec] = ACTIONS(2502),
    [anon_sym___based] = ACTIONS(2502),
    [anon_sym___cdecl] = ACTIONS(2502),
    [anon_sym___clrcall] = ACTIONS(2502),
    [anon_sym___stdcall] = ACTIONS(2502),
    [anon_sym___fastcall] = ACTIONS(2502),
    [anon_sym___thiscall] = ACTIONS(2502),
    [anon_sym___vectorcall] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_RBRACE] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2502),
    [anon_sym_unsigned] = ACTIONS(2502),
    [anon_sym_long] = ACTIONS(2502),
    [anon_sym_short] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_register] = ACTIONS(2502),
    [anon_sym_inline] = ACTIONS(2502),
    [anon_sym___inline] = ACTIONS(2502),
    [anon_sym___inline__] = ACTIONS(2502),
    [anon_sym___forceinline] = ACTIONS(2502),
    [anon_sym_thread_local] = ACTIONS(2502),
    [anon_sym___thread] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_constexpr] = ACTIONS(2502),
    [anon_sym_volatile] = ACTIONS(2502),
    [anon_sym_restrict] = ACTIONS(2502),
    [anon_sym___restrict__] = ACTIONS(2502),
    [anon_sym__Atomic] = ACTIONS(2502),
    [anon_sym__Noreturn] = ACTIONS(2502),
    [anon_sym_noreturn] = ACTIONS(2502),
    [anon_sym__Nonnull] = ACTIONS(2502),
    [anon_sym_mutable] = ACTIONS(2502),
    [anon_sym_constinit] = ACTIONS(2502),
    [anon_sym_consteval] = ACTIONS(2502),
    [anon_sym_alignas] = ACTIONS(2502),
    [anon_sym__Alignas] = ACTIONS(2502),
    [sym_primitive_type] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_struct] = ACTIONS(2502),
    [anon_sym_union] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym_default] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_goto] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2502),
    [anon_sym___leave] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2502),
    [anon_sym_compl] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(2502),
    [anon_sym___alignof] = ACTIONS(2502),
    [anon_sym__alignof] = ACTIONS(2502),
    [anon_sym_alignof] = ACTIONS(2502),
    [anon_sym__Alignof] = ACTIONS(2502),
    [anon_sym_offsetof] = ACTIONS(2502),
    [anon_sym__Generic] = ACTIONS(2502),
    [anon_sym_asm] = ACTIONS(2502),
    [anon_sym___asm__] = ACTIONS(2502),
    [anon_sym___asm] = ACTIONS(2502),
    [sym_number_literal] = ACTIONS(2504),
    [anon_sym_L_SQUOTE] = ACTIONS(2504),
    [anon_sym_u_SQUOTE] = ACTIONS(2504),
    [anon_sym_U_SQUOTE] = ACTIONS(2504),
    [anon_sym_u8_SQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_L_DQUOTE] = ACTIONS(2504),
    [anon_sym_u_DQUOTE] = ACTIONS(2504),
    [anon_sym_U_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8_DQUOTE] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [anon_sym_NULL] = ACTIONS(2502),
    [anon_sym_nullptr] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2502),
    [anon_sym_decltype] = ACTIONS(2502),
    [anon_sym_explicit] = ACTIONS(2502),
    [anon_sym_typename] = ACTIONS(2502),
    [anon_sym_template] = ACTIONS(2502),
    [anon_sym_operator] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_namespace] = ACTIONS(2502),
    [anon_sym_using] = ACTIONS(2502),
    [anon_sym_static_assert] = ACTIONS(2502),
    [anon_sym_concept] = ACTIONS(2502),
    [anon_sym_co_return] = ACTIONS(2502),
    [anon_sym_co_yield] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2504),
    [anon_sym_LR_DQUOTE] = ACTIONS(2504),
    [anon_sym_uR_DQUOTE] = ACTIONS(2504),
    [anon_sym_UR_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2504),
    [anon_sym_co_await] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_requires] = ACTIONS(2502),
    [sym_this] = ACTIONS(2502),
    [anon_sym_discard] = ACTIONS(2502),
    [anon_sym_precise] = ACTIONS(2502),
    [anon_sym_shared] = ACTIONS(2502),
    [anon_sym_groupshared] = ACTIONS(2502),
    [anon_sym_uniform] = ACTIONS(2502),
    [anon_sym_row_major] = ACTIONS(2502),
    [anon_sym_column_major] = ACTIONS(2502),
    [anon_sym_globallycoherent] = ACTIONS(2502),
    [anon_sym_centroid] = ACTIONS(2502),
    [anon_sym_noperspective] = ACTIONS(2502),
    [anon_sym_nointerpolation] = ACTIONS(2502),
    [anon_sym_sample] = ACTIONS(2502),
    [anon_sym_linear] = ACTIONS(2502),
    [anon_sym_snorm] = ACTIONS(2502),
    [anon_sym_unorm] = ACTIONS(2502),
    [anon_sym_point] = ACTIONS(2502),
    [anon_sym_line] = ACTIONS(2502),
    [anon_sym_triangleadj] = ACTIONS(2502),
    [anon_sym_lineadj] = ACTIONS(2502),
    [anon_sym_triangle] = ACTIONS(2502),
    [anon_sym_cbuffer] = ACTIONS(2502),
  },
  [661] = {
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_include_token1] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_in] = ACTIONS(2506),
    [anon_sym_out] = ACTIONS(2506),
    [anon_sym_inout] = ACTIONS(2506),
    [anon_sym_virtual] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym___cdecl] = ACTIONS(2506),
    [anon_sym___clrcall] = ACTIONS(2506),
    [anon_sym___stdcall] = ACTIONS(2506),
    [anon_sym___fastcall] = ACTIONS(2506),
    [anon_sym___thiscall] = ACTIONS(2506),
    [anon_sym___vectorcall] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2508),
    [anon_sym_RBRACE] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym__Nonnull] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_goto] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2506),
    [anon_sym___leave] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2506),
    [anon_sym_compl] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2508),
    [anon_sym_sizeof] = ACTIONS(2506),
    [anon_sym___alignof__] = ACTIONS(2506),
    [anon_sym___alignof] = ACTIONS(2506),
    [anon_sym__alignof] = ACTIONS(2506),
    [anon_sym_alignof] = ACTIONS(2506),
    [anon_sym__Alignof] = ACTIONS(2506),
    [anon_sym_offsetof] = ACTIONS(2506),
    [anon_sym__Generic] = ACTIONS(2506),
    [anon_sym_asm] = ACTIONS(2506),
    [anon_sym___asm__] = ACTIONS(2506),
    [anon_sym___asm] = ACTIONS(2506),
    [sym_number_literal] = ACTIONS(2508),
    [anon_sym_L_SQUOTE] = ACTIONS(2508),
    [anon_sym_u_SQUOTE] = ACTIONS(2508),
    [anon_sym_U_SQUOTE] = ACTIONS(2508),
    [anon_sym_u8_SQUOTE] = ACTIONS(2508),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_L_DQUOTE] = ACTIONS(2508),
    [anon_sym_u_DQUOTE] = ACTIONS(2508),
    [anon_sym_U_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8_DQUOTE] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [anon_sym_NULL] = ACTIONS(2506),
    [anon_sym_nullptr] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_namespace] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_concept] = ACTIONS(2506),
    [anon_sym_co_return] = ACTIONS(2506),
    [anon_sym_co_yield] = ACTIONS(2506),
    [anon_sym_R_DQUOTE] = ACTIONS(2508),
    [anon_sym_LR_DQUOTE] = ACTIONS(2508),
    [anon_sym_uR_DQUOTE] = ACTIONS(2508),
    [anon_sym_UR_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2508),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_requires] = ACTIONS(2506),
    [sym_this] = ACTIONS(2506),
    [anon_sym_discard] = ACTIONS(2506),
    [anon_sym_precise] = ACTIONS(2506),
    [anon_sym_shared] = ACTIONS(2506),
    [anon_sym_groupshared] = ACTIONS(2506),
    [anon_sym_uniform] = ACTIONS(2506),
    [anon_sym_row_major] = ACTIONS(2506),
    [anon_sym_column_major] = ACTIONS(2506),
    [anon_sym_globallycoherent] = ACTIONS(2506),
    [anon_sym_centroid] = ACTIONS(2506),
    [anon_sym_noperspective] = ACTIONS(2506),
    [anon_sym_nointerpolation] = ACTIONS(2506),
    [anon_sym_sample] = ACTIONS(2506),
    [anon_sym_linear] = ACTIONS(2506),
    [anon_sym_snorm] = ACTIONS(2506),
    [anon_sym_unorm] = ACTIONS(2506),
    [anon_sym_point] = ACTIONS(2506),
    [anon_sym_line] = ACTIONS(2506),
    [anon_sym_triangleadj] = ACTIONS(2506),
    [anon_sym_lineadj] = ACTIONS(2506),
    [anon_sym_triangle] = ACTIONS(2506),
    [anon_sym_cbuffer] = ACTIONS(2506),
  },
  [662] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [663] = {
    [sym_identifier] = ACTIONS(2510),
    [aux_sym_preproc_include_token1] = ACTIONS(2510),
    [aux_sym_preproc_def_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2510),
    [sym_preproc_directive] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_PLUS] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2510),
    [anon_sym_typedef] = ACTIONS(2510),
    [anon_sym_in] = ACTIONS(2510),
    [anon_sym_out] = ACTIONS(2510),
    [anon_sym_inout] = ACTIONS(2510),
    [anon_sym_virtual] = ACTIONS(2510),
    [anon_sym_extern] = ACTIONS(2510),
    [anon_sym___attribute__] = ACTIONS(2510),
    [anon_sym_COLON_COLON] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2512),
    [anon_sym___declspec] = ACTIONS(2510),
    [anon_sym___based] = ACTIONS(2510),
    [anon_sym___cdecl] = ACTIONS(2510),
    [anon_sym___clrcall] = ACTIONS(2510),
    [anon_sym___stdcall] = ACTIONS(2510),
    [anon_sym___fastcall] = ACTIONS(2510),
    [anon_sym___thiscall] = ACTIONS(2510),
    [anon_sym___vectorcall] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_RBRACE] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2510),
    [anon_sym_unsigned] = ACTIONS(2510),
    [anon_sym_long] = ACTIONS(2510),
    [anon_sym_short] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_static] = ACTIONS(2510),
    [anon_sym_register] = ACTIONS(2510),
    [anon_sym_inline] = ACTIONS(2510),
    [anon_sym___inline] = ACTIONS(2510),
    [anon_sym___inline__] = ACTIONS(2510),
    [anon_sym___forceinline] = ACTIONS(2510),
    [anon_sym_thread_local] = ACTIONS(2510),
    [anon_sym___thread] = ACTIONS(2510),
    [anon_sym_const] = ACTIONS(2510),
    [anon_sym_constexpr] = ACTIONS(2510),
    [anon_sym_volatile] = ACTIONS(2510),
    [anon_sym_restrict] = ACTIONS(2510),
    [anon_sym___restrict__] = ACTIONS(2510),
    [anon_sym__Atomic] = ACTIONS(2510),
    [anon_sym__Noreturn] = ACTIONS(2510),
    [anon_sym_noreturn] = ACTIONS(2510),
    [anon_sym__Nonnull] = ACTIONS(2510),
    [anon_sym_mutable] = ACTIONS(2510),
    [anon_sym_constinit] = ACTIONS(2510),
    [anon_sym_consteval] = ACTIONS(2510),
    [anon_sym_alignas] = ACTIONS(2510),
    [anon_sym__Alignas] = ACTIONS(2510),
    [sym_primitive_type] = ACTIONS(2510),
    [anon_sym_enum] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_struct] = ACTIONS(2510),
    [anon_sym_union] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_switch] = ACTIONS(2510),
    [anon_sym_case] = ACTIONS(2510),
    [anon_sym_default] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_do] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2510),
    [anon_sym_return] = ACTIONS(2510),
    [anon_sym_break] = ACTIONS(2510),
    [anon_sym_continue] = ACTIONS(2510),
    [anon_sym_goto] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2510),
    [anon_sym___leave] = ACTIONS(2510),
    [anon_sym_not] = ACTIONS(2510),
    [anon_sym_compl] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_sizeof] = ACTIONS(2510),
    [anon_sym___alignof__] = ACTIONS(2510),
    [anon_sym___alignof] = ACTIONS(2510),
    [anon_sym__alignof] = ACTIONS(2510),
    [anon_sym_alignof] = ACTIONS(2510),
    [anon_sym__Alignof] = ACTIONS(2510),
    [anon_sym_offsetof] = ACTIONS(2510),
    [anon_sym__Generic] = ACTIONS(2510),
    [anon_sym_asm] = ACTIONS(2510),
    [anon_sym___asm__] = ACTIONS(2510),
    [anon_sym___asm] = ACTIONS(2510),
    [sym_number_literal] = ACTIONS(2512),
    [anon_sym_L_SQUOTE] = ACTIONS(2512),
    [anon_sym_u_SQUOTE] = ACTIONS(2512),
    [anon_sym_U_SQUOTE] = ACTIONS(2512),
    [anon_sym_u8_SQUOTE] = ACTIONS(2512),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_L_DQUOTE] = ACTIONS(2512),
    [anon_sym_u_DQUOTE] = ACTIONS(2512),
    [anon_sym_U_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8_DQUOTE] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [sym_true] = ACTIONS(2510),
    [sym_false] = ACTIONS(2510),
    [anon_sym_NULL] = ACTIONS(2510),
    [anon_sym_nullptr] = ACTIONS(2510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2510),
    [anon_sym_decltype] = ACTIONS(2510),
    [anon_sym_explicit] = ACTIONS(2510),
    [anon_sym_typename] = ACTIONS(2510),
    [anon_sym_template] = ACTIONS(2510),
    [anon_sym_operator] = ACTIONS(2510),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2510),
    [anon_sym_throw] = ACTIONS(2510),
    [anon_sym_namespace] = ACTIONS(2510),
    [anon_sym_using] = ACTIONS(2510),
    [anon_sym_static_assert] = ACTIONS(2510),
    [anon_sym_concept] = ACTIONS(2510),
    [anon_sym_co_return] = ACTIONS(2510),
    [anon_sym_co_yield] = ACTIONS(2510),
    [anon_sym_R_DQUOTE] = ACTIONS(2512),
    [anon_sym_LR_DQUOTE] = ACTIONS(2512),
    [anon_sym_uR_DQUOTE] = ACTIONS(2512),
    [anon_sym_UR_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2512),
    [anon_sym_co_await] = ACTIONS(2510),
    [anon_sym_new] = ACTIONS(2510),
    [anon_sym_requires] = ACTIONS(2510),
    [sym_this] = ACTIONS(2510),
    [anon_sym_discard] = ACTIONS(2510),
    [anon_sym_precise] = ACTIONS(2510),
    [anon_sym_shared] = ACTIONS(2510),
    [anon_sym_groupshared] = ACTIONS(2510),
    [anon_sym_uniform] = ACTIONS(2510),
    [anon_sym_row_major] = ACTIONS(2510),
    [anon_sym_column_major] = ACTIONS(2510),
    [anon_sym_globallycoherent] = ACTIONS(2510),
    [anon_sym_centroid] = ACTIONS(2510),
    [anon_sym_noperspective] = ACTIONS(2510),
    [anon_sym_nointerpolation] = ACTIONS(2510),
    [anon_sym_sample] = ACTIONS(2510),
    [anon_sym_linear] = ACTIONS(2510),
    [anon_sym_snorm] = ACTIONS(2510),
    [anon_sym_unorm] = ACTIONS(2510),
    [anon_sym_point] = ACTIONS(2510),
    [anon_sym_line] = ACTIONS(2510),
    [anon_sym_triangleadj] = ACTIONS(2510),
    [anon_sym_lineadj] = ACTIONS(2510),
    [anon_sym_triangle] = ACTIONS(2510),
    [anon_sym_cbuffer] = ACTIONS(2510),
  },
  [664] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_RBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [anon_sym___asm] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
    [anon_sym_discard] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
    [anon_sym_cbuffer] = ACTIONS(2514),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_RBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [anon_sym___asm] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
    [anon_sym_discard] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
    [anon_sym_cbuffer] = ACTIONS(2518),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_RBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [anon_sym___asm] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
    [anon_sym_discard] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
    [anon_sym_cbuffer] = ACTIONS(2518),
  },
  [667] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_out] = ACTIONS(2428),
    [anon_sym_inout] = ACTIONS(2428),
    [anon_sym_virtual] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___based] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_RBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_mutable] = ACTIONS(2428),
    [anon_sym_constinit] = ACTIONS(2428),
    [anon_sym_consteval] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_class] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2428),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_compl] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2428),
    [anon_sym_decltype] = ACTIONS(2428),
    [anon_sym_explicit] = ACTIONS(2428),
    [anon_sym_typename] = ACTIONS(2428),
    [anon_sym_template] = ACTIONS(2428),
    [anon_sym_operator] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_delete] = ACTIONS(2428),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_using] = ACTIONS(2428),
    [anon_sym_static_assert] = ACTIONS(2428),
    [anon_sym_concept] = ACTIONS(2428),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2428),
    [anon_sym_R_DQUOTE] = ACTIONS(2430),
    [anon_sym_LR_DQUOTE] = ACTIONS(2430),
    [anon_sym_uR_DQUOTE] = ACTIONS(2430),
    [anon_sym_UR_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2430),
    [anon_sym_co_await] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_requires] = ACTIONS(2428),
    [sym_this] = ACTIONS(2428),
    [anon_sym_discard] = ACTIONS(2428),
    [anon_sym_precise] = ACTIONS(2428),
    [anon_sym_shared] = ACTIONS(2428),
    [anon_sym_groupshared] = ACTIONS(2428),
    [anon_sym_uniform] = ACTIONS(2428),
    [anon_sym_row_major] = ACTIONS(2428),
    [anon_sym_column_major] = ACTIONS(2428),
    [anon_sym_globallycoherent] = ACTIONS(2428),
    [anon_sym_centroid] = ACTIONS(2428),
    [anon_sym_noperspective] = ACTIONS(2428),
    [anon_sym_nointerpolation] = ACTIONS(2428),
    [anon_sym_sample] = ACTIONS(2428),
    [anon_sym_linear] = ACTIONS(2428),
    [anon_sym_snorm] = ACTIONS(2428),
    [anon_sym_unorm] = ACTIONS(2428),
    [anon_sym_point] = ACTIONS(2428),
    [anon_sym_line] = ACTIONS(2428),
    [anon_sym_triangleadj] = ACTIONS(2428),
    [anon_sym_lineadj] = ACTIONS(2428),
    [anon_sym_triangle] = ACTIONS(2428),
    [anon_sym_cbuffer] = ACTIONS(2428),
  },
  [668] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym___leave] = ACTIONS(2448),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_concept] = ACTIONS(2448),
    [anon_sym_co_return] = ACTIONS(2448),
    [anon_sym_co_yield] = ACTIONS(2448),
    [anon_sym_R_DQUOTE] = ACTIONS(2450),
    [anon_sym_LR_DQUOTE] = ACTIONS(2450),
    [anon_sym_uR_DQUOTE] = ACTIONS(2450),
    [anon_sym_UR_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2450),
    [anon_sym_co_await] = ACTIONS(2448),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_requires] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [anon_sym_discard] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
    [anon_sym_cbuffer] = ACTIONS(2448),
  },
  [669] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [anon_sym___asm] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
    [anon_sym_discard] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
    [anon_sym_cbuffer] = ACTIONS(2637),
  },
  [670] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [671] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [672] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_include_token1] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_in] = ACTIONS(2526),
    [anon_sym_out] = ACTIONS(2526),
    [anon_sym_inout] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym___cdecl] = ACTIONS(2526),
    [anon_sym___clrcall] = ACTIONS(2526),
    [anon_sym___stdcall] = ACTIONS(2526),
    [anon_sym___fastcall] = ACTIONS(2526),
    [anon_sym___thiscall] = ACTIONS(2526),
    [anon_sym___vectorcall] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(2528),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym__Nonnull] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2526),
    [anon_sym_case] = ACTIONS(2526),
    [anon_sym_default] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_break] = ACTIONS(2526),
    [anon_sym_continue] = ACTIONS(2526),
    [anon_sym_goto] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2526),
    [anon_sym___leave] = ACTIONS(2526),
    [anon_sym_not] = ACTIONS(2526),
    [anon_sym_compl] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_sizeof] = ACTIONS(2526),
    [anon_sym___alignof__] = ACTIONS(2526),
    [anon_sym___alignof] = ACTIONS(2526),
    [anon_sym__alignof] = ACTIONS(2526),
    [anon_sym_alignof] = ACTIONS(2526),
    [anon_sym__Alignof] = ACTIONS(2526),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2526),
    [anon_sym_asm] = ACTIONS(2526),
    [anon_sym___asm__] = ACTIONS(2526),
    [anon_sym___asm] = ACTIONS(2526),
    [sym_number_literal] = ACTIONS(2528),
    [anon_sym_L_SQUOTE] = ACTIONS(2528),
    [anon_sym_u_SQUOTE] = ACTIONS(2528),
    [anon_sym_U_SQUOTE] = ACTIONS(2528),
    [anon_sym_u8_SQUOTE] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_L_DQUOTE] = ACTIONS(2528),
    [anon_sym_u_DQUOTE] = ACTIONS(2528),
    [anon_sym_U_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2528),
    [sym_true] = ACTIONS(2526),
    [sym_false] = ACTIONS(2526),
    [anon_sym_NULL] = ACTIONS(2526),
    [anon_sym_nullptr] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_delete] = ACTIONS(2526),
    [anon_sym_throw] = ACTIONS(2526),
    [anon_sym_namespace] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_concept] = ACTIONS(2526),
    [anon_sym_co_return] = ACTIONS(2526),
    [anon_sym_co_yield] = ACTIONS(2526),
    [anon_sym_R_DQUOTE] = ACTIONS(2528),
    [anon_sym_LR_DQUOTE] = ACTIONS(2528),
    [anon_sym_uR_DQUOTE] = ACTIONS(2528),
    [anon_sym_UR_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2528),
    [anon_sym_co_await] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_requires] = ACTIONS(2526),
    [sym_this] = ACTIONS(2526),
    [anon_sym_discard] = ACTIONS(2526),
    [anon_sym_precise] = ACTIONS(2526),
    [anon_sym_shared] = ACTIONS(2526),
    [anon_sym_groupshared] = ACTIONS(2526),
    [anon_sym_uniform] = ACTIONS(2526),
    [anon_sym_row_major] = ACTIONS(2526),
    [anon_sym_column_major] = ACTIONS(2526),
    [anon_sym_globallycoherent] = ACTIONS(2526),
    [anon_sym_centroid] = ACTIONS(2526),
    [anon_sym_noperspective] = ACTIONS(2526),
    [anon_sym_nointerpolation] = ACTIONS(2526),
    [anon_sym_sample] = ACTIONS(2526),
    [anon_sym_linear] = ACTIONS(2526),
    [anon_sym_snorm] = ACTIONS(2526),
    [anon_sym_unorm] = ACTIONS(2526),
    [anon_sym_point] = ACTIONS(2526),
    [anon_sym_line] = ACTIONS(2526),
    [anon_sym_triangleadj] = ACTIONS(2526),
    [anon_sym_lineadj] = ACTIONS(2526),
    [anon_sym_triangle] = ACTIONS(2526),
    [anon_sym_cbuffer] = ACTIONS(2526),
  },
  [673] = {
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_include_token1] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_in] = ACTIONS(2530),
    [anon_sym_out] = ACTIONS(2530),
    [anon_sym_inout] = ACTIONS(2530),
    [anon_sym_virtual] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym___cdecl] = ACTIONS(2530),
    [anon_sym___clrcall] = ACTIONS(2530),
    [anon_sym___stdcall] = ACTIONS(2530),
    [anon_sym___fastcall] = ACTIONS(2530),
    [anon_sym___thiscall] = ACTIONS(2530),
    [anon_sym___vectorcall] = ACTIONS(2530),
    [anon_sym_LBRACE] = ACTIONS(2532),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym__Nonnull] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_switch] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2530),
    [anon_sym_default] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_do] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2530),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_goto] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2530),
    [anon_sym___leave] = ACTIONS(2530),
    [anon_sym_not] = ACTIONS(2530),
    [anon_sym_compl] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_sizeof] = ACTIONS(2530),
    [anon_sym___alignof__] = ACTIONS(2530),
    [anon_sym___alignof] = ACTIONS(2530),
    [anon_sym__alignof] = ACTIONS(2530),
    [anon_sym_alignof] = ACTIONS(2530),
    [anon_sym__Alignof] = ACTIONS(2530),
    [anon_sym_offsetof] = ACTIONS(2530),
    [anon_sym__Generic] = ACTIONS(2530),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [sym_number_literal] = ACTIONS(2532),
    [anon_sym_L_SQUOTE] = ACTIONS(2532),
    [anon_sym_u_SQUOTE] = ACTIONS(2532),
    [anon_sym_U_SQUOTE] = ACTIONS(2532),
    [anon_sym_u8_SQUOTE] = ACTIONS(2532),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [anon_sym_L_DQUOTE] = ACTIONS(2532),
    [anon_sym_u_DQUOTE] = ACTIONS(2532),
    [anon_sym_U_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8_DQUOTE] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [sym_true] = ACTIONS(2530),
    [sym_false] = ACTIONS(2530),
    [anon_sym_NULL] = ACTIONS(2530),
    [anon_sym_nullptr] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_try] = ACTIONS(2530),
    [anon_sym_delete] = ACTIONS(2530),
    [anon_sym_throw] = ACTIONS(2530),
    [anon_sym_namespace] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_concept] = ACTIONS(2530),
    [anon_sym_co_return] = ACTIONS(2530),
    [anon_sym_co_yield] = ACTIONS(2530),
    [anon_sym_R_DQUOTE] = ACTIONS(2532),
    [anon_sym_LR_DQUOTE] = ACTIONS(2532),
    [anon_sym_uR_DQUOTE] = ACTIONS(2532),
    [anon_sym_UR_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2532),
    [anon_sym_co_await] = ACTIONS(2530),
    [anon_sym_new] = ACTIONS(2530),
    [anon_sym_requires] = ACTIONS(2530),
    [sym_this] = ACTIONS(2530),
    [anon_sym_discard] = ACTIONS(2530),
    [anon_sym_precise] = ACTIONS(2530),
    [anon_sym_shared] = ACTIONS(2530),
    [anon_sym_groupshared] = ACTIONS(2530),
    [anon_sym_uniform] = ACTIONS(2530),
    [anon_sym_row_major] = ACTIONS(2530),
    [anon_sym_column_major] = ACTIONS(2530),
    [anon_sym_globallycoherent] = ACTIONS(2530),
    [anon_sym_centroid] = ACTIONS(2530),
    [anon_sym_noperspective] = ACTIONS(2530),
    [anon_sym_nointerpolation] = ACTIONS(2530),
    [anon_sym_sample] = ACTIONS(2530),
    [anon_sym_linear] = ACTIONS(2530),
    [anon_sym_snorm] = ACTIONS(2530),
    [anon_sym_unorm] = ACTIONS(2530),
    [anon_sym_point] = ACTIONS(2530),
    [anon_sym_line] = ACTIONS(2530),
    [anon_sym_triangleadj] = ACTIONS(2530),
    [anon_sym_lineadj] = ACTIONS(2530),
    [anon_sym_triangle] = ACTIONS(2530),
    [anon_sym_cbuffer] = ACTIONS(2530),
  },
  [674] = {
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_include_token1] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2534),
    [anon_sym_out] = ACTIONS(2534),
    [anon_sym_inout] = ACTIONS(2534),
    [anon_sym_virtual] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym___cdecl] = ACTIONS(2534),
    [anon_sym___clrcall] = ACTIONS(2534),
    [anon_sym___stdcall] = ACTIONS(2534),
    [anon_sym___fastcall] = ACTIONS(2534),
    [anon_sym___thiscall] = ACTIONS(2534),
    [anon_sym___vectorcall] = ACTIONS(2534),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_RBRACE] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym__Nonnull] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_switch] = ACTIONS(2534),
    [anon_sym_case] = ACTIONS(2534),
    [anon_sym_default] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_do] = ACTIONS(2534),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_break] = ACTIONS(2534),
    [anon_sym_continue] = ACTIONS(2534),
    [anon_sym_goto] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2534),
    [anon_sym___leave] = ACTIONS(2534),
    [anon_sym_not] = ACTIONS(2534),
    [anon_sym_compl] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_sizeof] = ACTIONS(2534),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2534),
    [anon_sym__Generic] = ACTIONS(2534),
    [anon_sym_asm] = ACTIONS(2534),
    [anon_sym___asm__] = ACTIONS(2534),
    [anon_sym___asm] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2536),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2536),
    [anon_sym_u_DQUOTE] = ACTIONS(2536),
    [anon_sym_U_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8_DQUOTE] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [anon_sym_NULL] = ACTIONS(2534),
    [anon_sym_nullptr] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_try] = ACTIONS(2534),
    [anon_sym_delete] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2534),
    [anon_sym_namespace] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_concept] = ACTIONS(2534),
    [anon_sym_co_return] = ACTIONS(2534),
    [anon_sym_co_yield] = ACTIONS(2534),
    [anon_sym_R_DQUOTE] = ACTIONS(2536),
    [anon_sym_LR_DQUOTE] = ACTIONS(2536),
    [anon_sym_uR_DQUOTE] = ACTIONS(2536),
    [anon_sym_UR_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2536),
    [anon_sym_co_await] = ACTIONS(2534),
    [anon_sym_new] = ACTIONS(2534),
    [anon_sym_requires] = ACTIONS(2534),
    [sym_this] = ACTIONS(2534),
    [anon_sym_discard] = ACTIONS(2534),
    [anon_sym_precise] = ACTIONS(2534),
    [anon_sym_shared] = ACTIONS(2534),
    [anon_sym_groupshared] = ACTIONS(2534),
    [anon_sym_uniform] = ACTIONS(2534),
    [anon_sym_row_major] = ACTIONS(2534),
    [anon_sym_column_major] = ACTIONS(2534),
    [anon_sym_globallycoherent] = ACTIONS(2534),
    [anon_sym_centroid] = ACTIONS(2534),
    [anon_sym_noperspective] = ACTIONS(2534),
    [anon_sym_nointerpolation] = ACTIONS(2534),
    [anon_sym_sample] = ACTIONS(2534),
    [anon_sym_linear] = ACTIONS(2534),
    [anon_sym_snorm] = ACTIONS(2534),
    [anon_sym_unorm] = ACTIONS(2534),
    [anon_sym_point] = ACTIONS(2534),
    [anon_sym_line] = ACTIONS(2534),
    [anon_sym_triangleadj] = ACTIONS(2534),
    [anon_sym_lineadj] = ACTIONS(2534),
    [anon_sym_triangle] = ACTIONS(2534),
    [anon_sym_cbuffer] = ACTIONS(2534),
  },
  [675] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [anon_sym___asm] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
    [anon_sym_discard] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
    [anon_sym_cbuffer] = ACTIONS(2641),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_RBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym___leave] = ACTIONS(2452),
    [anon_sym_not] = ACTIONS(2452),
    [anon_sym_compl] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_concept] = ACTIONS(2452),
    [anon_sym_co_return] = ACTIONS(2452),
    [anon_sym_co_yield] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [sym_this] = ACTIONS(2452),
    [anon_sym_discard] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
    [anon_sym_cbuffer] = ACTIONS(2452),
  },
  [677] = {
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_include_token1] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_in] = ACTIONS(2538),
    [anon_sym_out] = ACTIONS(2538),
    [anon_sym_inout] = ACTIONS(2538),
    [anon_sym_virtual] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym___cdecl] = ACTIONS(2538),
    [anon_sym___clrcall] = ACTIONS(2538),
    [anon_sym___stdcall] = ACTIONS(2538),
    [anon_sym___fastcall] = ACTIONS(2538),
    [anon_sym___thiscall] = ACTIONS(2538),
    [anon_sym___vectorcall] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(2540),
    [anon_sym_RBRACE] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym__Nonnull] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_switch] = ACTIONS(2538),
    [anon_sym_case] = ACTIONS(2538),
    [anon_sym_default] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_do] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2538),
    [anon_sym_return] = ACTIONS(2538),
    [anon_sym_break] = ACTIONS(2538),
    [anon_sym_continue] = ACTIONS(2538),
    [anon_sym_goto] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2538),
    [anon_sym___leave] = ACTIONS(2538),
    [anon_sym_not] = ACTIONS(2538),
    [anon_sym_compl] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2540),
    [anon_sym_sizeof] = ACTIONS(2538),
    [anon_sym___alignof__] = ACTIONS(2538),
    [anon_sym___alignof] = ACTIONS(2538),
    [anon_sym__alignof] = ACTIONS(2538),
    [anon_sym_alignof] = ACTIONS(2538),
    [anon_sym__Alignof] = ACTIONS(2538),
    [anon_sym_offsetof] = ACTIONS(2538),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2538),
    [anon_sym___asm__] = ACTIONS(2538),
    [anon_sym___asm] = ACTIONS(2538),
    [sym_number_literal] = ACTIONS(2540),
    [anon_sym_L_SQUOTE] = ACTIONS(2540),
    [anon_sym_u_SQUOTE] = ACTIONS(2540),
    [anon_sym_U_SQUOTE] = ACTIONS(2540),
    [anon_sym_u8_SQUOTE] = ACTIONS(2540),
    [anon_sym_SQUOTE] = ACTIONS(2540),
    [anon_sym_L_DQUOTE] = ACTIONS(2540),
    [anon_sym_u_DQUOTE] = ACTIONS(2540),
    [anon_sym_U_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8_DQUOTE] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2540),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [anon_sym_NULL] = ACTIONS(2538),
    [anon_sym_nullptr] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_try] = ACTIONS(2538),
    [anon_sym_delete] = ACTIONS(2538),
    [anon_sym_throw] = ACTIONS(2538),
    [anon_sym_namespace] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_concept] = ACTIONS(2538),
    [anon_sym_co_return] = ACTIONS(2538),
    [anon_sym_co_yield] = ACTIONS(2538),
    [anon_sym_R_DQUOTE] = ACTIONS(2540),
    [anon_sym_LR_DQUOTE] = ACTIONS(2540),
    [anon_sym_uR_DQUOTE] = ACTIONS(2540),
    [anon_sym_UR_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2540),
    [anon_sym_co_await] = ACTIONS(2538),
    [anon_sym_new] = ACTIONS(2538),
    [anon_sym_requires] = ACTIONS(2538),
    [sym_this] = ACTIONS(2538),
    [anon_sym_discard] = ACTIONS(2538),
    [anon_sym_precise] = ACTIONS(2538),
    [anon_sym_shared] = ACTIONS(2538),
    [anon_sym_groupshared] = ACTIONS(2538),
    [anon_sym_uniform] = ACTIONS(2538),
    [anon_sym_row_major] = ACTIONS(2538),
    [anon_sym_column_major] = ACTIONS(2538),
    [anon_sym_globallycoherent] = ACTIONS(2538),
    [anon_sym_centroid] = ACTIONS(2538),
    [anon_sym_noperspective] = ACTIONS(2538),
    [anon_sym_nointerpolation] = ACTIONS(2538),
    [anon_sym_sample] = ACTIONS(2538),
    [anon_sym_linear] = ACTIONS(2538),
    [anon_sym_snorm] = ACTIONS(2538),
    [anon_sym_unorm] = ACTIONS(2538),
    [anon_sym_point] = ACTIONS(2538),
    [anon_sym_line] = ACTIONS(2538),
    [anon_sym_triangleadj] = ACTIONS(2538),
    [anon_sym_lineadj] = ACTIONS(2538),
    [anon_sym_triangle] = ACTIONS(2538),
    [anon_sym_cbuffer] = ACTIONS(2538),
  },
  [678] = {
    [sym_identifier] = ACTIONS(2372),
    [aux_sym_preproc_include_token1] = ACTIONS(2372),
    [aux_sym_preproc_def_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token2] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2372),
    [sym_preproc_directive] = ACTIONS(2372),
    [anon_sym_LPAREN2] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym___extension__] = ACTIONS(2372),
    [anon_sym_typedef] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_out] = ACTIONS(2372),
    [anon_sym_inout] = ACTIONS(2372),
    [anon_sym_virtual] = ACTIONS(2372),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym___attribute__] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2374),
    [anon_sym___declspec] = ACTIONS(2372),
    [anon_sym___based] = ACTIONS(2372),
    [anon_sym___cdecl] = ACTIONS(2372),
    [anon_sym___clrcall] = ACTIONS(2372),
    [anon_sym___stdcall] = ACTIONS(2372),
    [anon_sym___fastcall] = ACTIONS(2372),
    [anon_sym___thiscall] = ACTIONS(2372),
    [anon_sym___vectorcall] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2372),
    [anon_sym_unsigned] = ACTIONS(2372),
    [anon_sym_long] = ACTIONS(2372),
    [anon_sym_short] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_register] = ACTIONS(2372),
    [anon_sym_inline] = ACTIONS(2372),
    [anon_sym___inline] = ACTIONS(2372),
    [anon_sym___inline__] = ACTIONS(2372),
    [anon_sym___forceinline] = ACTIONS(2372),
    [anon_sym_thread_local] = ACTIONS(2372),
    [anon_sym___thread] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_constexpr] = ACTIONS(2372),
    [anon_sym_volatile] = ACTIONS(2372),
    [anon_sym_restrict] = ACTIONS(2372),
    [anon_sym___restrict__] = ACTIONS(2372),
    [anon_sym__Atomic] = ACTIONS(2372),
    [anon_sym__Noreturn] = ACTIONS(2372),
    [anon_sym_noreturn] = ACTIONS(2372),
    [anon_sym__Nonnull] = ACTIONS(2372),
    [anon_sym_mutable] = ACTIONS(2372),
    [anon_sym_constinit] = ACTIONS(2372),
    [anon_sym_consteval] = ACTIONS(2372),
    [anon_sym_alignas] = ACTIONS(2372),
    [anon_sym__Alignas] = ACTIONS(2372),
    [sym_primitive_type] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_struct] = ACTIONS(2372),
    [anon_sym_union] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2372),
    [anon_sym___leave] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_compl] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(2372),
    [anon_sym___alignof] = ACTIONS(2372),
    [anon_sym__alignof] = ACTIONS(2372),
    [anon_sym_alignof] = ACTIONS(2372),
    [anon_sym__Alignof] = ACTIONS(2372),
    [anon_sym_offsetof] = ACTIONS(2372),
    [anon_sym__Generic] = ACTIONS(2372),
    [anon_sym_asm] = ACTIONS(2372),
    [anon_sym___asm__] = ACTIONS(2372),
    [anon_sym___asm] = ACTIONS(2372),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2374),
    [anon_sym_u_SQUOTE] = ACTIONS(2374),
    [anon_sym_U_SQUOTE] = ACTIONS(2374),
    [anon_sym_u8_SQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_L_DQUOTE] = ACTIONS(2374),
    [anon_sym_u_DQUOTE] = ACTIONS(2374),
    [anon_sym_U_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8_DQUOTE] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [anon_sym_NULL] = ACTIONS(2372),
    [anon_sym_nullptr] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2372),
    [anon_sym_decltype] = ACTIONS(2372),
    [anon_sym_explicit] = ACTIONS(2372),
    [anon_sym_typename] = ACTIONS(2372),
    [anon_sym_template] = ACTIONS(2372),
    [anon_sym_operator] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_using] = ACTIONS(2372),
    [anon_sym_static_assert] = ACTIONS(2372),
    [anon_sym_concept] = ACTIONS(2372),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2372),
    [anon_sym_R_DQUOTE] = ACTIONS(2374),
    [anon_sym_LR_DQUOTE] = ACTIONS(2374),
    [anon_sym_uR_DQUOTE] = ACTIONS(2374),
    [anon_sym_UR_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2374),
    [anon_sym_co_await] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_requires] = ACTIONS(2372),
    [sym_this] = ACTIONS(2372),
    [anon_sym_discard] = ACTIONS(2372),
    [anon_sym_precise] = ACTIONS(2372),
    [anon_sym_shared] = ACTIONS(2372),
    [anon_sym_groupshared] = ACTIONS(2372),
    [anon_sym_uniform] = ACTIONS(2372),
    [anon_sym_row_major] = ACTIONS(2372),
    [anon_sym_column_major] = ACTIONS(2372),
    [anon_sym_globallycoherent] = ACTIONS(2372),
    [anon_sym_centroid] = ACTIONS(2372),
    [anon_sym_noperspective] = ACTIONS(2372),
    [anon_sym_nointerpolation] = ACTIONS(2372),
    [anon_sym_sample] = ACTIONS(2372),
    [anon_sym_linear] = ACTIONS(2372),
    [anon_sym_snorm] = ACTIONS(2372),
    [anon_sym_unorm] = ACTIONS(2372),
    [anon_sym_point] = ACTIONS(2372),
    [anon_sym_line] = ACTIONS(2372),
    [anon_sym_triangleadj] = ACTIONS(2372),
    [anon_sym_lineadj] = ACTIONS(2372),
    [anon_sym_triangle] = ACTIONS(2372),
    [anon_sym_cbuffer] = ACTIONS(2372),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_include_token1] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token2] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym___cdecl] = ACTIONS(2384),
    [anon_sym___clrcall] = ACTIONS(2384),
    [anon_sym___stdcall] = ACTIONS(2384),
    [anon_sym___fastcall] = ACTIONS(2384),
    [anon_sym___thiscall] = ACTIONS(2384),
    [anon_sym___vectorcall] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym__Nonnull] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym__Alignas] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_goto] = ACTIONS(2384),
    [anon_sym___try] = ACTIONS(2384),
    [anon_sym___leave] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2384),
    [anon_sym_compl] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2384),
    [anon_sym___alignof] = ACTIONS(2384),
    [anon_sym__alignof] = ACTIONS(2384),
    [anon_sym_alignof] = ACTIONS(2384),
    [anon_sym__Alignof] = ACTIONS(2384),
    [anon_sym_offsetof] = ACTIONS(2384),
    [anon_sym__Generic] = ACTIONS(2384),
    [anon_sym_asm] = ACTIONS(2384),
    [anon_sym___asm__] = ACTIONS(2384),
    [anon_sym___asm] = ACTIONS(2384),
    [sym_number_literal] = ACTIONS(2386),
    [anon_sym_L_SQUOTE] = ACTIONS(2386),
    [anon_sym_u_SQUOTE] = ACTIONS(2386),
    [anon_sym_U_SQUOTE] = ACTIONS(2386),
    [anon_sym_u8_SQUOTE] = ACTIONS(2386),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_L_DQUOTE] = ACTIONS(2386),
    [anon_sym_u_DQUOTE] = ACTIONS(2386),
    [anon_sym_U_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8_DQUOTE] = ACTIONS(2386),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_NULL] = ACTIONS(2384),
    [anon_sym_nullptr] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_delete] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_concept] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2384),
    [anon_sym_co_yield] = ACTIONS(2384),
    [anon_sym_R_DQUOTE] = ACTIONS(2386),
    [anon_sym_LR_DQUOTE] = ACTIONS(2386),
    [anon_sym_uR_DQUOTE] = ACTIONS(2386),
    [anon_sym_UR_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2386),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_requires] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [anon_sym_discard] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
    [anon_sym_cbuffer] = ACTIONS(2384),
  },
  [680] = {
    [sym_identifier] = ACTIONS(2396),
    [aux_sym_preproc_include_token1] = ACTIONS(2396),
    [aux_sym_preproc_def_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token2] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2396),
    [sym_preproc_directive] = ACTIONS(2396),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_typedef] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym___cdecl] = ACTIONS(2396),
    [anon_sym___clrcall] = ACTIONS(2396),
    [anon_sym___stdcall] = ACTIONS(2396),
    [anon_sym___fastcall] = ACTIONS(2396),
    [anon_sym___thiscall] = ACTIONS(2396),
    [anon_sym___vectorcall] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym__Nonnull] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym__Alignas] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2396),
    [anon_sym_class] = ACTIONS(2396),
    [anon_sym_struct] = ACTIONS(2396),
    [anon_sym_union] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2396),
    [anon_sym_switch] = ACTIONS(2396),
    [anon_sym_case] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [anon_sym_do] = ACTIONS(2396),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_break] = ACTIONS(2396),
    [anon_sym_continue] = ACTIONS(2396),
    [anon_sym_goto] = ACTIONS(2396),
    [anon_sym___try] = ACTIONS(2396),
    [anon_sym___leave] = ACTIONS(2396),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_compl] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_sizeof] = ACTIONS(2396),
    [anon_sym___alignof__] = ACTIONS(2396),
    [anon_sym___alignof] = ACTIONS(2396),
    [anon_sym__alignof] = ACTIONS(2396),
    [anon_sym_alignof] = ACTIONS(2396),
    [anon_sym__Alignof] = ACTIONS(2396),
    [anon_sym_offsetof] = ACTIONS(2396),
    [anon_sym__Generic] = ACTIONS(2396),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [anon_sym___asm] = ACTIONS(2396),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2398),
    [anon_sym_u_SQUOTE] = ACTIONS(2398),
    [anon_sym_U_SQUOTE] = ACTIONS(2398),
    [anon_sym_u8_SQUOTE] = ACTIONS(2398),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2396),
    [sym_false] = ACTIONS(2396),
    [anon_sym_NULL] = ACTIONS(2396),
    [anon_sym_nullptr] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_explicit] = ACTIONS(2396),
    [anon_sym_typename] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_operator] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_delete] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2396),
    [anon_sym_using] = ACTIONS(2396),
    [anon_sym_static_assert] = ACTIONS(2396),
    [anon_sym_concept] = ACTIONS(2396),
    [anon_sym_co_return] = ACTIONS(2396),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2398),
    [anon_sym_LR_DQUOTE] = ACTIONS(2398),
    [anon_sym_uR_DQUOTE] = ACTIONS(2398),
    [anon_sym_UR_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2398),
    [anon_sym_co_await] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [sym_this] = ACTIONS(2396),
    [anon_sym_discard] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
    [anon_sym_cbuffer] = ACTIONS(2396),
  },
  [681] = {
    [sym_identifier] = ACTIONS(2404),
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_TILDE] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym___extension__] = ACTIONS(2404),
    [anon_sym_typedef] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_out] = ACTIONS(2404),
    [anon_sym_inout] = ACTIONS(2404),
    [anon_sym_virtual] = ACTIONS(2404),
    [anon_sym_extern] = ACTIONS(2404),
    [anon_sym___attribute__] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2406),
    [anon_sym___declspec] = ACTIONS(2404),
    [anon_sym___based] = ACTIONS(2404),
    [anon_sym___cdecl] = ACTIONS(2404),
    [anon_sym___clrcall] = ACTIONS(2404),
    [anon_sym___stdcall] = ACTIONS(2404),
    [anon_sym___fastcall] = ACTIONS(2404),
    [anon_sym___thiscall] = ACTIONS(2404),
    [anon_sym___vectorcall] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_signed] = ACTIONS(2404),
    [anon_sym_unsigned] = ACTIONS(2404),
    [anon_sym_long] = ACTIONS(2404),
    [anon_sym_short] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_static] = ACTIONS(2404),
    [anon_sym_register] = ACTIONS(2404),
    [anon_sym_inline] = ACTIONS(2404),
    [anon_sym___inline] = ACTIONS(2404),
    [anon_sym___inline__] = ACTIONS(2404),
    [anon_sym___forceinline] = ACTIONS(2404),
    [anon_sym_thread_local] = ACTIONS(2404),
    [anon_sym___thread] = ACTIONS(2404),
    [anon_sym_const] = ACTIONS(2404),
    [anon_sym_constexpr] = ACTIONS(2404),
    [anon_sym_volatile] = ACTIONS(2404),
    [anon_sym_restrict] = ACTIONS(2404),
    [anon_sym___restrict__] = ACTIONS(2404),
    [anon_sym__Atomic] = ACTIONS(2404),
    [anon_sym__Noreturn] = ACTIONS(2404),
    [anon_sym_noreturn] = ACTIONS(2404),
    [anon_sym__Nonnull] = ACTIONS(2404),
    [anon_sym_mutable] = ACTIONS(2404),
    [anon_sym_constinit] = ACTIONS(2404),
    [anon_sym_consteval] = ACTIONS(2404),
    [anon_sym_alignas] = ACTIONS(2404),
    [anon_sym__Alignas] = ACTIONS(2404),
    [sym_primitive_type] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(2404),
    [anon_sym_union] = ACTIONS(2404),
    [anon_sym_if] = ACTIONS(2404),
    [anon_sym_switch] = ACTIONS(2404),
    [anon_sym_case] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2404),
    [anon_sym___leave] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2404),
    [anon_sym_compl] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_sizeof] = ACTIONS(2404),
    [anon_sym___alignof__] = ACTIONS(2404),
    [anon_sym___alignof] = ACTIONS(2404),
    [anon_sym__alignof] = ACTIONS(2404),
    [anon_sym_alignof] = ACTIONS(2404),
    [anon_sym__Alignof] = ACTIONS(2404),
    [anon_sym_offsetof] = ACTIONS(2404),
    [anon_sym__Generic] = ACTIONS(2404),
    [anon_sym_asm] = ACTIONS(2404),
    [anon_sym___asm__] = ACTIONS(2404),
    [anon_sym___asm] = ACTIONS(2404),
    [sym_number_literal] = ACTIONS(2406),
    [anon_sym_L_SQUOTE] = ACTIONS(2406),
    [anon_sym_u_SQUOTE] = ACTIONS(2406),
    [anon_sym_U_SQUOTE] = ACTIONS(2406),
    [anon_sym_u8_SQUOTE] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2406),
    [anon_sym_L_DQUOTE] = ACTIONS(2406),
    [anon_sym_u_DQUOTE] = ACTIONS(2406),
    [anon_sym_U_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8_DQUOTE] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2404),
    [sym_false] = ACTIONS(2404),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2404),
    [anon_sym_decltype] = ACTIONS(2404),
    [anon_sym_explicit] = ACTIONS(2404),
    [anon_sym_typename] = ACTIONS(2404),
    [anon_sym_template] = ACTIONS(2404),
    [anon_sym_operator] = ACTIONS(2404),
    [anon_sym_try] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2404),
    [anon_sym_using] = ACTIONS(2404),
    [anon_sym_static_assert] = ACTIONS(2404),
    [anon_sym_concept] = ACTIONS(2404),
    [anon_sym_co_return] = ACTIONS(2404),
    [anon_sym_co_yield] = ACTIONS(2404),
    [anon_sym_R_DQUOTE] = ACTIONS(2406),
    [anon_sym_LR_DQUOTE] = ACTIONS(2406),
    [anon_sym_uR_DQUOTE] = ACTIONS(2406),
    [anon_sym_UR_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2406),
    [anon_sym_co_await] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2404),
    [anon_sym_requires] = ACTIONS(2404),
    [sym_this] = ACTIONS(2404),
    [anon_sym_discard] = ACTIONS(2404),
    [anon_sym_precise] = ACTIONS(2404),
    [anon_sym_shared] = ACTIONS(2404),
    [anon_sym_groupshared] = ACTIONS(2404),
    [anon_sym_uniform] = ACTIONS(2404),
    [anon_sym_row_major] = ACTIONS(2404),
    [anon_sym_column_major] = ACTIONS(2404),
    [anon_sym_globallycoherent] = ACTIONS(2404),
    [anon_sym_centroid] = ACTIONS(2404),
    [anon_sym_noperspective] = ACTIONS(2404),
    [anon_sym_nointerpolation] = ACTIONS(2404),
    [anon_sym_sample] = ACTIONS(2404),
    [anon_sym_linear] = ACTIONS(2404),
    [anon_sym_snorm] = ACTIONS(2404),
    [anon_sym_unorm] = ACTIONS(2404),
    [anon_sym_point] = ACTIONS(2404),
    [anon_sym_line] = ACTIONS(2404),
    [anon_sym_triangleadj] = ACTIONS(2404),
    [anon_sym_lineadj] = ACTIONS(2404),
    [anon_sym_triangle] = ACTIONS(2404),
    [anon_sym_cbuffer] = ACTIONS(2404),
  },
  [682] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_virtual] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___based] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_mutable] = ACTIONS(2412),
    [anon_sym_constinit] = ACTIONS(2412),
    [anon_sym_consteval] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_class] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym___leave] = ACTIONS(2412),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_compl] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2412),
    [anon_sym_decltype] = ACTIONS(2412),
    [anon_sym_explicit] = ACTIONS(2412),
    [anon_sym_typename] = ACTIONS(2412),
    [anon_sym_template] = ACTIONS(2412),
    [anon_sym_operator] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_namespace] = ACTIONS(2412),
    [anon_sym_using] = ACTIONS(2412),
    [anon_sym_static_assert] = ACTIONS(2412),
    [anon_sym_concept] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2412),
    [anon_sym_co_yield] = ACTIONS(2412),
    [anon_sym_R_DQUOTE] = ACTIONS(2414),
    [anon_sym_LR_DQUOTE] = ACTIONS(2414),
    [anon_sym_uR_DQUOTE] = ACTIONS(2414),
    [anon_sym_UR_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2414),
    [anon_sym_co_await] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2412),
    [anon_sym_requires] = ACTIONS(2412),
    [sym_this] = ACTIONS(2412),
    [anon_sym_discard] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_groupshared] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_row_major] = ACTIONS(2412),
    [anon_sym_column_major] = ACTIONS(2412),
    [anon_sym_globallycoherent] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym_nointerpolation] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_linear] = ACTIONS(2412),
    [anon_sym_snorm] = ACTIONS(2412),
    [anon_sym_unorm] = ACTIONS(2412),
    [anon_sym_point] = ACTIONS(2412),
    [anon_sym_line] = ACTIONS(2412),
    [anon_sym_triangleadj] = ACTIONS(2412),
    [anon_sym_lineadj] = ACTIONS(2412),
    [anon_sym_triangle] = ACTIONS(2412),
    [anon_sym_cbuffer] = ACTIONS(2412),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [684] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_discard] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
    [anon_sym_cbuffer] = ACTIONS(2522),
  },
  [685] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token2] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_out] = ACTIONS(2416),
    [anon_sym_inout] = ACTIONS(2416),
    [anon_sym_virtual] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___based] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_mutable] = ACTIONS(2416),
    [anon_sym_constinit] = ACTIONS(2416),
    [anon_sym_consteval] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym___leave] = ACTIONS(2416),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2416),
    [anon_sym_decltype] = ACTIONS(2416),
    [anon_sym_explicit] = ACTIONS(2416),
    [anon_sym_typename] = ACTIONS(2416),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_operator] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_static_assert] = ACTIONS(2416),
    [anon_sym_concept] = ACTIONS(2416),
    [anon_sym_co_return] = ACTIONS(2416),
    [anon_sym_co_yield] = ACTIONS(2416),
    [anon_sym_R_DQUOTE] = ACTIONS(2418),
    [anon_sym_LR_DQUOTE] = ACTIONS(2418),
    [anon_sym_uR_DQUOTE] = ACTIONS(2418),
    [anon_sym_UR_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2418),
    [anon_sym_co_await] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_requires] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [anon_sym_discard] = ACTIONS(2416),
    [anon_sym_precise] = ACTIONS(2416),
    [anon_sym_shared] = ACTIONS(2416),
    [anon_sym_groupshared] = ACTIONS(2416),
    [anon_sym_uniform] = ACTIONS(2416),
    [anon_sym_row_major] = ACTIONS(2416),
    [anon_sym_column_major] = ACTIONS(2416),
    [anon_sym_globallycoherent] = ACTIONS(2416),
    [anon_sym_centroid] = ACTIONS(2416),
    [anon_sym_noperspective] = ACTIONS(2416),
    [anon_sym_nointerpolation] = ACTIONS(2416),
    [anon_sym_sample] = ACTIONS(2416),
    [anon_sym_linear] = ACTIONS(2416),
    [anon_sym_snorm] = ACTIONS(2416),
    [anon_sym_unorm] = ACTIONS(2416),
    [anon_sym_point] = ACTIONS(2416),
    [anon_sym_line] = ACTIONS(2416),
    [anon_sym_triangleadj] = ACTIONS(2416),
    [anon_sym_lineadj] = ACTIONS(2416),
    [anon_sym_triangle] = ACTIONS(2416),
    [anon_sym_cbuffer] = ACTIONS(2416),
  },
  [686] = {
    [sym_identifier] = ACTIONS(2542),
    [aux_sym_preproc_include_token1] = ACTIONS(2542),
    [aux_sym_preproc_def_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2542),
    [sym_preproc_directive] = ACTIONS(2542),
    [anon_sym_LPAREN2] = ACTIONS(2544),
    [anon_sym_BANG] = ACTIONS(2544),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2542),
    [anon_sym_STAR] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2544),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2542),
    [anon_sym_typedef] = ACTIONS(2542),
    [anon_sym_in] = ACTIONS(2542),
    [anon_sym_out] = ACTIONS(2542),
    [anon_sym_inout] = ACTIONS(2542),
    [anon_sym_virtual] = ACTIONS(2542),
    [anon_sym_extern] = ACTIONS(2542),
    [anon_sym___attribute__] = ACTIONS(2542),
    [anon_sym_COLON_COLON] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2544),
    [anon_sym___declspec] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(2542),
    [anon_sym___cdecl] = ACTIONS(2542),
    [anon_sym___clrcall] = ACTIONS(2542),
    [anon_sym___stdcall] = ACTIONS(2542),
    [anon_sym___fastcall] = ACTIONS(2542),
    [anon_sym___thiscall] = ACTIONS(2542),
    [anon_sym___vectorcall] = ACTIONS(2542),
    [anon_sym_LBRACE] = ACTIONS(2544),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2542),
    [anon_sym_unsigned] = ACTIONS(2542),
    [anon_sym_long] = ACTIONS(2542),
    [anon_sym_short] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_static] = ACTIONS(2542),
    [anon_sym_register] = ACTIONS(2542),
    [anon_sym_inline] = ACTIONS(2542),
    [anon_sym___inline] = ACTIONS(2542),
    [anon_sym___inline__] = ACTIONS(2542),
    [anon_sym___forceinline] = ACTIONS(2542),
    [anon_sym_thread_local] = ACTIONS(2542),
    [anon_sym___thread] = ACTIONS(2542),
    [anon_sym_const] = ACTIONS(2542),
    [anon_sym_constexpr] = ACTIONS(2542),
    [anon_sym_volatile] = ACTIONS(2542),
    [anon_sym_restrict] = ACTIONS(2542),
    [anon_sym___restrict__] = ACTIONS(2542),
    [anon_sym__Atomic] = ACTIONS(2542),
    [anon_sym__Noreturn] = ACTIONS(2542),
    [anon_sym_noreturn] = ACTIONS(2542),
    [anon_sym__Nonnull] = ACTIONS(2542),
    [anon_sym_mutable] = ACTIONS(2542),
    [anon_sym_constinit] = ACTIONS(2542),
    [anon_sym_consteval] = ACTIONS(2542),
    [anon_sym_alignas] = ACTIONS(2542),
    [anon_sym__Alignas] = ACTIONS(2542),
    [sym_primitive_type] = ACTIONS(2542),
    [anon_sym_enum] = ACTIONS(2542),
    [anon_sym_class] = ACTIONS(2542),
    [anon_sym_struct] = ACTIONS(2542),
    [anon_sym_union] = ACTIONS(2542),
    [anon_sym_if] = ACTIONS(2542),
    [anon_sym_switch] = ACTIONS(2542),
    [anon_sym_case] = ACTIONS(2542),
    [anon_sym_default] = ACTIONS(2542),
    [anon_sym_while] = ACTIONS(2542),
    [anon_sym_do] = ACTIONS(2542),
    [anon_sym_for] = ACTIONS(2542),
    [anon_sym_return] = ACTIONS(2542),
    [anon_sym_break] = ACTIONS(2542),
    [anon_sym_continue] = ACTIONS(2542),
    [anon_sym_goto] = ACTIONS(2542),
    [anon_sym___try] = ACTIONS(2542),
    [anon_sym___leave] = ACTIONS(2542),
    [anon_sym_not] = ACTIONS(2542),
    [anon_sym_compl] = ACTIONS(2542),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_sizeof] = ACTIONS(2542),
    [anon_sym___alignof__] = ACTIONS(2542),
    [anon_sym___alignof] = ACTIONS(2542),
    [anon_sym__alignof] = ACTIONS(2542),
    [anon_sym_alignof] = ACTIONS(2542),
    [anon_sym__Alignof] = ACTIONS(2542),
    [anon_sym_offsetof] = ACTIONS(2542),
    [anon_sym__Generic] = ACTIONS(2542),
    [anon_sym_asm] = ACTIONS(2542),
    [anon_sym___asm__] = ACTIONS(2542),
    [anon_sym___asm] = ACTIONS(2542),
    [sym_number_literal] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2544),
    [anon_sym_u_SQUOTE] = ACTIONS(2544),
    [anon_sym_U_SQUOTE] = ACTIONS(2544),
    [anon_sym_u8_SQUOTE] = ACTIONS(2544),
    [anon_sym_SQUOTE] = ACTIONS(2544),
    [anon_sym_L_DQUOTE] = ACTIONS(2544),
    [anon_sym_u_DQUOTE] = ACTIONS(2544),
    [anon_sym_U_DQUOTE] = ACTIONS(2544),
    [anon_sym_u8_DQUOTE] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2544),
    [sym_true] = ACTIONS(2542),
    [sym_false] = ACTIONS(2542),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2542),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2542),
    [anon_sym_try] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(2542),
    [anon_sym_throw] = ACTIONS(2542),
    [anon_sym_namespace] = ACTIONS(2542),
    [anon_sym_using] = ACTIONS(2542),
    [anon_sym_static_assert] = ACTIONS(2542),
    [anon_sym_concept] = ACTIONS(2542),
    [anon_sym_co_return] = ACTIONS(2542),
    [anon_sym_co_yield] = ACTIONS(2542),
    [anon_sym_R_DQUOTE] = ACTIONS(2544),
    [anon_sym_LR_DQUOTE] = ACTIONS(2544),
    [anon_sym_uR_DQUOTE] = ACTIONS(2544),
    [anon_sym_UR_DQUOTE] = ACTIONS(2544),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2544),
    [anon_sym_co_await] = ACTIONS(2542),
    [anon_sym_new] = ACTIONS(2542),
    [anon_sym_requires] = ACTIONS(2542),
    [sym_this] = ACTIONS(2542),
    [anon_sym_discard] = ACTIONS(2542),
    [anon_sym_precise] = ACTIONS(2542),
    [anon_sym_shared] = ACTIONS(2542),
    [anon_sym_groupshared] = ACTIONS(2542),
    [anon_sym_uniform] = ACTIONS(2542),
    [anon_sym_row_major] = ACTIONS(2542),
    [anon_sym_column_major] = ACTIONS(2542),
    [anon_sym_globallycoherent] = ACTIONS(2542),
    [anon_sym_centroid] = ACTIONS(2542),
    [anon_sym_noperspective] = ACTIONS(2542),
    [anon_sym_nointerpolation] = ACTIONS(2542),
    [anon_sym_sample] = ACTIONS(2542),
    [anon_sym_linear] = ACTIONS(2542),
    [anon_sym_snorm] = ACTIONS(2542),
    [anon_sym_unorm] = ACTIONS(2542),
    [anon_sym_point] = ACTIONS(2542),
    [anon_sym_line] = ACTIONS(2542),
    [anon_sym_triangleadj] = ACTIONS(2542),
    [anon_sym_lineadj] = ACTIONS(2542),
    [anon_sym_triangle] = ACTIONS(2542),
    [anon_sym_cbuffer] = ACTIONS(2542),
  },
  [687] = {
    [sym_identifier] = ACTIONS(2546),
    [aux_sym_preproc_include_token1] = ACTIONS(2546),
    [aux_sym_preproc_def_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2546),
    [sym_preproc_directive] = ACTIONS(2546),
    [anon_sym_LPAREN2] = ACTIONS(2548),
    [anon_sym_BANG] = ACTIONS(2548),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2548),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2546),
    [anon_sym_typedef] = ACTIONS(2546),
    [anon_sym_in] = ACTIONS(2546),
    [anon_sym_out] = ACTIONS(2546),
    [anon_sym_inout] = ACTIONS(2546),
    [anon_sym_virtual] = ACTIONS(2546),
    [anon_sym_extern] = ACTIONS(2546),
    [anon_sym___attribute__] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2548),
    [anon_sym___declspec] = ACTIONS(2546),
    [anon_sym___based] = ACTIONS(2546),
    [anon_sym___cdecl] = ACTIONS(2546),
    [anon_sym___clrcall] = ACTIONS(2546),
    [anon_sym___stdcall] = ACTIONS(2546),
    [anon_sym___fastcall] = ACTIONS(2546),
    [anon_sym___thiscall] = ACTIONS(2546),
    [anon_sym___vectorcall] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_register] = ACTIONS(2546),
    [anon_sym_inline] = ACTIONS(2546),
    [anon_sym___inline] = ACTIONS(2546),
    [anon_sym___inline__] = ACTIONS(2546),
    [anon_sym___forceinline] = ACTIONS(2546),
    [anon_sym_thread_local] = ACTIONS(2546),
    [anon_sym___thread] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_constexpr] = ACTIONS(2546),
    [anon_sym_volatile] = ACTIONS(2546),
    [anon_sym_restrict] = ACTIONS(2546),
    [anon_sym___restrict__] = ACTIONS(2546),
    [anon_sym__Atomic] = ACTIONS(2546),
    [anon_sym__Noreturn] = ACTIONS(2546),
    [anon_sym_noreturn] = ACTIONS(2546),
    [anon_sym__Nonnull] = ACTIONS(2546),
    [anon_sym_mutable] = ACTIONS(2546),
    [anon_sym_constinit] = ACTIONS(2546),
    [anon_sym_consteval] = ACTIONS(2546),
    [anon_sym_alignas] = ACTIONS(2546),
    [anon_sym__Alignas] = ACTIONS(2546),
    [sym_primitive_type] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_struct] = ACTIONS(2546),
    [anon_sym_union] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_goto] = ACTIONS(2546),
    [anon_sym___try] = ACTIONS(2546),
    [anon_sym___leave] = ACTIONS(2546),
    [anon_sym_not] = ACTIONS(2546),
    [anon_sym_compl] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_sizeof] = ACTIONS(2546),
    [anon_sym___alignof__] = ACTIONS(2546),
    [anon_sym___alignof] = ACTIONS(2546),
    [anon_sym__alignof] = ACTIONS(2546),
    [anon_sym_alignof] = ACTIONS(2546),
    [anon_sym__Alignof] = ACTIONS(2546),
    [anon_sym_offsetof] = ACTIONS(2546),
    [anon_sym__Generic] = ACTIONS(2546),
    [anon_sym_asm] = ACTIONS(2546),
    [anon_sym___asm__] = ACTIONS(2546),
    [anon_sym___asm] = ACTIONS(2546),
    [sym_number_literal] = ACTIONS(2548),
    [anon_sym_L_SQUOTE] = ACTIONS(2548),
    [anon_sym_u_SQUOTE] = ACTIONS(2548),
    [anon_sym_U_SQUOTE] = ACTIONS(2548),
    [anon_sym_u8_SQUOTE] = ACTIONS(2548),
    [anon_sym_SQUOTE] = ACTIONS(2548),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [anon_sym_NULL] = ACTIONS(2546),
    [anon_sym_nullptr] = ACTIONS(2546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2546),
    [anon_sym_decltype] = ACTIONS(2546),
    [anon_sym_explicit] = ACTIONS(2546),
    [anon_sym_typename] = ACTIONS(2546),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_static_assert] = ACTIONS(2546),
    [anon_sym_concept] = ACTIONS(2546),
    [anon_sym_co_return] = ACTIONS(2546),
    [anon_sym_co_yield] = ACTIONS(2546),
    [anon_sym_R_DQUOTE] = ACTIONS(2548),
    [anon_sym_LR_DQUOTE] = ACTIONS(2548),
    [anon_sym_uR_DQUOTE] = ACTIONS(2548),
    [anon_sym_UR_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2548),
    [anon_sym_co_await] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_requires] = ACTIONS(2546),
    [sym_this] = ACTIONS(2546),
    [anon_sym_discard] = ACTIONS(2546),
    [anon_sym_precise] = ACTIONS(2546),
    [anon_sym_shared] = ACTIONS(2546),
    [anon_sym_groupshared] = ACTIONS(2546),
    [anon_sym_uniform] = ACTIONS(2546),
    [anon_sym_row_major] = ACTIONS(2546),
    [anon_sym_column_major] = ACTIONS(2546),
    [anon_sym_globallycoherent] = ACTIONS(2546),
    [anon_sym_centroid] = ACTIONS(2546),
    [anon_sym_noperspective] = ACTIONS(2546),
    [anon_sym_nointerpolation] = ACTIONS(2546),
    [anon_sym_sample] = ACTIONS(2546),
    [anon_sym_linear] = ACTIONS(2546),
    [anon_sym_snorm] = ACTIONS(2546),
    [anon_sym_unorm] = ACTIONS(2546),
    [anon_sym_point] = ACTIONS(2546),
    [anon_sym_line] = ACTIONS(2546),
    [anon_sym_triangleadj] = ACTIONS(2546),
    [anon_sym_lineadj] = ACTIONS(2546),
    [anon_sym_triangle] = ACTIONS(2546),
    [anon_sym_cbuffer] = ACTIONS(2546),
  },
  [688] = {
    [sym_identifier] = ACTIONS(2550),
    [aux_sym_preproc_include_token1] = ACTIONS(2550),
    [aux_sym_preproc_def_token1] = ACTIONS(2550),
    [aux_sym_preproc_if_token1] = ACTIONS(2550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2550),
    [sym_preproc_directive] = ACTIONS(2550),
    [anon_sym_LPAREN2] = ACTIONS(2552),
    [anon_sym_BANG] = ACTIONS(2552),
    [anon_sym_TILDE] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2552),
    [anon_sym___extension__] = ACTIONS(2550),
    [anon_sym_typedef] = ACTIONS(2550),
    [anon_sym_in] = ACTIONS(2550),
    [anon_sym_out] = ACTIONS(2550),
    [anon_sym_inout] = ACTIONS(2550),
    [anon_sym_virtual] = ACTIONS(2550),
    [anon_sym_extern] = ACTIONS(2550),
    [anon_sym___attribute__] = ACTIONS(2550),
    [anon_sym_COLON_COLON] = ACTIONS(2552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2552),
    [anon_sym___declspec] = ACTIONS(2550),
    [anon_sym___based] = ACTIONS(2550),
    [anon_sym___cdecl] = ACTIONS(2550),
    [anon_sym___clrcall] = ACTIONS(2550),
    [anon_sym___stdcall] = ACTIONS(2550),
    [anon_sym___fastcall] = ACTIONS(2550),
    [anon_sym___thiscall] = ACTIONS(2550),
    [anon_sym___vectorcall] = ACTIONS(2550),
    [anon_sym_LBRACE] = ACTIONS(2552),
    [anon_sym_RBRACE] = ACTIONS(2552),
    [anon_sym_signed] = ACTIONS(2550),
    [anon_sym_unsigned] = ACTIONS(2550),
    [anon_sym_long] = ACTIONS(2550),
    [anon_sym_short] = ACTIONS(2550),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym_static] = ACTIONS(2550),
    [anon_sym_register] = ACTIONS(2550),
    [anon_sym_inline] = ACTIONS(2550),
    [anon_sym___inline] = ACTIONS(2550),
    [anon_sym___inline__] = ACTIONS(2550),
    [anon_sym___forceinline] = ACTIONS(2550),
    [anon_sym_thread_local] = ACTIONS(2550),
    [anon_sym___thread] = ACTIONS(2550),
    [anon_sym_const] = ACTIONS(2550),
    [anon_sym_constexpr] = ACTIONS(2550),
    [anon_sym_volatile] = ACTIONS(2550),
    [anon_sym_restrict] = ACTIONS(2550),
    [anon_sym___restrict__] = ACTIONS(2550),
    [anon_sym__Atomic] = ACTIONS(2550),
    [anon_sym__Noreturn] = ACTIONS(2550),
    [anon_sym_noreturn] = ACTIONS(2550),
    [anon_sym__Nonnull] = ACTIONS(2550),
    [anon_sym_mutable] = ACTIONS(2550),
    [anon_sym_constinit] = ACTIONS(2550),
    [anon_sym_consteval] = ACTIONS(2550),
    [anon_sym_alignas] = ACTIONS(2550),
    [anon_sym__Alignas] = ACTIONS(2550),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2550),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_struct] = ACTIONS(2550),
    [anon_sym_union] = ACTIONS(2550),
    [anon_sym_if] = ACTIONS(2550),
    [anon_sym_switch] = ACTIONS(2550),
    [anon_sym_case] = ACTIONS(2550),
    [anon_sym_default] = ACTIONS(2550),
    [anon_sym_while] = ACTIONS(2550),
    [anon_sym_do] = ACTIONS(2550),
    [anon_sym_for] = ACTIONS(2550),
    [anon_sym_return] = ACTIONS(2550),
    [anon_sym_break] = ACTIONS(2550),
    [anon_sym_continue] = ACTIONS(2550),
    [anon_sym_goto] = ACTIONS(2550),
    [anon_sym___try] = ACTIONS(2550),
    [anon_sym___leave] = ACTIONS(2550),
    [anon_sym_not] = ACTIONS(2550),
    [anon_sym_compl] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_sizeof] = ACTIONS(2550),
    [anon_sym___alignof__] = ACTIONS(2550),
    [anon_sym___alignof] = ACTIONS(2550),
    [anon_sym__alignof] = ACTIONS(2550),
    [anon_sym_alignof] = ACTIONS(2550),
    [anon_sym__Alignof] = ACTIONS(2550),
    [anon_sym_offsetof] = ACTIONS(2550),
    [anon_sym__Generic] = ACTIONS(2550),
    [anon_sym_asm] = ACTIONS(2550),
    [anon_sym___asm__] = ACTIONS(2550),
    [anon_sym___asm] = ACTIONS(2550),
    [sym_number_literal] = ACTIONS(2552),
    [anon_sym_L_SQUOTE] = ACTIONS(2552),
    [anon_sym_u_SQUOTE] = ACTIONS(2552),
    [anon_sym_U_SQUOTE] = ACTIONS(2552),
    [anon_sym_u8_SQUOTE] = ACTIONS(2552),
    [anon_sym_SQUOTE] = ACTIONS(2552),
    [anon_sym_L_DQUOTE] = ACTIONS(2552),
    [anon_sym_u_DQUOTE] = ACTIONS(2552),
    [anon_sym_U_DQUOTE] = ACTIONS(2552),
    [anon_sym_u8_DQUOTE] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2552),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2550),
    [anon_sym_nullptr] = ACTIONS(2550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2550),
    [anon_sym_decltype] = ACTIONS(2550),
    [anon_sym_explicit] = ACTIONS(2550),
    [anon_sym_typename] = ACTIONS(2550),
    [anon_sym_template] = ACTIONS(2550),
    [anon_sym_operator] = ACTIONS(2550),
    [anon_sym_try] = ACTIONS(2550),
    [anon_sym_delete] = ACTIONS(2550),
    [anon_sym_throw] = ACTIONS(2550),
    [anon_sym_namespace] = ACTIONS(2550),
    [anon_sym_using] = ACTIONS(2550),
    [anon_sym_static_assert] = ACTIONS(2550),
    [anon_sym_concept] = ACTIONS(2550),
    [anon_sym_co_return] = ACTIONS(2550),
    [anon_sym_co_yield] = ACTIONS(2550),
    [anon_sym_R_DQUOTE] = ACTIONS(2552),
    [anon_sym_LR_DQUOTE] = ACTIONS(2552),
    [anon_sym_uR_DQUOTE] = ACTIONS(2552),
    [anon_sym_UR_DQUOTE] = ACTIONS(2552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2552),
    [anon_sym_co_await] = ACTIONS(2550),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2550),
    [sym_this] = ACTIONS(2550),
    [anon_sym_discard] = ACTIONS(2550),
    [anon_sym_precise] = ACTIONS(2550),
    [anon_sym_shared] = ACTIONS(2550),
    [anon_sym_groupshared] = ACTIONS(2550),
    [anon_sym_uniform] = ACTIONS(2550),
    [anon_sym_row_major] = ACTIONS(2550),
    [anon_sym_column_major] = ACTIONS(2550),
    [anon_sym_globallycoherent] = ACTIONS(2550),
    [anon_sym_centroid] = ACTIONS(2550),
    [anon_sym_noperspective] = ACTIONS(2550),
    [anon_sym_nointerpolation] = ACTIONS(2550),
    [anon_sym_sample] = ACTIONS(2550),
    [anon_sym_linear] = ACTIONS(2550),
    [anon_sym_snorm] = ACTIONS(2550),
    [anon_sym_unorm] = ACTIONS(2550),
    [anon_sym_point] = ACTIONS(2550),
    [anon_sym_line] = ACTIONS(2550),
    [anon_sym_triangleadj] = ACTIONS(2550),
    [anon_sym_lineadj] = ACTIONS(2550),
    [anon_sym_triangle] = ACTIONS(2550),
    [anon_sym_cbuffer] = ACTIONS(2550),
  },
  [689] = {
    [sym_identifier] = ACTIONS(2554),
    [aux_sym_preproc_include_token1] = ACTIONS(2554),
    [aux_sym_preproc_def_token1] = ACTIONS(2554),
    [aux_sym_preproc_if_token1] = ACTIONS(2554),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2554),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2554),
    [sym_preproc_directive] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(2556),
    [anon_sym_BANG] = ACTIONS(2556),
    [anon_sym_TILDE] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym___extension__] = ACTIONS(2554),
    [anon_sym_typedef] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2554),
    [anon_sym_out] = ACTIONS(2554),
    [anon_sym_inout] = ACTIONS(2554),
    [anon_sym_virtual] = ACTIONS(2554),
    [anon_sym_extern] = ACTIONS(2554),
    [anon_sym___attribute__] = ACTIONS(2554),
    [anon_sym_COLON_COLON] = ACTIONS(2556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2556),
    [anon_sym___declspec] = ACTIONS(2554),
    [anon_sym___based] = ACTIONS(2554),
    [anon_sym___cdecl] = ACTIONS(2554),
    [anon_sym___clrcall] = ACTIONS(2554),
    [anon_sym___stdcall] = ACTIONS(2554),
    [anon_sym___fastcall] = ACTIONS(2554),
    [anon_sym___thiscall] = ACTIONS(2554),
    [anon_sym___vectorcall] = ACTIONS(2554),
    [anon_sym_LBRACE] = ACTIONS(2556),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2554),
    [anon_sym_unsigned] = ACTIONS(2554),
    [anon_sym_long] = ACTIONS(2554),
    [anon_sym_short] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_static] = ACTIONS(2554),
    [anon_sym_register] = ACTIONS(2554),
    [anon_sym_inline] = ACTIONS(2554),
    [anon_sym___inline] = ACTIONS(2554),
    [anon_sym___inline__] = ACTIONS(2554),
    [anon_sym___forceinline] = ACTIONS(2554),
    [anon_sym_thread_local] = ACTIONS(2554),
    [anon_sym___thread] = ACTIONS(2554),
    [anon_sym_const] = ACTIONS(2554),
    [anon_sym_constexpr] = ACTIONS(2554),
    [anon_sym_volatile] = ACTIONS(2554),
    [anon_sym_restrict] = ACTIONS(2554),
    [anon_sym___restrict__] = ACTIONS(2554),
    [anon_sym__Atomic] = ACTIONS(2554),
    [anon_sym__Noreturn] = ACTIONS(2554),
    [anon_sym_noreturn] = ACTIONS(2554),
    [anon_sym__Nonnull] = ACTIONS(2554),
    [anon_sym_mutable] = ACTIONS(2554),
    [anon_sym_constinit] = ACTIONS(2554),
    [anon_sym_consteval] = ACTIONS(2554),
    [anon_sym_alignas] = ACTIONS(2554),
    [anon_sym__Alignas] = ACTIONS(2554),
    [sym_primitive_type] = ACTIONS(2554),
    [anon_sym_enum] = ACTIONS(2554),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2554),
    [anon_sym_union] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2554),
    [anon_sym_switch] = ACTIONS(2554),
    [anon_sym_case] = ACTIONS(2554),
    [anon_sym_default] = ACTIONS(2554),
    [anon_sym_while] = ACTIONS(2554),
    [anon_sym_do] = ACTIONS(2554),
    [anon_sym_for] = ACTIONS(2554),
    [anon_sym_return] = ACTIONS(2554),
    [anon_sym_break] = ACTIONS(2554),
    [anon_sym_continue] = ACTIONS(2554),
    [anon_sym_goto] = ACTIONS(2554),
    [anon_sym___try] = ACTIONS(2554),
    [anon_sym___leave] = ACTIONS(2554),
    [anon_sym_not] = ACTIONS(2554),
    [anon_sym_compl] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_sizeof] = ACTIONS(2554),
    [anon_sym___alignof__] = ACTIONS(2554),
    [anon_sym___alignof] = ACTIONS(2554),
    [anon_sym__alignof] = ACTIONS(2554),
    [anon_sym_alignof] = ACTIONS(2554),
    [anon_sym__Alignof] = ACTIONS(2554),
    [anon_sym_offsetof] = ACTIONS(2554),
    [anon_sym__Generic] = ACTIONS(2554),
    [anon_sym_asm] = ACTIONS(2554),
    [anon_sym___asm__] = ACTIONS(2554),
    [anon_sym___asm] = ACTIONS(2554),
    [sym_number_literal] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2556),
    [anon_sym_u_SQUOTE] = ACTIONS(2556),
    [anon_sym_U_SQUOTE] = ACTIONS(2556),
    [anon_sym_u8_SQUOTE] = ACTIONS(2556),
    [anon_sym_SQUOTE] = ACTIONS(2556),
    [anon_sym_L_DQUOTE] = ACTIONS(2556),
    [anon_sym_u_DQUOTE] = ACTIONS(2556),
    [anon_sym_U_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8_DQUOTE] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2556),
    [sym_true] = ACTIONS(2554),
    [sym_false] = ACTIONS(2554),
    [anon_sym_NULL] = ACTIONS(2554),
    [anon_sym_nullptr] = ACTIONS(2554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2554),
    [anon_sym_decltype] = ACTIONS(2554),
    [anon_sym_explicit] = ACTIONS(2554),
    [anon_sym_typename] = ACTIONS(2554),
    [anon_sym_template] = ACTIONS(2554),
    [anon_sym_operator] = ACTIONS(2554),
    [anon_sym_try] = ACTIONS(2554),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_throw] = ACTIONS(2554),
    [anon_sym_namespace] = ACTIONS(2554),
    [anon_sym_using] = ACTIONS(2554),
    [anon_sym_static_assert] = ACTIONS(2554),
    [anon_sym_concept] = ACTIONS(2554),
    [anon_sym_co_return] = ACTIONS(2554),
    [anon_sym_co_yield] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2554),
    [anon_sym_new] = ACTIONS(2554),
    [anon_sym_requires] = ACTIONS(2554),
    [sym_this] = ACTIONS(2554),
    [anon_sym_discard] = ACTIONS(2554),
    [anon_sym_precise] = ACTIONS(2554),
    [anon_sym_shared] = ACTIONS(2554),
    [anon_sym_groupshared] = ACTIONS(2554),
    [anon_sym_uniform] = ACTIONS(2554),
    [anon_sym_row_major] = ACTIONS(2554),
    [anon_sym_column_major] = ACTIONS(2554),
    [anon_sym_globallycoherent] = ACTIONS(2554),
    [anon_sym_centroid] = ACTIONS(2554),
    [anon_sym_noperspective] = ACTIONS(2554),
    [anon_sym_nointerpolation] = ACTIONS(2554),
    [anon_sym_sample] = ACTIONS(2554),
    [anon_sym_linear] = ACTIONS(2554),
    [anon_sym_snorm] = ACTIONS(2554),
    [anon_sym_unorm] = ACTIONS(2554),
    [anon_sym_point] = ACTIONS(2554),
    [anon_sym_line] = ACTIONS(2554),
    [anon_sym_triangleadj] = ACTIONS(2554),
    [anon_sym_lineadj] = ACTIONS(2554),
    [anon_sym_triangle] = ACTIONS(2554),
    [anon_sym_cbuffer] = ACTIONS(2554),
  },
  [690] = {
    [sym_identifier] = ACTIONS(2558),
    [aux_sym_preproc_include_token1] = ACTIONS(2558),
    [aux_sym_preproc_def_token1] = ACTIONS(2558),
    [aux_sym_preproc_if_token1] = ACTIONS(2558),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2558),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2558),
    [sym_preproc_directive] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(2560),
    [anon_sym_BANG] = ACTIONS(2560),
    [anon_sym_TILDE] = ACTIONS(2560),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_typedef] = ACTIONS(2558),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_out] = ACTIONS(2558),
    [anon_sym_inout] = ACTIONS(2558),
    [anon_sym_virtual] = ACTIONS(2558),
    [anon_sym_extern] = ACTIONS(2558),
    [anon_sym___attribute__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2560),
    [anon_sym___declspec] = ACTIONS(2558),
    [anon_sym___based] = ACTIONS(2558),
    [anon_sym___cdecl] = ACTIONS(2558),
    [anon_sym___clrcall] = ACTIONS(2558),
    [anon_sym___stdcall] = ACTIONS(2558),
    [anon_sym___fastcall] = ACTIONS(2558),
    [anon_sym___thiscall] = ACTIONS(2558),
    [anon_sym___vectorcall] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2558),
    [anon_sym_unsigned] = ACTIONS(2558),
    [anon_sym_long] = ACTIONS(2558),
    [anon_sym_short] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym_static] = ACTIONS(2558),
    [anon_sym_register] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym___inline] = ACTIONS(2558),
    [anon_sym___inline__] = ACTIONS(2558),
    [anon_sym___forceinline] = ACTIONS(2558),
    [anon_sym_thread_local] = ACTIONS(2558),
    [anon_sym___thread] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_constexpr] = ACTIONS(2558),
    [anon_sym_volatile] = ACTIONS(2558),
    [anon_sym_restrict] = ACTIONS(2558),
    [anon_sym___restrict__] = ACTIONS(2558),
    [anon_sym__Atomic] = ACTIONS(2558),
    [anon_sym__Noreturn] = ACTIONS(2558),
    [anon_sym_noreturn] = ACTIONS(2558),
    [anon_sym__Nonnull] = ACTIONS(2558),
    [anon_sym_mutable] = ACTIONS(2558),
    [anon_sym_constinit] = ACTIONS(2558),
    [anon_sym_consteval] = ACTIONS(2558),
    [anon_sym_alignas] = ACTIONS(2558),
    [anon_sym__Alignas] = ACTIONS(2558),
    [sym_primitive_type] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_class] = ACTIONS(2558),
    [anon_sym_struct] = ACTIONS(2558),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_switch] = ACTIONS(2558),
    [anon_sym_case] = ACTIONS(2558),
    [anon_sym_default] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_do] = ACTIONS(2558),
    [anon_sym_for] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_break] = ACTIONS(2558),
    [anon_sym_continue] = ACTIONS(2558),
    [anon_sym_goto] = ACTIONS(2558),
    [anon_sym___try] = ACTIONS(2558),
    [anon_sym___leave] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2558),
    [anon_sym_compl] = ACTIONS(2558),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2558),
    [anon_sym___alignof__] = ACTIONS(2558),
    [anon_sym___alignof] = ACTIONS(2558),
    [anon_sym__alignof] = ACTIONS(2558),
    [anon_sym_alignof] = ACTIONS(2558),
    [anon_sym__Alignof] = ACTIONS(2558),
    [anon_sym_offsetof] = ACTIONS(2558),
    [anon_sym__Generic] = ACTIONS(2558),
    [anon_sym_asm] = ACTIONS(2558),
    [anon_sym___asm__] = ACTIONS(2558),
    [anon_sym___asm] = ACTIONS(2558),
    [sym_number_literal] = ACTIONS(2560),
    [anon_sym_L_SQUOTE] = ACTIONS(2560),
    [anon_sym_u_SQUOTE] = ACTIONS(2560),
    [anon_sym_U_SQUOTE] = ACTIONS(2560),
    [anon_sym_u8_SQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [anon_sym_L_DQUOTE] = ACTIONS(2560),
    [anon_sym_u_DQUOTE] = ACTIONS(2560),
    [anon_sym_U_DQUOTE] = ACTIONS(2560),
    [anon_sym_u8_DQUOTE] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2560),
    [sym_true] = ACTIONS(2558),
    [sym_false] = ACTIONS(2558),
    [anon_sym_NULL] = ACTIONS(2558),
    [anon_sym_nullptr] = ACTIONS(2558),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2558),
    [anon_sym_decltype] = ACTIONS(2558),
    [anon_sym_explicit] = ACTIONS(2558),
    [anon_sym_typename] = ACTIONS(2558),
    [anon_sym_template] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_delete] = ACTIONS(2558),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_namespace] = ACTIONS(2558),
    [anon_sym_using] = ACTIONS(2558),
    [anon_sym_static_assert] = ACTIONS(2558),
    [anon_sym_concept] = ACTIONS(2558),
    [anon_sym_co_return] = ACTIONS(2558),
    [anon_sym_co_yield] = ACTIONS(2558),
    [anon_sym_R_DQUOTE] = ACTIONS(2560),
    [anon_sym_LR_DQUOTE] = ACTIONS(2560),
    [anon_sym_uR_DQUOTE] = ACTIONS(2560),
    [anon_sym_UR_DQUOTE] = ACTIONS(2560),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2560),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2558),
    [anon_sym_requires] = ACTIONS(2558),
    [sym_this] = ACTIONS(2558),
    [anon_sym_discard] = ACTIONS(2558),
    [anon_sym_precise] = ACTIONS(2558),
    [anon_sym_shared] = ACTIONS(2558),
    [anon_sym_groupshared] = ACTIONS(2558),
    [anon_sym_uniform] = ACTIONS(2558),
    [anon_sym_row_major] = ACTIONS(2558),
    [anon_sym_column_major] = ACTIONS(2558),
    [anon_sym_globallycoherent] = ACTIONS(2558),
    [anon_sym_centroid] = ACTIONS(2558),
    [anon_sym_noperspective] = ACTIONS(2558),
    [anon_sym_nointerpolation] = ACTIONS(2558),
    [anon_sym_sample] = ACTIONS(2558),
    [anon_sym_linear] = ACTIONS(2558),
    [anon_sym_snorm] = ACTIONS(2558),
    [anon_sym_unorm] = ACTIONS(2558),
    [anon_sym_point] = ACTIONS(2558),
    [anon_sym_line] = ACTIONS(2558),
    [anon_sym_triangleadj] = ACTIONS(2558),
    [anon_sym_lineadj] = ACTIONS(2558),
    [anon_sym_triangle] = ACTIONS(2558),
    [anon_sym_cbuffer] = ACTIONS(2558),
  },
  [691] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym___leave] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_delete] = ACTIONS(2456),
    [anon_sym_throw] = ACTIONS(2456),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_concept] = ACTIONS(2456),
    [anon_sym_co_return] = ACTIONS(2456),
    [anon_sym_co_yield] = ACTIONS(2456),
    [anon_sym_R_DQUOTE] = ACTIONS(2458),
    [anon_sym_LR_DQUOTE] = ACTIONS(2458),
    [anon_sym_uR_DQUOTE] = ACTIONS(2458),
    [anon_sym_UR_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2458),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_requires] = ACTIONS(2456),
    [sym_this] = ACTIONS(2456),
    [anon_sym_discard] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
    [anon_sym_cbuffer] = ACTIONS(2456),
  },
  [692] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym___leave] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_compl] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_concept] = ACTIONS(2460),
    [anon_sym_co_return] = ACTIONS(2460),
    [anon_sym_co_yield] = ACTIONS(2460),
    [anon_sym_R_DQUOTE] = ACTIONS(2462),
    [anon_sym_LR_DQUOTE] = ACTIONS(2462),
    [anon_sym_uR_DQUOTE] = ACTIONS(2462),
    [anon_sym_UR_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2462),
    [anon_sym_co_await] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [anon_sym_discard] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
    [anon_sym_cbuffer] = ACTIONS(2460),
  },
  [693] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_include_token1] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym___cdecl] = ACTIONS(2464),
    [anon_sym___clrcall] = ACTIONS(2464),
    [anon_sym___stdcall] = ACTIONS(2464),
    [anon_sym___fastcall] = ACTIONS(2464),
    [anon_sym___thiscall] = ACTIONS(2464),
    [anon_sym___vectorcall] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym__Nonnull] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym__Alignas] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_goto] = ACTIONS(2464),
    [anon_sym___try] = ACTIONS(2464),
    [anon_sym___leave] = ACTIONS(2464),
    [anon_sym_not] = ACTIONS(2464),
    [anon_sym_compl] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_sizeof] = ACTIONS(2464),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2464),
    [anon_sym___asm__] = ACTIONS(2464),
    [anon_sym___asm] = ACTIONS(2464),
    [sym_number_literal] = ACTIONS(2466),
    [anon_sym_L_SQUOTE] = ACTIONS(2466),
    [anon_sym_u_SQUOTE] = ACTIONS(2466),
    [anon_sym_U_SQUOTE] = ACTIONS(2466),
    [anon_sym_u8_SQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_L_DQUOTE] = ACTIONS(2466),
    [anon_sym_u_DQUOTE] = ACTIONS(2466),
    [anon_sym_U_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_concept] = ACTIONS(2464),
    [anon_sym_co_return] = ACTIONS(2464),
    [anon_sym_co_yield] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(2466),
    [anon_sym_LR_DQUOTE] = ACTIONS(2466),
    [anon_sym_uR_DQUOTE] = ACTIONS(2466),
    [anon_sym_UR_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2466),
    [anon_sym_co_await] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_requires] = ACTIONS(2464),
    [sym_this] = ACTIONS(2464),
    [anon_sym_discard] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
    [anon_sym_cbuffer] = ACTIONS(2464),
  },
  [694] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_out] = ACTIONS(2654),
    [anon_sym_inout] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
    [anon_sym_discard] = ACTIONS(2654),
    [anon_sym_precise] = ACTIONS(2654),
    [anon_sym_shared] = ACTIONS(2654),
    [anon_sym_groupshared] = ACTIONS(2654),
    [anon_sym_uniform] = ACTIONS(2654),
    [anon_sym_row_major] = ACTIONS(2654),
    [anon_sym_column_major] = ACTIONS(2654),
    [anon_sym_globallycoherent] = ACTIONS(2654),
    [anon_sym_centroid] = ACTIONS(2654),
    [anon_sym_noperspective] = ACTIONS(2654),
    [anon_sym_nointerpolation] = ACTIONS(2654),
    [anon_sym_sample] = ACTIONS(2654),
    [anon_sym_linear] = ACTIONS(2654),
    [anon_sym_snorm] = ACTIONS(2654),
    [anon_sym_unorm] = ACTIONS(2654),
    [anon_sym_point] = ACTIONS(2654),
    [anon_sym_line] = ACTIONS(2654),
    [anon_sym_triangleadj] = ACTIONS(2654),
    [anon_sym_lineadj] = ACTIONS(2654),
    [anon_sym_triangle] = ACTIONS(2654),
    [anon_sym_cbuffer] = ACTIONS(2654),
  },
  [695] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_out] = ACTIONS(2420),
    [anon_sym_inout] = ACTIONS(2420),
    [anon_sym_virtual] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___based] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_mutable] = ACTIONS(2420),
    [anon_sym_constinit] = ACTIONS(2420),
    [anon_sym_consteval] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_class] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym___leave] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_compl] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2420),
    [anon_sym_decltype] = ACTIONS(2420),
    [anon_sym_explicit] = ACTIONS(2420),
    [anon_sym_typename] = ACTIONS(2420),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_operator] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_delete] = ACTIONS(2420),
    [anon_sym_throw] = ACTIONS(2420),
    [anon_sym_namespace] = ACTIONS(2420),
    [anon_sym_using] = ACTIONS(2420),
    [anon_sym_static_assert] = ACTIONS(2420),
    [anon_sym_concept] = ACTIONS(2420),
    [anon_sym_co_return] = ACTIONS(2420),
    [anon_sym_co_yield] = ACTIONS(2420),
    [anon_sym_R_DQUOTE] = ACTIONS(2422),
    [anon_sym_LR_DQUOTE] = ACTIONS(2422),
    [anon_sym_uR_DQUOTE] = ACTIONS(2422),
    [anon_sym_UR_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2422),
    [anon_sym_co_await] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(2420),
    [anon_sym_requires] = ACTIONS(2420),
    [sym_this] = ACTIONS(2420),
    [anon_sym_discard] = ACTIONS(2420),
    [anon_sym_precise] = ACTIONS(2420),
    [anon_sym_shared] = ACTIONS(2420),
    [anon_sym_groupshared] = ACTIONS(2420),
    [anon_sym_uniform] = ACTIONS(2420),
    [anon_sym_row_major] = ACTIONS(2420),
    [anon_sym_column_major] = ACTIONS(2420),
    [anon_sym_globallycoherent] = ACTIONS(2420),
    [anon_sym_centroid] = ACTIONS(2420),
    [anon_sym_noperspective] = ACTIONS(2420),
    [anon_sym_nointerpolation] = ACTIONS(2420),
    [anon_sym_sample] = ACTIONS(2420),
    [anon_sym_linear] = ACTIONS(2420),
    [anon_sym_snorm] = ACTIONS(2420),
    [anon_sym_unorm] = ACTIONS(2420),
    [anon_sym_point] = ACTIONS(2420),
    [anon_sym_line] = ACTIONS(2420),
    [anon_sym_triangleadj] = ACTIONS(2420),
    [anon_sym_lineadj] = ACTIONS(2420),
    [anon_sym_triangle] = ACTIONS(2420),
    [anon_sym_cbuffer] = ACTIONS(2420),
  },
  [696] = {
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym__Nonnull] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [anon_sym_discard] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
    [anon_sym_cbuffer] = ACTIONS(2468),
  },
  [697] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_out] = ACTIONS(2428),
    [anon_sym_inout] = ACTIONS(2428),
    [anon_sym_virtual] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___based] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_mutable] = ACTIONS(2428),
    [anon_sym_constinit] = ACTIONS(2428),
    [anon_sym_consteval] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_class] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2428),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_compl] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2428),
    [anon_sym_decltype] = ACTIONS(2428),
    [anon_sym_explicit] = ACTIONS(2428),
    [anon_sym_typename] = ACTIONS(2428),
    [anon_sym_template] = ACTIONS(2428),
    [anon_sym_operator] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_delete] = ACTIONS(2428),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_using] = ACTIONS(2428),
    [anon_sym_static_assert] = ACTIONS(2428),
    [anon_sym_concept] = ACTIONS(2428),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2428),
    [anon_sym_R_DQUOTE] = ACTIONS(2430),
    [anon_sym_LR_DQUOTE] = ACTIONS(2430),
    [anon_sym_uR_DQUOTE] = ACTIONS(2430),
    [anon_sym_UR_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2430),
    [anon_sym_co_await] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_requires] = ACTIONS(2428),
    [sym_this] = ACTIONS(2428),
    [anon_sym_discard] = ACTIONS(2428),
    [anon_sym_precise] = ACTIONS(2428),
    [anon_sym_shared] = ACTIONS(2428),
    [anon_sym_groupshared] = ACTIONS(2428),
    [anon_sym_uniform] = ACTIONS(2428),
    [anon_sym_row_major] = ACTIONS(2428),
    [anon_sym_column_major] = ACTIONS(2428),
    [anon_sym_globallycoherent] = ACTIONS(2428),
    [anon_sym_centroid] = ACTIONS(2428),
    [anon_sym_noperspective] = ACTIONS(2428),
    [anon_sym_nointerpolation] = ACTIONS(2428),
    [anon_sym_sample] = ACTIONS(2428),
    [anon_sym_linear] = ACTIONS(2428),
    [anon_sym_snorm] = ACTIONS(2428),
    [anon_sym_unorm] = ACTIONS(2428),
    [anon_sym_point] = ACTIONS(2428),
    [anon_sym_line] = ACTIONS(2428),
    [anon_sym_triangleadj] = ACTIONS(2428),
    [anon_sym_lineadj] = ACTIONS(2428),
    [anon_sym_triangle] = ACTIONS(2428),
    [anon_sym_cbuffer] = ACTIONS(2428),
  },
  [698] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym___leave] = ACTIONS(2432),
    [anon_sym_not] = ACTIONS(2432),
    [anon_sym_compl] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [anon_sym_delete] = ACTIONS(2432),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_concept] = ACTIONS(2432),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2432),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_requires] = ACTIONS(2432),
    [sym_this] = ACTIONS(2432),
    [anon_sym_discard] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
    [anon_sym_cbuffer] = ACTIONS(2432),
  },
  [699] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_in] = ACTIONS(2494),
    [anon_sym_out] = ACTIONS(2494),
    [anon_sym_inout] = ACTIONS(2494),
    [anon_sym_virtual] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym__Nonnull] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [anon_sym___asm] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
    [anon_sym_discard] = ACTIONS(2494),
    [anon_sym_precise] = ACTIONS(2494),
    [anon_sym_shared] = ACTIONS(2494),
    [anon_sym_groupshared] = ACTIONS(2494),
    [anon_sym_uniform] = ACTIONS(2494),
    [anon_sym_row_major] = ACTIONS(2494),
    [anon_sym_column_major] = ACTIONS(2494),
    [anon_sym_globallycoherent] = ACTIONS(2494),
    [anon_sym_centroid] = ACTIONS(2494),
    [anon_sym_noperspective] = ACTIONS(2494),
    [anon_sym_nointerpolation] = ACTIONS(2494),
    [anon_sym_sample] = ACTIONS(2494),
    [anon_sym_linear] = ACTIONS(2494),
    [anon_sym_snorm] = ACTIONS(2494),
    [anon_sym_unorm] = ACTIONS(2494),
    [anon_sym_point] = ACTIONS(2494),
    [anon_sym_line] = ACTIONS(2494),
    [anon_sym_triangleadj] = ACTIONS(2494),
    [anon_sym_lineadj] = ACTIONS(2494),
    [anon_sym_triangle] = ACTIONS(2494),
    [anon_sym_cbuffer] = ACTIONS(2494),
  },
  [700] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_out] = ACTIONS(2436),
    [anon_sym_inout] = ACTIONS(2436),
    [anon_sym_virtual] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___based] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_mutable] = ACTIONS(2436),
    [anon_sym_constinit] = ACTIONS(2436),
    [anon_sym_consteval] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_class] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym___leave] = ACTIONS(2436),
    [anon_sym_not] = ACTIONS(2436),
    [anon_sym_compl] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2436),
    [anon_sym_decltype] = ACTIONS(2436),
    [anon_sym_explicit] = ACTIONS(2436),
    [anon_sym_typename] = ACTIONS(2436),
    [anon_sym_template] = ACTIONS(2436),
    [anon_sym_operator] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_delete] = ACTIONS(2436),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_using] = ACTIONS(2436),
    [anon_sym_static_assert] = ACTIONS(2436),
    [anon_sym_concept] = ACTIONS(2436),
    [anon_sym_co_return] = ACTIONS(2436),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_requires] = ACTIONS(2436),
    [sym_this] = ACTIONS(2436),
    [anon_sym_discard] = ACTIONS(2436),
    [anon_sym_precise] = ACTIONS(2436),
    [anon_sym_shared] = ACTIONS(2436),
    [anon_sym_groupshared] = ACTIONS(2436),
    [anon_sym_uniform] = ACTIONS(2436),
    [anon_sym_row_major] = ACTIONS(2436),
    [anon_sym_column_major] = ACTIONS(2436),
    [anon_sym_globallycoherent] = ACTIONS(2436),
    [anon_sym_centroid] = ACTIONS(2436),
    [anon_sym_noperspective] = ACTIONS(2436),
    [anon_sym_nointerpolation] = ACTIONS(2436),
    [anon_sym_sample] = ACTIONS(2436),
    [anon_sym_linear] = ACTIONS(2436),
    [anon_sym_snorm] = ACTIONS(2436),
    [anon_sym_unorm] = ACTIONS(2436),
    [anon_sym_point] = ACTIONS(2436),
    [anon_sym_line] = ACTIONS(2436),
    [anon_sym_triangleadj] = ACTIONS(2436),
    [anon_sym_lineadj] = ACTIONS(2436),
    [anon_sym_triangle] = ACTIONS(2436),
    [anon_sym_cbuffer] = ACTIONS(2436),
  },
  [701] = {
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_include_token1] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym___cdecl] = ACTIONS(2472),
    [anon_sym___clrcall] = ACTIONS(2472),
    [anon_sym___stdcall] = ACTIONS(2472),
    [anon_sym___fastcall] = ACTIONS(2472),
    [anon_sym___thiscall] = ACTIONS(2472),
    [anon_sym___vectorcall] = ACTIONS(2472),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym__Nonnull] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym__Alignas] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_switch] = ACTIONS(2472),
    [anon_sym_case] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_goto] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2472),
    [anon_sym___leave] = ACTIONS(2472),
    [anon_sym_not] = ACTIONS(2472),
    [anon_sym_compl] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_sizeof] = ACTIONS(2472),
    [anon_sym___alignof__] = ACTIONS(2472),
    [anon_sym___alignof] = ACTIONS(2472),
    [anon_sym__alignof] = ACTIONS(2472),
    [anon_sym_alignof] = ACTIONS(2472),
    [anon_sym__Alignof] = ACTIONS(2472),
    [anon_sym_offsetof] = ACTIONS(2472),
    [anon_sym__Generic] = ACTIONS(2472),
    [anon_sym_asm] = ACTIONS(2472),
    [anon_sym___asm__] = ACTIONS(2472),
    [anon_sym___asm] = ACTIONS(2472),
    [sym_number_literal] = ACTIONS(2474),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2474),
    [anon_sym_u_DQUOTE] = ACTIONS(2474),
    [anon_sym_U_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_true] = ACTIONS(2472),
    [sym_false] = ACTIONS(2472),
    [anon_sym_NULL] = ACTIONS(2472),
    [anon_sym_nullptr] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_delete] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_concept] = ACTIONS(2472),
    [anon_sym_co_return] = ACTIONS(2472),
    [anon_sym_co_yield] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2474),
    [anon_sym_LR_DQUOTE] = ACTIONS(2474),
    [anon_sym_uR_DQUOTE] = ACTIONS(2474),
    [anon_sym_UR_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2474),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_requires] = ACTIONS(2472),
    [sym_this] = ACTIONS(2472),
    [anon_sym_discard] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
    [anon_sym_cbuffer] = ACTIONS(2472),
  },
  [702] = {
    [sym_identifier] = ACTIONS(2476),
    [aux_sym_preproc_include_token1] = ACTIONS(2476),
    [aux_sym_preproc_def_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2476),
    [sym_preproc_directive] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2476),
    [anon_sym_typedef] = ACTIONS(2476),
    [anon_sym_in] = ACTIONS(2476),
    [anon_sym_out] = ACTIONS(2476),
    [anon_sym_inout] = ACTIONS(2476),
    [anon_sym_virtual] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym___attribute__] = ACTIONS(2476),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2478),
    [anon_sym___declspec] = ACTIONS(2476),
    [anon_sym___based] = ACTIONS(2476),
    [anon_sym___cdecl] = ACTIONS(2476),
    [anon_sym___clrcall] = ACTIONS(2476),
    [anon_sym___stdcall] = ACTIONS(2476),
    [anon_sym___fastcall] = ACTIONS(2476),
    [anon_sym___thiscall] = ACTIONS(2476),
    [anon_sym___vectorcall] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2476),
    [anon_sym_unsigned] = ACTIONS(2476),
    [anon_sym_long] = ACTIONS(2476),
    [anon_sym_short] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_register] = ACTIONS(2476),
    [anon_sym_inline] = ACTIONS(2476),
    [anon_sym___inline] = ACTIONS(2476),
    [anon_sym___inline__] = ACTIONS(2476),
    [anon_sym___forceinline] = ACTIONS(2476),
    [anon_sym_thread_local] = ACTIONS(2476),
    [anon_sym___thread] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_constexpr] = ACTIONS(2476),
    [anon_sym_volatile] = ACTIONS(2476),
    [anon_sym_restrict] = ACTIONS(2476),
    [anon_sym___restrict__] = ACTIONS(2476),
    [anon_sym__Atomic] = ACTIONS(2476),
    [anon_sym__Noreturn] = ACTIONS(2476),
    [anon_sym_noreturn] = ACTIONS(2476),
    [anon_sym__Nonnull] = ACTIONS(2476),
    [anon_sym_mutable] = ACTIONS(2476),
    [anon_sym_constinit] = ACTIONS(2476),
    [anon_sym_consteval] = ACTIONS(2476),
    [anon_sym_alignas] = ACTIONS(2476),
    [anon_sym__Alignas] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_class] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_switch] = ACTIONS(2476),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2476),
    [anon_sym___leave] = ACTIONS(2476),
    [anon_sym_not] = ACTIONS(2476),
    [anon_sym_compl] = ACTIONS(2476),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_sizeof] = ACTIONS(2476),
    [anon_sym___alignof__] = ACTIONS(2476),
    [anon_sym___alignof] = ACTIONS(2476),
    [anon_sym__alignof] = ACTIONS(2476),
    [anon_sym_alignof] = ACTIONS(2476),
    [anon_sym__Alignof] = ACTIONS(2476),
    [anon_sym_offsetof] = ACTIONS(2476),
    [anon_sym__Generic] = ACTIONS(2476),
    [anon_sym_asm] = ACTIONS(2476),
    [anon_sym___asm__] = ACTIONS(2476),
    [anon_sym___asm] = ACTIONS(2476),
    [sym_number_literal] = ACTIONS(2478),
    [anon_sym_L_SQUOTE] = ACTIONS(2478),
    [anon_sym_u_SQUOTE] = ACTIONS(2478),
    [anon_sym_U_SQUOTE] = ACTIONS(2478),
    [anon_sym_u8_SQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_L_DQUOTE] = ACTIONS(2478),
    [anon_sym_u_DQUOTE] = ACTIONS(2478),
    [anon_sym_U_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [sym_true] = ACTIONS(2476),
    [sym_false] = ACTIONS(2476),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2476),
    [anon_sym_decltype] = ACTIONS(2476),
    [anon_sym_explicit] = ACTIONS(2476),
    [anon_sym_typename] = ACTIONS(2476),
    [anon_sym_template] = ACTIONS(2476),
    [anon_sym_operator] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_using] = ACTIONS(2476),
    [anon_sym_static_assert] = ACTIONS(2476),
    [anon_sym_concept] = ACTIONS(2476),
    [anon_sym_co_return] = ACTIONS(2476),
    [anon_sym_co_yield] = ACTIONS(2476),
    [anon_sym_R_DQUOTE] = ACTIONS(2478),
    [anon_sym_LR_DQUOTE] = ACTIONS(2478),
    [anon_sym_uR_DQUOTE] = ACTIONS(2478),
    [anon_sym_UR_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2478),
    [anon_sym_co_await] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_requires] = ACTIONS(2476),
    [sym_this] = ACTIONS(2476),
    [anon_sym_discard] = ACTIONS(2476),
    [anon_sym_precise] = ACTIONS(2476),
    [anon_sym_shared] = ACTIONS(2476),
    [anon_sym_groupshared] = ACTIONS(2476),
    [anon_sym_uniform] = ACTIONS(2476),
    [anon_sym_row_major] = ACTIONS(2476),
    [anon_sym_column_major] = ACTIONS(2476),
    [anon_sym_globallycoherent] = ACTIONS(2476),
    [anon_sym_centroid] = ACTIONS(2476),
    [anon_sym_noperspective] = ACTIONS(2476),
    [anon_sym_nointerpolation] = ACTIONS(2476),
    [anon_sym_sample] = ACTIONS(2476),
    [anon_sym_linear] = ACTIONS(2476),
    [anon_sym_snorm] = ACTIONS(2476),
    [anon_sym_unorm] = ACTIONS(2476),
    [anon_sym_point] = ACTIONS(2476),
    [anon_sym_line] = ACTIONS(2476),
    [anon_sym_triangleadj] = ACTIONS(2476),
    [anon_sym_lineadj] = ACTIONS(2476),
    [anon_sym_triangle] = ACTIONS(2476),
    [anon_sym_cbuffer] = ACTIONS(2476),
  },
  [703] = {
    [sym_identifier] = ACTIONS(2372),
    [aux_sym_preproc_include_token1] = ACTIONS(2372),
    [aux_sym_preproc_def_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2372),
    [sym_preproc_directive] = ACTIONS(2372),
    [anon_sym_LPAREN2] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym___extension__] = ACTIONS(2372),
    [anon_sym_typedef] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_out] = ACTIONS(2372),
    [anon_sym_inout] = ACTIONS(2372),
    [anon_sym_virtual] = ACTIONS(2372),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym___attribute__] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2374),
    [anon_sym___declspec] = ACTIONS(2372),
    [anon_sym___based] = ACTIONS(2372),
    [anon_sym___cdecl] = ACTIONS(2372),
    [anon_sym___clrcall] = ACTIONS(2372),
    [anon_sym___stdcall] = ACTIONS(2372),
    [anon_sym___fastcall] = ACTIONS(2372),
    [anon_sym___thiscall] = ACTIONS(2372),
    [anon_sym___vectorcall] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2372),
    [anon_sym_unsigned] = ACTIONS(2372),
    [anon_sym_long] = ACTIONS(2372),
    [anon_sym_short] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_register] = ACTIONS(2372),
    [anon_sym_inline] = ACTIONS(2372),
    [anon_sym___inline] = ACTIONS(2372),
    [anon_sym___inline__] = ACTIONS(2372),
    [anon_sym___forceinline] = ACTIONS(2372),
    [anon_sym_thread_local] = ACTIONS(2372),
    [anon_sym___thread] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_constexpr] = ACTIONS(2372),
    [anon_sym_volatile] = ACTIONS(2372),
    [anon_sym_restrict] = ACTIONS(2372),
    [anon_sym___restrict__] = ACTIONS(2372),
    [anon_sym__Atomic] = ACTIONS(2372),
    [anon_sym__Noreturn] = ACTIONS(2372),
    [anon_sym_noreturn] = ACTIONS(2372),
    [anon_sym__Nonnull] = ACTIONS(2372),
    [anon_sym_mutable] = ACTIONS(2372),
    [anon_sym_constinit] = ACTIONS(2372),
    [anon_sym_consteval] = ACTIONS(2372),
    [anon_sym_alignas] = ACTIONS(2372),
    [anon_sym__Alignas] = ACTIONS(2372),
    [sym_primitive_type] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_struct] = ACTIONS(2372),
    [anon_sym_union] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2372),
    [anon_sym___leave] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_compl] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(2372),
    [anon_sym___alignof] = ACTIONS(2372),
    [anon_sym__alignof] = ACTIONS(2372),
    [anon_sym_alignof] = ACTIONS(2372),
    [anon_sym__Alignof] = ACTIONS(2372),
    [anon_sym_offsetof] = ACTIONS(2372),
    [anon_sym__Generic] = ACTIONS(2372),
    [anon_sym_asm] = ACTIONS(2372),
    [anon_sym___asm__] = ACTIONS(2372),
    [anon_sym___asm] = ACTIONS(2372),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2374),
    [anon_sym_u_SQUOTE] = ACTIONS(2374),
    [anon_sym_U_SQUOTE] = ACTIONS(2374),
    [anon_sym_u8_SQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_L_DQUOTE] = ACTIONS(2374),
    [anon_sym_u_DQUOTE] = ACTIONS(2374),
    [anon_sym_U_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8_DQUOTE] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [anon_sym_NULL] = ACTIONS(2372),
    [anon_sym_nullptr] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2372),
    [anon_sym_decltype] = ACTIONS(2372),
    [anon_sym_explicit] = ACTIONS(2372),
    [anon_sym_typename] = ACTIONS(2372),
    [anon_sym_template] = ACTIONS(2372),
    [anon_sym_operator] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_using] = ACTIONS(2372),
    [anon_sym_static_assert] = ACTIONS(2372),
    [anon_sym_concept] = ACTIONS(2372),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2372),
    [anon_sym_R_DQUOTE] = ACTIONS(2374),
    [anon_sym_LR_DQUOTE] = ACTIONS(2374),
    [anon_sym_uR_DQUOTE] = ACTIONS(2374),
    [anon_sym_UR_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2374),
    [anon_sym_co_await] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_requires] = ACTIONS(2372),
    [sym_this] = ACTIONS(2372),
    [anon_sym_discard] = ACTIONS(2372),
    [anon_sym_precise] = ACTIONS(2372),
    [anon_sym_shared] = ACTIONS(2372),
    [anon_sym_groupshared] = ACTIONS(2372),
    [anon_sym_uniform] = ACTIONS(2372),
    [anon_sym_row_major] = ACTIONS(2372),
    [anon_sym_column_major] = ACTIONS(2372),
    [anon_sym_globallycoherent] = ACTIONS(2372),
    [anon_sym_centroid] = ACTIONS(2372),
    [anon_sym_noperspective] = ACTIONS(2372),
    [anon_sym_nointerpolation] = ACTIONS(2372),
    [anon_sym_sample] = ACTIONS(2372),
    [anon_sym_linear] = ACTIONS(2372),
    [anon_sym_snorm] = ACTIONS(2372),
    [anon_sym_unorm] = ACTIONS(2372),
    [anon_sym_point] = ACTIONS(2372),
    [anon_sym_line] = ACTIONS(2372),
    [anon_sym_triangleadj] = ACTIONS(2372),
    [anon_sym_lineadj] = ACTIONS(2372),
    [anon_sym_triangle] = ACTIONS(2372),
    [anon_sym_cbuffer] = ACTIONS(2372),
  },
  [704] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [705] = {
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_include_token1] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym___cdecl] = ACTIONS(2376),
    [anon_sym___clrcall] = ACTIONS(2376),
    [anon_sym___stdcall] = ACTIONS(2376),
    [anon_sym___fastcall] = ACTIONS(2376),
    [anon_sym___thiscall] = ACTIONS(2376),
    [anon_sym___vectorcall] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_RBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym__Nonnull] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym__Alignas] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_goto] = ACTIONS(2376),
    [anon_sym___try] = ACTIONS(2376),
    [anon_sym___leave] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(2376),
    [anon_sym_compl] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_sizeof] = ACTIONS(2376),
    [anon_sym___alignof__] = ACTIONS(2376),
    [anon_sym___alignof] = ACTIONS(2376),
    [anon_sym__alignof] = ACTIONS(2376),
    [anon_sym_alignof] = ACTIONS(2376),
    [anon_sym__Alignof] = ACTIONS(2376),
    [anon_sym_offsetof] = ACTIONS(2376),
    [anon_sym__Generic] = ACTIONS(2376),
    [anon_sym_asm] = ACTIONS(2376),
    [anon_sym___asm__] = ACTIONS(2376),
    [anon_sym___asm] = ACTIONS(2376),
    [sym_number_literal] = ACTIONS(2378),
    [anon_sym_L_SQUOTE] = ACTIONS(2378),
    [anon_sym_u_SQUOTE] = ACTIONS(2378),
    [anon_sym_U_SQUOTE] = ACTIONS(2378),
    [anon_sym_u8_SQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [anon_sym_NULL] = ACTIONS(2376),
    [anon_sym_nullptr] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_concept] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2376),
    [anon_sym_co_yield] = ACTIONS(2376),
    [anon_sym_R_DQUOTE] = ACTIONS(2378),
    [anon_sym_LR_DQUOTE] = ACTIONS(2378),
    [anon_sym_uR_DQUOTE] = ACTIONS(2378),
    [anon_sym_UR_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2378),
    [anon_sym_co_await] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_requires] = ACTIONS(2376),
    [sym_this] = ACTIONS(2376),
    [anon_sym_discard] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
    [anon_sym_cbuffer] = ACTIONS(2376),
  },
  [706] = {
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_include_token1] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym___cdecl] = ACTIONS(2380),
    [anon_sym___clrcall] = ACTIONS(2380),
    [anon_sym___stdcall] = ACTIONS(2380),
    [anon_sym___fastcall] = ACTIONS(2380),
    [anon_sym___thiscall] = ACTIONS(2380),
    [anon_sym___vectorcall] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym__Nonnull] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym__Alignas] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym_default] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym___try] = ACTIONS(2380),
    [anon_sym___leave] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_compl] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_sizeof] = ACTIONS(2380),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2380),
    [anon_sym__Generic] = ACTIONS(2380),
    [anon_sym_asm] = ACTIONS(2380),
    [anon_sym___asm__] = ACTIONS(2380),
    [anon_sym___asm] = ACTIONS(2380),
    [sym_number_literal] = ACTIONS(2382),
    [anon_sym_L_SQUOTE] = ACTIONS(2382),
    [anon_sym_u_SQUOTE] = ACTIONS(2382),
    [anon_sym_U_SQUOTE] = ACTIONS(2382),
    [anon_sym_u8_SQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_L_DQUOTE] = ACTIONS(2382),
    [anon_sym_u_DQUOTE] = ACTIONS(2382),
    [anon_sym_U_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [anon_sym_NULL] = ACTIONS(2380),
    [anon_sym_nullptr] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_namespace] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_concept] = ACTIONS(2380),
    [anon_sym_co_return] = ACTIONS(2380),
    [anon_sym_co_yield] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_requires] = ACTIONS(2380),
    [sym_this] = ACTIONS(2380),
    [anon_sym_discard] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
    [anon_sym_cbuffer] = ACTIONS(2380),
  },
  [707] = {
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_include_token1] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym___cdecl] = ACTIONS(2384),
    [anon_sym___clrcall] = ACTIONS(2384),
    [anon_sym___stdcall] = ACTIONS(2384),
    [anon_sym___fastcall] = ACTIONS(2384),
    [anon_sym___thiscall] = ACTIONS(2384),
    [anon_sym___vectorcall] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_RBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym__Nonnull] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym__Alignas] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_goto] = ACTIONS(2384),
    [anon_sym___try] = ACTIONS(2384),
    [anon_sym___leave] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2384),
    [anon_sym_compl] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2384),
    [anon_sym___alignof] = ACTIONS(2384),
    [anon_sym__alignof] = ACTIONS(2384),
    [anon_sym_alignof] = ACTIONS(2384),
    [anon_sym__Alignof] = ACTIONS(2384),
    [anon_sym_offsetof] = ACTIONS(2384),
    [anon_sym__Generic] = ACTIONS(2384),
    [anon_sym_asm] = ACTIONS(2384),
    [anon_sym___asm__] = ACTIONS(2384),
    [anon_sym___asm] = ACTIONS(2384),
    [sym_number_literal] = ACTIONS(2386),
    [anon_sym_L_SQUOTE] = ACTIONS(2386),
    [anon_sym_u_SQUOTE] = ACTIONS(2386),
    [anon_sym_U_SQUOTE] = ACTIONS(2386),
    [anon_sym_u8_SQUOTE] = ACTIONS(2386),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_L_DQUOTE] = ACTIONS(2386),
    [anon_sym_u_DQUOTE] = ACTIONS(2386),
    [anon_sym_U_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8_DQUOTE] = ACTIONS(2386),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_NULL] = ACTIONS(2384),
    [anon_sym_nullptr] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_delete] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_concept] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2384),
    [anon_sym_co_yield] = ACTIONS(2384),
    [anon_sym_R_DQUOTE] = ACTIONS(2386),
    [anon_sym_LR_DQUOTE] = ACTIONS(2386),
    [anon_sym_uR_DQUOTE] = ACTIONS(2386),
    [anon_sym_UR_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2386),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_requires] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [anon_sym_discard] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
    [anon_sym_cbuffer] = ACTIONS(2384),
  },
  [708] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_include_token1] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym___cdecl] = ACTIONS(2388),
    [anon_sym___clrcall] = ACTIONS(2388),
    [anon_sym___stdcall] = ACTIONS(2388),
    [anon_sym___fastcall] = ACTIONS(2388),
    [anon_sym___thiscall] = ACTIONS(2388),
    [anon_sym___vectorcall] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_RBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym__Nonnull] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym__Alignas] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [anon_sym_if] = ACTIONS(2388),
    [anon_sym_switch] = ACTIONS(2388),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym_default] = ACTIONS(2388),
    [anon_sym_while] = ACTIONS(2388),
    [anon_sym_do] = ACTIONS(2388),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2388),
    [anon_sym_break] = ACTIONS(2388),
    [anon_sym_continue] = ACTIONS(2388),
    [anon_sym_goto] = ACTIONS(2388),
    [anon_sym___try] = ACTIONS(2388),
    [anon_sym___leave] = ACTIONS(2388),
    [anon_sym_not] = ACTIONS(2388),
    [anon_sym_compl] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_sizeof] = ACTIONS(2388),
    [anon_sym___alignof__] = ACTIONS(2388),
    [anon_sym___alignof] = ACTIONS(2388),
    [anon_sym__alignof] = ACTIONS(2388),
    [anon_sym_alignof] = ACTIONS(2388),
    [anon_sym__Alignof] = ACTIONS(2388),
    [anon_sym_offsetof] = ACTIONS(2388),
    [anon_sym__Generic] = ACTIONS(2388),
    [anon_sym_asm] = ACTIONS(2388),
    [anon_sym___asm__] = ACTIONS(2388),
    [anon_sym___asm] = ACTIONS(2388),
    [sym_number_literal] = ACTIONS(2390),
    [anon_sym_L_SQUOTE] = ACTIONS(2390),
    [anon_sym_u_SQUOTE] = ACTIONS(2390),
    [anon_sym_U_SQUOTE] = ACTIONS(2390),
    [anon_sym_u8_SQUOTE] = ACTIONS(2390),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_L_DQUOTE] = ACTIONS(2390),
    [anon_sym_u_DQUOTE] = ACTIONS(2390),
    [anon_sym_U_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8_DQUOTE] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2390),
    [sym_true] = ACTIONS(2388),
    [sym_false] = ACTIONS(2388),
    [anon_sym_NULL] = ACTIONS(2388),
    [anon_sym_nullptr] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2388),
    [anon_sym_delete] = ACTIONS(2388),
    [anon_sym_throw] = ACTIONS(2388),
    [anon_sym_namespace] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_concept] = ACTIONS(2388),
    [anon_sym_co_return] = ACTIONS(2388),
    [anon_sym_co_yield] = ACTIONS(2388),
    [anon_sym_R_DQUOTE] = ACTIONS(2390),
    [anon_sym_LR_DQUOTE] = ACTIONS(2390),
    [anon_sym_uR_DQUOTE] = ACTIONS(2390),
    [anon_sym_UR_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2390),
    [anon_sym_co_await] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2388),
    [anon_sym_requires] = ACTIONS(2388),
    [sym_this] = ACTIONS(2388),
    [anon_sym_discard] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
    [anon_sym_cbuffer] = ACTIONS(2388),
  },
  [709] = {
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_include_token1] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym___cdecl] = ACTIONS(2392),
    [anon_sym___clrcall] = ACTIONS(2392),
    [anon_sym___stdcall] = ACTIONS(2392),
    [anon_sym___fastcall] = ACTIONS(2392),
    [anon_sym___thiscall] = ACTIONS(2392),
    [anon_sym___vectorcall] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym__Nonnull] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym__Alignas] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_switch] = ACTIONS(2392),
    [anon_sym_case] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_return] = ACTIONS(2392),
    [anon_sym_break] = ACTIONS(2392),
    [anon_sym_continue] = ACTIONS(2392),
    [anon_sym_goto] = ACTIONS(2392),
    [anon_sym___try] = ACTIONS(2392),
    [anon_sym___leave] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_compl] = ACTIONS(2392),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_sizeof] = ACTIONS(2392),
    [anon_sym___alignof__] = ACTIONS(2392),
    [anon_sym___alignof] = ACTIONS(2392),
    [anon_sym__alignof] = ACTIONS(2392),
    [anon_sym_alignof] = ACTIONS(2392),
    [anon_sym__Alignof] = ACTIONS(2392),
    [anon_sym_offsetof] = ACTIONS(2392),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2392),
    [anon_sym___asm__] = ACTIONS(2392),
    [anon_sym___asm] = ACTIONS(2392),
    [sym_number_literal] = ACTIONS(2394),
    [anon_sym_L_SQUOTE] = ACTIONS(2394),
    [anon_sym_u_SQUOTE] = ACTIONS(2394),
    [anon_sym_U_SQUOTE] = ACTIONS(2394),
    [anon_sym_u8_SQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_L_DQUOTE] = ACTIONS(2394),
    [anon_sym_u_DQUOTE] = ACTIONS(2394),
    [anon_sym_U_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8_DQUOTE] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [sym_true] = ACTIONS(2392),
    [sym_false] = ACTIONS(2392),
    [anon_sym_NULL] = ACTIONS(2392),
    [anon_sym_nullptr] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_try] = ACTIONS(2392),
    [anon_sym_delete] = ACTIONS(2392),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_namespace] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_concept] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2392),
    [anon_sym_co_yield] = ACTIONS(2392),
    [anon_sym_R_DQUOTE] = ACTIONS(2394),
    [anon_sym_LR_DQUOTE] = ACTIONS(2394),
    [anon_sym_uR_DQUOTE] = ACTIONS(2394),
    [anon_sym_UR_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2394),
    [anon_sym_co_await] = ACTIONS(2392),
    [anon_sym_new] = ACTIONS(2392),
    [anon_sym_requires] = ACTIONS(2392),
    [sym_this] = ACTIONS(2392),
    [anon_sym_discard] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
    [anon_sym_cbuffer] = ACTIONS(2392),
  },
  [710] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [711] = {
    [sym_identifier] = ACTIONS(2396),
    [aux_sym_preproc_include_token1] = ACTIONS(2396),
    [aux_sym_preproc_def_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2396),
    [sym_preproc_directive] = ACTIONS(2396),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_typedef] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym___cdecl] = ACTIONS(2396),
    [anon_sym___clrcall] = ACTIONS(2396),
    [anon_sym___stdcall] = ACTIONS(2396),
    [anon_sym___fastcall] = ACTIONS(2396),
    [anon_sym___thiscall] = ACTIONS(2396),
    [anon_sym___vectorcall] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_RBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym__Nonnull] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym__Alignas] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2396),
    [anon_sym_class] = ACTIONS(2396),
    [anon_sym_struct] = ACTIONS(2396),
    [anon_sym_union] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2396),
    [anon_sym_switch] = ACTIONS(2396),
    [anon_sym_case] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [anon_sym_do] = ACTIONS(2396),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_break] = ACTIONS(2396),
    [anon_sym_continue] = ACTIONS(2396),
    [anon_sym_goto] = ACTIONS(2396),
    [anon_sym___try] = ACTIONS(2396),
    [anon_sym___leave] = ACTIONS(2396),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_compl] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_sizeof] = ACTIONS(2396),
    [anon_sym___alignof__] = ACTIONS(2396),
    [anon_sym___alignof] = ACTIONS(2396),
    [anon_sym__alignof] = ACTIONS(2396),
    [anon_sym_alignof] = ACTIONS(2396),
    [anon_sym__Alignof] = ACTIONS(2396),
    [anon_sym_offsetof] = ACTIONS(2396),
    [anon_sym__Generic] = ACTIONS(2396),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [anon_sym___asm] = ACTIONS(2396),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2398),
    [anon_sym_u_SQUOTE] = ACTIONS(2398),
    [anon_sym_U_SQUOTE] = ACTIONS(2398),
    [anon_sym_u8_SQUOTE] = ACTIONS(2398),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2396),
    [sym_false] = ACTIONS(2396),
    [anon_sym_NULL] = ACTIONS(2396),
    [anon_sym_nullptr] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_explicit] = ACTIONS(2396),
    [anon_sym_typename] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_operator] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_delete] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2396),
    [anon_sym_using] = ACTIONS(2396),
    [anon_sym_static_assert] = ACTIONS(2396),
    [anon_sym_concept] = ACTIONS(2396),
    [anon_sym_co_return] = ACTIONS(2396),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2398),
    [anon_sym_LR_DQUOTE] = ACTIONS(2398),
    [anon_sym_uR_DQUOTE] = ACTIONS(2398),
    [anon_sym_UR_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2398),
    [anon_sym_co_await] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [sym_this] = ACTIONS(2396),
    [anon_sym_discard] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
    [anon_sym_cbuffer] = ACTIONS(2396),
  },
  [712] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_include_token1] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym___cdecl] = ACTIONS(2400),
    [anon_sym___clrcall] = ACTIONS(2400),
    [anon_sym___stdcall] = ACTIONS(2400),
    [anon_sym___fastcall] = ACTIONS(2400),
    [anon_sym___thiscall] = ACTIONS(2400),
    [anon_sym___vectorcall] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym__Nonnull] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym__Alignas] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2400),
    [anon_sym_switch] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2400),
    [anon_sym_default] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2400),
    [anon_sym_do] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2400),
    [anon_sym_return] = ACTIONS(2400),
    [anon_sym_break] = ACTIONS(2400),
    [anon_sym_continue] = ACTIONS(2400),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym___try] = ACTIONS(2400),
    [anon_sym___leave] = ACTIONS(2400),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_compl] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_sizeof] = ACTIONS(2400),
    [anon_sym___alignof__] = ACTIONS(2400),
    [anon_sym___alignof] = ACTIONS(2400),
    [anon_sym__alignof] = ACTIONS(2400),
    [anon_sym_alignof] = ACTIONS(2400),
    [anon_sym__Alignof] = ACTIONS(2400),
    [anon_sym_offsetof] = ACTIONS(2400),
    [anon_sym__Generic] = ACTIONS(2400),
    [anon_sym_asm] = ACTIONS(2400),
    [anon_sym___asm__] = ACTIONS(2400),
    [anon_sym___asm] = ACTIONS(2400),
    [sym_number_literal] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2402),
    [anon_sym_u_SQUOTE] = ACTIONS(2402),
    [anon_sym_U_SQUOTE] = ACTIONS(2402),
    [anon_sym_u8_SQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_L_DQUOTE] = ACTIONS(2402),
    [anon_sym_u_DQUOTE] = ACTIONS(2402),
    [anon_sym_U_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8_DQUOTE] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [sym_true] = ACTIONS(2400),
    [sym_false] = ACTIONS(2400),
    [anon_sym_NULL] = ACTIONS(2400),
    [anon_sym_nullptr] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_try] = ACTIONS(2400),
    [anon_sym_delete] = ACTIONS(2400),
    [anon_sym_throw] = ACTIONS(2400),
    [anon_sym_namespace] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_concept] = ACTIONS(2400),
    [anon_sym_co_return] = ACTIONS(2400),
    [anon_sym_co_yield] = ACTIONS(2400),
    [anon_sym_R_DQUOTE] = ACTIONS(2402),
    [anon_sym_LR_DQUOTE] = ACTIONS(2402),
    [anon_sym_uR_DQUOTE] = ACTIONS(2402),
    [anon_sym_UR_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2402),
    [anon_sym_co_await] = ACTIONS(2400),
    [anon_sym_new] = ACTIONS(2400),
    [anon_sym_requires] = ACTIONS(2400),
    [sym_this] = ACTIONS(2400),
    [anon_sym_discard] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
    [anon_sym_cbuffer] = ACTIONS(2400),
  },
  [713] = {
    [sym_identifier] = ACTIONS(2404),
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_TILDE] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym___extension__] = ACTIONS(2404),
    [anon_sym_typedef] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_out] = ACTIONS(2404),
    [anon_sym_inout] = ACTIONS(2404),
    [anon_sym_virtual] = ACTIONS(2404),
    [anon_sym_extern] = ACTIONS(2404),
    [anon_sym___attribute__] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2406),
    [anon_sym___declspec] = ACTIONS(2404),
    [anon_sym___based] = ACTIONS(2404),
    [anon_sym___cdecl] = ACTIONS(2404),
    [anon_sym___clrcall] = ACTIONS(2404),
    [anon_sym___stdcall] = ACTIONS(2404),
    [anon_sym___fastcall] = ACTIONS(2404),
    [anon_sym___thiscall] = ACTIONS(2404),
    [anon_sym___vectorcall] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_RBRACE] = ACTIONS(2406),
    [anon_sym_signed] = ACTIONS(2404),
    [anon_sym_unsigned] = ACTIONS(2404),
    [anon_sym_long] = ACTIONS(2404),
    [anon_sym_short] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_static] = ACTIONS(2404),
    [anon_sym_register] = ACTIONS(2404),
    [anon_sym_inline] = ACTIONS(2404),
    [anon_sym___inline] = ACTIONS(2404),
    [anon_sym___inline__] = ACTIONS(2404),
    [anon_sym___forceinline] = ACTIONS(2404),
    [anon_sym_thread_local] = ACTIONS(2404),
    [anon_sym___thread] = ACTIONS(2404),
    [anon_sym_const] = ACTIONS(2404),
    [anon_sym_constexpr] = ACTIONS(2404),
    [anon_sym_volatile] = ACTIONS(2404),
    [anon_sym_restrict] = ACTIONS(2404),
    [anon_sym___restrict__] = ACTIONS(2404),
    [anon_sym__Atomic] = ACTIONS(2404),
    [anon_sym__Noreturn] = ACTIONS(2404),
    [anon_sym_noreturn] = ACTIONS(2404),
    [anon_sym__Nonnull] = ACTIONS(2404),
    [anon_sym_mutable] = ACTIONS(2404),
    [anon_sym_constinit] = ACTIONS(2404),
    [anon_sym_consteval] = ACTIONS(2404),
    [anon_sym_alignas] = ACTIONS(2404),
    [anon_sym__Alignas] = ACTIONS(2404),
    [sym_primitive_type] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(2404),
    [anon_sym_union] = ACTIONS(2404),
    [anon_sym_if] = ACTIONS(2404),
    [anon_sym_switch] = ACTIONS(2404),
    [anon_sym_case] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2404),
    [anon_sym___leave] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2404),
    [anon_sym_compl] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_sizeof] = ACTIONS(2404),
    [anon_sym___alignof__] = ACTIONS(2404),
    [anon_sym___alignof] = ACTIONS(2404),
    [anon_sym__alignof] = ACTIONS(2404),
    [anon_sym_alignof] = ACTIONS(2404),
    [anon_sym__Alignof] = ACTIONS(2404),
    [anon_sym_offsetof] = ACTIONS(2404),
    [anon_sym__Generic] = ACTIONS(2404),
    [anon_sym_asm] = ACTIONS(2404),
    [anon_sym___asm__] = ACTIONS(2404),
    [anon_sym___asm] = ACTIONS(2404),
    [sym_number_literal] = ACTIONS(2406),
    [anon_sym_L_SQUOTE] = ACTIONS(2406),
    [anon_sym_u_SQUOTE] = ACTIONS(2406),
    [anon_sym_U_SQUOTE] = ACTIONS(2406),
    [anon_sym_u8_SQUOTE] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2406),
    [anon_sym_L_DQUOTE] = ACTIONS(2406),
    [anon_sym_u_DQUOTE] = ACTIONS(2406),
    [anon_sym_U_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8_DQUOTE] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2404),
    [sym_false] = ACTIONS(2404),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2404),
    [anon_sym_decltype] = ACTIONS(2404),
    [anon_sym_explicit] = ACTIONS(2404),
    [anon_sym_typename] = ACTIONS(2404),
    [anon_sym_template] = ACTIONS(2404),
    [anon_sym_operator] = ACTIONS(2404),
    [anon_sym_try] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2404),
    [anon_sym_using] = ACTIONS(2404),
    [anon_sym_static_assert] = ACTIONS(2404),
    [anon_sym_concept] = ACTIONS(2404),
    [anon_sym_co_return] = ACTIONS(2404),
    [anon_sym_co_yield] = ACTIONS(2404),
    [anon_sym_R_DQUOTE] = ACTIONS(2406),
    [anon_sym_LR_DQUOTE] = ACTIONS(2406),
    [anon_sym_uR_DQUOTE] = ACTIONS(2406),
    [anon_sym_UR_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2406),
    [anon_sym_co_await] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2404),
    [anon_sym_requires] = ACTIONS(2404),
    [sym_this] = ACTIONS(2404),
    [anon_sym_discard] = ACTIONS(2404),
    [anon_sym_precise] = ACTIONS(2404),
    [anon_sym_shared] = ACTIONS(2404),
    [anon_sym_groupshared] = ACTIONS(2404),
    [anon_sym_uniform] = ACTIONS(2404),
    [anon_sym_row_major] = ACTIONS(2404),
    [anon_sym_column_major] = ACTIONS(2404),
    [anon_sym_globallycoherent] = ACTIONS(2404),
    [anon_sym_centroid] = ACTIONS(2404),
    [anon_sym_noperspective] = ACTIONS(2404),
    [anon_sym_nointerpolation] = ACTIONS(2404),
    [anon_sym_sample] = ACTIONS(2404),
    [anon_sym_linear] = ACTIONS(2404),
    [anon_sym_snorm] = ACTIONS(2404),
    [anon_sym_unorm] = ACTIONS(2404),
    [anon_sym_point] = ACTIONS(2404),
    [anon_sym_line] = ACTIONS(2404),
    [anon_sym_triangleadj] = ACTIONS(2404),
    [anon_sym_lineadj] = ACTIONS(2404),
    [anon_sym_triangle] = ACTIONS(2404),
    [anon_sym_cbuffer] = ACTIONS(2404),
  },
  [714] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym___leave] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2408),
    [anon_sym_compl] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_concept] = ACTIONS(2408),
    [anon_sym_co_return] = ACTIONS(2408),
    [anon_sym_co_yield] = ACTIONS(2408),
    [anon_sym_R_DQUOTE] = ACTIONS(2410),
    [anon_sym_LR_DQUOTE] = ACTIONS(2410),
    [anon_sym_uR_DQUOTE] = ACTIONS(2410),
    [anon_sym_UR_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2410),
    [anon_sym_co_await] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_requires] = ACTIONS(2408),
    [sym_this] = ACTIONS(2408),
    [anon_sym_discard] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
    [anon_sym_cbuffer] = ACTIONS(2408),
  },
  [715] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_virtual] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___based] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_RBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_mutable] = ACTIONS(2412),
    [anon_sym_constinit] = ACTIONS(2412),
    [anon_sym_consteval] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_class] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym___leave] = ACTIONS(2412),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_compl] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2412),
    [anon_sym_decltype] = ACTIONS(2412),
    [anon_sym_explicit] = ACTIONS(2412),
    [anon_sym_typename] = ACTIONS(2412),
    [anon_sym_template] = ACTIONS(2412),
    [anon_sym_operator] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_namespace] = ACTIONS(2412),
    [anon_sym_using] = ACTIONS(2412),
    [anon_sym_static_assert] = ACTIONS(2412),
    [anon_sym_concept] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2412),
    [anon_sym_co_yield] = ACTIONS(2412),
    [anon_sym_R_DQUOTE] = ACTIONS(2414),
    [anon_sym_LR_DQUOTE] = ACTIONS(2414),
    [anon_sym_uR_DQUOTE] = ACTIONS(2414),
    [anon_sym_UR_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2414),
    [anon_sym_co_await] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2412),
    [anon_sym_requires] = ACTIONS(2412),
    [sym_this] = ACTIONS(2412),
    [anon_sym_discard] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_groupshared] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_row_major] = ACTIONS(2412),
    [anon_sym_column_major] = ACTIONS(2412),
    [anon_sym_globallycoherent] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym_nointerpolation] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_linear] = ACTIONS(2412),
    [anon_sym_snorm] = ACTIONS(2412),
    [anon_sym_unorm] = ACTIONS(2412),
    [anon_sym_point] = ACTIONS(2412),
    [anon_sym_line] = ACTIONS(2412),
    [anon_sym_triangleadj] = ACTIONS(2412),
    [anon_sym_lineadj] = ACTIONS(2412),
    [anon_sym_triangle] = ACTIONS(2412),
    [anon_sym_cbuffer] = ACTIONS(2412),
  },
  [716] = {
    [sym_identifier] = ACTIONS(2476),
    [aux_sym_preproc_include_token1] = ACTIONS(2476),
    [aux_sym_preproc_def_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token2] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2476),
    [sym_preproc_directive] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2476),
    [anon_sym_typedef] = ACTIONS(2476),
    [anon_sym_in] = ACTIONS(2476),
    [anon_sym_out] = ACTIONS(2476),
    [anon_sym_inout] = ACTIONS(2476),
    [anon_sym_virtual] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym___attribute__] = ACTIONS(2476),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2478),
    [anon_sym___declspec] = ACTIONS(2476),
    [anon_sym___based] = ACTIONS(2476),
    [anon_sym___cdecl] = ACTIONS(2476),
    [anon_sym___clrcall] = ACTIONS(2476),
    [anon_sym___stdcall] = ACTIONS(2476),
    [anon_sym___fastcall] = ACTIONS(2476),
    [anon_sym___thiscall] = ACTIONS(2476),
    [anon_sym___vectorcall] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2476),
    [anon_sym_unsigned] = ACTIONS(2476),
    [anon_sym_long] = ACTIONS(2476),
    [anon_sym_short] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_register] = ACTIONS(2476),
    [anon_sym_inline] = ACTIONS(2476),
    [anon_sym___inline] = ACTIONS(2476),
    [anon_sym___inline__] = ACTIONS(2476),
    [anon_sym___forceinline] = ACTIONS(2476),
    [anon_sym_thread_local] = ACTIONS(2476),
    [anon_sym___thread] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_constexpr] = ACTIONS(2476),
    [anon_sym_volatile] = ACTIONS(2476),
    [anon_sym_restrict] = ACTIONS(2476),
    [anon_sym___restrict__] = ACTIONS(2476),
    [anon_sym__Atomic] = ACTIONS(2476),
    [anon_sym__Noreturn] = ACTIONS(2476),
    [anon_sym_noreturn] = ACTIONS(2476),
    [anon_sym__Nonnull] = ACTIONS(2476),
    [anon_sym_mutable] = ACTIONS(2476),
    [anon_sym_constinit] = ACTIONS(2476),
    [anon_sym_consteval] = ACTIONS(2476),
    [anon_sym_alignas] = ACTIONS(2476),
    [anon_sym__Alignas] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_class] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_switch] = ACTIONS(2476),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2476),
    [anon_sym___leave] = ACTIONS(2476),
    [anon_sym_not] = ACTIONS(2476),
    [anon_sym_compl] = ACTIONS(2476),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_sizeof] = ACTIONS(2476),
    [anon_sym___alignof__] = ACTIONS(2476),
    [anon_sym___alignof] = ACTIONS(2476),
    [anon_sym__alignof] = ACTIONS(2476),
    [anon_sym_alignof] = ACTIONS(2476),
    [anon_sym__Alignof] = ACTIONS(2476),
    [anon_sym_offsetof] = ACTIONS(2476),
    [anon_sym__Generic] = ACTIONS(2476),
    [anon_sym_asm] = ACTIONS(2476),
    [anon_sym___asm__] = ACTIONS(2476),
    [anon_sym___asm] = ACTIONS(2476),
    [sym_number_literal] = ACTIONS(2478),
    [anon_sym_L_SQUOTE] = ACTIONS(2478),
    [anon_sym_u_SQUOTE] = ACTIONS(2478),
    [anon_sym_U_SQUOTE] = ACTIONS(2478),
    [anon_sym_u8_SQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_L_DQUOTE] = ACTIONS(2478),
    [anon_sym_u_DQUOTE] = ACTIONS(2478),
    [anon_sym_U_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [sym_true] = ACTIONS(2476),
    [sym_false] = ACTIONS(2476),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2476),
    [anon_sym_decltype] = ACTIONS(2476),
    [anon_sym_explicit] = ACTIONS(2476),
    [anon_sym_typename] = ACTIONS(2476),
    [anon_sym_template] = ACTIONS(2476),
    [anon_sym_operator] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_using] = ACTIONS(2476),
    [anon_sym_static_assert] = ACTIONS(2476),
    [anon_sym_concept] = ACTIONS(2476),
    [anon_sym_co_return] = ACTIONS(2476),
    [anon_sym_co_yield] = ACTIONS(2476),
    [anon_sym_R_DQUOTE] = ACTIONS(2478),
    [anon_sym_LR_DQUOTE] = ACTIONS(2478),
    [anon_sym_uR_DQUOTE] = ACTIONS(2478),
    [anon_sym_UR_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2478),
    [anon_sym_co_await] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_requires] = ACTIONS(2476),
    [sym_this] = ACTIONS(2476),
    [anon_sym_discard] = ACTIONS(2476),
    [anon_sym_precise] = ACTIONS(2476),
    [anon_sym_shared] = ACTIONS(2476),
    [anon_sym_groupshared] = ACTIONS(2476),
    [anon_sym_uniform] = ACTIONS(2476),
    [anon_sym_row_major] = ACTIONS(2476),
    [anon_sym_column_major] = ACTIONS(2476),
    [anon_sym_globallycoherent] = ACTIONS(2476),
    [anon_sym_centroid] = ACTIONS(2476),
    [anon_sym_noperspective] = ACTIONS(2476),
    [anon_sym_nointerpolation] = ACTIONS(2476),
    [anon_sym_sample] = ACTIONS(2476),
    [anon_sym_linear] = ACTIONS(2476),
    [anon_sym_snorm] = ACTIONS(2476),
    [anon_sym_unorm] = ACTIONS(2476),
    [anon_sym_point] = ACTIONS(2476),
    [anon_sym_line] = ACTIONS(2476),
    [anon_sym_triangleadj] = ACTIONS(2476),
    [anon_sym_lineadj] = ACTIONS(2476),
    [anon_sym_triangle] = ACTIONS(2476),
    [anon_sym_cbuffer] = ACTIONS(2476),
  },
  [717] = {
    [sym_identifier] = ACTIONS(2480),
    [aux_sym_preproc_include_token1] = ACTIONS(2480),
    [aux_sym_preproc_def_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token2] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2480),
    [sym_preproc_directive] = ACTIONS(2480),
    [anon_sym_LPAREN2] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_TILDE] = ACTIONS(2482),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2480),
    [anon_sym_typedef] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_out] = ACTIONS(2480),
    [anon_sym_inout] = ACTIONS(2480),
    [anon_sym_virtual] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym___attribute__] = ACTIONS(2480),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2482),
    [anon_sym___declspec] = ACTIONS(2480),
    [anon_sym___based] = ACTIONS(2480),
    [anon_sym___cdecl] = ACTIONS(2480),
    [anon_sym___clrcall] = ACTIONS(2480),
    [anon_sym___stdcall] = ACTIONS(2480),
    [anon_sym___fastcall] = ACTIONS(2480),
    [anon_sym___thiscall] = ACTIONS(2480),
    [anon_sym___vectorcall] = ACTIONS(2480),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2480),
    [anon_sym_unsigned] = ACTIONS(2480),
    [anon_sym_long] = ACTIONS(2480),
    [anon_sym_short] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_register] = ACTIONS(2480),
    [anon_sym_inline] = ACTIONS(2480),
    [anon_sym___inline] = ACTIONS(2480),
    [anon_sym___inline__] = ACTIONS(2480),
    [anon_sym___forceinline] = ACTIONS(2480),
    [anon_sym_thread_local] = ACTIONS(2480),
    [anon_sym___thread] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_constexpr] = ACTIONS(2480),
    [anon_sym_volatile] = ACTIONS(2480),
    [anon_sym_restrict] = ACTIONS(2480),
    [anon_sym___restrict__] = ACTIONS(2480),
    [anon_sym__Atomic] = ACTIONS(2480),
    [anon_sym__Noreturn] = ACTIONS(2480),
    [anon_sym_noreturn] = ACTIONS(2480),
    [anon_sym__Nonnull] = ACTIONS(2480),
    [anon_sym_mutable] = ACTIONS(2480),
    [anon_sym_constinit] = ACTIONS(2480),
    [anon_sym_consteval] = ACTIONS(2480),
    [anon_sym_alignas] = ACTIONS(2480),
    [anon_sym__Alignas] = ACTIONS(2480),
    [sym_primitive_type] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_class] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_switch] = ACTIONS(2480),
    [anon_sym_case] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_goto] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2480),
    [anon_sym___leave] = ACTIONS(2480),
    [anon_sym_not] = ACTIONS(2480),
    [anon_sym_compl] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_sizeof] = ACTIONS(2480),
    [anon_sym___alignof__] = ACTIONS(2480),
    [anon_sym___alignof] = ACTIONS(2480),
    [anon_sym__alignof] = ACTIONS(2480),
    [anon_sym_alignof] = ACTIONS(2480),
    [anon_sym__Alignof] = ACTIONS(2480),
    [anon_sym_offsetof] = ACTIONS(2480),
    [anon_sym__Generic] = ACTIONS(2480),
    [anon_sym_asm] = ACTIONS(2480),
    [anon_sym___asm__] = ACTIONS(2480),
    [anon_sym___asm] = ACTIONS(2480),
    [sym_number_literal] = ACTIONS(2482),
    [anon_sym_L_SQUOTE] = ACTIONS(2482),
    [anon_sym_u_SQUOTE] = ACTIONS(2482),
    [anon_sym_U_SQUOTE] = ACTIONS(2482),
    [anon_sym_u8_SQUOTE] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2482),
    [anon_sym_L_DQUOTE] = ACTIONS(2482),
    [anon_sym_u_DQUOTE] = ACTIONS(2482),
    [anon_sym_U_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8_DQUOTE] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [sym_true] = ACTIONS(2480),
    [sym_false] = ACTIONS(2480),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2480),
    [anon_sym_decltype] = ACTIONS(2480),
    [anon_sym_explicit] = ACTIONS(2480),
    [anon_sym_typename] = ACTIONS(2480),
    [anon_sym_template] = ACTIONS(2480),
    [anon_sym_operator] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [anon_sym_delete] = ACTIONS(2480),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2480),
    [anon_sym_using] = ACTIONS(2480),
    [anon_sym_static_assert] = ACTIONS(2480),
    [anon_sym_concept] = ACTIONS(2480),
    [anon_sym_co_return] = ACTIONS(2480),
    [anon_sym_co_yield] = ACTIONS(2480),
    [anon_sym_R_DQUOTE] = ACTIONS(2482),
    [anon_sym_LR_DQUOTE] = ACTIONS(2482),
    [anon_sym_uR_DQUOTE] = ACTIONS(2482),
    [anon_sym_UR_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2482),
    [anon_sym_co_await] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2480),
    [anon_sym_requires] = ACTIONS(2480),
    [sym_this] = ACTIONS(2480),
    [anon_sym_discard] = ACTIONS(2480),
    [anon_sym_precise] = ACTIONS(2480),
    [anon_sym_shared] = ACTIONS(2480),
    [anon_sym_groupshared] = ACTIONS(2480),
    [anon_sym_uniform] = ACTIONS(2480),
    [anon_sym_row_major] = ACTIONS(2480),
    [anon_sym_column_major] = ACTIONS(2480),
    [anon_sym_globallycoherent] = ACTIONS(2480),
    [anon_sym_centroid] = ACTIONS(2480),
    [anon_sym_noperspective] = ACTIONS(2480),
    [anon_sym_nointerpolation] = ACTIONS(2480),
    [anon_sym_sample] = ACTIONS(2480),
    [anon_sym_linear] = ACTIONS(2480),
    [anon_sym_snorm] = ACTIONS(2480),
    [anon_sym_unorm] = ACTIONS(2480),
    [anon_sym_point] = ACTIONS(2480),
    [anon_sym_line] = ACTIONS(2480),
    [anon_sym_triangleadj] = ACTIONS(2480),
    [anon_sym_lineadj] = ACTIONS(2480),
    [anon_sym_triangle] = ACTIONS(2480),
    [anon_sym_cbuffer] = ACTIONS(2480),
  },
  [718] = {
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token2] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym__Nonnull] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym__Alignas] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [anon_sym___asm] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [719] = {
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2562),
    [anon_sym_out] = ACTIONS(2562),
    [anon_sym_inout] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [sym_number_literal] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
    [anon_sym_discard] = ACTIONS(2562),
    [anon_sym_precise] = ACTIONS(2562),
    [anon_sym_shared] = ACTIONS(2562),
    [anon_sym_groupshared] = ACTIONS(2562),
    [anon_sym_uniform] = ACTIONS(2562),
    [anon_sym_row_major] = ACTIONS(2562),
    [anon_sym_column_major] = ACTIONS(2562),
    [anon_sym_globallycoherent] = ACTIONS(2562),
    [anon_sym_centroid] = ACTIONS(2562),
    [anon_sym_noperspective] = ACTIONS(2562),
    [anon_sym_nointerpolation] = ACTIONS(2562),
    [anon_sym_sample] = ACTIONS(2562),
    [anon_sym_linear] = ACTIONS(2562),
    [anon_sym_snorm] = ACTIONS(2562),
    [anon_sym_unorm] = ACTIONS(2562),
    [anon_sym_point] = ACTIONS(2562),
    [anon_sym_line] = ACTIONS(2562),
    [anon_sym_triangleadj] = ACTIONS(2562),
    [anon_sym_lineadj] = ACTIONS(2562),
    [anon_sym_triangle] = ACTIONS(2562),
    [anon_sym_cbuffer] = ACTIONS(2562),
  },
  [720] = {
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_out] = ACTIONS(2566),
    [anon_sym_inout] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
    [anon_sym_discard] = ACTIONS(2566),
    [anon_sym_precise] = ACTIONS(2566),
    [anon_sym_shared] = ACTIONS(2566),
    [anon_sym_groupshared] = ACTIONS(2566),
    [anon_sym_uniform] = ACTIONS(2566),
    [anon_sym_row_major] = ACTIONS(2566),
    [anon_sym_column_major] = ACTIONS(2566),
    [anon_sym_globallycoherent] = ACTIONS(2566),
    [anon_sym_centroid] = ACTIONS(2566),
    [anon_sym_noperspective] = ACTIONS(2566),
    [anon_sym_nointerpolation] = ACTIONS(2566),
    [anon_sym_sample] = ACTIONS(2566),
    [anon_sym_linear] = ACTIONS(2566),
    [anon_sym_snorm] = ACTIONS(2566),
    [anon_sym_unorm] = ACTIONS(2566),
    [anon_sym_point] = ACTIONS(2566),
    [anon_sym_line] = ACTIONS(2566),
    [anon_sym_triangleadj] = ACTIONS(2566),
    [anon_sym_lineadj] = ACTIONS(2566),
    [anon_sym_triangle] = ACTIONS(2566),
    [anon_sym_cbuffer] = ACTIONS(2566),
  },
  [721] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_out] = ACTIONS(2416),
    [anon_sym_inout] = ACTIONS(2416),
    [anon_sym_virtual] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___based] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_mutable] = ACTIONS(2416),
    [anon_sym_constinit] = ACTIONS(2416),
    [anon_sym_consteval] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym___leave] = ACTIONS(2416),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2416),
    [anon_sym_decltype] = ACTIONS(2416),
    [anon_sym_explicit] = ACTIONS(2416),
    [anon_sym_typename] = ACTIONS(2416),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_operator] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_static_assert] = ACTIONS(2416),
    [anon_sym_concept] = ACTIONS(2416),
    [anon_sym_co_return] = ACTIONS(2416),
    [anon_sym_co_yield] = ACTIONS(2416),
    [anon_sym_R_DQUOTE] = ACTIONS(2418),
    [anon_sym_LR_DQUOTE] = ACTIONS(2418),
    [anon_sym_uR_DQUOTE] = ACTIONS(2418),
    [anon_sym_UR_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2418),
    [anon_sym_co_await] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_requires] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [anon_sym_discard] = ACTIONS(2416),
    [anon_sym_precise] = ACTIONS(2416),
    [anon_sym_shared] = ACTIONS(2416),
    [anon_sym_groupshared] = ACTIONS(2416),
    [anon_sym_uniform] = ACTIONS(2416),
    [anon_sym_row_major] = ACTIONS(2416),
    [anon_sym_column_major] = ACTIONS(2416),
    [anon_sym_globallycoherent] = ACTIONS(2416),
    [anon_sym_centroid] = ACTIONS(2416),
    [anon_sym_noperspective] = ACTIONS(2416),
    [anon_sym_nointerpolation] = ACTIONS(2416),
    [anon_sym_sample] = ACTIONS(2416),
    [anon_sym_linear] = ACTIONS(2416),
    [anon_sym_snorm] = ACTIONS(2416),
    [anon_sym_unorm] = ACTIONS(2416),
    [anon_sym_point] = ACTIONS(2416),
    [anon_sym_line] = ACTIONS(2416),
    [anon_sym_triangleadj] = ACTIONS(2416),
    [anon_sym_lineadj] = ACTIONS(2416),
    [anon_sym_triangle] = ACTIONS(2416),
    [anon_sym_cbuffer] = ACTIONS(2416),
  },
  [722] = {
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token2] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_out] = ACTIONS(2490),
    [anon_sym_inout] = ACTIONS(2490),
    [anon_sym_virtual] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___based] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_mutable] = ACTIONS(2490),
    [anon_sym_constinit] = ACTIONS(2490),
    [anon_sym_consteval] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_class] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym___leave] = ACTIONS(2490),
    [anon_sym_not] = ACTIONS(2490),
    [anon_sym_compl] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2490),
    [anon_sym_decltype] = ACTIONS(2490),
    [anon_sym_explicit] = ACTIONS(2490),
    [anon_sym_typename] = ACTIONS(2490),
    [anon_sym_template] = ACTIONS(2490),
    [anon_sym_operator] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2490),
    [anon_sym_delete] = ACTIONS(2490),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_namespace] = ACTIONS(2490),
    [anon_sym_using] = ACTIONS(2490),
    [anon_sym_static_assert] = ACTIONS(2490),
    [anon_sym_concept] = ACTIONS(2490),
    [anon_sym_co_return] = ACTIONS(2490),
    [anon_sym_co_yield] = ACTIONS(2490),
    [anon_sym_R_DQUOTE] = ACTIONS(2492),
    [anon_sym_LR_DQUOTE] = ACTIONS(2492),
    [anon_sym_uR_DQUOTE] = ACTIONS(2492),
    [anon_sym_UR_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2492),
    [anon_sym_co_await] = ACTIONS(2490),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2490),
    [anon_sym_discard] = ACTIONS(2490),
    [anon_sym_precise] = ACTIONS(2490),
    [anon_sym_shared] = ACTIONS(2490),
    [anon_sym_groupshared] = ACTIONS(2490),
    [anon_sym_uniform] = ACTIONS(2490),
    [anon_sym_row_major] = ACTIONS(2490),
    [anon_sym_column_major] = ACTIONS(2490),
    [anon_sym_globallycoherent] = ACTIONS(2490),
    [anon_sym_centroid] = ACTIONS(2490),
    [anon_sym_noperspective] = ACTIONS(2490),
    [anon_sym_nointerpolation] = ACTIONS(2490),
    [anon_sym_sample] = ACTIONS(2490),
    [anon_sym_linear] = ACTIONS(2490),
    [anon_sym_snorm] = ACTIONS(2490),
    [anon_sym_unorm] = ACTIONS(2490),
    [anon_sym_point] = ACTIONS(2490),
    [anon_sym_line] = ACTIONS(2490),
    [anon_sym_triangleadj] = ACTIONS(2490),
    [anon_sym_lineadj] = ACTIONS(2490),
    [anon_sym_triangle] = ACTIONS(2490),
    [anon_sym_cbuffer] = ACTIONS(2490),
  },
  [723] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [anon_sym___asm] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
    [anon_sym_discard] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
    [anon_sym_cbuffer] = ACTIONS(2629),
  },
  [724] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5698),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6757),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8721),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token2] = ACTIONS(2859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [aux_sym_preproc_else_token1] = ACTIONS(2859),
    [aux_sym_preproc_elif_token1] = ACTIONS(2859),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2859),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_in] = ACTIONS(2891),
    [anon_sym_out] = ACTIONS(2891),
    [anon_sym_inout] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2894),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2906),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_register] = ACTIONS(2894),
    [anon_sym_inline] = ACTIONS(2894),
    [anon_sym___inline] = ACTIONS(2894),
    [anon_sym___inline__] = ACTIONS(2894),
    [anon_sym___forceinline] = ACTIONS(2894),
    [anon_sym_thread_local] = ACTIONS(2894),
    [anon_sym___thread] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2918),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2918),
    [anon_sym_restrict] = ACTIONS(2918),
    [anon_sym___restrict__] = ACTIONS(2918),
    [anon_sym__Atomic] = ACTIONS(2918),
    [anon_sym__Noreturn] = ACTIONS(2918),
    [anon_sym_noreturn] = ACTIONS(2918),
    [anon_sym__Nonnull] = ACTIONS(2918),
    [anon_sym_mutable] = ACTIONS(2918),
    [anon_sym_constinit] = ACTIONS(2918),
    [anon_sym_consteval] = ACTIONS(2918),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2930),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2942),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2954),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_friend] = ACTIONS(2960),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_protected] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2966),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_precise] = ACTIONS(2972),
    [anon_sym_shared] = ACTIONS(2972),
    [anon_sym_groupshared] = ACTIONS(2972),
    [anon_sym_uniform] = ACTIONS(2972),
    [anon_sym_row_major] = ACTIONS(2972),
    [anon_sym_column_major] = ACTIONS(2972),
    [anon_sym_globallycoherent] = ACTIONS(2972),
    [anon_sym_centroid] = ACTIONS(2972),
    [anon_sym_noperspective] = ACTIONS(2972),
    [anon_sym_nointerpolation] = ACTIONS(2972),
    [anon_sym_sample] = ACTIONS(2972),
    [anon_sym_linear] = ACTIONS(2972),
    [anon_sym_snorm] = ACTIONS(2972),
    [anon_sym_unorm] = ACTIONS(2972),
    [anon_sym_point] = ACTIONS(2972),
    [anon_sym_line] = ACTIONS(2972),
    [anon_sym_triangleadj] = ACTIONS(2972),
    [anon_sym_lineadj] = ACTIONS(2972),
    [anon_sym_triangle] = ACTIONS(2972),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(1971),
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [sym_number_literal] = ACTIONS(1971),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [726] = {
    [sym_catch_clause] = STATE(331),
    [aux_sym_constructor_try_statement_repeat1] = STATE(331),
    [ts_builtin_sym_end] = ACTIONS(2092),
    [sym_identifier] = ACTIONS(2090),
    [aux_sym_preproc_include_token1] = ACTIONS(2090),
    [aux_sym_preproc_def_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token1] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2090),
    [sym_preproc_directive] = ACTIONS(2090),
    [anon_sym_LPAREN2] = ACTIONS(2092),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2092),
    [anon_sym_AMP_AMP] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2090),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2090),
    [anon_sym_out] = ACTIONS(2090),
    [anon_sym_inout] = ACTIONS(2090),
    [anon_sym_virtual] = ACTIONS(2090),
    [anon_sym_extern] = ACTIONS(2090),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2092),
    [anon_sym___declspec] = ACTIONS(2090),
    [anon_sym___based] = ACTIONS(2090),
    [anon_sym___cdecl] = ACTIONS(2090),
    [anon_sym___clrcall] = ACTIONS(2090),
    [anon_sym___stdcall] = ACTIONS(2090),
    [anon_sym___fastcall] = ACTIONS(2090),
    [anon_sym___thiscall] = ACTIONS(2090),
    [anon_sym___vectorcall] = ACTIONS(2090),
    [anon_sym_LBRACE] = ACTIONS(2092),
    [anon_sym_signed] = ACTIONS(2090),
    [anon_sym_unsigned] = ACTIONS(2090),
    [anon_sym_long] = ACTIONS(2090),
    [anon_sym_short] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_static] = ACTIONS(2090),
    [anon_sym_register] = ACTIONS(2090),
    [anon_sym_inline] = ACTIONS(2090),
    [anon_sym___inline] = ACTIONS(2090),
    [anon_sym___inline__] = ACTIONS(2090),
    [anon_sym___forceinline] = ACTIONS(2090),
    [anon_sym_thread_local] = ACTIONS(2090),
    [anon_sym___thread] = ACTIONS(2090),
    [anon_sym_const] = ACTIONS(2090),
    [anon_sym_constexpr] = ACTIONS(2090),
    [anon_sym_volatile] = ACTIONS(2090),
    [anon_sym_restrict] = ACTIONS(2090),
    [anon_sym___restrict__] = ACTIONS(2090),
    [anon_sym__Atomic] = ACTIONS(2090),
    [anon_sym__Noreturn] = ACTIONS(2090),
    [anon_sym_noreturn] = ACTIONS(2090),
    [anon_sym__Nonnull] = ACTIONS(2090),
    [anon_sym_mutable] = ACTIONS(2090),
    [anon_sym_constinit] = ACTIONS(2090),
    [anon_sym_consteval] = ACTIONS(2090),
    [anon_sym_alignas] = ACTIONS(2090),
    [anon_sym__Alignas] = ACTIONS(2090),
    [sym_primitive_type] = ACTIONS(2090),
    [anon_sym_enum] = ACTIONS(2090),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2090),
    [anon_sym_if] = ACTIONS(2090),
    [anon_sym_switch] = ACTIONS(2090),
    [anon_sym_case] = ACTIONS(2090),
    [anon_sym_default] = ACTIONS(2090),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2090),
    [anon_sym_return] = ACTIONS(2090),
    [anon_sym_break] = ACTIONS(2090),
    [anon_sym_continue] = ACTIONS(2090),
    [anon_sym_goto] = ACTIONS(2090),
    [anon_sym_not] = ACTIONS(2090),
    [anon_sym_compl] = ACTIONS(2090),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_sizeof] = ACTIONS(2090),
    [anon_sym___alignof__] = ACTIONS(2090),
    [anon_sym___alignof] = ACTIONS(2090),
    [anon_sym__alignof] = ACTIONS(2090),
    [anon_sym_alignof] = ACTIONS(2090),
    [anon_sym__Alignof] = ACTIONS(2090),
    [anon_sym_offsetof] = ACTIONS(2090),
    [anon_sym__Generic] = ACTIONS(2090),
    [anon_sym_asm] = ACTIONS(2090),
    [anon_sym___asm__] = ACTIONS(2090),
    [anon_sym___asm] = ACTIONS(2090),
    [sym_number_literal] = ACTIONS(2092),
    [anon_sym_L_SQUOTE] = ACTIONS(2092),
    [anon_sym_u_SQUOTE] = ACTIONS(2092),
    [anon_sym_U_SQUOTE] = ACTIONS(2092),
    [anon_sym_u8_SQUOTE] = ACTIONS(2092),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_L_DQUOTE] = ACTIONS(2092),
    [anon_sym_u_DQUOTE] = ACTIONS(2092),
    [anon_sym_U_DQUOTE] = ACTIONS(2092),
    [anon_sym_u8_DQUOTE] = ACTIONS(2092),
    [anon_sym_DQUOTE] = ACTIONS(2092),
    [sym_true] = ACTIONS(2090),
    [sym_false] = ACTIONS(2090),
    [anon_sym_NULL] = ACTIONS(2090),
    [anon_sym_nullptr] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2090),
    [anon_sym_decltype] = ACTIONS(2090),
    [anon_sym_explicit] = ACTIONS(2090),
    [anon_sym_typename] = ACTIONS(2090),
    [anon_sym_template] = ACTIONS(2090),
    [anon_sym_operator] = ACTIONS(2090),
    [anon_sym_try] = ACTIONS(2090),
    [anon_sym_delete] = ACTIONS(2090),
    [anon_sym_throw] = ACTIONS(2090),
    [anon_sym_namespace] = ACTIONS(2090),
    [anon_sym_using] = ACTIONS(2090),
    [anon_sym_static_assert] = ACTIONS(2090),
    [anon_sym_concept] = ACTIONS(2090),
    [anon_sym_co_return] = ACTIONS(2090),
    [anon_sym_co_yield] = ACTIONS(2090),
    [anon_sym_catch] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2092),
    [anon_sym_LR_DQUOTE] = ACTIONS(2092),
    [anon_sym_uR_DQUOTE] = ACTIONS(2092),
    [anon_sym_UR_DQUOTE] = ACTIONS(2092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2092),
    [anon_sym_co_await] = ACTIONS(2090),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_requires] = ACTIONS(2090),
    [sym_this] = ACTIONS(2090),
    [anon_sym_precise] = ACTIONS(2090),
    [anon_sym_shared] = ACTIONS(2090),
    [anon_sym_groupshared] = ACTIONS(2090),
    [anon_sym_uniform] = ACTIONS(2090),
    [anon_sym_row_major] = ACTIONS(2090),
    [anon_sym_column_major] = ACTIONS(2090),
    [anon_sym_globallycoherent] = ACTIONS(2090),
    [anon_sym_centroid] = ACTIONS(2090),
    [anon_sym_noperspective] = ACTIONS(2090),
    [anon_sym_nointerpolation] = ACTIONS(2090),
    [anon_sym_sample] = ACTIONS(2090),
    [anon_sym_linear] = ACTIONS(2090),
    [anon_sym_snorm] = ACTIONS(2090),
    [anon_sym_unorm] = ACTIONS(2090),
    [anon_sym_point] = ACTIONS(2090),
    [anon_sym_line] = ACTIONS(2090),
    [anon_sym_triangleadj] = ACTIONS(2090),
    [anon_sym_lineadj] = ACTIONS(2090),
    [anon_sym_triangle] = ACTIONS(2090),
  },
  [727] = {
    [sym_catch_clause] = STATE(331),
    [aux_sym_constructor_try_statement_repeat1] = STATE(331),
    [ts_builtin_sym_end] = ACTIONS(2086),
    [sym_identifier] = ACTIONS(2084),
    [aux_sym_preproc_include_token1] = ACTIONS(2084),
    [aux_sym_preproc_def_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token1] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2084),
    [sym_preproc_directive] = ACTIONS(2084),
    [anon_sym_LPAREN2] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(2086),
    [anon_sym_TILDE] = ACTIONS(2086),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_STAR] = ACTIONS(2086),
    [anon_sym_AMP_AMP] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_typedef] = ACTIONS(2084),
    [anon_sym_in] = ACTIONS(2084),
    [anon_sym_out] = ACTIONS(2084),
    [anon_sym_inout] = ACTIONS(2084),
    [anon_sym_virtual] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2084),
    [anon_sym___attribute__] = ACTIONS(2084),
    [anon_sym_COLON_COLON] = ACTIONS(2086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2086),
    [anon_sym___declspec] = ACTIONS(2084),
    [anon_sym___based] = ACTIONS(2084),
    [anon_sym___cdecl] = ACTIONS(2084),
    [anon_sym___clrcall] = ACTIONS(2084),
    [anon_sym___stdcall] = ACTIONS(2084),
    [anon_sym___fastcall] = ACTIONS(2084),
    [anon_sym___thiscall] = ACTIONS(2084),
    [anon_sym___vectorcall] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2086),
    [anon_sym_signed] = ACTIONS(2084),
    [anon_sym_unsigned] = ACTIONS(2084),
    [anon_sym_long] = ACTIONS(2084),
    [anon_sym_short] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_register] = ACTIONS(2084),
    [anon_sym_inline] = ACTIONS(2084),
    [anon_sym___inline] = ACTIONS(2084),
    [anon_sym___inline__] = ACTIONS(2084),
    [anon_sym___forceinline] = ACTIONS(2084),
    [anon_sym_thread_local] = ACTIONS(2084),
    [anon_sym___thread] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_mutable] = ACTIONS(2084),
    [anon_sym_constinit] = ACTIONS(2084),
    [anon_sym_consteval] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2084),
    [anon_sym__Alignas] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2084),
    [anon_sym_struct] = ACTIONS(2084),
    [anon_sym_union] = ACTIONS(2084),
    [anon_sym_if] = ACTIONS(2084),
    [anon_sym_switch] = ACTIONS(2084),
    [anon_sym_case] = ACTIONS(2084),
    [anon_sym_default] = ACTIONS(2084),
    [anon_sym_while] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2084),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_return] = ACTIONS(2084),
    [anon_sym_break] = ACTIONS(2084),
    [anon_sym_continue] = ACTIONS(2084),
    [anon_sym_goto] = ACTIONS(2084),
    [anon_sym_not] = ACTIONS(2084),
    [anon_sym_compl] = ACTIONS(2084),
    [anon_sym_DASH_DASH] = ACTIONS(2086),
    [anon_sym_PLUS_PLUS] = ACTIONS(2086),
    [anon_sym_sizeof] = ACTIONS(2084),
    [anon_sym___alignof__] = ACTIONS(2084),
    [anon_sym___alignof] = ACTIONS(2084),
    [anon_sym__alignof] = ACTIONS(2084),
    [anon_sym_alignof] = ACTIONS(2084),
    [anon_sym__Alignof] = ACTIONS(2084),
    [anon_sym_offsetof] = ACTIONS(2084),
    [anon_sym__Generic] = ACTIONS(2084),
    [anon_sym_asm] = ACTIONS(2084),
    [anon_sym___asm__] = ACTIONS(2084),
    [anon_sym___asm] = ACTIONS(2084),
    [sym_number_literal] = ACTIONS(2086),
    [anon_sym_L_SQUOTE] = ACTIONS(2086),
    [anon_sym_u_SQUOTE] = ACTIONS(2086),
    [anon_sym_U_SQUOTE] = ACTIONS(2086),
    [anon_sym_u8_SQUOTE] = ACTIONS(2086),
    [anon_sym_SQUOTE] = ACTIONS(2086),
    [anon_sym_L_DQUOTE] = ACTIONS(2086),
    [anon_sym_u_DQUOTE] = ACTIONS(2086),
    [anon_sym_U_DQUOTE] = ACTIONS(2086),
    [anon_sym_u8_DQUOTE] = ACTIONS(2086),
    [anon_sym_DQUOTE] = ACTIONS(2086),
    [sym_true] = ACTIONS(2084),
    [sym_false] = ACTIONS(2084),
    [anon_sym_NULL] = ACTIONS(2084),
    [anon_sym_nullptr] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2084),
    [anon_sym_decltype] = ACTIONS(2084),
    [anon_sym_explicit] = ACTIONS(2084),
    [anon_sym_typename] = ACTIONS(2084),
    [anon_sym_template] = ACTIONS(2084),
    [anon_sym_operator] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2084),
    [anon_sym_delete] = ACTIONS(2084),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_namespace] = ACTIONS(2084),
    [anon_sym_using] = ACTIONS(2084),
    [anon_sym_static_assert] = ACTIONS(2084),
    [anon_sym_concept] = ACTIONS(2084),
    [anon_sym_co_return] = ACTIONS(2084),
    [anon_sym_co_yield] = ACTIONS(2084),
    [anon_sym_catch] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2086),
    [anon_sym_LR_DQUOTE] = ACTIONS(2086),
    [anon_sym_uR_DQUOTE] = ACTIONS(2086),
    [anon_sym_UR_DQUOTE] = ACTIONS(2086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2086),
    [anon_sym_co_await] = ACTIONS(2084),
    [anon_sym_new] = ACTIONS(2084),
    [anon_sym_requires] = ACTIONS(2084),
    [sym_this] = ACTIONS(2084),
    [anon_sym_precise] = ACTIONS(2084),
    [anon_sym_shared] = ACTIONS(2084),
    [anon_sym_groupshared] = ACTIONS(2084),
    [anon_sym_uniform] = ACTIONS(2084),
    [anon_sym_row_major] = ACTIONS(2084),
    [anon_sym_column_major] = ACTIONS(2084),
    [anon_sym_globallycoherent] = ACTIONS(2084),
    [anon_sym_centroid] = ACTIONS(2084),
    [anon_sym_noperspective] = ACTIONS(2084),
    [anon_sym_nointerpolation] = ACTIONS(2084),
    [anon_sym_sample] = ACTIONS(2084),
    [anon_sym_linear] = ACTIONS(2084),
    [anon_sym_snorm] = ACTIONS(2084),
    [anon_sym_unorm] = ACTIONS(2084),
    [anon_sym_point] = ACTIONS(2084),
    [anon_sym_line] = ACTIONS(2084),
    [anon_sym_triangleadj] = ACTIONS(2084),
    [anon_sym_lineadj] = ACTIONS(2084),
    [anon_sym_triangle] = ACTIONS(2084),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(2656),
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_out] = ACTIONS(2654),
    [anon_sym_inout] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
    [anon_sym_precise] = ACTIONS(2654),
    [anon_sym_shared] = ACTIONS(2654),
    [anon_sym_groupshared] = ACTIONS(2654),
    [anon_sym_uniform] = ACTIONS(2654),
    [anon_sym_row_major] = ACTIONS(2654),
    [anon_sym_column_major] = ACTIONS(2654),
    [anon_sym_globallycoherent] = ACTIONS(2654),
    [anon_sym_centroid] = ACTIONS(2654),
    [anon_sym_noperspective] = ACTIONS(2654),
    [anon_sym_nointerpolation] = ACTIONS(2654),
    [anon_sym_sample] = ACTIONS(2654),
    [anon_sym_linear] = ACTIONS(2654),
    [anon_sym_snorm] = ACTIONS(2654),
    [anon_sym_unorm] = ACTIONS(2654),
    [anon_sym_point] = ACTIONS(2654),
    [anon_sym_line] = ACTIONS(2654),
    [anon_sym_triangleadj] = ACTIONS(2654),
    [anon_sym_lineadj] = ACTIONS(2654),
    [anon_sym_triangle] = ACTIONS(2654),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(2410),
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2410),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2408),
    [anon_sym_compl] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_concept] = ACTIONS(2408),
    [anon_sym_co_return] = ACTIONS(2408),
    [anon_sym_co_yield] = ACTIONS(2408),
    [anon_sym_R_DQUOTE] = ACTIONS(2410),
    [anon_sym_LR_DQUOTE] = ACTIONS(2410),
    [anon_sym_uR_DQUOTE] = ACTIONS(2410),
    [anon_sym_UR_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2410),
    [anon_sym_co_await] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_requires] = ACTIONS(2408),
    [sym_this] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
  },
  [730] = {
    [sym_preproc_def] = STATE(814),
    [sym_preproc_function_def] = STATE(814),
    [sym_preproc_call] = STATE(814),
    [sym_preproc_if_in_field_declaration_list] = STATE(814),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(814),
    [sym_type_definition] = STATE(814),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(814),
    [sym_field_declaration] = STATE(814),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(814),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(814),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(814),
    [sym_operator_cast_declaration] = STATE(814),
    [sym_constructor_or_destructor_definition] = STATE(814),
    [sym_constructor_or_destructor_declaration] = STATE(814),
    [sym_friend_declaration] = STATE(814),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(814),
    [sym_alias_declaration] = STATE(814),
    [sym_static_assert_declaration] = STATE(814),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(814),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [731] = {
    [sym_preproc_def] = STATE(756),
    [sym_preproc_function_def] = STATE(756),
    [sym_preproc_call] = STATE(756),
    [sym_preproc_if_in_field_declaration_list] = STATE(756),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(756),
    [sym_type_definition] = STATE(756),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(756),
    [sym_field_declaration] = STATE(756),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(756),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(756),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(756),
    [sym_operator_cast_declaration] = STATE(756),
    [sym_constructor_or_destructor_definition] = STATE(756),
    [sym_constructor_or_destructor_declaration] = STATE(756),
    [sym_friend_declaration] = STATE(756),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(756),
    [sym_alias_declaration] = STATE(756),
    [sym_static_assert_declaration] = STATE(756),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(3005),
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_in] = ACTIONS(3007),
    [anon_sym_out] = ACTIONS(3007),
    [anon_sym_inout] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
    [anon_sym_precise] = ACTIONS(3007),
    [anon_sym_shared] = ACTIONS(3007),
    [anon_sym_groupshared] = ACTIONS(3007),
    [anon_sym_uniform] = ACTIONS(3007),
    [anon_sym_row_major] = ACTIONS(3007),
    [anon_sym_column_major] = ACTIONS(3007),
    [anon_sym_globallycoherent] = ACTIONS(3007),
    [anon_sym_centroid] = ACTIONS(3007),
    [anon_sym_noperspective] = ACTIONS(3007),
    [anon_sym_nointerpolation] = ACTIONS(3007),
    [anon_sym_sample] = ACTIONS(3007),
    [anon_sym_linear] = ACTIONS(3007),
    [anon_sym_snorm] = ACTIONS(3007),
    [anon_sym_unorm] = ACTIONS(3007),
    [anon_sym_point] = ACTIONS(3007),
    [anon_sym_line] = ACTIONS(3007),
    [anon_sym_triangleadj] = ACTIONS(3007),
    [anon_sym_lineadj] = ACTIONS(3007),
    [anon_sym_triangle] = ACTIONS(3007),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(2624),
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_out] = ACTIONS(2622),
    [anon_sym_inout] = ACTIONS(2622),
    [anon_sym_virtual] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_not] = ACTIONS(2622),
    [anon_sym_compl] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_try] = ACTIONS(2622),
    [anon_sym_delete] = ACTIONS(2622),
    [anon_sym_throw] = ACTIONS(2622),
    [anon_sym_namespace] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_concept] = ACTIONS(2622),
    [anon_sym_co_return] = ACTIONS(2622),
    [anon_sym_co_yield] = ACTIONS(2622),
    [anon_sym_R_DQUOTE] = ACTIONS(2624),
    [anon_sym_LR_DQUOTE] = ACTIONS(2624),
    [anon_sym_uR_DQUOTE] = ACTIONS(2624),
    [anon_sym_UR_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2624),
    [anon_sym_co_await] = ACTIONS(2622),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_requires] = ACTIONS(2622),
    [sym_this] = ACTIONS(2622),
    [anon_sym_precise] = ACTIONS(2622),
    [anon_sym_shared] = ACTIONS(2622),
    [anon_sym_groupshared] = ACTIONS(2622),
    [anon_sym_uniform] = ACTIONS(2622),
    [anon_sym_row_major] = ACTIONS(2622),
    [anon_sym_column_major] = ACTIONS(2622),
    [anon_sym_globallycoherent] = ACTIONS(2622),
    [anon_sym_centroid] = ACTIONS(2622),
    [anon_sym_noperspective] = ACTIONS(2622),
    [anon_sym_nointerpolation] = ACTIONS(2622),
    [anon_sym_sample] = ACTIONS(2622),
    [anon_sym_linear] = ACTIONS(2622),
    [anon_sym_snorm] = ACTIONS(2622),
    [anon_sym_unorm] = ACTIONS(2622),
    [anon_sym_point] = ACTIONS(2622),
    [anon_sym_line] = ACTIONS(2622),
    [anon_sym_triangleadj] = ACTIONS(2622),
    [anon_sym_lineadj] = ACTIONS(2622),
    [anon_sym_triangle] = ACTIONS(2622),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2504),
    [sym_identifier] = ACTIONS(2502),
    [aux_sym_preproc_include_token1] = ACTIONS(2502),
    [aux_sym_preproc_def_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2502),
    [sym_preproc_directive] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2502),
    [anon_sym_typedef] = ACTIONS(2502),
    [anon_sym_in] = ACTIONS(2502),
    [anon_sym_out] = ACTIONS(2502),
    [anon_sym_inout] = ACTIONS(2502),
    [anon_sym_virtual] = ACTIONS(2502),
    [anon_sym_extern] = ACTIONS(2502),
    [anon_sym___attribute__] = ACTIONS(2502),
    [anon_sym_COLON_COLON] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2504),
    [anon_sym___declspec] = ACTIONS(2502),
    [anon_sym___based] = ACTIONS(2502),
    [anon_sym___cdecl] = ACTIONS(2502),
    [anon_sym___clrcall] = ACTIONS(2502),
    [anon_sym___stdcall] = ACTIONS(2502),
    [anon_sym___fastcall] = ACTIONS(2502),
    [anon_sym___thiscall] = ACTIONS(2502),
    [anon_sym___vectorcall] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2502),
    [anon_sym_unsigned] = ACTIONS(2502),
    [anon_sym_long] = ACTIONS(2502),
    [anon_sym_short] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_register] = ACTIONS(2502),
    [anon_sym_inline] = ACTIONS(2502),
    [anon_sym___inline] = ACTIONS(2502),
    [anon_sym___inline__] = ACTIONS(2502),
    [anon_sym___forceinline] = ACTIONS(2502),
    [anon_sym_thread_local] = ACTIONS(2502),
    [anon_sym___thread] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_constexpr] = ACTIONS(2502),
    [anon_sym_volatile] = ACTIONS(2502),
    [anon_sym_restrict] = ACTIONS(2502),
    [anon_sym___restrict__] = ACTIONS(2502),
    [anon_sym__Atomic] = ACTIONS(2502),
    [anon_sym__Noreturn] = ACTIONS(2502),
    [anon_sym_noreturn] = ACTIONS(2502),
    [anon_sym__Nonnull] = ACTIONS(2502),
    [anon_sym_mutable] = ACTIONS(2502),
    [anon_sym_constinit] = ACTIONS(2502),
    [anon_sym_consteval] = ACTIONS(2502),
    [anon_sym_alignas] = ACTIONS(2502),
    [anon_sym__Alignas] = ACTIONS(2502),
    [sym_primitive_type] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_struct] = ACTIONS(2502),
    [anon_sym_union] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym_default] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_goto] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2502),
    [anon_sym_compl] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(2502),
    [anon_sym___alignof] = ACTIONS(2502),
    [anon_sym__alignof] = ACTIONS(2502),
    [anon_sym_alignof] = ACTIONS(2502),
    [anon_sym__Alignof] = ACTIONS(2502),
    [anon_sym_offsetof] = ACTIONS(2502),
    [anon_sym__Generic] = ACTIONS(2502),
    [anon_sym_asm] = ACTIONS(2502),
    [anon_sym___asm__] = ACTIONS(2502),
    [anon_sym___asm] = ACTIONS(2502),
    [sym_number_literal] = ACTIONS(2504),
    [anon_sym_L_SQUOTE] = ACTIONS(2504),
    [anon_sym_u_SQUOTE] = ACTIONS(2504),
    [anon_sym_U_SQUOTE] = ACTIONS(2504),
    [anon_sym_u8_SQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_L_DQUOTE] = ACTIONS(2504),
    [anon_sym_u_DQUOTE] = ACTIONS(2504),
    [anon_sym_U_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8_DQUOTE] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [anon_sym_NULL] = ACTIONS(2502),
    [anon_sym_nullptr] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2502),
    [anon_sym_decltype] = ACTIONS(2502),
    [anon_sym_explicit] = ACTIONS(2502),
    [anon_sym_typename] = ACTIONS(2502),
    [anon_sym_template] = ACTIONS(2502),
    [anon_sym_operator] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_namespace] = ACTIONS(2502),
    [anon_sym_using] = ACTIONS(2502),
    [anon_sym_static_assert] = ACTIONS(2502),
    [anon_sym_concept] = ACTIONS(2502),
    [anon_sym_co_return] = ACTIONS(2502),
    [anon_sym_co_yield] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2504),
    [anon_sym_LR_DQUOTE] = ACTIONS(2504),
    [anon_sym_uR_DQUOTE] = ACTIONS(2504),
    [anon_sym_UR_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2504),
    [anon_sym_co_await] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_requires] = ACTIONS(2502),
    [sym_this] = ACTIONS(2502),
    [anon_sym_precise] = ACTIONS(2502),
    [anon_sym_shared] = ACTIONS(2502),
    [anon_sym_groupshared] = ACTIONS(2502),
    [anon_sym_uniform] = ACTIONS(2502),
    [anon_sym_row_major] = ACTIONS(2502),
    [anon_sym_column_major] = ACTIONS(2502),
    [anon_sym_globallycoherent] = ACTIONS(2502),
    [anon_sym_centroid] = ACTIONS(2502),
    [anon_sym_noperspective] = ACTIONS(2502),
    [anon_sym_nointerpolation] = ACTIONS(2502),
    [anon_sym_sample] = ACTIONS(2502),
    [anon_sym_linear] = ACTIONS(2502),
    [anon_sym_snorm] = ACTIONS(2502),
    [anon_sym_unorm] = ACTIONS(2502),
    [anon_sym_point] = ACTIONS(2502),
    [anon_sym_line] = ACTIONS(2502),
    [anon_sym_triangleadj] = ACTIONS(2502),
    [anon_sym_lineadj] = ACTIONS(2502),
    [anon_sym_triangle] = ACTIONS(2502),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(2442),
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_compl] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_delete] = ACTIONS(2440),
    [anon_sym_throw] = ACTIONS(2440),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_concept] = ACTIONS(2440),
    [anon_sym_co_return] = ACTIONS(2440),
    [anon_sym_co_yield] = ACTIONS(2440),
    [anon_sym_R_DQUOTE] = ACTIONS(2442),
    [anon_sym_LR_DQUOTE] = ACTIONS(2442),
    [anon_sym_uR_DQUOTE] = ACTIONS(2442),
    [anon_sym_UR_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2442),
    [anon_sym_co_await] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2440),
    [sym_this] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(2374),
    [sym_identifier] = ACTIONS(2372),
    [aux_sym_preproc_include_token1] = ACTIONS(2372),
    [aux_sym_preproc_def_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2372),
    [sym_preproc_directive] = ACTIONS(2372),
    [anon_sym_LPAREN2] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym___extension__] = ACTIONS(2372),
    [anon_sym_typedef] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_out] = ACTIONS(2372),
    [anon_sym_inout] = ACTIONS(2372),
    [anon_sym_virtual] = ACTIONS(2372),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym___attribute__] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2374),
    [anon_sym___declspec] = ACTIONS(2372),
    [anon_sym___based] = ACTIONS(2372),
    [anon_sym___cdecl] = ACTIONS(2372),
    [anon_sym___clrcall] = ACTIONS(2372),
    [anon_sym___stdcall] = ACTIONS(2372),
    [anon_sym___fastcall] = ACTIONS(2372),
    [anon_sym___thiscall] = ACTIONS(2372),
    [anon_sym___vectorcall] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2372),
    [anon_sym_unsigned] = ACTIONS(2372),
    [anon_sym_long] = ACTIONS(2372),
    [anon_sym_short] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_register] = ACTIONS(2372),
    [anon_sym_inline] = ACTIONS(2372),
    [anon_sym___inline] = ACTIONS(2372),
    [anon_sym___inline__] = ACTIONS(2372),
    [anon_sym___forceinline] = ACTIONS(2372),
    [anon_sym_thread_local] = ACTIONS(2372),
    [anon_sym___thread] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_constexpr] = ACTIONS(2372),
    [anon_sym_volatile] = ACTIONS(2372),
    [anon_sym_restrict] = ACTIONS(2372),
    [anon_sym___restrict__] = ACTIONS(2372),
    [anon_sym__Atomic] = ACTIONS(2372),
    [anon_sym__Noreturn] = ACTIONS(2372),
    [anon_sym_noreturn] = ACTIONS(2372),
    [anon_sym__Nonnull] = ACTIONS(2372),
    [anon_sym_mutable] = ACTIONS(2372),
    [anon_sym_constinit] = ACTIONS(2372),
    [anon_sym_consteval] = ACTIONS(2372),
    [anon_sym_alignas] = ACTIONS(2372),
    [anon_sym__Alignas] = ACTIONS(2372),
    [sym_primitive_type] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_struct] = ACTIONS(2372),
    [anon_sym_union] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_compl] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(2372),
    [anon_sym___alignof] = ACTIONS(2372),
    [anon_sym__alignof] = ACTIONS(2372),
    [anon_sym_alignof] = ACTIONS(2372),
    [anon_sym__Alignof] = ACTIONS(2372),
    [anon_sym_offsetof] = ACTIONS(2372),
    [anon_sym__Generic] = ACTIONS(2372),
    [anon_sym_asm] = ACTIONS(2372),
    [anon_sym___asm__] = ACTIONS(2372),
    [anon_sym___asm] = ACTIONS(2372),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2374),
    [anon_sym_u_SQUOTE] = ACTIONS(2374),
    [anon_sym_U_SQUOTE] = ACTIONS(2374),
    [anon_sym_u8_SQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_L_DQUOTE] = ACTIONS(2374),
    [anon_sym_u_DQUOTE] = ACTIONS(2374),
    [anon_sym_U_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8_DQUOTE] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [anon_sym_NULL] = ACTIONS(2372),
    [anon_sym_nullptr] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2372),
    [anon_sym_decltype] = ACTIONS(2372),
    [anon_sym_explicit] = ACTIONS(2372),
    [anon_sym_typename] = ACTIONS(2372),
    [anon_sym_template] = ACTIONS(2372),
    [anon_sym_operator] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_using] = ACTIONS(2372),
    [anon_sym_static_assert] = ACTIONS(2372),
    [anon_sym_concept] = ACTIONS(2372),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2372),
    [anon_sym_R_DQUOTE] = ACTIONS(2374),
    [anon_sym_LR_DQUOTE] = ACTIONS(2374),
    [anon_sym_uR_DQUOTE] = ACTIONS(2374),
    [anon_sym_UR_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2374),
    [anon_sym_co_await] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_requires] = ACTIONS(2372),
    [sym_this] = ACTIONS(2372),
    [anon_sym_precise] = ACTIONS(2372),
    [anon_sym_shared] = ACTIONS(2372),
    [anon_sym_groupshared] = ACTIONS(2372),
    [anon_sym_uniform] = ACTIONS(2372),
    [anon_sym_row_major] = ACTIONS(2372),
    [anon_sym_column_major] = ACTIONS(2372),
    [anon_sym_globallycoherent] = ACTIONS(2372),
    [anon_sym_centroid] = ACTIONS(2372),
    [anon_sym_noperspective] = ACTIONS(2372),
    [anon_sym_nointerpolation] = ACTIONS(2372),
    [anon_sym_sample] = ACTIONS(2372),
    [anon_sym_linear] = ACTIONS(2372),
    [anon_sym_snorm] = ACTIONS(2372),
    [anon_sym_unorm] = ACTIONS(2372),
    [anon_sym_point] = ACTIONS(2372),
    [anon_sym_line] = ACTIONS(2372),
    [anon_sym_triangleadj] = ACTIONS(2372),
    [anon_sym_lineadj] = ACTIONS(2372),
    [anon_sym_triangle] = ACTIONS(2372),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(2560),
    [sym_identifier] = ACTIONS(2558),
    [aux_sym_preproc_include_token1] = ACTIONS(2558),
    [aux_sym_preproc_def_token1] = ACTIONS(2558),
    [aux_sym_preproc_if_token1] = ACTIONS(2558),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2558),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2558),
    [sym_preproc_directive] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(2560),
    [anon_sym_BANG] = ACTIONS(2560),
    [anon_sym_TILDE] = ACTIONS(2560),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_typedef] = ACTIONS(2558),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_out] = ACTIONS(2558),
    [anon_sym_inout] = ACTIONS(2558),
    [anon_sym_virtual] = ACTIONS(2558),
    [anon_sym_extern] = ACTIONS(2558),
    [anon_sym___attribute__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2560),
    [anon_sym___declspec] = ACTIONS(2558),
    [anon_sym___based] = ACTIONS(2558),
    [anon_sym___cdecl] = ACTIONS(2558),
    [anon_sym___clrcall] = ACTIONS(2558),
    [anon_sym___stdcall] = ACTIONS(2558),
    [anon_sym___fastcall] = ACTIONS(2558),
    [anon_sym___thiscall] = ACTIONS(2558),
    [anon_sym___vectorcall] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2558),
    [anon_sym_unsigned] = ACTIONS(2558),
    [anon_sym_long] = ACTIONS(2558),
    [anon_sym_short] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym_static] = ACTIONS(2558),
    [anon_sym_register] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym___inline] = ACTIONS(2558),
    [anon_sym___inline__] = ACTIONS(2558),
    [anon_sym___forceinline] = ACTIONS(2558),
    [anon_sym_thread_local] = ACTIONS(2558),
    [anon_sym___thread] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_constexpr] = ACTIONS(2558),
    [anon_sym_volatile] = ACTIONS(2558),
    [anon_sym_restrict] = ACTIONS(2558),
    [anon_sym___restrict__] = ACTIONS(2558),
    [anon_sym__Atomic] = ACTIONS(2558),
    [anon_sym__Noreturn] = ACTIONS(2558),
    [anon_sym_noreturn] = ACTIONS(2558),
    [anon_sym__Nonnull] = ACTIONS(2558),
    [anon_sym_mutable] = ACTIONS(2558),
    [anon_sym_constinit] = ACTIONS(2558),
    [anon_sym_consteval] = ACTIONS(2558),
    [anon_sym_alignas] = ACTIONS(2558),
    [anon_sym__Alignas] = ACTIONS(2558),
    [sym_primitive_type] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_class] = ACTIONS(2558),
    [anon_sym_struct] = ACTIONS(2558),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_switch] = ACTIONS(2558),
    [anon_sym_case] = ACTIONS(2558),
    [anon_sym_default] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_do] = ACTIONS(2558),
    [anon_sym_for] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_break] = ACTIONS(2558),
    [anon_sym_continue] = ACTIONS(2558),
    [anon_sym_goto] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2558),
    [anon_sym_compl] = ACTIONS(2558),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2558),
    [anon_sym___alignof__] = ACTIONS(2558),
    [anon_sym___alignof] = ACTIONS(2558),
    [anon_sym__alignof] = ACTIONS(2558),
    [anon_sym_alignof] = ACTIONS(2558),
    [anon_sym__Alignof] = ACTIONS(2558),
    [anon_sym_offsetof] = ACTIONS(2558),
    [anon_sym__Generic] = ACTIONS(2558),
    [anon_sym_asm] = ACTIONS(2558),
    [anon_sym___asm__] = ACTIONS(2558),
    [anon_sym___asm] = ACTIONS(2558),
    [sym_number_literal] = ACTIONS(2560),
    [anon_sym_L_SQUOTE] = ACTIONS(2560),
    [anon_sym_u_SQUOTE] = ACTIONS(2560),
    [anon_sym_U_SQUOTE] = ACTIONS(2560),
    [anon_sym_u8_SQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [anon_sym_L_DQUOTE] = ACTIONS(2560),
    [anon_sym_u_DQUOTE] = ACTIONS(2560),
    [anon_sym_U_DQUOTE] = ACTIONS(2560),
    [anon_sym_u8_DQUOTE] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2560),
    [sym_true] = ACTIONS(2558),
    [sym_false] = ACTIONS(2558),
    [anon_sym_NULL] = ACTIONS(2558),
    [anon_sym_nullptr] = ACTIONS(2558),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2558),
    [anon_sym_decltype] = ACTIONS(2558),
    [anon_sym_explicit] = ACTIONS(2558),
    [anon_sym_typename] = ACTIONS(2558),
    [anon_sym_template] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_delete] = ACTIONS(2558),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_namespace] = ACTIONS(2558),
    [anon_sym_using] = ACTIONS(2558),
    [anon_sym_static_assert] = ACTIONS(2558),
    [anon_sym_concept] = ACTIONS(2558),
    [anon_sym_co_return] = ACTIONS(2558),
    [anon_sym_co_yield] = ACTIONS(2558),
    [anon_sym_R_DQUOTE] = ACTIONS(2560),
    [anon_sym_LR_DQUOTE] = ACTIONS(2560),
    [anon_sym_uR_DQUOTE] = ACTIONS(2560),
    [anon_sym_UR_DQUOTE] = ACTIONS(2560),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2560),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2558),
    [anon_sym_requires] = ACTIONS(2558),
    [sym_this] = ACTIONS(2558),
    [anon_sym_precise] = ACTIONS(2558),
    [anon_sym_shared] = ACTIONS(2558),
    [anon_sym_groupshared] = ACTIONS(2558),
    [anon_sym_uniform] = ACTIONS(2558),
    [anon_sym_row_major] = ACTIONS(2558),
    [anon_sym_column_major] = ACTIONS(2558),
    [anon_sym_globallycoherent] = ACTIONS(2558),
    [anon_sym_centroid] = ACTIONS(2558),
    [anon_sym_noperspective] = ACTIONS(2558),
    [anon_sym_nointerpolation] = ACTIONS(2558),
    [anon_sym_sample] = ACTIONS(2558),
    [anon_sym_linear] = ACTIONS(2558),
    [anon_sym_snorm] = ACTIONS(2558),
    [anon_sym_unorm] = ACTIONS(2558),
    [anon_sym_point] = ACTIONS(2558),
    [anon_sym_line] = ACTIONS(2558),
    [anon_sym_triangleadj] = ACTIONS(2558),
    [anon_sym_lineadj] = ACTIONS(2558),
    [anon_sym_triangle] = ACTIONS(2558),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(2430),
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_out] = ACTIONS(2428),
    [anon_sym_inout] = ACTIONS(2428),
    [anon_sym_virtual] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___based] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_mutable] = ACTIONS(2428),
    [anon_sym_constinit] = ACTIONS(2428),
    [anon_sym_consteval] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_class] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_compl] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2428),
    [anon_sym_decltype] = ACTIONS(2428),
    [anon_sym_explicit] = ACTIONS(2428),
    [anon_sym_typename] = ACTIONS(2428),
    [anon_sym_template] = ACTIONS(2428),
    [anon_sym_operator] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_delete] = ACTIONS(2428),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_using] = ACTIONS(2428),
    [anon_sym_static_assert] = ACTIONS(2428),
    [anon_sym_concept] = ACTIONS(2428),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2428),
    [anon_sym_R_DQUOTE] = ACTIONS(2430),
    [anon_sym_LR_DQUOTE] = ACTIONS(2430),
    [anon_sym_uR_DQUOTE] = ACTIONS(2430),
    [anon_sym_UR_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2430),
    [anon_sym_co_await] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_requires] = ACTIONS(2428),
    [sym_this] = ACTIONS(2428),
    [anon_sym_precise] = ACTIONS(2428),
    [anon_sym_shared] = ACTIONS(2428),
    [anon_sym_groupshared] = ACTIONS(2428),
    [anon_sym_uniform] = ACTIONS(2428),
    [anon_sym_row_major] = ACTIONS(2428),
    [anon_sym_column_major] = ACTIONS(2428),
    [anon_sym_globallycoherent] = ACTIONS(2428),
    [anon_sym_centroid] = ACTIONS(2428),
    [anon_sym_noperspective] = ACTIONS(2428),
    [anon_sym_nointerpolation] = ACTIONS(2428),
    [anon_sym_sample] = ACTIONS(2428),
    [anon_sym_linear] = ACTIONS(2428),
    [anon_sym_snorm] = ACTIONS(2428),
    [anon_sym_unorm] = ACTIONS(2428),
    [anon_sym_point] = ACTIONS(2428),
    [anon_sym_line] = ACTIONS(2428),
    [anon_sym_triangleadj] = ACTIONS(2428),
    [anon_sym_lineadj] = ACTIONS(2428),
    [anon_sym_triangle] = ACTIONS(2428),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(2382),
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_include_token1] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym___cdecl] = ACTIONS(2380),
    [anon_sym___clrcall] = ACTIONS(2380),
    [anon_sym___stdcall] = ACTIONS(2380),
    [anon_sym___fastcall] = ACTIONS(2380),
    [anon_sym___thiscall] = ACTIONS(2380),
    [anon_sym___vectorcall] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym__Nonnull] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym__Alignas] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym_default] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_compl] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_sizeof] = ACTIONS(2380),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2380),
    [anon_sym__Generic] = ACTIONS(2380),
    [anon_sym_asm] = ACTIONS(2380),
    [anon_sym___asm__] = ACTIONS(2380),
    [anon_sym___asm] = ACTIONS(2380),
    [sym_number_literal] = ACTIONS(2382),
    [anon_sym_L_SQUOTE] = ACTIONS(2382),
    [anon_sym_u_SQUOTE] = ACTIONS(2382),
    [anon_sym_U_SQUOTE] = ACTIONS(2382),
    [anon_sym_u8_SQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_L_DQUOTE] = ACTIONS(2382),
    [anon_sym_u_DQUOTE] = ACTIONS(2382),
    [anon_sym_U_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [anon_sym_NULL] = ACTIONS(2380),
    [anon_sym_nullptr] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_namespace] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_concept] = ACTIONS(2380),
    [anon_sym_co_return] = ACTIONS(2380),
    [anon_sym_co_yield] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_requires] = ACTIONS(2380),
    [sym_this] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2482),
    [sym_identifier] = ACTIONS(2480),
    [aux_sym_preproc_include_token1] = ACTIONS(2480),
    [aux_sym_preproc_def_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2480),
    [sym_preproc_directive] = ACTIONS(2480),
    [anon_sym_LPAREN2] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_TILDE] = ACTIONS(2482),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2480),
    [anon_sym_typedef] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_out] = ACTIONS(2480),
    [anon_sym_inout] = ACTIONS(2480),
    [anon_sym_virtual] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym___attribute__] = ACTIONS(2480),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2482),
    [anon_sym___declspec] = ACTIONS(2480),
    [anon_sym___based] = ACTIONS(2480),
    [anon_sym___cdecl] = ACTIONS(2480),
    [anon_sym___clrcall] = ACTIONS(2480),
    [anon_sym___stdcall] = ACTIONS(2480),
    [anon_sym___fastcall] = ACTIONS(2480),
    [anon_sym___thiscall] = ACTIONS(2480),
    [anon_sym___vectorcall] = ACTIONS(2480),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2480),
    [anon_sym_unsigned] = ACTIONS(2480),
    [anon_sym_long] = ACTIONS(2480),
    [anon_sym_short] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_register] = ACTIONS(2480),
    [anon_sym_inline] = ACTIONS(2480),
    [anon_sym___inline] = ACTIONS(2480),
    [anon_sym___inline__] = ACTIONS(2480),
    [anon_sym___forceinline] = ACTIONS(2480),
    [anon_sym_thread_local] = ACTIONS(2480),
    [anon_sym___thread] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_constexpr] = ACTIONS(2480),
    [anon_sym_volatile] = ACTIONS(2480),
    [anon_sym_restrict] = ACTIONS(2480),
    [anon_sym___restrict__] = ACTIONS(2480),
    [anon_sym__Atomic] = ACTIONS(2480),
    [anon_sym__Noreturn] = ACTIONS(2480),
    [anon_sym_noreturn] = ACTIONS(2480),
    [anon_sym__Nonnull] = ACTIONS(2480),
    [anon_sym_mutable] = ACTIONS(2480),
    [anon_sym_constinit] = ACTIONS(2480),
    [anon_sym_consteval] = ACTIONS(2480),
    [anon_sym_alignas] = ACTIONS(2480),
    [anon_sym__Alignas] = ACTIONS(2480),
    [sym_primitive_type] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_class] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_switch] = ACTIONS(2480),
    [anon_sym_case] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_goto] = ACTIONS(2480),
    [anon_sym_not] = ACTIONS(2480),
    [anon_sym_compl] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_sizeof] = ACTIONS(2480),
    [anon_sym___alignof__] = ACTIONS(2480),
    [anon_sym___alignof] = ACTIONS(2480),
    [anon_sym__alignof] = ACTIONS(2480),
    [anon_sym_alignof] = ACTIONS(2480),
    [anon_sym__Alignof] = ACTIONS(2480),
    [anon_sym_offsetof] = ACTIONS(2480),
    [anon_sym__Generic] = ACTIONS(2480),
    [anon_sym_asm] = ACTIONS(2480),
    [anon_sym___asm__] = ACTIONS(2480),
    [anon_sym___asm] = ACTIONS(2480),
    [sym_number_literal] = ACTIONS(2482),
    [anon_sym_L_SQUOTE] = ACTIONS(2482),
    [anon_sym_u_SQUOTE] = ACTIONS(2482),
    [anon_sym_U_SQUOTE] = ACTIONS(2482),
    [anon_sym_u8_SQUOTE] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2482),
    [anon_sym_L_DQUOTE] = ACTIONS(2482),
    [anon_sym_u_DQUOTE] = ACTIONS(2482),
    [anon_sym_U_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8_DQUOTE] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [sym_true] = ACTIONS(2480),
    [sym_false] = ACTIONS(2480),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2480),
    [anon_sym_decltype] = ACTIONS(2480),
    [anon_sym_explicit] = ACTIONS(2480),
    [anon_sym_typename] = ACTIONS(2480),
    [anon_sym_template] = ACTIONS(2480),
    [anon_sym_operator] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [anon_sym_delete] = ACTIONS(2480),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2480),
    [anon_sym_using] = ACTIONS(2480),
    [anon_sym_static_assert] = ACTIONS(2480),
    [anon_sym_concept] = ACTIONS(2480),
    [anon_sym_co_return] = ACTIONS(2480),
    [anon_sym_co_yield] = ACTIONS(2480),
    [anon_sym_R_DQUOTE] = ACTIONS(2482),
    [anon_sym_LR_DQUOTE] = ACTIONS(2482),
    [anon_sym_uR_DQUOTE] = ACTIONS(2482),
    [anon_sym_UR_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2482),
    [anon_sym_co_await] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2480),
    [anon_sym_requires] = ACTIONS(2480),
    [sym_this] = ACTIONS(2480),
    [anon_sym_precise] = ACTIONS(2480),
    [anon_sym_shared] = ACTIONS(2480),
    [anon_sym_groupshared] = ACTIONS(2480),
    [anon_sym_uniform] = ACTIONS(2480),
    [anon_sym_row_major] = ACTIONS(2480),
    [anon_sym_column_major] = ACTIONS(2480),
    [anon_sym_globallycoherent] = ACTIONS(2480),
    [anon_sym_centroid] = ACTIONS(2480),
    [anon_sym_noperspective] = ACTIONS(2480),
    [anon_sym_nointerpolation] = ACTIONS(2480),
    [anon_sym_sample] = ACTIONS(2480),
    [anon_sym_linear] = ACTIONS(2480),
    [anon_sym_snorm] = ACTIONS(2480),
    [anon_sym_unorm] = ACTIONS(2480),
    [anon_sym_point] = ACTIONS(2480),
    [anon_sym_line] = ACTIONS(2480),
    [anon_sym_triangleadj] = ACTIONS(2480),
    [anon_sym_lineadj] = ACTIONS(2480),
    [anon_sym_triangle] = ACTIONS(2480),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(2486),
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym__Nonnull] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym__Alignas] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [anon_sym___asm] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(2524),
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(2524),
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(2434),
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym_not] = ACTIONS(2432),
    [anon_sym_compl] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [anon_sym_delete] = ACTIONS(2432),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_concept] = ACTIONS(2432),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2432),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_requires] = ACTIONS(2432),
    [sym_this] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2402),
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_include_token1] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym___cdecl] = ACTIONS(2400),
    [anon_sym___clrcall] = ACTIONS(2400),
    [anon_sym___stdcall] = ACTIONS(2400),
    [anon_sym___fastcall] = ACTIONS(2400),
    [anon_sym___thiscall] = ACTIONS(2400),
    [anon_sym___vectorcall] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym__Nonnull] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym__Alignas] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2400),
    [anon_sym_switch] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2400),
    [anon_sym_default] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2400),
    [anon_sym_do] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2400),
    [anon_sym_return] = ACTIONS(2400),
    [anon_sym_break] = ACTIONS(2400),
    [anon_sym_continue] = ACTIONS(2400),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_compl] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_sizeof] = ACTIONS(2400),
    [anon_sym___alignof__] = ACTIONS(2400),
    [anon_sym___alignof] = ACTIONS(2400),
    [anon_sym__alignof] = ACTIONS(2400),
    [anon_sym_alignof] = ACTIONS(2400),
    [anon_sym__Alignof] = ACTIONS(2400),
    [anon_sym_offsetof] = ACTIONS(2400),
    [anon_sym__Generic] = ACTIONS(2400),
    [anon_sym_asm] = ACTIONS(2400),
    [anon_sym___asm__] = ACTIONS(2400),
    [anon_sym___asm] = ACTIONS(2400),
    [sym_number_literal] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2402),
    [anon_sym_u_SQUOTE] = ACTIONS(2402),
    [anon_sym_U_SQUOTE] = ACTIONS(2402),
    [anon_sym_u8_SQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_L_DQUOTE] = ACTIONS(2402),
    [anon_sym_u_DQUOTE] = ACTIONS(2402),
    [anon_sym_U_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8_DQUOTE] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [sym_true] = ACTIONS(2400),
    [sym_false] = ACTIONS(2400),
    [anon_sym_NULL] = ACTIONS(2400),
    [anon_sym_nullptr] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_try] = ACTIONS(2400),
    [anon_sym_delete] = ACTIONS(2400),
    [anon_sym_throw] = ACTIONS(2400),
    [anon_sym_namespace] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_concept] = ACTIONS(2400),
    [anon_sym_co_return] = ACTIONS(2400),
    [anon_sym_co_yield] = ACTIONS(2400),
    [anon_sym_R_DQUOTE] = ACTIONS(2402),
    [anon_sym_LR_DQUOTE] = ACTIONS(2402),
    [anon_sym_uR_DQUOTE] = ACTIONS(2402),
    [anon_sym_UR_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2402),
    [anon_sym_co_await] = ACTIONS(2400),
    [anon_sym_new] = ACTIONS(2400),
    [anon_sym_requires] = ACTIONS(2400),
    [sym_this] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(2643),
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [anon_sym___asm] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(2438),
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_out] = ACTIONS(2436),
    [anon_sym_inout] = ACTIONS(2436),
    [anon_sym_virtual] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___based] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_mutable] = ACTIONS(2436),
    [anon_sym_constinit] = ACTIONS(2436),
    [anon_sym_consteval] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_class] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_not] = ACTIONS(2436),
    [anon_sym_compl] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2436),
    [anon_sym_decltype] = ACTIONS(2436),
    [anon_sym_explicit] = ACTIONS(2436),
    [anon_sym_typename] = ACTIONS(2436),
    [anon_sym_template] = ACTIONS(2436),
    [anon_sym_operator] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_delete] = ACTIONS(2436),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_using] = ACTIONS(2436),
    [anon_sym_static_assert] = ACTIONS(2436),
    [anon_sym_concept] = ACTIONS(2436),
    [anon_sym_co_return] = ACTIONS(2436),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_requires] = ACTIONS(2436),
    [sym_this] = ACTIONS(2436),
    [anon_sym_precise] = ACTIONS(2436),
    [anon_sym_shared] = ACTIONS(2436),
    [anon_sym_groupshared] = ACTIONS(2436),
    [anon_sym_uniform] = ACTIONS(2436),
    [anon_sym_row_major] = ACTIONS(2436),
    [anon_sym_column_major] = ACTIONS(2436),
    [anon_sym_globallycoherent] = ACTIONS(2436),
    [anon_sym_centroid] = ACTIONS(2436),
    [anon_sym_noperspective] = ACTIONS(2436),
    [anon_sym_nointerpolation] = ACTIONS(2436),
    [anon_sym_sample] = ACTIONS(2436),
    [anon_sym_linear] = ACTIONS(2436),
    [anon_sym_snorm] = ACTIONS(2436),
    [anon_sym_unorm] = ACTIONS(2436),
    [anon_sym_point] = ACTIONS(2436),
    [anon_sym_line] = ACTIONS(2436),
    [anon_sym_triangleadj] = ACTIONS(2436),
    [anon_sym_lineadj] = ACTIONS(2436),
    [anon_sym_triangle] = ACTIONS(2436),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(2564),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2562),
    [anon_sym_out] = ACTIONS(2562),
    [anon_sym_inout] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [sym_number_literal] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
    [anon_sym_precise] = ACTIONS(2562),
    [anon_sym_shared] = ACTIONS(2562),
    [anon_sym_groupshared] = ACTIONS(2562),
    [anon_sym_uniform] = ACTIONS(2562),
    [anon_sym_row_major] = ACTIONS(2562),
    [anon_sym_column_major] = ACTIONS(2562),
    [anon_sym_globallycoherent] = ACTIONS(2562),
    [anon_sym_centroid] = ACTIONS(2562),
    [anon_sym_noperspective] = ACTIONS(2562),
    [anon_sym_nointerpolation] = ACTIONS(2562),
    [anon_sym_sample] = ACTIONS(2562),
    [anon_sym_linear] = ACTIONS(2562),
    [anon_sym_snorm] = ACTIONS(2562),
    [anon_sym_unorm] = ACTIONS(2562),
    [anon_sym_point] = ACTIONS(2562),
    [anon_sym_line] = ACTIONS(2562),
    [anon_sym_triangleadj] = ACTIONS(2562),
    [anon_sym_lineadj] = ACTIONS(2562),
    [anon_sym_triangle] = ACTIONS(2562),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(2568),
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_out] = ACTIONS(2566),
    [anon_sym_inout] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
    [anon_sym_precise] = ACTIONS(2566),
    [anon_sym_shared] = ACTIONS(2566),
    [anon_sym_groupshared] = ACTIONS(2566),
    [anon_sym_uniform] = ACTIONS(2566),
    [anon_sym_row_major] = ACTIONS(2566),
    [anon_sym_column_major] = ACTIONS(2566),
    [anon_sym_globallycoherent] = ACTIONS(2566),
    [anon_sym_centroid] = ACTIONS(2566),
    [anon_sym_noperspective] = ACTIONS(2566),
    [anon_sym_nointerpolation] = ACTIONS(2566),
    [anon_sym_sample] = ACTIONS(2566),
    [anon_sym_linear] = ACTIONS(2566),
    [anon_sym_snorm] = ACTIONS(2566),
    [anon_sym_unorm] = ACTIONS(2566),
    [anon_sym_point] = ACTIONS(2566),
    [anon_sym_line] = ACTIONS(2566),
    [anon_sym_triangleadj] = ACTIONS(2566),
    [anon_sym_lineadj] = ACTIONS(2566),
    [anon_sym_triangle] = ACTIONS(2566),
  },
  [750] = {
    [sym_preproc_def] = STATE(753),
    [sym_preproc_function_def] = STATE(753),
    [sym_preproc_call] = STATE(753),
    [sym_preproc_if_in_field_declaration_list] = STATE(753),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(753),
    [sym_type_definition] = STATE(753),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(753),
    [sym_field_declaration] = STATE(753),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(753),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(753),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(753),
    [sym_operator_cast_declaration] = STATE(753),
    [sym_constructor_or_destructor_definition] = STATE(753),
    [sym_constructor_or_destructor_declaration] = STATE(753),
    [sym_friend_declaration] = STATE(753),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(753),
    [sym_alias_declaration] = STATE(753),
    [sym_static_assert_declaration] = STATE(753),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(753),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [751] = {
    [sym_preproc_def] = STATE(785),
    [sym_preproc_function_def] = STATE(785),
    [sym_preproc_call] = STATE(785),
    [sym_preproc_if_in_field_declaration_list] = STATE(785),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(785),
    [sym_type_definition] = STATE(785),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5685),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6179),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(785),
    [sym_field_declaration] = STATE(785),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(785),
    [sym_operator_cast] = STATE(6749),
    [sym_inline_method_definition] = STATE(785),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(785),
    [sym_operator_cast_declaration] = STATE(785),
    [sym_constructor_or_destructor_definition] = STATE(785),
    [sym_constructor_or_destructor_declaration] = STATE(785),
    [sym_friend_declaration] = STATE(785),
    [sym_access_specifier] = STATE(8666),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(785),
    [sym_alias_declaration] = STATE(785),
    [sym_static_assert_declaration] = STATE(785),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6749),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(785),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3023),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3027),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(3031),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(3035),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(2426),
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2424),
    [anon_sym_compl] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_delete] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_concept] = ACTIONS(2424),
    [anon_sym_co_return] = ACTIONS(2424),
    [anon_sym_co_yield] = ACTIONS(2424),
    [anon_sym_R_DQUOTE] = ACTIONS(2426),
    [anon_sym_LR_DQUOTE] = ACTIONS(2426),
    [anon_sym_uR_DQUOTE] = ACTIONS(2426),
    [anon_sym_UR_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2426),
    [anon_sym_co_await] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_requires] = ACTIONS(2424),
    [sym_this] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
  },
  [753] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3041),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(2492),
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_out] = ACTIONS(2490),
    [anon_sym_inout] = ACTIONS(2490),
    [anon_sym_virtual] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___based] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_mutable] = ACTIONS(2490),
    [anon_sym_constinit] = ACTIONS(2490),
    [anon_sym_consteval] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_class] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym_not] = ACTIONS(2490),
    [anon_sym_compl] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2490),
    [anon_sym_decltype] = ACTIONS(2490),
    [anon_sym_explicit] = ACTIONS(2490),
    [anon_sym_typename] = ACTIONS(2490),
    [anon_sym_template] = ACTIONS(2490),
    [anon_sym_operator] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2490),
    [anon_sym_delete] = ACTIONS(2490),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_namespace] = ACTIONS(2490),
    [anon_sym_using] = ACTIONS(2490),
    [anon_sym_static_assert] = ACTIONS(2490),
    [anon_sym_concept] = ACTIONS(2490),
    [anon_sym_co_return] = ACTIONS(2490),
    [anon_sym_co_yield] = ACTIONS(2490),
    [anon_sym_R_DQUOTE] = ACTIONS(2492),
    [anon_sym_LR_DQUOTE] = ACTIONS(2492),
    [anon_sym_uR_DQUOTE] = ACTIONS(2492),
    [anon_sym_UR_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2492),
    [anon_sym_co_await] = ACTIONS(2490),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2490),
    [anon_sym_precise] = ACTIONS(2490),
    [anon_sym_shared] = ACTIONS(2490),
    [anon_sym_groupshared] = ACTIONS(2490),
    [anon_sym_uniform] = ACTIONS(2490),
    [anon_sym_row_major] = ACTIONS(2490),
    [anon_sym_column_major] = ACTIONS(2490),
    [anon_sym_globallycoherent] = ACTIONS(2490),
    [anon_sym_centroid] = ACTIONS(2490),
    [anon_sym_noperspective] = ACTIONS(2490),
    [anon_sym_nointerpolation] = ACTIONS(2490),
    [anon_sym_sample] = ACTIONS(2490),
    [anon_sym_linear] = ACTIONS(2490),
    [anon_sym_snorm] = ACTIONS(2490),
    [anon_sym_unorm] = ACTIONS(2490),
    [anon_sym_point] = ACTIONS(2490),
    [anon_sym_line] = ACTIONS(2490),
    [anon_sym_triangleadj] = ACTIONS(2490),
    [anon_sym_lineadj] = ACTIONS(2490),
    [anon_sym_triangle] = ACTIONS(2490),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(2418),
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_out] = ACTIONS(2416),
    [anon_sym_inout] = ACTIONS(2416),
    [anon_sym_virtual] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___based] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_mutable] = ACTIONS(2416),
    [anon_sym_constinit] = ACTIONS(2416),
    [anon_sym_consteval] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2416),
    [anon_sym_decltype] = ACTIONS(2416),
    [anon_sym_explicit] = ACTIONS(2416),
    [anon_sym_typename] = ACTIONS(2416),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_operator] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_static_assert] = ACTIONS(2416),
    [anon_sym_concept] = ACTIONS(2416),
    [anon_sym_co_return] = ACTIONS(2416),
    [anon_sym_co_yield] = ACTIONS(2416),
    [anon_sym_R_DQUOTE] = ACTIONS(2418),
    [anon_sym_LR_DQUOTE] = ACTIONS(2418),
    [anon_sym_uR_DQUOTE] = ACTIONS(2418),
    [anon_sym_UR_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2418),
    [anon_sym_co_await] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_requires] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [anon_sym_precise] = ACTIONS(2416),
    [anon_sym_shared] = ACTIONS(2416),
    [anon_sym_groupshared] = ACTIONS(2416),
    [anon_sym_uniform] = ACTIONS(2416),
    [anon_sym_row_major] = ACTIONS(2416),
    [anon_sym_column_major] = ACTIONS(2416),
    [anon_sym_globallycoherent] = ACTIONS(2416),
    [anon_sym_centroid] = ACTIONS(2416),
    [anon_sym_noperspective] = ACTIONS(2416),
    [anon_sym_nointerpolation] = ACTIONS(2416),
    [anon_sym_sample] = ACTIONS(2416),
    [anon_sym_linear] = ACTIONS(2416),
    [anon_sym_snorm] = ACTIONS(2416),
    [anon_sym_unorm] = ACTIONS(2416),
    [anon_sym_point] = ACTIONS(2416),
    [anon_sym_line] = ACTIONS(2416),
    [anon_sym_triangleadj] = ACTIONS(2416),
    [anon_sym_lineadj] = ACTIONS(2416),
    [anon_sym_triangle] = ACTIONS(2416),
  },
  [756] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(2528),
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_include_token1] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_in] = ACTIONS(2526),
    [anon_sym_out] = ACTIONS(2526),
    [anon_sym_inout] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym___cdecl] = ACTIONS(2526),
    [anon_sym___clrcall] = ACTIONS(2526),
    [anon_sym___stdcall] = ACTIONS(2526),
    [anon_sym___fastcall] = ACTIONS(2526),
    [anon_sym___thiscall] = ACTIONS(2526),
    [anon_sym___vectorcall] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym__Nonnull] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2526),
    [anon_sym_case] = ACTIONS(2526),
    [anon_sym_default] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_break] = ACTIONS(2526),
    [anon_sym_continue] = ACTIONS(2526),
    [anon_sym_goto] = ACTIONS(2526),
    [anon_sym_not] = ACTIONS(2526),
    [anon_sym_compl] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_sizeof] = ACTIONS(2526),
    [anon_sym___alignof__] = ACTIONS(2526),
    [anon_sym___alignof] = ACTIONS(2526),
    [anon_sym__alignof] = ACTIONS(2526),
    [anon_sym_alignof] = ACTIONS(2526),
    [anon_sym__Alignof] = ACTIONS(2526),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2526),
    [anon_sym_asm] = ACTIONS(2526),
    [anon_sym___asm__] = ACTIONS(2526),
    [anon_sym___asm] = ACTIONS(2526),
    [sym_number_literal] = ACTIONS(2528),
    [anon_sym_L_SQUOTE] = ACTIONS(2528),
    [anon_sym_u_SQUOTE] = ACTIONS(2528),
    [anon_sym_U_SQUOTE] = ACTIONS(2528),
    [anon_sym_u8_SQUOTE] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_L_DQUOTE] = ACTIONS(2528),
    [anon_sym_u_DQUOTE] = ACTIONS(2528),
    [anon_sym_U_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2528),
    [sym_true] = ACTIONS(2526),
    [sym_false] = ACTIONS(2526),
    [anon_sym_NULL] = ACTIONS(2526),
    [anon_sym_nullptr] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_delete] = ACTIONS(2526),
    [anon_sym_throw] = ACTIONS(2526),
    [anon_sym_namespace] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_concept] = ACTIONS(2526),
    [anon_sym_co_return] = ACTIONS(2526),
    [anon_sym_co_yield] = ACTIONS(2526),
    [anon_sym_R_DQUOTE] = ACTIONS(2528),
    [anon_sym_LR_DQUOTE] = ACTIONS(2528),
    [anon_sym_uR_DQUOTE] = ACTIONS(2528),
    [anon_sym_UR_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2528),
    [anon_sym_co_await] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_requires] = ACTIONS(2526),
    [sym_this] = ACTIONS(2526),
    [anon_sym_precise] = ACTIONS(2526),
    [anon_sym_shared] = ACTIONS(2526),
    [anon_sym_groupshared] = ACTIONS(2526),
    [anon_sym_uniform] = ACTIONS(2526),
    [anon_sym_row_major] = ACTIONS(2526),
    [anon_sym_column_major] = ACTIONS(2526),
    [anon_sym_globallycoherent] = ACTIONS(2526),
    [anon_sym_centroid] = ACTIONS(2526),
    [anon_sym_noperspective] = ACTIONS(2526),
    [anon_sym_nointerpolation] = ACTIONS(2526),
    [anon_sym_sample] = ACTIONS(2526),
    [anon_sym_linear] = ACTIONS(2526),
    [anon_sym_snorm] = ACTIONS(2526),
    [anon_sym_unorm] = ACTIONS(2526),
    [anon_sym_point] = ACTIONS(2526),
    [anon_sym_line] = ACTIONS(2526),
    [anon_sym_triangleadj] = ACTIONS(2526),
    [anon_sym_lineadj] = ACTIONS(2526),
    [anon_sym_triangle] = ACTIONS(2526),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(2572),
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_in] = ACTIONS(2570),
    [anon_sym_out] = ACTIONS(2570),
    [anon_sym_inout] = ACTIONS(2570),
    [anon_sym_virtual] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym__Nonnull] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym__Alignas] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [anon_sym___asm] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
    [anon_sym_precise] = ACTIONS(2570),
    [anon_sym_shared] = ACTIONS(2570),
    [anon_sym_groupshared] = ACTIONS(2570),
    [anon_sym_uniform] = ACTIONS(2570),
    [anon_sym_row_major] = ACTIONS(2570),
    [anon_sym_column_major] = ACTIONS(2570),
    [anon_sym_globallycoherent] = ACTIONS(2570),
    [anon_sym_centroid] = ACTIONS(2570),
    [anon_sym_noperspective] = ACTIONS(2570),
    [anon_sym_nointerpolation] = ACTIONS(2570),
    [anon_sym_sample] = ACTIONS(2570),
    [anon_sym_linear] = ACTIONS(2570),
    [anon_sym_snorm] = ACTIONS(2570),
    [anon_sym_unorm] = ACTIONS(2570),
    [anon_sym_point] = ACTIONS(2570),
    [anon_sym_line] = ACTIONS(2570),
    [anon_sym_triangleadj] = ACTIONS(2570),
    [anon_sym_lineadj] = ACTIONS(2570),
    [anon_sym_triangle] = ACTIONS(2570),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(2576),
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_preproc_include_token1] = ACTIONS(2574),
    [aux_sym_preproc_def_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2574),
    [sym_preproc_directive] = ACTIONS(2574),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2574),
    [anon_sym_typedef] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2574),
    [anon_sym_out] = ACTIONS(2574),
    [anon_sym_inout] = ACTIONS(2574),
    [anon_sym_virtual] = ACTIONS(2574),
    [anon_sym_extern] = ACTIONS(2574),
    [anon_sym___attribute__] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2576),
    [anon_sym___declspec] = ACTIONS(2574),
    [anon_sym___based] = ACTIONS(2574),
    [anon_sym___cdecl] = ACTIONS(2574),
    [anon_sym___clrcall] = ACTIONS(2574),
    [anon_sym___stdcall] = ACTIONS(2574),
    [anon_sym___fastcall] = ACTIONS(2574),
    [anon_sym___thiscall] = ACTIONS(2574),
    [anon_sym___vectorcall] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2574),
    [anon_sym_unsigned] = ACTIONS(2574),
    [anon_sym_long] = ACTIONS(2574),
    [anon_sym_short] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_register] = ACTIONS(2574),
    [anon_sym_inline] = ACTIONS(2574),
    [anon_sym___inline] = ACTIONS(2574),
    [anon_sym___inline__] = ACTIONS(2574),
    [anon_sym___forceinline] = ACTIONS(2574),
    [anon_sym_thread_local] = ACTIONS(2574),
    [anon_sym___thread] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_constexpr] = ACTIONS(2574),
    [anon_sym_volatile] = ACTIONS(2574),
    [anon_sym_restrict] = ACTIONS(2574),
    [anon_sym___restrict__] = ACTIONS(2574),
    [anon_sym__Atomic] = ACTIONS(2574),
    [anon_sym__Noreturn] = ACTIONS(2574),
    [anon_sym_noreturn] = ACTIONS(2574),
    [anon_sym__Nonnull] = ACTIONS(2574),
    [anon_sym_mutable] = ACTIONS(2574),
    [anon_sym_constinit] = ACTIONS(2574),
    [anon_sym_consteval] = ACTIONS(2574),
    [anon_sym_alignas] = ACTIONS(2574),
    [anon_sym__Alignas] = ACTIONS(2574),
    [sym_primitive_type] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_struct] = ACTIONS(2574),
    [anon_sym_union] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_default] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_goto] = ACTIONS(2574),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_compl] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2576),
    [anon_sym_sizeof] = ACTIONS(2574),
    [anon_sym___alignof__] = ACTIONS(2574),
    [anon_sym___alignof] = ACTIONS(2574),
    [anon_sym__alignof] = ACTIONS(2574),
    [anon_sym_alignof] = ACTIONS(2574),
    [anon_sym__Alignof] = ACTIONS(2574),
    [anon_sym_offsetof] = ACTIONS(2574),
    [anon_sym__Generic] = ACTIONS(2574),
    [anon_sym_asm] = ACTIONS(2574),
    [anon_sym___asm__] = ACTIONS(2574),
    [anon_sym___asm] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2576),
    [anon_sym_L_SQUOTE] = ACTIONS(2576),
    [anon_sym_u_SQUOTE] = ACTIONS(2576),
    [anon_sym_U_SQUOTE] = ACTIONS(2576),
    [anon_sym_u8_SQUOTE] = ACTIONS(2576),
    [anon_sym_SQUOTE] = ACTIONS(2576),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [anon_sym_NULL] = ACTIONS(2574),
    [anon_sym_nullptr] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2574),
    [anon_sym_decltype] = ACTIONS(2574),
    [anon_sym_explicit] = ACTIONS(2574),
    [anon_sym_typename] = ACTIONS(2574),
    [anon_sym_template] = ACTIONS(2574),
    [anon_sym_operator] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_namespace] = ACTIONS(2574),
    [anon_sym_using] = ACTIONS(2574),
    [anon_sym_static_assert] = ACTIONS(2574),
    [anon_sym_concept] = ACTIONS(2574),
    [anon_sym_co_return] = ACTIONS(2574),
    [anon_sym_co_yield] = ACTIONS(2574),
    [anon_sym_R_DQUOTE] = ACTIONS(2576),
    [anon_sym_LR_DQUOTE] = ACTIONS(2576),
    [anon_sym_uR_DQUOTE] = ACTIONS(2576),
    [anon_sym_UR_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2576),
    [anon_sym_co_await] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_requires] = ACTIONS(2574),
    [sym_this] = ACTIONS(2574),
    [anon_sym_precise] = ACTIONS(2574),
    [anon_sym_shared] = ACTIONS(2574),
    [anon_sym_groupshared] = ACTIONS(2574),
    [anon_sym_uniform] = ACTIONS(2574),
    [anon_sym_row_major] = ACTIONS(2574),
    [anon_sym_column_major] = ACTIONS(2574),
    [anon_sym_globallycoherent] = ACTIONS(2574),
    [anon_sym_centroid] = ACTIONS(2574),
    [anon_sym_noperspective] = ACTIONS(2574),
    [anon_sym_nointerpolation] = ACTIONS(2574),
    [anon_sym_sample] = ACTIONS(2574),
    [anon_sym_linear] = ACTIONS(2574),
    [anon_sym_snorm] = ACTIONS(2574),
    [anon_sym_unorm] = ACTIONS(2574),
    [anon_sym_point] = ACTIONS(2574),
    [anon_sym_line] = ACTIONS(2574),
    [anon_sym_triangleadj] = ACTIONS(2574),
    [anon_sym_lineadj] = ACTIONS(2574),
    [anon_sym_triangle] = ACTIONS(2574),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(2580),
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_include_token1] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_out] = ACTIONS(2578),
    [anon_sym_inout] = ACTIONS(2578),
    [anon_sym_virtual] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym___cdecl] = ACTIONS(2578),
    [anon_sym___clrcall] = ACTIONS(2578),
    [anon_sym___stdcall] = ACTIONS(2578),
    [anon_sym___fastcall] = ACTIONS(2578),
    [anon_sym___thiscall] = ACTIONS(2578),
    [anon_sym___vectorcall] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym__Nonnull] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym__Alignas] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2578),
    [anon_sym_default] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_continue] = ACTIONS(2578),
    [anon_sym_goto] = ACTIONS(2578),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_compl] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_sizeof] = ACTIONS(2578),
    [anon_sym___alignof__] = ACTIONS(2578),
    [anon_sym___alignof] = ACTIONS(2578),
    [anon_sym__alignof] = ACTIONS(2578),
    [anon_sym_alignof] = ACTIONS(2578),
    [anon_sym__Alignof] = ACTIONS(2578),
    [anon_sym_offsetof] = ACTIONS(2578),
    [anon_sym__Generic] = ACTIONS(2578),
    [anon_sym_asm] = ACTIONS(2578),
    [anon_sym___asm__] = ACTIONS(2578),
    [anon_sym___asm] = ACTIONS(2578),
    [sym_number_literal] = ACTIONS(2580),
    [anon_sym_L_SQUOTE] = ACTIONS(2580),
    [anon_sym_u_SQUOTE] = ACTIONS(2580),
    [anon_sym_U_SQUOTE] = ACTIONS(2580),
    [anon_sym_u8_SQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_L_DQUOTE] = ACTIONS(2580),
    [anon_sym_u_DQUOTE] = ACTIONS(2580),
    [anon_sym_U_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8_DQUOTE] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2578),
    [anon_sym_nullptr] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_concept] = ACTIONS(2578),
    [anon_sym_co_return] = ACTIONS(2578),
    [anon_sym_co_yield] = ACTIONS(2578),
    [anon_sym_R_DQUOTE] = ACTIONS(2580),
    [anon_sym_LR_DQUOTE] = ACTIONS(2580),
    [anon_sym_uR_DQUOTE] = ACTIONS(2580),
    [anon_sym_UR_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2580),
    [anon_sym_co_await] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_requires] = ACTIONS(2578),
    [sym_this] = ACTIONS(2578),
    [anon_sym_precise] = ACTIONS(2578),
    [anon_sym_shared] = ACTIONS(2578),
    [anon_sym_groupshared] = ACTIONS(2578),
    [anon_sym_uniform] = ACTIONS(2578),
    [anon_sym_row_major] = ACTIONS(2578),
    [anon_sym_column_major] = ACTIONS(2578),
    [anon_sym_globallycoherent] = ACTIONS(2578),
    [anon_sym_centroid] = ACTIONS(2578),
    [anon_sym_noperspective] = ACTIONS(2578),
    [anon_sym_nointerpolation] = ACTIONS(2578),
    [anon_sym_sample] = ACTIONS(2578),
    [anon_sym_linear] = ACTIONS(2578),
    [anon_sym_snorm] = ACTIONS(2578),
    [anon_sym_unorm] = ACTIONS(2578),
    [anon_sym_point] = ACTIONS(2578),
    [anon_sym_line] = ACTIONS(2578),
    [anon_sym_triangleadj] = ACTIONS(2578),
    [anon_sym_lineadj] = ACTIONS(2578),
    [anon_sym_triangle] = ACTIONS(2578),
  },
  [761] = {
    [sym_preproc_def] = STATE(767),
    [sym_preproc_function_def] = STATE(767),
    [sym_preproc_call] = STATE(767),
    [sym_preproc_if_in_field_declaration_list] = STATE(767),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(767),
    [sym_type_definition] = STATE(767),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(767),
    [sym_field_declaration] = STATE(767),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(767),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(767),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(767),
    [sym_operator_cast_declaration] = STATE(767),
    [sym_constructor_or_destructor_definition] = STATE(767),
    [sym_constructor_or_destructor_declaration] = STATE(767),
    [sym_friend_declaration] = STATE(767),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(767),
    [sym_alias_declaration] = STATE(767),
    [sym_static_assert_declaration] = STATE(767),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(767),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(2584),
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_include_token1] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_DASH] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_out] = ACTIONS(2582),
    [anon_sym_inout] = ACTIONS(2582),
    [anon_sym_virtual] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym___cdecl] = ACTIONS(2582),
    [anon_sym___clrcall] = ACTIONS(2582),
    [anon_sym___stdcall] = ACTIONS(2582),
    [anon_sym___fastcall] = ACTIONS(2582),
    [anon_sym___thiscall] = ACTIONS(2582),
    [anon_sym___vectorcall] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym__Nonnull] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym__Alignas] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_switch] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_default] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_continue] = ACTIONS(2582),
    [anon_sym_goto] = ACTIONS(2582),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_compl] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_sizeof] = ACTIONS(2582),
    [anon_sym___alignof__] = ACTIONS(2582),
    [anon_sym___alignof] = ACTIONS(2582),
    [anon_sym__alignof] = ACTIONS(2582),
    [anon_sym_alignof] = ACTIONS(2582),
    [anon_sym__Alignof] = ACTIONS(2582),
    [anon_sym_offsetof] = ACTIONS(2582),
    [anon_sym__Generic] = ACTIONS(2582),
    [anon_sym_asm] = ACTIONS(2582),
    [anon_sym___asm__] = ACTIONS(2582),
    [anon_sym___asm] = ACTIONS(2582),
    [sym_number_literal] = ACTIONS(2584),
    [anon_sym_L_SQUOTE] = ACTIONS(2584),
    [anon_sym_u_SQUOTE] = ACTIONS(2584),
    [anon_sym_U_SQUOTE] = ACTIONS(2584),
    [anon_sym_u8_SQUOTE] = ACTIONS(2584),
    [anon_sym_SQUOTE] = ACTIONS(2584),
    [anon_sym_L_DQUOTE] = ACTIONS(2584),
    [anon_sym_u_DQUOTE] = ACTIONS(2584),
    [anon_sym_U_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8_DQUOTE] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [anon_sym_NULL] = ACTIONS(2582),
    [anon_sym_nullptr] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_try] = ACTIONS(2582),
    [anon_sym_delete] = ACTIONS(2582),
    [anon_sym_throw] = ACTIONS(2582),
    [anon_sym_namespace] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_concept] = ACTIONS(2582),
    [anon_sym_co_return] = ACTIONS(2582),
    [anon_sym_co_yield] = ACTIONS(2582),
    [anon_sym_R_DQUOTE] = ACTIONS(2584),
    [anon_sym_LR_DQUOTE] = ACTIONS(2584),
    [anon_sym_uR_DQUOTE] = ACTIONS(2584),
    [anon_sym_UR_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2584),
    [anon_sym_co_await] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_requires] = ACTIONS(2582),
    [sym_this] = ACTIONS(2582),
    [anon_sym_precise] = ACTIONS(2582),
    [anon_sym_shared] = ACTIONS(2582),
    [anon_sym_groupshared] = ACTIONS(2582),
    [anon_sym_uniform] = ACTIONS(2582),
    [anon_sym_row_major] = ACTIONS(2582),
    [anon_sym_column_major] = ACTIONS(2582),
    [anon_sym_globallycoherent] = ACTIONS(2582),
    [anon_sym_centroid] = ACTIONS(2582),
    [anon_sym_noperspective] = ACTIONS(2582),
    [anon_sym_nointerpolation] = ACTIONS(2582),
    [anon_sym_sample] = ACTIONS(2582),
    [anon_sym_linear] = ACTIONS(2582),
    [anon_sym_snorm] = ACTIONS(2582),
    [anon_sym_unorm] = ACTIONS(2582),
    [anon_sym_point] = ACTIONS(2582),
    [anon_sym_line] = ACTIONS(2582),
    [anon_sym_triangleadj] = ACTIONS(2582),
    [anon_sym_lineadj] = ACTIONS(2582),
    [anon_sym_triangle] = ACTIONS(2582),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(2588),
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_include_token1] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_out] = ACTIONS(2586),
    [anon_sym_inout] = ACTIONS(2586),
    [anon_sym_virtual] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym___cdecl] = ACTIONS(2586),
    [anon_sym___clrcall] = ACTIONS(2586),
    [anon_sym___stdcall] = ACTIONS(2586),
    [anon_sym___fastcall] = ACTIONS(2586),
    [anon_sym___thiscall] = ACTIONS(2586),
    [anon_sym___vectorcall] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym__Nonnull] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym__Alignas] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_switch] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_default] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_continue] = ACTIONS(2586),
    [anon_sym_goto] = ACTIONS(2586),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_compl] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_sizeof] = ACTIONS(2586),
    [anon_sym___alignof__] = ACTIONS(2586),
    [anon_sym___alignof] = ACTIONS(2586),
    [anon_sym__alignof] = ACTIONS(2586),
    [anon_sym_alignof] = ACTIONS(2586),
    [anon_sym__Alignof] = ACTIONS(2586),
    [anon_sym_offsetof] = ACTIONS(2586),
    [anon_sym__Generic] = ACTIONS(2586),
    [anon_sym_asm] = ACTIONS(2586),
    [anon_sym___asm__] = ACTIONS(2586),
    [anon_sym___asm] = ACTIONS(2586),
    [sym_number_literal] = ACTIONS(2588),
    [anon_sym_L_SQUOTE] = ACTIONS(2588),
    [anon_sym_u_SQUOTE] = ACTIONS(2588),
    [anon_sym_U_SQUOTE] = ACTIONS(2588),
    [anon_sym_u8_SQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_L_DQUOTE] = ACTIONS(2588),
    [anon_sym_u_DQUOTE] = ACTIONS(2588),
    [anon_sym_U_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8_DQUOTE] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [anon_sym_NULL] = ACTIONS(2586),
    [anon_sym_nullptr] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_concept] = ACTIONS(2586),
    [anon_sym_co_return] = ACTIONS(2586),
    [anon_sym_co_yield] = ACTIONS(2586),
    [anon_sym_R_DQUOTE] = ACTIONS(2588),
    [anon_sym_LR_DQUOTE] = ACTIONS(2588),
    [anon_sym_uR_DQUOTE] = ACTIONS(2588),
    [anon_sym_UR_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2588),
    [anon_sym_co_await] = ACTIONS(2586),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_requires] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
    [anon_sym_precise] = ACTIONS(2586),
    [anon_sym_shared] = ACTIONS(2586),
    [anon_sym_groupshared] = ACTIONS(2586),
    [anon_sym_uniform] = ACTIONS(2586),
    [anon_sym_row_major] = ACTIONS(2586),
    [anon_sym_column_major] = ACTIONS(2586),
    [anon_sym_globallycoherent] = ACTIONS(2586),
    [anon_sym_centroid] = ACTIONS(2586),
    [anon_sym_noperspective] = ACTIONS(2586),
    [anon_sym_nointerpolation] = ACTIONS(2586),
    [anon_sym_sample] = ACTIONS(2586),
    [anon_sym_linear] = ACTIONS(2586),
    [anon_sym_snorm] = ACTIONS(2586),
    [anon_sym_unorm] = ACTIONS(2586),
    [anon_sym_point] = ACTIONS(2586),
    [anon_sym_line] = ACTIONS(2586),
    [anon_sym_triangleadj] = ACTIONS(2586),
    [anon_sym_lineadj] = ACTIONS(2586),
    [anon_sym_triangle] = ACTIONS(2586),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
  },
  [767] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(2406),
    [sym_identifier] = ACTIONS(2404),
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_TILDE] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2404),
    [anon_sym_typedef] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_out] = ACTIONS(2404),
    [anon_sym_inout] = ACTIONS(2404),
    [anon_sym_virtual] = ACTIONS(2404),
    [anon_sym_extern] = ACTIONS(2404),
    [anon_sym___attribute__] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2406),
    [anon_sym___declspec] = ACTIONS(2404),
    [anon_sym___based] = ACTIONS(2404),
    [anon_sym___cdecl] = ACTIONS(2404),
    [anon_sym___clrcall] = ACTIONS(2404),
    [anon_sym___stdcall] = ACTIONS(2404),
    [anon_sym___fastcall] = ACTIONS(2404),
    [anon_sym___thiscall] = ACTIONS(2404),
    [anon_sym___vectorcall] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_signed] = ACTIONS(2404),
    [anon_sym_unsigned] = ACTIONS(2404),
    [anon_sym_long] = ACTIONS(2404),
    [anon_sym_short] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_static] = ACTIONS(2404),
    [anon_sym_register] = ACTIONS(2404),
    [anon_sym_inline] = ACTIONS(2404),
    [anon_sym___inline] = ACTIONS(2404),
    [anon_sym___inline__] = ACTIONS(2404),
    [anon_sym___forceinline] = ACTIONS(2404),
    [anon_sym_thread_local] = ACTIONS(2404),
    [anon_sym___thread] = ACTIONS(2404),
    [anon_sym_const] = ACTIONS(2404),
    [anon_sym_constexpr] = ACTIONS(2404),
    [anon_sym_volatile] = ACTIONS(2404),
    [anon_sym_restrict] = ACTIONS(2404),
    [anon_sym___restrict__] = ACTIONS(2404),
    [anon_sym__Atomic] = ACTIONS(2404),
    [anon_sym__Noreturn] = ACTIONS(2404),
    [anon_sym_noreturn] = ACTIONS(2404),
    [anon_sym__Nonnull] = ACTIONS(2404),
    [anon_sym_mutable] = ACTIONS(2404),
    [anon_sym_constinit] = ACTIONS(2404),
    [anon_sym_consteval] = ACTIONS(2404),
    [anon_sym_alignas] = ACTIONS(2404),
    [anon_sym__Alignas] = ACTIONS(2404),
    [sym_primitive_type] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(2404),
    [anon_sym_union] = ACTIONS(2404),
    [anon_sym_if] = ACTIONS(2404),
    [anon_sym_switch] = ACTIONS(2404),
    [anon_sym_case] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2404),
    [anon_sym_compl] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_sizeof] = ACTIONS(2404),
    [anon_sym___alignof__] = ACTIONS(2404),
    [anon_sym___alignof] = ACTIONS(2404),
    [anon_sym__alignof] = ACTIONS(2404),
    [anon_sym_alignof] = ACTIONS(2404),
    [anon_sym__Alignof] = ACTIONS(2404),
    [anon_sym_offsetof] = ACTIONS(2404),
    [anon_sym__Generic] = ACTIONS(2404),
    [anon_sym_asm] = ACTIONS(2404),
    [anon_sym___asm__] = ACTIONS(2404),
    [anon_sym___asm] = ACTIONS(2404),
    [sym_number_literal] = ACTIONS(2406),
    [anon_sym_L_SQUOTE] = ACTIONS(2406),
    [anon_sym_u_SQUOTE] = ACTIONS(2406),
    [anon_sym_U_SQUOTE] = ACTIONS(2406),
    [anon_sym_u8_SQUOTE] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2406),
    [anon_sym_L_DQUOTE] = ACTIONS(2406),
    [anon_sym_u_DQUOTE] = ACTIONS(2406),
    [anon_sym_U_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8_DQUOTE] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2404),
    [sym_false] = ACTIONS(2404),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2404),
    [anon_sym_decltype] = ACTIONS(2404),
    [anon_sym_explicit] = ACTIONS(2404),
    [anon_sym_typename] = ACTIONS(2404),
    [anon_sym_template] = ACTIONS(2404),
    [anon_sym_operator] = ACTIONS(2404),
    [anon_sym_try] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2404),
    [anon_sym_using] = ACTIONS(2404),
    [anon_sym_static_assert] = ACTIONS(2404),
    [anon_sym_concept] = ACTIONS(2404),
    [anon_sym_co_return] = ACTIONS(2404),
    [anon_sym_co_yield] = ACTIONS(2404),
    [anon_sym_R_DQUOTE] = ACTIONS(2406),
    [anon_sym_LR_DQUOTE] = ACTIONS(2406),
    [anon_sym_uR_DQUOTE] = ACTIONS(2406),
    [anon_sym_UR_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2406),
    [anon_sym_co_await] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2404),
    [anon_sym_requires] = ACTIONS(2404),
    [sym_this] = ACTIONS(2404),
    [anon_sym_precise] = ACTIONS(2404),
    [anon_sym_shared] = ACTIONS(2404),
    [anon_sym_groupshared] = ACTIONS(2404),
    [anon_sym_uniform] = ACTIONS(2404),
    [anon_sym_row_major] = ACTIONS(2404),
    [anon_sym_column_major] = ACTIONS(2404),
    [anon_sym_globallycoherent] = ACTIONS(2404),
    [anon_sym_centroid] = ACTIONS(2404),
    [anon_sym_noperspective] = ACTIONS(2404),
    [anon_sym_nointerpolation] = ACTIONS(2404),
    [anon_sym_sample] = ACTIONS(2404),
    [anon_sym_linear] = ACTIONS(2404),
    [anon_sym_snorm] = ACTIONS(2404),
    [anon_sym_unorm] = ACTIONS(2404),
    [anon_sym_point] = ACTIONS(2404),
    [anon_sym_line] = ACTIONS(2404),
    [anon_sym_triangleadj] = ACTIONS(2404),
    [anon_sym_lineadj] = ACTIONS(2404),
    [anon_sym_triangle] = ACTIONS(2404),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(2450),
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_concept] = ACTIONS(2448),
    [anon_sym_co_return] = ACTIONS(2448),
    [anon_sym_co_yield] = ACTIONS(2448),
    [anon_sym_R_DQUOTE] = ACTIONS(2450),
    [anon_sym_LR_DQUOTE] = ACTIONS(2450),
    [anon_sym_uR_DQUOTE] = ACTIONS(2450),
    [anon_sym_UR_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2450),
    [anon_sym_co_await] = ACTIONS(2448),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_requires] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(2532),
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_include_token1] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_in] = ACTIONS(2530),
    [anon_sym_out] = ACTIONS(2530),
    [anon_sym_inout] = ACTIONS(2530),
    [anon_sym_virtual] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym___cdecl] = ACTIONS(2530),
    [anon_sym___clrcall] = ACTIONS(2530),
    [anon_sym___stdcall] = ACTIONS(2530),
    [anon_sym___fastcall] = ACTIONS(2530),
    [anon_sym___thiscall] = ACTIONS(2530),
    [anon_sym___vectorcall] = ACTIONS(2530),
    [anon_sym_LBRACE] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym__Nonnull] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_switch] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2530),
    [anon_sym_default] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_do] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2530),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_goto] = ACTIONS(2530),
    [anon_sym_not] = ACTIONS(2530),
    [anon_sym_compl] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_sizeof] = ACTIONS(2530),
    [anon_sym___alignof__] = ACTIONS(2530),
    [anon_sym___alignof] = ACTIONS(2530),
    [anon_sym__alignof] = ACTIONS(2530),
    [anon_sym_alignof] = ACTIONS(2530),
    [anon_sym__Alignof] = ACTIONS(2530),
    [anon_sym_offsetof] = ACTIONS(2530),
    [anon_sym__Generic] = ACTIONS(2530),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [sym_number_literal] = ACTIONS(2532),
    [anon_sym_L_SQUOTE] = ACTIONS(2532),
    [anon_sym_u_SQUOTE] = ACTIONS(2532),
    [anon_sym_U_SQUOTE] = ACTIONS(2532),
    [anon_sym_u8_SQUOTE] = ACTIONS(2532),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [anon_sym_L_DQUOTE] = ACTIONS(2532),
    [anon_sym_u_DQUOTE] = ACTIONS(2532),
    [anon_sym_U_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8_DQUOTE] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [sym_true] = ACTIONS(2530),
    [sym_false] = ACTIONS(2530),
    [anon_sym_NULL] = ACTIONS(2530),
    [anon_sym_nullptr] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_try] = ACTIONS(2530),
    [anon_sym_delete] = ACTIONS(2530),
    [anon_sym_throw] = ACTIONS(2530),
    [anon_sym_namespace] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_concept] = ACTIONS(2530),
    [anon_sym_co_return] = ACTIONS(2530),
    [anon_sym_co_yield] = ACTIONS(2530),
    [anon_sym_R_DQUOTE] = ACTIONS(2532),
    [anon_sym_LR_DQUOTE] = ACTIONS(2532),
    [anon_sym_uR_DQUOTE] = ACTIONS(2532),
    [anon_sym_UR_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2532),
    [anon_sym_co_await] = ACTIONS(2530),
    [anon_sym_new] = ACTIONS(2530),
    [anon_sym_requires] = ACTIONS(2530),
    [sym_this] = ACTIONS(2530),
    [anon_sym_precise] = ACTIONS(2530),
    [anon_sym_shared] = ACTIONS(2530),
    [anon_sym_groupshared] = ACTIONS(2530),
    [anon_sym_uniform] = ACTIONS(2530),
    [anon_sym_row_major] = ACTIONS(2530),
    [anon_sym_column_major] = ACTIONS(2530),
    [anon_sym_globallycoherent] = ACTIONS(2530),
    [anon_sym_centroid] = ACTIONS(2530),
    [anon_sym_noperspective] = ACTIONS(2530),
    [anon_sym_nointerpolation] = ACTIONS(2530),
    [anon_sym_sample] = ACTIONS(2530),
    [anon_sym_linear] = ACTIONS(2530),
    [anon_sym_snorm] = ACTIONS(2530),
    [anon_sym_unorm] = ACTIONS(2530),
    [anon_sym_point] = ACTIONS(2530),
    [anon_sym_line] = ACTIONS(2530),
    [anon_sym_triangleadj] = ACTIONS(2530),
    [anon_sym_lineadj] = ACTIONS(2530),
    [anon_sym_triangle] = ACTIONS(2530),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [anon_sym___asm] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(2596),
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [anon_sym___asm] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
  },
  [775] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3051),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(2596),
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [anon_sym___asm] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(2600),
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_include_token1] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_out] = ACTIONS(2598),
    [anon_sym_inout] = ACTIONS(2598),
    [anon_sym_virtual] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym___cdecl] = ACTIONS(2598),
    [anon_sym___clrcall] = ACTIONS(2598),
    [anon_sym___stdcall] = ACTIONS(2598),
    [anon_sym___fastcall] = ACTIONS(2598),
    [anon_sym___thiscall] = ACTIONS(2598),
    [anon_sym___vectorcall] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym__Nonnull] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym__Alignas] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2598),
    [anon_sym_default] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_do] = ACTIONS(2598),
    [anon_sym_for] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_break] = ACTIONS(2598),
    [anon_sym_continue] = ACTIONS(2598),
    [anon_sym_goto] = ACTIONS(2598),
    [anon_sym_not] = ACTIONS(2598),
    [anon_sym_compl] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2598),
    [anon_sym___alignof] = ACTIONS(2598),
    [anon_sym__alignof] = ACTIONS(2598),
    [anon_sym_alignof] = ACTIONS(2598),
    [anon_sym__Alignof] = ACTIONS(2598),
    [anon_sym_offsetof] = ACTIONS(2598),
    [anon_sym__Generic] = ACTIONS(2598),
    [anon_sym_asm] = ACTIONS(2598),
    [anon_sym___asm__] = ACTIONS(2598),
    [anon_sym___asm] = ACTIONS(2598),
    [sym_number_literal] = ACTIONS(2600),
    [anon_sym_L_SQUOTE] = ACTIONS(2600),
    [anon_sym_u_SQUOTE] = ACTIONS(2600),
    [anon_sym_U_SQUOTE] = ACTIONS(2600),
    [anon_sym_u8_SQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [anon_sym_L_DQUOTE] = ACTIONS(2600),
    [anon_sym_u_DQUOTE] = ACTIONS(2600),
    [anon_sym_U_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8_DQUOTE] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2600),
    [sym_true] = ACTIONS(2598),
    [sym_false] = ACTIONS(2598),
    [anon_sym_NULL] = ACTIONS(2598),
    [anon_sym_nullptr] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_delete] = ACTIONS(2598),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_namespace] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_concept] = ACTIONS(2598),
    [anon_sym_co_return] = ACTIONS(2598),
    [anon_sym_co_yield] = ACTIONS(2598),
    [anon_sym_R_DQUOTE] = ACTIONS(2600),
    [anon_sym_LR_DQUOTE] = ACTIONS(2600),
    [anon_sym_uR_DQUOTE] = ACTIONS(2600),
    [anon_sym_UR_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2600),
    [anon_sym_co_await] = ACTIONS(2598),
    [anon_sym_new] = ACTIONS(2598),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2598),
    [anon_sym_precise] = ACTIONS(2598),
    [anon_sym_shared] = ACTIONS(2598),
    [anon_sym_groupshared] = ACTIONS(2598),
    [anon_sym_uniform] = ACTIONS(2598),
    [anon_sym_row_major] = ACTIONS(2598),
    [anon_sym_column_major] = ACTIONS(2598),
    [anon_sym_globallycoherent] = ACTIONS(2598),
    [anon_sym_centroid] = ACTIONS(2598),
    [anon_sym_noperspective] = ACTIONS(2598),
    [anon_sym_nointerpolation] = ACTIONS(2598),
    [anon_sym_sample] = ACTIONS(2598),
    [anon_sym_linear] = ACTIONS(2598),
    [anon_sym_snorm] = ACTIONS(2598),
    [anon_sym_unorm] = ACTIONS(2598),
    [anon_sym_point] = ACTIONS(2598),
    [anon_sym_line] = ACTIONS(2598),
    [anon_sym_triangleadj] = ACTIONS(2598),
    [anon_sym_lineadj] = ACTIONS(2598),
    [anon_sym_triangle] = ACTIONS(2598),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(2604),
    [sym_identifier] = ACTIONS(2602),
    [aux_sym_preproc_include_token1] = ACTIONS(2602),
    [aux_sym_preproc_def_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2602),
    [sym_preproc_directive] = ACTIONS(2602),
    [anon_sym_LPAREN2] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2602),
    [anon_sym_typedef] = ACTIONS(2602),
    [anon_sym_in] = ACTIONS(2602),
    [anon_sym_out] = ACTIONS(2602),
    [anon_sym_inout] = ACTIONS(2602),
    [anon_sym_virtual] = ACTIONS(2602),
    [anon_sym_extern] = ACTIONS(2602),
    [anon_sym___attribute__] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2604),
    [anon_sym___declspec] = ACTIONS(2602),
    [anon_sym___based] = ACTIONS(2602),
    [anon_sym___cdecl] = ACTIONS(2602),
    [anon_sym___clrcall] = ACTIONS(2602),
    [anon_sym___stdcall] = ACTIONS(2602),
    [anon_sym___fastcall] = ACTIONS(2602),
    [anon_sym___thiscall] = ACTIONS(2602),
    [anon_sym___vectorcall] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_register] = ACTIONS(2602),
    [anon_sym_inline] = ACTIONS(2602),
    [anon_sym___inline] = ACTIONS(2602),
    [anon_sym___inline__] = ACTIONS(2602),
    [anon_sym___forceinline] = ACTIONS(2602),
    [anon_sym_thread_local] = ACTIONS(2602),
    [anon_sym___thread] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_constexpr] = ACTIONS(2602),
    [anon_sym_volatile] = ACTIONS(2602),
    [anon_sym_restrict] = ACTIONS(2602),
    [anon_sym___restrict__] = ACTIONS(2602),
    [anon_sym__Atomic] = ACTIONS(2602),
    [anon_sym__Noreturn] = ACTIONS(2602),
    [anon_sym_noreturn] = ACTIONS(2602),
    [anon_sym__Nonnull] = ACTIONS(2602),
    [anon_sym_mutable] = ACTIONS(2602),
    [anon_sym_constinit] = ACTIONS(2602),
    [anon_sym_consteval] = ACTIONS(2602),
    [anon_sym_alignas] = ACTIONS(2602),
    [anon_sym__Alignas] = ACTIONS(2602),
    [sym_primitive_type] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_struct] = ACTIONS(2602),
    [anon_sym_union] = ACTIONS(2602),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_case] = ACTIONS(2602),
    [anon_sym_default] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_goto] = ACTIONS(2602),
    [anon_sym_not] = ACTIONS(2602),
    [anon_sym_compl] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_sizeof] = ACTIONS(2602),
    [anon_sym___alignof__] = ACTIONS(2602),
    [anon_sym___alignof] = ACTIONS(2602),
    [anon_sym__alignof] = ACTIONS(2602),
    [anon_sym_alignof] = ACTIONS(2602),
    [anon_sym__Alignof] = ACTIONS(2602),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2602),
    [anon_sym_asm] = ACTIONS(2602),
    [anon_sym___asm__] = ACTIONS(2602),
    [anon_sym___asm] = ACTIONS(2602),
    [sym_number_literal] = ACTIONS(2604),
    [anon_sym_L_SQUOTE] = ACTIONS(2604),
    [anon_sym_u_SQUOTE] = ACTIONS(2604),
    [anon_sym_U_SQUOTE] = ACTIONS(2604),
    [anon_sym_u8_SQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_L_DQUOTE] = ACTIONS(2604),
    [anon_sym_u_DQUOTE] = ACTIONS(2604),
    [anon_sym_U_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8_DQUOTE] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [anon_sym_NULL] = ACTIONS(2602),
    [anon_sym_nullptr] = ACTIONS(2602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2602),
    [anon_sym_decltype] = ACTIONS(2602),
    [anon_sym_explicit] = ACTIONS(2602),
    [anon_sym_typename] = ACTIONS(2602),
    [anon_sym_template] = ACTIONS(2602),
    [anon_sym_operator] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_using] = ACTIONS(2602),
    [anon_sym_static_assert] = ACTIONS(2602),
    [anon_sym_concept] = ACTIONS(2602),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2602),
    [anon_sym_R_DQUOTE] = ACTIONS(2604),
    [anon_sym_LR_DQUOTE] = ACTIONS(2604),
    [anon_sym_uR_DQUOTE] = ACTIONS(2604),
    [anon_sym_UR_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2604),
    [anon_sym_co_await] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_requires] = ACTIONS(2602),
    [sym_this] = ACTIONS(2602),
    [anon_sym_precise] = ACTIONS(2602),
    [anon_sym_shared] = ACTIONS(2602),
    [anon_sym_groupshared] = ACTIONS(2602),
    [anon_sym_uniform] = ACTIONS(2602),
    [anon_sym_row_major] = ACTIONS(2602),
    [anon_sym_column_major] = ACTIONS(2602),
    [anon_sym_globallycoherent] = ACTIONS(2602),
    [anon_sym_centroid] = ACTIONS(2602),
    [anon_sym_noperspective] = ACTIONS(2602),
    [anon_sym_nointerpolation] = ACTIONS(2602),
    [anon_sym_sample] = ACTIONS(2602),
    [anon_sym_linear] = ACTIONS(2602),
    [anon_sym_snorm] = ACTIONS(2602),
    [anon_sym_unorm] = ACTIONS(2602),
    [anon_sym_point] = ACTIONS(2602),
    [anon_sym_line] = ACTIONS(2602),
    [anon_sym_triangleadj] = ACTIONS(2602),
    [anon_sym_lineadj] = ACTIONS(2602),
    [anon_sym_triangle] = ACTIONS(2602),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_include_token1] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym___cdecl] = ACTIONS(2384),
    [anon_sym___clrcall] = ACTIONS(2384),
    [anon_sym___stdcall] = ACTIONS(2384),
    [anon_sym___fastcall] = ACTIONS(2384),
    [anon_sym___thiscall] = ACTIONS(2384),
    [anon_sym___vectorcall] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym__Nonnull] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym__Alignas] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_goto] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2384),
    [anon_sym_compl] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2384),
    [anon_sym___alignof] = ACTIONS(2384),
    [anon_sym__alignof] = ACTIONS(2384),
    [anon_sym_alignof] = ACTIONS(2384),
    [anon_sym__Alignof] = ACTIONS(2384),
    [anon_sym_offsetof] = ACTIONS(2384),
    [anon_sym__Generic] = ACTIONS(2384),
    [anon_sym_asm] = ACTIONS(2384),
    [anon_sym___asm__] = ACTIONS(2384),
    [anon_sym___asm] = ACTIONS(2384),
    [sym_number_literal] = ACTIONS(2386),
    [anon_sym_L_SQUOTE] = ACTIONS(2386),
    [anon_sym_u_SQUOTE] = ACTIONS(2386),
    [anon_sym_U_SQUOTE] = ACTIONS(2386),
    [anon_sym_u8_SQUOTE] = ACTIONS(2386),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_L_DQUOTE] = ACTIONS(2386),
    [anon_sym_u_DQUOTE] = ACTIONS(2386),
    [anon_sym_U_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8_DQUOTE] = ACTIONS(2386),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_NULL] = ACTIONS(2384),
    [anon_sym_nullptr] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_delete] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_concept] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2384),
    [anon_sym_co_yield] = ACTIONS(2384),
    [anon_sym_R_DQUOTE] = ACTIONS(2386),
    [anon_sym_LR_DQUOTE] = ACTIONS(2386),
    [anon_sym_uR_DQUOTE] = ACTIONS(2386),
    [anon_sym_UR_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2386),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_requires] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
  },
  [780] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [anon_sym___asm] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(2496),
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_in] = ACTIONS(2494),
    [anon_sym_out] = ACTIONS(2494),
    [anon_sym_inout] = ACTIONS(2494),
    [anon_sym_virtual] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym__Nonnull] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [anon_sym___asm] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
    [anon_sym_precise] = ACTIONS(2494),
    [anon_sym_shared] = ACTIONS(2494),
    [anon_sym_groupshared] = ACTIONS(2494),
    [anon_sym_uniform] = ACTIONS(2494),
    [anon_sym_row_major] = ACTIONS(2494),
    [anon_sym_column_major] = ACTIONS(2494),
    [anon_sym_globallycoherent] = ACTIONS(2494),
    [anon_sym_centroid] = ACTIONS(2494),
    [anon_sym_noperspective] = ACTIONS(2494),
    [anon_sym_nointerpolation] = ACTIONS(2494),
    [anon_sym_sample] = ACTIONS(2494),
    [anon_sym_linear] = ACTIONS(2494),
    [anon_sym_snorm] = ACTIONS(2494),
    [anon_sym_unorm] = ACTIONS(2494),
    [anon_sym_point] = ACTIONS(2494),
    [anon_sym_line] = ACTIONS(2494),
    [anon_sym_triangleadj] = ACTIONS(2494),
    [anon_sym_lineadj] = ACTIONS(2494),
    [anon_sym_triangle] = ACTIONS(2494),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(2500),
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_in] = ACTIONS(2498),
    [anon_sym_out] = ACTIONS(2498),
    [anon_sym_inout] = ACTIONS(2498),
    [anon_sym_virtual] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym__Nonnull] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [anon_sym___asm] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
    [anon_sym_precise] = ACTIONS(2498),
    [anon_sym_shared] = ACTIONS(2498),
    [anon_sym_groupshared] = ACTIONS(2498),
    [anon_sym_uniform] = ACTIONS(2498),
    [anon_sym_row_major] = ACTIONS(2498),
    [anon_sym_column_major] = ACTIONS(2498),
    [anon_sym_globallycoherent] = ACTIONS(2498),
    [anon_sym_centroid] = ACTIONS(2498),
    [anon_sym_noperspective] = ACTIONS(2498),
    [anon_sym_nointerpolation] = ACTIONS(2498),
    [anon_sym_sample] = ACTIONS(2498),
    [anon_sym_linear] = ACTIONS(2498),
    [anon_sym_snorm] = ACTIONS(2498),
    [anon_sym_unorm] = ACTIONS(2498),
    [anon_sym_point] = ACTIONS(2498),
    [anon_sym_line] = ACTIONS(2498),
    [anon_sym_triangleadj] = ACTIONS(2498),
    [anon_sym_lineadj] = ACTIONS(2498),
    [anon_sym_triangle] = ACTIONS(2498),
  },
  [784] = {
    [sym_preproc_def] = STATE(787),
    [sym_preproc_function_def] = STATE(787),
    [sym_preproc_call] = STATE(787),
    [sym_preproc_if_in_field_declaration_list] = STATE(787),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(787),
    [sym_type_definition] = STATE(787),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(787),
    [sym_field_declaration] = STATE(787),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(787),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(787),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(787),
    [sym_operator_cast_declaration] = STATE(787),
    [sym_constructor_or_destructor_definition] = STATE(787),
    [sym_constructor_or_destructor_declaration] = STATE(787),
    [sym_friend_declaration] = STATE(787),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(787),
    [sym_alias_declaration] = STATE(787),
    [sym_static_assert_declaration] = STATE(787),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(787),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3057),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3059),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [785] = {
    [sym_preproc_def] = STATE(827),
    [sym_preproc_function_def] = STATE(827),
    [sym_preproc_call] = STATE(827),
    [sym_preproc_if_in_field_declaration_list] = STATE(827),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(827),
    [sym_type_definition] = STATE(827),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5685),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6179),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(827),
    [sym_field_declaration] = STATE(827),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(827),
    [sym_operator_cast] = STATE(6749),
    [sym_inline_method_definition] = STATE(827),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(827),
    [sym_operator_cast_declaration] = STATE(827),
    [sym_constructor_or_destructor_definition] = STATE(827),
    [sym_constructor_or_destructor_declaration] = STATE(827),
    [sym_friend_declaration] = STATE(827),
    [sym_access_specifier] = STATE(8666),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(827),
    [sym_alias_declaration] = STATE(827),
    [sym_static_assert_declaration] = STATE(827),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6749),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(827),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3063),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3027),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(3031),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(3035),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_out] = ACTIONS(2420),
    [anon_sym_inout] = ACTIONS(2420),
    [anon_sym_virtual] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___based] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_mutable] = ACTIONS(2420),
    [anon_sym_constinit] = ACTIONS(2420),
    [anon_sym_consteval] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_class] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_compl] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2420),
    [anon_sym_decltype] = ACTIONS(2420),
    [anon_sym_explicit] = ACTIONS(2420),
    [anon_sym_typename] = ACTIONS(2420),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_operator] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_delete] = ACTIONS(2420),
    [anon_sym_throw] = ACTIONS(2420),
    [anon_sym_namespace] = ACTIONS(2420),
    [anon_sym_using] = ACTIONS(2420),
    [anon_sym_static_assert] = ACTIONS(2420),
    [anon_sym_concept] = ACTIONS(2420),
    [anon_sym_co_return] = ACTIONS(2420),
    [anon_sym_co_yield] = ACTIONS(2420),
    [anon_sym_R_DQUOTE] = ACTIONS(2422),
    [anon_sym_LR_DQUOTE] = ACTIONS(2422),
    [anon_sym_uR_DQUOTE] = ACTIONS(2422),
    [anon_sym_UR_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2422),
    [anon_sym_co_await] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(2420),
    [anon_sym_requires] = ACTIONS(2420),
    [sym_this] = ACTIONS(2420),
    [anon_sym_precise] = ACTIONS(2420),
    [anon_sym_shared] = ACTIONS(2420),
    [anon_sym_groupshared] = ACTIONS(2420),
    [anon_sym_uniform] = ACTIONS(2420),
    [anon_sym_row_major] = ACTIONS(2420),
    [anon_sym_column_major] = ACTIONS(2420),
    [anon_sym_globallycoherent] = ACTIONS(2420),
    [anon_sym_centroid] = ACTIONS(2420),
    [anon_sym_noperspective] = ACTIONS(2420),
    [anon_sym_nointerpolation] = ACTIONS(2420),
    [anon_sym_sample] = ACTIONS(2420),
    [anon_sym_linear] = ACTIONS(2420),
    [anon_sym_snorm] = ACTIONS(2420),
    [anon_sym_unorm] = ACTIONS(2420),
    [anon_sym_point] = ACTIONS(2420),
    [anon_sym_line] = ACTIONS(2420),
    [anon_sym_triangleadj] = ACTIONS(2420),
    [anon_sym_lineadj] = ACTIONS(2420),
    [anon_sym_triangle] = ACTIONS(2420),
  },
  [787] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3065),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(2608),
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_include_token1] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_in] = ACTIONS(2606),
    [anon_sym_out] = ACTIONS(2606),
    [anon_sym_inout] = ACTIONS(2606),
    [anon_sym_virtual] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym___cdecl] = ACTIONS(2606),
    [anon_sym___clrcall] = ACTIONS(2606),
    [anon_sym___stdcall] = ACTIONS(2606),
    [anon_sym___fastcall] = ACTIONS(2606),
    [anon_sym___thiscall] = ACTIONS(2606),
    [anon_sym___vectorcall] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym__Nonnull] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym__Alignas] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_switch] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2606),
    [anon_sym_default] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_return] = ACTIONS(2606),
    [anon_sym_break] = ACTIONS(2606),
    [anon_sym_continue] = ACTIONS(2606),
    [anon_sym_goto] = ACTIONS(2606),
    [anon_sym_not] = ACTIONS(2606),
    [anon_sym_compl] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_sizeof] = ACTIONS(2606),
    [anon_sym___alignof__] = ACTIONS(2606),
    [anon_sym___alignof] = ACTIONS(2606),
    [anon_sym__alignof] = ACTIONS(2606),
    [anon_sym_alignof] = ACTIONS(2606),
    [anon_sym__Alignof] = ACTIONS(2606),
    [anon_sym_offsetof] = ACTIONS(2606),
    [anon_sym__Generic] = ACTIONS(2606),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [sym_number_literal] = ACTIONS(2608),
    [anon_sym_L_SQUOTE] = ACTIONS(2608),
    [anon_sym_u_SQUOTE] = ACTIONS(2608),
    [anon_sym_U_SQUOTE] = ACTIONS(2608),
    [anon_sym_u8_SQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_L_DQUOTE] = ACTIONS(2608),
    [anon_sym_u_DQUOTE] = ACTIONS(2608),
    [anon_sym_U_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8_DQUOTE] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [anon_sym_NULL] = ACTIONS(2606),
    [anon_sym_nullptr] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_throw] = ACTIONS(2606),
    [anon_sym_namespace] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_concept] = ACTIONS(2606),
    [anon_sym_co_return] = ACTIONS(2606),
    [anon_sym_co_yield] = ACTIONS(2606),
    [anon_sym_R_DQUOTE] = ACTIONS(2608),
    [anon_sym_LR_DQUOTE] = ACTIONS(2608),
    [anon_sym_uR_DQUOTE] = ACTIONS(2608),
    [anon_sym_UR_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2608),
    [anon_sym_co_await] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_requires] = ACTIONS(2606),
    [sym_this] = ACTIONS(2606),
    [anon_sym_precise] = ACTIONS(2606),
    [anon_sym_shared] = ACTIONS(2606),
    [anon_sym_groupshared] = ACTIONS(2606),
    [anon_sym_uniform] = ACTIONS(2606),
    [anon_sym_row_major] = ACTIONS(2606),
    [anon_sym_column_major] = ACTIONS(2606),
    [anon_sym_globallycoherent] = ACTIONS(2606),
    [anon_sym_centroid] = ACTIONS(2606),
    [anon_sym_noperspective] = ACTIONS(2606),
    [anon_sym_nointerpolation] = ACTIONS(2606),
    [anon_sym_sample] = ACTIONS(2606),
    [anon_sym_linear] = ACTIONS(2606),
    [anon_sym_snorm] = ACTIONS(2606),
    [anon_sym_unorm] = ACTIONS(2606),
    [anon_sym_point] = ACTIONS(2606),
    [anon_sym_line] = ACTIONS(2606),
    [anon_sym_triangleadj] = ACTIONS(2606),
    [anon_sym_lineadj] = ACTIONS(2606),
    [anon_sym_triangle] = ACTIONS(2606),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_include_token1] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_in] = ACTIONS(2506),
    [anon_sym_out] = ACTIONS(2506),
    [anon_sym_inout] = ACTIONS(2506),
    [anon_sym_virtual] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym___cdecl] = ACTIONS(2506),
    [anon_sym___clrcall] = ACTIONS(2506),
    [anon_sym___stdcall] = ACTIONS(2506),
    [anon_sym___fastcall] = ACTIONS(2506),
    [anon_sym___thiscall] = ACTIONS(2506),
    [anon_sym___vectorcall] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym__Nonnull] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_goto] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2506),
    [anon_sym_compl] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2508),
    [anon_sym_sizeof] = ACTIONS(2506),
    [anon_sym___alignof__] = ACTIONS(2506),
    [anon_sym___alignof] = ACTIONS(2506),
    [anon_sym__alignof] = ACTIONS(2506),
    [anon_sym_alignof] = ACTIONS(2506),
    [anon_sym__Alignof] = ACTIONS(2506),
    [anon_sym_offsetof] = ACTIONS(2506),
    [anon_sym__Generic] = ACTIONS(2506),
    [anon_sym_asm] = ACTIONS(2506),
    [anon_sym___asm__] = ACTIONS(2506),
    [anon_sym___asm] = ACTIONS(2506),
    [sym_number_literal] = ACTIONS(2508),
    [anon_sym_L_SQUOTE] = ACTIONS(2508),
    [anon_sym_u_SQUOTE] = ACTIONS(2508),
    [anon_sym_U_SQUOTE] = ACTIONS(2508),
    [anon_sym_u8_SQUOTE] = ACTIONS(2508),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_L_DQUOTE] = ACTIONS(2508),
    [anon_sym_u_DQUOTE] = ACTIONS(2508),
    [anon_sym_U_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8_DQUOTE] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [anon_sym_NULL] = ACTIONS(2506),
    [anon_sym_nullptr] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_namespace] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_concept] = ACTIONS(2506),
    [anon_sym_co_return] = ACTIONS(2506),
    [anon_sym_co_yield] = ACTIONS(2506),
    [anon_sym_R_DQUOTE] = ACTIONS(2508),
    [anon_sym_LR_DQUOTE] = ACTIONS(2508),
    [anon_sym_uR_DQUOTE] = ACTIONS(2508),
    [anon_sym_UR_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2508),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_requires] = ACTIONS(2506),
    [sym_this] = ACTIONS(2506),
    [anon_sym_precise] = ACTIONS(2506),
    [anon_sym_shared] = ACTIONS(2506),
    [anon_sym_groupshared] = ACTIONS(2506),
    [anon_sym_uniform] = ACTIONS(2506),
    [anon_sym_row_major] = ACTIONS(2506),
    [anon_sym_column_major] = ACTIONS(2506),
    [anon_sym_globallycoherent] = ACTIONS(2506),
    [anon_sym_centroid] = ACTIONS(2506),
    [anon_sym_noperspective] = ACTIONS(2506),
    [anon_sym_nointerpolation] = ACTIONS(2506),
    [anon_sym_sample] = ACTIONS(2506),
    [anon_sym_linear] = ACTIONS(2506),
    [anon_sym_snorm] = ACTIONS(2506),
    [anon_sym_unorm] = ACTIONS(2506),
    [anon_sym_point] = ACTIONS(2506),
    [anon_sym_line] = ACTIONS(2506),
    [anon_sym_triangleadj] = ACTIONS(2506),
    [anon_sym_lineadj] = ACTIONS(2506),
    [anon_sym_triangle] = ACTIONS(2506),
  },
  [790] = {
    [sym_preproc_def] = STATE(791),
    [sym_preproc_function_def] = STATE(791),
    [sym_preproc_call] = STATE(791),
    [sym_preproc_if_in_field_declaration_list] = STATE(791),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(791),
    [sym_type_definition] = STATE(791),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(791),
    [sym_field_declaration] = STATE(791),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(791),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(791),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(791),
    [sym_operator_cast_declaration] = STATE(791),
    [sym_constructor_or_destructor_definition] = STATE(791),
    [sym_constructor_or_destructor_declaration] = STATE(791),
    [sym_friend_declaration] = STATE(791),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(791),
    [sym_alias_declaration] = STATE(791),
    [sym_static_assert_declaration] = STATE(791),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(791),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3069),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [791] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3071),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(2612),
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [anon_sym___asm] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(2612),
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [anon_sym___asm] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
  },
  [794] = {
    [sym_preproc_def] = STATE(796),
    [sym_preproc_function_def] = STATE(796),
    [sym_preproc_call] = STATE(796),
    [sym_preproc_if_in_field_declaration_list] = STATE(796),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(796),
    [sym_type_definition] = STATE(796),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(796),
    [sym_field_declaration] = STATE(796),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(796),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(796),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(796),
    [sym_operator_cast_declaration] = STATE(796),
    [sym_constructor_or_destructor_definition] = STATE(796),
    [sym_constructor_or_destructor_declaration] = STATE(796),
    [sym_friend_declaration] = STATE(796),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(796),
    [sym_alias_declaration] = STATE(796),
    [sym_static_assert_declaration] = STATE(796),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(796),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [795] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3083),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3083),
    [sym_preproc_directive] = ACTIONS(3086),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(3089),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_in] = ACTIONS(2891),
    [anon_sym_out] = ACTIONS(2891),
    [anon_sym_inout] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2894),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2906),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_RBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_register] = ACTIONS(2894),
    [anon_sym_inline] = ACTIONS(2894),
    [anon_sym___inline] = ACTIONS(2894),
    [anon_sym___inline__] = ACTIONS(2894),
    [anon_sym___forceinline] = ACTIONS(2894),
    [anon_sym_thread_local] = ACTIONS(2894),
    [anon_sym___thread] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2918),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(2918),
    [anon_sym_restrict] = ACTIONS(2918),
    [anon_sym___restrict__] = ACTIONS(2918),
    [anon_sym__Atomic] = ACTIONS(2918),
    [anon_sym__Noreturn] = ACTIONS(2918),
    [anon_sym_noreturn] = ACTIONS(2918),
    [anon_sym__Nonnull] = ACTIONS(2918),
    [anon_sym_mutable] = ACTIONS(2918),
    [anon_sym_constinit] = ACTIONS(2918),
    [anon_sym_consteval] = ACTIONS(2918),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2930),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2942),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_friend] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_protected] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_precise] = ACTIONS(2972),
    [anon_sym_shared] = ACTIONS(2972),
    [anon_sym_groupshared] = ACTIONS(2972),
    [anon_sym_uniform] = ACTIONS(2972),
    [anon_sym_row_major] = ACTIONS(2972),
    [anon_sym_column_major] = ACTIONS(2972),
    [anon_sym_globallycoherent] = ACTIONS(2972),
    [anon_sym_centroid] = ACTIONS(2972),
    [anon_sym_noperspective] = ACTIONS(2972),
    [anon_sym_nointerpolation] = ACTIONS(2972),
    [anon_sym_sample] = ACTIONS(2972),
    [anon_sym_linear] = ACTIONS(2972),
    [anon_sym_snorm] = ACTIONS(2972),
    [anon_sym_unorm] = ACTIONS(2972),
    [anon_sym_point] = ACTIONS(2972),
    [anon_sym_line] = ACTIONS(2972),
    [anon_sym_triangleadj] = ACTIONS(2972),
    [anon_sym_lineadj] = ACTIONS(2972),
    [anon_sym_triangle] = ACTIONS(2972),
  },
  [796] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3115),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(2512),
    [sym_identifier] = ACTIONS(2510),
    [aux_sym_preproc_include_token1] = ACTIONS(2510),
    [aux_sym_preproc_def_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2510),
    [sym_preproc_directive] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_PLUS] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2510),
    [anon_sym_typedef] = ACTIONS(2510),
    [anon_sym_in] = ACTIONS(2510),
    [anon_sym_out] = ACTIONS(2510),
    [anon_sym_inout] = ACTIONS(2510),
    [anon_sym_virtual] = ACTIONS(2510),
    [anon_sym_extern] = ACTIONS(2510),
    [anon_sym___attribute__] = ACTIONS(2510),
    [anon_sym_COLON_COLON] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2512),
    [anon_sym___declspec] = ACTIONS(2510),
    [anon_sym___based] = ACTIONS(2510),
    [anon_sym___cdecl] = ACTIONS(2510),
    [anon_sym___clrcall] = ACTIONS(2510),
    [anon_sym___stdcall] = ACTIONS(2510),
    [anon_sym___fastcall] = ACTIONS(2510),
    [anon_sym___thiscall] = ACTIONS(2510),
    [anon_sym___vectorcall] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2510),
    [anon_sym_unsigned] = ACTIONS(2510),
    [anon_sym_long] = ACTIONS(2510),
    [anon_sym_short] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_static] = ACTIONS(2510),
    [anon_sym_register] = ACTIONS(2510),
    [anon_sym_inline] = ACTIONS(2510),
    [anon_sym___inline] = ACTIONS(2510),
    [anon_sym___inline__] = ACTIONS(2510),
    [anon_sym___forceinline] = ACTIONS(2510),
    [anon_sym_thread_local] = ACTIONS(2510),
    [anon_sym___thread] = ACTIONS(2510),
    [anon_sym_const] = ACTIONS(2510),
    [anon_sym_constexpr] = ACTIONS(2510),
    [anon_sym_volatile] = ACTIONS(2510),
    [anon_sym_restrict] = ACTIONS(2510),
    [anon_sym___restrict__] = ACTIONS(2510),
    [anon_sym__Atomic] = ACTIONS(2510),
    [anon_sym__Noreturn] = ACTIONS(2510),
    [anon_sym_noreturn] = ACTIONS(2510),
    [anon_sym__Nonnull] = ACTIONS(2510),
    [anon_sym_mutable] = ACTIONS(2510),
    [anon_sym_constinit] = ACTIONS(2510),
    [anon_sym_consteval] = ACTIONS(2510),
    [anon_sym_alignas] = ACTIONS(2510),
    [anon_sym__Alignas] = ACTIONS(2510),
    [sym_primitive_type] = ACTIONS(2510),
    [anon_sym_enum] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_struct] = ACTIONS(2510),
    [anon_sym_union] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_switch] = ACTIONS(2510),
    [anon_sym_case] = ACTIONS(2510),
    [anon_sym_default] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_do] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2510),
    [anon_sym_return] = ACTIONS(2510),
    [anon_sym_break] = ACTIONS(2510),
    [anon_sym_continue] = ACTIONS(2510),
    [anon_sym_goto] = ACTIONS(2510),
    [anon_sym_not] = ACTIONS(2510),
    [anon_sym_compl] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_sizeof] = ACTIONS(2510),
    [anon_sym___alignof__] = ACTIONS(2510),
    [anon_sym___alignof] = ACTIONS(2510),
    [anon_sym__alignof] = ACTIONS(2510),
    [anon_sym_alignof] = ACTIONS(2510),
    [anon_sym__Alignof] = ACTIONS(2510),
    [anon_sym_offsetof] = ACTIONS(2510),
    [anon_sym__Generic] = ACTIONS(2510),
    [anon_sym_asm] = ACTIONS(2510),
    [anon_sym___asm__] = ACTIONS(2510),
    [anon_sym___asm] = ACTIONS(2510),
    [sym_number_literal] = ACTIONS(2512),
    [anon_sym_L_SQUOTE] = ACTIONS(2512),
    [anon_sym_u_SQUOTE] = ACTIONS(2512),
    [anon_sym_U_SQUOTE] = ACTIONS(2512),
    [anon_sym_u8_SQUOTE] = ACTIONS(2512),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_L_DQUOTE] = ACTIONS(2512),
    [anon_sym_u_DQUOTE] = ACTIONS(2512),
    [anon_sym_U_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8_DQUOTE] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [sym_true] = ACTIONS(2510),
    [sym_false] = ACTIONS(2510),
    [anon_sym_NULL] = ACTIONS(2510),
    [anon_sym_nullptr] = ACTIONS(2510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2510),
    [anon_sym_decltype] = ACTIONS(2510),
    [anon_sym_explicit] = ACTIONS(2510),
    [anon_sym_typename] = ACTIONS(2510),
    [anon_sym_template] = ACTIONS(2510),
    [anon_sym_operator] = ACTIONS(2510),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2510),
    [anon_sym_throw] = ACTIONS(2510),
    [anon_sym_namespace] = ACTIONS(2510),
    [anon_sym_using] = ACTIONS(2510),
    [anon_sym_static_assert] = ACTIONS(2510),
    [anon_sym_concept] = ACTIONS(2510),
    [anon_sym_co_return] = ACTIONS(2510),
    [anon_sym_co_yield] = ACTIONS(2510),
    [anon_sym_R_DQUOTE] = ACTIONS(2512),
    [anon_sym_LR_DQUOTE] = ACTIONS(2512),
    [anon_sym_uR_DQUOTE] = ACTIONS(2512),
    [anon_sym_UR_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2512),
    [anon_sym_co_await] = ACTIONS(2510),
    [anon_sym_new] = ACTIONS(2510),
    [anon_sym_requires] = ACTIONS(2510),
    [sym_this] = ACTIONS(2510),
    [anon_sym_precise] = ACTIONS(2510),
    [anon_sym_shared] = ACTIONS(2510),
    [anon_sym_groupshared] = ACTIONS(2510),
    [anon_sym_uniform] = ACTIONS(2510),
    [anon_sym_row_major] = ACTIONS(2510),
    [anon_sym_column_major] = ACTIONS(2510),
    [anon_sym_globallycoherent] = ACTIONS(2510),
    [anon_sym_centroid] = ACTIONS(2510),
    [anon_sym_noperspective] = ACTIONS(2510),
    [anon_sym_nointerpolation] = ACTIONS(2510),
    [anon_sym_sample] = ACTIONS(2510),
    [anon_sym_linear] = ACTIONS(2510),
    [anon_sym_snorm] = ACTIONS(2510),
    [anon_sym_unorm] = ACTIONS(2510),
    [anon_sym_point] = ACTIONS(2510),
    [anon_sym_line] = ACTIONS(2510),
    [anon_sym_triangleadj] = ACTIONS(2510),
    [anon_sym_lineadj] = ACTIONS(2510),
    [anon_sym_triangle] = ACTIONS(2510),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(2516),
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [anon_sym___asm] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
  },
  [799] = {
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_field_declaration_list] = STATE(801),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(801),
    [sym_type_definition] = STATE(801),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(801),
    [sym_field_declaration] = STATE(801),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(801),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(801),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(801),
    [sym_operator_cast_declaration] = STATE(801),
    [sym_constructor_or_destructor_definition] = STATE(801),
    [sym_constructor_or_destructor_declaration] = STATE(801),
    [sym_friend_declaration] = STATE(801),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(801),
    [sym_alias_declaration] = STATE(801),
    [sym_static_assert_declaration] = STATE(801),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(801),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(2616),
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_out] = ACTIONS(2614),
    [anon_sym_inout] = ACTIONS(2614),
    [anon_sym_virtual] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym_not] = ACTIONS(2614),
    [anon_sym_compl] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [anon_sym___asm] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_namespace] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_concept] = ACTIONS(2614),
    [anon_sym_co_return] = ACTIONS(2614),
    [anon_sym_co_yield] = ACTIONS(2614),
    [anon_sym_R_DQUOTE] = ACTIONS(2616),
    [anon_sym_LR_DQUOTE] = ACTIONS(2616),
    [anon_sym_uR_DQUOTE] = ACTIONS(2616),
    [anon_sym_UR_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2616),
    [anon_sym_co_await] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_requires] = ACTIONS(2614),
    [sym_this] = ACTIONS(2614),
    [anon_sym_precise] = ACTIONS(2614),
    [anon_sym_shared] = ACTIONS(2614),
    [anon_sym_groupshared] = ACTIONS(2614),
    [anon_sym_uniform] = ACTIONS(2614),
    [anon_sym_row_major] = ACTIONS(2614),
    [anon_sym_column_major] = ACTIONS(2614),
    [anon_sym_globallycoherent] = ACTIONS(2614),
    [anon_sym_centroid] = ACTIONS(2614),
    [anon_sym_noperspective] = ACTIONS(2614),
    [anon_sym_nointerpolation] = ACTIONS(2614),
    [anon_sym_sample] = ACTIONS(2614),
    [anon_sym_linear] = ACTIONS(2614),
    [anon_sym_snorm] = ACTIONS(2614),
    [anon_sym_unorm] = ACTIONS(2614),
    [anon_sym_point] = ACTIONS(2614),
    [anon_sym_line] = ACTIONS(2614),
    [anon_sym_triangleadj] = ACTIONS(2614),
    [anon_sym_lineadj] = ACTIONS(2614),
    [anon_sym_triangle] = ACTIONS(2614),
  },
  [801] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(2536),
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_include_token1] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2534),
    [anon_sym_out] = ACTIONS(2534),
    [anon_sym_inout] = ACTIONS(2534),
    [anon_sym_virtual] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym___cdecl] = ACTIONS(2534),
    [anon_sym___clrcall] = ACTIONS(2534),
    [anon_sym___stdcall] = ACTIONS(2534),
    [anon_sym___fastcall] = ACTIONS(2534),
    [anon_sym___thiscall] = ACTIONS(2534),
    [anon_sym___vectorcall] = ACTIONS(2534),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym__Nonnull] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_switch] = ACTIONS(2534),
    [anon_sym_case] = ACTIONS(2534),
    [anon_sym_default] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_do] = ACTIONS(2534),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_break] = ACTIONS(2534),
    [anon_sym_continue] = ACTIONS(2534),
    [anon_sym_goto] = ACTIONS(2534),
    [anon_sym_not] = ACTIONS(2534),
    [anon_sym_compl] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_sizeof] = ACTIONS(2534),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2534),
    [anon_sym__Generic] = ACTIONS(2534),
    [anon_sym_asm] = ACTIONS(2534),
    [anon_sym___asm__] = ACTIONS(2534),
    [anon_sym___asm] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2536),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2536),
    [anon_sym_u_DQUOTE] = ACTIONS(2536),
    [anon_sym_U_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8_DQUOTE] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [anon_sym_NULL] = ACTIONS(2534),
    [anon_sym_nullptr] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_try] = ACTIONS(2534),
    [anon_sym_delete] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2534),
    [anon_sym_namespace] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_concept] = ACTIONS(2534),
    [anon_sym_co_return] = ACTIONS(2534),
    [anon_sym_co_yield] = ACTIONS(2534),
    [anon_sym_R_DQUOTE] = ACTIONS(2536),
    [anon_sym_LR_DQUOTE] = ACTIONS(2536),
    [anon_sym_uR_DQUOTE] = ACTIONS(2536),
    [anon_sym_UR_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2536),
    [anon_sym_co_await] = ACTIONS(2534),
    [anon_sym_new] = ACTIONS(2534),
    [anon_sym_requires] = ACTIONS(2534),
    [sym_this] = ACTIONS(2534),
    [anon_sym_precise] = ACTIONS(2534),
    [anon_sym_shared] = ACTIONS(2534),
    [anon_sym_groupshared] = ACTIONS(2534),
    [anon_sym_uniform] = ACTIONS(2534),
    [anon_sym_row_major] = ACTIONS(2534),
    [anon_sym_column_major] = ACTIONS(2534),
    [anon_sym_globallycoherent] = ACTIONS(2534),
    [anon_sym_centroid] = ACTIONS(2534),
    [anon_sym_noperspective] = ACTIONS(2534),
    [anon_sym_nointerpolation] = ACTIONS(2534),
    [anon_sym_sample] = ACTIONS(2534),
    [anon_sym_linear] = ACTIONS(2534),
    [anon_sym_snorm] = ACTIONS(2534),
    [anon_sym_unorm] = ACTIONS(2534),
    [anon_sym_point] = ACTIONS(2534),
    [anon_sym_line] = ACTIONS(2534),
    [anon_sym_triangleadj] = ACTIONS(2534),
    [anon_sym_lineadj] = ACTIONS(2534),
    [anon_sym_triangle] = ACTIONS(2534),
  },
  [803] = {
    [sym_preproc_def] = STATE(805),
    [sym_preproc_function_def] = STATE(805),
    [sym_preproc_call] = STATE(805),
    [sym_preproc_if_in_field_declaration_list] = STATE(805),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(805),
    [sym_type_definition] = STATE(805),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(805),
    [sym_field_declaration] = STATE(805),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(805),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(805),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(805),
    [sym_operator_cast_declaration] = STATE(805),
    [sym_constructor_or_destructor_definition] = STATE(805),
    [sym_constructor_or_destructor_declaration] = STATE(805),
    [sym_friend_declaration] = STATE(805),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(805),
    [sym_alias_declaration] = STATE(805),
    [sym_static_assert_declaration] = STATE(805),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(805),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3123),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(2520),
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [anon_sym___asm] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
  },
  [805] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3127),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(2520),
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [anon_sym___asm] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
  },
  [807] = {
    [sym_preproc_def] = STATE(809),
    [sym_preproc_function_def] = STATE(809),
    [sym_preproc_call] = STATE(809),
    [sym_preproc_if_in_field_declaration_list] = STATE(809),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(809),
    [sym_type_definition] = STATE(809),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(809),
    [sym_field_declaration] = STATE(809),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(809),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(809),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(809),
    [sym_operator_cast_declaration] = STATE(809),
    [sym_constructor_or_destructor_definition] = STATE(809),
    [sym_constructor_or_destructor_declaration] = STATE(809),
    [sym_friend_declaration] = STATE(809),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(809),
    [sym_alias_declaration] = STATE(809),
    [sym_static_assert_declaration] = STATE(809),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(809),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3131),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(2540),
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_include_token1] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_in] = ACTIONS(2538),
    [anon_sym_out] = ACTIONS(2538),
    [anon_sym_inout] = ACTIONS(2538),
    [anon_sym_virtual] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym___cdecl] = ACTIONS(2538),
    [anon_sym___clrcall] = ACTIONS(2538),
    [anon_sym___stdcall] = ACTIONS(2538),
    [anon_sym___fastcall] = ACTIONS(2538),
    [anon_sym___thiscall] = ACTIONS(2538),
    [anon_sym___vectorcall] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym__Nonnull] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_switch] = ACTIONS(2538),
    [anon_sym_case] = ACTIONS(2538),
    [anon_sym_default] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_do] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2538),
    [anon_sym_return] = ACTIONS(2538),
    [anon_sym_break] = ACTIONS(2538),
    [anon_sym_continue] = ACTIONS(2538),
    [anon_sym_goto] = ACTIONS(2538),
    [anon_sym_not] = ACTIONS(2538),
    [anon_sym_compl] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2540),
    [anon_sym_sizeof] = ACTIONS(2538),
    [anon_sym___alignof__] = ACTIONS(2538),
    [anon_sym___alignof] = ACTIONS(2538),
    [anon_sym__alignof] = ACTIONS(2538),
    [anon_sym_alignof] = ACTIONS(2538),
    [anon_sym__Alignof] = ACTIONS(2538),
    [anon_sym_offsetof] = ACTIONS(2538),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2538),
    [anon_sym___asm__] = ACTIONS(2538),
    [anon_sym___asm] = ACTIONS(2538),
    [sym_number_literal] = ACTIONS(2540),
    [anon_sym_L_SQUOTE] = ACTIONS(2540),
    [anon_sym_u_SQUOTE] = ACTIONS(2540),
    [anon_sym_U_SQUOTE] = ACTIONS(2540),
    [anon_sym_u8_SQUOTE] = ACTIONS(2540),
    [anon_sym_SQUOTE] = ACTIONS(2540),
    [anon_sym_L_DQUOTE] = ACTIONS(2540),
    [anon_sym_u_DQUOTE] = ACTIONS(2540),
    [anon_sym_U_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8_DQUOTE] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2540),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [anon_sym_NULL] = ACTIONS(2538),
    [anon_sym_nullptr] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_try] = ACTIONS(2538),
    [anon_sym_delete] = ACTIONS(2538),
    [anon_sym_throw] = ACTIONS(2538),
    [anon_sym_namespace] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_concept] = ACTIONS(2538),
    [anon_sym_co_return] = ACTIONS(2538),
    [anon_sym_co_yield] = ACTIONS(2538),
    [anon_sym_R_DQUOTE] = ACTIONS(2540),
    [anon_sym_LR_DQUOTE] = ACTIONS(2540),
    [anon_sym_uR_DQUOTE] = ACTIONS(2540),
    [anon_sym_UR_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2540),
    [anon_sym_co_await] = ACTIONS(2538),
    [anon_sym_new] = ACTIONS(2538),
    [anon_sym_requires] = ACTIONS(2538),
    [sym_this] = ACTIONS(2538),
    [anon_sym_precise] = ACTIONS(2538),
    [anon_sym_shared] = ACTIONS(2538),
    [anon_sym_groupshared] = ACTIONS(2538),
    [anon_sym_uniform] = ACTIONS(2538),
    [anon_sym_row_major] = ACTIONS(2538),
    [anon_sym_column_major] = ACTIONS(2538),
    [anon_sym_globallycoherent] = ACTIONS(2538),
    [anon_sym_centroid] = ACTIONS(2538),
    [anon_sym_noperspective] = ACTIONS(2538),
    [anon_sym_nointerpolation] = ACTIONS(2538),
    [anon_sym_sample] = ACTIONS(2538),
    [anon_sym_linear] = ACTIONS(2538),
    [anon_sym_snorm] = ACTIONS(2538),
    [anon_sym_unorm] = ACTIONS(2538),
    [anon_sym_point] = ACTIONS(2538),
    [anon_sym_line] = ACTIONS(2538),
    [anon_sym_triangleadj] = ACTIONS(2538),
    [anon_sym_lineadj] = ACTIONS(2538),
    [anon_sym_triangle] = ACTIONS(2538),
  },
  [809] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [810] = {
    [sym_preproc_def] = STATE(812),
    [sym_preproc_function_def] = STATE(812),
    [sym_preproc_call] = STATE(812),
    [sym_preproc_if_in_field_declaration_list] = STATE(812),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(812),
    [sym_type_definition] = STATE(812),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(812),
    [sym_field_declaration] = STATE(812),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(812),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(812),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(812),
    [sym_operator_cast_declaration] = STATE(812),
    [sym_constructor_or_destructor_definition] = STATE(812),
    [sym_constructor_or_destructor_declaration] = STATE(812),
    [sym_friend_declaration] = STATE(812),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(812),
    [sym_alias_declaration] = STATE(812),
    [sym_static_assert_declaration] = STATE(812),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(812),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [811] = {
    [ts_builtin_sym_end] = ACTIONS(2390),
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_include_token1] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym___cdecl] = ACTIONS(2388),
    [anon_sym___clrcall] = ACTIONS(2388),
    [anon_sym___stdcall] = ACTIONS(2388),
    [anon_sym___fastcall] = ACTIONS(2388),
    [anon_sym___thiscall] = ACTIONS(2388),
    [anon_sym___vectorcall] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym__Nonnull] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym__Alignas] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [anon_sym_if] = ACTIONS(2388),
    [anon_sym_switch] = ACTIONS(2388),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym_default] = ACTIONS(2388),
    [anon_sym_while] = ACTIONS(2388),
    [anon_sym_do] = ACTIONS(2388),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2388),
    [anon_sym_break] = ACTIONS(2388),
    [anon_sym_continue] = ACTIONS(2388),
    [anon_sym_goto] = ACTIONS(2388),
    [anon_sym_not] = ACTIONS(2388),
    [anon_sym_compl] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_sizeof] = ACTIONS(2388),
    [anon_sym___alignof__] = ACTIONS(2388),
    [anon_sym___alignof] = ACTIONS(2388),
    [anon_sym__alignof] = ACTIONS(2388),
    [anon_sym_alignof] = ACTIONS(2388),
    [anon_sym__Alignof] = ACTIONS(2388),
    [anon_sym_offsetof] = ACTIONS(2388),
    [anon_sym__Generic] = ACTIONS(2388),
    [anon_sym_asm] = ACTIONS(2388),
    [anon_sym___asm__] = ACTIONS(2388),
    [anon_sym___asm] = ACTIONS(2388),
    [sym_number_literal] = ACTIONS(2390),
    [anon_sym_L_SQUOTE] = ACTIONS(2390),
    [anon_sym_u_SQUOTE] = ACTIONS(2390),
    [anon_sym_U_SQUOTE] = ACTIONS(2390),
    [anon_sym_u8_SQUOTE] = ACTIONS(2390),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_L_DQUOTE] = ACTIONS(2390),
    [anon_sym_u_DQUOTE] = ACTIONS(2390),
    [anon_sym_U_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8_DQUOTE] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2390),
    [sym_true] = ACTIONS(2388),
    [sym_false] = ACTIONS(2388),
    [anon_sym_NULL] = ACTIONS(2388),
    [anon_sym_nullptr] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2388),
    [anon_sym_delete] = ACTIONS(2388),
    [anon_sym_throw] = ACTIONS(2388),
    [anon_sym_namespace] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_concept] = ACTIONS(2388),
    [anon_sym_co_return] = ACTIONS(2388),
    [anon_sym_co_yield] = ACTIONS(2388),
    [anon_sym_R_DQUOTE] = ACTIONS(2390),
    [anon_sym_LR_DQUOTE] = ACTIONS(2390),
    [anon_sym_uR_DQUOTE] = ACTIONS(2390),
    [anon_sym_UR_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2390),
    [anon_sym_co_await] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2388),
    [anon_sym_requires] = ACTIONS(2388),
    [sym_this] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
  },
  [812] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(2524),
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [814] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2524),
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [anon_sym___asm] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(2544),
    [sym_identifier] = ACTIONS(2542),
    [aux_sym_preproc_include_token1] = ACTIONS(2542),
    [aux_sym_preproc_def_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2542),
    [sym_preproc_directive] = ACTIONS(2542),
    [anon_sym_LPAREN2] = ACTIONS(2544),
    [anon_sym_BANG] = ACTIONS(2544),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2542),
    [anon_sym_STAR] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2544),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2542),
    [anon_sym_typedef] = ACTIONS(2542),
    [anon_sym_in] = ACTIONS(2542),
    [anon_sym_out] = ACTIONS(2542),
    [anon_sym_inout] = ACTIONS(2542),
    [anon_sym_virtual] = ACTIONS(2542),
    [anon_sym_extern] = ACTIONS(2542),
    [anon_sym___attribute__] = ACTIONS(2542),
    [anon_sym_COLON_COLON] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2544),
    [anon_sym___declspec] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(2542),
    [anon_sym___cdecl] = ACTIONS(2542),
    [anon_sym___clrcall] = ACTIONS(2542),
    [anon_sym___stdcall] = ACTIONS(2542),
    [anon_sym___fastcall] = ACTIONS(2542),
    [anon_sym___thiscall] = ACTIONS(2542),
    [anon_sym___vectorcall] = ACTIONS(2542),
    [anon_sym_LBRACE] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2542),
    [anon_sym_unsigned] = ACTIONS(2542),
    [anon_sym_long] = ACTIONS(2542),
    [anon_sym_short] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_static] = ACTIONS(2542),
    [anon_sym_register] = ACTIONS(2542),
    [anon_sym_inline] = ACTIONS(2542),
    [anon_sym___inline] = ACTIONS(2542),
    [anon_sym___inline__] = ACTIONS(2542),
    [anon_sym___forceinline] = ACTIONS(2542),
    [anon_sym_thread_local] = ACTIONS(2542),
    [anon_sym___thread] = ACTIONS(2542),
    [anon_sym_const] = ACTIONS(2542),
    [anon_sym_constexpr] = ACTIONS(2542),
    [anon_sym_volatile] = ACTIONS(2542),
    [anon_sym_restrict] = ACTIONS(2542),
    [anon_sym___restrict__] = ACTIONS(2542),
    [anon_sym__Atomic] = ACTIONS(2542),
    [anon_sym__Noreturn] = ACTIONS(2542),
    [anon_sym_noreturn] = ACTIONS(2542),
    [anon_sym__Nonnull] = ACTIONS(2542),
    [anon_sym_mutable] = ACTIONS(2542),
    [anon_sym_constinit] = ACTIONS(2542),
    [anon_sym_consteval] = ACTIONS(2542),
    [anon_sym_alignas] = ACTIONS(2542),
    [anon_sym__Alignas] = ACTIONS(2542),
    [sym_primitive_type] = ACTIONS(2542),
    [anon_sym_enum] = ACTIONS(2542),
    [anon_sym_class] = ACTIONS(2542),
    [anon_sym_struct] = ACTIONS(2542),
    [anon_sym_union] = ACTIONS(2542),
    [anon_sym_if] = ACTIONS(2542),
    [anon_sym_switch] = ACTIONS(2542),
    [anon_sym_case] = ACTIONS(2542),
    [anon_sym_default] = ACTIONS(2542),
    [anon_sym_while] = ACTIONS(2542),
    [anon_sym_do] = ACTIONS(2542),
    [anon_sym_for] = ACTIONS(2542),
    [anon_sym_return] = ACTIONS(2542),
    [anon_sym_break] = ACTIONS(2542),
    [anon_sym_continue] = ACTIONS(2542),
    [anon_sym_goto] = ACTIONS(2542),
    [anon_sym_not] = ACTIONS(2542),
    [anon_sym_compl] = ACTIONS(2542),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_sizeof] = ACTIONS(2542),
    [anon_sym___alignof__] = ACTIONS(2542),
    [anon_sym___alignof] = ACTIONS(2542),
    [anon_sym__alignof] = ACTIONS(2542),
    [anon_sym_alignof] = ACTIONS(2542),
    [anon_sym__Alignof] = ACTIONS(2542),
    [anon_sym_offsetof] = ACTIONS(2542),
    [anon_sym__Generic] = ACTIONS(2542),
    [anon_sym_asm] = ACTIONS(2542),
    [anon_sym___asm__] = ACTIONS(2542),
    [anon_sym___asm] = ACTIONS(2542),
    [sym_number_literal] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2544),
    [anon_sym_u_SQUOTE] = ACTIONS(2544),
    [anon_sym_U_SQUOTE] = ACTIONS(2544),
    [anon_sym_u8_SQUOTE] = ACTIONS(2544),
    [anon_sym_SQUOTE] = ACTIONS(2544),
    [anon_sym_L_DQUOTE] = ACTIONS(2544),
    [anon_sym_u_DQUOTE] = ACTIONS(2544),
    [anon_sym_U_DQUOTE] = ACTIONS(2544),
    [anon_sym_u8_DQUOTE] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2544),
    [sym_true] = ACTIONS(2542),
    [sym_false] = ACTIONS(2542),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2542),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2542),
    [anon_sym_try] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(2542),
    [anon_sym_throw] = ACTIONS(2542),
    [anon_sym_namespace] = ACTIONS(2542),
    [anon_sym_using] = ACTIONS(2542),
    [anon_sym_static_assert] = ACTIONS(2542),
    [anon_sym_concept] = ACTIONS(2542),
    [anon_sym_co_return] = ACTIONS(2542),
    [anon_sym_co_yield] = ACTIONS(2542),
    [anon_sym_R_DQUOTE] = ACTIONS(2544),
    [anon_sym_LR_DQUOTE] = ACTIONS(2544),
    [anon_sym_uR_DQUOTE] = ACTIONS(2544),
    [anon_sym_UR_DQUOTE] = ACTIONS(2544),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2544),
    [anon_sym_co_await] = ACTIONS(2542),
    [anon_sym_new] = ACTIONS(2542),
    [anon_sym_requires] = ACTIONS(2542),
    [sym_this] = ACTIONS(2542),
    [anon_sym_precise] = ACTIONS(2542),
    [anon_sym_shared] = ACTIONS(2542),
    [anon_sym_groupshared] = ACTIONS(2542),
    [anon_sym_uniform] = ACTIONS(2542),
    [anon_sym_row_major] = ACTIONS(2542),
    [anon_sym_column_major] = ACTIONS(2542),
    [anon_sym_globallycoherent] = ACTIONS(2542),
    [anon_sym_centroid] = ACTIONS(2542),
    [anon_sym_noperspective] = ACTIONS(2542),
    [anon_sym_nointerpolation] = ACTIONS(2542),
    [anon_sym_sample] = ACTIONS(2542),
    [anon_sym_linear] = ACTIONS(2542),
    [anon_sym_snorm] = ACTIONS(2542),
    [anon_sym_unorm] = ACTIONS(2542),
    [anon_sym_point] = ACTIONS(2542),
    [anon_sym_line] = ACTIONS(2542),
    [anon_sym_triangleadj] = ACTIONS(2542),
    [anon_sym_lineadj] = ACTIONS(2542),
    [anon_sym_triangle] = ACTIONS(2542),
  },
  [817] = {
    [sym_preproc_def] = STATE(818),
    [sym_preproc_function_def] = STATE(818),
    [sym_preproc_call] = STATE(818),
    [sym_preproc_if_in_field_declaration_list] = STATE(818),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(818),
    [sym_type_definition] = STATE(818),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(818),
    [sym_field_declaration] = STATE(818),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(818),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(818),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(818),
    [sym_operator_cast_declaration] = STATE(818),
    [sym_constructor_or_destructor_definition] = STATE(818),
    [sym_constructor_or_destructor_declaration] = STATE(818),
    [sym_friend_declaration] = STATE(818),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(818),
    [sym_alias_declaration] = STATE(818),
    [sym_static_assert_declaration] = STATE(818),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(818),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [818] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3147),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(2394),
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_include_token1] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym___cdecl] = ACTIONS(2392),
    [anon_sym___clrcall] = ACTIONS(2392),
    [anon_sym___stdcall] = ACTIONS(2392),
    [anon_sym___fastcall] = ACTIONS(2392),
    [anon_sym___thiscall] = ACTIONS(2392),
    [anon_sym___vectorcall] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym__Nonnull] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym__Alignas] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_switch] = ACTIONS(2392),
    [anon_sym_case] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_return] = ACTIONS(2392),
    [anon_sym_break] = ACTIONS(2392),
    [anon_sym_continue] = ACTIONS(2392),
    [anon_sym_goto] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_compl] = ACTIONS(2392),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_sizeof] = ACTIONS(2392),
    [anon_sym___alignof__] = ACTIONS(2392),
    [anon_sym___alignof] = ACTIONS(2392),
    [anon_sym__alignof] = ACTIONS(2392),
    [anon_sym_alignof] = ACTIONS(2392),
    [anon_sym__Alignof] = ACTIONS(2392),
    [anon_sym_offsetof] = ACTIONS(2392),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2392),
    [anon_sym___asm__] = ACTIONS(2392),
    [anon_sym___asm] = ACTIONS(2392),
    [sym_number_literal] = ACTIONS(2394),
    [anon_sym_L_SQUOTE] = ACTIONS(2394),
    [anon_sym_u_SQUOTE] = ACTIONS(2394),
    [anon_sym_U_SQUOTE] = ACTIONS(2394),
    [anon_sym_u8_SQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_L_DQUOTE] = ACTIONS(2394),
    [anon_sym_u_DQUOTE] = ACTIONS(2394),
    [anon_sym_U_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8_DQUOTE] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [sym_true] = ACTIONS(2392),
    [sym_false] = ACTIONS(2392),
    [anon_sym_NULL] = ACTIONS(2392),
    [anon_sym_nullptr] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_try] = ACTIONS(2392),
    [anon_sym_delete] = ACTIONS(2392),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_namespace] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_concept] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2392),
    [anon_sym_co_yield] = ACTIONS(2392),
    [anon_sym_R_DQUOTE] = ACTIONS(2394),
    [anon_sym_LR_DQUOTE] = ACTIONS(2394),
    [anon_sym_uR_DQUOTE] = ACTIONS(2394),
    [anon_sym_UR_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2394),
    [anon_sym_co_await] = ACTIONS(2392),
    [anon_sym_new] = ACTIONS(2392),
    [anon_sym_requires] = ACTIONS(2392),
    [sym_this] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
  },
  [820] = {
    [sym_preproc_def] = STATE(821),
    [sym_preproc_function_def] = STATE(821),
    [sym_preproc_call] = STATE(821),
    [sym_preproc_if_in_field_declaration_list] = STATE(821),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(821),
    [sym_type_definition] = STATE(821),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(821),
    [sym_field_declaration] = STATE(821),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(821),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(821),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(821),
    [sym_operator_cast_declaration] = STATE(821),
    [sym_constructor_or_destructor_definition] = STATE(821),
    [sym_constructor_or_destructor_declaration] = STATE(821),
    [sym_friend_declaration] = STATE(821),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(821),
    [sym_alias_declaration] = STATE(821),
    [sym_static_assert_declaration] = STATE(821),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3151),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [821] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(2454),
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_not] = ACTIONS(2452),
    [anon_sym_compl] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_concept] = ACTIONS(2452),
    [anon_sym_co_return] = ACTIONS(2452),
    [anon_sym_co_yield] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [sym_this] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_delete] = ACTIONS(2456),
    [anon_sym_throw] = ACTIONS(2456),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_concept] = ACTIONS(2456),
    [anon_sym_co_return] = ACTIONS(2456),
    [anon_sym_co_yield] = ACTIONS(2456),
    [anon_sym_R_DQUOTE] = ACTIONS(2458),
    [anon_sym_LR_DQUOTE] = ACTIONS(2458),
    [anon_sym_uR_DQUOTE] = ACTIONS(2458),
    [anon_sym_UR_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2458),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_requires] = ACTIONS(2456),
    [sym_this] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
  },
  [824] = {
    [sym_preproc_def] = STATE(825),
    [sym_preproc_function_def] = STATE(825),
    [sym_preproc_call] = STATE(825),
    [sym_preproc_if_in_field_declaration_list] = STATE(825),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(825),
    [sym_type_definition] = STATE(825),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(825),
    [sym_field_declaration] = STATE(825),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(825),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(825),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(825),
    [sym_operator_cast_declaration] = STATE(825),
    [sym_constructor_or_destructor_definition] = STATE(825),
    [sym_constructor_or_destructor_declaration] = STATE(825),
    [sym_friend_declaration] = STATE(825),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(825),
    [sym_alias_declaration] = STATE(825),
    [sym_static_assert_declaration] = STATE(825),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(825),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [825] = {
    [sym_preproc_def] = STATE(795),
    [sym_preproc_function_def] = STATE(795),
    [sym_preproc_call] = STATE(795),
    [sym_preproc_if_in_field_declaration_list] = STATE(795),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(795),
    [sym_type_definition] = STATE(795),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5647),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(795),
    [sym_field_declaration] = STATE(795),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(795),
    [sym_operator_cast] = STATE(6764),
    [sym_inline_method_definition] = STATE(795),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(795),
    [sym_operator_cast_declaration] = STATE(795),
    [sym_constructor_or_destructor_definition] = STATE(795),
    [sym_constructor_or_destructor_declaration] = STATE(795),
    [sym_friend_declaration] = STATE(795),
    [sym_access_specifier] = STATE(7972),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(795),
    [sym_alias_declaration] = STATE(795),
    [sym_static_assert_declaration] = STATE(795),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(795),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3159),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_compl] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_concept] = ACTIONS(2460),
    [anon_sym_co_return] = ACTIONS(2460),
    [anon_sym_co_yield] = ACTIONS(2460),
    [anon_sym_R_DQUOTE] = ACTIONS(2462),
    [anon_sym_LR_DQUOTE] = ACTIONS(2462),
    [anon_sym_uR_DQUOTE] = ACTIONS(2462),
    [anon_sym_UR_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2462),
    [anon_sym_co_await] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
  },
  [827] = {
    [sym_preproc_def] = STATE(827),
    [sym_preproc_function_def] = STATE(827),
    [sym_preproc_call] = STATE(827),
    [sym_preproc_if_in_field_declaration_list] = STATE(827),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(827),
    [sym_type_definition] = STATE(827),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(5685),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6179),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__field_declaration_list_item] = STATE(827),
    [sym_field_declaration] = STATE(827),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(827),
    [sym_operator_cast] = STATE(6749),
    [sym_inline_method_definition] = STATE(827),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(827),
    [sym_operator_cast_declaration] = STATE(827),
    [sym_constructor_or_destructor_definition] = STATE(827),
    [sym_constructor_or_destructor_declaration] = STATE(827),
    [sym_friend_declaration] = STATE(827),
    [sym_access_specifier] = STATE(8666),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_using_declaration] = STATE(827),
    [sym_alias_declaration] = STATE(827),
    [sym_static_assert_declaration] = STATE(827),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5490),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6749),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(827),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(3161),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(2859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_in] = ACTIONS(2891),
    [anon_sym_out] = ACTIONS(2891),
    [anon_sym_inout] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2894),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2906),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_register] = ACTIONS(2894),
    [anon_sym_inline] = ACTIONS(2894),
    [anon_sym___inline] = ACTIONS(2894),
    [anon_sym___inline__] = ACTIONS(2894),
    [anon_sym___forceinline] = ACTIONS(2894),
    [anon_sym_thread_local] = ACTIONS(2894),
    [anon_sym___thread] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2918),
    [anon_sym_constexpr] = ACTIONS(3182),
    [anon_sym_volatile] = ACTIONS(2918),
    [anon_sym_restrict] = ACTIONS(2918),
    [anon_sym___restrict__] = ACTIONS(2918),
    [anon_sym__Atomic] = ACTIONS(2918),
    [anon_sym__Noreturn] = ACTIONS(2918),
    [anon_sym_noreturn] = ACTIONS(2918),
    [anon_sym__Nonnull] = ACTIONS(2918),
    [anon_sym_mutable] = ACTIONS(2918),
    [anon_sym_constinit] = ACTIONS(2918),
    [anon_sym_consteval] = ACTIONS(2918),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2930),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2942),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_friend] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_protected] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(3191),
    [anon_sym_static_assert] = ACTIONS(3194),
    [anon_sym_precise] = ACTIONS(2972),
    [anon_sym_shared] = ACTIONS(2972),
    [anon_sym_groupshared] = ACTIONS(2972),
    [anon_sym_uniform] = ACTIONS(2972),
    [anon_sym_row_major] = ACTIONS(2972),
    [anon_sym_column_major] = ACTIONS(2972),
    [anon_sym_globallycoherent] = ACTIONS(2972),
    [anon_sym_centroid] = ACTIONS(2972),
    [anon_sym_noperspective] = ACTIONS(2972),
    [anon_sym_nointerpolation] = ACTIONS(2972),
    [anon_sym_sample] = ACTIONS(2972),
    [anon_sym_linear] = ACTIONS(2972),
    [anon_sym_snorm] = ACTIONS(2972),
    [anon_sym_unorm] = ACTIONS(2972),
    [anon_sym_point] = ACTIONS(2972),
    [anon_sym_line] = ACTIONS(2972),
    [anon_sym_triangleadj] = ACTIONS(2972),
    [anon_sym_lineadj] = ACTIONS(2972),
    [anon_sym_triangle] = ACTIONS(2972),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(2466),
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_include_token1] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym___cdecl] = ACTIONS(2464),
    [anon_sym___clrcall] = ACTIONS(2464),
    [anon_sym___stdcall] = ACTIONS(2464),
    [anon_sym___fastcall] = ACTIONS(2464),
    [anon_sym___thiscall] = ACTIONS(2464),
    [anon_sym___vectorcall] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym__Nonnull] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym__Alignas] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_goto] = ACTIONS(2464),
    [anon_sym_not] = ACTIONS(2464),
    [anon_sym_compl] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_sizeof] = ACTIONS(2464),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2464),
    [anon_sym___asm__] = ACTIONS(2464),
    [anon_sym___asm] = ACTIONS(2464),
    [sym_number_literal] = ACTIONS(2466),
    [anon_sym_L_SQUOTE] = ACTIONS(2466),
    [anon_sym_u_SQUOTE] = ACTIONS(2466),
    [anon_sym_U_SQUOTE] = ACTIONS(2466),
    [anon_sym_u8_SQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_L_DQUOTE] = ACTIONS(2466),
    [anon_sym_u_DQUOTE] = ACTIONS(2466),
    [anon_sym_U_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_concept] = ACTIONS(2464),
    [anon_sym_co_return] = ACTIONS(2464),
    [anon_sym_co_yield] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(2466),
    [anon_sym_LR_DQUOTE] = ACTIONS(2466),
    [anon_sym_uR_DQUOTE] = ACTIONS(2466),
    [anon_sym_UR_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2466),
    [anon_sym_co_await] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_requires] = ACTIONS(2464),
    [sym_this] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(2620),
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_out] = ACTIONS(2618),
    [anon_sym_inout] = ACTIONS(2618),
    [anon_sym_virtual] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym_not] = ACTIONS(2618),
    [anon_sym_compl] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [anon_sym___asm] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_delete] = ACTIONS(2618),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_namespace] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_concept] = ACTIONS(2618),
    [anon_sym_co_return] = ACTIONS(2618),
    [anon_sym_co_yield] = ACTIONS(2618),
    [anon_sym_R_DQUOTE] = ACTIONS(2620),
    [anon_sym_LR_DQUOTE] = ACTIONS(2620),
    [anon_sym_uR_DQUOTE] = ACTIONS(2620),
    [anon_sym_UR_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2620),
    [anon_sym_co_await] = ACTIONS(2618),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_requires] = ACTIONS(2618),
    [sym_this] = ACTIONS(2618),
    [anon_sym_precise] = ACTIONS(2618),
    [anon_sym_shared] = ACTIONS(2618),
    [anon_sym_groupshared] = ACTIONS(2618),
    [anon_sym_uniform] = ACTIONS(2618),
    [anon_sym_row_major] = ACTIONS(2618),
    [anon_sym_column_major] = ACTIONS(2618),
    [anon_sym_globallycoherent] = ACTIONS(2618),
    [anon_sym_centroid] = ACTIONS(2618),
    [anon_sym_noperspective] = ACTIONS(2618),
    [anon_sym_nointerpolation] = ACTIONS(2618),
    [anon_sym_sample] = ACTIONS(2618),
    [anon_sym_linear] = ACTIONS(2618),
    [anon_sym_snorm] = ACTIONS(2618),
    [anon_sym_unorm] = ACTIONS(2618),
    [anon_sym_point] = ACTIONS(2618),
    [anon_sym_line] = ACTIONS(2618),
    [anon_sym_triangleadj] = ACTIONS(2618),
    [anon_sym_lineadj] = ACTIONS(2618),
    [anon_sym_triangle] = ACTIONS(2618),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(2548),
    [sym_identifier] = ACTIONS(2546),
    [aux_sym_preproc_include_token1] = ACTIONS(2546),
    [aux_sym_preproc_def_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2546),
    [sym_preproc_directive] = ACTIONS(2546),
    [anon_sym_LPAREN2] = ACTIONS(2548),
    [anon_sym_BANG] = ACTIONS(2548),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2548),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2546),
    [anon_sym_typedef] = ACTIONS(2546),
    [anon_sym_in] = ACTIONS(2546),
    [anon_sym_out] = ACTIONS(2546),
    [anon_sym_inout] = ACTIONS(2546),
    [anon_sym_virtual] = ACTIONS(2546),
    [anon_sym_extern] = ACTIONS(2546),
    [anon_sym___attribute__] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2548),
    [anon_sym___declspec] = ACTIONS(2546),
    [anon_sym___based] = ACTIONS(2546),
    [anon_sym___cdecl] = ACTIONS(2546),
    [anon_sym___clrcall] = ACTIONS(2546),
    [anon_sym___stdcall] = ACTIONS(2546),
    [anon_sym___fastcall] = ACTIONS(2546),
    [anon_sym___thiscall] = ACTIONS(2546),
    [anon_sym___vectorcall] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_register] = ACTIONS(2546),
    [anon_sym_inline] = ACTIONS(2546),
    [anon_sym___inline] = ACTIONS(2546),
    [anon_sym___inline__] = ACTIONS(2546),
    [anon_sym___forceinline] = ACTIONS(2546),
    [anon_sym_thread_local] = ACTIONS(2546),
    [anon_sym___thread] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_constexpr] = ACTIONS(2546),
    [anon_sym_volatile] = ACTIONS(2546),
    [anon_sym_restrict] = ACTIONS(2546),
    [anon_sym___restrict__] = ACTIONS(2546),
    [anon_sym__Atomic] = ACTIONS(2546),
    [anon_sym__Noreturn] = ACTIONS(2546),
    [anon_sym_noreturn] = ACTIONS(2546),
    [anon_sym__Nonnull] = ACTIONS(2546),
    [anon_sym_mutable] = ACTIONS(2546),
    [anon_sym_constinit] = ACTIONS(2546),
    [anon_sym_consteval] = ACTIONS(2546),
    [anon_sym_alignas] = ACTIONS(2546),
    [anon_sym__Alignas] = ACTIONS(2546),
    [sym_primitive_type] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_struct] = ACTIONS(2546),
    [anon_sym_union] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_goto] = ACTIONS(2546),
    [anon_sym_not] = ACTIONS(2546),
    [anon_sym_compl] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_sizeof] = ACTIONS(2546),
    [anon_sym___alignof__] = ACTIONS(2546),
    [anon_sym___alignof] = ACTIONS(2546),
    [anon_sym__alignof] = ACTIONS(2546),
    [anon_sym_alignof] = ACTIONS(2546),
    [anon_sym__Alignof] = ACTIONS(2546),
    [anon_sym_offsetof] = ACTIONS(2546),
    [anon_sym__Generic] = ACTIONS(2546),
    [anon_sym_asm] = ACTIONS(2546),
    [anon_sym___asm__] = ACTIONS(2546),
    [anon_sym___asm] = ACTIONS(2546),
    [sym_number_literal] = ACTIONS(2548),
    [anon_sym_L_SQUOTE] = ACTIONS(2548),
    [anon_sym_u_SQUOTE] = ACTIONS(2548),
    [anon_sym_U_SQUOTE] = ACTIONS(2548),
    [anon_sym_u8_SQUOTE] = ACTIONS(2548),
    [anon_sym_SQUOTE] = ACTIONS(2548),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [anon_sym_NULL] = ACTIONS(2546),
    [anon_sym_nullptr] = ACTIONS(2546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2546),
    [anon_sym_decltype] = ACTIONS(2546),
    [anon_sym_explicit] = ACTIONS(2546),
    [anon_sym_typename] = ACTIONS(2546),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_static_assert] = ACTIONS(2546),
    [anon_sym_concept] = ACTIONS(2546),
    [anon_sym_co_return] = ACTIONS(2546),
    [anon_sym_co_yield] = ACTIONS(2546),
    [anon_sym_R_DQUOTE] = ACTIONS(2548),
    [anon_sym_LR_DQUOTE] = ACTIONS(2548),
    [anon_sym_uR_DQUOTE] = ACTIONS(2548),
    [anon_sym_UR_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2548),
    [anon_sym_co_await] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_requires] = ACTIONS(2546),
    [sym_this] = ACTIONS(2546),
    [anon_sym_precise] = ACTIONS(2546),
    [anon_sym_shared] = ACTIONS(2546),
    [anon_sym_groupshared] = ACTIONS(2546),
    [anon_sym_uniform] = ACTIONS(2546),
    [anon_sym_row_major] = ACTIONS(2546),
    [anon_sym_column_major] = ACTIONS(2546),
    [anon_sym_globallycoherent] = ACTIONS(2546),
    [anon_sym_centroid] = ACTIONS(2546),
    [anon_sym_noperspective] = ACTIONS(2546),
    [anon_sym_nointerpolation] = ACTIONS(2546),
    [anon_sym_sample] = ACTIONS(2546),
    [anon_sym_linear] = ACTIONS(2546),
    [anon_sym_snorm] = ACTIONS(2546),
    [anon_sym_unorm] = ACTIONS(2546),
    [anon_sym_point] = ACTIONS(2546),
    [anon_sym_line] = ACTIONS(2546),
    [anon_sym_triangleadj] = ACTIONS(2546),
    [anon_sym_lineadj] = ACTIONS(2546),
    [anon_sym_triangle] = ACTIONS(2546),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(2552),
    [sym_identifier] = ACTIONS(2550),
    [aux_sym_preproc_include_token1] = ACTIONS(2550),
    [aux_sym_preproc_def_token1] = ACTIONS(2550),
    [aux_sym_preproc_if_token1] = ACTIONS(2550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2550),
    [sym_preproc_directive] = ACTIONS(2550),
    [anon_sym_LPAREN2] = ACTIONS(2552),
    [anon_sym_BANG] = ACTIONS(2552),
    [anon_sym_TILDE] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2550),
    [anon_sym_typedef] = ACTIONS(2550),
    [anon_sym_in] = ACTIONS(2550),
    [anon_sym_out] = ACTIONS(2550),
    [anon_sym_inout] = ACTIONS(2550),
    [anon_sym_virtual] = ACTIONS(2550),
    [anon_sym_extern] = ACTIONS(2550),
    [anon_sym___attribute__] = ACTIONS(2550),
    [anon_sym_COLON_COLON] = ACTIONS(2552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2552),
    [anon_sym___declspec] = ACTIONS(2550),
    [anon_sym___based] = ACTIONS(2550),
    [anon_sym___cdecl] = ACTIONS(2550),
    [anon_sym___clrcall] = ACTIONS(2550),
    [anon_sym___stdcall] = ACTIONS(2550),
    [anon_sym___fastcall] = ACTIONS(2550),
    [anon_sym___thiscall] = ACTIONS(2550),
    [anon_sym___vectorcall] = ACTIONS(2550),
    [anon_sym_LBRACE] = ACTIONS(2552),
    [anon_sym_signed] = ACTIONS(2550),
    [anon_sym_unsigned] = ACTIONS(2550),
    [anon_sym_long] = ACTIONS(2550),
    [anon_sym_short] = ACTIONS(2550),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym_static] = ACTIONS(2550),
    [anon_sym_register] = ACTIONS(2550),
    [anon_sym_inline] = ACTIONS(2550),
    [anon_sym___inline] = ACTIONS(2550),
    [anon_sym___inline__] = ACTIONS(2550),
    [anon_sym___forceinline] = ACTIONS(2550),
    [anon_sym_thread_local] = ACTIONS(2550),
    [anon_sym___thread] = ACTIONS(2550),
    [anon_sym_const] = ACTIONS(2550),
    [anon_sym_constexpr] = ACTIONS(2550),
    [anon_sym_volatile] = ACTIONS(2550),
    [anon_sym_restrict] = ACTIONS(2550),
    [anon_sym___restrict__] = ACTIONS(2550),
    [anon_sym__Atomic] = ACTIONS(2550),
    [anon_sym__Noreturn] = ACTIONS(2550),
    [anon_sym_noreturn] = ACTIONS(2550),
    [anon_sym__Nonnull] = ACTIONS(2550),
    [anon_sym_mutable] = ACTIONS(2550),
    [anon_sym_constinit] = ACTIONS(2550),
    [anon_sym_consteval] = ACTIONS(2550),
    [anon_sym_alignas] = ACTIONS(2550),
    [anon_sym__Alignas] = ACTIONS(2550),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2550),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_struct] = ACTIONS(2550),
    [anon_sym_union] = ACTIONS(2550),
    [anon_sym_if] = ACTIONS(2550),
    [anon_sym_switch] = ACTIONS(2550),
    [anon_sym_case] = ACTIONS(2550),
    [anon_sym_default] = ACTIONS(2550),
    [anon_sym_while] = ACTIONS(2550),
    [anon_sym_do] = ACTIONS(2550),
    [anon_sym_for] = ACTIONS(2550),
    [anon_sym_return] = ACTIONS(2550),
    [anon_sym_break] = ACTIONS(2550),
    [anon_sym_continue] = ACTIONS(2550),
    [anon_sym_goto] = ACTIONS(2550),
    [anon_sym_not] = ACTIONS(2550),
    [anon_sym_compl] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_sizeof] = ACTIONS(2550),
    [anon_sym___alignof__] = ACTIONS(2550),
    [anon_sym___alignof] = ACTIONS(2550),
    [anon_sym__alignof] = ACTIONS(2550),
    [anon_sym_alignof] = ACTIONS(2550),
    [anon_sym__Alignof] = ACTIONS(2550),
    [anon_sym_offsetof] = ACTIONS(2550),
    [anon_sym__Generic] = ACTIONS(2550),
    [anon_sym_asm] = ACTIONS(2550),
    [anon_sym___asm__] = ACTIONS(2550),
    [anon_sym___asm] = ACTIONS(2550),
    [sym_number_literal] = ACTIONS(2552),
    [anon_sym_L_SQUOTE] = ACTIONS(2552),
    [anon_sym_u_SQUOTE] = ACTIONS(2552),
    [anon_sym_U_SQUOTE] = ACTIONS(2552),
    [anon_sym_u8_SQUOTE] = ACTIONS(2552),
    [anon_sym_SQUOTE] = ACTIONS(2552),
    [anon_sym_L_DQUOTE] = ACTIONS(2552),
    [anon_sym_u_DQUOTE] = ACTIONS(2552),
    [anon_sym_U_DQUOTE] = ACTIONS(2552),
    [anon_sym_u8_DQUOTE] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2552),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2550),
    [anon_sym_nullptr] = ACTIONS(2550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2550),
    [anon_sym_decltype] = ACTIONS(2550),
    [anon_sym_explicit] = ACTIONS(2550),
    [anon_sym_typename] = ACTIONS(2550),
    [anon_sym_template] = ACTIONS(2550),
    [anon_sym_operator] = ACTIONS(2550),
    [anon_sym_try] = ACTIONS(2550),
    [anon_sym_delete] = ACTIONS(2550),
    [anon_sym_throw] = ACTIONS(2550),
    [anon_sym_namespace] = ACTIONS(2550),
    [anon_sym_using] = ACTIONS(2550),
    [anon_sym_static_assert] = ACTIONS(2550),
    [anon_sym_concept] = ACTIONS(2550),
    [anon_sym_co_return] = ACTIONS(2550),
    [anon_sym_co_yield] = ACTIONS(2550),
    [anon_sym_R_DQUOTE] = ACTIONS(2552),
    [anon_sym_LR_DQUOTE] = ACTIONS(2552),
    [anon_sym_uR_DQUOTE] = ACTIONS(2552),
    [anon_sym_UR_DQUOTE] = ACTIONS(2552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2552),
    [anon_sym_co_await] = ACTIONS(2550),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2550),
    [sym_this] = ACTIONS(2550),
    [anon_sym_precise] = ACTIONS(2550),
    [anon_sym_shared] = ACTIONS(2550),
    [anon_sym_groupshared] = ACTIONS(2550),
    [anon_sym_uniform] = ACTIONS(2550),
    [anon_sym_row_major] = ACTIONS(2550),
    [anon_sym_column_major] = ACTIONS(2550),
    [anon_sym_globallycoherent] = ACTIONS(2550),
    [anon_sym_centroid] = ACTIONS(2550),
    [anon_sym_noperspective] = ACTIONS(2550),
    [anon_sym_nointerpolation] = ACTIONS(2550),
    [anon_sym_sample] = ACTIONS(2550),
    [anon_sym_linear] = ACTIONS(2550),
    [anon_sym_snorm] = ACTIONS(2550),
    [anon_sym_unorm] = ACTIONS(2550),
    [anon_sym_point] = ACTIONS(2550),
    [anon_sym_line] = ACTIONS(2550),
    [anon_sym_triangleadj] = ACTIONS(2550),
    [anon_sym_lineadj] = ACTIONS(2550),
    [anon_sym_triangle] = ACTIONS(2550),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(2556),
    [sym_identifier] = ACTIONS(2554),
    [aux_sym_preproc_include_token1] = ACTIONS(2554),
    [aux_sym_preproc_def_token1] = ACTIONS(2554),
    [aux_sym_preproc_if_token1] = ACTIONS(2554),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2554),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2554),
    [sym_preproc_directive] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(2556),
    [anon_sym_BANG] = ACTIONS(2556),
    [anon_sym_TILDE] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2554),
    [anon_sym_typedef] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2554),
    [anon_sym_out] = ACTIONS(2554),
    [anon_sym_inout] = ACTIONS(2554),
    [anon_sym_virtual] = ACTIONS(2554),
    [anon_sym_extern] = ACTIONS(2554),
    [anon_sym___attribute__] = ACTIONS(2554),
    [anon_sym_COLON_COLON] = ACTIONS(2556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2556),
    [anon_sym___declspec] = ACTIONS(2554),
    [anon_sym___based] = ACTIONS(2554),
    [anon_sym___cdecl] = ACTIONS(2554),
    [anon_sym___clrcall] = ACTIONS(2554),
    [anon_sym___stdcall] = ACTIONS(2554),
    [anon_sym___fastcall] = ACTIONS(2554),
    [anon_sym___thiscall] = ACTIONS(2554),
    [anon_sym___vectorcall] = ACTIONS(2554),
    [anon_sym_LBRACE] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2554),
    [anon_sym_unsigned] = ACTIONS(2554),
    [anon_sym_long] = ACTIONS(2554),
    [anon_sym_short] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_static] = ACTIONS(2554),
    [anon_sym_register] = ACTIONS(2554),
    [anon_sym_inline] = ACTIONS(2554),
    [anon_sym___inline] = ACTIONS(2554),
    [anon_sym___inline__] = ACTIONS(2554),
    [anon_sym___forceinline] = ACTIONS(2554),
    [anon_sym_thread_local] = ACTIONS(2554),
    [anon_sym___thread] = ACTIONS(2554),
    [anon_sym_const] = ACTIONS(2554),
    [anon_sym_constexpr] = ACTIONS(2554),
    [anon_sym_volatile] = ACTIONS(2554),
    [anon_sym_restrict] = ACTIONS(2554),
    [anon_sym___restrict__] = ACTIONS(2554),
    [anon_sym__Atomic] = ACTIONS(2554),
    [anon_sym__Noreturn] = ACTIONS(2554),
    [anon_sym_noreturn] = ACTIONS(2554),
    [anon_sym__Nonnull] = ACTIONS(2554),
    [anon_sym_mutable] = ACTIONS(2554),
    [anon_sym_constinit] = ACTIONS(2554),
    [anon_sym_consteval] = ACTIONS(2554),
    [anon_sym_alignas] = ACTIONS(2554),
    [anon_sym__Alignas] = ACTIONS(2554),
    [sym_primitive_type] = ACTIONS(2554),
    [anon_sym_enum] = ACTIONS(2554),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2554),
    [anon_sym_union] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2554),
    [anon_sym_switch] = ACTIONS(2554),
    [anon_sym_case] = ACTIONS(2554),
    [anon_sym_default] = ACTIONS(2554),
    [anon_sym_while] = ACTIONS(2554),
    [anon_sym_do] = ACTIONS(2554),
    [anon_sym_for] = ACTIONS(2554),
    [anon_sym_return] = ACTIONS(2554),
    [anon_sym_break] = ACTIONS(2554),
    [anon_sym_continue] = ACTIONS(2554),
    [anon_sym_goto] = ACTIONS(2554),
    [anon_sym_not] = ACTIONS(2554),
    [anon_sym_compl] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_sizeof] = ACTIONS(2554),
    [anon_sym___alignof__] = ACTIONS(2554),
    [anon_sym___alignof] = ACTIONS(2554),
    [anon_sym__alignof] = ACTIONS(2554),
    [anon_sym_alignof] = ACTIONS(2554),
    [anon_sym__Alignof] = ACTIONS(2554),
    [anon_sym_offsetof] = ACTIONS(2554),
    [anon_sym__Generic] = ACTIONS(2554),
    [anon_sym_asm] = ACTIONS(2554),
    [anon_sym___asm__] = ACTIONS(2554),
    [anon_sym___asm] = ACTIONS(2554),
    [sym_number_literal] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2556),
    [anon_sym_u_SQUOTE] = ACTIONS(2556),
    [anon_sym_U_SQUOTE] = ACTIONS(2556),
    [anon_sym_u8_SQUOTE] = ACTIONS(2556),
    [anon_sym_SQUOTE] = ACTIONS(2556),
    [anon_sym_L_DQUOTE] = ACTIONS(2556),
    [anon_sym_u_DQUOTE] = ACTIONS(2556),
    [anon_sym_U_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8_DQUOTE] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2556),
    [sym_true] = ACTIONS(2554),
    [sym_false] = ACTIONS(2554),
    [anon_sym_NULL] = ACTIONS(2554),
    [anon_sym_nullptr] = ACTIONS(2554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2554),
    [anon_sym_decltype] = ACTIONS(2554),
    [anon_sym_explicit] = ACTIONS(2554),
    [anon_sym_typename] = ACTIONS(2554),
    [anon_sym_template] = ACTIONS(2554),
    [anon_sym_operator] = ACTIONS(2554),
    [anon_sym_try] = ACTIONS(2554),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_throw] = ACTIONS(2554),
    [anon_sym_namespace] = ACTIONS(2554),
    [anon_sym_using] = ACTIONS(2554),
    [anon_sym_static_assert] = ACTIONS(2554),
    [anon_sym_concept] = ACTIONS(2554),
    [anon_sym_co_return] = ACTIONS(2554),
    [anon_sym_co_yield] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2554),
    [anon_sym_new] = ACTIONS(2554),
    [anon_sym_requires] = ACTIONS(2554),
    [sym_this] = ACTIONS(2554),
    [anon_sym_precise] = ACTIONS(2554),
    [anon_sym_shared] = ACTIONS(2554),
    [anon_sym_groupshared] = ACTIONS(2554),
    [anon_sym_uniform] = ACTIONS(2554),
    [anon_sym_row_major] = ACTIONS(2554),
    [anon_sym_column_major] = ACTIONS(2554),
    [anon_sym_globallycoherent] = ACTIONS(2554),
    [anon_sym_centroid] = ACTIONS(2554),
    [anon_sym_noperspective] = ACTIONS(2554),
    [anon_sym_nointerpolation] = ACTIONS(2554),
    [anon_sym_sample] = ACTIONS(2554),
    [anon_sym_linear] = ACTIONS(2554),
    [anon_sym_snorm] = ACTIONS(2554),
    [anon_sym_unorm] = ACTIONS(2554),
    [anon_sym_point] = ACTIONS(2554),
    [anon_sym_line] = ACTIONS(2554),
    [anon_sym_triangleadj] = ACTIONS(2554),
    [anon_sym_lineadj] = ACTIONS(2554),
    [anon_sym_triangle] = ACTIONS(2554),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(2470),
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym__Nonnull] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(2474),
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_include_token1] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym___cdecl] = ACTIONS(2472),
    [anon_sym___clrcall] = ACTIONS(2472),
    [anon_sym___stdcall] = ACTIONS(2472),
    [anon_sym___fastcall] = ACTIONS(2472),
    [anon_sym___thiscall] = ACTIONS(2472),
    [anon_sym___vectorcall] = ACTIONS(2472),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym__Nonnull] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym__Alignas] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_switch] = ACTIONS(2472),
    [anon_sym_case] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_goto] = ACTIONS(2472),
    [anon_sym_not] = ACTIONS(2472),
    [anon_sym_compl] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_sizeof] = ACTIONS(2472),
    [anon_sym___alignof__] = ACTIONS(2472),
    [anon_sym___alignof] = ACTIONS(2472),
    [anon_sym__alignof] = ACTIONS(2472),
    [anon_sym_alignof] = ACTIONS(2472),
    [anon_sym__Alignof] = ACTIONS(2472),
    [anon_sym_offsetof] = ACTIONS(2472),
    [anon_sym__Generic] = ACTIONS(2472),
    [anon_sym_asm] = ACTIONS(2472),
    [anon_sym___asm__] = ACTIONS(2472),
    [anon_sym___asm] = ACTIONS(2472),
    [sym_number_literal] = ACTIONS(2474),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2474),
    [anon_sym_u_DQUOTE] = ACTIONS(2474),
    [anon_sym_U_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_true] = ACTIONS(2472),
    [sym_false] = ACTIONS(2472),
    [anon_sym_NULL] = ACTIONS(2472),
    [anon_sym_nullptr] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_delete] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_concept] = ACTIONS(2472),
    [anon_sym_co_return] = ACTIONS(2472),
    [anon_sym_co_yield] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2474),
    [anon_sym_LR_DQUOTE] = ACTIONS(2474),
    [anon_sym_uR_DQUOTE] = ACTIONS(2474),
    [anon_sym_UR_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2474),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_requires] = ACTIONS(2472),
    [sym_this] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(2398),
    [sym_identifier] = ACTIONS(2396),
    [aux_sym_preproc_include_token1] = ACTIONS(2396),
    [aux_sym_preproc_def_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2396),
    [sym_preproc_directive] = ACTIONS(2396),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_typedef] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym___cdecl] = ACTIONS(2396),
    [anon_sym___clrcall] = ACTIONS(2396),
    [anon_sym___stdcall] = ACTIONS(2396),
    [anon_sym___fastcall] = ACTIONS(2396),
    [anon_sym___thiscall] = ACTIONS(2396),
    [anon_sym___vectorcall] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym__Nonnull] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym__Alignas] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2396),
    [anon_sym_class] = ACTIONS(2396),
    [anon_sym_struct] = ACTIONS(2396),
    [anon_sym_union] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2396),
    [anon_sym_switch] = ACTIONS(2396),
    [anon_sym_case] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [anon_sym_do] = ACTIONS(2396),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_break] = ACTIONS(2396),
    [anon_sym_continue] = ACTIONS(2396),
    [anon_sym_goto] = ACTIONS(2396),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_compl] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_sizeof] = ACTIONS(2396),
    [anon_sym___alignof__] = ACTIONS(2396),
    [anon_sym___alignof] = ACTIONS(2396),
    [anon_sym__alignof] = ACTIONS(2396),
    [anon_sym_alignof] = ACTIONS(2396),
    [anon_sym__Alignof] = ACTIONS(2396),
    [anon_sym_offsetof] = ACTIONS(2396),
    [anon_sym__Generic] = ACTIONS(2396),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [anon_sym___asm] = ACTIONS(2396),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2398),
    [anon_sym_u_SQUOTE] = ACTIONS(2398),
    [anon_sym_U_SQUOTE] = ACTIONS(2398),
    [anon_sym_u8_SQUOTE] = ACTIONS(2398),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2396),
    [sym_false] = ACTIONS(2396),
    [anon_sym_NULL] = ACTIONS(2396),
    [anon_sym_nullptr] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_explicit] = ACTIONS(2396),
    [anon_sym_typename] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_operator] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_delete] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2396),
    [anon_sym_using] = ACTIONS(2396),
    [anon_sym_static_assert] = ACTIONS(2396),
    [anon_sym_concept] = ACTIONS(2396),
    [anon_sym_co_return] = ACTIONS(2396),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2398),
    [anon_sym_LR_DQUOTE] = ACTIONS(2398),
    [anon_sym_uR_DQUOTE] = ACTIONS(2398),
    [anon_sym_UR_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2398),
    [anon_sym_co_await] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [sym_this] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2414),
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_virtual] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___based] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_mutable] = ACTIONS(2412),
    [anon_sym_constinit] = ACTIONS(2412),
    [anon_sym_consteval] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_class] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_compl] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2412),
    [anon_sym_decltype] = ACTIONS(2412),
    [anon_sym_explicit] = ACTIONS(2412),
    [anon_sym_typename] = ACTIONS(2412),
    [anon_sym_template] = ACTIONS(2412),
    [anon_sym_operator] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_namespace] = ACTIONS(2412),
    [anon_sym_using] = ACTIONS(2412),
    [anon_sym_static_assert] = ACTIONS(2412),
    [anon_sym_concept] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2412),
    [anon_sym_co_yield] = ACTIONS(2412),
    [anon_sym_R_DQUOTE] = ACTIONS(2414),
    [anon_sym_LR_DQUOTE] = ACTIONS(2414),
    [anon_sym_uR_DQUOTE] = ACTIONS(2414),
    [anon_sym_UR_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2414),
    [anon_sym_co_await] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2412),
    [anon_sym_requires] = ACTIONS(2412),
    [sym_this] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_groupshared] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_row_major] = ACTIONS(2412),
    [anon_sym_column_major] = ACTIONS(2412),
    [anon_sym_globallycoherent] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym_nointerpolation] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_linear] = ACTIONS(2412),
    [anon_sym_snorm] = ACTIONS(2412),
    [anon_sym_unorm] = ACTIONS(2412),
    [anon_sym_point] = ACTIONS(2412),
    [anon_sym_line] = ACTIONS(2412),
    [anon_sym_triangleadj] = ACTIONS(2412),
    [anon_sym_lineadj] = ACTIONS(2412),
    [anon_sym_triangle] = ACTIONS(2412),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [anon_sym___asm] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(3197),
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3197),
    [anon_sym_BANG] = ACTIONS(3197),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3200),
    [anon_sym_out] = ACTIONS(3200),
    [anon_sym_inout] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3197),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym__Nonnull] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym__Alignas] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3197),
    [anon_sym_PLUS_PLUS] = ACTIONS(3197),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [anon_sym___asm] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3197),
    [anon_sym_L_SQUOTE] = ACTIONS(3197),
    [anon_sym_u_SQUOTE] = ACTIONS(3197),
    [anon_sym_U_SQUOTE] = ACTIONS(3197),
    [anon_sym_u8_SQUOTE] = ACTIONS(3197),
    [anon_sym_SQUOTE] = ACTIONS(3197),
    [anon_sym_L_DQUOTE] = ACTIONS(3197),
    [anon_sym_u_DQUOTE] = ACTIONS(3197),
    [anon_sym_U_DQUOTE] = ACTIONS(3197),
    [anon_sym_u8_DQUOTE] = ACTIONS(3197),
    [anon_sym_DQUOTE] = ACTIONS(3197),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3197),
    [anon_sym_LR_DQUOTE] = ACTIONS(3197),
    [anon_sym_uR_DQUOTE] = ACTIONS(3197),
    [anon_sym_UR_DQUOTE] = ACTIONS(3197),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3197),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [anon_sym_precise] = ACTIONS(3200),
    [anon_sym_shared] = ACTIONS(3200),
    [anon_sym_groupshared] = ACTIONS(3200),
    [anon_sym_uniform] = ACTIONS(3200),
    [anon_sym_row_major] = ACTIONS(3200),
    [anon_sym_column_major] = ACTIONS(3200),
    [anon_sym_globallycoherent] = ACTIONS(3200),
    [anon_sym_centroid] = ACTIONS(3200),
    [anon_sym_noperspective] = ACTIONS(3200),
    [anon_sym_nointerpolation] = ACTIONS(3200),
    [anon_sym_sample] = ACTIONS(3200),
    [anon_sym_linear] = ACTIONS(3200),
    [anon_sym_snorm] = ACTIONS(3200),
    [anon_sym_unorm] = ACTIONS(3200),
    [anon_sym_point] = ACTIONS(3200),
    [anon_sym_line] = ACTIONS(3200),
    [anon_sym_triangleadj] = ACTIONS(3200),
    [anon_sym_lineadj] = ACTIONS(3200),
    [anon_sym_triangle] = ACTIONS(3200),
  },
  [839] = {
    [ts_builtin_sym_end] = ACTIONS(2478),
    [sym_identifier] = ACTIONS(2476),
    [aux_sym_preproc_include_token1] = ACTIONS(2476),
    [aux_sym_preproc_def_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2476),
    [sym_preproc_directive] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2476),
    [anon_sym_typedef] = ACTIONS(2476),
    [anon_sym_in] = ACTIONS(2476),
    [anon_sym_out] = ACTIONS(2476),
    [anon_sym_inout] = ACTIONS(2476),
    [anon_sym_virtual] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym___attribute__] = ACTIONS(2476),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2478),
    [anon_sym___declspec] = ACTIONS(2476),
    [anon_sym___based] = ACTIONS(2476),
    [anon_sym___cdecl] = ACTIONS(2476),
    [anon_sym___clrcall] = ACTIONS(2476),
    [anon_sym___stdcall] = ACTIONS(2476),
    [anon_sym___fastcall] = ACTIONS(2476),
    [anon_sym___thiscall] = ACTIONS(2476),
    [anon_sym___vectorcall] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2476),
    [anon_sym_unsigned] = ACTIONS(2476),
    [anon_sym_long] = ACTIONS(2476),
    [anon_sym_short] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_register] = ACTIONS(2476),
    [anon_sym_inline] = ACTIONS(2476),
    [anon_sym___inline] = ACTIONS(2476),
    [anon_sym___inline__] = ACTIONS(2476),
    [anon_sym___forceinline] = ACTIONS(2476),
    [anon_sym_thread_local] = ACTIONS(2476),
    [anon_sym___thread] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_constexpr] = ACTIONS(2476),
    [anon_sym_volatile] = ACTIONS(2476),
    [anon_sym_restrict] = ACTIONS(2476),
    [anon_sym___restrict__] = ACTIONS(2476),
    [anon_sym__Atomic] = ACTIONS(2476),
    [anon_sym__Noreturn] = ACTIONS(2476),
    [anon_sym_noreturn] = ACTIONS(2476),
    [anon_sym__Nonnull] = ACTIONS(2476),
    [anon_sym_mutable] = ACTIONS(2476),
    [anon_sym_constinit] = ACTIONS(2476),
    [anon_sym_consteval] = ACTIONS(2476),
    [anon_sym_alignas] = ACTIONS(2476),
    [anon_sym__Alignas] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_class] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_switch] = ACTIONS(2476),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2476),
    [anon_sym_not] = ACTIONS(2476),
    [anon_sym_compl] = ACTIONS(2476),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_sizeof] = ACTIONS(2476),
    [anon_sym___alignof__] = ACTIONS(2476),
    [anon_sym___alignof] = ACTIONS(2476),
    [anon_sym__alignof] = ACTIONS(2476),
    [anon_sym_alignof] = ACTIONS(2476),
    [anon_sym__Alignof] = ACTIONS(2476),
    [anon_sym_offsetof] = ACTIONS(2476),
    [anon_sym__Generic] = ACTIONS(2476),
    [anon_sym_asm] = ACTIONS(2476),
    [anon_sym___asm__] = ACTIONS(2476),
    [anon_sym___asm] = ACTIONS(2476),
    [sym_number_literal] = ACTIONS(2478),
    [anon_sym_L_SQUOTE] = ACTIONS(2478),
    [anon_sym_u_SQUOTE] = ACTIONS(2478),
    [anon_sym_U_SQUOTE] = ACTIONS(2478),
    [anon_sym_u8_SQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_L_DQUOTE] = ACTIONS(2478),
    [anon_sym_u_DQUOTE] = ACTIONS(2478),
    [anon_sym_U_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [sym_true] = ACTIONS(2476),
    [sym_false] = ACTIONS(2476),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2476),
    [anon_sym_decltype] = ACTIONS(2476),
    [anon_sym_explicit] = ACTIONS(2476),
    [anon_sym_typename] = ACTIONS(2476),
    [anon_sym_template] = ACTIONS(2476),
    [anon_sym_operator] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_using] = ACTIONS(2476),
    [anon_sym_static_assert] = ACTIONS(2476),
    [anon_sym_concept] = ACTIONS(2476),
    [anon_sym_co_return] = ACTIONS(2476),
    [anon_sym_co_yield] = ACTIONS(2476),
    [anon_sym_R_DQUOTE] = ACTIONS(2478),
    [anon_sym_LR_DQUOTE] = ACTIONS(2478),
    [anon_sym_uR_DQUOTE] = ACTIONS(2478),
    [anon_sym_UR_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2478),
    [anon_sym_co_await] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_requires] = ACTIONS(2476),
    [sym_this] = ACTIONS(2476),
    [anon_sym_precise] = ACTIONS(2476),
    [anon_sym_shared] = ACTIONS(2476),
    [anon_sym_groupshared] = ACTIONS(2476),
    [anon_sym_uniform] = ACTIONS(2476),
    [anon_sym_row_major] = ACTIONS(2476),
    [anon_sym_column_major] = ACTIONS(2476),
    [anon_sym_globallycoherent] = ACTIONS(2476),
    [anon_sym_centroid] = ACTIONS(2476),
    [anon_sym_noperspective] = ACTIONS(2476),
    [anon_sym_nointerpolation] = ACTIONS(2476),
    [anon_sym_sample] = ACTIONS(2476),
    [anon_sym_linear] = ACTIONS(2476),
    [anon_sym_snorm] = ACTIONS(2476),
    [anon_sym_unorm] = ACTIONS(2476),
    [anon_sym_point] = ACTIONS(2476),
    [anon_sym_line] = ACTIONS(2476),
    [anon_sym_triangleadj] = ACTIONS(2476),
    [anon_sym_lineadj] = ACTIONS(2476),
    [anon_sym_triangle] = ACTIONS(2476),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(2378),
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_include_token1] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym___cdecl] = ACTIONS(2376),
    [anon_sym___clrcall] = ACTIONS(2376),
    [anon_sym___stdcall] = ACTIONS(2376),
    [anon_sym___fastcall] = ACTIONS(2376),
    [anon_sym___thiscall] = ACTIONS(2376),
    [anon_sym___vectorcall] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym__Nonnull] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym__Alignas] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_goto] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(2376),
    [anon_sym_compl] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_sizeof] = ACTIONS(2376),
    [anon_sym___alignof__] = ACTIONS(2376),
    [anon_sym___alignof] = ACTIONS(2376),
    [anon_sym__alignof] = ACTIONS(2376),
    [anon_sym_alignof] = ACTIONS(2376),
    [anon_sym__Alignof] = ACTIONS(2376),
    [anon_sym_offsetof] = ACTIONS(2376),
    [anon_sym__Generic] = ACTIONS(2376),
    [anon_sym_asm] = ACTIONS(2376),
    [anon_sym___asm__] = ACTIONS(2376),
    [anon_sym___asm] = ACTIONS(2376),
    [sym_number_literal] = ACTIONS(2378),
    [anon_sym_L_SQUOTE] = ACTIONS(2378),
    [anon_sym_u_SQUOTE] = ACTIONS(2378),
    [anon_sym_U_SQUOTE] = ACTIONS(2378),
    [anon_sym_u8_SQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [anon_sym_NULL] = ACTIONS(2376),
    [anon_sym_nullptr] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_concept] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2376),
    [anon_sym_co_yield] = ACTIONS(2376),
    [anon_sym_R_DQUOTE] = ACTIONS(2378),
    [anon_sym_LR_DQUOTE] = ACTIONS(2378),
    [anon_sym_uR_DQUOTE] = ACTIONS(2378),
    [anon_sym_UR_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2378),
    [anon_sym_co_await] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_requires] = ACTIONS(2376),
    [sym_this] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
  },
  [842] = {
    [sym_attribute_declaration] = STATE(850),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(528),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [843] = {
    [sym_attribute_declaration] = STATE(856),
    [sym_compound_statement] = STATE(1024),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1006),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [844] = {
    [sym_attribute_declaration] = STATE(892),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(175),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [845] = {
    [sym_attribute_declaration] = STATE(856),
    [sym_compound_statement] = STATE(1024),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1058),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [846] = {
    [sym_attribute_declaration] = STATE(856),
    [sym_compound_statement] = STATE(1024),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1060),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [847] = {
    [sym_attribute_declaration] = STATE(856),
    [sym_compound_statement] = STATE(1024),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1061),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [848] = {
    [sym_attribute_declaration] = STATE(856),
    [sym_compound_statement] = STATE(1024),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1005),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [849] = {
    [sym_attribute_declaration] = STATE(856),
    [sym_compound_statement] = STATE(1024),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1072),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [850] = {
    [sym_attribute_declaration] = STATE(894),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(553),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym_attributed_declarator_repeat1] = STATE(894),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [851] = {
    [sym_attribute_declaration] = STATE(873),
    [sym_compound_statement] = STATE(535),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(559),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym_attributed_declarator_repeat1] = STATE(873),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [852] = {
    [sym_attribute_declaration] = STATE(892),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(210),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [853] = {
    [sym_attribute_declaration] = STATE(876),
    [sym_compound_statement] = STATE(546),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(503),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [854] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(7508),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [855] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(503),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [856] = {
    [sym_attribute_declaration] = STATE(903),
    [sym_compound_statement] = STATE(1024),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1032),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym_attributed_declarator_repeat1] = STATE(903),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [857] = {
    [sym_attribute_declaration] = STATE(857),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(487),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym___extension__] = ACTIONS(3239),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [sym_primitive_type] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_goto] = ACTIONS(3287),
    [anon_sym___try] = ACTIONS(3290),
    [anon_sym___leave] = ACTIONS(3293),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3311),
    [anon_sym___asm__] = ACTIONS(3311),
    [anon_sym___asm] = ACTIONS(3311),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3317),
    [anon_sym_u_SQUOTE] = ACTIONS(3317),
    [anon_sym_U_SQUOTE] = ACTIONS(3317),
    [anon_sym_u8_SQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_L_DQUOTE] = ACTIONS(3320),
    [anon_sym_u_DQUOTE] = ACTIONS(3320),
    [anon_sym_U_DQUOTE] = ACTIONS(3320),
    [anon_sym_u8_DQUOTE] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3329),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_co_return] = ACTIONS(3344),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3356),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3323),
    [anon_sym_discard] = ACTIONS(3362),
    [anon_sym_cbuffer] = ACTIONS(3365),
  },
  [858] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(7136),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [859] = {
    [sym_attribute_declaration] = STATE(859),
    [sym_compound_statement] = STATE(546),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(487),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym_attributed_declarator_repeat1] = STATE(859),
    [sym_identifier] = ACTIONS(3368),
    [anon_sym_LPAREN2] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym___extension__] = ACTIONS(3239),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [sym_primitive_type] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3374),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3380),
    [anon_sym_while] = ACTIONS(3383),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3386),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_goto] = ACTIONS(3287),
    [anon_sym___try] = ACTIONS(3389),
    [anon_sym___leave] = ACTIONS(3392),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3311),
    [anon_sym___asm__] = ACTIONS(3311),
    [anon_sym___asm] = ACTIONS(3311),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3317),
    [anon_sym_u_SQUOTE] = ACTIONS(3317),
    [anon_sym_U_SQUOTE] = ACTIONS(3317),
    [anon_sym_u8_SQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_L_DQUOTE] = ACTIONS(3320),
    [anon_sym_u_DQUOTE] = ACTIONS(3320),
    [anon_sym_U_DQUOTE] = ACTIONS(3320),
    [anon_sym_u8_DQUOTE] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3329),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_co_return] = ACTIONS(3344),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3356),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3323),
    [anon_sym_discard] = ACTIONS(3395),
    [anon_sym_cbuffer] = ACTIONS(3398),
  },
  [860] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(514),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [861] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(516),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [862] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(517),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [863] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(7483),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [864] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(538),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [865] = {
    [sym_attribute_declaration] = STATE(857),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(487),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [866] = {
    [sym_attribute_declaration] = STATE(876),
    [sym_compound_statement] = STATE(546),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(517),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [867] = {
    [sym_attribute_declaration] = STATE(892),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(185),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [868] = {
    [sym_attribute_declaration] = STATE(851),
    [sym_compound_statement] = STATE(535),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(373),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [869] = {
    [sym_attribute_declaration] = STATE(851),
    [sym_compound_statement] = STATE(535),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(407),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [870] = {
    [sym_attribute_declaration] = STATE(892),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(237),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [871] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(8537),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [872] = {
    [sym_attribute_declaration] = STATE(876),
    [sym_compound_statement] = STATE(546),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(365),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [873] = {
    [sym_attribute_declaration] = STATE(873),
    [sym_compound_statement] = STATE(535),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(559),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym_attributed_declarator_repeat1] = STATE(873),
    [sym_identifier] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3404),
    [anon_sym___extension__] = ACTIONS(3239),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [sym_primitive_type] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3410),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_case] = ACTIONS(3416),
    [anon_sym_default] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3422),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3428),
    [anon_sym_return] = ACTIONS(3431),
    [anon_sym_break] = ACTIONS(3434),
    [anon_sym_continue] = ACTIONS(3437),
    [anon_sym_goto] = ACTIONS(3440),
    [anon_sym___try] = ACTIONS(3443),
    [anon_sym___leave] = ACTIONS(3446),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3311),
    [anon_sym___asm__] = ACTIONS(3311),
    [anon_sym___asm] = ACTIONS(3311),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3317),
    [anon_sym_u_SQUOTE] = ACTIONS(3317),
    [anon_sym_U_SQUOTE] = ACTIONS(3317),
    [anon_sym_u8_SQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_L_DQUOTE] = ACTIONS(3320),
    [anon_sym_u_DQUOTE] = ACTIONS(3320),
    [anon_sym_U_DQUOTE] = ACTIONS(3320),
    [anon_sym_u8_DQUOTE] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3329),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3449),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3452),
    [anon_sym_co_return] = ACTIONS(3455),
    [anon_sym_co_yield] = ACTIONS(3458),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3356),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3323),
    [anon_sym_discard] = ACTIONS(3461),
    [anon_sym_cbuffer] = ACTIONS(3464),
  },
  [874] = {
    [sym_attribute_declaration] = STATE(876),
    [sym_compound_statement] = STATE(546),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(386),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [875] = {
    [sym_attribute_declaration] = STATE(850),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(368),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [876] = {
    [sym_attribute_declaration] = STATE(859),
    [sym_compound_statement] = STATE(546),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(487),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym_attributed_declarator_repeat1] = STATE(859),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [877] = {
    [sym_attribute_declaration] = STATE(892),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(197),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [878] = {
    [sym_attribute_declaration] = STATE(892),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(198),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [879] = {
    [sym_attribute_declaration] = STATE(876),
    [sym_compound_statement] = STATE(546),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(516),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [880] = {
    [sym_attribute_declaration] = STATE(851),
    [sym_compound_statement] = STATE(535),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(372),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [881] = {
    [sym_attribute_declaration] = STATE(881),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(227),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym_attributed_declarator_repeat1] = STATE(881),
    [sym_identifier] = ACTIONS(3467),
    [anon_sym_LPAREN2] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3470),
    [anon_sym___extension__] = ACTIONS(3239),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3473),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [sym_primitive_type] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3476),
    [anon_sym_switch] = ACTIONS(3479),
    [anon_sym_case] = ACTIONS(3482),
    [anon_sym_default] = ACTIONS(3485),
    [anon_sym_while] = ACTIONS(3488),
    [anon_sym_do] = ACTIONS(3491),
    [anon_sym_for] = ACTIONS(3494),
    [anon_sym_return] = ACTIONS(3497),
    [anon_sym_break] = ACTIONS(3500),
    [anon_sym_continue] = ACTIONS(3503),
    [anon_sym_goto] = ACTIONS(3506),
    [anon_sym___try] = ACTIONS(3509),
    [anon_sym___leave] = ACTIONS(3512),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3311),
    [anon_sym___asm__] = ACTIONS(3311),
    [anon_sym___asm] = ACTIONS(3311),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3317),
    [anon_sym_u_SQUOTE] = ACTIONS(3317),
    [anon_sym_U_SQUOTE] = ACTIONS(3317),
    [anon_sym_u8_SQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_L_DQUOTE] = ACTIONS(3320),
    [anon_sym_u_DQUOTE] = ACTIONS(3320),
    [anon_sym_U_DQUOTE] = ACTIONS(3320),
    [anon_sym_u8_DQUOTE] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3329),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3515),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3518),
    [anon_sym_co_return] = ACTIONS(3521),
    [anon_sym_co_yield] = ACTIONS(3524),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3356),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3323),
    [anon_sym_discard] = ACTIONS(3527),
    [anon_sym_cbuffer] = ACTIONS(3530),
  },
  [882] = {
    [sym_attribute_declaration] = STATE(876),
    [sym_compound_statement] = STATE(546),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(538),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [883] = {
    [sym_attribute_declaration] = STATE(850),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(380),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [884] = {
    [sym_attribute_declaration] = STATE(851),
    [sym_compound_statement] = STATE(535),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(432),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [885] = {
    [sym_attribute_declaration] = STATE(876),
    [sym_compound_statement] = STATE(546),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(514),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [886] = {
    [sym_attribute_declaration] = STATE(851),
    [sym_compound_statement] = STATE(535),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(434),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [887] = {
    [sym_attribute_declaration] = STATE(851),
    [sym_compound_statement] = STATE(535),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(435),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [888] = {
    [sym_attribute_declaration] = STATE(851),
    [sym_compound_statement] = STATE(535),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(378),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [889] = {
    [sym_attribute_declaration] = STATE(876),
    [sym_compound_statement] = STATE(546),
    [sym_attributed_statement] = STATE(546),
    [sym_statement] = STATE(366),
    [sym_labeled_statement] = STATE(546),
    [sym_expression_statement] = STATE(546),
    [sym_if_statement] = STATE(546),
    [sym_switch_statement] = STATE(546),
    [sym_case_statement] = STATE(546),
    [sym_while_statement] = STATE(546),
    [sym_do_statement] = STATE(546),
    [sym_for_statement] = STATE(546),
    [sym_return_statement] = STATE(546),
    [sym_break_statement] = STATE(546),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(546),
    [sym_seh_try_statement] = STATE(546),
    [sym_seh_leave_statement] = STATE(546),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8422),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(546),
    [sym_co_return_statement] = STATE(546),
    [sym_co_yield_statement] = STATE(546),
    [sym_throw_statement] = STATE(546),
    [sym_try_statement] = STATE(546),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(546),
    [sym_cbuffer_specifier] = STATE(546),
    [sym_hlsl_attribute] = STATE(7899),
    [aux_sym_attributed_declarator_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1621),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1625),
    [anon_sym_cbuffer] = ACTIONS(1627),
  },
  [890] = {
    [sym_attribute_declaration] = STATE(851),
    [sym_compound_statement] = STATE(535),
    [sym_attributed_statement] = STATE(535),
    [sym_statement] = STATE(444),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8373),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(535),
    [sym_cbuffer_specifier] = STATE(535),
    [sym_hlsl_attribute] = STATE(7755),
    [aux_sym_attributed_declarator_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(889),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(915),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(921),
    [anon_sym___try] = ACTIONS(923),
    [anon_sym___leave] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(931),
    [anon_sym_co_return] = ACTIONS(941),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(945),
    [anon_sym_cbuffer] = ACTIONS(947),
  },
  [891] = {
    [sym_attribute_declaration] = STATE(850),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(446),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [892] = {
    [sym_attribute_declaration] = STATE(881),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(227),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym_attributed_declarator_repeat1] = STATE(881),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [893] = {
    [sym_attribute_declaration] = STATE(892),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(179),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [894] = {
    [sym_attribute_declaration] = STATE(894),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(553),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym_attributed_declarator_repeat1] = STATE(894),
    [sym_identifier] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym___extension__] = ACTIONS(3239),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [sym_primitive_type] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3539),
    [anon_sym_switch] = ACTIONS(3542),
    [anon_sym_case] = ACTIONS(3545),
    [anon_sym_default] = ACTIONS(3548),
    [anon_sym_while] = ACTIONS(3551),
    [anon_sym_do] = ACTIONS(3554),
    [anon_sym_for] = ACTIONS(3557),
    [anon_sym_return] = ACTIONS(3560),
    [anon_sym_break] = ACTIONS(3563),
    [anon_sym_continue] = ACTIONS(3566),
    [anon_sym_goto] = ACTIONS(3569),
    [anon_sym___try] = ACTIONS(3572),
    [anon_sym___leave] = ACTIONS(3293),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3311),
    [anon_sym___asm__] = ACTIONS(3311),
    [anon_sym___asm] = ACTIONS(3311),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3317),
    [anon_sym_u_SQUOTE] = ACTIONS(3317),
    [anon_sym_U_SQUOTE] = ACTIONS(3317),
    [anon_sym_u8_SQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_L_DQUOTE] = ACTIONS(3320),
    [anon_sym_u_DQUOTE] = ACTIONS(3320),
    [anon_sym_U_DQUOTE] = ACTIONS(3320),
    [anon_sym_u8_DQUOTE] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3329),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3575),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3578),
    [anon_sym_co_return] = ACTIONS(3581),
    [anon_sym_co_yield] = ACTIONS(3584),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3356),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3323),
    [anon_sym_discard] = ACTIONS(3362),
    [anon_sym_cbuffer] = ACTIONS(3587),
  },
  [895] = {
    [sym_attribute_declaration] = STATE(850),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(521),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [896] = {
    [sym_attribute_declaration] = STATE(856),
    [sym_compound_statement] = STATE(1024),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1014),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [897] = {
    [sym_attribute_declaration] = STATE(856),
    [sym_compound_statement] = STATE(1024),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1038),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym_attributed_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1737),
    [anon_sym___leave] = ACTIONS(1739),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1749),
    [anon_sym_cbuffer] = ACTIONS(1751),
  },
  [898] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(8033),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [899] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(8290),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [900] = {
    [sym_attribute_declaration] = STATE(850),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(526),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [901] = {
    [sym_attribute_declaration] = STATE(892),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_statement] = STATE(195),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8064),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(213),
    [sym_co_return_statement] = STATE(213),
    [sym_co_yield_statement] = STATE(213),
    [sym_throw_statement] = STATE(213),
    [sym_try_statement] = STATE(213),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(213),
    [sym_cbuffer_specifier] = STATE(213),
    [sym_hlsl_attribute] = STATE(7707),
    [aux_sym_attributed_declarator_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(341),
    [anon_sym_cbuffer] = ACTIONS(343),
  },
  [902] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(8483),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [903] = {
    [sym_attribute_declaration] = STATE(903),
    [sym_compound_statement] = STATE(1024),
    [sym_attributed_statement] = STATE(1024),
    [sym_statement] = STATE(1032),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym_seh_try_statement] = STATE(1024),
    [sym_seh_leave_statement] = STATE(1024),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8427),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(1024),
    [sym_co_return_statement] = STATE(1024),
    [sym_co_yield_statement] = STATE(1024),
    [sym_throw_statement] = STATE(1024),
    [sym_try_statement] = STATE(1024),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(1024),
    [sym_cbuffer_specifier] = STATE(1024),
    [sym_hlsl_attribute] = STATE(7733),
    [aux_sym_attributed_declarator_repeat1] = STATE(903),
    [sym_identifier] = ACTIONS(3590),
    [anon_sym_LPAREN2] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3593),
    [anon_sym___extension__] = ACTIONS(3239),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3596),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [sym_primitive_type] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3599),
    [anon_sym_switch] = ACTIONS(3602),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3605),
    [anon_sym_do] = ACTIONS(3608),
    [anon_sym_for] = ACTIONS(3611),
    [anon_sym_return] = ACTIONS(3614),
    [anon_sym_break] = ACTIONS(3617),
    [anon_sym_continue] = ACTIONS(3620),
    [anon_sym_goto] = ACTIONS(3623),
    [anon_sym___try] = ACTIONS(3626),
    [anon_sym___leave] = ACTIONS(3629),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3311),
    [anon_sym___asm__] = ACTIONS(3311),
    [anon_sym___asm] = ACTIONS(3311),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3317),
    [anon_sym_u_SQUOTE] = ACTIONS(3317),
    [anon_sym_U_SQUOTE] = ACTIONS(3317),
    [anon_sym_u8_SQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_L_DQUOTE] = ACTIONS(3320),
    [anon_sym_u_DQUOTE] = ACTIONS(3320),
    [anon_sym_U_DQUOTE] = ACTIONS(3320),
    [anon_sym_u8_DQUOTE] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3329),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3632),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3635),
    [anon_sym_co_return] = ACTIONS(3638),
    [anon_sym_co_yield] = ACTIONS(3641),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3356),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3323),
    [anon_sym_discard] = ACTIONS(3644),
    [anon_sym_cbuffer] = ACTIONS(3647),
  },
  [904] = {
    [sym_attribute_declaration] = STATE(850),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(369),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [905] = {
    [sym_attribute_declaration] = STATE(865),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(8513),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7904),
    [aux_sym_attributed_declarator_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1709),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(1711),
  },
  [906] = {
    [sym_attribute_declaration] = STATE(850),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_statement] = STATE(511),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(451),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_for_range_loop] = STATE(451),
    [sym_co_return_statement] = STATE(451),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(451),
    [sym_try_statement] = STATE(451),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_discard_statement] = STATE(451),
    [sym_cbuffer_specifier] = STATE(451),
    [sym_hlsl_attribute] = STATE(7653),
    [aux_sym_attributed_declarator_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [907] = {
    [sym_expression] = STATE(2802),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_initializer_list] = STATE(2880),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [aux_sym_preproc_if_token2] = ACTIONS(3652),
    [aux_sym_preproc_else_token1] = ACTIONS(3652),
    [aux_sym_preproc_elif_token1] = ACTIONS(3650),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3652),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3650),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3650),
    [anon_sym_GT_GT] = ACTIONS(3650),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_EQ] = ACTIONS(3650),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_STAR_EQ] = ACTIONS(3652),
    [anon_sym_SLASH_EQ] = ACTIONS(3652),
    [anon_sym_PERCENT_EQ] = ACTIONS(3652),
    [anon_sym_PLUS_EQ] = ACTIONS(3652),
    [anon_sym_DASH_EQ] = ACTIONS(3652),
    [anon_sym_LT_LT_EQ] = ACTIONS(3652),
    [anon_sym_GT_GT_EQ] = ACTIONS(3652),
    [anon_sym_AMP_EQ] = ACTIONS(3652),
    [anon_sym_CARET_EQ] = ACTIONS(3652),
    [anon_sym_PIPE_EQ] = ACTIONS(3652),
    [anon_sym_and_eq] = ACTIONS(3650),
    [anon_sym_or_eq] = ACTIONS(3650),
    [anon_sym_xor_eq] = ACTIONS(3650),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [908] = {
    [sym__declaration_modifiers] = STATE(2017),
    [sym__declaration_specifiers] = STATE(6207),
    [sym_attribute_specifier] = STATE(2017),
    [sym_attribute_declaration] = STATE(2017),
    [sym_ms_declspec_modifier] = STATE(2017),
    [sym_storage_class_specifier] = STATE(2017),
    [sym_type_qualifier] = STATE(2017),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2017),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2017),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2630),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_COMMA] = ACTIONS(3698),
    [anon_sym_BANG] = ACTIONS(3700),
    [anon_sym_TILDE] = ACTIONS(3698),
    [anon_sym_DASH] = ACTIONS(3700),
    [anon_sym_PLUS] = ACTIONS(3700),
    [anon_sym_STAR] = ACTIONS(3700),
    [anon_sym_SLASH] = ACTIONS(3700),
    [anon_sym_PERCENT] = ACTIONS(3700),
    [anon_sym_PIPE_PIPE] = ACTIONS(3698),
    [anon_sym_AMP_AMP] = ACTIONS(3698),
    [anon_sym_PIPE] = ACTIONS(3700),
    [anon_sym_CARET] = ACTIONS(3700),
    [anon_sym_AMP] = ACTIONS(3700),
    [anon_sym_EQ_EQ] = ACTIONS(3698),
    [anon_sym_BANG_EQ] = ACTIONS(3698),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_GT_EQ] = ACTIONS(3698),
    [anon_sym_LT_EQ] = ACTIONS(3700),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_LT_LT] = ACTIONS(3700),
    [anon_sym_GT_GT] = ACTIONS(3700),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(3702),
    [anon_sym_out] = ACTIONS(3702),
    [anon_sym_inout] = ACTIONS(3702),
    [anon_sym_virtual] = ACTIONS(3702),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3706),
    [anon_sym_unsigned] = ACTIONS(3706),
    [anon_sym_long] = ACTIONS(3706),
    [anon_sym_short] = ACTIONS(3706),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(3700),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(3708),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(3698),
    [anon_sym_SLASH_EQ] = ACTIONS(3698),
    [anon_sym_PERCENT_EQ] = ACTIONS(3698),
    [anon_sym_PLUS_EQ] = ACTIONS(3698),
    [anon_sym_DASH_EQ] = ACTIONS(3698),
    [anon_sym_LT_LT_EQ] = ACTIONS(3698),
    [anon_sym_GT_GT_EQ] = ACTIONS(3698),
    [anon_sym_AMP_EQ] = ACTIONS(3698),
    [anon_sym_CARET_EQ] = ACTIONS(3698),
    [anon_sym_PIPE_EQ] = ACTIONS(3698),
    [anon_sym_and_eq] = ACTIONS(3700),
    [anon_sym_or_eq] = ACTIONS(3700),
    [anon_sym_xor_eq] = ACTIONS(3700),
    [anon_sym_not] = ACTIONS(3700),
    [anon_sym_compl] = ACTIONS(3700),
    [anon_sym_LT_EQ_GT] = ACTIONS(3698),
    [anon_sym_or] = ACTIONS(3700),
    [anon_sym_and] = ACTIONS(3700),
    [anon_sym_bitor] = ACTIONS(3700),
    [anon_sym_xor] = ACTIONS(3700),
    [anon_sym_bitand] = ACTIONS(3700),
    [anon_sym_not_eq] = ACTIONS(3700),
    [anon_sym_DASH_DASH] = ACTIONS(3698),
    [anon_sym_PLUS_PLUS] = ACTIONS(3698),
    [anon_sym_DASH_GT] = ACTIONS(3700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3710),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_co_await] = ACTIONS(3700),
    [anon_sym_new] = ACTIONS(3712),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3698),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3698),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3698),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3714),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [909] = {
    [sym__declaration_modifiers] = STATE(2017),
    [sym__declaration_specifiers] = STATE(6207),
    [sym_attribute_specifier] = STATE(2017),
    [sym_attribute_declaration] = STATE(2017),
    [sym_ms_declspec_modifier] = STATE(2017),
    [sym_storage_class_specifier] = STATE(2017),
    [sym_type_qualifier] = STATE(2017),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2017),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2017),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2630),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_COMMA] = ACTIONS(3716),
    [anon_sym_BANG] = ACTIONS(3718),
    [anon_sym_TILDE] = ACTIONS(3716),
    [anon_sym_DASH] = ACTIONS(3718),
    [anon_sym_PLUS] = ACTIONS(3718),
    [anon_sym_STAR] = ACTIONS(3718),
    [anon_sym_SLASH] = ACTIONS(3718),
    [anon_sym_PERCENT] = ACTIONS(3718),
    [anon_sym_PIPE_PIPE] = ACTIONS(3716),
    [anon_sym_AMP_AMP] = ACTIONS(3716),
    [anon_sym_PIPE] = ACTIONS(3718),
    [anon_sym_CARET] = ACTIONS(3718),
    [anon_sym_AMP] = ACTIONS(3718),
    [anon_sym_EQ_EQ] = ACTIONS(3716),
    [anon_sym_BANG_EQ] = ACTIONS(3716),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_GT_EQ] = ACTIONS(3716),
    [anon_sym_LT_EQ] = ACTIONS(3718),
    [anon_sym_LT] = ACTIONS(3718),
    [anon_sym_LT_LT] = ACTIONS(3718),
    [anon_sym_GT_GT] = ACTIONS(3718),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(3702),
    [anon_sym_out] = ACTIONS(3702),
    [anon_sym_inout] = ACTIONS(3702),
    [anon_sym_virtual] = ACTIONS(3702),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3706),
    [anon_sym_unsigned] = ACTIONS(3706),
    [anon_sym_long] = ACTIONS(3706),
    [anon_sym_short] = ACTIONS(3706),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(3718),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(3708),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(3716),
    [anon_sym_SLASH_EQ] = ACTIONS(3716),
    [anon_sym_PERCENT_EQ] = ACTIONS(3716),
    [anon_sym_PLUS_EQ] = ACTIONS(3716),
    [anon_sym_DASH_EQ] = ACTIONS(3716),
    [anon_sym_LT_LT_EQ] = ACTIONS(3716),
    [anon_sym_GT_GT_EQ] = ACTIONS(3716),
    [anon_sym_AMP_EQ] = ACTIONS(3716),
    [anon_sym_CARET_EQ] = ACTIONS(3716),
    [anon_sym_PIPE_EQ] = ACTIONS(3716),
    [anon_sym_and_eq] = ACTIONS(3718),
    [anon_sym_or_eq] = ACTIONS(3718),
    [anon_sym_xor_eq] = ACTIONS(3718),
    [anon_sym_not] = ACTIONS(3718),
    [anon_sym_compl] = ACTIONS(3718),
    [anon_sym_LT_EQ_GT] = ACTIONS(3716),
    [anon_sym_or] = ACTIONS(3718),
    [anon_sym_and] = ACTIONS(3718),
    [anon_sym_bitor] = ACTIONS(3718),
    [anon_sym_xor] = ACTIONS(3718),
    [anon_sym_bitand] = ACTIONS(3718),
    [anon_sym_not_eq] = ACTIONS(3718),
    [anon_sym_DASH_DASH] = ACTIONS(3716),
    [anon_sym_PLUS_PLUS] = ACTIONS(3716),
    [anon_sym_DASH_GT] = ACTIONS(3718),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3710),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_co_await] = ACTIONS(3718),
    [anon_sym_new] = ACTIONS(3720),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3716),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3716),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3716),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3722),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [910] = {
    [sym_expression] = STATE(2802),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_initializer_list] = STATE(2880),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(3726),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3650),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3650),
    [anon_sym_GT_GT] = ACTIONS(3650),
    [anon_sym_SEMI] = ACTIONS(3652),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3652),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_RBRACK] = ACTIONS(3652),
    [anon_sym_EQ] = ACTIONS(3650),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_STAR_EQ] = ACTIONS(3652),
    [anon_sym_SLASH_EQ] = ACTIONS(3652),
    [anon_sym_PERCENT_EQ] = ACTIONS(3652),
    [anon_sym_PLUS_EQ] = ACTIONS(3652),
    [anon_sym_DASH_EQ] = ACTIONS(3652),
    [anon_sym_LT_LT_EQ] = ACTIONS(3652),
    [anon_sym_GT_GT_EQ] = ACTIONS(3652),
    [anon_sym_AMP_EQ] = ACTIONS(3652),
    [anon_sym_CARET_EQ] = ACTIONS(3652),
    [anon_sym_PIPE_EQ] = ACTIONS(3652),
    [anon_sym_and_eq] = ACTIONS(3650),
    [anon_sym_or_eq] = ACTIONS(3650),
    [anon_sym_xor_eq] = ACTIONS(3650),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [911] = {
    [sym_compound_statement] = STATE(8073),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8073),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8354),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8355),
    [sym__unary_right_fold] = STATE(8356),
    [sym__binary_fold] = STATE(8357),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8202),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [912] = {
    [sym_compound_statement] = STATE(8073),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8073),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8132),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8134),
    [sym__unary_right_fold] = STATE(8139),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8202),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [913] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8464),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [914] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8054),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [915] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8665),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [916] = {
    [sym_compound_statement] = STATE(8073),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8073),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8494),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8355),
    [sym__unary_right_fold] = STATE(8356),
    [sym__binary_fold] = STATE(8357),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8202),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [917] = {
    [sym_compound_statement] = STATE(8037),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3219),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8037),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8148),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8185),
    [sym__unary_right_fold] = STATE(8196),
    [sym__binary_fold] = STATE(8209),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8176),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [918] = {
    [sym_compound_statement] = STATE(8037),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3219),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8037),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8014),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8185),
    [sym__unary_right_fold] = STATE(8196),
    [sym__binary_fold] = STATE(8209),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8176),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [919] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8005),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [920] = {
    [sym_compound_statement] = STATE(8037),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3219),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8037),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8177),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8178),
    [sym__unary_right_fold] = STATE(8179),
    [sym__binary_fold] = STATE(8181),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8176),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [921] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8625),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [922] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8061),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [923] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8017),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [924] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8499),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [925] = {
    [sym_compound_statement] = STATE(8073),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8073),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(7966),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8134),
    [sym__unary_right_fold] = STATE(8139),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8202),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [926] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8096),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [927] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8280),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [928] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8201),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [929] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8479),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [930] = {
    [sym_compound_statement] = STATE(8037),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3219),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8037),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(7962),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8178),
    [sym__unary_right_fold] = STATE(8179),
    [sym__binary_fold] = STATE(8181),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8176),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [931] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8810),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [932] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8668),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [933] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8316),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [934] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8448),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [935] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8220),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [936] = {
    [sym_compound_statement] = STATE(8042),
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3521),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_type_descriptor] = STATE(8495),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7645),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5641),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(3750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1999),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [937] = {
    [sym_expression] = STATE(2802),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_initializer_list] = STATE(2880),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(3758),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3650),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3650),
    [anon_sym_GT_GT] = ACTIONS(3650),
    [anon_sym_SEMI] = ACTIONS(3652),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym___attribute__] = ACTIONS(3650),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_EQ] = ACTIONS(3650),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_STAR_EQ] = ACTIONS(3652),
    [anon_sym_SLASH_EQ] = ACTIONS(3652),
    [anon_sym_PERCENT_EQ] = ACTIONS(3652),
    [anon_sym_PLUS_EQ] = ACTIONS(3652),
    [anon_sym_DASH_EQ] = ACTIONS(3652),
    [anon_sym_LT_LT_EQ] = ACTIONS(3652),
    [anon_sym_GT_GT_EQ] = ACTIONS(3652),
    [anon_sym_AMP_EQ] = ACTIONS(3652),
    [anon_sym_CARET_EQ] = ACTIONS(3652),
    [anon_sym_PIPE_EQ] = ACTIONS(3652),
    [anon_sym_and_eq] = ACTIONS(3650),
    [anon_sym_or_eq] = ACTIONS(3650),
    [anon_sym_xor_eq] = ACTIONS(3650),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [938] = {
    [sym_expression] = STATE(3324),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_initializer_list] = STATE(3559),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(1983),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3650),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3650),
    [anon_sym_GT_GT] = ACTIONS(3650),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(3784),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_EQ] = ACTIONS(3650),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_STAR_EQ] = ACTIONS(3652),
    [anon_sym_SLASH_EQ] = ACTIONS(3652),
    [anon_sym_PERCENT_EQ] = ACTIONS(3652),
    [anon_sym_PLUS_EQ] = ACTIONS(3652),
    [anon_sym_DASH_EQ] = ACTIONS(3652),
    [anon_sym_LT_LT_EQ] = ACTIONS(3652),
    [anon_sym_GT_GT_EQ] = ACTIONS(3652),
    [anon_sym_AMP_EQ] = ACTIONS(3652),
    [anon_sym_CARET_EQ] = ACTIONS(3652),
    [anon_sym_PIPE_EQ] = ACTIONS(3652),
    [anon_sym_and_eq] = ACTIONS(3650),
    [anon_sym_or_eq] = ACTIONS(3650),
    [anon_sym_xor_eq] = ACTIONS(3650),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3650),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3652),
    [sym_this] = ACTIONS(2027),
  },
  [939] = {
    [sym_function_definition] = STATE(2162),
    [sym_declaration] = STATE(2162),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4775),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1992),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2300),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(2162),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(2162),
    [sym_operator_cast] = STATE(6764),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(2162),
    [sym_operator_cast_declaration] = STATE(2162),
    [sym_constructor_or_destructor_definition] = STATE(2162),
    [sym_constructor_or_destructor_declaration] = STATE(2162),
    [sym_friend_declaration] = STATE(2162),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(2162),
    [sym_concept_definition] = STATE(2162),
    [sym_requires_clause] = STATE(955),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(3794),
    [anon_sym_concept] = ACTIONS(3796),
    [anon_sym_requires] = ACTIONS(3798),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [940] = {
    [sym_function_definition] = STATE(259),
    [sym_declaration] = STATE(259),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6140),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(259),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1870),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(259),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1870),
    [sym_operator_cast_definition] = STATE(259),
    [sym_operator_cast_declaration] = STATE(259),
    [sym_constructor_or_destructor_definition] = STATE(259),
    [sym_constructor_or_destructor_declaration] = STATE(259),
    [sym_friend_declaration] = STATE(259),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(259),
    [sym_concept_definition] = STATE(259),
    [sym_requires_clause] = STATE(954),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1753),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3800),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3802),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3804),
    [anon_sym_using] = ACTIONS(3806),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_requires] = ACTIONS(3798),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [941] = {
    [sym_identifier] = ACTIONS(3808),
    [anon_sym_COMMA] = ACTIONS(3810),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [anon_sym_LPAREN2] = ACTIONS(3810),
    [anon_sym_BANG] = ACTIONS(3810),
    [anon_sym_TILDE] = ACTIONS(3810),
    [anon_sym_DASH] = ACTIONS(3808),
    [anon_sym_PLUS] = ACTIONS(3808),
    [anon_sym_STAR] = ACTIONS(3810),
    [anon_sym_AMP_AMP] = ACTIONS(3810),
    [anon_sym_AMP] = ACTIONS(3808),
    [anon_sym_SEMI] = ACTIONS(3810),
    [anon_sym___extension__] = ACTIONS(3808),
    [anon_sym_in] = ACTIONS(3808),
    [anon_sym_out] = ACTIONS(3808),
    [anon_sym_inout] = ACTIONS(3808),
    [anon_sym_virtual] = ACTIONS(3808),
    [anon_sym_extern] = ACTIONS(3808),
    [anon_sym___attribute__] = ACTIONS(3808),
    [anon_sym_COLON_COLON] = ACTIONS(3810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3810),
    [anon_sym___declspec] = ACTIONS(3808),
    [anon_sym___based] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_signed] = ACTIONS(3808),
    [anon_sym_unsigned] = ACTIONS(3808),
    [anon_sym_long] = ACTIONS(3808),
    [anon_sym_short] = ACTIONS(3808),
    [anon_sym_LBRACK] = ACTIONS(3808),
    [anon_sym_static] = ACTIONS(3808),
    [anon_sym_EQ] = ACTIONS(3810),
    [anon_sym_register] = ACTIONS(3808),
    [anon_sym_inline] = ACTIONS(3808),
    [anon_sym___inline] = ACTIONS(3808),
    [anon_sym___inline__] = ACTIONS(3808),
    [anon_sym___forceinline] = ACTIONS(3808),
    [anon_sym_thread_local] = ACTIONS(3808),
    [anon_sym___thread] = ACTIONS(3808),
    [anon_sym_const] = ACTIONS(3808),
    [anon_sym_constexpr] = ACTIONS(3808),
    [anon_sym_volatile] = ACTIONS(3808),
    [anon_sym_restrict] = ACTIONS(3808),
    [anon_sym___restrict__] = ACTIONS(3808),
    [anon_sym__Atomic] = ACTIONS(3808),
    [anon_sym__Noreturn] = ACTIONS(3808),
    [anon_sym_noreturn] = ACTIONS(3808),
    [anon_sym__Nonnull] = ACTIONS(3808),
    [anon_sym_mutable] = ACTIONS(3808),
    [anon_sym_constinit] = ACTIONS(3808),
    [anon_sym_consteval] = ACTIONS(3808),
    [anon_sym_alignas] = ACTIONS(3808),
    [anon_sym__Alignas] = ACTIONS(3808),
    [sym_primitive_type] = ACTIONS(3808),
    [anon_sym_enum] = ACTIONS(3808),
    [anon_sym_class] = ACTIONS(3808),
    [anon_sym_struct] = ACTIONS(3808),
    [anon_sym_union] = ACTIONS(3808),
    [anon_sym_if] = ACTIONS(3808),
    [anon_sym_switch] = ACTIONS(3808),
    [anon_sym_case] = ACTIONS(3808),
    [anon_sym_default] = ACTIONS(3808),
    [anon_sym_while] = ACTIONS(3808),
    [anon_sym_do] = ACTIONS(3808),
    [anon_sym_for] = ACTIONS(3808),
    [anon_sym_return] = ACTIONS(3808),
    [anon_sym_break] = ACTIONS(3808),
    [anon_sym_continue] = ACTIONS(3808),
    [anon_sym_goto] = ACTIONS(3808),
    [anon_sym___try] = ACTIONS(3808),
    [anon_sym___leave] = ACTIONS(3808),
    [anon_sym_not] = ACTIONS(3808),
    [anon_sym_compl] = ACTIONS(3808),
    [anon_sym_DASH_DASH] = ACTIONS(3810),
    [anon_sym_PLUS_PLUS] = ACTIONS(3810),
    [anon_sym_sizeof] = ACTIONS(3808),
    [anon_sym___alignof__] = ACTIONS(3808),
    [anon_sym___alignof] = ACTIONS(3808),
    [anon_sym__alignof] = ACTIONS(3808),
    [anon_sym_alignof] = ACTIONS(3808),
    [anon_sym__Alignof] = ACTIONS(3808),
    [anon_sym_offsetof] = ACTIONS(3808),
    [anon_sym__Generic] = ACTIONS(3808),
    [anon_sym_asm] = ACTIONS(3808),
    [anon_sym___asm__] = ACTIONS(3808),
    [anon_sym___asm] = ACTIONS(3808),
    [sym_number_literal] = ACTIONS(3810),
    [anon_sym_L_SQUOTE] = ACTIONS(3810),
    [anon_sym_u_SQUOTE] = ACTIONS(3810),
    [anon_sym_U_SQUOTE] = ACTIONS(3810),
    [anon_sym_u8_SQUOTE] = ACTIONS(3810),
    [anon_sym_SQUOTE] = ACTIONS(3810),
    [anon_sym_L_DQUOTE] = ACTIONS(3810),
    [anon_sym_u_DQUOTE] = ACTIONS(3810),
    [anon_sym_U_DQUOTE] = ACTIONS(3810),
    [anon_sym_u8_DQUOTE] = ACTIONS(3810),
    [anon_sym_DQUOTE] = ACTIONS(3810),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [anon_sym_NULL] = ACTIONS(3808),
    [anon_sym_nullptr] = ACTIONS(3808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3808),
    [anon_sym_decltype] = ACTIONS(3808),
    [anon_sym_explicit] = ACTIONS(3808),
    [anon_sym_typename] = ACTIONS(3808),
    [anon_sym_template] = ACTIONS(3808),
    [anon_sym_operator] = ACTIONS(3808),
    [anon_sym_try] = ACTIONS(3808),
    [anon_sym_delete] = ACTIONS(3808),
    [anon_sym_throw] = ACTIONS(3808),
    [anon_sym_co_return] = ACTIONS(3808),
    [anon_sym_co_yield] = ACTIONS(3808),
    [anon_sym_R_DQUOTE] = ACTIONS(3810),
    [anon_sym_LR_DQUOTE] = ACTIONS(3810),
    [anon_sym_uR_DQUOTE] = ACTIONS(3810),
    [anon_sym_UR_DQUOTE] = ACTIONS(3810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3810),
    [anon_sym_co_await] = ACTIONS(3808),
    [anon_sym_new] = ACTIONS(3808),
    [anon_sym_requires] = ACTIONS(3808),
    [sym_this] = ACTIONS(3808),
    [anon_sym_discard] = ACTIONS(3808),
    [anon_sym_precise] = ACTIONS(3808),
    [anon_sym_shared] = ACTIONS(3808),
    [anon_sym_groupshared] = ACTIONS(3808),
    [anon_sym_uniform] = ACTIONS(3808),
    [anon_sym_row_major] = ACTIONS(3808),
    [anon_sym_column_major] = ACTIONS(3808),
    [anon_sym_globallycoherent] = ACTIONS(3808),
    [anon_sym_centroid] = ACTIONS(3808),
    [anon_sym_noperspective] = ACTIONS(3808),
    [anon_sym_nointerpolation] = ACTIONS(3808),
    [anon_sym_sample] = ACTIONS(3808),
    [anon_sym_linear] = ACTIONS(3808),
    [anon_sym_snorm] = ACTIONS(3808),
    [anon_sym_unorm] = ACTIONS(3808),
    [anon_sym_point] = ACTIONS(3808),
    [anon_sym_line] = ACTIONS(3808),
    [anon_sym_triangleadj] = ACTIONS(3808),
    [anon_sym_lineadj] = ACTIONS(3808),
    [anon_sym_triangle] = ACTIONS(3808),
    [anon_sym_cbuffer] = ACTIONS(3808),
  },
  [942] = {
    [sym_expression] = STATE(3483),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_initializer_list] = STATE(2880),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(3812),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3650),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3650),
    [anon_sym_GT_GT] = ACTIONS(3650),
    [anon_sym_COLON] = ACTIONS(3650),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_EQ] = ACTIONS(3650),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_STAR_EQ] = ACTIONS(3652),
    [anon_sym_SLASH_EQ] = ACTIONS(3652),
    [anon_sym_PERCENT_EQ] = ACTIONS(3652),
    [anon_sym_PLUS_EQ] = ACTIONS(3652),
    [anon_sym_DASH_EQ] = ACTIONS(3652),
    [anon_sym_LT_LT_EQ] = ACTIONS(3652),
    [anon_sym_GT_GT_EQ] = ACTIONS(3652),
    [anon_sym_AMP_EQ] = ACTIONS(3652),
    [anon_sym_CARET_EQ] = ACTIONS(3652),
    [anon_sym_PIPE_EQ] = ACTIONS(3652),
    [anon_sym_and_eq] = ACTIONS(3650),
    [anon_sym_or_eq] = ACTIONS(3650),
    [anon_sym_xor_eq] = ACTIONS(3650),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [943] = {
    [sym_expression] = STATE(3415),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_initializer_list] = STATE(3792),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(3828),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3650),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3650),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3650),
    [anon_sym_GT_GT] = ACTIONS(3650),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_EQ] = ACTIONS(3650),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_STAR_EQ] = ACTIONS(3652),
    [anon_sym_SLASH_EQ] = ACTIONS(3652),
    [anon_sym_PERCENT_EQ] = ACTIONS(3652),
    [anon_sym_PLUS_EQ] = ACTIONS(3652),
    [anon_sym_DASH_EQ] = ACTIONS(3652),
    [anon_sym_LT_LT_EQ] = ACTIONS(3652),
    [anon_sym_GT_GT_EQ] = ACTIONS(3650),
    [anon_sym_AMP_EQ] = ACTIONS(3652),
    [anon_sym_CARET_EQ] = ACTIONS(3652),
    [anon_sym_PIPE_EQ] = ACTIONS(3652),
    [anon_sym_and_eq] = ACTIONS(3650),
    [anon_sym_or_eq] = ACTIONS(3650),
    [anon_sym_xor_eq] = ACTIONS(3650),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(3652),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [944] = {
    [sym_function_definition] = STATE(1902),
    [sym_declaration] = STATE(1902),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4778),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1994),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2293),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(1902),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(1902),
    [sym_operator_cast] = STATE(6757),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(1902),
    [sym_operator_cast_declaration] = STATE(1902),
    [sym_constructor_or_destructor_definition] = STATE(1902),
    [sym_constructor_or_destructor_declaration] = STATE(1902),
    [sym_friend_declaration] = STATE(1902),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(1902),
    [sym_concept_definition] = STATE(1902),
    [sym_requires_clause] = STATE(953),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1792),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(3870),
    [anon_sym_concept] = ACTIONS(3872),
    [anon_sym_requires] = ACTIONS(3798),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [945] = {
    [sym_function_definition] = STATE(622),
    [sym_declaration] = STATE(622),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1981),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6193),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2296),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(622),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1868),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(622),
    [sym_operator_cast] = STATE(6747),
    [sym__constructor_specifiers] = STATE(1868),
    [sym_operator_cast_definition] = STATE(622),
    [sym_operator_cast_declaration] = STATE(622),
    [sym_constructor_or_destructor_definition] = STATE(622),
    [sym_constructor_or_destructor_declaration] = STATE(622),
    [sym_friend_declaration] = STATE(622),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(622),
    [sym_concept_definition] = STATE(622),
    [sym_requires_clause] = STATE(961),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6747),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1790),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1868),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3874),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3876),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3878),
    [anon_sym_using] = ACTIONS(3880),
    [anon_sym_concept] = ACTIONS(939),
    [anon_sym_requires] = ACTIONS(3798),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [946] = {
    [sym_function_definition] = STATE(570),
    [sym_declaration] = STATE(570),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6115),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(570),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(570),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(570),
    [sym_operator_cast_declaration] = STATE(570),
    [sym_constructor_or_destructor_definition] = STATE(570),
    [sym_constructor_or_destructor_declaration] = STATE(570),
    [sym_friend_declaration] = STATE(570),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(570),
    [sym_concept_definition] = STATE(570),
    [sym_requires_clause] = STATE(956),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3882),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3884),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3886),
    [anon_sym_using] = ACTIONS(3888),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_requires] = ACTIONS(3798),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [947] = {
    [sym_function_definition] = STATE(752),
    [sym_declaration] = STATE(752),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4789),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1998),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6168),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(752),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1869),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(752),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(1869),
    [sym_operator_cast_definition] = STATE(752),
    [sym_operator_cast_declaration] = STATE(752),
    [sym_constructor_or_destructor_definition] = STATE(752),
    [sym_constructor_or_destructor_declaration] = STATE(752),
    [sym_friend_declaration] = STATE(752),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(752),
    [sym_concept_definition] = STATE(752),
    [sym_requires_clause] = STATE(952),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1664),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3890),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3892),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3894),
    [anon_sym_using] = ACTIONS(3896),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_requires] = ACTIONS(3798),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [948] = {
    [sym_function_definition] = STATE(2073),
    [sym_declaration] = STATE(2073),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4782),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1996),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6179),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2291),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(2073),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(2073),
    [sym_operator_cast] = STATE(6749),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(2073),
    [sym_operator_cast_declaration] = STATE(2073),
    [sym_constructor_or_destructor_definition] = STATE(2073),
    [sym_constructor_or_destructor_declaration] = STATE(2073),
    [sym_friend_declaration] = STATE(2073),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(2073),
    [sym_concept_definition] = STATE(2073),
    [sym_requires_clause] = STATE(958),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6749),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1794),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3031),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3898),
    [anon_sym_concept] = ACTIONS(3900),
    [anon_sym_requires] = ACTIONS(3798),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [949] = {
    [sym_identifier] = ACTIONS(3902),
    [anon_sym_COMMA] = ACTIONS(3904),
    [anon_sym_RPAREN] = ACTIONS(3904),
    [anon_sym_LPAREN2] = ACTIONS(3904),
    [anon_sym_BANG] = ACTIONS(3904),
    [anon_sym_TILDE] = ACTIONS(3904),
    [anon_sym_DASH] = ACTIONS(3902),
    [anon_sym_PLUS] = ACTIONS(3902),
    [anon_sym_STAR] = ACTIONS(3904),
    [anon_sym_AMP_AMP] = ACTIONS(3904),
    [anon_sym_AMP] = ACTIONS(3902),
    [anon_sym_SEMI] = ACTIONS(3904),
    [anon_sym___extension__] = ACTIONS(3902),
    [anon_sym_in] = ACTIONS(3902),
    [anon_sym_out] = ACTIONS(3902),
    [anon_sym_inout] = ACTIONS(3902),
    [anon_sym_virtual] = ACTIONS(3902),
    [anon_sym_extern] = ACTIONS(3902),
    [anon_sym___attribute__] = ACTIONS(3902),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3904),
    [anon_sym___declspec] = ACTIONS(3902),
    [anon_sym___based] = ACTIONS(3902),
    [anon_sym_LBRACE] = ACTIONS(3904),
    [anon_sym_signed] = ACTIONS(3902),
    [anon_sym_unsigned] = ACTIONS(3902),
    [anon_sym_long] = ACTIONS(3902),
    [anon_sym_short] = ACTIONS(3902),
    [anon_sym_LBRACK] = ACTIONS(3902),
    [anon_sym_static] = ACTIONS(3902),
    [anon_sym_EQ] = ACTIONS(3904),
    [anon_sym_register] = ACTIONS(3902),
    [anon_sym_inline] = ACTIONS(3902),
    [anon_sym___inline] = ACTIONS(3902),
    [anon_sym___inline__] = ACTIONS(3902),
    [anon_sym___forceinline] = ACTIONS(3902),
    [anon_sym_thread_local] = ACTIONS(3902),
    [anon_sym___thread] = ACTIONS(3902),
    [anon_sym_const] = ACTIONS(3902),
    [anon_sym_constexpr] = ACTIONS(3902),
    [anon_sym_volatile] = ACTIONS(3902),
    [anon_sym_restrict] = ACTIONS(3902),
    [anon_sym___restrict__] = ACTIONS(3902),
    [anon_sym__Atomic] = ACTIONS(3902),
    [anon_sym__Noreturn] = ACTIONS(3902),
    [anon_sym_noreturn] = ACTIONS(3902),
    [anon_sym__Nonnull] = ACTIONS(3902),
    [anon_sym_mutable] = ACTIONS(3902),
    [anon_sym_constinit] = ACTIONS(3902),
    [anon_sym_consteval] = ACTIONS(3902),
    [anon_sym_alignas] = ACTIONS(3902),
    [anon_sym__Alignas] = ACTIONS(3902),
    [sym_primitive_type] = ACTIONS(3902),
    [anon_sym_enum] = ACTIONS(3902),
    [anon_sym_class] = ACTIONS(3902),
    [anon_sym_struct] = ACTIONS(3902),
    [anon_sym_union] = ACTIONS(3902),
    [anon_sym_if] = ACTIONS(3902),
    [anon_sym_switch] = ACTIONS(3902),
    [anon_sym_case] = ACTIONS(3902),
    [anon_sym_default] = ACTIONS(3902),
    [anon_sym_while] = ACTIONS(3902),
    [anon_sym_do] = ACTIONS(3902),
    [anon_sym_for] = ACTIONS(3902),
    [anon_sym_return] = ACTIONS(3902),
    [anon_sym_break] = ACTIONS(3902),
    [anon_sym_continue] = ACTIONS(3902),
    [anon_sym_goto] = ACTIONS(3902),
    [anon_sym___try] = ACTIONS(3902),
    [anon_sym___leave] = ACTIONS(3902),
    [anon_sym_not] = ACTIONS(3902),
    [anon_sym_compl] = ACTIONS(3902),
    [anon_sym_DASH_DASH] = ACTIONS(3904),
    [anon_sym_PLUS_PLUS] = ACTIONS(3904),
    [anon_sym_sizeof] = ACTIONS(3902),
    [anon_sym___alignof__] = ACTIONS(3902),
    [anon_sym___alignof] = ACTIONS(3902),
    [anon_sym__alignof] = ACTIONS(3902),
    [anon_sym_alignof] = ACTIONS(3902),
    [anon_sym__Alignof] = ACTIONS(3902),
    [anon_sym_offsetof] = ACTIONS(3902),
    [anon_sym__Generic] = ACTIONS(3902),
    [anon_sym_asm] = ACTIONS(3902),
    [anon_sym___asm__] = ACTIONS(3902),
    [anon_sym___asm] = ACTIONS(3902),
    [sym_number_literal] = ACTIONS(3904),
    [anon_sym_L_SQUOTE] = ACTIONS(3904),
    [anon_sym_u_SQUOTE] = ACTIONS(3904),
    [anon_sym_U_SQUOTE] = ACTIONS(3904),
    [anon_sym_u8_SQUOTE] = ACTIONS(3904),
    [anon_sym_SQUOTE] = ACTIONS(3904),
    [anon_sym_L_DQUOTE] = ACTIONS(3904),
    [anon_sym_u_DQUOTE] = ACTIONS(3904),
    [anon_sym_U_DQUOTE] = ACTIONS(3904),
    [anon_sym_u8_DQUOTE] = ACTIONS(3904),
    [anon_sym_DQUOTE] = ACTIONS(3904),
    [sym_true] = ACTIONS(3902),
    [sym_false] = ACTIONS(3902),
    [anon_sym_NULL] = ACTIONS(3902),
    [anon_sym_nullptr] = ACTIONS(3902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3902),
    [anon_sym_decltype] = ACTIONS(3902),
    [anon_sym_explicit] = ACTIONS(3902),
    [anon_sym_typename] = ACTIONS(3902),
    [anon_sym_template] = ACTIONS(3902),
    [anon_sym_operator] = ACTIONS(3902),
    [anon_sym_try] = ACTIONS(3902),
    [anon_sym_delete] = ACTIONS(3902),
    [anon_sym_throw] = ACTIONS(3902),
    [anon_sym_co_return] = ACTIONS(3902),
    [anon_sym_co_yield] = ACTIONS(3902),
    [anon_sym_R_DQUOTE] = ACTIONS(3904),
    [anon_sym_LR_DQUOTE] = ACTIONS(3904),
    [anon_sym_uR_DQUOTE] = ACTIONS(3904),
    [anon_sym_UR_DQUOTE] = ACTIONS(3904),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3904),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3902),
    [anon_sym_requires] = ACTIONS(3902),
    [sym_this] = ACTIONS(3902),
    [anon_sym_discard] = ACTIONS(3902),
    [anon_sym_precise] = ACTIONS(3902),
    [anon_sym_shared] = ACTIONS(3902),
    [anon_sym_groupshared] = ACTIONS(3902),
    [anon_sym_uniform] = ACTIONS(3902),
    [anon_sym_row_major] = ACTIONS(3902),
    [anon_sym_column_major] = ACTIONS(3902),
    [anon_sym_globallycoherent] = ACTIONS(3902),
    [anon_sym_centroid] = ACTIONS(3902),
    [anon_sym_noperspective] = ACTIONS(3902),
    [anon_sym_nointerpolation] = ACTIONS(3902),
    [anon_sym_sample] = ACTIONS(3902),
    [anon_sym_linear] = ACTIONS(3902),
    [anon_sym_snorm] = ACTIONS(3902),
    [anon_sym_unorm] = ACTIONS(3902),
    [anon_sym_point] = ACTIONS(3902),
    [anon_sym_line] = ACTIONS(3902),
    [anon_sym_triangleadj] = ACTIONS(3902),
    [anon_sym_lineadj] = ACTIONS(3902),
    [anon_sym_triangle] = ACTIONS(3902),
    [anon_sym_cbuffer] = ACTIONS(3902),
  },
  [950] = {
    [sym_field_declaration_list] = STATE(1054),
    [sym_virtual_specifier] = STATE(6921),
    [sym_base_class_clause] = STATE(7544),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1945),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1945),
    [anon_sym_AMP] = ACTIONS(1945),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1945),
    [anon_sym___extension__] = ACTIONS(1943),
    [anon_sym_typedef] = ACTIONS(1943),
    [anon_sym_in] = ACTIONS(1943),
    [anon_sym_out] = ACTIONS(1943),
    [anon_sym_inout] = ACTIONS(1943),
    [anon_sym_virtual] = ACTIONS(1943),
    [anon_sym_extern] = ACTIONS(1943),
    [anon_sym___attribute__] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(1945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1945),
    [anon_sym___declspec] = ACTIONS(1943),
    [anon_sym_LBRACE] = ACTIONS(3906),
    [anon_sym_signed] = ACTIONS(1943),
    [anon_sym_unsigned] = ACTIONS(1943),
    [anon_sym_long] = ACTIONS(1943),
    [anon_sym_short] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1943),
    [anon_sym_static] = ACTIONS(1943),
    [anon_sym_register] = ACTIONS(1943),
    [anon_sym_inline] = ACTIONS(1943),
    [anon_sym___inline] = ACTIONS(1943),
    [anon_sym___inline__] = ACTIONS(1943),
    [anon_sym___forceinline] = ACTIONS(1943),
    [anon_sym_thread_local] = ACTIONS(1943),
    [anon_sym___thread] = ACTIONS(1943),
    [anon_sym_const] = ACTIONS(1943),
    [anon_sym_constexpr] = ACTIONS(1943),
    [anon_sym_volatile] = ACTIONS(1943),
    [anon_sym_restrict] = ACTIONS(1943),
    [anon_sym___restrict__] = ACTIONS(1943),
    [anon_sym__Atomic] = ACTIONS(1943),
    [anon_sym__Noreturn] = ACTIONS(1943),
    [anon_sym_noreturn] = ACTIONS(1943),
    [anon_sym__Nonnull] = ACTIONS(1943),
    [anon_sym_mutable] = ACTIONS(1943),
    [anon_sym_constinit] = ACTIONS(1943),
    [anon_sym_consteval] = ACTIONS(1943),
    [anon_sym_alignas] = ACTIONS(1943),
    [anon_sym__Alignas] = ACTIONS(1943),
    [sym_primitive_type] = ACTIONS(1943),
    [anon_sym_enum] = ACTIONS(1943),
    [anon_sym_class] = ACTIONS(1943),
    [anon_sym_struct] = ACTIONS(1943),
    [anon_sym_union] = ACTIONS(1943),
    [anon_sym_if] = ACTIONS(1943),
    [anon_sym_else] = ACTIONS(1943),
    [anon_sym_switch] = ACTIONS(1943),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_do] = ACTIONS(1943),
    [anon_sym_for] = ACTIONS(1943),
    [anon_sym_return] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(1943),
    [anon_sym_continue] = ACTIONS(1943),
    [anon_sym_goto] = ACTIONS(1943),
    [anon_sym___try] = ACTIONS(1943),
    [anon_sym___leave] = ACTIONS(1943),
    [anon_sym_not] = ACTIONS(1943),
    [anon_sym_compl] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1945),
    [anon_sym_PLUS_PLUS] = ACTIONS(1945),
    [anon_sym_sizeof] = ACTIONS(1943),
    [anon_sym___alignof__] = ACTIONS(1943),
    [anon_sym___alignof] = ACTIONS(1943),
    [anon_sym__alignof] = ACTIONS(1943),
    [anon_sym_alignof] = ACTIONS(1943),
    [anon_sym__Alignof] = ACTIONS(1943),
    [anon_sym_offsetof] = ACTIONS(1943),
    [anon_sym__Generic] = ACTIONS(1943),
    [anon_sym_asm] = ACTIONS(1943),
    [anon_sym___asm__] = ACTIONS(1943),
    [anon_sym___asm] = ACTIONS(1943),
    [sym_number_literal] = ACTIONS(1945),
    [anon_sym_L_SQUOTE] = ACTIONS(1945),
    [anon_sym_u_SQUOTE] = ACTIONS(1945),
    [anon_sym_U_SQUOTE] = ACTIONS(1945),
    [anon_sym_u8_SQUOTE] = ACTIONS(1945),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1943),
    [sym_false] = ACTIONS(1943),
    [anon_sym_NULL] = ACTIONS(1943),
    [anon_sym_nullptr] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1943),
    [anon_sym_decltype] = ACTIONS(1943),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_typename] = ACTIONS(1943),
    [anon_sym_template] = ACTIONS(1943),
    [anon_sym_try] = ACTIONS(1943),
    [anon_sym_delete] = ACTIONS(1943),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_co_return] = ACTIONS(1943),
    [anon_sym_co_yield] = ACTIONS(1943),
    [anon_sym_R_DQUOTE] = ACTIONS(1945),
    [anon_sym_LR_DQUOTE] = ACTIONS(1945),
    [anon_sym_uR_DQUOTE] = ACTIONS(1945),
    [anon_sym_UR_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1945),
    [anon_sym_co_await] = ACTIONS(1943),
    [anon_sym_new] = ACTIONS(1943),
    [anon_sym_requires] = ACTIONS(1943),
    [sym_this] = ACTIONS(1943),
    [anon_sym_discard] = ACTIONS(1943),
    [anon_sym_precise] = ACTIONS(1943),
    [anon_sym_shared] = ACTIONS(1943),
    [anon_sym_groupshared] = ACTIONS(1943),
    [anon_sym_uniform] = ACTIONS(1943),
    [anon_sym_row_major] = ACTIONS(1943),
    [anon_sym_column_major] = ACTIONS(1943),
    [anon_sym_globallycoherent] = ACTIONS(1943),
    [anon_sym_centroid] = ACTIONS(1943),
    [anon_sym_noperspective] = ACTIONS(1943),
    [anon_sym_nointerpolation] = ACTIONS(1943),
    [anon_sym_sample] = ACTIONS(1943),
    [anon_sym_linear] = ACTIONS(1943),
    [anon_sym_snorm] = ACTIONS(1943),
    [anon_sym_unorm] = ACTIONS(1943),
    [anon_sym_point] = ACTIONS(1943),
    [anon_sym_line] = ACTIONS(1943),
    [anon_sym_triangleadj] = ACTIONS(1943),
    [anon_sym_lineadj] = ACTIONS(1943),
    [anon_sym_triangle] = ACTIONS(1943),
    [anon_sym_cbuffer] = ACTIONS(1943),
  },
  [951] = {
    [sym_field_declaration_list] = STATE(1049),
    [sym_virtual_specifier] = STATE(6902),
    [sym_base_class_clause] = STATE(7829),
    [sym_identifier] = ACTIONS(1925),
    [anon_sym_LPAREN2] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(1927),
    [anon_sym_TILDE] = ACTIONS(1927),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_AMP] = ACTIONS(1927),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym___extension__] = ACTIONS(1925),
    [anon_sym_typedef] = ACTIONS(1925),
    [anon_sym_in] = ACTIONS(1925),
    [anon_sym_out] = ACTIONS(1925),
    [anon_sym_inout] = ACTIONS(1925),
    [anon_sym_virtual] = ACTIONS(1925),
    [anon_sym_extern] = ACTIONS(1925),
    [anon_sym___attribute__] = ACTIONS(1925),
    [anon_sym_COLON_COLON] = ACTIONS(1927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1927),
    [anon_sym___declspec] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(3906),
    [anon_sym_signed] = ACTIONS(1925),
    [anon_sym_unsigned] = ACTIONS(1925),
    [anon_sym_long] = ACTIONS(1925),
    [anon_sym_short] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_register] = ACTIONS(1925),
    [anon_sym_inline] = ACTIONS(1925),
    [anon_sym___inline] = ACTIONS(1925),
    [anon_sym___inline__] = ACTIONS(1925),
    [anon_sym___forceinline] = ACTIONS(1925),
    [anon_sym_thread_local] = ACTIONS(1925),
    [anon_sym___thread] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_constexpr] = ACTIONS(1925),
    [anon_sym_volatile] = ACTIONS(1925),
    [anon_sym_restrict] = ACTIONS(1925),
    [anon_sym___restrict__] = ACTIONS(1925),
    [anon_sym__Atomic] = ACTIONS(1925),
    [anon_sym__Noreturn] = ACTIONS(1925),
    [anon_sym_noreturn] = ACTIONS(1925),
    [anon_sym__Nonnull] = ACTIONS(1925),
    [anon_sym_mutable] = ACTIONS(1925),
    [anon_sym_constinit] = ACTIONS(1925),
    [anon_sym_consteval] = ACTIONS(1925),
    [anon_sym_alignas] = ACTIONS(1925),
    [anon_sym__Alignas] = ACTIONS(1925),
    [sym_primitive_type] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_struct] = ACTIONS(1925),
    [anon_sym_union] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_goto] = ACTIONS(1925),
    [anon_sym___try] = ACTIONS(1925),
    [anon_sym___leave] = ACTIONS(1925),
    [anon_sym_not] = ACTIONS(1925),
    [anon_sym_compl] = ACTIONS(1925),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_sizeof] = ACTIONS(1925),
    [anon_sym___alignof__] = ACTIONS(1925),
    [anon_sym___alignof] = ACTIONS(1925),
    [anon_sym__alignof] = ACTIONS(1925),
    [anon_sym_alignof] = ACTIONS(1925),
    [anon_sym__Alignof] = ACTIONS(1925),
    [anon_sym_offsetof] = ACTIONS(1925),
    [anon_sym__Generic] = ACTIONS(1925),
    [anon_sym_asm] = ACTIONS(1925),
    [anon_sym___asm__] = ACTIONS(1925),
    [anon_sym___asm] = ACTIONS(1925),
    [sym_number_literal] = ACTIONS(1927),
    [anon_sym_L_SQUOTE] = ACTIONS(1927),
    [anon_sym_u_SQUOTE] = ACTIONS(1927),
    [anon_sym_U_SQUOTE] = ACTIONS(1927),
    [anon_sym_u8_SQUOTE] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [anon_sym_L_DQUOTE] = ACTIONS(1927),
    [anon_sym_u_DQUOTE] = ACTIONS(1927),
    [anon_sym_U_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8_DQUOTE] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [anon_sym_NULL] = ACTIONS(1925),
    [anon_sym_nullptr] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1925),
    [anon_sym_decltype] = ACTIONS(1925),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_typename] = ACTIONS(1925),
    [anon_sym_template] = ACTIONS(1925),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1925),
    [anon_sym_co_yield] = ACTIONS(1925),
    [anon_sym_R_DQUOTE] = ACTIONS(1927),
    [anon_sym_LR_DQUOTE] = ACTIONS(1927),
    [anon_sym_uR_DQUOTE] = ACTIONS(1927),
    [anon_sym_UR_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1927),
    [anon_sym_co_await] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_requires] = ACTIONS(1925),
    [sym_this] = ACTIONS(1925),
    [anon_sym_discard] = ACTIONS(1925),
    [anon_sym_precise] = ACTIONS(1925),
    [anon_sym_shared] = ACTIONS(1925),
    [anon_sym_groupshared] = ACTIONS(1925),
    [anon_sym_uniform] = ACTIONS(1925),
    [anon_sym_row_major] = ACTIONS(1925),
    [anon_sym_column_major] = ACTIONS(1925),
    [anon_sym_globallycoherent] = ACTIONS(1925),
    [anon_sym_centroid] = ACTIONS(1925),
    [anon_sym_noperspective] = ACTIONS(1925),
    [anon_sym_nointerpolation] = ACTIONS(1925),
    [anon_sym_sample] = ACTIONS(1925),
    [anon_sym_linear] = ACTIONS(1925),
    [anon_sym_snorm] = ACTIONS(1925),
    [anon_sym_unorm] = ACTIONS(1925),
    [anon_sym_point] = ACTIONS(1925),
    [anon_sym_line] = ACTIONS(1925),
    [anon_sym_triangleadj] = ACTIONS(1925),
    [anon_sym_lineadj] = ACTIONS(1925),
    [anon_sym_triangle] = ACTIONS(1925),
    [anon_sym_cbuffer] = ACTIONS(1925),
  },
  [952] = {
    [sym_function_definition] = STATE(789),
    [sym_declaration] = STATE(789),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4789),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1998),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6168),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(789),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1869),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(789),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(1869),
    [sym_operator_cast_definition] = STATE(789),
    [sym_operator_cast_declaration] = STATE(789),
    [sym_constructor_or_destructor_definition] = STATE(789),
    [sym_constructor_or_destructor_declaration] = STATE(789),
    [sym_friend_declaration] = STATE(789),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(789),
    [sym_concept_definition] = STATE(789),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1664),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3890),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3892),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3894),
    [anon_sym_using] = ACTIONS(3896),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [953] = {
    [sym_function_definition] = STATE(1916),
    [sym_declaration] = STATE(1916),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4778),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1994),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6164),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2293),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(1916),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1862),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(1916),
    [sym_operator_cast] = STATE(6757),
    [sym__constructor_specifiers] = STATE(1862),
    [sym_operator_cast_definition] = STATE(1916),
    [sym_operator_cast_declaration] = STATE(1916),
    [sym_constructor_or_destructor_definition] = STATE(1916),
    [sym_constructor_or_destructor_declaration] = STATE(1916),
    [sym_friend_declaration] = STATE(1916),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(1916),
    [sym_concept_definition] = STATE(1916),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6757),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1792),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(3870),
    [anon_sym_concept] = ACTIONS(3872),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [954] = {
    [sym_function_definition] = STATE(281),
    [sym_declaration] = STATE(281),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1988),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6140),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(281),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1870),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(281),
    [sym_operator_cast] = STATE(6752),
    [sym__constructor_specifiers] = STATE(1870),
    [sym_operator_cast_definition] = STATE(281),
    [sym_operator_cast_declaration] = STATE(281),
    [sym_constructor_or_destructor_definition] = STATE(281),
    [sym_constructor_or_destructor_declaration] = STATE(281),
    [sym_friend_declaration] = STATE(281),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(281),
    [sym_concept_definition] = STATE(281),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6752),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1753),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3800),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3802),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3804),
    [anon_sym_using] = ACTIONS(3806),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [955] = {
    [sym_function_definition] = STATE(2124),
    [sym_declaration] = STATE(2124),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4775),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1992),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2300),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(2124),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1863),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(2124),
    [sym_operator_cast] = STATE(6764),
    [sym__constructor_specifiers] = STATE(1863),
    [sym_operator_cast_definition] = STATE(2124),
    [sym_operator_cast_declaration] = STATE(2124),
    [sym_constructor_or_destructor_definition] = STATE(2124),
    [sym_constructor_or_destructor_declaration] = STATE(2124),
    [sym_friend_declaration] = STATE(2124),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(2124),
    [sym_concept_definition] = STATE(2124),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6764),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(3794),
    [anon_sym_concept] = ACTIONS(3796),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [956] = {
    [sym_function_definition] = STATE(661),
    [sym_declaration] = STATE(661),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1983),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6115),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2301),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(661),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(661),
    [sym_operator_cast] = STATE(6760),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(661),
    [sym_operator_cast_declaration] = STATE(661),
    [sym_constructor_or_destructor_definition] = STATE(661),
    [sym_constructor_or_destructor_declaration] = STATE(661),
    [sym_friend_declaration] = STATE(661),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(661),
    [sym_concept_definition] = STATE(661),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6760),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3882),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3884),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3886),
    [anon_sym_using] = ACTIONS(3888),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [957] = {
    [sym_expression] = STATE(3815),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_initializer_list] = STATE(3970),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3650),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3650),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3650),
    [anon_sym_GT_GT] = ACTIONS(3650),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_EQ] = ACTIONS(3650),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_STAR_EQ] = ACTIONS(3652),
    [anon_sym_SLASH_EQ] = ACTIONS(3652),
    [anon_sym_PERCENT_EQ] = ACTIONS(3652),
    [anon_sym_PLUS_EQ] = ACTIONS(3652),
    [anon_sym_DASH_EQ] = ACTIONS(3652),
    [anon_sym_LT_LT_EQ] = ACTIONS(3652),
    [anon_sym_GT_GT_EQ] = ACTIONS(3652),
    [anon_sym_AMP_EQ] = ACTIONS(3652),
    [anon_sym_CARET_EQ] = ACTIONS(3652),
    [anon_sym_PIPE_EQ] = ACTIONS(3652),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3650),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3652),
    [sym_this] = ACTIONS(1887),
  },
  [958] = {
    [sym_function_definition] = STATE(2123),
    [sym_declaration] = STATE(2123),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4782),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1996),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6179),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2291),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(2123),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(2123),
    [sym_operator_cast] = STATE(6749),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(2123),
    [sym_operator_cast_declaration] = STATE(2123),
    [sym_constructor_or_destructor_definition] = STATE(2123),
    [sym_constructor_or_destructor_declaration] = STATE(2123),
    [sym_friend_declaration] = STATE(2123),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(2123),
    [sym_concept_definition] = STATE(2123),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6749),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1794),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3031),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3898),
    [anon_sym_concept] = ACTIONS(3900),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [959] = {
    [sym_template_argument_list] = STATE(965),
    [sym_identifier] = ACTIONS(1967),
    [anon_sym_LPAREN2] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_COLON] = ACTIONS(1967),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym___extension__] = ACTIONS(1967),
    [anon_sym_typedef] = ACTIONS(1967),
    [anon_sym_in] = ACTIONS(1967),
    [anon_sym_out] = ACTIONS(1967),
    [anon_sym_inout] = ACTIONS(1967),
    [anon_sym_virtual] = ACTIONS(1967),
    [anon_sym_extern] = ACTIONS(1967),
    [anon_sym___attribute__] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1969),
    [anon_sym___declspec] = ACTIONS(1967),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1967),
    [anon_sym_unsigned] = ACTIONS(1967),
    [anon_sym_long] = ACTIONS(1967),
    [anon_sym_short] = ACTIONS(1967),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1967),
    [anon_sym_register] = ACTIONS(1967),
    [anon_sym_inline] = ACTIONS(1967),
    [anon_sym___inline] = ACTIONS(1967),
    [anon_sym___inline__] = ACTIONS(1967),
    [anon_sym___forceinline] = ACTIONS(1967),
    [anon_sym_thread_local] = ACTIONS(1967),
    [anon_sym___thread] = ACTIONS(1967),
    [anon_sym_const] = ACTIONS(1967),
    [anon_sym_constexpr] = ACTIONS(1967),
    [anon_sym_volatile] = ACTIONS(1967),
    [anon_sym_restrict] = ACTIONS(1967),
    [anon_sym___restrict__] = ACTIONS(1967),
    [anon_sym__Atomic] = ACTIONS(1967),
    [anon_sym__Noreturn] = ACTIONS(1967),
    [anon_sym_noreturn] = ACTIONS(1967),
    [anon_sym__Nonnull] = ACTIONS(1967),
    [anon_sym_mutable] = ACTIONS(1967),
    [anon_sym_constinit] = ACTIONS(1967),
    [anon_sym_consteval] = ACTIONS(1967),
    [anon_sym_alignas] = ACTIONS(1967),
    [anon_sym__Alignas] = ACTIONS(1967),
    [sym_primitive_type] = ACTIONS(1967),
    [anon_sym_enum] = ACTIONS(1967),
    [anon_sym_class] = ACTIONS(1967),
    [anon_sym_struct] = ACTIONS(1967),
    [anon_sym_union] = ACTIONS(1967),
    [anon_sym_if] = ACTIONS(1967),
    [anon_sym_else] = ACTIONS(1967),
    [anon_sym_switch] = ACTIONS(1967),
    [anon_sym_while] = ACTIONS(1967),
    [anon_sym_do] = ACTIONS(1967),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_return] = ACTIONS(1967),
    [anon_sym_break] = ACTIONS(1967),
    [anon_sym_continue] = ACTIONS(1967),
    [anon_sym_goto] = ACTIONS(1967),
    [anon_sym___try] = ACTIONS(1967),
    [anon_sym___leave] = ACTIONS(1967),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(1969),
    [anon_sym_PLUS_PLUS] = ACTIONS(1969),
    [anon_sym_sizeof] = ACTIONS(1967),
    [anon_sym___alignof__] = ACTIONS(1967),
    [anon_sym___alignof] = ACTIONS(1967),
    [anon_sym__alignof] = ACTIONS(1967),
    [anon_sym_alignof] = ACTIONS(1967),
    [anon_sym__Alignof] = ACTIONS(1967),
    [anon_sym_offsetof] = ACTIONS(1967),
    [anon_sym__Generic] = ACTIONS(1967),
    [anon_sym_asm] = ACTIONS(1967),
    [anon_sym___asm__] = ACTIONS(1967),
    [anon_sym___asm] = ACTIONS(1967),
    [sym_number_literal] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1969),
    [anon_sym_u_SQUOTE] = ACTIONS(1969),
    [anon_sym_U_SQUOTE] = ACTIONS(1969),
    [anon_sym_u8_SQUOTE] = ACTIONS(1969),
    [anon_sym_SQUOTE] = ACTIONS(1969),
    [anon_sym_L_DQUOTE] = ACTIONS(1969),
    [anon_sym_u_DQUOTE] = ACTIONS(1969),
    [anon_sym_U_DQUOTE] = ACTIONS(1969),
    [anon_sym_u8_DQUOTE] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1969),
    [sym_true] = ACTIONS(1967),
    [sym_false] = ACTIONS(1967),
    [anon_sym_NULL] = ACTIONS(1967),
    [anon_sym_nullptr] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1967),
    [anon_sym_decltype] = ACTIONS(1967),
    [anon_sym_final] = ACTIONS(1967),
    [anon_sym_override] = ACTIONS(1967),
    [anon_sym_typename] = ACTIONS(1967),
    [anon_sym_template] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1967),
    [anon_sym_delete] = ACTIONS(1967),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_co_return] = ACTIONS(1967),
    [anon_sym_co_yield] = ACTIONS(1967),
    [anon_sym_R_DQUOTE] = ACTIONS(1969),
    [anon_sym_LR_DQUOTE] = ACTIONS(1969),
    [anon_sym_uR_DQUOTE] = ACTIONS(1969),
    [anon_sym_UR_DQUOTE] = ACTIONS(1969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1969),
    [anon_sym_co_await] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1967),
    [anon_sym_requires] = ACTIONS(1967),
    [sym_this] = ACTIONS(1967),
    [anon_sym_discard] = ACTIONS(1967),
    [anon_sym_precise] = ACTIONS(1967),
    [anon_sym_shared] = ACTIONS(1967),
    [anon_sym_groupshared] = ACTIONS(1967),
    [anon_sym_uniform] = ACTIONS(1967),
    [anon_sym_row_major] = ACTIONS(1967),
    [anon_sym_column_major] = ACTIONS(1967),
    [anon_sym_globallycoherent] = ACTIONS(1967),
    [anon_sym_centroid] = ACTIONS(1967),
    [anon_sym_noperspective] = ACTIONS(1967),
    [anon_sym_nointerpolation] = ACTIONS(1967),
    [anon_sym_sample] = ACTIONS(1967),
    [anon_sym_linear] = ACTIONS(1967),
    [anon_sym_snorm] = ACTIONS(1967),
    [anon_sym_unorm] = ACTIONS(1967),
    [anon_sym_point] = ACTIONS(1967),
    [anon_sym_line] = ACTIONS(1967),
    [anon_sym_triangleadj] = ACTIONS(1967),
    [anon_sym_lineadj] = ACTIONS(1967),
    [anon_sym_triangle] = ACTIONS(1967),
    [anon_sym_cbuffer] = ACTIONS(1967),
  },
  [960] = {
    [sym_template_argument_list] = STATE(965),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1961),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_typedef] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_signed] = ACTIONS(1959),
    [anon_sym_unsigned] = ACTIONS(1959),
    [anon_sym_long] = ACTIONS(1959),
    [anon_sym_short] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_primitive_type] = ACTIONS(1959),
    [anon_sym_enum] = ACTIONS(1959),
    [anon_sym_class] = ACTIONS(1959),
    [anon_sym_struct] = ACTIONS(1959),
    [anon_sym_union] = ACTIONS(1959),
    [anon_sym_if] = ACTIONS(1959),
    [anon_sym_else] = ACTIONS(1959),
    [anon_sym_switch] = ACTIONS(1959),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_do] = ACTIONS(1959),
    [anon_sym_for] = ACTIONS(1959),
    [anon_sym_return] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(1959),
    [anon_sym_continue] = ACTIONS(1959),
    [anon_sym_goto] = ACTIONS(1959),
    [anon_sym___try] = ACTIONS(1959),
    [anon_sym___leave] = ACTIONS(1959),
    [anon_sym_not] = ACTIONS(1959),
    [anon_sym_compl] = ACTIONS(1959),
    [anon_sym_DASH_DASH] = ACTIONS(1961),
    [anon_sym_PLUS_PLUS] = ACTIONS(1961),
    [anon_sym_sizeof] = ACTIONS(1959),
    [anon_sym___alignof__] = ACTIONS(1959),
    [anon_sym___alignof] = ACTIONS(1959),
    [anon_sym__alignof] = ACTIONS(1959),
    [anon_sym_alignof] = ACTIONS(1959),
    [anon_sym__Alignof] = ACTIONS(1959),
    [anon_sym_offsetof] = ACTIONS(1959),
    [anon_sym__Generic] = ACTIONS(1959),
    [anon_sym_asm] = ACTIONS(1959),
    [anon_sym___asm__] = ACTIONS(1959),
    [anon_sym___asm] = ACTIONS(1959),
    [sym_number_literal] = ACTIONS(1961),
    [anon_sym_L_SQUOTE] = ACTIONS(1961),
    [anon_sym_u_SQUOTE] = ACTIONS(1961),
    [anon_sym_U_SQUOTE] = ACTIONS(1961),
    [anon_sym_u8_SQUOTE] = ACTIONS(1961),
    [anon_sym_SQUOTE] = ACTIONS(1961),
    [anon_sym_L_DQUOTE] = ACTIONS(1961),
    [anon_sym_u_DQUOTE] = ACTIONS(1961),
    [anon_sym_U_DQUOTE] = ACTIONS(1961),
    [anon_sym_u8_DQUOTE] = ACTIONS(1961),
    [anon_sym_DQUOTE] = ACTIONS(1961),
    [sym_true] = ACTIONS(1959),
    [sym_false] = ACTIONS(1959),
    [anon_sym_NULL] = ACTIONS(1959),
    [anon_sym_nullptr] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_final] = ACTIONS(1959),
    [anon_sym_override] = ACTIONS(1959),
    [anon_sym_typename] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_try] = ACTIONS(1959),
    [anon_sym_delete] = ACTIONS(1959),
    [anon_sym_throw] = ACTIONS(1959),
    [anon_sym_co_return] = ACTIONS(1959),
    [anon_sym_co_yield] = ACTIONS(1959),
    [anon_sym_R_DQUOTE] = ACTIONS(1961),
    [anon_sym_LR_DQUOTE] = ACTIONS(1961),
    [anon_sym_uR_DQUOTE] = ACTIONS(1961),
    [anon_sym_UR_DQUOTE] = ACTIONS(1961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1961),
    [anon_sym_co_await] = ACTIONS(1959),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1959),
    [anon_sym_discard] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
    [anon_sym_cbuffer] = ACTIONS(1959),
  },
  [961] = {
    [sym_function_definition] = STATE(632),
    [sym_declaration] = STATE(632),
    [sym__declaration_modifiers] = STATE(2403),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_attribute_specifier] = STATE(2403),
    [sym_attribute_declaration] = STATE(2403),
    [sym_ms_declspec_modifier] = STATE(2403),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(1981),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6193),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2403),
    [sym_type_qualifier] = STATE(2403),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2296),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym__empty_declaration] = STATE(632),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_explicit_function_specifier] = STATE(1868),
    [sym_dependent_type] = STATE(2323),
    [sym_template_declaration] = STATE(632),
    [sym_operator_cast] = STATE(6747),
    [sym__constructor_specifiers] = STATE(1868),
    [sym_operator_cast_definition] = STATE(632),
    [sym_operator_cast_declaration] = STATE(632),
    [sym_constructor_or_destructor_definition] = STATE(632),
    [sym_constructor_or_destructor_declaration] = STATE(632),
    [sym_friend_declaration] = STATE(632),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_alias_declaration] = STATE(632),
    [sym_concept_definition] = STATE(632),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5480),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualified_operator_cast_identifier] = STATE(6747),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2403),
    [sym_hlsl_attribute] = STATE(1790),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1868),
    [sym_identifier] = ACTIONS(3788),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3792),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3874),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3876),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3878),
    [anon_sym_using] = ACTIONS(3880),
    [anon_sym_concept] = ACTIONS(939),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [962] = {
    [sym_identifier] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3924),
    [anon_sym_TILDE] = ACTIONS(3921),
    [anon_sym_DASH] = ACTIONS(3926),
    [anon_sym_PLUS] = ACTIONS(3926),
    [anon_sym_STAR] = ACTIONS(3921),
    [anon_sym_AMP_AMP] = ACTIONS(3928),
    [anon_sym_AMP] = ACTIONS(3918),
    [anon_sym_SEMI] = ACTIONS(3924),
    [anon_sym___extension__] = ACTIONS(3918),
    [anon_sym_in] = ACTIONS(3930),
    [anon_sym_out] = ACTIONS(3930),
    [anon_sym_inout] = ACTIONS(3930),
    [anon_sym_virtual] = ACTIONS(3930),
    [anon_sym_extern] = ACTIONS(3930),
    [anon_sym___attribute__] = ACTIONS(3930),
    [anon_sym_COLON_COLON] = ACTIONS(3921),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3921),
    [anon_sym___declspec] = ACTIONS(3930),
    [anon_sym___based] = ACTIONS(3930),
    [anon_sym_LBRACE] = ACTIONS(3924),
    [anon_sym_signed] = ACTIONS(3930),
    [anon_sym_unsigned] = ACTIONS(3930),
    [anon_sym_long] = ACTIONS(3930),
    [anon_sym_short] = ACTIONS(3930),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [anon_sym_static] = ACTIONS(3930),
    [anon_sym_register] = ACTIONS(3930),
    [anon_sym_inline] = ACTIONS(3930),
    [anon_sym___inline] = ACTIONS(3930),
    [anon_sym___inline__] = ACTIONS(3930),
    [anon_sym___forceinline] = ACTIONS(3930),
    [anon_sym_thread_local] = ACTIONS(3930),
    [anon_sym___thread] = ACTIONS(3930),
    [anon_sym_const] = ACTIONS(3930),
    [anon_sym_constexpr] = ACTIONS(3930),
    [anon_sym_volatile] = ACTIONS(3930),
    [anon_sym_restrict] = ACTIONS(3930),
    [anon_sym___restrict__] = ACTIONS(3930),
    [anon_sym__Atomic] = ACTIONS(3930),
    [anon_sym__Noreturn] = ACTIONS(3930),
    [anon_sym_noreturn] = ACTIONS(3930),
    [anon_sym__Nonnull] = ACTIONS(3930),
    [anon_sym_mutable] = ACTIONS(3930),
    [anon_sym_constinit] = ACTIONS(3930),
    [anon_sym_consteval] = ACTIONS(3930),
    [anon_sym_alignas] = ACTIONS(3930),
    [anon_sym__Alignas] = ACTIONS(3930),
    [sym_primitive_type] = ACTIONS(3918),
    [anon_sym_enum] = ACTIONS(3930),
    [anon_sym_class] = ACTIONS(3930),
    [anon_sym_struct] = ACTIONS(3930),
    [anon_sym_union] = ACTIONS(3930),
    [anon_sym_if] = ACTIONS(3926),
    [anon_sym_switch] = ACTIONS(3926),
    [anon_sym_case] = ACTIONS(3926),
    [anon_sym_default] = ACTIONS(3926),
    [anon_sym_while] = ACTIONS(3926),
    [anon_sym_do] = ACTIONS(3926),
    [anon_sym_for] = ACTIONS(3926),
    [anon_sym_return] = ACTIONS(3926),
    [anon_sym_break] = ACTIONS(3926),
    [anon_sym_continue] = ACTIONS(3926),
    [anon_sym_goto] = ACTIONS(3926),
    [anon_sym___try] = ACTIONS(3926),
    [anon_sym___leave] = ACTIONS(3926),
    [anon_sym_not] = ACTIONS(3926),
    [anon_sym_compl] = ACTIONS(3926),
    [anon_sym_DASH_DASH] = ACTIONS(3924),
    [anon_sym_PLUS_PLUS] = ACTIONS(3924),
    [anon_sym_sizeof] = ACTIONS(3926),
    [anon_sym___alignof__] = ACTIONS(3926),
    [anon_sym___alignof] = ACTIONS(3926),
    [anon_sym__alignof] = ACTIONS(3926),
    [anon_sym_alignof] = ACTIONS(3926),
    [anon_sym__Alignof] = ACTIONS(3926),
    [anon_sym_offsetof] = ACTIONS(3926),
    [anon_sym__Generic] = ACTIONS(3926),
    [anon_sym_asm] = ACTIONS(3926),
    [anon_sym___asm__] = ACTIONS(3926),
    [anon_sym___asm] = ACTIONS(3926),
    [sym_number_literal] = ACTIONS(3924),
    [anon_sym_L_SQUOTE] = ACTIONS(3924),
    [anon_sym_u_SQUOTE] = ACTIONS(3924),
    [anon_sym_U_SQUOTE] = ACTIONS(3924),
    [anon_sym_u8_SQUOTE] = ACTIONS(3924),
    [anon_sym_SQUOTE] = ACTIONS(3924),
    [anon_sym_L_DQUOTE] = ACTIONS(3924),
    [anon_sym_u_DQUOTE] = ACTIONS(3924),
    [anon_sym_U_DQUOTE] = ACTIONS(3924),
    [anon_sym_u8_DQUOTE] = ACTIONS(3924),
    [anon_sym_DQUOTE] = ACTIONS(3924),
    [sym_true] = ACTIONS(3926),
    [sym_false] = ACTIONS(3926),
    [anon_sym_NULL] = ACTIONS(3926),
    [anon_sym_nullptr] = ACTIONS(3926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3930),
    [anon_sym_decltype] = ACTIONS(3918),
    [anon_sym_explicit] = ACTIONS(3930),
    [anon_sym_typename] = ACTIONS(3930),
    [anon_sym_template] = ACTIONS(3918),
    [anon_sym_operator] = ACTIONS(3930),
    [anon_sym_try] = ACTIONS(3926),
    [anon_sym_delete] = ACTIONS(3926),
    [anon_sym_throw] = ACTIONS(3926),
    [anon_sym_co_return] = ACTIONS(3926),
    [anon_sym_co_yield] = ACTIONS(3926),
    [anon_sym_R_DQUOTE] = ACTIONS(3924),
    [anon_sym_LR_DQUOTE] = ACTIONS(3924),
    [anon_sym_uR_DQUOTE] = ACTIONS(3924),
    [anon_sym_UR_DQUOTE] = ACTIONS(3924),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3924),
    [anon_sym_co_await] = ACTIONS(3926),
    [anon_sym_new] = ACTIONS(3926),
    [anon_sym_requires] = ACTIONS(3926),
    [sym_this] = ACTIONS(3926),
    [anon_sym_discard] = ACTIONS(3926),
    [anon_sym_precise] = ACTIONS(3930),
    [anon_sym_shared] = ACTIONS(3930),
    [anon_sym_groupshared] = ACTIONS(3930),
    [anon_sym_uniform] = ACTIONS(3930),
    [anon_sym_row_major] = ACTIONS(3930),
    [anon_sym_column_major] = ACTIONS(3930),
    [anon_sym_globallycoherent] = ACTIONS(3930),
    [anon_sym_centroid] = ACTIONS(3930),
    [anon_sym_noperspective] = ACTIONS(3930),
    [anon_sym_nointerpolation] = ACTIONS(3930),
    [anon_sym_sample] = ACTIONS(3930),
    [anon_sym_linear] = ACTIONS(3930),
    [anon_sym_snorm] = ACTIONS(3930),
    [anon_sym_unorm] = ACTIONS(3930),
    [anon_sym_point] = ACTIONS(3930),
    [anon_sym_line] = ACTIONS(3930),
    [anon_sym_triangleadj] = ACTIONS(3930),
    [anon_sym_lineadj] = ACTIONS(3930),
    [anon_sym_triangle] = ACTIONS(3930),
    [anon_sym_cbuffer] = ACTIONS(3926),
  },
  [963] = {
    [sym_catch_clause] = STATE(963),
    [aux_sym_constructor_try_statement_repeat1] = STATE(963),
    [sym_identifier] = ACTIONS(2061),
    [anon_sym_LPAREN2] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_TILDE] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_AMP] = ACTIONS(2063),
    [anon_sym_SEMI] = ACTIONS(2063),
    [anon_sym___extension__] = ACTIONS(2061),
    [anon_sym_typedef] = ACTIONS(2061),
    [anon_sym_in] = ACTIONS(2061),
    [anon_sym_out] = ACTIONS(2061),
    [anon_sym_inout] = ACTIONS(2061),
    [anon_sym_virtual] = ACTIONS(2061),
    [anon_sym_extern] = ACTIONS(2061),
    [anon_sym___attribute__] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym___declspec] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2063),
    [anon_sym_signed] = ACTIONS(2061),
    [anon_sym_unsigned] = ACTIONS(2061),
    [anon_sym_long] = ACTIONS(2061),
    [anon_sym_short] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_static] = ACTIONS(2061),
    [anon_sym_register] = ACTIONS(2061),
    [anon_sym_inline] = ACTIONS(2061),
    [anon_sym___inline] = ACTIONS(2061),
    [anon_sym___inline__] = ACTIONS(2061),
    [anon_sym___forceinline] = ACTIONS(2061),
    [anon_sym_thread_local] = ACTIONS(2061),
    [anon_sym___thread] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(2061),
    [anon_sym_constexpr] = ACTIONS(2061),
    [anon_sym_volatile] = ACTIONS(2061),
    [anon_sym_restrict] = ACTIONS(2061),
    [anon_sym___restrict__] = ACTIONS(2061),
    [anon_sym__Atomic] = ACTIONS(2061),
    [anon_sym__Noreturn] = ACTIONS(2061),
    [anon_sym_noreturn] = ACTIONS(2061),
    [anon_sym__Nonnull] = ACTIONS(2061),
    [anon_sym_mutable] = ACTIONS(2061),
    [anon_sym_constinit] = ACTIONS(2061),
    [anon_sym_consteval] = ACTIONS(2061),
    [anon_sym_alignas] = ACTIONS(2061),
    [anon_sym__Alignas] = ACTIONS(2061),
    [sym_primitive_type] = ACTIONS(2061),
    [anon_sym_enum] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_struct] = ACTIONS(2061),
    [anon_sym_union] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_else] = ACTIONS(2061),
    [anon_sym_switch] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym___try] = ACTIONS(2061),
    [anon_sym___leave] = ACTIONS(2061),
    [anon_sym_not] = ACTIONS(2061),
    [anon_sym_compl] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2063),
    [anon_sym_PLUS_PLUS] = ACTIONS(2063),
    [anon_sym_sizeof] = ACTIONS(2061),
    [anon_sym___alignof__] = ACTIONS(2061),
    [anon_sym___alignof] = ACTIONS(2061),
    [anon_sym__alignof] = ACTIONS(2061),
    [anon_sym_alignof] = ACTIONS(2061),
    [anon_sym__Alignof] = ACTIONS(2061),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2061),
    [anon_sym_asm] = ACTIONS(2061),
    [anon_sym___asm__] = ACTIONS(2061),
    [anon_sym___asm] = ACTIONS(2061),
    [sym_number_literal] = ACTIONS(2063),
    [anon_sym_L_SQUOTE] = ACTIONS(2063),
    [anon_sym_u_SQUOTE] = ACTIONS(2063),
    [anon_sym_U_SQUOTE] = ACTIONS(2063),
    [anon_sym_u8_SQUOTE] = ACTIONS(2063),
    [anon_sym_SQUOTE] = ACTIONS(2063),
    [anon_sym_L_DQUOTE] = ACTIONS(2063),
    [anon_sym_u_DQUOTE] = ACTIONS(2063),
    [anon_sym_U_DQUOTE] = ACTIONS(2063),
    [anon_sym_u8_DQUOTE] = ACTIONS(2063),
    [anon_sym_DQUOTE] = ACTIONS(2063),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2061),
    [anon_sym_nullptr] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2061),
    [anon_sym_decltype] = ACTIONS(2061),
    [anon_sym_typename] = ACTIONS(2061),
    [anon_sym_template] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2061),
    [anon_sym_co_return] = ACTIONS(2061),
    [anon_sym_co_yield] = ACTIONS(2061),
    [anon_sym_catch] = ACTIONS(3932),
    [anon_sym_R_DQUOTE] = ACTIONS(2063),
    [anon_sym_LR_DQUOTE] = ACTIONS(2063),
    [anon_sym_uR_DQUOTE] = ACTIONS(2063),
    [anon_sym_UR_DQUOTE] = ACTIONS(2063),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2063),
    [anon_sym_co_await] = ACTIONS(2061),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2061),
    [sym_this] = ACTIONS(2061),
    [anon_sym_discard] = ACTIONS(2061),
    [anon_sym_precise] = ACTIONS(2061),
    [anon_sym_shared] = ACTIONS(2061),
    [anon_sym_groupshared] = ACTIONS(2061),
    [anon_sym_uniform] = ACTIONS(2061),
    [anon_sym_row_major] = ACTIONS(2061),
    [anon_sym_column_major] = ACTIONS(2061),
    [anon_sym_globallycoherent] = ACTIONS(2061),
    [anon_sym_centroid] = ACTIONS(2061),
    [anon_sym_noperspective] = ACTIONS(2061),
    [anon_sym_nointerpolation] = ACTIONS(2061),
    [anon_sym_sample] = ACTIONS(2061),
    [anon_sym_linear] = ACTIONS(2061),
    [anon_sym_snorm] = ACTIONS(2061),
    [anon_sym_unorm] = ACTIONS(2061),
    [anon_sym_point] = ACTIONS(2061),
    [anon_sym_line] = ACTIONS(2061),
    [anon_sym_triangleadj] = ACTIONS(2061),
    [anon_sym_lineadj] = ACTIONS(2061),
    [anon_sym_triangle] = ACTIONS(2061),
    [anon_sym_cbuffer] = ACTIONS(2061),
  },
  [964] = {
    [sym_catch_clause] = STATE(963),
    [aux_sym_constructor_try_statement_repeat1] = STATE(963),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_LPAREN2] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2057),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym___extension__] = ACTIONS(2055),
    [anon_sym_typedef] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_out] = ACTIONS(2055),
    [anon_sym_inout] = ACTIONS(2055),
    [anon_sym_virtual] = ACTIONS(2055),
    [anon_sym_extern] = ACTIONS(2055),
    [anon_sym___attribute__] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2057),
    [anon_sym___declspec] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_signed] = ACTIONS(2055),
    [anon_sym_unsigned] = ACTIONS(2055),
    [anon_sym_long] = ACTIONS(2055),
    [anon_sym_short] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_register] = ACTIONS(2055),
    [anon_sym_inline] = ACTIONS(2055),
    [anon_sym___inline] = ACTIONS(2055),
    [anon_sym___inline__] = ACTIONS(2055),
    [anon_sym___forceinline] = ACTIONS(2055),
    [anon_sym_thread_local] = ACTIONS(2055),
    [anon_sym___thread] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_constexpr] = ACTIONS(2055),
    [anon_sym_volatile] = ACTIONS(2055),
    [anon_sym_restrict] = ACTIONS(2055),
    [anon_sym___restrict__] = ACTIONS(2055),
    [anon_sym__Atomic] = ACTIONS(2055),
    [anon_sym__Noreturn] = ACTIONS(2055),
    [anon_sym_noreturn] = ACTIONS(2055),
    [anon_sym__Nonnull] = ACTIONS(2055),
    [anon_sym_mutable] = ACTIONS(2055),
    [anon_sym_constinit] = ACTIONS(2055),
    [anon_sym_consteval] = ACTIONS(2055),
    [anon_sym_alignas] = ACTIONS(2055),
    [anon_sym__Alignas] = ACTIONS(2055),
    [sym_primitive_type] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_struct] = ACTIONS(2055),
    [anon_sym_union] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_goto] = ACTIONS(2055),
    [anon_sym___try] = ACTIONS(2055),
    [anon_sym___leave] = ACTIONS(2055),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_sizeof] = ACTIONS(2055),
    [anon_sym___alignof__] = ACTIONS(2055),
    [anon_sym___alignof] = ACTIONS(2055),
    [anon_sym__alignof] = ACTIONS(2055),
    [anon_sym_alignof] = ACTIONS(2055),
    [anon_sym__Alignof] = ACTIONS(2055),
    [anon_sym_offsetof] = ACTIONS(2055),
    [anon_sym__Generic] = ACTIONS(2055),
    [anon_sym_asm] = ACTIONS(2055),
    [anon_sym___asm__] = ACTIONS(2055),
    [anon_sym___asm] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(2057),
    [anon_sym_L_SQUOTE] = ACTIONS(2057),
    [anon_sym_u_SQUOTE] = ACTIONS(2057),
    [anon_sym_U_SQUOTE] = ACTIONS(2057),
    [anon_sym_u8_SQUOTE] = ACTIONS(2057),
    [anon_sym_SQUOTE] = ACTIONS(2057),
    [anon_sym_L_DQUOTE] = ACTIONS(2057),
    [anon_sym_u_DQUOTE] = ACTIONS(2057),
    [anon_sym_U_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8_DQUOTE] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(2057),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [anon_sym_NULL] = ACTIONS(2055),
    [anon_sym_nullptr] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2055),
    [anon_sym_decltype] = ACTIONS(2055),
    [anon_sym_typename] = ACTIONS(2055),
    [anon_sym_template] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_co_return] = ACTIONS(2055),
    [anon_sym_co_yield] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(3935),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_requires] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [anon_sym_discard] = ACTIONS(2055),
    [anon_sym_precise] = ACTIONS(2055),
    [anon_sym_shared] = ACTIONS(2055),
    [anon_sym_groupshared] = ACTIONS(2055),
    [anon_sym_uniform] = ACTIONS(2055),
    [anon_sym_row_major] = ACTIONS(2055),
    [anon_sym_column_major] = ACTIONS(2055),
    [anon_sym_globallycoherent] = ACTIONS(2055),
    [anon_sym_centroid] = ACTIONS(2055),
    [anon_sym_noperspective] = ACTIONS(2055),
    [anon_sym_nointerpolation] = ACTIONS(2055),
    [anon_sym_sample] = ACTIONS(2055),
    [anon_sym_linear] = ACTIONS(2055),
    [anon_sym_snorm] = ACTIONS(2055),
    [anon_sym_unorm] = ACTIONS(2055),
    [anon_sym_point] = ACTIONS(2055),
    [anon_sym_line] = ACTIONS(2055),
    [anon_sym_triangleadj] = ACTIONS(2055),
    [anon_sym_lineadj] = ACTIONS(2055),
    [anon_sym_triangle] = ACTIONS(2055),
    [anon_sym_cbuffer] = ACTIONS(2055),
  },
  [965] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_LPAREN2] = ACTIONS(2070),
    [anon_sym_BANG] = ACTIONS(2070),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2070),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_typedef] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_signed] = ACTIONS(2068),
    [anon_sym_unsigned] = ACTIONS(2068),
    [anon_sym_long] = ACTIONS(2068),
    [anon_sym_short] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [sym_primitive_type] = ACTIONS(2068),
    [anon_sym_enum] = ACTIONS(2068),
    [anon_sym_class] = ACTIONS(2068),
    [anon_sym_struct] = ACTIONS(2068),
    [anon_sym_union] = ACTIONS(2068),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_else] = ACTIONS(2068),
    [anon_sym_switch] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2068),
    [anon_sym_do] = ACTIONS(2068),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_return] = ACTIONS(2068),
    [anon_sym_break] = ACTIONS(2068),
    [anon_sym_continue] = ACTIONS(2068),
    [anon_sym_goto] = ACTIONS(2068),
    [anon_sym___try] = ACTIONS(2068),
    [anon_sym___leave] = ACTIONS(2068),
    [anon_sym_not] = ACTIONS(2068),
    [anon_sym_compl] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2070),
    [anon_sym_PLUS_PLUS] = ACTIONS(2070),
    [anon_sym_sizeof] = ACTIONS(2068),
    [anon_sym___alignof__] = ACTIONS(2068),
    [anon_sym___alignof] = ACTIONS(2068),
    [anon_sym__alignof] = ACTIONS(2068),
    [anon_sym_alignof] = ACTIONS(2068),
    [anon_sym__Alignof] = ACTIONS(2068),
    [anon_sym_offsetof] = ACTIONS(2068),
    [anon_sym__Generic] = ACTIONS(2068),
    [anon_sym_asm] = ACTIONS(2068),
    [anon_sym___asm__] = ACTIONS(2068),
    [anon_sym___asm] = ACTIONS(2068),
    [sym_number_literal] = ACTIONS(2070),
    [anon_sym_L_SQUOTE] = ACTIONS(2070),
    [anon_sym_u_SQUOTE] = ACTIONS(2070),
    [anon_sym_U_SQUOTE] = ACTIONS(2070),
    [anon_sym_u8_SQUOTE] = ACTIONS(2070),
    [anon_sym_SQUOTE] = ACTIONS(2070),
    [anon_sym_L_DQUOTE] = ACTIONS(2070),
    [anon_sym_u_DQUOTE] = ACTIONS(2070),
    [anon_sym_U_DQUOTE] = ACTIONS(2070),
    [anon_sym_u8_DQUOTE] = ACTIONS(2070),
    [anon_sym_DQUOTE] = ACTIONS(2070),
    [sym_true] = ACTIONS(2068),
    [sym_false] = ACTIONS(2068),
    [anon_sym_NULL] = ACTIONS(2068),
    [anon_sym_nullptr] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_final] = ACTIONS(2068),
    [anon_sym_override] = ACTIONS(2068),
    [anon_sym_typename] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2068),
    [anon_sym_delete] = ACTIONS(2068),
    [anon_sym_throw] = ACTIONS(2068),
    [anon_sym_co_return] = ACTIONS(2068),
    [anon_sym_co_yield] = ACTIONS(2068),
    [anon_sym_R_DQUOTE] = ACTIONS(2070),
    [anon_sym_LR_DQUOTE] = ACTIONS(2070),
    [anon_sym_uR_DQUOTE] = ACTIONS(2070),
    [anon_sym_UR_DQUOTE] = ACTIONS(2070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2070),
    [anon_sym_co_await] = ACTIONS(2068),
    [anon_sym_new] = ACTIONS(2068),
    [anon_sym_requires] = ACTIONS(2068),
    [sym_this] = ACTIONS(2068),
    [anon_sym_discard] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
    [anon_sym_cbuffer] = ACTIONS(2068),
  },
  [966] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2051),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [967] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2051),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [968] = {
    [sym_identifier] = ACTIONS(2072),
    [anon_sym_LPAREN2] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(2074),
    [anon_sym_TILDE] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP] = ACTIONS(2074),
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2074),
    [anon_sym___extension__] = ACTIONS(2072),
    [anon_sym_typedef] = ACTIONS(2072),
    [anon_sym_in] = ACTIONS(2072),
    [anon_sym_out] = ACTIONS(2072),
    [anon_sym_inout] = ACTIONS(2072),
    [anon_sym_virtual] = ACTIONS(2072),
    [anon_sym_extern] = ACTIONS(2072),
    [anon_sym___attribute__] = ACTIONS(2072),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2074),
    [anon_sym___declspec] = ACTIONS(2072),
    [anon_sym_LBRACE] = ACTIONS(2074),
    [anon_sym_signed] = ACTIONS(2072),
    [anon_sym_unsigned] = ACTIONS(2072),
    [anon_sym_long] = ACTIONS(2072),
    [anon_sym_short] = ACTIONS(2072),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_static] = ACTIONS(2072),
    [anon_sym_register] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(2072),
    [anon_sym___inline] = ACTIONS(2072),
    [anon_sym___inline__] = ACTIONS(2072),
    [anon_sym___forceinline] = ACTIONS(2072),
    [anon_sym_thread_local] = ACTIONS(2072),
    [anon_sym___thread] = ACTIONS(2072),
    [anon_sym_const] = ACTIONS(2072),
    [anon_sym_constexpr] = ACTIONS(2072),
    [anon_sym_volatile] = ACTIONS(2072),
    [anon_sym_restrict] = ACTIONS(2072),
    [anon_sym___restrict__] = ACTIONS(2072),
    [anon_sym__Atomic] = ACTIONS(2072),
    [anon_sym__Noreturn] = ACTIONS(2072),
    [anon_sym_noreturn] = ACTIONS(2072),
    [anon_sym__Nonnull] = ACTIONS(2072),
    [anon_sym_mutable] = ACTIONS(2072),
    [anon_sym_constinit] = ACTIONS(2072),
    [anon_sym_consteval] = ACTIONS(2072),
    [anon_sym_alignas] = ACTIONS(2072),
    [anon_sym__Alignas] = ACTIONS(2072),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_enum] = ACTIONS(2072),
    [anon_sym_class] = ACTIONS(2072),
    [anon_sym_struct] = ACTIONS(2072),
    [anon_sym_union] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_else] = ACTIONS(2072),
    [anon_sym_switch] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2072),
    [anon_sym_do] = ACTIONS(2072),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_return] = ACTIONS(2072),
    [anon_sym_break] = ACTIONS(2072),
    [anon_sym_continue] = ACTIONS(2072),
    [anon_sym_goto] = ACTIONS(2072),
    [anon_sym___try] = ACTIONS(2072),
    [anon_sym___leave] = ACTIONS(2072),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2074),
    [anon_sym_PLUS_PLUS] = ACTIONS(2074),
    [anon_sym_sizeof] = ACTIONS(2072),
    [anon_sym___alignof__] = ACTIONS(2072),
    [anon_sym___alignof] = ACTIONS(2072),
    [anon_sym__alignof] = ACTIONS(2072),
    [anon_sym_alignof] = ACTIONS(2072),
    [anon_sym__Alignof] = ACTIONS(2072),
    [anon_sym_offsetof] = ACTIONS(2072),
    [anon_sym__Generic] = ACTIONS(2072),
    [anon_sym_asm] = ACTIONS(2072),
    [anon_sym___asm__] = ACTIONS(2072),
    [anon_sym___asm] = ACTIONS(2072),
    [sym_number_literal] = ACTIONS(2074),
    [anon_sym_L_SQUOTE] = ACTIONS(2074),
    [anon_sym_u_SQUOTE] = ACTIONS(2074),
    [anon_sym_U_SQUOTE] = ACTIONS(2074),
    [anon_sym_u8_SQUOTE] = ACTIONS(2074),
    [anon_sym_SQUOTE] = ACTIONS(2074),
    [anon_sym_L_DQUOTE] = ACTIONS(2074),
    [anon_sym_u_DQUOTE] = ACTIONS(2074),
    [anon_sym_U_DQUOTE] = ACTIONS(2074),
    [anon_sym_u8_DQUOTE] = ACTIONS(2074),
    [anon_sym_DQUOTE] = ACTIONS(2074),
    [sym_true] = ACTIONS(2072),
    [sym_false] = ACTIONS(2072),
    [anon_sym_NULL] = ACTIONS(2072),
    [anon_sym_nullptr] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2072),
    [anon_sym_decltype] = ACTIONS(2072),
    [anon_sym_final] = ACTIONS(2072),
    [anon_sym_override] = ACTIONS(2072),
    [anon_sym_typename] = ACTIONS(2072),
    [anon_sym_template] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2072),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2072),
    [anon_sym_co_return] = ACTIONS(2072),
    [anon_sym_co_yield] = ACTIONS(2072),
    [anon_sym_R_DQUOTE] = ACTIONS(2074),
    [anon_sym_LR_DQUOTE] = ACTIONS(2074),
    [anon_sym_uR_DQUOTE] = ACTIONS(2074),
    [anon_sym_UR_DQUOTE] = ACTIONS(2074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2074),
    [anon_sym_co_await] = ACTIONS(2072),
    [anon_sym_new] = ACTIONS(2072),
    [anon_sym_requires] = ACTIONS(2072),
    [sym_this] = ACTIONS(2072),
    [anon_sym_discard] = ACTIONS(2072),
    [anon_sym_precise] = ACTIONS(2072),
    [anon_sym_shared] = ACTIONS(2072),
    [anon_sym_groupshared] = ACTIONS(2072),
    [anon_sym_uniform] = ACTIONS(2072),
    [anon_sym_row_major] = ACTIONS(2072),
    [anon_sym_column_major] = ACTIONS(2072),
    [anon_sym_globallycoherent] = ACTIONS(2072),
    [anon_sym_centroid] = ACTIONS(2072),
    [anon_sym_noperspective] = ACTIONS(2072),
    [anon_sym_nointerpolation] = ACTIONS(2072),
    [anon_sym_sample] = ACTIONS(2072),
    [anon_sym_linear] = ACTIONS(2072),
    [anon_sym_snorm] = ACTIONS(2072),
    [anon_sym_unorm] = ACTIONS(2072),
    [anon_sym_point] = ACTIONS(2072),
    [anon_sym_line] = ACTIONS(2072),
    [anon_sym_triangleadj] = ACTIONS(2072),
    [anon_sym_lineadj] = ACTIONS(2072),
    [anon_sym_triangle] = ACTIONS(2072),
    [anon_sym_cbuffer] = ACTIONS(2072),
  },
  [969] = {
    [sym_identifier] = ACTIONS(2076),
    [anon_sym_LPAREN2] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_AMP] = ACTIONS(2078),
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym___extension__] = ACTIONS(2076),
    [anon_sym_typedef] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2076),
    [anon_sym_out] = ACTIONS(2076),
    [anon_sym_inout] = ACTIONS(2076),
    [anon_sym_virtual] = ACTIONS(2076),
    [anon_sym_extern] = ACTIONS(2076),
    [anon_sym___attribute__] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2078),
    [anon_sym___declspec] = ACTIONS(2076),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2076),
    [anon_sym_unsigned] = ACTIONS(2076),
    [anon_sym_long] = ACTIONS(2076),
    [anon_sym_short] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_static] = ACTIONS(2076),
    [anon_sym_register] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(2076),
    [anon_sym___inline] = ACTIONS(2076),
    [anon_sym___inline__] = ACTIONS(2076),
    [anon_sym___forceinline] = ACTIONS(2076),
    [anon_sym_thread_local] = ACTIONS(2076),
    [anon_sym___thread] = ACTIONS(2076),
    [anon_sym_const] = ACTIONS(2076),
    [anon_sym_constexpr] = ACTIONS(2076),
    [anon_sym_volatile] = ACTIONS(2076),
    [anon_sym_restrict] = ACTIONS(2076),
    [anon_sym___restrict__] = ACTIONS(2076),
    [anon_sym__Atomic] = ACTIONS(2076),
    [anon_sym__Noreturn] = ACTIONS(2076),
    [anon_sym_noreturn] = ACTIONS(2076),
    [anon_sym__Nonnull] = ACTIONS(2076),
    [anon_sym_mutable] = ACTIONS(2076),
    [anon_sym_constinit] = ACTIONS(2076),
    [anon_sym_consteval] = ACTIONS(2076),
    [anon_sym_alignas] = ACTIONS(2076),
    [anon_sym__Alignas] = ACTIONS(2076),
    [sym_primitive_type] = ACTIONS(2076),
    [anon_sym_enum] = ACTIONS(2076),
    [anon_sym_class] = ACTIONS(2076),
    [anon_sym_struct] = ACTIONS(2076),
    [anon_sym_union] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_else] = ACTIONS(2076),
    [anon_sym_switch] = ACTIONS(2076),
    [anon_sym_while] = ACTIONS(2076),
    [anon_sym_do] = ACTIONS(2076),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_break] = ACTIONS(2076),
    [anon_sym_continue] = ACTIONS(2076),
    [anon_sym_goto] = ACTIONS(2076),
    [anon_sym___try] = ACTIONS(2076),
    [anon_sym___leave] = ACTIONS(2076),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_compl] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2078),
    [anon_sym_PLUS_PLUS] = ACTIONS(2078),
    [anon_sym_sizeof] = ACTIONS(2076),
    [anon_sym___alignof__] = ACTIONS(2076),
    [anon_sym___alignof] = ACTIONS(2076),
    [anon_sym__alignof] = ACTIONS(2076),
    [anon_sym_alignof] = ACTIONS(2076),
    [anon_sym__Alignof] = ACTIONS(2076),
    [anon_sym_offsetof] = ACTIONS(2076),
    [anon_sym__Generic] = ACTIONS(2076),
    [anon_sym_asm] = ACTIONS(2076),
    [anon_sym___asm__] = ACTIONS(2076),
    [anon_sym___asm] = ACTIONS(2076),
    [sym_number_literal] = ACTIONS(2078),
    [anon_sym_L_SQUOTE] = ACTIONS(2078),
    [anon_sym_u_SQUOTE] = ACTIONS(2078),
    [anon_sym_U_SQUOTE] = ACTIONS(2078),
    [anon_sym_u8_SQUOTE] = ACTIONS(2078),
    [anon_sym_SQUOTE] = ACTIONS(2078),
    [anon_sym_L_DQUOTE] = ACTIONS(2078),
    [anon_sym_u_DQUOTE] = ACTIONS(2078),
    [anon_sym_U_DQUOTE] = ACTIONS(2078),
    [anon_sym_u8_DQUOTE] = ACTIONS(2078),
    [anon_sym_DQUOTE] = ACTIONS(2078),
    [sym_true] = ACTIONS(2076),
    [sym_false] = ACTIONS(2076),
    [anon_sym_NULL] = ACTIONS(2076),
    [anon_sym_nullptr] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2076),
    [anon_sym_decltype] = ACTIONS(2076),
    [anon_sym_final] = ACTIONS(2076),
    [anon_sym_override] = ACTIONS(2076),
    [anon_sym_typename] = ACTIONS(2076),
    [anon_sym_template] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2076),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2076),
    [anon_sym_co_return] = ACTIONS(2076),
    [anon_sym_co_yield] = ACTIONS(2076),
    [anon_sym_R_DQUOTE] = ACTIONS(2078),
    [anon_sym_LR_DQUOTE] = ACTIONS(2078),
    [anon_sym_uR_DQUOTE] = ACTIONS(2078),
    [anon_sym_UR_DQUOTE] = ACTIONS(2078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2078),
    [anon_sym_co_await] = ACTIONS(2076),
    [anon_sym_new] = ACTIONS(2076),
    [anon_sym_requires] = ACTIONS(2076),
    [sym_this] = ACTIONS(2076),
    [anon_sym_discard] = ACTIONS(2076),
    [anon_sym_precise] = ACTIONS(2076),
    [anon_sym_shared] = ACTIONS(2076),
    [anon_sym_groupshared] = ACTIONS(2076),
    [anon_sym_uniform] = ACTIONS(2076),
    [anon_sym_row_major] = ACTIONS(2076),
    [anon_sym_column_major] = ACTIONS(2076),
    [anon_sym_globallycoherent] = ACTIONS(2076),
    [anon_sym_centroid] = ACTIONS(2076),
    [anon_sym_noperspective] = ACTIONS(2076),
    [anon_sym_nointerpolation] = ACTIONS(2076),
    [anon_sym_sample] = ACTIONS(2076),
    [anon_sym_linear] = ACTIONS(2076),
    [anon_sym_snorm] = ACTIONS(2076),
    [anon_sym_unorm] = ACTIONS(2076),
    [anon_sym_point] = ACTIONS(2076),
    [anon_sym_line] = ACTIONS(2076),
    [anon_sym_triangleadj] = ACTIONS(2076),
    [anon_sym_lineadj] = ACTIONS(2076),
    [anon_sym_triangle] = ACTIONS(2076),
    [anon_sym_cbuffer] = ACTIONS(2076),
  },
  [970] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2051),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_typedef] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym___try] = ACTIONS(2049),
    [anon_sym___leave] = ACTIONS(2049),
    [anon_sym_not] = ACTIONS(2049),
    [anon_sym_compl] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_sizeof] = ACTIONS(2049),
    [anon_sym___alignof__] = ACTIONS(2049),
    [anon_sym___alignof] = ACTIONS(2049),
    [anon_sym__alignof] = ACTIONS(2049),
    [anon_sym_alignof] = ACTIONS(2049),
    [anon_sym__Alignof] = ACTIONS(2049),
    [anon_sym_offsetof] = ACTIONS(2049),
    [anon_sym__Generic] = ACTIONS(2049),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [anon_sym___asm] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2051),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2051),
    [anon_sym_u_DQUOTE] = ACTIONS(2051),
    [anon_sym_U_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8_DQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2049),
    [anon_sym_nullptr] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_co_return] = ACTIONS(2049),
    [anon_sym_co_yield] = ACTIONS(2049),
    [anon_sym_R_DQUOTE] = ACTIONS(2051),
    [anon_sym_LR_DQUOTE] = ACTIONS(2051),
    [anon_sym_uR_DQUOTE] = ACTIONS(2051),
    [anon_sym_UR_DQUOTE] = ACTIONS(2051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2051),
    [anon_sym_co_await] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [sym_this] = ACTIONS(2049),
    [anon_sym_discard] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
    [anon_sym_cbuffer] = ACTIONS(2049),
  },
  [971] = {
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1923),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_typedef] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_signed] = ACTIONS(1921),
    [anon_sym_unsigned] = ACTIONS(1921),
    [anon_sym_long] = ACTIONS(1921),
    [anon_sym_short] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [sym_primitive_type] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1921),
    [anon_sym_struct] = ACTIONS(1921),
    [anon_sym_union] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1921),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1921),
    [anon_sym_return] = ACTIONS(1921),
    [anon_sym_break] = ACTIONS(1921),
    [anon_sym_continue] = ACTIONS(1921),
    [anon_sym_goto] = ACTIONS(1921),
    [anon_sym___try] = ACTIONS(1921),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(1921),
    [anon_sym_compl] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_sizeof] = ACTIONS(1921),
    [anon_sym___alignof__] = ACTIONS(1921),
    [anon_sym___alignof] = ACTIONS(1921),
    [anon_sym__alignof] = ACTIONS(1921),
    [anon_sym_alignof] = ACTIONS(1921),
    [anon_sym__Alignof] = ACTIONS(1921),
    [anon_sym_offsetof] = ACTIONS(1921),
    [anon_sym__Generic] = ACTIONS(1921),
    [anon_sym_asm] = ACTIONS(1921),
    [anon_sym___asm__] = ACTIONS(1921),
    [anon_sym___asm] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [anon_sym_L_SQUOTE] = ACTIONS(1923),
    [anon_sym_u_SQUOTE] = ACTIONS(1923),
    [anon_sym_U_SQUOTE] = ACTIONS(1923),
    [anon_sym_u8_SQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [anon_sym_L_DQUOTE] = ACTIONS(1923),
    [anon_sym_u_DQUOTE] = ACTIONS(1923),
    [anon_sym_U_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8_DQUOTE] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [anon_sym_NULL] = ACTIONS(1921),
    [anon_sym_nullptr] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_final] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_typename] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_try] = ACTIONS(1921),
    [anon_sym_delete] = ACTIONS(1921),
    [anon_sym_throw] = ACTIONS(1921),
    [anon_sym_co_return] = ACTIONS(1921),
    [anon_sym_co_yield] = ACTIONS(1921),
    [anon_sym_R_DQUOTE] = ACTIONS(1923),
    [anon_sym_LR_DQUOTE] = ACTIONS(1923),
    [anon_sym_uR_DQUOTE] = ACTIONS(1923),
    [anon_sym_UR_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1923),
    [anon_sym_co_await] = ACTIONS(1921),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_requires] = ACTIONS(1921),
    [sym_this] = ACTIONS(1921),
    [anon_sym_discard] = ACTIONS(1921),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
    [anon_sym_cbuffer] = ACTIONS(1921),
  },
  [972] = {
    [sym_identifier] = ACTIONS(1947),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1949),
    [anon_sym_AMP] = ACTIONS(1949),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1949),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_typedef] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_signed] = ACTIONS(1947),
    [anon_sym_unsigned] = ACTIONS(1947),
    [anon_sym_long] = ACTIONS(1947),
    [anon_sym_short] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [sym_primitive_type] = ACTIONS(1947),
    [anon_sym_enum] = ACTIONS(1947),
    [anon_sym_class] = ACTIONS(1947),
    [anon_sym_struct] = ACTIONS(1947),
    [anon_sym_union] = ACTIONS(1947),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_else] = ACTIONS(1947),
    [anon_sym_switch] = ACTIONS(1947),
    [anon_sym_while] = ACTIONS(1947),
    [anon_sym_do] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1947),
    [anon_sym_break] = ACTIONS(1947),
    [anon_sym_continue] = ACTIONS(1947),
    [anon_sym_goto] = ACTIONS(1947),
    [anon_sym___try] = ACTIONS(1947),
    [anon_sym___leave] = ACTIONS(1947),
    [anon_sym_not] = ACTIONS(1947),
    [anon_sym_compl] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(1947),
    [anon_sym___alignof] = ACTIONS(1947),
    [anon_sym__alignof] = ACTIONS(1947),
    [anon_sym_alignof] = ACTIONS(1947),
    [anon_sym__Alignof] = ACTIONS(1947),
    [anon_sym_offsetof] = ACTIONS(1947),
    [anon_sym__Generic] = ACTIONS(1947),
    [anon_sym_asm] = ACTIONS(1947),
    [anon_sym___asm__] = ACTIONS(1947),
    [anon_sym___asm] = ACTIONS(1947),
    [sym_number_literal] = ACTIONS(1949),
    [anon_sym_L_SQUOTE] = ACTIONS(1949),
    [anon_sym_u_SQUOTE] = ACTIONS(1949),
    [anon_sym_U_SQUOTE] = ACTIONS(1949),
    [anon_sym_u8_SQUOTE] = ACTIONS(1949),
    [anon_sym_SQUOTE] = ACTIONS(1949),
    [anon_sym_L_DQUOTE] = ACTIONS(1949),
    [anon_sym_u_DQUOTE] = ACTIONS(1949),
    [anon_sym_U_DQUOTE] = ACTIONS(1949),
    [anon_sym_u8_DQUOTE] = ACTIONS(1949),
    [anon_sym_DQUOTE] = ACTIONS(1949),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_final] = ACTIONS(1947),
    [anon_sym_override] = ACTIONS(1947),
    [anon_sym_typename] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_try] = ACTIONS(1947),
    [anon_sym_delete] = ACTIONS(1947),
    [anon_sym_throw] = ACTIONS(1947),
    [anon_sym_co_return] = ACTIONS(1947),
    [anon_sym_co_yield] = ACTIONS(1947),
    [anon_sym_R_DQUOTE] = ACTIONS(1949),
    [anon_sym_LR_DQUOTE] = ACTIONS(1949),
    [anon_sym_uR_DQUOTE] = ACTIONS(1949),
    [anon_sym_UR_DQUOTE] = ACTIONS(1949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1949),
    [anon_sym_co_await] = ACTIONS(1947),
    [anon_sym_new] = ACTIONS(1947),
    [anon_sym_requires] = ACTIONS(1947),
    [sym_this] = ACTIONS(1947),
    [anon_sym_discard] = ACTIONS(1947),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
    [anon_sym_cbuffer] = ACTIONS(1947),
  },
  [973] = {
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_BANG] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_AMP] = ACTIONS(1953),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_typedef] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_signed] = ACTIONS(1951),
    [anon_sym_unsigned] = ACTIONS(1951),
    [anon_sym_long] = ACTIONS(1951),
    [anon_sym_short] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [sym_primitive_type] = ACTIONS(1951),
    [anon_sym_enum] = ACTIONS(1951),
    [anon_sym_class] = ACTIONS(1951),
    [anon_sym_struct] = ACTIONS(1951),
    [anon_sym_union] = ACTIONS(1951),
    [anon_sym_if] = ACTIONS(1951),
    [anon_sym_else] = ACTIONS(1951),
    [anon_sym_switch] = ACTIONS(1951),
    [anon_sym_while] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1951),
    [anon_sym_for] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1951),
    [anon_sym_break] = ACTIONS(1951),
    [anon_sym_continue] = ACTIONS(1951),
    [anon_sym_goto] = ACTIONS(1951),
    [anon_sym___try] = ACTIONS(1951),
    [anon_sym___leave] = ACTIONS(1951),
    [anon_sym_not] = ACTIONS(1951),
    [anon_sym_compl] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_sizeof] = ACTIONS(1951),
    [anon_sym___alignof__] = ACTIONS(1951),
    [anon_sym___alignof] = ACTIONS(1951),
    [anon_sym__alignof] = ACTIONS(1951),
    [anon_sym_alignof] = ACTIONS(1951),
    [anon_sym__Alignof] = ACTIONS(1951),
    [anon_sym_offsetof] = ACTIONS(1951),
    [anon_sym__Generic] = ACTIONS(1951),
    [anon_sym_asm] = ACTIONS(1951),
    [anon_sym___asm__] = ACTIONS(1951),
    [anon_sym___asm] = ACTIONS(1951),
    [sym_number_literal] = ACTIONS(1953),
    [anon_sym_L_SQUOTE] = ACTIONS(1953),
    [anon_sym_u_SQUOTE] = ACTIONS(1953),
    [anon_sym_U_SQUOTE] = ACTIONS(1953),
    [anon_sym_u8_SQUOTE] = ACTIONS(1953),
    [anon_sym_SQUOTE] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(1953),
    [anon_sym_u_DQUOTE] = ACTIONS(1953),
    [anon_sym_U_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8_DQUOTE] = ACTIONS(1953),
    [anon_sym_DQUOTE] = ACTIONS(1953),
    [sym_true] = ACTIONS(1951),
    [sym_false] = ACTIONS(1951),
    [anon_sym_NULL] = ACTIONS(1951),
    [anon_sym_nullptr] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_final] = ACTIONS(1951),
    [anon_sym_override] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_try] = ACTIONS(1951),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_throw] = ACTIONS(1951),
    [anon_sym_co_return] = ACTIONS(1951),
    [anon_sym_co_yield] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1951),
    [anon_sym_new] = ACTIONS(1951),
    [anon_sym_requires] = ACTIONS(1951),
    [sym_this] = ACTIONS(1951),
    [anon_sym_discard] = ACTIONS(1951),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
    [anon_sym_cbuffer] = ACTIONS(1951),
  },
  [974] = {
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1957),
    [anon_sym_AMP] = ACTIONS(1957),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_typedef] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_signed] = ACTIONS(1955),
    [anon_sym_unsigned] = ACTIONS(1955),
    [anon_sym_long] = ACTIONS(1955),
    [anon_sym_short] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [sym_primitive_type] = ACTIONS(1955),
    [anon_sym_enum] = ACTIONS(1955),
    [anon_sym_class] = ACTIONS(1955),
    [anon_sym_struct] = ACTIONS(1955),
    [anon_sym_union] = ACTIONS(1955),
    [anon_sym_if] = ACTIONS(1955),
    [anon_sym_else] = ACTIONS(1955),
    [anon_sym_switch] = ACTIONS(1955),
    [anon_sym_while] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1955),
    [anon_sym_for] = ACTIONS(1955),
    [anon_sym_return] = ACTIONS(1955),
    [anon_sym_break] = ACTIONS(1955),
    [anon_sym_continue] = ACTIONS(1955),
    [anon_sym_goto] = ACTIONS(1955),
    [anon_sym___try] = ACTIONS(1955),
    [anon_sym___leave] = ACTIONS(1955),
    [anon_sym_not] = ACTIONS(1955),
    [anon_sym_compl] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_sizeof] = ACTIONS(1955),
    [anon_sym___alignof__] = ACTIONS(1955),
    [anon_sym___alignof] = ACTIONS(1955),
    [anon_sym__alignof] = ACTIONS(1955),
    [anon_sym_alignof] = ACTIONS(1955),
    [anon_sym__Alignof] = ACTIONS(1955),
    [anon_sym_offsetof] = ACTIONS(1955),
    [anon_sym__Generic] = ACTIONS(1955),
    [anon_sym_asm] = ACTIONS(1955),
    [anon_sym___asm__] = ACTIONS(1955),
    [anon_sym___asm] = ACTIONS(1955),
    [sym_number_literal] = ACTIONS(1957),
    [anon_sym_L_SQUOTE] = ACTIONS(1957),
    [anon_sym_u_SQUOTE] = ACTIONS(1957),
    [anon_sym_U_SQUOTE] = ACTIONS(1957),
    [anon_sym_u8_SQUOTE] = ACTIONS(1957),
    [anon_sym_SQUOTE] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(1957),
    [anon_sym_u_DQUOTE] = ACTIONS(1957),
    [anon_sym_U_DQUOTE] = ACTIONS(1957),
    [anon_sym_u8_DQUOTE] = ACTIONS(1957),
    [anon_sym_DQUOTE] = ACTIONS(1957),
    [sym_true] = ACTIONS(1955),
    [sym_false] = ACTIONS(1955),
    [anon_sym_NULL] = ACTIONS(1955),
    [anon_sym_nullptr] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_final] = ACTIONS(1955),
    [anon_sym_override] = ACTIONS(1955),
    [anon_sym_typename] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_try] = ACTIONS(1955),
    [anon_sym_delete] = ACTIONS(1955),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_co_return] = ACTIONS(1955),
    [anon_sym_co_yield] = ACTIONS(1955),
    [anon_sym_R_DQUOTE] = ACTIONS(1957),
    [anon_sym_LR_DQUOTE] = ACTIONS(1957),
    [anon_sym_uR_DQUOTE] = ACTIONS(1957),
    [anon_sym_UR_DQUOTE] = ACTIONS(1957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1957),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1955),
    [anon_sym_requires] = ACTIONS(1955),
    [sym_this] = ACTIONS(1955),
    [anon_sym_discard] = ACTIONS(1955),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
    [anon_sym_cbuffer] = ACTIONS(1955),
  },
  [975] = {
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1919),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_typedef] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_signed] = ACTIONS(1917),
    [anon_sym_unsigned] = ACTIONS(1917),
    [anon_sym_long] = ACTIONS(1917),
    [anon_sym_short] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(1917),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_class] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(1917),
    [anon_sym_union] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1917),
    [anon_sym_else] = ACTIONS(1917),
    [anon_sym_switch] = ACTIONS(1917),
    [anon_sym_while] = ACTIONS(1917),
    [anon_sym_do] = ACTIONS(1917),
    [anon_sym_for] = ACTIONS(1917),
    [anon_sym_return] = ACTIONS(1917),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_continue] = ACTIONS(1917),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1917),
    [anon_sym___leave] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_sizeof] = ACTIONS(1917),
    [anon_sym___alignof__] = ACTIONS(1917),
    [anon_sym___alignof] = ACTIONS(1917),
    [anon_sym__alignof] = ACTIONS(1917),
    [anon_sym_alignof] = ACTIONS(1917),
    [anon_sym__Alignof] = ACTIONS(1917),
    [anon_sym_offsetof] = ACTIONS(1917),
    [anon_sym__Generic] = ACTIONS(1917),
    [anon_sym_asm] = ACTIONS(1917),
    [anon_sym___asm__] = ACTIONS(1917),
    [anon_sym___asm] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(1919),
    [anon_sym_L_SQUOTE] = ACTIONS(1919),
    [anon_sym_u_SQUOTE] = ACTIONS(1919),
    [anon_sym_U_SQUOTE] = ACTIONS(1919),
    [anon_sym_u8_SQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1919),
    [anon_sym_L_DQUOTE] = ACTIONS(1919),
    [anon_sym_u_DQUOTE] = ACTIONS(1919),
    [anon_sym_U_DQUOTE] = ACTIONS(1919),
    [anon_sym_u8_DQUOTE] = ACTIONS(1919),
    [anon_sym_DQUOTE] = ACTIONS(1919),
    [sym_true] = ACTIONS(1917),
    [sym_false] = ACTIONS(1917),
    [anon_sym_NULL] = ACTIONS(1917),
    [anon_sym_nullptr] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_final] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_typename] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1917),
    [anon_sym_delete] = ACTIONS(1917),
    [anon_sym_throw] = ACTIONS(1917),
    [anon_sym_co_return] = ACTIONS(1917),
    [anon_sym_co_yield] = ACTIONS(1917),
    [anon_sym_R_DQUOTE] = ACTIONS(1919),
    [anon_sym_LR_DQUOTE] = ACTIONS(1919),
    [anon_sym_uR_DQUOTE] = ACTIONS(1919),
    [anon_sym_UR_DQUOTE] = ACTIONS(1919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1919),
    [anon_sym_co_await] = ACTIONS(1917),
    [anon_sym_new] = ACTIONS(1917),
    [anon_sym_requires] = ACTIONS(1917),
    [sym_this] = ACTIONS(1917),
    [anon_sym_discard] = ACTIONS(1917),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
    [anon_sym_cbuffer] = ACTIONS(1917),
  },
  [976] = {
    [sym_identifier] = ACTIONS(1939),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_BANG] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1941),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1941),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_typedef] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_signed] = ACTIONS(1939),
    [anon_sym_unsigned] = ACTIONS(1939),
    [anon_sym_long] = ACTIONS(1939),
    [anon_sym_short] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [sym_primitive_type] = ACTIONS(1939),
    [anon_sym_enum] = ACTIONS(1939),
    [anon_sym_class] = ACTIONS(1939),
    [anon_sym_struct] = ACTIONS(1939),
    [anon_sym_union] = ACTIONS(1939),
    [anon_sym_if] = ACTIONS(1939),
    [anon_sym_else] = ACTIONS(1939),
    [anon_sym_switch] = ACTIONS(1939),
    [anon_sym_while] = ACTIONS(1939),
    [anon_sym_do] = ACTIONS(1939),
    [anon_sym_for] = ACTIONS(1939),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_break] = ACTIONS(1939),
    [anon_sym_continue] = ACTIONS(1939),
    [anon_sym_goto] = ACTIONS(1939),
    [anon_sym___try] = ACTIONS(1939),
    [anon_sym___leave] = ACTIONS(1939),
    [anon_sym_not] = ACTIONS(1939),
    [anon_sym_compl] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_sizeof] = ACTIONS(1939),
    [anon_sym___alignof__] = ACTIONS(1939),
    [anon_sym___alignof] = ACTIONS(1939),
    [anon_sym__alignof] = ACTIONS(1939),
    [anon_sym_alignof] = ACTIONS(1939),
    [anon_sym__Alignof] = ACTIONS(1939),
    [anon_sym_offsetof] = ACTIONS(1939),
    [anon_sym__Generic] = ACTIONS(1939),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1941),
    [anon_sym_u_DQUOTE] = ACTIONS(1941),
    [anon_sym_U_DQUOTE] = ACTIONS(1941),
    [anon_sym_u8_DQUOTE] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1941),
    [sym_true] = ACTIONS(1939),
    [sym_false] = ACTIONS(1939),
    [anon_sym_NULL] = ACTIONS(1939),
    [anon_sym_nullptr] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_final] = ACTIONS(1939),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_typename] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_try] = ACTIONS(1939),
    [anon_sym_delete] = ACTIONS(1939),
    [anon_sym_throw] = ACTIONS(1939),
    [anon_sym_co_return] = ACTIONS(1939),
    [anon_sym_co_yield] = ACTIONS(1939),
    [anon_sym_R_DQUOTE] = ACTIONS(1941),
    [anon_sym_LR_DQUOTE] = ACTIONS(1941),
    [anon_sym_uR_DQUOTE] = ACTIONS(1941),
    [anon_sym_UR_DQUOTE] = ACTIONS(1941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1941),
    [anon_sym_co_await] = ACTIONS(1939),
    [anon_sym_new] = ACTIONS(1939),
    [anon_sym_requires] = ACTIONS(1939),
    [sym_this] = ACTIONS(1939),
    [anon_sym_discard] = ACTIONS(1939),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
    [anon_sym_cbuffer] = ACTIONS(1939),
  },
  [977] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_goto] = ACTIONS(1913),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym___leave] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_compl] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1913),
    [anon_sym___alignof__] = ACTIONS(1913),
    [anon_sym___alignof] = ACTIONS(1913),
    [anon_sym__alignof] = ACTIONS(1913),
    [anon_sym_alignof] = ACTIONS(1913),
    [anon_sym__Alignof] = ACTIONS(1913),
    [anon_sym_offsetof] = ACTIONS(1913),
    [anon_sym__Generic] = ACTIONS(1913),
    [anon_sym_asm] = ACTIONS(1913),
    [anon_sym___asm__] = ACTIONS(1913),
    [anon_sym___asm] = ACTIONS(1913),
    [sym_number_literal] = ACTIONS(1915),
    [anon_sym_L_SQUOTE] = ACTIONS(1915),
    [anon_sym_u_SQUOTE] = ACTIONS(1915),
    [anon_sym_U_SQUOTE] = ACTIONS(1915),
    [anon_sym_u8_SQUOTE] = ACTIONS(1915),
    [anon_sym_SQUOTE] = ACTIONS(1915),
    [anon_sym_L_DQUOTE] = ACTIONS(1915),
    [anon_sym_u_DQUOTE] = ACTIONS(1915),
    [anon_sym_U_DQUOTE] = ACTIONS(1915),
    [anon_sym_u8_DQUOTE] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1915),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [anon_sym_NULL] = ACTIONS(1913),
    [anon_sym_nullptr] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_final] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_co_return] = ACTIONS(1913),
    [anon_sym_co_yield] = ACTIONS(1913),
    [anon_sym_R_DQUOTE] = ACTIONS(1915),
    [anon_sym_LR_DQUOTE] = ACTIONS(1915),
    [anon_sym_uR_DQUOTE] = ACTIONS(1915),
    [anon_sym_UR_DQUOTE] = ACTIONS(1915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1915),
    [anon_sym_co_await] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [sym_this] = ACTIONS(1913),
    [anon_sym_discard] = ACTIONS(1913),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
    [anon_sym_cbuffer] = ACTIONS(1913),
  },
  [978] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4412),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6830),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7458),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(3991),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [979] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6863),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7421),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4003),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [980] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6994),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7247),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4005),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [981] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4464),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6934),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7127),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4007),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [982] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6854),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7207),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4009),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [983] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4466),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6979),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7217),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4011),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [984] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4468),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(7068),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7448),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4013),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [985] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4470),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6836),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7132),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4015),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [986] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4472),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6853),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7188),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4017),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [987] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4473),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6862),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7367),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4019),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [988] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4474),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6868),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7464),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4021),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [989] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6873),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7117),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4023),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [990] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4476),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6878),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7153),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4025),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [991] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6882),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7182),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4027),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [992] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6885),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7195),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4029),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [993] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6889),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7222),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4031),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [994] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6893),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7240),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4033),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [995] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4481),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6896),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7257),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4035),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [996] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4482),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6897),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4037),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [997] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4483),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6899),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7296),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4039),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [998] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4484),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(6901),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7316),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4041),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [999] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4456),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(7074),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7461),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(4043),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1000] = {
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_unaligned_ptr_modifier] = STATE(4158),
    [sym_ms_pointer_modifier] = STATE(3213),
    [sym__declarator] = STATE(6382),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_type_qualifier] = STATE(4092),
    [sym_alignas_qualifier] = STATE(4364),
    [sym_expression] = STATE(3381),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3506),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5667),
    [sym_qualified_identifier] = STATE(3416),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3564),
    [aux_sym__type_definition_type_repeat1] = STATE(4092),
    [aux_sym_pointer_declarator_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(4045),
    [anon_sym_LPAREN2] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1981),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1985),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym___extension__] = ACTIONS(4047),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4049),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4049),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4049),
    [anon_sym__unaligned] = ACTIONS(4051),
    [anon_sym___unaligned] = ACTIONS(4051),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(4053),
    [anon_sym_constexpr] = ACTIONS(4053),
    [anon_sym_volatile] = ACTIONS(4053),
    [anon_sym_restrict] = ACTIONS(4053),
    [anon_sym___restrict__] = ACTIONS(4053),
    [anon_sym__Atomic] = ACTIONS(4053),
    [anon_sym__Noreturn] = ACTIONS(4053),
    [anon_sym_noreturn] = ACTIONS(4053),
    [anon_sym__Nonnull] = ACTIONS(4053),
    [anon_sym_mutable] = ACTIONS(4053),
    [anon_sym_constinit] = ACTIONS(4053),
    [anon_sym_consteval] = ACTIONS(4053),
    [anon_sym_alignas] = ACTIONS(4055),
    [anon_sym__Alignas] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1001] = {
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_unaligned_ptr_modifier] = STATE(4158),
    [sym_ms_pointer_modifier] = STATE(3213),
    [sym__declarator] = STATE(6382),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_type_qualifier] = STATE(4092),
    [sym_alignas_qualifier] = STATE(4364),
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3516),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5649),
    [sym_qualified_identifier] = STATE(3526),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(2888),
    [aux_sym__type_definition_type_repeat1] = STATE(4092),
    [aux_sym_pointer_declarator_repeat1] = STATE(3213),
    [sym_identifier] = ACTIONS(4057),
    [anon_sym_LPAREN2] = ACTIONS(4059),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(4061),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4049),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4049),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4049),
    [anon_sym__unaligned] = ACTIONS(4051),
    [anon_sym___unaligned] = ACTIONS(4051),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(4053),
    [anon_sym_constexpr] = ACTIONS(4053),
    [anon_sym_volatile] = ACTIONS(4053),
    [anon_sym_restrict] = ACTIONS(4053),
    [anon_sym___restrict__] = ACTIONS(4053),
    [anon_sym__Atomic] = ACTIONS(4053),
    [anon_sym__Noreturn] = ACTIONS(4053),
    [anon_sym_noreturn] = ACTIONS(4053),
    [anon_sym__Nonnull] = ACTIONS(4053),
    [anon_sym_mutable] = ACTIONS(4053),
    [anon_sym_constinit] = ACTIONS(4053),
    [anon_sym_consteval] = ACTIONS(4053),
    [anon_sym_alignas] = ACTIONS(4055),
    [anon_sym__Alignas] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1002] = {
    [sym_type_qualifier] = STATE(3952),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4674),
    [sym_sized_type_specifier] = STATE(2996),
    [sym_enum_specifier] = STATE(2996),
    [sym_struct_specifier] = STATE(2996),
    [sym_union_specifier] = STATE(2996),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_type_descriptor] = STATE(7356),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_placeholder_type_specifier] = STATE(2996),
    [sym_decltype_auto] = STATE(2993),
    [sym_decltype] = STATE(2910),
    [sym_class_specifier] = STATE(2996),
    [sym__class_name] = STATE(7613),
    [sym_dependent_type] = STATE(2996),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_type_parameter_pack_expansion] = STATE(7850),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5619),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__type_definition_type_repeat1] = STATE(3952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [sym_identifier] = ACTIONS(3937),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(3951),
    [anon_sym_unsigned] = ACTIONS(3951),
    [anon_sym_long] = ACTIONS(3951),
    [anon_sym_short] = ACTIONS(3951),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3955),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3959),
    [anon_sym_union] = ACTIONS(3961),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3985),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3989),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1003] = {
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [sym_number_literal] = ACTIONS(1971),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
    [anon_sym_discard] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
    [anon_sym_cbuffer] = ACTIONS(1973),
  },
  [1004] = {
    [sym_identifier] = ACTIONS(1937),
    [anon_sym_LPAREN2] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1937),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_AMP] = ACTIONS(1935),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym___extension__] = ACTIONS(1937),
    [anon_sym_typedef] = ACTIONS(1937),
    [anon_sym_in] = ACTIONS(1937),
    [anon_sym_out] = ACTIONS(1937),
    [anon_sym_inout] = ACTIONS(1937),
    [anon_sym_virtual] = ACTIONS(1937),
    [anon_sym_extern] = ACTIONS(1937),
    [anon_sym___attribute__] = ACTIONS(1937),
    [anon_sym_COLON_COLON] = ACTIONS(1935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1935),
    [anon_sym___declspec] = ACTIONS(1937),
    [anon_sym_LBRACE] = ACTIONS(1935),
    [anon_sym_signed] = ACTIONS(1937),
    [anon_sym_unsigned] = ACTIONS(1937),
    [anon_sym_long] = ACTIONS(1937),
    [anon_sym_short] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1937),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_register] = ACTIONS(1937),
    [anon_sym_inline] = ACTIONS(1937),
    [anon_sym___inline] = ACTIONS(1937),
    [anon_sym___inline__] = ACTIONS(1937),
    [anon_sym___forceinline] = ACTIONS(1937),
    [anon_sym_thread_local] = ACTIONS(1937),
    [anon_sym___thread] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_constexpr] = ACTIONS(1937),
    [anon_sym_volatile] = ACTIONS(1937),
    [anon_sym_restrict] = ACTIONS(1937),
    [anon_sym___restrict__] = ACTIONS(1937),
    [anon_sym__Atomic] = ACTIONS(1937),
    [anon_sym__Noreturn] = ACTIONS(1937),
    [anon_sym_noreturn] = ACTIONS(1937),
    [anon_sym__Nonnull] = ACTIONS(1937),
    [anon_sym_mutable] = ACTIONS(1937),
    [anon_sym_constinit] = ACTIONS(1937),
    [anon_sym_consteval] = ACTIONS(1937),
    [anon_sym_alignas] = ACTIONS(1937),
    [anon_sym__Alignas] = ACTIONS(1937),
    [sym_primitive_type] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_struct] = ACTIONS(1937),
    [anon_sym_union] = ACTIONS(1937),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_else] = ACTIONS(1937),
    [anon_sym_switch] = ACTIONS(1937),
    [anon_sym_while] = ACTIONS(1937),
    [anon_sym_do] = ACTIONS(1937),
    [anon_sym_for] = ACTIONS(1937),
    [anon_sym_return] = ACTIONS(1937),
    [anon_sym_break] = ACTIONS(1937),
    [anon_sym_continue] = ACTIONS(1937),
    [anon_sym_goto] = ACTIONS(1937),
    [anon_sym___try] = ACTIONS(1937),
    [anon_sym___leave] = ACTIONS(1937),
    [anon_sym_not] = ACTIONS(1937),
    [anon_sym_compl] = ACTIONS(1937),
    [anon_sym_DASH_DASH] = ACTIONS(1935),
    [anon_sym_PLUS_PLUS] = ACTIONS(1935),
    [anon_sym_sizeof] = ACTIONS(1937),
    [anon_sym___alignof__] = ACTIONS(1937),
    [anon_sym___alignof] = ACTIONS(1937),
    [anon_sym__alignof] = ACTIONS(1937),
    [anon_sym_alignof] = ACTIONS(1937),
    [anon_sym__Alignof] = ACTIONS(1937),
    [anon_sym_offsetof] = ACTIONS(1937),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1937),
    [anon_sym___asm__] = ACTIONS(1937),
    [anon_sym___asm] = ACTIONS(1937),
    [sym_number_literal] = ACTIONS(1935),
    [anon_sym_L_SQUOTE] = ACTIONS(1935),
    [anon_sym_u_SQUOTE] = ACTIONS(1935),
    [anon_sym_U_SQUOTE] = ACTIONS(1935),
    [anon_sym_u8_SQUOTE] = ACTIONS(1935),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_L_DQUOTE] = ACTIONS(1935),
    [anon_sym_u_DQUOTE] = ACTIONS(1935),
    [anon_sym_U_DQUOTE] = ACTIONS(1935),
    [anon_sym_u8_DQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1935),
    [sym_true] = ACTIONS(1937),
    [sym_false] = ACTIONS(1937),
    [anon_sym_NULL] = ACTIONS(1937),
    [anon_sym_nullptr] = ACTIONS(1937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1937),
    [anon_sym_decltype] = ACTIONS(1937),
    [anon_sym_typename] = ACTIONS(1937),
    [anon_sym_template] = ACTIONS(1937),
    [anon_sym_try] = ACTIONS(1937),
    [anon_sym_delete] = ACTIONS(1937),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_co_return] = ACTIONS(1937),
    [anon_sym_co_yield] = ACTIONS(1937),
    [anon_sym_catch] = ACTIONS(1937),
    [anon_sym_R_DQUOTE] = ACTIONS(1935),
    [anon_sym_LR_DQUOTE] = ACTIONS(1935),
    [anon_sym_uR_DQUOTE] = ACTIONS(1935),
    [anon_sym_UR_DQUOTE] = ACTIONS(1935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1935),
    [anon_sym_co_await] = ACTIONS(1937),
    [anon_sym_new] = ACTIONS(1937),
    [anon_sym_requires] = ACTIONS(1937),
    [sym_this] = ACTIONS(1937),
    [anon_sym_discard] = ACTIONS(1937),
    [anon_sym_precise] = ACTIONS(1937),
    [anon_sym_shared] = ACTIONS(1937),
    [anon_sym_groupshared] = ACTIONS(1937),
    [anon_sym_uniform] = ACTIONS(1937),
    [anon_sym_row_major] = ACTIONS(1937),
    [anon_sym_column_major] = ACTIONS(1937),
    [anon_sym_globallycoherent] = ACTIONS(1937),
    [anon_sym_centroid] = ACTIONS(1937),
    [anon_sym_noperspective] = ACTIONS(1937),
    [anon_sym_nointerpolation] = ACTIONS(1937),
    [anon_sym_sample] = ACTIONS(1937),
    [anon_sym_linear] = ACTIONS(1937),
    [anon_sym_snorm] = ACTIONS(1937),
    [anon_sym_unorm] = ACTIONS(1937),
    [anon_sym_point] = ACTIONS(1937),
    [anon_sym_line] = ACTIONS(1937),
    [anon_sym_triangleadj] = ACTIONS(1937),
    [anon_sym_lineadj] = ACTIONS(1937),
    [anon_sym_triangle] = ACTIONS(1937),
    [anon_sym_cbuffer] = ACTIONS(1937),
  },
  [1005] = {
    [sym_else_clause] = STATE(1016),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(2098),
    [anon_sym_TILDE] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(2098),
    [anon_sym_AMP] = ACTIONS(2098),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym___extension__] = ACTIONS(2096),
    [anon_sym_typedef] = ACTIONS(2096),
    [anon_sym_in] = ACTIONS(2096),
    [anon_sym_out] = ACTIONS(2096),
    [anon_sym_inout] = ACTIONS(2096),
    [anon_sym_virtual] = ACTIONS(2096),
    [anon_sym_extern] = ACTIONS(2096),
    [anon_sym___attribute__] = ACTIONS(2096),
    [anon_sym_COLON_COLON] = ACTIONS(2098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2098),
    [anon_sym___declspec] = ACTIONS(2096),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_signed] = ACTIONS(2096),
    [anon_sym_unsigned] = ACTIONS(2096),
    [anon_sym_long] = ACTIONS(2096),
    [anon_sym_short] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_static] = ACTIONS(2096),
    [anon_sym_register] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(2096),
    [anon_sym___inline] = ACTIONS(2096),
    [anon_sym___inline__] = ACTIONS(2096),
    [anon_sym___forceinline] = ACTIONS(2096),
    [anon_sym_thread_local] = ACTIONS(2096),
    [anon_sym___thread] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(2096),
    [anon_sym_constexpr] = ACTIONS(2096),
    [anon_sym_volatile] = ACTIONS(2096),
    [anon_sym_restrict] = ACTIONS(2096),
    [anon_sym___restrict__] = ACTIONS(2096),
    [anon_sym__Atomic] = ACTIONS(2096),
    [anon_sym__Noreturn] = ACTIONS(2096),
    [anon_sym_noreturn] = ACTIONS(2096),
    [anon_sym__Nonnull] = ACTIONS(2096),
    [anon_sym_mutable] = ACTIONS(2096),
    [anon_sym_constinit] = ACTIONS(2096),
    [anon_sym_consteval] = ACTIONS(2096),
    [anon_sym_alignas] = ACTIONS(2096),
    [anon_sym__Alignas] = ACTIONS(2096),
    [sym_primitive_type] = ACTIONS(2096),
    [anon_sym_enum] = ACTIONS(2096),
    [anon_sym_class] = ACTIONS(2096),
    [anon_sym_struct] = ACTIONS(2096),
    [anon_sym_union] = ACTIONS(2096),
    [anon_sym_if] = ACTIONS(2096),
    [anon_sym_else] = ACTIONS(4067),
    [anon_sym_switch] = ACTIONS(2096),
    [anon_sym_while] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2096),
    [anon_sym_for] = ACTIONS(2096),
    [anon_sym_return] = ACTIONS(2096),
    [anon_sym_break] = ACTIONS(2096),
    [anon_sym_continue] = ACTIONS(2096),
    [anon_sym_goto] = ACTIONS(2096),
    [anon_sym___try] = ACTIONS(2096),
    [anon_sym___leave] = ACTIONS(2096),
    [anon_sym_not] = ACTIONS(2096),
    [anon_sym_compl] = ACTIONS(2096),
    [anon_sym_DASH_DASH] = ACTIONS(2098),
    [anon_sym_PLUS_PLUS] = ACTIONS(2098),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2096),
    [anon_sym___alignof] = ACTIONS(2096),
    [anon_sym__alignof] = ACTIONS(2096),
    [anon_sym_alignof] = ACTIONS(2096),
    [anon_sym__Alignof] = ACTIONS(2096),
    [anon_sym_offsetof] = ACTIONS(2096),
    [anon_sym__Generic] = ACTIONS(2096),
    [anon_sym_asm] = ACTIONS(2096),
    [anon_sym___asm__] = ACTIONS(2096),
    [anon_sym___asm] = ACTIONS(2096),
    [sym_number_literal] = ACTIONS(2098),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2098),
    [anon_sym_u_DQUOTE] = ACTIONS(2098),
    [anon_sym_U_DQUOTE] = ACTIONS(2098),
    [anon_sym_u8_DQUOTE] = ACTIONS(2098),
    [anon_sym_DQUOTE] = ACTIONS(2098),
    [sym_true] = ACTIONS(2096),
    [sym_false] = ACTIONS(2096),
    [anon_sym_NULL] = ACTIONS(2096),
    [anon_sym_nullptr] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2096),
    [anon_sym_decltype] = ACTIONS(2096),
    [anon_sym_typename] = ACTIONS(2096),
    [anon_sym_template] = ACTIONS(2096),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_delete] = ACTIONS(2096),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_co_return] = ACTIONS(2096),
    [anon_sym_co_yield] = ACTIONS(2096),
    [anon_sym_R_DQUOTE] = ACTIONS(2098),
    [anon_sym_LR_DQUOTE] = ACTIONS(2098),
    [anon_sym_uR_DQUOTE] = ACTIONS(2098),
    [anon_sym_UR_DQUOTE] = ACTIONS(2098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2098),
    [anon_sym_co_await] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_requires] = ACTIONS(2096),
    [sym_this] = ACTIONS(2096),
    [anon_sym_discard] = ACTIONS(2096),
    [anon_sym_precise] = ACTIONS(2096),
    [anon_sym_shared] = ACTIONS(2096),
    [anon_sym_groupshared] = ACTIONS(2096),
    [anon_sym_uniform] = ACTIONS(2096),
    [anon_sym_row_major] = ACTIONS(2096),
    [anon_sym_column_major] = ACTIONS(2096),
    [anon_sym_globallycoherent] = ACTIONS(2096),
    [anon_sym_centroid] = ACTIONS(2096),
    [anon_sym_noperspective] = ACTIONS(2096),
    [anon_sym_nointerpolation] = ACTIONS(2096),
    [anon_sym_sample] = ACTIONS(2096),
    [anon_sym_linear] = ACTIONS(2096),
    [anon_sym_snorm] = ACTIONS(2096),
    [anon_sym_unorm] = ACTIONS(2096),
    [anon_sym_point] = ACTIONS(2096),
    [anon_sym_line] = ACTIONS(2096),
    [anon_sym_triangleadj] = ACTIONS(2096),
    [anon_sym_lineadj] = ACTIONS(2096),
    [anon_sym_triangle] = ACTIONS(2096),
    [anon_sym_cbuffer] = ACTIONS(2096),
  },
  [1006] = {
    [sym_else_clause] = STATE(1057),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_LPAREN2] = ACTIONS(2106),
    [anon_sym_BANG] = ACTIONS(2106),
    [anon_sym_TILDE] = ACTIONS(2106),
    [anon_sym_DASH] = ACTIONS(2104),
    [anon_sym_PLUS] = ACTIONS(2104),
    [anon_sym_STAR] = ACTIONS(2106),
    [anon_sym_AMP] = ACTIONS(2106),
    [anon_sym_SEMI] = ACTIONS(2106),
    [anon_sym___extension__] = ACTIONS(2104),
    [anon_sym_typedef] = ACTIONS(2104),
    [anon_sym_in] = ACTIONS(2104),
    [anon_sym_out] = ACTIONS(2104),
    [anon_sym_inout] = ACTIONS(2104),
    [anon_sym_virtual] = ACTIONS(2104),
    [anon_sym_extern] = ACTIONS(2104),
    [anon_sym___attribute__] = ACTIONS(2104),
    [anon_sym_COLON_COLON] = ACTIONS(2106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2106),
    [anon_sym___declspec] = ACTIONS(2104),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_signed] = ACTIONS(2104),
    [anon_sym_unsigned] = ACTIONS(2104),
    [anon_sym_long] = ACTIONS(2104),
    [anon_sym_short] = ACTIONS(2104),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_static] = ACTIONS(2104),
    [anon_sym_register] = ACTIONS(2104),
    [anon_sym_inline] = ACTIONS(2104),
    [anon_sym___inline] = ACTIONS(2104),
    [anon_sym___inline__] = ACTIONS(2104),
    [anon_sym___forceinline] = ACTIONS(2104),
    [anon_sym_thread_local] = ACTIONS(2104),
    [anon_sym___thread] = ACTIONS(2104),
    [anon_sym_const] = ACTIONS(2104),
    [anon_sym_constexpr] = ACTIONS(2104),
    [anon_sym_volatile] = ACTIONS(2104),
    [anon_sym_restrict] = ACTIONS(2104),
    [anon_sym___restrict__] = ACTIONS(2104),
    [anon_sym__Atomic] = ACTIONS(2104),
    [anon_sym__Noreturn] = ACTIONS(2104),
    [anon_sym_noreturn] = ACTIONS(2104),
    [anon_sym__Nonnull] = ACTIONS(2104),
    [anon_sym_mutable] = ACTIONS(2104),
    [anon_sym_constinit] = ACTIONS(2104),
    [anon_sym_consteval] = ACTIONS(2104),
    [anon_sym_alignas] = ACTIONS(2104),
    [anon_sym__Alignas] = ACTIONS(2104),
    [sym_primitive_type] = ACTIONS(2104),
    [anon_sym_enum] = ACTIONS(2104),
    [anon_sym_class] = ACTIONS(2104),
    [anon_sym_struct] = ACTIONS(2104),
    [anon_sym_union] = ACTIONS(2104),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_else] = ACTIONS(4067),
    [anon_sym_switch] = ACTIONS(2104),
    [anon_sym_while] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_return] = ACTIONS(2104),
    [anon_sym_break] = ACTIONS(2104),
    [anon_sym_continue] = ACTIONS(2104),
    [anon_sym_goto] = ACTIONS(2104),
    [anon_sym___try] = ACTIONS(2104),
    [anon_sym___leave] = ACTIONS(2104),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_compl] = ACTIONS(2104),
    [anon_sym_DASH_DASH] = ACTIONS(2106),
    [anon_sym_PLUS_PLUS] = ACTIONS(2106),
    [anon_sym_sizeof] = ACTIONS(2104),
    [anon_sym___alignof__] = ACTIONS(2104),
    [anon_sym___alignof] = ACTIONS(2104),
    [anon_sym__alignof] = ACTIONS(2104),
    [anon_sym_alignof] = ACTIONS(2104),
    [anon_sym__Alignof] = ACTIONS(2104),
    [anon_sym_offsetof] = ACTIONS(2104),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [anon_sym___asm] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2106),
    [anon_sym_u_SQUOTE] = ACTIONS(2106),
    [anon_sym_U_SQUOTE] = ACTIONS(2106),
    [anon_sym_u8_SQUOTE] = ACTIONS(2106),
    [anon_sym_SQUOTE] = ACTIONS(2106),
    [anon_sym_L_DQUOTE] = ACTIONS(2106),
    [anon_sym_u_DQUOTE] = ACTIONS(2106),
    [anon_sym_U_DQUOTE] = ACTIONS(2106),
    [anon_sym_u8_DQUOTE] = ACTIONS(2106),
    [anon_sym_DQUOTE] = ACTIONS(2106),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2104),
    [anon_sym_nullptr] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2104),
    [anon_sym_decltype] = ACTIONS(2104),
    [anon_sym_typename] = ACTIONS(2104),
    [anon_sym_template] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2104),
    [anon_sym_delete] = ACTIONS(2104),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_co_return] = ACTIONS(2104),
    [anon_sym_co_yield] = ACTIONS(2104),
    [anon_sym_R_DQUOTE] = ACTIONS(2106),
    [anon_sym_LR_DQUOTE] = ACTIONS(2106),
    [anon_sym_uR_DQUOTE] = ACTIONS(2106),
    [anon_sym_UR_DQUOTE] = ACTIONS(2106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2106),
    [anon_sym_co_await] = ACTIONS(2104),
    [anon_sym_new] = ACTIONS(2104),
    [anon_sym_requires] = ACTIONS(2104),
    [sym_this] = ACTIONS(2104),
    [anon_sym_discard] = ACTIONS(2104),
    [anon_sym_precise] = ACTIONS(2104),
    [anon_sym_shared] = ACTIONS(2104),
    [anon_sym_groupshared] = ACTIONS(2104),
    [anon_sym_uniform] = ACTIONS(2104),
    [anon_sym_row_major] = ACTIONS(2104),
    [anon_sym_column_major] = ACTIONS(2104),
    [anon_sym_globallycoherent] = ACTIONS(2104),
    [anon_sym_centroid] = ACTIONS(2104),
    [anon_sym_noperspective] = ACTIONS(2104),
    [anon_sym_nointerpolation] = ACTIONS(2104),
    [anon_sym_sample] = ACTIONS(2104),
    [anon_sym_linear] = ACTIONS(2104),
    [anon_sym_snorm] = ACTIONS(2104),
    [anon_sym_unorm] = ACTIONS(2104),
    [anon_sym_point] = ACTIONS(2104),
    [anon_sym_line] = ACTIONS(2104),
    [anon_sym_triangleadj] = ACTIONS(2104),
    [anon_sym_lineadj] = ACTIONS(2104),
    [anon_sym_triangle] = ACTIONS(2104),
    [anon_sym_cbuffer] = ACTIONS(2104),
  },
  [1007] = {
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(4731),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_type_descriptor] = STATE(8247),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5673),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(4069),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(4073),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1008] = {
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(4790),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_type_descriptor] = STATE(8456),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5673),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(4069),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(4073),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1009] = {
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(4744),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_type_descriptor] = STATE(8438),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5673),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(4069),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(4073),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1010] = {
    [sym_identifier] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2110),
    [anon_sym_TILDE] = ACTIONS(2110),
    [anon_sym_DASH] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_STAR] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2110),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym___extension__] = ACTIONS(2108),
    [anon_sym_typedef] = ACTIONS(2108),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_out] = ACTIONS(2108),
    [anon_sym_inout] = ACTIONS(2108),
    [anon_sym_virtual] = ACTIONS(2108),
    [anon_sym_extern] = ACTIONS(2108),
    [anon_sym___attribute__] = ACTIONS(2108),
    [anon_sym_COLON_COLON] = ACTIONS(2110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2110),
    [anon_sym___declspec] = ACTIONS(2108),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_signed] = ACTIONS(2108),
    [anon_sym_unsigned] = ACTIONS(2108),
    [anon_sym_long] = ACTIONS(2108),
    [anon_sym_short] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_register] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(2108),
    [anon_sym___inline] = ACTIONS(2108),
    [anon_sym___inline__] = ACTIONS(2108),
    [anon_sym___forceinline] = ACTIONS(2108),
    [anon_sym_thread_local] = ACTIONS(2108),
    [anon_sym___thread] = ACTIONS(2108),
    [anon_sym_const] = ACTIONS(2108),
    [anon_sym_constexpr] = ACTIONS(2108),
    [anon_sym_volatile] = ACTIONS(2108),
    [anon_sym_restrict] = ACTIONS(2108),
    [anon_sym___restrict__] = ACTIONS(2108),
    [anon_sym__Atomic] = ACTIONS(2108),
    [anon_sym__Noreturn] = ACTIONS(2108),
    [anon_sym_noreturn] = ACTIONS(2108),
    [anon_sym__Nonnull] = ACTIONS(2108),
    [anon_sym_mutable] = ACTIONS(2108),
    [anon_sym_constinit] = ACTIONS(2108),
    [anon_sym_consteval] = ACTIONS(2108),
    [anon_sym_alignas] = ACTIONS(2108),
    [anon_sym__Alignas] = ACTIONS(2108),
    [sym_primitive_type] = ACTIONS(2108),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2108),
    [anon_sym_union] = ACTIONS(2108),
    [anon_sym_if] = ACTIONS(2108),
    [anon_sym_else] = ACTIONS(2108),
    [anon_sym_switch] = ACTIONS(2108),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_do] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2108),
    [anon_sym_continue] = ACTIONS(2108),
    [anon_sym_goto] = ACTIONS(2108),
    [anon_sym___try] = ACTIONS(2108),
    [anon_sym___leave] = ACTIONS(2108),
    [anon_sym_not] = ACTIONS(2108),
    [anon_sym_compl] = ACTIONS(2108),
    [anon_sym_DASH_DASH] = ACTIONS(2110),
    [anon_sym_PLUS_PLUS] = ACTIONS(2110),
    [anon_sym_sizeof] = ACTIONS(2108),
    [anon_sym___alignof__] = ACTIONS(2108),
    [anon_sym___alignof] = ACTIONS(2108),
    [anon_sym__alignof] = ACTIONS(2108),
    [anon_sym_alignof] = ACTIONS(2108),
    [anon_sym__Alignof] = ACTIONS(2108),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2108),
    [anon_sym_asm] = ACTIONS(2108),
    [anon_sym___asm__] = ACTIONS(2108),
    [anon_sym___asm] = ACTIONS(2108),
    [sym_number_literal] = ACTIONS(2110),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2108),
    [sym_false] = ACTIONS(2108),
    [anon_sym_NULL] = ACTIONS(2108),
    [anon_sym_nullptr] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2108),
    [anon_sym_decltype] = ACTIONS(2108),
    [anon_sym_typename] = ACTIONS(2108),
    [anon_sym_template] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2108),
    [anon_sym_delete] = ACTIONS(2108),
    [anon_sym_throw] = ACTIONS(2108),
    [anon_sym_co_return] = ACTIONS(2108),
    [anon_sym_co_yield] = ACTIONS(2108),
    [anon_sym_catch] = ACTIONS(2108),
    [anon_sym_R_DQUOTE] = ACTIONS(2110),
    [anon_sym_LR_DQUOTE] = ACTIONS(2110),
    [anon_sym_uR_DQUOTE] = ACTIONS(2110),
    [anon_sym_UR_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2110),
    [anon_sym_co_await] = ACTIONS(2108),
    [anon_sym_new] = ACTIONS(2108),
    [anon_sym_requires] = ACTIONS(2108),
    [sym_this] = ACTIONS(2108),
    [anon_sym_discard] = ACTIONS(2108),
    [anon_sym_precise] = ACTIONS(2108),
    [anon_sym_shared] = ACTIONS(2108),
    [anon_sym_groupshared] = ACTIONS(2108),
    [anon_sym_uniform] = ACTIONS(2108),
    [anon_sym_row_major] = ACTIONS(2108),
    [anon_sym_column_major] = ACTIONS(2108),
    [anon_sym_globallycoherent] = ACTIONS(2108),
    [anon_sym_centroid] = ACTIONS(2108),
    [anon_sym_noperspective] = ACTIONS(2108),
    [anon_sym_nointerpolation] = ACTIONS(2108),
    [anon_sym_sample] = ACTIONS(2108),
    [anon_sym_linear] = ACTIONS(2108),
    [anon_sym_snorm] = ACTIONS(2108),
    [anon_sym_unorm] = ACTIONS(2108),
    [anon_sym_point] = ACTIONS(2108),
    [anon_sym_line] = ACTIONS(2108),
    [anon_sym_triangleadj] = ACTIONS(2108),
    [anon_sym_lineadj] = ACTIONS(2108),
    [anon_sym_triangle] = ACTIONS(2108),
    [anon_sym_cbuffer] = ACTIONS(2108),
  },
  [1011] = {
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(4801),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_type_descriptor] = STATE(7946),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5673),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(4069),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(4073),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1012] = {
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(4679),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_type_descriptor] = STATE(8462),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5673),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(4069),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(4073),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1013] = {
    [sym_type_qualifier] = STATE(4021),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(4807),
    [sym_sized_type_specifier] = STATE(2487),
    [sym_enum_specifier] = STATE(2487),
    [sym_struct_specifier] = STATE(2487),
    [sym_union_specifier] = STATE(2487),
    [sym_expression] = STATE(4694),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_type_descriptor] = STATE(8638),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_placeholder_type_specifier] = STATE(2487),
    [sym_decltype_auto] = STATE(2486),
    [sym_decltype] = STATE(2469),
    [sym_class_specifier] = STATE(2487),
    [sym__class_name] = STATE(7756),
    [sym_dependent_type] = STATE(2487),
    [sym_template_type] = STATE(5394),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5673),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(5398),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym__type_definition_type_repeat1] = STATE(4021),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(4069),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1995),
    [anon_sym_unsigned] = ACTIONS(1995),
    [anon_sym_long] = ACTIONS(1995),
    [anon_sym_short] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(4073),
    [anon_sym_enum] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2005),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2031),
    [anon_sym_decltype] = ACTIONS(2033),
    [anon_sym_typename] = ACTIONS(2035),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1014] = {
    [sym_else_clause] = STATE(1050),
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(2116),
    [anon_sym_TILDE] = ACTIONS(2116),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_SEMI] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(2114),
    [anon_sym_typedef] = ACTIONS(2114),
    [anon_sym_in] = ACTIONS(2114),
    [anon_sym_out] = ACTIONS(2114),
    [anon_sym_inout] = ACTIONS(2114),
    [anon_sym_virtual] = ACTIONS(2114),
    [anon_sym_extern] = ACTIONS(2114),
    [anon_sym___attribute__] = ACTIONS(2114),
    [anon_sym_COLON_COLON] = ACTIONS(2116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2116),
    [anon_sym___declspec] = ACTIONS(2114),
    [anon_sym_LBRACE] = ACTIONS(2116),
    [anon_sym_signed] = ACTIONS(2114),
    [anon_sym_unsigned] = ACTIONS(2114),
    [anon_sym_long] = ACTIONS(2114),
    [anon_sym_short] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2114),
    [anon_sym_static] = ACTIONS(2114),
    [anon_sym_register] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(2114),
    [anon_sym___inline] = ACTIONS(2114),
    [anon_sym___inline__] = ACTIONS(2114),
    [anon_sym___forceinline] = ACTIONS(2114),
    [anon_sym_thread_local] = ACTIONS(2114),
    [anon_sym___thread] = ACTIONS(2114),
    [anon_sym_const] = ACTIONS(2114),
    [anon_sym_constexpr] = ACTIONS(2114),
    [anon_sym_volatile] = ACTIONS(2114),
    [anon_sym_restrict] = ACTIONS(2114),
    [anon_sym___restrict__] = ACTIONS(2114),
    [anon_sym__Atomic] = ACTIONS(2114),
    [anon_sym__Noreturn] = ACTIONS(2114),
    [anon_sym_noreturn] = ACTIONS(2114),
    [anon_sym__Nonnull] = ACTIONS(2114),
    [anon_sym_mutable] = ACTIONS(2114),
    [anon_sym_constinit] = ACTIONS(2114),
    [anon_sym_consteval] = ACTIONS(2114),
    [anon_sym_alignas] = ACTIONS(2114),
    [anon_sym__Alignas] = ACTIONS(2114),
    [sym_primitive_type] = ACTIONS(2114),
    [anon_sym_enum] = ACTIONS(2114),
    [anon_sym_class] = ACTIONS(2114),
    [anon_sym_struct] = ACTIONS(2114),
    [anon_sym_union] = ACTIONS(2114),
    [anon_sym_if] = ACTIONS(2114),
    [anon_sym_else] = ACTIONS(4067),
    [anon_sym_switch] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2114),
    [anon_sym_do] = ACTIONS(2114),
    [anon_sym_for] = ACTIONS(2114),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_break] = ACTIONS(2114),
    [anon_sym_continue] = ACTIONS(2114),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym___try] = ACTIONS(2114),
    [anon_sym___leave] = ACTIONS(2114),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2116),
    [anon_sym_PLUS_PLUS] = ACTIONS(2116),
    [anon_sym_sizeof] = ACTIONS(2114),
    [anon_sym___alignof__] = ACTIONS(2114),
    [anon_sym___alignof] = ACTIONS(2114),
    [anon_sym__alignof] = ACTIONS(2114),
    [anon_sym_alignof] = ACTIONS(2114),
    [anon_sym__Alignof] = ACTIONS(2114),
    [anon_sym_offsetof] = ACTIONS(2114),
    [anon_sym__Generic] = ACTIONS(2114),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2116),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2116),
    [anon_sym_u_DQUOTE] = ACTIONS(2116),
    [anon_sym_U_DQUOTE] = ACTIONS(2116),
    [anon_sym_u8_DQUOTE] = ACTIONS(2116),
    [anon_sym_DQUOTE] = ACTIONS(2116),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2114),
    [anon_sym_decltype] = ACTIONS(2114),
    [anon_sym_typename] = ACTIONS(2114),
    [anon_sym_template] = ACTIONS(2114),
    [anon_sym_try] = ACTIONS(2114),
    [anon_sym_delete] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2114),
    [anon_sym_co_return] = ACTIONS(2114),
    [anon_sym_co_yield] = ACTIONS(2114),
    [anon_sym_R_DQUOTE] = ACTIONS(2116),
    [anon_sym_LR_DQUOTE] = ACTIONS(2116),
    [anon_sym_uR_DQUOTE] = ACTIONS(2116),
    [anon_sym_UR_DQUOTE] = ACTIONS(2116),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2116),
    [anon_sym_co_await] = ACTIONS(2114),
    [anon_sym_new] = ACTIONS(2114),
    [anon_sym_requires] = ACTIONS(2114),
    [sym_this] = ACTIONS(2114),
    [anon_sym_discard] = ACTIONS(2114),
    [anon_sym_precise] = ACTIONS(2114),
    [anon_sym_shared] = ACTIONS(2114),
    [anon_sym_groupshared] = ACTIONS(2114),
    [anon_sym_uniform] = ACTIONS(2114),
    [anon_sym_row_major] = ACTIONS(2114),
    [anon_sym_column_major] = ACTIONS(2114),
    [anon_sym_globallycoherent] = ACTIONS(2114),
    [anon_sym_centroid] = ACTIONS(2114),
    [anon_sym_noperspective] = ACTIONS(2114),
    [anon_sym_nointerpolation] = ACTIONS(2114),
    [anon_sym_sample] = ACTIONS(2114),
    [anon_sym_linear] = ACTIONS(2114),
    [anon_sym_snorm] = ACTIONS(2114),
    [anon_sym_unorm] = ACTIONS(2114),
    [anon_sym_point] = ACTIONS(2114),
    [anon_sym_line] = ACTIONS(2114),
    [anon_sym_triangleadj] = ACTIONS(2114),
    [anon_sym_lineadj] = ACTIONS(2114),
    [anon_sym_triangle] = ACTIONS(2114),
    [anon_sym_cbuffer] = ACTIONS(2114),
  },
  [1015] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1216),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4096),
    [anon_sym_SEMI] = ACTIONS(4090),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4098),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym___cdecl] = ACTIONS(4075),
    [anon_sym___clrcall] = ACTIONS(4075),
    [anon_sym___stdcall] = ACTIONS(4075),
    [anon_sym___fastcall] = ACTIONS(4075),
    [anon_sym___thiscall] = ACTIONS(4075),
    [anon_sym___vectorcall] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(4077),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4103),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1016] = {
    [sym_identifier] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_out] = ACTIONS(2210),
    [anon_sym_inout] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2212),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym__Nonnull] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym__Alignas] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [anon_sym___asm] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2212),
    [anon_sym_L_SQUOTE] = ACTIONS(2212),
    [anon_sym_u_SQUOTE] = ACTIONS(2212),
    [anon_sym_U_SQUOTE] = ACTIONS(2212),
    [anon_sym_u8_SQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_L_DQUOTE] = ACTIONS(2212),
    [anon_sym_u_DQUOTE] = ACTIONS(2212),
    [anon_sym_U_DQUOTE] = ACTIONS(2212),
    [anon_sym_u8_DQUOTE] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2212),
    [anon_sym_LR_DQUOTE] = ACTIONS(2212),
    [anon_sym_uR_DQUOTE] = ACTIONS(2212),
    [anon_sym_UR_DQUOTE] = ACTIONS(2212),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2212),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
    [anon_sym_discard] = ACTIONS(2210),
    [anon_sym_precise] = ACTIONS(2210),
    [anon_sym_shared] = ACTIONS(2210),
    [anon_sym_groupshared] = ACTIONS(2210),
    [anon_sym_uniform] = ACTIONS(2210),
    [anon_sym_row_major] = ACTIONS(2210),
    [anon_sym_column_major] = ACTIONS(2210),
    [anon_sym_globallycoherent] = ACTIONS(2210),
    [anon_sym_centroid] = ACTIONS(2210),
    [anon_sym_noperspective] = ACTIONS(2210),
    [anon_sym_nointerpolation] = ACTIONS(2210),
    [anon_sym_sample] = ACTIONS(2210),
    [anon_sym_linear] = ACTIONS(2210),
    [anon_sym_snorm] = ACTIONS(2210),
    [anon_sym_unorm] = ACTIONS(2210),
    [anon_sym_point] = ACTIONS(2210),
    [anon_sym_line] = ACTIONS(2210),
    [anon_sym_triangleadj] = ACTIONS(2210),
    [anon_sym_lineadj] = ACTIONS(2210),
    [anon_sym_triangle] = ACTIONS(2210),
    [anon_sym_cbuffer] = ACTIONS(2210),
  },
  [1017] = {
    [sym_identifier] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2218),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym___extension__] = ACTIONS(2218),
    [anon_sym_typedef] = ACTIONS(2218),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_out] = ACTIONS(2218),
    [anon_sym_inout] = ACTIONS(2218),
    [anon_sym_virtual] = ACTIONS(2218),
    [anon_sym_extern] = ACTIONS(2218),
    [anon_sym___attribute__] = ACTIONS(2218),
    [anon_sym_COLON_COLON] = ACTIONS(2220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2220),
    [anon_sym___declspec] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_signed] = ACTIONS(2218),
    [anon_sym_unsigned] = ACTIONS(2218),
    [anon_sym_long] = ACTIONS(2218),
    [anon_sym_short] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_static] = ACTIONS(2218),
    [anon_sym_register] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2218),
    [anon_sym___inline] = ACTIONS(2218),
    [anon_sym___inline__] = ACTIONS(2218),
    [anon_sym___forceinline] = ACTIONS(2218),
    [anon_sym_thread_local] = ACTIONS(2218),
    [anon_sym___thread] = ACTIONS(2218),
    [anon_sym_const] = ACTIONS(2218),
    [anon_sym_constexpr] = ACTIONS(2218),
    [anon_sym_volatile] = ACTIONS(2218),
    [anon_sym_restrict] = ACTIONS(2218),
    [anon_sym___restrict__] = ACTIONS(2218),
    [anon_sym__Atomic] = ACTIONS(2218),
    [anon_sym__Noreturn] = ACTIONS(2218),
    [anon_sym_noreturn] = ACTIONS(2218),
    [anon_sym__Nonnull] = ACTIONS(2218),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_constinit] = ACTIONS(2218),
    [anon_sym_consteval] = ACTIONS(2218),
    [anon_sym_alignas] = ACTIONS(2218),
    [anon_sym__Alignas] = ACTIONS(2218),
    [sym_primitive_type] = ACTIONS(2218),
    [anon_sym_enum] = ACTIONS(2218),
    [anon_sym_class] = ACTIONS(2218),
    [anon_sym_struct] = ACTIONS(2218),
    [anon_sym_union] = ACTIONS(2218),
    [anon_sym_if] = ACTIONS(2218),
    [anon_sym_else] = ACTIONS(2218),
    [anon_sym_switch] = ACTIONS(2218),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_do] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2218),
    [anon_sym_return] = ACTIONS(2218),
    [anon_sym_break] = ACTIONS(2218),
    [anon_sym_continue] = ACTIONS(2218),
    [anon_sym_goto] = ACTIONS(2218),
    [anon_sym___try] = ACTIONS(2218),
    [anon_sym___leave] = ACTIONS(2218),
    [anon_sym_not] = ACTIONS(2218),
    [anon_sym_compl] = ACTIONS(2218),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_sizeof] = ACTIONS(2218),
    [anon_sym___alignof__] = ACTIONS(2218),
    [anon_sym___alignof] = ACTIONS(2218),
    [anon_sym__alignof] = ACTIONS(2218),
    [anon_sym_alignof] = ACTIONS(2218),
    [anon_sym__Alignof] = ACTIONS(2218),
    [anon_sym_offsetof] = ACTIONS(2218),
    [anon_sym__Generic] = ACTIONS(2218),
    [anon_sym_asm] = ACTIONS(2218),
    [anon_sym___asm__] = ACTIONS(2218),
    [anon_sym___asm] = ACTIONS(2218),
    [sym_number_literal] = ACTIONS(2220),
    [anon_sym_L_SQUOTE] = ACTIONS(2220),
    [anon_sym_u_SQUOTE] = ACTIONS(2220),
    [anon_sym_U_SQUOTE] = ACTIONS(2220),
    [anon_sym_u8_SQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [anon_sym_L_DQUOTE] = ACTIONS(2220),
    [anon_sym_u_DQUOTE] = ACTIONS(2220),
    [anon_sym_U_DQUOTE] = ACTIONS(2220),
    [anon_sym_u8_DQUOTE] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [sym_true] = ACTIONS(2218),
    [sym_false] = ACTIONS(2218),
    [anon_sym_NULL] = ACTIONS(2218),
    [anon_sym_nullptr] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2218),
    [anon_sym_decltype] = ACTIONS(2218),
    [anon_sym_typename] = ACTIONS(2218),
    [anon_sym_template] = ACTIONS(2218),
    [anon_sym_try] = ACTIONS(2218),
    [anon_sym_delete] = ACTIONS(2218),
    [anon_sym_throw] = ACTIONS(2218),
    [anon_sym_co_return] = ACTIONS(2218),
    [anon_sym_co_yield] = ACTIONS(2218),
    [anon_sym_R_DQUOTE] = ACTIONS(2220),
    [anon_sym_LR_DQUOTE] = ACTIONS(2220),
    [anon_sym_uR_DQUOTE] = ACTIONS(2220),
    [anon_sym_UR_DQUOTE] = ACTIONS(2220),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2220),
    [anon_sym_co_await] = ACTIONS(2218),
    [anon_sym_new] = ACTIONS(2218),
    [anon_sym_requires] = ACTIONS(2218),
    [sym_this] = ACTIONS(2218),
    [anon_sym_discard] = ACTIONS(2218),
    [anon_sym_precise] = ACTIONS(2218),
    [anon_sym_shared] = ACTIONS(2218),
    [anon_sym_groupshared] = ACTIONS(2218),
    [anon_sym_uniform] = ACTIONS(2218),
    [anon_sym_row_major] = ACTIONS(2218),
    [anon_sym_column_major] = ACTIONS(2218),
    [anon_sym_globallycoherent] = ACTIONS(2218),
    [anon_sym_centroid] = ACTIONS(2218),
    [anon_sym_noperspective] = ACTIONS(2218),
    [anon_sym_nointerpolation] = ACTIONS(2218),
    [anon_sym_sample] = ACTIONS(2218),
    [anon_sym_linear] = ACTIONS(2218),
    [anon_sym_snorm] = ACTIONS(2218),
    [anon_sym_unorm] = ACTIONS(2218),
    [anon_sym_point] = ACTIONS(2218),
    [anon_sym_line] = ACTIONS(2218),
    [anon_sym_triangleadj] = ACTIONS(2218),
    [anon_sym_lineadj] = ACTIONS(2218),
    [anon_sym_triangle] = ACTIONS(2218),
    [anon_sym_cbuffer] = ACTIONS(2218),
  },
  [1018] = {
    [sym_identifier] = ACTIONS(3808),
    [anon_sym_LPAREN2] = ACTIONS(3810),
    [anon_sym_BANG] = ACTIONS(3810),
    [anon_sym_TILDE] = ACTIONS(3810),
    [anon_sym_DASH] = ACTIONS(3808),
    [anon_sym_PLUS] = ACTIONS(3808),
    [anon_sym_STAR] = ACTIONS(3810),
    [anon_sym_AMP] = ACTIONS(3810),
    [anon_sym_SEMI] = ACTIONS(3810),
    [anon_sym___extension__] = ACTIONS(3808),
    [anon_sym_in] = ACTIONS(3808),
    [anon_sym_out] = ACTIONS(3808),
    [anon_sym_inout] = ACTIONS(3808),
    [anon_sym_virtual] = ACTIONS(3808),
    [anon_sym_extern] = ACTIONS(3808),
    [anon_sym___attribute__] = ACTIONS(3808),
    [anon_sym_COLON_COLON] = ACTIONS(3810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3810),
    [anon_sym___declspec] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_signed] = ACTIONS(3808),
    [anon_sym_unsigned] = ACTIONS(3808),
    [anon_sym_long] = ACTIONS(3808),
    [anon_sym_short] = ACTIONS(3808),
    [anon_sym_LBRACK] = ACTIONS(3808),
    [anon_sym_static] = ACTIONS(3808),
    [anon_sym_register] = ACTIONS(3808),
    [anon_sym_inline] = ACTIONS(3808),
    [anon_sym___inline] = ACTIONS(3808),
    [anon_sym___inline__] = ACTIONS(3808),
    [anon_sym___forceinline] = ACTIONS(3808),
    [anon_sym_thread_local] = ACTIONS(3808),
    [anon_sym___thread] = ACTIONS(3808),
    [anon_sym_const] = ACTIONS(3808),
    [anon_sym_constexpr] = ACTIONS(3808),
    [anon_sym_volatile] = ACTIONS(3808),
    [anon_sym_restrict] = ACTIONS(3808),
    [anon_sym___restrict__] = ACTIONS(3808),
    [anon_sym__Atomic] = ACTIONS(3808),
    [anon_sym__Noreturn] = ACTIONS(3808),
    [anon_sym_noreturn] = ACTIONS(3808),
    [anon_sym__Nonnull] = ACTIONS(3808),
    [anon_sym_mutable] = ACTIONS(3808),
    [anon_sym_constinit] = ACTIONS(3808),
    [anon_sym_consteval] = ACTIONS(3808),
    [anon_sym_alignas] = ACTIONS(3808),
    [anon_sym__Alignas] = ACTIONS(3808),
    [sym_primitive_type] = ACTIONS(3808),
    [anon_sym_enum] = ACTIONS(3808),
    [anon_sym_class] = ACTIONS(3808),
    [anon_sym_struct] = ACTIONS(3808),
    [anon_sym_union] = ACTIONS(3808),
    [anon_sym_if] = ACTIONS(3808),
    [anon_sym_switch] = ACTIONS(3808),
    [anon_sym_case] = ACTIONS(3808),
    [anon_sym_default] = ACTIONS(3808),
    [anon_sym_while] = ACTIONS(3808),
    [anon_sym_do] = ACTIONS(3808),
    [anon_sym_for] = ACTIONS(3808),
    [anon_sym_return] = ACTIONS(3808),
    [anon_sym_break] = ACTIONS(3808),
    [anon_sym_continue] = ACTIONS(3808),
    [anon_sym_goto] = ACTIONS(3808),
    [anon_sym___try] = ACTIONS(3808),
    [anon_sym___leave] = ACTIONS(3808),
    [anon_sym_not] = ACTIONS(3808),
    [anon_sym_compl] = ACTIONS(3808),
    [anon_sym_DASH_DASH] = ACTIONS(3810),
    [anon_sym_PLUS_PLUS] = ACTIONS(3810),
    [anon_sym_sizeof] = ACTIONS(3808),
    [anon_sym___alignof__] = ACTIONS(3808),
    [anon_sym___alignof] = ACTIONS(3808),
    [anon_sym__alignof] = ACTIONS(3808),
    [anon_sym_alignof] = ACTIONS(3808),
    [anon_sym__Alignof] = ACTIONS(3808),
    [anon_sym_offsetof] = ACTIONS(3808),
    [anon_sym__Generic] = ACTIONS(3808),
    [anon_sym_asm] = ACTIONS(3808),
    [anon_sym___asm__] = ACTIONS(3808),
    [anon_sym___asm] = ACTIONS(3808),
    [sym_number_literal] = ACTIONS(3810),
    [anon_sym_L_SQUOTE] = ACTIONS(3810),
    [anon_sym_u_SQUOTE] = ACTIONS(3810),
    [anon_sym_U_SQUOTE] = ACTIONS(3810),
    [anon_sym_u8_SQUOTE] = ACTIONS(3810),
    [anon_sym_SQUOTE] = ACTIONS(3810),
    [anon_sym_L_DQUOTE] = ACTIONS(3810),
    [anon_sym_u_DQUOTE] = ACTIONS(3810),
    [anon_sym_U_DQUOTE] = ACTIONS(3810),
    [anon_sym_u8_DQUOTE] = ACTIONS(3810),
    [anon_sym_DQUOTE] = ACTIONS(3810),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [anon_sym_NULL] = ACTIONS(3808),
    [anon_sym_nullptr] = ACTIONS(3808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3808),
    [anon_sym_decltype] = ACTIONS(3808),
    [anon_sym_typename] = ACTIONS(3808),
    [anon_sym_template] = ACTIONS(3808),
    [anon_sym_try] = ACTIONS(3808),
    [anon_sym_delete] = ACTIONS(3808),
    [anon_sym_throw] = ACTIONS(3808),
    [anon_sym_co_return] = ACTIONS(3808),
    [anon_sym_co_yield] = ACTIONS(3808),
    [anon_sym_R_DQUOTE] = ACTIONS(3810),
    [anon_sym_LR_DQUOTE] = ACTIONS(3810),
    [anon_sym_uR_DQUOTE] = ACTIONS(3810),
    [anon_sym_UR_DQUOTE] = ACTIONS(3810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3810),
    [anon_sym_co_await] = ACTIONS(3808),
    [anon_sym_new] = ACTIONS(3808),
    [anon_sym_requires] = ACTIONS(3808),
    [sym_this] = ACTIONS(3808),
    [anon_sym_discard] = ACTIONS(3808),
    [anon_sym_precise] = ACTIONS(3808),
    [anon_sym_shared] = ACTIONS(3808),
    [anon_sym_groupshared] = ACTIONS(3808),
    [anon_sym_uniform] = ACTIONS(3808),
    [anon_sym_row_major] = ACTIONS(3808),
    [anon_sym_column_major] = ACTIONS(3808),
    [anon_sym_globallycoherent] = ACTIONS(3808),
    [anon_sym_centroid] = ACTIONS(3808),
    [anon_sym_noperspective] = ACTIONS(3808),
    [anon_sym_nointerpolation] = ACTIONS(3808),
    [anon_sym_sample] = ACTIONS(3808),
    [anon_sym_linear] = ACTIONS(3808),
    [anon_sym_snorm] = ACTIONS(3808),
    [anon_sym_unorm] = ACTIONS(3808),
    [anon_sym_point] = ACTIONS(3808),
    [anon_sym_line] = ACTIONS(3808),
    [anon_sym_triangleadj] = ACTIONS(3808),
    [anon_sym_lineadj] = ACTIONS(3808),
    [anon_sym_triangle] = ACTIONS(3808),
    [anon_sym_cbuffer] = ACTIONS(3808),
  },
  [1019] = {
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_goto] = ACTIONS(2230),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2230),
    [anon_sym_not] = ACTIONS(2230),
    [anon_sym_compl] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2230),
    [anon_sym___alignof] = ACTIONS(2230),
    [anon_sym__alignof] = ACTIONS(2230),
    [anon_sym_alignof] = ACTIONS(2230),
    [anon_sym__Alignof] = ACTIONS(2230),
    [anon_sym_offsetof] = ACTIONS(2230),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym___asm] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2232),
    [anon_sym_u_SQUOTE] = ACTIONS(2232),
    [anon_sym_U_SQUOTE] = ACTIONS(2232),
    [anon_sym_u8_SQUOTE] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_L_DQUOTE] = ACTIONS(2232),
    [anon_sym_u_DQUOTE] = ACTIONS(2232),
    [anon_sym_U_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2232),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [anon_sym_NULL] = ACTIONS(2230),
    [anon_sym_nullptr] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_co_return] = ACTIONS(2230),
    [anon_sym_co_yield] = ACTIONS(2230),
    [anon_sym_R_DQUOTE] = ACTIONS(2232),
    [anon_sym_LR_DQUOTE] = ACTIONS(2232),
    [anon_sym_uR_DQUOTE] = ACTIONS(2232),
    [anon_sym_UR_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2232),
    [anon_sym_co_await] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_requires] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [anon_sym_discard] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
    [anon_sym_cbuffer] = ACTIONS(2230),
  },
  [1020] = {
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_goto] = ACTIONS(2230),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2230),
    [anon_sym_not] = ACTIONS(2230),
    [anon_sym_compl] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2230),
    [anon_sym___alignof] = ACTIONS(2230),
    [anon_sym__alignof] = ACTIONS(2230),
    [anon_sym_alignof] = ACTIONS(2230),
    [anon_sym__Alignof] = ACTIONS(2230),
    [anon_sym_offsetof] = ACTIONS(2230),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym___asm] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2232),
    [anon_sym_u_SQUOTE] = ACTIONS(2232),
    [anon_sym_U_SQUOTE] = ACTIONS(2232),
    [anon_sym_u8_SQUOTE] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_L_DQUOTE] = ACTIONS(2232),
    [anon_sym_u_DQUOTE] = ACTIONS(2232),
    [anon_sym_U_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2232),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [anon_sym_NULL] = ACTIONS(2230),
    [anon_sym_nullptr] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_co_return] = ACTIONS(2230),
    [anon_sym_co_yield] = ACTIONS(2230),
    [anon_sym_R_DQUOTE] = ACTIONS(2232),
    [anon_sym_LR_DQUOTE] = ACTIONS(2232),
    [anon_sym_uR_DQUOTE] = ACTIONS(2232),
    [anon_sym_UR_DQUOTE] = ACTIONS(2232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2232),
    [anon_sym_co_await] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_requires] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [anon_sym_discard] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
    [anon_sym_cbuffer] = ACTIONS(2230),
  },
  [1021] = {
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_LPAREN2] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(2174),
    [anon_sym_typedef] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_out] = ACTIONS(2174),
    [anon_sym_inout] = ACTIONS(2174),
    [anon_sym_virtual] = ACTIONS(2174),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym___attribute__] = ACTIONS(2174),
    [anon_sym_COLON_COLON] = ACTIONS(2176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2176),
    [anon_sym___declspec] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_signed] = ACTIONS(2174),
    [anon_sym_unsigned] = ACTIONS(2174),
    [anon_sym_long] = ACTIONS(2174),
    [anon_sym_short] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_register] = ACTIONS(2174),
    [anon_sym_inline] = ACTIONS(2174),
    [anon_sym___inline] = ACTIONS(2174),
    [anon_sym___inline__] = ACTIONS(2174),
    [anon_sym___forceinline] = ACTIONS(2174),
    [anon_sym_thread_local] = ACTIONS(2174),
    [anon_sym___thread] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_constexpr] = ACTIONS(2174),
    [anon_sym_volatile] = ACTIONS(2174),
    [anon_sym_restrict] = ACTIONS(2174),
    [anon_sym___restrict__] = ACTIONS(2174),
    [anon_sym__Atomic] = ACTIONS(2174),
    [anon_sym__Noreturn] = ACTIONS(2174),
    [anon_sym_noreturn] = ACTIONS(2174),
    [anon_sym__Nonnull] = ACTIONS(2174),
    [anon_sym_mutable] = ACTIONS(2174),
    [anon_sym_constinit] = ACTIONS(2174),
    [anon_sym_consteval] = ACTIONS(2174),
    [anon_sym_alignas] = ACTIONS(2174),
    [anon_sym__Alignas] = ACTIONS(2174),
    [sym_primitive_type] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_struct] = ACTIONS(2174),
    [anon_sym_union] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_goto] = ACTIONS(2174),
    [anon_sym___try] = ACTIONS(2174),
    [anon_sym___leave] = ACTIONS(2174),
    [anon_sym_not] = ACTIONS(2174),
    [anon_sym_compl] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_sizeof] = ACTIONS(2174),
    [anon_sym___alignof__] = ACTIONS(2174),
    [anon_sym___alignof] = ACTIONS(2174),
    [anon_sym__alignof] = ACTIONS(2174),
    [anon_sym_alignof] = ACTIONS(2174),
    [anon_sym__Alignof] = ACTIONS(2174),
    [anon_sym_offsetof] = ACTIONS(2174),
    [anon_sym__Generic] = ACTIONS(2174),
    [anon_sym_asm] = ACTIONS(2174),
    [anon_sym___asm__] = ACTIONS(2174),
    [anon_sym___asm] = ACTIONS(2174),
    [sym_number_literal] = ACTIONS(2176),
    [anon_sym_L_SQUOTE] = ACTIONS(2176),
    [anon_sym_u_SQUOTE] = ACTIONS(2176),
    [anon_sym_U_SQUOTE] = ACTIONS(2176),
    [anon_sym_u8_SQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_L_DQUOTE] = ACTIONS(2176),
    [anon_sym_u_DQUOTE] = ACTIONS(2176),
    [anon_sym_U_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8_DQUOTE] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [anon_sym_NULL] = ACTIONS(2174),
    [anon_sym_nullptr] = ACTIONS(2174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2174),
    [anon_sym_decltype] = ACTIONS(2174),
    [anon_sym_typename] = ACTIONS(2174),
    [anon_sym_template] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_co_return] = ACTIONS(2174),
    [anon_sym_co_yield] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [anon_sym_discard] = ACTIONS(2174),
    [anon_sym_precise] = ACTIONS(2174),
    [anon_sym_shared] = ACTIONS(2174),
    [anon_sym_groupshared] = ACTIONS(2174),
    [anon_sym_uniform] = ACTIONS(2174),
    [anon_sym_row_major] = ACTIONS(2174),
    [anon_sym_column_major] = ACTIONS(2174),
    [anon_sym_globallycoherent] = ACTIONS(2174),
    [anon_sym_centroid] = ACTIONS(2174),
    [anon_sym_noperspective] = ACTIONS(2174),
    [anon_sym_nointerpolation] = ACTIONS(2174),
    [anon_sym_sample] = ACTIONS(2174),
    [anon_sym_linear] = ACTIONS(2174),
    [anon_sym_snorm] = ACTIONS(2174),
    [anon_sym_unorm] = ACTIONS(2174),
    [anon_sym_point] = ACTIONS(2174),
    [anon_sym_line] = ACTIONS(2174),
    [anon_sym_triangleadj] = ACTIONS(2174),
    [anon_sym_lineadj] = ACTIONS(2174),
    [anon_sym_triangle] = ACTIONS(2174),
    [anon_sym_cbuffer] = ACTIONS(2174),
  },
  [1022] = {
    [sym_identifier] = ACTIONS(3902),
    [anon_sym_LPAREN2] = ACTIONS(3904),
    [anon_sym_BANG] = ACTIONS(3904),
    [anon_sym_TILDE] = ACTIONS(3904),
    [anon_sym_DASH] = ACTIONS(3902),
    [anon_sym_PLUS] = ACTIONS(3902),
    [anon_sym_STAR] = ACTIONS(3904),
    [anon_sym_AMP] = ACTIONS(3904),
    [anon_sym_SEMI] = ACTIONS(3904),
    [anon_sym___extension__] = ACTIONS(3902),
    [anon_sym_in] = ACTIONS(3902),
    [anon_sym_out] = ACTIONS(3902),
    [anon_sym_inout] = ACTIONS(3902),
    [anon_sym_virtual] = ACTIONS(3902),
    [anon_sym_extern] = ACTIONS(3902),
    [anon_sym___attribute__] = ACTIONS(3902),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3904),
    [anon_sym___declspec] = ACTIONS(3902),
    [anon_sym_LBRACE] = ACTIONS(3904),
    [anon_sym_signed] = ACTIONS(3902),
    [anon_sym_unsigned] = ACTIONS(3902),
    [anon_sym_long] = ACTIONS(3902),
    [anon_sym_short] = ACTIONS(3902),
    [anon_sym_LBRACK] = ACTIONS(3902),
    [anon_sym_static] = ACTIONS(3902),
    [anon_sym_register] = ACTIONS(3902),
    [anon_sym_inline] = ACTIONS(3902),
    [anon_sym___inline] = ACTIONS(3902),
    [anon_sym___inline__] = ACTIONS(3902),
    [anon_sym___forceinline] = ACTIONS(3902),
    [anon_sym_thread_local] = ACTIONS(3902),
    [anon_sym___thread] = ACTIONS(3902),
    [anon_sym_const] = ACTIONS(3902),
    [anon_sym_constexpr] = ACTIONS(3902),
    [anon_sym_volatile] = ACTIONS(3902),
    [anon_sym_restrict] = ACTIONS(3902),
    [anon_sym___restrict__] = ACTIONS(3902),
    [anon_sym__Atomic] = ACTIONS(3902),
    [anon_sym__Noreturn] = ACTIONS(3902),
    [anon_sym_noreturn] = ACTIONS(3902),
    [anon_sym__Nonnull] = ACTIONS(3902),
    [anon_sym_mutable] = ACTIONS(3902),
    [anon_sym_constinit] = ACTIONS(3902),
    [anon_sym_consteval] = ACTIONS(3902),
    [anon_sym_alignas] = ACTIONS(3902),
    [anon_sym__Alignas] = ACTIONS(3902),
    [sym_primitive_type] = ACTIONS(3902),
    [anon_sym_enum] = ACTIONS(3902),
    [anon_sym_class] = ACTIONS(3902),
    [anon_sym_struct] = ACTIONS(3902),
    [anon_sym_union] = ACTIONS(3902),
    [anon_sym_if] = ACTIONS(3902),
    [anon_sym_switch] = ACTIONS(3902),
    [anon_sym_case] = ACTIONS(3902),
    [anon_sym_default] = ACTIONS(3902),
    [anon_sym_while] = ACTIONS(3902),
    [anon_sym_do] = ACTIONS(3902),
    [anon_sym_for] = ACTIONS(3902),
    [anon_sym_return] = ACTIONS(3902),
    [anon_sym_break] = ACTIONS(3902),
    [anon_sym_continue] = ACTIONS(3902),
    [anon_sym_goto] = ACTIONS(3902),
    [anon_sym___try] = ACTIONS(3902),
    [anon_sym___leave] = ACTIONS(3902),
    [anon_sym_not] = ACTIONS(3902),
    [anon_sym_compl] = ACTIONS(3902),
    [anon_sym_DASH_DASH] = ACTIONS(3904),
    [anon_sym_PLUS_PLUS] = ACTIONS(3904),
    [anon_sym_sizeof] = ACTIONS(3902),
    [anon_sym___alignof__] = ACTIONS(3902),
    [anon_sym___alignof] = ACTIONS(3902),
    [anon_sym__alignof] = ACTIONS(3902),
    [anon_sym_alignof] = ACTIONS(3902),
    [anon_sym__Alignof] = ACTIONS(3902),
    [anon_sym_offsetof] = ACTIONS(3902),
    [anon_sym__Generic] = ACTIONS(3902),
    [anon_sym_asm] = ACTIONS(3902),
    [anon_sym___asm__] = ACTIONS(3902),
    [anon_sym___asm] = ACTIONS(3902),
    [sym_number_literal] = ACTIONS(3904),
    [anon_sym_L_SQUOTE] = ACTIONS(3904),
    [anon_sym_u_SQUOTE] = ACTIONS(3904),
    [anon_sym_U_SQUOTE] = ACTIONS(3904),
    [anon_sym_u8_SQUOTE] = ACTIONS(3904),
    [anon_sym_SQUOTE] = ACTIONS(3904),
    [anon_sym_L_DQUOTE] = ACTIONS(3904),
    [anon_sym_u_DQUOTE] = ACTIONS(3904),
    [anon_sym_U_DQUOTE] = ACTIONS(3904),
    [anon_sym_u8_DQUOTE] = ACTIONS(3904),
    [anon_sym_DQUOTE] = ACTIONS(3904),
    [sym_true] = ACTIONS(3902),
    [sym_false] = ACTIONS(3902),
    [anon_sym_NULL] = ACTIONS(3902),
    [anon_sym_nullptr] = ACTIONS(3902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3902),
    [anon_sym_decltype] = ACTIONS(3902),
    [anon_sym_typename] = ACTIONS(3902),
    [anon_sym_template] = ACTIONS(3902),
    [anon_sym_try] = ACTIONS(3902),
    [anon_sym_delete] = ACTIONS(3902),
    [anon_sym_throw] = ACTIONS(3902),
    [anon_sym_co_return] = ACTIONS(3902),
    [anon_sym_co_yield] = ACTIONS(3902),
    [anon_sym_R_DQUOTE] = ACTIONS(3904),
    [anon_sym_LR_DQUOTE] = ACTIONS(3904),
    [anon_sym_uR_DQUOTE] = ACTIONS(3904),
    [anon_sym_UR_DQUOTE] = ACTIONS(3904),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3904),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3902),
    [anon_sym_requires] = ACTIONS(3902),
    [sym_this] = ACTIONS(3902),
    [anon_sym_discard] = ACTIONS(3902),
    [anon_sym_precise] = ACTIONS(3902),
    [anon_sym_shared] = ACTIONS(3902),
    [anon_sym_groupshared] = ACTIONS(3902),
    [anon_sym_uniform] = ACTIONS(3902),
    [anon_sym_row_major] = ACTIONS(3902),
    [anon_sym_column_major] = ACTIONS(3902),
    [anon_sym_globallycoherent] = ACTIONS(3902),
    [anon_sym_centroid] = ACTIONS(3902),
    [anon_sym_noperspective] = ACTIONS(3902),
    [anon_sym_nointerpolation] = ACTIONS(3902),
    [anon_sym_sample] = ACTIONS(3902),
    [anon_sym_linear] = ACTIONS(3902),
    [anon_sym_snorm] = ACTIONS(3902),
    [anon_sym_unorm] = ACTIONS(3902),
    [anon_sym_point] = ACTIONS(3902),
    [anon_sym_line] = ACTIONS(3902),
    [anon_sym_triangleadj] = ACTIONS(3902),
    [anon_sym_lineadj] = ACTIONS(3902),
    [anon_sym_triangle] = ACTIONS(3902),
    [anon_sym_cbuffer] = ACTIONS(3902),
  },
  [1023] = {
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym__Nonnull] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym__Alignas] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [anon_sym___asm] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [1024] = {
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym___extension__] = ACTIONS(2226),
    [anon_sym_typedef] = ACTIONS(2226),
    [anon_sym_in] = ACTIONS(2226),
    [anon_sym_out] = ACTIONS(2226),
    [anon_sym_inout] = ACTIONS(2226),
    [anon_sym_virtual] = ACTIONS(2226),
    [anon_sym_extern] = ACTIONS(2226),
    [anon_sym___attribute__] = ACTIONS(2226),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2228),
    [anon_sym___declspec] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_signed] = ACTIONS(2226),
    [anon_sym_unsigned] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_register] = ACTIONS(2226),
    [anon_sym_inline] = ACTIONS(2226),
    [anon_sym___inline] = ACTIONS(2226),
    [anon_sym___inline__] = ACTIONS(2226),
    [anon_sym___forceinline] = ACTIONS(2226),
    [anon_sym_thread_local] = ACTIONS(2226),
    [anon_sym___thread] = ACTIONS(2226),
    [anon_sym_const] = ACTIONS(2226),
    [anon_sym_constexpr] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_restrict] = ACTIONS(2226),
    [anon_sym___restrict__] = ACTIONS(2226),
    [anon_sym__Atomic] = ACTIONS(2226),
    [anon_sym__Noreturn] = ACTIONS(2226),
    [anon_sym_noreturn] = ACTIONS(2226),
    [anon_sym__Nonnull] = ACTIONS(2226),
    [anon_sym_mutable] = ACTIONS(2226),
    [anon_sym_constinit] = ACTIONS(2226),
    [anon_sym_consteval] = ACTIONS(2226),
    [anon_sym_alignas] = ACTIONS(2226),
    [anon_sym__Alignas] = ACTIONS(2226),
    [sym_primitive_type] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_struct] = ACTIONS(2226),
    [anon_sym_union] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_goto] = ACTIONS(2226),
    [anon_sym___try] = ACTIONS(2226),
    [anon_sym___leave] = ACTIONS(2226),
    [anon_sym_not] = ACTIONS(2226),
    [anon_sym_compl] = ACTIONS(2226),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_sizeof] = ACTIONS(2226),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2226),
    [anon_sym_asm] = ACTIONS(2226),
    [anon_sym___asm__] = ACTIONS(2226),
    [anon_sym___asm] = ACTIONS(2226),
    [sym_number_literal] = ACTIONS(2228),
    [anon_sym_L_SQUOTE] = ACTIONS(2228),
    [anon_sym_u_SQUOTE] = ACTIONS(2228),
    [anon_sym_U_SQUOTE] = ACTIONS(2228),
    [anon_sym_u8_SQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_L_DQUOTE] = ACTIONS(2228),
    [anon_sym_u_DQUOTE] = ACTIONS(2228),
    [anon_sym_U_DQUOTE] = ACTIONS(2228),
    [anon_sym_u8_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [anon_sym_NULL] = ACTIONS(2226),
    [anon_sym_nullptr] = ACTIONS(2226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2226),
    [anon_sym_decltype] = ACTIONS(2226),
    [anon_sym_typename] = ACTIONS(2226),
    [anon_sym_template] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_delete] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_co_return] = ACTIONS(2226),
    [anon_sym_co_yield] = ACTIONS(2226),
    [anon_sym_R_DQUOTE] = ACTIONS(2228),
    [anon_sym_LR_DQUOTE] = ACTIONS(2228),
    [anon_sym_uR_DQUOTE] = ACTIONS(2228),
    [anon_sym_UR_DQUOTE] = ACTIONS(2228),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2228),
    [anon_sym_co_await] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_requires] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [anon_sym_discard] = ACTIONS(2226),
    [anon_sym_precise] = ACTIONS(2226),
    [anon_sym_shared] = ACTIONS(2226),
    [anon_sym_groupshared] = ACTIONS(2226),
    [anon_sym_uniform] = ACTIONS(2226),
    [anon_sym_row_major] = ACTIONS(2226),
    [anon_sym_column_major] = ACTIONS(2226),
    [anon_sym_globallycoherent] = ACTIONS(2226),
    [anon_sym_centroid] = ACTIONS(2226),
    [anon_sym_noperspective] = ACTIONS(2226),
    [anon_sym_nointerpolation] = ACTIONS(2226),
    [anon_sym_sample] = ACTIONS(2226),
    [anon_sym_linear] = ACTIONS(2226),
    [anon_sym_snorm] = ACTIONS(2226),
    [anon_sym_unorm] = ACTIONS(2226),
    [anon_sym_point] = ACTIONS(2226),
    [anon_sym_line] = ACTIONS(2226),
    [anon_sym_triangleadj] = ACTIONS(2226),
    [anon_sym_lineadj] = ACTIONS(2226),
    [anon_sym_triangle] = ACTIONS(2226),
    [anon_sym_cbuffer] = ACTIONS(2226),
  },
  [1025] = {
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym__Nonnull] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym__Alignas] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [anon_sym___asm] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [1026] = {
    [sym_identifier] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym___extension__] = ACTIONS(2248),
    [anon_sym_typedef] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2248),
    [anon_sym_out] = ACTIONS(2248),
    [anon_sym_inout] = ACTIONS(2248),
    [anon_sym_virtual] = ACTIONS(2248),
    [anon_sym_extern] = ACTIONS(2248),
    [anon_sym___attribute__] = ACTIONS(2248),
    [anon_sym_COLON_COLON] = ACTIONS(2250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2250),
    [anon_sym___declspec] = ACTIONS(2248),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_signed] = ACTIONS(2248),
    [anon_sym_unsigned] = ACTIONS(2248),
    [anon_sym_long] = ACTIONS(2248),
    [anon_sym_short] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_static] = ACTIONS(2248),
    [anon_sym_register] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(2248),
    [anon_sym___inline] = ACTIONS(2248),
    [anon_sym___inline__] = ACTIONS(2248),
    [anon_sym___forceinline] = ACTIONS(2248),
    [anon_sym_thread_local] = ACTIONS(2248),
    [anon_sym___thread] = ACTIONS(2248),
    [anon_sym_const] = ACTIONS(2248),
    [anon_sym_constexpr] = ACTIONS(2248),
    [anon_sym_volatile] = ACTIONS(2248),
    [anon_sym_restrict] = ACTIONS(2248),
    [anon_sym___restrict__] = ACTIONS(2248),
    [anon_sym__Atomic] = ACTIONS(2248),
    [anon_sym__Noreturn] = ACTIONS(2248),
    [anon_sym_noreturn] = ACTIONS(2248),
    [anon_sym__Nonnull] = ACTIONS(2248),
    [anon_sym_mutable] = ACTIONS(2248),
    [anon_sym_constinit] = ACTIONS(2248),
    [anon_sym_consteval] = ACTIONS(2248),
    [anon_sym_alignas] = ACTIONS(2248),
    [anon_sym__Alignas] = ACTIONS(2248),
    [sym_primitive_type] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2248),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_union] = ACTIONS(2248),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_else] = ACTIONS(2248),
    [anon_sym_switch] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(2248),
    [anon_sym_do] = ACTIONS(2248),
    [anon_sym_for] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(2248),
    [anon_sym_break] = ACTIONS(2248),
    [anon_sym_continue] = ACTIONS(2248),
    [anon_sym_goto] = ACTIONS(2248),
    [anon_sym___try] = ACTIONS(2248),
    [anon_sym___leave] = ACTIONS(2248),
    [anon_sym_not] = ACTIONS(2248),
    [anon_sym_compl] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(2248),
    [anon_sym___alignof] = ACTIONS(2248),
    [anon_sym__alignof] = ACTIONS(2248),
    [anon_sym_alignof] = ACTIONS(2248),
    [anon_sym__Alignof] = ACTIONS(2248),
    [anon_sym_offsetof] = ACTIONS(2248),
    [anon_sym__Generic] = ACTIONS(2248),
    [anon_sym_asm] = ACTIONS(2248),
    [anon_sym___asm__] = ACTIONS(2248),
    [anon_sym___asm] = ACTIONS(2248),
    [sym_number_literal] = ACTIONS(2250),
    [anon_sym_L_SQUOTE] = ACTIONS(2250),
    [anon_sym_u_SQUOTE] = ACTIONS(2250),
    [anon_sym_U_SQUOTE] = ACTIONS(2250),
    [anon_sym_u8_SQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [anon_sym_L_DQUOTE] = ACTIONS(2250),
    [anon_sym_u_DQUOTE] = ACTIONS(2250),
    [anon_sym_U_DQUOTE] = ACTIONS(2250),
    [anon_sym_u8_DQUOTE] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2248),
    [anon_sym_nullptr] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2248),
    [anon_sym_decltype] = ACTIONS(2248),
    [anon_sym_typename] = ACTIONS(2248),
    [anon_sym_template] = ACTIONS(2248),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_delete] = ACTIONS(2248),
    [anon_sym_throw] = ACTIONS(2248),
    [anon_sym_co_return] = ACTIONS(2248),
    [anon_sym_co_yield] = ACTIONS(2248),
    [anon_sym_R_DQUOTE] = ACTIONS(2250),
    [anon_sym_LR_DQUOTE] = ACTIONS(2250),
    [anon_sym_uR_DQUOTE] = ACTIONS(2250),
    [anon_sym_UR_DQUOTE] = ACTIONS(2250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2250),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2248),
    [sym_this] = ACTIONS(2248),
    [anon_sym_discard] = ACTIONS(2248),
    [anon_sym_precise] = ACTIONS(2248),
    [anon_sym_shared] = ACTIONS(2248),
    [anon_sym_groupshared] = ACTIONS(2248),
    [anon_sym_uniform] = ACTIONS(2248),
    [anon_sym_row_major] = ACTIONS(2248),
    [anon_sym_column_major] = ACTIONS(2248),
    [anon_sym_globallycoherent] = ACTIONS(2248),
    [anon_sym_centroid] = ACTIONS(2248),
    [anon_sym_noperspective] = ACTIONS(2248),
    [anon_sym_nointerpolation] = ACTIONS(2248),
    [anon_sym_sample] = ACTIONS(2248),
    [anon_sym_linear] = ACTIONS(2248),
    [anon_sym_snorm] = ACTIONS(2248),
    [anon_sym_unorm] = ACTIONS(2248),
    [anon_sym_point] = ACTIONS(2248),
    [anon_sym_line] = ACTIONS(2248),
    [anon_sym_triangleadj] = ACTIONS(2248),
    [anon_sym_lineadj] = ACTIONS(2248),
    [anon_sym_triangle] = ACTIONS(2248),
    [anon_sym_cbuffer] = ACTIONS(2248),
  },
  [1027] = {
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2254),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2252),
    [anon_sym_typedef] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_out] = ACTIONS(2252),
    [anon_sym_inout] = ACTIONS(2252),
    [anon_sym_virtual] = ACTIONS(2252),
    [anon_sym_extern] = ACTIONS(2252),
    [anon_sym___attribute__] = ACTIONS(2252),
    [anon_sym_COLON_COLON] = ACTIONS(2254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2254),
    [anon_sym___declspec] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_signed] = ACTIONS(2252),
    [anon_sym_unsigned] = ACTIONS(2252),
    [anon_sym_long] = ACTIONS(2252),
    [anon_sym_short] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_register] = ACTIONS(2252),
    [anon_sym_inline] = ACTIONS(2252),
    [anon_sym___inline] = ACTIONS(2252),
    [anon_sym___inline__] = ACTIONS(2252),
    [anon_sym___forceinline] = ACTIONS(2252),
    [anon_sym_thread_local] = ACTIONS(2252),
    [anon_sym___thread] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_constexpr] = ACTIONS(2252),
    [anon_sym_volatile] = ACTIONS(2252),
    [anon_sym_restrict] = ACTIONS(2252),
    [anon_sym___restrict__] = ACTIONS(2252),
    [anon_sym__Atomic] = ACTIONS(2252),
    [anon_sym__Noreturn] = ACTIONS(2252),
    [anon_sym_noreturn] = ACTIONS(2252),
    [anon_sym__Nonnull] = ACTIONS(2252),
    [anon_sym_mutable] = ACTIONS(2252),
    [anon_sym_constinit] = ACTIONS(2252),
    [anon_sym_consteval] = ACTIONS(2252),
    [anon_sym_alignas] = ACTIONS(2252),
    [anon_sym__Alignas] = ACTIONS(2252),
    [sym_primitive_type] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_struct] = ACTIONS(2252),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_else] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_goto] = ACTIONS(2252),
    [anon_sym___try] = ACTIONS(2252),
    [anon_sym___leave] = ACTIONS(2252),
    [anon_sym_not] = ACTIONS(2252),
    [anon_sym_compl] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_sizeof] = ACTIONS(2252),
    [anon_sym___alignof__] = ACTIONS(2252),
    [anon_sym___alignof] = ACTIONS(2252),
    [anon_sym__alignof] = ACTIONS(2252),
    [anon_sym_alignof] = ACTIONS(2252),
    [anon_sym__Alignof] = ACTIONS(2252),
    [anon_sym_offsetof] = ACTIONS(2252),
    [anon_sym__Generic] = ACTIONS(2252),
    [anon_sym_asm] = ACTIONS(2252),
    [anon_sym___asm__] = ACTIONS(2252),
    [anon_sym___asm] = ACTIONS(2252),
    [sym_number_literal] = ACTIONS(2254),
    [anon_sym_L_SQUOTE] = ACTIONS(2254),
    [anon_sym_u_SQUOTE] = ACTIONS(2254),
    [anon_sym_U_SQUOTE] = ACTIONS(2254),
    [anon_sym_u8_SQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_L_DQUOTE] = ACTIONS(2254),
    [anon_sym_u_DQUOTE] = ACTIONS(2254),
    [anon_sym_U_DQUOTE] = ACTIONS(2254),
    [anon_sym_u8_DQUOTE] = ACTIONS(2254),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [anon_sym_NULL] = ACTIONS(2252),
    [anon_sym_nullptr] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2252),
    [anon_sym_decltype] = ACTIONS(2252),
    [anon_sym_typename] = ACTIONS(2252),
    [anon_sym_template] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_co_return] = ACTIONS(2252),
    [anon_sym_co_yield] = ACTIONS(2252),
    [anon_sym_R_DQUOTE] = ACTIONS(2254),
    [anon_sym_LR_DQUOTE] = ACTIONS(2254),
    [anon_sym_uR_DQUOTE] = ACTIONS(2254),
    [anon_sym_UR_DQUOTE] = ACTIONS(2254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2254),
    [anon_sym_co_await] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [anon_sym_discard] = ACTIONS(2252),
    [anon_sym_precise] = ACTIONS(2252),
    [anon_sym_shared] = ACTIONS(2252),
    [anon_sym_groupshared] = ACTIONS(2252),
    [anon_sym_uniform] = ACTIONS(2252),
    [anon_sym_row_major] = ACTIONS(2252),
    [anon_sym_column_major] = ACTIONS(2252),
    [anon_sym_globallycoherent] = ACTIONS(2252),
    [anon_sym_centroid] = ACTIONS(2252),
    [anon_sym_noperspective] = ACTIONS(2252),
    [anon_sym_nointerpolation] = ACTIONS(2252),
    [anon_sym_sample] = ACTIONS(2252),
    [anon_sym_linear] = ACTIONS(2252),
    [anon_sym_snorm] = ACTIONS(2252),
    [anon_sym_unorm] = ACTIONS(2252),
    [anon_sym_point] = ACTIONS(2252),
    [anon_sym_line] = ACTIONS(2252),
    [anon_sym_triangleadj] = ACTIONS(2252),
    [anon_sym_lineadj] = ACTIONS(2252),
    [anon_sym_triangle] = ACTIONS(2252),
    [anon_sym_cbuffer] = ACTIONS(2252),
  },
  [1028] = {
    [sym_identifier] = ACTIONS(2256),
    [anon_sym_LPAREN2] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym___extension__] = ACTIONS(2256),
    [anon_sym_typedef] = ACTIONS(2256),
    [anon_sym_in] = ACTIONS(2256),
    [anon_sym_out] = ACTIONS(2256),
    [anon_sym_inout] = ACTIONS(2256),
    [anon_sym_virtual] = ACTIONS(2256),
    [anon_sym_extern] = ACTIONS(2256),
    [anon_sym___attribute__] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2258),
    [anon_sym___declspec] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_signed] = ACTIONS(2256),
    [anon_sym_unsigned] = ACTIONS(2256),
    [anon_sym_long] = ACTIONS(2256),
    [anon_sym_short] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2256),
    [anon_sym_register] = ACTIONS(2256),
    [anon_sym_inline] = ACTIONS(2256),
    [anon_sym___inline] = ACTIONS(2256),
    [anon_sym___inline__] = ACTIONS(2256),
    [anon_sym___forceinline] = ACTIONS(2256),
    [anon_sym_thread_local] = ACTIONS(2256),
    [anon_sym___thread] = ACTIONS(2256),
    [anon_sym_const] = ACTIONS(2256),
    [anon_sym_constexpr] = ACTIONS(2256),
    [anon_sym_volatile] = ACTIONS(2256),
    [anon_sym_restrict] = ACTIONS(2256),
    [anon_sym___restrict__] = ACTIONS(2256),
    [anon_sym__Atomic] = ACTIONS(2256),
    [anon_sym__Noreturn] = ACTIONS(2256),
    [anon_sym_noreturn] = ACTIONS(2256),
    [anon_sym__Nonnull] = ACTIONS(2256),
    [anon_sym_mutable] = ACTIONS(2256),
    [anon_sym_constinit] = ACTIONS(2256),
    [anon_sym_consteval] = ACTIONS(2256),
    [anon_sym_alignas] = ACTIONS(2256),
    [anon_sym__Alignas] = ACTIONS(2256),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_enum] = ACTIONS(2256),
    [anon_sym_class] = ACTIONS(2256),
    [anon_sym_struct] = ACTIONS(2256),
    [anon_sym_union] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_else] = ACTIONS(2256),
    [anon_sym_switch] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2256),
    [anon_sym_for] = ACTIONS(2256),
    [anon_sym_return] = ACTIONS(2256),
    [anon_sym_break] = ACTIONS(2256),
    [anon_sym_continue] = ACTIONS(2256),
    [anon_sym_goto] = ACTIONS(2256),
    [anon_sym___try] = ACTIONS(2256),
    [anon_sym___leave] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2256),
    [anon_sym_compl] = ACTIONS(2256),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_sizeof] = ACTIONS(2256),
    [anon_sym___alignof__] = ACTIONS(2256),
    [anon_sym___alignof] = ACTIONS(2256),
    [anon_sym__alignof] = ACTIONS(2256),
    [anon_sym_alignof] = ACTIONS(2256),
    [anon_sym__Alignof] = ACTIONS(2256),
    [anon_sym_offsetof] = ACTIONS(2256),
    [anon_sym__Generic] = ACTIONS(2256),
    [anon_sym_asm] = ACTIONS(2256),
    [anon_sym___asm__] = ACTIONS(2256),
    [anon_sym___asm] = ACTIONS(2256),
    [sym_number_literal] = ACTIONS(2258),
    [anon_sym_L_SQUOTE] = ACTIONS(2258),
    [anon_sym_u_SQUOTE] = ACTIONS(2258),
    [anon_sym_U_SQUOTE] = ACTIONS(2258),
    [anon_sym_u8_SQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_L_DQUOTE] = ACTIONS(2258),
    [anon_sym_u_DQUOTE] = ACTIONS(2258),
    [anon_sym_U_DQUOTE] = ACTIONS(2258),
    [anon_sym_u8_DQUOTE] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [sym_true] = ACTIONS(2256),
    [sym_false] = ACTIONS(2256),
    [anon_sym_NULL] = ACTIONS(2256),
    [anon_sym_nullptr] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2256),
    [anon_sym_decltype] = ACTIONS(2256),
    [anon_sym_typename] = ACTIONS(2256),
    [anon_sym_template] = ACTIONS(2256),
    [anon_sym_try] = ACTIONS(2256),
    [anon_sym_delete] = ACTIONS(2256),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_co_return] = ACTIONS(2256),
    [anon_sym_co_yield] = ACTIONS(2256),
    [anon_sym_R_DQUOTE] = ACTIONS(2258),
    [anon_sym_LR_DQUOTE] = ACTIONS(2258),
    [anon_sym_uR_DQUOTE] = ACTIONS(2258),
    [anon_sym_UR_DQUOTE] = ACTIONS(2258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2258),
    [anon_sym_co_await] = ACTIONS(2256),
    [anon_sym_new] = ACTIONS(2256),
    [anon_sym_requires] = ACTIONS(2256),
    [sym_this] = ACTIONS(2256),
    [anon_sym_discard] = ACTIONS(2256),
    [anon_sym_precise] = ACTIONS(2256),
    [anon_sym_shared] = ACTIONS(2256),
    [anon_sym_groupshared] = ACTIONS(2256),
    [anon_sym_uniform] = ACTIONS(2256),
    [anon_sym_row_major] = ACTIONS(2256),
    [anon_sym_column_major] = ACTIONS(2256),
    [anon_sym_globallycoherent] = ACTIONS(2256),
    [anon_sym_centroid] = ACTIONS(2256),
    [anon_sym_noperspective] = ACTIONS(2256),
    [anon_sym_nointerpolation] = ACTIONS(2256),
    [anon_sym_sample] = ACTIONS(2256),
    [anon_sym_linear] = ACTIONS(2256),
    [anon_sym_snorm] = ACTIONS(2256),
    [anon_sym_unorm] = ACTIONS(2256),
    [anon_sym_point] = ACTIONS(2256),
    [anon_sym_line] = ACTIONS(2256),
    [anon_sym_triangleadj] = ACTIONS(2256),
    [anon_sym_lineadj] = ACTIONS(2256),
    [anon_sym_triangle] = ACTIONS(2256),
    [anon_sym_cbuffer] = ACTIONS(2256),
  },
  [1029] = {
    [sym_identifier] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2270),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym__Nonnull] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym__Alignas] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [anon_sym___asm] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [1030] = {
    [sym_identifier] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3924),
    [anon_sym_BANG] = ACTIONS(3924),
    [anon_sym_TILDE] = ACTIONS(3924),
    [anon_sym_DASH] = ACTIONS(3926),
    [anon_sym_PLUS] = ACTIONS(3926),
    [anon_sym_STAR] = ACTIONS(3924),
    [anon_sym_AMP] = ACTIONS(3924),
    [anon_sym_SEMI] = ACTIONS(3924),
    [anon_sym___extension__] = ACTIONS(3918),
    [anon_sym_in] = ACTIONS(3930),
    [anon_sym_out] = ACTIONS(3930),
    [anon_sym_inout] = ACTIONS(3930),
    [anon_sym_virtual] = ACTIONS(3930),
    [anon_sym_extern] = ACTIONS(3930),
    [anon_sym___attribute__] = ACTIONS(3930),
    [anon_sym_COLON_COLON] = ACTIONS(3921),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3921),
    [anon_sym___declspec] = ACTIONS(3930),
    [anon_sym_LBRACE] = ACTIONS(3924),
    [anon_sym_signed] = ACTIONS(3930),
    [anon_sym_unsigned] = ACTIONS(3930),
    [anon_sym_long] = ACTIONS(3930),
    [anon_sym_short] = ACTIONS(3930),
    [anon_sym_LBRACK] = ACTIONS(3926),
    [anon_sym_static] = ACTIONS(3930),
    [anon_sym_register] = ACTIONS(3930),
    [anon_sym_inline] = ACTIONS(3930),
    [anon_sym___inline] = ACTIONS(3930),
    [anon_sym___inline__] = ACTIONS(3930),
    [anon_sym___forceinline] = ACTIONS(3930),
    [anon_sym_thread_local] = ACTIONS(3930),
    [anon_sym___thread] = ACTIONS(3930),
    [anon_sym_const] = ACTIONS(3930),
    [anon_sym_constexpr] = ACTIONS(3930),
    [anon_sym_volatile] = ACTIONS(3930),
    [anon_sym_restrict] = ACTIONS(3930),
    [anon_sym___restrict__] = ACTIONS(3930),
    [anon_sym__Atomic] = ACTIONS(3930),
    [anon_sym__Noreturn] = ACTIONS(3930),
    [anon_sym_noreturn] = ACTIONS(3930),
    [anon_sym__Nonnull] = ACTIONS(3930),
    [anon_sym_mutable] = ACTIONS(3930),
    [anon_sym_constinit] = ACTIONS(3930),
    [anon_sym_consteval] = ACTIONS(3930),
    [anon_sym_alignas] = ACTIONS(3930),
    [anon_sym__Alignas] = ACTIONS(3930),
    [sym_primitive_type] = ACTIONS(3918),
    [anon_sym_enum] = ACTIONS(3930),
    [anon_sym_class] = ACTIONS(3930),
    [anon_sym_struct] = ACTIONS(3930),
    [anon_sym_union] = ACTIONS(3930),
    [anon_sym_if] = ACTIONS(3926),
    [anon_sym_switch] = ACTIONS(3926),
    [anon_sym_case] = ACTIONS(3926),
    [anon_sym_default] = ACTIONS(3926),
    [anon_sym_while] = ACTIONS(3926),
    [anon_sym_do] = ACTIONS(3926),
    [anon_sym_for] = ACTIONS(3926),
    [anon_sym_return] = ACTIONS(3926),
    [anon_sym_break] = ACTIONS(3926),
    [anon_sym_continue] = ACTIONS(3926),
    [anon_sym_goto] = ACTIONS(3926),
    [anon_sym___try] = ACTIONS(3926),
    [anon_sym___leave] = ACTIONS(3926),
    [anon_sym_not] = ACTIONS(3926),
    [anon_sym_compl] = ACTIONS(3926),
    [anon_sym_DASH_DASH] = ACTIONS(3924),
    [anon_sym_PLUS_PLUS] = ACTIONS(3924),
    [anon_sym_sizeof] = ACTIONS(3926),
    [anon_sym___alignof__] = ACTIONS(3926),
    [anon_sym___alignof] = ACTIONS(3926),
    [anon_sym__alignof] = ACTIONS(3926),
    [anon_sym_alignof] = ACTIONS(3926),
    [anon_sym__Alignof] = ACTIONS(3926),
    [anon_sym_offsetof] = ACTIONS(3926),
    [anon_sym__Generic] = ACTIONS(3926),
    [anon_sym_asm] = ACTIONS(3926),
    [anon_sym___asm__] = ACTIONS(3926),
    [anon_sym___asm] = ACTIONS(3926),
    [sym_number_literal] = ACTIONS(3924),
    [anon_sym_L_SQUOTE] = ACTIONS(3924),
    [anon_sym_u_SQUOTE] = ACTIONS(3924),
    [anon_sym_U_SQUOTE] = ACTIONS(3924),
    [anon_sym_u8_SQUOTE] = ACTIONS(3924),
    [anon_sym_SQUOTE] = ACTIONS(3924),
    [anon_sym_L_DQUOTE] = ACTIONS(3924),
    [anon_sym_u_DQUOTE] = ACTIONS(3924),
    [anon_sym_U_DQUOTE] = ACTIONS(3924),
    [anon_sym_u8_DQUOTE] = ACTIONS(3924),
    [anon_sym_DQUOTE] = ACTIONS(3924),
    [sym_true] = ACTIONS(3926),
    [sym_false] = ACTIONS(3926),
    [anon_sym_NULL] = ACTIONS(3926),
    [anon_sym_nullptr] = ACTIONS(3926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3930),
    [anon_sym_decltype] = ACTIONS(3918),
    [anon_sym_typename] = ACTIONS(3930),
    [anon_sym_template] = ACTIONS(3918),
    [anon_sym_try] = ACTIONS(3926),
    [anon_sym_delete] = ACTIONS(3926),
    [anon_sym_throw] = ACTIONS(3926),
    [anon_sym_co_return] = ACTIONS(3926),
    [anon_sym_co_yield] = ACTIONS(3926),
    [anon_sym_R_DQUOTE] = ACTIONS(3924),
    [anon_sym_LR_DQUOTE] = ACTIONS(3924),
    [anon_sym_uR_DQUOTE] = ACTIONS(3924),
    [anon_sym_UR_DQUOTE] = ACTIONS(3924),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3924),
    [anon_sym_co_await] = ACTIONS(3926),
    [anon_sym_new] = ACTIONS(3926),
    [anon_sym_requires] = ACTIONS(3926),
    [sym_this] = ACTIONS(3926),
    [anon_sym_discard] = ACTIONS(3926),
    [anon_sym_precise] = ACTIONS(3930),
    [anon_sym_shared] = ACTIONS(3930),
    [anon_sym_groupshared] = ACTIONS(3930),
    [anon_sym_uniform] = ACTIONS(3930),
    [anon_sym_row_major] = ACTIONS(3930),
    [anon_sym_column_major] = ACTIONS(3930),
    [anon_sym_globallycoherent] = ACTIONS(3930),
    [anon_sym_centroid] = ACTIONS(3930),
    [anon_sym_noperspective] = ACTIONS(3930),
    [anon_sym_nointerpolation] = ACTIONS(3930),
    [anon_sym_sample] = ACTIONS(3930),
    [anon_sym_linear] = ACTIONS(3930),
    [anon_sym_snorm] = ACTIONS(3930),
    [anon_sym_unorm] = ACTIONS(3930),
    [anon_sym_point] = ACTIONS(3930),
    [anon_sym_line] = ACTIONS(3930),
    [anon_sym_triangleadj] = ACTIONS(3930),
    [anon_sym_lineadj] = ACTIONS(3930),
    [anon_sym_triangle] = ACTIONS(3930),
    [anon_sym_cbuffer] = ACTIONS(3926),
  },
  [1031] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1216),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4115),
    [anon_sym_SEMI] = ACTIONS(4090),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4098),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym___cdecl] = ACTIONS(4075),
    [anon_sym___clrcall] = ACTIONS(4075),
    [anon_sym___stdcall] = ACTIONS(4075),
    [anon_sym___fastcall] = ACTIONS(4075),
    [anon_sym___thiscall] = ACTIONS(4075),
    [anon_sym___vectorcall] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4103),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1032] = {
    [sym_identifier] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_TILDE] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2276),
    [anon_sym_typedef] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2276),
    [anon_sym_out] = ACTIONS(2276),
    [anon_sym_inout] = ACTIONS(2276),
    [anon_sym_virtual] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym___attribute__] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2278),
    [anon_sym___declspec] = ACTIONS(2276),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2276),
    [anon_sym_unsigned] = ACTIONS(2276),
    [anon_sym_long] = ACTIONS(2276),
    [anon_sym_short] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_register] = ACTIONS(2276),
    [anon_sym_inline] = ACTIONS(2276),
    [anon_sym___inline] = ACTIONS(2276),
    [anon_sym___inline__] = ACTIONS(2276),
    [anon_sym___forceinline] = ACTIONS(2276),
    [anon_sym_thread_local] = ACTIONS(2276),
    [anon_sym___thread] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_constexpr] = ACTIONS(2276),
    [anon_sym_volatile] = ACTIONS(2276),
    [anon_sym_restrict] = ACTIONS(2276),
    [anon_sym___restrict__] = ACTIONS(2276),
    [anon_sym__Atomic] = ACTIONS(2276),
    [anon_sym__Noreturn] = ACTIONS(2276),
    [anon_sym_noreturn] = ACTIONS(2276),
    [anon_sym__Nonnull] = ACTIONS(2276),
    [anon_sym_mutable] = ACTIONS(2276),
    [anon_sym_constinit] = ACTIONS(2276),
    [anon_sym_consteval] = ACTIONS(2276),
    [anon_sym_alignas] = ACTIONS(2276),
    [anon_sym__Alignas] = ACTIONS(2276),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_else] = ACTIONS(2276),
    [anon_sym_switch] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_goto] = ACTIONS(2276),
    [anon_sym___try] = ACTIONS(2276),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2276),
    [anon_sym_compl] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2278),
    [anon_sym_sizeof] = ACTIONS(2276),
    [anon_sym___alignof__] = ACTIONS(2276),
    [anon_sym___alignof] = ACTIONS(2276),
    [anon_sym__alignof] = ACTIONS(2276),
    [anon_sym_alignof] = ACTIONS(2276),
    [anon_sym__Alignof] = ACTIONS(2276),
    [anon_sym_offsetof] = ACTIONS(2276),
    [anon_sym__Generic] = ACTIONS(2276),
    [anon_sym_asm] = ACTIONS(2276),
    [anon_sym___asm__] = ACTIONS(2276),
    [anon_sym___asm] = ACTIONS(2276),
    [sym_number_literal] = ACTIONS(2278),
    [anon_sym_L_SQUOTE] = ACTIONS(2278),
    [anon_sym_u_SQUOTE] = ACTIONS(2278),
    [anon_sym_U_SQUOTE] = ACTIONS(2278),
    [anon_sym_u8_SQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2278),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [anon_sym_NULL] = ACTIONS(2276),
    [anon_sym_nullptr] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2276),
    [anon_sym_decltype] = ACTIONS(2276),
    [anon_sym_typename] = ACTIONS(2276),
    [anon_sym_template] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_delete] = ACTIONS(2276),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_co_return] = ACTIONS(2276),
    [anon_sym_co_yield] = ACTIONS(2276),
    [anon_sym_R_DQUOTE] = ACTIONS(2278),
    [anon_sym_LR_DQUOTE] = ACTIONS(2278),
    [anon_sym_uR_DQUOTE] = ACTIONS(2278),
    [anon_sym_UR_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2278),
    [anon_sym_co_await] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_requires] = ACTIONS(2276),
    [sym_this] = ACTIONS(2276),
    [anon_sym_discard] = ACTIONS(2276),
    [anon_sym_precise] = ACTIONS(2276),
    [anon_sym_shared] = ACTIONS(2276),
    [anon_sym_groupshared] = ACTIONS(2276),
    [anon_sym_uniform] = ACTIONS(2276),
    [anon_sym_row_major] = ACTIONS(2276),
    [anon_sym_column_major] = ACTIONS(2276),
    [anon_sym_globallycoherent] = ACTIONS(2276),
    [anon_sym_centroid] = ACTIONS(2276),
    [anon_sym_noperspective] = ACTIONS(2276),
    [anon_sym_nointerpolation] = ACTIONS(2276),
    [anon_sym_sample] = ACTIONS(2276),
    [anon_sym_linear] = ACTIONS(2276),
    [anon_sym_snorm] = ACTIONS(2276),
    [anon_sym_unorm] = ACTIONS(2276),
    [anon_sym_point] = ACTIONS(2276),
    [anon_sym_line] = ACTIONS(2276),
    [anon_sym_triangleadj] = ACTIONS(2276),
    [anon_sym_lineadj] = ACTIONS(2276),
    [anon_sym_triangle] = ACTIONS(2276),
    [anon_sym_cbuffer] = ACTIONS(2276),
  },
  [1033] = {
    [sym_identifier] = ACTIONS(2118),
    [anon_sym_LPAREN2] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(2120),
    [anon_sym_TILDE] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2118),
    [anon_sym_PLUS] = ACTIONS(2118),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_AMP] = ACTIONS(2120),
    [anon_sym_SEMI] = ACTIONS(2120),
    [anon_sym___extension__] = ACTIONS(2118),
    [anon_sym_typedef] = ACTIONS(2118),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_virtual] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(2118),
    [anon_sym___attribute__] = ACTIONS(2118),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2120),
    [anon_sym___declspec] = ACTIONS(2118),
    [anon_sym_LBRACE] = ACTIONS(2120),
    [anon_sym_signed] = ACTIONS(2118),
    [anon_sym_unsigned] = ACTIONS(2118),
    [anon_sym_long] = ACTIONS(2118),
    [anon_sym_short] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(2118),
    [anon_sym_static] = ACTIONS(2118),
    [anon_sym_register] = ACTIONS(2118),
    [anon_sym_inline] = ACTIONS(2118),
    [anon_sym___inline] = ACTIONS(2118),
    [anon_sym___inline__] = ACTIONS(2118),
    [anon_sym___forceinline] = ACTIONS(2118),
    [anon_sym_thread_local] = ACTIONS(2118),
    [anon_sym___thread] = ACTIONS(2118),
    [anon_sym_const] = ACTIONS(2118),
    [anon_sym_constexpr] = ACTIONS(2118),
    [anon_sym_volatile] = ACTIONS(2118),
    [anon_sym_restrict] = ACTIONS(2118),
    [anon_sym___restrict__] = ACTIONS(2118),
    [anon_sym__Atomic] = ACTIONS(2118),
    [anon_sym__Noreturn] = ACTIONS(2118),
    [anon_sym_noreturn] = ACTIONS(2118),
    [anon_sym__Nonnull] = ACTIONS(2118),
    [anon_sym_mutable] = ACTIONS(2118),
    [anon_sym_constinit] = ACTIONS(2118),
    [anon_sym_consteval] = ACTIONS(2118),
    [anon_sym_alignas] = ACTIONS(2118),
    [anon_sym__Alignas] = ACTIONS(2118),
    [sym_primitive_type] = ACTIONS(2118),
    [anon_sym_enum] = ACTIONS(2118),
    [anon_sym_class] = ACTIONS(2118),
    [anon_sym_struct] = ACTIONS(2118),
    [anon_sym_union] = ACTIONS(2118),
    [anon_sym_if] = ACTIONS(2118),
    [anon_sym_else] = ACTIONS(2118),
    [anon_sym_switch] = ACTIONS(2118),
    [anon_sym_while] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_for] = ACTIONS(2118),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_break] = ACTIONS(2118),
    [anon_sym_continue] = ACTIONS(2118),
    [anon_sym_goto] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2118),
    [anon_sym___leave] = ACTIONS(2118),
    [anon_sym_not] = ACTIONS(2118),
    [anon_sym_compl] = ACTIONS(2118),
    [anon_sym_DASH_DASH] = ACTIONS(2120),
    [anon_sym_PLUS_PLUS] = ACTIONS(2120),
    [anon_sym_sizeof] = ACTIONS(2118),
    [anon_sym___alignof__] = ACTIONS(2118),
    [anon_sym___alignof] = ACTIONS(2118),
    [anon_sym__alignof] = ACTIONS(2118),
    [anon_sym_alignof] = ACTIONS(2118),
    [anon_sym__Alignof] = ACTIONS(2118),
    [anon_sym_offsetof] = ACTIONS(2118),
    [anon_sym__Generic] = ACTIONS(2118),
    [anon_sym_asm] = ACTIONS(2118),
    [anon_sym___asm__] = ACTIONS(2118),
    [anon_sym___asm] = ACTIONS(2118),
    [sym_number_literal] = ACTIONS(2120),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2120),
    [anon_sym_u_DQUOTE] = ACTIONS(2120),
    [anon_sym_U_DQUOTE] = ACTIONS(2120),
    [anon_sym_u8_DQUOTE] = ACTIONS(2120),
    [anon_sym_DQUOTE] = ACTIONS(2120),
    [sym_true] = ACTIONS(2118),
    [sym_false] = ACTIONS(2118),
    [anon_sym_NULL] = ACTIONS(2118),
    [anon_sym_nullptr] = ACTIONS(2118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2118),
    [anon_sym_template] = ACTIONS(2118),
    [anon_sym_try] = ACTIONS(2118),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_co_return] = ACTIONS(2118),
    [anon_sym_co_yield] = ACTIONS(2118),
    [anon_sym_R_DQUOTE] = ACTIONS(2120),
    [anon_sym_LR_DQUOTE] = ACTIONS(2120),
    [anon_sym_uR_DQUOTE] = ACTIONS(2120),
    [anon_sym_UR_DQUOTE] = ACTIONS(2120),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2120),
    [anon_sym_co_await] = ACTIONS(2118),
    [anon_sym_new] = ACTIONS(2118),
    [anon_sym_requires] = ACTIONS(2118),
    [sym_this] = ACTIONS(2118),
    [anon_sym_discard] = ACTIONS(2118),
    [anon_sym_precise] = ACTIONS(2118),
    [anon_sym_shared] = ACTIONS(2118),
    [anon_sym_groupshared] = ACTIONS(2118),
    [anon_sym_uniform] = ACTIONS(2118),
    [anon_sym_row_major] = ACTIONS(2118),
    [anon_sym_column_major] = ACTIONS(2118),
    [anon_sym_globallycoherent] = ACTIONS(2118),
    [anon_sym_centroid] = ACTIONS(2118),
    [anon_sym_noperspective] = ACTIONS(2118),
    [anon_sym_nointerpolation] = ACTIONS(2118),
    [anon_sym_sample] = ACTIONS(2118),
    [anon_sym_linear] = ACTIONS(2118),
    [anon_sym_snorm] = ACTIONS(2118),
    [anon_sym_unorm] = ACTIONS(2118),
    [anon_sym_point] = ACTIONS(2118),
    [anon_sym_line] = ACTIONS(2118),
    [anon_sym_triangleadj] = ACTIONS(2118),
    [anon_sym_lineadj] = ACTIONS(2118),
    [anon_sym_triangle] = ACTIONS(2118),
    [anon_sym_cbuffer] = ACTIONS(2118),
  },
  [1034] = {
    [sym_identifier] = ACTIONS(2300),
    [anon_sym_LPAREN2] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2300),
    [anon_sym_typedef] = ACTIONS(2300),
    [anon_sym_in] = ACTIONS(2300),
    [anon_sym_out] = ACTIONS(2300),
    [anon_sym_inout] = ACTIONS(2300),
    [anon_sym_virtual] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym___attribute__] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2302),
    [anon_sym___declspec] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2300),
    [anon_sym_unsigned] = ACTIONS(2300),
    [anon_sym_long] = ACTIONS(2300),
    [anon_sym_short] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_register] = ACTIONS(2300),
    [anon_sym_inline] = ACTIONS(2300),
    [anon_sym___inline] = ACTIONS(2300),
    [anon_sym___inline__] = ACTIONS(2300),
    [anon_sym___forceinline] = ACTIONS(2300),
    [anon_sym_thread_local] = ACTIONS(2300),
    [anon_sym___thread] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_constexpr] = ACTIONS(2300),
    [anon_sym_volatile] = ACTIONS(2300),
    [anon_sym_restrict] = ACTIONS(2300),
    [anon_sym___restrict__] = ACTIONS(2300),
    [anon_sym__Atomic] = ACTIONS(2300),
    [anon_sym__Noreturn] = ACTIONS(2300),
    [anon_sym_noreturn] = ACTIONS(2300),
    [anon_sym__Nonnull] = ACTIONS(2300),
    [anon_sym_mutable] = ACTIONS(2300),
    [anon_sym_constinit] = ACTIONS(2300),
    [anon_sym_consteval] = ACTIONS(2300),
    [anon_sym_alignas] = ACTIONS(2300),
    [anon_sym__Alignas] = ACTIONS(2300),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_else] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_goto] = ACTIONS(2300),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2300),
    [anon_sym_compl] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2300),
    [anon_sym___alignof] = ACTIONS(2300),
    [anon_sym__alignof] = ACTIONS(2300),
    [anon_sym_alignof] = ACTIONS(2300),
    [anon_sym__Alignof] = ACTIONS(2300),
    [anon_sym_offsetof] = ACTIONS(2300),
    [anon_sym__Generic] = ACTIONS(2300),
    [anon_sym_asm] = ACTIONS(2300),
    [anon_sym___asm__] = ACTIONS(2300),
    [anon_sym___asm] = ACTIONS(2300),
    [sym_number_literal] = ACTIONS(2302),
    [anon_sym_L_SQUOTE] = ACTIONS(2302),
    [anon_sym_u_SQUOTE] = ACTIONS(2302),
    [anon_sym_U_SQUOTE] = ACTIONS(2302),
    [anon_sym_u8_SQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_L_DQUOTE] = ACTIONS(2302),
    [anon_sym_u_DQUOTE] = ACTIONS(2302),
    [anon_sym_U_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8_DQUOTE] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [sym_true] = ACTIONS(2300),
    [sym_false] = ACTIONS(2300),
    [anon_sym_NULL] = ACTIONS(2300),
    [anon_sym_nullptr] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2300),
    [anon_sym_decltype] = ACTIONS(2300),
    [anon_sym_typename] = ACTIONS(2300),
    [anon_sym_template] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_delete] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2300),
    [anon_sym_co_return] = ACTIONS(2300),
    [anon_sym_co_yield] = ACTIONS(2300),
    [anon_sym_R_DQUOTE] = ACTIONS(2302),
    [anon_sym_LR_DQUOTE] = ACTIONS(2302),
    [anon_sym_uR_DQUOTE] = ACTIONS(2302),
    [anon_sym_UR_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2302),
    [anon_sym_co_await] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2300),
    [anon_sym_requires] = ACTIONS(2300),
    [sym_this] = ACTIONS(2300),
    [anon_sym_discard] = ACTIONS(2300),
    [anon_sym_precise] = ACTIONS(2300),
    [anon_sym_shared] = ACTIONS(2300),
    [anon_sym_groupshared] = ACTIONS(2300),
    [anon_sym_uniform] = ACTIONS(2300),
    [anon_sym_row_major] = ACTIONS(2300),
    [anon_sym_column_major] = ACTIONS(2300),
    [anon_sym_globallycoherent] = ACTIONS(2300),
    [anon_sym_centroid] = ACTIONS(2300),
    [anon_sym_noperspective] = ACTIONS(2300),
    [anon_sym_nointerpolation] = ACTIONS(2300),
    [anon_sym_sample] = ACTIONS(2300),
    [anon_sym_linear] = ACTIONS(2300),
    [anon_sym_snorm] = ACTIONS(2300),
    [anon_sym_unorm] = ACTIONS(2300),
    [anon_sym_point] = ACTIONS(2300),
    [anon_sym_line] = ACTIONS(2300),
    [anon_sym_triangleadj] = ACTIONS(2300),
    [anon_sym_lineadj] = ACTIONS(2300),
    [anon_sym_triangle] = ACTIONS(2300),
    [anon_sym_cbuffer] = ACTIONS(2300),
  },
  [1035] = {
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2286),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2284),
    [anon_sym_typedef] = ACTIONS(2284),
    [anon_sym_in] = ACTIONS(2284),
    [anon_sym_out] = ACTIONS(2284),
    [anon_sym_inout] = ACTIONS(2284),
    [anon_sym_virtual] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym___attribute__] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2286),
    [anon_sym___declspec] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2284),
    [anon_sym_unsigned] = ACTIONS(2284),
    [anon_sym_long] = ACTIONS(2284),
    [anon_sym_short] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_register] = ACTIONS(2284),
    [anon_sym_inline] = ACTIONS(2284),
    [anon_sym___inline] = ACTIONS(2284),
    [anon_sym___inline__] = ACTIONS(2284),
    [anon_sym___forceinline] = ACTIONS(2284),
    [anon_sym_thread_local] = ACTIONS(2284),
    [anon_sym___thread] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_constexpr] = ACTIONS(2284),
    [anon_sym_volatile] = ACTIONS(2284),
    [anon_sym_restrict] = ACTIONS(2284),
    [anon_sym___restrict__] = ACTIONS(2284),
    [anon_sym__Atomic] = ACTIONS(2284),
    [anon_sym__Noreturn] = ACTIONS(2284),
    [anon_sym_noreturn] = ACTIONS(2284),
    [anon_sym__Nonnull] = ACTIONS(2284),
    [anon_sym_mutable] = ACTIONS(2284),
    [anon_sym_constinit] = ACTIONS(2284),
    [anon_sym_consteval] = ACTIONS(2284),
    [anon_sym_alignas] = ACTIONS(2284),
    [anon_sym__Alignas] = ACTIONS(2284),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_else] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym___try] = ACTIONS(2284),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2284),
    [anon_sym_compl] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2286),
    [anon_sym_sizeof] = ACTIONS(2284),
    [anon_sym___alignof__] = ACTIONS(2284),
    [anon_sym___alignof] = ACTIONS(2284),
    [anon_sym__alignof] = ACTIONS(2284),
    [anon_sym_alignof] = ACTIONS(2284),
    [anon_sym__Alignof] = ACTIONS(2284),
    [anon_sym_offsetof] = ACTIONS(2284),
    [anon_sym__Generic] = ACTIONS(2284),
    [anon_sym_asm] = ACTIONS(2284),
    [anon_sym___asm__] = ACTIONS(2284),
    [anon_sym___asm] = ACTIONS(2284),
    [sym_number_literal] = ACTIONS(2286),
    [anon_sym_L_SQUOTE] = ACTIONS(2286),
    [anon_sym_u_SQUOTE] = ACTIONS(2286),
    [anon_sym_U_SQUOTE] = ACTIONS(2286),
    [anon_sym_u8_SQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2286),
    [anon_sym_L_DQUOTE] = ACTIONS(2286),
    [anon_sym_u_DQUOTE] = ACTIONS(2286),
    [anon_sym_U_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8_DQUOTE] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [anon_sym_NULL] = ACTIONS(2284),
    [anon_sym_nullptr] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2284),
    [anon_sym_decltype] = ACTIONS(2284),
    [anon_sym_typename] = ACTIONS(2284),
    [anon_sym_template] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_co_return] = ACTIONS(2284),
    [anon_sym_co_yield] = ACTIONS(2284),
    [anon_sym_R_DQUOTE] = ACTIONS(2286),
    [anon_sym_LR_DQUOTE] = ACTIONS(2286),
    [anon_sym_uR_DQUOTE] = ACTIONS(2286),
    [anon_sym_UR_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2286),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2284),
    [anon_sym_requires] = ACTIONS(2284),
    [sym_this] = ACTIONS(2284),
    [anon_sym_discard] = ACTIONS(2284),
    [anon_sym_precise] = ACTIONS(2284),
    [anon_sym_shared] = ACTIONS(2284),
    [anon_sym_groupshared] = ACTIONS(2284),
    [anon_sym_uniform] = ACTIONS(2284),
    [anon_sym_row_major] = ACTIONS(2284),
    [anon_sym_column_major] = ACTIONS(2284),
    [anon_sym_globallycoherent] = ACTIONS(2284),
    [anon_sym_centroid] = ACTIONS(2284),
    [anon_sym_noperspective] = ACTIONS(2284),
    [anon_sym_nointerpolation] = ACTIONS(2284),
    [anon_sym_sample] = ACTIONS(2284),
    [anon_sym_linear] = ACTIONS(2284),
    [anon_sym_snorm] = ACTIONS(2284),
    [anon_sym_unorm] = ACTIONS(2284),
    [anon_sym_point] = ACTIONS(2284),
    [anon_sym_line] = ACTIONS(2284),
    [anon_sym_triangleadj] = ACTIONS(2284),
    [anon_sym_lineadj] = ACTIONS(2284),
    [anon_sym_triangle] = ACTIONS(2284),
    [anon_sym_cbuffer] = ACTIONS(2284),
  },
  [1036] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym__Nonnull] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym__Alignas] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [anon_sym___asm] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [1037] = {
    [sym_identifier] = ACTIONS(2347),
    [anon_sym_LPAREN2] = ACTIONS(2349),
    [anon_sym_BANG] = ACTIONS(2349),
    [anon_sym_TILDE] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2347),
    [anon_sym_PLUS] = ACTIONS(2347),
    [anon_sym_STAR] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(2349),
    [anon_sym_SEMI] = ACTIONS(2349),
    [anon_sym___extension__] = ACTIONS(2347),
    [anon_sym_typedef] = ACTIONS(2347),
    [anon_sym_in] = ACTIONS(2347),
    [anon_sym_out] = ACTIONS(2347),
    [anon_sym_inout] = ACTIONS(2347),
    [anon_sym_virtual] = ACTIONS(2347),
    [anon_sym_extern] = ACTIONS(2347),
    [anon_sym___attribute__] = ACTIONS(2347),
    [anon_sym_COLON_COLON] = ACTIONS(2349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2349),
    [anon_sym___declspec] = ACTIONS(2347),
    [anon_sym_LBRACE] = ACTIONS(2349),
    [anon_sym_signed] = ACTIONS(2347),
    [anon_sym_unsigned] = ACTIONS(2347),
    [anon_sym_long] = ACTIONS(2347),
    [anon_sym_short] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(2347),
    [anon_sym_static] = ACTIONS(2347),
    [anon_sym_register] = ACTIONS(2347),
    [anon_sym_inline] = ACTIONS(2347),
    [anon_sym___inline] = ACTIONS(2347),
    [anon_sym___inline__] = ACTIONS(2347),
    [anon_sym___forceinline] = ACTIONS(2347),
    [anon_sym_thread_local] = ACTIONS(2347),
    [anon_sym___thread] = ACTIONS(2347),
    [anon_sym_const] = ACTIONS(2347),
    [anon_sym_constexpr] = ACTIONS(2347),
    [anon_sym_volatile] = ACTIONS(2347),
    [anon_sym_restrict] = ACTIONS(2347),
    [anon_sym___restrict__] = ACTIONS(2347),
    [anon_sym__Atomic] = ACTIONS(2347),
    [anon_sym__Noreturn] = ACTIONS(2347),
    [anon_sym_noreturn] = ACTIONS(2347),
    [anon_sym__Nonnull] = ACTIONS(2347),
    [anon_sym_mutable] = ACTIONS(2347),
    [anon_sym_constinit] = ACTIONS(2347),
    [anon_sym_consteval] = ACTIONS(2347),
    [anon_sym_alignas] = ACTIONS(2347),
    [anon_sym__Alignas] = ACTIONS(2347),
    [sym_primitive_type] = ACTIONS(2347),
    [anon_sym_enum] = ACTIONS(2347),
    [anon_sym_class] = ACTIONS(2347),
    [anon_sym_struct] = ACTIONS(2347),
    [anon_sym_union] = ACTIONS(2347),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_else] = ACTIONS(2347),
    [anon_sym_switch] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2347),
    [anon_sym_do] = ACTIONS(2347),
    [anon_sym_for] = ACTIONS(2347),
    [anon_sym_return] = ACTIONS(2347),
    [anon_sym_break] = ACTIONS(2347),
    [anon_sym_continue] = ACTIONS(2347),
    [anon_sym_goto] = ACTIONS(2347),
    [anon_sym___try] = ACTIONS(2347),
    [anon_sym___leave] = ACTIONS(2347),
    [anon_sym_not] = ACTIONS(2347),
    [anon_sym_compl] = ACTIONS(2347),
    [anon_sym_DASH_DASH] = ACTIONS(2349),
    [anon_sym_PLUS_PLUS] = ACTIONS(2349),
    [anon_sym_sizeof] = ACTIONS(2347),
    [anon_sym___alignof__] = ACTIONS(2347),
    [anon_sym___alignof] = ACTIONS(2347),
    [anon_sym__alignof] = ACTIONS(2347),
    [anon_sym_alignof] = ACTIONS(2347),
    [anon_sym__Alignof] = ACTIONS(2347),
    [anon_sym_offsetof] = ACTIONS(2347),
    [anon_sym__Generic] = ACTIONS(2347),
    [anon_sym_asm] = ACTIONS(2347),
    [anon_sym___asm__] = ACTIONS(2347),
    [anon_sym___asm] = ACTIONS(2347),
    [sym_number_literal] = ACTIONS(2349),
    [anon_sym_L_SQUOTE] = ACTIONS(2349),
    [anon_sym_u_SQUOTE] = ACTIONS(2349),
    [anon_sym_U_SQUOTE] = ACTIONS(2349),
    [anon_sym_u8_SQUOTE] = ACTIONS(2349),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_L_DQUOTE] = ACTIONS(2349),
    [anon_sym_u_DQUOTE] = ACTIONS(2349),
    [anon_sym_U_DQUOTE] = ACTIONS(2349),
    [anon_sym_u8_DQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2349),
    [sym_true] = ACTIONS(2347),
    [sym_false] = ACTIONS(2347),
    [anon_sym_NULL] = ACTIONS(2347),
    [anon_sym_nullptr] = ACTIONS(2347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2347),
    [anon_sym_decltype] = ACTIONS(2347),
    [anon_sym_typename] = ACTIONS(2347),
    [anon_sym_template] = ACTIONS(2347),
    [anon_sym_try] = ACTIONS(2347),
    [anon_sym_delete] = ACTIONS(2347),
    [anon_sym_throw] = ACTIONS(2347),
    [anon_sym_co_return] = ACTIONS(2347),
    [anon_sym_co_yield] = ACTIONS(2347),
    [anon_sym_R_DQUOTE] = ACTIONS(2349),
    [anon_sym_LR_DQUOTE] = ACTIONS(2349),
    [anon_sym_uR_DQUOTE] = ACTIONS(2349),
    [anon_sym_UR_DQUOTE] = ACTIONS(2349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2349),
    [anon_sym_co_await] = ACTIONS(2347),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_requires] = ACTIONS(2347),
    [sym_this] = ACTIONS(2347),
    [anon_sym_discard] = ACTIONS(2347),
    [anon_sym_precise] = ACTIONS(2347),
    [anon_sym_shared] = ACTIONS(2347),
    [anon_sym_groupshared] = ACTIONS(2347),
    [anon_sym_uniform] = ACTIONS(2347),
    [anon_sym_row_major] = ACTIONS(2347),
    [anon_sym_column_major] = ACTIONS(2347),
    [anon_sym_globallycoherent] = ACTIONS(2347),
    [anon_sym_centroid] = ACTIONS(2347),
    [anon_sym_noperspective] = ACTIONS(2347),
    [anon_sym_nointerpolation] = ACTIONS(2347),
    [anon_sym_sample] = ACTIONS(2347),
    [anon_sym_linear] = ACTIONS(2347),
    [anon_sym_snorm] = ACTIONS(2347),
    [anon_sym_unorm] = ACTIONS(2347),
    [anon_sym_point] = ACTIONS(2347),
    [anon_sym_line] = ACTIONS(2347),
    [anon_sym_triangleadj] = ACTIONS(2347),
    [anon_sym_lineadj] = ACTIONS(2347),
    [anon_sym_triangle] = ACTIONS(2347),
    [anon_sym_cbuffer] = ACTIONS(2347),
  },
  [1038] = {
    [sym_identifier] = ACTIONS(2351),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2353),
    [anon_sym_TILDE] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_PLUS] = ACTIONS(2351),
    [anon_sym_STAR] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(2353),
    [anon_sym_SEMI] = ACTIONS(2353),
    [anon_sym___extension__] = ACTIONS(2351),
    [anon_sym_typedef] = ACTIONS(2351),
    [anon_sym_in] = ACTIONS(2351),
    [anon_sym_out] = ACTIONS(2351),
    [anon_sym_inout] = ACTIONS(2351),
    [anon_sym_virtual] = ACTIONS(2351),
    [anon_sym_extern] = ACTIONS(2351),
    [anon_sym___attribute__] = ACTIONS(2351),
    [anon_sym_COLON_COLON] = ACTIONS(2353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2353),
    [anon_sym___declspec] = ACTIONS(2351),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_signed] = ACTIONS(2351),
    [anon_sym_unsigned] = ACTIONS(2351),
    [anon_sym_long] = ACTIONS(2351),
    [anon_sym_short] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_register] = ACTIONS(2351),
    [anon_sym_inline] = ACTIONS(2351),
    [anon_sym___inline] = ACTIONS(2351),
    [anon_sym___inline__] = ACTIONS(2351),
    [anon_sym___forceinline] = ACTIONS(2351),
    [anon_sym_thread_local] = ACTIONS(2351),
    [anon_sym___thread] = ACTIONS(2351),
    [anon_sym_const] = ACTIONS(2351),
    [anon_sym_constexpr] = ACTIONS(2351),
    [anon_sym_volatile] = ACTIONS(2351),
    [anon_sym_restrict] = ACTIONS(2351),
    [anon_sym___restrict__] = ACTIONS(2351),
    [anon_sym__Atomic] = ACTIONS(2351),
    [anon_sym__Noreturn] = ACTIONS(2351),
    [anon_sym_noreturn] = ACTIONS(2351),
    [anon_sym__Nonnull] = ACTIONS(2351),
    [anon_sym_mutable] = ACTIONS(2351),
    [anon_sym_constinit] = ACTIONS(2351),
    [anon_sym_consteval] = ACTIONS(2351),
    [anon_sym_alignas] = ACTIONS(2351),
    [anon_sym__Alignas] = ACTIONS(2351),
    [sym_primitive_type] = ACTIONS(2351),
    [anon_sym_enum] = ACTIONS(2351),
    [anon_sym_class] = ACTIONS(2351),
    [anon_sym_struct] = ACTIONS(2351),
    [anon_sym_union] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_do] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_return] = ACTIONS(2351),
    [anon_sym_break] = ACTIONS(2351),
    [anon_sym_continue] = ACTIONS(2351),
    [anon_sym_goto] = ACTIONS(2351),
    [anon_sym___try] = ACTIONS(2351),
    [anon_sym___leave] = ACTIONS(2351),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_compl] = ACTIONS(2351),
    [anon_sym_DASH_DASH] = ACTIONS(2353),
    [anon_sym_PLUS_PLUS] = ACTIONS(2353),
    [anon_sym_sizeof] = ACTIONS(2351),
    [anon_sym___alignof__] = ACTIONS(2351),
    [anon_sym___alignof] = ACTIONS(2351),
    [anon_sym__alignof] = ACTIONS(2351),
    [anon_sym_alignof] = ACTIONS(2351),
    [anon_sym__Alignof] = ACTIONS(2351),
    [anon_sym_offsetof] = ACTIONS(2351),
    [anon_sym__Generic] = ACTIONS(2351),
    [anon_sym_asm] = ACTIONS(2351),
    [anon_sym___asm__] = ACTIONS(2351),
    [anon_sym___asm] = ACTIONS(2351),
    [sym_number_literal] = ACTIONS(2353),
    [anon_sym_L_SQUOTE] = ACTIONS(2353),
    [anon_sym_u_SQUOTE] = ACTIONS(2353),
    [anon_sym_U_SQUOTE] = ACTIONS(2353),
    [anon_sym_u8_SQUOTE] = ACTIONS(2353),
    [anon_sym_SQUOTE] = ACTIONS(2353),
    [anon_sym_L_DQUOTE] = ACTIONS(2353),
    [anon_sym_u_DQUOTE] = ACTIONS(2353),
    [anon_sym_U_DQUOTE] = ACTIONS(2353),
    [anon_sym_u8_DQUOTE] = ACTIONS(2353),
    [anon_sym_DQUOTE] = ACTIONS(2353),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [anon_sym_NULL] = ACTIONS(2351),
    [anon_sym_nullptr] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2351),
    [anon_sym_decltype] = ACTIONS(2351),
    [anon_sym_typename] = ACTIONS(2351),
    [anon_sym_template] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2351),
    [anon_sym_delete] = ACTIONS(2351),
    [anon_sym_throw] = ACTIONS(2351),
    [anon_sym_co_return] = ACTIONS(2351),
    [anon_sym_co_yield] = ACTIONS(2351),
    [anon_sym_R_DQUOTE] = ACTIONS(2353),
    [anon_sym_LR_DQUOTE] = ACTIONS(2353),
    [anon_sym_uR_DQUOTE] = ACTIONS(2353),
    [anon_sym_UR_DQUOTE] = ACTIONS(2353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2353),
    [anon_sym_co_await] = ACTIONS(2351),
    [anon_sym_new] = ACTIONS(2351),
    [anon_sym_requires] = ACTIONS(2351),
    [sym_this] = ACTIONS(2351),
    [anon_sym_discard] = ACTIONS(2351),
    [anon_sym_precise] = ACTIONS(2351),
    [anon_sym_shared] = ACTIONS(2351),
    [anon_sym_groupshared] = ACTIONS(2351),
    [anon_sym_uniform] = ACTIONS(2351),
    [anon_sym_row_major] = ACTIONS(2351),
    [anon_sym_column_major] = ACTIONS(2351),
    [anon_sym_globallycoherent] = ACTIONS(2351),
    [anon_sym_centroid] = ACTIONS(2351),
    [anon_sym_noperspective] = ACTIONS(2351),
    [anon_sym_nointerpolation] = ACTIONS(2351),
    [anon_sym_sample] = ACTIONS(2351),
    [anon_sym_linear] = ACTIONS(2351),
    [anon_sym_snorm] = ACTIONS(2351),
    [anon_sym_unorm] = ACTIONS(2351),
    [anon_sym_point] = ACTIONS(2351),
    [anon_sym_line] = ACTIONS(2351),
    [anon_sym_triangleadj] = ACTIONS(2351),
    [anon_sym_lineadj] = ACTIONS(2351),
    [anon_sym_triangle] = ACTIONS(2351),
    [anon_sym_cbuffer] = ACTIONS(2351),
  },
  [1039] = {
    [sym_identifier] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2122),
    [anon_sym_PLUS] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym___extension__] = ACTIONS(2122),
    [anon_sym_typedef] = ACTIONS(2122),
    [anon_sym_in] = ACTIONS(2122),
    [anon_sym_out] = ACTIONS(2122),
    [anon_sym_inout] = ACTIONS(2122),
    [anon_sym_virtual] = ACTIONS(2122),
    [anon_sym_extern] = ACTIONS(2122),
    [anon_sym___attribute__] = ACTIONS(2122),
    [anon_sym_COLON_COLON] = ACTIONS(2124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2124),
    [anon_sym___declspec] = ACTIONS(2122),
    [anon_sym_LBRACE] = ACTIONS(2124),
    [anon_sym_signed] = ACTIONS(2122),
    [anon_sym_unsigned] = ACTIONS(2122),
    [anon_sym_long] = ACTIONS(2122),
    [anon_sym_short] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_static] = ACTIONS(2122),
    [anon_sym_register] = ACTIONS(2122),
    [anon_sym_inline] = ACTIONS(2122),
    [anon_sym___inline] = ACTIONS(2122),
    [anon_sym___inline__] = ACTIONS(2122),
    [anon_sym___forceinline] = ACTIONS(2122),
    [anon_sym_thread_local] = ACTIONS(2122),
    [anon_sym___thread] = ACTIONS(2122),
    [anon_sym_const] = ACTIONS(2122),
    [anon_sym_constexpr] = ACTIONS(2122),
    [anon_sym_volatile] = ACTIONS(2122),
    [anon_sym_restrict] = ACTIONS(2122),
    [anon_sym___restrict__] = ACTIONS(2122),
    [anon_sym__Atomic] = ACTIONS(2122),
    [anon_sym__Noreturn] = ACTIONS(2122),
    [anon_sym_noreturn] = ACTIONS(2122),
    [anon_sym__Nonnull] = ACTIONS(2122),
    [anon_sym_mutable] = ACTIONS(2122),
    [anon_sym_constinit] = ACTIONS(2122),
    [anon_sym_consteval] = ACTIONS(2122),
    [anon_sym_alignas] = ACTIONS(2122),
    [anon_sym__Alignas] = ACTIONS(2122),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2122),
    [anon_sym_class] = ACTIONS(2122),
    [anon_sym_struct] = ACTIONS(2122),
    [anon_sym_union] = ACTIONS(2122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_else] = ACTIONS(2122),
    [anon_sym_switch] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_do] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2122),
    [anon_sym_return] = ACTIONS(2122),
    [anon_sym_break] = ACTIONS(2122),
    [anon_sym_continue] = ACTIONS(2122),
    [anon_sym_goto] = ACTIONS(2122),
    [anon_sym___try] = ACTIONS(2122),
    [anon_sym___leave] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2122),
    [anon_sym_compl] = ACTIONS(2122),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_sizeof] = ACTIONS(2122),
    [anon_sym___alignof__] = ACTIONS(2122),
    [anon_sym___alignof] = ACTIONS(2122),
    [anon_sym__alignof] = ACTIONS(2122),
    [anon_sym_alignof] = ACTIONS(2122),
    [anon_sym__Alignof] = ACTIONS(2122),
    [anon_sym_offsetof] = ACTIONS(2122),
    [anon_sym__Generic] = ACTIONS(2122),
    [anon_sym_asm] = ACTIONS(2122),
    [anon_sym___asm__] = ACTIONS(2122),
    [anon_sym___asm] = ACTIONS(2122),
    [sym_number_literal] = ACTIONS(2124),
    [anon_sym_L_SQUOTE] = ACTIONS(2124),
    [anon_sym_u_SQUOTE] = ACTIONS(2124),
    [anon_sym_U_SQUOTE] = ACTIONS(2124),
    [anon_sym_u8_SQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [anon_sym_L_DQUOTE] = ACTIONS(2124),
    [anon_sym_u_DQUOTE] = ACTIONS(2124),
    [anon_sym_U_DQUOTE] = ACTIONS(2124),
    [anon_sym_u8_DQUOTE] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2122),
    [anon_sym_nullptr] = ACTIONS(2122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2122),
    [anon_sym_decltype] = ACTIONS(2122),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(2122),
    [anon_sym_try] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2122),
    [anon_sym_throw] = ACTIONS(2122),
    [anon_sym_co_return] = ACTIONS(2122),
    [anon_sym_co_yield] = ACTIONS(2122),
    [anon_sym_R_DQUOTE] = ACTIONS(2124),
    [anon_sym_LR_DQUOTE] = ACTIONS(2124),
    [anon_sym_uR_DQUOTE] = ACTIONS(2124),
    [anon_sym_UR_DQUOTE] = ACTIONS(2124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2124),
    [anon_sym_co_await] = ACTIONS(2122),
    [anon_sym_new] = ACTIONS(2122),
    [anon_sym_requires] = ACTIONS(2122),
    [sym_this] = ACTIONS(2122),
    [anon_sym_discard] = ACTIONS(2122),
    [anon_sym_precise] = ACTIONS(2122),
    [anon_sym_shared] = ACTIONS(2122),
    [anon_sym_groupshared] = ACTIONS(2122),
    [anon_sym_uniform] = ACTIONS(2122),
    [anon_sym_row_major] = ACTIONS(2122),
    [anon_sym_column_major] = ACTIONS(2122),
    [anon_sym_globallycoherent] = ACTIONS(2122),
    [anon_sym_centroid] = ACTIONS(2122),
    [anon_sym_noperspective] = ACTIONS(2122),
    [anon_sym_nointerpolation] = ACTIONS(2122),
    [anon_sym_sample] = ACTIONS(2122),
    [anon_sym_linear] = ACTIONS(2122),
    [anon_sym_snorm] = ACTIONS(2122),
    [anon_sym_unorm] = ACTIONS(2122),
    [anon_sym_point] = ACTIONS(2122),
    [anon_sym_line] = ACTIONS(2122),
    [anon_sym_triangleadj] = ACTIONS(2122),
    [anon_sym_lineadj] = ACTIONS(2122),
    [anon_sym_triangle] = ACTIONS(2122),
    [anon_sym_cbuffer] = ACTIONS(2122),
  },
  [1040] = {
    [sym_identifier] = ACTIONS(2170),
    [anon_sym_LPAREN2] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2172),
    [anon_sym_AMP] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym___extension__] = ACTIONS(2170),
    [anon_sym_typedef] = ACTIONS(2170),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_out] = ACTIONS(2170),
    [anon_sym_inout] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(2170),
    [anon_sym_extern] = ACTIONS(2170),
    [anon_sym___attribute__] = ACTIONS(2170),
    [anon_sym_COLON_COLON] = ACTIONS(2172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2172),
    [anon_sym___declspec] = ACTIONS(2170),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_signed] = ACTIONS(2170),
    [anon_sym_unsigned] = ACTIONS(2170),
    [anon_sym_long] = ACTIONS(2170),
    [anon_sym_short] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2170),
    [anon_sym_static] = ACTIONS(2170),
    [anon_sym_register] = ACTIONS(2170),
    [anon_sym_inline] = ACTIONS(2170),
    [anon_sym___inline] = ACTIONS(2170),
    [anon_sym___inline__] = ACTIONS(2170),
    [anon_sym___forceinline] = ACTIONS(2170),
    [anon_sym_thread_local] = ACTIONS(2170),
    [anon_sym___thread] = ACTIONS(2170),
    [anon_sym_const] = ACTIONS(2170),
    [anon_sym_constexpr] = ACTIONS(2170),
    [anon_sym_volatile] = ACTIONS(2170),
    [anon_sym_restrict] = ACTIONS(2170),
    [anon_sym___restrict__] = ACTIONS(2170),
    [anon_sym__Atomic] = ACTIONS(2170),
    [anon_sym__Noreturn] = ACTIONS(2170),
    [anon_sym_noreturn] = ACTIONS(2170),
    [anon_sym__Nonnull] = ACTIONS(2170),
    [anon_sym_mutable] = ACTIONS(2170),
    [anon_sym_constinit] = ACTIONS(2170),
    [anon_sym_consteval] = ACTIONS(2170),
    [anon_sym_alignas] = ACTIONS(2170),
    [anon_sym__Alignas] = ACTIONS(2170),
    [sym_primitive_type] = ACTIONS(2170),
    [anon_sym_enum] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(2170),
    [anon_sym_struct] = ACTIONS(2170),
    [anon_sym_union] = ACTIONS(2170),
    [anon_sym_if] = ACTIONS(2170),
    [anon_sym_else] = ACTIONS(2170),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2170),
    [anon_sym_do] = ACTIONS(2170),
    [anon_sym_for] = ACTIONS(2170),
    [anon_sym_return] = ACTIONS(2170),
    [anon_sym_break] = ACTIONS(2170),
    [anon_sym_continue] = ACTIONS(2170),
    [anon_sym_goto] = ACTIONS(2170),
    [anon_sym___try] = ACTIONS(2170),
    [anon_sym___leave] = ACTIONS(2170),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_compl] = ACTIONS(2170),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_sizeof] = ACTIONS(2170),
    [anon_sym___alignof__] = ACTIONS(2170),
    [anon_sym___alignof] = ACTIONS(2170),
    [anon_sym__alignof] = ACTIONS(2170),
    [anon_sym_alignof] = ACTIONS(2170),
    [anon_sym__Alignof] = ACTIONS(2170),
    [anon_sym_offsetof] = ACTIONS(2170),
    [anon_sym__Generic] = ACTIONS(2170),
    [anon_sym_asm] = ACTIONS(2170),
    [anon_sym___asm__] = ACTIONS(2170),
    [anon_sym___asm] = ACTIONS(2170),
    [sym_number_literal] = ACTIONS(2172),
    [anon_sym_L_SQUOTE] = ACTIONS(2172),
    [anon_sym_u_SQUOTE] = ACTIONS(2172),
    [anon_sym_U_SQUOTE] = ACTIONS(2172),
    [anon_sym_u8_SQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_L_DQUOTE] = ACTIONS(2172),
    [anon_sym_u_DQUOTE] = ACTIONS(2172),
    [anon_sym_U_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8_DQUOTE] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [sym_true] = ACTIONS(2170),
    [sym_false] = ACTIONS(2170),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2170),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(2170),
    [anon_sym_try] = ACTIONS(2170),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_throw] = ACTIONS(2170),
    [anon_sym_co_return] = ACTIONS(2170),
    [anon_sym_co_yield] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2170),
    [anon_sym_requires] = ACTIONS(2170),
    [sym_this] = ACTIONS(2170),
    [anon_sym_discard] = ACTIONS(2170),
    [anon_sym_precise] = ACTIONS(2170),
    [anon_sym_shared] = ACTIONS(2170),
    [anon_sym_groupshared] = ACTIONS(2170),
    [anon_sym_uniform] = ACTIONS(2170),
    [anon_sym_row_major] = ACTIONS(2170),
    [anon_sym_column_major] = ACTIONS(2170),
    [anon_sym_globallycoherent] = ACTIONS(2170),
    [anon_sym_centroid] = ACTIONS(2170),
    [anon_sym_noperspective] = ACTIONS(2170),
    [anon_sym_nointerpolation] = ACTIONS(2170),
    [anon_sym_sample] = ACTIONS(2170),
    [anon_sym_linear] = ACTIONS(2170),
    [anon_sym_snorm] = ACTIONS(2170),
    [anon_sym_unorm] = ACTIONS(2170),
    [anon_sym_point] = ACTIONS(2170),
    [anon_sym_line] = ACTIONS(2170),
    [anon_sym_triangleadj] = ACTIONS(2170),
    [anon_sym_lineadj] = ACTIONS(2170),
    [anon_sym_triangle] = ACTIONS(2170),
    [anon_sym_cbuffer] = ACTIONS(2170),
  },
  [1041] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym__Nonnull] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym__Alignas] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [anon_sym___asm] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [1042] = {
    [sym_identifier] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2222),
    [anon_sym_STAR] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym___extension__] = ACTIONS(2222),
    [anon_sym_typedef] = ACTIONS(2222),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_out] = ACTIONS(2222),
    [anon_sym_inout] = ACTIONS(2222),
    [anon_sym_virtual] = ACTIONS(2222),
    [anon_sym_extern] = ACTIONS(2222),
    [anon_sym___attribute__] = ACTIONS(2222),
    [anon_sym_COLON_COLON] = ACTIONS(2224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2224),
    [anon_sym___declspec] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_signed] = ACTIONS(2222),
    [anon_sym_unsigned] = ACTIONS(2222),
    [anon_sym_long] = ACTIONS(2222),
    [anon_sym_short] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_static] = ACTIONS(2222),
    [anon_sym_register] = ACTIONS(2222),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym___inline] = ACTIONS(2222),
    [anon_sym___inline__] = ACTIONS(2222),
    [anon_sym___forceinline] = ACTIONS(2222),
    [anon_sym_thread_local] = ACTIONS(2222),
    [anon_sym___thread] = ACTIONS(2222),
    [anon_sym_const] = ACTIONS(2222),
    [anon_sym_constexpr] = ACTIONS(2222),
    [anon_sym_volatile] = ACTIONS(2222),
    [anon_sym_restrict] = ACTIONS(2222),
    [anon_sym___restrict__] = ACTIONS(2222),
    [anon_sym__Atomic] = ACTIONS(2222),
    [anon_sym__Noreturn] = ACTIONS(2222),
    [anon_sym_noreturn] = ACTIONS(2222),
    [anon_sym__Nonnull] = ACTIONS(2222),
    [anon_sym_mutable] = ACTIONS(2222),
    [anon_sym_constinit] = ACTIONS(2222),
    [anon_sym_consteval] = ACTIONS(2222),
    [anon_sym_alignas] = ACTIONS(2222),
    [anon_sym__Alignas] = ACTIONS(2222),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_enum] = ACTIONS(2222),
    [anon_sym_class] = ACTIONS(2222),
    [anon_sym_struct] = ACTIONS(2222),
    [anon_sym_union] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(2222),
    [anon_sym_else] = ACTIONS(2222),
    [anon_sym_switch] = ACTIONS(2222),
    [anon_sym_while] = ACTIONS(2222),
    [anon_sym_do] = ACTIONS(2222),
    [anon_sym_for] = ACTIONS(2222),
    [anon_sym_return] = ACTIONS(2222),
    [anon_sym_break] = ACTIONS(2222),
    [anon_sym_continue] = ACTIONS(2222),
    [anon_sym_goto] = ACTIONS(2222),
    [anon_sym___try] = ACTIONS(2222),
    [anon_sym___leave] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2222),
    [anon_sym_compl] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2222),
    [anon_sym___alignof] = ACTIONS(2222),
    [anon_sym__alignof] = ACTIONS(2222),
    [anon_sym_alignof] = ACTIONS(2222),
    [anon_sym__Alignof] = ACTIONS(2222),
    [anon_sym_offsetof] = ACTIONS(2222),
    [anon_sym__Generic] = ACTIONS(2222),
    [anon_sym_asm] = ACTIONS(2222),
    [anon_sym___asm__] = ACTIONS(2222),
    [anon_sym___asm] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2224),
    [anon_sym_L_SQUOTE] = ACTIONS(2224),
    [anon_sym_u_SQUOTE] = ACTIONS(2224),
    [anon_sym_U_SQUOTE] = ACTIONS(2224),
    [anon_sym_u8_SQUOTE] = ACTIONS(2224),
    [anon_sym_SQUOTE] = ACTIONS(2224),
    [anon_sym_L_DQUOTE] = ACTIONS(2224),
    [anon_sym_u_DQUOTE] = ACTIONS(2224),
    [anon_sym_U_DQUOTE] = ACTIONS(2224),
    [anon_sym_u8_DQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2224),
    [sym_true] = ACTIONS(2222),
    [sym_false] = ACTIONS(2222),
    [anon_sym_NULL] = ACTIONS(2222),
    [anon_sym_nullptr] = ACTIONS(2222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2222),
    [anon_sym_decltype] = ACTIONS(2222),
    [anon_sym_typename] = ACTIONS(2222),
    [anon_sym_template] = ACTIONS(2222),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_delete] = ACTIONS(2222),
    [anon_sym_throw] = ACTIONS(2222),
    [anon_sym_co_return] = ACTIONS(2222),
    [anon_sym_co_yield] = ACTIONS(2222),
    [anon_sym_R_DQUOTE] = ACTIONS(2224),
    [anon_sym_LR_DQUOTE] = ACTIONS(2224),
    [anon_sym_uR_DQUOTE] = ACTIONS(2224),
    [anon_sym_UR_DQUOTE] = ACTIONS(2224),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2224),
    [anon_sym_co_await] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2222),
    [anon_sym_requires] = ACTIONS(2222),
    [sym_this] = ACTIONS(2222),
    [anon_sym_discard] = ACTIONS(2222),
    [anon_sym_precise] = ACTIONS(2222),
    [anon_sym_shared] = ACTIONS(2222),
    [anon_sym_groupshared] = ACTIONS(2222),
    [anon_sym_uniform] = ACTIONS(2222),
    [anon_sym_row_major] = ACTIONS(2222),
    [anon_sym_column_major] = ACTIONS(2222),
    [anon_sym_globallycoherent] = ACTIONS(2222),
    [anon_sym_centroid] = ACTIONS(2222),
    [anon_sym_noperspective] = ACTIONS(2222),
    [anon_sym_nointerpolation] = ACTIONS(2222),
    [anon_sym_sample] = ACTIONS(2222),
    [anon_sym_linear] = ACTIONS(2222),
    [anon_sym_snorm] = ACTIONS(2222),
    [anon_sym_unorm] = ACTIONS(2222),
    [anon_sym_point] = ACTIONS(2222),
    [anon_sym_line] = ACTIONS(2222),
    [anon_sym_triangleadj] = ACTIONS(2222),
    [anon_sym_lineadj] = ACTIONS(2222),
    [anon_sym_triangle] = ACTIONS(2222),
    [anon_sym_cbuffer] = ACTIONS(2222),
  },
  [1043] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_LPAREN2] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym___extension__] = ACTIONS(2361),
    [anon_sym_typedef] = ACTIONS(2361),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_out] = ACTIONS(2361),
    [anon_sym_inout] = ACTIONS(2361),
    [anon_sym_virtual] = ACTIONS(2361),
    [anon_sym_extern] = ACTIONS(2361),
    [anon_sym___attribute__] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2363),
    [anon_sym___declspec] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_signed] = ACTIONS(2361),
    [anon_sym_unsigned] = ACTIONS(2361),
    [anon_sym_long] = ACTIONS(2361),
    [anon_sym_short] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_static] = ACTIONS(2361),
    [anon_sym_register] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym___inline] = ACTIONS(2361),
    [anon_sym___inline__] = ACTIONS(2361),
    [anon_sym___forceinline] = ACTIONS(2361),
    [anon_sym_thread_local] = ACTIONS(2361),
    [anon_sym___thread] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_constexpr] = ACTIONS(2361),
    [anon_sym_volatile] = ACTIONS(2361),
    [anon_sym_restrict] = ACTIONS(2361),
    [anon_sym___restrict__] = ACTIONS(2361),
    [anon_sym__Atomic] = ACTIONS(2361),
    [anon_sym__Noreturn] = ACTIONS(2361),
    [anon_sym_noreturn] = ACTIONS(2361),
    [anon_sym__Nonnull] = ACTIONS(2361),
    [anon_sym_mutable] = ACTIONS(2361),
    [anon_sym_constinit] = ACTIONS(2361),
    [anon_sym_consteval] = ACTIONS(2361),
    [anon_sym_alignas] = ACTIONS(2361),
    [anon_sym__Alignas] = ACTIONS(2361),
    [sym_primitive_type] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_class] = ACTIONS(2361),
    [anon_sym_struct] = ACTIONS(2361),
    [anon_sym_union] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2361),
    [anon_sym_switch] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(2361),
    [anon_sym_for] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_break] = ACTIONS(2361),
    [anon_sym_continue] = ACTIONS(2361),
    [anon_sym_goto] = ACTIONS(2361),
    [anon_sym___try] = ACTIONS(2361),
    [anon_sym___leave] = ACTIONS(2361),
    [anon_sym_not] = ACTIONS(2361),
    [anon_sym_compl] = ACTIONS(2361),
    [anon_sym_DASH_DASH] = ACTIONS(2363),
    [anon_sym_PLUS_PLUS] = ACTIONS(2363),
    [anon_sym_sizeof] = ACTIONS(2361),
    [anon_sym___alignof__] = ACTIONS(2361),
    [anon_sym___alignof] = ACTIONS(2361),
    [anon_sym__alignof] = ACTIONS(2361),
    [anon_sym_alignof] = ACTIONS(2361),
    [anon_sym__Alignof] = ACTIONS(2361),
    [anon_sym_offsetof] = ACTIONS(2361),
    [anon_sym__Generic] = ACTIONS(2361),
    [anon_sym_asm] = ACTIONS(2361),
    [anon_sym___asm__] = ACTIONS(2361),
    [anon_sym___asm] = ACTIONS(2361),
    [sym_number_literal] = ACTIONS(2363),
    [anon_sym_L_SQUOTE] = ACTIONS(2363),
    [anon_sym_u_SQUOTE] = ACTIONS(2363),
    [anon_sym_U_SQUOTE] = ACTIONS(2363),
    [anon_sym_u8_SQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_L_DQUOTE] = ACTIONS(2363),
    [anon_sym_u_DQUOTE] = ACTIONS(2363),
    [anon_sym_U_DQUOTE] = ACTIONS(2363),
    [anon_sym_u8_DQUOTE] = ACTIONS(2363),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [sym_true] = ACTIONS(2361),
    [sym_false] = ACTIONS(2361),
    [anon_sym_NULL] = ACTIONS(2361),
    [anon_sym_nullptr] = ACTIONS(2361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2361),
    [anon_sym_decltype] = ACTIONS(2361),
    [anon_sym_typename] = ACTIONS(2361),
    [anon_sym_template] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_delete] = ACTIONS(2361),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_co_return] = ACTIONS(2361),
    [anon_sym_co_yield] = ACTIONS(2361),
    [anon_sym_R_DQUOTE] = ACTIONS(2363),
    [anon_sym_LR_DQUOTE] = ACTIONS(2363),
    [anon_sym_uR_DQUOTE] = ACTIONS(2363),
    [anon_sym_UR_DQUOTE] = ACTIONS(2363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2363),
    [anon_sym_co_await] = ACTIONS(2361),
    [anon_sym_new] = ACTIONS(2361),
    [anon_sym_requires] = ACTIONS(2361),
    [sym_this] = ACTIONS(2361),
    [anon_sym_discard] = ACTIONS(2361),
    [anon_sym_precise] = ACTIONS(2361),
    [anon_sym_shared] = ACTIONS(2361),
    [anon_sym_groupshared] = ACTIONS(2361),
    [anon_sym_uniform] = ACTIONS(2361),
    [anon_sym_row_major] = ACTIONS(2361),
    [anon_sym_column_major] = ACTIONS(2361),
    [anon_sym_globallycoherent] = ACTIONS(2361),
    [anon_sym_centroid] = ACTIONS(2361),
    [anon_sym_noperspective] = ACTIONS(2361),
    [anon_sym_nointerpolation] = ACTIONS(2361),
    [anon_sym_sample] = ACTIONS(2361),
    [anon_sym_linear] = ACTIONS(2361),
    [anon_sym_snorm] = ACTIONS(2361),
    [anon_sym_unorm] = ACTIONS(2361),
    [anon_sym_point] = ACTIONS(2361),
    [anon_sym_line] = ACTIONS(2361),
    [anon_sym_triangleadj] = ACTIONS(2361),
    [anon_sym_lineadj] = ACTIONS(2361),
    [anon_sym_triangle] = ACTIONS(2361),
    [anon_sym_cbuffer] = ACTIONS(2361),
  },
  [1044] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1216),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4090),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4098),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym___cdecl] = ACTIONS(4075),
    [anon_sym___clrcall] = ACTIONS(4075),
    [anon_sym___stdcall] = ACTIONS(4075),
    [anon_sym___fastcall] = ACTIONS(4075),
    [anon_sym___thiscall] = ACTIONS(4075),
    [anon_sym___vectorcall] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4103),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1045] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym__Nonnull] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym__Alignas] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [anon_sym___asm] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [1046] = {
    [sym_identifier] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2260),
    [anon_sym_typedef] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_out] = ACTIONS(2260),
    [anon_sym_inout] = ACTIONS(2260),
    [anon_sym_virtual] = ACTIONS(2260),
    [anon_sym_extern] = ACTIONS(2260),
    [anon_sym___attribute__] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2262),
    [anon_sym___declspec] = ACTIONS(2260),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_signed] = ACTIONS(2260),
    [anon_sym_unsigned] = ACTIONS(2260),
    [anon_sym_long] = ACTIONS(2260),
    [anon_sym_short] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_register] = ACTIONS(2260),
    [anon_sym_inline] = ACTIONS(2260),
    [anon_sym___inline] = ACTIONS(2260),
    [anon_sym___inline__] = ACTIONS(2260),
    [anon_sym___forceinline] = ACTIONS(2260),
    [anon_sym_thread_local] = ACTIONS(2260),
    [anon_sym___thread] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2260),
    [anon_sym_constexpr] = ACTIONS(2260),
    [anon_sym_volatile] = ACTIONS(2260),
    [anon_sym_restrict] = ACTIONS(2260),
    [anon_sym___restrict__] = ACTIONS(2260),
    [anon_sym__Atomic] = ACTIONS(2260),
    [anon_sym__Noreturn] = ACTIONS(2260),
    [anon_sym_noreturn] = ACTIONS(2260),
    [anon_sym__Nonnull] = ACTIONS(2260),
    [anon_sym_mutable] = ACTIONS(2260),
    [anon_sym_constinit] = ACTIONS(2260),
    [anon_sym_consteval] = ACTIONS(2260),
    [anon_sym_alignas] = ACTIONS(2260),
    [anon_sym__Alignas] = ACTIONS(2260),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2260),
    [anon_sym_struct] = ACTIONS(2260),
    [anon_sym_union] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_else] = ACTIONS(2260),
    [anon_sym_switch] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2260),
    [anon_sym_do] = ACTIONS(2260),
    [anon_sym_for] = ACTIONS(2260),
    [anon_sym_return] = ACTIONS(2260),
    [anon_sym_break] = ACTIONS(2260),
    [anon_sym_continue] = ACTIONS(2260),
    [anon_sym_goto] = ACTIONS(2260),
    [anon_sym___try] = ACTIONS(2260),
    [anon_sym___leave] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2260),
    [anon_sym___alignof] = ACTIONS(2260),
    [anon_sym__alignof] = ACTIONS(2260),
    [anon_sym_alignof] = ACTIONS(2260),
    [anon_sym__Alignof] = ACTIONS(2260),
    [anon_sym_offsetof] = ACTIONS(2260),
    [anon_sym__Generic] = ACTIONS(2260),
    [anon_sym_asm] = ACTIONS(2260),
    [anon_sym___asm__] = ACTIONS(2260),
    [anon_sym___asm] = ACTIONS(2260),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2262),
    [anon_sym_u_SQUOTE] = ACTIONS(2262),
    [anon_sym_U_SQUOTE] = ACTIONS(2262),
    [anon_sym_u8_SQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_L_DQUOTE] = ACTIONS(2262),
    [anon_sym_u_DQUOTE] = ACTIONS(2262),
    [anon_sym_U_DQUOTE] = ACTIONS(2262),
    [anon_sym_u8_DQUOTE] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [sym_true] = ACTIONS(2260),
    [sym_false] = ACTIONS(2260),
    [anon_sym_NULL] = ACTIONS(2260),
    [anon_sym_nullptr] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2260),
    [anon_sym_decltype] = ACTIONS(2260),
    [anon_sym_typename] = ACTIONS(2260),
    [anon_sym_template] = ACTIONS(2260),
    [anon_sym_try] = ACTIONS(2260),
    [anon_sym_delete] = ACTIONS(2260),
    [anon_sym_throw] = ACTIONS(2260),
    [anon_sym_co_return] = ACTIONS(2260),
    [anon_sym_co_yield] = ACTIONS(2260),
    [anon_sym_R_DQUOTE] = ACTIONS(2262),
    [anon_sym_LR_DQUOTE] = ACTIONS(2262),
    [anon_sym_uR_DQUOTE] = ACTIONS(2262),
    [anon_sym_UR_DQUOTE] = ACTIONS(2262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2262),
    [anon_sym_co_await] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2260),
    [anon_sym_requires] = ACTIONS(2260),
    [sym_this] = ACTIONS(2260),
    [anon_sym_discard] = ACTIONS(2260),
    [anon_sym_precise] = ACTIONS(2260),
    [anon_sym_shared] = ACTIONS(2260),
    [anon_sym_groupshared] = ACTIONS(2260),
    [anon_sym_uniform] = ACTIONS(2260),
    [anon_sym_row_major] = ACTIONS(2260),
    [anon_sym_column_major] = ACTIONS(2260),
    [anon_sym_globallycoherent] = ACTIONS(2260),
    [anon_sym_centroid] = ACTIONS(2260),
    [anon_sym_noperspective] = ACTIONS(2260),
    [anon_sym_nointerpolation] = ACTIONS(2260),
    [anon_sym_sample] = ACTIONS(2260),
    [anon_sym_linear] = ACTIONS(2260),
    [anon_sym_snorm] = ACTIONS(2260),
    [anon_sym_unorm] = ACTIONS(2260),
    [anon_sym_point] = ACTIONS(2260),
    [anon_sym_line] = ACTIONS(2260),
    [anon_sym_triangleadj] = ACTIONS(2260),
    [anon_sym_lineadj] = ACTIONS(2260),
    [anon_sym_triangle] = ACTIONS(2260),
    [anon_sym_cbuffer] = ACTIONS(2260),
  },
  [1047] = {
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2272),
    [anon_sym_typedef] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2272),
    [anon_sym_out] = ACTIONS(2272),
    [anon_sym_inout] = ACTIONS(2272),
    [anon_sym_virtual] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym___attribute__] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2274),
    [anon_sym___declspec] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2272),
    [anon_sym_unsigned] = ACTIONS(2272),
    [anon_sym_long] = ACTIONS(2272),
    [anon_sym_short] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_register] = ACTIONS(2272),
    [anon_sym_inline] = ACTIONS(2272),
    [anon_sym___inline] = ACTIONS(2272),
    [anon_sym___inline__] = ACTIONS(2272),
    [anon_sym___forceinline] = ACTIONS(2272),
    [anon_sym_thread_local] = ACTIONS(2272),
    [anon_sym___thread] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_constexpr] = ACTIONS(2272),
    [anon_sym_volatile] = ACTIONS(2272),
    [anon_sym_restrict] = ACTIONS(2272),
    [anon_sym___restrict__] = ACTIONS(2272),
    [anon_sym__Atomic] = ACTIONS(2272),
    [anon_sym__Noreturn] = ACTIONS(2272),
    [anon_sym_noreturn] = ACTIONS(2272),
    [anon_sym__Nonnull] = ACTIONS(2272),
    [anon_sym_mutable] = ACTIONS(2272),
    [anon_sym_constinit] = ACTIONS(2272),
    [anon_sym_consteval] = ACTIONS(2272),
    [anon_sym_alignas] = ACTIONS(2272),
    [anon_sym__Alignas] = ACTIONS(2272),
    [sym_primitive_type] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_goto] = ACTIONS(2272),
    [anon_sym___try] = ACTIONS(2272),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_compl] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2272),
    [anon_sym___alignof] = ACTIONS(2272),
    [anon_sym__alignof] = ACTIONS(2272),
    [anon_sym_alignof] = ACTIONS(2272),
    [anon_sym__Alignof] = ACTIONS(2272),
    [anon_sym_offsetof] = ACTIONS(2272),
    [anon_sym__Generic] = ACTIONS(2272),
    [anon_sym_asm] = ACTIONS(2272),
    [anon_sym___asm__] = ACTIONS(2272),
    [anon_sym___asm] = ACTIONS(2272),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2274),
    [anon_sym_u_DQUOTE] = ACTIONS(2274),
    [anon_sym_U_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8_DQUOTE] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [anon_sym_NULL] = ACTIONS(2272),
    [anon_sym_nullptr] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2272),
    [anon_sym_decltype] = ACTIONS(2272),
    [anon_sym_typename] = ACTIONS(2272),
    [anon_sym_template] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2272),
    [anon_sym_co_yield] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2274),
    [anon_sym_LR_DQUOTE] = ACTIONS(2274),
    [anon_sym_uR_DQUOTE] = ACTIONS(2274),
    [anon_sym_UR_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2274),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_requires] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [anon_sym_discard] = ACTIONS(2272),
    [anon_sym_precise] = ACTIONS(2272),
    [anon_sym_shared] = ACTIONS(2272),
    [anon_sym_groupshared] = ACTIONS(2272),
    [anon_sym_uniform] = ACTIONS(2272),
    [anon_sym_row_major] = ACTIONS(2272),
    [anon_sym_column_major] = ACTIONS(2272),
    [anon_sym_globallycoherent] = ACTIONS(2272),
    [anon_sym_centroid] = ACTIONS(2272),
    [anon_sym_noperspective] = ACTIONS(2272),
    [anon_sym_nointerpolation] = ACTIONS(2272),
    [anon_sym_sample] = ACTIONS(2272),
    [anon_sym_linear] = ACTIONS(2272),
    [anon_sym_snorm] = ACTIONS(2272),
    [anon_sym_unorm] = ACTIONS(2272),
    [anon_sym_point] = ACTIONS(2272),
    [anon_sym_line] = ACTIONS(2272),
    [anon_sym_triangleadj] = ACTIONS(2272),
    [anon_sym_lineadj] = ACTIONS(2272),
    [anon_sym_triangle] = ACTIONS(2272),
    [anon_sym_cbuffer] = ACTIONS(2272),
  },
  [1048] = {
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2280),
    [anon_sym_typedef] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2280),
    [anon_sym_out] = ACTIONS(2280),
    [anon_sym_inout] = ACTIONS(2280),
    [anon_sym_virtual] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym___attribute__] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2282),
    [anon_sym___declspec] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2280),
    [anon_sym_unsigned] = ACTIONS(2280),
    [anon_sym_long] = ACTIONS(2280),
    [anon_sym_short] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_register] = ACTIONS(2280),
    [anon_sym_inline] = ACTIONS(2280),
    [anon_sym___inline] = ACTIONS(2280),
    [anon_sym___inline__] = ACTIONS(2280),
    [anon_sym___forceinline] = ACTIONS(2280),
    [anon_sym_thread_local] = ACTIONS(2280),
    [anon_sym___thread] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_constexpr] = ACTIONS(2280),
    [anon_sym_volatile] = ACTIONS(2280),
    [anon_sym_restrict] = ACTIONS(2280),
    [anon_sym___restrict__] = ACTIONS(2280),
    [anon_sym__Atomic] = ACTIONS(2280),
    [anon_sym__Noreturn] = ACTIONS(2280),
    [anon_sym_noreturn] = ACTIONS(2280),
    [anon_sym__Nonnull] = ACTIONS(2280),
    [anon_sym_mutable] = ACTIONS(2280),
    [anon_sym_constinit] = ACTIONS(2280),
    [anon_sym_consteval] = ACTIONS(2280),
    [anon_sym_alignas] = ACTIONS(2280),
    [anon_sym__Alignas] = ACTIONS(2280),
    [sym_primitive_type] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2280),
    [anon_sym___try] = ACTIONS(2280),
    [anon_sym___leave] = ACTIONS(2280),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_compl] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2282),
    [anon_sym_sizeof] = ACTIONS(2280),
    [anon_sym___alignof__] = ACTIONS(2280),
    [anon_sym___alignof] = ACTIONS(2280),
    [anon_sym__alignof] = ACTIONS(2280),
    [anon_sym_alignof] = ACTIONS(2280),
    [anon_sym__Alignof] = ACTIONS(2280),
    [anon_sym_offsetof] = ACTIONS(2280),
    [anon_sym__Generic] = ACTIONS(2280),
    [anon_sym_asm] = ACTIONS(2280),
    [anon_sym___asm__] = ACTIONS(2280),
    [anon_sym___asm] = ACTIONS(2280),
    [sym_number_literal] = ACTIONS(2282),
    [anon_sym_L_SQUOTE] = ACTIONS(2282),
    [anon_sym_u_SQUOTE] = ACTIONS(2282),
    [anon_sym_U_SQUOTE] = ACTIONS(2282),
    [anon_sym_u8_SQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2282),
    [anon_sym_L_DQUOTE] = ACTIONS(2282),
    [anon_sym_u_DQUOTE] = ACTIONS(2282),
    [anon_sym_U_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8_DQUOTE] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [anon_sym_NULL] = ACTIONS(2280),
    [anon_sym_nullptr] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2280),
    [anon_sym_decltype] = ACTIONS(2280),
    [anon_sym_typename] = ACTIONS(2280),
    [anon_sym_template] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2280),
    [anon_sym_co_yield] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_requires] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [anon_sym_discard] = ACTIONS(2280),
    [anon_sym_precise] = ACTIONS(2280),
    [anon_sym_shared] = ACTIONS(2280),
    [anon_sym_groupshared] = ACTIONS(2280),
    [anon_sym_uniform] = ACTIONS(2280),
    [anon_sym_row_major] = ACTIONS(2280),
    [anon_sym_column_major] = ACTIONS(2280),
    [anon_sym_globallycoherent] = ACTIONS(2280),
    [anon_sym_centroid] = ACTIONS(2280),
    [anon_sym_noperspective] = ACTIONS(2280),
    [anon_sym_nointerpolation] = ACTIONS(2280),
    [anon_sym_sample] = ACTIONS(2280),
    [anon_sym_linear] = ACTIONS(2280),
    [anon_sym_snorm] = ACTIONS(2280),
    [anon_sym_unorm] = ACTIONS(2280),
    [anon_sym_point] = ACTIONS(2280),
    [anon_sym_line] = ACTIONS(2280),
    [anon_sym_triangleadj] = ACTIONS(2280),
    [anon_sym_lineadj] = ACTIONS(2280),
    [anon_sym_triangle] = ACTIONS(2280),
    [anon_sym_cbuffer] = ACTIONS(2280),
  },
  [1049] = {
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2288),
    [anon_sym_typedef] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_out] = ACTIONS(2288),
    [anon_sym_inout] = ACTIONS(2288),
    [anon_sym_virtual] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym___attribute__] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2290),
    [anon_sym___declspec] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2288),
    [anon_sym_unsigned] = ACTIONS(2288),
    [anon_sym_long] = ACTIONS(2288),
    [anon_sym_short] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_register] = ACTIONS(2288),
    [anon_sym_inline] = ACTIONS(2288),
    [anon_sym___inline] = ACTIONS(2288),
    [anon_sym___inline__] = ACTIONS(2288),
    [anon_sym___forceinline] = ACTIONS(2288),
    [anon_sym_thread_local] = ACTIONS(2288),
    [anon_sym___thread] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_constexpr] = ACTIONS(2288),
    [anon_sym_volatile] = ACTIONS(2288),
    [anon_sym_restrict] = ACTIONS(2288),
    [anon_sym___restrict__] = ACTIONS(2288),
    [anon_sym__Atomic] = ACTIONS(2288),
    [anon_sym__Noreturn] = ACTIONS(2288),
    [anon_sym_noreturn] = ACTIONS(2288),
    [anon_sym__Nonnull] = ACTIONS(2288),
    [anon_sym_mutable] = ACTIONS(2288),
    [anon_sym_constinit] = ACTIONS(2288),
    [anon_sym_consteval] = ACTIONS(2288),
    [anon_sym_alignas] = ACTIONS(2288),
    [anon_sym__Alignas] = ACTIONS(2288),
    [sym_primitive_type] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym___try] = ACTIONS(2288),
    [anon_sym___leave] = ACTIONS(2288),
    [anon_sym_not] = ACTIONS(2288),
    [anon_sym_compl] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2290),
    [anon_sym_PLUS_PLUS] = ACTIONS(2290),
    [anon_sym_sizeof] = ACTIONS(2288),
    [anon_sym___alignof__] = ACTIONS(2288),
    [anon_sym___alignof] = ACTIONS(2288),
    [anon_sym__alignof] = ACTIONS(2288),
    [anon_sym_alignof] = ACTIONS(2288),
    [anon_sym__Alignof] = ACTIONS(2288),
    [anon_sym_offsetof] = ACTIONS(2288),
    [anon_sym__Generic] = ACTIONS(2288),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(2290),
    [anon_sym_L_SQUOTE] = ACTIONS(2290),
    [anon_sym_u_SQUOTE] = ACTIONS(2290),
    [anon_sym_U_SQUOTE] = ACTIONS(2290),
    [anon_sym_u8_SQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym_L_DQUOTE] = ACTIONS(2290),
    [anon_sym_u_DQUOTE] = ACTIONS(2290),
    [anon_sym_U_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8_DQUOTE] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [anon_sym_NULL] = ACTIONS(2288),
    [anon_sym_nullptr] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2288),
    [anon_sym_decltype] = ACTIONS(2288),
    [anon_sym_typename] = ACTIONS(2288),
    [anon_sym_template] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_co_return] = ACTIONS(2288),
    [anon_sym_co_yield] = ACTIONS(2288),
    [anon_sym_R_DQUOTE] = ACTIONS(2290),
    [anon_sym_LR_DQUOTE] = ACTIONS(2290),
    [anon_sym_uR_DQUOTE] = ACTIONS(2290),
    [anon_sym_UR_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2290),
    [anon_sym_co_await] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_requires] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [anon_sym_discard] = ACTIONS(2288),
    [anon_sym_precise] = ACTIONS(2288),
    [anon_sym_shared] = ACTIONS(2288),
    [anon_sym_groupshared] = ACTIONS(2288),
    [anon_sym_uniform] = ACTIONS(2288),
    [anon_sym_row_major] = ACTIONS(2288),
    [anon_sym_column_major] = ACTIONS(2288),
    [anon_sym_globallycoherent] = ACTIONS(2288),
    [anon_sym_centroid] = ACTIONS(2288),
    [anon_sym_noperspective] = ACTIONS(2288),
    [anon_sym_nointerpolation] = ACTIONS(2288),
    [anon_sym_sample] = ACTIONS(2288),
    [anon_sym_linear] = ACTIONS(2288),
    [anon_sym_snorm] = ACTIONS(2288),
    [anon_sym_unorm] = ACTIONS(2288),
    [anon_sym_point] = ACTIONS(2288),
    [anon_sym_line] = ACTIONS(2288),
    [anon_sym_triangleadj] = ACTIONS(2288),
    [anon_sym_lineadj] = ACTIONS(2288),
    [anon_sym_triangle] = ACTIONS(2288),
    [anon_sym_cbuffer] = ACTIONS(2288),
  },
  [1050] = {
    [sym_identifier] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2304),
    [anon_sym_typedef] = ACTIONS(2304),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_out] = ACTIONS(2304),
    [anon_sym_inout] = ACTIONS(2304),
    [anon_sym_virtual] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym___attribute__] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2306),
    [anon_sym___declspec] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2304),
    [anon_sym_unsigned] = ACTIONS(2304),
    [anon_sym_long] = ACTIONS(2304),
    [anon_sym_short] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_register] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2304),
    [anon_sym___inline] = ACTIONS(2304),
    [anon_sym___inline__] = ACTIONS(2304),
    [anon_sym___forceinline] = ACTIONS(2304),
    [anon_sym_thread_local] = ACTIONS(2304),
    [anon_sym___thread] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_constexpr] = ACTIONS(2304),
    [anon_sym_volatile] = ACTIONS(2304),
    [anon_sym_restrict] = ACTIONS(2304),
    [anon_sym___restrict__] = ACTIONS(2304),
    [anon_sym__Atomic] = ACTIONS(2304),
    [anon_sym__Noreturn] = ACTIONS(2304),
    [anon_sym_noreturn] = ACTIONS(2304),
    [anon_sym__Nonnull] = ACTIONS(2304),
    [anon_sym_mutable] = ACTIONS(2304),
    [anon_sym_constinit] = ACTIONS(2304),
    [anon_sym_consteval] = ACTIONS(2304),
    [anon_sym_alignas] = ACTIONS(2304),
    [anon_sym__Alignas] = ACTIONS(2304),
    [sym_primitive_type] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_else] = ACTIONS(2304),
    [anon_sym_switch] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2304),
    [anon_sym_compl] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2304),
    [anon_sym__Generic] = ACTIONS(2304),
    [anon_sym_asm] = ACTIONS(2304),
    [anon_sym___asm__] = ACTIONS(2304),
    [anon_sym___asm] = ACTIONS(2304),
    [sym_number_literal] = ACTIONS(2306),
    [anon_sym_L_SQUOTE] = ACTIONS(2306),
    [anon_sym_u_SQUOTE] = ACTIONS(2306),
    [anon_sym_U_SQUOTE] = ACTIONS(2306),
    [anon_sym_u8_SQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_L_DQUOTE] = ACTIONS(2306),
    [anon_sym_u_DQUOTE] = ACTIONS(2306),
    [anon_sym_U_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8_DQUOTE] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [sym_true] = ACTIONS(2304),
    [sym_false] = ACTIONS(2304),
    [anon_sym_NULL] = ACTIONS(2304),
    [anon_sym_nullptr] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2304),
    [anon_sym_decltype] = ACTIONS(2304),
    [anon_sym_typename] = ACTIONS(2304),
    [anon_sym_template] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_throw] = ACTIONS(2304),
    [anon_sym_co_return] = ACTIONS(2304),
    [anon_sym_co_yield] = ACTIONS(2304),
    [anon_sym_R_DQUOTE] = ACTIONS(2306),
    [anon_sym_LR_DQUOTE] = ACTIONS(2306),
    [anon_sym_uR_DQUOTE] = ACTIONS(2306),
    [anon_sym_UR_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2306),
    [anon_sym_co_await] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2304),
    [anon_sym_requires] = ACTIONS(2304),
    [sym_this] = ACTIONS(2304),
    [anon_sym_discard] = ACTIONS(2304),
    [anon_sym_precise] = ACTIONS(2304),
    [anon_sym_shared] = ACTIONS(2304),
    [anon_sym_groupshared] = ACTIONS(2304),
    [anon_sym_uniform] = ACTIONS(2304),
    [anon_sym_row_major] = ACTIONS(2304),
    [anon_sym_column_major] = ACTIONS(2304),
    [anon_sym_globallycoherent] = ACTIONS(2304),
    [anon_sym_centroid] = ACTIONS(2304),
    [anon_sym_noperspective] = ACTIONS(2304),
    [anon_sym_nointerpolation] = ACTIONS(2304),
    [anon_sym_sample] = ACTIONS(2304),
    [anon_sym_linear] = ACTIONS(2304),
    [anon_sym_snorm] = ACTIONS(2304),
    [anon_sym_unorm] = ACTIONS(2304),
    [anon_sym_point] = ACTIONS(2304),
    [anon_sym_line] = ACTIONS(2304),
    [anon_sym_triangleadj] = ACTIONS(2304),
    [anon_sym_lineadj] = ACTIONS(2304),
    [anon_sym_triangle] = ACTIONS(2304),
    [anon_sym_cbuffer] = ACTIONS(2304),
  },
  [1051] = {
    [sym_identifier] = ACTIONS(2126),
    [anon_sym_LPAREN2] = ACTIONS(2128),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_DASH] = ACTIONS(2126),
    [anon_sym_PLUS] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_AMP] = ACTIONS(2128),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2126),
    [anon_sym_in] = ACTIONS(2126),
    [anon_sym_out] = ACTIONS(2126),
    [anon_sym_inout] = ACTIONS(2126),
    [anon_sym_virtual] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2126),
    [anon_sym___attribute__] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2128),
    [anon_sym___declspec] = ACTIONS(2126),
    [anon_sym_LBRACE] = ACTIONS(2128),
    [anon_sym_signed] = ACTIONS(2126),
    [anon_sym_unsigned] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_register] = ACTIONS(2126),
    [anon_sym_inline] = ACTIONS(2126),
    [anon_sym___inline] = ACTIONS(2126),
    [anon_sym___inline__] = ACTIONS(2126),
    [anon_sym___forceinline] = ACTIONS(2126),
    [anon_sym_thread_local] = ACTIONS(2126),
    [anon_sym___thread] = ACTIONS(2126),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_constexpr] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_restrict] = ACTIONS(2126),
    [anon_sym___restrict__] = ACTIONS(2126),
    [anon_sym__Atomic] = ACTIONS(2126),
    [anon_sym__Noreturn] = ACTIONS(2126),
    [anon_sym_noreturn] = ACTIONS(2126),
    [anon_sym__Nonnull] = ACTIONS(2126),
    [anon_sym_mutable] = ACTIONS(2126),
    [anon_sym_constinit] = ACTIONS(2126),
    [anon_sym_consteval] = ACTIONS(2126),
    [anon_sym_alignas] = ACTIONS(2126),
    [anon_sym__Alignas] = ACTIONS(2126),
    [sym_primitive_type] = ACTIONS(2126),
    [anon_sym_enum] = ACTIONS(2126),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2126),
    [anon_sym_union] = ACTIONS(2126),
    [anon_sym_if] = ACTIONS(2126),
    [anon_sym_else] = ACTIONS(2126),
    [anon_sym_switch] = ACTIONS(2126),
    [anon_sym_while] = ACTIONS(2126),
    [anon_sym_do] = ACTIONS(2126),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_return] = ACTIONS(2126),
    [anon_sym_break] = ACTIONS(2126),
    [anon_sym_continue] = ACTIONS(2126),
    [anon_sym_goto] = ACTIONS(2126),
    [anon_sym___try] = ACTIONS(2126),
    [anon_sym___leave] = ACTIONS(2126),
    [anon_sym_not] = ACTIONS(2126),
    [anon_sym_compl] = ACTIONS(2126),
    [anon_sym_DASH_DASH] = ACTIONS(2128),
    [anon_sym_PLUS_PLUS] = ACTIONS(2128),
    [anon_sym_sizeof] = ACTIONS(2126),
    [anon_sym___alignof__] = ACTIONS(2126),
    [anon_sym___alignof] = ACTIONS(2126),
    [anon_sym__alignof] = ACTIONS(2126),
    [anon_sym_alignof] = ACTIONS(2126),
    [anon_sym__Alignof] = ACTIONS(2126),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2126),
    [anon_sym___asm__] = ACTIONS(2126),
    [anon_sym___asm] = ACTIONS(2126),
    [sym_number_literal] = ACTIONS(2128),
    [anon_sym_L_SQUOTE] = ACTIONS(2128),
    [anon_sym_u_SQUOTE] = ACTIONS(2128),
    [anon_sym_U_SQUOTE] = ACTIONS(2128),
    [anon_sym_u8_SQUOTE] = ACTIONS(2128),
    [anon_sym_SQUOTE] = ACTIONS(2128),
    [anon_sym_L_DQUOTE] = ACTIONS(2128),
    [anon_sym_u_DQUOTE] = ACTIONS(2128),
    [anon_sym_U_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8_DQUOTE] = ACTIONS(2128),
    [anon_sym_DQUOTE] = ACTIONS(2128),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2126),
    [anon_sym_nullptr] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2126),
    [anon_sym_decltype] = ACTIONS(2126),
    [anon_sym_typename] = ACTIONS(2126),
    [anon_sym_template] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_throw] = ACTIONS(2126),
    [anon_sym_co_return] = ACTIONS(2126),
    [anon_sym_co_yield] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(2126),
    [anon_sym_requires] = ACTIONS(2126),
    [sym_this] = ACTIONS(2126),
    [anon_sym_discard] = ACTIONS(2126),
    [anon_sym_precise] = ACTIONS(2126),
    [anon_sym_shared] = ACTIONS(2126),
    [anon_sym_groupshared] = ACTIONS(2126),
    [anon_sym_uniform] = ACTIONS(2126),
    [anon_sym_row_major] = ACTIONS(2126),
    [anon_sym_column_major] = ACTIONS(2126),
    [anon_sym_globallycoherent] = ACTIONS(2126),
    [anon_sym_centroid] = ACTIONS(2126),
    [anon_sym_noperspective] = ACTIONS(2126),
    [anon_sym_nointerpolation] = ACTIONS(2126),
    [anon_sym_sample] = ACTIONS(2126),
    [anon_sym_linear] = ACTIONS(2126),
    [anon_sym_snorm] = ACTIONS(2126),
    [anon_sym_unorm] = ACTIONS(2126),
    [anon_sym_point] = ACTIONS(2126),
    [anon_sym_line] = ACTIONS(2126),
    [anon_sym_triangleadj] = ACTIONS(2126),
    [anon_sym_lineadj] = ACTIONS(2126),
    [anon_sym_triangle] = ACTIONS(2126),
    [anon_sym_cbuffer] = ACTIONS(2126),
  },
  [1052] = {
    [sym_identifier] = ACTIONS(2130),
    [anon_sym_LPAREN2] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_DASH] = ACTIONS(2130),
    [anon_sym_PLUS] = ACTIONS(2130),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_AMP] = ACTIONS(2132),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym___extension__] = ACTIONS(2130),
    [anon_sym_typedef] = ACTIONS(2130),
    [anon_sym_in] = ACTIONS(2130),
    [anon_sym_out] = ACTIONS(2130),
    [anon_sym_inout] = ACTIONS(2130),
    [anon_sym_virtual] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2130),
    [anon_sym___attribute__] = ACTIONS(2130),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2132),
    [anon_sym___declspec] = ACTIONS(2130),
    [anon_sym_LBRACE] = ACTIONS(2132),
    [anon_sym_signed] = ACTIONS(2130),
    [anon_sym_unsigned] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [anon_sym_register] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2130),
    [anon_sym___inline] = ACTIONS(2130),
    [anon_sym___inline__] = ACTIONS(2130),
    [anon_sym___forceinline] = ACTIONS(2130),
    [anon_sym_thread_local] = ACTIONS(2130),
    [anon_sym___thread] = ACTIONS(2130),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_constexpr] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_restrict] = ACTIONS(2130),
    [anon_sym___restrict__] = ACTIONS(2130),
    [anon_sym__Atomic] = ACTIONS(2130),
    [anon_sym__Noreturn] = ACTIONS(2130),
    [anon_sym_noreturn] = ACTIONS(2130),
    [anon_sym__Nonnull] = ACTIONS(2130),
    [anon_sym_mutable] = ACTIONS(2130),
    [anon_sym_constinit] = ACTIONS(2130),
    [anon_sym_consteval] = ACTIONS(2130),
    [anon_sym_alignas] = ACTIONS(2130),
    [anon_sym__Alignas] = ACTIONS(2130),
    [sym_primitive_type] = ACTIONS(2130),
    [anon_sym_enum] = ACTIONS(2130),
    [anon_sym_class] = ACTIONS(2130),
    [anon_sym_struct] = ACTIONS(2130),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_if] = ACTIONS(2130),
    [anon_sym_else] = ACTIONS(2130),
    [anon_sym_switch] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2130),
    [anon_sym_do] = ACTIONS(2130),
    [anon_sym_for] = ACTIONS(2130),
    [anon_sym_return] = ACTIONS(2130),
    [anon_sym_break] = ACTIONS(2130),
    [anon_sym_continue] = ACTIONS(2130),
    [anon_sym_goto] = ACTIONS(2130),
    [anon_sym___try] = ACTIONS(2130),
    [anon_sym___leave] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2130),
    [anon_sym_compl] = ACTIONS(2130),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2130),
    [anon_sym___alignof__] = ACTIONS(2130),
    [anon_sym___alignof] = ACTIONS(2130),
    [anon_sym__alignof] = ACTIONS(2130),
    [anon_sym_alignof] = ACTIONS(2130),
    [anon_sym__Alignof] = ACTIONS(2130),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2130),
    [anon_sym_asm] = ACTIONS(2130),
    [anon_sym___asm__] = ACTIONS(2130),
    [anon_sym___asm] = ACTIONS(2130),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2132),
    [anon_sym_u_SQUOTE] = ACTIONS(2132),
    [anon_sym_U_SQUOTE] = ACTIONS(2132),
    [anon_sym_u8_SQUOTE] = ACTIONS(2132),
    [anon_sym_SQUOTE] = ACTIONS(2132),
    [anon_sym_L_DQUOTE] = ACTIONS(2132),
    [anon_sym_u_DQUOTE] = ACTIONS(2132),
    [anon_sym_U_DQUOTE] = ACTIONS(2132),
    [anon_sym_u8_DQUOTE] = ACTIONS(2132),
    [anon_sym_DQUOTE] = ACTIONS(2132),
    [sym_true] = ACTIONS(2130),
    [sym_false] = ACTIONS(2130),
    [anon_sym_NULL] = ACTIONS(2130),
    [anon_sym_nullptr] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2130),
    [anon_sym_decltype] = ACTIONS(2130),
    [anon_sym_typename] = ACTIONS(2130),
    [anon_sym_template] = ACTIONS(2130),
    [anon_sym_try] = ACTIONS(2130),
    [anon_sym_delete] = ACTIONS(2130),
    [anon_sym_throw] = ACTIONS(2130),
    [anon_sym_co_return] = ACTIONS(2130),
    [anon_sym_co_yield] = ACTIONS(2130),
    [anon_sym_R_DQUOTE] = ACTIONS(2132),
    [anon_sym_LR_DQUOTE] = ACTIONS(2132),
    [anon_sym_uR_DQUOTE] = ACTIONS(2132),
    [anon_sym_UR_DQUOTE] = ACTIONS(2132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2132),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2130),
    [sym_this] = ACTIONS(2130),
    [anon_sym_discard] = ACTIONS(2130),
    [anon_sym_precise] = ACTIONS(2130),
    [anon_sym_shared] = ACTIONS(2130),
    [anon_sym_groupshared] = ACTIONS(2130),
    [anon_sym_uniform] = ACTIONS(2130),
    [anon_sym_row_major] = ACTIONS(2130),
    [anon_sym_column_major] = ACTIONS(2130),
    [anon_sym_globallycoherent] = ACTIONS(2130),
    [anon_sym_centroid] = ACTIONS(2130),
    [anon_sym_noperspective] = ACTIONS(2130),
    [anon_sym_nointerpolation] = ACTIONS(2130),
    [anon_sym_sample] = ACTIONS(2130),
    [anon_sym_linear] = ACTIONS(2130),
    [anon_sym_snorm] = ACTIONS(2130),
    [anon_sym_unorm] = ACTIONS(2130),
    [anon_sym_point] = ACTIONS(2130),
    [anon_sym_line] = ACTIONS(2130),
    [anon_sym_triangleadj] = ACTIONS(2130),
    [anon_sym_lineadj] = ACTIONS(2130),
    [anon_sym_triangle] = ACTIONS(2130),
    [anon_sym_cbuffer] = ACTIONS(2130),
  },
  [1053] = {
    [sym_identifier] = ACTIONS(2134),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2136),
    [anon_sym_TILDE] = ACTIONS(2136),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym___extension__] = ACTIONS(2134),
    [anon_sym_typedef] = ACTIONS(2134),
    [anon_sym_in] = ACTIONS(2134),
    [anon_sym_out] = ACTIONS(2134),
    [anon_sym_inout] = ACTIONS(2134),
    [anon_sym_virtual] = ACTIONS(2134),
    [anon_sym_extern] = ACTIONS(2134),
    [anon_sym___attribute__] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2136),
    [anon_sym___declspec] = ACTIONS(2134),
    [anon_sym_LBRACE] = ACTIONS(2136),
    [anon_sym_signed] = ACTIONS(2134),
    [anon_sym_unsigned] = ACTIONS(2134),
    [anon_sym_long] = ACTIONS(2134),
    [anon_sym_short] = ACTIONS(2134),
    [anon_sym_LBRACK] = ACTIONS(2134),
    [anon_sym_static] = ACTIONS(2134),
    [anon_sym_register] = ACTIONS(2134),
    [anon_sym_inline] = ACTIONS(2134),
    [anon_sym___inline] = ACTIONS(2134),
    [anon_sym___inline__] = ACTIONS(2134),
    [anon_sym___forceinline] = ACTIONS(2134),
    [anon_sym_thread_local] = ACTIONS(2134),
    [anon_sym___thread] = ACTIONS(2134),
    [anon_sym_const] = ACTIONS(2134),
    [anon_sym_constexpr] = ACTIONS(2134),
    [anon_sym_volatile] = ACTIONS(2134),
    [anon_sym_restrict] = ACTIONS(2134),
    [anon_sym___restrict__] = ACTIONS(2134),
    [anon_sym__Atomic] = ACTIONS(2134),
    [anon_sym__Noreturn] = ACTIONS(2134),
    [anon_sym_noreturn] = ACTIONS(2134),
    [anon_sym__Nonnull] = ACTIONS(2134),
    [anon_sym_mutable] = ACTIONS(2134),
    [anon_sym_constinit] = ACTIONS(2134),
    [anon_sym_consteval] = ACTIONS(2134),
    [anon_sym_alignas] = ACTIONS(2134),
    [anon_sym__Alignas] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2134),
    [anon_sym_enum] = ACTIONS(2134),
    [anon_sym_class] = ACTIONS(2134),
    [anon_sym_struct] = ACTIONS(2134),
    [anon_sym_union] = ACTIONS(2134),
    [anon_sym_if] = ACTIONS(2134),
    [anon_sym_else] = ACTIONS(2134),
    [anon_sym_switch] = ACTIONS(2134),
    [anon_sym_while] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(2134),
    [anon_sym_for] = ACTIONS(2134),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_break] = ACTIONS(2134),
    [anon_sym_continue] = ACTIONS(2134),
    [anon_sym_goto] = ACTIONS(2134),
    [anon_sym___try] = ACTIONS(2134),
    [anon_sym___leave] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2134),
    [anon_sym_compl] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2134),
    [anon_sym___alignof] = ACTIONS(2134),
    [anon_sym__alignof] = ACTIONS(2134),
    [anon_sym_alignof] = ACTIONS(2134),
    [anon_sym__Alignof] = ACTIONS(2134),
    [anon_sym_offsetof] = ACTIONS(2134),
    [anon_sym__Generic] = ACTIONS(2134),
    [anon_sym_asm] = ACTIONS(2134),
    [anon_sym___asm__] = ACTIONS(2134),
    [anon_sym___asm] = ACTIONS(2134),
    [sym_number_literal] = ACTIONS(2136),
    [anon_sym_L_SQUOTE] = ACTIONS(2136),
    [anon_sym_u_SQUOTE] = ACTIONS(2136),
    [anon_sym_U_SQUOTE] = ACTIONS(2136),
    [anon_sym_u8_SQUOTE] = ACTIONS(2136),
    [anon_sym_SQUOTE] = ACTIONS(2136),
    [anon_sym_L_DQUOTE] = ACTIONS(2136),
    [anon_sym_u_DQUOTE] = ACTIONS(2136),
    [anon_sym_U_DQUOTE] = ACTIONS(2136),
    [anon_sym_u8_DQUOTE] = ACTIONS(2136),
    [anon_sym_DQUOTE] = ACTIONS(2136),
    [sym_true] = ACTIONS(2134),
    [sym_false] = ACTIONS(2134),
    [anon_sym_NULL] = ACTIONS(2134),
    [anon_sym_nullptr] = ACTIONS(2134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2134),
    [anon_sym_decltype] = ACTIONS(2134),
    [anon_sym_typename] = ACTIONS(2134),
    [anon_sym_template] = ACTIONS(2134),
    [anon_sym_try] = ACTIONS(2134),
    [anon_sym_delete] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_co_return] = ACTIONS(2134),
    [anon_sym_co_yield] = ACTIONS(2134),
    [anon_sym_R_DQUOTE] = ACTIONS(2136),
    [anon_sym_LR_DQUOTE] = ACTIONS(2136),
    [anon_sym_uR_DQUOTE] = ACTIONS(2136),
    [anon_sym_UR_DQUOTE] = ACTIONS(2136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2136),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2134),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2134),
    [anon_sym_discard] = ACTIONS(2134),
    [anon_sym_precise] = ACTIONS(2134),
    [anon_sym_shared] = ACTIONS(2134),
    [anon_sym_groupshared] = ACTIONS(2134),
    [anon_sym_uniform] = ACTIONS(2134),
    [anon_sym_row_major] = ACTIONS(2134),
    [anon_sym_column_major] = ACTIONS(2134),
    [anon_sym_globallycoherent] = ACTIONS(2134),
    [anon_sym_centroid] = ACTIONS(2134),
    [anon_sym_noperspective] = ACTIONS(2134),
    [anon_sym_nointerpolation] = ACTIONS(2134),
    [anon_sym_sample] = ACTIONS(2134),
    [anon_sym_linear] = ACTIONS(2134),
    [anon_sym_snorm] = ACTIONS(2134),
    [anon_sym_unorm] = ACTIONS(2134),
    [anon_sym_point] = ACTIONS(2134),
    [anon_sym_line] = ACTIONS(2134),
    [anon_sym_triangleadj] = ACTIONS(2134),
    [anon_sym_lineadj] = ACTIONS(2134),
    [anon_sym_triangle] = ACTIONS(2134),
    [anon_sym_cbuffer] = ACTIONS(2134),
  },
  [1054] = {
    [sym_identifier] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym___extension__] = ACTIONS(2138),
    [anon_sym_typedef] = ACTIONS(2138),
    [anon_sym_in] = ACTIONS(2138),
    [anon_sym_out] = ACTIONS(2138),
    [anon_sym_inout] = ACTIONS(2138),
    [anon_sym_virtual] = ACTIONS(2138),
    [anon_sym_extern] = ACTIONS(2138),
    [anon_sym___attribute__] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2140),
    [anon_sym___declspec] = ACTIONS(2138),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_signed] = ACTIONS(2138),
    [anon_sym_unsigned] = ACTIONS(2138),
    [anon_sym_long] = ACTIONS(2138),
    [anon_sym_short] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_static] = ACTIONS(2138),
    [anon_sym_register] = ACTIONS(2138),
    [anon_sym_inline] = ACTIONS(2138),
    [anon_sym___inline] = ACTIONS(2138),
    [anon_sym___inline__] = ACTIONS(2138),
    [anon_sym___forceinline] = ACTIONS(2138),
    [anon_sym_thread_local] = ACTIONS(2138),
    [anon_sym___thread] = ACTIONS(2138),
    [anon_sym_const] = ACTIONS(2138),
    [anon_sym_constexpr] = ACTIONS(2138),
    [anon_sym_volatile] = ACTIONS(2138),
    [anon_sym_restrict] = ACTIONS(2138),
    [anon_sym___restrict__] = ACTIONS(2138),
    [anon_sym__Atomic] = ACTIONS(2138),
    [anon_sym__Noreturn] = ACTIONS(2138),
    [anon_sym_noreturn] = ACTIONS(2138),
    [anon_sym__Nonnull] = ACTIONS(2138),
    [anon_sym_mutable] = ACTIONS(2138),
    [anon_sym_constinit] = ACTIONS(2138),
    [anon_sym_consteval] = ACTIONS(2138),
    [anon_sym_alignas] = ACTIONS(2138),
    [anon_sym__Alignas] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2138),
    [anon_sym_enum] = ACTIONS(2138),
    [anon_sym_class] = ACTIONS(2138),
    [anon_sym_struct] = ACTIONS(2138),
    [anon_sym_union] = ACTIONS(2138),
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_else] = ACTIONS(2138),
    [anon_sym_switch] = ACTIONS(2138),
    [anon_sym_while] = ACTIONS(2138),
    [anon_sym_do] = ACTIONS(2138),
    [anon_sym_for] = ACTIONS(2138),
    [anon_sym_return] = ACTIONS(2138),
    [anon_sym_break] = ACTIONS(2138),
    [anon_sym_continue] = ACTIONS(2138),
    [anon_sym_goto] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2138),
    [anon_sym___leave] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2138),
    [anon_sym___alignof__] = ACTIONS(2138),
    [anon_sym___alignof] = ACTIONS(2138),
    [anon_sym__alignof] = ACTIONS(2138),
    [anon_sym_alignof] = ACTIONS(2138),
    [anon_sym__Alignof] = ACTIONS(2138),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2138),
    [anon_sym_asm] = ACTIONS(2138),
    [anon_sym___asm__] = ACTIONS(2138),
    [anon_sym___asm] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2140),
    [anon_sym_L_SQUOTE] = ACTIONS(2140),
    [anon_sym_u_SQUOTE] = ACTIONS(2140),
    [anon_sym_U_SQUOTE] = ACTIONS(2140),
    [anon_sym_u8_SQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_L_DQUOTE] = ACTIONS(2140),
    [anon_sym_u_DQUOTE] = ACTIONS(2140),
    [anon_sym_U_DQUOTE] = ACTIONS(2140),
    [anon_sym_u8_DQUOTE] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [sym_true] = ACTIONS(2138),
    [sym_false] = ACTIONS(2138),
    [anon_sym_NULL] = ACTIONS(2138),
    [anon_sym_nullptr] = ACTIONS(2138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2138),
    [anon_sym_decltype] = ACTIONS(2138),
    [anon_sym_typename] = ACTIONS(2138),
    [anon_sym_template] = ACTIONS(2138),
    [anon_sym_try] = ACTIONS(2138),
    [anon_sym_delete] = ACTIONS(2138),
    [anon_sym_throw] = ACTIONS(2138),
    [anon_sym_co_return] = ACTIONS(2138),
    [anon_sym_co_yield] = ACTIONS(2138),
    [anon_sym_R_DQUOTE] = ACTIONS(2140),
    [anon_sym_LR_DQUOTE] = ACTIONS(2140),
    [anon_sym_uR_DQUOTE] = ACTIONS(2140),
    [anon_sym_UR_DQUOTE] = ACTIONS(2140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2140),
    [anon_sym_co_await] = ACTIONS(2138),
    [anon_sym_new] = ACTIONS(2138),
    [anon_sym_requires] = ACTIONS(2138),
    [sym_this] = ACTIONS(2138),
    [anon_sym_discard] = ACTIONS(2138),
    [anon_sym_precise] = ACTIONS(2138),
    [anon_sym_shared] = ACTIONS(2138),
    [anon_sym_groupshared] = ACTIONS(2138),
    [anon_sym_uniform] = ACTIONS(2138),
    [anon_sym_row_major] = ACTIONS(2138),
    [anon_sym_column_major] = ACTIONS(2138),
    [anon_sym_globallycoherent] = ACTIONS(2138),
    [anon_sym_centroid] = ACTIONS(2138),
    [anon_sym_noperspective] = ACTIONS(2138),
    [anon_sym_nointerpolation] = ACTIONS(2138),
    [anon_sym_sample] = ACTIONS(2138),
    [anon_sym_linear] = ACTIONS(2138),
    [anon_sym_snorm] = ACTIONS(2138),
    [anon_sym_unorm] = ACTIONS(2138),
    [anon_sym_point] = ACTIONS(2138),
    [anon_sym_line] = ACTIONS(2138),
    [anon_sym_triangleadj] = ACTIONS(2138),
    [anon_sym_lineadj] = ACTIONS(2138),
    [anon_sym_triangle] = ACTIONS(2138),
    [anon_sym_cbuffer] = ACTIONS(2138),
  },
  [1055] = {
    [sym_identifier] = ACTIONS(2142),
    [anon_sym_LPAREN2] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_AMP] = ACTIONS(2144),
    [anon_sym_SEMI] = ACTIONS(2144),
    [anon_sym___extension__] = ACTIONS(2142),
    [anon_sym_typedef] = ACTIONS(2142),
    [anon_sym_in] = ACTIONS(2142),
    [anon_sym_out] = ACTIONS(2142),
    [anon_sym_inout] = ACTIONS(2142),
    [anon_sym_virtual] = ACTIONS(2142),
    [anon_sym_extern] = ACTIONS(2142),
    [anon_sym___attribute__] = ACTIONS(2142),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2144),
    [anon_sym___declspec] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_signed] = ACTIONS(2142),
    [anon_sym_unsigned] = ACTIONS(2142),
    [anon_sym_long] = ACTIONS(2142),
    [anon_sym_short] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2142),
    [anon_sym_static] = ACTIONS(2142),
    [anon_sym_register] = ACTIONS(2142),
    [anon_sym_inline] = ACTIONS(2142),
    [anon_sym___inline] = ACTIONS(2142),
    [anon_sym___inline__] = ACTIONS(2142),
    [anon_sym___forceinline] = ACTIONS(2142),
    [anon_sym_thread_local] = ACTIONS(2142),
    [anon_sym___thread] = ACTIONS(2142),
    [anon_sym_const] = ACTIONS(2142),
    [anon_sym_constexpr] = ACTIONS(2142),
    [anon_sym_volatile] = ACTIONS(2142),
    [anon_sym_restrict] = ACTIONS(2142),
    [anon_sym___restrict__] = ACTIONS(2142),
    [anon_sym__Atomic] = ACTIONS(2142),
    [anon_sym__Noreturn] = ACTIONS(2142),
    [anon_sym_noreturn] = ACTIONS(2142),
    [anon_sym__Nonnull] = ACTIONS(2142),
    [anon_sym_mutable] = ACTIONS(2142),
    [anon_sym_constinit] = ACTIONS(2142),
    [anon_sym_consteval] = ACTIONS(2142),
    [anon_sym_alignas] = ACTIONS(2142),
    [anon_sym__Alignas] = ACTIONS(2142),
    [sym_primitive_type] = ACTIONS(2142),
    [anon_sym_enum] = ACTIONS(2142),
    [anon_sym_class] = ACTIONS(2142),
    [anon_sym_struct] = ACTIONS(2142),
    [anon_sym_union] = ACTIONS(2142),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_else] = ACTIONS(2142),
    [anon_sym_switch] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_do] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2142),
    [anon_sym_return] = ACTIONS(2142),
    [anon_sym_break] = ACTIONS(2142),
    [anon_sym_continue] = ACTIONS(2142),
    [anon_sym_goto] = ACTIONS(2142),
    [anon_sym___try] = ACTIONS(2142),
    [anon_sym___leave] = ACTIONS(2142),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2144),
    [anon_sym_sizeof] = ACTIONS(2142),
    [anon_sym___alignof__] = ACTIONS(2142),
    [anon_sym___alignof] = ACTIONS(2142),
    [anon_sym__alignof] = ACTIONS(2142),
    [anon_sym_alignof] = ACTIONS(2142),
    [anon_sym__Alignof] = ACTIONS(2142),
    [anon_sym_offsetof] = ACTIONS(2142),
    [anon_sym__Generic] = ACTIONS(2142),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [anon_sym___asm] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2144),
    [anon_sym_u_SQUOTE] = ACTIONS(2144),
    [anon_sym_U_SQUOTE] = ACTIONS(2144),
    [anon_sym_u8_SQUOTE] = ACTIONS(2144),
    [anon_sym_SQUOTE] = ACTIONS(2144),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2142),
    [sym_false] = ACTIONS(2142),
    [anon_sym_NULL] = ACTIONS(2142),
    [anon_sym_nullptr] = ACTIONS(2142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2142),
    [anon_sym_decltype] = ACTIONS(2142),
    [anon_sym_typename] = ACTIONS(2142),
    [anon_sym_template] = ACTIONS(2142),
    [anon_sym_try] = ACTIONS(2142),
    [anon_sym_delete] = ACTIONS(2142),
    [anon_sym_throw] = ACTIONS(2142),
    [anon_sym_co_return] = ACTIONS(2142),
    [anon_sym_co_yield] = ACTIONS(2142),
    [anon_sym_R_DQUOTE] = ACTIONS(2144),
    [anon_sym_LR_DQUOTE] = ACTIONS(2144),
    [anon_sym_uR_DQUOTE] = ACTIONS(2144),
    [anon_sym_UR_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2144),
    [anon_sym_co_await] = ACTIONS(2142),
    [anon_sym_new] = ACTIONS(2142),
    [anon_sym_requires] = ACTIONS(2142),
    [sym_this] = ACTIONS(2142),
    [anon_sym_discard] = ACTIONS(2142),
    [anon_sym_precise] = ACTIONS(2142),
    [anon_sym_shared] = ACTIONS(2142),
    [anon_sym_groupshared] = ACTIONS(2142),
    [anon_sym_uniform] = ACTIONS(2142),
    [anon_sym_row_major] = ACTIONS(2142),
    [anon_sym_column_major] = ACTIONS(2142),
    [anon_sym_globallycoherent] = ACTIONS(2142),
    [anon_sym_centroid] = ACTIONS(2142),
    [anon_sym_noperspective] = ACTIONS(2142),
    [anon_sym_nointerpolation] = ACTIONS(2142),
    [anon_sym_sample] = ACTIONS(2142),
    [anon_sym_linear] = ACTIONS(2142),
    [anon_sym_snorm] = ACTIONS(2142),
    [anon_sym_unorm] = ACTIONS(2142),
    [anon_sym_point] = ACTIONS(2142),
    [anon_sym_line] = ACTIONS(2142),
    [anon_sym_triangleadj] = ACTIONS(2142),
    [anon_sym_lineadj] = ACTIONS(2142),
    [anon_sym_triangle] = ACTIONS(2142),
    [anon_sym_cbuffer] = ACTIONS(2142),
  },
  [1056] = {
    [sym_identifier] = ACTIONS(2146),
    [anon_sym_LPAREN2] = ACTIONS(2148),
    [anon_sym_BANG] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2146),
    [anon_sym_PLUS] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_SEMI] = ACTIONS(2148),
    [anon_sym___extension__] = ACTIONS(2146),
    [anon_sym_typedef] = ACTIONS(2146),
    [anon_sym_in] = ACTIONS(2146),
    [anon_sym_out] = ACTIONS(2146),
    [anon_sym_inout] = ACTIONS(2146),
    [anon_sym_virtual] = ACTIONS(2146),
    [anon_sym_extern] = ACTIONS(2146),
    [anon_sym___attribute__] = ACTIONS(2146),
    [anon_sym_COLON_COLON] = ACTIONS(2148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2148),
    [anon_sym___declspec] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_signed] = ACTIONS(2146),
    [anon_sym_unsigned] = ACTIONS(2146),
    [anon_sym_long] = ACTIONS(2146),
    [anon_sym_short] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_static] = ACTIONS(2146),
    [anon_sym_register] = ACTIONS(2146),
    [anon_sym_inline] = ACTIONS(2146),
    [anon_sym___inline] = ACTIONS(2146),
    [anon_sym___inline__] = ACTIONS(2146),
    [anon_sym___forceinline] = ACTIONS(2146),
    [anon_sym_thread_local] = ACTIONS(2146),
    [anon_sym___thread] = ACTIONS(2146),
    [anon_sym_const] = ACTIONS(2146),
    [anon_sym_constexpr] = ACTIONS(2146),
    [anon_sym_volatile] = ACTIONS(2146),
    [anon_sym_restrict] = ACTIONS(2146),
    [anon_sym___restrict__] = ACTIONS(2146),
    [anon_sym__Atomic] = ACTIONS(2146),
    [anon_sym__Noreturn] = ACTIONS(2146),
    [anon_sym_noreturn] = ACTIONS(2146),
    [anon_sym__Nonnull] = ACTIONS(2146),
    [anon_sym_mutable] = ACTIONS(2146),
    [anon_sym_constinit] = ACTIONS(2146),
    [anon_sym_consteval] = ACTIONS(2146),
    [anon_sym_alignas] = ACTIONS(2146),
    [anon_sym__Alignas] = ACTIONS(2146),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_enum] = ACTIONS(2146),
    [anon_sym_class] = ACTIONS(2146),
    [anon_sym_struct] = ACTIONS(2146),
    [anon_sym_union] = ACTIONS(2146),
    [anon_sym_if] = ACTIONS(2146),
    [anon_sym_else] = ACTIONS(2146),
    [anon_sym_switch] = ACTIONS(2146),
    [anon_sym_while] = ACTIONS(2146),
    [anon_sym_do] = ACTIONS(2146),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_return] = ACTIONS(2146),
    [anon_sym_break] = ACTIONS(2146),
    [anon_sym_continue] = ACTIONS(2146),
    [anon_sym_goto] = ACTIONS(2146),
    [anon_sym___try] = ACTIONS(2146),
    [anon_sym___leave] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2146),
    [anon_sym_compl] = ACTIONS(2146),
    [anon_sym_DASH_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_PLUS] = ACTIONS(2148),
    [anon_sym_sizeof] = ACTIONS(2146),
    [anon_sym___alignof__] = ACTIONS(2146),
    [anon_sym___alignof] = ACTIONS(2146),
    [anon_sym__alignof] = ACTIONS(2146),
    [anon_sym_alignof] = ACTIONS(2146),
    [anon_sym__Alignof] = ACTIONS(2146),
    [anon_sym_offsetof] = ACTIONS(2146),
    [anon_sym__Generic] = ACTIONS(2146),
    [anon_sym_asm] = ACTIONS(2146),
    [anon_sym___asm__] = ACTIONS(2146),
    [anon_sym___asm] = ACTIONS(2146),
    [sym_number_literal] = ACTIONS(2148),
    [anon_sym_L_SQUOTE] = ACTIONS(2148),
    [anon_sym_u_SQUOTE] = ACTIONS(2148),
    [anon_sym_U_SQUOTE] = ACTIONS(2148),
    [anon_sym_u8_SQUOTE] = ACTIONS(2148),
    [anon_sym_SQUOTE] = ACTIONS(2148),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2146),
    [sym_false] = ACTIONS(2146),
    [anon_sym_NULL] = ACTIONS(2146),
    [anon_sym_nullptr] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2146),
    [anon_sym_decltype] = ACTIONS(2146),
    [anon_sym_typename] = ACTIONS(2146),
    [anon_sym_template] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_delete] = ACTIONS(2146),
    [anon_sym_throw] = ACTIONS(2146),
    [anon_sym_co_return] = ACTIONS(2146),
    [anon_sym_co_yield] = ACTIONS(2146),
    [anon_sym_R_DQUOTE] = ACTIONS(2148),
    [anon_sym_LR_DQUOTE] = ACTIONS(2148),
    [anon_sym_uR_DQUOTE] = ACTIONS(2148),
    [anon_sym_UR_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2148),
    [anon_sym_co_await] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(2146),
    [anon_sym_requires] = ACTIONS(2146),
    [sym_this] = ACTIONS(2146),
    [anon_sym_discard] = ACTIONS(2146),
    [anon_sym_precise] = ACTIONS(2146),
    [anon_sym_shared] = ACTIONS(2146),
    [anon_sym_groupshared] = ACTIONS(2146),
    [anon_sym_uniform] = ACTIONS(2146),
    [anon_sym_row_major] = ACTIONS(2146),
    [anon_sym_column_major] = ACTIONS(2146),
    [anon_sym_globallycoherent] = ACTIONS(2146),
    [anon_sym_centroid] = ACTIONS(2146),
    [anon_sym_noperspective] = ACTIONS(2146),
    [anon_sym_nointerpolation] = ACTIONS(2146),
    [anon_sym_sample] = ACTIONS(2146),
    [anon_sym_linear] = ACTIONS(2146),
    [anon_sym_snorm] = ACTIONS(2146),
    [anon_sym_unorm] = ACTIONS(2146),
    [anon_sym_point] = ACTIONS(2146),
    [anon_sym_line] = ACTIONS(2146),
    [anon_sym_triangleadj] = ACTIONS(2146),
    [anon_sym_lineadj] = ACTIONS(2146),
    [anon_sym_triangle] = ACTIONS(2146),
    [anon_sym_cbuffer] = ACTIONS(2146),
  },
  [1057] = {
    [sym_identifier] = ACTIONS(2150),
    [anon_sym_LPAREN2] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_AMP] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym___extension__] = ACTIONS(2150),
    [anon_sym_typedef] = ACTIONS(2150),
    [anon_sym_in] = ACTIONS(2150),
    [anon_sym_out] = ACTIONS(2150),
    [anon_sym_inout] = ACTIONS(2150),
    [anon_sym_virtual] = ACTIONS(2150),
    [anon_sym_extern] = ACTIONS(2150),
    [anon_sym___attribute__] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2152),
    [anon_sym___declspec] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_signed] = ACTIONS(2150),
    [anon_sym_unsigned] = ACTIONS(2150),
    [anon_sym_long] = ACTIONS(2150),
    [anon_sym_short] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_static] = ACTIONS(2150),
    [anon_sym_register] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(2150),
    [anon_sym___inline] = ACTIONS(2150),
    [anon_sym___inline__] = ACTIONS(2150),
    [anon_sym___forceinline] = ACTIONS(2150),
    [anon_sym_thread_local] = ACTIONS(2150),
    [anon_sym___thread] = ACTIONS(2150),
    [anon_sym_const] = ACTIONS(2150),
    [anon_sym_constexpr] = ACTIONS(2150),
    [anon_sym_volatile] = ACTIONS(2150),
    [anon_sym_restrict] = ACTIONS(2150),
    [anon_sym___restrict__] = ACTIONS(2150),
    [anon_sym__Atomic] = ACTIONS(2150),
    [anon_sym__Noreturn] = ACTIONS(2150),
    [anon_sym_noreturn] = ACTIONS(2150),
    [anon_sym__Nonnull] = ACTIONS(2150),
    [anon_sym_mutable] = ACTIONS(2150),
    [anon_sym_constinit] = ACTIONS(2150),
    [anon_sym_consteval] = ACTIONS(2150),
    [anon_sym_alignas] = ACTIONS(2150),
    [anon_sym__Alignas] = ACTIONS(2150),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_enum] = ACTIONS(2150),
    [anon_sym_class] = ACTIONS(2150),
    [anon_sym_struct] = ACTIONS(2150),
    [anon_sym_union] = ACTIONS(2150),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_else] = ACTIONS(2150),
    [anon_sym_switch] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2150),
    [anon_sym_do] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2150),
    [anon_sym_return] = ACTIONS(2150),
    [anon_sym_break] = ACTIONS(2150),
    [anon_sym_continue] = ACTIONS(2150),
    [anon_sym_goto] = ACTIONS(2150),
    [anon_sym___try] = ACTIONS(2150),
    [anon_sym___leave] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2150),
    [anon_sym_compl] = ACTIONS(2150),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2150),
    [anon_sym__Generic] = ACTIONS(2150),
    [anon_sym_asm] = ACTIONS(2150),
    [anon_sym___asm__] = ACTIONS(2150),
    [anon_sym___asm] = ACTIONS(2150),
    [sym_number_literal] = ACTIONS(2152),
    [anon_sym_L_SQUOTE] = ACTIONS(2152),
    [anon_sym_u_SQUOTE] = ACTIONS(2152),
    [anon_sym_U_SQUOTE] = ACTIONS(2152),
    [anon_sym_u8_SQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_L_DQUOTE] = ACTIONS(2152),
    [anon_sym_u_DQUOTE] = ACTIONS(2152),
    [anon_sym_U_DQUOTE] = ACTIONS(2152),
    [anon_sym_u8_DQUOTE] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2150),
    [anon_sym_decltype] = ACTIONS(2150),
    [anon_sym_typename] = ACTIONS(2150),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2150),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_throw] = ACTIONS(2150),
    [anon_sym_co_return] = ACTIONS(2150),
    [anon_sym_co_yield] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(2152),
    [anon_sym_LR_DQUOTE] = ACTIONS(2152),
    [anon_sym_uR_DQUOTE] = ACTIONS(2152),
    [anon_sym_UR_DQUOTE] = ACTIONS(2152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2152),
    [anon_sym_co_await] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2150),
    [anon_sym_requires] = ACTIONS(2150),
    [sym_this] = ACTIONS(2150),
    [anon_sym_discard] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(2150),
    [anon_sym_shared] = ACTIONS(2150),
    [anon_sym_groupshared] = ACTIONS(2150),
    [anon_sym_uniform] = ACTIONS(2150),
    [anon_sym_row_major] = ACTIONS(2150),
    [anon_sym_column_major] = ACTIONS(2150),
    [anon_sym_globallycoherent] = ACTIONS(2150),
    [anon_sym_centroid] = ACTIONS(2150),
    [anon_sym_noperspective] = ACTIONS(2150),
    [anon_sym_nointerpolation] = ACTIONS(2150),
    [anon_sym_sample] = ACTIONS(2150),
    [anon_sym_linear] = ACTIONS(2150),
    [anon_sym_snorm] = ACTIONS(2150),
    [anon_sym_unorm] = ACTIONS(2150),
    [anon_sym_point] = ACTIONS(2150),
    [anon_sym_line] = ACTIONS(2150),
    [anon_sym_triangleadj] = ACTIONS(2150),
    [anon_sym_lineadj] = ACTIONS(2150),
    [anon_sym_triangle] = ACTIONS(2150),
    [anon_sym_cbuffer] = ACTIONS(2150),
  },
  [1058] = {
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2156),
    [anon_sym_TILDE] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_AMP] = ACTIONS(2156),
    [anon_sym_SEMI] = ACTIONS(2156),
    [anon_sym___extension__] = ACTIONS(2154),
    [anon_sym_typedef] = ACTIONS(2154),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_out] = ACTIONS(2154),
    [anon_sym_inout] = ACTIONS(2154),
    [anon_sym_virtual] = ACTIONS(2154),
    [anon_sym_extern] = ACTIONS(2154),
    [anon_sym___attribute__] = ACTIONS(2154),
    [anon_sym_COLON_COLON] = ACTIONS(2156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2156),
    [anon_sym___declspec] = ACTIONS(2154),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_signed] = ACTIONS(2154),
    [anon_sym_unsigned] = ACTIONS(2154),
    [anon_sym_long] = ACTIONS(2154),
    [anon_sym_short] = ACTIONS(2154),
    [anon_sym_LBRACK] = ACTIONS(2154),
    [anon_sym_static] = ACTIONS(2154),
    [anon_sym_register] = ACTIONS(2154),
    [anon_sym_inline] = ACTIONS(2154),
    [anon_sym___inline] = ACTIONS(2154),
    [anon_sym___inline__] = ACTIONS(2154),
    [anon_sym___forceinline] = ACTIONS(2154),
    [anon_sym_thread_local] = ACTIONS(2154),
    [anon_sym___thread] = ACTIONS(2154),
    [anon_sym_const] = ACTIONS(2154),
    [anon_sym_constexpr] = ACTIONS(2154),
    [anon_sym_volatile] = ACTIONS(2154),
    [anon_sym_restrict] = ACTIONS(2154),
    [anon_sym___restrict__] = ACTIONS(2154),
    [anon_sym__Atomic] = ACTIONS(2154),
    [anon_sym__Noreturn] = ACTIONS(2154),
    [anon_sym_noreturn] = ACTIONS(2154),
    [anon_sym__Nonnull] = ACTIONS(2154),
    [anon_sym_mutable] = ACTIONS(2154),
    [anon_sym_constinit] = ACTIONS(2154),
    [anon_sym_consteval] = ACTIONS(2154),
    [anon_sym_alignas] = ACTIONS(2154),
    [anon_sym__Alignas] = ACTIONS(2154),
    [sym_primitive_type] = ACTIONS(2154),
    [anon_sym_enum] = ACTIONS(2154),
    [anon_sym_class] = ACTIONS(2154),
    [anon_sym_struct] = ACTIONS(2154),
    [anon_sym_union] = ACTIONS(2154),
    [anon_sym_if] = ACTIONS(2154),
    [anon_sym_else] = ACTIONS(2154),
    [anon_sym_switch] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(2154),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_break] = ACTIONS(2154),
    [anon_sym_continue] = ACTIONS(2154),
    [anon_sym_goto] = ACTIONS(2154),
    [anon_sym___try] = ACTIONS(2154),
    [anon_sym___leave] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2154),
    [anon_sym_compl] = ACTIONS(2154),
    [anon_sym_DASH_DASH] = ACTIONS(2156),
    [anon_sym_PLUS_PLUS] = ACTIONS(2156),
    [anon_sym_sizeof] = ACTIONS(2154),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2154),
    [anon_sym___asm__] = ACTIONS(2154),
    [anon_sym___asm] = ACTIONS(2154),
    [sym_number_literal] = ACTIONS(2156),
    [anon_sym_L_SQUOTE] = ACTIONS(2156),
    [anon_sym_u_SQUOTE] = ACTIONS(2156),
    [anon_sym_U_SQUOTE] = ACTIONS(2156),
    [anon_sym_u8_SQUOTE] = ACTIONS(2156),
    [anon_sym_SQUOTE] = ACTIONS(2156),
    [anon_sym_L_DQUOTE] = ACTIONS(2156),
    [anon_sym_u_DQUOTE] = ACTIONS(2156),
    [anon_sym_U_DQUOTE] = ACTIONS(2156),
    [anon_sym_u8_DQUOTE] = ACTIONS(2156),
    [anon_sym_DQUOTE] = ACTIONS(2156),
    [sym_true] = ACTIONS(2154),
    [sym_false] = ACTIONS(2154),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2154),
    [anon_sym_decltype] = ACTIONS(2154),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2154),
    [anon_sym_delete] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_co_return] = ACTIONS(2154),
    [anon_sym_co_yield] = ACTIONS(2154),
    [anon_sym_R_DQUOTE] = ACTIONS(2156),
    [anon_sym_LR_DQUOTE] = ACTIONS(2156),
    [anon_sym_uR_DQUOTE] = ACTIONS(2156),
    [anon_sym_UR_DQUOTE] = ACTIONS(2156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2156),
    [anon_sym_co_await] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2154),
    [anon_sym_requires] = ACTIONS(2154),
    [sym_this] = ACTIONS(2154),
    [anon_sym_discard] = ACTIONS(2154),
    [anon_sym_precise] = ACTIONS(2154),
    [anon_sym_shared] = ACTIONS(2154),
    [anon_sym_groupshared] = ACTIONS(2154),
    [anon_sym_uniform] = ACTIONS(2154),
    [anon_sym_row_major] = ACTIONS(2154),
    [anon_sym_column_major] = ACTIONS(2154),
    [anon_sym_globallycoherent] = ACTIONS(2154),
    [anon_sym_centroid] = ACTIONS(2154),
    [anon_sym_noperspective] = ACTIONS(2154),
    [anon_sym_nointerpolation] = ACTIONS(2154),
    [anon_sym_sample] = ACTIONS(2154),
    [anon_sym_linear] = ACTIONS(2154),
    [anon_sym_snorm] = ACTIONS(2154),
    [anon_sym_unorm] = ACTIONS(2154),
    [anon_sym_point] = ACTIONS(2154),
    [anon_sym_line] = ACTIONS(2154),
    [anon_sym_triangleadj] = ACTIONS(2154),
    [anon_sym_lineadj] = ACTIONS(2154),
    [anon_sym_triangle] = ACTIONS(2154),
    [anon_sym_cbuffer] = ACTIONS(2154),
  },
  [1059] = {
    [sym_identifier] = ACTIONS(2158),
    [anon_sym_LPAREN2] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2158),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym___extension__] = ACTIONS(2158),
    [anon_sym_typedef] = ACTIONS(2158),
    [anon_sym_in] = ACTIONS(2158),
    [anon_sym_out] = ACTIONS(2158),
    [anon_sym_inout] = ACTIONS(2158),
    [anon_sym_virtual] = ACTIONS(2158),
    [anon_sym_extern] = ACTIONS(2158),
    [anon_sym___attribute__] = ACTIONS(2158),
    [anon_sym_COLON_COLON] = ACTIONS(2160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2160),
    [anon_sym___declspec] = ACTIONS(2158),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_signed] = ACTIONS(2158),
    [anon_sym_unsigned] = ACTIONS(2158),
    [anon_sym_long] = ACTIONS(2158),
    [anon_sym_short] = ACTIONS(2158),
    [anon_sym_LBRACK] = ACTIONS(2158),
    [anon_sym_static] = ACTIONS(2158),
    [anon_sym_register] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(2158),
    [anon_sym___inline] = ACTIONS(2158),
    [anon_sym___inline__] = ACTIONS(2158),
    [anon_sym___forceinline] = ACTIONS(2158),
    [anon_sym_thread_local] = ACTIONS(2158),
    [anon_sym___thread] = ACTIONS(2158),
    [anon_sym_const] = ACTIONS(2158),
    [anon_sym_constexpr] = ACTIONS(2158),
    [anon_sym_volatile] = ACTIONS(2158),
    [anon_sym_restrict] = ACTIONS(2158),
    [anon_sym___restrict__] = ACTIONS(2158),
    [anon_sym__Atomic] = ACTIONS(2158),
    [anon_sym__Noreturn] = ACTIONS(2158),
    [anon_sym_noreturn] = ACTIONS(2158),
    [anon_sym__Nonnull] = ACTIONS(2158),
    [anon_sym_mutable] = ACTIONS(2158),
    [anon_sym_constinit] = ACTIONS(2158),
    [anon_sym_consteval] = ACTIONS(2158),
    [anon_sym_alignas] = ACTIONS(2158),
    [anon_sym__Alignas] = ACTIONS(2158),
    [sym_primitive_type] = ACTIONS(2158),
    [anon_sym_enum] = ACTIONS(2158),
    [anon_sym_class] = ACTIONS(2158),
    [anon_sym_struct] = ACTIONS(2158),
    [anon_sym_union] = ACTIONS(2158),
    [anon_sym_if] = ACTIONS(2158),
    [anon_sym_else] = ACTIONS(2158),
    [anon_sym_switch] = ACTIONS(2158),
    [anon_sym_while] = ACTIONS(2158),
    [anon_sym_do] = ACTIONS(2158),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_return] = ACTIONS(2158),
    [anon_sym_break] = ACTIONS(2158),
    [anon_sym_continue] = ACTIONS(2158),
    [anon_sym_goto] = ACTIONS(2158),
    [anon_sym___try] = ACTIONS(2158),
    [anon_sym___leave] = ACTIONS(2158),
    [anon_sym_not] = ACTIONS(2158),
    [anon_sym_compl] = ACTIONS(2158),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_sizeof] = ACTIONS(2158),
    [anon_sym___alignof__] = ACTIONS(2158),
    [anon_sym___alignof] = ACTIONS(2158),
    [anon_sym__alignof] = ACTIONS(2158),
    [anon_sym_alignof] = ACTIONS(2158),
    [anon_sym__Alignof] = ACTIONS(2158),
    [anon_sym_offsetof] = ACTIONS(2158),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym___asm] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2160),
    [anon_sym_u_DQUOTE] = ACTIONS(2160),
    [anon_sym_U_DQUOTE] = ACTIONS(2160),
    [anon_sym_u8_DQUOTE] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [sym_true] = ACTIONS(2158),
    [sym_false] = ACTIONS(2158),
    [anon_sym_NULL] = ACTIONS(2158),
    [anon_sym_nullptr] = ACTIONS(2158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2158),
    [anon_sym_decltype] = ACTIONS(2158),
    [anon_sym_typename] = ACTIONS(2158),
    [anon_sym_template] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2158),
    [anon_sym_delete] = ACTIONS(2158),
    [anon_sym_throw] = ACTIONS(2158),
    [anon_sym_co_return] = ACTIONS(2158),
    [anon_sym_co_yield] = ACTIONS(2158),
    [anon_sym_R_DQUOTE] = ACTIONS(2160),
    [anon_sym_LR_DQUOTE] = ACTIONS(2160),
    [anon_sym_uR_DQUOTE] = ACTIONS(2160),
    [anon_sym_UR_DQUOTE] = ACTIONS(2160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2160),
    [anon_sym_co_await] = ACTIONS(2158),
    [anon_sym_new] = ACTIONS(2158),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2158),
    [anon_sym_discard] = ACTIONS(2158),
    [anon_sym_precise] = ACTIONS(2158),
    [anon_sym_shared] = ACTIONS(2158),
    [anon_sym_groupshared] = ACTIONS(2158),
    [anon_sym_uniform] = ACTIONS(2158),
    [anon_sym_row_major] = ACTIONS(2158),
    [anon_sym_column_major] = ACTIONS(2158),
    [anon_sym_globallycoherent] = ACTIONS(2158),
    [anon_sym_centroid] = ACTIONS(2158),
    [anon_sym_noperspective] = ACTIONS(2158),
    [anon_sym_nointerpolation] = ACTIONS(2158),
    [anon_sym_sample] = ACTIONS(2158),
    [anon_sym_linear] = ACTIONS(2158),
    [anon_sym_snorm] = ACTIONS(2158),
    [anon_sym_unorm] = ACTIONS(2158),
    [anon_sym_point] = ACTIONS(2158),
    [anon_sym_line] = ACTIONS(2158),
    [anon_sym_triangleadj] = ACTIONS(2158),
    [anon_sym_lineadj] = ACTIONS(2158),
    [anon_sym_triangle] = ACTIONS(2158),
    [anon_sym_cbuffer] = ACTIONS(2158),
  },
  [1060] = {
    [sym_identifier] = ACTIONS(2162),
    [anon_sym_LPAREN2] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2164),
    [anon_sym_AMP] = ACTIONS(2164),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym___extension__] = ACTIONS(2162),
    [anon_sym_typedef] = ACTIONS(2162),
    [anon_sym_in] = ACTIONS(2162),
    [anon_sym_out] = ACTIONS(2162),
    [anon_sym_inout] = ACTIONS(2162),
    [anon_sym_virtual] = ACTIONS(2162),
    [anon_sym_extern] = ACTIONS(2162),
    [anon_sym___attribute__] = ACTIONS(2162),
    [anon_sym_COLON_COLON] = ACTIONS(2164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2164),
    [anon_sym___declspec] = ACTIONS(2162),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_signed] = ACTIONS(2162),
    [anon_sym_unsigned] = ACTIONS(2162),
    [anon_sym_long] = ACTIONS(2162),
    [anon_sym_short] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_static] = ACTIONS(2162),
    [anon_sym_register] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(2162),
    [anon_sym___inline] = ACTIONS(2162),
    [anon_sym___inline__] = ACTIONS(2162),
    [anon_sym___forceinline] = ACTIONS(2162),
    [anon_sym_thread_local] = ACTIONS(2162),
    [anon_sym___thread] = ACTIONS(2162),
    [anon_sym_const] = ACTIONS(2162),
    [anon_sym_constexpr] = ACTIONS(2162),
    [anon_sym_volatile] = ACTIONS(2162),
    [anon_sym_restrict] = ACTIONS(2162),
    [anon_sym___restrict__] = ACTIONS(2162),
    [anon_sym__Atomic] = ACTIONS(2162),
    [anon_sym__Noreturn] = ACTIONS(2162),
    [anon_sym_noreturn] = ACTIONS(2162),
    [anon_sym__Nonnull] = ACTIONS(2162),
    [anon_sym_mutable] = ACTIONS(2162),
    [anon_sym_constinit] = ACTIONS(2162),
    [anon_sym_consteval] = ACTIONS(2162),
    [anon_sym_alignas] = ACTIONS(2162),
    [anon_sym__Alignas] = ACTIONS(2162),
    [sym_primitive_type] = ACTIONS(2162),
    [anon_sym_enum] = ACTIONS(2162),
    [anon_sym_class] = ACTIONS(2162),
    [anon_sym_struct] = ACTIONS(2162),
    [anon_sym_union] = ACTIONS(2162),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_else] = ACTIONS(2162),
    [anon_sym_switch] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_do] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2162),
    [anon_sym_return] = ACTIONS(2162),
    [anon_sym_break] = ACTIONS(2162),
    [anon_sym_continue] = ACTIONS(2162),
    [anon_sym_goto] = ACTIONS(2162),
    [anon_sym___try] = ACTIONS(2162),
    [anon_sym___leave] = ACTIONS(2162),
    [anon_sym_not] = ACTIONS(2162),
    [anon_sym_compl] = ACTIONS(2162),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_sizeof] = ACTIONS(2162),
    [anon_sym___alignof__] = ACTIONS(2162),
    [anon_sym___alignof] = ACTIONS(2162),
    [anon_sym__alignof] = ACTIONS(2162),
    [anon_sym_alignof] = ACTIONS(2162),
    [anon_sym__Alignof] = ACTIONS(2162),
    [anon_sym_offsetof] = ACTIONS(2162),
    [anon_sym__Generic] = ACTIONS(2162),
    [anon_sym_asm] = ACTIONS(2162),
    [anon_sym___asm__] = ACTIONS(2162),
    [anon_sym___asm] = ACTIONS(2162),
    [sym_number_literal] = ACTIONS(2164),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2162),
    [sym_false] = ACTIONS(2162),
    [anon_sym_NULL] = ACTIONS(2162),
    [anon_sym_nullptr] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2162),
    [anon_sym_decltype] = ACTIONS(2162),
    [anon_sym_typename] = ACTIONS(2162),
    [anon_sym_template] = ACTIONS(2162),
    [anon_sym_try] = ACTIONS(2162),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2162),
    [anon_sym_co_return] = ACTIONS(2162),
    [anon_sym_co_yield] = ACTIONS(2162),
    [anon_sym_R_DQUOTE] = ACTIONS(2164),
    [anon_sym_LR_DQUOTE] = ACTIONS(2164),
    [anon_sym_uR_DQUOTE] = ACTIONS(2164),
    [anon_sym_UR_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2164),
    [anon_sym_co_await] = ACTIONS(2162),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2162),
    [anon_sym_discard] = ACTIONS(2162),
    [anon_sym_precise] = ACTIONS(2162),
    [anon_sym_shared] = ACTIONS(2162),
    [anon_sym_groupshared] = ACTIONS(2162),
    [anon_sym_uniform] = ACTIONS(2162),
    [anon_sym_row_major] = ACTIONS(2162),
    [anon_sym_column_major] = ACTIONS(2162),
    [anon_sym_globallycoherent] = ACTIONS(2162),
    [anon_sym_centroid] = ACTIONS(2162),
    [anon_sym_noperspective] = ACTIONS(2162),
    [anon_sym_nointerpolation] = ACTIONS(2162),
    [anon_sym_sample] = ACTIONS(2162),
    [anon_sym_linear] = ACTIONS(2162),
    [anon_sym_snorm] = ACTIONS(2162),
    [anon_sym_unorm] = ACTIONS(2162),
    [anon_sym_point] = ACTIONS(2162),
    [anon_sym_line] = ACTIONS(2162),
    [anon_sym_triangleadj] = ACTIONS(2162),
    [anon_sym_lineadj] = ACTIONS(2162),
    [anon_sym_triangle] = ACTIONS(2162),
    [anon_sym_cbuffer] = ACTIONS(2162),
  },
  [1061] = {
    [sym_identifier] = ACTIONS(2166),
    [anon_sym_LPAREN2] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_STAR] = ACTIONS(2168),
    [anon_sym_AMP] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym___extension__] = ACTIONS(2166),
    [anon_sym_typedef] = ACTIONS(2166),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_out] = ACTIONS(2166),
    [anon_sym_inout] = ACTIONS(2166),
    [anon_sym_virtual] = ACTIONS(2166),
    [anon_sym_extern] = ACTIONS(2166),
    [anon_sym___attribute__] = ACTIONS(2166),
    [anon_sym_COLON_COLON] = ACTIONS(2168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2168),
    [anon_sym___declspec] = ACTIONS(2166),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_signed] = ACTIONS(2166),
    [anon_sym_unsigned] = ACTIONS(2166),
    [anon_sym_long] = ACTIONS(2166),
    [anon_sym_short] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2166),
    [anon_sym_static] = ACTIONS(2166),
    [anon_sym_register] = ACTIONS(2166),
    [anon_sym_inline] = ACTIONS(2166),
    [anon_sym___inline] = ACTIONS(2166),
    [anon_sym___inline__] = ACTIONS(2166),
    [anon_sym___forceinline] = ACTIONS(2166),
    [anon_sym_thread_local] = ACTIONS(2166),
    [anon_sym___thread] = ACTIONS(2166),
    [anon_sym_const] = ACTIONS(2166),
    [anon_sym_constexpr] = ACTIONS(2166),
    [anon_sym_volatile] = ACTIONS(2166),
    [anon_sym_restrict] = ACTIONS(2166),
    [anon_sym___restrict__] = ACTIONS(2166),
    [anon_sym__Atomic] = ACTIONS(2166),
    [anon_sym__Noreturn] = ACTIONS(2166),
    [anon_sym_noreturn] = ACTIONS(2166),
    [anon_sym__Nonnull] = ACTIONS(2166),
    [anon_sym_mutable] = ACTIONS(2166),
    [anon_sym_constinit] = ACTIONS(2166),
    [anon_sym_consteval] = ACTIONS(2166),
    [anon_sym_alignas] = ACTIONS(2166),
    [anon_sym__Alignas] = ACTIONS(2166),
    [sym_primitive_type] = ACTIONS(2166),
    [anon_sym_enum] = ACTIONS(2166),
    [anon_sym_class] = ACTIONS(2166),
    [anon_sym_struct] = ACTIONS(2166),
    [anon_sym_union] = ACTIONS(2166),
    [anon_sym_if] = ACTIONS(2166),
    [anon_sym_else] = ACTIONS(2166),
    [anon_sym_switch] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(2166),
    [anon_sym_for] = ACTIONS(2166),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_break] = ACTIONS(2166),
    [anon_sym_continue] = ACTIONS(2166),
    [anon_sym_goto] = ACTIONS(2166),
    [anon_sym___try] = ACTIONS(2166),
    [anon_sym___leave] = ACTIONS(2166),
    [anon_sym_not] = ACTIONS(2166),
    [anon_sym_compl] = ACTIONS(2166),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_sizeof] = ACTIONS(2166),
    [anon_sym___alignof__] = ACTIONS(2166),
    [anon_sym___alignof] = ACTIONS(2166),
    [anon_sym__alignof] = ACTIONS(2166),
    [anon_sym_alignof] = ACTIONS(2166),
    [anon_sym__Alignof] = ACTIONS(2166),
    [anon_sym_offsetof] = ACTIONS(2166),
    [anon_sym__Generic] = ACTIONS(2166),
    [anon_sym_asm] = ACTIONS(2166),
    [anon_sym___asm__] = ACTIONS(2166),
    [anon_sym___asm] = ACTIONS(2166),
    [sym_number_literal] = ACTIONS(2168),
    [anon_sym_L_SQUOTE] = ACTIONS(2168),
    [anon_sym_u_SQUOTE] = ACTIONS(2168),
    [anon_sym_U_SQUOTE] = ACTIONS(2168),
    [anon_sym_u8_SQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_L_DQUOTE] = ACTIONS(2168),
    [anon_sym_u_DQUOTE] = ACTIONS(2168),
    [anon_sym_U_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8_DQUOTE] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2166),
    [anon_sym_decltype] = ACTIONS(2166),
    [anon_sym_typename] = ACTIONS(2166),
    [anon_sym_template] = ACTIONS(2166),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_co_return] = ACTIONS(2166),
    [anon_sym_co_yield] = ACTIONS(2166),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(2166),
    [anon_sym_requires] = ACTIONS(2166),
    [sym_this] = ACTIONS(2166),
    [anon_sym_discard] = ACTIONS(2166),
    [anon_sym_precise] = ACTIONS(2166),
    [anon_sym_shared] = ACTIONS(2166),
    [anon_sym_groupshared] = ACTIONS(2166),
    [anon_sym_uniform] = ACTIONS(2166),
    [anon_sym_row_major] = ACTIONS(2166),
    [anon_sym_column_major] = ACTIONS(2166),
    [anon_sym_globallycoherent] = ACTIONS(2166),
    [anon_sym_centroid] = ACTIONS(2166),
    [anon_sym_noperspective] = ACTIONS(2166),
    [anon_sym_nointerpolation] = ACTIONS(2166),
    [anon_sym_sample] = ACTIONS(2166),
    [anon_sym_linear] = ACTIONS(2166),
    [anon_sym_snorm] = ACTIONS(2166),
    [anon_sym_unorm] = ACTIONS(2166),
    [anon_sym_point] = ACTIONS(2166),
    [anon_sym_line] = ACTIONS(2166),
    [anon_sym_triangleadj] = ACTIONS(2166),
    [anon_sym_lineadj] = ACTIONS(2166),
    [anon_sym_triangle] = ACTIONS(2166),
    [anon_sym_cbuffer] = ACTIONS(2166),
  },
  [1062] = {
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2240),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2240),
    [anon_sym_u_SQUOTE] = ACTIONS(2240),
    [anon_sym_U_SQUOTE] = ACTIONS(2240),
    [anon_sym_u8_SQUOTE] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_L_DQUOTE] = ACTIONS(2240),
    [anon_sym_u_DQUOTE] = ACTIONS(2240),
    [anon_sym_U_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8_DQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2240),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2240),
    [anon_sym_LR_DQUOTE] = ACTIONS(2240),
    [anon_sym_uR_DQUOTE] = ACTIONS(2240),
    [anon_sym_UR_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2240),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [1063] = {
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2240),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2240),
    [anon_sym_u_SQUOTE] = ACTIONS(2240),
    [anon_sym_U_SQUOTE] = ACTIONS(2240),
    [anon_sym_u8_SQUOTE] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_L_DQUOTE] = ACTIONS(2240),
    [anon_sym_u_DQUOTE] = ACTIONS(2240),
    [anon_sym_U_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8_DQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2240),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2240),
    [anon_sym_LR_DQUOTE] = ACTIONS(2240),
    [anon_sym_uR_DQUOTE] = ACTIONS(2240),
    [anon_sym_UR_DQUOTE] = ACTIONS(2240),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2240),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [1064] = {
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2294),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_typedef] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_switch] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym___try] = ACTIONS(2292),
    [anon_sym___leave] = ACTIONS(2292),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_sizeof] = ACTIONS(2292),
    [anon_sym___alignof__] = ACTIONS(2292),
    [anon_sym___alignof] = ACTIONS(2292),
    [anon_sym__alignof] = ACTIONS(2292),
    [anon_sym_alignof] = ACTIONS(2292),
    [anon_sym__Alignof] = ACTIONS(2292),
    [anon_sym_offsetof] = ACTIONS(2292),
    [anon_sym__Generic] = ACTIONS(2292),
    [anon_sym_asm] = ACTIONS(2292),
    [anon_sym___asm__] = ACTIONS(2292),
    [anon_sym___asm] = ACTIONS(2292),
    [sym_number_literal] = ACTIONS(2294),
    [anon_sym_L_SQUOTE] = ACTIONS(2294),
    [anon_sym_u_SQUOTE] = ACTIONS(2294),
    [anon_sym_U_SQUOTE] = ACTIONS(2294),
    [anon_sym_u8_SQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2294),
    [anon_sym_L_DQUOTE] = ACTIONS(2294),
    [anon_sym_u_DQUOTE] = ACTIONS(2294),
    [anon_sym_U_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8_DQUOTE] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [sym_true] = ACTIONS(2292),
    [sym_false] = ACTIONS(2292),
    [anon_sym_NULL] = ACTIONS(2292),
    [anon_sym_nullptr] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_typename] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_co_return] = ACTIONS(2292),
    [anon_sym_co_yield] = ACTIONS(2292),
    [anon_sym_R_DQUOTE] = ACTIONS(2294),
    [anon_sym_LR_DQUOTE] = ACTIONS(2294),
    [anon_sym_uR_DQUOTE] = ACTIONS(2294),
    [anon_sym_UR_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2294),
    [anon_sym_co_await] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [sym_this] = ACTIONS(2292),
    [anon_sym_discard] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
    [anon_sym_cbuffer] = ACTIONS(2292),
  },
  [1065] = {
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2298),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2296),
    [anon_sym_typedef] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym___try] = ACTIONS(2296),
    [anon_sym___leave] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(2296),
    [anon_sym_compl] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2298),
    [anon_sym_sizeof] = ACTIONS(2296),
    [anon_sym___alignof__] = ACTIONS(2296),
    [anon_sym___alignof] = ACTIONS(2296),
    [anon_sym__alignof] = ACTIONS(2296),
    [anon_sym_alignof] = ACTIONS(2296),
    [anon_sym__Alignof] = ACTIONS(2296),
    [anon_sym_offsetof] = ACTIONS(2296),
    [anon_sym__Generic] = ACTIONS(2296),
    [anon_sym_asm] = ACTIONS(2296),
    [anon_sym___asm__] = ACTIONS(2296),
    [anon_sym___asm] = ACTIONS(2296),
    [sym_number_literal] = ACTIONS(2298),
    [anon_sym_L_SQUOTE] = ACTIONS(2298),
    [anon_sym_u_SQUOTE] = ACTIONS(2298),
    [anon_sym_U_SQUOTE] = ACTIONS(2298),
    [anon_sym_u8_SQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2298),
    [anon_sym_L_DQUOTE] = ACTIONS(2298),
    [anon_sym_u_DQUOTE] = ACTIONS(2298),
    [anon_sym_U_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8_DQUOTE] = ACTIONS(2298),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [anon_sym_NULL] = ACTIONS(2296),
    [anon_sym_nullptr] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2296),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_co_return] = ACTIONS(2296),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2298),
    [anon_sym_LR_DQUOTE] = ACTIONS(2298),
    [anon_sym_uR_DQUOTE] = ACTIONS(2298),
    [anon_sym_UR_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2298),
    [anon_sym_co_await] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_requires] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [anon_sym_discard] = ACTIONS(2296),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
    [anon_sym_cbuffer] = ACTIONS(2296),
  },
  [1066] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym__Nonnull] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym__Alignas] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [anon_sym___asm] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [1067] = {
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym__Nonnull] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym__Alignas] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [anon_sym___asm] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [1068] = {
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_LPAREN2] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym___extension__] = ACTIONS(2194),
    [anon_sym_typedef] = ACTIONS(2194),
    [anon_sym_in] = ACTIONS(2194),
    [anon_sym_out] = ACTIONS(2194),
    [anon_sym_inout] = ACTIONS(2194),
    [anon_sym_virtual] = ACTIONS(2194),
    [anon_sym_extern] = ACTIONS(2194),
    [anon_sym___attribute__] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2196),
    [anon_sym___declspec] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_signed] = ACTIONS(2194),
    [anon_sym_unsigned] = ACTIONS(2194),
    [anon_sym_long] = ACTIONS(2194),
    [anon_sym_short] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_register] = ACTIONS(2194),
    [anon_sym_inline] = ACTIONS(2194),
    [anon_sym___inline] = ACTIONS(2194),
    [anon_sym___inline__] = ACTIONS(2194),
    [anon_sym___forceinline] = ACTIONS(2194),
    [anon_sym_thread_local] = ACTIONS(2194),
    [anon_sym___thread] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_constexpr] = ACTIONS(2194),
    [anon_sym_volatile] = ACTIONS(2194),
    [anon_sym_restrict] = ACTIONS(2194),
    [anon_sym___restrict__] = ACTIONS(2194),
    [anon_sym__Atomic] = ACTIONS(2194),
    [anon_sym__Noreturn] = ACTIONS(2194),
    [anon_sym_noreturn] = ACTIONS(2194),
    [anon_sym__Nonnull] = ACTIONS(2194),
    [anon_sym_mutable] = ACTIONS(2194),
    [anon_sym_constinit] = ACTIONS(2194),
    [anon_sym_consteval] = ACTIONS(2194),
    [anon_sym_alignas] = ACTIONS(2194),
    [anon_sym__Alignas] = ACTIONS(2194),
    [sym_primitive_type] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_struct] = ACTIONS(2194),
    [anon_sym_union] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_else] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_goto] = ACTIONS(2194),
    [anon_sym___try] = ACTIONS(2194),
    [anon_sym___leave] = ACTIONS(2194),
    [anon_sym_not] = ACTIONS(2194),
    [anon_sym_compl] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2194),
    [anon_sym___alignof] = ACTIONS(2194),
    [anon_sym__alignof] = ACTIONS(2194),
    [anon_sym_alignof] = ACTIONS(2194),
    [anon_sym__Alignof] = ACTIONS(2194),
    [anon_sym_offsetof] = ACTIONS(2194),
    [anon_sym__Generic] = ACTIONS(2194),
    [anon_sym_asm] = ACTIONS(2194),
    [anon_sym___asm__] = ACTIONS(2194),
    [anon_sym___asm] = ACTIONS(2194),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [anon_sym_NULL] = ACTIONS(2194),
    [anon_sym_nullptr] = ACTIONS(2194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2194),
    [anon_sym_decltype] = ACTIONS(2194),
    [anon_sym_typename] = ACTIONS(2194),
    [anon_sym_template] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_co_return] = ACTIONS(2194),
    [anon_sym_co_yield] = ACTIONS(2194),
    [anon_sym_R_DQUOTE] = ACTIONS(2196),
    [anon_sym_LR_DQUOTE] = ACTIONS(2196),
    [anon_sym_uR_DQUOTE] = ACTIONS(2196),
    [anon_sym_UR_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2196),
    [anon_sym_co_await] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_requires] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [anon_sym_discard] = ACTIONS(2194),
    [anon_sym_precise] = ACTIONS(2194),
    [anon_sym_shared] = ACTIONS(2194),
    [anon_sym_groupshared] = ACTIONS(2194),
    [anon_sym_uniform] = ACTIONS(2194),
    [anon_sym_row_major] = ACTIONS(2194),
    [anon_sym_column_major] = ACTIONS(2194),
    [anon_sym_globallycoherent] = ACTIONS(2194),
    [anon_sym_centroid] = ACTIONS(2194),
    [anon_sym_noperspective] = ACTIONS(2194),
    [anon_sym_nointerpolation] = ACTIONS(2194),
    [anon_sym_sample] = ACTIONS(2194),
    [anon_sym_linear] = ACTIONS(2194),
    [anon_sym_snorm] = ACTIONS(2194),
    [anon_sym_unorm] = ACTIONS(2194),
    [anon_sym_point] = ACTIONS(2194),
    [anon_sym_line] = ACTIONS(2194),
    [anon_sym_triangleadj] = ACTIONS(2194),
    [anon_sym_lineadj] = ACTIONS(2194),
    [anon_sym_triangle] = ACTIONS(2194),
    [anon_sym_cbuffer] = ACTIONS(2194),
  },
  [1069] = {
    [sym_identifier] = ACTIONS(2198),
    [anon_sym_LPAREN2] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_PLUS] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2198),
    [anon_sym_typedef] = ACTIONS(2198),
    [anon_sym_in] = ACTIONS(2198),
    [anon_sym_out] = ACTIONS(2198),
    [anon_sym_inout] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2198),
    [anon_sym_extern] = ACTIONS(2198),
    [anon_sym___attribute__] = ACTIONS(2198),
    [anon_sym_COLON_COLON] = ACTIONS(2200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2200),
    [anon_sym___declspec] = ACTIONS(2198),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_signed] = ACTIONS(2198),
    [anon_sym_unsigned] = ACTIONS(2198),
    [anon_sym_long] = ACTIONS(2198),
    [anon_sym_short] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [anon_sym_static] = ACTIONS(2198),
    [anon_sym_register] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(2198),
    [anon_sym___inline] = ACTIONS(2198),
    [anon_sym___inline__] = ACTIONS(2198),
    [anon_sym___forceinline] = ACTIONS(2198),
    [anon_sym_thread_local] = ACTIONS(2198),
    [anon_sym___thread] = ACTIONS(2198),
    [anon_sym_const] = ACTIONS(2198),
    [anon_sym_constexpr] = ACTIONS(2198),
    [anon_sym_volatile] = ACTIONS(2198),
    [anon_sym_restrict] = ACTIONS(2198),
    [anon_sym___restrict__] = ACTIONS(2198),
    [anon_sym__Atomic] = ACTIONS(2198),
    [anon_sym__Noreturn] = ACTIONS(2198),
    [anon_sym_noreturn] = ACTIONS(2198),
    [anon_sym__Nonnull] = ACTIONS(2198),
    [anon_sym_mutable] = ACTIONS(2198),
    [anon_sym_constinit] = ACTIONS(2198),
    [anon_sym_consteval] = ACTIONS(2198),
    [anon_sym_alignas] = ACTIONS(2198),
    [anon_sym__Alignas] = ACTIONS(2198),
    [sym_primitive_type] = ACTIONS(2198),
    [anon_sym_enum] = ACTIONS(2198),
    [anon_sym_class] = ACTIONS(2198),
    [anon_sym_struct] = ACTIONS(2198),
    [anon_sym_union] = ACTIONS(2198),
    [anon_sym_if] = ACTIONS(2198),
    [anon_sym_else] = ACTIONS(2198),
    [anon_sym_switch] = ACTIONS(2198),
    [anon_sym_while] = ACTIONS(2198),
    [anon_sym_do] = ACTIONS(2198),
    [anon_sym_for] = ACTIONS(2198),
    [anon_sym_return] = ACTIONS(2198),
    [anon_sym_break] = ACTIONS(2198),
    [anon_sym_continue] = ACTIONS(2198),
    [anon_sym_goto] = ACTIONS(2198),
    [anon_sym___try] = ACTIONS(2198),
    [anon_sym___leave] = ACTIONS(2198),
    [anon_sym_not] = ACTIONS(2198),
    [anon_sym_compl] = ACTIONS(2198),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_sizeof] = ACTIONS(2198),
    [anon_sym___alignof__] = ACTIONS(2198),
    [anon_sym___alignof] = ACTIONS(2198),
    [anon_sym__alignof] = ACTIONS(2198),
    [anon_sym_alignof] = ACTIONS(2198),
    [anon_sym__Alignof] = ACTIONS(2198),
    [anon_sym_offsetof] = ACTIONS(2198),
    [anon_sym__Generic] = ACTIONS(2198),
    [anon_sym_asm] = ACTIONS(2198),
    [anon_sym___asm__] = ACTIONS(2198),
    [anon_sym___asm] = ACTIONS(2198),
    [sym_number_literal] = ACTIONS(2200),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2198),
    [sym_false] = ACTIONS(2198),
    [anon_sym_NULL] = ACTIONS(2198),
    [anon_sym_nullptr] = ACTIONS(2198),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2198),
    [anon_sym_decltype] = ACTIONS(2198),
    [anon_sym_typename] = ACTIONS(2198),
    [anon_sym_template] = ACTIONS(2198),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_throw] = ACTIONS(2198),
    [anon_sym_co_return] = ACTIONS(2198),
    [anon_sym_co_yield] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(2198),
    [anon_sym_requires] = ACTIONS(2198),
    [sym_this] = ACTIONS(2198),
    [anon_sym_discard] = ACTIONS(2198),
    [anon_sym_precise] = ACTIONS(2198),
    [anon_sym_shared] = ACTIONS(2198),
    [anon_sym_groupshared] = ACTIONS(2198),
    [anon_sym_uniform] = ACTIONS(2198),
    [anon_sym_row_major] = ACTIONS(2198),
    [anon_sym_column_major] = ACTIONS(2198),
    [anon_sym_globallycoherent] = ACTIONS(2198),
    [anon_sym_centroid] = ACTIONS(2198),
    [anon_sym_noperspective] = ACTIONS(2198),
    [anon_sym_nointerpolation] = ACTIONS(2198),
    [anon_sym_sample] = ACTIONS(2198),
    [anon_sym_linear] = ACTIONS(2198),
    [anon_sym_snorm] = ACTIONS(2198),
    [anon_sym_unorm] = ACTIONS(2198),
    [anon_sym_point] = ACTIONS(2198),
    [anon_sym_line] = ACTIONS(2198),
    [anon_sym_triangleadj] = ACTIONS(2198),
    [anon_sym_lineadj] = ACTIONS(2198),
    [anon_sym_triangle] = ACTIONS(2198),
    [anon_sym_cbuffer] = ACTIONS(2198),
  },
  [1070] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1216),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4119),
    [anon_sym_SEMI] = ACTIONS(4090),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4098),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym___cdecl] = ACTIONS(4075),
    [anon_sym___clrcall] = ACTIONS(4075),
    [anon_sym___stdcall] = ACTIONS(4075),
    [anon_sym___fastcall] = ACTIONS(4075),
    [anon_sym___thiscall] = ACTIONS(4075),
    [anon_sym___vectorcall] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4103),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1071] = {
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2202),
    [anon_sym_typedef] = ACTIONS(2202),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_out] = ACTIONS(2202),
    [anon_sym_inout] = ACTIONS(2202),
    [anon_sym_virtual] = ACTIONS(2202),
    [anon_sym_extern] = ACTIONS(2202),
    [anon_sym___attribute__] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2202),
    [anon_sym_unsigned] = ACTIONS(2202),
    [anon_sym_long] = ACTIONS(2202),
    [anon_sym_short] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_static] = ACTIONS(2202),
    [anon_sym_register] = ACTIONS(2202),
    [anon_sym_inline] = ACTIONS(2202),
    [anon_sym___inline] = ACTIONS(2202),
    [anon_sym___inline__] = ACTIONS(2202),
    [anon_sym___forceinline] = ACTIONS(2202),
    [anon_sym_thread_local] = ACTIONS(2202),
    [anon_sym___thread] = ACTIONS(2202),
    [anon_sym_const] = ACTIONS(2202),
    [anon_sym_constexpr] = ACTIONS(2202),
    [anon_sym_volatile] = ACTIONS(2202),
    [anon_sym_restrict] = ACTIONS(2202),
    [anon_sym___restrict__] = ACTIONS(2202),
    [anon_sym__Atomic] = ACTIONS(2202),
    [anon_sym__Noreturn] = ACTIONS(2202),
    [anon_sym_noreturn] = ACTIONS(2202),
    [anon_sym__Nonnull] = ACTIONS(2202),
    [anon_sym_mutable] = ACTIONS(2202),
    [anon_sym_constinit] = ACTIONS(2202),
    [anon_sym_consteval] = ACTIONS(2202),
    [anon_sym_alignas] = ACTIONS(2202),
    [anon_sym__Alignas] = ACTIONS(2202),
    [sym_primitive_type] = ACTIONS(2202),
    [anon_sym_enum] = ACTIONS(2202),
    [anon_sym_class] = ACTIONS(2202),
    [anon_sym_struct] = ACTIONS(2202),
    [anon_sym_union] = ACTIONS(2202),
    [anon_sym_if] = ACTIONS(2202),
    [anon_sym_else] = ACTIONS(2202),
    [anon_sym_switch] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2202),
    [anon_sym_do] = ACTIONS(2202),
    [anon_sym_for] = ACTIONS(2202),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_break] = ACTIONS(2202),
    [anon_sym_continue] = ACTIONS(2202),
    [anon_sym_goto] = ACTIONS(2202),
    [anon_sym___try] = ACTIONS(2202),
    [anon_sym___leave] = ACTIONS(2202),
    [anon_sym_not] = ACTIONS(2202),
    [anon_sym_compl] = ACTIONS(2202),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2202),
    [anon_sym___alignof__] = ACTIONS(2202),
    [anon_sym___alignof] = ACTIONS(2202),
    [anon_sym__alignof] = ACTIONS(2202),
    [anon_sym_alignof] = ACTIONS(2202),
    [anon_sym__Alignof] = ACTIONS(2202),
    [anon_sym_offsetof] = ACTIONS(2202),
    [anon_sym__Generic] = ACTIONS(2202),
    [anon_sym_asm] = ACTIONS(2202),
    [anon_sym___asm__] = ACTIONS(2202),
    [anon_sym___asm] = ACTIONS(2202),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2202),
    [sym_false] = ACTIONS(2202),
    [anon_sym_NULL] = ACTIONS(2202),
    [anon_sym_nullptr] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2202),
    [anon_sym_decltype] = ACTIONS(2202),
    [anon_sym_typename] = ACTIONS(2202),
    [anon_sym_template] = ACTIONS(2202),
    [anon_sym_try] = ACTIONS(2202),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2202),
    [anon_sym_co_return] = ACTIONS(2202),
    [anon_sym_co_yield] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2202),
    [anon_sym_requires] = ACTIONS(2202),
    [sym_this] = ACTIONS(2202),
    [anon_sym_discard] = ACTIONS(2202),
    [anon_sym_precise] = ACTIONS(2202),
    [anon_sym_shared] = ACTIONS(2202),
    [anon_sym_groupshared] = ACTIONS(2202),
    [anon_sym_uniform] = ACTIONS(2202),
    [anon_sym_row_major] = ACTIONS(2202),
    [anon_sym_column_major] = ACTIONS(2202),
    [anon_sym_globallycoherent] = ACTIONS(2202),
    [anon_sym_centroid] = ACTIONS(2202),
    [anon_sym_noperspective] = ACTIONS(2202),
    [anon_sym_nointerpolation] = ACTIONS(2202),
    [anon_sym_sample] = ACTIONS(2202),
    [anon_sym_linear] = ACTIONS(2202),
    [anon_sym_snorm] = ACTIONS(2202),
    [anon_sym_unorm] = ACTIONS(2202),
    [anon_sym_point] = ACTIONS(2202),
    [anon_sym_line] = ACTIONS(2202),
    [anon_sym_triangleadj] = ACTIONS(2202),
    [anon_sym_lineadj] = ACTIONS(2202),
    [anon_sym_triangle] = ACTIONS(2202),
    [anon_sym_cbuffer] = ACTIONS(2202),
  },
  [1072] = {
    [sym_identifier] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2214),
    [anon_sym_typedef] = ACTIONS(2214),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_out] = ACTIONS(2214),
    [anon_sym_inout] = ACTIONS(2214),
    [anon_sym_virtual] = ACTIONS(2214),
    [anon_sym_extern] = ACTIONS(2214),
    [anon_sym___attribute__] = ACTIONS(2214),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2216),
    [anon_sym___declspec] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_signed] = ACTIONS(2214),
    [anon_sym_unsigned] = ACTIONS(2214),
    [anon_sym_long] = ACTIONS(2214),
    [anon_sym_short] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_static] = ACTIONS(2214),
    [anon_sym_register] = ACTIONS(2214),
    [anon_sym_inline] = ACTIONS(2214),
    [anon_sym___inline] = ACTIONS(2214),
    [anon_sym___inline__] = ACTIONS(2214),
    [anon_sym___forceinline] = ACTIONS(2214),
    [anon_sym_thread_local] = ACTIONS(2214),
    [anon_sym___thread] = ACTIONS(2214),
    [anon_sym_const] = ACTIONS(2214),
    [anon_sym_constexpr] = ACTIONS(2214),
    [anon_sym_volatile] = ACTIONS(2214),
    [anon_sym_restrict] = ACTIONS(2214),
    [anon_sym___restrict__] = ACTIONS(2214),
    [anon_sym__Atomic] = ACTIONS(2214),
    [anon_sym__Noreturn] = ACTIONS(2214),
    [anon_sym_noreturn] = ACTIONS(2214),
    [anon_sym__Nonnull] = ACTIONS(2214),
    [anon_sym_mutable] = ACTIONS(2214),
    [anon_sym_constinit] = ACTIONS(2214),
    [anon_sym_consteval] = ACTIONS(2214),
    [anon_sym_alignas] = ACTIONS(2214),
    [anon_sym__Alignas] = ACTIONS(2214),
    [sym_primitive_type] = ACTIONS(2214),
    [anon_sym_enum] = ACTIONS(2214),
    [anon_sym_class] = ACTIONS(2214),
    [anon_sym_struct] = ACTIONS(2214),
    [anon_sym_union] = ACTIONS(2214),
    [anon_sym_if] = ACTIONS(2214),
    [anon_sym_else] = ACTIONS(2214),
    [anon_sym_switch] = ACTIONS(2214),
    [anon_sym_while] = ACTIONS(2214),
    [anon_sym_do] = ACTIONS(2214),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_return] = ACTIONS(2214),
    [anon_sym_break] = ACTIONS(2214),
    [anon_sym_continue] = ACTIONS(2214),
    [anon_sym_goto] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2214),
    [anon_sym___leave] = ACTIONS(2214),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_sizeof] = ACTIONS(2214),
    [anon_sym___alignof__] = ACTIONS(2214),
    [anon_sym___alignof] = ACTIONS(2214),
    [anon_sym__alignof] = ACTIONS(2214),
    [anon_sym_alignof] = ACTIONS(2214),
    [anon_sym__Alignof] = ACTIONS(2214),
    [anon_sym_offsetof] = ACTIONS(2214),
    [anon_sym__Generic] = ACTIONS(2214),
    [anon_sym_asm] = ACTIONS(2214),
    [anon_sym___asm__] = ACTIONS(2214),
    [anon_sym___asm] = ACTIONS(2214),
    [sym_number_literal] = ACTIONS(2216),
    [anon_sym_L_SQUOTE] = ACTIONS(2216),
    [anon_sym_u_SQUOTE] = ACTIONS(2216),
    [anon_sym_U_SQUOTE] = ACTIONS(2216),
    [anon_sym_u8_SQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_L_DQUOTE] = ACTIONS(2216),
    [anon_sym_u_DQUOTE] = ACTIONS(2216),
    [anon_sym_U_DQUOTE] = ACTIONS(2216),
    [anon_sym_u8_DQUOTE] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [sym_true] = ACTIONS(2214),
    [sym_false] = ACTIONS(2214),
    [anon_sym_NULL] = ACTIONS(2214),
    [anon_sym_nullptr] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2214),
    [anon_sym_decltype] = ACTIONS(2214),
    [anon_sym_typename] = ACTIONS(2214),
    [anon_sym_template] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2214),
    [anon_sym_delete] = ACTIONS(2214),
    [anon_sym_throw] = ACTIONS(2214),
    [anon_sym_co_return] = ACTIONS(2214),
    [anon_sym_co_yield] = ACTIONS(2214),
    [anon_sym_R_DQUOTE] = ACTIONS(2216),
    [anon_sym_LR_DQUOTE] = ACTIONS(2216),
    [anon_sym_uR_DQUOTE] = ACTIONS(2216),
    [anon_sym_UR_DQUOTE] = ACTIONS(2216),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2216),
    [anon_sym_co_await] = ACTIONS(2214),
    [anon_sym_new] = ACTIONS(2214),
    [anon_sym_requires] = ACTIONS(2214),
    [sym_this] = ACTIONS(2214),
    [anon_sym_discard] = ACTIONS(2214),
    [anon_sym_precise] = ACTIONS(2214),
    [anon_sym_shared] = ACTIONS(2214),
    [anon_sym_groupshared] = ACTIONS(2214),
    [anon_sym_uniform] = ACTIONS(2214),
    [anon_sym_row_major] = ACTIONS(2214),
    [anon_sym_column_major] = ACTIONS(2214),
    [anon_sym_globallycoherent] = ACTIONS(2214),
    [anon_sym_centroid] = ACTIONS(2214),
    [anon_sym_noperspective] = ACTIONS(2214),
    [anon_sym_nointerpolation] = ACTIONS(2214),
    [anon_sym_sample] = ACTIONS(2214),
    [anon_sym_linear] = ACTIONS(2214),
    [anon_sym_snorm] = ACTIONS(2214),
    [anon_sym_unorm] = ACTIONS(2214),
    [anon_sym_point] = ACTIONS(2214),
    [anon_sym_line] = ACTIONS(2214),
    [anon_sym_triangleadj] = ACTIONS(2214),
    [anon_sym_lineadj] = ACTIONS(2214),
    [anon_sym_triangle] = ACTIONS(2214),
    [anon_sym_cbuffer] = ACTIONS(2214),
  },
  [1073] = {
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2234),
    [anon_sym_typedef] = ACTIONS(2234),
    [anon_sym_in] = ACTIONS(2234),
    [anon_sym_out] = ACTIONS(2234),
    [anon_sym_inout] = ACTIONS(2234),
    [anon_sym_virtual] = ACTIONS(2234),
    [anon_sym_extern] = ACTIONS(2234),
    [anon_sym___attribute__] = ACTIONS(2234),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2234),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2234),
    [anon_sym_unsigned] = ACTIONS(2234),
    [anon_sym_long] = ACTIONS(2234),
    [anon_sym_short] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2234),
    [anon_sym_static] = ACTIONS(2234),
    [anon_sym_register] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(2234),
    [anon_sym___inline] = ACTIONS(2234),
    [anon_sym___inline__] = ACTIONS(2234),
    [anon_sym___forceinline] = ACTIONS(2234),
    [anon_sym_thread_local] = ACTIONS(2234),
    [anon_sym___thread] = ACTIONS(2234),
    [anon_sym_const] = ACTIONS(2234),
    [anon_sym_constexpr] = ACTIONS(2234),
    [anon_sym_volatile] = ACTIONS(2234),
    [anon_sym_restrict] = ACTIONS(2234),
    [anon_sym___restrict__] = ACTIONS(2234),
    [anon_sym__Atomic] = ACTIONS(2234),
    [anon_sym__Noreturn] = ACTIONS(2234),
    [anon_sym_noreturn] = ACTIONS(2234),
    [anon_sym__Nonnull] = ACTIONS(2234),
    [anon_sym_mutable] = ACTIONS(2234),
    [anon_sym_constinit] = ACTIONS(2234),
    [anon_sym_consteval] = ACTIONS(2234),
    [anon_sym_alignas] = ACTIONS(2234),
    [anon_sym__Alignas] = ACTIONS(2234),
    [sym_primitive_type] = ACTIONS(2234),
    [anon_sym_enum] = ACTIONS(2234),
    [anon_sym_class] = ACTIONS(2234),
    [anon_sym_struct] = ACTIONS(2234),
    [anon_sym_union] = ACTIONS(2234),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_else] = ACTIONS(2234),
    [anon_sym_switch] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(2234),
    [anon_sym_do] = ACTIONS(2234),
    [anon_sym_for] = ACTIONS(2234),
    [anon_sym_return] = ACTIONS(2234),
    [anon_sym_break] = ACTIONS(2234),
    [anon_sym_continue] = ACTIONS(2234),
    [anon_sym_goto] = ACTIONS(2234),
    [anon_sym___try] = ACTIONS(2234),
    [anon_sym___leave] = ACTIONS(2234),
    [anon_sym_not] = ACTIONS(2234),
    [anon_sym_compl] = ACTIONS(2234),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2234),
    [anon_sym___alignof__] = ACTIONS(2234),
    [anon_sym___alignof] = ACTIONS(2234),
    [anon_sym__alignof] = ACTIONS(2234),
    [anon_sym_alignof] = ACTIONS(2234),
    [anon_sym__Alignof] = ACTIONS(2234),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2234),
    [anon_sym_asm] = ACTIONS(2234),
    [anon_sym___asm__] = ACTIONS(2234),
    [anon_sym___asm] = ACTIONS(2234),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2234),
    [sym_false] = ACTIONS(2234),
    [anon_sym_NULL] = ACTIONS(2234),
    [anon_sym_nullptr] = ACTIONS(2234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2234),
    [anon_sym_decltype] = ACTIONS(2234),
    [anon_sym_typename] = ACTIONS(2234),
    [anon_sym_template] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_delete] = ACTIONS(2234),
    [anon_sym_throw] = ACTIONS(2234),
    [anon_sym_co_return] = ACTIONS(2234),
    [anon_sym_co_yield] = ACTIONS(2234),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(2234),
    [anon_sym_requires] = ACTIONS(2234),
    [sym_this] = ACTIONS(2234),
    [anon_sym_discard] = ACTIONS(2234),
    [anon_sym_precise] = ACTIONS(2234),
    [anon_sym_shared] = ACTIONS(2234),
    [anon_sym_groupshared] = ACTIONS(2234),
    [anon_sym_uniform] = ACTIONS(2234),
    [anon_sym_row_major] = ACTIONS(2234),
    [anon_sym_column_major] = ACTIONS(2234),
    [anon_sym_globallycoherent] = ACTIONS(2234),
    [anon_sym_centroid] = ACTIONS(2234),
    [anon_sym_noperspective] = ACTIONS(2234),
    [anon_sym_nointerpolation] = ACTIONS(2234),
    [anon_sym_sample] = ACTIONS(2234),
    [anon_sym_linear] = ACTIONS(2234),
    [anon_sym_snorm] = ACTIONS(2234),
    [anon_sym_unorm] = ACTIONS(2234),
    [anon_sym_point] = ACTIONS(2234),
    [anon_sym_line] = ACTIONS(2234),
    [anon_sym_triangleadj] = ACTIONS(2234),
    [anon_sym_lineadj] = ACTIONS(2234),
    [anon_sym_triangle] = ACTIONS(2234),
    [anon_sym_cbuffer] = ACTIONS(2234),
  },
  [1074] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1216),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4121),
    [anon_sym_SEMI] = ACTIONS(4123),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4098),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym___cdecl] = ACTIONS(4075),
    [anon_sym___clrcall] = ACTIONS(4075),
    [anon_sym___stdcall] = ACTIONS(4075),
    [anon_sym___fastcall] = ACTIONS(4075),
    [anon_sym___thiscall] = ACTIONS(4075),
    [anon_sym___vectorcall] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4103),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1075] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_call_modifier] = STATE(4722),
    [sym__declarator] = STATE(6626),
    [sym__abstract_declarator] = STATE(6767),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(6325),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(6325),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_list] = STATE(3350),
    [sym_parameter_declaration] = STATE(7346),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7346),
    [sym_variadic_parameter_declaration] = STATE(7346),
    [sym_reference_declarator] = STATE(6325),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(2287),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5633),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1905),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(4131),
    [anon_sym_AMP_AMP] = ACTIONS(4133),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1993),
    [anon_sym___clrcall] = ACTIONS(1993),
    [anon_sym___stdcall] = ACTIONS(1993),
    [anon_sym___fastcall] = ACTIONS(1993),
    [anon_sym___thiscall] = ACTIONS(1993),
    [anon_sym___vectorcall] = ACTIONS(1993),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4139),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1076] = {
    [sym_expression] = STATE(3947),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_initializer_list] = STATE(4059),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(3650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [aux_sym_preproc_if_token2] = ACTIONS(3652),
    [aux_sym_preproc_else_token1] = ACTIONS(3652),
    [aux_sym_preproc_elif_token1] = ACTIONS(3650),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3652),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(4141),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3652),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3652),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3652),
    [anon_sym_GT_GT] = ACTIONS(3652),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1077] = {
    [sym_string_literal] = STATE(2760),
    [sym_template_argument_list] = STATE(1163),
    [sym_raw_string_literal] = STATE(2760),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4090),
    [anon_sym_COMMA] = ACTIONS(4090),
    [anon_sym_RPAREN] = ACTIONS(4090),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4165),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4075),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4087),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4168),
    [anon_sym_or_eq] = ACTIONS(4168),
    [anon_sym_xor_eq] = ACTIONS(4168),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4085),
    [anon_sym_L_DQUOTE] = ACTIONS(4170),
    [anon_sym_u_DQUOTE] = ACTIONS(4170),
    [anon_sym_U_DQUOTE] = ACTIONS(4170),
    [anon_sym_u8_DQUOTE] = ACTIONS(4170),
    [anon_sym_DQUOTE] = ACTIONS(4170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4172),
    [anon_sym_LR_DQUOTE] = ACTIONS(4172),
    [anon_sym_uR_DQUOTE] = ACTIONS(4172),
    [anon_sym_UR_DQUOTE] = ACTIONS(4172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4172),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4077),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1078] = {
    [sym_expression] = STATE(3947),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(4059),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3652),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3652),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3652),
    [anon_sym_GT_GT] = ACTIONS(3652),
    [anon_sym_SEMI] = ACTIONS(3652),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(3652),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1079] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1501),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4115),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(4077),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1080] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1501),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4176),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1081] = {
    [sym_expression] = STATE(3947),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_initializer_list] = STATE(4059),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3652),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3652),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3652),
    [anon_sym_GT_GT] = ACTIONS(3652),
    [anon_sym_SEMI] = ACTIONS(3652),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym___attribute__] = ACTIONS(3650),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1082] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1501),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4121),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1083] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1501),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4119),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1084] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1501),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4202),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1085] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1501),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1086] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1501),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_RPAREN] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1087] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(1507),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4090),
    [anon_sym_COMMA] = ACTIONS(4090),
    [anon_sym_RPAREN] = ACTIONS(4090),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(4093),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4075),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4075),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [1088] = {
    [sym_expression] = STATE(3947),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_initializer_list] = STATE(4059),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(4206),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3652),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3652),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3652),
    [anon_sym_GT_GT] = ACTIONS(3652),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_RBRACK] = ACTIONS(3652),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1089] = {
    [sym_expression] = STATE(4636),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_initializer_list] = STATE(4059),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(4224),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3652),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3652),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3652),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3652),
    [anon_sym_GT_GT] = ACTIONS(3652),
    [anon_sym_COLON] = ACTIONS(3650),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1090] = {
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_initializer_list] = STATE(4837),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3652),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(3943),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_PERCENT] = ACTIONS(3652),
    [anon_sym_PIPE_PIPE] = ACTIONS(3652),
    [anon_sym_AMP_AMP] = ACTIONS(3652),
    [anon_sym_PIPE] = ACTIONS(3650),
    [anon_sym_CARET] = ACTIONS(3652),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_EQ_EQ] = ACTIONS(3652),
    [anon_sym_BANG_EQ] = ACTIONS(3652),
    [anon_sym_GT] = ACTIONS(3650),
    [anon_sym_GT_EQ] = ACTIONS(3650),
    [anon_sym_LT_EQ] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_LT_LT] = ACTIONS(3652),
    [anon_sym_GT_GT] = ACTIONS(3650),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACE] = ACTIONS(4242),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_LT_EQ_GT] = ACTIONS(3652),
    [anon_sym_or] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(3650),
    [anon_sym_bitor] = ACTIONS(3650),
    [anon_sym_xor] = ACTIONS(3650),
    [anon_sym_bitand] = ACTIONS(3650),
    [anon_sym_not_eq] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [anon_sym_DOT] = ACTIONS(3650),
    [anon_sym_DOT_STAR] = ACTIONS(3652),
    [anon_sym_DASH_GT] = ACTIONS(3652),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(3652),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1091] = {
    [sym_expression] = STATE(4768),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4246),
    [anon_sym_COMMA] = ACTIONS(4246),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4206),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_SLASH] = ACTIONS(4250),
    [anon_sym_PERCENT] = ACTIONS(4246),
    [anon_sym_PIPE_PIPE] = ACTIONS(4246),
    [anon_sym_AMP_AMP] = ACTIONS(4246),
    [anon_sym_PIPE] = ACTIONS(4250),
    [anon_sym_CARET] = ACTIONS(4246),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_EQ_EQ] = ACTIONS(4246),
    [anon_sym_BANG_EQ] = ACTIONS(4246),
    [anon_sym_GT] = ACTIONS(4250),
    [anon_sym_GT_EQ] = ACTIONS(4246),
    [anon_sym_LT_EQ] = ACTIONS(4250),
    [anon_sym_LT] = ACTIONS(4250),
    [anon_sym_LT_LT] = ACTIONS(4246),
    [anon_sym_GT_GT] = ACTIONS(4246),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4246),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_QMARK] = ACTIONS(4246),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_LT_EQ_GT] = ACTIONS(4246),
    [anon_sym_or] = ACTIONS(4250),
    [anon_sym_and] = ACTIONS(4250),
    [anon_sym_bitor] = ACTIONS(4250),
    [anon_sym_xor] = ACTIONS(4250),
    [anon_sym_bitand] = ACTIONS(4250),
    [anon_sym_not_eq] = ACTIONS(4250),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(4250),
    [anon_sym_DOT_STAR] = ACTIONS(4246),
    [anon_sym_DASH_GT] = ACTIONS(4246),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1092] = {
    [sym_expression] = STATE(3388),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(4254),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(4257),
    [anon_sym_COLON_COLON] = ACTIONS(4260),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(4263),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1093] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2325),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1094] = {
    [sym_expression] = STATE(4515),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4266),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4269),
    [anon_sym_COLON_COLON] = ACTIONS(4272),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(4275),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1095] = {
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1953),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_GT_GT] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym___cdecl] = ACTIONS(1951),
    [anon_sym___clrcall] = ACTIONS(1951),
    [anon_sym___stdcall] = ACTIONS(1951),
    [anon_sym___fastcall] = ACTIONS(1951),
    [anon_sym___thiscall] = ACTIONS(1951),
    [anon_sym___vectorcall] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_RBRACE] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1953),
    [anon_sym_SLASH_EQ] = ACTIONS(1953),
    [anon_sym_PERCENT_EQ] = ACTIONS(1953),
    [anon_sym_PLUS_EQ] = ACTIONS(1953),
    [anon_sym_DASH_EQ] = ACTIONS(1953),
    [anon_sym_LT_LT_EQ] = ACTIONS(1953),
    [anon_sym_GT_GT_EQ] = ACTIONS(1953),
    [anon_sym_AMP_EQ] = ACTIONS(1953),
    [anon_sym_CARET_EQ] = ACTIONS(1953),
    [anon_sym_PIPE_EQ] = ACTIONS(1953),
    [anon_sym_and_eq] = ACTIONS(1951),
    [anon_sym_or_eq] = ACTIONS(1951),
    [anon_sym_xor_eq] = ACTIONS(1951),
    [anon_sym_LT_EQ_GT] = ACTIONS(1953),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_bitor] = ACTIONS(1951),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_bitand] = ACTIONS(1951),
    [anon_sym_not_eq] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_DOT_STAR] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_operator] = ACTIONS(1951),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
  },
  [1096] = {
    [sym_identifier] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_SLASH] = ACTIONS(1947),
    [anon_sym_PERCENT] = ACTIONS(1947),
    [anon_sym_PIPE_PIPE] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_PIPE] = ACTIONS(1947),
    [anon_sym_CARET] = ACTIONS(1947),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_EQ_EQ] = ACTIONS(1949),
    [anon_sym_BANG_EQ] = ACTIONS(1949),
    [anon_sym_GT] = ACTIONS(1947),
    [anon_sym_GT_EQ] = ACTIONS(1949),
    [anon_sym_LT_EQ] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_GT_GT] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1949),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym___cdecl] = ACTIONS(1947),
    [anon_sym___clrcall] = ACTIONS(1947),
    [anon_sym___stdcall] = ACTIONS(1947),
    [anon_sym___fastcall] = ACTIONS(1947),
    [anon_sym___thiscall] = ACTIONS(1947),
    [anon_sym___vectorcall] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_RBRACE] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1947),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1949),
    [anon_sym_STAR_EQ] = ACTIONS(1949),
    [anon_sym_SLASH_EQ] = ACTIONS(1949),
    [anon_sym_PERCENT_EQ] = ACTIONS(1949),
    [anon_sym_PLUS_EQ] = ACTIONS(1949),
    [anon_sym_DASH_EQ] = ACTIONS(1949),
    [anon_sym_LT_LT_EQ] = ACTIONS(1949),
    [anon_sym_GT_GT_EQ] = ACTIONS(1949),
    [anon_sym_AMP_EQ] = ACTIONS(1949),
    [anon_sym_CARET_EQ] = ACTIONS(1949),
    [anon_sym_PIPE_EQ] = ACTIONS(1949),
    [anon_sym_and_eq] = ACTIONS(1947),
    [anon_sym_or_eq] = ACTIONS(1947),
    [anon_sym_xor_eq] = ACTIONS(1947),
    [anon_sym_LT_EQ_GT] = ACTIONS(1949),
    [anon_sym_or] = ACTIONS(1947),
    [anon_sym_and] = ACTIONS(1947),
    [anon_sym_bitor] = ACTIONS(1947),
    [anon_sym_xor] = ACTIONS(1947),
    [anon_sym_bitand] = ACTIONS(1947),
    [anon_sym_not_eq] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_DOT_STAR] = ACTIONS(1949),
    [anon_sym_DASH_GT] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_operator] = ACTIONS(1947),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
  },
  [1097] = {
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1921),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_PERCENT] = ACTIONS(1921),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_PIPE] = ACTIONS(1921),
    [anon_sym_CARET] = ACTIONS(1921),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_EQ_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1923),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1921),
    [anon_sym_LT_LT] = ACTIONS(1921),
    [anon_sym_GT_GT] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym___cdecl] = ACTIONS(1921),
    [anon_sym___clrcall] = ACTIONS(1921),
    [anon_sym___stdcall] = ACTIONS(1921),
    [anon_sym___fastcall] = ACTIONS(1921),
    [anon_sym___thiscall] = ACTIONS(1921),
    [anon_sym___vectorcall] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_EQ] = ACTIONS(1921),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [anon_sym_QMARK] = ACTIONS(1923),
    [anon_sym_STAR_EQ] = ACTIONS(1923),
    [anon_sym_SLASH_EQ] = ACTIONS(1923),
    [anon_sym_PERCENT_EQ] = ACTIONS(1923),
    [anon_sym_PLUS_EQ] = ACTIONS(1923),
    [anon_sym_DASH_EQ] = ACTIONS(1923),
    [anon_sym_LT_LT_EQ] = ACTIONS(1923),
    [anon_sym_GT_GT_EQ] = ACTIONS(1923),
    [anon_sym_AMP_EQ] = ACTIONS(1923),
    [anon_sym_CARET_EQ] = ACTIONS(1923),
    [anon_sym_PIPE_EQ] = ACTIONS(1923),
    [anon_sym_and_eq] = ACTIONS(1921),
    [anon_sym_or_eq] = ACTIONS(1921),
    [anon_sym_xor_eq] = ACTIONS(1921),
    [anon_sym_LT_EQ_GT] = ACTIONS(1923),
    [anon_sym_or] = ACTIONS(1921),
    [anon_sym_and] = ACTIONS(1921),
    [anon_sym_bitor] = ACTIONS(1921),
    [anon_sym_xor] = ACTIONS(1921),
    [anon_sym_bitand] = ACTIONS(1921),
    [anon_sym_not_eq] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_DOT_STAR] = ACTIONS(1923),
    [anon_sym_DASH_GT] = ACTIONS(1923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_operator] = ACTIONS(1921),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
  },
  [1098] = {
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_RPAREN] = ACTIONS(1919),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_EQ_EQ] = ACTIONS(1919),
    [anon_sym_BANG_EQ] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1919),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym___cdecl] = ACTIONS(1917),
    [anon_sym___clrcall] = ACTIONS(1917),
    [anon_sym___stdcall] = ACTIONS(1917),
    [anon_sym___fastcall] = ACTIONS(1917),
    [anon_sym___thiscall] = ACTIONS(1917),
    [anon_sym___vectorcall] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_RBRACE] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1917),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [anon_sym_QMARK] = ACTIONS(1919),
    [anon_sym_STAR_EQ] = ACTIONS(1919),
    [anon_sym_SLASH_EQ] = ACTIONS(1919),
    [anon_sym_PERCENT_EQ] = ACTIONS(1919),
    [anon_sym_PLUS_EQ] = ACTIONS(1919),
    [anon_sym_DASH_EQ] = ACTIONS(1919),
    [anon_sym_LT_LT_EQ] = ACTIONS(1919),
    [anon_sym_GT_GT_EQ] = ACTIONS(1919),
    [anon_sym_AMP_EQ] = ACTIONS(1919),
    [anon_sym_CARET_EQ] = ACTIONS(1919),
    [anon_sym_PIPE_EQ] = ACTIONS(1919),
    [anon_sym_and_eq] = ACTIONS(1917),
    [anon_sym_or_eq] = ACTIONS(1917),
    [anon_sym_xor_eq] = ACTIONS(1917),
    [anon_sym_LT_EQ_GT] = ACTIONS(1919),
    [anon_sym_or] = ACTIONS(1917),
    [anon_sym_and] = ACTIONS(1917),
    [anon_sym_bitor] = ACTIONS(1917),
    [anon_sym_xor] = ACTIONS(1917),
    [anon_sym_bitand] = ACTIONS(1917),
    [anon_sym_not_eq] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DOT] = ACTIONS(1917),
    [anon_sym_DOT_STAR] = ACTIONS(1919),
    [anon_sym_DASH_GT] = ACTIONS(1919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_operator] = ACTIONS(1917),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
  },
  [1099] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1913),
    [anon_sym_or_eq] = ACTIONS(1913),
    [anon_sym_xor_eq] = ACTIONS(1913),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
  },
  [1100] = {
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1957),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1955),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym___cdecl] = ACTIONS(1955),
    [anon_sym___clrcall] = ACTIONS(1955),
    [anon_sym___stdcall] = ACTIONS(1955),
    [anon_sym___fastcall] = ACTIONS(1955),
    [anon_sym___thiscall] = ACTIONS(1955),
    [anon_sym___vectorcall] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_RBRACE] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_EQ] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1957),
    [anon_sym_SLASH_EQ] = ACTIONS(1957),
    [anon_sym_PERCENT_EQ] = ACTIONS(1957),
    [anon_sym_PLUS_EQ] = ACTIONS(1957),
    [anon_sym_DASH_EQ] = ACTIONS(1957),
    [anon_sym_LT_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT_GT_EQ] = ACTIONS(1957),
    [anon_sym_AMP_EQ] = ACTIONS(1957),
    [anon_sym_CARET_EQ] = ACTIONS(1957),
    [anon_sym_PIPE_EQ] = ACTIONS(1957),
    [anon_sym_and_eq] = ACTIONS(1955),
    [anon_sym_or_eq] = ACTIONS(1955),
    [anon_sym_xor_eq] = ACTIONS(1955),
    [anon_sym_LT_EQ_GT] = ACTIONS(1957),
    [anon_sym_or] = ACTIONS(1955),
    [anon_sym_and] = ACTIONS(1955),
    [anon_sym_bitor] = ACTIONS(1955),
    [anon_sym_xor] = ACTIONS(1955),
    [anon_sym_bitand] = ACTIONS(1955),
    [anon_sym_not_eq] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DOT_STAR] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_operator] = ACTIONS(1955),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
  },
  [1101] = {
    [sym_identifier] = ACTIONS(1939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1941),
    [anon_sym_COMMA] = ACTIONS(1941),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1941),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym___cdecl] = ACTIONS(1939),
    [anon_sym___clrcall] = ACTIONS(1939),
    [anon_sym___stdcall] = ACTIONS(1939),
    [anon_sym___fastcall] = ACTIONS(1939),
    [anon_sym___thiscall] = ACTIONS(1939),
    [anon_sym___vectorcall] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_RBRACE] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1941),
    [anon_sym_STAR_EQ] = ACTIONS(1941),
    [anon_sym_SLASH_EQ] = ACTIONS(1941),
    [anon_sym_PERCENT_EQ] = ACTIONS(1941),
    [anon_sym_PLUS_EQ] = ACTIONS(1941),
    [anon_sym_DASH_EQ] = ACTIONS(1941),
    [anon_sym_LT_LT_EQ] = ACTIONS(1941),
    [anon_sym_GT_GT_EQ] = ACTIONS(1941),
    [anon_sym_AMP_EQ] = ACTIONS(1941),
    [anon_sym_CARET_EQ] = ACTIONS(1941),
    [anon_sym_PIPE_EQ] = ACTIONS(1941),
    [anon_sym_and_eq] = ACTIONS(1939),
    [anon_sym_or_eq] = ACTIONS(1939),
    [anon_sym_xor_eq] = ACTIONS(1939),
    [anon_sym_LT_EQ_GT] = ACTIONS(1941),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_bitor] = ACTIONS(1939),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_bitand] = ACTIONS(1939),
    [anon_sym_not_eq] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_DOT_STAR] = ACTIONS(1941),
    [anon_sym_DASH_GT] = ACTIONS(1941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_operator] = ACTIONS(1939),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
  },
  [1102] = {
    [sym_template_argument_list] = STATE(1118),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4278),
    [anon_sym_COMMA] = ACTIONS(4278),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4283),
    [anon_sym_PERCENT] = ACTIONS(4283),
    [anon_sym_PIPE_PIPE] = ACTIONS(4278),
    [anon_sym_AMP_AMP] = ACTIONS(4280),
    [anon_sym_PIPE] = ACTIONS(4283),
    [anon_sym_CARET] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(4285),
    [anon_sym_EQ_EQ] = ACTIONS(4278),
    [anon_sym_BANG_EQ] = ACTIONS(4278),
    [anon_sym_GT] = ACTIONS(4283),
    [anon_sym_GT_EQ] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4283),
    [anon_sym_LT] = ACTIONS(4288),
    [anon_sym_LT_LT] = ACTIONS(4283),
    [anon_sym_GT_GT] = ACTIONS(4283),
    [anon_sym_SEMI] = ACTIONS(4280),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4280),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym___cdecl] = ACTIONS(1959),
    [anon_sym___clrcall] = ACTIONS(1959),
    [anon_sym___stdcall] = ACTIONS(1959),
    [anon_sym___fastcall] = ACTIONS(1959),
    [anon_sym___thiscall] = ACTIONS(1959),
    [anon_sym___vectorcall] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_RBRACE] = ACTIONS(4278),
    [anon_sym_LBRACK] = ACTIONS(4285),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(4283),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [anon_sym_QMARK] = ACTIONS(4278),
    [anon_sym_STAR_EQ] = ACTIONS(4278),
    [anon_sym_SLASH_EQ] = ACTIONS(4278),
    [anon_sym_PERCENT_EQ] = ACTIONS(4278),
    [anon_sym_PLUS_EQ] = ACTIONS(4278),
    [anon_sym_DASH_EQ] = ACTIONS(4278),
    [anon_sym_LT_LT_EQ] = ACTIONS(4278),
    [anon_sym_GT_GT_EQ] = ACTIONS(4278),
    [anon_sym_AMP_EQ] = ACTIONS(4278),
    [anon_sym_CARET_EQ] = ACTIONS(4278),
    [anon_sym_PIPE_EQ] = ACTIONS(4278),
    [anon_sym_and_eq] = ACTIONS(4283),
    [anon_sym_or_eq] = ACTIONS(4283),
    [anon_sym_xor_eq] = ACTIONS(4283),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_or] = ACTIONS(4283),
    [anon_sym_and] = ACTIONS(4283),
    [anon_sym_bitor] = ACTIONS(4283),
    [anon_sym_xor] = ACTIONS(4283),
    [anon_sym_bitand] = ACTIONS(4283),
    [anon_sym_not_eq] = ACTIONS(4283),
    [anon_sym_DASH_DASH] = ACTIONS(4278),
    [anon_sym_PLUS_PLUS] = ACTIONS(4278),
    [anon_sym_DOT] = ACTIONS(4283),
    [anon_sym_DOT_STAR] = ACTIONS(4278),
    [anon_sym_DASH_GT] = ACTIONS(4278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [1103] = {
    [sym_type_qualifier] = STATE(1108),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4691),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1108),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4295),
    [anon_sym_RBRACK] = ACTIONS(4297),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1104] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4808),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4303),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4305),
    [anon_sym_RBRACK] = ACTIONS(4307),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1105] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4732),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4309),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4305),
    [anon_sym_RBRACK] = ACTIONS(4311),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1106] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4749),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4313),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4305),
    [anon_sym_RBRACK] = ACTIONS(4315),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1107] = {
    [sym_type_qualifier] = STATE(1120),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4751),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1120),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4317),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4319),
    [anon_sym_RBRACK] = ACTIONS(4321),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1108] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4701),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4323),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4305),
    [anon_sym_RBRACK] = ACTIONS(4325),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1109] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4704),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4305),
    [anon_sym_RBRACK] = ACTIONS(4329),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1110] = {
    [sym_type_qualifier] = STATE(1105),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4791),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1105),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4331),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4333),
    [anon_sym_RBRACK] = ACTIONS(4335),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1111] = {
    [sym_type_qualifier] = STATE(1109),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4695),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4337),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4339),
    [anon_sym_RBRACK] = ACTIONS(4341),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1112] = {
    [sym_type_qualifier] = STATE(1106),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4759),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4343),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4345),
    [anon_sym_RBRACK] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1113] = {
    [sym_type_qualifier] = STATE(1117),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4669),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1117),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4351),
    [anon_sym_RBRACK] = ACTIONS(4353),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1114] = {
    [sym_type_qualifier] = STATE(1106),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4759),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(4355),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4343),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4345),
    [anon_sym_RBRACK] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1115] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4786),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4305),
    [anon_sym_RBRACK] = ACTIONS(4359),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1116] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4764),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4305),
    [anon_sym_RBRACK] = ACTIONS(4363),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1117] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4670),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4365),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4305),
    [anon_sym_RBRACK] = ACTIONS(4367),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1118] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4369),
    [anon_sym_COMMA] = ACTIONS(4369),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4376),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4374),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4374),
    [anon_sym_GT_GT] = ACTIONS(4374),
    [anon_sym_SEMI] = ACTIONS(4371),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4371),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym___cdecl] = ACTIONS(2068),
    [anon_sym___clrcall] = ACTIONS(2068),
    [anon_sym___stdcall] = ACTIONS(2068),
    [anon_sym___fastcall] = ACTIONS(2068),
    [anon_sym___thiscall] = ACTIONS(2068),
    [anon_sym___vectorcall] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_RBRACE] = ACTIONS(4369),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_EQ] = ACTIONS(4374),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_STAR_EQ] = ACTIONS(4369),
    [anon_sym_SLASH_EQ] = ACTIONS(4369),
    [anon_sym_PERCENT_EQ] = ACTIONS(4369),
    [anon_sym_PLUS_EQ] = ACTIONS(4369),
    [anon_sym_DASH_EQ] = ACTIONS(4369),
    [anon_sym_LT_LT_EQ] = ACTIONS(4369),
    [anon_sym_GT_GT_EQ] = ACTIONS(4369),
    [anon_sym_AMP_EQ] = ACTIONS(4369),
    [anon_sym_CARET_EQ] = ACTIONS(4369),
    [anon_sym_PIPE_EQ] = ACTIONS(4369),
    [anon_sym_and_eq] = ACTIONS(4374),
    [anon_sym_or_eq] = ACTIONS(4374),
    [anon_sym_xor_eq] = ACTIONS(4374),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4374),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4374),
    [anon_sym_not_eq] = ACTIONS(4374),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [1119] = {
    [sym_type_qualifier] = STATE(1104),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4781),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1104),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4379),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4381),
    [anon_sym_RBRACK] = ACTIONS(4383),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1120] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4385),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4305),
    [anon_sym_RBRACK] = ACTIONS(4387),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1121] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4686),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4305),
    [anon_sym_RBRACK] = ACTIONS(4391),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1122] = {
    [sym_type_qualifier] = STATE(1116),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4794),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1116),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4395),
    [anon_sym_RBRACK] = ACTIONS(4397),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1123] = {
    [sym_type_qualifier] = STATE(1121),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4671),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1121),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4399),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4401),
    [anon_sym_RBRACK] = ACTIONS(4403),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1124] = {
    [sym_type_qualifier] = STATE(1115),
    [sym_alignas_qualifier] = STATE(2462),
    [sym_expression] = STATE(4784),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [aux_sym_array_declarator_repeat1] = STATE(1115),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(4407),
    [anon_sym_RBRACK] = ACTIONS(4409),
    [anon_sym_const] = ACTIONS(4299),
    [anon_sym_constexpr] = ACTIONS(4299),
    [anon_sym_volatile] = ACTIONS(4299),
    [anon_sym_restrict] = ACTIONS(4299),
    [anon_sym___restrict__] = ACTIONS(4299),
    [anon_sym__Atomic] = ACTIONS(4299),
    [anon_sym__Noreturn] = ACTIONS(4299),
    [anon_sym_noreturn] = ACTIONS(4299),
    [anon_sym__Nonnull] = ACTIONS(4299),
    [anon_sym_mutable] = ACTIONS(4299),
    [anon_sym_constinit] = ACTIONS(4299),
    [anon_sym_consteval] = ACTIONS(4299),
    [anon_sym_alignas] = ACTIONS(4301),
    [anon_sym__Alignas] = ACTIONS(4301),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1125] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_ms_call_modifier] = STATE(6270),
    [sym__abstract_declarator] = STATE(6765),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_list] = STATE(3350),
    [sym_parameter_declaration] = STATE(7346),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7346),
    [sym_variadic_parameter_declaration] = STATE(7346),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1905),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4417),
    [anon_sym_AMP] = ACTIONS(4419),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1993),
    [anon_sym___clrcall] = ACTIONS(1993),
    [anon_sym___stdcall] = ACTIONS(1993),
    [anon_sym___fastcall] = ACTIONS(1993),
    [anon_sym___thiscall] = ACTIONS(1993),
    [anon_sym___vectorcall] = ACTIONS(1993),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4423),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1126] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_ms_call_modifier] = STATE(6245),
    [sym__abstract_declarator] = STATE(6767),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_list] = STATE(3350),
    [sym_parameter_declaration] = STATE(7346),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7346),
    [sym_variadic_parameter_declaration] = STATE(7346),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1905),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4417),
    [anon_sym_AMP] = ACTIONS(4419),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1993),
    [anon_sym___clrcall] = ACTIONS(1993),
    [anon_sym___stdcall] = ACTIONS(1993),
    [anon_sym___fastcall] = ACTIONS(1993),
    [anon_sym___thiscall] = ACTIONS(1993),
    [anon_sym___vectorcall] = ACTIONS(1993),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4423),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1127] = {
    [sym_expression] = STATE(3209),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(4425),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym___extension__] = ACTIONS(4434),
    [anon_sym_COLON_COLON] = ACTIONS(4437),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(4440),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1128] = {
    [sym_expression] = STATE(3388),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(4254),
    [anon_sym_LPAREN2] = ACTIONS(4443),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(4449),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(4452),
    [anon_sym___extension__] = ACTIONS(4257),
    [anon_sym_COLON_COLON] = ACTIONS(4260),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(4440),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1129] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5337),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6628),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_parameter_list] = STATE(947),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2758),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5663),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(4457),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4459),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1130] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5376),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6658),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_parameter_list] = STATE(946),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2758),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5663),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(4457),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4459),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1131] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5357),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6632),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_parameter_list] = STATE(945),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2758),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5663),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(4457),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4459),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1132] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_out] = ACTIONS(2578),
    [anon_sym_inout] = ACTIONS(2578),
    [anon_sym_virtual] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym__Nonnull] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym__Alignas] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_compl] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_sizeof] = ACTIONS(2578),
    [anon_sym___alignof__] = ACTIONS(2578),
    [anon_sym___alignof] = ACTIONS(2578),
    [anon_sym__alignof] = ACTIONS(2578),
    [anon_sym_alignof] = ACTIONS(2578),
    [anon_sym__Alignof] = ACTIONS(2578),
    [anon_sym_offsetof] = ACTIONS(2578),
    [anon_sym__Generic] = ACTIONS(2578),
    [anon_sym_asm] = ACTIONS(2578),
    [anon_sym___asm__] = ACTIONS(2578),
    [anon_sym___asm] = ACTIONS(2578),
    [sym_number_literal] = ACTIONS(2580),
    [anon_sym_L_SQUOTE] = ACTIONS(2580),
    [anon_sym_u_SQUOTE] = ACTIONS(2580),
    [anon_sym_U_SQUOTE] = ACTIONS(2580),
    [anon_sym_u8_SQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_L_DQUOTE] = ACTIONS(2580),
    [anon_sym_u_DQUOTE] = ACTIONS(2580),
    [anon_sym_U_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8_DQUOTE] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2578),
    [anon_sym_nullptr] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_R_DQUOTE] = ACTIONS(2580),
    [anon_sym_LR_DQUOTE] = ACTIONS(2580),
    [anon_sym_uR_DQUOTE] = ACTIONS(2580),
    [anon_sym_UR_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2580),
    [anon_sym_co_await] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_requires] = ACTIONS(2578),
    [sym_this] = ACTIONS(2578),
    [anon_sym_precise] = ACTIONS(2578),
    [anon_sym_shared] = ACTIONS(2578),
    [anon_sym_groupshared] = ACTIONS(2578),
    [anon_sym_uniform] = ACTIONS(2578),
    [anon_sym_row_major] = ACTIONS(2578),
    [anon_sym_column_major] = ACTIONS(2578),
    [anon_sym_globallycoherent] = ACTIONS(2578),
    [anon_sym_centroid] = ACTIONS(2578),
    [anon_sym_noperspective] = ACTIONS(2578),
    [anon_sym_nointerpolation] = ACTIONS(2578),
    [anon_sym_sample] = ACTIONS(2578),
    [anon_sym_linear] = ACTIONS(2578),
    [anon_sym_snorm] = ACTIONS(2578),
    [anon_sym_unorm] = ACTIONS(2578),
    [anon_sym_point] = ACTIONS(2578),
    [anon_sym_line] = ACTIONS(2578),
    [anon_sym_triangleadj] = ACTIONS(2578),
    [anon_sym_lineadj] = ACTIONS(2578),
    [anon_sym_triangle] = ACTIONS(2578),
  },
  [1133] = {
    [sym_expression] = STATE(4631),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4461),
    [anon_sym_LPAREN2] = ACTIONS(4464),
    [anon_sym_BANG] = ACTIONS(4467),
    [anon_sym_TILDE] = ACTIONS(4467),
    [anon_sym_DASH] = ACTIONS(4470),
    [anon_sym_PLUS] = ACTIONS(4470),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_AMP] = ACTIONS(2317),
    [anon_sym___extension__] = ACTIONS(4473),
    [anon_sym_COLON_COLON] = ACTIONS(4476),
    [anon_sym_LBRACK] = ACTIONS(4440),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_RBRACK] = ACTIONS(2320),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(4470),
    [anon_sym_compl] = ACTIONS(4470),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(4482),
    [anon_sym___alignof__] = ACTIONS(4485),
    [anon_sym___alignof] = ACTIONS(4485),
    [anon_sym__alignof] = ACTIONS(4485),
    [anon_sym_alignof] = ACTIONS(4485),
    [anon_sym__Alignof] = ACTIONS(4485),
    [anon_sym_offsetof] = ACTIONS(4488),
    [anon_sym__Generic] = ACTIONS(4491),
    [anon_sym_asm] = ACTIONS(4494),
    [anon_sym___asm__] = ACTIONS(4494),
    [anon_sym___asm] = ACTIONS(4494),
    [sym_number_literal] = ACTIONS(4497),
    [anon_sym_L_SQUOTE] = ACTIONS(4500),
    [anon_sym_u_SQUOTE] = ACTIONS(4500),
    [anon_sym_U_SQUOTE] = ACTIONS(4500),
    [anon_sym_u8_SQUOTE] = ACTIONS(4500),
    [anon_sym_SQUOTE] = ACTIONS(4500),
    [anon_sym_L_DQUOTE] = ACTIONS(4503),
    [anon_sym_u_DQUOTE] = ACTIONS(4503),
    [anon_sym_U_DQUOTE] = ACTIONS(4503),
    [anon_sym_u8_DQUOTE] = ACTIONS(4503),
    [anon_sym_DQUOTE] = ACTIONS(4503),
    [sym_true] = ACTIONS(4506),
    [sym_false] = ACTIONS(4506),
    [anon_sym_NULL] = ACTIONS(4509),
    [anon_sym_nullptr] = ACTIONS(4509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2341),
    [anon_sym_template] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(4515),
    [anon_sym_LR_DQUOTE] = ACTIONS(4515),
    [anon_sym_uR_DQUOTE] = ACTIONS(4515),
    [anon_sym_UR_DQUOTE] = ACTIONS(4515),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4515),
    [anon_sym_co_await] = ACTIONS(4518),
    [anon_sym_new] = ACTIONS(4521),
    [anon_sym_requires] = ACTIONS(4524),
    [sym_this] = ACTIONS(4506),
  },
  [1134] = {
    [sym_identifier] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_BANG] = ACTIONS(2755),
    [anon_sym_TILDE] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_out] = ACTIONS(2750),
    [anon_sym_inout] = ACTIONS(2750),
    [anon_sym_virtual] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2755),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2755),
    [anon_sym_L_SQUOTE] = ACTIONS(2755),
    [anon_sym_u_SQUOTE] = ACTIONS(2755),
    [anon_sym_U_SQUOTE] = ACTIONS(2755),
    [anon_sym_u8_SQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_L_DQUOTE] = ACTIONS(2755),
    [anon_sym_u_DQUOTE] = ACTIONS(2755),
    [anon_sym_U_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2755),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2755),
    [anon_sym_LR_DQUOTE] = ACTIONS(2755),
    [anon_sym_uR_DQUOTE] = ACTIONS(2755),
    [anon_sym_UR_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2755),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
    [anon_sym_precise] = ACTIONS(2750),
    [anon_sym_shared] = ACTIONS(2750),
    [anon_sym_groupshared] = ACTIONS(2750),
    [anon_sym_uniform] = ACTIONS(2750),
    [anon_sym_row_major] = ACTIONS(2750),
    [anon_sym_column_major] = ACTIONS(2750),
    [anon_sym_globallycoherent] = ACTIONS(2750),
    [anon_sym_centroid] = ACTIONS(2750),
    [anon_sym_noperspective] = ACTIONS(2750),
    [anon_sym_nointerpolation] = ACTIONS(2750),
    [anon_sym_sample] = ACTIONS(2750),
    [anon_sym_linear] = ACTIONS(2750),
    [anon_sym_snorm] = ACTIONS(2750),
    [anon_sym_unorm] = ACTIONS(2750),
    [anon_sym_point] = ACTIONS(2750),
    [anon_sym_line] = ACTIONS(2750),
    [anon_sym_triangleadj] = ACTIONS(2750),
    [anon_sym_lineadj] = ACTIONS(2750),
    [anon_sym_triangle] = ACTIONS(2750),
  },
  [1135] = {
    [sym_identifier] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_in] = ACTIONS(2606),
    [anon_sym_out] = ACTIONS(2606),
    [anon_sym_inout] = ACTIONS(2606),
    [anon_sym_virtual] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym__Nonnull] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym__Alignas] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [anon_sym_not] = ACTIONS(2606),
    [anon_sym_compl] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_sizeof] = ACTIONS(2606),
    [anon_sym___alignof__] = ACTIONS(2606),
    [anon_sym___alignof] = ACTIONS(2606),
    [anon_sym__alignof] = ACTIONS(2606),
    [anon_sym_alignof] = ACTIONS(2606),
    [anon_sym__Alignof] = ACTIONS(2606),
    [anon_sym_offsetof] = ACTIONS(2606),
    [anon_sym__Generic] = ACTIONS(2606),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [sym_number_literal] = ACTIONS(2608),
    [anon_sym_L_SQUOTE] = ACTIONS(2608),
    [anon_sym_u_SQUOTE] = ACTIONS(2608),
    [anon_sym_U_SQUOTE] = ACTIONS(2608),
    [anon_sym_u8_SQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_L_DQUOTE] = ACTIONS(2608),
    [anon_sym_u_DQUOTE] = ACTIONS(2608),
    [anon_sym_U_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8_DQUOTE] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [anon_sym_NULL] = ACTIONS(2606),
    [anon_sym_nullptr] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_R_DQUOTE] = ACTIONS(2608),
    [anon_sym_LR_DQUOTE] = ACTIONS(2608),
    [anon_sym_uR_DQUOTE] = ACTIONS(2608),
    [anon_sym_UR_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2608),
    [anon_sym_co_await] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_requires] = ACTIONS(2606),
    [sym_this] = ACTIONS(2606),
    [anon_sym_precise] = ACTIONS(2606),
    [anon_sym_shared] = ACTIONS(2606),
    [anon_sym_groupshared] = ACTIONS(2606),
    [anon_sym_uniform] = ACTIONS(2606),
    [anon_sym_row_major] = ACTIONS(2606),
    [anon_sym_column_major] = ACTIONS(2606),
    [anon_sym_globallycoherent] = ACTIONS(2606),
    [anon_sym_centroid] = ACTIONS(2606),
    [anon_sym_noperspective] = ACTIONS(2606),
    [anon_sym_nointerpolation] = ACTIONS(2606),
    [anon_sym_sample] = ACTIONS(2606),
    [anon_sym_linear] = ACTIONS(2606),
    [anon_sym_snorm] = ACTIONS(2606),
    [anon_sym_unorm] = ACTIONS(2606),
    [anon_sym_point] = ACTIONS(2606),
    [anon_sym_line] = ACTIONS(2606),
    [anon_sym_triangleadj] = ACTIONS(2606),
    [anon_sym_lineadj] = ACTIONS(2606),
    [anon_sym_triangle] = ACTIONS(2606),
  },
  [1136] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5338),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6604),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_parameter_list] = STATE(940),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2758),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5663),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(4457),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4459),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1137] = {
    [sym_template_argument_list] = STATE(1141),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4278),
    [anon_sym_COMMA] = ACTIONS(4278),
    [anon_sym_RPAREN] = ACTIONS(4278),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4283),
    [anon_sym_PERCENT] = ACTIONS(4283),
    [anon_sym_PIPE_PIPE] = ACTIONS(4278),
    [anon_sym_AMP_AMP] = ACTIONS(4280),
    [anon_sym_PIPE] = ACTIONS(4283),
    [anon_sym_CARET] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(4285),
    [anon_sym_EQ_EQ] = ACTIONS(4278),
    [anon_sym_BANG_EQ] = ACTIONS(4278),
    [anon_sym_GT] = ACTIONS(4283),
    [anon_sym_GT_EQ] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4283),
    [anon_sym_LT] = ACTIONS(4288),
    [anon_sym_LT_LT] = ACTIONS(4283),
    [anon_sym_GT_GT] = ACTIONS(4283),
    [anon_sym_SEMI] = ACTIONS(4278),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_RBRACE] = ACTIONS(4278),
    [anon_sym_LBRACK] = ACTIONS(4285),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(4283),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [anon_sym_QMARK] = ACTIONS(4278),
    [anon_sym_STAR_EQ] = ACTIONS(4278),
    [anon_sym_SLASH_EQ] = ACTIONS(4278),
    [anon_sym_PERCENT_EQ] = ACTIONS(4278),
    [anon_sym_PLUS_EQ] = ACTIONS(4278),
    [anon_sym_DASH_EQ] = ACTIONS(4278),
    [anon_sym_LT_LT_EQ] = ACTIONS(4278),
    [anon_sym_GT_GT_EQ] = ACTIONS(4278),
    [anon_sym_AMP_EQ] = ACTIONS(4278),
    [anon_sym_CARET_EQ] = ACTIONS(4278),
    [anon_sym_PIPE_EQ] = ACTIONS(4278),
    [anon_sym_and_eq] = ACTIONS(4283),
    [anon_sym_or_eq] = ACTIONS(4283),
    [anon_sym_xor_eq] = ACTIONS(4283),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_or] = ACTIONS(4283),
    [anon_sym_and] = ACTIONS(4283),
    [anon_sym_bitor] = ACTIONS(4283),
    [anon_sym_xor] = ACTIONS(4283),
    [anon_sym_bitand] = ACTIONS(4283),
    [anon_sym_not_eq] = ACTIONS(4283),
    [anon_sym_DASH_DASH] = ACTIONS(4278),
    [anon_sym_PLUS_PLUS] = ACTIONS(4278),
    [anon_sym_DOT] = ACTIONS(4283),
    [anon_sym_DOT_STAR] = ACTIONS(4278),
    [anon_sym_DASH_GT] = ACTIONS(4278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [1138] = {
    [sym_template_argument_list] = STATE(1149),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4280),
    [anon_sym_COMMA] = ACTIONS(4280),
    [anon_sym_RPAREN] = ACTIONS(4280),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4283),
    [anon_sym_PERCENT] = ACTIONS(4283),
    [anon_sym_PIPE_PIPE] = ACTIONS(4278),
    [anon_sym_AMP_AMP] = ACTIONS(4280),
    [anon_sym_PIPE] = ACTIONS(4283),
    [anon_sym_CARET] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(4285),
    [anon_sym_EQ_EQ] = ACTIONS(4278),
    [anon_sym_BANG_EQ] = ACTIONS(4278),
    [anon_sym_GT] = ACTIONS(4283),
    [anon_sym_GT_EQ] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4283),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4283),
    [anon_sym_GT_GT] = ACTIONS(4283),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(4285),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(4285),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [anon_sym_QMARK] = ACTIONS(4278),
    [anon_sym_STAR_EQ] = ACTIONS(4278),
    [anon_sym_SLASH_EQ] = ACTIONS(4278),
    [anon_sym_PERCENT_EQ] = ACTIONS(4278),
    [anon_sym_PLUS_EQ] = ACTIONS(4278),
    [anon_sym_DASH_EQ] = ACTIONS(4278),
    [anon_sym_LT_LT_EQ] = ACTIONS(4278),
    [anon_sym_GT_GT_EQ] = ACTIONS(4278),
    [anon_sym_AMP_EQ] = ACTIONS(4278),
    [anon_sym_CARET_EQ] = ACTIONS(4278),
    [anon_sym_PIPE_EQ] = ACTIONS(4278),
    [anon_sym_and_eq] = ACTIONS(4283),
    [anon_sym_or_eq] = ACTIONS(4283),
    [anon_sym_xor_eq] = ACTIONS(4283),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_or] = ACTIONS(4283),
    [anon_sym_and] = ACTIONS(4283),
    [anon_sym_bitor] = ACTIONS(4283),
    [anon_sym_xor] = ACTIONS(4283),
    [anon_sym_bitand] = ACTIONS(4283),
    [anon_sym_not_eq] = ACTIONS(4283),
    [anon_sym_DASH_DASH] = ACTIONS(4278),
    [anon_sym_PLUS_PLUS] = ACTIONS(4278),
    [anon_sym_DOT] = ACTIONS(4283),
    [anon_sym_DOT_STAR] = ACTIONS(4278),
    [anon_sym_DASH_GT] = ACTIONS(4283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4278),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [1139] = {
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1953),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_GT_GT] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1953),
    [anon_sym_SLASH_EQ] = ACTIONS(1953),
    [anon_sym_PERCENT_EQ] = ACTIONS(1953),
    [anon_sym_PLUS_EQ] = ACTIONS(1953),
    [anon_sym_DASH_EQ] = ACTIONS(1953),
    [anon_sym_LT_LT_EQ] = ACTIONS(1953),
    [anon_sym_GT_GT_EQ] = ACTIONS(1953),
    [anon_sym_AMP_EQ] = ACTIONS(1953),
    [anon_sym_CARET_EQ] = ACTIONS(1953),
    [anon_sym_PIPE_EQ] = ACTIONS(1953),
    [anon_sym_and_eq] = ACTIONS(1951),
    [anon_sym_or_eq] = ACTIONS(1951),
    [anon_sym_xor_eq] = ACTIONS(1951),
    [anon_sym_LT_EQ_GT] = ACTIONS(1953),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_bitor] = ACTIONS(1951),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_bitand] = ACTIONS(1951),
    [anon_sym_not_eq] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_DOT_STAR] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_operator] = ACTIONS(1951),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1953),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
  },
  [1140] = {
    [sym_identifier] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1949),
    [anon_sym_SLASH] = ACTIONS(1947),
    [anon_sym_PERCENT] = ACTIONS(1949),
    [anon_sym_PIPE_PIPE] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_PIPE] = ACTIONS(1947),
    [anon_sym_CARET] = ACTIONS(1949),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_EQ_EQ] = ACTIONS(1949),
    [anon_sym_BANG_EQ] = ACTIONS(1949),
    [anon_sym_GT] = ACTIONS(1947),
    [anon_sym_GT_EQ] = ACTIONS(1949),
    [anon_sym_LT_EQ] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_LT_LT] = ACTIONS(1949),
    [anon_sym_GT_GT] = ACTIONS(1949),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1949),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym___cdecl] = ACTIONS(1947),
    [anon_sym___clrcall] = ACTIONS(1947),
    [anon_sym___stdcall] = ACTIONS(1947),
    [anon_sym___fastcall] = ACTIONS(1947),
    [anon_sym___thiscall] = ACTIONS(1947),
    [anon_sym___vectorcall] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_RBRACE] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1947),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [anon_sym_else] = ACTIONS(1947),
    [anon_sym_while] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1949),
    [anon_sym_LT_EQ_GT] = ACTIONS(1949),
    [anon_sym_or] = ACTIONS(1947),
    [anon_sym_and] = ACTIONS(1947),
    [anon_sym_bitor] = ACTIONS(1947),
    [anon_sym_xor] = ACTIONS(1947),
    [anon_sym_bitand] = ACTIONS(1947),
    [anon_sym_not_eq] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_DOT_STAR] = ACTIONS(1949),
    [anon_sym_DASH_GT] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_final] = ACTIONS(1947),
    [anon_sym_override] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_operator] = ACTIONS(1947),
    [anon_sym_try] = ACTIONS(1947),
    [anon_sym_requires] = ACTIONS(1947),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
  },
  [1141] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4369),
    [anon_sym_COMMA] = ACTIONS(4369),
    [anon_sym_RPAREN] = ACTIONS(4369),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4376),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4374),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4374),
    [anon_sym_GT_GT] = ACTIONS(4374),
    [anon_sym_SEMI] = ACTIONS(4369),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_RBRACE] = ACTIONS(4369),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_EQ] = ACTIONS(4374),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_STAR_EQ] = ACTIONS(4369),
    [anon_sym_SLASH_EQ] = ACTIONS(4369),
    [anon_sym_PERCENT_EQ] = ACTIONS(4369),
    [anon_sym_PLUS_EQ] = ACTIONS(4369),
    [anon_sym_DASH_EQ] = ACTIONS(4369),
    [anon_sym_LT_LT_EQ] = ACTIONS(4369),
    [anon_sym_GT_GT_EQ] = ACTIONS(4369),
    [anon_sym_AMP_EQ] = ACTIONS(4369),
    [anon_sym_CARET_EQ] = ACTIONS(4369),
    [anon_sym_PIPE_EQ] = ACTIONS(4369),
    [anon_sym_and_eq] = ACTIONS(4374),
    [anon_sym_or_eq] = ACTIONS(4374),
    [anon_sym_xor_eq] = ACTIONS(4374),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4374),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4374),
    [anon_sym_not_eq] = ACTIONS(4374),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [1142] = {
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1957),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1955),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_EQ] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1957),
    [anon_sym_SLASH_EQ] = ACTIONS(1957),
    [anon_sym_PERCENT_EQ] = ACTIONS(1957),
    [anon_sym_PLUS_EQ] = ACTIONS(1957),
    [anon_sym_DASH_EQ] = ACTIONS(1957),
    [anon_sym_LT_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT_GT_EQ] = ACTIONS(1957),
    [anon_sym_AMP_EQ] = ACTIONS(1957),
    [anon_sym_CARET_EQ] = ACTIONS(1957),
    [anon_sym_PIPE_EQ] = ACTIONS(1957),
    [anon_sym_and_eq] = ACTIONS(1955),
    [anon_sym_or_eq] = ACTIONS(1955),
    [anon_sym_xor_eq] = ACTIONS(1955),
    [anon_sym_LT_EQ_GT] = ACTIONS(1957),
    [anon_sym_or] = ACTIONS(1955),
    [anon_sym_and] = ACTIONS(1955),
    [anon_sym_bitor] = ACTIONS(1955),
    [anon_sym_xor] = ACTIONS(1955),
    [anon_sym_bitand] = ACTIONS(1955),
    [anon_sym_not_eq] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DOT_STAR] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_operator] = ACTIONS(1955),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1957),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
  },
  [1143] = {
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_PERCENT] = ACTIONS(1923),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_PIPE] = ACTIONS(1921),
    [anon_sym_CARET] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_EQ_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1923),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1921),
    [anon_sym_LT_LT] = ACTIONS(1923),
    [anon_sym_GT_GT] = ACTIONS(1923),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym___cdecl] = ACTIONS(1921),
    [anon_sym___clrcall] = ACTIONS(1921),
    [anon_sym___stdcall] = ACTIONS(1921),
    [anon_sym___fastcall] = ACTIONS(1921),
    [anon_sym___thiscall] = ACTIONS(1921),
    [anon_sym___vectorcall] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_EQ] = ACTIONS(1921),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(1921),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_QMARK] = ACTIONS(1923),
    [anon_sym_LT_EQ_GT] = ACTIONS(1923),
    [anon_sym_or] = ACTIONS(1921),
    [anon_sym_and] = ACTIONS(1921),
    [anon_sym_bitor] = ACTIONS(1921),
    [anon_sym_xor] = ACTIONS(1921),
    [anon_sym_bitand] = ACTIONS(1921),
    [anon_sym_not_eq] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_DOT_STAR] = ACTIONS(1923),
    [anon_sym_DASH_GT] = ACTIONS(1923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_final] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_operator] = ACTIONS(1921),
    [anon_sym_try] = ACTIONS(1921),
    [anon_sym_requires] = ACTIONS(1921),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
  },
  [1144] = {
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1921),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_PERCENT] = ACTIONS(1921),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_PIPE] = ACTIONS(1921),
    [anon_sym_CARET] = ACTIONS(1921),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_EQ_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1923),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1921),
    [anon_sym_LT_LT] = ACTIONS(1921),
    [anon_sym_GT_GT] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_EQ] = ACTIONS(1921),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [anon_sym_QMARK] = ACTIONS(1923),
    [anon_sym_STAR_EQ] = ACTIONS(1923),
    [anon_sym_SLASH_EQ] = ACTIONS(1923),
    [anon_sym_PERCENT_EQ] = ACTIONS(1923),
    [anon_sym_PLUS_EQ] = ACTIONS(1923),
    [anon_sym_DASH_EQ] = ACTIONS(1923),
    [anon_sym_LT_LT_EQ] = ACTIONS(1923),
    [anon_sym_GT_GT_EQ] = ACTIONS(1923),
    [anon_sym_AMP_EQ] = ACTIONS(1923),
    [anon_sym_CARET_EQ] = ACTIONS(1923),
    [anon_sym_PIPE_EQ] = ACTIONS(1923),
    [anon_sym_and_eq] = ACTIONS(1921),
    [anon_sym_or_eq] = ACTIONS(1921),
    [anon_sym_xor_eq] = ACTIONS(1921),
    [anon_sym_LT_EQ_GT] = ACTIONS(1923),
    [anon_sym_or] = ACTIONS(1921),
    [anon_sym_and] = ACTIONS(1921),
    [anon_sym_bitor] = ACTIONS(1921),
    [anon_sym_xor] = ACTIONS(1921),
    [anon_sym_bitand] = ACTIONS(1921),
    [anon_sym_not_eq] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_DOT_STAR] = ACTIONS(1923),
    [anon_sym_DASH_GT] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_operator] = ACTIONS(1921),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1923),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
  },
  [1145] = {
    [sym_identifier] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_SLASH] = ACTIONS(1947),
    [anon_sym_PERCENT] = ACTIONS(1947),
    [anon_sym_PIPE_PIPE] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_PIPE] = ACTIONS(1947),
    [anon_sym_CARET] = ACTIONS(1947),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_EQ_EQ] = ACTIONS(1949),
    [anon_sym_BANG_EQ] = ACTIONS(1949),
    [anon_sym_GT] = ACTIONS(1947),
    [anon_sym_GT_EQ] = ACTIONS(1949),
    [anon_sym_LT_EQ] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_GT_GT] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1947),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1949),
    [anon_sym_STAR_EQ] = ACTIONS(1949),
    [anon_sym_SLASH_EQ] = ACTIONS(1949),
    [anon_sym_PERCENT_EQ] = ACTIONS(1949),
    [anon_sym_PLUS_EQ] = ACTIONS(1949),
    [anon_sym_DASH_EQ] = ACTIONS(1949),
    [anon_sym_LT_LT_EQ] = ACTIONS(1949),
    [anon_sym_GT_GT_EQ] = ACTIONS(1949),
    [anon_sym_AMP_EQ] = ACTIONS(1949),
    [anon_sym_CARET_EQ] = ACTIONS(1949),
    [anon_sym_PIPE_EQ] = ACTIONS(1949),
    [anon_sym_and_eq] = ACTIONS(1947),
    [anon_sym_or_eq] = ACTIONS(1947),
    [anon_sym_xor_eq] = ACTIONS(1947),
    [anon_sym_LT_EQ_GT] = ACTIONS(1949),
    [anon_sym_or] = ACTIONS(1947),
    [anon_sym_and] = ACTIONS(1947),
    [anon_sym_bitor] = ACTIONS(1947),
    [anon_sym_xor] = ACTIONS(1947),
    [anon_sym_bitand] = ACTIONS(1947),
    [anon_sym_not_eq] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_DOT_STAR] = ACTIONS(1949),
    [anon_sym_DASH_GT] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_operator] = ACTIONS(1947),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1949),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
  },
  [1146] = {
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1953),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1953),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1953),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1953),
    [anon_sym_GT_GT] = ACTIONS(1953),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym___cdecl] = ACTIONS(1951),
    [anon_sym___clrcall] = ACTIONS(1951),
    [anon_sym___stdcall] = ACTIONS(1951),
    [anon_sym___fastcall] = ACTIONS(1951),
    [anon_sym___thiscall] = ACTIONS(1951),
    [anon_sym___vectorcall] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_RBRACE] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [anon_sym_else] = ACTIONS(1951),
    [anon_sym_while] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_LT_EQ_GT] = ACTIONS(1953),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_bitor] = ACTIONS(1951),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_bitand] = ACTIONS(1951),
    [anon_sym_not_eq] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_DOT_STAR] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_final] = ACTIONS(1951),
    [anon_sym_override] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_operator] = ACTIONS(1951),
    [anon_sym_try] = ACTIONS(1951),
    [anon_sym_requires] = ACTIONS(1951),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
  },
  [1147] = {
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_RPAREN] = ACTIONS(1919),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_PERCENT] = ACTIONS(1919),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_EQ_EQ] = ACTIONS(1919),
    [anon_sym_BANG_EQ] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1919),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_LT_LT] = ACTIONS(1919),
    [anon_sym_GT_GT] = ACTIONS(1919),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym___cdecl] = ACTIONS(1917),
    [anon_sym___clrcall] = ACTIONS(1917),
    [anon_sym___stdcall] = ACTIONS(1917),
    [anon_sym___fastcall] = ACTIONS(1917),
    [anon_sym___thiscall] = ACTIONS(1917),
    [anon_sym___vectorcall] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_RBRACE] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1917),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [anon_sym_else] = ACTIONS(1917),
    [anon_sym_while] = ACTIONS(1917),
    [anon_sym_QMARK] = ACTIONS(1919),
    [anon_sym_LT_EQ_GT] = ACTIONS(1919),
    [anon_sym_or] = ACTIONS(1917),
    [anon_sym_and] = ACTIONS(1917),
    [anon_sym_bitor] = ACTIONS(1917),
    [anon_sym_xor] = ACTIONS(1917),
    [anon_sym_bitand] = ACTIONS(1917),
    [anon_sym_not_eq] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DOT] = ACTIONS(1917),
    [anon_sym_DOT_STAR] = ACTIONS(1919),
    [anon_sym_DASH_GT] = ACTIONS(1919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_final] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_operator] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1917),
    [anon_sym_requires] = ACTIONS(1917),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
  },
  [1148] = {
    [sym_identifier] = ACTIONS(1939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1941),
    [anon_sym_COMMA] = ACTIONS(1941),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1941),
    [anon_sym_STAR_EQ] = ACTIONS(1941),
    [anon_sym_SLASH_EQ] = ACTIONS(1941),
    [anon_sym_PERCENT_EQ] = ACTIONS(1941),
    [anon_sym_PLUS_EQ] = ACTIONS(1941),
    [anon_sym_DASH_EQ] = ACTIONS(1941),
    [anon_sym_LT_LT_EQ] = ACTIONS(1941),
    [anon_sym_GT_GT_EQ] = ACTIONS(1941),
    [anon_sym_AMP_EQ] = ACTIONS(1941),
    [anon_sym_CARET_EQ] = ACTIONS(1941),
    [anon_sym_PIPE_EQ] = ACTIONS(1941),
    [anon_sym_and_eq] = ACTIONS(1939),
    [anon_sym_or_eq] = ACTIONS(1939),
    [anon_sym_xor_eq] = ACTIONS(1939),
    [anon_sym_LT_EQ_GT] = ACTIONS(1941),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_bitor] = ACTIONS(1939),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_bitand] = ACTIONS(1939),
    [anon_sym_not_eq] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_DOT_STAR] = ACTIONS(1941),
    [anon_sym_DASH_GT] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_operator] = ACTIONS(1939),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1941),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
  },
  [1149] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4371),
    [anon_sym_COMMA] = ACTIONS(4371),
    [anon_sym_RPAREN] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4376),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4374),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4374),
    [anon_sym_GT_GT] = ACTIONS(4374),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_EQ] = ACTIONS(4376),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_STAR_EQ] = ACTIONS(4369),
    [anon_sym_SLASH_EQ] = ACTIONS(4369),
    [anon_sym_PERCENT_EQ] = ACTIONS(4369),
    [anon_sym_PLUS_EQ] = ACTIONS(4369),
    [anon_sym_DASH_EQ] = ACTIONS(4369),
    [anon_sym_LT_LT_EQ] = ACTIONS(4369),
    [anon_sym_GT_GT_EQ] = ACTIONS(4369),
    [anon_sym_AMP_EQ] = ACTIONS(4369),
    [anon_sym_CARET_EQ] = ACTIONS(4369),
    [anon_sym_PIPE_EQ] = ACTIONS(4369),
    [anon_sym_and_eq] = ACTIONS(4374),
    [anon_sym_or_eq] = ACTIONS(4374),
    [anon_sym_xor_eq] = ACTIONS(4374),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4374),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4374),
    [anon_sym_not_eq] = ACTIONS(4374),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4369),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [1150] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_final] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
  },
  [1151] = {
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6418),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3516),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5649),
    [sym_qualified_identifier] = STATE(3526),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(4057),
    [anon_sym_LPAREN2] = ACTIONS(4059),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(4061),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1152] = {
    [sym_template_argument_list] = STATE(1158),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4280),
    [anon_sym_COMMA] = ACTIONS(4280),
    [anon_sym_RPAREN] = ACTIONS(4280),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4283),
    [anon_sym_PERCENT] = ACTIONS(4283),
    [anon_sym_PIPE_PIPE] = ACTIONS(4278),
    [anon_sym_AMP_AMP] = ACTIONS(4280),
    [anon_sym_PIPE] = ACTIONS(4283),
    [anon_sym_CARET] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(4285),
    [anon_sym_EQ_EQ] = ACTIONS(4278),
    [anon_sym_BANG_EQ] = ACTIONS(4278),
    [anon_sym_GT] = ACTIONS(4283),
    [anon_sym_GT_EQ] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4283),
    [anon_sym_LT] = ACTIONS(4288),
    [anon_sym_LT_LT] = ACTIONS(4283),
    [anon_sym_GT_GT] = ACTIONS(4283),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(4285),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(4285),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [anon_sym_QMARK] = ACTIONS(4278),
    [anon_sym_STAR_EQ] = ACTIONS(4278),
    [anon_sym_SLASH_EQ] = ACTIONS(4278),
    [anon_sym_PERCENT_EQ] = ACTIONS(4278),
    [anon_sym_PLUS_EQ] = ACTIONS(4278),
    [anon_sym_DASH_EQ] = ACTIONS(4278),
    [anon_sym_LT_LT_EQ] = ACTIONS(4278),
    [anon_sym_GT_GT_EQ] = ACTIONS(4278),
    [anon_sym_AMP_EQ] = ACTIONS(4278),
    [anon_sym_CARET_EQ] = ACTIONS(4278),
    [anon_sym_PIPE_EQ] = ACTIONS(4278),
    [anon_sym_and_eq] = ACTIONS(4283),
    [anon_sym_or_eq] = ACTIONS(4283),
    [anon_sym_xor_eq] = ACTIONS(4283),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_or] = ACTIONS(4283),
    [anon_sym_and] = ACTIONS(4283),
    [anon_sym_bitor] = ACTIONS(4283),
    [anon_sym_xor] = ACTIONS(4283),
    [anon_sym_bitand] = ACTIONS(4283),
    [anon_sym_not_eq] = ACTIONS(4283),
    [anon_sym_DASH_DASH] = ACTIONS(4278),
    [anon_sym_PLUS_PLUS] = ACTIONS(4278),
    [anon_sym_DOT] = ACTIONS(4283),
    [anon_sym_DOT_STAR] = ACTIONS(4278),
    [anon_sym_DASH_GT] = ACTIONS(4278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [1153] = {
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1957),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1957),
    [anon_sym_SLASH] = ACTIONS(1955),
    [anon_sym_PERCENT] = ACTIONS(1957),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1957),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1957),
    [anon_sym_GT_GT] = ACTIONS(1957),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym___cdecl] = ACTIONS(1955),
    [anon_sym___clrcall] = ACTIONS(1955),
    [anon_sym___stdcall] = ACTIONS(1955),
    [anon_sym___fastcall] = ACTIONS(1955),
    [anon_sym___thiscall] = ACTIONS(1955),
    [anon_sym___vectorcall] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_RBRACE] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_EQ] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [anon_sym_else] = ACTIONS(1955),
    [anon_sym_while] = ACTIONS(1955),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_LT_EQ_GT] = ACTIONS(1957),
    [anon_sym_or] = ACTIONS(1955),
    [anon_sym_and] = ACTIONS(1955),
    [anon_sym_bitor] = ACTIONS(1955),
    [anon_sym_xor] = ACTIONS(1955),
    [anon_sym_bitand] = ACTIONS(1955),
    [anon_sym_not_eq] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DOT_STAR] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_final] = ACTIONS(1955),
    [anon_sym_override] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_operator] = ACTIONS(1955),
    [anon_sym_try] = ACTIONS(1955),
    [anon_sym_requires] = ACTIONS(1955),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
  },
  [1154] = {
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_RPAREN] = ACTIONS(1919),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_EQ_EQ] = ACTIONS(1919),
    [anon_sym_BANG_EQ] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1919),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1917),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [anon_sym_QMARK] = ACTIONS(1919),
    [anon_sym_STAR_EQ] = ACTIONS(1919),
    [anon_sym_SLASH_EQ] = ACTIONS(1919),
    [anon_sym_PERCENT_EQ] = ACTIONS(1919),
    [anon_sym_PLUS_EQ] = ACTIONS(1919),
    [anon_sym_DASH_EQ] = ACTIONS(1919),
    [anon_sym_LT_LT_EQ] = ACTIONS(1919),
    [anon_sym_GT_GT_EQ] = ACTIONS(1919),
    [anon_sym_AMP_EQ] = ACTIONS(1919),
    [anon_sym_CARET_EQ] = ACTIONS(1919),
    [anon_sym_PIPE_EQ] = ACTIONS(1919),
    [anon_sym_and_eq] = ACTIONS(1917),
    [anon_sym_or_eq] = ACTIONS(1917),
    [anon_sym_xor_eq] = ACTIONS(1917),
    [anon_sym_LT_EQ_GT] = ACTIONS(1919),
    [anon_sym_or] = ACTIONS(1917),
    [anon_sym_and] = ACTIONS(1917),
    [anon_sym_bitor] = ACTIONS(1917),
    [anon_sym_xor] = ACTIONS(1917),
    [anon_sym_bitand] = ACTIONS(1917),
    [anon_sym_not_eq] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DOT] = ACTIONS(1917),
    [anon_sym_DOT_STAR] = ACTIONS(1919),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_operator] = ACTIONS(1917),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1919),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
  },
  [1155] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1913),
    [anon_sym_or_eq] = ACTIONS(1913),
    [anon_sym_xor_eq] = ACTIONS(1913),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1915),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
  },
  [1156] = {
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6418),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6325),
    [sym_expression] = STATE(3381),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3506),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5667),
    [sym_qualified_identifier] = STATE(3416),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_operator_name] = STATE(6325),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(4045),
    [anon_sym_LPAREN2] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1981),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1985),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1157] = {
    [sym_identifier] = ACTIONS(1939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1941),
    [anon_sym_COMMA] = ACTIONS(1941),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1941),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1941),
    [anon_sym_PIPE_PIPE] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1941),
    [anon_sym_GT_GT] = ACTIONS(1941),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1941),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym___cdecl] = ACTIONS(1939),
    [anon_sym___clrcall] = ACTIONS(1939),
    [anon_sym___stdcall] = ACTIONS(1939),
    [anon_sym___fastcall] = ACTIONS(1939),
    [anon_sym___thiscall] = ACTIONS(1939),
    [anon_sym___vectorcall] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_RBRACE] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [anon_sym_else] = ACTIONS(1939),
    [anon_sym_while] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1941),
    [anon_sym_LT_EQ_GT] = ACTIONS(1941),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_bitor] = ACTIONS(1939),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_bitand] = ACTIONS(1939),
    [anon_sym_not_eq] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_DOT_STAR] = ACTIONS(1941),
    [anon_sym_DASH_GT] = ACTIONS(1941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_final] = ACTIONS(1939),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_operator] = ACTIONS(1939),
    [anon_sym_try] = ACTIONS(1939),
    [anon_sym_requires] = ACTIONS(1939),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
  },
  [1158] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4371),
    [anon_sym_COMMA] = ACTIONS(4371),
    [anon_sym_RPAREN] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4376),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4374),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4374),
    [anon_sym_GT_GT] = ACTIONS(4374),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_EQ] = ACTIONS(4376),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_STAR_EQ] = ACTIONS(4369),
    [anon_sym_SLASH_EQ] = ACTIONS(4369),
    [anon_sym_PERCENT_EQ] = ACTIONS(4369),
    [anon_sym_PLUS_EQ] = ACTIONS(4369),
    [anon_sym_DASH_EQ] = ACTIONS(4369),
    [anon_sym_LT_LT_EQ] = ACTIONS(4369),
    [anon_sym_GT_GT_EQ] = ACTIONS(4369),
    [anon_sym_AMP_EQ] = ACTIONS(4369),
    [anon_sym_CARET_EQ] = ACTIONS(4369),
    [anon_sym_PIPE_EQ] = ACTIONS(4369),
    [anon_sym_and_eq] = ACTIONS(4374),
    [anon_sym_or_eq] = ACTIONS(4374),
    [anon_sym_xor_eq] = ACTIONS(4374),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4374),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4374),
    [anon_sym_not_eq] = ACTIONS(4374),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [1159] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1915),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
  },
  [1160] = {
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1921),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_PERCENT] = ACTIONS(1921),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_PIPE] = ACTIONS(1921),
    [anon_sym_CARET] = ACTIONS(1921),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_EQ_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1923),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1921),
    [anon_sym_LT_LT] = ACTIONS(1921),
    [anon_sym_GT_GT] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_EQ] = ACTIONS(1921),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [anon_sym_QMARK] = ACTIONS(1923),
    [anon_sym_STAR_EQ] = ACTIONS(1923),
    [anon_sym_SLASH_EQ] = ACTIONS(1923),
    [anon_sym_PERCENT_EQ] = ACTIONS(1923),
    [anon_sym_PLUS_EQ] = ACTIONS(1923),
    [anon_sym_DASH_EQ] = ACTIONS(1923),
    [anon_sym_LT_LT_EQ] = ACTIONS(1923),
    [anon_sym_GT_GT_EQ] = ACTIONS(1923),
    [anon_sym_AMP_EQ] = ACTIONS(1923),
    [anon_sym_CARET_EQ] = ACTIONS(1923),
    [anon_sym_PIPE_EQ] = ACTIONS(1923),
    [anon_sym_LT_EQ_GT] = ACTIONS(1923),
    [anon_sym_or] = ACTIONS(1921),
    [anon_sym_and] = ACTIONS(1921),
    [anon_sym_bitor] = ACTIONS(1921),
    [anon_sym_xor] = ACTIONS(1921),
    [anon_sym_bitand] = ACTIONS(1921),
    [anon_sym_not_eq] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_DOT_STAR] = ACTIONS(1923),
    [anon_sym_DASH_GT] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_operator] = ACTIONS(1921),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1923),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
  },
  [1161] = {
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1953),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_GT_GT] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1953),
    [anon_sym_SLASH_EQ] = ACTIONS(1953),
    [anon_sym_PERCENT_EQ] = ACTIONS(1953),
    [anon_sym_PLUS_EQ] = ACTIONS(1953),
    [anon_sym_DASH_EQ] = ACTIONS(1953),
    [anon_sym_LT_LT_EQ] = ACTIONS(1953),
    [anon_sym_GT_GT_EQ] = ACTIONS(1953),
    [anon_sym_AMP_EQ] = ACTIONS(1953),
    [anon_sym_CARET_EQ] = ACTIONS(1953),
    [anon_sym_PIPE_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ_GT] = ACTIONS(1953),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_bitor] = ACTIONS(1951),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_bitand] = ACTIONS(1951),
    [anon_sym_not_eq] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_DOT_STAR] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_operator] = ACTIONS(1951),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1953),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
  },
  [1162] = {
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1957),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1955),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_EQ] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1957),
    [anon_sym_SLASH_EQ] = ACTIONS(1957),
    [anon_sym_PERCENT_EQ] = ACTIONS(1957),
    [anon_sym_PLUS_EQ] = ACTIONS(1957),
    [anon_sym_DASH_EQ] = ACTIONS(1957),
    [anon_sym_LT_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT_GT_EQ] = ACTIONS(1957),
    [anon_sym_AMP_EQ] = ACTIONS(1957),
    [anon_sym_CARET_EQ] = ACTIONS(1957),
    [anon_sym_PIPE_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ_GT] = ACTIONS(1957),
    [anon_sym_or] = ACTIONS(1955),
    [anon_sym_and] = ACTIONS(1955),
    [anon_sym_bitor] = ACTIONS(1955),
    [anon_sym_xor] = ACTIONS(1955),
    [anon_sym_bitand] = ACTIONS(1955),
    [anon_sym_not_eq] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DOT_STAR] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_operator] = ACTIONS(1955),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1957),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
  },
  [1163] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4371),
    [anon_sym_COMMA] = ACTIONS(4371),
    [anon_sym_RPAREN] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4376),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4374),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4374),
    [anon_sym_GT_GT] = ACTIONS(4374),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_EQ] = ACTIONS(4376),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_STAR_EQ] = ACTIONS(4369),
    [anon_sym_SLASH_EQ] = ACTIONS(4369),
    [anon_sym_PERCENT_EQ] = ACTIONS(4369),
    [anon_sym_PLUS_EQ] = ACTIONS(4369),
    [anon_sym_DASH_EQ] = ACTIONS(4369),
    [anon_sym_LT_LT_EQ] = ACTIONS(4369),
    [anon_sym_GT_GT_EQ] = ACTIONS(4369),
    [anon_sym_AMP_EQ] = ACTIONS(4369),
    [anon_sym_CARET_EQ] = ACTIONS(4369),
    [anon_sym_PIPE_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4374),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4374),
    [anon_sym_not_eq] = ACTIONS(4374),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4369),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [1164] = {
    [sym_identifier] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_SLASH] = ACTIONS(1947),
    [anon_sym_PERCENT] = ACTIONS(1947),
    [anon_sym_PIPE_PIPE] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_PIPE] = ACTIONS(1947),
    [anon_sym_CARET] = ACTIONS(1947),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_EQ_EQ] = ACTIONS(1949),
    [anon_sym_BANG_EQ] = ACTIONS(1949),
    [anon_sym_GT] = ACTIONS(1947),
    [anon_sym_GT_EQ] = ACTIONS(1949),
    [anon_sym_LT_EQ] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_GT_GT] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1947),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1949),
    [anon_sym_STAR_EQ] = ACTIONS(1949),
    [anon_sym_SLASH_EQ] = ACTIONS(1949),
    [anon_sym_PERCENT_EQ] = ACTIONS(1949),
    [anon_sym_PLUS_EQ] = ACTIONS(1949),
    [anon_sym_DASH_EQ] = ACTIONS(1949),
    [anon_sym_LT_LT_EQ] = ACTIONS(1949),
    [anon_sym_GT_GT_EQ] = ACTIONS(1949),
    [anon_sym_AMP_EQ] = ACTIONS(1949),
    [anon_sym_CARET_EQ] = ACTIONS(1949),
    [anon_sym_PIPE_EQ] = ACTIONS(1949),
    [anon_sym_LT_EQ_GT] = ACTIONS(1949),
    [anon_sym_or] = ACTIONS(1947),
    [anon_sym_and] = ACTIONS(1947),
    [anon_sym_bitor] = ACTIONS(1947),
    [anon_sym_xor] = ACTIONS(1947),
    [anon_sym_bitand] = ACTIONS(1947),
    [anon_sym_not_eq] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_DOT_STAR] = ACTIONS(1949),
    [anon_sym_DASH_GT] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_operator] = ACTIONS(1947),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1949),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
  },
  [1165] = {
    [sym_identifier] = ACTIONS(1939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1941),
    [anon_sym_COMMA] = ACTIONS(1941),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1941),
    [anon_sym_STAR_EQ] = ACTIONS(1941),
    [anon_sym_SLASH_EQ] = ACTIONS(1941),
    [anon_sym_PERCENT_EQ] = ACTIONS(1941),
    [anon_sym_PLUS_EQ] = ACTIONS(1941),
    [anon_sym_DASH_EQ] = ACTIONS(1941),
    [anon_sym_LT_LT_EQ] = ACTIONS(1941),
    [anon_sym_GT_GT_EQ] = ACTIONS(1941),
    [anon_sym_AMP_EQ] = ACTIONS(1941),
    [anon_sym_CARET_EQ] = ACTIONS(1941),
    [anon_sym_PIPE_EQ] = ACTIONS(1941),
    [anon_sym_LT_EQ_GT] = ACTIONS(1941),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_bitor] = ACTIONS(1939),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_bitand] = ACTIONS(1939),
    [anon_sym_not_eq] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_DOT_STAR] = ACTIONS(1941),
    [anon_sym_DASH_GT] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_operator] = ACTIONS(1939),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1941),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
  },
  [1166] = {
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_RPAREN] = ACTIONS(1919),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_EQ_EQ] = ACTIONS(1919),
    [anon_sym_BANG_EQ] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1919),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1917),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [anon_sym_QMARK] = ACTIONS(1919),
    [anon_sym_STAR_EQ] = ACTIONS(1919),
    [anon_sym_SLASH_EQ] = ACTIONS(1919),
    [anon_sym_PERCENT_EQ] = ACTIONS(1919),
    [anon_sym_PLUS_EQ] = ACTIONS(1919),
    [anon_sym_DASH_EQ] = ACTIONS(1919),
    [anon_sym_LT_LT_EQ] = ACTIONS(1919),
    [anon_sym_GT_GT_EQ] = ACTIONS(1919),
    [anon_sym_AMP_EQ] = ACTIONS(1919),
    [anon_sym_CARET_EQ] = ACTIONS(1919),
    [anon_sym_PIPE_EQ] = ACTIONS(1919),
    [anon_sym_LT_EQ_GT] = ACTIONS(1919),
    [anon_sym_or] = ACTIONS(1917),
    [anon_sym_and] = ACTIONS(1917),
    [anon_sym_bitor] = ACTIONS(1917),
    [anon_sym_xor] = ACTIONS(1917),
    [anon_sym_bitand] = ACTIONS(1917),
    [anon_sym_not_eq] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DOT] = ACTIONS(1917),
    [anon_sym_DOT_STAR] = ACTIONS(1919),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_operator] = ACTIONS(1917),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1919),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
  },
  [1167] = {
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7444),
    [sym_initializer_pair] = STATE(7444),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1168] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4542),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1169] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1168),
    [sym_compound_requirement] = STATE(1168),
    [sym__requirement] = STATE(1168),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1168),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1170] = {
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7239),
    [sym_initializer_pair] = STATE(7239),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1171] = {
    [sym_expression] = STATE(4489),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(7193),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1172] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1174),
    [sym_compound_requirement] = STATE(1174),
    [sym__requirement] = STATE(1174),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1174),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4554),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1173] = {
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7357),
    [sym_initializer_pair] = STATE(7357),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4556),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4558),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1174] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4560),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1175] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1184),
    [sym_compound_requirement] = STATE(1184),
    [sym__requirement] = STATE(1184),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4562),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1176] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1177),
    [sym_compound_requirement] = STATE(1177),
    [sym__requirement] = STATE(1177),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1177),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4564),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1177] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4566),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1178] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4568),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1179] = {
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4570),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4572),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1180] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1181),
    [sym_compound_requirement] = STATE(1181),
    [sym__requirement] = STATE(1181),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1181),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4574),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1181] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4576),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1182] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1183),
    [sym_compound_requirement] = STATE(1183),
    [sym__requirement] = STATE(1183),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1183),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4578),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1183] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4580),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1184] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4582),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1185] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1186),
    [sym_compound_requirement] = STATE(1186),
    [sym__requirement] = STATE(1186),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1186),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4584),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1186] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4586),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1187] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1188),
    [sym_compound_requirement] = STATE(1188),
    [sym__requirement] = STATE(1188),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1188),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4588),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1188] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1189] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_LPAREN2] = ACTIONS(4595),
    [anon_sym_BANG] = ACTIONS(4598),
    [anon_sym_TILDE] = ACTIONS(4598),
    [anon_sym_DASH] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4601),
    [anon_sym_STAR] = ACTIONS(4604),
    [anon_sym_AMP] = ACTIONS(4604),
    [anon_sym_SEMI] = ACTIONS(4607),
    [anon_sym___extension__] = ACTIONS(4610),
    [anon_sym_COLON_COLON] = ACTIONS(4613),
    [anon_sym_LBRACE] = ACTIONS(4616),
    [anon_sym_RBRACE] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4621),
    [sym_primitive_type] = ACTIONS(4624),
    [anon_sym_not] = ACTIONS(4601),
    [anon_sym_compl] = ACTIONS(4601),
    [anon_sym_DASH_DASH] = ACTIONS(4627),
    [anon_sym_PLUS_PLUS] = ACTIONS(4627),
    [anon_sym_sizeof] = ACTIONS(4630),
    [anon_sym___alignof__] = ACTIONS(4633),
    [anon_sym___alignof] = ACTIONS(4633),
    [anon_sym__alignof] = ACTIONS(4633),
    [anon_sym_alignof] = ACTIONS(4633),
    [anon_sym__Alignof] = ACTIONS(4633),
    [anon_sym_offsetof] = ACTIONS(4636),
    [anon_sym__Generic] = ACTIONS(4639),
    [anon_sym_asm] = ACTIONS(4642),
    [anon_sym___asm__] = ACTIONS(4642),
    [anon_sym___asm] = ACTIONS(4642),
    [sym_number_literal] = ACTIONS(4645),
    [anon_sym_L_SQUOTE] = ACTIONS(4648),
    [anon_sym_u_SQUOTE] = ACTIONS(4648),
    [anon_sym_U_SQUOTE] = ACTIONS(4648),
    [anon_sym_u8_SQUOTE] = ACTIONS(4648),
    [anon_sym_SQUOTE] = ACTIONS(4648),
    [anon_sym_L_DQUOTE] = ACTIONS(4651),
    [anon_sym_u_DQUOTE] = ACTIONS(4651),
    [anon_sym_U_DQUOTE] = ACTIONS(4651),
    [anon_sym_u8_DQUOTE] = ACTIONS(4651),
    [anon_sym_DQUOTE] = ACTIONS(4651),
    [sym_true] = ACTIONS(4654),
    [sym_false] = ACTIONS(4654),
    [anon_sym_NULL] = ACTIONS(4657),
    [anon_sym_nullptr] = ACTIONS(4657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4660),
    [anon_sym_typename] = ACTIONS(4663),
    [anon_sym_template] = ACTIONS(4666),
    [anon_sym_delete] = ACTIONS(4669),
    [anon_sym_R_DQUOTE] = ACTIONS(4672),
    [anon_sym_LR_DQUOTE] = ACTIONS(4672),
    [anon_sym_uR_DQUOTE] = ACTIONS(4672),
    [anon_sym_UR_DQUOTE] = ACTIONS(4672),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4672),
    [anon_sym_co_await] = ACTIONS(4675),
    [anon_sym_new] = ACTIONS(4678),
    [anon_sym_requires] = ACTIONS(4681),
    [sym_this] = ACTIONS(4654),
  },
  [1190] = {
    [sym_expression] = STATE(4438),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7211),
    [sym_initializer_pair] = STATE(7211),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4684),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1191] = {
    [sym_expression_statement] = STATE(3036),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_type_requirement] = STATE(1178),
    [sym_compound_requirement] = STATE(1178),
    [sym__requirement] = STATE(1178),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_requirement_seq_repeat1] = STATE(1178),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4686),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(4544),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1192] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7502),
    [sym_initializer_pair] = STATE(7502),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4688),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4690),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1193] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4692),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1194] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4694),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1195] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4696),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1196] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1197] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4698),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1198] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4700),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1199] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4702),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1200] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4704),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1201] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4706),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1202] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4708),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1203] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4710),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1204] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_RBRACE] = ACTIONS(4712),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1205] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7714),
    [sym_initializer_pair] = STATE(7714),
    [sym_subscript_designator] = STATE(6703),
    [sym_subscript_range_designator] = STATE(6703),
    [sym_field_designator] = STATE(6703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [aux_sym_initializer_pair_repeat1] = STATE(6703),
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1206] = {
    [sym_function_definition] = STATE(715),
    [sym_declaration] = STATE(715),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1983),
    [sym_declaration_list] = STATE(715),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1207] = {
    [sym_function_definition] = STATE(682),
    [sym_declaration] = STATE(682),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1981),
    [sym_declaration_list] = STATE(682),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1790),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4718),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1208] = {
    [sym_function_definition] = STATE(836),
    [sym_declaration] = STATE(836),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4789),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1998),
    [sym_declaration_list] = STATE(836),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1664),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4720),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1209] = {
    [sym_function_definition] = STATE(256),
    [sym_declaration] = STATE(256),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1988),
    [sym_declaration_list] = STATE(256),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1753),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4722),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1210] = {
    [sym_function_definition] = STATE(2074),
    [sym_declaration] = STATE(2074),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4775),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1992),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8470),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4726),
    [anon_sym_struct] = ACTIONS(4728),
    [anon_sym_union] = ACTIONS(4730),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1211] = {
    [sym_function_definition] = STATE(321),
    [sym_declaration] = STATE(321),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1988),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8182),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1753),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4732),
    [anon_sym_struct] = ACTIONS(4734),
    [anon_sym_union] = ACTIONS(4736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1212] = {
    [sym_function_definition] = STATE(723),
    [sym_declaration] = STATE(723),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1981),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8659),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1790),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4738),
    [anon_sym_struct] = ACTIONS(4740),
    [anon_sym_union] = ACTIONS(4742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1213] = {
    [sym_function_definition] = STATE(829),
    [sym_declaration] = STATE(829),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4789),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1998),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7989),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1664),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4744),
    [anon_sym_struct] = ACTIONS(4746),
    [anon_sym_union] = ACTIONS(4748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1214] = {
    [sym_function_definition] = STATE(2106),
    [sym_declaration] = STATE(2106),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4782),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1996),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8241),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1794),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4750),
    [anon_sym_struct] = ACTIONS(4752),
    [anon_sym_union] = ACTIONS(4754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1215] = {
    [sym_function_definition] = STATE(2159),
    [sym_declaration] = STATE(2159),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4782),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1996),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8365),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1794),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4756),
    [anon_sym_struct] = ACTIONS(4758),
    [anon_sym_union] = ACTIONS(4760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1216] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4369),
    [anon_sym_COMMA] = ACTIONS(4369),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4371),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4369),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4369),
    [anon_sym_GT_GT] = ACTIONS(4369),
    [anon_sym_SEMI] = ACTIONS(4371),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4371),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym___cdecl] = ACTIONS(2068),
    [anon_sym___clrcall] = ACTIONS(2068),
    [anon_sym___stdcall] = ACTIONS(2068),
    [anon_sym___fastcall] = ACTIONS(2068),
    [anon_sym___thiscall] = ACTIONS(2068),
    [anon_sym___vectorcall] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_RBRACE] = ACTIONS(4369),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4374),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4374),
    [anon_sym_not_eq] = ACTIONS(4374),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [1217] = {
    [sym_function_definition] = STATE(1966),
    [sym_declaration] = STATE(1966),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4778),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8674),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1792),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4762),
    [anon_sym_struct] = ACTIONS(4764),
    [anon_sym_union] = ACTIONS(4766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1218] = {
    [sym_function_definition] = STATE(318),
    [sym_declaration] = STATE(318),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4765),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1988),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8098),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1753),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4768),
    [anon_sym_struct] = ACTIONS(4770),
    [anon_sym_union] = ACTIONS(4772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1219] = {
    [sym_function_definition] = STATE(1876),
    [sym_declaration] = STATE(1876),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4778),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8804),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1792),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4774),
    [anon_sym_struct] = ACTIONS(4776),
    [anon_sym_union] = ACTIONS(4778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1220] = {
    [sym_function_definition] = STATE(837),
    [sym_declaration] = STATE(837),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4789),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1998),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(7948),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1664),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4780),
    [anon_sym_struct] = ACTIONS(4782),
    [anon_sym_union] = ACTIONS(4784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1221] = {
    [sym_function_definition] = STATE(592),
    [sym_declaration] = STATE(592),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1983),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8672),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4786),
    [anon_sym_struct] = ACTIONS(4788),
    [anon_sym_union] = ACTIONS(4790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1222] = {
    [sym_function_definition] = STATE(2099),
    [sym_declaration] = STATE(2099),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4775),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1992),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8272),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4792),
    [anon_sym_struct] = ACTIONS(4794),
    [anon_sym_union] = ACTIONS(4796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1223] = {
    [sym_function_definition] = STATE(656),
    [sym_declaration] = STATE(656),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4730),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1983),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8070),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4798),
    [anon_sym_struct] = ACTIONS(4800),
    [anon_sym_union] = ACTIONS(4802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1224] = {
    [sym_function_definition] = STATE(649),
    [sym_declaration] = STATE(649),
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1981),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym__class_name] = STATE(8453),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2473),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2463),
    [sym_qualifiers] = STATE(2020),
    [sym_hlsl_attribute] = STATE(1790),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4716),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4804),
    [anon_sym_struct] = ACTIONS(4806),
    [anon_sym_union] = ACTIONS(4808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1225] = {
    [sym_expression] = STATE(3441),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8134),
    [sym__unary_right_fold] = STATE(8139),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1226] = {
    [sym_compound_statement] = STATE(7398),
    [sym_expression] = STATE(4433),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7398),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4810),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1227] = {
    [sym_expression] = STATE(4561),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8388),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4812),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1228] = {
    [sym_compound_statement] = STATE(7438),
    [sym_expression] = STATE(4454),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7438),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4814),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1229] = {
    [sym_expression] = STATE(3457),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8109),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8459),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1230] = {
    [sym_expression] = STATE(3433),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8236),
    [sym__unary_right_fold] = STATE(8263),
    [sym__binary_fold] = STATE(8331),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1231] = {
    [sym_expression] = STATE(4504),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8646),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8646),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4816),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1232] = {
    [sym_compound_statement] = STATE(7231),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7231),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1233] = {
    [sym_compound_statement] = STATE(7451),
    [sym_expression] = STATE(4459),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7451),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1234] = {
    [sym_expression] = STATE(4499),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8152),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4822),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1235] = {
    [sym_expression] = STATE(4546),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8407),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8407),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4824),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1236] = {
    [sym_expression] = STATE(3462),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8465),
    [sym__unary_right_fold] = STATE(8482),
    [sym__binary_fold] = STATE(8486),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1237] = {
    [sym_expression] = STATE(4300),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_initializer_list] = STATE(6770),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(4830),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4834),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4836),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1238] = {
    [sym_expression] = STATE(4524),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8347),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8347),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(4838),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1239] = {
    [sym_compound_statement] = STATE(8042),
    [sym_expression] = STATE(3459),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8042),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym__assignment_expression_lhs] = STATE(8524),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1240] = {
    [sym_expression] = STATE(4308),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_initializer_list] = STATE(6813),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(4842),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4844),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4846),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1241] = {
    [sym_compound_statement] = STATE(7203),
    [sym_expression] = STATE(4465),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7203),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1242] = {
    [sym_compound_statement] = STATE(7181),
    [sym_expression] = STATE(4439),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7181),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1243] = {
    [sym_expression] = STATE(3451),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8069),
    [sym__unary_right_fold] = STATE(8102),
    [sym__binary_fold] = STATE(8154),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1244] = {
    [sym_expression] = STATE(3492),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8788),
    [sym__unary_right_fold] = STATE(7931),
    [sym__binary_fold] = STATE(7936),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1245] = {
    [sym_compound_statement] = STATE(7272),
    [sym_expression] = STATE(4410),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7272),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1246] = {
    [sym_expression] = STATE(3438),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8178),
    [sym__unary_right_fold] = STATE(8179),
    [sym__binary_fold] = STATE(8181),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1247] = {
    [sym_expression] = STATE(3447),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8355),
    [sym__unary_right_fold] = STATE(8356),
    [sym__binary_fold] = STATE(8357),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1248] = {
    [sym_expression] = STATE(3446),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym__unary_left_fold] = STATE(8185),
    [sym__unary_right_fold] = STATE(8196),
    [sym__binary_fold] = STATE(8209),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1249] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_initializer_list] = STATE(6766),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(4854),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4856),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4858),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1250] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1251] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4866),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1252] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4869),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1253] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4871),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1254] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4873),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1255] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4875),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1256] = {
    [sym_expression] = STATE(4423),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_initializer_list] = STATE(7336),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4877),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1257] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4879),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4873),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1258] = {
    [sym_expression] = STATE(3834),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1259] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4885),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1260] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4887),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1261] = {
    [sym_expression] = STATE(3133),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1262] = {
    [sym_expression] = STATE(4242),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1263] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4893),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1264] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4895),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1265] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4897),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1266] = {
    [sym_expression] = STATE(3717),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1267] = {
    [sym_expression] = STATE(4425),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1268] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4899),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1269] = {
    [sym_expression] = STATE(3312),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1270] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4902),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1271] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4904),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1272] = {
    [sym_expression] = STATE(4579),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1273] = {
    [sym_expression] = STATE(4347),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1274] = {
    [sym_expression] = STATE(3374),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1275] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1276] = {
    [sym_expression] = STATE(4495),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_initializer_list] = STATE(7208),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4908),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1277] = {
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1278] = {
    [sym_expression] = STATE(3353),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1279] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4910),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1280] = {
    [sym_expression] = STATE(3343),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1281] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4912),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1282] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4914),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1283] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4917),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1284] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4920),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1285] = {
    [sym_expression] = STATE(4406),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4873),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1286] = {
    [sym_expression] = STATE(3186),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1287] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4923),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1288] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4926),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1289] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4928),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1290] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1291] = {
    [sym_expression] = STATE(4612),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1292] = {
    [sym_expression] = STATE(4614),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1293] = {
    [sym_expression] = STATE(3061),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1294] = {
    [sym_expression] = STATE(3086),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1295] = {
    [sym_expression] = STATE(4492),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4879),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4873),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1296] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4934),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1297] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4936),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1298] = {
    [sym_expression] = STATE(4407),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4873),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1299] = {
    [sym_expression] = STATE(4630),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1300] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4938),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1301] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1302] = {
    [sym_expression] = STATE(4389),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_initializer_list] = STATE(7169),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4944),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1303] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4946),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1304] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4948),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1305] = {
    [sym_expression] = STATE(4366),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1306] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4950),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1307] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4953),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1308] = {
    [sym_expression] = STATE(4445),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4879),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4873),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1309] = {
    [sym_expression] = STATE(3484),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1310] = {
    [sym_expression] = STATE(3486),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1311] = {
    [sym_expression] = STATE(3425),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1312] = {
    [sym_expression] = STATE(3495),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1313] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4960),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1314] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4962),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1315] = {
    [sym_expression] = STATE(4652),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1316] = {
    [sym_expression] = STATE(4654),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_AMP_AMP] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4883),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1317] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1318] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4969),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1319] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4971),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1320] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1321] = {
    [sym_compound_statement] = STATE(7624),
    [sym_expression] = STATE(4544),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7624),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1322] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_lambda_default_capture] = STATE(7800),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4864),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1323] = {
    [sym_expression] = STATE(4628),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8278),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4977),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1324] = {
    [sym_expression] = STATE(4575),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4979),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1325] = {
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8387),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(4985),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1326] = {
    [sym_expression] = STATE(4564),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8631),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(4987),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1327] = {
    [sym_expression] = STATE(4578),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8009),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(4989),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1328] = {
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_initializer_list] = STATE(4867),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACE] = ACTIONS(4242),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1329] = {
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7708),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1330] = {
    [sym_expression] = STATE(4493),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7830),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1331] = {
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8540),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(4991),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1332] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8206),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1333] = {
    [sym_expression] = STATE(4574),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8344),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1334] = {
    [sym_expression] = STATE(4553),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8030),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(4995),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1335] = {
    [sym_expression] = STATE(4666),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(7938),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1336] = {
    [sym_expression] = STATE(3324),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_initializer_list] = STATE(3559),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(3784),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1337] = {
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_initializer_list] = STATE(4102),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1338] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_COMMA] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(4997),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1339] = {
    [sym_expression] = STATE(4349),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(4102),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1340] = {
    [sym_expression] = STATE(4508),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8188),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1341] = {
    [sym_expression] = STATE(2802),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_initializer_list] = STATE(2880),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1342] = {
    [sym_expression] = STATE(4391),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(7193),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1343] = {
    [sym_expression] = STATE(4556),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7744),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1344] = {
    [sym_expression] = STATE(4387),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_initializer_list] = STATE(7401),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1345] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4828),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1985),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(5002),
    [anon_sym_for] = ACTIONS(5004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1346] = {
    [sym_expression] = STATE(2802),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_initializer_list] = STATE(2880),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1347] = {
    [sym_expression] = STATE(4598),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_initializer_list] = STATE(4102),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1348] = {
    [sym_expression] = STATE(4609),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8043),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(5008),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1349] = {
    [sym_expression] = STATE(3947),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_initializer_list] = STATE(4059),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1350] = {
    [sym_expression] = STATE(2802),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_initializer_list] = STATE(2880),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1351] = {
    [sym_expression] = STATE(4811),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8703),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1352] = {
    [sym_expression] = STATE(3947),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_initializer_list] = STATE(4059),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1353] = {
    [sym_expression] = STATE(4629),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8281),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(5016),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1354] = {
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_initializer_list] = STATE(4837),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACE] = ACTIONS(4242),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1355] = {
    [sym_expression] = STATE(4620),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8750),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(5018),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1356] = {
    [sym_expression] = STATE(4368),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(8293),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1357] = {
    [sym_expression] = STATE(3815),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_initializer_list] = STATE(3970),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1358] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4890),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(5020),
    [anon_sym_for] = ACTIONS(5022),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1359] = {
    [sym_expression] = STATE(4520),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(7830),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1360] = {
    [sym_expression] = STATE(3947),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_initializer_list] = STATE(4059),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1361] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4821),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1989),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(5024),
    [anon_sym_for] = ACTIONS(5026),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1362] = {
    [sym_expression] = STATE(4633),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8300),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(5028),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1363] = {
    [sym_expression] = STATE(4635),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8322),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(5030),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1364] = {
    [sym_expression] = STATE(3947),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_initializer_list] = STATE(4059),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1365] = {
    [sym_expression] = STATE(4636),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_initializer_list] = STATE(4059),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1366] = {
    [sym_expression] = STATE(4597),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_initializer_list] = STATE(7554),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1367] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4830),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1991),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(5032),
    [anon_sym_for] = ACTIONS(5034),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1368] = {
    [sym_expression] = STATE(4511),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8426),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1369] = {
    [sym_expression] = STATE(3415),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_initializer_list] = STATE(3792),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1370] = {
    [sym_expression] = STATE(4563),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8011),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1371] = {
    [sym_expression] = STATE(4665),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8687),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(5040),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1372] = {
    [sym_expression] = STATE(3483),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_initializer_list] = STATE(2880),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1373] = {
    [sym_expression] = STATE(4576),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8156),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(5044),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1374] = {
    [sym_expression] = STATE(4664),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8675),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(5046),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1375] = {
    [sym_expression] = STATE(4641),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_initializer_list] = STATE(4102),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1376] = {
    [sym_expression] = STATE(3842),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_initializer_list] = STATE(3969),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1377] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8705),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(5048),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1378] = {
    [sym_expression] = STATE(4233),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_initializer_list] = STATE(4102),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1379] = {
    [sym_expression] = STATE(4570),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(8338),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym_COLON] = ACTIONS(5050),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1380] = {
    [sym_expression] = STATE(3803),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5052),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1381] = {
    [sym_expression] = STATE(4487),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym_SEMI] = ACTIONS(5055),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1382] = {
    [sym_expression] = STATE(4677),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(5059),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1383] = {
    [sym_expression] = STATE(4799),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(5061),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1384] = {
    [sym_expression] = STATE(3369),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5063),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1385] = {
    [sym_expression] = STATE(3396),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1386] = {
    [sym_expression] = STATE(2792),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5069),
    [anon_sym_LPAREN2] = ACTIONS(5071),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1387] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5073),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1388] = {
    [sym_expression] = STATE(4391),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(7193),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1389] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5075),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1390] = {
    [sym_expression] = STATE(3797),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1391] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5080),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1392] = {
    [sym_expression] = STATE(4734),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1393] = {
    [sym_expression] = STATE(4487),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym_SEMI] = ACTIONS(5084),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1394] = {
    [sym_expression] = STATE(2792),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5069),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1395] = {
    [sym_expression] = STATE(4795),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5088),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1396] = {
    [sym_expression] = STATE(3327),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1397] = {
    [sym_expression] = STATE(3399),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5093),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1398] = {
    [sym_expression] = STATE(3797),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1399] = {
    [sym_expression] = STATE(3400),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5099),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1400] = {
    [sym_expression] = STATE(3325),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1401] = {
    [sym_expression] = STATE(4611),
    [sym__string] = STATE(4335),
    [sym_comma_expression] = STATE(7193),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1402] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5102),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1403] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5104),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1404] = {
    [sym_expression] = STATE(3308),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5106),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1405] = {
    [sym_expression] = STATE(3400),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1406] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3980),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7172),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_type_parameter_declaration] = STATE(7172),
    [sym_variadic_type_parameter_declaration] = STATE(7172),
    [sym_optional_type_parameter_declaration] = STATE(7172),
    [sym_template_template_parameter_declaration] = STATE(7172),
    [sym_optional_parameter_declaration] = STATE(7172),
    [sym_variadic_parameter_declaration] = STATE(7172),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(5113),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5115),
    [anon_sym_template] = ACTIONS(5117),
    [anon_sym_GT2] = ACTIONS(5119),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1407] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5121),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1408] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3980),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7311),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_type_parameter_declaration] = STATE(7311),
    [sym_variadic_type_parameter_declaration] = STATE(7311),
    [sym_optional_type_parameter_declaration] = STATE(7311),
    [sym_template_template_parameter_declaration] = STATE(7311),
    [sym_optional_parameter_declaration] = STATE(7311),
    [sym_variadic_parameter_declaration] = STATE(7311),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(5113),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5115),
    [anon_sym_template] = ACTIONS(5117),
    [anon_sym_GT2] = ACTIONS(5123),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1409] = {
    [sym_expression] = STATE(3352),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5125),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1410] = {
    [sym_expression] = STATE(3369),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1411] = {
    [sym_expression] = STATE(2792),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5069),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1412] = {
    [sym_expression] = STATE(4736),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1413] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5135),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1414] = {
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(5137),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1415] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(5139),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1416] = {
    [sym_expression] = STATE(4667),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5141),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1417] = {
    [sym_expression] = STATE(3802),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5063),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1418] = {
    [sym_expression] = STATE(3352),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1419] = {
    [sym_expression] = STATE(3804),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5146),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1420] = {
    [sym_expression] = STATE(3800),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1421] = {
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5152),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1422] = {
    [sym_expression] = STATE(3399),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5152),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1423] = {
    [sym_expression] = STATE(3800),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5155),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1424] = {
    [sym_expression] = STATE(3806),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1425] = {
    [sym_expression] = STATE(3327),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1426] = {
    [sym_expression] = STATE(4804),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5161),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1427] = {
    [sym_expression] = STATE(3806),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1428] = {
    [sym_expression] = STATE(4735),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(5163),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1429] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5165),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1430] = {
    [sym_expression] = STATE(3325),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1431] = {
    [sym_expression] = STATE(3400),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1432] = {
    [sym_expression] = STATE(4696),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5167),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1433] = {
    [sym_expression] = STATE(3807),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5125),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1434] = {
    [sym_expression] = STATE(4706),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5169),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1435] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5171),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1436] = {
    [sym_expression] = STATE(3747),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5173),
    [anon_sym_LPAREN2] = ACTIONS(5175),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1437] = {
    [sym_expression] = STATE(4568),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5177),
    [anon_sym_LPAREN2] = ACTIONS(5179),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1438] = {
    [sym_expression] = STATE(4716),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5181),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1439] = {
    [sym_expression] = STATE(4719),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5183),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1440] = {
    [sym_expression] = STATE(4023),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5185),
    [anon_sym_LPAREN2] = ACTIONS(5187),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1441] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5189),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1442] = {
    [sym_expression] = STATE(3395),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5191),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1443] = {
    [sym_expression] = STATE(3807),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1444] = {
    [sym_expression] = STATE(4740),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(5197),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1445] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5199),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1446] = {
    [sym_expression] = STATE(4023),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5185),
    [anon_sym_LPAREN2] = ACTIONS(5201),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1447] = {
    [sym_expression] = STATE(4023),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5185),
    [anon_sym_LPAREN2] = ACTIONS(5203),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1448] = {
    [sym_expression] = STATE(3395),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5052),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1449] = {
    [sym_expression] = STATE(3802),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1450] = {
    [sym_expression] = STATE(3807),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1451] = {
    [sym_expression] = STATE(3467),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5069),
    [anon_sym_LPAREN2] = ACTIONS(5205),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1452] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5207),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1453] = {
    [sym_expression] = STATE(3404),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5209),
    [anon_sym_LPAREN2] = ACTIONS(5211),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1454] = {
    [sym_expression] = STATE(4676),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(5213),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1455] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5215),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1456] = {
    [sym_expression] = STATE(3808),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5217),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1457] = {
    [sym_expression] = STATE(3338),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1458] = {
    [sym_expression] = STATE(3800),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1459] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5223),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1460] = {
    [sym_expression] = STATE(3352),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1461] = {
    [sym_expression] = STATE(4487),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym_SEMI] = ACTIONS(5225),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1462] = {
    [sym_expression] = STATE(3352),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5227),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1463] = {
    [sym_expression] = STATE(3801),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1464] = {
    [sym_expression] = STATE(3292),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5217),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1465] = {
    [sym_expression] = STATE(3804),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1466] = {
    [sym_expression] = STATE(3808),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5233),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1467] = {
    [sym_expression] = STATE(3807),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5227),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1468] = {
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5093),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1469] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5236),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1470] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5238),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1471] = {
    [sym_expression] = STATE(4743),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(5240),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1472] = {
    [sym_expression] = STATE(3292),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5233),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1473] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5242),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1474] = {
    [sym_expression] = STATE(4798),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(5244),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1475] = {
    [sym_expression] = STATE(3801),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1476] = {
    [sym_expression] = STATE(4661),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5185),
    [anon_sym_LPAREN2] = ACTIONS(5246),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1477] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5248),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1478] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5250),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1479] = {
    [sym_expression] = STATE(3396),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5146),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1480] = {
    [sym_expression] = STATE(3327),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5155),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1481] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5252),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1482] = {
    [sym_expression] = STATE(3803),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5191),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1483] = {
    [sym_expression] = STATE(3806),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5099),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1484] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_RBRACK] = ACTIONS(5254),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1485] = {
    [sym_expression] = STATE(3338),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1486] = {
    [sym_expression] = STATE(4023),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5185),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1487] = {
    [sym_expression] = STATE(4706),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5258),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1488] = {
    [sym_expression] = STATE(4707),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5260),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1489] = {
    [sym_expression] = STATE(4659),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1490] = {
    [sym_expression] = STATE(3804),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1491] = {
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1492] = {
    [sym_expression] = STATE(3806),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1493] = {
    [sym_expression] = STATE(3807),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1494] = {
    [sym_expression] = STATE(3808),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1495] = {
    [sym_expression] = STATE(4550),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1496] = {
    [sym_expression] = STATE(3171),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1497] = {
    [sym_expression] = STATE(3299),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1498] = {
    [sym_expression] = STATE(4698),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1499] = {
    [sym_expression] = STATE(4748),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1500] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1501] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4369),
    [anon_sym_COMMA] = ACTIONS(4369),
    [anon_sym_RPAREN] = ACTIONS(4369),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4371),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4369),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4369),
    [anon_sym_GT_GT] = ACTIONS(4369),
    [anon_sym_SEMI] = ACTIONS(4369),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_RBRACE] = ACTIONS(4369),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4374),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4374),
    [anon_sym_not_eq] = ACTIONS(4374),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [1502] = {
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1503] = {
    [sym_expression] = STATE(4009),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1504] = {
    [sym_expression] = STATE(4595),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1505] = {
    [sym_expression] = STATE(3198),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(5262),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1506] = {
    [sym_expression] = STATE(2782),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1507] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4371),
    [anon_sym_COMMA] = ACTIONS(4371),
    [anon_sym_RPAREN] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4371),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4369),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4369),
    [anon_sym_GT_GT] = ACTIONS(4369),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_EQ] = ACTIONS(2068),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4374),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4374),
    [anon_sym_not_eq] = ACTIONS(4374),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [1508] = {
    [sym_expression] = STATE(3344),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1509] = {
    [sym_expression] = STATE(3344),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1510] = {
    [sym_expression] = STATE(3388),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1511] = {
    [sym_expression] = STATE(3185),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1512] = {
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1513] = {
    [sym_expression] = STATE(3307),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1514] = {
    [sym_expression] = STATE(4487),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1515] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1516] = {
    [sym_expression] = STATE(3429),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1517] = {
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1518] = {
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1519] = {
    [sym_expression] = STATE(4809),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1520] = {
    [sym_expression] = STATE(3325),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1521] = {
    [sym_expression] = STATE(3327),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1522] = {
    [sym_expression] = STATE(3338),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1523] = {
    [sym_expression] = STATE(3369),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1524] = {
    [sym_expression] = STATE(3395),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1525] = {
    [sym_expression] = STATE(3396),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1526] = {
    [sym_expression] = STATE(3399),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1527] = {
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1528] = {
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1529] = {
    [sym_expression] = STATE(3992),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1530] = {
    [sym_expression] = STATE(4415),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1531] = {
    [sym_expression] = STATE(4416),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1532] = {
    [sym_expression] = STATE(4417),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1533] = {
    [sym_expression] = STATE(4418),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1534] = {
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1535] = {
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1536] = {
    [sym_expression] = STATE(4421),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1537] = {
    [sym_expression] = STATE(4422),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1538] = {
    [sym_expression] = STATE(3400),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1539] = {
    [sym_expression] = STATE(4424),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1540] = {
    [sym_expression] = STATE(3352),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1541] = {
    [sym_expression] = STATE(3292),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1542] = {
    [sym_expression] = STATE(3173),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1543] = {
    [sym_expression] = STATE(4559),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1544] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1545] = {
    [sym_expression] = STATE(4427),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1546] = {
    [sym_expression] = STATE(4637),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1547] = {
    [sym_expression] = STATE(4254),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1548] = {
    [sym_expression] = STATE(4638),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1549] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1550] = {
    [sym_expression] = STATE(4429),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1551] = {
    [sym_expression] = STATE(4343),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1552] = {
    [sym_expression] = STATE(4639),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1553] = {
    [sym_expression] = STATE(3992),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1554] = {
    [sym_expression] = STATE(4363),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1555] = {
    [sym_expression] = STATE(4715),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4355),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1556] = {
    [sym_expression] = STATE(4377),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1557] = {
    [sym_expression] = STATE(4351),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1558] = {
    [sym_expression] = STATE(4515),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1559] = {
    [sym_expression] = STATE(4341),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1560] = {
    [sym_expression] = STATE(4342),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1561] = {
    [sym_expression] = STATE(4346),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1562] = {
    [sym_expression] = STATE(4521),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1563] = {
    [sym_expression] = STATE(4523),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1564] = {
    [sym_expression] = STATE(4525),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1565] = {
    [sym_expression] = STATE(4527),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1566] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1567] = {
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1568] = {
    [sym_expression] = STATE(4529),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1569] = {
    [sym_expression] = STATE(4535),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1570] = {
    [sym_expression] = STATE(4537),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1571] = {
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1572] = {
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1573] = {
    [sym_expression] = STATE(4369),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1574] = {
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1575] = {
    [sym_expression] = STATE(4718),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1576] = {
    [sym_expression] = STATE(3359),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1577] = {
    [sym_expression] = STATE(2782),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1578] = {
    [sym_expression] = STATE(3048),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(5272),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1579] = {
    [sym_expression] = STATE(3057),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1580] = {
    [sym_expression] = STATE(4582),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1581] = {
    [sym_expression] = STATE(3062),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1582] = {
    [sym_expression] = STATE(3750),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1583] = {
    [sym_expression] = STATE(3064),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1584] = {
    [sym_expression] = STATE(2772),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1585] = {
    [sym_expression] = STATE(2772),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1586] = {
    [sym_expression] = STATE(3752),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1587] = {
    [sym_expression] = STATE(2783),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1588] = {
    [sym_expression] = STATE(3210),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1589] = {
    [sym_expression] = STATE(4258),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1590] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3980),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7783),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_type_parameter_declaration] = STATE(7783),
    [sym_variadic_type_parameter_declaration] = STATE(7783),
    [sym_optional_type_parameter_declaration] = STATE(7783),
    [sym_template_template_parameter_declaration] = STATE(7783),
    [sym_optional_parameter_declaration] = STATE(7783),
    [sym_variadic_parameter_declaration] = STATE(7783),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(5113),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5115),
    [anon_sym_template] = ACTIONS(5117),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1591] = {
    [sym_expression] = STATE(3765),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1592] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1593] = {
    [sym_expression] = STATE(4379),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1594] = {
    [sym_expression] = STATE(3319),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1595] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1596] = {
    [sym_expression] = STATE(4263),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1597] = {
    [sym_expression] = STATE(4703),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1598] = {
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(5284),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1599] = {
    [sym_expression] = STATE(4723),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1600] = {
    [sym_expression] = STATE(4728),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1601] = {
    [sym_expression] = STATE(3809),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1602] = {
    [sym_expression] = STATE(4692),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1603] = {
    [sym_expression] = STATE(4252),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1604] = {
    [sym_expression] = STATE(3992),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1605] = {
    [sym_expression] = STATE(4265),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1606] = {
    [sym_expression] = STATE(4235),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1607] = {
    [sym_expression] = STATE(4247),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1608] = {
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1609] = {
    [sym_expression] = STATE(4243),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1610] = {
    [sym_expression] = STATE(4255),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1611] = {
    [sym_expression] = STATE(4262),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1612] = {
    [sym_expression] = STATE(4266),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1613] = {
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1614] = {
    [sym_expression] = STATE(4241),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1615] = {
    [sym_expression] = STATE(4810),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1616] = {
    [sym_expression] = STATE(4725),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1617] = {
    [sym_expression] = STATE(4009),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(5286),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1618] = {
    [sym_expression] = STATE(4442),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1619] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1620] = {
    [sym_expression] = STATE(4688),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1621] = {
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1622] = {
    [sym_expression] = STATE(4246),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1623] = {
    [sym_expression] = STATE(4534),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1624] = {
    [sym_expression] = STATE(4706),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1625] = {
    [sym_expression] = STATE(4715),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1626] = {
    [sym_expression] = STATE(3840),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1627] = {
    [sym_expression] = STATE(3183),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1628] = {
    [sym_expression] = STATE(3450),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1629] = {
    [sym_expression] = STATE(3419),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1630] = {
    [sym_expression] = STATE(3434),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1631] = {
    [sym_expression] = STATE(3528),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1632] = {
    [sym_expression] = STATE(3411),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1633] = {
    [sym_expression] = STATE(3442),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1634] = {
    [sym_expression] = STATE(3527),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1635] = {
    [sym_expression] = STATE(3519),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1636] = {
    [sym_expression] = STATE(3418),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1637] = {
    [sym_expression] = STATE(3454),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1638] = {
    [sym_expression] = STATE(3512),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1639] = {
    [sym_expression] = STATE(3074),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1640] = {
    [sym_expression] = STATE(2782),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1641] = {
    [sym_expression] = STATE(4514),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1642] = {
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1643] = {
    [sym_expression] = STATE(4681),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1644] = {
    [sym_expression] = STATE(2779),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1645] = {
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1646] = {
    [sym_expression] = STATE(3393),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1647] = {
    [sym_expression] = STATE(3723),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1648] = {
    [sym_expression] = STATE(4627),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1649] = {
    [sym_expression] = STATE(4727),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1650] = {
    [sym_expression] = STATE(3379),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1651] = {
    [sym_expression] = STATE(3370),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1652] = {
    [sym_expression] = STATE(3358),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1653] = {
    [sym_expression] = STATE(3360),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1654] = {
    [sym_expression] = STATE(2773),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1655] = {
    [sym_expression] = STATE(3331),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1656] = {
    [sym_expression] = STATE(3333),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1657] = {
    [sym_expression] = STATE(3336),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1658] = {
    [sym_expression] = STATE(3339),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1659] = {
    [sym_expression] = STATE(3340),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1660] = {
    [sym_expression] = STATE(3341),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1661] = {
    [sym_expression] = STATE(3342),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1662] = {
    [sym_expression] = STATE(3364),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1663] = {
    [sym_expression] = STATE(3733),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1664] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4890),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1665] = {
    [sym_expression] = STATE(3381),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1666] = {
    [sym_expression] = STATE(3746),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1667] = {
    [sym_expression] = STATE(3209),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1668] = {
    [sym_expression] = STATE(3326),
    [sym__string] = STATE(3521),
    [sym_conditional_expression] = STATE(3680),
    [sym_assignment_expression] = STATE(3680),
    [sym_pointer_expression] = STATE(3564),
    [sym_unary_expression] = STATE(3680),
    [sym_binary_expression] = STATE(3680),
    [sym_update_expression] = STATE(3680),
    [sym_cast_expression] = STATE(3680),
    [sym_sizeof_expression] = STATE(3680),
    [sym_alignof_expression] = STATE(3680),
    [sym_offsetof_expression] = STATE(3680),
    [sym_generic_expression] = STATE(3680),
    [sym_subscript_expression] = STATE(3564),
    [sym_call_expression] = STATE(3564),
    [sym_gnu_asm_expression] = STATE(3680),
    [sym_extension_expression] = STATE(3680),
    [sym_field_expression] = STATE(3564),
    [sym_compound_literal_expression] = STATE(3680),
    [sym_parenthesized_expression] = STATE(3564),
    [sym_char_literal] = STATE(3521),
    [sym_concatenated_string] = STATE(3521),
    [sym_string_literal] = STATE(2639),
    [sym_null] = STATE(3680),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7645),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3680),
    [sym_raw_string_literal] = STATE(2639),
    [sym_co_await_expression] = STATE(3680),
    [sym_new_expression] = STATE(3680),
    [sym_delete_expression] = STATE(3680),
    [sym_requires_clause] = STATE(3680),
    [sym_requires_expression] = STATE(3680),
    [sym_lambda_expression] = STATE(3680),
    [sym_lambda_capture_specifier] = STATE(5896),
    [sym_fold_expression] = STATE(3680),
    [sym_parameter_pack_expansion] = STATE(3680),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3564),
    [sym_qualified_type_identifier] = STATE(7645),
    [sym_user_defined_literal] = STATE(3564),
    [sym_identifier] = ACTIONS(3780),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3782),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(5292),
    [sym_primitive_type] = ACTIONS(3786),
    [anon_sym_not] = ACTIONS(1983),
    [anon_sym_compl] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2011),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2015),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2019),
    [anon_sym___asm__] = ACTIONS(2019),
    [anon_sym___asm] = ACTIONS(2019),
    [sym_number_literal] = ACTIONS(2021),
    [anon_sym_L_SQUOTE] = ACTIONS(2023),
    [anon_sym_u_SQUOTE] = ACTIONS(2023),
    [anon_sym_U_SQUOTE] = ACTIONS(2023),
    [anon_sym_u8_SQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [anon_sym_L_DQUOTE] = ACTIONS(2025),
    [anon_sym_u_DQUOTE] = ACTIONS(2025),
    [anon_sym_U_DQUOTE] = ACTIONS(2025),
    [anon_sym_u8_DQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [anon_sym_NULL] = ACTIONS(2029),
    [anon_sym_nullptr] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_R_DQUOTE] = ACTIONS(2041),
    [anon_sym_LR_DQUOTE] = ACTIONS(2041),
    [anon_sym_uR_DQUOTE] = ACTIONS(2041),
    [anon_sym_UR_DQUOTE] = ACTIONS(2041),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2041),
    [anon_sym_co_await] = ACTIONS(2043),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_requires] = ACTIONS(2047),
    [sym_this] = ACTIONS(2027),
  },
  [1669] = {
    [sym_expression] = STATE(4358),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1670] = {
    [sym_expression] = STATE(4785),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1671] = {
    [sym_expression] = STATE(3073),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1672] = {
    [sym_expression] = STATE(3055),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1673] = {
    [sym_expression] = STATE(2773),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1674] = {
    [sym_expression] = STATE(3050),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1675] = {
    [sym_expression] = STATE(3051),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1676] = {
    [sym_expression] = STATE(3052),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1677] = {
    [sym_expression] = STATE(3053),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1678] = {
    [sym_expression] = STATE(3054),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1679] = {
    [sym_expression] = STATE(3058),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1680] = {
    [sym_expression] = STATE(3059),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1681] = {
    [sym_expression] = STATE(3056),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1682] = {
    [sym_expression] = STATE(3507),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1683] = {
    [sym_expression] = STATE(3435),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1684] = {
    [sym_expression] = STATE(4713),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1685] = {
    [sym_expression] = STATE(3497),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1686] = {
    [sym_expression] = STATE(4547),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1687] = {
    [sym_expression] = STATE(3474),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(5296),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1688] = {
    [sym_expression] = STATE(4548),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1689] = {
    [sym_expression] = STATE(4709),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1690] = {
    [sym_expression] = STATE(4009),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1691] = {
    [sym_expression] = STATE(4028),
    [sym__string] = STATE(4616),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3677),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3677),
    [sym_call_expression] = STATE(3677),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3677),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3677),
    [sym_char_literal] = STATE(4616),
    [sym_concatenated_string] = STATE(4616),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3677),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3677),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4180),
    [anon_sym_compl] = ACTIONS(4180),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_sizeof] = ACTIONS(4188),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4190),
    [anon_sym_L_SQUOTE] = ACTIONS(4192),
    [anon_sym_u_SQUOTE] = ACTIONS(4192),
    [anon_sym_U_SQUOTE] = ACTIONS(4192),
    [anon_sym_u8_SQUOTE] = ACTIONS(4192),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_L_DQUOTE] = ACTIONS(4194),
    [anon_sym_u_DQUOTE] = ACTIONS(4194),
    [anon_sym_U_DQUOTE] = ACTIONS(4194),
    [anon_sym_u8_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4196),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1692] = {
    [sym_expression] = STATE(3432),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1693] = {
    [sym_expression] = STATE(4009),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1694] = {
    [sym_expression] = STATE(4028),
    [sym__string] = STATE(4273),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3146),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3146),
    [sym_call_expression] = STATE(3146),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3146),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3146),
    [sym_char_literal] = STATE(4273),
    [sym_concatenated_string] = STATE(4273),
    [sym_string_literal] = STATE(3251),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3251),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3146),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3146),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4141),
    [anon_sym_compl] = ACTIONS(4141),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_sizeof] = ACTIONS(4151),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(4153),
    [anon_sym_L_SQUOTE] = ACTIONS(4155),
    [anon_sym_u_SQUOTE] = ACTIONS(4155),
    [anon_sym_U_SQUOTE] = ACTIONS(4155),
    [anon_sym_u8_SQUOTE] = ACTIONS(4155),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4157),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
    [anon_sym_co_await] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_requires] = ACTIONS(4163),
    [sym_this] = ACTIONS(221),
  },
  [1695] = {
    [sym_expression] = STATE(3420),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1696] = {
    [sym_expression] = STATE(2772),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1697] = {
    [sym_expression] = STATE(2783),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1698] = {
    [sym_expression] = STATE(4625),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1699] = {
    [sym_expression] = STATE(2772),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1700] = {
    [sym_expression] = STATE(2783),
    [sym__string] = STATE(3115),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3115),
    [sym_concatenated_string] = STATE(3115),
    [sym_string_literal] = STATE(2531),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2531),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(3658),
    [anon_sym_COLON_COLON] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3654),
    [anon_sym_compl] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(3666),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3676),
    [anon_sym_L_SQUOTE] = ACTIONS(3678),
    [anon_sym_u_SQUOTE] = ACTIONS(3678),
    [anon_sym_U_SQUOTE] = ACTIONS(3678),
    [anon_sym_u8_SQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [anon_sym_co_await] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1701] = {
    [sym_expression] = STATE(3504),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1702] = {
    [sym_expression] = STATE(4569),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1703] = {
    [sym_expression] = STATE(4573),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1704] = {
    [sym_expression] = STATE(3310),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(5300),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1705] = {
    [sym_expression] = STATE(3735),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1706] = {
    [sym_expression] = STATE(4729),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1707] = {
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1708] = {
    [sym_expression] = STATE(3365),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1709] = {
    [sym_expression] = STATE(4631),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1710] = {
    [sym_expression] = STATE(4596),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1711] = {
    [sym_expression] = STATE(4507),
    [sym__string] = STATE(4712),
    [sym_conditional_expression] = STATE(4903),
    [sym_assignment_expression] = STATE(4903),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4903),
    [sym_binary_expression] = STATE(4903),
    [sym_update_expression] = STATE(4903),
    [sym_cast_expression] = STATE(4903),
    [sym_sizeof_expression] = STATE(4903),
    [sym_alignof_expression] = STATE(4903),
    [sym_offsetof_expression] = STATE(4903),
    [sym_generic_expression] = STATE(4903),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4903),
    [sym_extension_expression] = STATE(4903),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4903),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4712),
    [sym_concatenated_string] = STATE(4712),
    [sym_string_literal] = STATE(3923),
    [sym_null] = STATE(4903),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7613),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4903),
    [sym_raw_string_literal] = STATE(3923),
    [sym_co_await_expression] = STATE(4903),
    [sym_new_expression] = STATE(4903),
    [sym_delete_expression] = STATE(4903),
    [sym_requires_clause] = STATE(4903),
    [sym_requires_expression] = STATE(4903),
    [sym_lambda_expression] = STATE(4903),
    [sym_lambda_capture_specifier] = STATE(5878),
    [sym_fold_expression] = STATE(4903),
    [sym_parameter_pack_expansion] = STATE(4903),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(7613),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(3939),
    [anon_sym_BANG] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(5304),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3943),
    [anon_sym_compl] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3967),
    [anon_sym___alignof] = ACTIONS(3967),
    [anon_sym__alignof] = ACTIONS(3967),
    [anon_sym_alignof] = ACTIONS(3967),
    [anon_sym__Alignof] = ACTIONS(3967),
    [anon_sym_offsetof] = ACTIONS(3969),
    [anon_sym__Generic] = ACTIONS(3971),
    [anon_sym_asm] = ACTIONS(3973),
    [anon_sym___asm__] = ACTIONS(3973),
    [anon_sym___asm] = ACTIONS(3973),
    [sym_number_literal] = ACTIONS(3975),
    [anon_sym_L_SQUOTE] = ACTIONS(3977),
    [anon_sym_u_SQUOTE] = ACTIONS(3977),
    [anon_sym_U_SQUOTE] = ACTIONS(3977),
    [anon_sym_u8_SQUOTE] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3977),
    [anon_sym_L_DQUOTE] = ACTIONS(3979),
    [anon_sym_u_DQUOTE] = ACTIONS(3979),
    [anon_sym_U_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8_DQUOTE] = ACTIONS(3979),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3983),
    [anon_sym_nullptr] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3993),
    [anon_sym_R_DQUOTE] = ACTIONS(3995),
    [anon_sym_LR_DQUOTE] = ACTIONS(3995),
    [anon_sym_uR_DQUOTE] = ACTIONS(3995),
    [anon_sym_UR_DQUOTE] = ACTIONS(3995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3995),
    [anon_sym_co_await] = ACTIONS(3997),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4001),
    [sym_this] = ACTIONS(3981),
  },
  [1712] = {
    [sym_expression] = STATE(4404),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1713] = {
    [sym_expression] = STATE(4600),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1714] = {
    [sym_expression] = STATE(3992),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1715] = {
    [sym_expression] = STATE(4601),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1716] = {
    [sym_expression] = STATE(4602),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1717] = {
    [sym_expression] = STATE(4603),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1718] = {
    [sym_expression] = STATE(4604),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1719] = {
    [sym_expression] = STATE(4605),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1720] = {
    [sym_expression] = STATE(4606),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1721] = {
    [sym_expression] = STATE(4607),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1722] = {
    [sym_expression] = STATE(4608),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1723] = {
    [sym_expression] = STATE(4610),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1724] = {
    [sym_expression] = STATE(4747),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1725] = {
    [sym_expression] = STATE(4028),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1726] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4828),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1985),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1727] = {
    [sym_expression] = STATE(3159),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1728] = {
    [sym_expression] = STATE(4675),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1729] = {
    [sym_expression] = STATE(4680),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1730] = {
    [sym_expression] = STATE(4426),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1731] = {
    [sym_expression] = STATE(4613),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1732] = {
    [sym_expression] = STATE(4693),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1733] = {
    [sym_expression] = STATE(2773),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1734] = {
    [sym_expression] = STATE(3160),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1735] = {
    [sym_expression] = STATE(3162),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1736] = {
    [sym_expression] = STATE(4615),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1737] = {
    [sym_expression] = STATE(4431),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1738] = {
    [sym_expression] = STATE(3164),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1739] = {
    [sym_expression] = STATE(4733),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1740] = {
    [sym_expression] = STATE(4738),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1741] = {
    [sym_expression] = STATE(3306),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1742] = {
    [sym_expression] = STATE(4758),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1743] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4836),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1993),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1744] = {
    [sym_expression] = STATE(4776),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1745] = {
    [sym_expression] = STATE(4777),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1746] = {
    [sym_expression] = STATE(4443),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1747] = {
    [sym_expression] = STATE(4783),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1748] = {
    [sym_expression] = STATE(4444),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1749] = {
    [sym_expression] = STATE(4796),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1750] = {
    [sym_expression] = STATE(4800),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1751] = {
    [sym_expression] = STATE(3165),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1752] = {
    [sym_expression] = STATE(4805),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1753] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4821),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1989),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1754] = {
    [sym_expression] = STATE(4812),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1755] = {
    [sym_expression] = STATE(4746),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1756] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1757] = {
    [sym_expression] = STATE(4668),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1758] = {
    [sym_expression] = STATE(3166),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1759] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1760] = {
    [sym_expression] = STATE(4673),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1761] = {
    [sym_expression] = STATE(4678),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1762] = {
    [sym_expression] = STATE(4683),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1763] = {
    [sym_expression] = STATE(4684),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1764] = {
    [sym_expression] = STATE(4685),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1765] = {
    [sym_expression] = STATE(4457),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1766] = {
    [sym_expression] = STATE(4687),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1767] = {
    [sym_expression] = STATE(4458),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1768] = {
    [sym_expression] = STATE(3168),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1769] = {
    [sym_expression] = STATE(4697),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1770] = {
    [sym_expression] = STATE(4699),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1771] = {
    [sym_expression] = STATE(4700),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1772] = {
    [sym_expression] = STATE(4462),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1773] = {
    [sym_expression] = STATE(4702),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1774] = {
    [sym_expression] = STATE(4463),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1775] = {
    [sym_expression] = STATE(4708),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1776] = {
    [sym_expression] = STATE(4710),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1777] = {
    [sym_expression] = STATE(4467),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1778] = {
    [sym_expression] = STATE(4711),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1779] = {
    [sym_expression] = STATE(4469),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1780] = {
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1781] = {
    [sym_expression] = STATE(4009),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1782] = {
    [sym_expression] = STATE(4028),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1783] = {
    [sym_expression] = STATE(4632),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1784] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3754),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3754),
    [sym_call_expression] = STATE(3754),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3754),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3754),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3754),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3754),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(4208),
    [anon_sym_TILDE] = ACTIONS(4208),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(4210),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4206),
    [anon_sym_compl] = ACTIONS(4206),
    [anon_sym_DASH_DASH] = ACTIONS(4252),
    [anon_sym_PLUS_PLUS] = ACTIONS(4252),
    [anon_sym_sizeof] = ACTIONS(4214),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4216),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4218),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1785] = {
    [sym_expression] = STATE(4599),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1786] = {
    [sym_expression] = STATE(3321),
    [sym__string] = STATE(3440),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3440),
    [sym_concatenated_string] = STATE(3440),
    [sym_string_literal] = STATE(2676),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2676),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3756),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3758),
    [anon_sym_PLUS] = ACTIONS(3758),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(3762),
    [anon_sym_COLON_COLON] = ACTIONS(3764),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_compl] = ACTIONS(3758),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_sizeof] = ACTIONS(3766),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3768),
    [anon_sym_L_SQUOTE] = ACTIONS(3770),
    [anon_sym_u_SQUOTE] = ACTIONS(3770),
    [anon_sym_U_SQUOTE] = ACTIONS(3770),
    [anon_sym_u8_SQUOTE] = ACTIONS(3770),
    [anon_sym_SQUOTE] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3772),
    [anon_sym_u_DQUOTE] = ACTIONS(3772),
    [anon_sym_U_DQUOTE] = ACTIONS(3772),
    [anon_sym_u8_DQUOTE] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(3772),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3774),
    [anon_sym_R_DQUOTE] = ACTIONS(3776),
    [anon_sym_LR_DQUOTE] = ACTIONS(3776),
    [anon_sym_uR_DQUOTE] = ACTIONS(3776),
    [anon_sym_UR_DQUOTE] = ACTIONS(3776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3776),
    [anon_sym_co_await] = ACTIONS(3778),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1787] = {
    [sym_expression] = STATE(3464),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1788] = {
    [sym_expression] = STATE(3466),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1789] = {
    [sym_expression] = STATE(4634),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1790] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4830),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1991),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1791] = {
    [sym_expression] = STATE(4619),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1792] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4843),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1995),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1793] = {
    [sym_expression] = STATE(4621),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1794] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4851),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_ms_call_modifier] = STATE(1997),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1795] = {
    [sym_expression] = STATE(4622),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1796] = {
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1797] = {
    [sym_expression] = STATE(4626),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1798] = {
    [sym_expression] = STATE(3498),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1799] = {
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_BANG] = ACTIONS(3728),
    [anon_sym_TILDE] = ACTIONS(3728),
    [anon_sym_DASH] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3730),
    [anon_sym_COLON_COLON] = ACTIONS(3732),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_compl] = ACTIONS(3726),
    [anon_sym_DASH_DASH] = ACTIONS(4065),
    [anon_sym_PLUS_PLUS] = ACTIONS(4065),
    [anon_sym_sizeof] = ACTIONS(3734),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3746),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1800] = {
    [sym_expression] = STATE(3465),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1801] = {
    [sym_expression] = STATE(3472),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1802] = {
    [sym_expression] = STATE(3473),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1803] = {
    [sym_expression] = STATE(3532),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1804] = {
    [sym_expression] = STATE(3475),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1805] = {
    [sym_expression] = STATE(3476),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1806] = {
    [sym_expression] = STATE(3477),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1807] = {
    [sym_expression] = STATE(3478),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1808] = {
    [sym_expression] = STATE(3479),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1809] = {
    [sym_expression] = STATE(3480),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1810] = {
    [sym_expression] = STATE(3481),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1811] = {
    [sym_expression] = STATE(3468),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(5308),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1812] = {
    [sym_expression] = STATE(3469),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1813] = {
    [sym_expression] = STATE(3470),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1814] = {
    [sym_expression] = STATE(3482),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1815] = {
    [sym_expression] = STATE(3485),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1816] = {
    [sym_expression] = STATE(3487),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(2814),
    [sym_assignment_expression] = STATE(2814),
    [sym_pointer_expression] = STATE(2888),
    [sym_unary_expression] = STATE(2814),
    [sym_binary_expression] = STATE(2814),
    [sym_update_expression] = STATE(2814),
    [sym_cast_expression] = STATE(2814),
    [sym_sizeof_expression] = STATE(2814),
    [sym_alignof_expression] = STATE(2814),
    [sym_offsetof_expression] = STATE(2814),
    [sym_generic_expression] = STATE(2814),
    [sym_subscript_expression] = STATE(2888),
    [sym_call_expression] = STATE(2888),
    [sym_gnu_asm_expression] = STATE(2814),
    [sym_extension_expression] = STATE(2814),
    [sym_field_expression] = STATE(2888),
    [sym_compound_literal_expression] = STATE(2814),
    [sym_parenthesized_expression] = STATE(2888),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2814),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7555),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(2814),
    [sym_raw_string_literal] = STATE(2555),
    [sym_co_await_expression] = STATE(2814),
    [sym_new_expression] = STATE(2814),
    [sym_delete_expression] = STATE(2814),
    [sym_requires_clause] = STATE(2814),
    [sym_requires_expression] = STATE(2814),
    [sym_lambda_expression] = STATE(2814),
    [sym_lambda_capture_specifier] = STATE(5894),
    [sym_fold_expression] = STATE(2814),
    [sym_parameter_pack_expansion] = STATE(2814),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(2888),
    [sym_qualified_type_identifier] = STATE(7555),
    [sym_user_defined_literal] = STATE(2888),
    [sym_identifier] = ACTIONS(3724),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(3816),
    [anon_sym_COLON_COLON] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3812),
    [anon_sym_compl] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_sizeof] = ACTIONS(3820),
    [anon_sym___alignof__] = ACTIONS(3668),
    [anon_sym___alignof] = ACTIONS(3668),
    [anon_sym__alignof] = ACTIONS(3668),
    [anon_sym_alignof] = ACTIONS(3668),
    [anon_sym__Alignof] = ACTIONS(3668),
    [anon_sym_offsetof] = ACTIONS(3670),
    [anon_sym__Generic] = ACTIONS(3672),
    [anon_sym_asm] = ACTIONS(3674),
    [anon_sym___asm__] = ACTIONS(3674),
    [anon_sym___asm] = ACTIONS(3674),
    [sym_number_literal] = ACTIONS(3736),
    [anon_sym_L_SQUOTE] = ACTIONS(3738),
    [anon_sym_u_SQUOTE] = ACTIONS(3738),
    [anon_sym_U_SQUOTE] = ACTIONS(3738),
    [anon_sym_u8_SQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_L_DQUOTE] = ACTIONS(3740),
    [anon_sym_u_DQUOTE] = ACTIONS(3740),
    [anon_sym_U_DQUOTE] = ACTIONS(3740),
    [anon_sym_u8_DQUOTE] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [anon_sym_NULL] = ACTIONS(3684),
    [anon_sym_nullptr] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3744),
    [anon_sym_LR_DQUOTE] = ACTIONS(3744),
    [anon_sym_uR_DQUOTE] = ACTIONS(3744),
    [anon_sym_UR_DQUOTE] = ACTIONS(3744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3744),
    [anon_sym_co_await] = ACTIONS(3824),
    [anon_sym_new] = ACTIONS(3748),
    [anon_sym_requires] = ACTIONS(3694),
    [sym_this] = ACTIONS(3682),
  },
  [1817] = {
    [sym_expression] = STATE(4656),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1818] = {
    [sym_expression] = STATE(4640),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(5312),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1819] = {
    [sym_expression] = STATE(4642),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1820] = {
    [sym_expression] = STATE(4643),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1821] = {
    [sym_expression] = STATE(4644),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1822] = {
    [sym_expression] = STATE(4645),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1823] = {
    [sym_expression] = STATE(4646),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1824] = {
    [sym_expression] = STATE(4647),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1825] = {
    [sym_expression] = STATE(4648),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1826] = {
    [sym_expression] = STATE(4649),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1827] = {
    [sym_expression] = STATE(4650),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1828] = {
    [sym_expression] = STATE(4651),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1829] = {
    [sym_expression] = STATE(4653),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1830] = {
    [sym_expression] = STATE(4655),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1831] = {
    [sym_expression] = STATE(3797),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1832] = {
    [sym_expression] = STATE(4660),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1833] = {
    [sym_expression] = STATE(4657),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(5314),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1834] = {
    [sym_expression] = STATE(4662),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3835),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3835),
    [sym_call_expression] = STATE(3835),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3835),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3835),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3835),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3835),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4981),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_COLON_COLON] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(4224),
    [anon_sym_compl] = ACTIONS(4224),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_sizeof] = ACTIONS(4232),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(4234),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4220),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1835] = {
    [sym_expression] = STATE(3800),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1836] = {
    [sym_expression] = STATE(3801),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1837] = {
    [sym_expression] = STATE(3802),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1838] = {
    [sym_expression] = STATE(3803),
    [sym__string] = STATE(3850),
    [sym_conditional_expression] = STATE(4005),
    [sym_assignment_expression] = STATE(4005),
    [sym_pointer_expression] = STATE(3622),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_update_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_sizeof_expression] = STATE(4005),
    [sym_alignof_expression] = STATE(4005),
    [sym_offsetof_expression] = STATE(4005),
    [sym_generic_expression] = STATE(4005),
    [sym_subscript_expression] = STATE(3622),
    [sym_call_expression] = STATE(3622),
    [sym_gnu_asm_expression] = STATE(4005),
    [sym_extension_expression] = STATE(4005),
    [sym_field_expression] = STATE(3622),
    [sym_compound_literal_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(3622),
    [sym_char_literal] = STATE(3850),
    [sym_concatenated_string] = STATE(3850),
    [sym_string_literal] = STATE(2882),
    [sym_null] = STATE(4005),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7808),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4005),
    [sym_raw_string_literal] = STATE(2882),
    [sym_co_await_expression] = STATE(4005),
    [sym_new_expression] = STATE(4005),
    [sym_delete_expression] = STATE(4005),
    [sym_requires_clause] = STATE(4005),
    [sym_requires_expression] = STATE(4005),
    [sym_lambda_expression] = STATE(4005),
    [sym_lambda_capture_specifier] = STATE(5932),
    [sym_fold_expression] = STATE(4005),
    [sym_parameter_pack_expansion] = STATE(4005),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5706),
    [sym_qualified_identifier] = STATE(3622),
    [sym_qualified_type_identifier] = STATE(7808),
    [sym_user_defined_literal] = STATE(3622),
    [sym_identifier] = ACTIONS(3908),
    [anon_sym_LPAREN2] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym___extension__] = ACTIONS(3910),
    [anon_sym_COLON_COLON] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3914),
    [anon_sym_not] = ACTIONS(1849),
    [anon_sym_compl] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1883),
    [anon_sym_u_SQUOTE] = ACTIONS(1883),
    [anon_sym_U_SQUOTE] = ACTIONS(1883),
    [anon_sym_u8_SQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [anon_sym_L_DQUOTE] = ACTIONS(1885),
    [anon_sym_u_DQUOTE] = ACTIONS(1885),
    [anon_sym_U_DQUOTE] = ACTIONS(1885),
    [anon_sym_u8_DQUOTE] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [anon_sym_NULL] = ACTIONS(1889),
    [anon_sym_nullptr] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_R_DQUOTE] = ACTIONS(1895),
    [anon_sym_LR_DQUOTE] = ACTIONS(1895),
    [anon_sym_uR_DQUOTE] = ACTIONS(1895),
    [anon_sym_UR_DQUOTE] = ACTIONS(1895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1895),
    [anon_sym_co_await] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_requires] = ACTIONS(1901),
    [sym_this] = ACTIONS(1887),
  },
  [1839] = {
    [sym_expression] = STATE(4813),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1840] = {
    [sym_expression] = STATE(4814),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1841] = {
    [sym_expression] = STATE(4815),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1842] = {
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4335),
    [sym_conditional_expression] = STATE(4067),
    [sym_assignment_expression] = STATE(4067),
    [sym_pointer_expression] = STATE(3499),
    [sym_unary_expression] = STATE(4067),
    [sym_binary_expression] = STATE(4067),
    [sym_update_expression] = STATE(4067),
    [sym_cast_expression] = STATE(4067),
    [sym_sizeof_expression] = STATE(4067),
    [sym_alignof_expression] = STATE(4067),
    [sym_offsetof_expression] = STATE(4067),
    [sym_generic_expression] = STATE(4067),
    [sym_subscript_expression] = STATE(3499),
    [sym_call_expression] = STATE(3499),
    [sym_gnu_asm_expression] = STATE(4067),
    [sym_extension_expression] = STATE(4067),
    [sym_field_expression] = STATE(3499),
    [sym_compound_literal_expression] = STATE(4067),
    [sym_parenthesized_expression] = STATE(3499),
    [sym_char_literal] = STATE(4335),
    [sym_concatenated_string] = STATE(4335),
    [sym_string_literal] = STATE(3298),
    [sym_null] = STATE(4067),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7756),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(4067),
    [sym_raw_string_literal] = STATE(3298),
    [sym_co_await_expression] = STATE(4067),
    [sym_new_expression] = STATE(4067),
    [sym_delete_expression] = STATE(4067),
    [sym_requires_clause] = STATE(4067),
    [sym_requires_expression] = STATE(4067),
    [sym_lambda_expression] = STATE(4067),
    [sym_lambda_capture_specifier] = STATE(5929),
    [sym_fold_expression] = STATE(4067),
    [sym_parameter_pack_expansion] = STATE(4067),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5719),
    [sym_qualified_identifier] = STATE(3499),
    [sym_qualified_type_identifier] = STATE(7756),
    [sym_user_defined_literal] = STATE(3499),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(221),
  },
  [1843] = {
    [sym_expression] = STATE(3405),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3822),
    [sym_assignment_expression] = STATE(3822),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(3822),
    [sym_binary_expression] = STATE(3822),
    [sym_update_expression] = STATE(3822),
    [sym_cast_expression] = STATE(3822),
    [sym_sizeof_expression] = STATE(3822),
    [sym_alignof_expression] = STATE(3822),
    [sym_offsetof_expression] = STATE(3822),
    [sym_generic_expression] = STATE(3822),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(3822),
    [sym_extension_expression] = STATE(3822),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(3822),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2761),
    [sym_null] = STATE(3822),
    [sym_decltype] = STATE(8731),
    [sym__class_name] = STATE(7643),
    [sym_template_type] = STATE(2244),
    [sym_template_function] = STATE(3822),
    [sym_raw_string_literal] = STATE(2761),
    [sym_co_await_expression] = STATE(3822),
    [sym_new_expression] = STATE(3822),
    [sym_delete_expression] = STATE(3822),
    [sym_requires_clause] = STATE(3822),
    [sym_requires_expression] = STATE(3822),
    [sym_lambda_expression] = STATE(3822),
    [sym_lambda_capture_specifier] = STATE(5898),
    [sym_fold_expression] = STATE(3822),
    [sym_parameter_pack_expansion] = STATE(3822),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5624),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7643),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_BANG] = ACTIONS(3830),
    [anon_sym_TILDE] = ACTIONS(3830),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3945),
    [anon_sym_AMP] = ACTIONS(3945),
    [anon_sym___extension__] = ACTIONS(3832),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [sym_primitive_type] = ACTIONS(3838),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_sizeof] = ACTIONS(3840),
    [anon_sym___alignof__] = ACTIONS(3842),
    [anon_sym___alignof] = ACTIONS(3842),
    [anon_sym__alignof] = ACTIONS(3842),
    [anon_sym_alignof] = ACTIONS(3842),
    [anon_sym__Alignof] = ACTIONS(3842),
    [anon_sym_offsetof] = ACTIONS(3844),
    [anon_sym__Generic] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3848),
    [anon_sym___asm__] = ACTIONS(3848),
    [anon_sym___asm] = ACTIONS(3848),
    [sym_number_literal] = ACTIONS(3850),
    [anon_sym_L_SQUOTE] = ACTIONS(3852),
    [anon_sym_u_SQUOTE] = ACTIONS(3852),
    [anon_sym_U_SQUOTE] = ACTIONS(3852),
    [anon_sym_u8_SQUOTE] = ACTIONS(3852),
    [anon_sym_SQUOTE] = ACTIONS(3852),
    [anon_sym_L_DQUOTE] = ACTIONS(3854),
    [anon_sym_u_DQUOTE] = ACTIONS(3854),
    [anon_sym_U_DQUOTE] = ACTIONS(3854),
    [anon_sym_u8_DQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3854),
    [sym_true] = ACTIONS(3856),
    [sym_false] = ACTIONS(3856),
    [anon_sym_NULL] = ACTIONS(3858),
    [anon_sym_nullptr] = ACTIONS(3858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(3860),
    [anon_sym_R_DQUOTE] = ACTIONS(3862),
    [anon_sym_LR_DQUOTE] = ACTIONS(3862),
    [anon_sym_uR_DQUOTE] = ACTIONS(3862),
    [anon_sym_UR_DQUOTE] = ACTIONS(3862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3862),
    [anon_sym_co_await] = ACTIONS(3864),
    [anon_sym_new] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3868),
    [sym_this] = ACTIONS(3856),
  },
  [1844] = {
    [sym_catch_clause] = STATE(1849),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2090),
    [aux_sym_preproc_def_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token2] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2090),
    [aux_sym_preproc_else_token1] = ACTIONS(2090),
    [aux_sym_preproc_elif_token1] = ACTIONS(2090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2090),
    [sym_preproc_directive] = ACTIONS(2090),
    [anon_sym_LPAREN2] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2092),
    [anon_sym_AMP_AMP] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2090),
    [anon_sym_out] = ACTIONS(2090),
    [anon_sym_inout] = ACTIONS(2090),
    [anon_sym_virtual] = ACTIONS(2090),
    [anon_sym_extern] = ACTIONS(2090),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2092),
    [anon_sym___declspec] = ACTIONS(2090),
    [anon_sym___based] = ACTIONS(2090),
    [anon_sym_signed] = ACTIONS(2090),
    [anon_sym_unsigned] = ACTIONS(2090),
    [anon_sym_long] = ACTIONS(2090),
    [anon_sym_short] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_static] = ACTIONS(2090),
    [anon_sym_register] = ACTIONS(2090),
    [anon_sym_inline] = ACTIONS(2090),
    [anon_sym___inline] = ACTIONS(2090),
    [anon_sym___inline__] = ACTIONS(2090),
    [anon_sym___forceinline] = ACTIONS(2090),
    [anon_sym_thread_local] = ACTIONS(2090),
    [anon_sym___thread] = ACTIONS(2090),
    [anon_sym_const] = ACTIONS(2090),
    [anon_sym_constexpr] = ACTIONS(2090),
    [anon_sym_volatile] = ACTIONS(2090),
    [anon_sym_restrict] = ACTIONS(2090),
    [anon_sym___restrict__] = ACTIONS(2090),
    [anon_sym__Atomic] = ACTIONS(2090),
    [anon_sym__Noreturn] = ACTIONS(2090),
    [anon_sym_noreturn] = ACTIONS(2090),
    [anon_sym__Nonnull] = ACTIONS(2090),
    [anon_sym_mutable] = ACTIONS(2090),
    [anon_sym_constinit] = ACTIONS(2090),
    [anon_sym_consteval] = ACTIONS(2090),
    [anon_sym_alignas] = ACTIONS(2090),
    [anon_sym__Alignas] = ACTIONS(2090),
    [sym_primitive_type] = ACTIONS(2090),
    [anon_sym_enum] = ACTIONS(2090),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2090),
    [anon_sym_decltype] = ACTIONS(2090),
    [anon_sym_explicit] = ACTIONS(2090),
    [anon_sym_typename] = ACTIONS(2090),
    [anon_sym_template] = ACTIONS(2090),
    [anon_sym_operator] = ACTIONS(2090),
    [anon_sym_friend] = ACTIONS(2090),
    [anon_sym_public] = ACTIONS(2090),
    [anon_sym_private] = ACTIONS(2090),
    [anon_sym_protected] = ACTIONS(2090),
    [anon_sym_using] = ACTIONS(2090),
    [anon_sym_static_assert] = ACTIONS(2090),
    [anon_sym_catch] = ACTIONS(5318),
    [anon_sym_precise] = ACTIONS(2090),
    [anon_sym_shared] = ACTIONS(2090),
    [anon_sym_groupshared] = ACTIONS(2090),
    [anon_sym_uniform] = ACTIONS(2090),
    [anon_sym_row_major] = ACTIONS(2090),
    [anon_sym_column_major] = ACTIONS(2090),
    [anon_sym_globallycoherent] = ACTIONS(2090),
    [anon_sym_centroid] = ACTIONS(2090),
    [anon_sym_noperspective] = ACTIONS(2090),
    [anon_sym_nointerpolation] = ACTIONS(2090),
    [anon_sym_sample] = ACTIONS(2090),
    [anon_sym_linear] = ACTIONS(2090),
    [anon_sym_snorm] = ACTIONS(2090),
    [anon_sym_unorm] = ACTIONS(2090),
    [anon_sym_point] = ACTIONS(2090),
    [anon_sym_line] = ACTIONS(2090),
    [anon_sym_triangleadj] = ACTIONS(2090),
    [anon_sym_lineadj] = ACTIONS(2090),
    [anon_sym_triangle] = ACTIONS(2090),
  },
  [1845] = {
    [sym_catch_clause] = STATE(1849),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2084),
    [aux_sym_preproc_def_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token2] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2084),
    [aux_sym_preproc_else_token1] = ACTIONS(2084),
    [aux_sym_preproc_elif_token1] = ACTIONS(2084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2084),
    [sym_preproc_directive] = ACTIONS(2084),
    [anon_sym_LPAREN2] = ACTIONS(2086),
    [anon_sym_TILDE] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2086),
    [anon_sym_AMP_AMP] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_typedef] = ACTIONS(2084),
    [anon_sym_in] = ACTIONS(2084),
    [anon_sym_out] = ACTIONS(2084),
    [anon_sym_inout] = ACTIONS(2084),
    [anon_sym_virtual] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2084),
    [anon_sym___attribute__] = ACTIONS(2084),
    [anon_sym_COLON_COLON] = ACTIONS(2086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2086),
    [anon_sym___declspec] = ACTIONS(2084),
    [anon_sym___based] = ACTIONS(2084),
    [anon_sym_signed] = ACTIONS(2084),
    [anon_sym_unsigned] = ACTIONS(2084),
    [anon_sym_long] = ACTIONS(2084),
    [anon_sym_short] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_register] = ACTIONS(2084),
    [anon_sym_inline] = ACTIONS(2084),
    [anon_sym___inline] = ACTIONS(2084),
    [anon_sym___inline__] = ACTIONS(2084),
    [anon_sym___forceinline] = ACTIONS(2084),
    [anon_sym_thread_local] = ACTIONS(2084),
    [anon_sym___thread] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_mutable] = ACTIONS(2084),
    [anon_sym_constinit] = ACTIONS(2084),
    [anon_sym_consteval] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2084),
    [anon_sym__Alignas] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2084),
    [anon_sym_struct] = ACTIONS(2084),
    [anon_sym_union] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2084),
    [anon_sym_decltype] = ACTIONS(2084),
    [anon_sym_explicit] = ACTIONS(2084),
    [anon_sym_typename] = ACTIONS(2084),
    [anon_sym_template] = ACTIONS(2084),
    [anon_sym_operator] = ACTIONS(2084),
    [anon_sym_friend] = ACTIONS(2084),
    [anon_sym_public] = ACTIONS(2084),
    [anon_sym_private] = ACTIONS(2084),
    [anon_sym_protected] = ACTIONS(2084),
    [anon_sym_using] = ACTIONS(2084),
    [anon_sym_static_assert] = ACTIONS(2084),
    [anon_sym_catch] = ACTIONS(5318),
    [anon_sym_precise] = ACTIONS(2084),
    [anon_sym_shared] = ACTIONS(2084),
    [anon_sym_groupshared] = ACTIONS(2084),
    [anon_sym_uniform] = ACTIONS(2084),
    [anon_sym_row_major] = ACTIONS(2084),
    [anon_sym_column_major] = ACTIONS(2084),
    [anon_sym_globallycoherent] = ACTIONS(2084),
    [anon_sym_centroid] = ACTIONS(2084),
    [anon_sym_noperspective] = ACTIONS(2084),
    [anon_sym_nointerpolation] = ACTIONS(2084),
    [anon_sym_sample] = ACTIONS(2084),
    [anon_sym_linear] = ACTIONS(2084),
    [anon_sym_snorm] = ACTIONS(2084),
    [anon_sym_unorm] = ACTIONS(2084),
    [anon_sym_point] = ACTIONS(2084),
    [anon_sym_line] = ACTIONS(2084),
    [anon_sym_triangleadj] = ACTIONS(2084),
    [anon_sym_lineadj] = ACTIONS(2084),
    [anon_sym_triangle] = ACTIONS(2084),
  },
  [1846] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7265),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7265),
    [sym_variadic_parameter_declaration] = STATE(7265),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5320),
    [anon_sym_RPAREN] = ACTIONS(5322),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1847] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7135),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7135),
    [sym_variadic_parameter_declaration] = STATE(7135),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5324),
    [anon_sym_RPAREN] = ACTIONS(5326),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1848] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7134),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7134),
    [sym_variadic_parameter_declaration] = STATE(7134),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5328),
    [anon_sym_RPAREN] = ACTIONS(5330),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1849] = {
    [sym_catch_clause] = STATE(1849),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2061),
    [aux_sym_preproc_def_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2061),
    [aux_sym_preproc_else_token1] = ACTIONS(2061),
    [aux_sym_preproc_elif_token1] = ACTIONS(2061),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2061),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2061),
    [sym_preproc_directive] = ACTIONS(2061),
    [anon_sym_LPAREN2] = ACTIONS(2063),
    [anon_sym_TILDE] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_AMP_AMP] = ACTIONS(2063),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2063),
    [anon_sym___extension__] = ACTIONS(2061),
    [anon_sym_typedef] = ACTIONS(2061),
    [anon_sym_in] = ACTIONS(2061),
    [anon_sym_out] = ACTIONS(2061),
    [anon_sym_inout] = ACTIONS(2061),
    [anon_sym_virtual] = ACTIONS(2061),
    [anon_sym_extern] = ACTIONS(2061),
    [anon_sym___attribute__] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym___declspec] = ACTIONS(2061),
    [anon_sym___based] = ACTIONS(2061),
    [anon_sym_signed] = ACTIONS(2061),
    [anon_sym_unsigned] = ACTIONS(2061),
    [anon_sym_long] = ACTIONS(2061),
    [anon_sym_short] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_static] = ACTIONS(2061),
    [anon_sym_register] = ACTIONS(2061),
    [anon_sym_inline] = ACTIONS(2061),
    [anon_sym___inline] = ACTIONS(2061),
    [anon_sym___inline__] = ACTIONS(2061),
    [anon_sym___forceinline] = ACTIONS(2061),
    [anon_sym_thread_local] = ACTIONS(2061),
    [anon_sym___thread] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(2061),
    [anon_sym_constexpr] = ACTIONS(2061),
    [anon_sym_volatile] = ACTIONS(2061),
    [anon_sym_restrict] = ACTIONS(2061),
    [anon_sym___restrict__] = ACTIONS(2061),
    [anon_sym__Atomic] = ACTIONS(2061),
    [anon_sym__Noreturn] = ACTIONS(2061),
    [anon_sym_noreturn] = ACTIONS(2061),
    [anon_sym__Nonnull] = ACTIONS(2061),
    [anon_sym_mutable] = ACTIONS(2061),
    [anon_sym_constinit] = ACTIONS(2061),
    [anon_sym_consteval] = ACTIONS(2061),
    [anon_sym_alignas] = ACTIONS(2061),
    [anon_sym__Alignas] = ACTIONS(2061),
    [sym_primitive_type] = ACTIONS(2061),
    [anon_sym_enum] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_struct] = ACTIONS(2061),
    [anon_sym_union] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2061),
    [anon_sym_decltype] = ACTIONS(2061),
    [anon_sym_explicit] = ACTIONS(2061),
    [anon_sym_typename] = ACTIONS(2061),
    [anon_sym_template] = ACTIONS(2061),
    [anon_sym_operator] = ACTIONS(2061),
    [anon_sym_friend] = ACTIONS(2061),
    [anon_sym_public] = ACTIONS(2061),
    [anon_sym_private] = ACTIONS(2061),
    [anon_sym_protected] = ACTIONS(2061),
    [anon_sym_using] = ACTIONS(2061),
    [anon_sym_static_assert] = ACTIONS(2061),
    [anon_sym_catch] = ACTIONS(5332),
    [anon_sym_precise] = ACTIONS(2061),
    [anon_sym_shared] = ACTIONS(2061),
    [anon_sym_groupshared] = ACTIONS(2061),
    [anon_sym_uniform] = ACTIONS(2061),
    [anon_sym_row_major] = ACTIONS(2061),
    [anon_sym_column_major] = ACTIONS(2061),
    [anon_sym_globallycoherent] = ACTIONS(2061),
    [anon_sym_centroid] = ACTIONS(2061),
    [anon_sym_noperspective] = ACTIONS(2061),
    [anon_sym_nointerpolation] = ACTIONS(2061),
    [anon_sym_sample] = ACTIONS(2061),
    [anon_sym_linear] = ACTIONS(2061),
    [anon_sym_snorm] = ACTIONS(2061),
    [anon_sym_unorm] = ACTIONS(2061),
    [anon_sym_point] = ACTIONS(2061),
    [anon_sym_line] = ACTIONS(2061),
    [anon_sym_triangleadj] = ACTIONS(2061),
    [anon_sym_lineadj] = ACTIONS(2061),
    [anon_sym_triangle] = ACTIONS(2061),
  },
  [1850] = {
    [sym_catch_clause] = STATE(1849),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2055),
    [aux_sym_preproc_def_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token2] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2055),
    [aux_sym_preproc_else_token1] = ACTIONS(2055),
    [aux_sym_preproc_elif_token1] = ACTIONS(2055),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2055),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2055),
    [sym_preproc_directive] = ACTIONS(2055),
    [anon_sym_LPAREN2] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym___extension__] = ACTIONS(2055),
    [anon_sym_typedef] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_out] = ACTIONS(2055),
    [anon_sym_inout] = ACTIONS(2055),
    [anon_sym_virtual] = ACTIONS(2055),
    [anon_sym_extern] = ACTIONS(2055),
    [anon_sym___attribute__] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2057),
    [anon_sym___declspec] = ACTIONS(2055),
    [anon_sym___based] = ACTIONS(2055),
    [anon_sym_signed] = ACTIONS(2055),
    [anon_sym_unsigned] = ACTIONS(2055),
    [anon_sym_long] = ACTIONS(2055),
    [anon_sym_short] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_register] = ACTIONS(2055),
    [anon_sym_inline] = ACTIONS(2055),
    [anon_sym___inline] = ACTIONS(2055),
    [anon_sym___inline__] = ACTIONS(2055),
    [anon_sym___forceinline] = ACTIONS(2055),
    [anon_sym_thread_local] = ACTIONS(2055),
    [anon_sym___thread] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_constexpr] = ACTIONS(2055),
    [anon_sym_volatile] = ACTIONS(2055),
    [anon_sym_restrict] = ACTIONS(2055),
    [anon_sym___restrict__] = ACTIONS(2055),
    [anon_sym__Atomic] = ACTIONS(2055),
    [anon_sym__Noreturn] = ACTIONS(2055),
    [anon_sym_noreturn] = ACTIONS(2055),
    [anon_sym__Nonnull] = ACTIONS(2055),
    [anon_sym_mutable] = ACTIONS(2055),
    [anon_sym_constinit] = ACTIONS(2055),
    [anon_sym_consteval] = ACTIONS(2055),
    [anon_sym_alignas] = ACTIONS(2055),
    [anon_sym__Alignas] = ACTIONS(2055),
    [sym_primitive_type] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_struct] = ACTIONS(2055),
    [anon_sym_union] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2055),
    [anon_sym_decltype] = ACTIONS(2055),
    [anon_sym_explicit] = ACTIONS(2055),
    [anon_sym_typename] = ACTIONS(2055),
    [anon_sym_template] = ACTIONS(2055),
    [anon_sym_operator] = ACTIONS(2055),
    [anon_sym_friend] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_static_assert] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(5318),
    [anon_sym_precise] = ACTIONS(2055),
    [anon_sym_shared] = ACTIONS(2055),
    [anon_sym_groupshared] = ACTIONS(2055),
    [anon_sym_uniform] = ACTIONS(2055),
    [anon_sym_row_major] = ACTIONS(2055),
    [anon_sym_column_major] = ACTIONS(2055),
    [anon_sym_globallycoherent] = ACTIONS(2055),
    [anon_sym_centroid] = ACTIONS(2055),
    [anon_sym_noperspective] = ACTIONS(2055),
    [anon_sym_nointerpolation] = ACTIONS(2055),
    [anon_sym_sample] = ACTIONS(2055),
    [anon_sym_linear] = ACTIONS(2055),
    [anon_sym_snorm] = ACTIONS(2055),
    [anon_sym_unorm] = ACTIONS(2055),
    [anon_sym_point] = ACTIONS(2055),
    [anon_sym_line] = ACTIONS(2055),
    [anon_sym_triangleadj] = ACTIONS(2055),
    [anon_sym_lineadj] = ACTIONS(2055),
    [anon_sym_triangle] = ACTIONS(2055),
  },
  [1851] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7346),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7346),
    [sym_variadic_parameter_declaration] = STATE(7346),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1905),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1852] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7199),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1853] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7902),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7902),
    [sym_variadic_parameter_declaration] = STATE(7902),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5335),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1854] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6135),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6751),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1855] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [aux_sym_preproc_else_token1] = ACTIONS(1973),
    [aux_sym_preproc_elif_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [1856] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6265),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6762),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6762),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1857] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6189),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6729),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6729),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1858] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6201),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6753),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6753),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1859] = {
    [sym_identifier] = ACTIONS(2108),
    [aux_sym_preproc_def_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token2] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2108),
    [aux_sym_preproc_else_token1] = ACTIONS(2108),
    [aux_sym_preproc_elif_token1] = ACTIONS(2108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2108),
    [sym_preproc_directive] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_TILDE] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2110),
    [anon_sym_AMP_AMP] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym___extension__] = ACTIONS(2108),
    [anon_sym_typedef] = ACTIONS(2108),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_out] = ACTIONS(2108),
    [anon_sym_inout] = ACTIONS(2108),
    [anon_sym_virtual] = ACTIONS(2108),
    [anon_sym_extern] = ACTIONS(2108),
    [anon_sym___attribute__] = ACTIONS(2108),
    [anon_sym_COLON_COLON] = ACTIONS(2110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2110),
    [anon_sym___declspec] = ACTIONS(2108),
    [anon_sym___based] = ACTIONS(2108),
    [anon_sym_signed] = ACTIONS(2108),
    [anon_sym_unsigned] = ACTIONS(2108),
    [anon_sym_long] = ACTIONS(2108),
    [anon_sym_short] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_register] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(2108),
    [anon_sym___inline] = ACTIONS(2108),
    [anon_sym___inline__] = ACTIONS(2108),
    [anon_sym___forceinline] = ACTIONS(2108),
    [anon_sym_thread_local] = ACTIONS(2108),
    [anon_sym___thread] = ACTIONS(2108),
    [anon_sym_const] = ACTIONS(2108),
    [anon_sym_constexpr] = ACTIONS(2108),
    [anon_sym_volatile] = ACTIONS(2108),
    [anon_sym_restrict] = ACTIONS(2108),
    [anon_sym___restrict__] = ACTIONS(2108),
    [anon_sym__Atomic] = ACTIONS(2108),
    [anon_sym__Noreturn] = ACTIONS(2108),
    [anon_sym_noreturn] = ACTIONS(2108),
    [anon_sym__Nonnull] = ACTIONS(2108),
    [anon_sym_mutable] = ACTIONS(2108),
    [anon_sym_constinit] = ACTIONS(2108),
    [anon_sym_consteval] = ACTIONS(2108),
    [anon_sym_alignas] = ACTIONS(2108),
    [anon_sym__Alignas] = ACTIONS(2108),
    [sym_primitive_type] = ACTIONS(2108),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2108),
    [anon_sym_union] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2108),
    [anon_sym_decltype] = ACTIONS(2108),
    [anon_sym_explicit] = ACTIONS(2108),
    [anon_sym_typename] = ACTIONS(2108),
    [anon_sym_template] = ACTIONS(2108),
    [anon_sym_operator] = ACTIONS(2108),
    [anon_sym_friend] = ACTIONS(2108),
    [anon_sym_public] = ACTIONS(2108),
    [anon_sym_private] = ACTIONS(2108),
    [anon_sym_protected] = ACTIONS(2108),
    [anon_sym_using] = ACTIONS(2108),
    [anon_sym_static_assert] = ACTIONS(2108),
    [anon_sym_catch] = ACTIONS(2108),
    [anon_sym_precise] = ACTIONS(2108),
    [anon_sym_shared] = ACTIONS(2108),
    [anon_sym_groupshared] = ACTIONS(2108),
    [anon_sym_uniform] = ACTIONS(2108),
    [anon_sym_row_major] = ACTIONS(2108),
    [anon_sym_column_major] = ACTIONS(2108),
    [anon_sym_globallycoherent] = ACTIONS(2108),
    [anon_sym_centroid] = ACTIONS(2108),
    [anon_sym_noperspective] = ACTIONS(2108),
    [anon_sym_nointerpolation] = ACTIONS(2108),
    [anon_sym_sample] = ACTIONS(2108),
    [anon_sym_linear] = ACTIONS(2108),
    [anon_sym_snorm] = ACTIONS(2108),
    [anon_sym_unorm] = ACTIONS(2108),
    [anon_sym_point] = ACTIONS(2108),
    [anon_sym_line] = ACTIONS(2108),
    [anon_sym_triangleadj] = ACTIONS(2108),
    [anon_sym_lineadj] = ACTIONS(2108),
    [anon_sym_triangle] = ACTIONS(2108),
  },
  [1860] = {
    [sym__declaration_modifiers] = STATE(2014),
    [sym__declaration_specifiers] = STATE(3984),
    [sym_attribute_specifier] = STATE(2014),
    [sym_attribute_declaration] = STATE(2014),
    [sym_ms_declspec_modifier] = STATE(2014),
    [sym_storage_class_specifier] = STATE(2014),
    [sym_type_qualifier] = STATE(2014),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_parameter_declaration] = STATE(7841),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_optional_parameter_declaration] = STATE(7841),
    [sym_variadic_parameter_declaration] = STATE(7841),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_out] = ACTIONS(1855),
    [anon_sym_inout] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1855),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1861] = {
    [sym_identifier] = ACTIONS(1937),
    [aux_sym_preproc_def_token1] = ACTIONS(1937),
    [aux_sym_preproc_if_token1] = ACTIONS(1937),
    [aux_sym_preproc_if_token2] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1937),
    [aux_sym_preproc_else_token1] = ACTIONS(1937),
    [aux_sym_preproc_elif_token1] = ACTIONS(1937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1937),
    [sym_preproc_directive] = ACTIONS(1937),
    [anon_sym_LPAREN2] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_AMP_AMP] = ACTIONS(1935),
    [anon_sym_AMP] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym___extension__] = ACTIONS(1937),
    [anon_sym_typedef] = ACTIONS(1937),
    [anon_sym_in] = ACTIONS(1937),
    [anon_sym_out] = ACTIONS(1937),
    [anon_sym_inout] = ACTIONS(1937),
    [anon_sym_virtual] = ACTIONS(1937),
    [anon_sym_extern] = ACTIONS(1937),
    [anon_sym___attribute__] = ACTIONS(1937),
    [anon_sym_COLON_COLON] = ACTIONS(1935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1935),
    [anon_sym___declspec] = ACTIONS(1937),
    [anon_sym___based] = ACTIONS(1937),
    [anon_sym_signed] = ACTIONS(1937),
    [anon_sym_unsigned] = ACTIONS(1937),
    [anon_sym_long] = ACTIONS(1937),
    [anon_sym_short] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1937),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_register] = ACTIONS(1937),
    [anon_sym_inline] = ACTIONS(1937),
    [anon_sym___inline] = ACTIONS(1937),
    [anon_sym___inline__] = ACTIONS(1937),
    [anon_sym___forceinline] = ACTIONS(1937),
    [anon_sym_thread_local] = ACTIONS(1937),
    [anon_sym___thread] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_constexpr] = ACTIONS(1937),
    [anon_sym_volatile] = ACTIONS(1937),
    [anon_sym_restrict] = ACTIONS(1937),
    [anon_sym___restrict__] = ACTIONS(1937),
    [anon_sym__Atomic] = ACTIONS(1937),
    [anon_sym__Noreturn] = ACTIONS(1937),
    [anon_sym_noreturn] = ACTIONS(1937),
    [anon_sym__Nonnull] = ACTIONS(1937),
    [anon_sym_mutable] = ACTIONS(1937),
    [anon_sym_constinit] = ACTIONS(1937),
    [anon_sym_consteval] = ACTIONS(1937),
    [anon_sym_alignas] = ACTIONS(1937),
    [anon_sym__Alignas] = ACTIONS(1937),
    [sym_primitive_type] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_struct] = ACTIONS(1937),
    [anon_sym_union] = ACTIONS(1937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1937),
    [anon_sym_decltype] = ACTIONS(1937),
    [anon_sym_explicit] = ACTIONS(1937),
    [anon_sym_typename] = ACTIONS(1937),
    [anon_sym_template] = ACTIONS(1937),
    [anon_sym_operator] = ACTIONS(1937),
    [anon_sym_friend] = ACTIONS(1937),
    [anon_sym_public] = ACTIONS(1937),
    [anon_sym_private] = ACTIONS(1937),
    [anon_sym_protected] = ACTIONS(1937),
    [anon_sym_using] = ACTIONS(1937),
    [anon_sym_static_assert] = ACTIONS(1937),
    [anon_sym_catch] = ACTIONS(1937),
    [anon_sym_precise] = ACTIONS(1937),
    [anon_sym_shared] = ACTIONS(1937),
    [anon_sym_groupshared] = ACTIONS(1937),
    [anon_sym_uniform] = ACTIONS(1937),
    [anon_sym_row_major] = ACTIONS(1937),
    [anon_sym_column_major] = ACTIONS(1937),
    [anon_sym_globallycoherent] = ACTIONS(1937),
    [anon_sym_centroid] = ACTIONS(1937),
    [anon_sym_noperspective] = ACTIONS(1937),
    [anon_sym_nointerpolation] = ACTIONS(1937),
    [anon_sym_sample] = ACTIONS(1937),
    [anon_sym_linear] = ACTIONS(1937),
    [anon_sym_snorm] = ACTIONS(1937),
    [anon_sym_unorm] = ACTIONS(1937),
    [anon_sym_point] = ACTIONS(1937),
    [anon_sym_line] = ACTIONS(1937),
    [anon_sym_triangleadj] = ACTIONS(1937),
    [anon_sym_lineadj] = ACTIONS(1937),
    [anon_sym_triangle] = ACTIONS(1937),
  },
  [1862] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6160),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6734),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6734),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1863] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6129),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6745),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6745),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1864] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [aux_sym_preproc_else_token1] = ACTIONS(1973),
    [aux_sym_preproc_elif_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [1865] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [aux_sym_preproc_else_token1] = ACTIONS(1973),
    [aux_sym_preproc_elif_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [1866] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6211),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6751),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1867] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6261),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1868] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6152),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6753),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6753),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1869] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6150),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6762),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6762),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1870] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_ms_based_modifier] = STATE(8590),
    [sym__declarator] = STATE(6701),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_function_declarator] = STATE(6156),
    [sym_array_declarator] = STATE(6325),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype] = STATE(8731),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_reference_declarator] = STATE(6325),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5584),
    [sym_qualified_identifier] = STATE(6325),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(6325),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5341),
    [anon_sym_out] = ACTIONS(5341),
    [anon_sym_inout] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [1871] = {
    [sym_identifier] = ACTIONS(5359),
    [aux_sym_preproc_def_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token2] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5359),
    [aux_sym_preproc_else_token1] = ACTIONS(5359),
    [aux_sym_preproc_elif_token1] = ACTIONS(5359),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5359),
    [sym_preproc_directive] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_AMP_AMP] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(5359),
    [anon_sym_typedef] = ACTIONS(5359),
    [anon_sym_in] = ACTIONS(5359),
    [anon_sym_out] = ACTIONS(5359),
    [anon_sym_inout] = ACTIONS(5359),
    [anon_sym_virtual] = ACTIONS(5359),
    [anon_sym_extern] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(5361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5361),
    [anon_sym___declspec] = ACTIONS(5359),
    [anon_sym___based] = ACTIONS(5359),
    [anon_sym_signed] = ACTIONS(5359),
    [anon_sym_unsigned] = ACTIONS(5359),
    [anon_sym_long] = ACTIONS(5359),
    [anon_sym_short] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_static] = ACTIONS(5359),
    [anon_sym_register] = ACTIONS(5359),
    [anon_sym_inline] = ACTIONS(5359),
    [anon_sym___inline] = ACTIONS(5359),
    [anon_sym___inline__] = ACTIONS(5359),
    [anon_sym___forceinline] = ACTIONS(5359),
    [anon_sym_thread_local] = ACTIONS(5359),
    [anon_sym___thread] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5359),
    [anon_sym_constexpr] = ACTIONS(5359),
    [anon_sym_volatile] = ACTIONS(5359),
    [anon_sym_restrict] = ACTIONS(5359),
    [anon_sym___restrict__] = ACTIONS(5359),
    [anon_sym__Atomic] = ACTIONS(5359),
    [anon_sym__Noreturn] = ACTIONS(5359),
    [anon_sym_noreturn] = ACTIONS(5359),
    [anon_sym__Nonnull] = ACTIONS(5359),
    [anon_sym_mutable] = ACTIONS(5359),
    [anon_sym_constinit] = ACTIONS(5359),
    [anon_sym_consteval] = ACTIONS(5359),
    [anon_sym_alignas] = ACTIONS(5359),
    [anon_sym__Alignas] = ACTIONS(5359),
    [sym_primitive_type] = ACTIONS(5359),
    [anon_sym_enum] = ACTIONS(5359),
    [anon_sym_class] = ACTIONS(5359),
    [anon_sym_struct] = ACTIONS(5359),
    [anon_sym_union] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5359),
    [anon_sym_decltype] = ACTIONS(5359),
    [anon_sym_explicit] = ACTIONS(5359),
    [anon_sym_typename] = ACTIONS(5359),
    [anon_sym_template] = ACTIONS(5359),
    [anon_sym_operator] = ACTIONS(5359),
    [anon_sym_friend] = ACTIONS(5359),
    [anon_sym_public] = ACTIONS(5359),
    [anon_sym_private] = ACTIONS(5359),
    [anon_sym_protected] = ACTIONS(5359),
    [anon_sym_using] = ACTIONS(5359),
    [anon_sym_static_assert] = ACTIONS(5359),
    [anon_sym_precise] = ACTIONS(5359),
    [anon_sym_shared] = ACTIONS(5359),
    [anon_sym_groupshared] = ACTIONS(5359),
    [anon_sym_uniform] = ACTIONS(5359),
    [anon_sym_row_major] = ACTIONS(5359),
    [anon_sym_column_major] = ACTIONS(5359),
    [anon_sym_globallycoherent] = ACTIONS(5359),
    [anon_sym_centroid] = ACTIONS(5359),
    [anon_sym_noperspective] = ACTIONS(5359),
    [anon_sym_nointerpolation] = ACTIONS(5359),
    [anon_sym_sample] = ACTIONS(5359),
    [anon_sym_linear] = ACTIONS(5359),
    [anon_sym_snorm] = ACTIONS(5359),
    [anon_sym_unorm] = ACTIONS(5359),
    [anon_sym_point] = ACTIONS(5359),
    [anon_sym_line] = ACTIONS(5359),
    [anon_sym_triangleadj] = ACTIONS(5359),
    [anon_sym_lineadj] = ACTIONS(5359),
    [anon_sym_triangle] = ACTIONS(5359),
  },
  [1872] = {
    [sym_identifier] = ACTIONS(5363),
    [aux_sym_preproc_def_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token2] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5363),
    [aux_sym_preproc_else_token1] = ACTIONS(5363),
    [aux_sym_preproc_elif_token1] = ACTIONS(5363),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5363),
    [sym_preproc_directive] = ACTIONS(5363),
    [anon_sym_LPAREN2] = ACTIONS(5365),
    [anon_sym_TILDE] = ACTIONS(5365),
    [anon_sym_STAR] = ACTIONS(5365),
    [anon_sym_AMP_AMP] = ACTIONS(5365),
    [anon_sym_AMP] = ACTIONS(5363),
    [anon_sym_SEMI] = ACTIONS(5365),
    [anon_sym___extension__] = ACTIONS(5363),
    [anon_sym_typedef] = ACTIONS(5363),
    [anon_sym_in] = ACTIONS(5363),
    [anon_sym_out] = ACTIONS(5363),
    [anon_sym_inout] = ACTIONS(5363),
    [anon_sym_virtual] = ACTIONS(5363),
    [anon_sym_extern] = ACTIONS(5363),
    [anon_sym___attribute__] = ACTIONS(5363),
    [anon_sym_COLON_COLON] = ACTIONS(5365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5365),
    [anon_sym___declspec] = ACTIONS(5363),
    [anon_sym___based] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(5363),
    [anon_sym_unsigned] = ACTIONS(5363),
    [anon_sym_long] = ACTIONS(5363),
    [anon_sym_short] = ACTIONS(5363),
    [anon_sym_LBRACK] = ACTIONS(5363),
    [anon_sym_static] = ACTIONS(5363),
    [anon_sym_register] = ACTIONS(5363),
    [anon_sym_inline] = ACTIONS(5363),
    [anon_sym___inline] = ACTIONS(5363),
    [anon_sym___inline__] = ACTIONS(5363),
    [anon_sym___forceinline] = ACTIONS(5363),
    [anon_sym_thread_local] = ACTIONS(5363),
    [anon_sym___thread] = ACTIONS(5363),
    [anon_sym_const] = ACTIONS(5363),
    [anon_sym_constexpr] = ACTIONS(5363),
    [anon_sym_volatile] = ACTIONS(5363),
    [anon_sym_restrict] = ACTIONS(5363),
    [anon_sym___restrict__] = ACTIONS(5363),
    [anon_sym__Atomic] = ACTIONS(5363),
    [anon_sym__Noreturn] = ACTIONS(5363),
    [anon_sym_noreturn] = ACTIONS(5363),
    [anon_sym__Nonnull] = ACTIONS(5363),
    [anon_sym_mutable] = ACTIONS(5363),
    [anon_sym_constinit] = ACTIONS(5363),
    [anon_sym_consteval] = ACTIONS(5363),
    [anon_sym_alignas] = ACTIONS(5363),
    [anon_sym__Alignas] = ACTIONS(5363),
    [sym_primitive_type] = ACTIONS(5363),
    [anon_sym_enum] = ACTIONS(5363),
    [anon_sym_class] = ACTIONS(5363),
    [anon_sym_struct] = ACTIONS(5363),
    [anon_sym_union] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5363),
    [anon_sym_decltype] = ACTIONS(5363),
    [anon_sym_explicit] = ACTIONS(5363),
    [anon_sym_typename] = ACTIONS(5363),
    [anon_sym_template] = ACTIONS(5363),
    [anon_sym_operator] = ACTIONS(5363),
    [anon_sym_friend] = ACTIONS(5363),
    [anon_sym_public] = ACTIONS(5363),
    [anon_sym_private] = ACTIONS(5363),
    [anon_sym_protected] = ACTIONS(5363),
    [anon_sym_using] = ACTIONS(5363),
    [anon_sym_static_assert] = ACTIONS(5363),
    [anon_sym_precise] = ACTIONS(5363),
    [anon_sym_shared] = ACTIONS(5363),
    [anon_sym_groupshared] = ACTIONS(5363),
    [anon_sym_uniform] = ACTIONS(5363),
    [anon_sym_row_major] = ACTIONS(5363),
    [anon_sym_column_major] = ACTIONS(5363),
    [anon_sym_globallycoherent] = ACTIONS(5363),
    [anon_sym_centroid] = ACTIONS(5363),
    [anon_sym_noperspective] = ACTIONS(5363),
    [anon_sym_nointerpolation] = ACTIONS(5363),
    [anon_sym_sample] = ACTIONS(5363),
    [anon_sym_linear] = ACTIONS(5363),
    [anon_sym_snorm] = ACTIONS(5363),
    [anon_sym_unorm] = ACTIONS(5363),
    [anon_sym_point] = ACTIONS(5363),
    [anon_sym_line] = ACTIONS(5363),
    [anon_sym_triangleadj] = ACTIONS(5363),
    [anon_sym_lineadj] = ACTIONS(5363),
    [anon_sym_triangle] = ACTIONS(5363),
  },
  [1873] = {
    [sym_identifier] = ACTIONS(5367),
    [aux_sym_preproc_def_token1] = ACTIONS(5367),
    [aux_sym_preproc_if_token1] = ACTIONS(5367),
    [aux_sym_preproc_if_token2] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5367),
    [aux_sym_preproc_else_token1] = ACTIONS(5367),
    [aux_sym_preproc_elif_token1] = ACTIONS(5367),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5367),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5367),
    [sym_preproc_directive] = ACTIONS(5367),
    [anon_sym_LPAREN2] = ACTIONS(5369),
    [anon_sym_TILDE] = ACTIONS(5369),
    [anon_sym_STAR] = ACTIONS(5369),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_AMP] = ACTIONS(5367),
    [anon_sym_SEMI] = ACTIONS(5369),
    [anon_sym___extension__] = ACTIONS(5367),
    [anon_sym_typedef] = ACTIONS(5367),
    [anon_sym_in] = ACTIONS(5367),
    [anon_sym_out] = ACTIONS(5367),
    [anon_sym_inout] = ACTIONS(5367),
    [anon_sym_virtual] = ACTIONS(5367),
    [anon_sym_extern] = ACTIONS(5367),
    [anon_sym___attribute__] = ACTIONS(5367),
    [anon_sym_COLON_COLON] = ACTIONS(5369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5369),
    [anon_sym___declspec] = ACTIONS(5367),
    [anon_sym___based] = ACTIONS(5367),
    [anon_sym_signed] = ACTIONS(5367),
    [anon_sym_unsigned] = ACTIONS(5367),
    [anon_sym_long] = ACTIONS(5367),
    [anon_sym_short] = ACTIONS(5367),
    [anon_sym_LBRACK] = ACTIONS(5367),
    [anon_sym_static] = ACTIONS(5367),
    [anon_sym_register] = ACTIONS(5367),
    [anon_sym_inline] = ACTIONS(5367),
    [anon_sym___inline] = ACTIONS(5367),
    [anon_sym___inline__] = ACTIONS(5367),
    [anon_sym___forceinline] = ACTIONS(5367),
    [anon_sym_thread_local] = ACTIONS(5367),
    [anon_sym___thread] = ACTIONS(5367),
    [anon_sym_const] = ACTIONS(5367),
    [anon_sym_constexpr] = ACTIONS(5367),
    [anon_sym_volatile] = ACTIONS(5367),
    [anon_sym_restrict] = ACTIONS(5367),
    [anon_sym___restrict__] = ACTIONS(5367),
    [anon_sym__Atomic] = ACTIONS(5367),
    [anon_sym__Noreturn] = ACTIONS(5367),
    [anon_sym_noreturn] = ACTIONS(5367),
    [anon_sym__Nonnull] = ACTIONS(5367),
    [anon_sym_mutable] = ACTIONS(5367),
    [anon_sym_constinit] = ACTIONS(5367),
    [anon_sym_consteval] = ACTIONS(5367),
    [anon_sym_alignas] = ACTIONS(5367),
    [anon_sym__Alignas] = ACTIONS(5367),
    [sym_primitive_type] = ACTIONS(5367),
    [anon_sym_enum] = ACTIONS(5367),
    [anon_sym_class] = ACTIONS(5367),
    [anon_sym_struct] = ACTIONS(5367),
    [anon_sym_union] = ACTIONS(5367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5367),
    [anon_sym_decltype] = ACTIONS(5367),
    [anon_sym_explicit] = ACTIONS(5367),
    [anon_sym_typename] = ACTIONS(5367),
    [anon_sym_template] = ACTIONS(5367),
    [anon_sym_operator] = ACTIONS(5367),
    [anon_sym_friend] = ACTIONS(5367),
    [anon_sym_public] = ACTIONS(5367),
    [anon_sym_private] = ACTIONS(5367),
    [anon_sym_protected] = ACTIONS(5367),
    [anon_sym_using] = ACTIONS(5367),
    [anon_sym_static_assert] = ACTIONS(5367),
    [anon_sym_precise] = ACTIONS(5367),
    [anon_sym_shared] = ACTIONS(5367),
    [anon_sym_groupshared] = ACTIONS(5367),
    [anon_sym_uniform] = ACTIONS(5367),
    [anon_sym_row_major] = ACTIONS(5367),
    [anon_sym_column_major] = ACTIONS(5367),
    [anon_sym_globallycoherent] = ACTIONS(5367),
    [anon_sym_centroid] = ACTIONS(5367),
    [anon_sym_noperspective] = ACTIONS(5367),
    [anon_sym_nointerpolation] = ACTIONS(5367),
    [anon_sym_sample] = ACTIONS(5367),
    [anon_sym_linear] = ACTIONS(5367),
    [anon_sym_snorm] = ACTIONS(5367),
    [anon_sym_unorm] = ACTIONS(5367),
    [anon_sym_point] = ACTIONS(5367),
    [anon_sym_line] = ACTIONS(5367),
    [anon_sym_triangleadj] = ACTIONS(5367),
    [anon_sym_lineadj] = ACTIONS(5367),
    [anon_sym_triangle] = ACTIONS(5367),
  },
  [1874] = {
    [sym_identifier] = ACTIONS(2126),
    [aux_sym_preproc_def_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token2] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2126),
    [aux_sym_preproc_else_token1] = ACTIONS(2126),
    [aux_sym_preproc_elif_token1] = ACTIONS(2126),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2126),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2126),
    [sym_preproc_directive] = ACTIONS(2126),
    [anon_sym_LPAREN2] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_AMP_AMP] = ACTIONS(2128),
    [anon_sym_AMP] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2126),
    [anon_sym_in] = ACTIONS(2126),
    [anon_sym_out] = ACTIONS(2126),
    [anon_sym_inout] = ACTIONS(2126),
    [anon_sym_virtual] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2126),
    [anon_sym___attribute__] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2128),
    [anon_sym___declspec] = ACTIONS(2126),
    [anon_sym___based] = ACTIONS(2126),
    [anon_sym_signed] = ACTIONS(2126),
    [anon_sym_unsigned] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_register] = ACTIONS(2126),
    [anon_sym_inline] = ACTIONS(2126),
    [anon_sym___inline] = ACTIONS(2126),
    [anon_sym___inline__] = ACTIONS(2126),
    [anon_sym___forceinline] = ACTIONS(2126),
    [anon_sym_thread_local] = ACTIONS(2126),
    [anon_sym___thread] = ACTIONS(2126),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_constexpr] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_restrict] = ACTIONS(2126),
    [anon_sym___restrict__] = ACTIONS(2126),
    [anon_sym__Atomic] = ACTIONS(2126),
    [anon_sym__Noreturn] = ACTIONS(2126),
    [anon_sym_noreturn] = ACTIONS(2126),
    [anon_sym__Nonnull] = ACTIONS(2126),
    [anon_sym_mutable] = ACTIONS(2126),
    [anon_sym_constinit] = ACTIONS(2126),
    [anon_sym_consteval] = ACTIONS(2126),
    [anon_sym_alignas] = ACTIONS(2126),
    [anon_sym__Alignas] = ACTIONS(2126),
    [sym_primitive_type] = ACTIONS(2126),
    [anon_sym_enum] = ACTIONS(2126),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2126),
    [anon_sym_union] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2126),
    [anon_sym_decltype] = ACTIONS(2126),
    [anon_sym_explicit] = ACTIONS(2126),
    [anon_sym_typename] = ACTIONS(2126),
    [anon_sym_template] = ACTIONS(2126),
    [anon_sym_operator] = ACTIONS(2126),
    [anon_sym_friend] = ACTIONS(2126),
    [anon_sym_public] = ACTIONS(2126),
    [anon_sym_private] = ACTIONS(2126),
    [anon_sym_protected] = ACTIONS(2126),
    [anon_sym_using] = ACTIONS(2126),
    [anon_sym_static_assert] = ACTIONS(2126),
    [anon_sym_precise] = ACTIONS(2126),
    [anon_sym_shared] = ACTIONS(2126),
    [anon_sym_groupshared] = ACTIONS(2126),
    [anon_sym_uniform] = ACTIONS(2126),
    [anon_sym_row_major] = ACTIONS(2126),
    [anon_sym_column_major] = ACTIONS(2126),
    [anon_sym_globallycoherent] = ACTIONS(2126),
    [anon_sym_centroid] = ACTIONS(2126),
    [anon_sym_noperspective] = ACTIONS(2126),
    [anon_sym_nointerpolation] = ACTIONS(2126),
    [anon_sym_sample] = ACTIONS(2126),
    [anon_sym_linear] = ACTIONS(2126),
    [anon_sym_snorm] = ACTIONS(2126),
    [anon_sym_unorm] = ACTIONS(2126),
    [anon_sym_point] = ACTIONS(2126),
    [anon_sym_line] = ACTIONS(2126),
    [anon_sym_triangleadj] = ACTIONS(2126),
    [anon_sym_lineadj] = ACTIONS(2126),
    [anon_sym_triangle] = ACTIONS(2126),
  },
  [1875] = {
    [sym_identifier] = ACTIONS(2130),
    [aux_sym_preproc_def_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token2] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2130),
    [aux_sym_preproc_else_token1] = ACTIONS(2130),
    [aux_sym_preproc_elif_token1] = ACTIONS(2130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2130),
    [sym_preproc_directive] = ACTIONS(2130),
    [anon_sym_LPAREN2] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_AMP_AMP] = ACTIONS(2132),
    [anon_sym_AMP] = ACTIONS(2130),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym___extension__] = ACTIONS(2130),
    [anon_sym_typedef] = ACTIONS(2130),
    [anon_sym_in] = ACTIONS(2130),
    [anon_sym_out] = ACTIONS(2130),
    [anon_sym_inout] = ACTIONS(2130),
    [anon_sym_virtual] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2130),
    [anon_sym___attribute__] = ACTIONS(2130),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2132),
    [anon_sym___declspec] = ACTIONS(2130),
    [anon_sym___based] = ACTIONS(2130),
    [anon_sym_signed] = ACTIONS(2130),
    [anon_sym_unsigned] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [anon_sym_register] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2130),
    [anon_sym___inline] = ACTIONS(2130),
    [anon_sym___inline__] = ACTIONS(2130),
    [anon_sym___forceinline] = ACTIONS(2130),
    [anon_sym_thread_local] = ACTIONS(2130),
    [anon_sym___thread] = ACTIONS(2130),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_constexpr] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_restrict] = ACTIONS(2130),
    [anon_sym___restrict__] = ACTIONS(2130),
    [anon_sym__Atomic] = ACTIONS(2130),
    [anon_sym__Noreturn] = ACTIONS(2130),
    [anon_sym_noreturn] = ACTIONS(2130),
    [anon_sym__Nonnull] = ACTIONS(2130),
    [anon_sym_mutable] = ACTIONS(2130),
    [anon_sym_constinit] = ACTIONS(2130),
    [anon_sym_consteval] = ACTIONS(2130),
    [anon_sym_alignas] = ACTIONS(2130),
    [anon_sym__Alignas] = ACTIONS(2130),
    [sym_primitive_type] = ACTIONS(2130),
    [anon_sym_enum] = ACTIONS(2130),
    [anon_sym_class] = ACTIONS(2130),
    [anon_sym_struct] = ACTIONS(2130),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2130),
    [anon_sym_decltype] = ACTIONS(2130),
    [anon_sym_explicit] = ACTIONS(2130),
    [anon_sym_typename] = ACTIONS(2130),
    [anon_sym_template] = ACTIONS(2130),
    [anon_sym_operator] = ACTIONS(2130),
    [anon_sym_friend] = ACTIONS(2130),
    [anon_sym_public] = ACTIONS(2130),
    [anon_sym_private] = ACTIONS(2130),
    [anon_sym_protected] = ACTIONS(2130),
    [anon_sym_using] = ACTIONS(2130),
    [anon_sym_static_assert] = ACTIONS(2130),
    [anon_sym_precise] = ACTIONS(2130),
    [anon_sym_shared] = ACTIONS(2130),
    [anon_sym_groupshared] = ACTIONS(2130),
    [anon_sym_uniform] = ACTIONS(2130),
    [anon_sym_row_major] = ACTIONS(2130),
    [anon_sym_column_major] = ACTIONS(2130),
    [anon_sym_globallycoherent] = ACTIONS(2130),
    [anon_sym_centroid] = ACTIONS(2130),
    [anon_sym_noperspective] = ACTIONS(2130),
    [anon_sym_nointerpolation] = ACTIONS(2130),
    [anon_sym_sample] = ACTIONS(2130),
    [anon_sym_linear] = ACTIONS(2130),
    [anon_sym_snorm] = ACTIONS(2130),
    [anon_sym_unorm] = ACTIONS(2130),
    [anon_sym_point] = ACTIONS(2130),
    [anon_sym_line] = ACTIONS(2130),
    [anon_sym_triangleadj] = ACTIONS(2130),
    [anon_sym_lineadj] = ACTIONS(2130),
    [anon_sym_triangle] = ACTIONS(2130),
  },
  [1876] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_friend] = ACTIONS(2629),
    [anon_sym_public] = ACTIONS(2629),
    [anon_sym_private] = ACTIONS(2629),
    [anon_sym_protected] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
  },
  [1877] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
  },
  [1878] = {
    [sym_identifier] = ACTIONS(5371),
    [aux_sym_preproc_def_token1] = ACTIONS(5371),
    [aux_sym_preproc_if_token1] = ACTIONS(5371),
    [aux_sym_preproc_if_token2] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5371),
    [aux_sym_preproc_else_token1] = ACTIONS(5371),
    [aux_sym_preproc_elif_token1] = ACTIONS(5371),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5371),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5371),
    [sym_preproc_directive] = ACTIONS(5371),
    [anon_sym_LPAREN2] = ACTIONS(5373),
    [anon_sym_TILDE] = ACTIONS(5373),
    [anon_sym_STAR] = ACTIONS(5373),
    [anon_sym_AMP_AMP] = ACTIONS(5373),
    [anon_sym_AMP] = ACTIONS(5371),
    [anon_sym_SEMI] = ACTIONS(5373),
    [anon_sym___extension__] = ACTIONS(5371),
    [anon_sym_typedef] = ACTIONS(5371),
    [anon_sym_in] = ACTIONS(5371),
    [anon_sym_out] = ACTIONS(5371),
    [anon_sym_inout] = ACTIONS(5371),
    [anon_sym_virtual] = ACTIONS(5371),
    [anon_sym_extern] = ACTIONS(5371),
    [anon_sym___attribute__] = ACTIONS(5371),
    [anon_sym_COLON_COLON] = ACTIONS(5373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5373),
    [anon_sym___declspec] = ACTIONS(5371),
    [anon_sym___based] = ACTIONS(5371),
    [anon_sym_signed] = ACTIONS(5371),
    [anon_sym_unsigned] = ACTIONS(5371),
    [anon_sym_long] = ACTIONS(5371),
    [anon_sym_short] = ACTIONS(5371),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym_static] = ACTIONS(5371),
    [anon_sym_register] = ACTIONS(5371),
    [anon_sym_inline] = ACTIONS(5371),
    [anon_sym___inline] = ACTIONS(5371),
    [anon_sym___inline__] = ACTIONS(5371),
    [anon_sym___forceinline] = ACTIONS(5371),
    [anon_sym_thread_local] = ACTIONS(5371),
    [anon_sym___thread] = ACTIONS(5371),
    [anon_sym_const] = ACTIONS(5371),
    [anon_sym_constexpr] = ACTIONS(5371),
    [anon_sym_volatile] = ACTIONS(5371),
    [anon_sym_restrict] = ACTIONS(5371),
    [anon_sym___restrict__] = ACTIONS(5371),
    [anon_sym__Atomic] = ACTIONS(5371),
    [anon_sym__Noreturn] = ACTIONS(5371),
    [anon_sym_noreturn] = ACTIONS(5371),
    [anon_sym__Nonnull] = ACTIONS(5371),
    [anon_sym_mutable] = ACTIONS(5371),
    [anon_sym_constinit] = ACTIONS(5371),
    [anon_sym_consteval] = ACTIONS(5371),
    [anon_sym_alignas] = ACTIONS(5371),
    [anon_sym__Alignas] = ACTIONS(5371),
    [sym_primitive_type] = ACTIONS(5371),
    [anon_sym_enum] = ACTIONS(5371),
    [anon_sym_class] = ACTIONS(5371),
    [anon_sym_struct] = ACTIONS(5371),
    [anon_sym_union] = ACTIONS(5371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5371),
    [anon_sym_decltype] = ACTIONS(5371),
    [anon_sym_explicit] = ACTIONS(5371),
    [anon_sym_typename] = ACTIONS(5371),
    [anon_sym_template] = ACTIONS(5371),
    [anon_sym_operator] = ACTIONS(5371),
    [anon_sym_friend] = ACTIONS(5371),
    [anon_sym_public] = ACTIONS(5371),
    [anon_sym_private] = ACTIONS(5371),
    [anon_sym_protected] = ACTIONS(5371),
    [anon_sym_using] = ACTIONS(5371),
    [anon_sym_static_assert] = ACTIONS(5371),
    [anon_sym_precise] = ACTIONS(5371),
    [anon_sym_shared] = ACTIONS(5371),
    [anon_sym_groupshared] = ACTIONS(5371),
    [anon_sym_uniform] = ACTIONS(5371),
    [anon_sym_row_major] = ACTIONS(5371),
    [anon_sym_column_major] = ACTIONS(5371),
    [anon_sym_globallycoherent] = ACTIONS(5371),
    [anon_sym_centroid] = ACTIONS(5371),
    [anon_sym_noperspective] = ACTIONS(5371),
    [anon_sym_nointerpolation] = ACTIONS(5371),
    [anon_sym_sample] = ACTIONS(5371),
    [anon_sym_linear] = ACTIONS(5371),
    [anon_sym_snorm] = ACTIONS(5371),
    [anon_sym_unorm] = ACTIONS(5371),
    [anon_sym_point] = ACTIONS(5371),
    [anon_sym_line] = ACTIONS(5371),
    [anon_sym_triangleadj] = ACTIONS(5371),
    [anon_sym_lineadj] = ACTIONS(5371),
    [anon_sym_triangle] = ACTIONS(5371),
  },
  [1879] = {
    [sym_identifier] = ACTIONS(5375),
    [aux_sym_preproc_def_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token2] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5375),
    [aux_sym_preproc_else_token1] = ACTIONS(5375),
    [aux_sym_preproc_elif_token1] = ACTIONS(5375),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5375),
    [sym_preproc_directive] = ACTIONS(5375),
    [anon_sym_LPAREN2] = ACTIONS(5377),
    [anon_sym_TILDE] = ACTIONS(5377),
    [anon_sym_STAR] = ACTIONS(5377),
    [anon_sym_AMP_AMP] = ACTIONS(5377),
    [anon_sym_AMP] = ACTIONS(5375),
    [anon_sym_SEMI] = ACTIONS(5377),
    [anon_sym___extension__] = ACTIONS(5375),
    [anon_sym_typedef] = ACTIONS(5375),
    [anon_sym_in] = ACTIONS(5375),
    [anon_sym_out] = ACTIONS(5375),
    [anon_sym_inout] = ACTIONS(5375),
    [anon_sym_virtual] = ACTIONS(5375),
    [anon_sym_extern] = ACTIONS(5375),
    [anon_sym___attribute__] = ACTIONS(5375),
    [anon_sym_COLON_COLON] = ACTIONS(5377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5377),
    [anon_sym___declspec] = ACTIONS(5375),
    [anon_sym___based] = ACTIONS(5375),
    [anon_sym_signed] = ACTIONS(5375),
    [anon_sym_unsigned] = ACTIONS(5375),
    [anon_sym_long] = ACTIONS(5375),
    [anon_sym_short] = ACTIONS(5375),
    [anon_sym_LBRACK] = ACTIONS(5375),
    [anon_sym_static] = ACTIONS(5375),
    [anon_sym_register] = ACTIONS(5375),
    [anon_sym_inline] = ACTIONS(5375),
    [anon_sym___inline] = ACTIONS(5375),
    [anon_sym___inline__] = ACTIONS(5375),
    [anon_sym___forceinline] = ACTIONS(5375),
    [anon_sym_thread_local] = ACTIONS(5375),
    [anon_sym___thread] = ACTIONS(5375),
    [anon_sym_const] = ACTIONS(5375),
    [anon_sym_constexpr] = ACTIONS(5375),
    [anon_sym_volatile] = ACTIONS(5375),
    [anon_sym_restrict] = ACTIONS(5375),
    [anon_sym___restrict__] = ACTIONS(5375),
    [anon_sym__Atomic] = ACTIONS(5375),
    [anon_sym__Noreturn] = ACTIONS(5375),
    [anon_sym_noreturn] = ACTIONS(5375),
    [anon_sym__Nonnull] = ACTIONS(5375),
    [anon_sym_mutable] = ACTIONS(5375),
    [anon_sym_constinit] = ACTIONS(5375),
    [anon_sym_consteval] = ACTIONS(5375),
    [anon_sym_alignas] = ACTIONS(5375),
    [anon_sym__Alignas] = ACTIONS(5375),
    [sym_primitive_type] = ACTIONS(5375),
    [anon_sym_enum] = ACTIONS(5375),
    [anon_sym_class] = ACTIONS(5375),
    [anon_sym_struct] = ACTIONS(5375),
    [anon_sym_union] = ACTIONS(5375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5375),
    [anon_sym_decltype] = ACTIONS(5375),
    [anon_sym_explicit] = ACTIONS(5375),
    [anon_sym_typename] = ACTIONS(5375),
    [anon_sym_template] = ACTIONS(5375),
    [anon_sym_operator] = ACTIONS(5375),
    [anon_sym_friend] = ACTIONS(5375),
    [anon_sym_public] = ACTIONS(5375),
    [anon_sym_private] = ACTIONS(5375),
    [anon_sym_protected] = ACTIONS(5375),
    [anon_sym_using] = ACTIONS(5375),
    [anon_sym_static_assert] = ACTIONS(5375),
    [anon_sym_precise] = ACTIONS(5375),
    [anon_sym_shared] = ACTIONS(5375),
    [anon_sym_groupshared] = ACTIONS(5375),
    [anon_sym_uniform] = ACTIONS(5375),
    [anon_sym_row_major] = ACTIONS(5375),
    [anon_sym_column_major] = ACTIONS(5375),
    [anon_sym_globallycoherent] = ACTIONS(5375),
    [anon_sym_centroid] = ACTIONS(5375),
    [anon_sym_noperspective] = ACTIONS(5375),
    [anon_sym_nointerpolation] = ACTIONS(5375),
    [anon_sym_sample] = ACTIONS(5375),
    [anon_sym_linear] = ACTIONS(5375),
    [anon_sym_snorm] = ACTIONS(5375),
    [anon_sym_unorm] = ACTIONS(5375),
    [anon_sym_point] = ACTIONS(5375),
    [anon_sym_line] = ACTIONS(5375),
    [anon_sym_triangleadj] = ACTIONS(5375),
    [anon_sym_lineadj] = ACTIONS(5375),
    [anon_sym_triangle] = ACTIONS(5375),
  },
  [1880] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token2] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [aux_sym_preproc_else_token1] = ACTIONS(5379),
    [aux_sym_preproc_elif_token1] = ACTIONS(5379),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_LPAREN2] = ACTIONS(5381),
    [anon_sym_TILDE] = ACTIONS(5381),
    [anon_sym_STAR] = ACTIONS(5381),
    [anon_sym_AMP_AMP] = ACTIONS(5381),
    [anon_sym_AMP] = ACTIONS(5379),
    [anon_sym_SEMI] = ACTIONS(5381),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_in] = ACTIONS(5379),
    [anon_sym_out] = ACTIONS(5379),
    [anon_sym_inout] = ACTIONS(5379),
    [anon_sym_virtual] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym_COLON_COLON] = ACTIONS(5381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___based] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_mutable] = ACTIONS(5379),
    [anon_sym_constinit] = ACTIONS(5379),
    [anon_sym_consteval] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [sym_primitive_type] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_class] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5379),
    [anon_sym_decltype] = ACTIONS(5379),
    [anon_sym_explicit] = ACTIONS(5379),
    [anon_sym_typename] = ACTIONS(5379),
    [anon_sym_template] = ACTIONS(5379),
    [anon_sym_operator] = ACTIONS(5379),
    [anon_sym_friend] = ACTIONS(5379),
    [anon_sym_public] = ACTIONS(5379),
    [anon_sym_private] = ACTIONS(5379),
    [anon_sym_protected] = ACTIONS(5379),
    [anon_sym_using] = ACTIONS(5379),
    [anon_sym_static_assert] = ACTIONS(5379),
    [anon_sym_precise] = ACTIONS(5379),
    [anon_sym_shared] = ACTIONS(5379),
    [anon_sym_groupshared] = ACTIONS(5379),
    [anon_sym_uniform] = ACTIONS(5379),
    [anon_sym_row_major] = ACTIONS(5379),
    [anon_sym_column_major] = ACTIONS(5379),
    [anon_sym_globallycoherent] = ACTIONS(5379),
    [anon_sym_centroid] = ACTIONS(5379),
    [anon_sym_noperspective] = ACTIONS(5379),
    [anon_sym_nointerpolation] = ACTIONS(5379),
    [anon_sym_sample] = ACTIONS(5379),
    [anon_sym_linear] = ACTIONS(5379),
    [anon_sym_snorm] = ACTIONS(5379),
    [anon_sym_unorm] = ACTIONS(5379),
    [anon_sym_point] = ACTIONS(5379),
    [anon_sym_line] = ACTIONS(5379),
    [anon_sym_triangleadj] = ACTIONS(5379),
    [anon_sym_lineadj] = ACTIONS(5379),
    [anon_sym_triangle] = ACTIONS(5379),
  },
  [1881] = {
    [sym_identifier] = ACTIONS(5383),
    [aux_sym_preproc_def_token1] = ACTIONS(5383),
    [aux_sym_preproc_if_token1] = ACTIONS(5383),
    [aux_sym_preproc_if_token2] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5383),
    [aux_sym_preproc_else_token1] = ACTIONS(5383),
    [aux_sym_preproc_elif_token1] = ACTIONS(5383),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5383),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5383),
    [sym_preproc_directive] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5385),
    [anon_sym_TILDE] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_AMP_AMP] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5383),
    [anon_sym_SEMI] = ACTIONS(5385),
    [anon_sym___extension__] = ACTIONS(5383),
    [anon_sym_typedef] = ACTIONS(5383),
    [anon_sym_in] = ACTIONS(5383),
    [anon_sym_out] = ACTIONS(5383),
    [anon_sym_inout] = ACTIONS(5383),
    [anon_sym_virtual] = ACTIONS(5383),
    [anon_sym_extern] = ACTIONS(5383),
    [anon_sym___attribute__] = ACTIONS(5383),
    [anon_sym_COLON_COLON] = ACTIONS(5385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5385),
    [anon_sym___declspec] = ACTIONS(5383),
    [anon_sym___based] = ACTIONS(5383),
    [anon_sym_signed] = ACTIONS(5383),
    [anon_sym_unsigned] = ACTIONS(5383),
    [anon_sym_long] = ACTIONS(5383),
    [anon_sym_short] = ACTIONS(5383),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_static] = ACTIONS(5383),
    [anon_sym_register] = ACTIONS(5383),
    [anon_sym_inline] = ACTIONS(5383),
    [anon_sym___inline] = ACTIONS(5383),
    [anon_sym___inline__] = ACTIONS(5383),
    [anon_sym___forceinline] = ACTIONS(5383),
    [anon_sym_thread_local] = ACTIONS(5383),
    [anon_sym___thread] = ACTIONS(5383),
    [anon_sym_const] = ACTIONS(5383),
    [anon_sym_constexpr] = ACTIONS(5383),
    [anon_sym_volatile] = ACTIONS(5383),
    [anon_sym_restrict] = ACTIONS(5383),
    [anon_sym___restrict__] = ACTIONS(5383),
    [anon_sym__Atomic] = ACTIONS(5383),
    [anon_sym__Noreturn] = ACTIONS(5383),
    [anon_sym_noreturn] = ACTIONS(5383),
    [anon_sym__Nonnull] = ACTIONS(5383),
    [anon_sym_mutable] = ACTIONS(5383),
    [anon_sym_constinit] = ACTIONS(5383),
    [anon_sym_consteval] = ACTIONS(5383),
    [anon_sym_alignas] = ACTIONS(5383),
    [anon_sym__Alignas] = ACTIONS(5383),
    [sym_primitive_type] = ACTIONS(5383),
    [anon_sym_enum] = ACTIONS(5383),
    [anon_sym_class] = ACTIONS(5383),
    [anon_sym_struct] = ACTIONS(5383),
    [anon_sym_union] = ACTIONS(5383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5383),
    [anon_sym_decltype] = ACTIONS(5383),
    [anon_sym_explicit] = ACTIONS(5383),
    [anon_sym_typename] = ACTIONS(5383),
    [anon_sym_template] = ACTIONS(5383),
    [anon_sym_operator] = ACTIONS(5383),
    [anon_sym_friend] = ACTIONS(5383),
    [anon_sym_public] = ACTIONS(5383),
    [anon_sym_private] = ACTIONS(5383),
    [anon_sym_protected] = ACTIONS(5383),
    [anon_sym_using] = ACTIONS(5383),
    [anon_sym_static_assert] = ACTIONS(5383),
    [anon_sym_precise] = ACTIONS(5383),
    [anon_sym_shared] = ACTIONS(5383),
    [anon_sym_groupshared] = ACTIONS(5383),
    [anon_sym_uniform] = ACTIONS(5383),
    [anon_sym_row_major] = ACTIONS(5383),
    [anon_sym_column_major] = ACTIONS(5383),
    [anon_sym_globallycoherent] = ACTIONS(5383),
    [anon_sym_centroid] = ACTIONS(5383),
    [anon_sym_noperspective] = ACTIONS(5383),
    [anon_sym_nointerpolation] = ACTIONS(5383),
    [anon_sym_sample] = ACTIONS(5383),
    [anon_sym_linear] = ACTIONS(5383),
    [anon_sym_snorm] = ACTIONS(5383),
    [anon_sym_unorm] = ACTIONS(5383),
    [anon_sym_point] = ACTIONS(5383),
    [anon_sym_line] = ACTIONS(5383),
    [anon_sym_triangleadj] = ACTIONS(5383),
    [anon_sym_lineadj] = ACTIONS(5383),
    [anon_sym_triangle] = ACTIONS(5383),
  },
  [1882] = {
    [sym_identifier] = ACTIONS(5387),
    [aux_sym_preproc_def_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token2] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5387),
    [aux_sym_preproc_else_token1] = ACTIONS(5387),
    [aux_sym_preproc_elif_token1] = ACTIONS(5387),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5387),
    [sym_preproc_directive] = ACTIONS(5387),
    [anon_sym_LPAREN2] = ACTIONS(5389),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_STAR] = ACTIONS(5389),
    [anon_sym_AMP_AMP] = ACTIONS(5389),
    [anon_sym_AMP] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5389),
    [anon_sym___extension__] = ACTIONS(5387),
    [anon_sym_typedef] = ACTIONS(5387),
    [anon_sym_in] = ACTIONS(5387),
    [anon_sym_out] = ACTIONS(5387),
    [anon_sym_inout] = ACTIONS(5387),
    [anon_sym_virtual] = ACTIONS(5387),
    [anon_sym_extern] = ACTIONS(5387),
    [anon_sym___attribute__] = ACTIONS(5387),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5389),
    [anon_sym___declspec] = ACTIONS(5387),
    [anon_sym___based] = ACTIONS(5387),
    [anon_sym_signed] = ACTIONS(5387),
    [anon_sym_unsigned] = ACTIONS(5387),
    [anon_sym_long] = ACTIONS(5387),
    [anon_sym_short] = ACTIONS(5387),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_static] = ACTIONS(5387),
    [anon_sym_register] = ACTIONS(5387),
    [anon_sym_inline] = ACTIONS(5387),
    [anon_sym___inline] = ACTIONS(5387),
    [anon_sym___inline__] = ACTIONS(5387),
    [anon_sym___forceinline] = ACTIONS(5387),
    [anon_sym_thread_local] = ACTIONS(5387),
    [anon_sym___thread] = ACTIONS(5387),
    [anon_sym_const] = ACTIONS(5387),
    [anon_sym_constexpr] = ACTIONS(5387),
    [anon_sym_volatile] = ACTIONS(5387),
    [anon_sym_restrict] = ACTIONS(5387),
    [anon_sym___restrict__] = ACTIONS(5387),
    [anon_sym__Atomic] = ACTIONS(5387),
    [anon_sym__Noreturn] = ACTIONS(5387),
    [anon_sym_noreturn] = ACTIONS(5387),
    [anon_sym__Nonnull] = ACTIONS(5387),
    [anon_sym_mutable] = ACTIONS(5387),
    [anon_sym_constinit] = ACTIONS(5387),
    [anon_sym_consteval] = ACTIONS(5387),
    [anon_sym_alignas] = ACTIONS(5387),
    [anon_sym__Alignas] = ACTIONS(5387),
    [sym_primitive_type] = ACTIONS(5387),
    [anon_sym_enum] = ACTIONS(5387),
    [anon_sym_class] = ACTIONS(5387),
    [anon_sym_struct] = ACTIONS(5387),
    [anon_sym_union] = ACTIONS(5387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5387),
    [anon_sym_decltype] = ACTIONS(5387),
    [anon_sym_explicit] = ACTIONS(5387),
    [anon_sym_typename] = ACTIONS(5387),
    [anon_sym_template] = ACTIONS(5387),
    [anon_sym_operator] = ACTIONS(5387),
    [anon_sym_friend] = ACTIONS(5387),
    [anon_sym_public] = ACTIONS(5387),
    [anon_sym_private] = ACTIONS(5387),
    [anon_sym_protected] = ACTIONS(5387),
    [anon_sym_using] = ACTIONS(5387),
    [anon_sym_static_assert] = ACTIONS(5387),
    [anon_sym_precise] = ACTIONS(5387),
    [anon_sym_shared] = ACTIONS(5387),
    [anon_sym_groupshared] = ACTIONS(5387),
    [anon_sym_uniform] = ACTIONS(5387),
    [anon_sym_row_major] = ACTIONS(5387),
    [anon_sym_column_major] = ACTIONS(5387),
    [anon_sym_globallycoherent] = ACTIONS(5387),
    [anon_sym_centroid] = ACTIONS(5387),
    [anon_sym_noperspective] = ACTIONS(5387),
    [anon_sym_nointerpolation] = ACTIONS(5387),
    [anon_sym_sample] = ACTIONS(5387),
    [anon_sym_linear] = ACTIONS(5387),
    [anon_sym_snorm] = ACTIONS(5387),
    [anon_sym_unorm] = ACTIONS(5387),
    [anon_sym_point] = ACTIONS(5387),
    [anon_sym_line] = ACTIONS(5387),
    [anon_sym_triangleadj] = ACTIONS(5387),
    [anon_sym_lineadj] = ACTIONS(5387),
    [anon_sym_triangle] = ACTIONS(5387),
  },
  [1883] = {
    [sym_identifier] = ACTIONS(5387),
    [aux_sym_preproc_def_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token2] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5387),
    [aux_sym_preproc_else_token1] = ACTIONS(5387),
    [aux_sym_preproc_elif_token1] = ACTIONS(5387),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5387),
    [sym_preproc_directive] = ACTIONS(5387),
    [anon_sym_LPAREN2] = ACTIONS(5389),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_STAR] = ACTIONS(5389),
    [anon_sym_AMP_AMP] = ACTIONS(5389),
    [anon_sym_AMP] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5389),
    [anon_sym___extension__] = ACTIONS(5387),
    [anon_sym_typedef] = ACTIONS(5387),
    [anon_sym_in] = ACTIONS(5387),
    [anon_sym_out] = ACTIONS(5387),
    [anon_sym_inout] = ACTIONS(5387),
    [anon_sym_virtual] = ACTIONS(5387),
    [anon_sym_extern] = ACTIONS(5387),
    [anon_sym___attribute__] = ACTIONS(5387),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5389),
    [anon_sym___declspec] = ACTIONS(5387),
    [anon_sym___based] = ACTIONS(5387),
    [anon_sym_signed] = ACTIONS(5387),
    [anon_sym_unsigned] = ACTIONS(5387),
    [anon_sym_long] = ACTIONS(5387),
    [anon_sym_short] = ACTIONS(5387),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_static] = ACTIONS(5387),
    [anon_sym_register] = ACTIONS(5387),
    [anon_sym_inline] = ACTIONS(5387),
    [anon_sym___inline] = ACTIONS(5387),
    [anon_sym___inline__] = ACTIONS(5387),
    [anon_sym___forceinline] = ACTIONS(5387),
    [anon_sym_thread_local] = ACTIONS(5387),
    [anon_sym___thread] = ACTIONS(5387),
    [anon_sym_const] = ACTIONS(5387),
    [anon_sym_constexpr] = ACTIONS(5387),
    [anon_sym_volatile] = ACTIONS(5387),
    [anon_sym_restrict] = ACTIONS(5387),
    [anon_sym___restrict__] = ACTIONS(5387),
    [anon_sym__Atomic] = ACTIONS(5387),
    [anon_sym__Noreturn] = ACTIONS(5387),
    [anon_sym_noreturn] = ACTIONS(5387),
    [anon_sym__Nonnull] = ACTIONS(5387),
    [anon_sym_mutable] = ACTIONS(5387),
    [anon_sym_constinit] = ACTIONS(5387),
    [anon_sym_consteval] = ACTIONS(5387),
    [anon_sym_alignas] = ACTIONS(5387),
    [anon_sym__Alignas] = ACTIONS(5387),
    [sym_primitive_type] = ACTIONS(5387),
    [anon_sym_enum] = ACTIONS(5387),
    [anon_sym_class] = ACTIONS(5387),
    [anon_sym_struct] = ACTIONS(5387),
    [anon_sym_union] = ACTIONS(5387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5387),
    [anon_sym_decltype] = ACTIONS(5387),
    [anon_sym_explicit] = ACTIONS(5387),
    [anon_sym_typename] = ACTIONS(5387),
    [anon_sym_template] = ACTIONS(5387),
    [anon_sym_operator] = ACTIONS(5387),
    [anon_sym_friend] = ACTIONS(5387),
    [anon_sym_public] = ACTIONS(5387),
    [anon_sym_private] = ACTIONS(5387),
    [anon_sym_protected] = ACTIONS(5387),
    [anon_sym_using] = ACTIONS(5387),
    [anon_sym_static_assert] = ACTIONS(5387),
    [anon_sym_precise] = ACTIONS(5387),
    [anon_sym_shared] = ACTIONS(5387),
    [anon_sym_groupshared] = ACTIONS(5387),
    [anon_sym_uniform] = ACTIONS(5387),
    [anon_sym_row_major] = ACTIONS(5387),
    [anon_sym_column_major] = ACTIONS(5387),
    [anon_sym_globallycoherent] = ACTIONS(5387),
    [anon_sym_centroid] = ACTIONS(5387),
    [anon_sym_noperspective] = ACTIONS(5387),
    [anon_sym_nointerpolation] = ACTIONS(5387),
    [anon_sym_sample] = ACTIONS(5387),
    [anon_sym_linear] = ACTIONS(5387),
    [anon_sym_snorm] = ACTIONS(5387),
    [anon_sym_unorm] = ACTIONS(5387),
    [anon_sym_point] = ACTIONS(5387),
    [anon_sym_line] = ACTIONS(5387),
    [anon_sym_triangleadj] = ACTIONS(5387),
    [anon_sym_lineadj] = ACTIONS(5387),
    [anon_sym_triangle] = ACTIONS(5387),
  },
  [1884] = {
    [sym_identifier] = ACTIONS(5387),
    [aux_sym_preproc_def_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token2] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5387),
    [aux_sym_preproc_else_token1] = ACTIONS(5387),
    [aux_sym_preproc_elif_token1] = ACTIONS(5387),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5387),
    [sym_preproc_directive] = ACTIONS(5387),
    [anon_sym_LPAREN2] = ACTIONS(5389),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_STAR] = ACTIONS(5389),
    [anon_sym_AMP_AMP] = ACTIONS(5389),
    [anon_sym_AMP] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5389),
    [anon_sym___extension__] = ACTIONS(5387),
    [anon_sym_typedef] = ACTIONS(5387),
    [anon_sym_in] = ACTIONS(5387),
    [anon_sym_out] = ACTIONS(5387),
    [anon_sym_inout] = ACTIONS(5387),
    [anon_sym_virtual] = ACTIONS(5387),
    [anon_sym_extern] = ACTIONS(5387),
    [anon_sym___attribute__] = ACTIONS(5387),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5389),
    [anon_sym___declspec] = ACTIONS(5387),
    [anon_sym___based] = ACTIONS(5387),
    [anon_sym_signed] = ACTIONS(5387),
    [anon_sym_unsigned] = ACTIONS(5387),
    [anon_sym_long] = ACTIONS(5387),
    [anon_sym_short] = ACTIONS(5387),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_static] = ACTIONS(5387),
    [anon_sym_register] = ACTIONS(5387),
    [anon_sym_inline] = ACTIONS(5387),
    [anon_sym___inline] = ACTIONS(5387),
    [anon_sym___inline__] = ACTIONS(5387),
    [anon_sym___forceinline] = ACTIONS(5387),
    [anon_sym_thread_local] = ACTIONS(5387),
    [anon_sym___thread] = ACTIONS(5387),
    [anon_sym_const] = ACTIONS(5387),
    [anon_sym_constexpr] = ACTIONS(5387),
    [anon_sym_volatile] = ACTIONS(5387),
    [anon_sym_restrict] = ACTIONS(5387),
    [anon_sym___restrict__] = ACTIONS(5387),
    [anon_sym__Atomic] = ACTIONS(5387),
    [anon_sym__Noreturn] = ACTIONS(5387),
    [anon_sym_noreturn] = ACTIONS(5387),
    [anon_sym__Nonnull] = ACTIONS(5387),
    [anon_sym_mutable] = ACTIONS(5387),
    [anon_sym_constinit] = ACTIONS(5387),
    [anon_sym_consteval] = ACTIONS(5387),
    [anon_sym_alignas] = ACTIONS(5387),
    [anon_sym__Alignas] = ACTIONS(5387),
    [sym_primitive_type] = ACTIONS(5387),
    [anon_sym_enum] = ACTIONS(5387),
    [anon_sym_class] = ACTIONS(5387),
    [anon_sym_struct] = ACTIONS(5387),
    [anon_sym_union] = ACTIONS(5387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5387),
    [anon_sym_decltype] = ACTIONS(5387),
    [anon_sym_explicit] = ACTIONS(5387),
    [anon_sym_typename] = ACTIONS(5387),
    [anon_sym_template] = ACTIONS(5387),
    [anon_sym_operator] = ACTIONS(5387),
    [anon_sym_friend] = ACTIONS(5387),
    [anon_sym_public] = ACTIONS(5387),
    [anon_sym_private] = ACTIONS(5387),
    [anon_sym_protected] = ACTIONS(5387),
    [anon_sym_using] = ACTIONS(5387),
    [anon_sym_static_assert] = ACTIONS(5387),
    [anon_sym_precise] = ACTIONS(5387),
    [anon_sym_shared] = ACTIONS(5387),
    [anon_sym_groupshared] = ACTIONS(5387),
    [anon_sym_uniform] = ACTIONS(5387),
    [anon_sym_row_major] = ACTIONS(5387),
    [anon_sym_column_major] = ACTIONS(5387),
    [anon_sym_globallycoherent] = ACTIONS(5387),
    [anon_sym_centroid] = ACTIONS(5387),
    [anon_sym_noperspective] = ACTIONS(5387),
    [anon_sym_nointerpolation] = ACTIONS(5387),
    [anon_sym_sample] = ACTIONS(5387),
    [anon_sym_linear] = ACTIONS(5387),
    [anon_sym_snorm] = ACTIONS(5387),
    [anon_sym_unorm] = ACTIONS(5387),
    [anon_sym_point] = ACTIONS(5387),
    [anon_sym_line] = ACTIONS(5387),
    [anon_sym_triangleadj] = ACTIONS(5387),
    [anon_sym_lineadj] = ACTIONS(5387),
    [anon_sym_triangle] = ACTIONS(5387),
  },
  [1885] = {
    [sym_identifier] = ACTIONS(5383),
    [aux_sym_preproc_def_token1] = ACTIONS(5383),
    [aux_sym_preproc_if_token1] = ACTIONS(5383),
    [aux_sym_preproc_if_token2] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5383),
    [aux_sym_preproc_else_token1] = ACTIONS(5383),
    [aux_sym_preproc_elif_token1] = ACTIONS(5383),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5383),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5383),
    [sym_preproc_directive] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5385),
    [anon_sym_TILDE] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_AMP_AMP] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5383),
    [anon_sym_SEMI] = ACTIONS(5385),
    [anon_sym___extension__] = ACTIONS(5383),
    [anon_sym_typedef] = ACTIONS(5383),
    [anon_sym_in] = ACTIONS(5383),
    [anon_sym_out] = ACTIONS(5383),
    [anon_sym_inout] = ACTIONS(5383),
    [anon_sym_virtual] = ACTIONS(5383),
    [anon_sym_extern] = ACTIONS(5383),
    [anon_sym___attribute__] = ACTIONS(5383),
    [anon_sym_COLON_COLON] = ACTIONS(5385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5385),
    [anon_sym___declspec] = ACTIONS(5383),
    [anon_sym___based] = ACTIONS(5383),
    [anon_sym_signed] = ACTIONS(5383),
    [anon_sym_unsigned] = ACTIONS(5383),
    [anon_sym_long] = ACTIONS(5383),
    [anon_sym_short] = ACTIONS(5383),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_static] = ACTIONS(5383),
    [anon_sym_register] = ACTIONS(5383),
    [anon_sym_inline] = ACTIONS(5383),
    [anon_sym___inline] = ACTIONS(5383),
    [anon_sym___inline__] = ACTIONS(5383),
    [anon_sym___forceinline] = ACTIONS(5383),
    [anon_sym_thread_local] = ACTIONS(5383),
    [anon_sym___thread] = ACTIONS(5383),
    [anon_sym_const] = ACTIONS(5383),
    [anon_sym_constexpr] = ACTIONS(5383),
    [anon_sym_volatile] = ACTIONS(5383),
    [anon_sym_restrict] = ACTIONS(5383),
    [anon_sym___restrict__] = ACTIONS(5383),
    [anon_sym__Atomic] = ACTIONS(5383),
    [anon_sym__Noreturn] = ACTIONS(5383),
    [anon_sym_noreturn] = ACTIONS(5383),
    [anon_sym__Nonnull] = ACTIONS(5383),
    [anon_sym_mutable] = ACTIONS(5383),
    [anon_sym_constinit] = ACTIONS(5383),
    [anon_sym_consteval] = ACTIONS(5383),
    [anon_sym_alignas] = ACTIONS(5383),
    [anon_sym__Alignas] = ACTIONS(5383),
    [sym_primitive_type] = ACTIONS(5383),
    [anon_sym_enum] = ACTIONS(5383),
    [anon_sym_class] = ACTIONS(5383),
    [anon_sym_struct] = ACTIONS(5383),
    [anon_sym_union] = ACTIONS(5383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5383),
    [anon_sym_decltype] = ACTIONS(5383),
    [anon_sym_explicit] = ACTIONS(5383),
    [anon_sym_typename] = ACTIONS(5383),
    [anon_sym_template] = ACTIONS(5383),
    [anon_sym_operator] = ACTIONS(5383),
    [anon_sym_friend] = ACTIONS(5383),
    [anon_sym_public] = ACTIONS(5383),
    [anon_sym_private] = ACTIONS(5383),
    [anon_sym_protected] = ACTIONS(5383),
    [anon_sym_using] = ACTIONS(5383),
    [anon_sym_static_assert] = ACTIONS(5383),
    [anon_sym_precise] = ACTIONS(5383),
    [anon_sym_shared] = ACTIONS(5383),
    [anon_sym_groupshared] = ACTIONS(5383),
    [anon_sym_uniform] = ACTIONS(5383),
    [anon_sym_row_major] = ACTIONS(5383),
    [anon_sym_column_major] = ACTIONS(5383),
    [anon_sym_globallycoherent] = ACTIONS(5383),
    [anon_sym_centroid] = ACTIONS(5383),
    [anon_sym_noperspective] = ACTIONS(5383),
    [anon_sym_nointerpolation] = ACTIONS(5383),
    [anon_sym_sample] = ACTIONS(5383),
    [anon_sym_linear] = ACTIONS(5383),
    [anon_sym_snorm] = ACTIONS(5383),
    [anon_sym_unorm] = ACTIONS(5383),
    [anon_sym_point] = ACTIONS(5383),
    [anon_sym_line] = ACTIONS(5383),
    [anon_sym_triangleadj] = ACTIONS(5383),
    [anon_sym_lineadj] = ACTIONS(5383),
    [anon_sym_triangle] = ACTIONS(5383),
  },
  [1886] = {
    [sym_identifier] = ACTIONS(5391),
    [aux_sym_preproc_def_token1] = ACTIONS(5391),
    [aux_sym_preproc_if_token1] = ACTIONS(5391),
    [aux_sym_preproc_if_token2] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5391),
    [aux_sym_preproc_else_token1] = ACTIONS(5391),
    [aux_sym_preproc_elif_token1] = ACTIONS(5391),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5391),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5391),
    [sym_preproc_directive] = ACTIONS(5391),
    [anon_sym_LPAREN2] = ACTIONS(5393),
    [anon_sym_TILDE] = ACTIONS(5393),
    [anon_sym_STAR] = ACTIONS(5393),
    [anon_sym_AMP_AMP] = ACTIONS(5393),
    [anon_sym_AMP] = ACTIONS(5391),
    [anon_sym_SEMI] = ACTIONS(5393),
    [anon_sym___extension__] = ACTIONS(5391),
    [anon_sym_typedef] = ACTIONS(5391),
    [anon_sym_in] = ACTIONS(5391),
    [anon_sym_out] = ACTIONS(5391),
    [anon_sym_inout] = ACTIONS(5391),
    [anon_sym_virtual] = ACTIONS(5391),
    [anon_sym_extern] = ACTIONS(5391),
    [anon_sym___attribute__] = ACTIONS(5391),
    [anon_sym_COLON_COLON] = ACTIONS(5393),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5393),
    [anon_sym___declspec] = ACTIONS(5391),
    [anon_sym___based] = ACTIONS(5391),
    [anon_sym_signed] = ACTIONS(5391),
    [anon_sym_unsigned] = ACTIONS(5391),
    [anon_sym_long] = ACTIONS(5391),
    [anon_sym_short] = ACTIONS(5391),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym_static] = ACTIONS(5391),
    [anon_sym_register] = ACTIONS(5391),
    [anon_sym_inline] = ACTIONS(5391),
    [anon_sym___inline] = ACTIONS(5391),
    [anon_sym___inline__] = ACTIONS(5391),
    [anon_sym___forceinline] = ACTIONS(5391),
    [anon_sym_thread_local] = ACTIONS(5391),
    [anon_sym___thread] = ACTIONS(5391),
    [anon_sym_const] = ACTIONS(5391),
    [anon_sym_constexpr] = ACTIONS(5391),
    [anon_sym_volatile] = ACTIONS(5391),
    [anon_sym_restrict] = ACTIONS(5391),
    [anon_sym___restrict__] = ACTIONS(5391),
    [anon_sym__Atomic] = ACTIONS(5391),
    [anon_sym__Noreturn] = ACTIONS(5391),
    [anon_sym_noreturn] = ACTIONS(5391),
    [anon_sym__Nonnull] = ACTIONS(5391),
    [anon_sym_mutable] = ACTIONS(5391),
    [anon_sym_constinit] = ACTIONS(5391),
    [anon_sym_consteval] = ACTIONS(5391),
    [anon_sym_alignas] = ACTIONS(5391),
    [anon_sym__Alignas] = ACTIONS(5391),
    [sym_primitive_type] = ACTIONS(5391),
    [anon_sym_enum] = ACTIONS(5391),
    [anon_sym_class] = ACTIONS(5391),
    [anon_sym_struct] = ACTIONS(5391),
    [anon_sym_union] = ACTIONS(5391),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5391),
    [anon_sym_decltype] = ACTIONS(5391),
    [anon_sym_explicit] = ACTIONS(5391),
    [anon_sym_typename] = ACTIONS(5391),
    [anon_sym_template] = ACTIONS(5391),
    [anon_sym_operator] = ACTIONS(5391),
    [anon_sym_friend] = ACTIONS(5391),
    [anon_sym_public] = ACTIONS(5391),
    [anon_sym_private] = ACTIONS(5391),
    [anon_sym_protected] = ACTIONS(5391),
    [anon_sym_using] = ACTIONS(5391),
    [anon_sym_static_assert] = ACTIONS(5391),
    [anon_sym_precise] = ACTIONS(5391),
    [anon_sym_shared] = ACTIONS(5391),
    [anon_sym_groupshared] = ACTIONS(5391),
    [anon_sym_uniform] = ACTIONS(5391),
    [anon_sym_row_major] = ACTIONS(5391),
    [anon_sym_column_major] = ACTIONS(5391),
    [anon_sym_globallycoherent] = ACTIONS(5391),
    [anon_sym_centroid] = ACTIONS(5391),
    [anon_sym_noperspective] = ACTIONS(5391),
    [anon_sym_nointerpolation] = ACTIONS(5391),
    [anon_sym_sample] = ACTIONS(5391),
    [anon_sym_linear] = ACTIONS(5391),
    [anon_sym_snorm] = ACTIONS(5391),
    [anon_sym_unorm] = ACTIONS(5391),
    [anon_sym_point] = ACTIONS(5391),
    [anon_sym_line] = ACTIONS(5391),
    [anon_sym_triangleadj] = ACTIONS(5391),
    [anon_sym_lineadj] = ACTIONS(5391),
    [anon_sym_triangle] = ACTIONS(5391),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token2] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [aux_sym_preproc_else_token1] = ACTIONS(2578),
    [aux_sym_preproc_elif_token1] = ACTIONS(2578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_out] = ACTIONS(2578),
    [anon_sym_inout] = ACTIONS(2578),
    [anon_sym_virtual] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym__Nonnull] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym__Alignas] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_friend] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_precise] = ACTIONS(2578),
    [anon_sym_shared] = ACTIONS(2578),
    [anon_sym_groupshared] = ACTIONS(2578),
    [anon_sym_uniform] = ACTIONS(2578),
    [anon_sym_row_major] = ACTIONS(2578),
    [anon_sym_column_major] = ACTIONS(2578),
    [anon_sym_globallycoherent] = ACTIONS(2578),
    [anon_sym_centroid] = ACTIONS(2578),
    [anon_sym_noperspective] = ACTIONS(2578),
    [anon_sym_nointerpolation] = ACTIONS(2578),
    [anon_sym_sample] = ACTIONS(2578),
    [anon_sym_linear] = ACTIONS(2578),
    [anon_sym_snorm] = ACTIONS(2578),
    [anon_sym_unorm] = ACTIONS(2578),
    [anon_sym_point] = ACTIONS(2578),
    [anon_sym_line] = ACTIONS(2578),
    [anon_sym_triangleadj] = ACTIONS(2578),
    [anon_sym_lineadj] = ACTIONS(2578),
    [anon_sym_triangle] = ACTIONS(2578),
  },
  [1888] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [aux_sym_preproc_else_token1] = ACTIONS(2637),
    [aux_sym_preproc_elif_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_friend] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
  },
  [1889] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [aux_sym_preproc_else_token1] = ACTIONS(2641),
    [aux_sym_preproc_elif_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_friend] = ACTIONS(2641),
    [anon_sym_public] = ACTIONS(2641),
    [anon_sym_private] = ACTIONS(2641),
    [anon_sym_protected] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
  },
  [1890] = {
    [sym_identifier] = ACTIONS(5395),
    [aux_sym_preproc_def_token1] = ACTIONS(5395),
    [aux_sym_preproc_if_token1] = ACTIONS(5395),
    [aux_sym_preproc_if_token2] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5395),
    [aux_sym_preproc_else_token1] = ACTIONS(5395),
    [aux_sym_preproc_elif_token1] = ACTIONS(5395),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5395),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5395),
    [sym_preproc_directive] = ACTIONS(5395),
    [anon_sym_LPAREN2] = ACTIONS(5397),
    [anon_sym_TILDE] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_AMP_AMP] = ACTIONS(5397),
    [anon_sym_AMP] = ACTIONS(5395),
    [anon_sym_SEMI] = ACTIONS(5397),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_typedef] = ACTIONS(5395),
    [anon_sym_in] = ACTIONS(5395),
    [anon_sym_out] = ACTIONS(5395),
    [anon_sym_inout] = ACTIONS(5395),
    [anon_sym_virtual] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5395),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_COLON_COLON] = ACTIONS(5397),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5397),
    [anon_sym___declspec] = ACTIONS(5395),
    [anon_sym___based] = ACTIONS(5395),
    [anon_sym_signed] = ACTIONS(5395),
    [anon_sym_unsigned] = ACTIONS(5395),
    [anon_sym_long] = ACTIONS(5395),
    [anon_sym_short] = ACTIONS(5395),
    [anon_sym_LBRACK] = ACTIONS(5395),
    [anon_sym_static] = ACTIONS(5395),
    [anon_sym_register] = ACTIONS(5395),
    [anon_sym_inline] = ACTIONS(5395),
    [anon_sym___inline] = ACTIONS(5395),
    [anon_sym___inline__] = ACTIONS(5395),
    [anon_sym___forceinline] = ACTIONS(5395),
    [anon_sym_thread_local] = ACTIONS(5395),
    [anon_sym___thread] = ACTIONS(5395),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym__Nonnull] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [anon_sym_alignas] = ACTIONS(5395),
    [anon_sym__Alignas] = ACTIONS(5395),
    [sym_primitive_type] = ACTIONS(5395),
    [anon_sym_enum] = ACTIONS(5395),
    [anon_sym_class] = ACTIONS(5395),
    [anon_sym_struct] = ACTIONS(5395),
    [anon_sym_union] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5395),
    [anon_sym_decltype] = ACTIONS(5395),
    [anon_sym_explicit] = ACTIONS(5395),
    [anon_sym_typename] = ACTIONS(5395),
    [anon_sym_template] = ACTIONS(5395),
    [anon_sym_operator] = ACTIONS(5395),
    [anon_sym_friend] = ACTIONS(5395),
    [anon_sym_public] = ACTIONS(5395),
    [anon_sym_private] = ACTIONS(5395),
    [anon_sym_protected] = ACTIONS(5395),
    [anon_sym_using] = ACTIONS(5395),
    [anon_sym_static_assert] = ACTIONS(5395),
    [anon_sym_precise] = ACTIONS(5395),
    [anon_sym_shared] = ACTIONS(5395),
    [anon_sym_groupshared] = ACTIONS(5395),
    [anon_sym_uniform] = ACTIONS(5395),
    [anon_sym_row_major] = ACTIONS(5395),
    [anon_sym_column_major] = ACTIONS(5395),
    [anon_sym_globallycoherent] = ACTIONS(5395),
    [anon_sym_centroid] = ACTIONS(5395),
    [anon_sym_noperspective] = ACTIONS(5395),
    [anon_sym_nointerpolation] = ACTIONS(5395),
    [anon_sym_sample] = ACTIONS(5395),
    [anon_sym_linear] = ACTIONS(5395),
    [anon_sym_snorm] = ACTIONS(5395),
    [anon_sym_unorm] = ACTIONS(5395),
    [anon_sym_point] = ACTIONS(5395),
    [anon_sym_line] = ACTIONS(5395),
    [anon_sym_triangleadj] = ACTIONS(5395),
    [anon_sym_lineadj] = ACTIONS(5395),
    [anon_sym_triangle] = ACTIONS(5395),
  },
  [1891] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [aux_sym_preproc_else_token1] = ACTIONS(2654),
    [aux_sym_preproc_elif_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_out] = ACTIONS(2654),
    [anon_sym_inout] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_friend] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_precise] = ACTIONS(2654),
    [anon_sym_shared] = ACTIONS(2654),
    [anon_sym_groupshared] = ACTIONS(2654),
    [anon_sym_uniform] = ACTIONS(2654),
    [anon_sym_row_major] = ACTIONS(2654),
    [anon_sym_column_major] = ACTIONS(2654),
    [anon_sym_globallycoherent] = ACTIONS(2654),
    [anon_sym_centroid] = ACTIONS(2654),
    [anon_sym_noperspective] = ACTIONS(2654),
    [anon_sym_nointerpolation] = ACTIONS(2654),
    [anon_sym_sample] = ACTIONS(2654),
    [anon_sym_linear] = ACTIONS(2654),
    [anon_sym_snorm] = ACTIONS(2654),
    [anon_sym_unorm] = ACTIONS(2654),
    [anon_sym_point] = ACTIONS(2654),
    [anon_sym_line] = ACTIONS(2654),
    [anon_sym_triangleadj] = ACTIONS(2654),
    [anon_sym_lineadj] = ACTIONS(2654),
    [anon_sym_triangle] = ACTIONS(2654),
  },
  [1892] = {
    [sym_identifier] = ACTIONS(2174),
    [aux_sym_preproc_def_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token2] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2174),
    [aux_sym_preproc_else_token1] = ACTIONS(2174),
    [aux_sym_preproc_elif_token1] = ACTIONS(2174),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2174),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2174),
    [sym_preproc_directive] = ACTIONS(2174),
    [anon_sym_LPAREN2] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_STAR] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(2174),
    [anon_sym_typedef] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_out] = ACTIONS(2174),
    [anon_sym_inout] = ACTIONS(2174),
    [anon_sym_virtual] = ACTIONS(2174),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym___attribute__] = ACTIONS(2174),
    [anon_sym_COLON_COLON] = ACTIONS(2176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2176),
    [anon_sym___declspec] = ACTIONS(2174),
    [anon_sym___based] = ACTIONS(2174),
    [anon_sym_signed] = ACTIONS(2174),
    [anon_sym_unsigned] = ACTIONS(2174),
    [anon_sym_long] = ACTIONS(2174),
    [anon_sym_short] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_register] = ACTIONS(2174),
    [anon_sym_inline] = ACTIONS(2174),
    [anon_sym___inline] = ACTIONS(2174),
    [anon_sym___inline__] = ACTIONS(2174),
    [anon_sym___forceinline] = ACTIONS(2174),
    [anon_sym_thread_local] = ACTIONS(2174),
    [anon_sym___thread] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_constexpr] = ACTIONS(2174),
    [anon_sym_volatile] = ACTIONS(2174),
    [anon_sym_restrict] = ACTIONS(2174),
    [anon_sym___restrict__] = ACTIONS(2174),
    [anon_sym__Atomic] = ACTIONS(2174),
    [anon_sym__Noreturn] = ACTIONS(2174),
    [anon_sym_noreturn] = ACTIONS(2174),
    [anon_sym__Nonnull] = ACTIONS(2174),
    [anon_sym_mutable] = ACTIONS(2174),
    [anon_sym_constinit] = ACTIONS(2174),
    [anon_sym_consteval] = ACTIONS(2174),
    [anon_sym_alignas] = ACTIONS(2174),
    [anon_sym__Alignas] = ACTIONS(2174),
    [sym_primitive_type] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_struct] = ACTIONS(2174),
    [anon_sym_union] = ACTIONS(2174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2174),
    [anon_sym_decltype] = ACTIONS(2174),
    [anon_sym_explicit] = ACTIONS(2174),
    [anon_sym_typename] = ACTIONS(2174),
    [anon_sym_template] = ACTIONS(2174),
    [anon_sym_operator] = ACTIONS(2174),
    [anon_sym_friend] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_static_assert] = ACTIONS(2174),
    [anon_sym_precise] = ACTIONS(2174),
    [anon_sym_shared] = ACTIONS(2174),
    [anon_sym_groupshared] = ACTIONS(2174),
    [anon_sym_uniform] = ACTIONS(2174),
    [anon_sym_row_major] = ACTIONS(2174),
    [anon_sym_column_major] = ACTIONS(2174),
    [anon_sym_globallycoherent] = ACTIONS(2174),
    [anon_sym_centroid] = ACTIONS(2174),
    [anon_sym_noperspective] = ACTIONS(2174),
    [anon_sym_nointerpolation] = ACTIONS(2174),
    [anon_sym_sample] = ACTIONS(2174),
    [anon_sym_linear] = ACTIONS(2174),
    [anon_sym_snorm] = ACTIONS(2174),
    [anon_sym_unorm] = ACTIONS(2174),
    [anon_sym_point] = ACTIONS(2174),
    [anon_sym_line] = ACTIONS(2174),
    [anon_sym_triangleadj] = ACTIONS(2174),
    [anon_sym_lineadj] = ACTIONS(2174),
    [anon_sym_triangle] = ACTIONS(2174),
  },
  [1893] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym__Nonnull] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym__Alignas] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
  },
  [1894] = {
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token2] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [aux_sym_preproc_else_token1] = ACTIONS(2376),
    [aux_sym_preproc_elif_token1] = ACTIONS(2376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym__Nonnull] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym__Alignas] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_friend] = ACTIONS(2376),
    [anon_sym_public] = ACTIONS(2376),
    [anon_sym_private] = ACTIONS(2376),
    [anon_sym_protected] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
  },
  [1895] = {
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token2] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [aux_sym_preproc_else_token1] = ACTIONS(2380),
    [aux_sym_preproc_elif_token1] = ACTIONS(2380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym__Nonnull] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym__Alignas] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_friend] = ACTIONS(2380),
    [anon_sym_public] = ACTIONS(2380),
    [anon_sym_private] = ACTIONS(2380),
    [anon_sym_protected] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
  },
  [1896] = {
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token2] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [aux_sym_preproc_else_token1] = ACTIONS(2384),
    [aux_sym_preproc_elif_token1] = ACTIONS(2384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym__Nonnull] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym__Alignas] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_friend] = ACTIONS(2384),
    [anon_sym_public] = ACTIONS(2384),
    [anon_sym_private] = ACTIONS(2384),
    [anon_sym_protected] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
  },
  [1897] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token2] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [aux_sym_preproc_else_token1] = ACTIONS(5399),
    [aux_sym_preproc_elif_token1] = ACTIONS(5399),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5401),
    [anon_sym_AMP_AMP] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5399),
    [anon_sym_SEMI] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_in] = ACTIONS(5399),
    [anon_sym_out] = ACTIONS(5399),
    [anon_sym_inout] = ACTIONS(5399),
    [anon_sym_virtual] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___based] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_mutable] = ACTIONS(5399),
    [anon_sym_constinit] = ACTIONS(5399),
    [anon_sym_consteval] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [sym_primitive_type] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_class] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5399),
    [anon_sym_decltype] = ACTIONS(5399),
    [anon_sym_explicit] = ACTIONS(5399),
    [anon_sym_typename] = ACTIONS(5399),
    [anon_sym_template] = ACTIONS(5399),
    [anon_sym_operator] = ACTIONS(5399),
    [anon_sym_friend] = ACTIONS(5399),
    [anon_sym_public] = ACTIONS(5399),
    [anon_sym_private] = ACTIONS(5399),
    [anon_sym_protected] = ACTIONS(5399),
    [anon_sym_using] = ACTIONS(5399),
    [anon_sym_static_assert] = ACTIONS(5399),
    [anon_sym_precise] = ACTIONS(5399),
    [anon_sym_shared] = ACTIONS(5399),
    [anon_sym_groupshared] = ACTIONS(5399),
    [anon_sym_uniform] = ACTIONS(5399),
    [anon_sym_row_major] = ACTIONS(5399),
    [anon_sym_column_major] = ACTIONS(5399),
    [anon_sym_globallycoherent] = ACTIONS(5399),
    [anon_sym_centroid] = ACTIONS(5399),
    [anon_sym_noperspective] = ACTIONS(5399),
    [anon_sym_nointerpolation] = ACTIONS(5399),
    [anon_sym_sample] = ACTIONS(5399),
    [anon_sym_linear] = ACTIONS(5399),
    [anon_sym_snorm] = ACTIONS(5399),
    [anon_sym_unorm] = ACTIONS(5399),
    [anon_sym_point] = ACTIONS(5399),
    [anon_sym_line] = ACTIONS(5399),
    [anon_sym_triangleadj] = ACTIONS(5399),
    [anon_sym_lineadj] = ACTIONS(5399),
    [anon_sym_triangle] = ACTIONS(5399),
  },
  [1898] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [aux_sym_preproc_else_token1] = ACTIONS(2388),
    [aux_sym_preproc_elif_token1] = ACTIONS(2388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym__Nonnull] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym__Alignas] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_friend] = ACTIONS(2388),
    [anon_sym_public] = ACTIONS(2388),
    [anon_sym_private] = ACTIONS(2388),
    [anon_sym_protected] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
  },
  [1899] = {
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token2] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [aux_sym_preproc_else_token1] = ACTIONS(2392),
    [aux_sym_preproc_elif_token1] = ACTIONS(2392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym__Nonnull] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym__Alignas] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_friend] = ACTIONS(2392),
    [anon_sym_public] = ACTIONS(2392),
    [anon_sym_private] = ACTIONS(2392),
    [anon_sym_protected] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
  },
  [1900] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token2] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [aux_sym_preproc_else_token1] = ACTIONS(2400),
    [aux_sym_preproc_elif_token1] = ACTIONS(2400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym__Nonnull] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym__Alignas] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_friend] = ACTIONS(2400),
    [anon_sym_public] = ACTIONS(2400),
    [anon_sym_private] = ACTIONS(2400),
    [anon_sym_protected] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
  },
  [1901] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [aux_sym_preproc_else_token1] = ACTIONS(2408),
    [aux_sym_preproc_elif_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_friend] = ACTIONS(2408),
    [anon_sym_public] = ACTIONS(2408),
    [anon_sym_private] = ACTIONS(2408),
    [anon_sym_protected] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
  },
  [1902] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [aux_sym_preproc_else_token1] = ACTIONS(2424),
    [aux_sym_preproc_elif_token1] = ACTIONS(2424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_friend] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
  },
  [1903] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token2] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [aux_sym_preproc_else_token1] = ACTIONS(2440),
    [aux_sym_preproc_elif_token1] = ACTIONS(2440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_friend] = ACTIONS(2440),
    [anon_sym_public] = ACTIONS(2440),
    [anon_sym_private] = ACTIONS(2440),
    [anon_sym_protected] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
  },
  [1904] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_friend] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
  },
  [1905] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_friend] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
  },
  [1906] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_friend] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
  },
  [1907] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [aux_sym_preproc_else_token1] = ACTIONS(2452),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_friend] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
  },
  [1908] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_friend] = ACTIONS(2456),
    [anon_sym_public] = ACTIONS(2456),
    [anon_sym_private] = ACTIONS(2456),
    [anon_sym_protected] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
  },
  [1909] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_friend] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
  },
  [1910] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [aux_sym_preproc_else_token1] = ACTIONS(2464),
    [aux_sym_preproc_elif_token1] = ACTIONS(2464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym__Nonnull] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym__Alignas] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_friend] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
  },
  [1911] = {
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [aux_sym_preproc_else_token1] = ACTIONS(2468),
    [aux_sym_preproc_elif_token1] = ACTIONS(2468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym__Nonnull] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_friend] = ACTIONS(2468),
    [anon_sym_public] = ACTIONS(2468),
    [anon_sym_private] = ACTIONS(2468),
    [anon_sym_protected] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
  },
  [1912] = {
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token2] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [aux_sym_preproc_else_token1] = ACTIONS(2472),
    [aux_sym_preproc_elif_token1] = ACTIONS(2472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym__Nonnull] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym__Alignas] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_friend] = ACTIONS(2472),
    [anon_sym_public] = ACTIONS(2472),
    [anon_sym_private] = ACTIONS(2472),
    [anon_sym_protected] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
  },
  [1913] = {
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token2] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [aux_sym_preproc_else_token1] = ACTIONS(2606),
    [aux_sym_preproc_elif_token1] = ACTIONS(2606),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_in] = ACTIONS(2606),
    [anon_sym_out] = ACTIONS(2606),
    [anon_sym_inout] = ACTIONS(2606),
    [anon_sym_virtual] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym__Nonnull] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym__Alignas] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_friend] = ACTIONS(2606),
    [anon_sym_public] = ACTIONS(2606),
    [anon_sym_private] = ACTIONS(2606),
    [anon_sym_protected] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_precise] = ACTIONS(2606),
    [anon_sym_shared] = ACTIONS(2606),
    [anon_sym_groupshared] = ACTIONS(2606),
    [anon_sym_uniform] = ACTIONS(2606),
    [anon_sym_row_major] = ACTIONS(2606),
    [anon_sym_column_major] = ACTIONS(2606),
    [anon_sym_globallycoherent] = ACTIONS(2606),
    [anon_sym_centroid] = ACTIONS(2606),
    [anon_sym_noperspective] = ACTIONS(2606),
    [anon_sym_nointerpolation] = ACTIONS(2606),
    [anon_sym_sample] = ACTIONS(2606),
    [anon_sym_linear] = ACTIONS(2606),
    [anon_sym_snorm] = ACTIONS(2606),
    [anon_sym_unorm] = ACTIONS(2606),
    [anon_sym_point] = ACTIONS(2606),
    [anon_sym_line] = ACTIONS(2606),
    [anon_sym_triangleadj] = ACTIONS(2606),
    [anon_sym_lineadj] = ACTIONS(2606),
    [anon_sym_triangle] = ACTIONS(2606),
  },
  [1914] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token2] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [aux_sym_preproc_else_token1] = ACTIONS(5403),
    [aux_sym_preproc_elif_token1] = ACTIONS(5403),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_in] = ACTIONS(5403),
    [anon_sym_out] = ACTIONS(5403),
    [anon_sym_inout] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [sym_primitive_type] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
    [anon_sym_precise] = ACTIONS(5403),
    [anon_sym_shared] = ACTIONS(5403),
    [anon_sym_groupshared] = ACTIONS(5403),
    [anon_sym_uniform] = ACTIONS(5403),
    [anon_sym_row_major] = ACTIONS(5403),
    [anon_sym_column_major] = ACTIONS(5403),
    [anon_sym_globallycoherent] = ACTIONS(5403),
    [anon_sym_centroid] = ACTIONS(5403),
    [anon_sym_noperspective] = ACTIONS(5403),
    [anon_sym_nointerpolation] = ACTIONS(5403),
    [anon_sym_sample] = ACTIONS(5403),
    [anon_sym_linear] = ACTIONS(5403),
    [anon_sym_snorm] = ACTIONS(5403),
    [anon_sym_unorm] = ACTIONS(5403),
    [anon_sym_point] = ACTIONS(5403),
    [anon_sym_line] = ACTIONS(5403),
    [anon_sym_triangleadj] = ACTIONS(5403),
    [anon_sym_lineadj] = ACTIONS(5403),
    [anon_sym_triangle] = ACTIONS(5403),
  },
  [1915] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token2] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [aux_sym_preproc_else_token1] = ACTIONS(5403),
    [aux_sym_preproc_elif_token1] = ACTIONS(5403),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_in] = ACTIONS(5403),
    [anon_sym_out] = ACTIONS(5403),
    [anon_sym_inout] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [sym_primitive_type] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
    [anon_sym_precise] = ACTIONS(5403),
    [anon_sym_shared] = ACTIONS(5403),
    [anon_sym_groupshared] = ACTIONS(5403),
    [anon_sym_uniform] = ACTIONS(5403),
    [anon_sym_row_major] = ACTIONS(5403),
    [anon_sym_column_major] = ACTIONS(5403),
    [anon_sym_globallycoherent] = ACTIONS(5403),
    [anon_sym_centroid] = ACTIONS(5403),
    [anon_sym_noperspective] = ACTIONS(5403),
    [anon_sym_nointerpolation] = ACTIONS(5403),
    [anon_sym_sample] = ACTIONS(5403),
    [anon_sym_linear] = ACTIONS(5403),
    [anon_sym_snorm] = ACTIONS(5403),
    [anon_sym_unorm] = ACTIONS(5403),
    [anon_sym_point] = ACTIONS(5403),
    [anon_sym_line] = ACTIONS(5403),
    [anon_sym_triangleadj] = ACTIONS(5403),
    [anon_sym_lineadj] = ACTIONS(5403),
    [anon_sym_triangle] = ACTIONS(5403),
  },
  [1916] = {
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token2] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [aux_sym_preproc_else_token1] = ACTIONS(2506),
    [aux_sym_preproc_elif_token1] = ACTIONS(2506),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_in] = ACTIONS(2506),
    [anon_sym_out] = ACTIONS(2506),
    [anon_sym_inout] = ACTIONS(2506),
    [anon_sym_virtual] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym__Nonnull] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_friend] = ACTIONS(2506),
    [anon_sym_public] = ACTIONS(2506),
    [anon_sym_private] = ACTIONS(2506),
    [anon_sym_protected] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_precise] = ACTIONS(2506),
    [anon_sym_shared] = ACTIONS(2506),
    [anon_sym_groupshared] = ACTIONS(2506),
    [anon_sym_uniform] = ACTIONS(2506),
    [anon_sym_row_major] = ACTIONS(2506),
    [anon_sym_column_major] = ACTIONS(2506),
    [anon_sym_globallycoherent] = ACTIONS(2506),
    [anon_sym_centroid] = ACTIONS(2506),
    [anon_sym_noperspective] = ACTIONS(2506),
    [anon_sym_nointerpolation] = ACTIONS(2506),
    [anon_sym_sample] = ACTIONS(2506),
    [anon_sym_linear] = ACTIONS(2506),
    [anon_sym_snorm] = ACTIONS(2506),
    [anon_sym_unorm] = ACTIONS(2506),
    [anon_sym_point] = ACTIONS(2506),
    [anon_sym_line] = ACTIONS(2506),
    [anon_sym_triangleadj] = ACTIONS(2506),
    [anon_sym_lineadj] = ACTIONS(2506),
    [anon_sym_triangle] = ACTIONS(2506),
  },
  [1917] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [aux_sym_preproc_else_token1] = ACTIONS(2514),
    [aux_sym_preproc_elif_token1] = ACTIONS(2514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_friend] = ACTIONS(2514),
    [anon_sym_public] = ACTIONS(2514),
    [anon_sym_private] = ACTIONS(2514),
    [anon_sym_protected] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
  },
  [1918] = {
    [sym_identifier] = ACTIONS(5407),
    [aux_sym_preproc_def_token1] = ACTIONS(5407),
    [aux_sym_preproc_if_token1] = ACTIONS(5407),
    [aux_sym_preproc_if_token2] = ACTIONS(5407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5407),
    [aux_sym_preproc_else_token1] = ACTIONS(5407),
    [aux_sym_preproc_elif_token1] = ACTIONS(5407),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5407),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5407),
    [sym_preproc_directive] = ACTIONS(5407),
    [anon_sym_LPAREN2] = ACTIONS(5409),
    [anon_sym_TILDE] = ACTIONS(5409),
    [anon_sym_STAR] = ACTIONS(5409),
    [anon_sym_AMP_AMP] = ACTIONS(5409),
    [anon_sym_AMP] = ACTIONS(5407),
    [anon_sym_SEMI] = ACTIONS(5409),
    [anon_sym___extension__] = ACTIONS(5407),
    [anon_sym_typedef] = ACTIONS(5407),
    [anon_sym_in] = ACTIONS(5407),
    [anon_sym_out] = ACTIONS(5407),
    [anon_sym_inout] = ACTIONS(5407),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5407),
    [anon_sym_COLON_COLON] = ACTIONS(5409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5409),
    [anon_sym___declspec] = ACTIONS(5407),
    [anon_sym___based] = ACTIONS(5407),
    [anon_sym_signed] = ACTIONS(5407),
    [anon_sym_unsigned] = ACTIONS(5407),
    [anon_sym_long] = ACTIONS(5407),
    [anon_sym_short] = ACTIONS(5407),
    [anon_sym_LBRACK] = ACTIONS(5407),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5407),
    [anon_sym_constexpr] = ACTIONS(5407),
    [anon_sym_volatile] = ACTIONS(5407),
    [anon_sym_restrict] = ACTIONS(5407),
    [anon_sym___restrict__] = ACTIONS(5407),
    [anon_sym__Atomic] = ACTIONS(5407),
    [anon_sym__Noreturn] = ACTIONS(5407),
    [anon_sym_noreturn] = ACTIONS(5407),
    [anon_sym__Nonnull] = ACTIONS(5407),
    [anon_sym_mutable] = ACTIONS(5407),
    [anon_sym_constinit] = ACTIONS(5407),
    [anon_sym_consteval] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5407),
    [anon_sym__Alignas] = ACTIONS(5407),
    [sym_primitive_type] = ACTIONS(5407),
    [anon_sym_enum] = ACTIONS(5407),
    [anon_sym_class] = ACTIONS(5407),
    [anon_sym_struct] = ACTIONS(5407),
    [anon_sym_union] = ACTIONS(5407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5407),
    [anon_sym_decltype] = ACTIONS(5407),
    [anon_sym_explicit] = ACTIONS(5407),
    [anon_sym_typename] = ACTIONS(5407),
    [anon_sym_template] = ACTIONS(5407),
    [anon_sym_operator] = ACTIONS(5407),
    [anon_sym_friend] = ACTIONS(5407),
    [anon_sym_public] = ACTIONS(5407),
    [anon_sym_private] = ACTIONS(5407),
    [anon_sym_protected] = ACTIONS(5407),
    [anon_sym_using] = ACTIONS(5407),
    [anon_sym_static_assert] = ACTIONS(5407),
    [anon_sym_precise] = ACTIONS(5407),
    [anon_sym_shared] = ACTIONS(5407),
    [anon_sym_groupshared] = ACTIONS(5407),
    [anon_sym_uniform] = ACTIONS(5407),
    [anon_sym_row_major] = ACTIONS(5407),
    [anon_sym_column_major] = ACTIONS(5407),
    [anon_sym_globallycoherent] = ACTIONS(5407),
    [anon_sym_centroid] = ACTIONS(5407),
    [anon_sym_noperspective] = ACTIONS(5407),
    [anon_sym_nointerpolation] = ACTIONS(5407),
    [anon_sym_sample] = ACTIONS(5407),
    [anon_sym_linear] = ACTIONS(5407),
    [anon_sym_snorm] = ACTIONS(5407),
    [anon_sym_unorm] = ACTIONS(5407),
    [anon_sym_point] = ACTIONS(5407),
    [anon_sym_line] = ACTIONS(5407),
    [anon_sym_triangleadj] = ACTIONS(5407),
    [anon_sym_lineadj] = ACTIONS(5407),
    [anon_sym_triangle] = ACTIONS(5407),
  },
  [1919] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [aux_sym_preproc_else_token1] = ACTIONS(2518),
    [aux_sym_preproc_elif_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_friend] = ACTIONS(2518),
    [anon_sym_public] = ACTIONS(2518),
    [anon_sym_private] = ACTIONS(2518),
    [anon_sym_protected] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
  },
  [1920] = {
    [sym_identifier] = ACTIONS(5411),
    [aux_sym_preproc_def_token1] = ACTIONS(5411),
    [aux_sym_preproc_if_token1] = ACTIONS(5411),
    [aux_sym_preproc_if_token2] = ACTIONS(5411),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5411),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5411),
    [aux_sym_preproc_else_token1] = ACTIONS(5411),
    [aux_sym_preproc_elif_token1] = ACTIONS(5411),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5411),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5411),
    [sym_preproc_directive] = ACTIONS(5411),
    [anon_sym_LPAREN2] = ACTIONS(5413),
    [anon_sym_TILDE] = ACTIONS(5413),
    [anon_sym_STAR] = ACTIONS(5413),
    [anon_sym_AMP_AMP] = ACTIONS(5413),
    [anon_sym_AMP] = ACTIONS(5411),
    [anon_sym_SEMI] = ACTIONS(5413),
    [anon_sym___extension__] = ACTIONS(5411),
    [anon_sym_typedef] = ACTIONS(5411),
    [anon_sym_in] = ACTIONS(5411),
    [anon_sym_out] = ACTIONS(5411),
    [anon_sym_inout] = ACTIONS(5411),
    [anon_sym_virtual] = ACTIONS(5411),
    [anon_sym_extern] = ACTIONS(5411),
    [anon_sym___attribute__] = ACTIONS(5411),
    [anon_sym_COLON_COLON] = ACTIONS(5413),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5411),
    [anon_sym___based] = ACTIONS(5411),
    [anon_sym_signed] = ACTIONS(5411),
    [anon_sym_unsigned] = ACTIONS(5411),
    [anon_sym_long] = ACTIONS(5411),
    [anon_sym_short] = ACTIONS(5411),
    [anon_sym_LBRACK] = ACTIONS(5411),
    [anon_sym_static] = ACTIONS(5411),
    [anon_sym_register] = ACTIONS(5411),
    [anon_sym_inline] = ACTIONS(5411),
    [anon_sym___inline] = ACTIONS(5411),
    [anon_sym___inline__] = ACTIONS(5411),
    [anon_sym___forceinline] = ACTIONS(5411),
    [anon_sym_thread_local] = ACTIONS(5411),
    [anon_sym___thread] = ACTIONS(5411),
    [anon_sym_const] = ACTIONS(5411),
    [anon_sym_constexpr] = ACTIONS(5411),
    [anon_sym_volatile] = ACTIONS(5411),
    [anon_sym_restrict] = ACTIONS(5411),
    [anon_sym___restrict__] = ACTIONS(5411),
    [anon_sym__Atomic] = ACTIONS(5411),
    [anon_sym__Noreturn] = ACTIONS(5411),
    [anon_sym_noreturn] = ACTIONS(5411),
    [anon_sym__Nonnull] = ACTIONS(5411),
    [anon_sym_mutable] = ACTIONS(5411),
    [anon_sym_constinit] = ACTIONS(5411),
    [anon_sym_consteval] = ACTIONS(5411),
    [anon_sym_alignas] = ACTIONS(5411),
    [anon_sym__Alignas] = ACTIONS(5411),
    [sym_primitive_type] = ACTIONS(5411),
    [anon_sym_enum] = ACTIONS(5411),
    [anon_sym_class] = ACTIONS(5411),
    [anon_sym_struct] = ACTIONS(5411),
    [anon_sym_union] = ACTIONS(5411),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5411),
    [anon_sym_decltype] = ACTIONS(5411),
    [anon_sym_explicit] = ACTIONS(5411),
    [anon_sym_typename] = ACTIONS(5411),
    [anon_sym_template] = ACTIONS(5411),
    [anon_sym_operator] = ACTIONS(5411),
    [anon_sym_friend] = ACTIONS(5411),
    [anon_sym_public] = ACTIONS(5411),
    [anon_sym_private] = ACTIONS(5411),
    [anon_sym_protected] = ACTIONS(5411),
    [anon_sym_using] = ACTIONS(5411),
    [anon_sym_static_assert] = ACTIONS(5411),
    [anon_sym_precise] = ACTIONS(5411),
    [anon_sym_shared] = ACTIONS(5411),
    [anon_sym_groupshared] = ACTIONS(5411),
    [anon_sym_uniform] = ACTIONS(5411),
    [anon_sym_row_major] = ACTIONS(5411),
    [anon_sym_column_major] = ACTIONS(5411),
    [anon_sym_globallycoherent] = ACTIONS(5411),
    [anon_sym_centroid] = ACTIONS(5411),
    [anon_sym_noperspective] = ACTIONS(5411),
    [anon_sym_nointerpolation] = ACTIONS(5411),
    [anon_sym_sample] = ACTIONS(5411),
    [anon_sym_linear] = ACTIONS(5411),
    [anon_sym_snorm] = ACTIONS(5411),
    [anon_sym_unorm] = ACTIONS(5411),
    [anon_sym_point] = ACTIONS(5411),
    [anon_sym_line] = ACTIONS(5411),
    [anon_sym_triangleadj] = ACTIONS(5411),
    [anon_sym_lineadj] = ACTIONS(5411),
    [anon_sym_triangle] = ACTIONS(5411),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [aux_sym_preproc_else_token1] = ACTIONS(2518),
    [aux_sym_preproc_elif_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_friend] = ACTIONS(2518),
    [anon_sym_public] = ACTIONS(2518),
    [anon_sym_private] = ACTIONS(2518),
    [anon_sym_protected] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [1923] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token2] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [aux_sym_preproc_else_token1] = ACTIONS(2526),
    [aux_sym_preproc_elif_token1] = ACTIONS(2526),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_in] = ACTIONS(2526),
    [anon_sym_out] = ACTIONS(2526),
    [anon_sym_inout] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym__Nonnull] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_friend] = ACTIONS(2526),
    [anon_sym_public] = ACTIONS(2526),
    [anon_sym_private] = ACTIONS(2526),
    [anon_sym_protected] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_precise] = ACTIONS(2526),
    [anon_sym_shared] = ACTIONS(2526),
    [anon_sym_groupshared] = ACTIONS(2526),
    [anon_sym_uniform] = ACTIONS(2526),
    [anon_sym_row_major] = ACTIONS(2526),
    [anon_sym_column_major] = ACTIONS(2526),
    [anon_sym_globallycoherent] = ACTIONS(2526),
    [anon_sym_centroid] = ACTIONS(2526),
    [anon_sym_noperspective] = ACTIONS(2526),
    [anon_sym_nointerpolation] = ACTIONS(2526),
    [anon_sym_sample] = ACTIONS(2526),
    [anon_sym_linear] = ACTIONS(2526),
    [anon_sym_snorm] = ACTIONS(2526),
    [anon_sym_unorm] = ACTIONS(2526),
    [anon_sym_point] = ACTIONS(2526),
    [anon_sym_line] = ACTIONS(2526),
    [anon_sym_triangleadj] = ACTIONS(2526),
    [anon_sym_lineadj] = ACTIONS(2526),
    [anon_sym_triangle] = ACTIONS(2526),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token2] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [aux_sym_preproc_else_token1] = ACTIONS(2530),
    [aux_sym_preproc_elif_token1] = ACTIONS(2530),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_in] = ACTIONS(2530),
    [anon_sym_out] = ACTIONS(2530),
    [anon_sym_inout] = ACTIONS(2530),
    [anon_sym_virtual] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym__Nonnull] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_friend] = ACTIONS(2530),
    [anon_sym_public] = ACTIONS(2530),
    [anon_sym_private] = ACTIONS(2530),
    [anon_sym_protected] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_precise] = ACTIONS(2530),
    [anon_sym_shared] = ACTIONS(2530),
    [anon_sym_groupshared] = ACTIONS(2530),
    [anon_sym_uniform] = ACTIONS(2530),
    [anon_sym_row_major] = ACTIONS(2530),
    [anon_sym_column_major] = ACTIONS(2530),
    [anon_sym_globallycoherent] = ACTIONS(2530),
    [anon_sym_centroid] = ACTIONS(2530),
    [anon_sym_noperspective] = ACTIONS(2530),
    [anon_sym_nointerpolation] = ACTIONS(2530),
    [anon_sym_sample] = ACTIONS(2530),
    [anon_sym_linear] = ACTIONS(2530),
    [anon_sym_snorm] = ACTIONS(2530),
    [anon_sym_unorm] = ACTIONS(2530),
    [anon_sym_point] = ACTIONS(2530),
    [anon_sym_line] = ACTIONS(2530),
    [anon_sym_triangleadj] = ACTIONS(2530),
    [anon_sym_lineadj] = ACTIONS(2530),
    [anon_sym_triangle] = ACTIONS(2530),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token2] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [aux_sym_preproc_else_token1] = ACTIONS(2534),
    [aux_sym_preproc_elif_token1] = ACTIONS(2534),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2534),
    [anon_sym_out] = ACTIONS(2534),
    [anon_sym_inout] = ACTIONS(2534),
    [anon_sym_virtual] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym__Nonnull] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_friend] = ACTIONS(2534),
    [anon_sym_public] = ACTIONS(2534),
    [anon_sym_private] = ACTIONS(2534),
    [anon_sym_protected] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_precise] = ACTIONS(2534),
    [anon_sym_shared] = ACTIONS(2534),
    [anon_sym_groupshared] = ACTIONS(2534),
    [anon_sym_uniform] = ACTIONS(2534),
    [anon_sym_row_major] = ACTIONS(2534),
    [anon_sym_column_major] = ACTIONS(2534),
    [anon_sym_globallycoherent] = ACTIONS(2534),
    [anon_sym_centroid] = ACTIONS(2534),
    [anon_sym_noperspective] = ACTIONS(2534),
    [anon_sym_nointerpolation] = ACTIONS(2534),
    [anon_sym_sample] = ACTIONS(2534),
    [anon_sym_linear] = ACTIONS(2534),
    [anon_sym_snorm] = ACTIONS(2534),
    [anon_sym_unorm] = ACTIONS(2534),
    [anon_sym_point] = ACTIONS(2534),
    [anon_sym_line] = ACTIONS(2534),
    [anon_sym_triangleadj] = ACTIONS(2534),
    [anon_sym_lineadj] = ACTIONS(2534),
    [anon_sym_triangle] = ACTIONS(2534),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(5415),
    [aux_sym_preproc_def_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token2] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5415),
    [aux_sym_preproc_else_token1] = ACTIONS(5415),
    [aux_sym_preproc_elif_token1] = ACTIONS(5415),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5415),
    [sym_preproc_directive] = ACTIONS(5415),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_TILDE] = ACTIONS(5417),
    [anon_sym_STAR] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_AMP] = ACTIONS(5415),
    [anon_sym_SEMI] = ACTIONS(5417),
    [anon_sym___extension__] = ACTIONS(5415),
    [anon_sym_typedef] = ACTIONS(5415),
    [anon_sym_in] = ACTIONS(5415),
    [anon_sym_out] = ACTIONS(5415),
    [anon_sym_inout] = ACTIONS(5415),
    [anon_sym_virtual] = ACTIONS(5415),
    [anon_sym_extern] = ACTIONS(5415),
    [anon_sym___attribute__] = ACTIONS(5415),
    [anon_sym_COLON_COLON] = ACTIONS(5417),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5417),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(5415),
    [anon_sym_signed] = ACTIONS(5415),
    [anon_sym_unsigned] = ACTIONS(5415),
    [anon_sym_long] = ACTIONS(5415),
    [anon_sym_short] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5415),
    [anon_sym_static] = ACTIONS(5415),
    [anon_sym_register] = ACTIONS(5415),
    [anon_sym_inline] = ACTIONS(5415),
    [anon_sym___inline] = ACTIONS(5415),
    [anon_sym___inline__] = ACTIONS(5415),
    [anon_sym___forceinline] = ACTIONS(5415),
    [anon_sym_thread_local] = ACTIONS(5415),
    [anon_sym___thread] = ACTIONS(5415),
    [anon_sym_const] = ACTIONS(5415),
    [anon_sym_constexpr] = ACTIONS(5415),
    [anon_sym_volatile] = ACTIONS(5415),
    [anon_sym_restrict] = ACTIONS(5415),
    [anon_sym___restrict__] = ACTIONS(5415),
    [anon_sym__Atomic] = ACTIONS(5415),
    [anon_sym__Noreturn] = ACTIONS(5415),
    [anon_sym_noreturn] = ACTIONS(5415),
    [anon_sym__Nonnull] = ACTIONS(5415),
    [anon_sym_mutable] = ACTIONS(5415),
    [anon_sym_constinit] = ACTIONS(5415),
    [anon_sym_consteval] = ACTIONS(5415),
    [anon_sym_alignas] = ACTIONS(5415),
    [anon_sym__Alignas] = ACTIONS(5415),
    [sym_primitive_type] = ACTIONS(5415),
    [anon_sym_enum] = ACTIONS(5415),
    [anon_sym_class] = ACTIONS(5415),
    [anon_sym_struct] = ACTIONS(5415),
    [anon_sym_union] = ACTIONS(5415),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5415),
    [anon_sym_decltype] = ACTIONS(5415),
    [anon_sym_explicit] = ACTIONS(5415),
    [anon_sym_typename] = ACTIONS(5415),
    [anon_sym_template] = ACTIONS(5415),
    [anon_sym_operator] = ACTIONS(5415),
    [anon_sym_friend] = ACTIONS(5415),
    [anon_sym_public] = ACTIONS(5415),
    [anon_sym_private] = ACTIONS(5415),
    [anon_sym_protected] = ACTIONS(5415),
    [anon_sym_using] = ACTIONS(5415),
    [anon_sym_static_assert] = ACTIONS(5415),
    [anon_sym_precise] = ACTIONS(5415),
    [anon_sym_shared] = ACTIONS(5415),
    [anon_sym_groupshared] = ACTIONS(5415),
    [anon_sym_uniform] = ACTIONS(5415),
    [anon_sym_row_major] = ACTIONS(5415),
    [anon_sym_column_major] = ACTIONS(5415),
    [anon_sym_globallycoherent] = ACTIONS(5415),
    [anon_sym_centroid] = ACTIONS(5415),
    [anon_sym_noperspective] = ACTIONS(5415),
    [anon_sym_nointerpolation] = ACTIONS(5415),
    [anon_sym_sample] = ACTIONS(5415),
    [anon_sym_linear] = ACTIONS(5415),
    [anon_sym_snorm] = ACTIONS(5415),
    [anon_sym_unorm] = ACTIONS(5415),
    [anon_sym_point] = ACTIONS(5415),
    [anon_sym_line] = ACTIONS(5415),
    [anon_sym_triangleadj] = ACTIONS(5415),
    [anon_sym_lineadj] = ACTIONS(5415),
    [anon_sym_triangle] = ACTIONS(5415),
  },
  [1928] = {
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token2] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [aux_sym_preproc_else_token1] = ACTIONS(2538),
    [aux_sym_preproc_elif_token1] = ACTIONS(2538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_in] = ACTIONS(2538),
    [anon_sym_out] = ACTIONS(2538),
    [anon_sym_inout] = ACTIONS(2538),
    [anon_sym_virtual] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym__Nonnull] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_friend] = ACTIONS(2538),
    [anon_sym_public] = ACTIONS(2538),
    [anon_sym_private] = ACTIONS(2538),
    [anon_sym_protected] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_precise] = ACTIONS(2538),
    [anon_sym_shared] = ACTIONS(2538),
    [anon_sym_groupshared] = ACTIONS(2538),
    [anon_sym_uniform] = ACTIONS(2538),
    [anon_sym_row_major] = ACTIONS(2538),
    [anon_sym_column_major] = ACTIONS(2538),
    [anon_sym_globallycoherent] = ACTIONS(2538),
    [anon_sym_centroid] = ACTIONS(2538),
    [anon_sym_noperspective] = ACTIONS(2538),
    [anon_sym_nointerpolation] = ACTIONS(2538),
    [anon_sym_sample] = ACTIONS(2538),
    [anon_sym_linear] = ACTIONS(2538),
    [anon_sym_snorm] = ACTIONS(2538),
    [anon_sym_unorm] = ACTIONS(2538),
    [anon_sym_point] = ACTIONS(2538),
    [anon_sym_line] = ACTIONS(2538),
    [anon_sym_triangleadj] = ACTIONS(2538),
    [anon_sym_lineadj] = ACTIONS(2538),
    [anon_sym_triangle] = ACTIONS(2538),
  },
  [1929] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [1930] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [1931] = {
    [sym_identifier] = ACTIONS(2542),
    [aux_sym_preproc_def_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token2] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2542),
    [aux_sym_preproc_else_token1] = ACTIONS(2542),
    [aux_sym_preproc_elif_token1] = ACTIONS(2542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2542),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2542),
    [sym_preproc_directive] = ACTIONS(2542),
    [anon_sym_LPAREN2] = ACTIONS(2544),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2544),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2542),
    [anon_sym_typedef] = ACTIONS(2542),
    [anon_sym_in] = ACTIONS(2542),
    [anon_sym_out] = ACTIONS(2542),
    [anon_sym_inout] = ACTIONS(2542),
    [anon_sym_virtual] = ACTIONS(2542),
    [anon_sym_extern] = ACTIONS(2542),
    [anon_sym___attribute__] = ACTIONS(2542),
    [anon_sym_COLON_COLON] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2544),
    [anon_sym___declspec] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2542),
    [anon_sym_unsigned] = ACTIONS(2542),
    [anon_sym_long] = ACTIONS(2542),
    [anon_sym_short] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_static] = ACTIONS(2542),
    [anon_sym_register] = ACTIONS(2542),
    [anon_sym_inline] = ACTIONS(2542),
    [anon_sym___inline] = ACTIONS(2542),
    [anon_sym___inline__] = ACTIONS(2542),
    [anon_sym___forceinline] = ACTIONS(2542),
    [anon_sym_thread_local] = ACTIONS(2542),
    [anon_sym___thread] = ACTIONS(2542),
    [anon_sym_const] = ACTIONS(2542),
    [anon_sym_constexpr] = ACTIONS(2542),
    [anon_sym_volatile] = ACTIONS(2542),
    [anon_sym_restrict] = ACTIONS(2542),
    [anon_sym___restrict__] = ACTIONS(2542),
    [anon_sym__Atomic] = ACTIONS(2542),
    [anon_sym__Noreturn] = ACTIONS(2542),
    [anon_sym_noreturn] = ACTIONS(2542),
    [anon_sym__Nonnull] = ACTIONS(2542),
    [anon_sym_mutable] = ACTIONS(2542),
    [anon_sym_constinit] = ACTIONS(2542),
    [anon_sym_consteval] = ACTIONS(2542),
    [anon_sym_alignas] = ACTIONS(2542),
    [anon_sym__Alignas] = ACTIONS(2542),
    [sym_primitive_type] = ACTIONS(2542),
    [anon_sym_enum] = ACTIONS(2542),
    [anon_sym_class] = ACTIONS(2542),
    [anon_sym_struct] = ACTIONS(2542),
    [anon_sym_union] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2542),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2542),
    [anon_sym_friend] = ACTIONS(2542),
    [anon_sym_public] = ACTIONS(2542),
    [anon_sym_private] = ACTIONS(2542),
    [anon_sym_protected] = ACTIONS(2542),
    [anon_sym_using] = ACTIONS(2542),
    [anon_sym_static_assert] = ACTIONS(2542),
    [anon_sym_precise] = ACTIONS(2542),
    [anon_sym_shared] = ACTIONS(2542),
    [anon_sym_groupshared] = ACTIONS(2542),
    [anon_sym_uniform] = ACTIONS(2542),
    [anon_sym_row_major] = ACTIONS(2542),
    [anon_sym_column_major] = ACTIONS(2542),
    [anon_sym_globallycoherent] = ACTIONS(2542),
    [anon_sym_centroid] = ACTIONS(2542),
    [anon_sym_noperspective] = ACTIONS(2542),
    [anon_sym_nointerpolation] = ACTIONS(2542),
    [anon_sym_sample] = ACTIONS(2542),
    [anon_sym_linear] = ACTIONS(2542),
    [anon_sym_snorm] = ACTIONS(2542),
    [anon_sym_unorm] = ACTIONS(2542),
    [anon_sym_point] = ACTIONS(2542),
    [anon_sym_line] = ACTIONS(2542),
    [anon_sym_triangleadj] = ACTIONS(2542),
    [anon_sym_lineadj] = ACTIONS(2542),
    [anon_sym_triangle] = ACTIONS(2542),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(2546),
    [aux_sym_preproc_def_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token2] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2546),
    [aux_sym_preproc_else_token1] = ACTIONS(2546),
    [aux_sym_preproc_elif_token1] = ACTIONS(2546),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2546),
    [sym_preproc_directive] = ACTIONS(2546),
    [anon_sym_LPAREN2] = ACTIONS(2548),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2548),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2546),
    [anon_sym_typedef] = ACTIONS(2546),
    [anon_sym_in] = ACTIONS(2546),
    [anon_sym_out] = ACTIONS(2546),
    [anon_sym_inout] = ACTIONS(2546),
    [anon_sym_virtual] = ACTIONS(2546),
    [anon_sym_extern] = ACTIONS(2546),
    [anon_sym___attribute__] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2548),
    [anon_sym___declspec] = ACTIONS(2546),
    [anon_sym___based] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_register] = ACTIONS(2546),
    [anon_sym_inline] = ACTIONS(2546),
    [anon_sym___inline] = ACTIONS(2546),
    [anon_sym___inline__] = ACTIONS(2546),
    [anon_sym___forceinline] = ACTIONS(2546),
    [anon_sym_thread_local] = ACTIONS(2546),
    [anon_sym___thread] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_constexpr] = ACTIONS(2546),
    [anon_sym_volatile] = ACTIONS(2546),
    [anon_sym_restrict] = ACTIONS(2546),
    [anon_sym___restrict__] = ACTIONS(2546),
    [anon_sym__Atomic] = ACTIONS(2546),
    [anon_sym__Noreturn] = ACTIONS(2546),
    [anon_sym_noreturn] = ACTIONS(2546),
    [anon_sym__Nonnull] = ACTIONS(2546),
    [anon_sym_mutable] = ACTIONS(2546),
    [anon_sym_constinit] = ACTIONS(2546),
    [anon_sym_consteval] = ACTIONS(2546),
    [anon_sym_alignas] = ACTIONS(2546),
    [anon_sym__Alignas] = ACTIONS(2546),
    [sym_primitive_type] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_struct] = ACTIONS(2546),
    [anon_sym_union] = ACTIONS(2546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2546),
    [anon_sym_decltype] = ACTIONS(2546),
    [anon_sym_explicit] = ACTIONS(2546),
    [anon_sym_typename] = ACTIONS(2546),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2546),
    [anon_sym_friend] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_static_assert] = ACTIONS(2546),
    [anon_sym_precise] = ACTIONS(2546),
    [anon_sym_shared] = ACTIONS(2546),
    [anon_sym_groupshared] = ACTIONS(2546),
    [anon_sym_uniform] = ACTIONS(2546),
    [anon_sym_row_major] = ACTIONS(2546),
    [anon_sym_column_major] = ACTIONS(2546),
    [anon_sym_globallycoherent] = ACTIONS(2546),
    [anon_sym_centroid] = ACTIONS(2546),
    [anon_sym_noperspective] = ACTIONS(2546),
    [anon_sym_nointerpolation] = ACTIONS(2546),
    [anon_sym_sample] = ACTIONS(2546),
    [anon_sym_linear] = ACTIONS(2546),
    [anon_sym_snorm] = ACTIONS(2546),
    [anon_sym_unorm] = ACTIONS(2546),
    [anon_sym_point] = ACTIONS(2546),
    [anon_sym_line] = ACTIONS(2546),
    [anon_sym_triangleadj] = ACTIONS(2546),
    [anon_sym_lineadj] = ACTIONS(2546),
    [anon_sym_triangle] = ACTIONS(2546),
  },
  [1933] = {
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token2] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [aux_sym_preproc_else_token1] = ACTIONS(2582),
    [aux_sym_preproc_elif_token1] = ACTIONS(2582),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_out] = ACTIONS(2582),
    [anon_sym_inout] = ACTIONS(2582),
    [anon_sym_virtual] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym__Nonnull] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym__Alignas] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_friend] = ACTIONS(2582),
    [anon_sym_public] = ACTIONS(2582),
    [anon_sym_private] = ACTIONS(2582),
    [anon_sym_protected] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_precise] = ACTIONS(2582),
    [anon_sym_shared] = ACTIONS(2582),
    [anon_sym_groupshared] = ACTIONS(2582),
    [anon_sym_uniform] = ACTIONS(2582),
    [anon_sym_row_major] = ACTIONS(2582),
    [anon_sym_column_major] = ACTIONS(2582),
    [anon_sym_globallycoherent] = ACTIONS(2582),
    [anon_sym_centroid] = ACTIONS(2582),
    [anon_sym_noperspective] = ACTIONS(2582),
    [anon_sym_nointerpolation] = ACTIONS(2582),
    [anon_sym_sample] = ACTIONS(2582),
    [anon_sym_linear] = ACTIONS(2582),
    [anon_sym_snorm] = ACTIONS(2582),
    [anon_sym_unorm] = ACTIONS(2582),
    [anon_sym_point] = ACTIONS(2582),
    [anon_sym_line] = ACTIONS(2582),
    [anon_sym_triangleadj] = ACTIONS(2582),
    [anon_sym_lineadj] = ACTIONS(2582),
    [anon_sym_triangle] = ACTIONS(2582),
  },
  [1934] = {
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token2] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [aux_sym_preproc_else_token1] = ACTIONS(2586),
    [aux_sym_preproc_elif_token1] = ACTIONS(2586),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_out] = ACTIONS(2586),
    [anon_sym_inout] = ACTIONS(2586),
    [anon_sym_virtual] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym__Nonnull] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym__Alignas] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_friend] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_precise] = ACTIONS(2586),
    [anon_sym_shared] = ACTIONS(2586),
    [anon_sym_groupshared] = ACTIONS(2586),
    [anon_sym_uniform] = ACTIONS(2586),
    [anon_sym_row_major] = ACTIONS(2586),
    [anon_sym_column_major] = ACTIONS(2586),
    [anon_sym_globallycoherent] = ACTIONS(2586),
    [anon_sym_centroid] = ACTIONS(2586),
    [anon_sym_noperspective] = ACTIONS(2586),
    [anon_sym_nointerpolation] = ACTIONS(2586),
    [anon_sym_sample] = ACTIONS(2586),
    [anon_sym_linear] = ACTIONS(2586),
    [anon_sym_snorm] = ACTIONS(2586),
    [anon_sym_unorm] = ACTIONS(2586),
    [anon_sym_point] = ACTIONS(2586),
    [anon_sym_line] = ACTIONS(2586),
    [anon_sym_triangleadj] = ACTIONS(2586),
    [anon_sym_lineadj] = ACTIONS(2586),
    [anon_sym_triangle] = ACTIONS(2586),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [aux_sym_preproc_else_token1] = ACTIONS(2590),
    [aux_sym_preproc_elif_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [aux_sym_preproc_else_token1] = ACTIONS(2590),
    [aux_sym_preproc_elif_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(5419),
    [aux_sym_preproc_def_token1] = ACTIONS(5419),
    [aux_sym_preproc_if_token1] = ACTIONS(5419),
    [aux_sym_preproc_if_token2] = ACTIONS(5419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5419),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5419),
    [aux_sym_preproc_else_token1] = ACTIONS(5419),
    [aux_sym_preproc_elif_token1] = ACTIONS(5419),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5419),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5419),
    [sym_preproc_directive] = ACTIONS(5419),
    [anon_sym_LPAREN2] = ACTIONS(5421),
    [anon_sym_TILDE] = ACTIONS(5421),
    [anon_sym_STAR] = ACTIONS(5421),
    [anon_sym_AMP_AMP] = ACTIONS(5421),
    [anon_sym_AMP] = ACTIONS(5419),
    [anon_sym_SEMI] = ACTIONS(5421),
    [anon_sym___extension__] = ACTIONS(5419),
    [anon_sym_typedef] = ACTIONS(5419),
    [anon_sym_in] = ACTIONS(5419),
    [anon_sym_out] = ACTIONS(5419),
    [anon_sym_inout] = ACTIONS(5419),
    [anon_sym_virtual] = ACTIONS(5419),
    [anon_sym_extern] = ACTIONS(5419),
    [anon_sym___attribute__] = ACTIONS(5419),
    [anon_sym_COLON_COLON] = ACTIONS(5421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5421),
    [anon_sym___declspec] = ACTIONS(5419),
    [anon_sym___based] = ACTIONS(5419),
    [anon_sym_signed] = ACTIONS(5419),
    [anon_sym_unsigned] = ACTIONS(5419),
    [anon_sym_long] = ACTIONS(5419),
    [anon_sym_short] = ACTIONS(5419),
    [anon_sym_LBRACK] = ACTIONS(5419),
    [anon_sym_static] = ACTIONS(5419),
    [anon_sym_register] = ACTIONS(5419),
    [anon_sym_inline] = ACTIONS(5419),
    [anon_sym___inline] = ACTIONS(5419),
    [anon_sym___inline__] = ACTIONS(5419),
    [anon_sym___forceinline] = ACTIONS(5419),
    [anon_sym_thread_local] = ACTIONS(5419),
    [anon_sym___thread] = ACTIONS(5419),
    [anon_sym_const] = ACTIONS(5419),
    [anon_sym_constexpr] = ACTIONS(5419),
    [anon_sym_volatile] = ACTIONS(5419),
    [anon_sym_restrict] = ACTIONS(5419),
    [anon_sym___restrict__] = ACTIONS(5419),
    [anon_sym__Atomic] = ACTIONS(5419),
    [anon_sym__Noreturn] = ACTIONS(5419),
    [anon_sym_noreturn] = ACTIONS(5419),
    [anon_sym__Nonnull] = ACTIONS(5419),
    [anon_sym_mutable] = ACTIONS(5419),
    [anon_sym_constinit] = ACTIONS(5419),
    [anon_sym_consteval] = ACTIONS(5419),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym__Alignas] = ACTIONS(5419),
    [sym_primitive_type] = ACTIONS(5419),
    [anon_sym_enum] = ACTIONS(5419),
    [anon_sym_class] = ACTIONS(5419),
    [anon_sym_struct] = ACTIONS(5419),
    [anon_sym_union] = ACTIONS(5419),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5419),
    [anon_sym_decltype] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(5419),
    [anon_sym_typename] = ACTIONS(5419),
    [anon_sym_template] = ACTIONS(5419),
    [anon_sym_operator] = ACTIONS(5419),
    [anon_sym_friend] = ACTIONS(5419),
    [anon_sym_public] = ACTIONS(5419),
    [anon_sym_private] = ACTIONS(5419),
    [anon_sym_protected] = ACTIONS(5419),
    [anon_sym_using] = ACTIONS(5419),
    [anon_sym_static_assert] = ACTIONS(5419),
    [anon_sym_precise] = ACTIONS(5419),
    [anon_sym_shared] = ACTIONS(5419),
    [anon_sym_groupshared] = ACTIONS(5419),
    [anon_sym_uniform] = ACTIONS(5419),
    [anon_sym_row_major] = ACTIONS(5419),
    [anon_sym_column_major] = ACTIONS(5419),
    [anon_sym_globallycoherent] = ACTIONS(5419),
    [anon_sym_centroid] = ACTIONS(5419),
    [anon_sym_noperspective] = ACTIONS(5419),
    [anon_sym_nointerpolation] = ACTIONS(5419),
    [anon_sym_sample] = ACTIONS(5419),
    [anon_sym_linear] = ACTIONS(5419),
    [anon_sym_snorm] = ACTIONS(5419),
    [anon_sym_unorm] = ACTIONS(5419),
    [anon_sym_point] = ACTIONS(5419),
    [anon_sym_line] = ACTIONS(5419),
    [anon_sym_triangleadj] = ACTIONS(5419),
    [anon_sym_lineadj] = ACTIONS(5419),
    [anon_sym_triangle] = ACTIONS(5419),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [aux_sym_preproc_else_token1] = ACTIONS(2590),
    [aux_sym_preproc_elif_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [aux_sym_preproc_else_token1] = ACTIONS(2590),
    [aux_sym_preproc_elif_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [aux_sym_preproc_else_token1] = ACTIONS(2594),
    [aux_sym_preproc_elif_token1] = ACTIONS(2594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_friend] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [aux_sym_preproc_else_token1] = ACTIONS(2594),
    [aux_sym_preproc_elif_token1] = ACTIONS(2594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_friend] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token2] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [aux_sym_preproc_else_token1] = ACTIONS(2598),
    [aux_sym_preproc_elif_token1] = ACTIONS(2598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_out] = ACTIONS(2598),
    [anon_sym_inout] = ACTIONS(2598),
    [anon_sym_virtual] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym__Nonnull] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym__Alignas] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_friend] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_precise] = ACTIONS(2598),
    [anon_sym_shared] = ACTIONS(2598),
    [anon_sym_groupshared] = ACTIONS(2598),
    [anon_sym_uniform] = ACTIONS(2598),
    [anon_sym_row_major] = ACTIONS(2598),
    [anon_sym_column_major] = ACTIONS(2598),
    [anon_sym_globallycoherent] = ACTIONS(2598),
    [anon_sym_centroid] = ACTIONS(2598),
    [anon_sym_noperspective] = ACTIONS(2598),
    [anon_sym_nointerpolation] = ACTIONS(2598),
    [anon_sym_sample] = ACTIONS(2598),
    [anon_sym_linear] = ACTIONS(2598),
    [anon_sym_snorm] = ACTIONS(2598),
    [anon_sym_unorm] = ACTIONS(2598),
    [anon_sym_point] = ACTIONS(2598),
    [anon_sym_line] = ACTIONS(2598),
    [anon_sym_triangleadj] = ACTIONS(2598),
    [anon_sym_lineadj] = ACTIONS(2598),
    [anon_sym_triangle] = ACTIONS(2598),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [aux_sym_preproc_else_token1] = ACTIONS(2610),
    [aux_sym_preproc_elif_token1] = ACTIONS(2610),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_friend] = ACTIONS(2610),
    [anon_sym_public] = ACTIONS(2610),
    [anon_sym_private] = ACTIONS(2610),
    [anon_sym_protected] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token2] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [aux_sym_preproc_else_token1] = ACTIONS(2614),
    [aux_sym_preproc_elif_token1] = ACTIONS(2614),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_out] = ACTIONS(2614),
    [anon_sym_inout] = ACTIONS(2614),
    [anon_sym_virtual] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_friend] = ACTIONS(2614),
    [anon_sym_public] = ACTIONS(2614),
    [anon_sym_private] = ACTIONS(2614),
    [anon_sym_protected] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_precise] = ACTIONS(2614),
    [anon_sym_shared] = ACTIONS(2614),
    [anon_sym_groupshared] = ACTIONS(2614),
    [anon_sym_uniform] = ACTIONS(2614),
    [anon_sym_row_major] = ACTIONS(2614),
    [anon_sym_column_major] = ACTIONS(2614),
    [anon_sym_globallycoherent] = ACTIONS(2614),
    [anon_sym_centroid] = ACTIONS(2614),
    [anon_sym_noperspective] = ACTIONS(2614),
    [anon_sym_nointerpolation] = ACTIONS(2614),
    [anon_sym_sample] = ACTIONS(2614),
    [anon_sym_linear] = ACTIONS(2614),
    [anon_sym_snorm] = ACTIONS(2614),
    [anon_sym_unorm] = ACTIONS(2614),
    [anon_sym_point] = ACTIONS(2614),
    [anon_sym_line] = ACTIONS(2614),
    [anon_sym_triangleadj] = ACTIONS(2614),
    [anon_sym_lineadj] = ACTIONS(2614),
    [anon_sym_triangle] = ACTIONS(2614),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token2] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [aux_sym_preproc_else_token1] = ACTIONS(2206),
    [aux_sym_preproc_elif_token1] = ACTIONS(2206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym__Nonnull] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym__Alignas] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_friend] = ACTIONS(2206),
    [anon_sym_public] = ACTIONS(2206),
    [anon_sym_private] = ACTIONS(2206),
    [anon_sym_protected] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(5423),
    [aux_sym_preproc_def_token1] = ACTIONS(5423),
    [aux_sym_preproc_if_token1] = ACTIONS(5423),
    [aux_sym_preproc_if_token2] = ACTIONS(5423),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5423),
    [aux_sym_preproc_else_token1] = ACTIONS(5423),
    [aux_sym_preproc_elif_token1] = ACTIONS(5423),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5423),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5423),
    [sym_preproc_directive] = ACTIONS(5423),
    [anon_sym_LPAREN2] = ACTIONS(5425),
    [anon_sym_TILDE] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_AMP_AMP] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_SEMI] = ACTIONS(5425),
    [anon_sym___extension__] = ACTIONS(5423),
    [anon_sym_typedef] = ACTIONS(5423),
    [anon_sym_in] = ACTIONS(5423),
    [anon_sym_out] = ACTIONS(5423),
    [anon_sym_inout] = ACTIONS(5423),
    [anon_sym_virtual] = ACTIONS(5423),
    [anon_sym_extern] = ACTIONS(5423),
    [anon_sym___attribute__] = ACTIONS(5423),
    [anon_sym_COLON_COLON] = ACTIONS(5425),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5425),
    [anon_sym___declspec] = ACTIONS(5423),
    [anon_sym___based] = ACTIONS(5423),
    [anon_sym_signed] = ACTIONS(5423),
    [anon_sym_unsigned] = ACTIONS(5423),
    [anon_sym_long] = ACTIONS(5423),
    [anon_sym_short] = ACTIONS(5423),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym_static] = ACTIONS(5423),
    [anon_sym_register] = ACTIONS(5423),
    [anon_sym_inline] = ACTIONS(5423),
    [anon_sym___inline] = ACTIONS(5423),
    [anon_sym___inline__] = ACTIONS(5423),
    [anon_sym___forceinline] = ACTIONS(5423),
    [anon_sym_thread_local] = ACTIONS(5423),
    [anon_sym___thread] = ACTIONS(5423),
    [anon_sym_const] = ACTIONS(5423),
    [anon_sym_constexpr] = ACTIONS(5423),
    [anon_sym_volatile] = ACTIONS(5423),
    [anon_sym_restrict] = ACTIONS(5423),
    [anon_sym___restrict__] = ACTIONS(5423),
    [anon_sym__Atomic] = ACTIONS(5423),
    [anon_sym__Noreturn] = ACTIONS(5423),
    [anon_sym_noreturn] = ACTIONS(5423),
    [anon_sym__Nonnull] = ACTIONS(5423),
    [anon_sym_mutable] = ACTIONS(5423),
    [anon_sym_constinit] = ACTIONS(5423),
    [anon_sym_consteval] = ACTIONS(5423),
    [anon_sym_alignas] = ACTIONS(5423),
    [anon_sym__Alignas] = ACTIONS(5423),
    [sym_primitive_type] = ACTIONS(5423),
    [anon_sym_enum] = ACTIONS(5423),
    [anon_sym_class] = ACTIONS(5423),
    [anon_sym_struct] = ACTIONS(5423),
    [anon_sym_union] = ACTIONS(5423),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5423),
    [anon_sym_decltype] = ACTIONS(5423),
    [anon_sym_explicit] = ACTIONS(5423),
    [anon_sym_typename] = ACTIONS(5423),
    [anon_sym_template] = ACTIONS(5423),
    [anon_sym_operator] = ACTIONS(5423),
    [anon_sym_friend] = ACTIONS(5423),
    [anon_sym_public] = ACTIONS(5423),
    [anon_sym_private] = ACTIONS(5423),
    [anon_sym_protected] = ACTIONS(5423),
    [anon_sym_using] = ACTIONS(5423),
    [anon_sym_static_assert] = ACTIONS(5423),
    [anon_sym_precise] = ACTIONS(5423),
    [anon_sym_shared] = ACTIONS(5423),
    [anon_sym_groupshared] = ACTIONS(5423),
    [anon_sym_uniform] = ACTIONS(5423),
    [anon_sym_row_major] = ACTIONS(5423),
    [anon_sym_column_major] = ACTIONS(5423),
    [anon_sym_globallycoherent] = ACTIONS(5423),
    [anon_sym_centroid] = ACTIONS(5423),
    [anon_sym_noperspective] = ACTIONS(5423),
    [anon_sym_nointerpolation] = ACTIONS(5423),
    [anon_sym_sample] = ACTIONS(5423),
    [anon_sym_linear] = ACTIONS(5423),
    [anon_sym_snorm] = ACTIONS(5423),
    [anon_sym_unorm] = ACTIONS(5423),
    [anon_sym_point] = ACTIONS(5423),
    [anon_sym_line] = ACTIONS(5423),
    [anon_sym_triangleadj] = ACTIONS(5423),
    [anon_sym_lineadj] = ACTIONS(5423),
    [anon_sym_triangle] = ACTIONS(5423),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [aux_sym_preproc_else_token1] = ACTIONS(5427),
    [aux_sym_preproc_elif_token1] = ACTIONS(5427),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_TILDE] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_in] = ACTIONS(5427),
    [anon_sym_out] = ACTIONS(5427),
    [anon_sym_inout] = ACTIONS(5427),
    [anon_sym_virtual] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_class] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_explicit] = ACTIONS(5427),
    [anon_sym_typename] = ACTIONS(5427),
    [anon_sym_template] = ACTIONS(5427),
    [anon_sym_operator] = ACTIONS(5427),
    [anon_sym_friend] = ACTIONS(5427),
    [anon_sym_public] = ACTIONS(5427),
    [anon_sym_private] = ACTIONS(5427),
    [anon_sym_protected] = ACTIONS(5427),
    [anon_sym_using] = ACTIONS(5427),
    [anon_sym_static_assert] = ACTIONS(5427),
    [anon_sym_precise] = ACTIONS(5427),
    [anon_sym_shared] = ACTIONS(5427),
    [anon_sym_groupshared] = ACTIONS(5427),
    [anon_sym_uniform] = ACTIONS(5427),
    [anon_sym_row_major] = ACTIONS(5427),
    [anon_sym_column_major] = ACTIONS(5427),
    [anon_sym_globallycoherent] = ACTIONS(5427),
    [anon_sym_centroid] = ACTIONS(5427),
    [anon_sym_noperspective] = ACTIONS(5427),
    [anon_sym_nointerpolation] = ACTIONS(5427),
    [anon_sym_sample] = ACTIONS(5427),
    [anon_sym_linear] = ACTIONS(5427),
    [anon_sym_snorm] = ACTIONS(5427),
    [anon_sym_unorm] = ACTIONS(5427),
    [anon_sym_point] = ACTIONS(5427),
    [anon_sym_line] = ACTIONS(5427),
    [anon_sym_triangleadj] = ACTIONS(5427),
    [anon_sym_lineadj] = ACTIONS(5427),
    [anon_sym_triangle] = ACTIONS(5427),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token2] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [aux_sym_preproc_else_token1] = ACTIONS(5431),
    [aux_sym_preproc_elif_token1] = ACTIONS(5431),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_in] = ACTIONS(5431),
    [anon_sym_out] = ACTIONS(5431),
    [anon_sym_inout] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [sym_primitive_type] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
    [anon_sym_precise] = ACTIONS(5431),
    [anon_sym_shared] = ACTIONS(5431),
    [anon_sym_groupshared] = ACTIONS(5431),
    [anon_sym_uniform] = ACTIONS(5431),
    [anon_sym_row_major] = ACTIONS(5431),
    [anon_sym_column_major] = ACTIONS(5431),
    [anon_sym_globallycoherent] = ACTIONS(5431),
    [anon_sym_centroid] = ACTIONS(5431),
    [anon_sym_noperspective] = ACTIONS(5431),
    [anon_sym_nointerpolation] = ACTIONS(5431),
    [anon_sym_sample] = ACTIONS(5431),
    [anon_sym_linear] = ACTIONS(5431),
    [anon_sym_snorm] = ACTIONS(5431),
    [anon_sym_unorm] = ACTIONS(5431),
    [anon_sym_point] = ACTIONS(5431),
    [anon_sym_line] = ACTIONS(5431),
    [anon_sym_triangleadj] = ACTIONS(5431),
    [anon_sym_lineadj] = ACTIONS(5431),
    [anon_sym_triangle] = ACTIONS(5431),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [aux_sym_preproc_else_token1] = ACTIONS(5427),
    [aux_sym_preproc_elif_token1] = ACTIONS(5427),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_TILDE] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_in] = ACTIONS(5427),
    [anon_sym_out] = ACTIONS(5427),
    [anon_sym_inout] = ACTIONS(5427),
    [anon_sym_virtual] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_class] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_explicit] = ACTIONS(5427),
    [anon_sym_typename] = ACTIONS(5427),
    [anon_sym_template] = ACTIONS(5427),
    [anon_sym_operator] = ACTIONS(5427),
    [anon_sym_friend] = ACTIONS(5427),
    [anon_sym_public] = ACTIONS(5427),
    [anon_sym_private] = ACTIONS(5427),
    [anon_sym_protected] = ACTIONS(5427),
    [anon_sym_using] = ACTIONS(5427),
    [anon_sym_static_assert] = ACTIONS(5427),
    [anon_sym_precise] = ACTIONS(5427),
    [anon_sym_shared] = ACTIONS(5427),
    [anon_sym_groupshared] = ACTIONS(5427),
    [anon_sym_uniform] = ACTIONS(5427),
    [anon_sym_row_major] = ACTIONS(5427),
    [anon_sym_column_major] = ACTIONS(5427),
    [anon_sym_globallycoherent] = ACTIONS(5427),
    [anon_sym_centroid] = ACTIONS(5427),
    [anon_sym_noperspective] = ACTIONS(5427),
    [anon_sym_nointerpolation] = ACTIONS(5427),
    [anon_sym_sample] = ACTIONS(5427),
    [anon_sym_linear] = ACTIONS(5427),
    [anon_sym_snorm] = ACTIONS(5427),
    [anon_sym_unorm] = ACTIONS(5427),
    [anon_sym_point] = ACTIONS(5427),
    [anon_sym_line] = ACTIONS(5427),
    [anon_sym_triangleadj] = ACTIONS(5427),
    [anon_sym_lineadj] = ACTIONS(5427),
    [anon_sym_triangle] = ACTIONS(5427),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token2] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [aux_sym_preproc_else_token1] = ACTIONS(5431),
    [aux_sym_preproc_elif_token1] = ACTIONS(5431),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_in] = ACTIONS(5431),
    [anon_sym_out] = ACTIONS(5431),
    [anon_sym_inout] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [sym_primitive_type] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
    [anon_sym_precise] = ACTIONS(5431),
    [anon_sym_shared] = ACTIONS(5431),
    [anon_sym_groupshared] = ACTIONS(5431),
    [anon_sym_uniform] = ACTIONS(5431),
    [anon_sym_row_major] = ACTIONS(5431),
    [anon_sym_column_major] = ACTIONS(5431),
    [anon_sym_globallycoherent] = ACTIONS(5431),
    [anon_sym_centroid] = ACTIONS(5431),
    [anon_sym_noperspective] = ACTIONS(5431),
    [anon_sym_nointerpolation] = ACTIONS(5431),
    [anon_sym_sample] = ACTIONS(5431),
    [anon_sym_linear] = ACTIONS(5431),
    [anon_sym_snorm] = ACTIONS(5431),
    [anon_sym_unorm] = ACTIONS(5431),
    [anon_sym_point] = ACTIONS(5431),
    [anon_sym_line] = ACTIONS(5431),
    [anon_sym_triangleadj] = ACTIONS(5431),
    [anon_sym_lineadj] = ACTIONS(5431),
    [anon_sym_triangle] = ACTIONS(5431),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(5435),
    [aux_sym_preproc_def_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token2] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5435),
    [aux_sym_preproc_else_token1] = ACTIONS(5435),
    [aux_sym_preproc_elif_token1] = ACTIONS(5435),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5435),
    [sym_preproc_directive] = ACTIONS(5435),
    [anon_sym_LPAREN2] = ACTIONS(5437),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_AMP_AMP] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5435),
    [anon_sym_typedef] = ACTIONS(5435),
    [anon_sym_in] = ACTIONS(5435),
    [anon_sym_out] = ACTIONS(5435),
    [anon_sym_inout] = ACTIONS(5435),
    [anon_sym_virtual] = ACTIONS(5435),
    [anon_sym_extern] = ACTIONS(5435),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5437),
    [anon_sym___declspec] = ACTIONS(5435),
    [anon_sym___based] = ACTIONS(5435),
    [anon_sym_signed] = ACTIONS(5435),
    [anon_sym_unsigned] = ACTIONS(5435),
    [anon_sym_long] = ACTIONS(5435),
    [anon_sym_short] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_static] = ACTIONS(5435),
    [anon_sym_register] = ACTIONS(5435),
    [anon_sym_inline] = ACTIONS(5435),
    [anon_sym___inline] = ACTIONS(5435),
    [anon_sym___inline__] = ACTIONS(5435),
    [anon_sym___forceinline] = ACTIONS(5435),
    [anon_sym_thread_local] = ACTIONS(5435),
    [anon_sym___thread] = ACTIONS(5435),
    [anon_sym_const] = ACTIONS(5435),
    [anon_sym_constexpr] = ACTIONS(5435),
    [anon_sym_volatile] = ACTIONS(5435),
    [anon_sym_restrict] = ACTIONS(5435),
    [anon_sym___restrict__] = ACTIONS(5435),
    [anon_sym__Atomic] = ACTIONS(5435),
    [anon_sym__Noreturn] = ACTIONS(5435),
    [anon_sym_noreturn] = ACTIONS(5435),
    [anon_sym__Nonnull] = ACTIONS(5435),
    [anon_sym_mutable] = ACTIONS(5435),
    [anon_sym_constinit] = ACTIONS(5435),
    [anon_sym_consteval] = ACTIONS(5435),
    [anon_sym_alignas] = ACTIONS(5435),
    [anon_sym__Alignas] = ACTIONS(5435),
    [sym_primitive_type] = ACTIONS(5435),
    [anon_sym_enum] = ACTIONS(5435),
    [anon_sym_class] = ACTIONS(5435),
    [anon_sym_struct] = ACTIONS(5435),
    [anon_sym_union] = ACTIONS(5435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5435),
    [anon_sym_decltype] = ACTIONS(5435),
    [anon_sym_explicit] = ACTIONS(5435),
    [anon_sym_typename] = ACTIONS(5435),
    [anon_sym_template] = ACTIONS(5435),
    [anon_sym_operator] = ACTIONS(5435),
    [anon_sym_friend] = ACTIONS(5435),
    [anon_sym_public] = ACTIONS(5435),
    [anon_sym_private] = ACTIONS(5435),
    [anon_sym_protected] = ACTIONS(5435),
    [anon_sym_using] = ACTIONS(5435),
    [anon_sym_static_assert] = ACTIONS(5435),
    [anon_sym_precise] = ACTIONS(5435),
    [anon_sym_shared] = ACTIONS(5435),
    [anon_sym_groupshared] = ACTIONS(5435),
    [anon_sym_uniform] = ACTIONS(5435),
    [anon_sym_row_major] = ACTIONS(5435),
    [anon_sym_column_major] = ACTIONS(5435),
    [anon_sym_globallycoherent] = ACTIONS(5435),
    [anon_sym_centroid] = ACTIONS(5435),
    [anon_sym_noperspective] = ACTIONS(5435),
    [anon_sym_nointerpolation] = ACTIONS(5435),
    [anon_sym_sample] = ACTIONS(5435),
    [anon_sym_linear] = ACTIONS(5435),
    [anon_sym_snorm] = ACTIONS(5435),
    [anon_sym_unorm] = ACTIONS(5435),
    [anon_sym_point] = ACTIONS(5435),
    [anon_sym_line] = ACTIONS(5435),
    [anon_sym_triangleadj] = ACTIONS(5435),
    [anon_sym_lineadj] = ACTIONS(5435),
    [anon_sym_triangle] = ACTIONS(5435),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token2] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [aux_sym_preproc_else_token1] = ACTIONS(5439),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_TILDE] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_in] = ACTIONS(5439),
    [anon_sym_out] = ACTIONS(5439),
    [anon_sym_inout] = ACTIONS(5439),
    [anon_sym_virtual] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym_COLON_COLON] = ACTIONS(5441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___based] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [sym_primitive_type] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_class] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_explicit] = ACTIONS(5439),
    [anon_sym_typename] = ACTIONS(5439),
    [anon_sym_template] = ACTIONS(5439),
    [anon_sym_operator] = ACTIONS(5439),
    [anon_sym_friend] = ACTIONS(5439),
    [anon_sym_public] = ACTIONS(5439),
    [anon_sym_private] = ACTIONS(5439),
    [anon_sym_protected] = ACTIONS(5439),
    [anon_sym_using] = ACTIONS(5439),
    [anon_sym_static_assert] = ACTIONS(5439),
    [anon_sym_precise] = ACTIONS(5439),
    [anon_sym_shared] = ACTIONS(5439),
    [anon_sym_groupshared] = ACTIONS(5439),
    [anon_sym_uniform] = ACTIONS(5439),
    [anon_sym_row_major] = ACTIONS(5439),
    [anon_sym_column_major] = ACTIONS(5439),
    [anon_sym_globallycoherent] = ACTIONS(5439),
    [anon_sym_centroid] = ACTIONS(5439),
    [anon_sym_noperspective] = ACTIONS(5439),
    [anon_sym_nointerpolation] = ACTIONS(5439),
    [anon_sym_sample] = ACTIONS(5439),
    [anon_sym_linear] = ACTIONS(5439),
    [anon_sym_snorm] = ACTIONS(5439),
    [anon_sym_unorm] = ACTIONS(5439),
    [anon_sym_point] = ACTIONS(5439),
    [anon_sym_line] = ACTIONS(5439),
    [anon_sym_triangleadj] = ACTIONS(5439),
    [anon_sym_lineadj] = ACTIONS(5439),
    [anon_sym_triangle] = ACTIONS(5439),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token2] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [aux_sym_preproc_else_token1] = ACTIONS(5443),
    [aux_sym_preproc_elif_token1] = ACTIONS(5443),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_in] = ACTIONS(5443),
    [anon_sym_out] = ACTIONS(5443),
    [anon_sym_inout] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [sym_primitive_type] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
    [anon_sym_precise] = ACTIONS(5443),
    [anon_sym_shared] = ACTIONS(5443),
    [anon_sym_groupshared] = ACTIONS(5443),
    [anon_sym_uniform] = ACTIONS(5443),
    [anon_sym_row_major] = ACTIONS(5443),
    [anon_sym_column_major] = ACTIONS(5443),
    [anon_sym_globallycoherent] = ACTIONS(5443),
    [anon_sym_centroid] = ACTIONS(5443),
    [anon_sym_noperspective] = ACTIONS(5443),
    [anon_sym_nointerpolation] = ACTIONS(5443),
    [anon_sym_sample] = ACTIONS(5443),
    [anon_sym_linear] = ACTIONS(5443),
    [anon_sym_snorm] = ACTIONS(5443),
    [anon_sym_unorm] = ACTIONS(5443),
    [anon_sym_point] = ACTIONS(5443),
    [anon_sym_line] = ACTIONS(5443),
    [anon_sym_triangleadj] = ACTIONS(5443),
    [anon_sym_lineadj] = ACTIONS(5443),
    [anon_sym_triangle] = ACTIONS(5443),
  },
  [1954] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token2] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [aux_sym_preproc_else_token1] = ACTIONS(5443),
    [aux_sym_preproc_elif_token1] = ACTIONS(5443),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_in] = ACTIONS(5443),
    [anon_sym_out] = ACTIONS(5443),
    [anon_sym_inout] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [sym_primitive_type] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
    [anon_sym_precise] = ACTIONS(5443),
    [anon_sym_shared] = ACTIONS(5443),
    [anon_sym_groupshared] = ACTIONS(5443),
    [anon_sym_uniform] = ACTIONS(5443),
    [anon_sym_row_major] = ACTIONS(5443),
    [anon_sym_column_major] = ACTIONS(5443),
    [anon_sym_globallycoherent] = ACTIONS(5443),
    [anon_sym_centroid] = ACTIONS(5443),
    [anon_sym_noperspective] = ACTIONS(5443),
    [anon_sym_nointerpolation] = ACTIONS(5443),
    [anon_sym_sample] = ACTIONS(5443),
    [anon_sym_linear] = ACTIONS(5443),
    [anon_sym_snorm] = ACTIONS(5443),
    [anon_sym_unorm] = ACTIONS(5443),
    [anon_sym_point] = ACTIONS(5443),
    [anon_sym_line] = ACTIONS(5443),
    [anon_sym_triangleadj] = ACTIONS(5443),
    [anon_sym_lineadj] = ACTIONS(5443),
    [anon_sym_triangle] = ACTIONS(5443),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(2260),
    [aux_sym_preproc_def_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token2] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2260),
    [aux_sym_preproc_else_token1] = ACTIONS(2260),
    [aux_sym_preproc_elif_token1] = ACTIONS(2260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2260),
    [sym_preproc_directive] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2260),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2260),
    [anon_sym_typedef] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_out] = ACTIONS(2260),
    [anon_sym_inout] = ACTIONS(2260),
    [anon_sym_virtual] = ACTIONS(2260),
    [anon_sym_extern] = ACTIONS(2260),
    [anon_sym___attribute__] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2262),
    [anon_sym___declspec] = ACTIONS(2260),
    [anon_sym___based] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2260),
    [anon_sym_unsigned] = ACTIONS(2260),
    [anon_sym_long] = ACTIONS(2260),
    [anon_sym_short] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_register] = ACTIONS(2260),
    [anon_sym_inline] = ACTIONS(2260),
    [anon_sym___inline] = ACTIONS(2260),
    [anon_sym___inline__] = ACTIONS(2260),
    [anon_sym___forceinline] = ACTIONS(2260),
    [anon_sym_thread_local] = ACTIONS(2260),
    [anon_sym___thread] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2260),
    [anon_sym_constexpr] = ACTIONS(2260),
    [anon_sym_volatile] = ACTIONS(2260),
    [anon_sym_restrict] = ACTIONS(2260),
    [anon_sym___restrict__] = ACTIONS(2260),
    [anon_sym__Atomic] = ACTIONS(2260),
    [anon_sym__Noreturn] = ACTIONS(2260),
    [anon_sym_noreturn] = ACTIONS(2260),
    [anon_sym__Nonnull] = ACTIONS(2260),
    [anon_sym_mutable] = ACTIONS(2260),
    [anon_sym_constinit] = ACTIONS(2260),
    [anon_sym_consteval] = ACTIONS(2260),
    [anon_sym_alignas] = ACTIONS(2260),
    [anon_sym__Alignas] = ACTIONS(2260),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2260),
    [anon_sym_struct] = ACTIONS(2260),
    [anon_sym_union] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2260),
    [anon_sym_decltype] = ACTIONS(2260),
    [anon_sym_explicit] = ACTIONS(2260),
    [anon_sym_typename] = ACTIONS(2260),
    [anon_sym_template] = ACTIONS(2260),
    [anon_sym_operator] = ACTIONS(2260),
    [anon_sym_friend] = ACTIONS(2260),
    [anon_sym_public] = ACTIONS(2260),
    [anon_sym_private] = ACTIONS(2260),
    [anon_sym_protected] = ACTIONS(2260),
    [anon_sym_using] = ACTIONS(2260),
    [anon_sym_static_assert] = ACTIONS(2260),
    [anon_sym_precise] = ACTIONS(2260),
    [anon_sym_shared] = ACTIONS(2260),
    [anon_sym_groupshared] = ACTIONS(2260),
    [anon_sym_uniform] = ACTIONS(2260),
    [anon_sym_row_major] = ACTIONS(2260),
    [anon_sym_column_major] = ACTIONS(2260),
    [anon_sym_globallycoherent] = ACTIONS(2260),
    [anon_sym_centroid] = ACTIONS(2260),
    [anon_sym_noperspective] = ACTIONS(2260),
    [anon_sym_nointerpolation] = ACTIONS(2260),
    [anon_sym_sample] = ACTIONS(2260),
    [anon_sym_linear] = ACTIONS(2260),
    [anon_sym_snorm] = ACTIONS(2260),
    [anon_sym_unorm] = ACTIONS(2260),
    [anon_sym_point] = ACTIONS(2260),
    [anon_sym_line] = ACTIONS(2260),
    [anon_sym_triangleadj] = ACTIONS(2260),
    [anon_sym_lineadj] = ACTIONS(2260),
    [anon_sym_triangle] = ACTIONS(2260),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [1957] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(5447),
    [aux_sym_preproc_def_token1] = ACTIONS(5447),
    [aux_sym_preproc_if_token1] = ACTIONS(5447),
    [aux_sym_preproc_if_token2] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5447),
    [aux_sym_preproc_else_token1] = ACTIONS(5447),
    [aux_sym_preproc_elif_token1] = ACTIONS(5447),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5447),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5447),
    [sym_preproc_directive] = ACTIONS(5447),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_TILDE] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_AMP_AMP] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5447),
    [anon_sym_SEMI] = ACTIONS(5449),
    [anon_sym___extension__] = ACTIONS(5447),
    [anon_sym_typedef] = ACTIONS(5447),
    [anon_sym_in] = ACTIONS(5447),
    [anon_sym_out] = ACTIONS(5447),
    [anon_sym_inout] = ACTIONS(5447),
    [anon_sym_virtual] = ACTIONS(5447),
    [anon_sym_extern] = ACTIONS(5447),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5449),
    [anon_sym___declspec] = ACTIONS(5447),
    [anon_sym___based] = ACTIONS(5447),
    [anon_sym_signed] = ACTIONS(5447),
    [anon_sym_unsigned] = ACTIONS(5447),
    [anon_sym_long] = ACTIONS(5447),
    [anon_sym_short] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym_static] = ACTIONS(5447),
    [anon_sym_register] = ACTIONS(5447),
    [anon_sym_inline] = ACTIONS(5447),
    [anon_sym___inline] = ACTIONS(5447),
    [anon_sym___inline__] = ACTIONS(5447),
    [anon_sym___forceinline] = ACTIONS(5447),
    [anon_sym_thread_local] = ACTIONS(5447),
    [anon_sym___thread] = ACTIONS(5447),
    [anon_sym_const] = ACTIONS(5447),
    [anon_sym_constexpr] = ACTIONS(5447),
    [anon_sym_volatile] = ACTIONS(5447),
    [anon_sym_restrict] = ACTIONS(5447),
    [anon_sym___restrict__] = ACTIONS(5447),
    [anon_sym__Atomic] = ACTIONS(5447),
    [anon_sym__Noreturn] = ACTIONS(5447),
    [anon_sym_noreturn] = ACTIONS(5447),
    [anon_sym__Nonnull] = ACTIONS(5447),
    [anon_sym_mutable] = ACTIONS(5447),
    [anon_sym_constinit] = ACTIONS(5447),
    [anon_sym_consteval] = ACTIONS(5447),
    [anon_sym_alignas] = ACTIONS(5447),
    [anon_sym__Alignas] = ACTIONS(5447),
    [sym_primitive_type] = ACTIONS(5447),
    [anon_sym_enum] = ACTIONS(5447),
    [anon_sym_class] = ACTIONS(5447),
    [anon_sym_struct] = ACTIONS(5447),
    [anon_sym_union] = ACTIONS(5447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5447),
    [anon_sym_decltype] = ACTIONS(5447),
    [anon_sym_explicit] = ACTIONS(5447),
    [anon_sym_typename] = ACTIONS(5447),
    [anon_sym_template] = ACTIONS(5447),
    [anon_sym_operator] = ACTIONS(5447),
    [anon_sym_friend] = ACTIONS(5447),
    [anon_sym_public] = ACTIONS(5447),
    [anon_sym_private] = ACTIONS(5447),
    [anon_sym_protected] = ACTIONS(5447),
    [anon_sym_using] = ACTIONS(5447),
    [anon_sym_static_assert] = ACTIONS(5447),
    [anon_sym_precise] = ACTIONS(5447),
    [anon_sym_shared] = ACTIONS(5447),
    [anon_sym_groupshared] = ACTIONS(5447),
    [anon_sym_uniform] = ACTIONS(5447),
    [anon_sym_row_major] = ACTIONS(5447),
    [anon_sym_column_major] = ACTIONS(5447),
    [anon_sym_globallycoherent] = ACTIONS(5447),
    [anon_sym_centroid] = ACTIONS(5447),
    [anon_sym_noperspective] = ACTIONS(5447),
    [anon_sym_nointerpolation] = ACTIONS(5447),
    [anon_sym_sample] = ACTIONS(5447),
    [anon_sym_linear] = ACTIONS(5447),
    [anon_sym_snorm] = ACTIONS(5447),
    [anon_sym_unorm] = ACTIONS(5447),
    [anon_sym_point] = ACTIONS(5447),
    [anon_sym_line] = ACTIONS(5447),
    [anon_sym_triangleadj] = ACTIONS(5447),
    [anon_sym_lineadj] = ACTIONS(5447),
    [anon_sym_triangle] = ACTIONS(5447),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token2] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [aux_sym_preproc_else_token1] = ACTIONS(2230),
    [aux_sym_preproc_elif_token1] = ACTIONS(2230),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_friend] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(5451),
    [aux_sym_preproc_def_token1] = ACTIONS(5451),
    [aux_sym_preproc_if_token1] = ACTIONS(5451),
    [aux_sym_preproc_if_token2] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5451),
    [aux_sym_preproc_else_token1] = ACTIONS(5451),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5451),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5451),
    [sym_preproc_directive] = ACTIONS(5451),
    [anon_sym_LPAREN2] = ACTIONS(5453),
    [anon_sym_TILDE] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_AMP_AMP] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5451),
    [anon_sym_SEMI] = ACTIONS(5453),
    [anon_sym___extension__] = ACTIONS(5451),
    [anon_sym_typedef] = ACTIONS(5451),
    [anon_sym_in] = ACTIONS(5451),
    [anon_sym_out] = ACTIONS(5451),
    [anon_sym_inout] = ACTIONS(5451),
    [anon_sym_virtual] = ACTIONS(5451),
    [anon_sym_extern] = ACTIONS(5451),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym_COLON_COLON] = ACTIONS(5453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5453),
    [anon_sym___declspec] = ACTIONS(5451),
    [anon_sym___based] = ACTIONS(5451),
    [anon_sym_signed] = ACTIONS(5451),
    [anon_sym_unsigned] = ACTIONS(5451),
    [anon_sym_long] = ACTIONS(5451),
    [anon_sym_short] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_static] = ACTIONS(5451),
    [anon_sym_register] = ACTIONS(5451),
    [anon_sym_inline] = ACTIONS(5451),
    [anon_sym___inline] = ACTIONS(5451),
    [anon_sym___inline__] = ACTIONS(5451),
    [anon_sym___forceinline] = ACTIONS(5451),
    [anon_sym_thread_local] = ACTIONS(5451),
    [anon_sym___thread] = ACTIONS(5451),
    [anon_sym_const] = ACTIONS(5451),
    [anon_sym_constexpr] = ACTIONS(5451),
    [anon_sym_volatile] = ACTIONS(5451),
    [anon_sym_restrict] = ACTIONS(5451),
    [anon_sym___restrict__] = ACTIONS(5451),
    [anon_sym__Atomic] = ACTIONS(5451),
    [anon_sym__Noreturn] = ACTIONS(5451),
    [anon_sym_noreturn] = ACTIONS(5451),
    [anon_sym__Nonnull] = ACTIONS(5451),
    [anon_sym_mutable] = ACTIONS(5451),
    [anon_sym_constinit] = ACTIONS(5451),
    [anon_sym_consteval] = ACTIONS(5451),
    [anon_sym_alignas] = ACTIONS(5451),
    [anon_sym__Alignas] = ACTIONS(5451),
    [sym_primitive_type] = ACTIONS(5451),
    [anon_sym_enum] = ACTIONS(5451),
    [anon_sym_class] = ACTIONS(5451),
    [anon_sym_struct] = ACTIONS(5451),
    [anon_sym_union] = ACTIONS(5451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5451),
    [anon_sym_decltype] = ACTIONS(5451),
    [anon_sym_explicit] = ACTIONS(5451),
    [anon_sym_typename] = ACTIONS(5451),
    [anon_sym_template] = ACTIONS(5451),
    [anon_sym_operator] = ACTIONS(5451),
    [anon_sym_friend] = ACTIONS(5451),
    [anon_sym_public] = ACTIONS(5451),
    [anon_sym_private] = ACTIONS(5451),
    [anon_sym_protected] = ACTIONS(5451),
    [anon_sym_using] = ACTIONS(5451),
    [anon_sym_static_assert] = ACTIONS(5451),
    [anon_sym_precise] = ACTIONS(5451),
    [anon_sym_shared] = ACTIONS(5451),
    [anon_sym_groupshared] = ACTIONS(5451),
    [anon_sym_uniform] = ACTIONS(5451),
    [anon_sym_row_major] = ACTIONS(5451),
    [anon_sym_column_major] = ACTIONS(5451),
    [anon_sym_globallycoherent] = ACTIONS(5451),
    [anon_sym_centroid] = ACTIONS(5451),
    [anon_sym_noperspective] = ACTIONS(5451),
    [anon_sym_nointerpolation] = ACTIONS(5451),
    [anon_sym_sample] = ACTIONS(5451),
    [anon_sym_linear] = ACTIONS(5451),
    [anon_sym_snorm] = ACTIONS(5451),
    [anon_sym_unorm] = ACTIONS(5451),
    [anon_sym_point] = ACTIONS(5451),
    [anon_sym_line] = ACTIONS(5451),
    [anon_sym_triangleadj] = ACTIONS(5451),
    [anon_sym_lineadj] = ACTIONS(5451),
    [anon_sym_triangle] = ACTIONS(5451),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token2] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [aux_sym_preproc_else_token1] = ACTIONS(2230),
    [aux_sym_preproc_elif_token1] = ACTIONS(2230),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_friend] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(5455),
    [aux_sym_preproc_def_token1] = ACTIONS(5455),
    [aux_sym_preproc_if_token1] = ACTIONS(5455),
    [aux_sym_preproc_if_token2] = ACTIONS(5455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5455),
    [aux_sym_preproc_else_token1] = ACTIONS(5455),
    [aux_sym_preproc_elif_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5455),
    [sym_preproc_directive] = ACTIONS(5455),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_TILDE] = ACTIONS(5457),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___extension__] = ACTIONS(5455),
    [anon_sym_typedef] = ACTIONS(5455),
    [anon_sym_in] = ACTIONS(5455),
    [anon_sym_out] = ACTIONS(5455),
    [anon_sym_inout] = ACTIONS(5455),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_extern] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym_COLON_COLON] = ACTIONS(5457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5457),
    [anon_sym___declspec] = ACTIONS(5455),
    [anon_sym___based] = ACTIONS(5455),
    [anon_sym_signed] = ACTIONS(5455),
    [anon_sym_unsigned] = ACTIONS(5455),
    [anon_sym_long] = ACTIONS(5455),
    [anon_sym_short] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_static] = ACTIONS(5455),
    [anon_sym_register] = ACTIONS(5455),
    [anon_sym_inline] = ACTIONS(5455),
    [anon_sym___inline] = ACTIONS(5455),
    [anon_sym___inline__] = ACTIONS(5455),
    [anon_sym___forceinline] = ACTIONS(5455),
    [anon_sym_thread_local] = ACTIONS(5455),
    [anon_sym___thread] = ACTIONS(5455),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5455),
    [anon_sym_volatile] = ACTIONS(5455),
    [anon_sym_restrict] = ACTIONS(5455),
    [anon_sym___restrict__] = ACTIONS(5455),
    [anon_sym__Atomic] = ACTIONS(5455),
    [anon_sym__Noreturn] = ACTIONS(5455),
    [anon_sym_noreturn] = ACTIONS(5455),
    [anon_sym__Nonnull] = ACTIONS(5455),
    [anon_sym_mutable] = ACTIONS(5455),
    [anon_sym_constinit] = ACTIONS(5455),
    [anon_sym_consteval] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5455),
    [anon_sym__Alignas] = ACTIONS(5455),
    [sym_primitive_type] = ACTIONS(5455),
    [anon_sym_enum] = ACTIONS(5455),
    [anon_sym_class] = ACTIONS(5455),
    [anon_sym_struct] = ACTIONS(5455),
    [anon_sym_union] = ACTIONS(5455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
    [anon_sym_explicit] = ACTIONS(5455),
    [anon_sym_typename] = ACTIONS(5455),
    [anon_sym_template] = ACTIONS(5455),
    [anon_sym_operator] = ACTIONS(5455),
    [anon_sym_friend] = ACTIONS(5455),
    [anon_sym_public] = ACTIONS(5455),
    [anon_sym_private] = ACTIONS(5455),
    [anon_sym_protected] = ACTIONS(5455),
    [anon_sym_using] = ACTIONS(5455),
    [anon_sym_static_assert] = ACTIONS(5455),
    [anon_sym_precise] = ACTIONS(5455),
    [anon_sym_shared] = ACTIONS(5455),
    [anon_sym_groupshared] = ACTIONS(5455),
    [anon_sym_uniform] = ACTIONS(5455),
    [anon_sym_row_major] = ACTIONS(5455),
    [anon_sym_column_major] = ACTIONS(5455),
    [anon_sym_globallycoherent] = ACTIONS(5455),
    [anon_sym_centroid] = ACTIONS(5455),
    [anon_sym_noperspective] = ACTIONS(5455),
    [anon_sym_nointerpolation] = ACTIONS(5455),
    [anon_sym_sample] = ACTIONS(5455),
    [anon_sym_linear] = ACTIONS(5455),
    [anon_sym_snorm] = ACTIONS(5455),
    [anon_sym_unorm] = ACTIONS(5455),
    [anon_sym_point] = ACTIONS(5455),
    [anon_sym_line] = ACTIONS(5455),
    [anon_sym_triangleadj] = ACTIONS(5455),
    [anon_sym_lineadj] = ACTIONS(5455),
    [anon_sym_triangle] = ACTIONS(5455),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(5459),
    [aux_sym_preproc_def_token1] = ACTIONS(5459),
    [aux_sym_preproc_if_token1] = ACTIONS(5459),
    [aux_sym_preproc_if_token2] = ACTIONS(5459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5459),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5459),
    [aux_sym_preproc_else_token1] = ACTIONS(5459),
    [aux_sym_preproc_elif_token1] = ACTIONS(5459),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5459),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5459),
    [sym_preproc_directive] = ACTIONS(5459),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_TILDE] = ACTIONS(5461),
    [anon_sym_STAR] = ACTIONS(5461),
    [anon_sym_AMP_AMP] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5459),
    [anon_sym_SEMI] = ACTIONS(5461),
    [anon_sym___extension__] = ACTIONS(5459),
    [anon_sym_typedef] = ACTIONS(5459),
    [anon_sym_in] = ACTIONS(5459),
    [anon_sym_out] = ACTIONS(5459),
    [anon_sym_inout] = ACTIONS(5459),
    [anon_sym_virtual] = ACTIONS(5459),
    [anon_sym_extern] = ACTIONS(5459),
    [anon_sym___attribute__] = ACTIONS(5459),
    [anon_sym_COLON_COLON] = ACTIONS(5461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5461),
    [anon_sym___declspec] = ACTIONS(5459),
    [anon_sym___based] = ACTIONS(5459),
    [anon_sym_signed] = ACTIONS(5459),
    [anon_sym_unsigned] = ACTIONS(5459),
    [anon_sym_long] = ACTIONS(5459),
    [anon_sym_short] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [anon_sym_static] = ACTIONS(5459),
    [anon_sym_register] = ACTIONS(5459),
    [anon_sym_inline] = ACTIONS(5459),
    [anon_sym___inline] = ACTIONS(5459),
    [anon_sym___inline__] = ACTIONS(5459),
    [anon_sym___forceinline] = ACTIONS(5459),
    [anon_sym_thread_local] = ACTIONS(5459),
    [anon_sym___thread] = ACTIONS(5459),
    [anon_sym_const] = ACTIONS(5459),
    [anon_sym_constexpr] = ACTIONS(5459),
    [anon_sym_volatile] = ACTIONS(5459),
    [anon_sym_restrict] = ACTIONS(5459),
    [anon_sym___restrict__] = ACTIONS(5459),
    [anon_sym__Atomic] = ACTIONS(5459),
    [anon_sym__Noreturn] = ACTIONS(5459),
    [anon_sym_noreturn] = ACTIONS(5459),
    [anon_sym__Nonnull] = ACTIONS(5459),
    [anon_sym_mutable] = ACTIONS(5459),
    [anon_sym_constinit] = ACTIONS(5459),
    [anon_sym_consteval] = ACTIONS(5459),
    [anon_sym_alignas] = ACTIONS(5459),
    [anon_sym__Alignas] = ACTIONS(5459),
    [sym_primitive_type] = ACTIONS(5459),
    [anon_sym_enum] = ACTIONS(5459),
    [anon_sym_class] = ACTIONS(5459),
    [anon_sym_struct] = ACTIONS(5459),
    [anon_sym_union] = ACTIONS(5459),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5459),
    [anon_sym_decltype] = ACTIONS(5459),
    [anon_sym_explicit] = ACTIONS(5459),
    [anon_sym_typename] = ACTIONS(5459),
    [anon_sym_template] = ACTIONS(5459),
    [anon_sym_operator] = ACTIONS(5459),
    [anon_sym_friend] = ACTIONS(5459),
    [anon_sym_public] = ACTIONS(5459),
    [anon_sym_private] = ACTIONS(5459),
    [anon_sym_protected] = ACTIONS(5459),
    [anon_sym_using] = ACTIONS(5459),
    [anon_sym_static_assert] = ACTIONS(5459),
    [anon_sym_precise] = ACTIONS(5459),
    [anon_sym_shared] = ACTIONS(5459),
    [anon_sym_groupshared] = ACTIONS(5459),
    [anon_sym_uniform] = ACTIONS(5459),
    [anon_sym_row_major] = ACTIONS(5459),
    [anon_sym_column_major] = ACTIONS(5459),
    [anon_sym_globallycoherent] = ACTIONS(5459),
    [anon_sym_centroid] = ACTIONS(5459),
    [anon_sym_noperspective] = ACTIONS(5459),
    [anon_sym_nointerpolation] = ACTIONS(5459),
    [anon_sym_sample] = ACTIONS(5459),
    [anon_sym_linear] = ACTIONS(5459),
    [anon_sym_snorm] = ACTIONS(5459),
    [anon_sym_unorm] = ACTIONS(5459),
    [anon_sym_point] = ACTIONS(5459),
    [anon_sym_line] = ACTIONS(5459),
    [anon_sym_triangleadj] = ACTIONS(5459),
    [anon_sym_lineadj] = ACTIONS(5459),
    [anon_sym_triangle] = ACTIONS(5459),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token2] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5463),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym_SEMI] = ACTIONS(5465),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_in] = ACTIONS(5463),
    [anon_sym_out] = ACTIONS(5463),
    [anon_sym_inout] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym__Nonnull] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym__Alignas] = ACTIONS(5463),
    [sym_primitive_type] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
    [anon_sym_precise] = ACTIONS(5463),
    [anon_sym_shared] = ACTIONS(5463),
    [anon_sym_groupshared] = ACTIONS(5463),
    [anon_sym_uniform] = ACTIONS(5463),
    [anon_sym_row_major] = ACTIONS(5463),
    [anon_sym_column_major] = ACTIONS(5463),
    [anon_sym_globallycoherent] = ACTIONS(5463),
    [anon_sym_centroid] = ACTIONS(5463),
    [anon_sym_noperspective] = ACTIONS(5463),
    [anon_sym_nointerpolation] = ACTIONS(5463),
    [anon_sym_sample] = ACTIONS(5463),
    [anon_sym_linear] = ACTIONS(5463),
    [anon_sym_snorm] = ACTIONS(5463),
    [anon_sym_unorm] = ACTIONS(5463),
    [anon_sym_point] = ACTIONS(5463),
    [anon_sym_line] = ACTIONS(5463),
    [anon_sym_triangleadj] = ACTIONS(5463),
    [anon_sym_lineadj] = ACTIONS(5463),
    [anon_sym_triangle] = ACTIONS(5463),
  },
  [1965] = {
    [sym_identifier] = ACTIONS(5467),
    [aux_sym_preproc_def_token1] = ACTIONS(5467),
    [aux_sym_preproc_if_token1] = ACTIONS(5467),
    [aux_sym_preproc_if_token2] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5467),
    [aux_sym_preproc_else_token1] = ACTIONS(5467),
    [aux_sym_preproc_elif_token1] = ACTIONS(5467),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5467),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5467),
    [sym_preproc_directive] = ACTIONS(5467),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_TILDE] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5467),
    [anon_sym_SEMI] = ACTIONS(5469),
    [anon_sym___extension__] = ACTIONS(5467),
    [anon_sym_typedef] = ACTIONS(5467),
    [anon_sym_in] = ACTIONS(5467),
    [anon_sym_out] = ACTIONS(5467),
    [anon_sym_inout] = ACTIONS(5467),
    [anon_sym_virtual] = ACTIONS(5467),
    [anon_sym_extern] = ACTIONS(5467),
    [anon_sym___attribute__] = ACTIONS(5467),
    [anon_sym_COLON_COLON] = ACTIONS(5469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5469),
    [anon_sym___declspec] = ACTIONS(5467),
    [anon_sym___based] = ACTIONS(5467),
    [anon_sym_signed] = ACTIONS(5467),
    [anon_sym_unsigned] = ACTIONS(5467),
    [anon_sym_long] = ACTIONS(5467),
    [anon_sym_short] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym_static] = ACTIONS(5467),
    [anon_sym_register] = ACTIONS(5467),
    [anon_sym_inline] = ACTIONS(5467),
    [anon_sym___inline] = ACTIONS(5467),
    [anon_sym___inline__] = ACTIONS(5467),
    [anon_sym___forceinline] = ACTIONS(5467),
    [anon_sym_thread_local] = ACTIONS(5467),
    [anon_sym___thread] = ACTIONS(5467),
    [anon_sym_const] = ACTIONS(5467),
    [anon_sym_constexpr] = ACTIONS(5467),
    [anon_sym_volatile] = ACTIONS(5467),
    [anon_sym_restrict] = ACTIONS(5467),
    [anon_sym___restrict__] = ACTIONS(5467),
    [anon_sym__Atomic] = ACTIONS(5467),
    [anon_sym__Noreturn] = ACTIONS(5467),
    [anon_sym_noreturn] = ACTIONS(5467),
    [anon_sym__Nonnull] = ACTIONS(5467),
    [anon_sym_mutable] = ACTIONS(5467),
    [anon_sym_constinit] = ACTIONS(5467),
    [anon_sym_consteval] = ACTIONS(5467),
    [anon_sym_alignas] = ACTIONS(5467),
    [anon_sym__Alignas] = ACTIONS(5467),
    [sym_primitive_type] = ACTIONS(5467),
    [anon_sym_enum] = ACTIONS(5467),
    [anon_sym_class] = ACTIONS(5467),
    [anon_sym_struct] = ACTIONS(5467),
    [anon_sym_union] = ACTIONS(5467),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5467),
    [anon_sym_decltype] = ACTIONS(5467),
    [anon_sym_explicit] = ACTIONS(5467),
    [anon_sym_typename] = ACTIONS(5467),
    [anon_sym_template] = ACTIONS(5467),
    [anon_sym_operator] = ACTIONS(5467),
    [anon_sym_friend] = ACTIONS(5467),
    [anon_sym_public] = ACTIONS(5467),
    [anon_sym_private] = ACTIONS(5467),
    [anon_sym_protected] = ACTIONS(5467),
    [anon_sym_using] = ACTIONS(5467),
    [anon_sym_static_assert] = ACTIONS(5467),
    [anon_sym_precise] = ACTIONS(5467),
    [anon_sym_shared] = ACTIONS(5467),
    [anon_sym_groupshared] = ACTIONS(5467),
    [anon_sym_uniform] = ACTIONS(5467),
    [anon_sym_row_major] = ACTIONS(5467),
    [anon_sym_column_major] = ACTIONS(5467),
    [anon_sym_globallycoherent] = ACTIONS(5467),
    [anon_sym_centroid] = ACTIONS(5467),
    [anon_sym_noperspective] = ACTIONS(5467),
    [anon_sym_nointerpolation] = ACTIONS(5467),
    [anon_sym_sample] = ACTIONS(5467),
    [anon_sym_linear] = ACTIONS(5467),
    [anon_sym_snorm] = ACTIONS(5467),
    [anon_sym_unorm] = ACTIONS(5467),
    [anon_sym_point] = ACTIONS(5467),
    [anon_sym_line] = ACTIONS(5467),
    [anon_sym_triangleadj] = ACTIONS(5467),
    [anon_sym_lineadj] = ACTIONS(5467),
    [anon_sym_triangle] = ACTIONS(5467),
  },
  [1966] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [aux_sym_preproc_else_token1] = ACTIONS(2618),
    [aux_sym_preproc_elif_token1] = ACTIONS(2618),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_out] = ACTIONS(2618),
    [anon_sym_inout] = ACTIONS(2618),
    [anon_sym_virtual] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_friend] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_precise] = ACTIONS(2618),
    [anon_sym_shared] = ACTIONS(2618),
    [anon_sym_groupshared] = ACTIONS(2618),
    [anon_sym_uniform] = ACTIONS(2618),
    [anon_sym_row_major] = ACTIONS(2618),
    [anon_sym_column_major] = ACTIONS(2618),
    [anon_sym_globallycoherent] = ACTIONS(2618),
    [anon_sym_centroid] = ACTIONS(2618),
    [anon_sym_noperspective] = ACTIONS(2618),
    [anon_sym_nointerpolation] = ACTIONS(2618),
    [anon_sym_sample] = ACTIONS(2618),
    [anon_sym_linear] = ACTIONS(2618),
    [anon_sym_snorm] = ACTIONS(2618),
    [anon_sym_unorm] = ACTIONS(2618),
    [anon_sym_point] = ACTIONS(2618),
    [anon_sym_line] = ACTIONS(2618),
    [anon_sym_triangleadj] = ACTIONS(2618),
    [anon_sym_lineadj] = ACTIONS(2618),
    [anon_sym_triangle] = ACTIONS(2618),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [aux_sym_preproc_else_token1] = ACTIONS(2622),
    [aux_sym_preproc_elif_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_out] = ACTIONS(2622),
    [anon_sym_inout] = ACTIONS(2622),
    [anon_sym_virtual] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_friend] = ACTIONS(2622),
    [anon_sym_public] = ACTIONS(2622),
    [anon_sym_private] = ACTIONS(2622),
    [anon_sym_protected] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_precise] = ACTIONS(2622),
    [anon_sym_shared] = ACTIONS(2622),
    [anon_sym_groupshared] = ACTIONS(2622),
    [anon_sym_uniform] = ACTIONS(2622),
    [anon_sym_row_major] = ACTIONS(2622),
    [anon_sym_column_major] = ACTIONS(2622),
    [anon_sym_globallycoherent] = ACTIONS(2622),
    [anon_sym_centroid] = ACTIONS(2622),
    [anon_sym_noperspective] = ACTIONS(2622),
    [anon_sym_nointerpolation] = ACTIONS(2622),
    [anon_sym_sample] = ACTIONS(2622),
    [anon_sym_linear] = ACTIONS(2622),
    [anon_sym_snorm] = ACTIONS(2622),
    [anon_sym_unorm] = ACTIONS(2622),
    [anon_sym_point] = ACTIONS(2622),
    [anon_sym_line] = ACTIONS(2622),
    [anon_sym_triangleadj] = ACTIONS(2622),
    [anon_sym_lineadj] = ACTIONS(2622),
    [anon_sym_triangle] = ACTIONS(2622),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(5467),
    [aux_sym_preproc_def_token1] = ACTIONS(5467),
    [aux_sym_preproc_if_token1] = ACTIONS(5467),
    [aux_sym_preproc_if_token2] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5467),
    [aux_sym_preproc_else_token1] = ACTIONS(5467),
    [aux_sym_preproc_elif_token1] = ACTIONS(5467),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5467),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5467),
    [sym_preproc_directive] = ACTIONS(5467),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_TILDE] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5467),
    [anon_sym_SEMI] = ACTIONS(5469),
    [anon_sym___extension__] = ACTIONS(5467),
    [anon_sym_typedef] = ACTIONS(5467),
    [anon_sym_in] = ACTIONS(5467),
    [anon_sym_out] = ACTIONS(5467),
    [anon_sym_inout] = ACTIONS(5467),
    [anon_sym_virtual] = ACTIONS(5467),
    [anon_sym_extern] = ACTIONS(5467),
    [anon_sym___attribute__] = ACTIONS(5467),
    [anon_sym_COLON_COLON] = ACTIONS(5469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5469),
    [anon_sym___declspec] = ACTIONS(5467),
    [anon_sym___based] = ACTIONS(5467),
    [anon_sym_signed] = ACTIONS(5467),
    [anon_sym_unsigned] = ACTIONS(5467),
    [anon_sym_long] = ACTIONS(5467),
    [anon_sym_short] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym_static] = ACTIONS(5467),
    [anon_sym_register] = ACTIONS(5467),
    [anon_sym_inline] = ACTIONS(5467),
    [anon_sym___inline] = ACTIONS(5467),
    [anon_sym___inline__] = ACTIONS(5467),
    [anon_sym___forceinline] = ACTIONS(5467),
    [anon_sym_thread_local] = ACTIONS(5467),
    [anon_sym___thread] = ACTIONS(5467),
    [anon_sym_const] = ACTIONS(5467),
    [anon_sym_constexpr] = ACTIONS(5467),
    [anon_sym_volatile] = ACTIONS(5467),
    [anon_sym_restrict] = ACTIONS(5467),
    [anon_sym___restrict__] = ACTIONS(5467),
    [anon_sym__Atomic] = ACTIONS(5467),
    [anon_sym__Noreturn] = ACTIONS(5467),
    [anon_sym_noreturn] = ACTIONS(5467),
    [anon_sym__Nonnull] = ACTIONS(5467),
    [anon_sym_mutable] = ACTIONS(5467),
    [anon_sym_constinit] = ACTIONS(5467),
    [anon_sym_consteval] = ACTIONS(5467),
    [anon_sym_alignas] = ACTIONS(5467),
    [anon_sym__Alignas] = ACTIONS(5467),
    [sym_primitive_type] = ACTIONS(5467),
    [anon_sym_enum] = ACTIONS(5467),
    [anon_sym_class] = ACTIONS(5467),
    [anon_sym_struct] = ACTIONS(5467),
    [anon_sym_union] = ACTIONS(5467),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5467),
    [anon_sym_decltype] = ACTIONS(5467),
    [anon_sym_explicit] = ACTIONS(5467),
    [anon_sym_typename] = ACTIONS(5467),
    [anon_sym_template] = ACTIONS(5467),
    [anon_sym_operator] = ACTIONS(5467),
    [anon_sym_friend] = ACTIONS(5467),
    [anon_sym_public] = ACTIONS(5467),
    [anon_sym_private] = ACTIONS(5467),
    [anon_sym_protected] = ACTIONS(5467),
    [anon_sym_using] = ACTIONS(5467),
    [anon_sym_static_assert] = ACTIONS(5467),
    [anon_sym_precise] = ACTIONS(5467),
    [anon_sym_shared] = ACTIONS(5467),
    [anon_sym_groupshared] = ACTIONS(5467),
    [anon_sym_uniform] = ACTIONS(5467),
    [anon_sym_row_major] = ACTIONS(5467),
    [anon_sym_column_major] = ACTIONS(5467),
    [anon_sym_globallycoherent] = ACTIONS(5467),
    [anon_sym_centroid] = ACTIONS(5467),
    [anon_sym_noperspective] = ACTIONS(5467),
    [anon_sym_nointerpolation] = ACTIONS(5467),
    [anon_sym_sample] = ACTIONS(5467),
    [anon_sym_linear] = ACTIONS(5467),
    [anon_sym_snorm] = ACTIONS(5467),
    [anon_sym_unorm] = ACTIONS(5467),
    [anon_sym_point] = ACTIONS(5467),
    [anon_sym_line] = ACTIONS(5467),
    [anon_sym_triangleadj] = ACTIONS(5467),
    [anon_sym_lineadj] = ACTIONS(5467),
    [anon_sym_triangle] = ACTIONS(5467),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [aux_sym_preproc_else_token1] = ACTIONS(2610),
    [aux_sym_preproc_elif_token1] = ACTIONS(2610),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_friend] = ACTIONS(2610),
    [anon_sym_public] = ACTIONS(2610),
    [anon_sym_private] = ACTIONS(2610),
    [anon_sym_protected] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
  },
  [1970] = {
    [sym_catch_clause] = STATE(1970),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1970),
    [sym_identifier] = ACTIONS(2061),
    [aux_sym_preproc_def_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2061),
    [sym_preproc_directive] = ACTIONS(2061),
    [anon_sym_LPAREN2] = ACTIONS(2063),
    [anon_sym_TILDE] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_AMP_AMP] = ACTIONS(2063),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2063),
    [anon_sym___extension__] = ACTIONS(2061),
    [anon_sym_typedef] = ACTIONS(2061),
    [anon_sym_in] = ACTIONS(2061),
    [anon_sym_out] = ACTIONS(2061),
    [anon_sym_inout] = ACTIONS(2061),
    [anon_sym_virtual] = ACTIONS(2061),
    [anon_sym_extern] = ACTIONS(2061),
    [anon_sym___attribute__] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym___declspec] = ACTIONS(2061),
    [anon_sym___based] = ACTIONS(2061),
    [anon_sym_RBRACE] = ACTIONS(2063),
    [anon_sym_signed] = ACTIONS(2061),
    [anon_sym_unsigned] = ACTIONS(2061),
    [anon_sym_long] = ACTIONS(2061),
    [anon_sym_short] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_static] = ACTIONS(2061),
    [anon_sym_register] = ACTIONS(2061),
    [anon_sym_inline] = ACTIONS(2061),
    [anon_sym___inline] = ACTIONS(2061),
    [anon_sym___inline__] = ACTIONS(2061),
    [anon_sym___forceinline] = ACTIONS(2061),
    [anon_sym_thread_local] = ACTIONS(2061),
    [anon_sym___thread] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(2061),
    [anon_sym_constexpr] = ACTIONS(2061),
    [anon_sym_volatile] = ACTIONS(2061),
    [anon_sym_restrict] = ACTIONS(2061),
    [anon_sym___restrict__] = ACTIONS(2061),
    [anon_sym__Atomic] = ACTIONS(2061),
    [anon_sym__Noreturn] = ACTIONS(2061),
    [anon_sym_noreturn] = ACTIONS(2061),
    [anon_sym__Nonnull] = ACTIONS(2061),
    [anon_sym_mutable] = ACTIONS(2061),
    [anon_sym_constinit] = ACTIONS(2061),
    [anon_sym_consteval] = ACTIONS(2061),
    [anon_sym_alignas] = ACTIONS(2061),
    [anon_sym__Alignas] = ACTIONS(2061),
    [sym_primitive_type] = ACTIONS(2061),
    [anon_sym_enum] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_struct] = ACTIONS(2061),
    [anon_sym_union] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2061),
    [anon_sym_decltype] = ACTIONS(2061),
    [anon_sym_explicit] = ACTIONS(2061),
    [anon_sym_typename] = ACTIONS(2061),
    [anon_sym_template] = ACTIONS(2061),
    [anon_sym_operator] = ACTIONS(2061),
    [anon_sym_friend] = ACTIONS(2061),
    [anon_sym_public] = ACTIONS(2061),
    [anon_sym_private] = ACTIONS(2061),
    [anon_sym_protected] = ACTIONS(2061),
    [anon_sym_using] = ACTIONS(2061),
    [anon_sym_static_assert] = ACTIONS(2061),
    [anon_sym_catch] = ACTIONS(5471),
    [anon_sym_precise] = ACTIONS(2061),
    [anon_sym_shared] = ACTIONS(2061),
    [anon_sym_groupshared] = ACTIONS(2061),
    [anon_sym_uniform] = ACTIONS(2061),
    [anon_sym_row_major] = ACTIONS(2061),
    [anon_sym_column_major] = ACTIONS(2061),
    [anon_sym_globallycoherent] = ACTIONS(2061),
    [anon_sym_centroid] = ACTIONS(2061),
    [anon_sym_noperspective] = ACTIONS(2061),
    [anon_sym_nointerpolation] = ACTIONS(2061),
    [anon_sym_sample] = ACTIONS(2061),
    [anon_sym_linear] = ACTIONS(2061),
    [anon_sym_snorm] = ACTIONS(2061),
    [anon_sym_unorm] = ACTIONS(2061),
    [anon_sym_point] = ACTIONS(2061),
    [anon_sym_line] = ACTIONS(2061),
    [anon_sym_triangleadj] = ACTIONS(2061),
    [anon_sym_lineadj] = ACTIONS(2061),
    [anon_sym_triangle] = ACTIONS(2061),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(5474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5476),
    [anon_sym_COMMA] = ACTIONS(5476),
    [anon_sym_RPAREN] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5476),
    [anon_sym_TILDE] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5476),
    [anon_sym_AMP_AMP] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_SEMI] = ACTIONS(5476),
    [anon_sym___extension__] = ACTIONS(5474),
    [anon_sym_in] = ACTIONS(5474),
    [anon_sym_out] = ACTIONS(5474),
    [anon_sym_inout] = ACTIONS(5474),
    [anon_sym_virtual] = ACTIONS(5474),
    [anon_sym_extern] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym_COLON_COLON] = ACTIONS(5476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5476),
    [anon_sym___declspec] = ACTIONS(5474),
    [anon_sym___based] = ACTIONS(5474),
    [anon_sym_LBRACE] = ACTIONS(5476),
    [anon_sym_signed] = ACTIONS(5474),
    [anon_sym_unsigned] = ACTIONS(5474),
    [anon_sym_long] = ACTIONS(5474),
    [anon_sym_short] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_static] = ACTIONS(5474),
    [anon_sym_EQ] = ACTIONS(5476),
    [anon_sym_register] = ACTIONS(5474),
    [anon_sym_inline] = ACTIONS(5474),
    [anon_sym___inline] = ACTIONS(5474),
    [anon_sym___inline__] = ACTIONS(5474),
    [anon_sym___forceinline] = ACTIONS(5474),
    [anon_sym_thread_local] = ACTIONS(5474),
    [anon_sym___thread] = ACTIONS(5474),
    [anon_sym_const] = ACTIONS(5474),
    [anon_sym_constexpr] = ACTIONS(5474),
    [anon_sym_volatile] = ACTIONS(5474),
    [anon_sym_restrict] = ACTIONS(5474),
    [anon_sym___restrict__] = ACTIONS(5474),
    [anon_sym__Atomic] = ACTIONS(5474),
    [anon_sym__Noreturn] = ACTIONS(5474),
    [anon_sym_noreturn] = ACTIONS(5474),
    [anon_sym__Nonnull] = ACTIONS(5474),
    [anon_sym_mutable] = ACTIONS(5474),
    [anon_sym_constinit] = ACTIONS(5474),
    [anon_sym_consteval] = ACTIONS(5474),
    [anon_sym_alignas] = ACTIONS(5474),
    [anon_sym__Alignas] = ACTIONS(5474),
    [sym_primitive_type] = ACTIONS(5474),
    [anon_sym_enum] = ACTIONS(5474),
    [anon_sym_class] = ACTIONS(5474),
    [anon_sym_struct] = ACTIONS(5474),
    [anon_sym_union] = ACTIONS(5474),
    [anon_sym_asm] = ACTIONS(5474),
    [anon_sym___asm__] = ACTIONS(5474),
    [anon_sym___asm] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(5474),
    [anon_sym_final] = ACTIONS(5474),
    [anon_sym_override] = ACTIONS(5474),
    [anon_sym_explicit] = ACTIONS(5474),
    [anon_sym_typename] = ACTIONS(5474),
    [anon_sym_template] = ACTIONS(5474),
    [anon_sym_GT2] = ACTIONS(5476),
    [anon_sym_operator] = ACTIONS(5474),
    [anon_sym_try] = ACTIONS(5474),
    [anon_sym_noexcept] = ACTIONS(5474),
    [anon_sym_throw] = ACTIONS(5474),
    [anon_sym_requires] = ACTIONS(5474),
    [anon_sym_precise] = ACTIONS(5474),
    [anon_sym_shared] = ACTIONS(5474),
    [anon_sym_groupshared] = ACTIONS(5474),
    [anon_sym_uniform] = ACTIONS(5474),
    [anon_sym_row_major] = ACTIONS(5474),
    [anon_sym_column_major] = ACTIONS(5474),
    [anon_sym_globallycoherent] = ACTIONS(5474),
    [anon_sym_centroid] = ACTIONS(5474),
    [anon_sym_noperspective] = ACTIONS(5474),
    [anon_sym_nointerpolation] = ACTIONS(5474),
    [anon_sym_sample] = ACTIONS(5474),
    [anon_sym_linear] = ACTIONS(5474),
    [anon_sym_snorm] = ACTIONS(5474),
    [anon_sym_unorm] = ACTIONS(5474),
    [anon_sym_point] = ACTIONS(5474),
    [anon_sym_line] = ACTIONS(5474),
    [anon_sym_triangleadj] = ACTIONS(5474),
    [anon_sym_lineadj] = ACTIONS(5474),
    [anon_sym_triangle] = ACTIONS(5474),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2320),
    [anon_sym_COMMA] = ACTIONS(2320),
    [anon_sym_RPAREN] = ACTIONS(2320),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [anon_sym___asm] = ACTIONS(2330),
    [anon_sym_DASH_GT] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_final] = ACTIONS(2330),
    [anon_sym_override] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_GT2] = ACTIONS(2320),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_noexcept] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [1973] = {
    [sym_catch_clause] = STATE(1973),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1973),
    [sym_identifier] = ACTIONS(2061),
    [aux_sym_preproc_def_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2061),
    [sym_preproc_directive] = ACTIONS(2061),
    [anon_sym_LPAREN2] = ACTIONS(2063),
    [anon_sym_TILDE] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_AMP_AMP] = ACTIONS(2063),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2063),
    [anon_sym___extension__] = ACTIONS(2061),
    [anon_sym_typedef] = ACTIONS(2061),
    [anon_sym_in] = ACTIONS(2061),
    [anon_sym_out] = ACTIONS(2061),
    [anon_sym_inout] = ACTIONS(2061),
    [anon_sym_virtual] = ACTIONS(2061),
    [anon_sym_extern] = ACTIONS(2061),
    [anon_sym___attribute__] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym___declspec] = ACTIONS(2061),
    [anon_sym___based] = ACTIONS(2061),
    [anon_sym_signed] = ACTIONS(2061),
    [anon_sym_unsigned] = ACTIONS(2061),
    [anon_sym_long] = ACTIONS(2061),
    [anon_sym_short] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_static] = ACTIONS(2061),
    [anon_sym_register] = ACTIONS(2061),
    [anon_sym_inline] = ACTIONS(2061),
    [anon_sym___inline] = ACTIONS(2061),
    [anon_sym___inline__] = ACTIONS(2061),
    [anon_sym___forceinline] = ACTIONS(2061),
    [anon_sym_thread_local] = ACTIONS(2061),
    [anon_sym___thread] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(2061),
    [anon_sym_constexpr] = ACTIONS(2061),
    [anon_sym_volatile] = ACTIONS(2061),
    [anon_sym_restrict] = ACTIONS(2061),
    [anon_sym___restrict__] = ACTIONS(2061),
    [anon_sym__Atomic] = ACTIONS(2061),
    [anon_sym__Noreturn] = ACTIONS(2061),
    [anon_sym_noreturn] = ACTIONS(2061),
    [anon_sym__Nonnull] = ACTIONS(2061),
    [anon_sym_mutable] = ACTIONS(2061),
    [anon_sym_constinit] = ACTIONS(2061),
    [anon_sym_consteval] = ACTIONS(2061),
    [anon_sym_alignas] = ACTIONS(2061),
    [anon_sym__Alignas] = ACTIONS(2061),
    [sym_primitive_type] = ACTIONS(2061),
    [anon_sym_enum] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_struct] = ACTIONS(2061),
    [anon_sym_union] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2061),
    [anon_sym_decltype] = ACTIONS(2061),
    [anon_sym_explicit] = ACTIONS(2061),
    [anon_sym_typename] = ACTIONS(2061),
    [anon_sym_template] = ACTIONS(2061),
    [anon_sym_operator] = ACTIONS(2061),
    [anon_sym_friend] = ACTIONS(2061),
    [anon_sym_public] = ACTIONS(2061),
    [anon_sym_private] = ACTIONS(2061),
    [anon_sym_protected] = ACTIONS(2061),
    [anon_sym_using] = ACTIONS(2061),
    [anon_sym_static_assert] = ACTIONS(2061),
    [anon_sym_catch] = ACTIONS(5478),
    [anon_sym_precise] = ACTIONS(2061),
    [anon_sym_shared] = ACTIONS(2061),
    [anon_sym_groupshared] = ACTIONS(2061),
    [anon_sym_uniform] = ACTIONS(2061),
    [anon_sym_row_major] = ACTIONS(2061),
    [anon_sym_column_major] = ACTIONS(2061),
    [anon_sym_globallycoherent] = ACTIONS(2061),
    [anon_sym_centroid] = ACTIONS(2061),
    [anon_sym_noperspective] = ACTIONS(2061),
    [anon_sym_nointerpolation] = ACTIONS(2061),
    [anon_sym_sample] = ACTIONS(2061),
    [anon_sym_linear] = ACTIONS(2061),
    [anon_sym_snorm] = ACTIONS(2061),
    [anon_sym_unorm] = ACTIONS(2061),
    [anon_sym_point] = ACTIONS(2061),
    [anon_sym_line] = ACTIONS(2061),
    [anon_sym_triangleadj] = ACTIONS(2061),
    [anon_sym_lineadj] = ACTIONS(2061),
    [anon_sym_triangle] = ACTIONS(2061),
  },
  [1974] = {
    [sym_catch_clause] = STATE(1970),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1970),
    [sym_identifier] = ACTIONS(2055),
    [aux_sym_preproc_def_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token1] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2055),
    [sym_preproc_directive] = ACTIONS(2055),
    [anon_sym_LPAREN2] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym___extension__] = ACTIONS(2055),
    [anon_sym_typedef] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_out] = ACTIONS(2055),
    [anon_sym_inout] = ACTIONS(2055),
    [anon_sym_virtual] = ACTIONS(2055),
    [anon_sym_extern] = ACTIONS(2055),
    [anon_sym___attribute__] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2057),
    [anon_sym___declspec] = ACTIONS(2055),
    [anon_sym___based] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2057),
    [anon_sym_signed] = ACTIONS(2055),
    [anon_sym_unsigned] = ACTIONS(2055),
    [anon_sym_long] = ACTIONS(2055),
    [anon_sym_short] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_register] = ACTIONS(2055),
    [anon_sym_inline] = ACTIONS(2055),
    [anon_sym___inline] = ACTIONS(2055),
    [anon_sym___inline__] = ACTIONS(2055),
    [anon_sym___forceinline] = ACTIONS(2055),
    [anon_sym_thread_local] = ACTIONS(2055),
    [anon_sym___thread] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_constexpr] = ACTIONS(2055),
    [anon_sym_volatile] = ACTIONS(2055),
    [anon_sym_restrict] = ACTIONS(2055),
    [anon_sym___restrict__] = ACTIONS(2055),
    [anon_sym__Atomic] = ACTIONS(2055),
    [anon_sym__Noreturn] = ACTIONS(2055),
    [anon_sym_noreturn] = ACTIONS(2055),
    [anon_sym__Nonnull] = ACTIONS(2055),
    [anon_sym_mutable] = ACTIONS(2055),
    [anon_sym_constinit] = ACTIONS(2055),
    [anon_sym_consteval] = ACTIONS(2055),
    [anon_sym_alignas] = ACTIONS(2055),
    [anon_sym__Alignas] = ACTIONS(2055),
    [sym_primitive_type] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_struct] = ACTIONS(2055),
    [anon_sym_union] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2055),
    [anon_sym_decltype] = ACTIONS(2055),
    [anon_sym_explicit] = ACTIONS(2055),
    [anon_sym_typename] = ACTIONS(2055),
    [anon_sym_template] = ACTIONS(2055),
    [anon_sym_operator] = ACTIONS(2055),
    [anon_sym_friend] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_static_assert] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(5481),
    [anon_sym_precise] = ACTIONS(2055),
    [anon_sym_shared] = ACTIONS(2055),
    [anon_sym_groupshared] = ACTIONS(2055),
    [anon_sym_uniform] = ACTIONS(2055),
    [anon_sym_row_major] = ACTIONS(2055),
    [anon_sym_column_major] = ACTIONS(2055),
    [anon_sym_globallycoherent] = ACTIONS(2055),
    [anon_sym_centroid] = ACTIONS(2055),
    [anon_sym_noperspective] = ACTIONS(2055),
    [anon_sym_nointerpolation] = ACTIONS(2055),
    [anon_sym_sample] = ACTIONS(2055),
    [anon_sym_linear] = ACTIONS(2055),
    [anon_sym_snorm] = ACTIONS(2055),
    [anon_sym_unorm] = ACTIONS(2055),
    [anon_sym_point] = ACTIONS(2055),
    [anon_sym_line] = ACTIONS(2055),
    [anon_sym_triangleadj] = ACTIONS(2055),
    [anon_sym_lineadj] = ACTIONS(2055),
    [anon_sym_triangle] = ACTIONS(2055),
  },
  [1975] = {
    [sym_catch_clause] = STATE(1973),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1973),
    [sym_identifier] = ACTIONS(2084),
    [aux_sym_preproc_def_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token2] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2084),
    [sym_preproc_directive] = ACTIONS(2084),
    [anon_sym_LPAREN2] = ACTIONS(2086),
    [anon_sym_TILDE] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2086),
    [anon_sym_AMP_AMP] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_typedef] = ACTIONS(2084),
    [anon_sym_in] = ACTIONS(2084),
    [anon_sym_out] = ACTIONS(2084),
    [anon_sym_inout] = ACTIONS(2084),
    [anon_sym_virtual] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2084),
    [anon_sym___attribute__] = ACTIONS(2084),
    [anon_sym_COLON_COLON] = ACTIONS(2086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2086),
    [anon_sym___declspec] = ACTIONS(2084),
    [anon_sym___based] = ACTIONS(2084),
    [anon_sym_signed] = ACTIONS(2084),
    [anon_sym_unsigned] = ACTIONS(2084),
    [anon_sym_long] = ACTIONS(2084),
    [anon_sym_short] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_register] = ACTIONS(2084),
    [anon_sym_inline] = ACTIONS(2084),
    [anon_sym___inline] = ACTIONS(2084),
    [anon_sym___inline__] = ACTIONS(2084),
    [anon_sym___forceinline] = ACTIONS(2084),
    [anon_sym_thread_local] = ACTIONS(2084),
    [anon_sym___thread] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_mutable] = ACTIONS(2084),
    [anon_sym_constinit] = ACTIONS(2084),
    [anon_sym_consteval] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2084),
    [anon_sym__Alignas] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2084),
    [anon_sym_struct] = ACTIONS(2084),
    [anon_sym_union] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2084),
    [anon_sym_decltype] = ACTIONS(2084),
    [anon_sym_explicit] = ACTIONS(2084),
    [anon_sym_typename] = ACTIONS(2084),
    [anon_sym_template] = ACTIONS(2084),
    [anon_sym_operator] = ACTIONS(2084),
    [anon_sym_friend] = ACTIONS(2084),
    [anon_sym_public] = ACTIONS(2084),
    [anon_sym_private] = ACTIONS(2084),
    [anon_sym_protected] = ACTIONS(2084),
    [anon_sym_using] = ACTIONS(2084),
    [anon_sym_static_assert] = ACTIONS(2084),
    [anon_sym_catch] = ACTIONS(5483),
    [anon_sym_precise] = ACTIONS(2084),
    [anon_sym_shared] = ACTIONS(2084),
    [anon_sym_groupshared] = ACTIONS(2084),
    [anon_sym_uniform] = ACTIONS(2084),
    [anon_sym_row_major] = ACTIONS(2084),
    [anon_sym_column_major] = ACTIONS(2084),
    [anon_sym_globallycoherent] = ACTIONS(2084),
    [anon_sym_centroid] = ACTIONS(2084),
    [anon_sym_noperspective] = ACTIONS(2084),
    [anon_sym_nointerpolation] = ACTIONS(2084),
    [anon_sym_sample] = ACTIONS(2084),
    [anon_sym_linear] = ACTIONS(2084),
    [anon_sym_snorm] = ACTIONS(2084),
    [anon_sym_unorm] = ACTIONS(2084),
    [anon_sym_point] = ACTIONS(2084),
    [anon_sym_line] = ACTIONS(2084),
    [anon_sym_triangleadj] = ACTIONS(2084),
    [anon_sym_lineadj] = ACTIONS(2084),
    [anon_sym_triangle] = ACTIONS(2084),
  },
  [1976] = {
    [sym_catch_clause] = STATE(1970),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1970),
    [sym_identifier] = ACTIONS(2084),
    [aux_sym_preproc_def_token1] = ACTIONS(2084),
    [aux_sym_preproc_if_token1] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2084),
    [sym_preproc_directive] = ACTIONS(2084),
    [anon_sym_LPAREN2] = ACTIONS(2086),
    [anon_sym_TILDE] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2086),
    [anon_sym_AMP_AMP] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_typedef] = ACTIONS(2084),
    [anon_sym_in] = ACTIONS(2084),
    [anon_sym_out] = ACTIONS(2084),
    [anon_sym_inout] = ACTIONS(2084),
    [anon_sym_virtual] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2084),
    [anon_sym___attribute__] = ACTIONS(2084),
    [anon_sym_COLON_COLON] = ACTIONS(2086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2086),
    [anon_sym___declspec] = ACTIONS(2084),
    [anon_sym___based] = ACTIONS(2084),
    [anon_sym_RBRACE] = ACTIONS(2086),
    [anon_sym_signed] = ACTIONS(2084),
    [anon_sym_unsigned] = ACTIONS(2084),
    [anon_sym_long] = ACTIONS(2084),
    [anon_sym_short] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_register] = ACTIONS(2084),
    [anon_sym_inline] = ACTIONS(2084),
    [anon_sym___inline] = ACTIONS(2084),
    [anon_sym___inline__] = ACTIONS(2084),
    [anon_sym___forceinline] = ACTIONS(2084),
    [anon_sym_thread_local] = ACTIONS(2084),
    [anon_sym___thread] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_mutable] = ACTIONS(2084),
    [anon_sym_constinit] = ACTIONS(2084),
    [anon_sym_consteval] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2084),
    [anon_sym__Alignas] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2084),
    [anon_sym_struct] = ACTIONS(2084),
    [anon_sym_union] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2084),
    [anon_sym_decltype] = ACTIONS(2084),
    [anon_sym_explicit] = ACTIONS(2084),
    [anon_sym_typename] = ACTIONS(2084),
    [anon_sym_template] = ACTIONS(2084),
    [anon_sym_operator] = ACTIONS(2084),
    [anon_sym_friend] = ACTIONS(2084),
    [anon_sym_public] = ACTIONS(2084),
    [anon_sym_private] = ACTIONS(2084),
    [anon_sym_protected] = ACTIONS(2084),
    [anon_sym_using] = ACTIONS(2084),
    [anon_sym_static_assert] = ACTIONS(2084),
    [anon_sym_catch] = ACTIONS(5481),
    [anon_sym_precise] = ACTIONS(2084),
    [anon_sym_shared] = ACTIONS(2084),
    [anon_sym_groupshared] = ACTIONS(2084),
    [anon_sym_uniform] = ACTIONS(2084),
    [anon_sym_row_major] = ACTIONS(2084),
    [anon_sym_column_major] = ACTIONS(2084),
    [anon_sym_globallycoherent] = ACTIONS(2084),
    [anon_sym_centroid] = ACTIONS(2084),
    [anon_sym_noperspective] = ACTIONS(2084),
    [anon_sym_nointerpolation] = ACTIONS(2084),
    [anon_sym_sample] = ACTIONS(2084),
    [anon_sym_linear] = ACTIONS(2084),
    [anon_sym_snorm] = ACTIONS(2084),
    [anon_sym_unorm] = ACTIONS(2084),
    [anon_sym_point] = ACTIONS(2084),
    [anon_sym_line] = ACTIONS(2084),
    [anon_sym_triangleadj] = ACTIONS(2084),
    [anon_sym_lineadj] = ACTIONS(2084),
    [anon_sym_triangle] = ACTIONS(2084),
  },
  [1977] = {
    [sym_catch_clause] = STATE(1970),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1970),
    [sym_identifier] = ACTIONS(2090),
    [aux_sym_preproc_def_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token1] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2090),
    [sym_preproc_directive] = ACTIONS(2090),
    [anon_sym_LPAREN2] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2092),
    [anon_sym_AMP_AMP] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2090),
    [anon_sym_out] = ACTIONS(2090),
    [anon_sym_inout] = ACTIONS(2090),
    [anon_sym_virtual] = ACTIONS(2090),
    [anon_sym_extern] = ACTIONS(2090),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2092),
    [anon_sym___declspec] = ACTIONS(2090),
    [anon_sym___based] = ACTIONS(2090),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [anon_sym_signed] = ACTIONS(2090),
    [anon_sym_unsigned] = ACTIONS(2090),
    [anon_sym_long] = ACTIONS(2090),
    [anon_sym_short] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_static] = ACTIONS(2090),
    [anon_sym_register] = ACTIONS(2090),
    [anon_sym_inline] = ACTIONS(2090),
    [anon_sym___inline] = ACTIONS(2090),
    [anon_sym___inline__] = ACTIONS(2090),
    [anon_sym___forceinline] = ACTIONS(2090),
    [anon_sym_thread_local] = ACTIONS(2090),
    [anon_sym___thread] = ACTIONS(2090),
    [anon_sym_const] = ACTIONS(2090),
    [anon_sym_constexpr] = ACTIONS(2090),
    [anon_sym_volatile] = ACTIONS(2090),
    [anon_sym_restrict] = ACTIONS(2090),
    [anon_sym___restrict__] = ACTIONS(2090),
    [anon_sym__Atomic] = ACTIONS(2090),
    [anon_sym__Noreturn] = ACTIONS(2090),
    [anon_sym_noreturn] = ACTIONS(2090),
    [anon_sym__Nonnull] = ACTIONS(2090),
    [anon_sym_mutable] = ACTIONS(2090),
    [anon_sym_constinit] = ACTIONS(2090),
    [anon_sym_consteval] = ACTIONS(2090),
    [anon_sym_alignas] = ACTIONS(2090),
    [anon_sym__Alignas] = ACTIONS(2090),
    [sym_primitive_type] = ACTIONS(2090),
    [anon_sym_enum] = ACTIONS(2090),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2090),
    [anon_sym_decltype] = ACTIONS(2090),
    [anon_sym_explicit] = ACTIONS(2090),
    [anon_sym_typename] = ACTIONS(2090),
    [anon_sym_template] = ACTIONS(2090),
    [anon_sym_operator] = ACTIONS(2090),
    [anon_sym_friend] = ACTIONS(2090),
    [anon_sym_public] = ACTIONS(2090),
    [anon_sym_private] = ACTIONS(2090),
    [anon_sym_protected] = ACTIONS(2090),
    [anon_sym_using] = ACTIONS(2090),
    [anon_sym_static_assert] = ACTIONS(2090),
    [anon_sym_catch] = ACTIONS(5481),
    [anon_sym_precise] = ACTIONS(2090),
    [anon_sym_shared] = ACTIONS(2090),
    [anon_sym_groupshared] = ACTIONS(2090),
    [anon_sym_uniform] = ACTIONS(2090),
    [anon_sym_row_major] = ACTIONS(2090),
    [anon_sym_column_major] = ACTIONS(2090),
    [anon_sym_globallycoherent] = ACTIONS(2090),
    [anon_sym_centroid] = ACTIONS(2090),
    [anon_sym_noperspective] = ACTIONS(2090),
    [anon_sym_nointerpolation] = ACTIONS(2090),
    [anon_sym_sample] = ACTIONS(2090),
    [anon_sym_linear] = ACTIONS(2090),
    [anon_sym_snorm] = ACTIONS(2090),
    [anon_sym_unorm] = ACTIONS(2090),
    [anon_sym_point] = ACTIONS(2090),
    [anon_sym_line] = ACTIONS(2090),
    [anon_sym_triangleadj] = ACTIONS(2090),
    [anon_sym_lineadj] = ACTIONS(2090),
    [anon_sym_triangle] = ACTIONS(2090),
  },
  [1978] = {
    [sym_catch_clause] = STATE(1973),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1973),
    [sym_identifier] = ACTIONS(2090),
    [aux_sym_preproc_def_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token1] = ACTIONS(2090),
    [aux_sym_preproc_if_token2] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2090),
    [sym_preproc_directive] = ACTIONS(2090),
    [anon_sym_LPAREN2] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2092),
    [anon_sym_AMP_AMP] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2090),
    [anon_sym_out] = ACTIONS(2090),
    [anon_sym_inout] = ACTIONS(2090),
    [anon_sym_virtual] = ACTIONS(2090),
    [anon_sym_extern] = ACTIONS(2090),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2092),
    [anon_sym___declspec] = ACTIONS(2090),
    [anon_sym___based] = ACTIONS(2090),
    [anon_sym_signed] = ACTIONS(2090),
    [anon_sym_unsigned] = ACTIONS(2090),
    [anon_sym_long] = ACTIONS(2090),
    [anon_sym_short] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_static] = ACTIONS(2090),
    [anon_sym_register] = ACTIONS(2090),
    [anon_sym_inline] = ACTIONS(2090),
    [anon_sym___inline] = ACTIONS(2090),
    [anon_sym___inline__] = ACTIONS(2090),
    [anon_sym___forceinline] = ACTIONS(2090),
    [anon_sym_thread_local] = ACTIONS(2090),
    [anon_sym___thread] = ACTIONS(2090),
    [anon_sym_const] = ACTIONS(2090),
    [anon_sym_constexpr] = ACTIONS(2090),
    [anon_sym_volatile] = ACTIONS(2090),
    [anon_sym_restrict] = ACTIONS(2090),
    [anon_sym___restrict__] = ACTIONS(2090),
    [anon_sym__Atomic] = ACTIONS(2090),
    [anon_sym__Noreturn] = ACTIONS(2090),
    [anon_sym_noreturn] = ACTIONS(2090),
    [anon_sym__Nonnull] = ACTIONS(2090),
    [anon_sym_mutable] = ACTIONS(2090),
    [anon_sym_constinit] = ACTIONS(2090),
    [anon_sym_consteval] = ACTIONS(2090),
    [anon_sym_alignas] = ACTIONS(2090),
    [anon_sym__Alignas] = ACTIONS(2090),
    [sym_primitive_type] = ACTIONS(2090),
    [anon_sym_enum] = ACTIONS(2090),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2090),
    [anon_sym_decltype] = ACTIONS(2090),
    [anon_sym_explicit] = ACTIONS(2090),
    [anon_sym_typename] = ACTIONS(2090),
    [anon_sym_template] = ACTIONS(2090),
    [anon_sym_operator] = ACTIONS(2090),
    [anon_sym_friend] = ACTIONS(2090),
    [anon_sym_public] = ACTIONS(2090),
    [anon_sym_private] = ACTIONS(2090),
    [anon_sym_protected] = ACTIONS(2090),
    [anon_sym_using] = ACTIONS(2090),
    [anon_sym_static_assert] = ACTIONS(2090),
    [anon_sym_catch] = ACTIONS(5483),
    [anon_sym_precise] = ACTIONS(2090),
    [anon_sym_shared] = ACTIONS(2090),
    [anon_sym_groupshared] = ACTIONS(2090),
    [anon_sym_uniform] = ACTIONS(2090),
    [anon_sym_row_major] = ACTIONS(2090),
    [anon_sym_column_major] = ACTIONS(2090),
    [anon_sym_globallycoherent] = ACTIONS(2090),
    [anon_sym_centroid] = ACTIONS(2090),
    [anon_sym_noperspective] = ACTIONS(2090),
    [anon_sym_nointerpolation] = ACTIONS(2090),
    [anon_sym_sample] = ACTIONS(2090),
    [anon_sym_linear] = ACTIONS(2090),
    [anon_sym_snorm] = ACTIONS(2090),
    [anon_sym_unorm] = ACTIONS(2090),
    [anon_sym_point] = ACTIONS(2090),
    [anon_sym_line] = ACTIONS(2090),
    [anon_sym_triangleadj] = ACTIONS(2090),
    [anon_sym_lineadj] = ACTIONS(2090),
    [anon_sym_triangle] = ACTIONS(2090),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(5485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5487),
    [anon_sym_COMMA] = ACTIONS(5487),
    [anon_sym_RPAREN] = ACTIONS(5487),
    [anon_sym_LPAREN2] = ACTIONS(5487),
    [anon_sym_TILDE] = ACTIONS(5487),
    [anon_sym_STAR] = ACTIONS(5487),
    [anon_sym_AMP_AMP] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(5485),
    [anon_sym_SEMI] = ACTIONS(5487),
    [anon_sym___extension__] = ACTIONS(5485),
    [anon_sym_in] = ACTIONS(5485),
    [anon_sym_out] = ACTIONS(5485),
    [anon_sym_inout] = ACTIONS(5485),
    [anon_sym_virtual] = ACTIONS(5485),
    [anon_sym_extern] = ACTIONS(5485),
    [anon_sym___attribute__] = ACTIONS(5485),
    [anon_sym_COLON_COLON] = ACTIONS(5487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5487),
    [anon_sym___declspec] = ACTIONS(5485),
    [anon_sym___based] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(5487),
    [anon_sym_signed] = ACTIONS(5485),
    [anon_sym_unsigned] = ACTIONS(5485),
    [anon_sym_long] = ACTIONS(5485),
    [anon_sym_short] = ACTIONS(5485),
    [anon_sym_LBRACK] = ACTIONS(5485),
    [anon_sym_static] = ACTIONS(5485),
    [anon_sym_EQ] = ACTIONS(5487),
    [anon_sym_register] = ACTIONS(5485),
    [anon_sym_inline] = ACTIONS(5485),
    [anon_sym___inline] = ACTIONS(5485),
    [anon_sym___inline__] = ACTIONS(5485),
    [anon_sym___forceinline] = ACTIONS(5485),
    [anon_sym_thread_local] = ACTIONS(5485),
    [anon_sym___thread] = ACTIONS(5485),
    [anon_sym_const] = ACTIONS(5485),
    [anon_sym_constexpr] = ACTIONS(5485),
    [anon_sym_volatile] = ACTIONS(5485),
    [anon_sym_restrict] = ACTIONS(5485),
    [anon_sym___restrict__] = ACTIONS(5485),
    [anon_sym__Atomic] = ACTIONS(5485),
    [anon_sym__Noreturn] = ACTIONS(5485),
    [anon_sym_noreturn] = ACTIONS(5485),
    [anon_sym__Nonnull] = ACTIONS(5485),
    [anon_sym_mutable] = ACTIONS(5485),
    [anon_sym_constinit] = ACTIONS(5485),
    [anon_sym_consteval] = ACTIONS(5485),
    [anon_sym_alignas] = ACTIONS(5485),
    [anon_sym__Alignas] = ACTIONS(5485),
    [sym_primitive_type] = ACTIONS(5485),
    [anon_sym_enum] = ACTIONS(5485),
    [anon_sym_class] = ACTIONS(5485),
    [anon_sym_struct] = ACTIONS(5485),
    [anon_sym_union] = ACTIONS(5485),
    [anon_sym_asm] = ACTIONS(5485),
    [anon_sym___asm__] = ACTIONS(5485),
    [anon_sym___asm] = ACTIONS(5485),
    [anon_sym_DASH_GT] = ACTIONS(5487),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5485),
    [anon_sym_decltype] = ACTIONS(5485),
    [anon_sym_final] = ACTIONS(5485),
    [anon_sym_override] = ACTIONS(5485),
    [anon_sym_explicit] = ACTIONS(5485),
    [anon_sym_typename] = ACTIONS(5485),
    [anon_sym_template] = ACTIONS(5485),
    [anon_sym_GT2] = ACTIONS(5487),
    [anon_sym_operator] = ACTIONS(5485),
    [anon_sym_try] = ACTIONS(5485),
    [anon_sym_noexcept] = ACTIONS(5485),
    [anon_sym_throw] = ACTIONS(5485),
    [anon_sym_requires] = ACTIONS(5485),
    [anon_sym_precise] = ACTIONS(5485),
    [anon_sym_shared] = ACTIONS(5485),
    [anon_sym_groupshared] = ACTIONS(5485),
    [anon_sym_uniform] = ACTIONS(5485),
    [anon_sym_row_major] = ACTIONS(5485),
    [anon_sym_column_major] = ACTIONS(5485),
    [anon_sym_globallycoherent] = ACTIONS(5485),
    [anon_sym_centroid] = ACTIONS(5485),
    [anon_sym_noperspective] = ACTIONS(5485),
    [anon_sym_nointerpolation] = ACTIONS(5485),
    [anon_sym_sample] = ACTIONS(5485),
    [anon_sym_linear] = ACTIONS(5485),
    [anon_sym_snorm] = ACTIONS(5485),
    [anon_sym_unorm] = ACTIONS(5485),
    [anon_sym_point] = ACTIONS(5485),
    [anon_sym_line] = ACTIONS(5485),
    [anon_sym_triangleadj] = ACTIONS(5485),
    [anon_sym_lineadj] = ACTIONS(5485),
    [anon_sym_triangle] = ACTIONS(5485),
  },
  [1980] = {
    [sym_catch_clause] = STATE(1973),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1973),
    [sym_identifier] = ACTIONS(2055),
    [aux_sym_preproc_def_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token1] = ACTIONS(2055),
    [aux_sym_preproc_if_token2] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2055),
    [sym_preproc_directive] = ACTIONS(2055),
    [anon_sym_LPAREN2] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym___extension__] = ACTIONS(2055),
    [anon_sym_typedef] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_out] = ACTIONS(2055),
    [anon_sym_inout] = ACTIONS(2055),
    [anon_sym_virtual] = ACTIONS(2055),
    [anon_sym_extern] = ACTIONS(2055),
    [anon_sym___attribute__] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2057),
    [anon_sym___declspec] = ACTIONS(2055),
    [anon_sym___based] = ACTIONS(2055),
    [anon_sym_signed] = ACTIONS(2055),
    [anon_sym_unsigned] = ACTIONS(2055),
    [anon_sym_long] = ACTIONS(2055),
    [anon_sym_short] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_register] = ACTIONS(2055),
    [anon_sym_inline] = ACTIONS(2055),
    [anon_sym___inline] = ACTIONS(2055),
    [anon_sym___inline__] = ACTIONS(2055),
    [anon_sym___forceinline] = ACTIONS(2055),
    [anon_sym_thread_local] = ACTIONS(2055),
    [anon_sym___thread] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_constexpr] = ACTIONS(2055),
    [anon_sym_volatile] = ACTIONS(2055),
    [anon_sym_restrict] = ACTIONS(2055),
    [anon_sym___restrict__] = ACTIONS(2055),
    [anon_sym__Atomic] = ACTIONS(2055),
    [anon_sym__Noreturn] = ACTIONS(2055),
    [anon_sym_noreturn] = ACTIONS(2055),
    [anon_sym__Nonnull] = ACTIONS(2055),
    [anon_sym_mutable] = ACTIONS(2055),
    [anon_sym_constinit] = ACTIONS(2055),
    [anon_sym_consteval] = ACTIONS(2055),
    [anon_sym_alignas] = ACTIONS(2055),
    [anon_sym__Alignas] = ACTIONS(2055),
    [sym_primitive_type] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_struct] = ACTIONS(2055),
    [anon_sym_union] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2055),
    [anon_sym_decltype] = ACTIONS(2055),
    [anon_sym_explicit] = ACTIONS(2055),
    [anon_sym_typename] = ACTIONS(2055),
    [anon_sym_template] = ACTIONS(2055),
    [anon_sym_operator] = ACTIONS(2055),
    [anon_sym_friend] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_static_assert] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(5483),
    [anon_sym_precise] = ACTIONS(2055),
    [anon_sym_shared] = ACTIONS(2055),
    [anon_sym_groupshared] = ACTIONS(2055),
    [anon_sym_uniform] = ACTIONS(2055),
    [anon_sym_row_major] = ACTIONS(2055),
    [anon_sym_column_major] = ACTIONS(2055),
    [anon_sym_globallycoherent] = ACTIONS(2055),
    [anon_sym_centroid] = ACTIONS(2055),
    [anon_sym_noperspective] = ACTIONS(2055),
    [anon_sym_nointerpolation] = ACTIONS(2055),
    [anon_sym_sample] = ACTIONS(2055),
    [anon_sym_linear] = ACTIONS(2055),
    [anon_sym_snorm] = ACTIONS(2055),
    [anon_sym_unorm] = ACTIONS(2055),
    [anon_sym_point] = ACTIONS(2055),
    [anon_sym_line] = ACTIONS(2055),
    [anon_sym_triangleadj] = ACTIONS(2055),
    [anon_sym_lineadj] = ACTIONS(2055),
    [anon_sym_triangle] = ACTIONS(2055),
  },
  [1981] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4829),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5489),
    [anon_sym_RPAREN] = ACTIONS(5491),
    [anon_sym_LPAREN2] = ACTIONS(5491),
    [anon_sym_TILDE] = ACTIONS(5491),
    [anon_sym_STAR] = ACTIONS(5491),
    [anon_sym_PIPE_PIPE] = ACTIONS(5491),
    [anon_sym_AMP_AMP] = ACTIONS(5491),
    [anon_sym_AMP] = ACTIONS(5489),
    [anon_sym___extension__] = ACTIONS(5489),
    [anon_sym_in] = ACTIONS(5489),
    [anon_sym_out] = ACTIONS(5489),
    [anon_sym_inout] = ACTIONS(5489),
    [anon_sym_virtual] = ACTIONS(5489),
    [anon_sym_extern] = ACTIONS(5489),
    [anon_sym___attribute__] = ACTIONS(5489),
    [anon_sym_COLON_COLON] = ACTIONS(5491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5491),
    [anon_sym___declspec] = ACTIONS(5489),
    [anon_sym___based] = ACTIONS(5489),
    [anon_sym___cdecl] = ACTIONS(5489),
    [anon_sym___clrcall] = ACTIONS(5489),
    [anon_sym___stdcall] = ACTIONS(5489),
    [anon_sym___fastcall] = ACTIONS(5489),
    [anon_sym___thiscall] = ACTIONS(5489),
    [anon_sym___vectorcall] = ACTIONS(5489),
    [anon_sym_signed] = ACTIONS(5489),
    [anon_sym_unsigned] = ACTIONS(5489),
    [anon_sym_long] = ACTIONS(5489),
    [anon_sym_short] = ACTIONS(5489),
    [anon_sym_LBRACK] = ACTIONS(5489),
    [anon_sym_static] = ACTIONS(5489),
    [anon_sym_register] = ACTIONS(5489),
    [anon_sym_inline] = ACTIONS(5489),
    [anon_sym___inline] = ACTIONS(5489),
    [anon_sym___inline__] = ACTIONS(5489),
    [anon_sym___forceinline] = ACTIONS(5489),
    [anon_sym_thread_local] = ACTIONS(5489),
    [anon_sym___thread] = ACTIONS(5489),
    [anon_sym_const] = ACTIONS(5489),
    [anon_sym_constexpr] = ACTIONS(5489),
    [anon_sym_volatile] = ACTIONS(5489),
    [anon_sym_restrict] = ACTIONS(5489),
    [anon_sym___restrict__] = ACTIONS(5489),
    [anon_sym__Atomic] = ACTIONS(5489),
    [anon_sym__Noreturn] = ACTIONS(5489),
    [anon_sym_noreturn] = ACTIONS(5489),
    [anon_sym__Nonnull] = ACTIONS(5489),
    [anon_sym_mutable] = ACTIONS(5489),
    [anon_sym_constinit] = ACTIONS(5489),
    [anon_sym_consteval] = ACTIONS(5489),
    [anon_sym_alignas] = ACTIONS(5489),
    [anon_sym__Alignas] = ACTIONS(5489),
    [sym_primitive_type] = ACTIONS(5489),
    [anon_sym_enum] = ACTIONS(5489),
    [anon_sym_class] = ACTIONS(5489),
    [anon_sym_struct] = ACTIONS(5489),
    [anon_sym_union] = ACTIONS(5489),
    [anon_sym_or] = ACTIONS(5489),
    [anon_sym_and] = ACTIONS(5489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5489),
    [anon_sym_decltype] = ACTIONS(5489),
    [anon_sym_final] = ACTIONS(5489),
    [anon_sym_override] = ACTIONS(5489),
    [anon_sym_explicit] = ACTIONS(5489),
    [anon_sym_typename] = ACTIONS(5489),
    [anon_sym_template] = ACTIONS(5489),
    [anon_sym_operator] = ACTIONS(5489),
    [anon_sym_friend] = ACTIONS(5489),
    [anon_sym_using] = ACTIONS(5489),
    [anon_sym_concept] = ACTIONS(5489),
    [anon_sym_requires] = ACTIONS(5489),
    [anon_sym_precise] = ACTIONS(5489),
    [anon_sym_shared] = ACTIONS(5489),
    [anon_sym_groupshared] = ACTIONS(5489),
    [anon_sym_uniform] = ACTIONS(5489),
    [anon_sym_row_major] = ACTIONS(5489),
    [anon_sym_column_major] = ACTIONS(5489),
    [anon_sym_globallycoherent] = ACTIONS(5489),
    [anon_sym_centroid] = ACTIONS(5489),
    [anon_sym_noperspective] = ACTIONS(5489),
    [anon_sym_nointerpolation] = ACTIONS(5489),
    [anon_sym_sample] = ACTIONS(5489),
    [anon_sym_linear] = ACTIONS(5489),
    [anon_sym_snorm] = ACTIONS(5489),
    [anon_sym_unorm] = ACTIONS(5489),
    [anon_sym_point] = ACTIONS(5489),
    [anon_sym_line] = ACTIONS(5489),
    [anon_sym_triangleadj] = ACTIONS(5489),
    [anon_sym_lineadj] = ACTIONS(5489),
    [anon_sym_triangle] = ACTIONS(5489),
  },
  [1983] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4826),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(5493),
    [anon_sym_RPAREN] = ACTIONS(5495),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5495),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_PIPE_PIPE] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_in] = ACTIONS(5493),
    [anon_sym_out] = ACTIONS(5493),
    [anon_sym_inout] = ACTIONS(5493),
    [anon_sym_virtual] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym_COLON_COLON] = ACTIONS(5495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___based] = ACTIONS(5493),
    [anon_sym___cdecl] = ACTIONS(5493),
    [anon_sym___clrcall] = ACTIONS(5493),
    [anon_sym___stdcall] = ACTIONS(5493),
    [anon_sym___fastcall] = ACTIONS(5493),
    [anon_sym___thiscall] = ACTIONS(5493),
    [anon_sym___vectorcall] = ACTIONS(5493),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym__Nonnull] = ACTIONS(5493),
    [anon_sym_mutable] = ACTIONS(5493),
    [anon_sym_constinit] = ACTIONS(5493),
    [anon_sym_consteval] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym__Alignas] = ACTIONS(5493),
    [sym_primitive_type] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_class] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [anon_sym_or] = ACTIONS(5493),
    [anon_sym_and] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
    [anon_sym_final] = ACTIONS(5493),
    [anon_sym_override] = ACTIONS(5493),
    [anon_sym_explicit] = ACTIONS(5493),
    [anon_sym_typename] = ACTIONS(5493),
    [anon_sym_template] = ACTIONS(5493),
    [anon_sym_operator] = ACTIONS(5493),
    [anon_sym_friend] = ACTIONS(5493),
    [anon_sym_using] = ACTIONS(5493),
    [anon_sym_concept] = ACTIONS(5493),
    [anon_sym_requires] = ACTIONS(5493),
    [anon_sym_precise] = ACTIONS(5493),
    [anon_sym_shared] = ACTIONS(5493),
    [anon_sym_groupshared] = ACTIONS(5493),
    [anon_sym_uniform] = ACTIONS(5493),
    [anon_sym_row_major] = ACTIONS(5493),
    [anon_sym_column_major] = ACTIONS(5493),
    [anon_sym_globallycoherent] = ACTIONS(5493),
    [anon_sym_centroid] = ACTIONS(5493),
    [anon_sym_noperspective] = ACTIONS(5493),
    [anon_sym_nointerpolation] = ACTIONS(5493),
    [anon_sym_sample] = ACTIONS(5493),
    [anon_sym_linear] = ACTIONS(5493),
    [anon_sym_snorm] = ACTIONS(5493),
    [anon_sym_unorm] = ACTIONS(5493),
    [anon_sym_point] = ACTIONS(5493),
    [anon_sym_line] = ACTIONS(5493),
    [anon_sym_triangleadj] = ACTIONS(5493),
    [anon_sym_lineadj] = ACTIONS(5493),
    [anon_sym_triangle] = ACTIONS(5493),
  },
  [1985] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4862),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(5497),
    [anon_sym_RPAREN] = ACTIONS(5499),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_TILDE] = ACTIONS(5499),
    [anon_sym_STAR] = ACTIONS(5499),
    [anon_sym_PIPE_PIPE] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_in] = ACTIONS(5497),
    [anon_sym_out] = ACTIONS(5497),
    [anon_sym_inout] = ACTIONS(5497),
    [anon_sym_virtual] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym_COLON_COLON] = ACTIONS(5499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___based] = ACTIONS(5497),
    [anon_sym___cdecl] = ACTIONS(5497),
    [anon_sym___clrcall] = ACTIONS(5497),
    [anon_sym___stdcall] = ACTIONS(5497),
    [anon_sym___fastcall] = ACTIONS(5497),
    [anon_sym___thiscall] = ACTIONS(5497),
    [anon_sym___vectorcall] = ACTIONS(5497),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym__Nonnull] = ACTIONS(5497),
    [anon_sym_mutable] = ACTIONS(5497),
    [anon_sym_constinit] = ACTIONS(5497),
    [anon_sym_consteval] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym__Alignas] = ACTIONS(5497),
    [sym_primitive_type] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_class] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [anon_sym_or] = ACTIONS(5497),
    [anon_sym_and] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
    [anon_sym_final] = ACTIONS(5497),
    [anon_sym_override] = ACTIONS(5497),
    [anon_sym_explicit] = ACTIONS(5497),
    [anon_sym_typename] = ACTIONS(5497),
    [anon_sym_template] = ACTIONS(5497),
    [anon_sym_operator] = ACTIONS(5497),
    [anon_sym_friend] = ACTIONS(5497),
    [anon_sym_using] = ACTIONS(5497),
    [anon_sym_concept] = ACTIONS(5497),
    [anon_sym_requires] = ACTIONS(5497),
    [anon_sym_precise] = ACTIONS(5497),
    [anon_sym_shared] = ACTIONS(5497),
    [anon_sym_groupshared] = ACTIONS(5497),
    [anon_sym_uniform] = ACTIONS(5497),
    [anon_sym_row_major] = ACTIONS(5497),
    [anon_sym_column_major] = ACTIONS(5497),
    [anon_sym_globallycoherent] = ACTIONS(5497),
    [anon_sym_centroid] = ACTIONS(5497),
    [anon_sym_noperspective] = ACTIONS(5497),
    [anon_sym_nointerpolation] = ACTIONS(5497),
    [anon_sym_sample] = ACTIONS(5497),
    [anon_sym_linear] = ACTIONS(5497),
    [anon_sym_snorm] = ACTIONS(5497),
    [anon_sym_unorm] = ACTIONS(5497),
    [anon_sym_point] = ACTIONS(5497),
    [anon_sym_line] = ACTIONS(5497),
    [anon_sym_triangleadj] = ACTIONS(5497),
    [anon_sym_lineadj] = ACTIONS(5497),
    [anon_sym_triangle] = ACTIONS(5497),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(5501),
    [anon_sym_RPAREN] = ACTIONS(5503),
    [anon_sym_LPAREN2] = ACTIONS(5503),
    [anon_sym_TILDE] = ACTIONS(5503),
    [anon_sym_STAR] = ACTIONS(5503),
    [anon_sym_PIPE_PIPE] = ACTIONS(5503),
    [anon_sym_AMP_AMP] = ACTIONS(5503),
    [anon_sym_AMP] = ACTIONS(5501),
    [anon_sym___extension__] = ACTIONS(5501),
    [anon_sym_in] = ACTIONS(5501),
    [anon_sym_out] = ACTIONS(5501),
    [anon_sym_inout] = ACTIONS(5501),
    [anon_sym_virtual] = ACTIONS(5501),
    [anon_sym_extern] = ACTIONS(5501),
    [anon_sym___attribute__] = ACTIONS(5501),
    [anon_sym_COLON_COLON] = ACTIONS(5503),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5503),
    [anon_sym___declspec] = ACTIONS(5501),
    [anon_sym___based] = ACTIONS(5501),
    [anon_sym___cdecl] = ACTIONS(5501),
    [anon_sym___clrcall] = ACTIONS(5501),
    [anon_sym___stdcall] = ACTIONS(5501),
    [anon_sym___fastcall] = ACTIONS(5501),
    [anon_sym___thiscall] = ACTIONS(5501),
    [anon_sym___vectorcall] = ACTIONS(5501),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(5501),
    [anon_sym_static] = ACTIONS(5501),
    [anon_sym_register] = ACTIONS(5501),
    [anon_sym_inline] = ACTIONS(5501),
    [anon_sym___inline] = ACTIONS(5501),
    [anon_sym___inline__] = ACTIONS(5501),
    [anon_sym___forceinline] = ACTIONS(5501),
    [anon_sym_thread_local] = ACTIONS(5501),
    [anon_sym___thread] = ACTIONS(5501),
    [anon_sym_const] = ACTIONS(5501),
    [anon_sym_constexpr] = ACTIONS(5501),
    [anon_sym_volatile] = ACTIONS(5501),
    [anon_sym_restrict] = ACTIONS(5501),
    [anon_sym___restrict__] = ACTIONS(5501),
    [anon_sym__Atomic] = ACTIONS(5501),
    [anon_sym__Noreturn] = ACTIONS(5501),
    [anon_sym_noreturn] = ACTIONS(5501),
    [anon_sym__Nonnull] = ACTIONS(5501),
    [anon_sym_mutable] = ACTIONS(5501),
    [anon_sym_constinit] = ACTIONS(5501),
    [anon_sym_consteval] = ACTIONS(5501),
    [anon_sym_alignas] = ACTIONS(5501),
    [anon_sym__Alignas] = ACTIONS(5501),
    [sym_primitive_type] = ACTIONS(5501),
    [anon_sym_enum] = ACTIONS(5501),
    [anon_sym_class] = ACTIONS(5501),
    [anon_sym_struct] = ACTIONS(5501),
    [anon_sym_union] = ACTIONS(5501),
    [anon_sym_or] = ACTIONS(5501),
    [anon_sym_and] = ACTIONS(5501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5501),
    [anon_sym_decltype] = ACTIONS(5501),
    [anon_sym_final] = ACTIONS(5501),
    [anon_sym_override] = ACTIONS(5501),
    [anon_sym_explicit] = ACTIONS(5501),
    [anon_sym_typename] = ACTIONS(5501),
    [anon_sym_template] = ACTIONS(5501),
    [anon_sym_operator] = ACTIONS(5501),
    [anon_sym_friend] = ACTIONS(5501),
    [anon_sym_using] = ACTIONS(5501),
    [anon_sym_concept] = ACTIONS(5501),
    [anon_sym_requires] = ACTIONS(5501),
    [anon_sym_precise] = ACTIONS(5501),
    [anon_sym_shared] = ACTIONS(5501),
    [anon_sym_groupshared] = ACTIONS(5501),
    [anon_sym_uniform] = ACTIONS(5501),
    [anon_sym_row_major] = ACTIONS(5501),
    [anon_sym_column_major] = ACTIONS(5501),
    [anon_sym_globallycoherent] = ACTIONS(5501),
    [anon_sym_centroid] = ACTIONS(5501),
    [anon_sym_noperspective] = ACTIONS(5501),
    [anon_sym_nointerpolation] = ACTIONS(5501),
    [anon_sym_sample] = ACTIONS(5501),
    [anon_sym_linear] = ACTIONS(5501),
    [anon_sym_snorm] = ACTIONS(5501),
    [anon_sym_unorm] = ACTIONS(5501),
    [anon_sym_point] = ACTIONS(5501),
    [anon_sym_line] = ACTIONS(5501),
    [anon_sym_triangleadj] = ACTIONS(5501),
    [anon_sym_lineadj] = ACTIONS(5501),
    [anon_sym_triangle] = ACTIONS(5501),
  },
  [1988] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4819),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1989] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4825),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(5505),
    [anon_sym_RPAREN] = ACTIONS(5507),
    [anon_sym_LPAREN2] = ACTIONS(5507),
    [anon_sym_TILDE] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5507),
    [anon_sym_PIPE_PIPE] = ACTIONS(5507),
    [anon_sym_AMP_AMP] = ACTIONS(5507),
    [anon_sym_AMP] = ACTIONS(5505),
    [anon_sym___extension__] = ACTIONS(5505),
    [anon_sym_in] = ACTIONS(5505),
    [anon_sym_out] = ACTIONS(5505),
    [anon_sym_inout] = ACTIONS(5505),
    [anon_sym_virtual] = ACTIONS(5505),
    [anon_sym_extern] = ACTIONS(5505),
    [anon_sym___attribute__] = ACTIONS(5505),
    [anon_sym_COLON_COLON] = ACTIONS(5507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5507),
    [anon_sym___declspec] = ACTIONS(5505),
    [anon_sym___based] = ACTIONS(5505),
    [anon_sym___cdecl] = ACTIONS(5505),
    [anon_sym___clrcall] = ACTIONS(5505),
    [anon_sym___stdcall] = ACTIONS(5505),
    [anon_sym___fastcall] = ACTIONS(5505),
    [anon_sym___thiscall] = ACTIONS(5505),
    [anon_sym___vectorcall] = ACTIONS(5505),
    [anon_sym_signed] = ACTIONS(5505),
    [anon_sym_unsigned] = ACTIONS(5505),
    [anon_sym_long] = ACTIONS(5505),
    [anon_sym_short] = ACTIONS(5505),
    [anon_sym_LBRACK] = ACTIONS(5505),
    [anon_sym_static] = ACTIONS(5505),
    [anon_sym_register] = ACTIONS(5505),
    [anon_sym_inline] = ACTIONS(5505),
    [anon_sym___inline] = ACTIONS(5505),
    [anon_sym___inline__] = ACTIONS(5505),
    [anon_sym___forceinline] = ACTIONS(5505),
    [anon_sym_thread_local] = ACTIONS(5505),
    [anon_sym___thread] = ACTIONS(5505),
    [anon_sym_const] = ACTIONS(5505),
    [anon_sym_constexpr] = ACTIONS(5505),
    [anon_sym_volatile] = ACTIONS(5505),
    [anon_sym_restrict] = ACTIONS(5505),
    [anon_sym___restrict__] = ACTIONS(5505),
    [anon_sym__Atomic] = ACTIONS(5505),
    [anon_sym__Noreturn] = ACTIONS(5505),
    [anon_sym_noreturn] = ACTIONS(5505),
    [anon_sym__Nonnull] = ACTIONS(5505),
    [anon_sym_mutable] = ACTIONS(5505),
    [anon_sym_constinit] = ACTIONS(5505),
    [anon_sym_consteval] = ACTIONS(5505),
    [anon_sym_alignas] = ACTIONS(5505),
    [anon_sym__Alignas] = ACTIONS(5505),
    [sym_primitive_type] = ACTIONS(5505),
    [anon_sym_enum] = ACTIONS(5505),
    [anon_sym_class] = ACTIONS(5505),
    [anon_sym_struct] = ACTIONS(5505),
    [anon_sym_union] = ACTIONS(5505),
    [anon_sym_or] = ACTIONS(5505),
    [anon_sym_and] = ACTIONS(5505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5505),
    [anon_sym_decltype] = ACTIONS(5505),
    [anon_sym_final] = ACTIONS(5505),
    [anon_sym_override] = ACTIONS(5505),
    [anon_sym_explicit] = ACTIONS(5505),
    [anon_sym_typename] = ACTIONS(5505),
    [anon_sym_template] = ACTIONS(5505),
    [anon_sym_operator] = ACTIONS(5505),
    [anon_sym_friend] = ACTIONS(5505),
    [anon_sym_using] = ACTIONS(5505),
    [anon_sym_concept] = ACTIONS(5505),
    [anon_sym_requires] = ACTIONS(5505),
    [anon_sym_precise] = ACTIONS(5505),
    [anon_sym_shared] = ACTIONS(5505),
    [anon_sym_groupshared] = ACTIONS(5505),
    [anon_sym_uniform] = ACTIONS(5505),
    [anon_sym_row_major] = ACTIONS(5505),
    [anon_sym_column_major] = ACTIONS(5505),
    [anon_sym_globallycoherent] = ACTIONS(5505),
    [anon_sym_centroid] = ACTIONS(5505),
    [anon_sym_noperspective] = ACTIONS(5505),
    [anon_sym_nointerpolation] = ACTIONS(5505),
    [anon_sym_sample] = ACTIONS(5505),
    [anon_sym_linear] = ACTIONS(5505),
    [anon_sym_snorm] = ACTIONS(5505),
    [anon_sym_unorm] = ACTIONS(5505),
    [anon_sym_point] = ACTIONS(5505),
    [anon_sym_line] = ACTIONS(5505),
    [anon_sym_triangleadj] = ACTIONS(5505),
    [anon_sym_lineadj] = ACTIONS(5505),
    [anon_sym_triangle] = ACTIONS(5505),
  },
  [1991] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4833),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1992] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4835),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1993] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4839),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1994] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4842),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1995] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4847),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1996] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4850),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1997] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1998] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4872),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(5509),
    [anon_sym_RPAREN] = ACTIONS(5511),
    [anon_sym_LPAREN2] = ACTIONS(5511),
    [anon_sym_TILDE] = ACTIONS(5511),
    [anon_sym_STAR] = ACTIONS(5511),
    [anon_sym_PIPE_PIPE] = ACTIONS(5511),
    [anon_sym_AMP_AMP] = ACTIONS(5511),
    [anon_sym_AMP] = ACTIONS(5509),
    [anon_sym___extension__] = ACTIONS(5509),
    [anon_sym_in] = ACTIONS(5509),
    [anon_sym_out] = ACTIONS(5509),
    [anon_sym_inout] = ACTIONS(5509),
    [anon_sym_virtual] = ACTIONS(5509),
    [anon_sym_extern] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5509),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5511),
    [anon_sym___declspec] = ACTIONS(5509),
    [anon_sym___based] = ACTIONS(5509),
    [anon_sym___cdecl] = ACTIONS(5509),
    [anon_sym___clrcall] = ACTIONS(5509),
    [anon_sym___stdcall] = ACTIONS(5509),
    [anon_sym___fastcall] = ACTIONS(5509),
    [anon_sym___thiscall] = ACTIONS(5509),
    [anon_sym___vectorcall] = ACTIONS(5509),
    [anon_sym_signed] = ACTIONS(5509),
    [anon_sym_unsigned] = ACTIONS(5509),
    [anon_sym_long] = ACTIONS(5509),
    [anon_sym_short] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_static] = ACTIONS(5509),
    [anon_sym_register] = ACTIONS(5509),
    [anon_sym_inline] = ACTIONS(5509),
    [anon_sym___inline] = ACTIONS(5509),
    [anon_sym___inline__] = ACTIONS(5509),
    [anon_sym___forceinline] = ACTIONS(5509),
    [anon_sym_thread_local] = ACTIONS(5509),
    [anon_sym___thread] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5509),
    [anon_sym_constexpr] = ACTIONS(5509),
    [anon_sym_volatile] = ACTIONS(5509),
    [anon_sym_restrict] = ACTIONS(5509),
    [anon_sym___restrict__] = ACTIONS(5509),
    [anon_sym__Atomic] = ACTIONS(5509),
    [anon_sym__Noreturn] = ACTIONS(5509),
    [anon_sym_noreturn] = ACTIONS(5509),
    [anon_sym__Nonnull] = ACTIONS(5509),
    [anon_sym_mutable] = ACTIONS(5509),
    [anon_sym_constinit] = ACTIONS(5509),
    [anon_sym_consteval] = ACTIONS(5509),
    [anon_sym_alignas] = ACTIONS(5509),
    [anon_sym__Alignas] = ACTIONS(5509),
    [sym_primitive_type] = ACTIONS(5509),
    [anon_sym_enum] = ACTIONS(5509),
    [anon_sym_class] = ACTIONS(5509),
    [anon_sym_struct] = ACTIONS(5509),
    [anon_sym_union] = ACTIONS(5509),
    [anon_sym_or] = ACTIONS(5509),
    [anon_sym_and] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5509),
    [anon_sym_decltype] = ACTIONS(5509),
    [anon_sym_final] = ACTIONS(5509),
    [anon_sym_override] = ACTIONS(5509),
    [anon_sym_explicit] = ACTIONS(5509),
    [anon_sym_typename] = ACTIONS(5509),
    [anon_sym_template] = ACTIONS(5509),
    [anon_sym_operator] = ACTIONS(5509),
    [anon_sym_friend] = ACTIONS(5509),
    [anon_sym_using] = ACTIONS(5509),
    [anon_sym_concept] = ACTIONS(5509),
    [anon_sym_requires] = ACTIONS(5509),
    [anon_sym_precise] = ACTIONS(5509),
    [anon_sym_shared] = ACTIONS(5509),
    [anon_sym_groupshared] = ACTIONS(5509),
    [anon_sym_uniform] = ACTIONS(5509),
    [anon_sym_row_major] = ACTIONS(5509),
    [anon_sym_column_major] = ACTIONS(5509),
    [anon_sym_globallycoherent] = ACTIONS(5509),
    [anon_sym_centroid] = ACTIONS(5509),
    [anon_sym_noperspective] = ACTIONS(5509),
    [anon_sym_nointerpolation] = ACTIONS(5509),
    [anon_sym_sample] = ACTIONS(5509),
    [anon_sym_linear] = ACTIONS(5509),
    [anon_sym_snorm] = ACTIONS(5509),
    [anon_sym_unorm] = ACTIONS(5509),
    [anon_sym_point] = ACTIONS(5509),
    [anon_sym_line] = ACTIONS(5509),
    [anon_sym_triangleadj] = ACTIONS(5509),
    [anon_sym_lineadj] = ACTIONS(5509),
    [anon_sym_triangle] = ACTIONS(5509),
  },
  [2000] = {
    [sym_identifier] = ACTIONS(5513),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_TILDE] = ACTIONS(5515),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_PIPE_PIPE] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym_in] = ACTIONS(5513),
    [anon_sym_out] = ACTIONS(5513),
    [anon_sym_inout] = ACTIONS(5513),
    [anon_sym_virtual] = ACTIONS(5513),
    [anon_sym_extern] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_COLON_COLON] = ACTIONS(5515),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5515),
    [anon_sym___declspec] = ACTIONS(5513),
    [anon_sym___based] = ACTIONS(5513),
    [anon_sym___cdecl] = ACTIONS(5513),
    [anon_sym___clrcall] = ACTIONS(5513),
    [anon_sym___stdcall] = ACTIONS(5513),
    [anon_sym___fastcall] = ACTIONS(5513),
    [anon_sym___thiscall] = ACTIONS(5513),
    [anon_sym___vectorcall] = ACTIONS(5513),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [anon_sym_static] = ACTIONS(5513),
    [anon_sym_register] = ACTIONS(5513),
    [anon_sym_inline] = ACTIONS(5513),
    [anon_sym___inline] = ACTIONS(5513),
    [anon_sym___inline__] = ACTIONS(5513),
    [anon_sym___forceinline] = ACTIONS(5513),
    [anon_sym_thread_local] = ACTIONS(5513),
    [anon_sym___thread] = ACTIONS(5513),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym__Nonnull] = ACTIONS(5513),
    [anon_sym_mutable] = ACTIONS(5513),
    [anon_sym_constinit] = ACTIONS(5513),
    [anon_sym_consteval] = ACTIONS(5513),
    [anon_sym_alignas] = ACTIONS(5513),
    [anon_sym__Alignas] = ACTIONS(5513),
    [sym_primitive_type] = ACTIONS(5513),
    [anon_sym_enum] = ACTIONS(5513),
    [anon_sym_class] = ACTIONS(5513),
    [anon_sym_struct] = ACTIONS(5513),
    [anon_sym_union] = ACTIONS(5513),
    [anon_sym_or] = ACTIONS(5513),
    [anon_sym_and] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
    [anon_sym_final] = ACTIONS(5513),
    [anon_sym_override] = ACTIONS(5513),
    [anon_sym_explicit] = ACTIONS(5513),
    [anon_sym_typename] = ACTIONS(5513),
    [anon_sym_template] = ACTIONS(5513),
    [anon_sym_operator] = ACTIONS(5513),
    [anon_sym_friend] = ACTIONS(5513),
    [anon_sym_using] = ACTIONS(5513),
    [anon_sym_concept] = ACTIONS(5513),
    [anon_sym_requires] = ACTIONS(5513),
    [anon_sym_precise] = ACTIONS(5513),
    [anon_sym_shared] = ACTIONS(5513),
    [anon_sym_groupshared] = ACTIONS(5513),
    [anon_sym_uniform] = ACTIONS(5513),
    [anon_sym_row_major] = ACTIONS(5513),
    [anon_sym_column_major] = ACTIONS(5513),
    [anon_sym_globallycoherent] = ACTIONS(5513),
    [anon_sym_centroid] = ACTIONS(5513),
    [anon_sym_noperspective] = ACTIONS(5513),
    [anon_sym_nointerpolation] = ACTIONS(5513),
    [anon_sym_sample] = ACTIONS(5513),
    [anon_sym_linear] = ACTIONS(5513),
    [anon_sym_snorm] = ACTIONS(5513),
    [anon_sym_unorm] = ACTIONS(5513),
    [anon_sym_point] = ACTIONS(5513),
    [anon_sym_line] = ACTIONS(5513),
    [anon_sym_triangleadj] = ACTIONS(5513),
    [anon_sym_lineadj] = ACTIONS(5513),
    [anon_sym_triangle] = ACTIONS(5513),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(5513),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_TILDE] = ACTIONS(5515),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_PIPE_PIPE] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym_in] = ACTIONS(5513),
    [anon_sym_out] = ACTIONS(5513),
    [anon_sym_inout] = ACTIONS(5513),
    [anon_sym_virtual] = ACTIONS(5513),
    [anon_sym_extern] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_COLON_COLON] = ACTIONS(5515),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5515),
    [anon_sym___declspec] = ACTIONS(5513),
    [anon_sym___based] = ACTIONS(5513),
    [anon_sym___cdecl] = ACTIONS(5513),
    [anon_sym___clrcall] = ACTIONS(5513),
    [anon_sym___stdcall] = ACTIONS(5513),
    [anon_sym___fastcall] = ACTIONS(5513),
    [anon_sym___thiscall] = ACTIONS(5513),
    [anon_sym___vectorcall] = ACTIONS(5513),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [anon_sym_static] = ACTIONS(5513),
    [anon_sym_register] = ACTIONS(5513),
    [anon_sym_inline] = ACTIONS(5513),
    [anon_sym___inline] = ACTIONS(5513),
    [anon_sym___inline__] = ACTIONS(5513),
    [anon_sym___forceinline] = ACTIONS(5513),
    [anon_sym_thread_local] = ACTIONS(5513),
    [anon_sym___thread] = ACTIONS(5513),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym__Nonnull] = ACTIONS(5513),
    [anon_sym_mutable] = ACTIONS(5513),
    [anon_sym_constinit] = ACTIONS(5513),
    [anon_sym_consteval] = ACTIONS(5513),
    [anon_sym_alignas] = ACTIONS(5513),
    [anon_sym__Alignas] = ACTIONS(5513),
    [sym_primitive_type] = ACTIONS(5513),
    [anon_sym_enum] = ACTIONS(5513),
    [anon_sym_class] = ACTIONS(5513),
    [anon_sym_struct] = ACTIONS(5513),
    [anon_sym_union] = ACTIONS(5513),
    [anon_sym_or] = ACTIONS(5513),
    [anon_sym_and] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
    [anon_sym_final] = ACTIONS(5513),
    [anon_sym_override] = ACTIONS(5513),
    [anon_sym_explicit] = ACTIONS(5513),
    [anon_sym_typename] = ACTIONS(5513),
    [anon_sym_template] = ACTIONS(5513),
    [anon_sym_operator] = ACTIONS(5513),
    [anon_sym_friend] = ACTIONS(5513),
    [anon_sym_using] = ACTIONS(5513),
    [anon_sym_concept] = ACTIONS(5513),
    [anon_sym_requires] = ACTIONS(5513),
    [anon_sym_precise] = ACTIONS(5513),
    [anon_sym_shared] = ACTIONS(5513),
    [anon_sym_groupshared] = ACTIONS(5513),
    [anon_sym_uniform] = ACTIONS(5513),
    [anon_sym_row_major] = ACTIONS(5513),
    [anon_sym_column_major] = ACTIONS(5513),
    [anon_sym_globallycoherent] = ACTIONS(5513),
    [anon_sym_centroid] = ACTIONS(5513),
    [anon_sym_noperspective] = ACTIONS(5513),
    [anon_sym_nointerpolation] = ACTIONS(5513),
    [anon_sym_sample] = ACTIONS(5513),
    [anon_sym_linear] = ACTIONS(5513),
    [anon_sym_snorm] = ACTIONS(5513),
    [anon_sym_unorm] = ACTIONS(5513),
    [anon_sym_point] = ACTIONS(5513),
    [anon_sym_line] = ACTIONS(5513),
    [anon_sym_triangleadj] = ACTIONS(5513),
    [anon_sym_lineadj] = ACTIONS(5513),
    [anon_sym_triangle] = ACTIONS(5513),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(5517),
    [anon_sym_RPAREN] = ACTIONS(5519),
    [anon_sym_LPAREN2] = ACTIONS(5519),
    [anon_sym_TILDE] = ACTIONS(5519),
    [anon_sym_STAR] = ACTIONS(5519),
    [anon_sym_PIPE_PIPE] = ACTIONS(5519),
    [anon_sym_AMP_AMP] = ACTIONS(5519),
    [anon_sym_AMP] = ACTIONS(5517),
    [anon_sym___extension__] = ACTIONS(5517),
    [anon_sym_in] = ACTIONS(5517),
    [anon_sym_out] = ACTIONS(5517),
    [anon_sym_inout] = ACTIONS(5517),
    [anon_sym_virtual] = ACTIONS(5517),
    [anon_sym_extern] = ACTIONS(5517),
    [anon_sym___attribute__] = ACTIONS(5517),
    [anon_sym_COLON_COLON] = ACTIONS(5519),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5519),
    [anon_sym___declspec] = ACTIONS(5517),
    [anon_sym___based] = ACTIONS(5517),
    [anon_sym___cdecl] = ACTIONS(5517),
    [anon_sym___clrcall] = ACTIONS(5517),
    [anon_sym___stdcall] = ACTIONS(5517),
    [anon_sym___fastcall] = ACTIONS(5517),
    [anon_sym___thiscall] = ACTIONS(5517),
    [anon_sym___vectorcall] = ACTIONS(5517),
    [anon_sym_signed] = ACTIONS(5517),
    [anon_sym_unsigned] = ACTIONS(5517),
    [anon_sym_long] = ACTIONS(5517),
    [anon_sym_short] = ACTIONS(5517),
    [anon_sym_LBRACK] = ACTIONS(5517),
    [anon_sym_static] = ACTIONS(5517),
    [anon_sym_register] = ACTIONS(5517),
    [anon_sym_inline] = ACTIONS(5517),
    [anon_sym___inline] = ACTIONS(5517),
    [anon_sym___inline__] = ACTIONS(5517),
    [anon_sym___forceinline] = ACTIONS(5517),
    [anon_sym_thread_local] = ACTIONS(5517),
    [anon_sym___thread] = ACTIONS(5517),
    [anon_sym_const] = ACTIONS(5517),
    [anon_sym_constexpr] = ACTIONS(5517),
    [anon_sym_volatile] = ACTIONS(5517),
    [anon_sym_restrict] = ACTIONS(5517),
    [anon_sym___restrict__] = ACTIONS(5517),
    [anon_sym__Atomic] = ACTIONS(5517),
    [anon_sym__Noreturn] = ACTIONS(5517),
    [anon_sym_noreturn] = ACTIONS(5517),
    [anon_sym__Nonnull] = ACTIONS(5517),
    [anon_sym_mutable] = ACTIONS(5517),
    [anon_sym_constinit] = ACTIONS(5517),
    [anon_sym_consteval] = ACTIONS(5517),
    [anon_sym_alignas] = ACTIONS(5517),
    [anon_sym__Alignas] = ACTIONS(5517),
    [sym_primitive_type] = ACTIONS(5517),
    [anon_sym_enum] = ACTIONS(5517),
    [anon_sym_class] = ACTIONS(5517),
    [anon_sym_struct] = ACTIONS(5517),
    [anon_sym_union] = ACTIONS(5517),
    [anon_sym_or] = ACTIONS(5517),
    [anon_sym_and] = ACTIONS(5517),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5517),
    [anon_sym_decltype] = ACTIONS(5517),
    [anon_sym_final] = ACTIONS(5517),
    [anon_sym_override] = ACTIONS(5517),
    [anon_sym_explicit] = ACTIONS(5517),
    [anon_sym_typename] = ACTIONS(5517),
    [anon_sym_template] = ACTIONS(5517),
    [anon_sym_operator] = ACTIONS(5517),
    [anon_sym_friend] = ACTIONS(5517),
    [anon_sym_using] = ACTIONS(5517),
    [anon_sym_concept] = ACTIONS(5517),
    [anon_sym_requires] = ACTIONS(5517),
    [anon_sym_precise] = ACTIONS(5517),
    [anon_sym_shared] = ACTIONS(5517),
    [anon_sym_groupshared] = ACTIONS(5517),
    [anon_sym_uniform] = ACTIONS(5517),
    [anon_sym_row_major] = ACTIONS(5517),
    [anon_sym_column_major] = ACTIONS(5517),
    [anon_sym_globallycoherent] = ACTIONS(5517),
    [anon_sym_centroid] = ACTIONS(5517),
    [anon_sym_noperspective] = ACTIONS(5517),
    [anon_sym_nointerpolation] = ACTIONS(5517),
    [anon_sym_sample] = ACTIONS(5517),
    [anon_sym_linear] = ACTIONS(5517),
    [anon_sym_snorm] = ACTIONS(5517),
    [anon_sym_unorm] = ACTIONS(5517),
    [anon_sym_point] = ACTIONS(5517),
    [anon_sym_line] = ACTIONS(5517),
    [anon_sym_triangleadj] = ACTIONS(5517),
    [anon_sym_lineadj] = ACTIONS(5517),
    [anon_sym_triangle] = ACTIONS(5517),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(5521),
    [anon_sym_RPAREN] = ACTIONS(5523),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_PIPE_PIPE] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5521),
    [anon_sym_in] = ACTIONS(5521),
    [anon_sym_out] = ACTIONS(5521),
    [anon_sym_inout] = ACTIONS(5521),
    [anon_sym_virtual] = ACTIONS(5521),
    [anon_sym_extern] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym_COLON_COLON] = ACTIONS(5523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5523),
    [anon_sym___declspec] = ACTIONS(5521),
    [anon_sym___based] = ACTIONS(5521),
    [anon_sym___cdecl] = ACTIONS(5521),
    [anon_sym___clrcall] = ACTIONS(5521),
    [anon_sym___stdcall] = ACTIONS(5521),
    [anon_sym___fastcall] = ACTIONS(5521),
    [anon_sym___thiscall] = ACTIONS(5521),
    [anon_sym___vectorcall] = ACTIONS(5521),
    [anon_sym_signed] = ACTIONS(5521),
    [anon_sym_unsigned] = ACTIONS(5521),
    [anon_sym_long] = ACTIONS(5521),
    [anon_sym_short] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_static] = ACTIONS(5521),
    [anon_sym_register] = ACTIONS(5521),
    [anon_sym_inline] = ACTIONS(5521),
    [anon_sym___inline] = ACTIONS(5521),
    [anon_sym___inline__] = ACTIONS(5521),
    [anon_sym___forceinline] = ACTIONS(5521),
    [anon_sym_thread_local] = ACTIONS(5521),
    [anon_sym___thread] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5521),
    [anon_sym_constexpr] = ACTIONS(5521),
    [anon_sym_volatile] = ACTIONS(5521),
    [anon_sym_restrict] = ACTIONS(5521),
    [anon_sym___restrict__] = ACTIONS(5521),
    [anon_sym__Atomic] = ACTIONS(5521),
    [anon_sym__Noreturn] = ACTIONS(5521),
    [anon_sym_noreturn] = ACTIONS(5521),
    [anon_sym__Nonnull] = ACTIONS(5521),
    [anon_sym_mutable] = ACTIONS(5521),
    [anon_sym_constinit] = ACTIONS(5521),
    [anon_sym_consteval] = ACTIONS(5521),
    [anon_sym_alignas] = ACTIONS(5521),
    [anon_sym__Alignas] = ACTIONS(5521),
    [sym_primitive_type] = ACTIONS(5521),
    [anon_sym_enum] = ACTIONS(5521),
    [anon_sym_class] = ACTIONS(5521),
    [anon_sym_struct] = ACTIONS(5521),
    [anon_sym_union] = ACTIONS(5521),
    [anon_sym_or] = ACTIONS(5521),
    [anon_sym_and] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
    [anon_sym_final] = ACTIONS(5521),
    [anon_sym_override] = ACTIONS(5521),
    [anon_sym_explicit] = ACTIONS(5521),
    [anon_sym_typename] = ACTIONS(5521),
    [anon_sym_template] = ACTIONS(5521),
    [anon_sym_operator] = ACTIONS(5521),
    [anon_sym_friend] = ACTIONS(5521),
    [anon_sym_using] = ACTIONS(5521),
    [anon_sym_concept] = ACTIONS(5521),
    [anon_sym_requires] = ACTIONS(5521),
    [anon_sym_precise] = ACTIONS(5521),
    [anon_sym_shared] = ACTIONS(5521),
    [anon_sym_groupshared] = ACTIONS(5521),
    [anon_sym_uniform] = ACTIONS(5521),
    [anon_sym_row_major] = ACTIONS(5521),
    [anon_sym_column_major] = ACTIONS(5521),
    [anon_sym_globallycoherent] = ACTIONS(5521),
    [anon_sym_centroid] = ACTIONS(5521),
    [anon_sym_noperspective] = ACTIONS(5521),
    [anon_sym_nointerpolation] = ACTIONS(5521),
    [anon_sym_sample] = ACTIONS(5521),
    [anon_sym_linear] = ACTIONS(5521),
    [anon_sym_snorm] = ACTIONS(5521),
    [anon_sym_unorm] = ACTIONS(5521),
    [anon_sym_point] = ACTIONS(5521),
    [anon_sym_line] = ACTIONS(5521),
    [anon_sym_triangleadj] = ACTIONS(5521),
    [anon_sym_lineadj] = ACTIONS(5521),
    [anon_sym_triangle] = ACTIONS(5521),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(5525),
    [anon_sym_RPAREN] = ACTIONS(5527),
    [anon_sym_LPAREN2] = ACTIONS(5527),
    [anon_sym_TILDE] = ACTIONS(5527),
    [anon_sym_STAR] = ACTIONS(5527),
    [anon_sym_PIPE_PIPE] = ACTIONS(5527),
    [anon_sym_AMP_AMP] = ACTIONS(5527),
    [anon_sym_AMP] = ACTIONS(5525),
    [anon_sym___extension__] = ACTIONS(5525),
    [anon_sym_in] = ACTIONS(5525),
    [anon_sym_out] = ACTIONS(5525),
    [anon_sym_inout] = ACTIONS(5525),
    [anon_sym_virtual] = ACTIONS(5525),
    [anon_sym_extern] = ACTIONS(5525),
    [anon_sym___attribute__] = ACTIONS(5525),
    [anon_sym_COLON_COLON] = ACTIONS(5527),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5527),
    [anon_sym___declspec] = ACTIONS(5525),
    [anon_sym___based] = ACTIONS(5525),
    [anon_sym___cdecl] = ACTIONS(5525),
    [anon_sym___clrcall] = ACTIONS(5525),
    [anon_sym___stdcall] = ACTIONS(5525),
    [anon_sym___fastcall] = ACTIONS(5525),
    [anon_sym___thiscall] = ACTIONS(5525),
    [anon_sym___vectorcall] = ACTIONS(5525),
    [anon_sym_signed] = ACTIONS(5525),
    [anon_sym_unsigned] = ACTIONS(5525),
    [anon_sym_long] = ACTIONS(5525),
    [anon_sym_short] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [anon_sym_static] = ACTIONS(5525),
    [anon_sym_register] = ACTIONS(5525),
    [anon_sym_inline] = ACTIONS(5525),
    [anon_sym___inline] = ACTIONS(5525),
    [anon_sym___inline__] = ACTIONS(5525),
    [anon_sym___forceinline] = ACTIONS(5525),
    [anon_sym_thread_local] = ACTIONS(5525),
    [anon_sym___thread] = ACTIONS(5525),
    [anon_sym_const] = ACTIONS(5525),
    [anon_sym_constexpr] = ACTIONS(5525),
    [anon_sym_volatile] = ACTIONS(5525),
    [anon_sym_restrict] = ACTIONS(5525),
    [anon_sym___restrict__] = ACTIONS(5525),
    [anon_sym__Atomic] = ACTIONS(5525),
    [anon_sym__Noreturn] = ACTIONS(5525),
    [anon_sym_noreturn] = ACTIONS(5525),
    [anon_sym__Nonnull] = ACTIONS(5525),
    [anon_sym_mutable] = ACTIONS(5525),
    [anon_sym_constinit] = ACTIONS(5525),
    [anon_sym_consteval] = ACTIONS(5525),
    [anon_sym_alignas] = ACTIONS(5525),
    [anon_sym__Alignas] = ACTIONS(5525),
    [sym_primitive_type] = ACTIONS(5525),
    [anon_sym_enum] = ACTIONS(5525),
    [anon_sym_class] = ACTIONS(5525),
    [anon_sym_struct] = ACTIONS(5525),
    [anon_sym_union] = ACTIONS(5525),
    [anon_sym_or] = ACTIONS(5525),
    [anon_sym_and] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5525),
    [anon_sym_decltype] = ACTIONS(5525),
    [anon_sym_final] = ACTIONS(5525),
    [anon_sym_override] = ACTIONS(5525),
    [anon_sym_explicit] = ACTIONS(5525),
    [anon_sym_typename] = ACTIONS(5525),
    [anon_sym_template] = ACTIONS(5525),
    [anon_sym_operator] = ACTIONS(5525),
    [anon_sym_friend] = ACTIONS(5525),
    [anon_sym_using] = ACTIONS(5525),
    [anon_sym_concept] = ACTIONS(5525),
    [anon_sym_requires] = ACTIONS(5525),
    [anon_sym_precise] = ACTIONS(5525),
    [anon_sym_shared] = ACTIONS(5525),
    [anon_sym_groupshared] = ACTIONS(5525),
    [anon_sym_uniform] = ACTIONS(5525),
    [anon_sym_row_major] = ACTIONS(5525),
    [anon_sym_column_major] = ACTIONS(5525),
    [anon_sym_globallycoherent] = ACTIONS(5525),
    [anon_sym_centroid] = ACTIONS(5525),
    [anon_sym_noperspective] = ACTIONS(5525),
    [anon_sym_nointerpolation] = ACTIONS(5525),
    [anon_sym_sample] = ACTIONS(5525),
    [anon_sym_linear] = ACTIONS(5525),
    [anon_sym_snorm] = ACTIONS(5525),
    [anon_sym_unorm] = ACTIONS(5525),
    [anon_sym_point] = ACTIONS(5525),
    [anon_sym_line] = ACTIONS(5525),
    [anon_sym_triangleadj] = ACTIONS(5525),
    [anon_sym_lineadj] = ACTIONS(5525),
    [anon_sym_triangle] = ACTIONS(5525),
  },
  [2005] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(4863),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [2006] = {
    [sym_identifier] = ACTIONS(5529),
    [anon_sym_RPAREN] = ACTIONS(5531),
    [anon_sym_LPAREN2] = ACTIONS(5531),
    [anon_sym_TILDE] = ACTIONS(5531),
    [anon_sym_STAR] = ACTIONS(5531),
    [anon_sym_PIPE_PIPE] = ACTIONS(5531),
    [anon_sym_AMP_AMP] = ACTIONS(5531),
    [anon_sym_AMP] = ACTIONS(5529),
    [anon_sym___extension__] = ACTIONS(5529),
    [anon_sym_in] = ACTIONS(5529),
    [anon_sym_out] = ACTIONS(5529),
    [anon_sym_inout] = ACTIONS(5529),
    [anon_sym_virtual] = ACTIONS(5529),
    [anon_sym_extern] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5529),
    [anon_sym_COLON_COLON] = ACTIONS(5531),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5531),
    [anon_sym___declspec] = ACTIONS(5529),
    [anon_sym___based] = ACTIONS(5529),
    [anon_sym___cdecl] = ACTIONS(5529),
    [anon_sym___clrcall] = ACTIONS(5529),
    [anon_sym___stdcall] = ACTIONS(5529),
    [anon_sym___fastcall] = ACTIONS(5529),
    [anon_sym___thiscall] = ACTIONS(5529),
    [anon_sym___vectorcall] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5529),
    [anon_sym_unsigned] = ACTIONS(5529),
    [anon_sym_long] = ACTIONS(5529),
    [anon_sym_short] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5529),
    [anon_sym_static] = ACTIONS(5529),
    [anon_sym_register] = ACTIONS(5529),
    [anon_sym_inline] = ACTIONS(5529),
    [anon_sym___inline] = ACTIONS(5529),
    [anon_sym___inline__] = ACTIONS(5529),
    [anon_sym___forceinline] = ACTIONS(5529),
    [anon_sym_thread_local] = ACTIONS(5529),
    [anon_sym___thread] = ACTIONS(5529),
    [anon_sym_const] = ACTIONS(5529),
    [anon_sym_constexpr] = ACTIONS(5529),
    [anon_sym_volatile] = ACTIONS(5529),
    [anon_sym_restrict] = ACTIONS(5529),
    [anon_sym___restrict__] = ACTIONS(5529),
    [anon_sym__Atomic] = ACTIONS(5529),
    [anon_sym__Noreturn] = ACTIONS(5529),
    [anon_sym_noreturn] = ACTIONS(5529),
    [anon_sym__Nonnull] = ACTIONS(5529),
    [anon_sym_mutable] = ACTIONS(5529),
    [anon_sym_constinit] = ACTIONS(5529),
    [anon_sym_consteval] = ACTIONS(5529),
    [anon_sym_alignas] = ACTIONS(5529),
    [anon_sym__Alignas] = ACTIONS(5529),
    [sym_primitive_type] = ACTIONS(5529),
    [anon_sym_enum] = ACTIONS(5529),
    [anon_sym_class] = ACTIONS(5529),
    [anon_sym_struct] = ACTIONS(5529),
    [anon_sym_union] = ACTIONS(5529),
    [anon_sym_or] = ACTIONS(5529),
    [anon_sym_and] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5529),
    [anon_sym_decltype] = ACTIONS(5529),
    [anon_sym_final] = ACTIONS(5529),
    [anon_sym_override] = ACTIONS(5529),
    [anon_sym_explicit] = ACTIONS(5529),
    [anon_sym_typename] = ACTIONS(5529),
    [anon_sym_template] = ACTIONS(5529),
    [anon_sym_operator] = ACTIONS(5529),
    [anon_sym_friend] = ACTIONS(5529),
    [anon_sym_using] = ACTIONS(5529),
    [anon_sym_concept] = ACTIONS(5529),
    [anon_sym_requires] = ACTIONS(5529),
    [anon_sym_precise] = ACTIONS(5529),
    [anon_sym_shared] = ACTIONS(5529),
    [anon_sym_groupshared] = ACTIONS(5529),
    [anon_sym_uniform] = ACTIONS(5529),
    [anon_sym_row_major] = ACTIONS(5529),
    [anon_sym_column_major] = ACTIONS(5529),
    [anon_sym_globallycoherent] = ACTIONS(5529),
    [anon_sym_centroid] = ACTIONS(5529),
    [anon_sym_noperspective] = ACTIONS(5529),
    [anon_sym_nointerpolation] = ACTIONS(5529),
    [anon_sym_sample] = ACTIONS(5529),
    [anon_sym_linear] = ACTIONS(5529),
    [anon_sym_snorm] = ACTIONS(5529),
    [anon_sym_unorm] = ACTIONS(5529),
    [anon_sym_point] = ACTIONS(5529),
    [anon_sym_line] = ACTIONS(5529),
    [anon_sym_triangleadj] = ACTIONS(5529),
    [anon_sym_lineadj] = ACTIONS(5529),
    [anon_sym_triangle] = ACTIONS(5529),
  },
  [2007] = {
    [sym__declaration_modifiers] = STATE(2020),
    [sym__declaration_specifiers] = STATE(5344),
    [sym_attribute_specifier] = STATE(2020),
    [sym_attribute_declaration] = STATE(2020),
    [sym_ms_declspec_modifier] = STATE(2020),
    [sym_storage_class_specifier] = STATE(2020),
    [sym_type_qualifier] = STATE(2020),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2252),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2020),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2020),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_out] = ACTIONS(1455),
    [anon_sym_inout] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1455),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(5533),
    [anon_sym_RPAREN] = ACTIONS(5535),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_PIPE_PIPE] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5533),
    [anon_sym_in] = ACTIONS(5533),
    [anon_sym_out] = ACTIONS(5533),
    [anon_sym_inout] = ACTIONS(5533),
    [anon_sym_virtual] = ACTIONS(5533),
    [anon_sym_extern] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5535),
    [anon_sym___declspec] = ACTIONS(5533),
    [anon_sym___based] = ACTIONS(5533),
    [anon_sym___cdecl] = ACTIONS(5533),
    [anon_sym___clrcall] = ACTIONS(5533),
    [anon_sym___stdcall] = ACTIONS(5533),
    [anon_sym___fastcall] = ACTIONS(5533),
    [anon_sym___thiscall] = ACTIONS(5533),
    [anon_sym___vectorcall] = ACTIONS(5533),
    [anon_sym_signed] = ACTIONS(5533),
    [anon_sym_unsigned] = ACTIONS(5533),
    [anon_sym_long] = ACTIONS(5533),
    [anon_sym_short] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_static] = ACTIONS(5533),
    [anon_sym_register] = ACTIONS(5533),
    [anon_sym_inline] = ACTIONS(5533),
    [anon_sym___inline] = ACTIONS(5533),
    [anon_sym___inline__] = ACTIONS(5533),
    [anon_sym___forceinline] = ACTIONS(5533),
    [anon_sym_thread_local] = ACTIONS(5533),
    [anon_sym___thread] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5533),
    [anon_sym_constexpr] = ACTIONS(5533),
    [anon_sym_volatile] = ACTIONS(5533),
    [anon_sym_restrict] = ACTIONS(5533),
    [anon_sym___restrict__] = ACTIONS(5533),
    [anon_sym__Atomic] = ACTIONS(5533),
    [anon_sym__Noreturn] = ACTIONS(5533),
    [anon_sym_noreturn] = ACTIONS(5533),
    [anon_sym__Nonnull] = ACTIONS(5533),
    [anon_sym_mutable] = ACTIONS(5533),
    [anon_sym_constinit] = ACTIONS(5533),
    [anon_sym_consteval] = ACTIONS(5533),
    [anon_sym_alignas] = ACTIONS(5533),
    [anon_sym__Alignas] = ACTIONS(5533),
    [sym_primitive_type] = ACTIONS(5533),
    [anon_sym_enum] = ACTIONS(5533),
    [anon_sym_class] = ACTIONS(5533),
    [anon_sym_struct] = ACTIONS(5533),
    [anon_sym_union] = ACTIONS(5533),
    [anon_sym_or] = ACTIONS(5533),
    [anon_sym_and] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
    [anon_sym_final] = ACTIONS(5533),
    [anon_sym_override] = ACTIONS(5533),
    [anon_sym_explicit] = ACTIONS(5533),
    [anon_sym_typename] = ACTIONS(5533),
    [anon_sym_template] = ACTIONS(5533),
    [anon_sym_operator] = ACTIONS(5533),
    [anon_sym_friend] = ACTIONS(5533),
    [anon_sym_using] = ACTIONS(5533),
    [anon_sym_concept] = ACTIONS(5533),
    [anon_sym_requires] = ACTIONS(5533),
    [anon_sym_precise] = ACTIONS(5533),
    [anon_sym_shared] = ACTIONS(5533),
    [anon_sym_groupshared] = ACTIONS(5533),
    [anon_sym_uniform] = ACTIONS(5533),
    [anon_sym_row_major] = ACTIONS(5533),
    [anon_sym_column_major] = ACTIONS(5533),
    [anon_sym_globallycoherent] = ACTIONS(5533),
    [anon_sym_centroid] = ACTIONS(5533),
    [anon_sym_noperspective] = ACTIONS(5533),
    [anon_sym_nointerpolation] = ACTIONS(5533),
    [anon_sym_sample] = ACTIONS(5533),
    [anon_sym_linear] = ACTIONS(5533),
    [anon_sym_snorm] = ACTIONS(5533),
    [anon_sym_unorm] = ACTIONS(5533),
    [anon_sym_point] = ACTIONS(5533),
    [anon_sym_line] = ACTIONS(5533),
    [anon_sym_triangleadj] = ACTIONS(5533),
    [anon_sym_lineadj] = ACTIONS(5533),
    [anon_sym_triangle] = ACTIONS(5533),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(5513),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_TILDE] = ACTIONS(5515),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_PIPE_PIPE] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym_in] = ACTIONS(5513),
    [anon_sym_out] = ACTIONS(5513),
    [anon_sym_inout] = ACTIONS(5513),
    [anon_sym_virtual] = ACTIONS(5513),
    [anon_sym_extern] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_COLON_COLON] = ACTIONS(5515),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5515),
    [anon_sym___declspec] = ACTIONS(5513),
    [anon_sym___based] = ACTIONS(5513),
    [anon_sym___cdecl] = ACTIONS(5513),
    [anon_sym___clrcall] = ACTIONS(5513),
    [anon_sym___stdcall] = ACTIONS(5513),
    [anon_sym___fastcall] = ACTIONS(5513),
    [anon_sym___thiscall] = ACTIONS(5513),
    [anon_sym___vectorcall] = ACTIONS(5513),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [anon_sym_static] = ACTIONS(5513),
    [anon_sym_register] = ACTIONS(5513),
    [anon_sym_inline] = ACTIONS(5513),
    [anon_sym___inline] = ACTIONS(5513),
    [anon_sym___inline__] = ACTIONS(5513),
    [anon_sym___forceinline] = ACTIONS(5513),
    [anon_sym_thread_local] = ACTIONS(5513),
    [anon_sym___thread] = ACTIONS(5513),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym__Nonnull] = ACTIONS(5513),
    [anon_sym_mutable] = ACTIONS(5513),
    [anon_sym_constinit] = ACTIONS(5513),
    [anon_sym_consteval] = ACTIONS(5513),
    [anon_sym_alignas] = ACTIONS(5513),
    [anon_sym__Alignas] = ACTIONS(5513),
    [sym_primitive_type] = ACTIONS(5513),
    [anon_sym_enum] = ACTIONS(5513),
    [anon_sym_class] = ACTIONS(5513),
    [anon_sym_struct] = ACTIONS(5513),
    [anon_sym_union] = ACTIONS(5513),
    [anon_sym_or] = ACTIONS(5513),
    [anon_sym_and] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
    [anon_sym_final] = ACTIONS(5513),
    [anon_sym_override] = ACTIONS(5513),
    [anon_sym_explicit] = ACTIONS(5513),
    [anon_sym_typename] = ACTIONS(5513),
    [anon_sym_template] = ACTIONS(5513),
    [anon_sym_operator] = ACTIONS(5513),
    [anon_sym_friend] = ACTIONS(5513),
    [anon_sym_using] = ACTIONS(5513),
    [anon_sym_concept] = ACTIONS(5513),
    [anon_sym_requires] = ACTIONS(5513),
    [anon_sym_precise] = ACTIONS(5513),
    [anon_sym_shared] = ACTIONS(5513),
    [anon_sym_groupshared] = ACTIONS(5513),
    [anon_sym_uniform] = ACTIONS(5513),
    [anon_sym_row_major] = ACTIONS(5513),
    [anon_sym_column_major] = ACTIONS(5513),
    [anon_sym_globallycoherent] = ACTIONS(5513),
    [anon_sym_centroid] = ACTIONS(5513),
    [anon_sym_noperspective] = ACTIONS(5513),
    [anon_sym_nointerpolation] = ACTIONS(5513),
    [anon_sym_sample] = ACTIONS(5513),
    [anon_sym_linear] = ACTIONS(5513),
    [anon_sym_snorm] = ACTIONS(5513),
    [anon_sym_unorm] = ACTIONS(5513),
    [anon_sym_point] = ACTIONS(5513),
    [anon_sym_line] = ACTIONS(5513),
    [anon_sym_triangleadj] = ACTIONS(5513),
    [anon_sym_lineadj] = ACTIONS(5513),
    [anon_sym_triangle] = ACTIONS(5513),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5537),
    [anon_sym_RPAREN] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_PIPE_PIPE] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym_in] = ACTIONS(5537),
    [anon_sym_out] = ACTIONS(5537),
    [anon_sym_inout] = ACTIONS(5537),
    [anon_sym_virtual] = ACTIONS(5537),
    [anon_sym_extern] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym_COLON_COLON] = ACTIONS(5539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5539),
    [anon_sym___declspec] = ACTIONS(5537),
    [anon_sym___based] = ACTIONS(5537),
    [anon_sym___cdecl] = ACTIONS(5537),
    [anon_sym___clrcall] = ACTIONS(5537),
    [anon_sym___stdcall] = ACTIONS(5537),
    [anon_sym___fastcall] = ACTIONS(5537),
    [anon_sym___thiscall] = ACTIONS(5537),
    [anon_sym___vectorcall] = ACTIONS(5537),
    [anon_sym_signed] = ACTIONS(5537),
    [anon_sym_unsigned] = ACTIONS(5537),
    [anon_sym_long] = ACTIONS(5537),
    [anon_sym_short] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_static] = ACTIONS(5537),
    [anon_sym_register] = ACTIONS(5537),
    [anon_sym_inline] = ACTIONS(5537),
    [anon_sym___inline] = ACTIONS(5537),
    [anon_sym___inline__] = ACTIONS(5537),
    [anon_sym___forceinline] = ACTIONS(5537),
    [anon_sym_thread_local] = ACTIONS(5537),
    [anon_sym___thread] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym__Nonnull] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5537),
    [anon_sym__Alignas] = ACTIONS(5537),
    [sym_primitive_type] = ACTIONS(5537),
    [anon_sym_enum] = ACTIONS(5537),
    [anon_sym_class] = ACTIONS(5537),
    [anon_sym_struct] = ACTIONS(5537),
    [anon_sym_union] = ACTIONS(5537),
    [anon_sym_or] = ACTIONS(5537),
    [anon_sym_and] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
    [anon_sym_final] = ACTIONS(5537),
    [anon_sym_override] = ACTIONS(5537),
    [anon_sym_explicit] = ACTIONS(5537),
    [anon_sym_typename] = ACTIONS(5537),
    [anon_sym_template] = ACTIONS(5537),
    [anon_sym_operator] = ACTIONS(5537),
    [anon_sym_friend] = ACTIONS(5537),
    [anon_sym_using] = ACTIONS(5537),
    [anon_sym_concept] = ACTIONS(5537),
    [anon_sym_requires] = ACTIONS(5537),
    [anon_sym_precise] = ACTIONS(5537),
    [anon_sym_shared] = ACTIONS(5537),
    [anon_sym_groupshared] = ACTIONS(5537),
    [anon_sym_uniform] = ACTIONS(5537),
    [anon_sym_row_major] = ACTIONS(5537),
    [anon_sym_column_major] = ACTIONS(5537),
    [anon_sym_globallycoherent] = ACTIONS(5537),
    [anon_sym_centroid] = ACTIONS(5537),
    [anon_sym_noperspective] = ACTIONS(5537),
    [anon_sym_nointerpolation] = ACTIONS(5537),
    [anon_sym_sample] = ACTIONS(5537),
    [anon_sym_linear] = ACTIONS(5537),
    [anon_sym_snorm] = ACTIONS(5537),
    [anon_sym_unorm] = ACTIONS(5537),
    [anon_sym_point] = ACTIONS(5537),
    [anon_sym_line] = ACTIONS(5537),
    [anon_sym_triangleadj] = ACTIONS(5537),
    [anon_sym_lineadj] = ACTIONS(5537),
    [anon_sym_triangle] = ACTIONS(5537),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(1937),
    [aux_sym_preproc_def_token1] = ACTIONS(1937),
    [aux_sym_preproc_if_token1] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1937),
    [sym_preproc_directive] = ACTIONS(1937),
    [anon_sym_LPAREN2] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_AMP_AMP] = ACTIONS(1935),
    [anon_sym_AMP] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym___extension__] = ACTIONS(1937),
    [anon_sym_typedef] = ACTIONS(1937),
    [anon_sym_in] = ACTIONS(1937),
    [anon_sym_out] = ACTIONS(1937),
    [anon_sym_inout] = ACTIONS(1937),
    [anon_sym_virtual] = ACTIONS(1937),
    [anon_sym_extern] = ACTIONS(1937),
    [anon_sym___attribute__] = ACTIONS(1937),
    [anon_sym_COLON_COLON] = ACTIONS(1935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1935),
    [anon_sym___declspec] = ACTIONS(1937),
    [anon_sym___based] = ACTIONS(1937),
    [anon_sym_RBRACE] = ACTIONS(1935),
    [anon_sym_signed] = ACTIONS(1937),
    [anon_sym_unsigned] = ACTIONS(1937),
    [anon_sym_long] = ACTIONS(1937),
    [anon_sym_short] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1937),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_register] = ACTIONS(1937),
    [anon_sym_inline] = ACTIONS(1937),
    [anon_sym___inline] = ACTIONS(1937),
    [anon_sym___inline__] = ACTIONS(1937),
    [anon_sym___forceinline] = ACTIONS(1937),
    [anon_sym_thread_local] = ACTIONS(1937),
    [anon_sym___thread] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_constexpr] = ACTIONS(1937),
    [anon_sym_volatile] = ACTIONS(1937),
    [anon_sym_restrict] = ACTIONS(1937),
    [anon_sym___restrict__] = ACTIONS(1937),
    [anon_sym__Atomic] = ACTIONS(1937),
    [anon_sym__Noreturn] = ACTIONS(1937),
    [anon_sym_noreturn] = ACTIONS(1937),
    [anon_sym__Nonnull] = ACTIONS(1937),
    [anon_sym_mutable] = ACTIONS(1937),
    [anon_sym_constinit] = ACTIONS(1937),
    [anon_sym_consteval] = ACTIONS(1937),
    [anon_sym_alignas] = ACTIONS(1937),
    [anon_sym__Alignas] = ACTIONS(1937),
    [sym_primitive_type] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_struct] = ACTIONS(1937),
    [anon_sym_union] = ACTIONS(1937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1937),
    [anon_sym_decltype] = ACTIONS(1937),
    [anon_sym_explicit] = ACTIONS(1937),
    [anon_sym_typename] = ACTIONS(1937),
    [anon_sym_template] = ACTIONS(1937),
    [anon_sym_operator] = ACTIONS(1937),
    [anon_sym_friend] = ACTIONS(1937),
    [anon_sym_public] = ACTIONS(1937),
    [anon_sym_private] = ACTIONS(1937),
    [anon_sym_protected] = ACTIONS(1937),
    [anon_sym_using] = ACTIONS(1937),
    [anon_sym_static_assert] = ACTIONS(1937),
    [anon_sym_catch] = ACTIONS(1937),
    [anon_sym_precise] = ACTIONS(1937),
    [anon_sym_shared] = ACTIONS(1937),
    [anon_sym_groupshared] = ACTIONS(1937),
    [anon_sym_uniform] = ACTIONS(1937),
    [anon_sym_row_major] = ACTIONS(1937),
    [anon_sym_column_major] = ACTIONS(1937),
    [anon_sym_globallycoherent] = ACTIONS(1937),
    [anon_sym_centroid] = ACTIONS(1937),
    [anon_sym_noperspective] = ACTIONS(1937),
    [anon_sym_nointerpolation] = ACTIONS(1937),
    [anon_sym_sample] = ACTIONS(1937),
    [anon_sym_linear] = ACTIONS(1937),
    [anon_sym_snorm] = ACTIONS(1937),
    [anon_sym_unorm] = ACTIONS(1937),
    [anon_sym_point] = ACTIONS(1937),
    [anon_sym_line] = ACTIONS(1937),
    [anon_sym_triangleadj] = ACTIONS(1937),
    [anon_sym_lineadj] = ACTIONS(1937),
    [anon_sym_triangle] = ACTIONS(1937),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(2108),
    [aux_sym_preproc_def_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token2] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2108),
    [sym_preproc_directive] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_TILDE] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2110),
    [anon_sym_AMP_AMP] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym___extension__] = ACTIONS(2108),
    [anon_sym_typedef] = ACTIONS(2108),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_out] = ACTIONS(2108),
    [anon_sym_inout] = ACTIONS(2108),
    [anon_sym_virtual] = ACTIONS(2108),
    [anon_sym_extern] = ACTIONS(2108),
    [anon_sym___attribute__] = ACTIONS(2108),
    [anon_sym_COLON_COLON] = ACTIONS(2110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2110),
    [anon_sym___declspec] = ACTIONS(2108),
    [anon_sym___based] = ACTIONS(2108),
    [anon_sym_signed] = ACTIONS(2108),
    [anon_sym_unsigned] = ACTIONS(2108),
    [anon_sym_long] = ACTIONS(2108),
    [anon_sym_short] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_register] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(2108),
    [anon_sym___inline] = ACTIONS(2108),
    [anon_sym___inline__] = ACTIONS(2108),
    [anon_sym___forceinline] = ACTIONS(2108),
    [anon_sym_thread_local] = ACTIONS(2108),
    [anon_sym___thread] = ACTIONS(2108),
    [anon_sym_const] = ACTIONS(2108),
    [anon_sym_constexpr] = ACTIONS(2108),
    [anon_sym_volatile] = ACTIONS(2108),
    [anon_sym_restrict] = ACTIONS(2108),
    [anon_sym___restrict__] = ACTIONS(2108),
    [anon_sym__Atomic] = ACTIONS(2108),
    [anon_sym__Noreturn] = ACTIONS(2108),
    [anon_sym_noreturn] = ACTIONS(2108),
    [anon_sym__Nonnull] = ACTIONS(2108),
    [anon_sym_mutable] = ACTIONS(2108),
    [anon_sym_constinit] = ACTIONS(2108),
    [anon_sym_consteval] = ACTIONS(2108),
    [anon_sym_alignas] = ACTIONS(2108),
    [anon_sym__Alignas] = ACTIONS(2108),
    [sym_primitive_type] = ACTIONS(2108),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2108),
    [anon_sym_union] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2108),
    [anon_sym_decltype] = ACTIONS(2108),
    [anon_sym_explicit] = ACTIONS(2108),
    [anon_sym_typename] = ACTIONS(2108),
    [anon_sym_template] = ACTIONS(2108),
    [anon_sym_operator] = ACTIONS(2108),
    [anon_sym_friend] = ACTIONS(2108),
    [anon_sym_public] = ACTIONS(2108),
    [anon_sym_private] = ACTIONS(2108),
    [anon_sym_protected] = ACTIONS(2108),
    [anon_sym_using] = ACTIONS(2108),
    [anon_sym_static_assert] = ACTIONS(2108),
    [anon_sym_catch] = ACTIONS(2108),
    [anon_sym_precise] = ACTIONS(2108),
    [anon_sym_shared] = ACTIONS(2108),
    [anon_sym_groupshared] = ACTIONS(2108),
    [anon_sym_uniform] = ACTIONS(2108),
    [anon_sym_row_major] = ACTIONS(2108),
    [anon_sym_column_major] = ACTIONS(2108),
    [anon_sym_globallycoherent] = ACTIONS(2108),
    [anon_sym_centroid] = ACTIONS(2108),
    [anon_sym_noperspective] = ACTIONS(2108),
    [anon_sym_nointerpolation] = ACTIONS(2108),
    [anon_sym_sample] = ACTIONS(2108),
    [anon_sym_linear] = ACTIONS(2108),
    [anon_sym_snorm] = ACTIONS(2108),
    [anon_sym_unorm] = ACTIONS(2108),
    [anon_sym_point] = ACTIONS(2108),
    [anon_sym_line] = ACTIONS(2108),
    [anon_sym_triangleadj] = ACTIONS(2108),
    [anon_sym_lineadj] = ACTIONS(2108),
    [anon_sym_triangle] = ACTIONS(2108),
  },
  [2014] = {
    [sym__declaration_modifiers] = STATE(2412),
    [sym_attribute_specifier] = STATE(2412),
    [sym_attribute_declaration] = STATE(2412),
    [sym_ms_declspec_modifier] = STATE(2412),
    [sym_storage_class_specifier] = STATE(2412),
    [sym_type_qualifier] = STATE(2412),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2243),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2412),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2412),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(5541),
    [anon_sym_out] = ACTIONS(5541),
    [anon_sym_inout] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5541),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1891),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [2015] = {
    [sym__declaration_modifiers] = STATE(2412),
    [sym_attribute_specifier] = STATE(2412),
    [sym_attribute_declaration] = STATE(2412),
    [sym_ms_declspec_modifier] = STATE(2412),
    [sym_storage_class_specifier] = STATE(2412),
    [sym_type_qualifier] = STATE(2412),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2243),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2412),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2412),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(5541),
    [anon_sym_out] = ACTIONS(5541),
    [anon_sym_inout] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5541),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [2017] = {
    [sym__declaration_modifiers] = STATE(2412),
    [sym_attribute_specifier] = STATE(2412),
    [sym_attribute_declaration] = STATE(2412),
    [sym_ms_declspec_modifier] = STATE(2412),
    [sym_storage_class_specifier] = STATE(2412),
    [sym_type_qualifier] = STATE(2412),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2243),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2412),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2412),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2630),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(5541),
    [anon_sym_out] = ACTIONS(5541),
    [anon_sym_inout] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5541),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3706),
    [anon_sym_unsigned] = ACTIONS(3706),
    [anon_sym_long] = ACTIONS(3706),
    [anon_sym_short] = ACTIONS(3706),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(3708),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3710),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [2019] = {
    [sym_string_literal] = STATE(2579),
    [sym_template_argument_list] = STATE(2437),
    [sym_raw_string_literal] = STATE(2579),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_RPAREN] = ACTIONS(4079),
    [anon_sym_LPAREN2] = ACTIONS(4079),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym___extension__] = ACTIONS(4083),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5546),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(4103),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4083),
    [anon_sym_volatile] = ACTIONS(4083),
    [anon_sym_restrict] = ACTIONS(4083),
    [anon_sym___restrict__] = ACTIONS(4083),
    [anon_sym__Atomic] = ACTIONS(4083),
    [anon_sym__Noreturn] = ACTIONS(4083),
    [anon_sym_noreturn] = ACTIONS(4083),
    [anon_sym__Nonnull] = ACTIONS(4083),
    [anon_sym_mutable] = ACTIONS(4083),
    [anon_sym_constinit] = ACTIONS(4083),
    [anon_sym_consteval] = ACTIONS(4083),
    [anon_sym_alignas] = ACTIONS(4083),
    [anon_sym__Alignas] = ACTIONS(4083),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4077),
    [anon_sym_or_eq] = ACTIONS(4077),
    [anon_sym_xor_eq] = ACTIONS(4077),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4085),
    [anon_sym_L_DQUOTE] = ACTIONS(5550),
    [anon_sym_u_DQUOTE] = ACTIONS(5550),
    [anon_sym_U_DQUOTE] = ACTIONS(5550),
    [anon_sym_u8_DQUOTE] = ACTIONS(5550),
    [anon_sym_DQUOTE] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4083),
    [anon_sym_decltype] = ACTIONS(4083),
    [anon_sym_R_DQUOTE] = ACTIONS(5552),
    [anon_sym_LR_DQUOTE] = ACTIONS(5552),
    [anon_sym_uR_DQUOTE] = ACTIONS(5552),
    [anon_sym_UR_DQUOTE] = ACTIONS(5552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5552),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4077),
  },
  [2020] = {
    [sym__declaration_modifiers] = STATE(2412),
    [sym_attribute_specifier] = STATE(2412),
    [sym_attribute_declaration] = STATE(2412),
    [sym_ms_declspec_modifier] = STATE(2412),
    [sym_storage_class_specifier] = STATE(2412),
    [sym_type_qualifier] = STATE(2412),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_type_specifier] = STATE(2243),
    [sym_sized_type_specifier] = STATE(2323),
    [sym_enum_specifier] = STATE(2323),
    [sym_struct_specifier] = STATE(2323),
    [sym_union_specifier] = STATE(2323),
    [sym_placeholder_type_specifier] = STATE(2323),
    [sym_decltype_auto] = STATE(2340),
    [sym_decltype] = STATE(2287),
    [sym_class_specifier] = STATE(2323),
    [sym_dependent_type] = STATE(2323),
    [sym_template_type] = STATE(2287),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(6549),
    [sym_qualified_type_identifier] = STATE(2320),
    [sym_qualifiers] = STATE(2412),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2412),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(5541),
    [anon_sym_out] = ACTIONS(5541),
    [anon_sym_inout] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5541),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1831),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(159),
    [anon_sym_shared] = ACTIONS(159),
    [anon_sym_groupshared] = ACTIONS(159),
    [anon_sym_uniform] = ACTIONS(159),
    [anon_sym_row_major] = ACTIONS(159),
    [anon_sym_column_major] = ACTIONS(159),
    [anon_sym_globallycoherent] = ACTIONS(159),
    [anon_sym_centroid] = ACTIONS(159),
    [anon_sym_noperspective] = ACTIONS(159),
    [anon_sym_nointerpolation] = ACTIONS(159),
    [anon_sym_sample] = ACTIONS(159),
    [anon_sym_linear] = ACTIONS(159),
    [anon_sym_snorm] = ACTIONS(159),
    [anon_sym_unorm] = ACTIONS(159),
    [anon_sym_point] = ACTIONS(159),
    [anon_sym_line] = ACTIONS(159),
    [anon_sym_triangleadj] = ACTIONS(159),
    [anon_sym_lineadj] = ACTIONS(159),
    [anon_sym_triangle] = ACTIONS(159),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(1937),
    [aux_sym_preproc_def_token1] = ACTIONS(1937),
    [aux_sym_preproc_if_token1] = ACTIONS(1937),
    [aux_sym_preproc_if_token2] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1937),
    [sym_preproc_directive] = ACTIONS(1937),
    [anon_sym_LPAREN2] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_AMP_AMP] = ACTIONS(1935),
    [anon_sym_AMP] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym___extension__] = ACTIONS(1937),
    [anon_sym_typedef] = ACTIONS(1937),
    [anon_sym_in] = ACTIONS(1937),
    [anon_sym_out] = ACTIONS(1937),
    [anon_sym_inout] = ACTIONS(1937),
    [anon_sym_virtual] = ACTIONS(1937),
    [anon_sym_extern] = ACTIONS(1937),
    [anon_sym___attribute__] = ACTIONS(1937),
    [anon_sym_COLON_COLON] = ACTIONS(1935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1935),
    [anon_sym___declspec] = ACTIONS(1937),
    [anon_sym___based] = ACTIONS(1937),
    [anon_sym_signed] = ACTIONS(1937),
    [anon_sym_unsigned] = ACTIONS(1937),
    [anon_sym_long] = ACTIONS(1937),
    [anon_sym_short] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1937),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_register] = ACTIONS(1937),
    [anon_sym_inline] = ACTIONS(1937),
    [anon_sym___inline] = ACTIONS(1937),
    [anon_sym___inline__] = ACTIONS(1937),
    [anon_sym___forceinline] = ACTIONS(1937),
    [anon_sym_thread_local] = ACTIONS(1937),
    [anon_sym___thread] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_constexpr] = ACTIONS(1937),
    [anon_sym_volatile] = ACTIONS(1937),
    [anon_sym_restrict] = ACTIONS(1937),
    [anon_sym___restrict__] = ACTIONS(1937),
    [anon_sym__Atomic] = ACTIONS(1937),
    [anon_sym__Noreturn] = ACTIONS(1937),
    [anon_sym_noreturn] = ACTIONS(1937),
    [anon_sym__Nonnull] = ACTIONS(1937),
    [anon_sym_mutable] = ACTIONS(1937),
    [anon_sym_constinit] = ACTIONS(1937),
    [anon_sym_consteval] = ACTIONS(1937),
    [anon_sym_alignas] = ACTIONS(1937),
    [anon_sym__Alignas] = ACTIONS(1937),
    [sym_primitive_type] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_struct] = ACTIONS(1937),
    [anon_sym_union] = ACTIONS(1937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1937),
    [anon_sym_decltype] = ACTIONS(1937),
    [anon_sym_explicit] = ACTIONS(1937),
    [anon_sym_typename] = ACTIONS(1937),
    [anon_sym_template] = ACTIONS(1937),
    [anon_sym_operator] = ACTIONS(1937),
    [anon_sym_friend] = ACTIONS(1937),
    [anon_sym_public] = ACTIONS(1937),
    [anon_sym_private] = ACTIONS(1937),
    [anon_sym_protected] = ACTIONS(1937),
    [anon_sym_using] = ACTIONS(1937),
    [anon_sym_static_assert] = ACTIONS(1937),
    [anon_sym_catch] = ACTIONS(1937),
    [anon_sym_precise] = ACTIONS(1937),
    [anon_sym_shared] = ACTIONS(1937),
    [anon_sym_groupshared] = ACTIONS(1937),
    [anon_sym_uniform] = ACTIONS(1937),
    [anon_sym_row_major] = ACTIONS(1937),
    [anon_sym_column_major] = ACTIONS(1937),
    [anon_sym_globallycoherent] = ACTIONS(1937),
    [anon_sym_centroid] = ACTIONS(1937),
    [anon_sym_noperspective] = ACTIONS(1937),
    [anon_sym_nointerpolation] = ACTIONS(1937),
    [anon_sym_sample] = ACTIONS(1937),
    [anon_sym_linear] = ACTIONS(1937),
    [anon_sym_snorm] = ACTIONS(1937),
    [anon_sym_unorm] = ACTIONS(1937),
    [anon_sym_point] = ACTIONS(1937),
    [anon_sym_line] = ACTIONS(1937),
    [anon_sym_triangleadj] = ACTIONS(1937),
    [anon_sym_lineadj] = ACTIONS(1937),
    [anon_sym_triangle] = ACTIONS(1937),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(2108),
    [aux_sym_preproc_def_token1] = ACTIONS(2108),
    [aux_sym_preproc_if_token1] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2108),
    [sym_preproc_directive] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_TILDE] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2110),
    [anon_sym_AMP_AMP] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym___extension__] = ACTIONS(2108),
    [anon_sym_typedef] = ACTIONS(2108),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_out] = ACTIONS(2108),
    [anon_sym_inout] = ACTIONS(2108),
    [anon_sym_virtual] = ACTIONS(2108),
    [anon_sym_extern] = ACTIONS(2108),
    [anon_sym___attribute__] = ACTIONS(2108),
    [anon_sym_COLON_COLON] = ACTIONS(2110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2110),
    [anon_sym___declspec] = ACTIONS(2108),
    [anon_sym___based] = ACTIONS(2108),
    [anon_sym_RBRACE] = ACTIONS(2110),
    [anon_sym_signed] = ACTIONS(2108),
    [anon_sym_unsigned] = ACTIONS(2108),
    [anon_sym_long] = ACTIONS(2108),
    [anon_sym_short] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_register] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(2108),
    [anon_sym___inline] = ACTIONS(2108),
    [anon_sym___inline__] = ACTIONS(2108),
    [anon_sym___forceinline] = ACTIONS(2108),
    [anon_sym_thread_local] = ACTIONS(2108),
    [anon_sym___thread] = ACTIONS(2108),
    [anon_sym_const] = ACTIONS(2108),
    [anon_sym_constexpr] = ACTIONS(2108),
    [anon_sym_volatile] = ACTIONS(2108),
    [anon_sym_restrict] = ACTIONS(2108),
    [anon_sym___restrict__] = ACTIONS(2108),
    [anon_sym__Atomic] = ACTIONS(2108),
    [anon_sym__Noreturn] = ACTIONS(2108),
    [anon_sym_noreturn] = ACTIONS(2108),
    [anon_sym__Nonnull] = ACTIONS(2108),
    [anon_sym_mutable] = ACTIONS(2108),
    [anon_sym_constinit] = ACTIONS(2108),
    [anon_sym_consteval] = ACTIONS(2108),
    [anon_sym_alignas] = ACTIONS(2108),
    [anon_sym__Alignas] = ACTIONS(2108),
    [sym_primitive_type] = ACTIONS(2108),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2108),
    [anon_sym_union] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2108),
    [anon_sym_decltype] = ACTIONS(2108),
    [anon_sym_explicit] = ACTIONS(2108),
    [anon_sym_typename] = ACTIONS(2108),
    [anon_sym_template] = ACTIONS(2108),
    [anon_sym_operator] = ACTIONS(2108),
    [anon_sym_friend] = ACTIONS(2108),
    [anon_sym_public] = ACTIONS(2108),
    [anon_sym_private] = ACTIONS(2108),
    [anon_sym_protected] = ACTIONS(2108),
    [anon_sym_using] = ACTIONS(2108),
    [anon_sym_static_assert] = ACTIONS(2108),
    [anon_sym_catch] = ACTIONS(2108),
    [anon_sym_precise] = ACTIONS(2108),
    [anon_sym_shared] = ACTIONS(2108),
    [anon_sym_groupshared] = ACTIONS(2108),
    [anon_sym_uniform] = ACTIONS(2108),
    [anon_sym_row_major] = ACTIONS(2108),
    [anon_sym_column_major] = ACTIONS(2108),
    [anon_sym_globallycoherent] = ACTIONS(2108),
    [anon_sym_centroid] = ACTIONS(2108),
    [anon_sym_noperspective] = ACTIONS(2108),
    [anon_sym_nointerpolation] = ACTIONS(2108),
    [anon_sym_sample] = ACTIONS(2108),
    [anon_sym_linear] = ACTIONS(2108),
    [anon_sym_snorm] = ACTIONS(2108),
    [anon_sym_unorm] = ACTIONS(2108),
    [anon_sym_point] = ACTIONS(2108),
    [anon_sym_line] = ACTIONS(2108),
    [anon_sym_triangleadj] = ACTIONS(2108),
    [anon_sym_lineadj] = ACTIONS(2108),
    [anon_sym_triangle] = ACTIONS(2108),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(2246),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_friend] = ACTIONS(2440),
    [anon_sym_public] = ACTIONS(2440),
    [anon_sym_private] = ACTIONS(2440),
    [anon_sym_protected] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token2] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_in] = ACTIONS(5431),
    [anon_sym_out] = ACTIONS(5431),
    [anon_sym_inout] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [sym_primitive_type] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
    [anon_sym_precise] = ACTIONS(5431),
    [anon_sym_shared] = ACTIONS(5431),
    [anon_sym_groupshared] = ACTIONS(5431),
    [anon_sym_uniform] = ACTIONS(5431),
    [anon_sym_row_major] = ACTIONS(5431),
    [anon_sym_column_major] = ACTIONS(5431),
    [anon_sym_globallycoherent] = ACTIONS(5431),
    [anon_sym_centroid] = ACTIONS(5431),
    [anon_sym_noperspective] = ACTIONS(5431),
    [anon_sym_nointerpolation] = ACTIONS(5431),
    [anon_sym_sample] = ACTIONS(5431),
    [anon_sym_linear] = ACTIONS(5431),
    [anon_sym_snorm] = ACTIONS(5431),
    [anon_sym_unorm] = ACTIONS(5431),
    [anon_sym_point] = ACTIONS(5431),
    [anon_sym_line] = ACTIONS(5431),
    [anon_sym_triangleadj] = ACTIONS(5431),
    [anon_sym_lineadj] = ACTIONS(5431),
    [anon_sym_triangle] = ACTIONS(5431),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(5435),
    [aux_sym_preproc_def_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token2] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5435),
    [sym_preproc_directive] = ACTIONS(5435),
    [anon_sym_LPAREN2] = ACTIONS(5437),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_AMP_AMP] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5435),
    [anon_sym_typedef] = ACTIONS(5435),
    [anon_sym_in] = ACTIONS(5435),
    [anon_sym_out] = ACTIONS(5435),
    [anon_sym_inout] = ACTIONS(5435),
    [anon_sym_virtual] = ACTIONS(5435),
    [anon_sym_extern] = ACTIONS(5435),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5437),
    [anon_sym___declspec] = ACTIONS(5435),
    [anon_sym___based] = ACTIONS(5435),
    [anon_sym_signed] = ACTIONS(5435),
    [anon_sym_unsigned] = ACTIONS(5435),
    [anon_sym_long] = ACTIONS(5435),
    [anon_sym_short] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_static] = ACTIONS(5435),
    [anon_sym_register] = ACTIONS(5435),
    [anon_sym_inline] = ACTIONS(5435),
    [anon_sym___inline] = ACTIONS(5435),
    [anon_sym___inline__] = ACTIONS(5435),
    [anon_sym___forceinline] = ACTIONS(5435),
    [anon_sym_thread_local] = ACTIONS(5435),
    [anon_sym___thread] = ACTIONS(5435),
    [anon_sym_const] = ACTIONS(5435),
    [anon_sym_constexpr] = ACTIONS(5435),
    [anon_sym_volatile] = ACTIONS(5435),
    [anon_sym_restrict] = ACTIONS(5435),
    [anon_sym___restrict__] = ACTIONS(5435),
    [anon_sym__Atomic] = ACTIONS(5435),
    [anon_sym__Noreturn] = ACTIONS(5435),
    [anon_sym_noreturn] = ACTIONS(5435),
    [anon_sym__Nonnull] = ACTIONS(5435),
    [anon_sym_mutable] = ACTIONS(5435),
    [anon_sym_constinit] = ACTIONS(5435),
    [anon_sym_consteval] = ACTIONS(5435),
    [anon_sym_alignas] = ACTIONS(5435),
    [anon_sym__Alignas] = ACTIONS(5435),
    [sym_primitive_type] = ACTIONS(5435),
    [anon_sym_enum] = ACTIONS(5435),
    [anon_sym_class] = ACTIONS(5435),
    [anon_sym_struct] = ACTIONS(5435),
    [anon_sym_union] = ACTIONS(5435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5435),
    [anon_sym_decltype] = ACTIONS(5435),
    [anon_sym_explicit] = ACTIONS(5435),
    [anon_sym_typename] = ACTIONS(5435),
    [anon_sym_template] = ACTIONS(5435),
    [anon_sym_operator] = ACTIONS(5435),
    [anon_sym_friend] = ACTIONS(5435),
    [anon_sym_public] = ACTIONS(5435),
    [anon_sym_private] = ACTIONS(5435),
    [anon_sym_protected] = ACTIONS(5435),
    [anon_sym_using] = ACTIONS(5435),
    [anon_sym_static_assert] = ACTIONS(5435),
    [anon_sym_precise] = ACTIONS(5435),
    [anon_sym_shared] = ACTIONS(5435),
    [anon_sym_groupshared] = ACTIONS(5435),
    [anon_sym_uniform] = ACTIONS(5435),
    [anon_sym_row_major] = ACTIONS(5435),
    [anon_sym_column_major] = ACTIONS(5435),
    [anon_sym_globallycoherent] = ACTIONS(5435),
    [anon_sym_centroid] = ACTIONS(5435),
    [anon_sym_noperspective] = ACTIONS(5435),
    [anon_sym_nointerpolation] = ACTIONS(5435),
    [anon_sym_sample] = ACTIONS(5435),
    [anon_sym_linear] = ACTIONS(5435),
    [anon_sym_snorm] = ACTIONS(5435),
    [anon_sym_unorm] = ACTIONS(5435),
    [anon_sym_point] = ACTIONS(5435),
    [anon_sym_line] = ACTIONS(5435),
    [anon_sym_triangleadj] = ACTIONS(5435),
    [anon_sym_lineadj] = ACTIONS(5435),
    [anon_sym_triangle] = ACTIONS(5435),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token2] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_TILDE] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_in] = ACTIONS(5439),
    [anon_sym_out] = ACTIONS(5439),
    [anon_sym_inout] = ACTIONS(5439),
    [anon_sym_virtual] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym_COLON_COLON] = ACTIONS(5441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___based] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [sym_primitive_type] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_class] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_explicit] = ACTIONS(5439),
    [anon_sym_typename] = ACTIONS(5439),
    [anon_sym_template] = ACTIONS(5439),
    [anon_sym_operator] = ACTIONS(5439),
    [anon_sym_friend] = ACTIONS(5439),
    [anon_sym_public] = ACTIONS(5439),
    [anon_sym_private] = ACTIONS(5439),
    [anon_sym_protected] = ACTIONS(5439),
    [anon_sym_using] = ACTIONS(5439),
    [anon_sym_static_assert] = ACTIONS(5439),
    [anon_sym_precise] = ACTIONS(5439),
    [anon_sym_shared] = ACTIONS(5439),
    [anon_sym_groupshared] = ACTIONS(5439),
    [anon_sym_uniform] = ACTIONS(5439),
    [anon_sym_row_major] = ACTIONS(5439),
    [anon_sym_column_major] = ACTIONS(5439),
    [anon_sym_globallycoherent] = ACTIONS(5439),
    [anon_sym_centroid] = ACTIONS(5439),
    [anon_sym_noperspective] = ACTIONS(5439),
    [anon_sym_nointerpolation] = ACTIONS(5439),
    [anon_sym_sample] = ACTIONS(5439),
    [anon_sym_linear] = ACTIONS(5439),
    [anon_sym_snorm] = ACTIONS(5439),
    [anon_sym_unorm] = ACTIONS(5439),
    [anon_sym_point] = ACTIONS(5439),
    [anon_sym_line] = ACTIONS(5439),
    [anon_sym_triangleadj] = ACTIONS(5439),
    [anon_sym_lineadj] = ACTIONS(5439),
    [anon_sym_triangle] = ACTIONS(5439),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_out] = ACTIONS(2578),
    [anon_sym_inout] = ACTIONS(2578),
    [anon_sym_virtual] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym__Nonnull] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym__Alignas] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_friend] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_precise] = ACTIONS(2578),
    [anon_sym_shared] = ACTIONS(2578),
    [anon_sym_groupshared] = ACTIONS(2578),
    [anon_sym_uniform] = ACTIONS(2578),
    [anon_sym_row_major] = ACTIONS(2578),
    [anon_sym_column_major] = ACTIONS(2578),
    [anon_sym_globallycoherent] = ACTIONS(2578),
    [anon_sym_centroid] = ACTIONS(2578),
    [anon_sym_noperspective] = ACTIONS(2578),
    [anon_sym_nointerpolation] = ACTIONS(2578),
    [anon_sym_sample] = ACTIONS(2578),
    [anon_sym_linear] = ACTIONS(2578),
    [anon_sym_snorm] = ACTIONS(2578),
    [anon_sym_unorm] = ACTIONS(2578),
    [anon_sym_point] = ACTIONS(2578),
    [anon_sym_line] = ACTIONS(2578),
    [anon_sym_triangleadj] = ACTIONS(2578),
    [anon_sym_lineadj] = ACTIONS(2578),
    [anon_sym_triangle] = ACTIONS(2578),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_out] = ACTIONS(2582),
    [anon_sym_inout] = ACTIONS(2582),
    [anon_sym_virtual] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym__Nonnull] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym__Alignas] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_friend] = ACTIONS(2582),
    [anon_sym_public] = ACTIONS(2582),
    [anon_sym_private] = ACTIONS(2582),
    [anon_sym_protected] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_precise] = ACTIONS(2582),
    [anon_sym_shared] = ACTIONS(2582),
    [anon_sym_groupshared] = ACTIONS(2582),
    [anon_sym_uniform] = ACTIONS(2582),
    [anon_sym_row_major] = ACTIONS(2582),
    [anon_sym_column_major] = ACTIONS(2582),
    [anon_sym_globallycoherent] = ACTIONS(2582),
    [anon_sym_centroid] = ACTIONS(2582),
    [anon_sym_noperspective] = ACTIONS(2582),
    [anon_sym_nointerpolation] = ACTIONS(2582),
    [anon_sym_sample] = ACTIONS(2582),
    [anon_sym_linear] = ACTIONS(2582),
    [anon_sym_snorm] = ACTIONS(2582),
    [anon_sym_unorm] = ACTIONS(2582),
    [anon_sym_point] = ACTIONS(2582),
    [anon_sym_line] = ACTIONS(2582),
    [anon_sym_triangleadj] = ACTIONS(2582),
    [anon_sym_lineadj] = ACTIONS(2582),
    [anon_sym_triangle] = ACTIONS(2582),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(2174),
    [aux_sym_preproc_def_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token1] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2174),
    [sym_preproc_directive] = ACTIONS(2174),
    [anon_sym_LPAREN2] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_STAR] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(2174),
    [anon_sym_typedef] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_out] = ACTIONS(2174),
    [anon_sym_inout] = ACTIONS(2174),
    [anon_sym_virtual] = ACTIONS(2174),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym___attribute__] = ACTIONS(2174),
    [anon_sym_COLON_COLON] = ACTIONS(2176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2176),
    [anon_sym___declspec] = ACTIONS(2174),
    [anon_sym___based] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_signed] = ACTIONS(2174),
    [anon_sym_unsigned] = ACTIONS(2174),
    [anon_sym_long] = ACTIONS(2174),
    [anon_sym_short] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_register] = ACTIONS(2174),
    [anon_sym_inline] = ACTIONS(2174),
    [anon_sym___inline] = ACTIONS(2174),
    [anon_sym___inline__] = ACTIONS(2174),
    [anon_sym___forceinline] = ACTIONS(2174),
    [anon_sym_thread_local] = ACTIONS(2174),
    [anon_sym___thread] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_constexpr] = ACTIONS(2174),
    [anon_sym_volatile] = ACTIONS(2174),
    [anon_sym_restrict] = ACTIONS(2174),
    [anon_sym___restrict__] = ACTIONS(2174),
    [anon_sym__Atomic] = ACTIONS(2174),
    [anon_sym__Noreturn] = ACTIONS(2174),
    [anon_sym_noreturn] = ACTIONS(2174),
    [anon_sym__Nonnull] = ACTIONS(2174),
    [anon_sym_mutable] = ACTIONS(2174),
    [anon_sym_constinit] = ACTIONS(2174),
    [anon_sym_consteval] = ACTIONS(2174),
    [anon_sym_alignas] = ACTIONS(2174),
    [anon_sym__Alignas] = ACTIONS(2174),
    [sym_primitive_type] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_struct] = ACTIONS(2174),
    [anon_sym_union] = ACTIONS(2174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2174),
    [anon_sym_decltype] = ACTIONS(2174),
    [anon_sym_explicit] = ACTIONS(2174),
    [anon_sym_typename] = ACTIONS(2174),
    [anon_sym_template] = ACTIONS(2174),
    [anon_sym_operator] = ACTIONS(2174),
    [anon_sym_friend] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_static_assert] = ACTIONS(2174),
    [anon_sym_precise] = ACTIONS(2174),
    [anon_sym_shared] = ACTIONS(2174),
    [anon_sym_groupshared] = ACTIONS(2174),
    [anon_sym_uniform] = ACTIONS(2174),
    [anon_sym_row_major] = ACTIONS(2174),
    [anon_sym_column_major] = ACTIONS(2174),
    [anon_sym_globallycoherent] = ACTIONS(2174),
    [anon_sym_centroid] = ACTIONS(2174),
    [anon_sym_noperspective] = ACTIONS(2174),
    [anon_sym_nointerpolation] = ACTIONS(2174),
    [anon_sym_sample] = ACTIONS(2174),
    [anon_sym_linear] = ACTIONS(2174),
    [anon_sym_snorm] = ACTIONS(2174),
    [anon_sym_unorm] = ACTIONS(2174),
    [anon_sym_point] = ACTIONS(2174),
    [anon_sym_line] = ACTIONS(2174),
    [anon_sym_triangleadj] = ACTIONS(2174),
    [anon_sym_lineadj] = ACTIONS(2174),
    [anon_sym_triangle] = ACTIONS(2174),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(5383),
    [aux_sym_preproc_def_token1] = ACTIONS(5383),
    [aux_sym_preproc_if_token1] = ACTIONS(5383),
    [aux_sym_preproc_if_token2] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5383),
    [sym_preproc_directive] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5385),
    [anon_sym_TILDE] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_AMP_AMP] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5383),
    [anon_sym_SEMI] = ACTIONS(5385),
    [anon_sym___extension__] = ACTIONS(5383),
    [anon_sym_typedef] = ACTIONS(5383),
    [anon_sym_in] = ACTIONS(5383),
    [anon_sym_out] = ACTIONS(5383),
    [anon_sym_inout] = ACTIONS(5383),
    [anon_sym_virtual] = ACTIONS(5383),
    [anon_sym_extern] = ACTIONS(5383),
    [anon_sym___attribute__] = ACTIONS(5383),
    [anon_sym_COLON_COLON] = ACTIONS(5385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5385),
    [anon_sym___declspec] = ACTIONS(5383),
    [anon_sym___based] = ACTIONS(5383),
    [anon_sym_signed] = ACTIONS(5383),
    [anon_sym_unsigned] = ACTIONS(5383),
    [anon_sym_long] = ACTIONS(5383),
    [anon_sym_short] = ACTIONS(5383),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_static] = ACTIONS(5383),
    [anon_sym_register] = ACTIONS(5383),
    [anon_sym_inline] = ACTIONS(5383),
    [anon_sym___inline] = ACTIONS(5383),
    [anon_sym___inline__] = ACTIONS(5383),
    [anon_sym___forceinline] = ACTIONS(5383),
    [anon_sym_thread_local] = ACTIONS(5383),
    [anon_sym___thread] = ACTIONS(5383),
    [anon_sym_const] = ACTIONS(5383),
    [anon_sym_constexpr] = ACTIONS(5383),
    [anon_sym_volatile] = ACTIONS(5383),
    [anon_sym_restrict] = ACTIONS(5383),
    [anon_sym___restrict__] = ACTIONS(5383),
    [anon_sym__Atomic] = ACTIONS(5383),
    [anon_sym__Noreturn] = ACTIONS(5383),
    [anon_sym_noreturn] = ACTIONS(5383),
    [anon_sym__Nonnull] = ACTIONS(5383),
    [anon_sym_mutable] = ACTIONS(5383),
    [anon_sym_constinit] = ACTIONS(5383),
    [anon_sym_consteval] = ACTIONS(5383),
    [anon_sym_alignas] = ACTIONS(5383),
    [anon_sym__Alignas] = ACTIONS(5383),
    [sym_primitive_type] = ACTIONS(5383),
    [anon_sym_enum] = ACTIONS(5383),
    [anon_sym_class] = ACTIONS(5383),
    [anon_sym_struct] = ACTIONS(5383),
    [anon_sym_union] = ACTIONS(5383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5383),
    [anon_sym_decltype] = ACTIONS(5383),
    [anon_sym_explicit] = ACTIONS(5383),
    [anon_sym_typename] = ACTIONS(5383),
    [anon_sym_template] = ACTIONS(5383),
    [anon_sym_operator] = ACTIONS(5383),
    [anon_sym_friend] = ACTIONS(5383),
    [anon_sym_public] = ACTIONS(5383),
    [anon_sym_private] = ACTIONS(5383),
    [anon_sym_protected] = ACTIONS(5383),
    [anon_sym_using] = ACTIONS(5383),
    [anon_sym_static_assert] = ACTIONS(5383),
    [anon_sym_precise] = ACTIONS(5383),
    [anon_sym_shared] = ACTIONS(5383),
    [anon_sym_groupshared] = ACTIONS(5383),
    [anon_sym_uniform] = ACTIONS(5383),
    [anon_sym_row_major] = ACTIONS(5383),
    [anon_sym_column_major] = ACTIONS(5383),
    [anon_sym_globallycoherent] = ACTIONS(5383),
    [anon_sym_centroid] = ACTIONS(5383),
    [anon_sym_noperspective] = ACTIONS(5383),
    [anon_sym_nointerpolation] = ACTIONS(5383),
    [anon_sym_sample] = ACTIONS(5383),
    [anon_sym_linear] = ACTIONS(5383),
    [anon_sym_snorm] = ACTIONS(5383),
    [anon_sym_unorm] = ACTIONS(5383),
    [anon_sym_point] = ACTIONS(5383),
    [anon_sym_line] = ACTIONS(5383),
    [anon_sym_triangleadj] = ACTIONS(5383),
    [anon_sym_lineadj] = ACTIONS(5383),
    [anon_sym_triangle] = ACTIONS(5383),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_TILDE] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_in] = ACTIONS(5439),
    [anon_sym_out] = ACTIONS(5439),
    [anon_sym_inout] = ACTIONS(5439),
    [anon_sym_virtual] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym_COLON_COLON] = ACTIONS(5441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___based] = ACTIONS(5439),
    [anon_sym_RBRACE] = ACTIONS(5441),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [sym_primitive_type] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_class] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_explicit] = ACTIONS(5439),
    [anon_sym_typename] = ACTIONS(5439),
    [anon_sym_template] = ACTIONS(5439),
    [anon_sym_operator] = ACTIONS(5439),
    [anon_sym_friend] = ACTIONS(5439),
    [anon_sym_public] = ACTIONS(5439),
    [anon_sym_private] = ACTIONS(5439),
    [anon_sym_protected] = ACTIONS(5439),
    [anon_sym_using] = ACTIONS(5439),
    [anon_sym_static_assert] = ACTIONS(5439),
    [anon_sym_precise] = ACTIONS(5439),
    [anon_sym_shared] = ACTIONS(5439),
    [anon_sym_groupshared] = ACTIONS(5439),
    [anon_sym_uniform] = ACTIONS(5439),
    [anon_sym_row_major] = ACTIONS(5439),
    [anon_sym_column_major] = ACTIONS(5439),
    [anon_sym_globallycoherent] = ACTIONS(5439),
    [anon_sym_centroid] = ACTIONS(5439),
    [anon_sym_noperspective] = ACTIONS(5439),
    [anon_sym_nointerpolation] = ACTIONS(5439),
    [anon_sym_sample] = ACTIONS(5439),
    [anon_sym_linear] = ACTIONS(5439),
    [anon_sym_snorm] = ACTIONS(5439),
    [anon_sym_unorm] = ACTIONS(5439),
    [anon_sym_point] = ACTIONS(5439),
    [anon_sym_line] = ACTIONS(5439),
    [anon_sym_triangleadj] = ACTIONS(5439),
    [anon_sym_lineadj] = ACTIONS(5439),
    [anon_sym_triangle] = ACTIONS(5439),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(5455),
    [aux_sym_preproc_def_token1] = ACTIONS(5455),
    [aux_sym_preproc_if_token1] = ACTIONS(5455),
    [aux_sym_preproc_if_token2] = ACTIONS(5455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5455),
    [sym_preproc_directive] = ACTIONS(5455),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_TILDE] = ACTIONS(5457),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___extension__] = ACTIONS(5455),
    [anon_sym_typedef] = ACTIONS(5455),
    [anon_sym_in] = ACTIONS(5455),
    [anon_sym_out] = ACTIONS(5455),
    [anon_sym_inout] = ACTIONS(5455),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_extern] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym_COLON_COLON] = ACTIONS(5457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5457),
    [anon_sym___declspec] = ACTIONS(5455),
    [anon_sym___based] = ACTIONS(5455),
    [anon_sym_signed] = ACTIONS(5455),
    [anon_sym_unsigned] = ACTIONS(5455),
    [anon_sym_long] = ACTIONS(5455),
    [anon_sym_short] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_static] = ACTIONS(5455),
    [anon_sym_register] = ACTIONS(5455),
    [anon_sym_inline] = ACTIONS(5455),
    [anon_sym___inline] = ACTIONS(5455),
    [anon_sym___inline__] = ACTIONS(5455),
    [anon_sym___forceinline] = ACTIONS(5455),
    [anon_sym_thread_local] = ACTIONS(5455),
    [anon_sym___thread] = ACTIONS(5455),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5455),
    [anon_sym_volatile] = ACTIONS(5455),
    [anon_sym_restrict] = ACTIONS(5455),
    [anon_sym___restrict__] = ACTIONS(5455),
    [anon_sym__Atomic] = ACTIONS(5455),
    [anon_sym__Noreturn] = ACTIONS(5455),
    [anon_sym_noreturn] = ACTIONS(5455),
    [anon_sym__Nonnull] = ACTIONS(5455),
    [anon_sym_mutable] = ACTIONS(5455),
    [anon_sym_constinit] = ACTIONS(5455),
    [anon_sym_consteval] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5455),
    [anon_sym__Alignas] = ACTIONS(5455),
    [sym_primitive_type] = ACTIONS(5455),
    [anon_sym_enum] = ACTIONS(5455),
    [anon_sym_class] = ACTIONS(5455),
    [anon_sym_struct] = ACTIONS(5455),
    [anon_sym_union] = ACTIONS(5455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
    [anon_sym_explicit] = ACTIONS(5455),
    [anon_sym_typename] = ACTIONS(5455),
    [anon_sym_template] = ACTIONS(5455),
    [anon_sym_operator] = ACTIONS(5455),
    [anon_sym_friend] = ACTIONS(5455),
    [anon_sym_public] = ACTIONS(5455),
    [anon_sym_private] = ACTIONS(5455),
    [anon_sym_protected] = ACTIONS(5455),
    [anon_sym_using] = ACTIONS(5455),
    [anon_sym_static_assert] = ACTIONS(5455),
    [anon_sym_precise] = ACTIONS(5455),
    [anon_sym_shared] = ACTIONS(5455),
    [anon_sym_groupshared] = ACTIONS(5455),
    [anon_sym_uniform] = ACTIONS(5455),
    [anon_sym_row_major] = ACTIONS(5455),
    [anon_sym_column_major] = ACTIONS(5455),
    [anon_sym_globallycoherent] = ACTIONS(5455),
    [anon_sym_centroid] = ACTIONS(5455),
    [anon_sym_noperspective] = ACTIONS(5455),
    [anon_sym_nointerpolation] = ACTIONS(5455),
    [anon_sym_sample] = ACTIONS(5455),
    [anon_sym_linear] = ACTIONS(5455),
    [anon_sym_snorm] = ACTIONS(5455),
    [anon_sym_unorm] = ACTIONS(5455),
    [anon_sym_point] = ACTIONS(5455),
    [anon_sym_line] = ACTIONS(5455),
    [anon_sym_triangleadj] = ACTIONS(5455),
    [anon_sym_lineadj] = ACTIONS(5455),
    [anon_sym_triangle] = ACTIONS(5455),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(5459),
    [aux_sym_preproc_def_token1] = ACTIONS(5459),
    [aux_sym_preproc_if_token1] = ACTIONS(5459),
    [aux_sym_preproc_if_token2] = ACTIONS(5459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5459),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5459),
    [sym_preproc_directive] = ACTIONS(5459),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_TILDE] = ACTIONS(5461),
    [anon_sym_STAR] = ACTIONS(5461),
    [anon_sym_AMP_AMP] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5459),
    [anon_sym_SEMI] = ACTIONS(5461),
    [anon_sym___extension__] = ACTIONS(5459),
    [anon_sym_typedef] = ACTIONS(5459),
    [anon_sym_in] = ACTIONS(5459),
    [anon_sym_out] = ACTIONS(5459),
    [anon_sym_inout] = ACTIONS(5459),
    [anon_sym_virtual] = ACTIONS(5459),
    [anon_sym_extern] = ACTIONS(5459),
    [anon_sym___attribute__] = ACTIONS(5459),
    [anon_sym_COLON_COLON] = ACTIONS(5461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5461),
    [anon_sym___declspec] = ACTIONS(5459),
    [anon_sym___based] = ACTIONS(5459),
    [anon_sym_signed] = ACTIONS(5459),
    [anon_sym_unsigned] = ACTIONS(5459),
    [anon_sym_long] = ACTIONS(5459),
    [anon_sym_short] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [anon_sym_static] = ACTIONS(5459),
    [anon_sym_register] = ACTIONS(5459),
    [anon_sym_inline] = ACTIONS(5459),
    [anon_sym___inline] = ACTIONS(5459),
    [anon_sym___inline__] = ACTIONS(5459),
    [anon_sym___forceinline] = ACTIONS(5459),
    [anon_sym_thread_local] = ACTIONS(5459),
    [anon_sym___thread] = ACTIONS(5459),
    [anon_sym_const] = ACTIONS(5459),
    [anon_sym_constexpr] = ACTIONS(5459),
    [anon_sym_volatile] = ACTIONS(5459),
    [anon_sym_restrict] = ACTIONS(5459),
    [anon_sym___restrict__] = ACTIONS(5459),
    [anon_sym__Atomic] = ACTIONS(5459),
    [anon_sym__Noreturn] = ACTIONS(5459),
    [anon_sym_noreturn] = ACTIONS(5459),
    [anon_sym__Nonnull] = ACTIONS(5459),
    [anon_sym_mutable] = ACTIONS(5459),
    [anon_sym_constinit] = ACTIONS(5459),
    [anon_sym_consteval] = ACTIONS(5459),
    [anon_sym_alignas] = ACTIONS(5459),
    [anon_sym__Alignas] = ACTIONS(5459),
    [sym_primitive_type] = ACTIONS(5459),
    [anon_sym_enum] = ACTIONS(5459),
    [anon_sym_class] = ACTIONS(5459),
    [anon_sym_struct] = ACTIONS(5459),
    [anon_sym_union] = ACTIONS(5459),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5459),
    [anon_sym_decltype] = ACTIONS(5459),
    [anon_sym_explicit] = ACTIONS(5459),
    [anon_sym_typename] = ACTIONS(5459),
    [anon_sym_template] = ACTIONS(5459),
    [anon_sym_operator] = ACTIONS(5459),
    [anon_sym_friend] = ACTIONS(5459),
    [anon_sym_public] = ACTIONS(5459),
    [anon_sym_private] = ACTIONS(5459),
    [anon_sym_protected] = ACTIONS(5459),
    [anon_sym_using] = ACTIONS(5459),
    [anon_sym_static_assert] = ACTIONS(5459),
    [anon_sym_precise] = ACTIONS(5459),
    [anon_sym_shared] = ACTIONS(5459),
    [anon_sym_groupshared] = ACTIONS(5459),
    [anon_sym_uniform] = ACTIONS(5459),
    [anon_sym_row_major] = ACTIONS(5459),
    [anon_sym_column_major] = ACTIONS(5459),
    [anon_sym_globallycoherent] = ACTIONS(5459),
    [anon_sym_centroid] = ACTIONS(5459),
    [anon_sym_noperspective] = ACTIONS(5459),
    [anon_sym_nointerpolation] = ACTIONS(5459),
    [anon_sym_sample] = ACTIONS(5459),
    [anon_sym_linear] = ACTIONS(5459),
    [anon_sym_snorm] = ACTIONS(5459),
    [anon_sym_unorm] = ACTIONS(5459),
    [anon_sym_point] = ACTIONS(5459),
    [anon_sym_line] = ACTIONS(5459),
    [anon_sym_triangleadj] = ACTIONS(5459),
    [anon_sym_lineadj] = ACTIONS(5459),
    [anon_sym_triangle] = ACTIONS(5459),
  },
  [2038] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token2] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_in] = ACTIONS(5443),
    [anon_sym_out] = ACTIONS(5443),
    [anon_sym_inout] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [sym_primitive_type] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
    [anon_sym_precise] = ACTIONS(5443),
    [anon_sym_shared] = ACTIONS(5443),
    [anon_sym_groupshared] = ACTIONS(5443),
    [anon_sym_uniform] = ACTIONS(5443),
    [anon_sym_row_major] = ACTIONS(5443),
    [anon_sym_column_major] = ACTIONS(5443),
    [anon_sym_globallycoherent] = ACTIONS(5443),
    [anon_sym_centroid] = ACTIONS(5443),
    [anon_sym_noperspective] = ACTIONS(5443),
    [anon_sym_nointerpolation] = ACTIONS(5443),
    [anon_sym_sample] = ACTIONS(5443),
    [anon_sym_linear] = ACTIONS(5443),
    [anon_sym_snorm] = ACTIONS(5443),
    [anon_sym_unorm] = ACTIONS(5443),
    [anon_sym_point] = ACTIONS(5443),
    [anon_sym_line] = ACTIONS(5443),
    [anon_sym_triangleadj] = ACTIONS(5443),
    [anon_sym_lineadj] = ACTIONS(5443),
    [anon_sym_triangle] = ACTIONS(5443),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym__Nonnull] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym__Alignas] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_friend] = ACTIONS(2206),
    [anon_sym_public] = ACTIONS(2206),
    [anon_sym_private] = ACTIONS(2206),
    [anon_sym_protected] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
  },
  [2040] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token2] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym_SEMI] = ACTIONS(5465),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_in] = ACTIONS(5463),
    [anon_sym_out] = ACTIONS(5463),
    [anon_sym_inout] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym__Nonnull] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym__Alignas] = ACTIONS(5463),
    [sym_primitive_type] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
    [anon_sym_precise] = ACTIONS(5463),
    [anon_sym_shared] = ACTIONS(5463),
    [anon_sym_groupshared] = ACTIONS(5463),
    [anon_sym_uniform] = ACTIONS(5463),
    [anon_sym_row_major] = ACTIONS(5463),
    [anon_sym_column_major] = ACTIONS(5463),
    [anon_sym_globallycoherent] = ACTIONS(5463),
    [anon_sym_centroid] = ACTIONS(5463),
    [anon_sym_noperspective] = ACTIONS(5463),
    [anon_sym_nointerpolation] = ACTIONS(5463),
    [anon_sym_sample] = ACTIONS(5463),
    [anon_sym_linear] = ACTIONS(5463),
    [anon_sym_snorm] = ACTIONS(5463),
    [anon_sym_unorm] = ACTIONS(5463),
    [anon_sym_point] = ACTIONS(5463),
    [anon_sym_line] = ACTIONS(5463),
    [anon_sym_triangleadj] = ACTIONS(5463),
    [anon_sym_lineadj] = ACTIONS(5463),
    [anon_sym_triangle] = ACTIONS(5463),
  },
  [2041] = {
    [sym_identifier] = ACTIONS(2126),
    [aux_sym_preproc_def_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token1] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2126),
    [sym_preproc_directive] = ACTIONS(2126),
    [anon_sym_LPAREN2] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_AMP_AMP] = ACTIONS(2128),
    [anon_sym_AMP] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2126),
    [anon_sym_in] = ACTIONS(2126),
    [anon_sym_out] = ACTIONS(2126),
    [anon_sym_inout] = ACTIONS(2126),
    [anon_sym_virtual] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2126),
    [anon_sym___attribute__] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2128),
    [anon_sym___declspec] = ACTIONS(2126),
    [anon_sym___based] = ACTIONS(2126),
    [anon_sym_RBRACE] = ACTIONS(2128),
    [anon_sym_signed] = ACTIONS(2126),
    [anon_sym_unsigned] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_register] = ACTIONS(2126),
    [anon_sym_inline] = ACTIONS(2126),
    [anon_sym___inline] = ACTIONS(2126),
    [anon_sym___inline__] = ACTIONS(2126),
    [anon_sym___forceinline] = ACTIONS(2126),
    [anon_sym_thread_local] = ACTIONS(2126),
    [anon_sym___thread] = ACTIONS(2126),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_constexpr] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_restrict] = ACTIONS(2126),
    [anon_sym___restrict__] = ACTIONS(2126),
    [anon_sym__Atomic] = ACTIONS(2126),
    [anon_sym__Noreturn] = ACTIONS(2126),
    [anon_sym_noreturn] = ACTIONS(2126),
    [anon_sym__Nonnull] = ACTIONS(2126),
    [anon_sym_mutable] = ACTIONS(2126),
    [anon_sym_constinit] = ACTIONS(2126),
    [anon_sym_consteval] = ACTIONS(2126),
    [anon_sym_alignas] = ACTIONS(2126),
    [anon_sym__Alignas] = ACTIONS(2126),
    [sym_primitive_type] = ACTIONS(2126),
    [anon_sym_enum] = ACTIONS(2126),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2126),
    [anon_sym_union] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2126),
    [anon_sym_decltype] = ACTIONS(2126),
    [anon_sym_explicit] = ACTIONS(2126),
    [anon_sym_typename] = ACTIONS(2126),
    [anon_sym_template] = ACTIONS(2126),
    [anon_sym_operator] = ACTIONS(2126),
    [anon_sym_friend] = ACTIONS(2126),
    [anon_sym_public] = ACTIONS(2126),
    [anon_sym_private] = ACTIONS(2126),
    [anon_sym_protected] = ACTIONS(2126),
    [anon_sym_using] = ACTIONS(2126),
    [anon_sym_static_assert] = ACTIONS(2126),
    [anon_sym_precise] = ACTIONS(2126),
    [anon_sym_shared] = ACTIONS(2126),
    [anon_sym_groupshared] = ACTIONS(2126),
    [anon_sym_uniform] = ACTIONS(2126),
    [anon_sym_row_major] = ACTIONS(2126),
    [anon_sym_column_major] = ACTIONS(2126),
    [anon_sym_globallycoherent] = ACTIONS(2126),
    [anon_sym_centroid] = ACTIONS(2126),
    [anon_sym_noperspective] = ACTIONS(2126),
    [anon_sym_nointerpolation] = ACTIONS(2126),
    [anon_sym_sample] = ACTIONS(2126),
    [anon_sym_linear] = ACTIONS(2126),
    [anon_sym_snorm] = ACTIONS(2126),
    [anon_sym_unorm] = ACTIONS(2126),
    [anon_sym_point] = ACTIONS(2126),
    [anon_sym_line] = ACTIONS(2126),
    [anon_sym_triangleadj] = ACTIONS(2126),
    [anon_sym_lineadj] = ACTIONS(2126),
    [anon_sym_triangle] = ACTIONS(2126),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token2] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_in] = ACTIONS(5443),
    [anon_sym_out] = ACTIONS(5443),
    [anon_sym_inout] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [sym_primitive_type] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
    [anon_sym_precise] = ACTIONS(5443),
    [anon_sym_shared] = ACTIONS(5443),
    [anon_sym_groupshared] = ACTIONS(5443),
    [anon_sym_uniform] = ACTIONS(5443),
    [anon_sym_row_major] = ACTIONS(5443),
    [anon_sym_column_major] = ACTIONS(5443),
    [anon_sym_globallycoherent] = ACTIONS(5443),
    [anon_sym_centroid] = ACTIONS(5443),
    [anon_sym_noperspective] = ACTIONS(5443),
    [anon_sym_nointerpolation] = ACTIONS(5443),
    [anon_sym_sample] = ACTIONS(5443),
    [anon_sym_linear] = ACTIONS(5443),
    [anon_sym_snorm] = ACTIONS(5443),
    [anon_sym_unorm] = ACTIONS(5443),
    [anon_sym_point] = ACTIONS(5443),
    [anon_sym_line] = ACTIONS(5443),
    [anon_sym_triangleadj] = ACTIONS(5443),
    [anon_sym_lineadj] = ACTIONS(5443),
    [anon_sym_triangle] = ACTIONS(5443),
  },
  [2043] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_out] = ACTIONS(2654),
    [anon_sym_inout] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_friend] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_precise] = ACTIONS(2654),
    [anon_sym_shared] = ACTIONS(2654),
    [anon_sym_groupshared] = ACTIONS(2654),
    [anon_sym_uniform] = ACTIONS(2654),
    [anon_sym_row_major] = ACTIONS(2654),
    [anon_sym_column_major] = ACTIONS(2654),
    [anon_sym_globallycoherent] = ACTIONS(2654),
    [anon_sym_centroid] = ACTIONS(2654),
    [anon_sym_noperspective] = ACTIONS(2654),
    [anon_sym_nointerpolation] = ACTIONS(2654),
    [anon_sym_sample] = ACTIONS(2654),
    [anon_sym_linear] = ACTIONS(2654),
    [anon_sym_snorm] = ACTIONS(2654),
    [anon_sym_unorm] = ACTIONS(2654),
    [anon_sym_point] = ACTIONS(2654),
    [anon_sym_line] = ACTIONS(2654),
    [anon_sym_triangleadj] = ACTIONS(2654),
    [anon_sym_lineadj] = ACTIONS(2654),
    [anon_sym_triangle] = ACTIONS(2654),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(5467),
    [aux_sym_preproc_def_token1] = ACTIONS(5467),
    [aux_sym_preproc_if_token1] = ACTIONS(5467),
    [aux_sym_preproc_if_token2] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5467),
    [sym_preproc_directive] = ACTIONS(5467),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_TILDE] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5467),
    [anon_sym_SEMI] = ACTIONS(5469),
    [anon_sym___extension__] = ACTIONS(5467),
    [anon_sym_typedef] = ACTIONS(5467),
    [anon_sym_in] = ACTIONS(5467),
    [anon_sym_out] = ACTIONS(5467),
    [anon_sym_inout] = ACTIONS(5467),
    [anon_sym_virtual] = ACTIONS(5467),
    [anon_sym_extern] = ACTIONS(5467),
    [anon_sym___attribute__] = ACTIONS(5467),
    [anon_sym_COLON_COLON] = ACTIONS(5469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5469),
    [anon_sym___declspec] = ACTIONS(5467),
    [anon_sym___based] = ACTIONS(5467),
    [anon_sym_signed] = ACTIONS(5467),
    [anon_sym_unsigned] = ACTIONS(5467),
    [anon_sym_long] = ACTIONS(5467),
    [anon_sym_short] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym_static] = ACTIONS(5467),
    [anon_sym_register] = ACTIONS(5467),
    [anon_sym_inline] = ACTIONS(5467),
    [anon_sym___inline] = ACTIONS(5467),
    [anon_sym___inline__] = ACTIONS(5467),
    [anon_sym___forceinline] = ACTIONS(5467),
    [anon_sym_thread_local] = ACTIONS(5467),
    [anon_sym___thread] = ACTIONS(5467),
    [anon_sym_const] = ACTIONS(5467),
    [anon_sym_constexpr] = ACTIONS(5467),
    [anon_sym_volatile] = ACTIONS(5467),
    [anon_sym_restrict] = ACTIONS(5467),
    [anon_sym___restrict__] = ACTIONS(5467),
    [anon_sym__Atomic] = ACTIONS(5467),
    [anon_sym__Noreturn] = ACTIONS(5467),
    [anon_sym_noreturn] = ACTIONS(5467),
    [anon_sym__Nonnull] = ACTIONS(5467),
    [anon_sym_mutable] = ACTIONS(5467),
    [anon_sym_constinit] = ACTIONS(5467),
    [anon_sym_consteval] = ACTIONS(5467),
    [anon_sym_alignas] = ACTIONS(5467),
    [anon_sym__Alignas] = ACTIONS(5467),
    [sym_primitive_type] = ACTIONS(5467),
    [anon_sym_enum] = ACTIONS(5467),
    [anon_sym_class] = ACTIONS(5467),
    [anon_sym_struct] = ACTIONS(5467),
    [anon_sym_union] = ACTIONS(5467),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5467),
    [anon_sym_decltype] = ACTIONS(5467),
    [anon_sym_explicit] = ACTIONS(5467),
    [anon_sym_typename] = ACTIONS(5467),
    [anon_sym_template] = ACTIONS(5467),
    [anon_sym_operator] = ACTIONS(5467),
    [anon_sym_friend] = ACTIONS(5467),
    [anon_sym_public] = ACTIONS(5467),
    [anon_sym_private] = ACTIONS(5467),
    [anon_sym_protected] = ACTIONS(5467),
    [anon_sym_using] = ACTIONS(5467),
    [anon_sym_static_assert] = ACTIONS(5467),
    [anon_sym_precise] = ACTIONS(5467),
    [anon_sym_shared] = ACTIONS(5467),
    [anon_sym_groupshared] = ACTIONS(5467),
    [anon_sym_uniform] = ACTIONS(5467),
    [anon_sym_row_major] = ACTIONS(5467),
    [anon_sym_column_major] = ACTIONS(5467),
    [anon_sym_globallycoherent] = ACTIONS(5467),
    [anon_sym_centroid] = ACTIONS(5467),
    [anon_sym_noperspective] = ACTIONS(5467),
    [anon_sym_nointerpolation] = ACTIONS(5467),
    [anon_sym_sample] = ACTIONS(5467),
    [anon_sym_linear] = ACTIONS(5467),
    [anon_sym_snorm] = ACTIONS(5467),
    [anon_sym_unorm] = ACTIONS(5467),
    [anon_sym_point] = ACTIONS(5467),
    [anon_sym_line] = ACTIONS(5467),
    [anon_sym_triangleadj] = ACTIONS(5467),
    [anon_sym_lineadj] = ACTIONS(5467),
    [anon_sym_triangle] = ACTIONS(5467),
  },
  [2045] = {
    [sym_identifier] = ACTIONS(5467),
    [aux_sym_preproc_def_token1] = ACTIONS(5467),
    [aux_sym_preproc_if_token1] = ACTIONS(5467),
    [aux_sym_preproc_if_token2] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5467),
    [sym_preproc_directive] = ACTIONS(5467),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_TILDE] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5467),
    [anon_sym_SEMI] = ACTIONS(5469),
    [anon_sym___extension__] = ACTIONS(5467),
    [anon_sym_typedef] = ACTIONS(5467),
    [anon_sym_in] = ACTIONS(5467),
    [anon_sym_out] = ACTIONS(5467),
    [anon_sym_inout] = ACTIONS(5467),
    [anon_sym_virtual] = ACTIONS(5467),
    [anon_sym_extern] = ACTIONS(5467),
    [anon_sym___attribute__] = ACTIONS(5467),
    [anon_sym_COLON_COLON] = ACTIONS(5469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5469),
    [anon_sym___declspec] = ACTIONS(5467),
    [anon_sym___based] = ACTIONS(5467),
    [anon_sym_signed] = ACTIONS(5467),
    [anon_sym_unsigned] = ACTIONS(5467),
    [anon_sym_long] = ACTIONS(5467),
    [anon_sym_short] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym_static] = ACTIONS(5467),
    [anon_sym_register] = ACTIONS(5467),
    [anon_sym_inline] = ACTIONS(5467),
    [anon_sym___inline] = ACTIONS(5467),
    [anon_sym___inline__] = ACTIONS(5467),
    [anon_sym___forceinline] = ACTIONS(5467),
    [anon_sym_thread_local] = ACTIONS(5467),
    [anon_sym___thread] = ACTIONS(5467),
    [anon_sym_const] = ACTIONS(5467),
    [anon_sym_constexpr] = ACTIONS(5467),
    [anon_sym_volatile] = ACTIONS(5467),
    [anon_sym_restrict] = ACTIONS(5467),
    [anon_sym___restrict__] = ACTIONS(5467),
    [anon_sym__Atomic] = ACTIONS(5467),
    [anon_sym__Noreturn] = ACTIONS(5467),
    [anon_sym_noreturn] = ACTIONS(5467),
    [anon_sym__Nonnull] = ACTIONS(5467),
    [anon_sym_mutable] = ACTIONS(5467),
    [anon_sym_constinit] = ACTIONS(5467),
    [anon_sym_consteval] = ACTIONS(5467),
    [anon_sym_alignas] = ACTIONS(5467),
    [anon_sym__Alignas] = ACTIONS(5467),
    [sym_primitive_type] = ACTIONS(5467),
    [anon_sym_enum] = ACTIONS(5467),
    [anon_sym_class] = ACTIONS(5467),
    [anon_sym_struct] = ACTIONS(5467),
    [anon_sym_union] = ACTIONS(5467),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5467),
    [anon_sym_decltype] = ACTIONS(5467),
    [anon_sym_explicit] = ACTIONS(5467),
    [anon_sym_typename] = ACTIONS(5467),
    [anon_sym_template] = ACTIONS(5467),
    [anon_sym_operator] = ACTIONS(5467),
    [anon_sym_friend] = ACTIONS(5467),
    [anon_sym_public] = ACTIONS(5467),
    [anon_sym_private] = ACTIONS(5467),
    [anon_sym_protected] = ACTIONS(5467),
    [anon_sym_using] = ACTIONS(5467),
    [anon_sym_static_assert] = ACTIONS(5467),
    [anon_sym_precise] = ACTIONS(5467),
    [anon_sym_shared] = ACTIONS(5467),
    [anon_sym_groupshared] = ACTIONS(5467),
    [anon_sym_uniform] = ACTIONS(5467),
    [anon_sym_row_major] = ACTIONS(5467),
    [anon_sym_column_major] = ACTIONS(5467),
    [anon_sym_globallycoherent] = ACTIONS(5467),
    [anon_sym_centroid] = ACTIONS(5467),
    [anon_sym_noperspective] = ACTIONS(5467),
    [anon_sym_nointerpolation] = ACTIONS(5467),
    [anon_sym_sample] = ACTIONS(5467),
    [anon_sym_linear] = ACTIONS(5467),
    [anon_sym_snorm] = ACTIONS(5467),
    [anon_sym_unorm] = ACTIONS(5467),
    [anon_sym_point] = ACTIONS(5467),
    [anon_sym_line] = ACTIONS(5467),
    [anon_sym_triangleadj] = ACTIONS(5467),
    [anon_sym_lineadj] = ACTIONS(5467),
    [anon_sym_triangle] = ACTIONS(5467),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_out] = ACTIONS(2654),
    [anon_sym_inout] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_friend] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_precise] = ACTIONS(2654),
    [anon_sym_shared] = ACTIONS(2654),
    [anon_sym_groupshared] = ACTIONS(2654),
    [anon_sym_uniform] = ACTIONS(2654),
    [anon_sym_row_major] = ACTIONS(2654),
    [anon_sym_column_major] = ACTIONS(2654),
    [anon_sym_globallycoherent] = ACTIONS(2654),
    [anon_sym_centroid] = ACTIONS(2654),
    [anon_sym_noperspective] = ACTIONS(2654),
    [anon_sym_nointerpolation] = ACTIONS(2654),
    [anon_sym_sample] = ACTIONS(2654),
    [anon_sym_linear] = ACTIONS(2654),
    [anon_sym_snorm] = ACTIONS(2654),
    [anon_sym_unorm] = ACTIONS(2654),
    [anon_sym_point] = ACTIONS(2654),
    [anon_sym_line] = ACTIONS(2654),
    [anon_sym_triangleadj] = ACTIONS(2654),
    [anon_sym_lineadj] = ACTIONS(2654),
    [anon_sym_triangle] = ACTIONS(2654),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(5363),
    [aux_sym_preproc_def_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token2] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5363),
    [sym_preproc_directive] = ACTIONS(5363),
    [anon_sym_LPAREN2] = ACTIONS(5365),
    [anon_sym_TILDE] = ACTIONS(5365),
    [anon_sym_STAR] = ACTIONS(5365),
    [anon_sym_AMP_AMP] = ACTIONS(5365),
    [anon_sym_AMP] = ACTIONS(5363),
    [anon_sym_SEMI] = ACTIONS(5365),
    [anon_sym___extension__] = ACTIONS(5363),
    [anon_sym_typedef] = ACTIONS(5363),
    [anon_sym_in] = ACTIONS(5363),
    [anon_sym_out] = ACTIONS(5363),
    [anon_sym_inout] = ACTIONS(5363),
    [anon_sym_virtual] = ACTIONS(5363),
    [anon_sym_extern] = ACTIONS(5363),
    [anon_sym___attribute__] = ACTIONS(5363),
    [anon_sym_COLON_COLON] = ACTIONS(5365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5365),
    [anon_sym___declspec] = ACTIONS(5363),
    [anon_sym___based] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(5363),
    [anon_sym_unsigned] = ACTIONS(5363),
    [anon_sym_long] = ACTIONS(5363),
    [anon_sym_short] = ACTIONS(5363),
    [anon_sym_LBRACK] = ACTIONS(5363),
    [anon_sym_static] = ACTIONS(5363),
    [anon_sym_register] = ACTIONS(5363),
    [anon_sym_inline] = ACTIONS(5363),
    [anon_sym___inline] = ACTIONS(5363),
    [anon_sym___inline__] = ACTIONS(5363),
    [anon_sym___forceinline] = ACTIONS(5363),
    [anon_sym_thread_local] = ACTIONS(5363),
    [anon_sym___thread] = ACTIONS(5363),
    [anon_sym_const] = ACTIONS(5363),
    [anon_sym_constexpr] = ACTIONS(5363),
    [anon_sym_volatile] = ACTIONS(5363),
    [anon_sym_restrict] = ACTIONS(5363),
    [anon_sym___restrict__] = ACTIONS(5363),
    [anon_sym__Atomic] = ACTIONS(5363),
    [anon_sym__Noreturn] = ACTIONS(5363),
    [anon_sym_noreturn] = ACTIONS(5363),
    [anon_sym__Nonnull] = ACTIONS(5363),
    [anon_sym_mutable] = ACTIONS(5363),
    [anon_sym_constinit] = ACTIONS(5363),
    [anon_sym_consteval] = ACTIONS(5363),
    [anon_sym_alignas] = ACTIONS(5363),
    [anon_sym__Alignas] = ACTIONS(5363),
    [sym_primitive_type] = ACTIONS(5363),
    [anon_sym_enum] = ACTIONS(5363),
    [anon_sym_class] = ACTIONS(5363),
    [anon_sym_struct] = ACTIONS(5363),
    [anon_sym_union] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5363),
    [anon_sym_decltype] = ACTIONS(5363),
    [anon_sym_explicit] = ACTIONS(5363),
    [anon_sym_typename] = ACTIONS(5363),
    [anon_sym_template] = ACTIONS(5363),
    [anon_sym_operator] = ACTIONS(5363),
    [anon_sym_friend] = ACTIONS(5363),
    [anon_sym_public] = ACTIONS(5363),
    [anon_sym_private] = ACTIONS(5363),
    [anon_sym_protected] = ACTIONS(5363),
    [anon_sym_using] = ACTIONS(5363),
    [anon_sym_static_assert] = ACTIONS(5363),
    [anon_sym_precise] = ACTIONS(5363),
    [anon_sym_shared] = ACTIONS(5363),
    [anon_sym_groupshared] = ACTIONS(5363),
    [anon_sym_uniform] = ACTIONS(5363),
    [anon_sym_row_major] = ACTIONS(5363),
    [anon_sym_column_major] = ACTIONS(5363),
    [anon_sym_globallycoherent] = ACTIONS(5363),
    [anon_sym_centroid] = ACTIONS(5363),
    [anon_sym_noperspective] = ACTIONS(5363),
    [anon_sym_nointerpolation] = ACTIONS(5363),
    [anon_sym_sample] = ACTIONS(5363),
    [anon_sym_linear] = ACTIONS(5363),
    [anon_sym_snorm] = ACTIONS(5363),
    [anon_sym_unorm] = ACTIONS(5363),
    [anon_sym_point] = ACTIONS(5363),
    [anon_sym_line] = ACTIONS(5363),
    [anon_sym_triangleadj] = ACTIONS(5363),
    [anon_sym_lineadj] = ACTIONS(5363),
    [anon_sym_triangle] = ACTIONS(5363),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym_RBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_friend] = ACTIONS(2610),
    [anon_sym_public] = ACTIONS(2610),
    [anon_sym_private] = ACTIONS(2610),
    [anon_sym_protected] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token2] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym__Nonnull] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym__Alignas] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_friend] = ACTIONS(2376),
    [anon_sym_public] = ACTIONS(2376),
    [anon_sym_private] = ACTIONS(2376),
    [anon_sym_protected] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym_RBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_friend] = ACTIONS(2610),
    [anon_sym_public] = ACTIONS(2610),
    [anon_sym_private] = ACTIONS(2610),
    [anon_sym_protected] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
  },
  [2051] = {
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token2] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym__Nonnull] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym__Alignas] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_friend] = ACTIONS(2380),
    [anon_sym_public] = ACTIONS(2380),
    [anon_sym_private] = ACTIONS(2380),
    [anon_sym_protected] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_in] = ACTIONS(2606),
    [anon_sym_out] = ACTIONS(2606),
    [anon_sym_inout] = ACTIONS(2606),
    [anon_sym_virtual] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym_RBRACE] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym__Nonnull] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym__Alignas] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_friend] = ACTIONS(2606),
    [anon_sym_public] = ACTIONS(2606),
    [anon_sym_private] = ACTIONS(2606),
    [anon_sym_protected] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_precise] = ACTIONS(2606),
    [anon_sym_shared] = ACTIONS(2606),
    [anon_sym_groupshared] = ACTIONS(2606),
    [anon_sym_uniform] = ACTIONS(2606),
    [anon_sym_row_major] = ACTIONS(2606),
    [anon_sym_column_major] = ACTIONS(2606),
    [anon_sym_globallycoherent] = ACTIONS(2606),
    [anon_sym_centroid] = ACTIONS(2606),
    [anon_sym_noperspective] = ACTIONS(2606),
    [anon_sym_nointerpolation] = ACTIONS(2606),
    [anon_sym_sample] = ACTIONS(2606),
    [anon_sym_linear] = ACTIONS(2606),
    [anon_sym_snorm] = ACTIONS(2606),
    [anon_sym_unorm] = ACTIONS(2606),
    [anon_sym_point] = ACTIONS(2606),
    [anon_sym_line] = ACTIONS(2606),
    [anon_sym_triangleadj] = ACTIONS(2606),
    [anon_sym_lineadj] = ACTIONS(2606),
    [anon_sym_triangle] = ACTIONS(2606),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token2] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym__Nonnull] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym__Alignas] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_friend] = ACTIONS(2384),
    [anon_sym_public] = ACTIONS(2384),
    [anon_sym_private] = ACTIONS(2384),
    [anon_sym_protected] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_friend] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym__Nonnull] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym__Alignas] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_friend] = ACTIONS(2388),
    [anon_sym_public] = ACTIONS(2388),
    [anon_sym_private] = ACTIONS(2388),
    [anon_sym_protected] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
  },
  [2057] = {
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token2] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym__Nonnull] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym__Alignas] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_friend] = ACTIONS(2392),
    [anon_sym_public] = ACTIONS(2392),
    [anon_sym_private] = ACTIONS(2392),
    [anon_sym_protected] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(5367),
    [aux_sym_preproc_def_token1] = ACTIONS(5367),
    [aux_sym_preproc_if_token1] = ACTIONS(5367),
    [aux_sym_preproc_if_token2] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5367),
    [sym_preproc_directive] = ACTIONS(5367),
    [anon_sym_LPAREN2] = ACTIONS(5369),
    [anon_sym_TILDE] = ACTIONS(5369),
    [anon_sym_STAR] = ACTIONS(5369),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_AMP] = ACTIONS(5367),
    [anon_sym_SEMI] = ACTIONS(5369),
    [anon_sym___extension__] = ACTIONS(5367),
    [anon_sym_typedef] = ACTIONS(5367),
    [anon_sym_in] = ACTIONS(5367),
    [anon_sym_out] = ACTIONS(5367),
    [anon_sym_inout] = ACTIONS(5367),
    [anon_sym_virtual] = ACTIONS(5367),
    [anon_sym_extern] = ACTIONS(5367),
    [anon_sym___attribute__] = ACTIONS(5367),
    [anon_sym_COLON_COLON] = ACTIONS(5369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5369),
    [anon_sym___declspec] = ACTIONS(5367),
    [anon_sym___based] = ACTIONS(5367),
    [anon_sym_signed] = ACTIONS(5367),
    [anon_sym_unsigned] = ACTIONS(5367),
    [anon_sym_long] = ACTIONS(5367),
    [anon_sym_short] = ACTIONS(5367),
    [anon_sym_LBRACK] = ACTIONS(5367),
    [anon_sym_static] = ACTIONS(5367),
    [anon_sym_register] = ACTIONS(5367),
    [anon_sym_inline] = ACTIONS(5367),
    [anon_sym___inline] = ACTIONS(5367),
    [anon_sym___inline__] = ACTIONS(5367),
    [anon_sym___forceinline] = ACTIONS(5367),
    [anon_sym_thread_local] = ACTIONS(5367),
    [anon_sym___thread] = ACTIONS(5367),
    [anon_sym_const] = ACTIONS(5367),
    [anon_sym_constexpr] = ACTIONS(5367),
    [anon_sym_volatile] = ACTIONS(5367),
    [anon_sym_restrict] = ACTIONS(5367),
    [anon_sym___restrict__] = ACTIONS(5367),
    [anon_sym__Atomic] = ACTIONS(5367),
    [anon_sym__Noreturn] = ACTIONS(5367),
    [anon_sym_noreturn] = ACTIONS(5367),
    [anon_sym__Nonnull] = ACTIONS(5367),
    [anon_sym_mutable] = ACTIONS(5367),
    [anon_sym_constinit] = ACTIONS(5367),
    [anon_sym_consteval] = ACTIONS(5367),
    [anon_sym_alignas] = ACTIONS(5367),
    [anon_sym__Alignas] = ACTIONS(5367),
    [sym_primitive_type] = ACTIONS(5367),
    [anon_sym_enum] = ACTIONS(5367),
    [anon_sym_class] = ACTIONS(5367),
    [anon_sym_struct] = ACTIONS(5367),
    [anon_sym_union] = ACTIONS(5367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5367),
    [anon_sym_decltype] = ACTIONS(5367),
    [anon_sym_explicit] = ACTIONS(5367),
    [anon_sym_typename] = ACTIONS(5367),
    [anon_sym_template] = ACTIONS(5367),
    [anon_sym_operator] = ACTIONS(5367),
    [anon_sym_friend] = ACTIONS(5367),
    [anon_sym_public] = ACTIONS(5367),
    [anon_sym_private] = ACTIONS(5367),
    [anon_sym_protected] = ACTIONS(5367),
    [anon_sym_using] = ACTIONS(5367),
    [anon_sym_static_assert] = ACTIONS(5367),
    [anon_sym_precise] = ACTIONS(5367),
    [anon_sym_shared] = ACTIONS(5367),
    [anon_sym_groupshared] = ACTIONS(5367),
    [anon_sym_uniform] = ACTIONS(5367),
    [anon_sym_row_major] = ACTIONS(5367),
    [anon_sym_column_major] = ACTIONS(5367),
    [anon_sym_globallycoherent] = ACTIONS(5367),
    [anon_sym_centroid] = ACTIONS(5367),
    [anon_sym_noperspective] = ACTIONS(5367),
    [anon_sym_nointerpolation] = ACTIONS(5367),
    [anon_sym_sample] = ACTIONS(5367),
    [anon_sym_linear] = ACTIONS(5367),
    [anon_sym_snorm] = ACTIONS(5367),
    [anon_sym_unorm] = ACTIONS(5367),
    [anon_sym_point] = ACTIONS(5367),
    [anon_sym_line] = ACTIONS(5367),
    [anon_sym_triangleadj] = ACTIONS(5367),
    [anon_sym_lineadj] = ACTIONS(5367),
    [anon_sym_triangle] = ACTIONS(5367),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(2130),
    [aux_sym_preproc_def_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token1] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2130),
    [sym_preproc_directive] = ACTIONS(2130),
    [anon_sym_LPAREN2] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_AMP_AMP] = ACTIONS(2132),
    [anon_sym_AMP] = ACTIONS(2130),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym___extension__] = ACTIONS(2130),
    [anon_sym_typedef] = ACTIONS(2130),
    [anon_sym_in] = ACTIONS(2130),
    [anon_sym_out] = ACTIONS(2130),
    [anon_sym_inout] = ACTIONS(2130),
    [anon_sym_virtual] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2130),
    [anon_sym___attribute__] = ACTIONS(2130),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2132),
    [anon_sym___declspec] = ACTIONS(2130),
    [anon_sym___based] = ACTIONS(2130),
    [anon_sym_RBRACE] = ACTIONS(2132),
    [anon_sym_signed] = ACTIONS(2130),
    [anon_sym_unsigned] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [anon_sym_register] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2130),
    [anon_sym___inline] = ACTIONS(2130),
    [anon_sym___inline__] = ACTIONS(2130),
    [anon_sym___forceinline] = ACTIONS(2130),
    [anon_sym_thread_local] = ACTIONS(2130),
    [anon_sym___thread] = ACTIONS(2130),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_constexpr] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_restrict] = ACTIONS(2130),
    [anon_sym___restrict__] = ACTIONS(2130),
    [anon_sym__Atomic] = ACTIONS(2130),
    [anon_sym__Noreturn] = ACTIONS(2130),
    [anon_sym_noreturn] = ACTIONS(2130),
    [anon_sym__Nonnull] = ACTIONS(2130),
    [anon_sym_mutable] = ACTIONS(2130),
    [anon_sym_constinit] = ACTIONS(2130),
    [anon_sym_consteval] = ACTIONS(2130),
    [anon_sym_alignas] = ACTIONS(2130),
    [anon_sym__Alignas] = ACTIONS(2130),
    [sym_primitive_type] = ACTIONS(2130),
    [anon_sym_enum] = ACTIONS(2130),
    [anon_sym_class] = ACTIONS(2130),
    [anon_sym_struct] = ACTIONS(2130),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2130),
    [anon_sym_decltype] = ACTIONS(2130),
    [anon_sym_explicit] = ACTIONS(2130),
    [anon_sym_typename] = ACTIONS(2130),
    [anon_sym_template] = ACTIONS(2130),
    [anon_sym_operator] = ACTIONS(2130),
    [anon_sym_friend] = ACTIONS(2130),
    [anon_sym_public] = ACTIONS(2130),
    [anon_sym_private] = ACTIONS(2130),
    [anon_sym_protected] = ACTIONS(2130),
    [anon_sym_using] = ACTIONS(2130),
    [anon_sym_static_assert] = ACTIONS(2130),
    [anon_sym_precise] = ACTIONS(2130),
    [anon_sym_shared] = ACTIONS(2130),
    [anon_sym_groupshared] = ACTIONS(2130),
    [anon_sym_uniform] = ACTIONS(2130),
    [anon_sym_row_major] = ACTIONS(2130),
    [anon_sym_column_major] = ACTIONS(2130),
    [anon_sym_globallycoherent] = ACTIONS(2130),
    [anon_sym_centroid] = ACTIONS(2130),
    [anon_sym_noperspective] = ACTIONS(2130),
    [anon_sym_nointerpolation] = ACTIONS(2130),
    [anon_sym_sample] = ACTIONS(2130),
    [anon_sym_linear] = ACTIONS(2130),
    [anon_sym_snorm] = ACTIONS(2130),
    [anon_sym_unorm] = ACTIONS(2130),
    [anon_sym_point] = ACTIONS(2130),
    [anon_sym_line] = ACTIONS(2130),
    [anon_sym_triangleadj] = ACTIONS(2130),
    [anon_sym_lineadj] = ACTIONS(2130),
    [anon_sym_triangle] = ACTIONS(2130),
  },
  [2060] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_out] = ACTIONS(2614),
    [anon_sym_inout] = ACTIONS(2614),
    [anon_sym_virtual] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym_RBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_friend] = ACTIONS(2614),
    [anon_sym_public] = ACTIONS(2614),
    [anon_sym_private] = ACTIONS(2614),
    [anon_sym_protected] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_precise] = ACTIONS(2614),
    [anon_sym_shared] = ACTIONS(2614),
    [anon_sym_groupshared] = ACTIONS(2614),
    [anon_sym_uniform] = ACTIONS(2614),
    [anon_sym_row_major] = ACTIONS(2614),
    [anon_sym_column_major] = ACTIONS(2614),
    [anon_sym_globallycoherent] = ACTIONS(2614),
    [anon_sym_centroid] = ACTIONS(2614),
    [anon_sym_noperspective] = ACTIONS(2614),
    [anon_sym_nointerpolation] = ACTIONS(2614),
    [anon_sym_sample] = ACTIONS(2614),
    [anon_sym_linear] = ACTIONS(2614),
    [anon_sym_snorm] = ACTIONS(2614),
    [anon_sym_unorm] = ACTIONS(2614),
    [anon_sym_point] = ACTIONS(2614),
    [anon_sym_line] = ACTIONS(2614),
    [anon_sym_triangleadj] = ACTIONS(2614),
    [anon_sym_lineadj] = ACTIONS(2614),
    [anon_sym_triangle] = ACTIONS(2614),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym_RBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_friend] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_friend] = ACTIONS(2456),
    [anon_sym_public] = ACTIONS(2456),
    [anon_sym_private] = ACTIONS(2456),
    [anon_sym_protected] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
  },
  [2063] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_friend] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
  },
  [2064] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token2] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym__Nonnull] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym__Alignas] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_friend] = ACTIONS(2400),
    [anon_sym_public] = ACTIONS(2400),
    [anon_sym_private] = ACTIONS(2400),
    [anon_sym_protected] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym__Nonnull] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym__Alignas] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_friend] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym__Nonnull] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_friend] = ACTIONS(2468),
    [anon_sym_public] = ACTIONS(2468),
    [anon_sym_private] = ACTIONS(2468),
    [anon_sym_protected] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_friend] = ACTIONS(2408),
    [anon_sym_public] = ACTIONS(2408),
    [anon_sym_private] = ACTIONS(2408),
    [anon_sym_protected] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym__Nonnull] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym__Alignas] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_friend] = ACTIONS(2472),
    [anon_sym_public] = ACTIONS(2472),
    [anon_sym_private] = ACTIONS(2472),
    [anon_sym_protected] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(2260),
    [aux_sym_preproc_def_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token1] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2260),
    [sym_preproc_directive] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2260),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2260),
    [anon_sym_typedef] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_out] = ACTIONS(2260),
    [anon_sym_inout] = ACTIONS(2260),
    [anon_sym_virtual] = ACTIONS(2260),
    [anon_sym_extern] = ACTIONS(2260),
    [anon_sym___attribute__] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2262),
    [anon_sym___declspec] = ACTIONS(2260),
    [anon_sym___based] = ACTIONS(2260),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_signed] = ACTIONS(2260),
    [anon_sym_unsigned] = ACTIONS(2260),
    [anon_sym_long] = ACTIONS(2260),
    [anon_sym_short] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_register] = ACTIONS(2260),
    [anon_sym_inline] = ACTIONS(2260),
    [anon_sym___inline] = ACTIONS(2260),
    [anon_sym___inline__] = ACTIONS(2260),
    [anon_sym___forceinline] = ACTIONS(2260),
    [anon_sym_thread_local] = ACTIONS(2260),
    [anon_sym___thread] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2260),
    [anon_sym_constexpr] = ACTIONS(2260),
    [anon_sym_volatile] = ACTIONS(2260),
    [anon_sym_restrict] = ACTIONS(2260),
    [anon_sym___restrict__] = ACTIONS(2260),
    [anon_sym__Atomic] = ACTIONS(2260),
    [anon_sym__Noreturn] = ACTIONS(2260),
    [anon_sym_noreturn] = ACTIONS(2260),
    [anon_sym__Nonnull] = ACTIONS(2260),
    [anon_sym_mutable] = ACTIONS(2260),
    [anon_sym_constinit] = ACTIONS(2260),
    [anon_sym_consteval] = ACTIONS(2260),
    [anon_sym_alignas] = ACTIONS(2260),
    [anon_sym__Alignas] = ACTIONS(2260),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2260),
    [anon_sym_struct] = ACTIONS(2260),
    [anon_sym_union] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2260),
    [anon_sym_decltype] = ACTIONS(2260),
    [anon_sym_explicit] = ACTIONS(2260),
    [anon_sym_typename] = ACTIONS(2260),
    [anon_sym_template] = ACTIONS(2260),
    [anon_sym_operator] = ACTIONS(2260),
    [anon_sym_friend] = ACTIONS(2260),
    [anon_sym_public] = ACTIONS(2260),
    [anon_sym_private] = ACTIONS(2260),
    [anon_sym_protected] = ACTIONS(2260),
    [anon_sym_using] = ACTIONS(2260),
    [anon_sym_static_assert] = ACTIONS(2260),
    [anon_sym_precise] = ACTIONS(2260),
    [anon_sym_shared] = ACTIONS(2260),
    [anon_sym_groupshared] = ACTIONS(2260),
    [anon_sym_uniform] = ACTIONS(2260),
    [anon_sym_row_major] = ACTIONS(2260),
    [anon_sym_column_major] = ACTIONS(2260),
    [anon_sym_globallycoherent] = ACTIONS(2260),
    [anon_sym_centroid] = ACTIONS(2260),
    [anon_sym_noperspective] = ACTIONS(2260),
    [anon_sym_nointerpolation] = ACTIONS(2260),
    [anon_sym_sample] = ACTIONS(2260),
    [anon_sym_linear] = ACTIONS(2260),
    [anon_sym_snorm] = ACTIONS(2260),
    [anon_sym_unorm] = ACTIONS(2260),
    [anon_sym_point] = ACTIONS(2260),
    [anon_sym_line] = ACTIONS(2260),
    [anon_sym_triangleadj] = ACTIONS(2260),
    [anon_sym_lineadj] = ACTIONS(2260),
    [anon_sym_triangle] = ACTIONS(2260),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_out] = ACTIONS(2622),
    [anon_sym_inout] = ACTIONS(2622),
    [anon_sym_virtual] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_friend] = ACTIONS(2622),
    [anon_sym_public] = ACTIONS(2622),
    [anon_sym_private] = ACTIONS(2622),
    [anon_sym_protected] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_precise] = ACTIONS(2622),
    [anon_sym_shared] = ACTIONS(2622),
    [anon_sym_groupshared] = ACTIONS(2622),
    [anon_sym_uniform] = ACTIONS(2622),
    [anon_sym_row_major] = ACTIONS(2622),
    [anon_sym_column_major] = ACTIONS(2622),
    [anon_sym_globallycoherent] = ACTIONS(2622),
    [anon_sym_centroid] = ACTIONS(2622),
    [anon_sym_noperspective] = ACTIONS(2622),
    [anon_sym_nointerpolation] = ACTIONS(2622),
    [anon_sym_sample] = ACTIONS(2622),
    [anon_sym_linear] = ACTIONS(2622),
    [anon_sym_snorm] = ACTIONS(2622),
    [anon_sym_unorm] = ACTIONS(2622),
    [anon_sym_point] = ACTIONS(2622),
    [anon_sym_line] = ACTIONS(2622),
    [anon_sym_triangleadj] = ACTIONS(2622),
    [anon_sym_lineadj] = ACTIONS(2622),
    [anon_sym_triangle] = ACTIONS(2622),
  },
  [2071] = {
    [sym_template_argument_list] = STATE(2245),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_PIPE_PIPE] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym___cdecl] = ACTIONS(1959),
    [anon_sym___clrcall] = ACTIONS(1959),
    [anon_sym___stdcall] = ACTIONS(1959),
    [anon_sym___fastcall] = ACTIONS(1959),
    [anon_sym___thiscall] = ACTIONS(1959),
    [anon_sym___vectorcall] = ACTIONS(1959),
    [anon_sym_signed] = ACTIONS(1959),
    [anon_sym_unsigned] = ACTIONS(1959),
    [anon_sym_long] = ACTIONS(1959),
    [anon_sym_short] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_primitive_type] = ACTIONS(1959),
    [anon_sym_enum] = ACTIONS(1959),
    [anon_sym_class] = ACTIONS(1959),
    [anon_sym_struct] = ACTIONS(1959),
    [anon_sym_union] = ACTIONS(1959),
    [anon_sym_or] = ACTIONS(1959),
    [anon_sym_and] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_explicit] = ACTIONS(1959),
    [anon_sym_typename] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_friend] = ACTIONS(1959),
    [anon_sym_using] = ACTIONS(1959),
    [anon_sym_concept] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_in] = ACTIONS(5443),
    [anon_sym_out] = ACTIONS(5443),
    [anon_sym_inout] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_RBRACE] = ACTIONS(5445),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [sym_primitive_type] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
    [anon_sym_precise] = ACTIONS(5443),
    [anon_sym_shared] = ACTIONS(5443),
    [anon_sym_groupshared] = ACTIONS(5443),
    [anon_sym_uniform] = ACTIONS(5443),
    [anon_sym_row_major] = ACTIONS(5443),
    [anon_sym_column_major] = ACTIONS(5443),
    [anon_sym_globallycoherent] = ACTIONS(5443),
    [anon_sym_centroid] = ACTIONS(5443),
    [anon_sym_noperspective] = ACTIONS(5443),
    [anon_sym_nointerpolation] = ACTIONS(5443),
    [anon_sym_sample] = ACTIONS(5443),
    [anon_sym_linear] = ACTIONS(5443),
    [anon_sym_snorm] = ACTIONS(5443),
    [anon_sym_unorm] = ACTIONS(5443),
    [anon_sym_point] = ACTIONS(5443),
    [anon_sym_line] = ACTIONS(5443),
    [anon_sym_triangleadj] = ACTIONS(5443),
    [anon_sym_lineadj] = ACTIONS(5443),
    [anon_sym_triangle] = ACTIONS(5443),
  },
  [2073] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_friend] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_friend] = ACTIONS(2629),
    [anon_sym_public] = ACTIONS(2629),
    [anon_sym_private] = ACTIONS(2629),
    [anon_sym_protected] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
  },
  [2075] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token2] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_friend] = ACTIONS(2440),
    [anon_sym_public] = ACTIONS(2440),
    [anon_sym_private] = ACTIONS(2440),
    [anon_sym_protected] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
  },
  [2076] = {
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_out] = ACTIONS(2598),
    [anon_sym_inout] = ACTIONS(2598),
    [anon_sym_virtual] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym__Nonnull] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym__Alignas] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_friend] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_precise] = ACTIONS(2598),
    [anon_sym_shared] = ACTIONS(2598),
    [anon_sym_groupshared] = ACTIONS(2598),
    [anon_sym_uniform] = ACTIONS(2598),
    [anon_sym_row_major] = ACTIONS(2598),
    [anon_sym_column_major] = ACTIONS(2598),
    [anon_sym_globallycoherent] = ACTIONS(2598),
    [anon_sym_centroid] = ACTIONS(2598),
    [anon_sym_noperspective] = ACTIONS(2598),
    [anon_sym_nointerpolation] = ACTIONS(2598),
    [anon_sym_sample] = ACTIONS(2598),
    [anon_sym_linear] = ACTIONS(2598),
    [anon_sym_snorm] = ACTIONS(2598),
    [anon_sym_unorm] = ACTIONS(2598),
    [anon_sym_point] = ACTIONS(2598),
    [anon_sym_line] = ACTIONS(2598),
    [anon_sym_triangleadj] = ACTIONS(2598),
    [anon_sym_lineadj] = ACTIONS(2598),
    [anon_sym_triangle] = ACTIONS(2598),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(5455),
    [aux_sym_preproc_def_token1] = ACTIONS(5455),
    [aux_sym_preproc_if_token1] = ACTIONS(5455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5455),
    [sym_preproc_directive] = ACTIONS(5455),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_TILDE] = ACTIONS(5457),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___extension__] = ACTIONS(5455),
    [anon_sym_typedef] = ACTIONS(5455),
    [anon_sym_in] = ACTIONS(5455),
    [anon_sym_out] = ACTIONS(5455),
    [anon_sym_inout] = ACTIONS(5455),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_extern] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym_COLON_COLON] = ACTIONS(5457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5457),
    [anon_sym___declspec] = ACTIONS(5455),
    [anon_sym___based] = ACTIONS(5455),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_signed] = ACTIONS(5455),
    [anon_sym_unsigned] = ACTIONS(5455),
    [anon_sym_long] = ACTIONS(5455),
    [anon_sym_short] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_static] = ACTIONS(5455),
    [anon_sym_register] = ACTIONS(5455),
    [anon_sym_inline] = ACTIONS(5455),
    [anon_sym___inline] = ACTIONS(5455),
    [anon_sym___inline__] = ACTIONS(5455),
    [anon_sym___forceinline] = ACTIONS(5455),
    [anon_sym_thread_local] = ACTIONS(5455),
    [anon_sym___thread] = ACTIONS(5455),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5455),
    [anon_sym_volatile] = ACTIONS(5455),
    [anon_sym_restrict] = ACTIONS(5455),
    [anon_sym___restrict__] = ACTIONS(5455),
    [anon_sym__Atomic] = ACTIONS(5455),
    [anon_sym__Noreturn] = ACTIONS(5455),
    [anon_sym_noreturn] = ACTIONS(5455),
    [anon_sym__Nonnull] = ACTIONS(5455),
    [anon_sym_mutable] = ACTIONS(5455),
    [anon_sym_constinit] = ACTIONS(5455),
    [anon_sym_consteval] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5455),
    [anon_sym__Alignas] = ACTIONS(5455),
    [sym_primitive_type] = ACTIONS(5455),
    [anon_sym_enum] = ACTIONS(5455),
    [anon_sym_class] = ACTIONS(5455),
    [anon_sym_struct] = ACTIONS(5455),
    [anon_sym_union] = ACTIONS(5455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
    [anon_sym_explicit] = ACTIONS(5455),
    [anon_sym_typename] = ACTIONS(5455),
    [anon_sym_template] = ACTIONS(5455),
    [anon_sym_operator] = ACTIONS(5455),
    [anon_sym_friend] = ACTIONS(5455),
    [anon_sym_public] = ACTIONS(5455),
    [anon_sym_private] = ACTIONS(5455),
    [anon_sym_protected] = ACTIONS(5455),
    [anon_sym_using] = ACTIONS(5455),
    [anon_sym_static_assert] = ACTIONS(5455),
    [anon_sym_precise] = ACTIONS(5455),
    [anon_sym_shared] = ACTIONS(5455),
    [anon_sym_groupshared] = ACTIONS(5455),
    [anon_sym_uniform] = ACTIONS(5455),
    [anon_sym_row_major] = ACTIONS(5455),
    [anon_sym_column_major] = ACTIONS(5455),
    [anon_sym_globallycoherent] = ACTIONS(5455),
    [anon_sym_centroid] = ACTIONS(5455),
    [anon_sym_noperspective] = ACTIONS(5455),
    [anon_sym_nointerpolation] = ACTIONS(5455),
    [anon_sym_sample] = ACTIONS(5455),
    [anon_sym_linear] = ACTIONS(5455),
    [anon_sym_snorm] = ACTIONS(5455),
    [anon_sym_unorm] = ACTIONS(5455),
    [anon_sym_point] = ACTIONS(5455),
    [anon_sym_line] = ACTIONS(5455),
    [anon_sym_triangleadj] = ACTIONS(5455),
    [anon_sym_lineadj] = ACTIONS(5455),
    [anon_sym_triangle] = ACTIONS(5455),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym_RBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym__Nonnull] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym__Alignas] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_friend] = ACTIONS(2388),
    [anon_sym_public] = ACTIONS(2388),
    [anon_sym_private] = ACTIONS(2388),
    [anon_sym_protected] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_friend] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
  },
  [2080] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_friend] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
  },
  [2081] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_friend] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
  },
  [2082] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym__Nonnull] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym__Alignas] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(5375),
    [aux_sym_preproc_def_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5375),
    [sym_preproc_directive] = ACTIONS(5375),
    [anon_sym_LPAREN2] = ACTIONS(5377),
    [anon_sym_TILDE] = ACTIONS(5377),
    [anon_sym_STAR] = ACTIONS(5377),
    [anon_sym_AMP_AMP] = ACTIONS(5377),
    [anon_sym_AMP] = ACTIONS(5375),
    [anon_sym_SEMI] = ACTIONS(5377),
    [anon_sym___extension__] = ACTIONS(5375),
    [anon_sym_typedef] = ACTIONS(5375),
    [anon_sym_in] = ACTIONS(5375),
    [anon_sym_out] = ACTIONS(5375),
    [anon_sym_inout] = ACTIONS(5375),
    [anon_sym_virtual] = ACTIONS(5375),
    [anon_sym_extern] = ACTIONS(5375),
    [anon_sym___attribute__] = ACTIONS(5375),
    [anon_sym_COLON_COLON] = ACTIONS(5377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5377),
    [anon_sym___declspec] = ACTIONS(5375),
    [anon_sym___based] = ACTIONS(5375),
    [anon_sym_RBRACE] = ACTIONS(5377),
    [anon_sym_signed] = ACTIONS(5375),
    [anon_sym_unsigned] = ACTIONS(5375),
    [anon_sym_long] = ACTIONS(5375),
    [anon_sym_short] = ACTIONS(5375),
    [anon_sym_LBRACK] = ACTIONS(5375),
    [anon_sym_static] = ACTIONS(5375),
    [anon_sym_register] = ACTIONS(5375),
    [anon_sym_inline] = ACTIONS(5375),
    [anon_sym___inline] = ACTIONS(5375),
    [anon_sym___inline__] = ACTIONS(5375),
    [anon_sym___forceinline] = ACTIONS(5375),
    [anon_sym_thread_local] = ACTIONS(5375),
    [anon_sym___thread] = ACTIONS(5375),
    [anon_sym_const] = ACTIONS(5375),
    [anon_sym_constexpr] = ACTIONS(5375),
    [anon_sym_volatile] = ACTIONS(5375),
    [anon_sym_restrict] = ACTIONS(5375),
    [anon_sym___restrict__] = ACTIONS(5375),
    [anon_sym__Atomic] = ACTIONS(5375),
    [anon_sym__Noreturn] = ACTIONS(5375),
    [anon_sym_noreturn] = ACTIONS(5375),
    [anon_sym__Nonnull] = ACTIONS(5375),
    [anon_sym_mutable] = ACTIONS(5375),
    [anon_sym_constinit] = ACTIONS(5375),
    [anon_sym_consteval] = ACTIONS(5375),
    [anon_sym_alignas] = ACTIONS(5375),
    [anon_sym__Alignas] = ACTIONS(5375),
    [sym_primitive_type] = ACTIONS(5375),
    [anon_sym_enum] = ACTIONS(5375),
    [anon_sym_class] = ACTIONS(5375),
    [anon_sym_struct] = ACTIONS(5375),
    [anon_sym_union] = ACTIONS(5375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5375),
    [anon_sym_decltype] = ACTIONS(5375),
    [anon_sym_explicit] = ACTIONS(5375),
    [anon_sym_typename] = ACTIONS(5375),
    [anon_sym_template] = ACTIONS(5375),
    [anon_sym_operator] = ACTIONS(5375),
    [anon_sym_friend] = ACTIONS(5375),
    [anon_sym_public] = ACTIONS(5375),
    [anon_sym_private] = ACTIONS(5375),
    [anon_sym_protected] = ACTIONS(5375),
    [anon_sym_using] = ACTIONS(5375),
    [anon_sym_static_assert] = ACTIONS(5375),
    [anon_sym_precise] = ACTIONS(5375),
    [anon_sym_shared] = ACTIONS(5375),
    [anon_sym_groupshared] = ACTIONS(5375),
    [anon_sym_uniform] = ACTIONS(5375),
    [anon_sym_row_major] = ACTIONS(5375),
    [anon_sym_column_major] = ACTIONS(5375),
    [anon_sym_globallycoherent] = ACTIONS(5375),
    [anon_sym_centroid] = ACTIONS(5375),
    [anon_sym_noperspective] = ACTIONS(5375),
    [anon_sym_nointerpolation] = ACTIONS(5375),
    [anon_sym_sample] = ACTIONS(5375),
    [anon_sym_linear] = ACTIONS(5375),
    [anon_sym_snorm] = ACTIONS(5375),
    [anon_sym_unorm] = ACTIONS(5375),
    [anon_sym_point] = ACTIONS(5375),
    [anon_sym_line] = ACTIONS(5375),
    [anon_sym_triangleadj] = ACTIONS(5375),
    [anon_sym_lineadj] = ACTIONS(5375),
    [anon_sym_triangle] = ACTIONS(5375),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(5459),
    [aux_sym_preproc_def_token1] = ACTIONS(5459),
    [aux_sym_preproc_if_token1] = ACTIONS(5459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5459),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5459),
    [sym_preproc_directive] = ACTIONS(5459),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_TILDE] = ACTIONS(5461),
    [anon_sym_STAR] = ACTIONS(5461),
    [anon_sym_AMP_AMP] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5459),
    [anon_sym_SEMI] = ACTIONS(5461),
    [anon_sym___extension__] = ACTIONS(5459),
    [anon_sym_typedef] = ACTIONS(5459),
    [anon_sym_in] = ACTIONS(5459),
    [anon_sym_out] = ACTIONS(5459),
    [anon_sym_inout] = ACTIONS(5459),
    [anon_sym_virtual] = ACTIONS(5459),
    [anon_sym_extern] = ACTIONS(5459),
    [anon_sym___attribute__] = ACTIONS(5459),
    [anon_sym_COLON_COLON] = ACTIONS(5461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5461),
    [anon_sym___declspec] = ACTIONS(5459),
    [anon_sym___based] = ACTIONS(5459),
    [anon_sym_RBRACE] = ACTIONS(5461),
    [anon_sym_signed] = ACTIONS(5459),
    [anon_sym_unsigned] = ACTIONS(5459),
    [anon_sym_long] = ACTIONS(5459),
    [anon_sym_short] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [anon_sym_static] = ACTIONS(5459),
    [anon_sym_register] = ACTIONS(5459),
    [anon_sym_inline] = ACTIONS(5459),
    [anon_sym___inline] = ACTIONS(5459),
    [anon_sym___inline__] = ACTIONS(5459),
    [anon_sym___forceinline] = ACTIONS(5459),
    [anon_sym_thread_local] = ACTIONS(5459),
    [anon_sym___thread] = ACTIONS(5459),
    [anon_sym_const] = ACTIONS(5459),
    [anon_sym_constexpr] = ACTIONS(5459),
    [anon_sym_volatile] = ACTIONS(5459),
    [anon_sym_restrict] = ACTIONS(5459),
    [anon_sym___restrict__] = ACTIONS(5459),
    [anon_sym__Atomic] = ACTIONS(5459),
    [anon_sym__Noreturn] = ACTIONS(5459),
    [anon_sym_noreturn] = ACTIONS(5459),
    [anon_sym__Nonnull] = ACTIONS(5459),
    [anon_sym_mutable] = ACTIONS(5459),
    [anon_sym_constinit] = ACTIONS(5459),
    [anon_sym_consteval] = ACTIONS(5459),
    [anon_sym_alignas] = ACTIONS(5459),
    [anon_sym__Alignas] = ACTIONS(5459),
    [sym_primitive_type] = ACTIONS(5459),
    [anon_sym_enum] = ACTIONS(5459),
    [anon_sym_class] = ACTIONS(5459),
    [anon_sym_struct] = ACTIONS(5459),
    [anon_sym_union] = ACTIONS(5459),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5459),
    [anon_sym_decltype] = ACTIONS(5459),
    [anon_sym_explicit] = ACTIONS(5459),
    [anon_sym_typename] = ACTIONS(5459),
    [anon_sym_template] = ACTIONS(5459),
    [anon_sym_operator] = ACTIONS(5459),
    [anon_sym_friend] = ACTIONS(5459),
    [anon_sym_public] = ACTIONS(5459),
    [anon_sym_private] = ACTIONS(5459),
    [anon_sym_protected] = ACTIONS(5459),
    [anon_sym_using] = ACTIONS(5459),
    [anon_sym_static_assert] = ACTIONS(5459),
    [anon_sym_precise] = ACTIONS(5459),
    [anon_sym_shared] = ACTIONS(5459),
    [anon_sym_groupshared] = ACTIONS(5459),
    [anon_sym_uniform] = ACTIONS(5459),
    [anon_sym_row_major] = ACTIONS(5459),
    [anon_sym_column_major] = ACTIONS(5459),
    [anon_sym_globallycoherent] = ACTIONS(5459),
    [anon_sym_centroid] = ACTIONS(5459),
    [anon_sym_noperspective] = ACTIONS(5459),
    [anon_sym_nointerpolation] = ACTIONS(5459),
    [anon_sym_sample] = ACTIONS(5459),
    [anon_sym_linear] = ACTIONS(5459),
    [anon_sym_snorm] = ACTIONS(5459),
    [anon_sym_unorm] = ACTIONS(5459),
    [anon_sym_point] = ACTIONS(5459),
    [anon_sym_line] = ACTIONS(5459),
    [anon_sym_triangleadj] = ACTIONS(5459),
    [anon_sym_lineadj] = ACTIONS(5459),
    [anon_sym_triangle] = ACTIONS(5459),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym__Nonnull] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym__Alignas] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_friend] = ACTIONS(2384),
    [anon_sym_public] = ACTIONS(2384),
    [anon_sym_private] = ACTIONS(2384),
    [anon_sym_protected] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym_SEMI] = ACTIONS(5465),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_in] = ACTIONS(5463),
    [anon_sym_out] = ACTIONS(5463),
    [anon_sym_inout] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_RBRACE] = ACTIONS(5465),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym__Nonnull] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym__Alignas] = ACTIONS(5463),
    [sym_primitive_type] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
    [anon_sym_precise] = ACTIONS(5463),
    [anon_sym_shared] = ACTIONS(5463),
    [anon_sym_groupshared] = ACTIONS(5463),
    [anon_sym_uniform] = ACTIONS(5463),
    [anon_sym_row_major] = ACTIONS(5463),
    [anon_sym_column_major] = ACTIONS(5463),
    [anon_sym_globallycoherent] = ACTIONS(5463),
    [anon_sym_centroid] = ACTIONS(5463),
    [anon_sym_noperspective] = ACTIONS(5463),
    [anon_sym_nointerpolation] = ACTIONS(5463),
    [anon_sym_sample] = ACTIONS(5463),
    [anon_sym_linear] = ACTIONS(5463),
    [anon_sym_snorm] = ACTIONS(5463),
    [anon_sym_unorm] = ACTIONS(5463),
    [anon_sym_point] = ACTIONS(5463),
    [anon_sym_line] = ACTIONS(5463),
    [anon_sym_triangleadj] = ACTIONS(5463),
    [anon_sym_lineadj] = ACTIONS(5463),
    [anon_sym_triangle] = ACTIONS(5463),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_friend] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_friend] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_friend] = ACTIONS(2456),
    [anon_sym_public] = ACTIONS(2456),
    [anon_sym_private] = ACTIONS(2456),
    [anon_sym_protected] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
  },
  [2091] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_friend] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2093] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym__Nonnull] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym__Alignas] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_friend] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym__Nonnull] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_friend] = ACTIONS(2468),
    [anon_sym_public] = ACTIONS(2468),
    [anon_sym_private] = ACTIONS(2468),
    [anon_sym_protected] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(2260),
    [aux_sym_preproc_def_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token1] = ACTIONS(2260),
    [aux_sym_preproc_if_token2] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2260),
    [sym_preproc_directive] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2260),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2260),
    [anon_sym_typedef] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_out] = ACTIONS(2260),
    [anon_sym_inout] = ACTIONS(2260),
    [anon_sym_virtual] = ACTIONS(2260),
    [anon_sym_extern] = ACTIONS(2260),
    [anon_sym___attribute__] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2262),
    [anon_sym___declspec] = ACTIONS(2260),
    [anon_sym___based] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2260),
    [anon_sym_unsigned] = ACTIONS(2260),
    [anon_sym_long] = ACTIONS(2260),
    [anon_sym_short] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_register] = ACTIONS(2260),
    [anon_sym_inline] = ACTIONS(2260),
    [anon_sym___inline] = ACTIONS(2260),
    [anon_sym___inline__] = ACTIONS(2260),
    [anon_sym___forceinline] = ACTIONS(2260),
    [anon_sym_thread_local] = ACTIONS(2260),
    [anon_sym___thread] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2260),
    [anon_sym_constexpr] = ACTIONS(2260),
    [anon_sym_volatile] = ACTIONS(2260),
    [anon_sym_restrict] = ACTIONS(2260),
    [anon_sym___restrict__] = ACTIONS(2260),
    [anon_sym__Atomic] = ACTIONS(2260),
    [anon_sym__Noreturn] = ACTIONS(2260),
    [anon_sym_noreturn] = ACTIONS(2260),
    [anon_sym__Nonnull] = ACTIONS(2260),
    [anon_sym_mutable] = ACTIONS(2260),
    [anon_sym_constinit] = ACTIONS(2260),
    [anon_sym_consteval] = ACTIONS(2260),
    [anon_sym_alignas] = ACTIONS(2260),
    [anon_sym__Alignas] = ACTIONS(2260),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2260),
    [anon_sym_struct] = ACTIONS(2260),
    [anon_sym_union] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2260),
    [anon_sym_decltype] = ACTIONS(2260),
    [anon_sym_explicit] = ACTIONS(2260),
    [anon_sym_typename] = ACTIONS(2260),
    [anon_sym_template] = ACTIONS(2260),
    [anon_sym_operator] = ACTIONS(2260),
    [anon_sym_friend] = ACTIONS(2260),
    [anon_sym_public] = ACTIONS(2260),
    [anon_sym_private] = ACTIONS(2260),
    [anon_sym_protected] = ACTIONS(2260),
    [anon_sym_using] = ACTIONS(2260),
    [anon_sym_static_assert] = ACTIONS(2260),
    [anon_sym_precise] = ACTIONS(2260),
    [anon_sym_shared] = ACTIONS(2260),
    [anon_sym_groupshared] = ACTIONS(2260),
    [anon_sym_uniform] = ACTIONS(2260),
    [anon_sym_row_major] = ACTIONS(2260),
    [anon_sym_column_major] = ACTIONS(2260),
    [anon_sym_globallycoherent] = ACTIONS(2260),
    [anon_sym_centroid] = ACTIONS(2260),
    [anon_sym_noperspective] = ACTIONS(2260),
    [anon_sym_nointerpolation] = ACTIONS(2260),
    [anon_sym_sample] = ACTIONS(2260),
    [anon_sym_linear] = ACTIONS(2260),
    [anon_sym_snorm] = ACTIONS(2260),
    [anon_sym_unorm] = ACTIONS(2260),
    [anon_sym_point] = ACTIONS(2260),
    [anon_sym_line] = ACTIONS(2260),
    [anon_sym_triangleadj] = ACTIONS(2260),
    [anon_sym_lineadj] = ACTIONS(2260),
    [anon_sym_triangle] = ACTIONS(2260),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token2] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym__Nonnull] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym__Alignas] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_friend] = ACTIONS(2472),
    [anon_sym_public] = ACTIONS(2472),
    [anon_sym_private] = ACTIONS(2472),
    [anon_sym_protected] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_LPAREN2] = ACTIONS(5381),
    [anon_sym_TILDE] = ACTIONS(5381),
    [anon_sym_STAR] = ACTIONS(5381),
    [anon_sym_AMP_AMP] = ACTIONS(5381),
    [anon_sym_AMP] = ACTIONS(5379),
    [anon_sym_SEMI] = ACTIONS(5381),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_in] = ACTIONS(5379),
    [anon_sym_out] = ACTIONS(5379),
    [anon_sym_inout] = ACTIONS(5379),
    [anon_sym_virtual] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym_COLON_COLON] = ACTIONS(5381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___based] = ACTIONS(5379),
    [anon_sym_RBRACE] = ACTIONS(5381),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_mutable] = ACTIONS(5379),
    [anon_sym_constinit] = ACTIONS(5379),
    [anon_sym_consteval] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [sym_primitive_type] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_class] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5379),
    [anon_sym_decltype] = ACTIONS(5379),
    [anon_sym_explicit] = ACTIONS(5379),
    [anon_sym_typename] = ACTIONS(5379),
    [anon_sym_template] = ACTIONS(5379),
    [anon_sym_operator] = ACTIONS(5379),
    [anon_sym_friend] = ACTIONS(5379),
    [anon_sym_public] = ACTIONS(5379),
    [anon_sym_private] = ACTIONS(5379),
    [anon_sym_protected] = ACTIONS(5379),
    [anon_sym_using] = ACTIONS(5379),
    [anon_sym_static_assert] = ACTIONS(5379),
    [anon_sym_precise] = ACTIONS(5379),
    [anon_sym_shared] = ACTIONS(5379),
    [anon_sym_groupshared] = ACTIONS(5379),
    [anon_sym_uniform] = ACTIONS(5379),
    [anon_sym_row_major] = ACTIONS(5379),
    [anon_sym_column_major] = ACTIONS(5379),
    [anon_sym_globallycoherent] = ACTIONS(5379),
    [anon_sym_centroid] = ACTIONS(5379),
    [anon_sym_noperspective] = ACTIONS(5379),
    [anon_sym_nointerpolation] = ACTIONS(5379),
    [anon_sym_sample] = ACTIONS(5379),
    [anon_sym_linear] = ACTIONS(5379),
    [anon_sym_snorm] = ACTIONS(5379),
    [anon_sym_unorm] = ACTIONS(5379),
    [anon_sym_point] = ACTIONS(5379),
    [anon_sym_line] = ACTIONS(5379),
    [anon_sym_triangleadj] = ACTIONS(5379),
    [anon_sym_lineadj] = ACTIONS(5379),
    [anon_sym_triangle] = ACTIONS(5379),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym__Nonnull] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym__Alignas] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_friend] = ACTIONS(2392),
    [anon_sym_public] = ACTIONS(2392),
    [anon_sym_private] = ACTIONS(2392),
    [anon_sym_protected] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_out] = ACTIONS(2618),
    [anon_sym_inout] = ACTIONS(2618),
    [anon_sym_virtual] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym_RBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_friend] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_precise] = ACTIONS(2618),
    [anon_sym_shared] = ACTIONS(2618),
    [anon_sym_groupshared] = ACTIONS(2618),
    [anon_sym_uniform] = ACTIONS(2618),
    [anon_sym_row_major] = ACTIONS(2618),
    [anon_sym_column_major] = ACTIONS(2618),
    [anon_sym_globallycoherent] = ACTIONS(2618),
    [anon_sym_centroid] = ACTIONS(2618),
    [anon_sym_noperspective] = ACTIONS(2618),
    [anon_sym_nointerpolation] = ACTIONS(2618),
    [anon_sym_sample] = ACTIONS(2618),
    [anon_sym_linear] = ACTIONS(2618),
    [anon_sym_snorm] = ACTIONS(2618),
    [anon_sym_unorm] = ACTIONS(2618),
    [anon_sym_point] = ACTIONS(2618),
    [anon_sym_line] = ACTIONS(2618),
    [anon_sym_triangleadj] = ACTIONS(2618),
    [anon_sym_lineadj] = ACTIONS(2618),
    [anon_sym_triangle] = ACTIONS(2618),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(5383),
    [aux_sym_preproc_def_token1] = ACTIONS(5383),
    [aux_sym_preproc_if_token1] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5383),
    [sym_preproc_directive] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5385),
    [anon_sym_TILDE] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_AMP_AMP] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5383),
    [anon_sym_SEMI] = ACTIONS(5385),
    [anon_sym___extension__] = ACTIONS(5383),
    [anon_sym_typedef] = ACTIONS(5383),
    [anon_sym_in] = ACTIONS(5383),
    [anon_sym_out] = ACTIONS(5383),
    [anon_sym_inout] = ACTIONS(5383),
    [anon_sym_virtual] = ACTIONS(5383),
    [anon_sym_extern] = ACTIONS(5383),
    [anon_sym___attribute__] = ACTIONS(5383),
    [anon_sym_COLON_COLON] = ACTIONS(5385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5385),
    [anon_sym___declspec] = ACTIONS(5383),
    [anon_sym___based] = ACTIONS(5383),
    [anon_sym_RBRACE] = ACTIONS(5385),
    [anon_sym_signed] = ACTIONS(5383),
    [anon_sym_unsigned] = ACTIONS(5383),
    [anon_sym_long] = ACTIONS(5383),
    [anon_sym_short] = ACTIONS(5383),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_static] = ACTIONS(5383),
    [anon_sym_register] = ACTIONS(5383),
    [anon_sym_inline] = ACTIONS(5383),
    [anon_sym___inline] = ACTIONS(5383),
    [anon_sym___inline__] = ACTIONS(5383),
    [anon_sym___forceinline] = ACTIONS(5383),
    [anon_sym_thread_local] = ACTIONS(5383),
    [anon_sym___thread] = ACTIONS(5383),
    [anon_sym_const] = ACTIONS(5383),
    [anon_sym_constexpr] = ACTIONS(5383),
    [anon_sym_volatile] = ACTIONS(5383),
    [anon_sym_restrict] = ACTIONS(5383),
    [anon_sym___restrict__] = ACTIONS(5383),
    [anon_sym__Atomic] = ACTIONS(5383),
    [anon_sym__Noreturn] = ACTIONS(5383),
    [anon_sym_noreturn] = ACTIONS(5383),
    [anon_sym__Nonnull] = ACTIONS(5383),
    [anon_sym_mutable] = ACTIONS(5383),
    [anon_sym_constinit] = ACTIONS(5383),
    [anon_sym_consteval] = ACTIONS(5383),
    [anon_sym_alignas] = ACTIONS(5383),
    [anon_sym__Alignas] = ACTIONS(5383),
    [sym_primitive_type] = ACTIONS(5383),
    [anon_sym_enum] = ACTIONS(5383),
    [anon_sym_class] = ACTIONS(5383),
    [anon_sym_struct] = ACTIONS(5383),
    [anon_sym_union] = ACTIONS(5383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5383),
    [anon_sym_decltype] = ACTIONS(5383),
    [anon_sym_explicit] = ACTIONS(5383),
    [anon_sym_typename] = ACTIONS(5383),
    [anon_sym_template] = ACTIONS(5383),
    [anon_sym_operator] = ACTIONS(5383),
    [anon_sym_friend] = ACTIONS(5383),
    [anon_sym_public] = ACTIONS(5383),
    [anon_sym_private] = ACTIONS(5383),
    [anon_sym_protected] = ACTIONS(5383),
    [anon_sym_using] = ACTIONS(5383),
    [anon_sym_static_assert] = ACTIONS(5383),
    [anon_sym_precise] = ACTIONS(5383),
    [anon_sym_shared] = ACTIONS(5383),
    [anon_sym_groupshared] = ACTIONS(5383),
    [anon_sym_uniform] = ACTIONS(5383),
    [anon_sym_row_major] = ACTIONS(5383),
    [anon_sym_column_major] = ACTIONS(5383),
    [anon_sym_globallycoherent] = ACTIONS(5383),
    [anon_sym_centroid] = ACTIONS(5383),
    [anon_sym_noperspective] = ACTIONS(5383),
    [anon_sym_nointerpolation] = ACTIONS(5383),
    [anon_sym_sample] = ACTIONS(5383),
    [anon_sym_linear] = ACTIONS(5383),
    [anon_sym_snorm] = ACTIONS(5383),
    [anon_sym_unorm] = ACTIONS(5383),
    [anon_sym_point] = ACTIONS(5383),
    [anon_sym_line] = ACTIONS(5383),
    [anon_sym_triangleadj] = ACTIONS(5383),
    [anon_sym_lineadj] = ACTIONS(5383),
    [anon_sym_triangle] = ACTIONS(5383),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(5387),
    [aux_sym_preproc_def_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5387),
    [sym_preproc_directive] = ACTIONS(5387),
    [anon_sym_LPAREN2] = ACTIONS(5389),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_STAR] = ACTIONS(5389),
    [anon_sym_AMP_AMP] = ACTIONS(5389),
    [anon_sym_AMP] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5389),
    [anon_sym___extension__] = ACTIONS(5387),
    [anon_sym_typedef] = ACTIONS(5387),
    [anon_sym_in] = ACTIONS(5387),
    [anon_sym_out] = ACTIONS(5387),
    [anon_sym_inout] = ACTIONS(5387),
    [anon_sym_virtual] = ACTIONS(5387),
    [anon_sym_extern] = ACTIONS(5387),
    [anon_sym___attribute__] = ACTIONS(5387),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5389),
    [anon_sym___declspec] = ACTIONS(5387),
    [anon_sym___based] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5389),
    [anon_sym_signed] = ACTIONS(5387),
    [anon_sym_unsigned] = ACTIONS(5387),
    [anon_sym_long] = ACTIONS(5387),
    [anon_sym_short] = ACTIONS(5387),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_static] = ACTIONS(5387),
    [anon_sym_register] = ACTIONS(5387),
    [anon_sym_inline] = ACTIONS(5387),
    [anon_sym___inline] = ACTIONS(5387),
    [anon_sym___inline__] = ACTIONS(5387),
    [anon_sym___forceinline] = ACTIONS(5387),
    [anon_sym_thread_local] = ACTIONS(5387),
    [anon_sym___thread] = ACTIONS(5387),
    [anon_sym_const] = ACTIONS(5387),
    [anon_sym_constexpr] = ACTIONS(5387),
    [anon_sym_volatile] = ACTIONS(5387),
    [anon_sym_restrict] = ACTIONS(5387),
    [anon_sym___restrict__] = ACTIONS(5387),
    [anon_sym__Atomic] = ACTIONS(5387),
    [anon_sym__Noreturn] = ACTIONS(5387),
    [anon_sym_noreturn] = ACTIONS(5387),
    [anon_sym__Nonnull] = ACTIONS(5387),
    [anon_sym_mutable] = ACTIONS(5387),
    [anon_sym_constinit] = ACTIONS(5387),
    [anon_sym_consteval] = ACTIONS(5387),
    [anon_sym_alignas] = ACTIONS(5387),
    [anon_sym__Alignas] = ACTIONS(5387),
    [sym_primitive_type] = ACTIONS(5387),
    [anon_sym_enum] = ACTIONS(5387),
    [anon_sym_class] = ACTIONS(5387),
    [anon_sym_struct] = ACTIONS(5387),
    [anon_sym_union] = ACTIONS(5387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5387),
    [anon_sym_decltype] = ACTIONS(5387),
    [anon_sym_explicit] = ACTIONS(5387),
    [anon_sym_typename] = ACTIONS(5387),
    [anon_sym_template] = ACTIONS(5387),
    [anon_sym_operator] = ACTIONS(5387),
    [anon_sym_friend] = ACTIONS(5387),
    [anon_sym_public] = ACTIONS(5387),
    [anon_sym_private] = ACTIONS(5387),
    [anon_sym_protected] = ACTIONS(5387),
    [anon_sym_using] = ACTIONS(5387),
    [anon_sym_static_assert] = ACTIONS(5387),
    [anon_sym_precise] = ACTIONS(5387),
    [anon_sym_shared] = ACTIONS(5387),
    [anon_sym_groupshared] = ACTIONS(5387),
    [anon_sym_uniform] = ACTIONS(5387),
    [anon_sym_row_major] = ACTIONS(5387),
    [anon_sym_column_major] = ACTIONS(5387),
    [anon_sym_globallycoherent] = ACTIONS(5387),
    [anon_sym_centroid] = ACTIONS(5387),
    [anon_sym_noperspective] = ACTIONS(5387),
    [anon_sym_nointerpolation] = ACTIONS(5387),
    [anon_sym_sample] = ACTIONS(5387),
    [anon_sym_linear] = ACTIONS(5387),
    [anon_sym_snorm] = ACTIONS(5387),
    [anon_sym_unorm] = ACTIONS(5387),
    [anon_sym_point] = ACTIONS(5387),
    [anon_sym_line] = ACTIONS(5387),
    [anon_sym_triangleadj] = ACTIONS(5387),
    [anon_sym_lineadj] = ACTIONS(5387),
    [anon_sym_triangle] = ACTIONS(5387),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(5387),
    [aux_sym_preproc_def_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5387),
    [sym_preproc_directive] = ACTIONS(5387),
    [anon_sym_LPAREN2] = ACTIONS(5389),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_STAR] = ACTIONS(5389),
    [anon_sym_AMP_AMP] = ACTIONS(5389),
    [anon_sym_AMP] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5389),
    [anon_sym___extension__] = ACTIONS(5387),
    [anon_sym_typedef] = ACTIONS(5387),
    [anon_sym_in] = ACTIONS(5387),
    [anon_sym_out] = ACTIONS(5387),
    [anon_sym_inout] = ACTIONS(5387),
    [anon_sym_virtual] = ACTIONS(5387),
    [anon_sym_extern] = ACTIONS(5387),
    [anon_sym___attribute__] = ACTIONS(5387),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5389),
    [anon_sym___declspec] = ACTIONS(5387),
    [anon_sym___based] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5389),
    [anon_sym_signed] = ACTIONS(5387),
    [anon_sym_unsigned] = ACTIONS(5387),
    [anon_sym_long] = ACTIONS(5387),
    [anon_sym_short] = ACTIONS(5387),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_static] = ACTIONS(5387),
    [anon_sym_register] = ACTIONS(5387),
    [anon_sym_inline] = ACTIONS(5387),
    [anon_sym___inline] = ACTIONS(5387),
    [anon_sym___inline__] = ACTIONS(5387),
    [anon_sym___forceinline] = ACTIONS(5387),
    [anon_sym_thread_local] = ACTIONS(5387),
    [anon_sym___thread] = ACTIONS(5387),
    [anon_sym_const] = ACTIONS(5387),
    [anon_sym_constexpr] = ACTIONS(5387),
    [anon_sym_volatile] = ACTIONS(5387),
    [anon_sym_restrict] = ACTIONS(5387),
    [anon_sym___restrict__] = ACTIONS(5387),
    [anon_sym__Atomic] = ACTIONS(5387),
    [anon_sym__Noreturn] = ACTIONS(5387),
    [anon_sym_noreturn] = ACTIONS(5387),
    [anon_sym__Nonnull] = ACTIONS(5387),
    [anon_sym_mutable] = ACTIONS(5387),
    [anon_sym_constinit] = ACTIONS(5387),
    [anon_sym_consteval] = ACTIONS(5387),
    [anon_sym_alignas] = ACTIONS(5387),
    [anon_sym__Alignas] = ACTIONS(5387),
    [sym_primitive_type] = ACTIONS(5387),
    [anon_sym_enum] = ACTIONS(5387),
    [anon_sym_class] = ACTIONS(5387),
    [anon_sym_struct] = ACTIONS(5387),
    [anon_sym_union] = ACTIONS(5387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5387),
    [anon_sym_decltype] = ACTIONS(5387),
    [anon_sym_explicit] = ACTIONS(5387),
    [anon_sym_typename] = ACTIONS(5387),
    [anon_sym_template] = ACTIONS(5387),
    [anon_sym_operator] = ACTIONS(5387),
    [anon_sym_friend] = ACTIONS(5387),
    [anon_sym_public] = ACTIONS(5387),
    [anon_sym_private] = ACTIONS(5387),
    [anon_sym_protected] = ACTIONS(5387),
    [anon_sym_using] = ACTIONS(5387),
    [anon_sym_static_assert] = ACTIONS(5387),
    [anon_sym_precise] = ACTIONS(5387),
    [anon_sym_shared] = ACTIONS(5387),
    [anon_sym_groupshared] = ACTIONS(5387),
    [anon_sym_uniform] = ACTIONS(5387),
    [anon_sym_row_major] = ACTIONS(5387),
    [anon_sym_column_major] = ACTIONS(5387),
    [anon_sym_globallycoherent] = ACTIONS(5387),
    [anon_sym_centroid] = ACTIONS(5387),
    [anon_sym_noperspective] = ACTIONS(5387),
    [anon_sym_nointerpolation] = ACTIONS(5387),
    [anon_sym_sample] = ACTIONS(5387),
    [anon_sym_linear] = ACTIONS(5387),
    [anon_sym_snorm] = ACTIONS(5387),
    [anon_sym_unorm] = ACTIONS(5387),
    [anon_sym_point] = ACTIONS(5387),
    [anon_sym_line] = ACTIONS(5387),
    [anon_sym_triangleadj] = ACTIONS(5387),
    [anon_sym_lineadj] = ACTIONS(5387),
    [anon_sym_triangle] = ACTIONS(5387),
  },
  [2104] = {
    [sym_identifier] = ACTIONS(5387),
    [aux_sym_preproc_def_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5387),
    [sym_preproc_directive] = ACTIONS(5387),
    [anon_sym_LPAREN2] = ACTIONS(5389),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_STAR] = ACTIONS(5389),
    [anon_sym_AMP_AMP] = ACTIONS(5389),
    [anon_sym_AMP] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5389),
    [anon_sym___extension__] = ACTIONS(5387),
    [anon_sym_typedef] = ACTIONS(5387),
    [anon_sym_in] = ACTIONS(5387),
    [anon_sym_out] = ACTIONS(5387),
    [anon_sym_inout] = ACTIONS(5387),
    [anon_sym_virtual] = ACTIONS(5387),
    [anon_sym_extern] = ACTIONS(5387),
    [anon_sym___attribute__] = ACTIONS(5387),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5389),
    [anon_sym___declspec] = ACTIONS(5387),
    [anon_sym___based] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5389),
    [anon_sym_signed] = ACTIONS(5387),
    [anon_sym_unsigned] = ACTIONS(5387),
    [anon_sym_long] = ACTIONS(5387),
    [anon_sym_short] = ACTIONS(5387),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_static] = ACTIONS(5387),
    [anon_sym_register] = ACTIONS(5387),
    [anon_sym_inline] = ACTIONS(5387),
    [anon_sym___inline] = ACTIONS(5387),
    [anon_sym___inline__] = ACTIONS(5387),
    [anon_sym___forceinline] = ACTIONS(5387),
    [anon_sym_thread_local] = ACTIONS(5387),
    [anon_sym___thread] = ACTIONS(5387),
    [anon_sym_const] = ACTIONS(5387),
    [anon_sym_constexpr] = ACTIONS(5387),
    [anon_sym_volatile] = ACTIONS(5387),
    [anon_sym_restrict] = ACTIONS(5387),
    [anon_sym___restrict__] = ACTIONS(5387),
    [anon_sym__Atomic] = ACTIONS(5387),
    [anon_sym__Noreturn] = ACTIONS(5387),
    [anon_sym_noreturn] = ACTIONS(5387),
    [anon_sym__Nonnull] = ACTIONS(5387),
    [anon_sym_mutable] = ACTIONS(5387),
    [anon_sym_constinit] = ACTIONS(5387),
    [anon_sym_consteval] = ACTIONS(5387),
    [anon_sym_alignas] = ACTIONS(5387),
    [anon_sym__Alignas] = ACTIONS(5387),
    [sym_primitive_type] = ACTIONS(5387),
    [anon_sym_enum] = ACTIONS(5387),
    [anon_sym_class] = ACTIONS(5387),
    [anon_sym_struct] = ACTIONS(5387),
    [anon_sym_union] = ACTIONS(5387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5387),
    [anon_sym_decltype] = ACTIONS(5387),
    [anon_sym_explicit] = ACTIONS(5387),
    [anon_sym_typename] = ACTIONS(5387),
    [anon_sym_template] = ACTIONS(5387),
    [anon_sym_operator] = ACTIONS(5387),
    [anon_sym_friend] = ACTIONS(5387),
    [anon_sym_public] = ACTIONS(5387),
    [anon_sym_private] = ACTIONS(5387),
    [anon_sym_protected] = ACTIONS(5387),
    [anon_sym_using] = ACTIONS(5387),
    [anon_sym_static_assert] = ACTIONS(5387),
    [anon_sym_precise] = ACTIONS(5387),
    [anon_sym_shared] = ACTIONS(5387),
    [anon_sym_groupshared] = ACTIONS(5387),
    [anon_sym_uniform] = ACTIONS(5387),
    [anon_sym_row_major] = ACTIONS(5387),
    [anon_sym_column_major] = ACTIONS(5387),
    [anon_sym_globallycoherent] = ACTIONS(5387),
    [anon_sym_centroid] = ACTIONS(5387),
    [anon_sym_noperspective] = ACTIONS(5387),
    [anon_sym_nointerpolation] = ACTIONS(5387),
    [anon_sym_sample] = ACTIONS(5387),
    [anon_sym_linear] = ACTIONS(5387),
    [anon_sym_snorm] = ACTIONS(5387),
    [anon_sym_unorm] = ACTIONS(5387),
    [anon_sym_point] = ACTIONS(5387),
    [anon_sym_line] = ACTIONS(5387),
    [anon_sym_triangleadj] = ACTIONS(5387),
    [anon_sym_lineadj] = ACTIONS(5387),
    [anon_sym_triangle] = ACTIONS(5387),
  },
  [2105] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_out] = ACTIONS(2618),
    [anon_sym_inout] = ACTIONS(2618),
    [anon_sym_virtual] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_friend] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_precise] = ACTIONS(2618),
    [anon_sym_shared] = ACTIONS(2618),
    [anon_sym_groupshared] = ACTIONS(2618),
    [anon_sym_uniform] = ACTIONS(2618),
    [anon_sym_row_major] = ACTIONS(2618),
    [anon_sym_column_major] = ACTIONS(2618),
    [anon_sym_globallycoherent] = ACTIONS(2618),
    [anon_sym_centroid] = ACTIONS(2618),
    [anon_sym_noperspective] = ACTIONS(2618),
    [anon_sym_nointerpolation] = ACTIONS(2618),
    [anon_sym_sample] = ACTIONS(2618),
    [anon_sym_linear] = ACTIONS(2618),
    [anon_sym_snorm] = ACTIONS(2618),
    [anon_sym_unorm] = ACTIONS(2618),
    [anon_sym_point] = ACTIONS(2618),
    [anon_sym_line] = ACTIONS(2618),
    [anon_sym_triangleadj] = ACTIONS(2618),
    [anon_sym_lineadj] = ACTIONS(2618),
    [anon_sym_triangle] = ACTIONS(2618),
  },
  [2107] = {
    [sym_identifier] = ACTIONS(5467),
    [aux_sym_preproc_def_token1] = ACTIONS(5467),
    [aux_sym_preproc_if_token1] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5467),
    [sym_preproc_directive] = ACTIONS(5467),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_TILDE] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5467),
    [anon_sym_SEMI] = ACTIONS(5469),
    [anon_sym___extension__] = ACTIONS(5467),
    [anon_sym_typedef] = ACTIONS(5467),
    [anon_sym_in] = ACTIONS(5467),
    [anon_sym_out] = ACTIONS(5467),
    [anon_sym_inout] = ACTIONS(5467),
    [anon_sym_virtual] = ACTIONS(5467),
    [anon_sym_extern] = ACTIONS(5467),
    [anon_sym___attribute__] = ACTIONS(5467),
    [anon_sym_COLON_COLON] = ACTIONS(5469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5469),
    [anon_sym___declspec] = ACTIONS(5467),
    [anon_sym___based] = ACTIONS(5467),
    [anon_sym_RBRACE] = ACTIONS(5469),
    [anon_sym_signed] = ACTIONS(5467),
    [anon_sym_unsigned] = ACTIONS(5467),
    [anon_sym_long] = ACTIONS(5467),
    [anon_sym_short] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym_static] = ACTIONS(5467),
    [anon_sym_register] = ACTIONS(5467),
    [anon_sym_inline] = ACTIONS(5467),
    [anon_sym___inline] = ACTIONS(5467),
    [anon_sym___inline__] = ACTIONS(5467),
    [anon_sym___forceinline] = ACTIONS(5467),
    [anon_sym_thread_local] = ACTIONS(5467),
    [anon_sym___thread] = ACTIONS(5467),
    [anon_sym_const] = ACTIONS(5467),
    [anon_sym_constexpr] = ACTIONS(5467),
    [anon_sym_volatile] = ACTIONS(5467),
    [anon_sym_restrict] = ACTIONS(5467),
    [anon_sym___restrict__] = ACTIONS(5467),
    [anon_sym__Atomic] = ACTIONS(5467),
    [anon_sym__Noreturn] = ACTIONS(5467),
    [anon_sym_noreturn] = ACTIONS(5467),
    [anon_sym__Nonnull] = ACTIONS(5467),
    [anon_sym_mutable] = ACTIONS(5467),
    [anon_sym_constinit] = ACTIONS(5467),
    [anon_sym_consteval] = ACTIONS(5467),
    [anon_sym_alignas] = ACTIONS(5467),
    [anon_sym__Alignas] = ACTIONS(5467),
    [sym_primitive_type] = ACTIONS(5467),
    [anon_sym_enum] = ACTIONS(5467),
    [anon_sym_class] = ACTIONS(5467),
    [anon_sym_struct] = ACTIONS(5467),
    [anon_sym_union] = ACTIONS(5467),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5467),
    [anon_sym_decltype] = ACTIONS(5467),
    [anon_sym_explicit] = ACTIONS(5467),
    [anon_sym_typename] = ACTIONS(5467),
    [anon_sym_template] = ACTIONS(5467),
    [anon_sym_operator] = ACTIONS(5467),
    [anon_sym_friend] = ACTIONS(5467),
    [anon_sym_public] = ACTIONS(5467),
    [anon_sym_private] = ACTIONS(5467),
    [anon_sym_protected] = ACTIONS(5467),
    [anon_sym_using] = ACTIONS(5467),
    [anon_sym_static_assert] = ACTIONS(5467),
    [anon_sym_precise] = ACTIONS(5467),
    [anon_sym_shared] = ACTIONS(5467),
    [anon_sym_groupshared] = ACTIONS(5467),
    [anon_sym_uniform] = ACTIONS(5467),
    [anon_sym_row_major] = ACTIONS(5467),
    [anon_sym_column_major] = ACTIONS(5467),
    [anon_sym_globallycoherent] = ACTIONS(5467),
    [anon_sym_centroid] = ACTIONS(5467),
    [anon_sym_noperspective] = ACTIONS(5467),
    [anon_sym_nointerpolation] = ACTIONS(5467),
    [anon_sym_sample] = ACTIONS(5467),
    [anon_sym_linear] = ACTIONS(5467),
    [anon_sym_snorm] = ACTIONS(5467),
    [anon_sym_unorm] = ACTIONS(5467),
    [anon_sym_point] = ACTIONS(5467),
    [anon_sym_line] = ACTIONS(5467),
    [anon_sym_triangleadj] = ACTIONS(5467),
    [anon_sym_lineadj] = ACTIONS(5467),
    [anon_sym_triangle] = ACTIONS(5467),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(5383),
    [aux_sym_preproc_def_token1] = ACTIONS(5383),
    [aux_sym_preproc_if_token1] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5383),
    [sym_preproc_directive] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5385),
    [anon_sym_TILDE] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_AMP_AMP] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5383),
    [anon_sym_SEMI] = ACTIONS(5385),
    [anon_sym___extension__] = ACTIONS(5383),
    [anon_sym_typedef] = ACTIONS(5383),
    [anon_sym_in] = ACTIONS(5383),
    [anon_sym_out] = ACTIONS(5383),
    [anon_sym_inout] = ACTIONS(5383),
    [anon_sym_virtual] = ACTIONS(5383),
    [anon_sym_extern] = ACTIONS(5383),
    [anon_sym___attribute__] = ACTIONS(5383),
    [anon_sym_COLON_COLON] = ACTIONS(5385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5385),
    [anon_sym___declspec] = ACTIONS(5383),
    [anon_sym___based] = ACTIONS(5383),
    [anon_sym_RBRACE] = ACTIONS(5385),
    [anon_sym_signed] = ACTIONS(5383),
    [anon_sym_unsigned] = ACTIONS(5383),
    [anon_sym_long] = ACTIONS(5383),
    [anon_sym_short] = ACTIONS(5383),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_static] = ACTIONS(5383),
    [anon_sym_register] = ACTIONS(5383),
    [anon_sym_inline] = ACTIONS(5383),
    [anon_sym___inline] = ACTIONS(5383),
    [anon_sym___inline__] = ACTIONS(5383),
    [anon_sym___forceinline] = ACTIONS(5383),
    [anon_sym_thread_local] = ACTIONS(5383),
    [anon_sym___thread] = ACTIONS(5383),
    [anon_sym_const] = ACTIONS(5383),
    [anon_sym_constexpr] = ACTIONS(5383),
    [anon_sym_volatile] = ACTIONS(5383),
    [anon_sym_restrict] = ACTIONS(5383),
    [anon_sym___restrict__] = ACTIONS(5383),
    [anon_sym__Atomic] = ACTIONS(5383),
    [anon_sym__Noreturn] = ACTIONS(5383),
    [anon_sym_noreturn] = ACTIONS(5383),
    [anon_sym__Nonnull] = ACTIONS(5383),
    [anon_sym_mutable] = ACTIONS(5383),
    [anon_sym_constinit] = ACTIONS(5383),
    [anon_sym_consteval] = ACTIONS(5383),
    [anon_sym_alignas] = ACTIONS(5383),
    [anon_sym__Alignas] = ACTIONS(5383),
    [sym_primitive_type] = ACTIONS(5383),
    [anon_sym_enum] = ACTIONS(5383),
    [anon_sym_class] = ACTIONS(5383),
    [anon_sym_struct] = ACTIONS(5383),
    [anon_sym_union] = ACTIONS(5383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5383),
    [anon_sym_decltype] = ACTIONS(5383),
    [anon_sym_explicit] = ACTIONS(5383),
    [anon_sym_typename] = ACTIONS(5383),
    [anon_sym_template] = ACTIONS(5383),
    [anon_sym_operator] = ACTIONS(5383),
    [anon_sym_friend] = ACTIONS(5383),
    [anon_sym_public] = ACTIONS(5383),
    [anon_sym_private] = ACTIONS(5383),
    [anon_sym_protected] = ACTIONS(5383),
    [anon_sym_using] = ACTIONS(5383),
    [anon_sym_static_assert] = ACTIONS(5383),
    [anon_sym_precise] = ACTIONS(5383),
    [anon_sym_shared] = ACTIONS(5383),
    [anon_sym_groupshared] = ACTIONS(5383),
    [anon_sym_uniform] = ACTIONS(5383),
    [anon_sym_row_major] = ACTIONS(5383),
    [anon_sym_column_major] = ACTIONS(5383),
    [anon_sym_globallycoherent] = ACTIONS(5383),
    [anon_sym_centroid] = ACTIONS(5383),
    [anon_sym_noperspective] = ACTIONS(5383),
    [anon_sym_nointerpolation] = ACTIONS(5383),
    [anon_sym_sample] = ACTIONS(5383),
    [anon_sym_linear] = ACTIONS(5383),
    [anon_sym_snorm] = ACTIONS(5383),
    [anon_sym_unorm] = ACTIONS(5383),
    [anon_sym_point] = ACTIONS(5383),
    [anon_sym_line] = ACTIONS(5383),
    [anon_sym_triangleadj] = ACTIONS(5383),
    [anon_sym_lineadj] = ACTIONS(5383),
    [anon_sym_triangle] = ACTIONS(5383),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(5467),
    [aux_sym_preproc_def_token1] = ACTIONS(5467),
    [aux_sym_preproc_if_token1] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5467),
    [sym_preproc_directive] = ACTIONS(5467),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_TILDE] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5467),
    [anon_sym_SEMI] = ACTIONS(5469),
    [anon_sym___extension__] = ACTIONS(5467),
    [anon_sym_typedef] = ACTIONS(5467),
    [anon_sym_in] = ACTIONS(5467),
    [anon_sym_out] = ACTIONS(5467),
    [anon_sym_inout] = ACTIONS(5467),
    [anon_sym_virtual] = ACTIONS(5467),
    [anon_sym_extern] = ACTIONS(5467),
    [anon_sym___attribute__] = ACTIONS(5467),
    [anon_sym_COLON_COLON] = ACTIONS(5469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5469),
    [anon_sym___declspec] = ACTIONS(5467),
    [anon_sym___based] = ACTIONS(5467),
    [anon_sym_RBRACE] = ACTIONS(5469),
    [anon_sym_signed] = ACTIONS(5467),
    [anon_sym_unsigned] = ACTIONS(5467),
    [anon_sym_long] = ACTIONS(5467),
    [anon_sym_short] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym_static] = ACTIONS(5467),
    [anon_sym_register] = ACTIONS(5467),
    [anon_sym_inline] = ACTIONS(5467),
    [anon_sym___inline] = ACTIONS(5467),
    [anon_sym___inline__] = ACTIONS(5467),
    [anon_sym___forceinline] = ACTIONS(5467),
    [anon_sym_thread_local] = ACTIONS(5467),
    [anon_sym___thread] = ACTIONS(5467),
    [anon_sym_const] = ACTIONS(5467),
    [anon_sym_constexpr] = ACTIONS(5467),
    [anon_sym_volatile] = ACTIONS(5467),
    [anon_sym_restrict] = ACTIONS(5467),
    [anon_sym___restrict__] = ACTIONS(5467),
    [anon_sym__Atomic] = ACTIONS(5467),
    [anon_sym__Noreturn] = ACTIONS(5467),
    [anon_sym_noreturn] = ACTIONS(5467),
    [anon_sym__Nonnull] = ACTIONS(5467),
    [anon_sym_mutable] = ACTIONS(5467),
    [anon_sym_constinit] = ACTIONS(5467),
    [anon_sym_consteval] = ACTIONS(5467),
    [anon_sym_alignas] = ACTIONS(5467),
    [anon_sym__Alignas] = ACTIONS(5467),
    [sym_primitive_type] = ACTIONS(5467),
    [anon_sym_enum] = ACTIONS(5467),
    [anon_sym_class] = ACTIONS(5467),
    [anon_sym_struct] = ACTIONS(5467),
    [anon_sym_union] = ACTIONS(5467),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5467),
    [anon_sym_decltype] = ACTIONS(5467),
    [anon_sym_explicit] = ACTIONS(5467),
    [anon_sym_typename] = ACTIONS(5467),
    [anon_sym_template] = ACTIONS(5467),
    [anon_sym_operator] = ACTIONS(5467),
    [anon_sym_friend] = ACTIONS(5467),
    [anon_sym_public] = ACTIONS(5467),
    [anon_sym_private] = ACTIONS(5467),
    [anon_sym_protected] = ACTIONS(5467),
    [anon_sym_using] = ACTIONS(5467),
    [anon_sym_static_assert] = ACTIONS(5467),
    [anon_sym_precise] = ACTIONS(5467),
    [anon_sym_shared] = ACTIONS(5467),
    [anon_sym_groupshared] = ACTIONS(5467),
    [anon_sym_uniform] = ACTIONS(5467),
    [anon_sym_row_major] = ACTIONS(5467),
    [anon_sym_column_major] = ACTIONS(5467),
    [anon_sym_globallycoherent] = ACTIONS(5467),
    [anon_sym_centroid] = ACTIONS(5467),
    [anon_sym_noperspective] = ACTIONS(5467),
    [anon_sym_nointerpolation] = ACTIONS(5467),
    [anon_sym_sample] = ACTIONS(5467),
    [anon_sym_linear] = ACTIONS(5467),
    [anon_sym_snorm] = ACTIONS(5467),
    [anon_sym_unorm] = ACTIONS(5467),
    [anon_sym_point] = ACTIONS(5467),
    [anon_sym_line] = ACTIONS(5467),
    [anon_sym_triangleadj] = ACTIONS(5467),
    [anon_sym_lineadj] = ACTIONS(5467),
    [anon_sym_triangle] = ACTIONS(5467),
  },
  [2110] = {
    [sym_identifier] = ACTIONS(5363),
    [aux_sym_preproc_def_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5363),
    [sym_preproc_directive] = ACTIONS(5363),
    [anon_sym_LPAREN2] = ACTIONS(5365),
    [anon_sym_TILDE] = ACTIONS(5365),
    [anon_sym_STAR] = ACTIONS(5365),
    [anon_sym_AMP_AMP] = ACTIONS(5365),
    [anon_sym_AMP] = ACTIONS(5363),
    [anon_sym_SEMI] = ACTIONS(5365),
    [anon_sym___extension__] = ACTIONS(5363),
    [anon_sym_typedef] = ACTIONS(5363),
    [anon_sym_in] = ACTIONS(5363),
    [anon_sym_out] = ACTIONS(5363),
    [anon_sym_inout] = ACTIONS(5363),
    [anon_sym_virtual] = ACTIONS(5363),
    [anon_sym_extern] = ACTIONS(5363),
    [anon_sym___attribute__] = ACTIONS(5363),
    [anon_sym_COLON_COLON] = ACTIONS(5365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5365),
    [anon_sym___declspec] = ACTIONS(5363),
    [anon_sym___based] = ACTIONS(5363),
    [anon_sym_RBRACE] = ACTIONS(5365),
    [anon_sym_signed] = ACTIONS(5363),
    [anon_sym_unsigned] = ACTIONS(5363),
    [anon_sym_long] = ACTIONS(5363),
    [anon_sym_short] = ACTIONS(5363),
    [anon_sym_LBRACK] = ACTIONS(5363),
    [anon_sym_static] = ACTIONS(5363),
    [anon_sym_register] = ACTIONS(5363),
    [anon_sym_inline] = ACTIONS(5363),
    [anon_sym___inline] = ACTIONS(5363),
    [anon_sym___inline__] = ACTIONS(5363),
    [anon_sym___forceinline] = ACTIONS(5363),
    [anon_sym_thread_local] = ACTIONS(5363),
    [anon_sym___thread] = ACTIONS(5363),
    [anon_sym_const] = ACTIONS(5363),
    [anon_sym_constexpr] = ACTIONS(5363),
    [anon_sym_volatile] = ACTIONS(5363),
    [anon_sym_restrict] = ACTIONS(5363),
    [anon_sym___restrict__] = ACTIONS(5363),
    [anon_sym__Atomic] = ACTIONS(5363),
    [anon_sym__Noreturn] = ACTIONS(5363),
    [anon_sym_noreturn] = ACTIONS(5363),
    [anon_sym__Nonnull] = ACTIONS(5363),
    [anon_sym_mutable] = ACTIONS(5363),
    [anon_sym_constinit] = ACTIONS(5363),
    [anon_sym_consteval] = ACTIONS(5363),
    [anon_sym_alignas] = ACTIONS(5363),
    [anon_sym__Alignas] = ACTIONS(5363),
    [sym_primitive_type] = ACTIONS(5363),
    [anon_sym_enum] = ACTIONS(5363),
    [anon_sym_class] = ACTIONS(5363),
    [anon_sym_struct] = ACTIONS(5363),
    [anon_sym_union] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5363),
    [anon_sym_decltype] = ACTIONS(5363),
    [anon_sym_explicit] = ACTIONS(5363),
    [anon_sym_typename] = ACTIONS(5363),
    [anon_sym_template] = ACTIONS(5363),
    [anon_sym_operator] = ACTIONS(5363),
    [anon_sym_friend] = ACTIONS(5363),
    [anon_sym_public] = ACTIONS(5363),
    [anon_sym_private] = ACTIONS(5363),
    [anon_sym_protected] = ACTIONS(5363),
    [anon_sym_using] = ACTIONS(5363),
    [anon_sym_static_assert] = ACTIONS(5363),
    [anon_sym_precise] = ACTIONS(5363),
    [anon_sym_shared] = ACTIONS(5363),
    [anon_sym_groupshared] = ACTIONS(5363),
    [anon_sym_uniform] = ACTIONS(5363),
    [anon_sym_row_major] = ACTIONS(5363),
    [anon_sym_column_major] = ACTIONS(5363),
    [anon_sym_globallycoherent] = ACTIONS(5363),
    [anon_sym_centroid] = ACTIONS(5363),
    [anon_sym_noperspective] = ACTIONS(5363),
    [anon_sym_nointerpolation] = ACTIONS(5363),
    [anon_sym_sample] = ACTIONS(5363),
    [anon_sym_linear] = ACTIONS(5363),
    [anon_sym_snorm] = ACTIONS(5363),
    [anon_sym_unorm] = ACTIONS(5363),
    [anon_sym_point] = ACTIONS(5363),
    [anon_sym_line] = ACTIONS(5363),
    [anon_sym_triangleadj] = ACTIONS(5363),
    [anon_sym_lineadj] = ACTIONS(5363),
    [anon_sym_triangle] = ACTIONS(5363),
  },
  [2111] = {
    [sym_identifier] = ACTIONS(5447),
    [aux_sym_preproc_def_token1] = ACTIONS(5447),
    [aux_sym_preproc_if_token1] = ACTIONS(5447),
    [aux_sym_preproc_if_token2] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5447),
    [sym_preproc_directive] = ACTIONS(5447),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_TILDE] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_AMP_AMP] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5447),
    [anon_sym_SEMI] = ACTIONS(5449),
    [anon_sym___extension__] = ACTIONS(5447),
    [anon_sym_typedef] = ACTIONS(5447),
    [anon_sym_in] = ACTIONS(5447),
    [anon_sym_out] = ACTIONS(5447),
    [anon_sym_inout] = ACTIONS(5447),
    [anon_sym_virtual] = ACTIONS(5447),
    [anon_sym_extern] = ACTIONS(5447),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5449),
    [anon_sym___declspec] = ACTIONS(5447),
    [anon_sym___based] = ACTIONS(5447),
    [anon_sym_signed] = ACTIONS(5447),
    [anon_sym_unsigned] = ACTIONS(5447),
    [anon_sym_long] = ACTIONS(5447),
    [anon_sym_short] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym_static] = ACTIONS(5447),
    [anon_sym_register] = ACTIONS(5447),
    [anon_sym_inline] = ACTIONS(5447),
    [anon_sym___inline] = ACTIONS(5447),
    [anon_sym___inline__] = ACTIONS(5447),
    [anon_sym___forceinline] = ACTIONS(5447),
    [anon_sym_thread_local] = ACTIONS(5447),
    [anon_sym___thread] = ACTIONS(5447),
    [anon_sym_const] = ACTIONS(5447),
    [anon_sym_constexpr] = ACTIONS(5447),
    [anon_sym_volatile] = ACTIONS(5447),
    [anon_sym_restrict] = ACTIONS(5447),
    [anon_sym___restrict__] = ACTIONS(5447),
    [anon_sym__Atomic] = ACTIONS(5447),
    [anon_sym__Noreturn] = ACTIONS(5447),
    [anon_sym_noreturn] = ACTIONS(5447),
    [anon_sym__Nonnull] = ACTIONS(5447),
    [anon_sym_mutable] = ACTIONS(5447),
    [anon_sym_constinit] = ACTIONS(5447),
    [anon_sym_consteval] = ACTIONS(5447),
    [anon_sym_alignas] = ACTIONS(5447),
    [anon_sym__Alignas] = ACTIONS(5447),
    [sym_primitive_type] = ACTIONS(5447),
    [anon_sym_enum] = ACTIONS(5447),
    [anon_sym_class] = ACTIONS(5447),
    [anon_sym_struct] = ACTIONS(5447),
    [anon_sym_union] = ACTIONS(5447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5447),
    [anon_sym_decltype] = ACTIONS(5447),
    [anon_sym_explicit] = ACTIONS(5447),
    [anon_sym_typename] = ACTIONS(5447),
    [anon_sym_template] = ACTIONS(5447),
    [anon_sym_operator] = ACTIONS(5447),
    [anon_sym_friend] = ACTIONS(5447),
    [anon_sym_public] = ACTIONS(5447),
    [anon_sym_private] = ACTIONS(5447),
    [anon_sym_protected] = ACTIONS(5447),
    [anon_sym_using] = ACTIONS(5447),
    [anon_sym_static_assert] = ACTIONS(5447),
    [anon_sym_precise] = ACTIONS(5447),
    [anon_sym_shared] = ACTIONS(5447),
    [anon_sym_groupshared] = ACTIONS(5447),
    [anon_sym_uniform] = ACTIONS(5447),
    [anon_sym_row_major] = ACTIONS(5447),
    [anon_sym_column_major] = ACTIONS(5447),
    [anon_sym_globallycoherent] = ACTIONS(5447),
    [anon_sym_centroid] = ACTIONS(5447),
    [anon_sym_noperspective] = ACTIONS(5447),
    [anon_sym_nointerpolation] = ACTIONS(5447),
    [anon_sym_sample] = ACTIONS(5447),
    [anon_sym_linear] = ACTIONS(5447),
    [anon_sym_snorm] = ACTIONS(5447),
    [anon_sym_unorm] = ACTIONS(5447),
    [anon_sym_point] = ACTIONS(5447),
    [anon_sym_line] = ACTIONS(5447),
    [anon_sym_triangleadj] = ACTIONS(5447),
    [anon_sym_lineadj] = ACTIONS(5447),
    [anon_sym_triangle] = ACTIONS(5447),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(5367),
    [aux_sym_preproc_def_token1] = ACTIONS(5367),
    [aux_sym_preproc_if_token1] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5367),
    [sym_preproc_directive] = ACTIONS(5367),
    [anon_sym_LPAREN2] = ACTIONS(5369),
    [anon_sym_TILDE] = ACTIONS(5369),
    [anon_sym_STAR] = ACTIONS(5369),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_AMP] = ACTIONS(5367),
    [anon_sym_SEMI] = ACTIONS(5369),
    [anon_sym___extension__] = ACTIONS(5367),
    [anon_sym_typedef] = ACTIONS(5367),
    [anon_sym_in] = ACTIONS(5367),
    [anon_sym_out] = ACTIONS(5367),
    [anon_sym_inout] = ACTIONS(5367),
    [anon_sym_virtual] = ACTIONS(5367),
    [anon_sym_extern] = ACTIONS(5367),
    [anon_sym___attribute__] = ACTIONS(5367),
    [anon_sym_COLON_COLON] = ACTIONS(5369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5369),
    [anon_sym___declspec] = ACTIONS(5367),
    [anon_sym___based] = ACTIONS(5367),
    [anon_sym_RBRACE] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5367),
    [anon_sym_unsigned] = ACTIONS(5367),
    [anon_sym_long] = ACTIONS(5367),
    [anon_sym_short] = ACTIONS(5367),
    [anon_sym_LBRACK] = ACTIONS(5367),
    [anon_sym_static] = ACTIONS(5367),
    [anon_sym_register] = ACTIONS(5367),
    [anon_sym_inline] = ACTIONS(5367),
    [anon_sym___inline] = ACTIONS(5367),
    [anon_sym___inline__] = ACTIONS(5367),
    [anon_sym___forceinline] = ACTIONS(5367),
    [anon_sym_thread_local] = ACTIONS(5367),
    [anon_sym___thread] = ACTIONS(5367),
    [anon_sym_const] = ACTIONS(5367),
    [anon_sym_constexpr] = ACTIONS(5367),
    [anon_sym_volatile] = ACTIONS(5367),
    [anon_sym_restrict] = ACTIONS(5367),
    [anon_sym___restrict__] = ACTIONS(5367),
    [anon_sym__Atomic] = ACTIONS(5367),
    [anon_sym__Noreturn] = ACTIONS(5367),
    [anon_sym_noreturn] = ACTIONS(5367),
    [anon_sym__Nonnull] = ACTIONS(5367),
    [anon_sym_mutable] = ACTIONS(5367),
    [anon_sym_constinit] = ACTIONS(5367),
    [anon_sym_consteval] = ACTIONS(5367),
    [anon_sym_alignas] = ACTIONS(5367),
    [anon_sym__Alignas] = ACTIONS(5367),
    [sym_primitive_type] = ACTIONS(5367),
    [anon_sym_enum] = ACTIONS(5367),
    [anon_sym_class] = ACTIONS(5367),
    [anon_sym_struct] = ACTIONS(5367),
    [anon_sym_union] = ACTIONS(5367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5367),
    [anon_sym_decltype] = ACTIONS(5367),
    [anon_sym_explicit] = ACTIONS(5367),
    [anon_sym_typename] = ACTIONS(5367),
    [anon_sym_template] = ACTIONS(5367),
    [anon_sym_operator] = ACTIONS(5367),
    [anon_sym_friend] = ACTIONS(5367),
    [anon_sym_public] = ACTIONS(5367),
    [anon_sym_private] = ACTIONS(5367),
    [anon_sym_protected] = ACTIONS(5367),
    [anon_sym_using] = ACTIONS(5367),
    [anon_sym_static_assert] = ACTIONS(5367),
    [anon_sym_precise] = ACTIONS(5367),
    [anon_sym_shared] = ACTIONS(5367),
    [anon_sym_groupshared] = ACTIONS(5367),
    [anon_sym_uniform] = ACTIONS(5367),
    [anon_sym_row_major] = ACTIONS(5367),
    [anon_sym_column_major] = ACTIONS(5367),
    [anon_sym_globallycoherent] = ACTIONS(5367),
    [anon_sym_centroid] = ACTIONS(5367),
    [anon_sym_noperspective] = ACTIONS(5367),
    [anon_sym_nointerpolation] = ACTIONS(5367),
    [anon_sym_sample] = ACTIONS(5367),
    [anon_sym_linear] = ACTIONS(5367),
    [anon_sym_snorm] = ACTIONS(5367),
    [anon_sym_unorm] = ACTIONS(5367),
    [anon_sym_point] = ACTIONS(5367),
    [anon_sym_line] = ACTIONS(5367),
    [anon_sym_triangleadj] = ACTIONS(5367),
    [anon_sym_lineadj] = ACTIONS(5367),
    [anon_sym_triangle] = ACTIONS(5367),
  },
  [2113] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_out] = ACTIONS(2622),
    [anon_sym_inout] = ACTIONS(2622),
    [anon_sym_virtual] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_friend] = ACTIONS(2622),
    [anon_sym_public] = ACTIONS(2622),
    [anon_sym_private] = ACTIONS(2622),
    [anon_sym_protected] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_precise] = ACTIONS(2622),
    [anon_sym_shared] = ACTIONS(2622),
    [anon_sym_groupshared] = ACTIONS(2622),
    [anon_sym_uniform] = ACTIONS(2622),
    [anon_sym_row_major] = ACTIONS(2622),
    [anon_sym_column_major] = ACTIONS(2622),
    [anon_sym_globallycoherent] = ACTIONS(2622),
    [anon_sym_centroid] = ACTIONS(2622),
    [anon_sym_noperspective] = ACTIONS(2622),
    [anon_sym_nointerpolation] = ACTIONS(2622),
    [anon_sym_sample] = ACTIONS(2622),
    [anon_sym_linear] = ACTIONS(2622),
    [anon_sym_snorm] = ACTIONS(2622),
    [anon_sym_unorm] = ACTIONS(2622),
    [anon_sym_point] = ACTIONS(2622),
    [anon_sym_line] = ACTIONS(2622),
    [anon_sym_triangleadj] = ACTIONS(2622),
    [anon_sym_lineadj] = ACTIONS(2622),
    [anon_sym_triangle] = ACTIONS(2622),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(5451),
    [aux_sym_preproc_def_token1] = ACTIONS(5451),
    [aux_sym_preproc_if_token1] = ACTIONS(5451),
    [aux_sym_preproc_if_token2] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5451),
    [sym_preproc_directive] = ACTIONS(5451),
    [anon_sym_LPAREN2] = ACTIONS(5453),
    [anon_sym_TILDE] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_AMP_AMP] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5451),
    [anon_sym_SEMI] = ACTIONS(5453),
    [anon_sym___extension__] = ACTIONS(5451),
    [anon_sym_typedef] = ACTIONS(5451),
    [anon_sym_in] = ACTIONS(5451),
    [anon_sym_out] = ACTIONS(5451),
    [anon_sym_inout] = ACTIONS(5451),
    [anon_sym_virtual] = ACTIONS(5451),
    [anon_sym_extern] = ACTIONS(5451),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym_COLON_COLON] = ACTIONS(5453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5453),
    [anon_sym___declspec] = ACTIONS(5451),
    [anon_sym___based] = ACTIONS(5451),
    [anon_sym_signed] = ACTIONS(5451),
    [anon_sym_unsigned] = ACTIONS(5451),
    [anon_sym_long] = ACTIONS(5451),
    [anon_sym_short] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_static] = ACTIONS(5451),
    [anon_sym_register] = ACTIONS(5451),
    [anon_sym_inline] = ACTIONS(5451),
    [anon_sym___inline] = ACTIONS(5451),
    [anon_sym___inline__] = ACTIONS(5451),
    [anon_sym___forceinline] = ACTIONS(5451),
    [anon_sym_thread_local] = ACTIONS(5451),
    [anon_sym___thread] = ACTIONS(5451),
    [anon_sym_const] = ACTIONS(5451),
    [anon_sym_constexpr] = ACTIONS(5451),
    [anon_sym_volatile] = ACTIONS(5451),
    [anon_sym_restrict] = ACTIONS(5451),
    [anon_sym___restrict__] = ACTIONS(5451),
    [anon_sym__Atomic] = ACTIONS(5451),
    [anon_sym__Noreturn] = ACTIONS(5451),
    [anon_sym_noreturn] = ACTIONS(5451),
    [anon_sym__Nonnull] = ACTIONS(5451),
    [anon_sym_mutable] = ACTIONS(5451),
    [anon_sym_constinit] = ACTIONS(5451),
    [anon_sym_consteval] = ACTIONS(5451),
    [anon_sym_alignas] = ACTIONS(5451),
    [anon_sym__Alignas] = ACTIONS(5451),
    [sym_primitive_type] = ACTIONS(5451),
    [anon_sym_enum] = ACTIONS(5451),
    [anon_sym_class] = ACTIONS(5451),
    [anon_sym_struct] = ACTIONS(5451),
    [anon_sym_union] = ACTIONS(5451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5451),
    [anon_sym_decltype] = ACTIONS(5451),
    [anon_sym_explicit] = ACTIONS(5451),
    [anon_sym_typename] = ACTIONS(5451),
    [anon_sym_template] = ACTIONS(5451),
    [anon_sym_operator] = ACTIONS(5451),
    [anon_sym_friend] = ACTIONS(5451),
    [anon_sym_public] = ACTIONS(5451),
    [anon_sym_private] = ACTIONS(5451),
    [anon_sym_protected] = ACTIONS(5451),
    [anon_sym_using] = ACTIONS(5451),
    [anon_sym_static_assert] = ACTIONS(5451),
    [anon_sym_precise] = ACTIONS(5451),
    [anon_sym_shared] = ACTIONS(5451),
    [anon_sym_groupshared] = ACTIONS(5451),
    [anon_sym_uniform] = ACTIONS(5451),
    [anon_sym_row_major] = ACTIONS(5451),
    [anon_sym_column_major] = ACTIONS(5451),
    [anon_sym_globallycoherent] = ACTIONS(5451),
    [anon_sym_centroid] = ACTIONS(5451),
    [anon_sym_noperspective] = ACTIONS(5451),
    [anon_sym_nointerpolation] = ACTIONS(5451),
    [anon_sym_sample] = ACTIONS(5451),
    [anon_sym_linear] = ACTIONS(5451),
    [anon_sym_snorm] = ACTIONS(5451),
    [anon_sym_unorm] = ACTIONS(5451),
    [anon_sym_point] = ACTIONS(5451),
    [anon_sym_line] = ACTIONS(5451),
    [anon_sym_triangleadj] = ACTIONS(5451),
    [anon_sym_lineadj] = ACTIONS(5451),
    [anon_sym_triangle] = ACTIONS(5451),
  },
  [2115] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym__Nonnull] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym__Alignas] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_friend] = ACTIONS(2400),
    [anon_sym_public] = ACTIONS(2400),
    [anon_sym_private] = ACTIONS(2400),
    [anon_sym_protected] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_in] = ACTIONS(5443),
    [anon_sym_out] = ACTIONS(5443),
    [anon_sym_inout] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_RBRACE] = ACTIONS(5445),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [sym_primitive_type] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
    [anon_sym_precise] = ACTIONS(5443),
    [anon_sym_shared] = ACTIONS(5443),
    [anon_sym_groupshared] = ACTIONS(5443),
    [anon_sym_uniform] = ACTIONS(5443),
    [anon_sym_row_major] = ACTIONS(5443),
    [anon_sym_column_major] = ACTIONS(5443),
    [anon_sym_globallycoherent] = ACTIONS(5443),
    [anon_sym_centroid] = ACTIONS(5443),
    [anon_sym_noperspective] = ACTIONS(5443),
    [anon_sym_nointerpolation] = ACTIONS(5443),
    [anon_sym_sample] = ACTIONS(5443),
    [anon_sym_linear] = ACTIONS(5443),
    [anon_sym_snorm] = ACTIONS(5443),
    [anon_sym_unorm] = ACTIONS(5443),
    [anon_sym_point] = ACTIONS(5443),
    [anon_sym_line] = ACTIONS(5443),
    [anon_sym_triangleadj] = ACTIONS(5443),
    [anon_sym_lineadj] = ACTIONS(5443),
    [anon_sym_triangle] = ACTIONS(5443),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(5387),
    [aux_sym_preproc_def_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token2] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5387),
    [sym_preproc_directive] = ACTIONS(5387),
    [anon_sym_LPAREN2] = ACTIONS(5389),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_STAR] = ACTIONS(5389),
    [anon_sym_AMP_AMP] = ACTIONS(5389),
    [anon_sym_AMP] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5389),
    [anon_sym___extension__] = ACTIONS(5387),
    [anon_sym_typedef] = ACTIONS(5387),
    [anon_sym_in] = ACTIONS(5387),
    [anon_sym_out] = ACTIONS(5387),
    [anon_sym_inout] = ACTIONS(5387),
    [anon_sym_virtual] = ACTIONS(5387),
    [anon_sym_extern] = ACTIONS(5387),
    [anon_sym___attribute__] = ACTIONS(5387),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5389),
    [anon_sym___declspec] = ACTIONS(5387),
    [anon_sym___based] = ACTIONS(5387),
    [anon_sym_signed] = ACTIONS(5387),
    [anon_sym_unsigned] = ACTIONS(5387),
    [anon_sym_long] = ACTIONS(5387),
    [anon_sym_short] = ACTIONS(5387),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_static] = ACTIONS(5387),
    [anon_sym_register] = ACTIONS(5387),
    [anon_sym_inline] = ACTIONS(5387),
    [anon_sym___inline] = ACTIONS(5387),
    [anon_sym___inline__] = ACTIONS(5387),
    [anon_sym___forceinline] = ACTIONS(5387),
    [anon_sym_thread_local] = ACTIONS(5387),
    [anon_sym___thread] = ACTIONS(5387),
    [anon_sym_const] = ACTIONS(5387),
    [anon_sym_constexpr] = ACTIONS(5387),
    [anon_sym_volatile] = ACTIONS(5387),
    [anon_sym_restrict] = ACTIONS(5387),
    [anon_sym___restrict__] = ACTIONS(5387),
    [anon_sym__Atomic] = ACTIONS(5387),
    [anon_sym__Noreturn] = ACTIONS(5387),
    [anon_sym_noreturn] = ACTIONS(5387),
    [anon_sym__Nonnull] = ACTIONS(5387),
    [anon_sym_mutable] = ACTIONS(5387),
    [anon_sym_constinit] = ACTIONS(5387),
    [anon_sym_consteval] = ACTIONS(5387),
    [anon_sym_alignas] = ACTIONS(5387),
    [anon_sym__Alignas] = ACTIONS(5387),
    [sym_primitive_type] = ACTIONS(5387),
    [anon_sym_enum] = ACTIONS(5387),
    [anon_sym_class] = ACTIONS(5387),
    [anon_sym_struct] = ACTIONS(5387),
    [anon_sym_union] = ACTIONS(5387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5387),
    [anon_sym_decltype] = ACTIONS(5387),
    [anon_sym_explicit] = ACTIONS(5387),
    [anon_sym_typename] = ACTIONS(5387),
    [anon_sym_template] = ACTIONS(5387),
    [anon_sym_operator] = ACTIONS(5387),
    [anon_sym_friend] = ACTIONS(5387),
    [anon_sym_public] = ACTIONS(5387),
    [anon_sym_private] = ACTIONS(5387),
    [anon_sym_protected] = ACTIONS(5387),
    [anon_sym_using] = ACTIONS(5387),
    [anon_sym_static_assert] = ACTIONS(5387),
    [anon_sym_precise] = ACTIONS(5387),
    [anon_sym_shared] = ACTIONS(5387),
    [anon_sym_groupshared] = ACTIONS(5387),
    [anon_sym_uniform] = ACTIONS(5387),
    [anon_sym_row_major] = ACTIONS(5387),
    [anon_sym_column_major] = ACTIONS(5387),
    [anon_sym_globallycoherent] = ACTIONS(5387),
    [anon_sym_centroid] = ACTIONS(5387),
    [anon_sym_noperspective] = ACTIONS(5387),
    [anon_sym_nointerpolation] = ACTIONS(5387),
    [anon_sym_sample] = ACTIONS(5387),
    [anon_sym_linear] = ACTIONS(5387),
    [anon_sym_snorm] = ACTIONS(5387),
    [anon_sym_unorm] = ACTIONS(5387),
    [anon_sym_point] = ACTIONS(5387),
    [anon_sym_line] = ACTIONS(5387),
    [anon_sym_triangleadj] = ACTIONS(5387),
    [anon_sym_lineadj] = ACTIONS(5387),
    [anon_sym_triangle] = ACTIONS(5387),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(5391),
    [aux_sym_preproc_def_token1] = ACTIONS(5391),
    [aux_sym_preproc_if_token1] = ACTIONS(5391),
    [aux_sym_preproc_if_token2] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5391),
    [sym_preproc_directive] = ACTIONS(5391),
    [anon_sym_LPAREN2] = ACTIONS(5393),
    [anon_sym_TILDE] = ACTIONS(5393),
    [anon_sym_STAR] = ACTIONS(5393),
    [anon_sym_AMP_AMP] = ACTIONS(5393),
    [anon_sym_AMP] = ACTIONS(5391),
    [anon_sym_SEMI] = ACTIONS(5393),
    [anon_sym___extension__] = ACTIONS(5391),
    [anon_sym_typedef] = ACTIONS(5391),
    [anon_sym_in] = ACTIONS(5391),
    [anon_sym_out] = ACTIONS(5391),
    [anon_sym_inout] = ACTIONS(5391),
    [anon_sym_virtual] = ACTIONS(5391),
    [anon_sym_extern] = ACTIONS(5391),
    [anon_sym___attribute__] = ACTIONS(5391),
    [anon_sym_COLON_COLON] = ACTIONS(5393),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5393),
    [anon_sym___declspec] = ACTIONS(5391),
    [anon_sym___based] = ACTIONS(5391),
    [anon_sym_signed] = ACTIONS(5391),
    [anon_sym_unsigned] = ACTIONS(5391),
    [anon_sym_long] = ACTIONS(5391),
    [anon_sym_short] = ACTIONS(5391),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym_static] = ACTIONS(5391),
    [anon_sym_register] = ACTIONS(5391),
    [anon_sym_inline] = ACTIONS(5391),
    [anon_sym___inline] = ACTIONS(5391),
    [anon_sym___inline__] = ACTIONS(5391),
    [anon_sym___forceinline] = ACTIONS(5391),
    [anon_sym_thread_local] = ACTIONS(5391),
    [anon_sym___thread] = ACTIONS(5391),
    [anon_sym_const] = ACTIONS(5391),
    [anon_sym_constexpr] = ACTIONS(5391),
    [anon_sym_volatile] = ACTIONS(5391),
    [anon_sym_restrict] = ACTIONS(5391),
    [anon_sym___restrict__] = ACTIONS(5391),
    [anon_sym__Atomic] = ACTIONS(5391),
    [anon_sym__Noreturn] = ACTIONS(5391),
    [anon_sym_noreturn] = ACTIONS(5391),
    [anon_sym__Nonnull] = ACTIONS(5391),
    [anon_sym_mutable] = ACTIONS(5391),
    [anon_sym_constinit] = ACTIONS(5391),
    [anon_sym_consteval] = ACTIONS(5391),
    [anon_sym_alignas] = ACTIONS(5391),
    [anon_sym__Alignas] = ACTIONS(5391),
    [sym_primitive_type] = ACTIONS(5391),
    [anon_sym_enum] = ACTIONS(5391),
    [anon_sym_class] = ACTIONS(5391),
    [anon_sym_struct] = ACTIONS(5391),
    [anon_sym_union] = ACTIONS(5391),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5391),
    [anon_sym_decltype] = ACTIONS(5391),
    [anon_sym_explicit] = ACTIONS(5391),
    [anon_sym_typename] = ACTIONS(5391),
    [anon_sym_template] = ACTIONS(5391),
    [anon_sym_operator] = ACTIONS(5391),
    [anon_sym_friend] = ACTIONS(5391),
    [anon_sym_public] = ACTIONS(5391),
    [anon_sym_private] = ACTIONS(5391),
    [anon_sym_protected] = ACTIONS(5391),
    [anon_sym_using] = ACTIONS(5391),
    [anon_sym_static_assert] = ACTIONS(5391),
    [anon_sym_precise] = ACTIONS(5391),
    [anon_sym_shared] = ACTIONS(5391),
    [anon_sym_groupshared] = ACTIONS(5391),
    [anon_sym_uniform] = ACTIONS(5391),
    [anon_sym_row_major] = ACTIONS(5391),
    [anon_sym_column_major] = ACTIONS(5391),
    [anon_sym_globallycoherent] = ACTIONS(5391),
    [anon_sym_centroid] = ACTIONS(5391),
    [anon_sym_noperspective] = ACTIONS(5391),
    [anon_sym_nointerpolation] = ACTIONS(5391),
    [anon_sym_sample] = ACTIONS(5391),
    [anon_sym_linear] = ACTIONS(5391),
    [anon_sym_snorm] = ACTIONS(5391),
    [anon_sym_unorm] = ACTIONS(5391),
    [anon_sym_point] = ACTIONS(5391),
    [anon_sym_line] = ACTIONS(5391),
    [anon_sym_triangleadj] = ACTIONS(5391),
    [anon_sym_lineadj] = ACTIONS(5391),
    [anon_sym_triangle] = ACTIONS(5391),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token2] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_friend] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
  },
  [2122] = {
    [sym_identifier] = ACTIONS(5395),
    [aux_sym_preproc_def_token1] = ACTIONS(5395),
    [aux_sym_preproc_if_token1] = ACTIONS(5395),
    [aux_sym_preproc_if_token2] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5395),
    [sym_preproc_directive] = ACTIONS(5395),
    [anon_sym_LPAREN2] = ACTIONS(5397),
    [anon_sym_TILDE] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_AMP_AMP] = ACTIONS(5397),
    [anon_sym_AMP] = ACTIONS(5395),
    [anon_sym_SEMI] = ACTIONS(5397),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_typedef] = ACTIONS(5395),
    [anon_sym_in] = ACTIONS(5395),
    [anon_sym_out] = ACTIONS(5395),
    [anon_sym_inout] = ACTIONS(5395),
    [anon_sym_virtual] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5395),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_COLON_COLON] = ACTIONS(5397),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5397),
    [anon_sym___declspec] = ACTIONS(5395),
    [anon_sym___based] = ACTIONS(5395),
    [anon_sym_signed] = ACTIONS(5395),
    [anon_sym_unsigned] = ACTIONS(5395),
    [anon_sym_long] = ACTIONS(5395),
    [anon_sym_short] = ACTIONS(5395),
    [anon_sym_LBRACK] = ACTIONS(5395),
    [anon_sym_static] = ACTIONS(5395),
    [anon_sym_register] = ACTIONS(5395),
    [anon_sym_inline] = ACTIONS(5395),
    [anon_sym___inline] = ACTIONS(5395),
    [anon_sym___inline__] = ACTIONS(5395),
    [anon_sym___forceinline] = ACTIONS(5395),
    [anon_sym_thread_local] = ACTIONS(5395),
    [anon_sym___thread] = ACTIONS(5395),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym__Nonnull] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [anon_sym_alignas] = ACTIONS(5395),
    [anon_sym__Alignas] = ACTIONS(5395),
    [sym_primitive_type] = ACTIONS(5395),
    [anon_sym_enum] = ACTIONS(5395),
    [anon_sym_class] = ACTIONS(5395),
    [anon_sym_struct] = ACTIONS(5395),
    [anon_sym_union] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5395),
    [anon_sym_decltype] = ACTIONS(5395),
    [anon_sym_explicit] = ACTIONS(5395),
    [anon_sym_typename] = ACTIONS(5395),
    [anon_sym_template] = ACTIONS(5395),
    [anon_sym_operator] = ACTIONS(5395),
    [anon_sym_friend] = ACTIONS(5395),
    [anon_sym_public] = ACTIONS(5395),
    [anon_sym_private] = ACTIONS(5395),
    [anon_sym_protected] = ACTIONS(5395),
    [anon_sym_using] = ACTIONS(5395),
    [anon_sym_static_assert] = ACTIONS(5395),
    [anon_sym_precise] = ACTIONS(5395),
    [anon_sym_shared] = ACTIONS(5395),
    [anon_sym_groupshared] = ACTIONS(5395),
    [anon_sym_uniform] = ACTIONS(5395),
    [anon_sym_row_major] = ACTIONS(5395),
    [anon_sym_column_major] = ACTIONS(5395),
    [anon_sym_globallycoherent] = ACTIONS(5395),
    [anon_sym_centroid] = ACTIONS(5395),
    [anon_sym_noperspective] = ACTIONS(5395),
    [anon_sym_nointerpolation] = ACTIONS(5395),
    [anon_sym_sample] = ACTIONS(5395),
    [anon_sym_linear] = ACTIONS(5395),
    [anon_sym_snorm] = ACTIONS(5395),
    [anon_sym_unorm] = ACTIONS(5395),
    [anon_sym_point] = ACTIONS(5395),
    [anon_sym_line] = ACTIONS(5395),
    [anon_sym_triangleadj] = ACTIONS(5395),
    [anon_sym_lineadj] = ACTIONS(5395),
    [anon_sym_triangle] = ACTIONS(5395),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token2] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_in] = ACTIONS(2506),
    [anon_sym_out] = ACTIONS(2506),
    [anon_sym_inout] = ACTIONS(2506),
    [anon_sym_virtual] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym__Nonnull] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_friend] = ACTIONS(2506),
    [anon_sym_public] = ACTIONS(2506),
    [anon_sym_private] = ACTIONS(2506),
    [anon_sym_protected] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_precise] = ACTIONS(2506),
    [anon_sym_shared] = ACTIONS(2506),
    [anon_sym_groupshared] = ACTIONS(2506),
    [anon_sym_uniform] = ACTIONS(2506),
    [anon_sym_row_major] = ACTIONS(2506),
    [anon_sym_column_major] = ACTIONS(2506),
    [anon_sym_globallycoherent] = ACTIONS(2506),
    [anon_sym_centroid] = ACTIONS(2506),
    [anon_sym_noperspective] = ACTIONS(2506),
    [anon_sym_nointerpolation] = ACTIONS(2506),
    [anon_sym_sample] = ACTIONS(2506),
    [anon_sym_linear] = ACTIONS(2506),
    [anon_sym_snorm] = ACTIONS(2506),
    [anon_sym_unorm] = ACTIONS(2506),
    [anon_sym_point] = ACTIONS(2506),
    [anon_sym_line] = ACTIONS(2506),
    [anon_sym_triangleadj] = ACTIONS(2506),
    [anon_sym_lineadj] = ACTIONS(2506),
    [anon_sym_triangle] = ACTIONS(2506),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_in] = ACTIONS(2506),
    [anon_sym_out] = ACTIONS(2506),
    [anon_sym_inout] = ACTIONS(2506),
    [anon_sym_virtual] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym__Nonnull] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_friend] = ACTIONS(2506),
    [anon_sym_public] = ACTIONS(2506),
    [anon_sym_private] = ACTIONS(2506),
    [anon_sym_protected] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_precise] = ACTIONS(2506),
    [anon_sym_shared] = ACTIONS(2506),
    [anon_sym_groupshared] = ACTIONS(2506),
    [anon_sym_uniform] = ACTIONS(2506),
    [anon_sym_row_major] = ACTIONS(2506),
    [anon_sym_column_major] = ACTIONS(2506),
    [anon_sym_globallycoherent] = ACTIONS(2506),
    [anon_sym_centroid] = ACTIONS(2506),
    [anon_sym_noperspective] = ACTIONS(2506),
    [anon_sym_nointerpolation] = ACTIONS(2506),
    [anon_sym_sample] = ACTIONS(2506),
    [anon_sym_linear] = ACTIONS(2506),
    [anon_sym_snorm] = ACTIONS(2506),
    [anon_sym_unorm] = ACTIONS(2506),
    [anon_sym_point] = ACTIONS(2506),
    [anon_sym_line] = ACTIONS(2506),
    [anon_sym_triangleadj] = ACTIONS(2506),
    [anon_sym_lineadj] = ACTIONS(2506),
    [anon_sym_triangle] = ACTIONS(2506),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_friend] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_friend] = ACTIONS(2514),
    [anon_sym_public] = ACTIONS(2514),
    [anon_sym_private] = ACTIONS(2514),
    [anon_sym_protected] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token2] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5401),
    [anon_sym_AMP_AMP] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5399),
    [anon_sym_SEMI] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_in] = ACTIONS(5399),
    [anon_sym_out] = ACTIONS(5399),
    [anon_sym_inout] = ACTIONS(5399),
    [anon_sym_virtual] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___based] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_mutable] = ACTIONS(5399),
    [anon_sym_constinit] = ACTIONS(5399),
    [anon_sym_consteval] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [sym_primitive_type] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_class] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5399),
    [anon_sym_decltype] = ACTIONS(5399),
    [anon_sym_explicit] = ACTIONS(5399),
    [anon_sym_typename] = ACTIONS(5399),
    [anon_sym_template] = ACTIONS(5399),
    [anon_sym_operator] = ACTIONS(5399),
    [anon_sym_friend] = ACTIONS(5399),
    [anon_sym_public] = ACTIONS(5399),
    [anon_sym_private] = ACTIONS(5399),
    [anon_sym_protected] = ACTIONS(5399),
    [anon_sym_using] = ACTIONS(5399),
    [anon_sym_static_assert] = ACTIONS(5399),
    [anon_sym_precise] = ACTIONS(5399),
    [anon_sym_shared] = ACTIONS(5399),
    [anon_sym_groupshared] = ACTIONS(5399),
    [anon_sym_uniform] = ACTIONS(5399),
    [anon_sym_row_major] = ACTIONS(5399),
    [anon_sym_column_major] = ACTIONS(5399),
    [anon_sym_globallycoherent] = ACTIONS(5399),
    [anon_sym_centroid] = ACTIONS(5399),
    [anon_sym_noperspective] = ACTIONS(5399),
    [anon_sym_nointerpolation] = ACTIONS(5399),
    [anon_sym_sample] = ACTIONS(5399),
    [anon_sym_linear] = ACTIONS(5399),
    [anon_sym_snorm] = ACTIONS(5399),
    [anon_sym_unorm] = ACTIONS(5399),
    [anon_sym_point] = ACTIONS(5399),
    [anon_sym_line] = ACTIONS(5399),
    [anon_sym_triangleadj] = ACTIONS(5399),
    [anon_sym_lineadj] = ACTIONS(5399),
    [anon_sym_triangle] = ACTIONS(5399),
  },
  [2128] = {
    [sym_identifier] = ACTIONS(5391),
    [aux_sym_preproc_def_token1] = ACTIONS(5391),
    [aux_sym_preproc_if_token1] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5391),
    [sym_preproc_directive] = ACTIONS(5391),
    [anon_sym_LPAREN2] = ACTIONS(5393),
    [anon_sym_TILDE] = ACTIONS(5393),
    [anon_sym_STAR] = ACTIONS(5393),
    [anon_sym_AMP_AMP] = ACTIONS(5393),
    [anon_sym_AMP] = ACTIONS(5391),
    [anon_sym_SEMI] = ACTIONS(5393),
    [anon_sym___extension__] = ACTIONS(5391),
    [anon_sym_typedef] = ACTIONS(5391),
    [anon_sym_in] = ACTIONS(5391),
    [anon_sym_out] = ACTIONS(5391),
    [anon_sym_inout] = ACTIONS(5391),
    [anon_sym_virtual] = ACTIONS(5391),
    [anon_sym_extern] = ACTIONS(5391),
    [anon_sym___attribute__] = ACTIONS(5391),
    [anon_sym_COLON_COLON] = ACTIONS(5393),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5393),
    [anon_sym___declspec] = ACTIONS(5391),
    [anon_sym___based] = ACTIONS(5391),
    [anon_sym_RBRACE] = ACTIONS(5393),
    [anon_sym_signed] = ACTIONS(5391),
    [anon_sym_unsigned] = ACTIONS(5391),
    [anon_sym_long] = ACTIONS(5391),
    [anon_sym_short] = ACTIONS(5391),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym_static] = ACTIONS(5391),
    [anon_sym_register] = ACTIONS(5391),
    [anon_sym_inline] = ACTIONS(5391),
    [anon_sym___inline] = ACTIONS(5391),
    [anon_sym___inline__] = ACTIONS(5391),
    [anon_sym___forceinline] = ACTIONS(5391),
    [anon_sym_thread_local] = ACTIONS(5391),
    [anon_sym___thread] = ACTIONS(5391),
    [anon_sym_const] = ACTIONS(5391),
    [anon_sym_constexpr] = ACTIONS(5391),
    [anon_sym_volatile] = ACTIONS(5391),
    [anon_sym_restrict] = ACTIONS(5391),
    [anon_sym___restrict__] = ACTIONS(5391),
    [anon_sym__Atomic] = ACTIONS(5391),
    [anon_sym__Noreturn] = ACTIONS(5391),
    [anon_sym_noreturn] = ACTIONS(5391),
    [anon_sym__Nonnull] = ACTIONS(5391),
    [anon_sym_mutable] = ACTIONS(5391),
    [anon_sym_constinit] = ACTIONS(5391),
    [anon_sym_consteval] = ACTIONS(5391),
    [anon_sym_alignas] = ACTIONS(5391),
    [anon_sym__Alignas] = ACTIONS(5391),
    [sym_primitive_type] = ACTIONS(5391),
    [anon_sym_enum] = ACTIONS(5391),
    [anon_sym_class] = ACTIONS(5391),
    [anon_sym_struct] = ACTIONS(5391),
    [anon_sym_union] = ACTIONS(5391),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5391),
    [anon_sym_decltype] = ACTIONS(5391),
    [anon_sym_explicit] = ACTIONS(5391),
    [anon_sym_typename] = ACTIONS(5391),
    [anon_sym_template] = ACTIONS(5391),
    [anon_sym_operator] = ACTIONS(5391),
    [anon_sym_friend] = ACTIONS(5391),
    [anon_sym_public] = ACTIONS(5391),
    [anon_sym_private] = ACTIONS(5391),
    [anon_sym_protected] = ACTIONS(5391),
    [anon_sym_using] = ACTIONS(5391),
    [anon_sym_static_assert] = ACTIONS(5391),
    [anon_sym_precise] = ACTIONS(5391),
    [anon_sym_shared] = ACTIONS(5391),
    [anon_sym_groupshared] = ACTIONS(5391),
    [anon_sym_uniform] = ACTIONS(5391),
    [anon_sym_row_major] = ACTIONS(5391),
    [anon_sym_column_major] = ACTIONS(5391),
    [anon_sym_globallycoherent] = ACTIONS(5391),
    [anon_sym_centroid] = ACTIONS(5391),
    [anon_sym_noperspective] = ACTIONS(5391),
    [anon_sym_nointerpolation] = ACTIONS(5391),
    [anon_sym_sample] = ACTIONS(5391),
    [anon_sym_linear] = ACTIONS(5391),
    [anon_sym_snorm] = ACTIONS(5391),
    [anon_sym_unorm] = ACTIONS(5391),
    [anon_sym_point] = ACTIONS(5391),
    [anon_sym_line] = ACTIONS(5391),
    [anon_sym_triangleadj] = ACTIONS(5391),
    [anon_sym_lineadj] = ACTIONS(5391),
    [anon_sym_triangle] = ACTIONS(5391),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_friend] = ACTIONS(2518),
    [anon_sym_public] = ACTIONS(2518),
    [anon_sym_private] = ACTIONS(2518),
    [anon_sym_protected] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(5395),
    [aux_sym_preproc_def_token1] = ACTIONS(5395),
    [aux_sym_preproc_if_token1] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5395),
    [sym_preproc_directive] = ACTIONS(5395),
    [anon_sym_LPAREN2] = ACTIONS(5397),
    [anon_sym_TILDE] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_AMP_AMP] = ACTIONS(5397),
    [anon_sym_AMP] = ACTIONS(5395),
    [anon_sym_SEMI] = ACTIONS(5397),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_typedef] = ACTIONS(5395),
    [anon_sym_in] = ACTIONS(5395),
    [anon_sym_out] = ACTIONS(5395),
    [anon_sym_inout] = ACTIONS(5395),
    [anon_sym_virtual] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5395),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_COLON_COLON] = ACTIONS(5397),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5397),
    [anon_sym___declspec] = ACTIONS(5395),
    [anon_sym___based] = ACTIONS(5395),
    [anon_sym_RBRACE] = ACTIONS(5397),
    [anon_sym_signed] = ACTIONS(5395),
    [anon_sym_unsigned] = ACTIONS(5395),
    [anon_sym_long] = ACTIONS(5395),
    [anon_sym_short] = ACTIONS(5395),
    [anon_sym_LBRACK] = ACTIONS(5395),
    [anon_sym_static] = ACTIONS(5395),
    [anon_sym_register] = ACTIONS(5395),
    [anon_sym_inline] = ACTIONS(5395),
    [anon_sym___inline] = ACTIONS(5395),
    [anon_sym___inline__] = ACTIONS(5395),
    [anon_sym___forceinline] = ACTIONS(5395),
    [anon_sym_thread_local] = ACTIONS(5395),
    [anon_sym___thread] = ACTIONS(5395),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym__Nonnull] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [anon_sym_alignas] = ACTIONS(5395),
    [anon_sym__Alignas] = ACTIONS(5395),
    [sym_primitive_type] = ACTIONS(5395),
    [anon_sym_enum] = ACTIONS(5395),
    [anon_sym_class] = ACTIONS(5395),
    [anon_sym_struct] = ACTIONS(5395),
    [anon_sym_union] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5395),
    [anon_sym_decltype] = ACTIONS(5395),
    [anon_sym_explicit] = ACTIONS(5395),
    [anon_sym_typename] = ACTIONS(5395),
    [anon_sym_template] = ACTIONS(5395),
    [anon_sym_operator] = ACTIONS(5395),
    [anon_sym_friend] = ACTIONS(5395),
    [anon_sym_public] = ACTIONS(5395),
    [anon_sym_private] = ACTIONS(5395),
    [anon_sym_protected] = ACTIONS(5395),
    [anon_sym_using] = ACTIONS(5395),
    [anon_sym_static_assert] = ACTIONS(5395),
    [anon_sym_precise] = ACTIONS(5395),
    [anon_sym_shared] = ACTIONS(5395),
    [anon_sym_groupshared] = ACTIONS(5395),
    [anon_sym_uniform] = ACTIONS(5395),
    [anon_sym_row_major] = ACTIONS(5395),
    [anon_sym_column_major] = ACTIONS(5395),
    [anon_sym_globallycoherent] = ACTIONS(5395),
    [anon_sym_centroid] = ACTIONS(5395),
    [anon_sym_noperspective] = ACTIONS(5395),
    [anon_sym_nointerpolation] = ACTIONS(5395),
    [anon_sym_sample] = ACTIONS(5395),
    [anon_sym_linear] = ACTIONS(5395),
    [anon_sym_snorm] = ACTIONS(5395),
    [anon_sym_unorm] = ACTIONS(5395),
    [anon_sym_point] = ACTIONS(5395),
    [anon_sym_line] = ACTIONS(5395),
    [anon_sym_triangleadj] = ACTIONS(5395),
    [anon_sym_lineadj] = ACTIONS(5395),
    [anon_sym_triangle] = ACTIONS(5395),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_friend] = ACTIONS(2518),
    [anon_sym_public] = ACTIONS(2518),
    [anon_sym_private] = ACTIONS(2518),
    [anon_sym_protected] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
  },
  [2132] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token2] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_friend] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
  },
  [2133] = {
    [sym_string_literal] = STATE(2579),
    [sym_template_argument_list] = STATE(2477),
    [sym_raw_string_literal] = STATE(2579),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_RPAREN] = ACTIONS(4090),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5556),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym___extension__] = ACTIONS(4083),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(4090),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4083),
    [anon_sym_volatile] = ACTIONS(4083),
    [anon_sym_restrict] = ACTIONS(4083),
    [anon_sym___restrict__] = ACTIONS(4083),
    [anon_sym__Atomic] = ACTIONS(4083),
    [anon_sym__Noreturn] = ACTIONS(4083),
    [anon_sym_noreturn] = ACTIONS(4083),
    [anon_sym__Nonnull] = ACTIONS(4083),
    [anon_sym_mutable] = ACTIONS(4083),
    [anon_sym_constinit] = ACTIONS(4083),
    [anon_sym_consteval] = ACTIONS(4083),
    [anon_sym_alignas] = ACTIONS(4083),
    [anon_sym__Alignas] = ACTIONS(4083),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4077),
    [anon_sym_or_eq] = ACTIONS(4077),
    [anon_sym_xor_eq] = ACTIONS(4077),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4085),
    [anon_sym_L_DQUOTE] = ACTIONS(5550),
    [anon_sym_u_DQUOTE] = ACTIONS(5550),
    [anon_sym_U_DQUOTE] = ACTIONS(5550),
    [anon_sym_u8_DQUOTE] = ACTIONS(5550),
    [anon_sym_DQUOTE] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4083),
    [anon_sym_decltype] = ACTIONS(4083),
    [anon_sym_R_DQUOTE] = ACTIONS(5552),
    [anon_sym_LR_DQUOTE] = ACTIONS(5552),
    [anon_sym_uR_DQUOTE] = ACTIONS(5552),
    [anon_sym_UR_DQUOTE] = ACTIONS(5552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5552),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4077),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token2] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_in] = ACTIONS(5403),
    [anon_sym_out] = ACTIONS(5403),
    [anon_sym_inout] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [sym_primitive_type] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
    [anon_sym_precise] = ACTIONS(5403),
    [anon_sym_shared] = ACTIONS(5403),
    [anon_sym_groupshared] = ACTIONS(5403),
    [anon_sym_uniform] = ACTIONS(5403),
    [anon_sym_row_major] = ACTIONS(5403),
    [anon_sym_column_major] = ACTIONS(5403),
    [anon_sym_globallycoherent] = ACTIONS(5403),
    [anon_sym_centroid] = ACTIONS(5403),
    [anon_sym_noperspective] = ACTIONS(5403),
    [anon_sym_nointerpolation] = ACTIONS(5403),
    [anon_sym_sample] = ACTIONS(5403),
    [anon_sym_linear] = ACTIONS(5403),
    [anon_sym_snorm] = ACTIONS(5403),
    [anon_sym_unorm] = ACTIONS(5403),
    [anon_sym_point] = ACTIONS(5403),
    [anon_sym_line] = ACTIONS(5403),
    [anon_sym_triangleadj] = ACTIONS(5403),
    [anon_sym_lineadj] = ACTIONS(5403),
    [anon_sym_triangle] = ACTIONS(5403),
  },
  [2135] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token2] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_in] = ACTIONS(2526),
    [anon_sym_out] = ACTIONS(2526),
    [anon_sym_inout] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym__Nonnull] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_friend] = ACTIONS(2526),
    [anon_sym_public] = ACTIONS(2526),
    [anon_sym_private] = ACTIONS(2526),
    [anon_sym_protected] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_precise] = ACTIONS(2526),
    [anon_sym_shared] = ACTIONS(2526),
    [anon_sym_groupshared] = ACTIONS(2526),
    [anon_sym_uniform] = ACTIONS(2526),
    [anon_sym_row_major] = ACTIONS(2526),
    [anon_sym_column_major] = ACTIONS(2526),
    [anon_sym_globallycoherent] = ACTIONS(2526),
    [anon_sym_centroid] = ACTIONS(2526),
    [anon_sym_noperspective] = ACTIONS(2526),
    [anon_sym_nointerpolation] = ACTIONS(2526),
    [anon_sym_sample] = ACTIONS(2526),
    [anon_sym_linear] = ACTIONS(2526),
    [anon_sym_snorm] = ACTIONS(2526),
    [anon_sym_unorm] = ACTIONS(2526),
    [anon_sym_point] = ACTIONS(2526),
    [anon_sym_line] = ACTIONS(2526),
    [anon_sym_triangleadj] = ACTIONS(2526),
    [anon_sym_lineadj] = ACTIONS(2526),
    [anon_sym_triangle] = ACTIONS(2526),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token2] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_in] = ACTIONS(2530),
    [anon_sym_out] = ACTIONS(2530),
    [anon_sym_inout] = ACTIONS(2530),
    [anon_sym_virtual] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym__Nonnull] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_friend] = ACTIONS(2530),
    [anon_sym_public] = ACTIONS(2530),
    [anon_sym_private] = ACTIONS(2530),
    [anon_sym_protected] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_precise] = ACTIONS(2530),
    [anon_sym_shared] = ACTIONS(2530),
    [anon_sym_groupshared] = ACTIONS(2530),
    [anon_sym_uniform] = ACTIONS(2530),
    [anon_sym_row_major] = ACTIONS(2530),
    [anon_sym_column_major] = ACTIONS(2530),
    [anon_sym_globallycoherent] = ACTIONS(2530),
    [anon_sym_centroid] = ACTIONS(2530),
    [anon_sym_noperspective] = ACTIONS(2530),
    [anon_sym_nointerpolation] = ACTIONS(2530),
    [anon_sym_sample] = ACTIONS(2530),
    [anon_sym_linear] = ACTIONS(2530),
    [anon_sym_snorm] = ACTIONS(2530),
    [anon_sym_unorm] = ACTIONS(2530),
    [anon_sym_point] = ACTIONS(2530),
    [anon_sym_line] = ACTIONS(2530),
    [anon_sym_triangleadj] = ACTIONS(2530),
    [anon_sym_lineadj] = ACTIONS(2530),
    [anon_sym_triangle] = ACTIONS(2530),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token2] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2534),
    [anon_sym_out] = ACTIONS(2534),
    [anon_sym_inout] = ACTIONS(2534),
    [anon_sym_virtual] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym__Nonnull] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_friend] = ACTIONS(2534),
    [anon_sym_public] = ACTIONS(2534),
    [anon_sym_private] = ACTIONS(2534),
    [anon_sym_protected] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_precise] = ACTIONS(2534),
    [anon_sym_shared] = ACTIONS(2534),
    [anon_sym_groupshared] = ACTIONS(2534),
    [anon_sym_uniform] = ACTIONS(2534),
    [anon_sym_row_major] = ACTIONS(2534),
    [anon_sym_column_major] = ACTIONS(2534),
    [anon_sym_globallycoherent] = ACTIONS(2534),
    [anon_sym_centroid] = ACTIONS(2534),
    [anon_sym_noperspective] = ACTIONS(2534),
    [anon_sym_nointerpolation] = ACTIONS(2534),
    [anon_sym_sample] = ACTIONS(2534),
    [anon_sym_linear] = ACTIONS(2534),
    [anon_sym_snorm] = ACTIONS(2534),
    [anon_sym_unorm] = ACTIONS(2534),
    [anon_sym_point] = ACTIONS(2534),
    [anon_sym_line] = ACTIONS(2534),
    [anon_sym_triangleadj] = ACTIONS(2534),
    [anon_sym_lineadj] = ACTIONS(2534),
    [anon_sym_triangle] = ACTIONS(2534),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(2126),
    [aux_sym_preproc_def_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token2] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2126),
    [sym_preproc_directive] = ACTIONS(2126),
    [anon_sym_LPAREN2] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_AMP_AMP] = ACTIONS(2128),
    [anon_sym_AMP] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2126),
    [anon_sym_in] = ACTIONS(2126),
    [anon_sym_out] = ACTIONS(2126),
    [anon_sym_inout] = ACTIONS(2126),
    [anon_sym_virtual] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2126),
    [anon_sym___attribute__] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2128),
    [anon_sym___declspec] = ACTIONS(2126),
    [anon_sym___based] = ACTIONS(2126),
    [anon_sym_signed] = ACTIONS(2126),
    [anon_sym_unsigned] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_register] = ACTIONS(2126),
    [anon_sym_inline] = ACTIONS(2126),
    [anon_sym___inline] = ACTIONS(2126),
    [anon_sym___inline__] = ACTIONS(2126),
    [anon_sym___forceinline] = ACTIONS(2126),
    [anon_sym_thread_local] = ACTIONS(2126),
    [anon_sym___thread] = ACTIONS(2126),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_constexpr] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_restrict] = ACTIONS(2126),
    [anon_sym___restrict__] = ACTIONS(2126),
    [anon_sym__Atomic] = ACTIONS(2126),
    [anon_sym__Noreturn] = ACTIONS(2126),
    [anon_sym_noreturn] = ACTIONS(2126),
    [anon_sym__Nonnull] = ACTIONS(2126),
    [anon_sym_mutable] = ACTIONS(2126),
    [anon_sym_constinit] = ACTIONS(2126),
    [anon_sym_consteval] = ACTIONS(2126),
    [anon_sym_alignas] = ACTIONS(2126),
    [anon_sym__Alignas] = ACTIONS(2126),
    [sym_primitive_type] = ACTIONS(2126),
    [anon_sym_enum] = ACTIONS(2126),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2126),
    [anon_sym_union] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2126),
    [anon_sym_decltype] = ACTIONS(2126),
    [anon_sym_explicit] = ACTIONS(2126),
    [anon_sym_typename] = ACTIONS(2126),
    [anon_sym_template] = ACTIONS(2126),
    [anon_sym_operator] = ACTIONS(2126),
    [anon_sym_friend] = ACTIONS(2126),
    [anon_sym_public] = ACTIONS(2126),
    [anon_sym_private] = ACTIONS(2126),
    [anon_sym_protected] = ACTIONS(2126),
    [anon_sym_using] = ACTIONS(2126),
    [anon_sym_static_assert] = ACTIONS(2126),
    [anon_sym_precise] = ACTIONS(2126),
    [anon_sym_shared] = ACTIONS(2126),
    [anon_sym_groupshared] = ACTIONS(2126),
    [anon_sym_uniform] = ACTIONS(2126),
    [anon_sym_row_major] = ACTIONS(2126),
    [anon_sym_column_major] = ACTIONS(2126),
    [anon_sym_globallycoherent] = ACTIONS(2126),
    [anon_sym_centroid] = ACTIONS(2126),
    [anon_sym_noperspective] = ACTIONS(2126),
    [anon_sym_nointerpolation] = ACTIONS(2126),
    [anon_sym_sample] = ACTIONS(2126),
    [anon_sym_linear] = ACTIONS(2126),
    [anon_sym_snorm] = ACTIONS(2126),
    [anon_sym_unorm] = ACTIONS(2126),
    [anon_sym_point] = ACTIONS(2126),
    [anon_sym_line] = ACTIONS(2126),
    [anon_sym_triangleadj] = ACTIONS(2126),
    [anon_sym_lineadj] = ACTIONS(2126),
    [anon_sym_triangle] = ACTIONS(2126),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token2] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_in] = ACTIONS(5403),
    [anon_sym_out] = ACTIONS(5403),
    [anon_sym_inout] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [sym_primitive_type] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
    [anon_sym_precise] = ACTIONS(5403),
    [anon_sym_shared] = ACTIONS(5403),
    [anon_sym_groupshared] = ACTIONS(5403),
    [anon_sym_uniform] = ACTIONS(5403),
    [anon_sym_row_major] = ACTIONS(5403),
    [anon_sym_column_major] = ACTIONS(5403),
    [anon_sym_globallycoherent] = ACTIONS(5403),
    [anon_sym_centroid] = ACTIONS(5403),
    [anon_sym_noperspective] = ACTIONS(5403),
    [anon_sym_nointerpolation] = ACTIONS(5403),
    [anon_sym_sample] = ACTIONS(5403),
    [anon_sym_linear] = ACTIONS(5403),
    [anon_sym_snorm] = ACTIONS(5403),
    [anon_sym_unorm] = ACTIONS(5403),
    [anon_sym_point] = ACTIONS(5403),
    [anon_sym_line] = ACTIONS(5403),
    [anon_sym_triangleadj] = ACTIONS(5403),
    [anon_sym_lineadj] = ACTIONS(5403),
    [anon_sym_triangle] = ACTIONS(5403),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(5407),
    [aux_sym_preproc_def_token1] = ACTIONS(5407),
    [aux_sym_preproc_if_token1] = ACTIONS(5407),
    [aux_sym_preproc_if_token2] = ACTIONS(5407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5407),
    [sym_preproc_directive] = ACTIONS(5407),
    [anon_sym_LPAREN2] = ACTIONS(5409),
    [anon_sym_TILDE] = ACTIONS(5409),
    [anon_sym_STAR] = ACTIONS(5409),
    [anon_sym_AMP_AMP] = ACTIONS(5409),
    [anon_sym_AMP] = ACTIONS(5407),
    [anon_sym_SEMI] = ACTIONS(5409),
    [anon_sym___extension__] = ACTIONS(5407),
    [anon_sym_typedef] = ACTIONS(5407),
    [anon_sym_in] = ACTIONS(5407),
    [anon_sym_out] = ACTIONS(5407),
    [anon_sym_inout] = ACTIONS(5407),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5407),
    [anon_sym_COLON_COLON] = ACTIONS(5409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5409),
    [anon_sym___declspec] = ACTIONS(5407),
    [anon_sym___based] = ACTIONS(5407),
    [anon_sym_signed] = ACTIONS(5407),
    [anon_sym_unsigned] = ACTIONS(5407),
    [anon_sym_long] = ACTIONS(5407),
    [anon_sym_short] = ACTIONS(5407),
    [anon_sym_LBRACK] = ACTIONS(5407),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5407),
    [anon_sym_constexpr] = ACTIONS(5407),
    [anon_sym_volatile] = ACTIONS(5407),
    [anon_sym_restrict] = ACTIONS(5407),
    [anon_sym___restrict__] = ACTIONS(5407),
    [anon_sym__Atomic] = ACTIONS(5407),
    [anon_sym__Noreturn] = ACTIONS(5407),
    [anon_sym_noreturn] = ACTIONS(5407),
    [anon_sym__Nonnull] = ACTIONS(5407),
    [anon_sym_mutable] = ACTIONS(5407),
    [anon_sym_constinit] = ACTIONS(5407),
    [anon_sym_consteval] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5407),
    [anon_sym__Alignas] = ACTIONS(5407),
    [sym_primitive_type] = ACTIONS(5407),
    [anon_sym_enum] = ACTIONS(5407),
    [anon_sym_class] = ACTIONS(5407),
    [anon_sym_struct] = ACTIONS(5407),
    [anon_sym_union] = ACTIONS(5407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5407),
    [anon_sym_decltype] = ACTIONS(5407),
    [anon_sym_explicit] = ACTIONS(5407),
    [anon_sym_typename] = ACTIONS(5407),
    [anon_sym_template] = ACTIONS(5407),
    [anon_sym_operator] = ACTIONS(5407),
    [anon_sym_friend] = ACTIONS(5407),
    [anon_sym_public] = ACTIONS(5407),
    [anon_sym_private] = ACTIONS(5407),
    [anon_sym_protected] = ACTIONS(5407),
    [anon_sym_using] = ACTIONS(5407),
    [anon_sym_static_assert] = ACTIONS(5407),
    [anon_sym_precise] = ACTIONS(5407),
    [anon_sym_shared] = ACTIONS(5407),
    [anon_sym_groupshared] = ACTIONS(5407),
    [anon_sym_uniform] = ACTIONS(5407),
    [anon_sym_row_major] = ACTIONS(5407),
    [anon_sym_column_major] = ACTIONS(5407),
    [anon_sym_globallycoherent] = ACTIONS(5407),
    [anon_sym_centroid] = ACTIONS(5407),
    [anon_sym_noperspective] = ACTIONS(5407),
    [anon_sym_nointerpolation] = ACTIONS(5407),
    [anon_sym_sample] = ACTIONS(5407),
    [anon_sym_linear] = ACTIONS(5407),
    [anon_sym_snorm] = ACTIONS(5407),
    [anon_sym_unorm] = ACTIONS(5407),
    [anon_sym_point] = ACTIONS(5407),
    [anon_sym_line] = ACTIONS(5407),
    [anon_sym_triangleadj] = ACTIONS(5407),
    [anon_sym_lineadj] = ACTIONS(5407),
    [anon_sym_triangle] = ACTIONS(5407),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5401),
    [anon_sym_AMP_AMP] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5399),
    [anon_sym_SEMI] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_in] = ACTIONS(5399),
    [anon_sym_out] = ACTIONS(5399),
    [anon_sym_inout] = ACTIONS(5399),
    [anon_sym_virtual] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___based] = ACTIONS(5399),
    [anon_sym_RBRACE] = ACTIONS(5401),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_mutable] = ACTIONS(5399),
    [anon_sym_constinit] = ACTIONS(5399),
    [anon_sym_consteval] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [sym_primitive_type] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_class] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5399),
    [anon_sym_decltype] = ACTIONS(5399),
    [anon_sym_explicit] = ACTIONS(5399),
    [anon_sym_typename] = ACTIONS(5399),
    [anon_sym_template] = ACTIONS(5399),
    [anon_sym_operator] = ACTIONS(5399),
    [anon_sym_friend] = ACTIONS(5399),
    [anon_sym_public] = ACTIONS(5399),
    [anon_sym_private] = ACTIONS(5399),
    [anon_sym_protected] = ACTIONS(5399),
    [anon_sym_using] = ACTIONS(5399),
    [anon_sym_static_assert] = ACTIONS(5399),
    [anon_sym_precise] = ACTIONS(5399),
    [anon_sym_shared] = ACTIONS(5399),
    [anon_sym_groupshared] = ACTIONS(5399),
    [anon_sym_uniform] = ACTIONS(5399),
    [anon_sym_row_major] = ACTIONS(5399),
    [anon_sym_column_major] = ACTIONS(5399),
    [anon_sym_globallycoherent] = ACTIONS(5399),
    [anon_sym_centroid] = ACTIONS(5399),
    [anon_sym_noperspective] = ACTIONS(5399),
    [anon_sym_nointerpolation] = ACTIONS(5399),
    [anon_sym_sample] = ACTIONS(5399),
    [anon_sym_linear] = ACTIONS(5399),
    [anon_sym_snorm] = ACTIONS(5399),
    [anon_sym_unorm] = ACTIONS(5399),
    [anon_sym_point] = ACTIONS(5399),
    [anon_sym_line] = ACTIONS(5399),
    [anon_sym_triangleadj] = ACTIONS(5399),
    [anon_sym_lineadj] = ACTIONS(5399),
    [anon_sym_triangle] = ACTIONS(5399),
  },
  [2144] = {
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token2] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_in] = ACTIONS(2538),
    [anon_sym_out] = ACTIONS(2538),
    [anon_sym_inout] = ACTIONS(2538),
    [anon_sym_virtual] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym__Nonnull] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_friend] = ACTIONS(2538),
    [anon_sym_public] = ACTIONS(2538),
    [anon_sym_private] = ACTIONS(2538),
    [anon_sym_protected] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_precise] = ACTIONS(2538),
    [anon_sym_shared] = ACTIONS(2538),
    [anon_sym_groupshared] = ACTIONS(2538),
    [anon_sym_uniform] = ACTIONS(2538),
    [anon_sym_row_major] = ACTIONS(2538),
    [anon_sym_column_major] = ACTIONS(2538),
    [anon_sym_globallycoherent] = ACTIONS(2538),
    [anon_sym_centroid] = ACTIONS(2538),
    [anon_sym_noperspective] = ACTIONS(2538),
    [anon_sym_nointerpolation] = ACTIONS(2538),
    [anon_sym_sample] = ACTIONS(2538),
    [anon_sym_linear] = ACTIONS(2538),
    [anon_sym_snorm] = ACTIONS(2538),
    [anon_sym_unorm] = ACTIONS(2538),
    [anon_sym_point] = ACTIONS(2538),
    [anon_sym_line] = ACTIONS(2538),
    [anon_sym_triangleadj] = ACTIONS(2538),
    [anon_sym_lineadj] = ACTIONS(2538),
    [anon_sym_triangle] = ACTIONS(2538),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(5411),
    [aux_sym_preproc_def_token1] = ACTIONS(5411),
    [aux_sym_preproc_if_token1] = ACTIONS(5411),
    [aux_sym_preproc_if_token2] = ACTIONS(5411),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5411),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5411),
    [sym_preproc_directive] = ACTIONS(5411),
    [anon_sym_LPAREN2] = ACTIONS(5413),
    [anon_sym_TILDE] = ACTIONS(5413),
    [anon_sym_STAR] = ACTIONS(5413),
    [anon_sym_AMP_AMP] = ACTIONS(5413),
    [anon_sym_AMP] = ACTIONS(5411),
    [anon_sym_SEMI] = ACTIONS(5413),
    [anon_sym___extension__] = ACTIONS(5411),
    [anon_sym_typedef] = ACTIONS(5411),
    [anon_sym_in] = ACTIONS(5411),
    [anon_sym_out] = ACTIONS(5411),
    [anon_sym_inout] = ACTIONS(5411),
    [anon_sym_virtual] = ACTIONS(5411),
    [anon_sym_extern] = ACTIONS(5411),
    [anon_sym___attribute__] = ACTIONS(5411),
    [anon_sym_COLON_COLON] = ACTIONS(5413),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5411),
    [anon_sym___based] = ACTIONS(5411),
    [anon_sym_signed] = ACTIONS(5411),
    [anon_sym_unsigned] = ACTIONS(5411),
    [anon_sym_long] = ACTIONS(5411),
    [anon_sym_short] = ACTIONS(5411),
    [anon_sym_LBRACK] = ACTIONS(5411),
    [anon_sym_static] = ACTIONS(5411),
    [anon_sym_register] = ACTIONS(5411),
    [anon_sym_inline] = ACTIONS(5411),
    [anon_sym___inline] = ACTIONS(5411),
    [anon_sym___inline__] = ACTIONS(5411),
    [anon_sym___forceinline] = ACTIONS(5411),
    [anon_sym_thread_local] = ACTIONS(5411),
    [anon_sym___thread] = ACTIONS(5411),
    [anon_sym_const] = ACTIONS(5411),
    [anon_sym_constexpr] = ACTIONS(5411),
    [anon_sym_volatile] = ACTIONS(5411),
    [anon_sym_restrict] = ACTIONS(5411),
    [anon_sym___restrict__] = ACTIONS(5411),
    [anon_sym__Atomic] = ACTIONS(5411),
    [anon_sym__Noreturn] = ACTIONS(5411),
    [anon_sym_noreturn] = ACTIONS(5411),
    [anon_sym__Nonnull] = ACTIONS(5411),
    [anon_sym_mutable] = ACTIONS(5411),
    [anon_sym_constinit] = ACTIONS(5411),
    [anon_sym_consteval] = ACTIONS(5411),
    [anon_sym_alignas] = ACTIONS(5411),
    [anon_sym__Alignas] = ACTIONS(5411),
    [sym_primitive_type] = ACTIONS(5411),
    [anon_sym_enum] = ACTIONS(5411),
    [anon_sym_class] = ACTIONS(5411),
    [anon_sym_struct] = ACTIONS(5411),
    [anon_sym_union] = ACTIONS(5411),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5411),
    [anon_sym_decltype] = ACTIONS(5411),
    [anon_sym_explicit] = ACTIONS(5411),
    [anon_sym_typename] = ACTIONS(5411),
    [anon_sym_template] = ACTIONS(5411),
    [anon_sym_operator] = ACTIONS(5411),
    [anon_sym_friend] = ACTIONS(5411),
    [anon_sym_public] = ACTIONS(5411),
    [anon_sym_private] = ACTIONS(5411),
    [anon_sym_protected] = ACTIONS(5411),
    [anon_sym_using] = ACTIONS(5411),
    [anon_sym_static_assert] = ACTIONS(5411),
    [anon_sym_precise] = ACTIONS(5411),
    [anon_sym_shared] = ACTIONS(5411),
    [anon_sym_groupshared] = ACTIONS(5411),
    [anon_sym_uniform] = ACTIONS(5411),
    [anon_sym_row_major] = ACTIONS(5411),
    [anon_sym_column_major] = ACTIONS(5411),
    [anon_sym_globallycoherent] = ACTIONS(5411),
    [anon_sym_centroid] = ACTIONS(5411),
    [anon_sym_noperspective] = ACTIONS(5411),
    [anon_sym_nointerpolation] = ACTIONS(5411),
    [anon_sym_sample] = ACTIONS(5411),
    [anon_sym_linear] = ACTIONS(5411),
    [anon_sym_snorm] = ACTIONS(5411),
    [anon_sym_unorm] = ACTIONS(5411),
    [anon_sym_point] = ACTIONS(5411),
    [anon_sym_line] = ACTIONS(5411),
    [anon_sym_triangleadj] = ACTIONS(5411),
    [anon_sym_lineadj] = ACTIONS(5411),
    [anon_sym_triangle] = ACTIONS(5411),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_friend] = ACTIONS(2514),
    [anon_sym_public] = ACTIONS(2514),
    [anon_sym_private] = ACTIONS(2514),
    [anon_sym_protected] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_friend] = ACTIONS(2641),
    [anon_sym_public] = ACTIONS(2641),
    [anon_sym_private] = ACTIONS(2641),
    [anon_sym_protected] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
  },
  [2148] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_friend] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(2542),
    [aux_sym_preproc_def_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token2] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2542),
    [sym_preproc_directive] = ACTIONS(2542),
    [anon_sym_LPAREN2] = ACTIONS(2544),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2544),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2542),
    [anon_sym_typedef] = ACTIONS(2542),
    [anon_sym_in] = ACTIONS(2542),
    [anon_sym_out] = ACTIONS(2542),
    [anon_sym_inout] = ACTIONS(2542),
    [anon_sym_virtual] = ACTIONS(2542),
    [anon_sym_extern] = ACTIONS(2542),
    [anon_sym___attribute__] = ACTIONS(2542),
    [anon_sym_COLON_COLON] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2544),
    [anon_sym___declspec] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2542),
    [anon_sym_unsigned] = ACTIONS(2542),
    [anon_sym_long] = ACTIONS(2542),
    [anon_sym_short] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_static] = ACTIONS(2542),
    [anon_sym_register] = ACTIONS(2542),
    [anon_sym_inline] = ACTIONS(2542),
    [anon_sym___inline] = ACTIONS(2542),
    [anon_sym___inline__] = ACTIONS(2542),
    [anon_sym___forceinline] = ACTIONS(2542),
    [anon_sym_thread_local] = ACTIONS(2542),
    [anon_sym___thread] = ACTIONS(2542),
    [anon_sym_const] = ACTIONS(2542),
    [anon_sym_constexpr] = ACTIONS(2542),
    [anon_sym_volatile] = ACTIONS(2542),
    [anon_sym_restrict] = ACTIONS(2542),
    [anon_sym___restrict__] = ACTIONS(2542),
    [anon_sym__Atomic] = ACTIONS(2542),
    [anon_sym__Noreturn] = ACTIONS(2542),
    [anon_sym_noreturn] = ACTIONS(2542),
    [anon_sym__Nonnull] = ACTIONS(2542),
    [anon_sym_mutable] = ACTIONS(2542),
    [anon_sym_constinit] = ACTIONS(2542),
    [anon_sym_consteval] = ACTIONS(2542),
    [anon_sym_alignas] = ACTIONS(2542),
    [anon_sym__Alignas] = ACTIONS(2542),
    [sym_primitive_type] = ACTIONS(2542),
    [anon_sym_enum] = ACTIONS(2542),
    [anon_sym_class] = ACTIONS(2542),
    [anon_sym_struct] = ACTIONS(2542),
    [anon_sym_union] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2542),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2542),
    [anon_sym_friend] = ACTIONS(2542),
    [anon_sym_public] = ACTIONS(2542),
    [anon_sym_private] = ACTIONS(2542),
    [anon_sym_protected] = ACTIONS(2542),
    [anon_sym_using] = ACTIONS(2542),
    [anon_sym_static_assert] = ACTIONS(2542),
    [anon_sym_precise] = ACTIONS(2542),
    [anon_sym_shared] = ACTIONS(2542),
    [anon_sym_groupshared] = ACTIONS(2542),
    [anon_sym_uniform] = ACTIONS(2542),
    [anon_sym_row_major] = ACTIONS(2542),
    [anon_sym_column_major] = ACTIONS(2542),
    [anon_sym_globallycoherent] = ACTIONS(2542),
    [anon_sym_centroid] = ACTIONS(2542),
    [anon_sym_noperspective] = ACTIONS(2542),
    [anon_sym_nointerpolation] = ACTIONS(2542),
    [anon_sym_sample] = ACTIONS(2542),
    [anon_sym_linear] = ACTIONS(2542),
    [anon_sym_snorm] = ACTIONS(2542),
    [anon_sym_unorm] = ACTIONS(2542),
    [anon_sym_point] = ACTIONS(2542),
    [anon_sym_line] = ACTIONS(2542),
    [anon_sym_triangleadj] = ACTIONS(2542),
    [anon_sym_lineadj] = ACTIONS(2542),
    [anon_sym_triangle] = ACTIONS(2542),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_friend] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(5415),
    [aux_sym_preproc_def_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token2] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5415),
    [sym_preproc_directive] = ACTIONS(5415),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_TILDE] = ACTIONS(5417),
    [anon_sym_STAR] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_AMP] = ACTIONS(5415),
    [anon_sym_SEMI] = ACTIONS(5417),
    [anon_sym___extension__] = ACTIONS(5415),
    [anon_sym_typedef] = ACTIONS(5415),
    [anon_sym_in] = ACTIONS(5415),
    [anon_sym_out] = ACTIONS(5415),
    [anon_sym_inout] = ACTIONS(5415),
    [anon_sym_virtual] = ACTIONS(5415),
    [anon_sym_extern] = ACTIONS(5415),
    [anon_sym___attribute__] = ACTIONS(5415),
    [anon_sym_COLON_COLON] = ACTIONS(5417),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5417),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(5415),
    [anon_sym_signed] = ACTIONS(5415),
    [anon_sym_unsigned] = ACTIONS(5415),
    [anon_sym_long] = ACTIONS(5415),
    [anon_sym_short] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5415),
    [anon_sym_static] = ACTIONS(5415),
    [anon_sym_register] = ACTIONS(5415),
    [anon_sym_inline] = ACTIONS(5415),
    [anon_sym___inline] = ACTIONS(5415),
    [anon_sym___inline__] = ACTIONS(5415),
    [anon_sym___forceinline] = ACTIONS(5415),
    [anon_sym_thread_local] = ACTIONS(5415),
    [anon_sym___thread] = ACTIONS(5415),
    [anon_sym_const] = ACTIONS(5415),
    [anon_sym_constexpr] = ACTIONS(5415),
    [anon_sym_volatile] = ACTIONS(5415),
    [anon_sym_restrict] = ACTIONS(5415),
    [anon_sym___restrict__] = ACTIONS(5415),
    [anon_sym__Atomic] = ACTIONS(5415),
    [anon_sym__Noreturn] = ACTIONS(5415),
    [anon_sym_noreturn] = ACTIONS(5415),
    [anon_sym__Nonnull] = ACTIONS(5415),
    [anon_sym_mutable] = ACTIONS(5415),
    [anon_sym_constinit] = ACTIONS(5415),
    [anon_sym_consteval] = ACTIONS(5415),
    [anon_sym_alignas] = ACTIONS(5415),
    [anon_sym__Alignas] = ACTIONS(5415),
    [sym_primitive_type] = ACTIONS(5415),
    [anon_sym_enum] = ACTIONS(5415),
    [anon_sym_class] = ACTIONS(5415),
    [anon_sym_struct] = ACTIONS(5415),
    [anon_sym_union] = ACTIONS(5415),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5415),
    [anon_sym_decltype] = ACTIONS(5415),
    [anon_sym_explicit] = ACTIONS(5415),
    [anon_sym_typename] = ACTIONS(5415),
    [anon_sym_template] = ACTIONS(5415),
    [anon_sym_operator] = ACTIONS(5415),
    [anon_sym_friend] = ACTIONS(5415),
    [anon_sym_public] = ACTIONS(5415),
    [anon_sym_private] = ACTIONS(5415),
    [anon_sym_protected] = ACTIONS(5415),
    [anon_sym_using] = ACTIONS(5415),
    [anon_sym_static_assert] = ACTIONS(5415),
    [anon_sym_precise] = ACTIONS(5415),
    [anon_sym_shared] = ACTIONS(5415),
    [anon_sym_groupshared] = ACTIONS(5415),
    [anon_sym_uniform] = ACTIONS(5415),
    [anon_sym_row_major] = ACTIONS(5415),
    [anon_sym_column_major] = ACTIONS(5415),
    [anon_sym_globallycoherent] = ACTIONS(5415),
    [anon_sym_centroid] = ACTIONS(5415),
    [anon_sym_noperspective] = ACTIONS(5415),
    [anon_sym_nointerpolation] = ACTIONS(5415),
    [anon_sym_sample] = ACTIONS(5415),
    [anon_sym_linear] = ACTIONS(5415),
    [anon_sym_snorm] = ACTIONS(5415),
    [anon_sym_unorm] = ACTIONS(5415),
    [anon_sym_point] = ACTIONS(5415),
    [anon_sym_line] = ACTIONS(5415),
    [anon_sym_triangleadj] = ACTIONS(5415),
    [anon_sym_lineadj] = ACTIONS(5415),
    [anon_sym_triangle] = ACTIONS(5415),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(2546),
    [aux_sym_preproc_def_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token2] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2546),
    [sym_preproc_directive] = ACTIONS(2546),
    [anon_sym_LPAREN2] = ACTIONS(2548),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2548),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2546),
    [anon_sym_typedef] = ACTIONS(2546),
    [anon_sym_in] = ACTIONS(2546),
    [anon_sym_out] = ACTIONS(2546),
    [anon_sym_inout] = ACTIONS(2546),
    [anon_sym_virtual] = ACTIONS(2546),
    [anon_sym_extern] = ACTIONS(2546),
    [anon_sym___attribute__] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2548),
    [anon_sym___declspec] = ACTIONS(2546),
    [anon_sym___based] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_register] = ACTIONS(2546),
    [anon_sym_inline] = ACTIONS(2546),
    [anon_sym___inline] = ACTIONS(2546),
    [anon_sym___inline__] = ACTIONS(2546),
    [anon_sym___forceinline] = ACTIONS(2546),
    [anon_sym_thread_local] = ACTIONS(2546),
    [anon_sym___thread] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_constexpr] = ACTIONS(2546),
    [anon_sym_volatile] = ACTIONS(2546),
    [anon_sym_restrict] = ACTIONS(2546),
    [anon_sym___restrict__] = ACTIONS(2546),
    [anon_sym__Atomic] = ACTIONS(2546),
    [anon_sym__Noreturn] = ACTIONS(2546),
    [anon_sym_noreturn] = ACTIONS(2546),
    [anon_sym__Nonnull] = ACTIONS(2546),
    [anon_sym_mutable] = ACTIONS(2546),
    [anon_sym_constinit] = ACTIONS(2546),
    [anon_sym_consteval] = ACTIONS(2546),
    [anon_sym_alignas] = ACTIONS(2546),
    [anon_sym__Alignas] = ACTIONS(2546),
    [sym_primitive_type] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_struct] = ACTIONS(2546),
    [anon_sym_union] = ACTIONS(2546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2546),
    [anon_sym_decltype] = ACTIONS(2546),
    [anon_sym_explicit] = ACTIONS(2546),
    [anon_sym_typename] = ACTIONS(2546),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2546),
    [anon_sym_friend] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_static_assert] = ACTIONS(2546),
    [anon_sym_precise] = ACTIONS(2546),
    [anon_sym_shared] = ACTIONS(2546),
    [anon_sym_groupshared] = ACTIONS(2546),
    [anon_sym_uniform] = ACTIONS(2546),
    [anon_sym_row_major] = ACTIONS(2546),
    [anon_sym_column_major] = ACTIONS(2546),
    [anon_sym_globallycoherent] = ACTIONS(2546),
    [anon_sym_centroid] = ACTIONS(2546),
    [anon_sym_noperspective] = ACTIONS(2546),
    [anon_sym_nointerpolation] = ACTIONS(2546),
    [anon_sym_sample] = ACTIONS(2546),
    [anon_sym_linear] = ACTIONS(2546),
    [anon_sym_snorm] = ACTIONS(2546),
    [anon_sym_unorm] = ACTIONS(2546),
    [anon_sym_point] = ACTIONS(2546),
    [anon_sym_line] = ACTIONS(2546),
    [anon_sym_triangleadj] = ACTIONS(2546),
    [anon_sym_lineadj] = ACTIONS(2546),
    [anon_sym_triangle] = ACTIONS(2546),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym__Nonnull] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym__Alignas] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_friend] = ACTIONS(2376),
    [anon_sym_public] = ACTIONS(2376),
    [anon_sym_private] = ACTIONS(2376),
    [anon_sym_protected] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym__Nonnull] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym__Alignas] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_friend] = ACTIONS(2380),
    [anon_sym_public] = ACTIONS(2380),
    [anon_sym_private] = ACTIONS(2380),
    [anon_sym_protected] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(2130),
    [aux_sym_preproc_def_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token2] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2130),
    [sym_preproc_directive] = ACTIONS(2130),
    [anon_sym_LPAREN2] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_AMP_AMP] = ACTIONS(2132),
    [anon_sym_AMP] = ACTIONS(2130),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym___extension__] = ACTIONS(2130),
    [anon_sym_typedef] = ACTIONS(2130),
    [anon_sym_in] = ACTIONS(2130),
    [anon_sym_out] = ACTIONS(2130),
    [anon_sym_inout] = ACTIONS(2130),
    [anon_sym_virtual] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2130),
    [anon_sym___attribute__] = ACTIONS(2130),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2132),
    [anon_sym___declspec] = ACTIONS(2130),
    [anon_sym___based] = ACTIONS(2130),
    [anon_sym_signed] = ACTIONS(2130),
    [anon_sym_unsigned] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [anon_sym_register] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2130),
    [anon_sym___inline] = ACTIONS(2130),
    [anon_sym___inline__] = ACTIONS(2130),
    [anon_sym___forceinline] = ACTIONS(2130),
    [anon_sym_thread_local] = ACTIONS(2130),
    [anon_sym___thread] = ACTIONS(2130),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_constexpr] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_restrict] = ACTIONS(2130),
    [anon_sym___restrict__] = ACTIONS(2130),
    [anon_sym__Atomic] = ACTIONS(2130),
    [anon_sym__Noreturn] = ACTIONS(2130),
    [anon_sym_noreturn] = ACTIONS(2130),
    [anon_sym__Nonnull] = ACTIONS(2130),
    [anon_sym_mutable] = ACTIONS(2130),
    [anon_sym_constinit] = ACTIONS(2130),
    [anon_sym_consteval] = ACTIONS(2130),
    [anon_sym_alignas] = ACTIONS(2130),
    [anon_sym__Alignas] = ACTIONS(2130),
    [sym_primitive_type] = ACTIONS(2130),
    [anon_sym_enum] = ACTIONS(2130),
    [anon_sym_class] = ACTIONS(2130),
    [anon_sym_struct] = ACTIONS(2130),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2130),
    [anon_sym_decltype] = ACTIONS(2130),
    [anon_sym_explicit] = ACTIONS(2130),
    [anon_sym_typename] = ACTIONS(2130),
    [anon_sym_template] = ACTIONS(2130),
    [anon_sym_operator] = ACTIONS(2130),
    [anon_sym_friend] = ACTIONS(2130),
    [anon_sym_public] = ACTIONS(2130),
    [anon_sym_private] = ACTIONS(2130),
    [anon_sym_protected] = ACTIONS(2130),
    [anon_sym_using] = ACTIONS(2130),
    [anon_sym_static_assert] = ACTIONS(2130),
    [anon_sym_precise] = ACTIONS(2130),
    [anon_sym_shared] = ACTIONS(2130),
    [anon_sym_groupshared] = ACTIONS(2130),
    [anon_sym_uniform] = ACTIONS(2130),
    [anon_sym_row_major] = ACTIONS(2130),
    [anon_sym_column_major] = ACTIONS(2130),
    [anon_sym_globallycoherent] = ACTIONS(2130),
    [anon_sym_centroid] = ACTIONS(2130),
    [anon_sym_noperspective] = ACTIONS(2130),
    [anon_sym_nointerpolation] = ACTIONS(2130),
    [anon_sym_sample] = ACTIONS(2130),
    [anon_sym_linear] = ACTIONS(2130),
    [anon_sym_snorm] = ACTIONS(2130),
    [anon_sym_unorm] = ACTIONS(2130),
    [anon_sym_point] = ACTIONS(2130),
    [anon_sym_line] = ACTIONS(2130),
    [anon_sym_triangleadj] = ACTIONS(2130),
    [anon_sym_lineadj] = ACTIONS(2130),
    [anon_sym_triangle] = ACTIONS(2130),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_friend] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_friend] = ACTIONS(2629),
    [anon_sym_public] = ACTIONS(2629),
    [anon_sym_private] = ACTIONS(2629),
    [anon_sym_protected] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_friend] = ACTIONS(2408),
    [anon_sym_public] = ACTIONS(2408),
    [anon_sym_private] = ACTIONS(2408),
    [anon_sym_protected] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
  },
  [2161] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_friend] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_in] = ACTIONS(5403),
    [anon_sym_out] = ACTIONS(5403),
    [anon_sym_inout] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_RBRACE] = ACTIONS(5405),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [sym_primitive_type] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
    [anon_sym_precise] = ACTIONS(5403),
    [anon_sym_shared] = ACTIONS(5403),
    [anon_sym_groupshared] = ACTIONS(5403),
    [anon_sym_uniform] = ACTIONS(5403),
    [anon_sym_row_major] = ACTIONS(5403),
    [anon_sym_column_major] = ACTIONS(5403),
    [anon_sym_globallycoherent] = ACTIONS(5403),
    [anon_sym_centroid] = ACTIONS(5403),
    [anon_sym_noperspective] = ACTIONS(5403),
    [anon_sym_nointerpolation] = ACTIONS(5403),
    [anon_sym_sample] = ACTIONS(5403),
    [anon_sym_linear] = ACTIONS(5403),
    [anon_sym_snorm] = ACTIONS(5403),
    [anon_sym_unorm] = ACTIONS(5403),
    [anon_sym_point] = ACTIONS(5403),
    [anon_sym_line] = ACTIONS(5403),
    [anon_sym_triangleadj] = ACTIONS(5403),
    [anon_sym_lineadj] = ACTIONS(5403),
    [anon_sym_triangle] = ACTIONS(5403),
  },
  [2165] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token2] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_out] = ACTIONS(2578),
    [anon_sym_inout] = ACTIONS(2578),
    [anon_sym_virtual] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym__Nonnull] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym__Alignas] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_friend] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_precise] = ACTIONS(2578),
    [anon_sym_shared] = ACTIONS(2578),
    [anon_sym_groupshared] = ACTIONS(2578),
    [anon_sym_uniform] = ACTIONS(2578),
    [anon_sym_row_major] = ACTIONS(2578),
    [anon_sym_column_major] = ACTIONS(2578),
    [anon_sym_globallycoherent] = ACTIONS(2578),
    [anon_sym_centroid] = ACTIONS(2578),
    [anon_sym_noperspective] = ACTIONS(2578),
    [anon_sym_nointerpolation] = ACTIONS(2578),
    [anon_sym_sample] = ACTIONS(2578),
    [anon_sym_linear] = ACTIONS(2578),
    [anon_sym_snorm] = ACTIONS(2578),
    [anon_sym_unorm] = ACTIONS(2578),
    [anon_sym_point] = ACTIONS(2578),
    [anon_sym_line] = ACTIONS(2578),
    [anon_sym_triangleadj] = ACTIONS(2578),
    [anon_sym_lineadj] = ACTIONS(2578),
    [anon_sym_triangle] = ACTIONS(2578),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2240),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym__Nonnull] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym__Alignas] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(2174),
    [aux_sym_preproc_def_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token1] = ACTIONS(2174),
    [aux_sym_preproc_if_token2] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2174),
    [sym_preproc_directive] = ACTIONS(2174),
    [anon_sym_LPAREN2] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_STAR] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(2174),
    [anon_sym_typedef] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_out] = ACTIONS(2174),
    [anon_sym_inout] = ACTIONS(2174),
    [anon_sym_virtual] = ACTIONS(2174),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym___attribute__] = ACTIONS(2174),
    [anon_sym_COLON_COLON] = ACTIONS(2176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2176),
    [anon_sym___declspec] = ACTIONS(2174),
    [anon_sym___based] = ACTIONS(2174),
    [anon_sym_signed] = ACTIONS(2174),
    [anon_sym_unsigned] = ACTIONS(2174),
    [anon_sym_long] = ACTIONS(2174),
    [anon_sym_short] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_register] = ACTIONS(2174),
    [anon_sym_inline] = ACTIONS(2174),
    [anon_sym___inline] = ACTIONS(2174),
    [anon_sym___inline__] = ACTIONS(2174),
    [anon_sym___forceinline] = ACTIONS(2174),
    [anon_sym_thread_local] = ACTIONS(2174),
    [anon_sym___thread] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_constexpr] = ACTIONS(2174),
    [anon_sym_volatile] = ACTIONS(2174),
    [anon_sym_restrict] = ACTIONS(2174),
    [anon_sym___restrict__] = ACTIONS(2174),
    [anon_sym__Atomic] = ACTIONS(2174),
    [anon_sym__Noreturn] = ACTIONS(2174),
    [anon_sym_noreturn] = ACTIONS(2174),
    [anon_sym__Nonnull] = ACTIONS(2174),
    [anon_sym_mutable] = ACTIONS(2174),
    [anon_sym_constinit] = ACTIONS(2174),
    [anon_sym_consteval] = ACTIONS(2174),
    [anon_sym_alignas] = ACTIONS(2174),
    [anon_sym__Alignas] = ACTIONS(2174),
    [sym_primitive_type] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_struct] = ACTIONS(2174),
    [anon_sym_union] = ACTIONS(2174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2174),
    [anon_sym_decltype] = ACTIONS(2174),
    [anon_sym_explicit] = ACTIONS(2174),
    [anon_sym_typename] = ACTIONS(2174),
    [anon_sym_template] = ACTIONS(2174),
    [anon_sym_operator] = ACTIONS(2174),
    [anon_sym_friend] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_static_assert] = ACTIONS(2174),
    [anon_sym_precise] = ACTIONS(2174),
    [anon_sym_shared] = ACTIONS(2174),
    [anon_sym_groupshared] = ACTIONS(2174),
    [anon_sym_uniform] = ACTIONS(2174),
    [anon_sym_row_major] = ACTIONS(2174),
    [anon_sym_column_major] = ACTIONS(2174),
    [anon_sym_globallycoherent] = ACTIONS(2174),
    [anon_sym_centroid] = ACTIONS(2174),
    [anon_sym_noperspective] = ACTIONS(2174),
    [anon_sym_nointerpolation] = ACTIONS(2174),
    [anon_sym_sample] = ACTIONS(2174),
    [anon_sym_linear] = ACTIONS(2174),
    [anon_sym_snorm] = ACTIONS(2174),
    [anon_sym_unorm] = ACTIONS(2174),
    [anon_sym_point] = ACTIONS(2174),
    [anon_sym_line] = ACTIONS(2174),
    [anon_sym_triangleadj] = ACTIONS(2174),
    [anon_sym_lineadj] = ACTIONS(2174),
    [anon_sym_triangle] = ACTIONS(2174),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_friend] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_in] = ACTIONS(2526),
    [anon_sym_out] = ACTIONS(2526),
    [anon_sym_inout] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym__Nonnull] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_friend] = ACTIONS(2526),
    [anon_sym_public] = ACTIONS(2526),
    [anon_sym_private] = ACTIONS(2526),
    [anon_sym_protected] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_precise] = ACTIONS(2526),
    [anon_sym_shared] = ACTIONS(2526),
    [anon_sym_groupshared] = ACTIONS(2526),
    [anon_sym_uniform] = ACTIONS(2526),
    [anon_sym_row_major] = ACTIONS(2526),
    [anon_sym_column_major] = ACTIONS(2526),
    [anon_sym_globallycoherent] = ACTIONS(2526),
    [anon_sym_centroid] = ACTIONS(2526),
    [anon_sym_noperspective] = ACTIONS(2526),
    [anon_sym_nointerpolation] = ACTIONS(2526),
    [anon_sym_sample] = ACTIONS(2526),
    [anon_sym_linear] = ACTIONS(2526),
    [anon_sym_snorm] = ACTIONS(2526),
    [anon_sym_unorm] = ACTIONS(2526),
    [anon_sym_point] = ACTIONS(2526),
    [anon_sym_line] = ACTIONS(2526),
    [anon_sym_triangleadj] = ACTIONS(2526),
    [anon_sym_lineadj] = ACTIONS(2526),
    [anon_sym_triangle] = ACTIONS(2526),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_in] = ACTIONS(2530),
    [anon_sym_out] = ACTIONS(2530),
    [anon_sym_inout] = ACTIONS(2530),
    [anon_sym_virtual] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym__Nonnull] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_friend] = ACTIONS(2530),
    [anon_sym_public] = ACTIONS(2530),
    [anon_sym_private] = ACTIONS(2530),
    [anon_sym_protected] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_precise] = ACTIONS(2530),
    [anon_sym_shared] = ACTIONS(2530),
    [anon_sym_groupshared] = ACTIONS(2530),
    [anon_sym_uniform] = ACTIONS(2530),
    [anon_sym_row_major] = ACTIONS(2530),
    [anon_sym_column_major] = ACTIONS(2530),
    [anon_sym_globallycoherent] = ACTIONS(2530),
    [anon_sym_centroid] = ACTIONS(2530),
    [anon_sym_noperspective] = ACTIONS(2530),
    [anon_sym_nointerpolation] = ACTIONS(2530),
    [anon_sym_sample] = ACTIONS(2530),
    [anon_sym_linear] = ACTIONS(2530),
    [anon_sym_snorm] = ACTIONS(2530),
    [anon_sym_unorm] = ACTIONS(2530),
    [anon_sym_point] = ACTIONS(2530),
    [anon_sym_line] = ACTIONS(2530),
    [anon_sym_triangleadj] = ACTIONS(2530),
    [anon_sym_lineadj] = ACTIONS(2530),
    [anon_sym_triangle] = ACTIONS(2530),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2534),
    [anon_sym_out] = ACTIONS(2534),
    [anon_sym_inout] = ACTIONS(2534),
    [anon_sym_virtual] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym__Nonnull] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_friend] = ACTIONS(2534),
    [anon_sym_public] = ACTIONS(2534),
    [anon_sym_private] = ACTIONS(2534),
    [anon_sym_protected] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_precise] = ACTIONS(2534),
    [anon_sym_shared] = ACTIONS(2534),
    [anon_sym_groupshared] = ACTIONS(2534),
    [anon_sym_uniform] = ACTIONS(2534),
    [anon_sym_row_major] = ACTIONS(2534),
    [anon_sym_column_major] = ACTIONS(2534),
    [anon_sym_globallycoherent] = ACTIONS(2534),
    [anon_sym_centroid] = ACTIONS(2534),
    [anon_sym_noperspective] = ACTIONS(2534),
    [anon_sym_nointerpolation] = ACTIONS(2534),
    [anon_sym_sample] = ACTIONS(2534),
    [anon_sym_linear] = ACTIONS(2534),
    [anon_sym_snorm] = ACTIONS(2534),
    [anon_sym_unorm] = ACTIONS(2534),
    [anon_sym_point] = ACTIONS(2534),
    [anon_sym_line] = ACTIONS(2534),
    [anon_sym_triangleadj] = ACTIONS(2534),
    [anon_sym_lineadj] = ACTIONS(2534),
    [anon_sym_triangle] = ACTIONS(2534),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_out] = ACTIONS(2522),
    [anon_sym_inout] = ACTIONS(2522),
    [anon_sym_virtual] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym__Nonnull] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_friend] = ACTIONS(2522),
    [anon_sym_public] = ACTIONS(2522),
    [anon_sym_private] = ACTIONS(2522),
    [anon_sym_protected] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_precise] = ACTIONS(2522),
    [anon_sym_shared] = ACTIONS(2522),
    [anon_sym_groupshared] = ACTIONS(2522),
    [anon_sym_uniform] = ACTIONS(2522),
    [anon_sym_row_major] = ACTIONS(2522),
    [anon_sym_column_major] = ACTIONS(2522),
    [anon_sym_globallycoherent] = ACTIONS(2522),
    [anon_sym_centroid] = ACTIONS(2522),
    [anon_sym_noperspective] = ACTIONS(2522),
    [anon_sym_nointerpolation] = ACTIONS(2522),
    [anon_sym_sample] = ACTIONS(2522),
    [anon_sym_linear] = ACTIONS(2522),
    [anon_sym_snorm] = ACTIONS(2522),
    [anon_sym_unorm] = ACTIONS(2522),
    [anon_sym_point] = ACTIONS(2522),
    [anon_sym_line] = ACTIONS(2522),
    [anon_sym_triangleadj] = ACTIONS(2522),
    [anon_sym_lineadj] = ACTIONS(2522),
    [anon_sym_triangle] = ACTIONS(2522),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym__Nonnull] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym__Alignas] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token2] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_in] = ACTIONS(2606),
    [anon_sym_out] = ACTIONS(2606),
    [anon_sym_inout] = ACTIONS(2606),
    [anon_sym_virtual] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym__Nonnull] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym__Alignas] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_friend] = ACTIONS(2606),
    [anon_sym_public] = ACTIONS(2606),
    [anon_sym_private] = ACTIONS(2606),
    [anon_sym_protected] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_precise] = ACTIONS(2606),
    [anon_sym_shared] = ACTIONS(2606),
    [anon_sym_groupshared] = ACTIONS(2606),
    [anon_sym_uniform] = ACTIONS(2606),
    [anon_sym_row_major] = ACTIONS(2606),
    [anon_sym_column_major] = ACTIONS(2606),
    [anon_sym_globallycoherent] = ACTIONS(2606),
    [anon_sym_centroid] = ACTIONS(2606),
    [anon_sym_noperspective] = ACTIONS(2606),
    [anon_sym_nointerpolation] = ACTIONS(2606),
    [anon_sym_sample] = ACTIONS(2606),
    [anon_sym_linear] = ACTIONS(2606),
    [anon_sym_snorm] = ACTIONS(2606),
    [anon_sym_unorm] = ACTIONS(2606),
    [anon_sym_point] = ACTIONS(2606),
    [anon_sym_line] = ACTIONS(2606),
    [anon_sym_triangleadj] = ACTIONS(2606),
    [anon_sym_lineadj] = ACTIONS(2606),
    [anon_sym_triangle] = ACTIONS(2606),
  },
  [2177] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token2] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym__Nonnull] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym__Alignas] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_friend] = ACTIONS(2206),
    [anon_sym_public] = ACTIONS(2206),
    [anon_sym_private] = ACTIONS(2206),
    [anon_sym_protected] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
  },
  [2178] = {
    [sym_template_argument_list] = STATE(2245),
    [sym_identifier] = ACTIONS(1967),
    [anon_sym_LPAREN2] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym___extension__] = ACTIONS(1967),
    [anon_sym_in] = ACTIONS(1967),
    [anon_sym_out] = ACTIONS(1967),
    [anon_sym_inout] = ACTIONS(1967),
    [anon_sym_virtual] = ACTIONS(1967),
    [anon_sym_extern] = ACTIONS(1967),
    [anon_sym___attribute__] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1969),
    [anon_sym___declspec] = ACTIONS(1967),
    [anon_sym___based] = ACTIONS(1967),
    [anon_sym___cdecl] = ACTIONS(1967),
    [anon_sym___clrcall] = ACTIONS(1967),
    [anon_sym___stdcall] = ACTIONS(1967),
    [anon_sym___fastcall] = ACTIONS(1967),
    [anon_sym___thiscall] = ACTIONS(1967),
    [anon_sym___vectorcall] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1967),
    [anon_sym_unsigned] = ACTIONS(1967),
    [anon_sym_long] = ACTIONS(1967),
    [anon_sym_short] = ACTIONS(1967),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1967),
    [anon_sym_register] = ACTIONS(1967),
    [anon_sym_inline] = ACTIONS(1967),
    [anon_sym___inline] = ACTIONS(1967),
    [anon_sym___inline__] = ACTIONS(1967),
    [anon_sym___forceinline] = ACTIONS(1967),
    [anon_sym_thread_local] = ACTIONS(1967),
    [anon_sym___thread] = ACTIONS(1967),
    [anon_sym_const] = ACTIONS(1967),
    [anon_sym_constexpr] = ACTIONS(1967),
    [anon_sym_volatile] = ACTIONS(1967),
    [anon_sym_restrict] = ACTIONS(1967),
    [anon_sym___restrict__] = ACTIONS(1967),
    [anon_sym__Atomic] = ACTIONS(1967),
    [anon_sym__Noreturn] = ACTIONS(1967),
    [anon_sym_noreturn] = ACTIONS(1967),
    [anon_sym__Nonnull] = ACTIONS(1967),
    [anon_sym_mutable] = ACTIONS(1967),
    [anon_sym_constinit] = ACTIONS(1967),
    [anon_sym_consteval] = ACTIONS(1967),
    [anon_sym_alignas] = ACTIONS(1967),
    [anon_sym__Alignas] = ACTIONS(1967),
    [sym_primitive_type] = ACTIONS(1967),
    [anon_sym_enum] = ACTIONS(1967),
    [anon_sym_class] = ACTIONS(1967),
    [anon_sym_struct] = ACTIONS(1967),
    [anon_sym_union] = ACTIONS(1967),
    [anon_sym_or] = ACTIONS(1967),
    [anon_sym_and] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1967),
    [anon_sym_decltype] = ACTIONS(1967),
    [anon_sym_explicit] = ACTIONS(1967),
    [anon_sym_typename] = ACTIONS(1967),
    [anon_sym_template] = ACTIONS(1967),
    [anon_sym_operator] = ACTIONS(1967),
    [anon_sym_friend] = ACTIONS(1967),
    [anon_sym_using] = ACTIONS(1967),
    [anon_sym_concept] = ACTIONS(1967),
    [anon_sym_precise] = ACTIONS(1967),
    [anon_sym_shared] = ACTIONS(1967),
    [anon_sym_groupshared] = ACTIONS(1967),
    [anon_sym_uniform] = ACTIONS(1967),
    [anon_sym_row_major] = ACTIONS(1967),
    [anon_sym_column_major] = ACTIONS(1967),
    [anon_sym_globallycoherent] = ACTIONS(1967),
    [anon_sym_centroid] = ACTIONS(1967),
    [anon_sym_noperspective] = ACTIONS(1967),
    [anon_sym_nointerpolation] = ACTIONS(1967),
    [anon_sym_sample] = ACTIONS(1967),
    [anon_sym_linear] = ACTIONS(1967),
    [anon_sym_snorm] = ACTIONS(1967),
    [anon_sym_unorm] = ACTIONS(1967),
    [anon_sym_point] = ACTIONS(1967),
    [anon_sym_line] = ACTIONS(1967),
    [anon_sym_triangleadj] = ACTIONS(1967),
    [anon_sym_lineadj] = ACTIONS(1967),
    [anon_sym_triangle] = ACTIONS(1967),
  },
  [2179] = {
    [sym_identifier] = ACTIONS(2542),
    [aux_sym_preproc_def_token1] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2542),
    [sym_preproc_directive] = ACTIONS(2542),
    [anon_sym_LPAREN2] = ACTIONS(2544),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2544),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2542),
    [anon_sym_typedef] = ACTIONS(2542),
    [anon_sym_in] = ACTIONS(2542),
    [anon_sym_out] = ACTIONS(2542),
    [anon_sym_inout] = ACTIONS(2542),
    [anon_sym_virtual] = ACTIONS(2542),
    [anon_sym_extern] = ACTIONS(2542),
    [anon_sym___attribute__] = ACTIONS(2542),
    [anon_sym_COLON_COLON] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2544),
    [anon_sym___declspec] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2542),
    [anon_sym_unsigned] = ACTIONS(2542),
    [anon_sym_long] = ACTIONS(2542),
    [anon_sym_short] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_static] = ACTIONS(2542),
    [anon_sym_register] = ACTIONS(2542),
    [anon_sym_inline] = ACTIONS(2542),
    [anon_sym___inline] = ACTIONS(2542),
    [anon_sym___inline__] = ACTIONS(2542),
    [anon_sym___forceinline] = ACTIONS(2542),
    [anon_sym_thread_local] = ACTIONS(2542),
    [anon_sym___thread] = ACTIONS(2542),
    [anon_sym_const] = ACTIONS(2542),
    [anon_sym_constexpr] = ACTIONS(2542),
    [anon_sym_volatile] = ACTIONS(2542),
    [anon_sym_restrict] = ACTIONS(2542),
    [anon_sym___restrict__] = ACTIONS(2542),
    [anon_sym__Atomic] = ACTIONS(2542),
    [anon_sym__Noreturn] = ACTIONS(2542),
    [anon_sym_noreturn] = ACTIONS(2542),
    [anon_sym__Nonnull] = ACTIONS(2542),
    [anon_sym_mutable] = ACTIONS(2542),
    [anon_sym_constinit] = ACTIONS(2542),
    [anon_sym_consteval] = ACTIONS(2542),
    [anon_sym_alignas] = ACTIONS(2542),
    [anon_sym__Alignas] = ACTIONS(2542),
    [sym_primitive_type] = ACTIONS(2542),
    [anon_sym_enum] = ACTIONS(2542),
    [anon_sym_class] = ACTIONS(2542),
    [anon_sym_struct] = ACTIONS(2542),
    [anon_sym_union] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2542),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2542),
    [anon_sym_friend] = ACTIONS(2542),
    [anon_sym_public] = ACTIONS(2542),
    [anon_sym_private] = ACTIONS(2542),
    [anon_sym_protected] = ACTIONS(2542),
    [anon_sym_using] = ACTIONS(2542),
    [anon_sym_static_assert] = ACTIONS(2542),
    [anon_sym_precise] = ACTIONS(2542),
    [anon_sym_shared] = ACTIONS(2542),
    [anon_sym_groupshared] = ACTIONS(2542),
    [anon_sym_uniform] = ACTIONS(2542),
    [anon_sym_row_major] = ACTIONS(2542),
    [anon_sym_column_major] = ACTIONS(2542),
    [anon_sym_globallycoherent] = ACTIONS(2542),
    [anon_sym_centroid] = ACTIONS(2542),
    [anon_sym_noperspective] = ACTIONS(2542),
    [anon_sym_nointerpolation] = ACTIONS(2542),
    [anon_sym_sample] = ACTIONS(2542),
    [anon_sym_linear] = ACTIONS(2542),
    [anon_sym_snorm] = ACTIONS(2542),
    [anon_sym_unorm] = ACTIONS(2542),
    [anon_sym_point] = ACTIONS(2542),
    [anon_sym_line] = ACTIONS(2542),
    [anon_sym_triangleadj] = ACTIONS(2542),
    [anon_sym_lineadj] = ACTIONS(2542),
    [anon_sym_triangle] = ACTIONS(2542),
  },
  [2180] = {
    [sym_identifier] = ACTIONS(2546),
    [aux_sym_preproc_def_token1] = ACTIONS(2546),
    [aux_sym_preproc_if_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2546),
    [sym_preproc_directive] = ACTIONS(2546),
    [anon_sym_LPAREN2] = ACTIONS(2548),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_AMP_AMP] = ACTIONS(2548),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2546),
    [anon_sym_typedef] = ACTIONS(2546),
    [anon_sym_in] = ACTIONS(2546),
    [anon_sym_out] = ACTIONS(2546),
    [anon_sym_inout] = ACTIONS(2546),
    [anon_sym_virtual] = ACTIONS(2546),
    [anon_sym_extern] = ACTIONS(2546),
    [anon_sym___attribute__] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2548),
    [anon_sym___declspec] = ACTIONS(2546),
    [anon_sym___based] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_register] = ACTIONS(2546),
    [anon_sym_inline] = ACTIONS(2546),
    [anon_sym___inline] = ACTIONS(2546),
    [anon_sym___inline__] = ACTIONS(2546),
    [anon_sym___forceinline] = ACTIONS(2546),
    [anon_sym_thread_local] = ACTIONS(2546),
    [anon_sym___thread] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_constexpr] = ACTIONS(2546),
    [anon_sym_volatile] = ACTIONS(2546),
    [anon_sym_restrict] = ACTIONS(2546),
    [anon_sym___restrict__] = ACTIONS(2546),
    [anon_sym__Atomic] = ACTIONS(2546),
    [anon_sym__Noreturn] = ACTIONS(2546),
    [anon_sym_noreturn] = ACTIONS(2546),
    [anon_sym__Nonnull] = ACTIONS(2546),
    [anon_sym_mutable] = ACTIONS(2546),
    [anon_sym_constinit] = ACTIONS(2546),
    [anon_sym_consteval] = ACTIONS(2546),
    [anon_sym_alignas] = ACTIONS(2546),
    [anon_sym__Alignas] = ACTIONS(2546),
    [sym_primitive_type] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_struct] = ACTIONS(2546),
    [anon_sym_union] = ACTIONS(2546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2546),
    [anon_sym_decltype] = ACTIONS(2546),
    [anon_sym_explicit] = ACTIONS(2546),
    [anon_sym_typename] = ACTIONS(2546),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2546),
    [anon_sym_friend] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_static_assert] = ACTIONS(2546),
    [anon_sym_precise] = ACTIONS(2546),
    [anon_sym_shared] = ACTIONS(2546),
    [anon_sym_groupshared] = ACTIONS(2546),
    [anon_sym_uniform] = ACTIONS(2546),
    [anon_sym_row_major] = ACTIONS(2546),
    [anon_sym_column_major] = ACTIONS(2546),
    [anon_sym_globallycoherent] = ACTIONS(2546),
    [anon_sym_centroid] = ACTIONS(2546),
    [anon_sym_noperspective] = ACTIONS(2546),
    [anon_sym_nointerpolation] = ACTIONS(2546),
    [anon_sym_sample] = ACTIONS(2546),
    [anon_sym_linear] = ACTIONS(2546),
    [anon_sym_snorm] = ACTIONS(2546),
    [anon_sym_unorm] = ACTIONS(2546),
    [anon_sym_point] = ACTIONS(2546),
    [anon_sym_line] = ACTIONS(2546),
    [anon_sym_triangleadj] = ACTIONS(2546),
    [anon_sym_lineadj] = ACTIONS(2546),
    [anon_sym_triangle] = ACTIONS(2546),
  },
  [2181] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_in] = ACTIONS(5403),
    [anon_sym_out] = ACTIONS(5403),
    [anon_sym_inout] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_RBRACE] = ACTIONS(5405),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [sym_primitive_type] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
    [anon_sym_precise] = ACTIONS(5403),
    [anon_sym_shared] = ACTIONS(5403),
    [anon_sym_groupshared] = ACTIONS(5403),
    [anon_sym_uniform] = ACTIONS(5403),
    [anon_sym_row_major] = ACTIONS(5403),
    [anon_sym_column_major] = ACTIONS(5403),
    [anon_sym_globallycoherent] = ACTIONS(5403),
    [anon_sym_centroid] = ACTIONS(5403),
    [anon_sym_noperspective] = ACTIONS(5403),
    [anon_sym_nointerpolation] = ACTIONS(5403),
    [anon_sym_sample] = ACTIONS(5403),
    [anon_sym_linear] = ACTIONS(5403),
    [anon_sym_snorm] = ACTIONS(5403),
    [anon_sym_unorm] = ACTIONS(5403),
    [anon_sym_point] = ACTIONS(5403),
    [anon_sym_line] = ACTIONS(5403),
    [anon_sym_triangleadj] = ACTIONS(5403),
    [anon_sym_lineadj] = ACTIONS(5403),
    [anon_sym_triangle] = ACTIONS(5403),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(5407),
    [aux_sym_preproc_def_token1] = ACTIONS(5407),
    [aux_sym_preproc_if_token1] = ACTIONS(5407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5407),
    [sym_preproc_directive] = ACTIONS(5407),
    [anon_sym_LPAREN2] = ACTIONS(5409),
    [anon_sym_TILDE] = ACTIONS(5409),
    [anon_sym_STAR] = ACTIONS(5409),
    [anon_sym_AMP_AMP] = ACTIONS(5409),
    [anon_sym_AMP] = ACTIONS(5407),
    [anon_sym_SEMI] = ACTIONS(5409),
    [anon_sym___extension__] = ACTIONS(5407),
    [anon_sym_typedef] = ACTIONS(5407),
    [anon_sym_in] = ACTIONS(5407),
    [anon_sym_out] = ACTIONS(5407),
    [anon_sym_inout] = ACTIONS(5407),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5407),
    [anon_sym_COLON_COLON] = ACTIONS(5409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5409),
    [anon_sym___declspec] = ACTIONS(5407),
    [anon_sym___based] = ACTIONS(5407),
    [anon_sym_RBRACE] = ACTIONS(5409),
    [anon_sym_signed] = ACTIONS(5407),
    [anon_sym_unsigned] = ACTIONS(5407),
    [anon_sym_long] = ACTIONS(5407),
    [anon_sym_short] = ACTIONS(5407),
    [anon_sym_LBRACK] = ACTIONS(5407),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5407),
    [anon_sym_constexpr] = ACTIONS(5407),
    [anon_sym_volatile] = ACTIONS(5407),
    [anon_sym_restrict] = ACTIONS(5407),
    [anon_sym___restrict__] = ACTIONS(5407),
    [anon_sym__Atomic] = ACTIONS(5407),
    [anon_sym__Noreturn] = ACTIONS(5407),
    [anon_sym_noreturn] = ACTIONS(5407),
    [anon_sym__Nonnull] = ACTIONS(5407),
    [anon_sym_mutable] = ACTIONS(5407),
    [anon_sym_constinit] = ACTIONS(5407),
    [anon_sym_consteval] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5407),
    [anon_sym__Alignas] = ACTIONS(5407),
    [sym_primitive_type] = ACTIONS(5407),
    [anon_sym_enum] = ACTIONS(5407),
    [anon_sym_class] = ACTIONS(5407),
    [anon_sym_struct] = ACTIONS(5407),
    [anon_sym_union] = ACTIONS(5407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5407),
    [anon_sym_decltype] = ACTIONS(5407),
    [anon_sym_explicit] = ACTIONS(5407),
    [anon_sym_typename] = ACTIONS(5407),
    [anon_sym_template] = ACTIONS(5407),
    [anon_sym_operator] = ACTIONS(5407),
    [anon_sym_friend] = ACTIONS(5407),
    [anon_sym_public] = ACTIONS(5407),
    [anon_sym_private] = ACTIONS(5407),
    [anon_sym_protected] = ACTIONS(5407),
    [anon_sym_using] = ACTIONS(5407),
    [anon_sym_static_assert] = ACTIONS(5407),
    [anon_sym_precise] = ACTIONS(5407),
    [anon_sym_shared] = ACTIONS(5407),
    [anon_sym_groupshared] = ACTIONS(5407),
    [anon_sym_uniform] = ACTIONS(5407),
    [anon_sym_row_major] = ACTIONS(5407),
    [anon_sym_column_major] = ACTIONS(5407),
    [anon_sym_globallycoherent] = ACTIONS(5407),
    [anon_sym_centroid] = ACTIONS(5407),
    [anon_sym_noperspective] = ACTIONS(5407),
    [anon_sym_nointerpolation] = ACTIONS(5407),
    [anon_sym_sample] = ACTIONS(5407),
    [anon_sym_linear] = ACTIONS(5407),
    [anon_sym_snorm] = ACTIONS(5407),
    [anon_sym_unorm] = ACTIONS(5407),
    [anon_sym_point] = ACTIONS(5407),
    [anon_sym_line] = ACTIONS(5407),
    [anon_sym_triangleadj] = ACTIONS(5407),
    [anon_sym_lineadj] = ACTIONS(5407),
    [anon_sym_triangle] = ACTIONS(5407),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(5451),
    [aux_sym_preproc_def_token1] = ACTIONS(5451),
    [aux_sym_preproc_if_token1] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5451),
    [sym_preproc_directive] = ACTIONS(5451),
    [anon_sym_LPAREN2] = ACTIONS(5453),
    [anon_sym_TILDE] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_AMP_AMP] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5451),
    [anon_sym_SEMI] = ACTIONS(5453),
    [anon_sym___extension__] = ACTIONS(5451),
    [anon_sym_typedef] = ACTIONS(5451),
    [anon_sym_in] = ACTIONS(5451),
    [anon_sym_out] = ACTIONS(5451),
    [anon_sym_inout] = ACTIONS(5451),
    [anon_sym_virtual] = ACTIONS(5451),
    [anon_sym_extern] = ACTIONS(5451),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym_COLON_COLON] = ACTIONS(5453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5453),
    [anon_sym___declspec] = ACTIONS(5451),
    [anon_sym___based] = ACTIONS(5451),
    [anon_sym_RBRACE] = ACTIONS(5453),
    [anon_sym_signed] = ACTIONS(5451),
    [anon_sym_unsigned] = ACTIONS(5451),
    [anon_sym_long] = ACTIONS(5451),
    [anon_sym_short] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_static] = ACTIONS(5451),
    [anon_sym_register] = ACTIONS(5451),
    [anon_sym_inline] = ACTIONS(5451),
    [anon_sym___inline] = ACTIONS(5451),
    [anon_sym___inline__] = ACTIONS(5451),
    [anon_sym___forceinline] = ACTIONS(5451),
    [anon_sym_thread_local] = ACTIONS(5451),
    [anon_sym___thread] = ACTIONS(5451),
    [anon_sym_const] = ACTIONS(5451),
    [anon_sym_constexpr] = ACTIONS(5451),
    [anon_sym_volatile] = ACTIONS(5451),
    [anon_sym_restrict] = ACTIONS(5451),
    [anon_sym___restrict__] = ACTIONS(5451),
    [anon_sym__Atomic] = ACTIONS(5451),
    [anon_sym__Noreturn] = ACTIONS(5451),
    [anon_sym_noreturn] = ACTIONS(5451),
    [anon_sym__Nonnull] = ACTIONS(5451),
    [anon_sym_mutable] = ACTIONS(5451),
    [anon_sym_constinit] = ACTIONS(5451),
    [anon_sym_consteval] = ACTIONS(5451),
    [anon_sym_alignas] = ACTIONS(5451),
    [anon_sym__Alignas] = ACTIONS(5451),
    [sym_primitive_type] = ACTIONS(5451),
    [anon_sym_enum] = ACTIONS(5451),
    [anon_sym_class] = ACTIONS(5451),
    [anon_sym_struct] = ACTIONS(5451),
    [anon_sym_union] = ACTIONS(5451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5451),
    [anon_sym_decltype] = ACTIONS(5451),
    [anon_sym_explicit] = ACTIONS(5451),
    [anon_sym_typename] = ACTIONS(5451),
    [anon_sym_template] = ACTIONS(5451),
    [anon_sym_operator] = ACTIONS(5451),
    [anon_sym_friend] = ACTIONS(5451),
    [anon_sym_public] = ACTIONS(5451),
    [anon_sym_private] = ACTIONS(5451),
    [anon_sym_protected] = ACTIONS(5451),
    [anon_sym_using] = ACTIONS(5451),
    [anon_sym_static_assert] = ACTIONS(5451),
    [anon_sym_precise] = ACTIONS(5451),
    [anon_sym_shared] = ACTIONS(5451),
    [anon_sym_groupshared] = ACTIONS(5451),
    [anon_sym_uniform] = ACTIONS(5451),
    [anon_sym_row_major] = ACTIONS(5451),
    [anon_sym_column_major] = ACTIONS(5451),
    [anon_sym_globallycoherent] = ACTIONS(5451),
    [anon_sym_centroid] = ACTIONS(5451),
    [anon_sym_noperspective] = ACTIONS(5451),
    [anon_sym_nointerpolation] = ACTIONS(5451),
    [anon_sym_sample] = ACTIONS(5451),
    [anon_sym_linear] = ACTIONS(5451),
    [anon_sym_snorm] = ACTIONS(5451),
    [anon_sym_unorm] = ACTIONS(5451),
    [anon_sym_point] = ACTIONS(5451),
    [anon_sym_line] = ACTIONS(5451),
    [anon_sym_triangleadj] = ACTIONS(5451),
    [anon_sym_lineadj] = ACTIONS(5451),
    [anon_sym_triangle] = ACTIONS(5451),
  },
  [2184] = {
    [sym_identifier] = ACTIONS(5411),
    [aux_sym_preproc_def_token1] = ACTIONS(5411),
    [aux_sym_preproc_if_token1] = ACTIONS(5411),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5411),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5411),
    [sym_preproc_directive] = ACTIONS(5411),
    [anon_sym_LPAREN2] = ACTIONS(5413),
    [anon_sym_TILDE] = ACTIONS(5413),
    [anon_sym_STAR] = ACTIONS(5413),
    [anon_sym_AMP_AMP] = ACTIONS(5413),
    [anon_sym_AMP] = ACTIONS(5411),
    [anon_sym_SEMI] = ACTIONS(5413),
    [anon_sym___extension__] = ACTIONS(5411),
    [anon_sym_typedef] = ACTIONS(5411),
    [anon_sym_in] = ACTIONS(5411),
    [anon_sym_out] = ACTIONS(5411),
    [anon_sym_inout] = ACTIONS(5411),
    [anon_sym_virtual] = ACTIONS(5411),
    [anon_sym_extern] = ACTIONS(5411),
    [anon_sym___attribute__] = ACTIONS(5411),
    [anon_sym_COLON_COLON] = ACTIONS(5413),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5411),
    [anon_sym___based] = ACTIONS(5411),
    [anon_sym_RBRACE] = ACTIONS(5413),
    [anon_sym_signed] = ACTIONS(5411),
    [anon_sym_unsigned] = ACTIONS(5411),
    [anon_sym_long] = ACTIONS(5411),
    [anon_sym_short] = ACTIONS(5411),
    [anon_sym_LBRACK] = ACTIONS(5411),
    [anon_sym_static] = ACTIONS(5411),
    [anon_sym_register] = ACTIONS(5411),
    [anon_sym_inline] = ACTIONS(5411),
    [anon_sym___inline] = ACTIONS(5411),
    [anon_sym___inline__] = ACTIONS(5411),
    [anon_sym___forceinline] = ACTIONS(5411),
    [anon_sym_thread_local] = ACTIONS(5411),
    [anon_sym___thread] = ACTIONS(5411),
    [anon_sym_const] = ACTIONS(5411),
    [anon_sym_constexpr] = ACTIONS(5411),
    [anon_sym_volatile] = ACTIONS(5411),
    [anon_sym_restrict] = ACTIONS(5411),
    [anon_sym___restrict__] = ACTIONS(5411),
    [anon_sym__Atomic] = ACTIONS(5411),
    [anon_sym__Noreturn] = ACTIONS(5411),
    [anon_sym_noreturn] = ACTIONS(5411),
    [anon_sym__Nonnull] = ACTIONS(5411),
    [anon_sym_mutable] = ACTIONS(5411),
    [anon_sym_constinit] = ACTIONS(5411),
    [anon_sym_consteval] = ACTIONS(5411),
    [anon_sym_alignas] = ACTIONS(5411),
    [anon_sym__Alignas] = ACTIONS(5411),
    [sym_primitive_type] = ACTIONS(5411),
    [anon_sym_enum] = ACTIONS(5411),
    [anon_sym_class] = ACTIONS(5411),
    [anon_sym_struct] = ACTIONS(5411),
    [anon_sym_union] = ACTIONS(5411),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5411),
    [anon_sym_decltype] = ACTIONS(5411),
    [anon_sym_explicit] = ACTIONS(5411),
    [anon_sym_typename] = ACTIONS(5411),
    [anon_sym_template] = ACTIONS(5411),
    [anon_sym_operator] = ACTIONS(5411),
    [anon_sym_friend] = ACTIONS(5411),
    [anon_sym_public] = ACTIONS(5411),
    [anon_sym_private] = ACTIONS(5411),
    [anon_sym_protected] = ACTIONS(5411),
    [anon_sym_using] = ACTIONS(5411),
    [anon_sym_static_assert] = ACTIONS(5411),
    [anon_sym_precise] = ACTIONS(5411),
    [anon_sym_shared] = ACTIONS(5411),
    [anon_sym_groupshared] = ACTIONS(5411),
    [anon_sym_uniform] = ACTIONS(5411),
    [anon_sym_row_major] = ACTIONS(5411),
    [anon_sym_column_major] = ACTIONS(5411),
    [anon_sym_globallycoherent] = ACTIONS(5411),
    [anon_sym_centroid] = ACTIONS(5411),
    [anon_sym_noperspective] = ACTIONS(5411),
    [anon_sym_nointerpolation] = ACTIONS(5411),
    [anon_sym_sample] = ACTIONS(5411),
    [anon_sym_linear] = ACTIONS(5411),
    [anon_sym_snorm] = ACTIONS(5411),
    [anon_sym_unorm] = ACTIONS(5411),
    [anon_sym_point] = ACTIONS(5411),
    [anon_sym_line] = ACTIONS(5411),
    [anon_sym_triangleadj] = ACTIONS(5411),
    [anon_sym_lineadj] = ACTIONS(5411),
    [anon_sym_triangle] = ACTIONS(5411),
  },
  [2185] = {
    [sym_identifier] = ACTIONS(5415),
    [aux_sym_preproc_def_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5415),
    [sym_preproc_directive] = ACTIONS(5415),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_TILDE] = ACTIONS(5417),
    [anon_sym_STAR] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_AMP] = ACTIONS(5415),
    [anon_sym_SEMI] = ACTIONS(5417),
    [anon_sym___extension__] = ACTIONS(5415),
    [anon_sym_typedef] = ACTIONS(5415),
    [anon_sym_in] = ACTIONS(5415),
    [anon_sym_out] = ACTIONS(5415),
    [anon_sym_inout] = ACTIONS(5415),
    [anon_sym_virtual] = ACTIONS(5415),
    [anon_sym_extern] = ACTIONS(5415),
    [anon_sym___attribute__] = ACTIONS(5415),
    [anon_sym_COLON_COLON] = ACTIONS(5417),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5417),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(5415),
    [anon_sym_RBRACE] = ACTIONS(5417),
    [anon_sym_signed] = ACTIONS(5415),
    [anon_sym_unsigned] = ACTIONS(5415),
    [anon_sym_long] = ACTIONS(5415),
    [anon_sym_short] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5415),
    [anon_sym_static] = ACTIONS(5415),
    [anon_sym_register] = ACTIONS(5415),
    [anon_sym_inline] = ACTIONS(5415),
    [anon_sym___inline] = ACTIONS(5415),
    [anon_sym___inline__] = ACTIONS(5415),
    [anon_sym___forceinline] = ACTIONS(5415),
    [anon_sym_thread_local] = ACTIONS(5415),
    [anon_sym___thread] = ACTIONS(5415),
    [anon_sym_const] = ACTIONS(5415),
    [anon_sym_constexpr] = ACTIONS(5415),
    [anon_sym_volatile] = ACTIONS(5415),
    [anon_sym_restrict] = ACTIONS(5415),
    [anon_sym___restrict__] = ACTIONS(5415),
    [anon_sym__Atomic] = ACTIONS(5415),
    [anon_sym__Noreturn] = ACTIONS(5415),
    [anon_sym_noreturn] = ACTIONS(5415),
    [anon_sym__Nonnull] = ACTIONS(5415),
    [anon_sym_mutable] = ACTIONS(5415),
    [anon_sym_constinit] = ACTIONS(5415),
    [anon_sym_consteval] = ACTIONS(5415),
    [anon_sym_alignas] = ACTIONS(5415),
    [anon_sym__Alignas] = ACTIONS(5415),
    [sym_primitive_type] = ACTIONS(5415),
    [anon_sym_enum] = ACTIONS(5415),
    [anon_sym_class] = ACTIONS(5415),
    [anon_sym_struct] = ACTIONS(5415),
    [anon_sym_union] = ACTIONS(5415),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5415),
    [anon_sym_decltype] = ACTIONS(5415),
    [anon_sym_explicit] = ACTIONS(5415),
    [anon_sym_typename] = ACTIONS(5415),
    [anon_sym_template] = ACTIONS(5415),
    [anon_sym_operator] = ACTIONS(5415),
    [anon_sym_friend] = ACTIONS(5415),
    [anon_sym_public] = ACTIONS(5415),
    [anon_sym_private] = ACTIONS(5415),
    [anon_sym_protected] = ACTIONS(5415),
    [anon_sym_using] = ACTIONS(5415),
    [anon_sym_static_assert] = ACTIONS(5415),
    [anon_sym_precise] = ACTIONS(5415),
    [anon_sym_shared] = ACTIONS(5415),
    [anon_sym_groupshared] = ACTIONS(5415),
    [anon_sym_uniform] = ACTIONS(5415),
    [anon_sym_row_major] = ACTIONS(5415),
    [anon_sym_column_major] = ACTIONS(5415),
    [anon_sym_globallycoherent] = ACTIONS(5415),
    [anon_sym_centroid] = ACTIONS(5415),
    [anon_sym_noperspective] = ACTIONS(5415),
    [anon_sym_nointerpolation] = ACTIONS(5415),
    [anon_sym_sample] = ACTIONS(5415),
    [anon_sym_linear] = ACTIONS(5415),
    [anon_sym_snorm] = ACTIONS(5415),
    [anon_sym_unorm] = ACTIONS(5415),
    [anon_sym_point] = ACTIONS(5415),
    [anon_sym_line] = ACTIONS(5415),
    [anon_sym_triangleadj] = ACTIONS(5415),
    [anon_sym_lineadj] = ACTIONS(5415),
    [anon_sym_triangle] = ACTIONS(5415),
  },
  [2186] = {
    [sym_identifier] = ACTIONS(5419),
    [aux_sym_preproc_def_token1] = ACTIONS(5419),
    [aux_sym_preproc_if_token1] = ACTIONS(5419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5419),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5419),
    [sym_preproc_directive] = ACTIONS(5419),
    [anon_sym_LPAREN2] = ACTIONS(5421),
    [anon_sym_TILDE] = ACTIONS(5421),
    [anon_sym_STAR] = ACTIONS(5421),
    [anon_sym_AMP_AMP] = ACTIONS(5421),
    [anon_sym_AMP] = ACTIONS(5419),
    [anon_sym_SEMI] = ACTIONS(5421),
    [anon_sym___extension__] = ACTIONS(5419),
    [anon_sym_typedef] = ACTIONS(5419),
    [anon_sym_in] = ACTIONS(5419),
    [anon_sym_out] = ACTIONS(5419),
    [anon_sym_inout] = ACTIONS(5419),
    [anon_sym_virtual] = ACTIONS(5419),
    [anon_sym_extern] = ACTIONS(5419),
    [anon_sym___attribute__] = ACTIONS(5419),
    [anon_sym_COLON_COLON] = ACTIONS(5421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5421),
    [anon_sym___declspec] = ACTIONS(5419),
    [anon_sym___based] = ACTIONS(5419),
    [anon_sym_RBRACE] = ACTIONS(5421),
    [anon_sym_signed] = ACTIONS(5419),
    [anon_sym_unsigned] = ACTIONS(5419),
    [anon_sym_long] = ACTIONS(5419),
    [anon_sym_short] = ACTIONS(5419),
    [anon_sym_LBRACK] = ACTIONS(5419),
    [anon_sym_static] = ACTIONS(5419),
    [anon_sym_register] = ACTIONS(5419),
    [anon_sym_inline] = ACTIONS(5419),
    [anon_sym___inline] = ACTIONS(5419),
    [anon_sym___inline__] = ACTIONS(5419),
    [anon_sym___forceinline] = ACTIONS(5419),
    [anon_sym_thread_local] = ACTIONS(5419),
    [anon_sym___thread] = ACTIONS(5419),
    [anon_sym_const] = ACTIONS(5419),
    [anon_sym_constexpr] = ACTIONS(5419),
    [anon_sym_volatile] = ACTIONS(5419),
    [anon_sym_restrict] = ACTIONS(5419),
    [anon_sym___restrict__] = ACTIONS(5419),
    [anon_sym__Atomic] = ACTIONS(5419),
    [anon_sym__Noreturn] = ACTIONS(5419),
    [anon_sym_noreturn] = ACTIONS(5419),
    [anon_sym__Nonnull] = ACTIONS(5419),
    [anon_sym_mutable] = ACTIONS(5419),
    [anon_sym_constinit] = ACTIONS(5419),
    [anon_sym_consteval] = ACTIONS(5419),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym__Alignas] = ACTIONS(5419),
    [sym_primitive_type] = ACTIONS(5419),
    [anon_sym_enum] = ACTIONS(5419),
    [anon_sym_class] = ACTIONS(5419),
    [anon_sym_struct] = ACTIONS(5419),
    [anon_sym_union] = ACTIONS(5419),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5419),
    [anon_sym_decltype] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(5419),
    [anon_sym_typename] = ACTIONS(5419),
    [anon_sym_template] = ACTIONS(5419),
    [anon_sym_operator] = ACTIONS(5419),
    [anon_sym_friend] = ACTIONS(5419),
    [anon_sym_public] = ACTIONS(5419),
    [anon_sym_private] = ACTIONS(5419),
    [anon_sym_protected] = ACTIONS(5419),
    [anon_sym_using] = ACTIONS(5419),
    [anon_sym_static_assert] = ACTIONS(5419),
    [anon_sym_precise] = ACTIONS(5419),
    [anon_sym_shared] = ACTIONS(5419),
    [anon_sym_groupshared] = ACTIONS(5419),
    [anon_sym_uniform] = ACTIONS(5419),
    [anon_sym_row_major] = ACTIONS(5419),
    [anon_sym_column_major] = ACTIONS(5419),
    [anon_sym_globallycoherent] = ACTIONS(5419),
    [anon_sym_centroid] = ACTIONS(5419),
    [anon_sym_noperspective] = ACTIONS(5419),
    [anon_sym_nointerpolation] = ACTIONS(5419),
    [anon_sym_sample] = ACTIONS(5419),
    [anon_sym_linear] = ACTIONS(5419),
    [anon_sym_snorm] = ACTIONS(5419),
    [anon_sym_unorm] = ACTIONS(5419),
    [anon_sym_point] = ACTIONS(5419),
    [anon_sym_line] = ACTIONS(5419),
    [anon_sym_triangleadj] = ACTIONS(5419),
    [anon_sym_lineadj] = ACTIONS(5419),
    [anon_sym_triangle] = ACTIONS(5419),
  },
  [2187] = {
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token2] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_out] = ACTIONS(2582),
    [anon_sym_inout] = ACTIONS(2582),
    [anon_sym_virtual] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym__Nonnull] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym__Alignas] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_friend] = ACTIONS(2582),
    [anon_sym_public] = ACTIONS(2582),
    [anon_sym_private] = ACTIONS(2582),
    [anon_sym_protected] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_precise] = ACTIONS(2582),
    [anon_sym_shared] = ACTIONS(2582),
    [anon_sym_groupshared] = ACTIONS(2582),
    [anon_sym_uniform] = ACTIONS(2582),
    [anon_sym_row_major] = ACTIONS(2582),
    [anon_sym_column_major] = ACTIONS(2582),
    [anon_sym_globallycoherent] = ACTIONS(2582),
    [anon_sym_centroid] = ACTIONS(2582),
    [anon_sym_noperspective] = ACTIONS(2582),
    [anon_sym_nointerpolation] = ACTIONS(2582),
    [anon_sym_sample] = ACTIONS(2582),
    [anon_sym_linear] = ACTIONS(2582),
    [anon_sym_snorm] = ACTIONS(2582),
    [anon_sym_unorm] = ACTIONS(2582),
    [anon_sym_point] = ACTIONS(2582),
    [anon_sym_line] = ACTIONS(2582),
    [anon_sym_triangleadj] = ACTIONS(2582),
    [anon_sym_lineadj] = ACTIONS(2582),
    [anon_sym_triangle] = ACTIONS(2582),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token2] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_out] = ACTIONS(2586),
    [anon_sym_inout] = ACTIONS(2586),
    [anon_sym_virtual] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym__Nonnull] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym__Alignas] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_friend] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_precise] = ACTIONS(2586),
    [anon_sym_shared] = ACTIONS(2586),
    [anon_sym_groupshared] = ACTIONS(2586),
    [anon_sym_uniform] = ACTIONS(2586),
    [anon_sym_row_major] = ACTIONS(2586),
    [anon_sym_column_major] = ACTIONS(2586),
    [anon_sym_globallycoherent] = ACTIONS(2586),
    [anon_sym_centroid] = ACTIONS(2586),
    [anon_sym_noperspective] = ACTIONS(2586),
    [anon_sym_nointerpolation] = ACTIONS(2586),
    [anon_sym_sample] = ACTIONS(2586),
    [anon_sym_linear] = ACTIONS(2586),
    [anon_sym_snorm] = ACTIONS(2586),
    [anon_sym_unorm] = ACTIONS(2586),
    [anon_sym_point] = ACTIONS(2586),
    [anon_sym_line] = ACTIONS(2586),
    [anon_sym_triangleadj] = ACTIONS(2586),
    [anon_sym_lineadj] = ACTIONS(2586),
    [anon_sym_triangle] = ACTIONS(2586),
  },
  [2189] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [2190] = {
    [sym_identifier] = ACTIONS(5359),
    [aux_sym_preproc_def_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5359),
    [sym_preproc_directive] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_AMP_AMP] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(5359),
    [anon_sym_typedef] = ACTIONS(5359),
    [anon_sym_in] = ACTIONS(5359),
    [anon_sym_out] = ACTIONS(5359),
    [anon_sym_inout] = ACTIONS(5359),
    [anon_sym_virtual] = ACTIONS(5359),
    [anon_sym_extern] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(5361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5361),
    [anon_sym___declspec] = ACTIONS(5359),
    [anon_sym___based] = ACTIONS(5359),
    [anon_sym_RBRACE] = ACTIONS(5361),
    [anon_sym_signed] = ACTIONS(5359),
    [anon_sym_unsigned] = ACTIONS(5359),
    [anon_sym_long] = ACTIONS(5359),
    [anon_sym_short] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_static] = ACTIONS(5359),
    [anon_sym_register] = ACTIONS(5359),
    [anon_sym_inline] = ACTIONS(5359),
    [anon_sym___inline] = ACTIONS(5359),
    [anon_sym___inline__] = ACTIONS(5359),
    [anon_sym___forceinline] = ACTIONS(5359),
    [anon_sym_thread_local] = ACTIONS(5359),
    [anon_sym___thread] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5359),
    [anon_sym_constexpr] = ACTIONS(5359),
    [anon_sym_volatile] = ACTIONS(5359),
    [anon_sym_restrict] = ACTIONS(5359),
    [anon_sym___restrict__] = ACTIONS(5359),
    [anon_sym__Atomic] = ACTIONS(5359),
    [anon_sym__Noreturn] = ACTIONS(5359),
    [anon_sym_noreturn] = ACTIONS(5359),
    [anon_sym__Nonnull] = ACTIONS(5359),
    [anon_sym_mutable] = ACTIONS(5359),
    [anon_sym_constinit] = ACTIONS(5359),
    [anon_sym_consteval] = ACTIONS(5359),
    [anon_sym_alignas] = ACTIONS(5359),
    [anon_sym__Alignas] = ACTIONS(5359),
    [sym_primitive_type] = ACTIONS(5359),
    [anon_sym_enum] = ACTIONS(5359),
    [anon_sym_class] = ACTIONS(5359),
    [anon_sym_struct] = ACTIONS(5359),
    [anon_sym_union] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5359),
    [anon_sym_decltype] = ACTIONS(5359),
    [anon_sym_explicit] = ACTIONS(5359),
    [anon_sym_typename] = ACTIONS(5359),
    [anon_sym_template] = ACTIONS(5359),
    [anon_sym_operator] = ACTIONS(5359),
    [anon_sym_friend] = ACTIONS(5359),
    [anon_sym_public] = ACTIONS(5359),
    [anon_sym_private] = ACTIONS(5359),
    [anon_sym_protected] = ACTIONS(5359),
    [anon_sym_using] = ACTIONS(5359),
    [anon_sym_static_assert] = ACTIONS(5359),
    [anon_sym_precise] = ACTIONS(5359),
    [anon_sym_shared] = ACTIONS(5359),
    [anon_sym_groupshared] = ACTIONS(5359),
    [anon_sym_uniform] = ACTIONS(5359),
    [anon_sym_row_major] = ACTIONS(5359),
    [anon_sym_column_major] = ACTIONS(5359),
    [anon_sym_globallycoherent] = ACTIONS(5359),
    [anon_sym_centroid] = ACTIONS(5359),
    [anon_sym_noperspective] = ACTIONS(5359),
    [anon_sym_nointerpolation] = ACTIONS(5359),
    [anon_sym_sample] = ACTIONS(5359),
    [anon_sym_linear] = ACTIONS(5359),
    [anon_sym_snorm] = ACTIONS(5359),
    [anon_sym_unorm] = ACTIONS(5359),
    [anon_sym_point] = ACTIONS(5359),
    [anon_sym_line] = ACTIONS(5359),
    [anon_sym_triangleadj] = ACTIONS(5359),
    [anon_sym_lineadj] = ACTIONS(5359),
    [anon_sym_triangle] = ACTIONS(5359),
  },
  [2191] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_virtual] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym__Nonnull] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym__Alignas] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_friend] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_groupshared] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_row_major] = ACTIONS(2590),
    [anon_sym_column_major] = ACTIONS(2590),
    [anon_sym_globallycoherent] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym_nointerpolation] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_linear] = ACTIONS(2590),
    [anon_sym_snorm] = ACTIONS(2590),
    [anon_sym_unorm] = ACTIONS(2590),
    [anon_sym_point] = ACTIONS(2590),
    [anon_sym_line] = ACTIONS(2590),
    [anon_sym_triangleadj] = ACTIONS(2590),
    [anon_sym_lineadj] = ACTIONS(2590),
    [anon_sym_triangle] = ACTIONS(2590),
  },
  [2194] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_friend] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
  },
  [2195] = {
    [sym_identifier] = ACTIONS(5419),
    [aux_sym_preproc_def_token1] = ACTIONS(5419),
    [aux_sym_preproc_if_token1] = ACTIONS(5419),
    [aux_sym_preproc_if_token2] = ACTIONS(5419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5419),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5419),
    [sym_preproc_directive] = ACTIONS(5419),
    [anon_sym_LPAREN2] = ACTIONS(5421),
    [anon_sym_TILDE] = ACTIONS(5421),
    [anon_sym_STAR] = ACTIONS(5421),
    [anon_sym_AMP_AMP] = ACTIONS(5421),
    [anon_sym_AMP] = ACTIONS(5419),
    [anon_sym_SEMI] = ACTIONS(5421),
    [anon_sym___extension__] = ACTIONS(5419),
    [anon_sym_typedef] = ACTIONS(5419),
    [anon_sym_in] = ACTIONS(5419),
    [anon_sym_out] = ACTIONS(5419),
    [anon_sym_inout] = ACTIONS(5419),
    [anon_sym_virtual] = ACTIONS(5419),
    [anon_sym_extern] = ACTIONS(5419),
    [anon_sym___attribute__] = ACTIONS(5419),
    [anon_sym_COLON_COLON] = ACTIONS(5421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5421),
    [anon_sym___declspec] = ACTIONS(5419),
    [anon_sym___based] = ACTIONS(5419),
    [anon_sym_signed] = ACTIONS(5419),
    [anon_sym_unsigned] = ACTIONS(5419),
    [anon_sym_long] = ACTIONS(5419),
    [anon_sym_short] = ACTIONS(5419),
    [anon_sym_LBRACK] = ACTIONS(5419),
    [anon_sym_static] = ACTIONS(5419),
    [anon_sym_register] = ACTIONS(5419),
    [anon_sym_inline] = ACTIONS(5419),
    [anon_sym___inline] = ACTIONS(5419),
    [anon_sym___inline__] = ACTIONS(5419),
    [anon_sym___forceinline] = ACTIONS(5419),
    [anon_sym_thread_local] = ACTIONS(5419),
    [anon_sym___thread] = ACTIONS(5419),
    [anon_sym_const] = ACTIONS(5419),
    [anon_sym_constexpr] = ACTIONS(5419),
    [anon_sym_volatile] = ACTIONS(5419),
    [anon_sym_restrict] = ACTIONS(5419),
    [anon_sym___restrict__] = ACTIONS(5419),
    [anon_sym__Atomic] = ACTIONS(5419),
    [anon_sym__Noreturn] = ACTIONS(5419),
    [anon_sym_noreturn] = ACTIONS(5419),
    [anon_sym__Nonnull] = ACTIONS(5419),
    [anon_sym_mutable] = ACTIONS(5419),
    [anon_sym_constinit] = ACTIONS(5419),
    [anon_sym_consteval] = ACTIONS(5419),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym__Alignas] = ACTIONS(5419),
    [sym_primitive_type] = ACTIONS(5419),
    [anon_sym_enum] = ACTIONS(5419),
    [anon_sym_class] = ACTIONS(5419),
    [anon_sym_struct] = ACTIONS(5419),
    [anon_sym_union] = ACTIONS(5419),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5419),
    [anon_sym_decltype] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(5419),
    [anon_sym_typename] = ACTIONS(5419),
    [anon_sym_template] = ACTIONS(5419),
    [anon_sym_operator] = ACTIONS(5419),
    [anon_sym_friend] = ACTIONS(5419),
    [anon_sym_public] = ACTIONS(5419),
    [anon_sym_private] = ACTIONS(5419),
    [anon_sym_protected] = ACTIONS(5419),
    [anon_sym_using] = ACTIONS(5419),
    [anon_sym_static_assert] = ACTIONS(5419),
    [anon_sym_precise] = ACTIONS(5419),
    [anon_sym_shared] = ACTIONS(5419),
    [anon_sym_groupshared] = ACTIONS(5419),
    [anon_sym_uniform] = ACTIONS(5419),
    [anon_sym_row_major] = ACTIONS(5419),
    [anon_sym_column_major] = ACTIONS(5419),
    [anon_sym_globallycoherent] = ACTIONS(5419),
    [anon_sym_centroid] = ACTIONS(5419),
    [anon_sym_noperspective] = ACTIONS(5419),
    [anon_sym_nointerpolation] = ACTIONS(5419),
    [anon_sym_sample] = ACTIONS(5419),
    [anon_sym_linear] = ACTIONS(5419),
    [anon_sym_snorm] = ACTIONS(5419),
    [anon_sym_unorm] = ACTIONS(5419),
    [anon_sym_point] = ACTIONS(5419),
    [anon_sym_line] = ACTIONS(5419),
    [anon_sym_triangleadj] = ACTIONS(5419),
    [anon_sym_lineadj] = ACTIONS(5419),
    [anon_sym_triangle] = ACTIONS(5419),
  },
  [2196] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_TILDE] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_in] = ACTIONS(5427),
    [anon_sym_out] = ACTIONS(5427),
    [anon_sym_inout] = ACTIONS(5427),
    [anon_sym_virtual] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_class] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_explicit] = ACTIONS(5427),
    [anon_sym_typename] = ACTIONS(5427),
    [anon_sym_template] = ACTIONS(5427),
    [anon_sym_operator] = ACTIONS(5427),
    [anon_sym_friend] = ACTIONS(5427),
    [anon_sym_public] = ACTIONS(5427),
    [anon_sym_private] = ACTIONS(5427),
    [anon_sym_protected] = ACTIONS(5427),
    [anon_sym_using] = ACTIONS(5427),
    [anon_sym_static_assert] = ACTIONS(5427),
    [anon_sym_precise] = ACTIONS(5427),
    [anon_sym_shared] = ACTIONS(5427),
    [anon_sym_groupshared] = ACTIONS(5427),
    [anon_sym_uniform] = ACTIONS(5427),
    [anon_sym_row_major] = ACTIONS(5427),
    [anon_sym_column_major] = ACTIONS(5427),
    [anon_sym_globallycoherent] = ACTIONS(5427),
    [anon_sym_centroid] = ACTIONS(5427),
    [anon_sym_noperspective] = ACTIONS(5427),
    [anon_sym_nointerpolation] = ACTIONS(5427),
    [anon_sym_sample] = ACTIONS(5427),
    [anon_sym_linear] = ACTIONS(5427),
    [anon_sym_snorm] = ACTIONS(5427),
    [anon_sym_unorm] = ACTIONS(5427),
    [anon_sym_point] = ACTIONS(5427),
    [anon_sym_line] = ACTIONS(5427),
    [anon_sym_triangleadj] = ACTIONS(5427),
    [anon_sym_lineadj] = ACTIONS(5427),
    [anon_sym_triangle] = ACTIONS(5427),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(5423),
    [aux_sym_preproc_def_token1] = ACTIONS(5423),
    [aux_sym_preproc_if_token1] = ACTIONS(5423),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5423),
    [sym_preproc_directive] = ACTIONS(5423),
    [anon_sym_LPAREN2] = ACTIONS(5425),
    [anon_sym_TILDE] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_AMP_AMP] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_SEMI] = ACTIONS(5425),
    [anon_sym___extension__] = ACTIONS(5423),
    [anon_sym_typedef] = ACTIONS(5423),
    [anon_sym_in] = ACTIONS(5423),
    [anon_sym_out] = ACTIONS(5423),
    [anon_sym_inout] = ACTIONS(5423),
    [anon_sym_virtual] = ACTIONS(5423),
    [anon_sym_extern] = ACTIONS(5423),
    [anon_sym___attribute__] = ACTIONS(5423),
    [anon_sym_COLON_COLON] = ACTIONS(5425),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5425),
    [anon_sym___declspec] = ACTIONS(5423),
    [anon_sym___based] = ACTIONS(5423),
    [anon_sym_RBRACE] = ACTIONS(5425),
    [anon_sym_signed] = ACTIONS(5423),
    [anon_sym_unsigned] = ACTIONS(5423),
    [anon_sym_long] = ACTIONS(5423),
    [anon_sym_short] = ACTIONS(5423),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym_static] = ACTIONS(5423),
    [anon_sym_register] = ACTIONS(5423),
    [anon_sym_inline] = ACTIONS(5423),
    [anon_sym___inline] = ACTIONS(5423),
    [anon_sym___inline__] = ACTIONS(5423),
    [anon_sym___forceinline] = ACTIONS(5423),
    [anon_sym_thread_local] = ACTIONS(5423),
    [anon_sym___thread] = ACTIONS(5423),
    [anon_sym_const] = ACTIONS(5423),
    [anon_sym_constexpr] = ACTIONS(5423),
    [anon_sym_volatile] = ACTIONS(5423),
    [anon_sym_restrict] = ACTIONS(5423),
    [anon_sym___restrict__] = ACTIONS(5423),
    [anon_sym__Atomic] = ACTIONS(5423),
    [anon_sym__Noreturn] = ACTIONS(5423),
    [anon_sym_noreturn] = ACTIONS(5423),
    [anon_sym__Nonnull] = ACTIONS(5423),
    [anon_sym_mutable] = ACTIONS(5423),
    [anon_sym_constinit] = ACTIONS(5423),
    [anon_sym_consteval] = ACTIONS(5423),
    [anon_sym_alignas] = ACTIONS(5423),
    [anon_sym__Alignas] = ACTIONS(5423),
    [sym_primitive_type] = ACTIONS(5423),
    [anon_sym_enum] = ACTIONS(5423),
    [anon_sym_class] = ACTIONS(5423),
    [anon_sym_struct] = ACTIONS(5423),
    [anon_sym_union] = ACTIONS(5423),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5423),
    [anon_sym_decltype] = ACTIONS(5423),
    [anon_sym_explicit] = ACTIONS(5423),
    [anon_sym_typename] = ACTIONS(5423),
    [anon_sym_template] = ACTIONS(5423),
    [anon_sym_operator] = ACTIONS(5423),
    [anon_sym_friend] = ACTIONS(5423),
    [anon_sym_public] = ACTIONS(5423),
    [anon_sym_private] = ACTIONS(5423),
    [anon_sym_protected] = ACTIONS(5423),
    [anon_sym_using] = ACTIONS(5423),
    [anon_sym_static_assert] = ACTIONS(5423),
    [anon_sym_precise] = ACTIONS(5423),
    [anon_sym_shared] = ACTIONS(5423),
    [anon_sym_groupshared] = ACTIONS(5423),
    [anon_sym_uniform] = ACTIONS(5423),
    [anon_sym_row_major] = ACTIONS(5423),
    [anon_sym_column_major] = ACTIONS(5423),
    [anon_sym_globallycoherent] = ACTIONS(5423),
    [anon_sym_centroid] = ACTIONS(5423),
    [anon_sym_noperspective] = ACTIONS(5423),
    [anon_sym_nointerpolation] = ACTIONS(5423),
    [anon_sym_sample] = ACTIONS(5423),
    [anon_sym_linear] = ACTIONS(5423),
    [anon_sym_snorm] = ACTIONS(5423),
    [anon_sym_unorm] = ACTIONS(5423),
    [anon_sym_point] = ACTIONS(5423),
    [anon_sym_line] = ACTIONS(5423),
    [anon_sym_triangleadj] = ACTIONS(5423),
    [anon_sym_lineadj] = ACTIONS(5423),
    [anon_sym_triangle] = ACTIONS(5423),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_out] = ACTIONS(2586),
    [anon_sym_inout] = ACTIONS(2586),
    [anon_sym_virtual] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym__Nonnull] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym__Alignas] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_friend] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_precise] = ACTIONS(2586),
    [anon_sym_shared] = ACTIONS(2586),
    [anon_sym_groupshared] = ACTIONS(2586),
    [anon_sym_uniform] = ACTIONS(2586),
    [anon_sym_row_major] = ACTIONS(2586),
    [anon_sym_column_major] = ACTIONS(2586),
    [anon_sym_globallycoherent] = ACTIONS(2586),
    [anon_sym_centroid] = ACTIONS(2586),
    [anon_sym_noperspective] = ACTIONS(2586),
    [anon_sym_nointerpolation] = ACTIONS(2586),
    [anon_sym_sample] = ACTIONS(2586),
    [anon_sym_linear] = ACTIONS(2586),
    [anon_sym_snorm] = ACTIONS(2586),
    [anon_sym_unorm] = ACTIONS(2586),
    [anon_sym_point] = ACTIONS(2586),
    [anon_sym_line] = ACTIONS(2586),
    [anon_sym_triangleadj] = ACTIONS(2586),
    [anon_sym_lineadj] = ACTIONS(2586),
    [anon_sym_triangle] = ACTIONS(2586),
  },
  [2199] = {
    [sym_identifier] = ACTIONS(5359),
    [aux_sym_preproc_def_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token2] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5359),
    [sym_preproc_directive] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_AMP_AMP] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(5359),
    [anon_sym_typedef] = ACTIONS(5359),
    [anon_sym_in] = ACTIONS(5359),
    [anon_sym_out] = ACTIONS(5359),
    [anon_sym_inout] = ACTIONS(5359),
    [anon_sym_virtual] = ACTIONS(5359),
    [anon_sym_extern] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(5361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5361),
    [anon_sym___declspec] = ACTIONS(5359),
    [anon_sym___based] = ACTIONS(5359),
    [anon_sym_signed] = ACTIONS(5359),
    [anon_sym_unsigned] = ACTIONS(5359),
    [anon_sym_long] = ACTIONS(5359),
    [anon_sym_short] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_static] = ACTIONS(5359),
    [anon_sym_register] = ACTIONS(5359),
    [anon_sym_inline] = ACTIONS(5359),
    [anon_sym___inline] = ACTIONS(5359),
    [anon_sym___inline__] = ACTIONS(5359),
    [anon_sym___forceinline] = ACTIONS(5359),
    [anon_sym_thread_local] = ACTIONS(5359),
    [anon_sym___thread] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5359),
    [anon_sym_constexpr] = ACTIONS(5359),
    [anon_sym_volatile] = ACTIONS(5359),
    [anon_sym_restrict] = ACTIONS(5359),
    [anon_sym___restrict__] = ACTIONS(5359),
    [anon_sym__Atomic] = ACTIONS(5359),
    [anon_sym__Noreturn] = ACTIONS(5359),
    [anon_sym_noreturn] = ACTIONS(5359),
    [anon_sym__Nonnull] = ACTIONS(5359),
    [anon_sym_mutable] = ACTIONS(5359),
    [anon_sym_constinit] = ACTIONS(5359),
    [anon_sym_consteval] = ACTIONS(5359),
    [anon_sym_alignas] = ACTIONS(5359),
    [anon_sym__Alignas] = ACTIONS(5359),
    [sym_primitive_type] = ACTIONS(5359),
    [anon_sym_enum] = ACTIONS(5359),
    [anon_sym_class] = ACTIONS(5359),
    [anon_sym_struct] = ACTIONS(5359),
    [anon_sym_union] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5359),
    [anon_sym_decltype] = ACTIONS(5359),
    [anon_sym_explicit] = ACTIONS(5359),
    [anon_sym_typename] = ACTIONS(5359),
    [anon_sym_template] = ACTIONS(5359),
    [anon_sym_operator] = ACTIONS(5359),
    [anon_sym_friend] = ACTIONS(5359),
    [anon_sym_public] = ACTIONS(5359),
    [anon_sym_private] = ACTIONS(5359),
    [anon_sym_protected] = ACTIONS(5359),
    [anon_sym_using] = ACTIONS(5359),
    [anon_sym_static_assert] = ACTIONS(5359),
    [anon_sym_precise] = ACTIONS(5359),
    [anon_sym_shared] = ACTIONS(5359),
    [anon_sym_groupshared] = ACTIONS(5359),
    [anon_sym_uniform] = ACTIONS(5359),
    [anon_sym_row_major] = ACTIONS(5359),
    [anon_sym_column_major] = ACTIONS(5359),
    [anon_sym_globallycoherent] = ACTIONS(5359),
    [anon_sym_centroid] = ACTIONS(5359),
    [anon_sym_noperspective] = ACTIONS(5359),
    [anon_sym_nointerpolation] = ACTIONS(5359),
    [anon_sym_sample] = ACTIONS(5359),
    [anon_sym_linear] = ACTIONS(5359),
    [anon_sym_snorm] = ACTIONS(5359),
    [anon_sym_unorm] = ACTIONS(5359),
    [anon_sym_point] = ACTIONS(5359),
    [anon_sym_line] = ACTIONS(5359),
    [anon_sym_triangleadj] = ACTIONS(5359),
    [anon_sym_lineadj] = ACTIONS(5359),
    [anon_sym_triangle] = ACTIONS(5359),
  },
  [2200] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_TILDE] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_in] = ACTIONS(5427),
    [anon_sym_out] = ACTIONS(5427),
    [anon_sym_inout] = ACTIONS(5427),
    [anon_sym_virtual] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym_RBRACE] = ACTIONS(5429),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_class] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_explicit] = ACTIONS(5427),
    [anon_sym_typename] = ACTIONS(5427),
    [anon_sym_template] = ACTIONS(5427),
    [anon_sym_operator] = ACTIONS(5427),
    [anon_sym_friend] = ACTIONS(5427),
    [anon_sym_public] = ACTIONS(5427),
    [anon_sym_private] = ACTIONS(5427),
    [anon_sym_protected] = ACTIONS(5427),
    [anon_sym_using] = ACTIONS(5427),
    [anon_sym_static_assert] = ACTIONS(5427),
    [anon_sym_precise] = ACTIONS(5427),
    [anon_sym_shared] = ACTIONS(5427),
    [anon_sym_groupshared] = ACTIONS(5427),
    [anon_sym_uniform] = ACTIONS(5427),
    [anon_sym_row_major] = ACTIONS(5427),
    [anon_sym_column_major] = ACTIONS(5427),
    [anon_sym_globallycoherent] = ACTIONS(5427),
    [anon_sym_centroid] = ACTIONS(5427),
    [anon_sym_noperspective] = ACTIONS(5427),
    [anon_sym_nointerpolation] = ACTIONS(5427),
    [anon_sym_sample] = ACTIONS(5427),
    [anon_sym_linear] = ACTIONS(5427),
    [anon_sym_snorm] = ACTIONS(5427),
    [anon_sym_unorm] = ACTIONS(5427),
    [anon_sym_point] = ACTIONS(5427),
    [anon_sym_line] = ACTIONS(5427),
    [anon_sym_triangleadj] = ACTIONS(5427),
    [anon_sym_lineadj] = ACTIONS(5427),
    [anon_sym_triangle] = ACTIONS(5427),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_in] = ACTIONS(2538),
    [anon_sym_out] = ACTIONS(2538),
    [anon_sym_inout] = ACTIONS(2538),
    [anon_sym_virtual] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym_RBRACE] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym__Nonnull] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_friend] = ACTIONS(2538),
    [anon_sym_public] = ACTIONS(2538),
    [anon_sym_private] = ACTIONS(2538),
    [anon_sym_protected] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_precise] = ACTIONS(2538),
    [anon_sym_shared] = ACTIONS(2538),
    [anon_sym_groupshared] = ACTIONS(2538),
    [anon_sym_uniform] = ACTIONS(2538),
    [anon_sym_row_major] = ACTIONS(2538),
    [anon_sym_column_major] = ACTIONS(2538),
    [anon_sym_globallycoherent] = ACTIONS(2538),
    [anon_sym_centroid] = ACTIONS(2538),
    [anon_sym_noperspective] = ACTIONS(2538),
    [anon_sym_nointerpolation] = ACTIONS(2538),
    [anon_sym_sample] = ACTIONS(2538),
    [anon_sym_linear] = ACTIONS(2538),
    [anon_sym_snorm] = ACTIONS(2538),
    [anon_sym_unorm] = ACTIONS(2538),
    [anon_sym_point] = ACTIONS(2538),
    [anon_sym_line] = ACTIONS(2538),
    [anon_sym_triangleadj] = ACTIONS(2538),
    [anon_sym_lineadj] = ACTIONS(2538),
    [anon_sym_triangle] = ACTIONS(2538),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_in] = ACTIONS(5431),
    [anon_sym_out] = ACTIONS(5431),
    [anon_sym_inout] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_RBRACE] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [sym_primitive_type] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
    [anon_sym_precise] = ACTIONS(5431),
    [anon_sym_shared] = ACTIONS(5431),
    [anon_sym_groupshared] = ACTIONS(5431),
    [anon_sym_uniform] = ACTIONS(5431),
    [anon_sym_row_major] = ACTIONS(5431),
    [anon_sym_column_major] = ACTIONS(5431),
    [anon_sym_globallycoherent] = ACTIONS(5431),
    [anon_sym_centroid] = ACTIONS(5431),
    [anon_sym_noperspective] = ACTIONS(5431),
    [anon_sym_nointerpolation] = ACTIONS(5431),
    [anon_sym_sample] = ACTIONS(5431),
    [anon_sym_linear] = ACTIONS(5431),
    [anon_sym_snorm] = ACTIONS(5431),
    [anon_sym_unorm] = ACTIONS(5431),
    [anon_sym_point] = ACTIONS(5431),
    [anon_sym_line] = ACTIONS(5431),
    [anon_sym_triangleadj] = ACTIONS(5431),
    [anon_sym_lineadj] = ACTIONS(5431),
    [anon_sym_triangle] = ACTIONS(5431),
  },
  [2203] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_TILDE] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_in] = ACTIONS(5427),
    [anon_sym_out] = ACTIONS(5427),
    [anon_sym_inout] = ACTIONS(5427),
    [anon_sym_virtual] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym_RBRACE] = ACTIONS(5429),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_class] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_explicit] = ACTIONS(5427),
    [anon_sym_typename] = ACTIONS(5427),
    [anon_sym_template] = ACTIONS(5427),
    [anon_sym_operator] = ACTIONS(5427),
    [anon_sym_friend] = ACTIONS(5427),
    [anon_sym_public] = ACTIONS(5427),
    [anon_sym_private] = ACTIONS(5427),
    [anon_sym_protected] = ACTIONS(5427),
    [anon_sym_using] = ACTIONS(5427),
    [anon_sym_static_assert] = ACTIONS(5427),
    [anon_sym_precise] = ACTIONS(5427),
    [anon_sym_shared] = ACTIONS(5427),
    [anon_sym_groupshared] = ACTIONS(5427),
    [anon_sym_uniform] = ACTIONS(5427),
    [anon_sym_row_major] = ACTIONS(5427),
    [anon_sym_column_major] = ACTIONS(5427),
    [anon_sym_globallycoherent] = ACTIONS(5427),
    [anon_sym_centroid] = ACTIONS(5427),
    [anon_sym_noperspective] = ACTIONS(5427),
    [anon_sym_nointerpolation] = ACTIONS(5427),
    [anon_sym_sample] = ACTIONS(5427),
    [anon_sym_linear] = ACTIONS(5427),
    [anon_sym_snorm] = ACTIONS(5427),
    [anon_sym_unorm] = ACTIONS(5427),
    [anon_sym_point] = ACTIONS(5427),
    [anon_sym_line] = ACTIONS(5427),
    [anon_sym_triangleadj] = ACTIONS(5427),
    [anon_sym_lineadj] = ACTIONS(5427),
    [anon_sym_triangle] = ACTIONS(5427),
  },
  [2204] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_out] = ACTIONS(2594),
    [anon_sym_inout] = ACTIONS(2594),
    [anon_sym_virtual] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym__Nonnull] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym__Alignas] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_friend] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_precise] = ACTIONS(2594),
    [anon_sym_shared] = ACTIONS(2594),
    [anon_sym_groupshared] = ACTIONS(2594),
    [anon_sym_uniform] = ACTIONS(2594),
    [anon_sym_row_major] = ACTIONS(2594),
    [anon_sym_column_major] = ACTIONS(2594),
    [anon_sym_globallycoherent] = ACTIONS(2594),
    [anon_sym_centroid] = ACTIONS(2594),
    [anon_sym_noperspective] = ACTIONS(2594),
    [anon_sym_nointerpolation] = ACTIONS(2594),
    [anon_sym_sample] = ACTIONS(2594),
    [anon_sym_linear] = ACTIONS(2594),
    [anon_sym_snorm] = ACTIONS(2594),
    [anon_sym_unorm] = ACTIONS(2594),
    [anon_sym_point] = ACTIONS(2594),
    [anon_sym_line] = ACTIONS(2594),
    [anon_sym_triangleadj] = ACTIONS(2594),
    [anon_sym_lineadj] = ACTIONS(2594),
    [anon_sym_triangle] = ACTIONS(2594),
  },
  [2205] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_in] = ACTIONS(5431),
    [anon_sym_out] = ACTIONS(5431),
    [anon_sym_inout] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_RBRACE] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [sym_primitive_type] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
    [anon_sym_precise] = ACTIONS(5431),
    [anon_sym_shared] = ACTIONS(5431),
    [anon_sym_groupshared] = ACTIONS(5431),
    [anon_sym_uniform] = ACTIONS(5431),
    [anon_sym_row_major] = ACTIONS(5431),
    [anon_sym_column_major] = ACTIONS(5431),
    [anon_sym_globallycoherent] = ACTIONS(5431),
    [anon_sym_centroid] = ACTIONS(5431),
    [anon_sym_noperspective] = ACTIONS(5431),
    [anon_sym_nointerpolation] = ACTIONS(5431),
    [anon_sym_sample] = ACTIONS(5431),
    [anon_sym_linear] = ACTIONS(5431),
    [anon_sym_snorm] = ACTIONS(5431),
    [anon_sym_unorm] = ACTIONS(5431),
    [anon_sym_point] = ACTIONS(5431),
    [anon_sym_line] = ACTIONS(5431),
    [anon_sym_triangleadj] = ACTIONS(5431),
    [anon_sym_lineadj] = ACTIONS(5431),
    [anon_sym_triangle] = ACTIONS(5431),
  },
  [2206] = {
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token2] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_out] = ACTIONS(2598),
    [anon_sym_inout] = ACTIONS(2598),
    [anon_sym_virtual] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym__Nonnull] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym__Alignas] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_friend] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_precise] = ACTIONS(2598),
    [anon_sym_shared] = ACTIONS(2598),
    [anon_sym_groupshared] = ACTIONS(2598),
    [anon_sym_uniform] = ACTIONS(2598),
    [anon_sym_row_major] = ACTIONS(2598),
    [anon_sym_column_major] = ACTIONS(2598),
    [anon_sym_globallycoherent] = ACTIONS(2598),
    [anon_sym_centroid] = ACTIONS(2598),
    [anon_sym_noperspective] = ACTIONS(2598),
    [anon_sym_nointerpolation] = ACTIONS(2598),
    [anon_sym_sample] = ACTIONS(2598),
    [anon_sym_linear] = ACTIONS(2598),
    [anon_sym_snorm] = ACTIONS(2598),
    [anon_sym_unorm] = ACTIONS(2598),
    [anon_sym_point] = ACTIONS(2598),
    [anon_sym_line] = ACTIONS(2598),
    [anon_sym_triangleadj] = ACTIONS(2598),
    [anon_sym_lineadj] = ACTIONS(2598),
    [anon_sym_triangle] = ACTIONS(2598),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(5371),
    [aux_sym_preproc_def_token1] = ACTIONS(5371),
    [aux_sym_preproc_if_token1] = ACTIONS(5371),
    [aux_sym_preproc_if_token2] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5371),
    [sym_preproc_directive] = ACTIONS(5371),
    [anon_sym_LPAREN2] = ACTIONS(5373),
    [anon_sym_TILDE] = ACTIONS(5373),
    [anon_sym_STAR] = ACTIONS(5373),
    [anon_sym_AMP_AMP] = ACTIONS(5373),
    [anon_sym_AMP] = ACTIONS(5371),
    [anon_sym_SEMI] = ACTIONS(5373),
    [anon_sym___extension__] = ACTIONS(5371),
    [anon_sym_typedef] = ACTIONS(5371),
    [anon_sym_in] = ACTIONS(5371),
    [anon_sym_out] = ACTIONS(5371),
    [anon_sym_inout] = ACTIONS(5371),
    [anon_sym_virtual] = ACTIONS(5371),
    [anon_sym_extern] = ACTIONS(5371),
    [anon_sym___attribute__] = ACTIONS(5371),
    [anon_sym_COLON_COLON] = ACTIONS(5373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5373),
    [anon_sym___declspec] = ACTIONS(5371),
    [anon_sym___based] = ACTIONS(5371),
    [anon_sym_signed] = ACTIONS(5371),
    [anon_sym_unsigned] = ACTIONS(5371),
    [anon_sym_long] = ACTIONS(5371),
    [anon_sym_short] = ACTIONS(5371),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym_static] = ACTIONS(5371),
    [anon_sym_register] = ACTIONS(5371),
    [anon_sym_inline] = ACTIONS(5371),
    [anon_sym___inline] = ACTIONS(5371),
    [anon_sym___inline__] = ACTIONS(5371),
    [anon_sym___forceinline] = ACTIONS(5371),
    [anon_sym_thread_local] = ACTIONS(5371),
    [anon_sym___thread] = ACTIONS(5371),
    [anon_sym_const] = ACTIONS(5371),
    [anon_sym_constexpr] = ACTIONS(5371),
    [anon_sym_volatile] = ACTIONS(5371),
    [anon_sym_restrict] = ACTIONS(5371),
    [anon_sym___restrict__] = ACTIONS(5371),
    [anon_sym__Atomic] = ACTIONS(5371),
    [anon_sym__Noreturn] = ACTIONS(5371),
    [anon_sym_noreturn] = ACTIONS(5371),
    [anon_sym__Nonnull] = ACTIONS(5371),
    [anon_sym_mutable] = ACTIONS(5371),
    [anon_sym_constinit] = ACTIONS(5371),
    [anon_sym_consteval] = ACTIONS(5371),
    [anon_sym_alignas] = ACTIONS(5371),
    [anon_sym__Alignas] = ACTIONS(5371),
    [sym_primitive_type] = ACTIONS(5371),
    [anon_sym_enum] = ACTIONS(5371),
    [anon_sym_class] = ACTIONS(5371),
    [anon_sym_struct] = ACTIONS(5371),
    [anon_sym_union] = ACTIONS(5371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5371),
    [anon_sym_decltype] = ACTIONS(5371),
    [anon_sym_explicit] = ACTIONS(5371),
    [anon_sym_typename] = ACTIONS(5371),
    [anon_sym_template] = ACTIONS(5371),
    [anon_sym_operator] = ACTIONS(5371),
    [anon_sym_friend] = ACTIONS(5371),
    [anon_sym_public] = ACTIONS(5371),
    [anon_sym_private] = ACTIONS(5371),
    [anon_sym_protected] = ACTIONS(5371),
    [anon_sym_using] = ACTIONS(5371),
    [anon_sym_static_assert] = ACTIONS(5371),
    [anon_sym_precise] = ACTIONS(5371),
    [anon_sym_shared] = ACTIONS(5371),
    [anon_sym_groupshared] = ACTIONS(5371),
    [anon_sym_uniform] = ACTIONS(5371),
    [anon_sym_row_major] = ACTIONS(5371),
    [anon_sym_column_major] = ACTIONS(5371),
    [anon_sym_globallycoherent] = ACTIONS(5371),
    [anon_sym_centroid] = ACTIONS(5371),
    [anon_sym_noperspective] = ACTIONS(5371),
    [anon_sym_nointerpolation] = ACTIONS(5371),
    [anon_sym_sample] = ACTIONS(5371),
    [anon_sym_linear] = ACTIONS(5371),
    [anon_sym_snorm] = ACTIONS(5371),
    [anon_sym_unorm] = ACTIONS(5371),
    [anon_sym_point] = ACTIONS(5371),
    [anon_sym_line] = ACTIONS(5371),
    [anon_sym_triangleadj] = ACTIONS(5371),
    [anon_sym_lineadj] = ACTIONS(5371),
    [anon_sym_triangle] = ACTIONS(5371),
  },
  [2208] = {
    [sym_identifier] = ACTIONS(5435),
    [aux_sym_preproc_def_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5435),
    [sym_preproc_directive] = ACTIONS(5435),
    [anon_sym_LPAREN2] = ACTIONS(5437),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_AMP_AMP] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5435),
    [anon_sym_typedef] = ACTIONS(5435),
    [anon_sym_in] = ACTIONS(5435),
    [anon_sym_out] = ACTIONS(5435),
    [anon_sym_inout] = ACTIONS(5435),
    [anon_sym_virtual] = ACTIONS(5435),
    [anon_sym_extern] = ACTIONS(5435),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5437),
    [anon_sym___declspec] = ACTIONS(5435),
    [anon_sym___based] = ACTIONS(5435),
    [anon_sym_RBRACE] = ACTIONS(5437),
    [anon_sym_signed] = ACTIONS(5435),
    [anon_sym_unsigned] = ACTIONS(5435),
    [anon_sym_long] = ACTIONS(5435),
    [anon_sym_short] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_static] = ACTIONS(5435),
    [anon_sym_register] = ACTIONS(5435),
    [anon_sym_inline] = ACTIONS(5435),
    [anon_sym___inline] = ACTIONS(5435),
    [anon_sym___inline__] = ACTIONS(5435),
    [anon_sym___forceinline] = ACTIONS(5435),
    [anon_sym_thread_local] = ACTIONS(5435),
    [anon_sym___thread] = ACTIONS(5435),
    [anon_sym_const] = ACTIONS(5435),
    [anon_sym_constexpr] = ACTIONS(5435),
    [anon_sym_volatile] = ACTIONS(5435),
    [anon_sym_restrict] = ACTIONS(5435),
    [anon_sym___restrict__] = ACTIONS(5435),
    [anon_sym__Atomic] = ACTIONS(5435),
    [anon_sym__Noreturn] = ACTIONS(5435),
    [anon_sym_noreturn] = ACTIONS(5435),
    [anon_sym__Nonnull] = ACTIONS(5435),
    [anon_sym_mutable] = ACTIONS(5435),
    [anon_sym_constinit] = ACTIONS(5435),
    [anon_sym_consteval] = ACTIONS(5435),
    [anon_sym_alignas] = ACTIONS(5435),
    [anon_sym__Alignas] = ACTIONS(5435),
    [sym_primitive_type] = ACTIONS(5435),
    [anon_sym_enum] = ACTIONS(5435),
    [anon_sym_class] = ACTIONS(5435),
    [anon_sym_struct] = ACTIONS(5435),
    [anon_sym_union] = ACTIONS(5435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5435),
    [anon_sym_decltype] = ACTIONS(5435),
    [anon_sym_explicit] = ACTIONS(5435),
    [anon_sym_typename] = ACTIONS(5435),
    [anon_sym_template] = ACTIONS(5435),
    [anon_sym_operator] = ACTIONS(5435),
    [anon_sym_friend] = ACTIONS(5435),
    [anon_sym_public] = ACTIONS(5435),
    [anon_sym_private] = ACTIONS(5435),
    [anon_sym_protected] = ACTIONS(5435),
    [anon_sym_using] = ACTIONS(5435),
    [anon_sym_static_assert] = ACTIONS(5435),
    [anon_sym_precise] = ACTIONS(5435),
    [anon_sym_shared] = ACTIONS(5435),
    [anon_sym_groupshared] = ACTIONS(5435),
    [anon_sym_uniform] = ACTIONS(5435),
    [anon_sym_row_major] = ACTIONS(5435),
    [anon_sym_column_major] = ACTIONS(5435),
    [anon_sym_globallycoherent] = ACTIONS(5435),
    [anon_sym_centroid] = ACTIONS(5435),
    [anon_sym_noperspective] = ACTIONS(5435),
    [anon_sym_nointerpolation] = ACTIONS(5435),
    [anon_sym_sample] = ACTIONS(5435),
    [anon_sym_linear] = ACTIONS(5435),
    [anon_sym_snorm] = ACTIONS(5435),
    [anon_sym_unorm] = ACTIONS(5435),
    [anon_sym_point] = ACTIONS(5435),
    [anon_sym_line] = ACTIONS(5435),
    [anon_sym_triangleadj] = ACTIONS(5435),
    [anon_sym_lineadj] = ACTIONS(5435),
    [anon_sym_triangle] = ACTIONS(5435),
  },
  [2209] = {
    [sym_identifier] = ACTIONS(5375),
    [aux_sym_preproc_def_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token2] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5375),
    [sym_preproc_directive] = ACTIONS(5375),
    [anon_sym_LPAREN2] = ACTIONS(5377),
    [anon_sym_TILDE] = ACTIONS(5377),
    [anon_sym_STAR] = ACTIONS(5377),
    [anon_sym_AMP_AMP] = ACTIONS(5377),
    [anon_sym_AMP] = ACTIONS(5375),
    [anon_sym_SEMI] = ACTIONS(5377),
    [anon_sym___extension__] = ACTIONS(5375),
    [anon_sym_typedef] = ACTIONS(5375),
    [anon_sym_in] = ACTIONS(5375),
    [anon_sym_out] = ACTIONS(5375),
    [anon_sym_inout] = ACTIONS(5375),
    [anon_sym_virtual] = ACTIONS(5375),
    [anon_sym_extern] = ACTIONS(5375),
    [anon_sym___attribute__] = ACTIONS(5375),
    [anon_sym_COLON_COLON] = ACTIONS(5377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5377),
    [anon_sym___declspec] = ACTIONS(5375),
    [anon_sym___based] = ACTIONS(5375),
    [anon_sym_signed] = ACTIONS(5375),
    [anon_sym_unsigned] = ACTIONS(5375),
    [anon_sym_long] = ACTIONS(5375),
    [anon_sym_short] = ACTIONS(5375),
    [anon_sym_LBRACK] = ACTIONS(5375),
    [anon_sym_static] = ACTIONS(5375),
    [anon_sym_register] = ACTIONS(5375),
    [anon_sym_inline] = ACTIONS(5375),
    [anon_sym___inline] = ACTIONS(5375),
    [anon_sym___inline__] = ACTIONS(5375),
    [anon_sym___forceinline] = ACTIONS(5375),
    [anon_sym_thread_local] = ACTIONS(5375),
    [anon_sym___thread] = ACTIONS(5375),
    [anon_sym_const] = ACTIONS(5375),
    [anon_sym_constexpr] = ACTIONS(5375),
    [anon_sym_volatile] = ACTIONS(5375),
    [anon_sym_restrict] = ACTIONS(5375),
    [anon_sym___restrict__] = ACTIONS(5375),
    [anon_sym__Atomic] = ACTIONS(5375),
    [anon_sym__Noreturn] = ACTIONS(5375),
    [anon_sym_noreturn] = ACTIONS(5375),
    [anon_sym__Nonnull] = ACTIONS(5375),
    [anon_sym_mutable] = ACTIONS(5375),
    [anon_sym_constinit] = ACTIONS(5375),
    [anon_sym_consteval] = ACTIONS(5375),
    [anon_sym_alignas] = ACTIONS(5375),
    [anon_sym__Alignas] = ACTIONS(5375),
    [sym_primitive_type] = ACTIONS(5375),
    [anon_sym_enum] = ACTIONS(5375),
    [anon_sym_class] = ACTIONS(5375),
    [anon_sym_struct] = ACTIONS(5375),
    [anon_sym_union] = ACTIONS(5375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5375),
    [anon_sym_decltype] = ACTIONS(5375),
    [anon_sym_explicit] = ACTIONS(5375),
    [anon_sym_typename] = ACTIONS(5375),
    [anon_sym_template] = ACTIONS(5375),
    [anon_sym_operator] = ACTIONS(5375),
    [anon_sym_friend] = ACTIONS(5375),
    [anon_sym_public] = ACTIONS(5375),
    [anon_sym_private] = ACTIONS(5375),
    [anon_sym_protected] = ACTIONS(5375),
    [anon_sym_using] = ACTIONS(5375),
    [anon_sym_static_assert] = ACTIONS(5375),
    [anon_sym_precise] = ACTIONS(5375),
    [anon_sym_shared] = ACTIONS(5375),
    [anon_sym_groupshared] = ACTIONS(5375),
    [anon_sym_uniform] = ACTIONS(5375),
    [anon_sym_row_major] = ACTIONS(5375),
    [anon_sym_column_major] = ACTIONS(5375),
    [anon_sym_globallycoherent] = ACTIONS(5375),
    [anon_sym_centroid] = ACTIONS(5375),
    [anon_sym_noperspective] = ACTIONS(5375),
    [anon_sym_nointerpolation] = ACTIONS(5375),
    [anon_sym_sample] = ACTIONS(5375),
    [anon_sym_linear] = ACTIONS(5375),
    [anon_sym_snorm] = ACTIONS(5375),
    [anon_sym_unorm] = ACTIONS(5375),
    [anon_sym_point] = ACTIONS(5375),
    [anon_sym_line] = ACTIONS(5375),
    [anon_sym_triangleadj] = ACTIONS(5375),
    [anon_sym_lineadj] = ACTIONS(5375),
    [anon_sym_triangle] = ACTIONS(5375),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_friend] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
  },
  [2211] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token2] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_LPAREN2] = ACTIONS(5381),
    [anon_sym_TILDE] = ACTIONS(5381),
    [anon_sym_STAR] = ACTIONS(5381),
    [anon_sym_AMP_AMP] = ACTIONS(5381),
    [anon_sym_AMP] = ACTIONS(5379),
    [anon_sym_SEMI] = ACTIONS(5381),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_in] = ACTIONS(5379),
    [anon_sym_out] = ACTIONS(5379),
    [anon_sym_inout] = ACTIONS(5379),
    [anon_sym_virtual] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym_COLON_COLON] = ACTIONS(5381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___based] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_mutable] = ACTIONS(5379),
    [anon_sym_constinit] = ACTIONS(5379),
    [anon_sym_consteval] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [sym_primitive_type] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_class] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5379),
    [anon_sym_decltype] = ACTIONS(5379),
    [anon_sym_explicit] = ACTIONS(5379),
    [anon_sym_typename] = ACTIONS(5379),
    [anon_sym_template] = ACTIONS(5379),
    [anon_sym_operator] = ACTIONS(5379),
    [anon_sym_friend] = ACTIONS(5379),
    [anon_sym_public] = ACTIONS(5379),
    [anon_sym_private] = ACTIONS(5379),
    [anon_sym_protected] = ACTIONS(5379),
    [anon_sym_using] = ACTIONS(5379),
    [anon_sym_static_assert] = ACTIONS(5379),
    [anon_sym_precise] = ACTIONS(5379),
    [anon_sym_shared] = ACTIONS(5379),
    [anon_sym_groupshared] = ACTIONS(5379),
    [anon_sym_uniform] = ACTIONS(5379),
    [anon_sym_row_major] = ACTIONS(5379),
    [anon_sym_column_major] = ACTIONS(5379),
    [anon_sym_globallycoherent] = ACTIONS(5379),
    [anon_sym_centroid] = ACTIONS(5379),
    [anon_sym_noperspective] = ACTIONS(5379),
    [anon_sym_nointerpolation] = ACTIONS(5379),
    [anon_sym_sample] = ACTIONS(5379),
    [anon_sym_linear] = ACTIONS(5379),
    [anon_sym_snorm] = ACTIONS(5379),
    [anon_sym_unorm] = ACTIONS(5379),
    [anon_sym_point] = ACTIONS(5379),
    [anon_sym_line] = ACTIONS(5379),
    [anon_sym_triangleadj] = ACTIONS(5379),
    [anon_sym_lineadj] = ACTIONS(5379),
    [anon_sym_triangle] = ACTIONS(5379),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(5383),
    [aux_sym_preproc_def_token1] = ACTIONS(5383),
    [aux_sym_preproc_if_token1] = ACTIONS(5383),
    [aux_sym_preproc_if_token2] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5383),
    [sym_preproc_directive] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5385),
    [anon_sym_TILDE] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_AMP_AMP] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5383),
    [anon_sym_SEMI] = ACTIONS(5385),
    [anon_sym___extension__] = ACTIONS(5383),
    [anon_sym_typedef] = ACTIONS(5383),
    [anon_sym_in] = ACTIONS(5383),
    [anon_sym_out] = ACTIONS(5383),
    [anon_sym_inout] = ACTIONS(5383),
    [anon_sym_virtual] = ACTIONS(5383),
    [anon_sym_extern] = ACTIONS(5383),
    [anon_sym___attribute__] = ACTIONS(5383),
    [anon_sym_COLON_COLON] = ACTIONS(5385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5385),
    [anon_sym___declspec] = ACTIONS(5383),
    [anon_sym___based] = ACTIONS(5383),
    [anon_sym_signed] = ACTIONS(5383),
    [anon_sym_unsigned] = ACTIONS(5383),
    [anon_sym_long] = ACTIONS(5383),
    [anon_sym_short] = ACTIONS(5383),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_static] = ACTIONS(5383),
    [anon_sym_register] = ACTIONS(5383),
    [anon_sym_inline] = ACTIONS(5383),
    [anon_sym___inline] = ACTIONS(5383),
    [anon_sym___inline__] = ACTIONS(5383),
    [anon_sym___forceinline] = ACTIONS(5383),
    [anon_sym_thread_local] = ACTIONS(5383),
    [anon_sym___thread] = ACTIONS(5383),
    [anon_sym_const] = ACTIONS(5383),
    [anon_sym_constexpr] = ACTIONS(5383),
    [anon_sym_volatile] = ACTIONS(5383),
    [anon_sym_restrict] = ACTIONS(5383),
    [anon_sym___restrict__] = ACTIONS(5383),
    [anon_sym__Atomic] = ACTIONS(5383),
    [anon_sym__Noreturn] = ACTIONS(5383),
    [anon_sym_noreturn] = ACTIONS(5383),
    [anon_sym__Nonnull] = ACTIONS(5383),
    [anon_sym_mutable] = ACTIONS(5383),
    [anon_sym_constinit] = ACTIONS(5383),
    [anon_sym_consteval] = ACTIONS(5383),
    [anon_sym_alignas] = ACTIONS(5383),
    [anon_sym__Alignas] = ACTIONS(5383),
    [sym_primitive_type] = ACTIONS(5383),
    [anon_sym_enum] = ACTIONS(5383),
    [anon_sym_class] = ACTIONS(5383),
    [anon_sym_struct] = ACTIONS(5383),
    [anon_sym_union] = ACTIONS(5383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5383),
    [anon_sym_decltype] = ACTIONS(5383),
    [anon_sym_explicit] = ACTIONS(5383),
    [anon_sym_typename] = ACTIONS(5383),
    [anon_sym_template] = ACTIONS(5383),
    [anon_sym_operator] = ACTIONS(5383),
    [anon_sym_friend] = ACTIONS(5383),
    [anon_sym_public] = ACTIONS(5383),
    [anon_sym_private] = ACTIONS(5383),
    [anon_sym_protected] = ACTIONS(5383),
    [anon_sym_using] = ACTIONS(5383),
    [anon_sym_static_assert] = ACTIONS(5383),
    [anon_sym_precise] = ACTIONS(5383),
    [anon_sym_shared] = ACTIONS(5383),
    [anon_sym_groupshared] = ACTIONS(5383),
    [anon_sym_uniform] = ACTIONS(5383),
    [anon_sym_row_major] = ACTIONS(5383),
    [anon_sym_column_major] = ACTIONS(5383),
    [anon_sym_globallycoherent] = ACTIONS(5383),
    [anon_sym_centroid] = ACTIONS(5383),
    [anon_sym_noperspective] = ACTIONS(5383),
    [anon_sym_nointerpolation] = ACTIONS(5383),
    [anon_sym_sample] = ACTIONS(5383),
    [anon_sym_linear] = ACTIONS(5383),
    [anon_sym_snorm] = ACTIONS(5383),
    [anon_sym_unorm] = ACTIONS(5383),
    [anon_sym_point] = ACTIONS(5383),
    [anon_sym_line] = ACTIONS(5383),
    [anon_sym_triangleadj] = ACTIONS(5383),
    [anon_sym_lineadj] = ACTIONS(5383),
    [anon_sym_triangle] = ACTIONS(5383),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(5447),
    [aux_sym_preproc_def_token1] = ACTIONS(5447),
    [aux_sym_preproc_if_token1] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5447),
    [sym_preproc_directive] = ACTIONS(5447),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_TILDE] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_AMP_AMP] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5447),
    [anon_sym_SEMI] = ACTIONS(5449),
    [anon_sym___extension__] = ACTIONS(5447),
    [anon_sym_typedef] = ACTIONS(5447),
    [anon_sym_in] = ACTIONS(5447),
    [anon_sym_out] = ACTIONS(5447),
    [anon_sym_inout] = ACTIONS(5447),
    [anon_sym_virtual] = ACTIONS(5447),
    [anon_sym_extern] = ACTIONS(5447),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5449),
    [anon_sym___declspec] = ACTIONS(5447),
    [anon_sym___based] = ACTIONS(5447),
    [anon_sym_RBRACE] = ACTIONS(5449),
    [anon_sym_signed] = ACTIONS(5447),
    [anon_sym_unsigned] = ACTIONS(5447),
    [anon_sym_long] = ACTIONS(5447),
    [anon_sym_short] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym_static] = ACTIONS(5447),
    [anon_sym_register] = ACTIONS(5447),
    [anon_sym_inline] = ACTIONS(5447),
    [anon_sym___inline] = ACTIONS(5447),
    [anon_sym___inline__] = ACTIONS(5447),
    [anon_sym___forceinline] = ACTIONS(5447),
    [anon_sym_thread_local] = ACTIONS(5447),
    [anon_sym___thread] = ACTIONS(5447),
    [anon_sym_const] = ACTIONS(5447),
    [anon_sym_constexpr] = ACTIONS(5447),
    [anon_sym_volatile] = ACTIONS(5447),
    [anon_sym_restrict] = ACTIONS(5447),
    [anon_sym___restrict__] = ACTIONS(5447),
    [anon_sym__Atomic] = ACTIONS(5447),
    [anon_sym__Noreturn] = ACTIONS(5447),
    [anon_sym_noreturn] = ACTIONS(5447),
    [anon_sym__Nonnull] = ACTIONS(5447),
    [anon_sym_mutable] = ACTIONS(5447),
    [anon_sym_constinit] = ACTIONS(5447),
    [anon_sym_consteval] = ACTIONS(5447),
    [anon_sym_alignas] = ACTIONS(5447),
    [anon_sym__Alignas] = ACTIONS(5447),
    [sym_primitive_type] = ACTIONS(5447),
    [anon_sym_enum] = ACTIONS(5447),
    [anon_sym_class] = ACTIONS(5447),
    [anon_sym_struct] = ACTIONS(5447),
    [anon_sym_union] = ACTIONS(5447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5447),
    [anon_sym_decltype] = ACTIONS(5447),
    [anon_sym_explicit] = ACTIONS(5447),
    [anon_sym_typename] = ACTIONS(5447),
    [anon_sym_template] = ACTIONS(5447),
    [anon_sym_operator] = ACTIONS(5447),
    [anon_sym_friend] = ACTIONS(5447),
    [anon_sym_public] = ACTIONS(5447),
    [anon_sym_private] = ACTIONS(5447),
    [anon_sym_protected] = ACTIONS(5447),
    [anon_sym_using] = ACTIONS(5447),
    [anon_sym_static_assert] = ACTIONS(5447),
    [anon_sym_precise] = ACTIONS(5447),
    [anon_sym_shared] = ACTIONS(5447),
    [anon_sym_groupshared] = ACTIONS(5447),
    [anon_sym_uniform] = ACTIONS(5447),
    [anon_sym_row_major] = ACTIONS(5447),
    [anon_sym_column_major] = ACTIONS(5447),
    [anon_sym_globallycoherent] = ACTIONS(5447),
    [anon_sym_centroid] = ACTIONS(5447),
    [anon_sym_noperspective] = ACTIONS(5447),
    [anon_sym_nointerpolation] = ACTIONS(5447),
    [anon_sym_sample] = ACTIONS(5447),
    [anon_sym_linear] = ACTIONS(5447),
    [anon_sym_snorm] = ACTIONS(5447),
    [anon_sym_unorm] = ACTIONS(5447),
    [anon_sym_point] = ACTIONS(5447),
    [anon_sym_line] = ACTIONS(5447),
    [anon_sym_triangleadj] = ACTIONS(5447),
    [anon_sym_lineadj] = ACTIONS(5447),
    [anon_sym_triangle] = ACTIONS(5447),
  },
  [2214] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_friend] = ACTIONS(2610),
    [anon_sym_public] = ACTIONS(2610),
    [anon_sym_private] = ACTIONS(2610),
    [anon_sym_protected] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_in] = ACTIONS(2610),
    [anon_sym_out] = ACTIONS(2610),
    [anon_sym_inout] = ACTIONS(2610),
    [anon_sym_virtual] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym__Nonnull] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym__Alignas] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_friend] = ACTIONS(2610),
    [anon_sym_public] = ACTIONS(2610),
    [anon_sym_private] = ACTIONS(2610),
    [anon_sym_protected] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_precise] = ACTIONS(2610),
    [anon_sym_shared] = ACTIONS(2610),
    [anon_sym_groupshared] = ACTIONS(2610),
    [anon_sym_uniform] = ACTIONS(2610),
    [anon_sym_row_major] = ACTIONS(2610),
    [anon_sym_column_major] = ACTIONS(2610),
    [anon_sym_globallycoherent] = ACTIONS(2610),
    [anon_sym_centroid] = ACTIONS(2610),
    [anon_sym_noperspective] = ACTIONS(2610),
    [anon_sym_nointerpolation] = ACTIONS(2610),
    [anon_sym_sample] = ACTIONS(2610),
    [anon_sym_linear] = ACTIONS(2610),
    [anon_sym_snorm] = ACTIONS(2610),
    [anon_sym_unorm] = ACTIONS(2610),
    [anon_sym_point] = ACTIONS(2610),
    [anon_sym_line] = ACTIONS(2610),
    [anon_sym_triangleadj] = ACTIONS(2610),
    [anon_sym_lineadj] = ACTIONS(2610),
    [anon_sym_triangle] = ACTIONS(2610),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_friend] = ACTIONS(2641),
    [anon_sym_public] = ACTIONS(2641),
    [anon_sym_private] = ACTIONS(2641),
    [anon_sym_protected] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token2] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_out] = ACTIONS(2614),
    [anon_sym_inout] = ACTIONS(2614),
    [anon_sym_virtual] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_friend] = ACTIONS(2614),
    [anon_sym_public] = ACTIONS(2614),
    [anon_sym_private] = ACTIONS(2614),
    [anon_sym_protected] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_precise] = ACTIONS(2614),
    [anon_sym_shared] = ACTIONS(2614),
    [anon_sym_groupshared] = ACTIONS(2614),
    [anon_sym_uniform] = ACTIONS(2614),
    [anon_sym_row_major] = ACTIONS(2614),
    [anon_sym_column_major] = ACTIONS(2614),
    [anon_sym_globallycoherent] = ACTIONS(2614),
    [anon_sym_centroid] = ACTIONS(2614),
    [anon_sym_noperspective] = ACTIONS(2614),
    [anon_sym_nointerpolation] = ACTIONS(2614),
    [anon_sym_sample] = ACTIONS(2614),
    [anon_sym_linear] = ACTIONS(2614),
    [anon_sym_snorm] = ACTIONS(2614),
    [anon_sym_unorm] = ACTIONS(2614),
    [anon_sym_point] = ACTIONS(2614),
    [anon_sym_line] = ACTIONS(2614),
    [anon_sym_triangleadj] = ACTIONS(2614),
    [anon_sym_lineadj] = ACTIONS(2614),
    [anon_sym_triangle] = ACTIONS(2614),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(5371),
    [aux_sym_preproc_def_token1] = ACTIONS(5371),
    [aux_sym_preproc_if_token1] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5371),
    [sym_preproc_directive] = ACTIONS(5371),
    [anon_sym_LPAREN2] = ACTIONS(5373),
    [anon_sym_TILDE] = ACTIONS(5373),
    [anon_sym_STAR] = ACTIONS(5373),
    [anon_sym_AMP_AMP] = ACTIONS(5373),
    [anon_sym_AMP] = ACTIONS(5371),
    [anon_sym_SEMI] = ACTIONS(5373),
    [anon_sym___extension__] = ACTIONS(5371),
    [anon_sym_typedef] = ACTIONS(5371),
    [anon_sym_in] = ACTIONS(5371),
    [anon_sym_out] = ACTIONS(5371),
    [anon_sym_inout] = ACTIONS(5371),
    [anon_sym_virtual] = ACTIONS(5371),
    [anon_sym_extern] = ACTIONS(5371),
    [anon_sym___attribute__] = ACTIONS(5371),
    [anon_sym_COLON_COLON] = ACTIONS(5373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5373),
    [anon_sym___declspec] = ACTIONS(5371),
    [anon_sym___based] = ACTIONS(5371),
    [anon_sym_RBRACE] = ACTIONS(5373),
    [anon_sym_signed] = ACTIONS(5371),
    [anon_sym_unsigned] = ACTIONS(5371),
    [anon_sym_long] = ACTIONS(5371),
    [anon_sym_short] = ACTIONS(5371),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym_static] = ACTIONS(5371),
    [anon_sym_register] = ACTIONS(5371),
    [anon_sym_inline] = ACTIONS(5371),
    [anon_sym___inline] = ACTIONS(5371),
    [anon_sym___inline__] = ACTIONS(5371),
    [anon_sym___forceinline] = ACTIONS(5371),
    [anon_sym_thread_local] = ACTIONS(5371),
    [anon_sym___thread] = ACTIONS(5371),
    [anon_sym_const] = ACTIONS(5371),
    [anon_sym_constexpr] = ACTIONS(5371),
    [anon_sym_volatile] = ACTIONS(5371),
    [anon_sym_restrict] = ACTIONS(5371),
    [anon_sym___restrict__] = ACTIONS(5371),
    [anon_sym__Atomic] = ACTIONS(5371),
    [anon_sym__Noreturn] = ACTIONS(5371),
    [anon_sym_noreturn] = ACTIONS(5371),
    [anon_sym__Nonnull] = ACTIONS(5371),
    [anon_sym_mutable] = ACTIONS(5371),
    [anon_sym_constinit] = ACTIONS(5371),
    [anon_sym_consteval] = ACTIONS(5371),
    [anon_sym_alignas] = ACTIONS(5371),
    [anon_sym__Alignas] = ACTIONS(5371),
    [sym_primitive_type] = ACTIONS(5371),
    [anon_sym_enum] = ACTIONS(5371),
    [anon_sym_class] = ACTIONS(5371),
    [anon_sym_struct] = ACTIONS(5371),
    [anon_sym_union] = ACTIONS(5371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5371),
    [anon_sym_decltype] = ACTIONS(5371),
    [anon_sym_explicit] = ACTIONS(5371),
    [anon_sym_typename] = ACTIONS(5371),
    [anon_sym_template] = ACTIONS(5371),
    [anon_sym_operator] = ACTIONS(5371),
    [anon_sym_friend] = ACTIONS(5371),
    [anon_sym_public] = ACTIONS(5371),
    [anon_sym_private] = ACTIONS(5371),
    [anon_sym_protected] = ACTIONS(5371),
    [anon_sym_using] = ACTIONS(5371),
    [anon_sym_static_assert] = ACTIONS(5371),
    [anon_sym_precise] = ACTIONS(5371),
    [anon_sym_shared] = ACTIONS(5371),
    [anon_sym_groupshared] = ACTIONS(5371),
    [anon_sym_uniform] = ACTIONS(5371),
    [anon_sym_row_major] = ACTIONS(5371),
    [anon_sym_column_major] = ACTIONS(5371),
    [anon_sym_globallycoherent] = ACTIONS(5371),
    [anon_sym_centroid] = ACTIONS(5371),
    [anon_sym_noperspective] = ACTIONS(5371),
    [anon_sym_nointerpolation] = ACTIONS(5371),
    [anon_sym_sample] = ACTIONS(5371),
    [anon_sym_linear] = ACTIONS(5371),
    [anon_sym_snorm] = ACTIONS(5371),
    [anon_sym_unorm] = ACTIONS(5371),
    [anon_sym_point] = ACTIONS(5371),
    [anon_sym_line] = ACTIONS(5371),
    [anon_sym_triangleadj] = ACTIONS(5371),
    [anon_sym_lineadj] = ACTIONS(5371),
    [anon_sym_triangle] = ACTIONS(5371),
  },
  [2219] = {
    [sym_identifier] = ACTIONS(5423),
    [aux_sym_preproc_def_token1] = ACTIONS(5423),
    [aux_sym_preproc_if_token1] = ACTIONS(5423),
    [aux_sym_preproc_if_token2] = ACTIONS(5423),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5423),
    [sym_preproc_directive] = ACTIONS(5423),
    [anon_sym_LPAREN2] = ACTIONS(5425),
    [anon_sym_TILDE] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_AMP_AMP] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_SEMI] = ACTIONS(5425),
    [anon_sym___extension__] = ACTIONS(5423),
    [anon_sym_typedef] = ACTIONS(5423),
    [anon_sym_in] = ACTIONS(5423),
    [anon_sym_out] = ACTIONS(5423),
    [anon_sym_inout] = ACTIONS(5423),
    [anon_sym_virtual] = ACTIONS(5423),
    [anon_sym_extern] = ACTIONS(5423),
    [anon_sym___attribute__] = ACTIONS(5423),
    [anon_sym_COLON_COLON] = ACTIONS(5425),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5425),
    [anon_sym___declspec] = ACTIONS(5423),
    [anon_sym___based] = ACTIONS(5423),
    [anon_sym_signed] = ACTIONS(5423),
    [anon_sym_unsigned] = ACTIONS(5423),
    [anon_sym_long] = ACTIONS(5423),
    [anon_sym_short] = ACTIONS(5423),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym_static] = ACTIONS(5423),
    [anon_sym_register] = ACTIONS(5423),
    [anon_sym_inline] = ACTIONS(5423),
    [anon_sym___inline] = ACTIONS(5423),
    [anon_sym___inline__] = ACTIONS(5423),
    [anon_sym___forceinline] = ACTIONS(5423),
    [anon_sym_thread_local] = ACTIONS(5423),
    [anon_sym___thread] = ACTIONS(5423),
    [anon_sym_const] = ACTIONS(5423),
    [anon_sym_constexpr] = ACTIONS(5423),
    [anon_sym_volatile] = ACTIONS(5423),
    [anon_sym_restrict] = ACTIONS(5423),
    [anon_sym___restrict__] = ACTIONS(5423),
    [anon_sym__Atomic] = ACTIONS(5423),
    [anon_sym__Noreturn] = ACTIONS(5423),
    [anon_sym_noreturn] = ACTIONS(5423),
    [anon_sym__Nonnull] = ACTIONS(5423),
    [anon_sym_mutable] = ACTIONS(5423),
    [anon_sym_constinit] = ACTIONS(5423),
    [anon_sym_consteval] = ACTIONS(5423),
    [anon_sym_alignas] = ACTIONS(5423),
    [anon_sym__Alignas] = ACTIONS(5423),
    [sym_primitive_type] = ACTIONS(5423),
    [anon_sym_enum] = ACTIONS(5423),
    [anon_sym_class] = ACTIONS(5423),
    [anon_sym_struct] = ACTIONS(5423),
    [anon_sym_union] = ACTIONS(5423),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5423),
    [anon_sym_decltype] = ACTIONS(5423),
    [anon_sym_explicit] = ACTIONS(5423),
    [anon_sym_typename] = ACTIONS(5423),
    [anon_sym_template] = ACTIONS(5423),
    [anon_sym_operator] = ACTIONS(5423),
    [anon_sym_friend] = ACTIONS(5423),
    [anon_sym_public] = ACTIONS(5423),
    [anon_sym_private] = ACTIONS(5423),
    [anon_sym_protected] = ACTIONS(5423),
    [anon_sym_using] = ACTIONS(5423),
    [anon_sym_static_assert] = ACTIONS(5423),
    [anon_sym_precise] = ACTIONS(5423),
    [anon_sym_shared] = ACTIONS(5423),
    [anon_sym_groupshared] = ACTIONS(5423),
    [anon_sym_uniform] = ACTIONS(5423),
    [anon_sym_row_major] = ACTIONS(5423),
    [anon_sym_column_major] = ACTIONS(5423),
    [anon_sym_globallycoherent] = ACTIONS(5423),
    [anon_sym_centroid] = ACTIONS(5423),
    [anon_sym_noperspective] = ACTIONS(5423),
    [anon_sym_nointerpolation] = ACTIONS(5423),
    [anon_sym_sample] = ACTIONS(5423),
    [anon_sym_linear] = ACTIONS(5423),
    [anon_sym_snorm] = ACTIONS(5423),
    [anon_sym_unorm] = ACTIONS(5423),
    [anon_sym_point] = ACTIONS(5423),
    [anon_sym_line] = ACTIONS(5423),
    [anon_sym_triangleadj] = ACTIONS(5423),
    [anon_sym_lineadj] = ACTIONS(5423),
    [anon_sym_triangle] = ACTIONS(5423),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(5387),
    [aux_sym_preproc_def_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token2] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5387),
    [sym_preproc_directive] = ACTIONS(5387),
    [anon_sym_LPAREN2] = ACTIONS(5389),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_STAR] = ACTIONS(5389),
    [anon_sym_AMP_AMP] = ACTIONS(5389),
    [anon_sym_AMP] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5389),
    [anon_sym___extension__] = ACTIONS(5387),
    [anon_sym_typedef] = ACTIONS(5387),
    [anon_sym_in] = ACTIONS(5387),
    [anon_sym_out] = ACTIONS(5387),
    [anon_sym_inout] = ACTIONS(5387),
    [anon_sym_virtual] = ACTIONS(5387),
    [anon_sym_extern] = ACTIONS(5387),
    [anon_sym___attribute__] = ACTIONS(5387),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5389),
    [anon_sym___declspec] = ACTIONS(5387),
    [anon_sym___based] = ACTIONS(5387),
    [anon_sym_signed] = ACTIONS(5387),
    [anon_sym_unsigned] = ACTIONS(5387),
    [anon_sym_long] = ACTIONS(5387),
    [anon_sym_short] = ACTIONS(5387),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_static] = ACTIONS(5387),
    [anon_sym_register] = ACTIONS(5387),
    [anon_sym_inline] = ACTIONS(5387),
    [anon_sym___inline] = ACTIONS(5387),
    [anon_sym___inline__] = ACTIONS(5387),
    [anon_sym___forceinline] = ACTIONS(5387),
    [anon_sym_thread_local] = ACTIONS(5387),
    [anon_sym___thread] = ACTIONS(5387),
    [anon_sym_const] = ACTIONS(5387),
    [anon_sym_constexpr] = ACTIONS(5387),
    [anon_sym_volatile] = ACTIONS(5387),
    [anon_sym_restrict] = ACTIONS(5387),
    [anon_sym___restrict__] = ACTIONS(5387),
    [anon_sym__Atomic] = ACTIONS(5387),
    [anon_sym__Noreturn] = ACTIONS(5387),
    [anon_sym_noreturn] = ACTIONS(5387),
    [anon_sym__Nonnull] = ACTIONS(5387),
    [anon_sym_mutable] = ACTIONS(5387),
    [anon_sym_constinit] = ACTIONS(5387),
    [anon_sym_consteval] = ACTIONS(5387),
    [anon_sym_alignas] = ACTIONS(5387),
    [anon_sym__Alignas] = ACTIONS(5387),
    [sym_primitive_type] = ACTIONS(5387),
    [anon_sym_enum] = ACTIONS(5387),
    [anon_sym_class] = ACTIONS(5387),
    [anon_sym_struct] = ACTIONS(5387),
    [anon_sym_union] = ACTIONS(5387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5387),
    [anon_sym_decltype] = ACTIONS(5387),
    [anon_sym_explicit] = ACTIONS(5387),
    [anon_sym_typename] = ACTIONS(5387),
    [anon_sym_template] = ACTIONS(5387),
    [anon_sym_operator] = ACTIONS(5387),
    [anon_sym_friend] = ACTIONS(5387),
    [anon_sym_public] = ACTIONS(5387),
    [anon_sym_private] = ACTIONS(5387),
    [anon_sym_protected] = ACTIONS(5387),
    [anon_sym_using] = ACTIONS(5387),
    [anon_sym_static_assert] = ACTIONS(5387),
    [anon_sym_precise] = ACTIONS(5387),
    [anon_sym_shared] = ACTIONS(5387),
    [anon_sym_groupshared] = ACTIONS(5387),
    [anon_sym_uniform] = ACTIONS(5387),
    [anon_sym_row_major] = ACTIONS(5387),
    [anon_sym_column_major] = ACTIONS(5387),
    [anon_sym_globallycoherent] = ACTIONS(5387),
    [anon_sym_centroid] = ACTIONS(5387),
    [anon_sym_noperspective] = ACTIONS(5387),
    [anon_sym_nointerpolation] = ACTIONS(5387),
    [anon_sym_sample] = ACTIONS(5387),
    [anon_sym_linear] = ACTIONS(5387),
    [anon_sym_snorm] = ACTIONS(5387),
    [anon_sym_unorm] = ACTIONS(5387),
    [anon_sym_point] = ACTIONS(5387),
    [anon_sym_line] = ACTIONS(5387),
    [anon_sym_triangleadj] = ACTIONS(5387),
    [anon_sym_lineadj] = ACTIONS(5387),
    [anon_sym_triangle] = ACTIONS(5387),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_TILDE] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_in] = ACTIONS(5427),
    [anon_sym_out] = ACTIONS(5427),
    [anon_sym_inout] = ACTIONS(5427),
    [anon_sym_virtual] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_class] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_explicit] = ACTIONS(5427),
    [anon_sym_typename] = ACTIONS(5427),
    [anon_sym_template] = ACTIONS(5427),
    [anon_sym_operator] = ACTIONS(5427),
    [anon_sym_friend] = ACTIONS(5427),
    [anon_sym_public] = ACTIONS(5427),
    [anon_sym_private] = ACTIONS(5427),
    [anon_sym_protected] = ACTIONS(5427),
    [anon_sym_using] = ACTIONS(5427),
    [anon_sym_static_assert] = ACTIONS(5427),
    [anon_sym_precise] = ACTIONS(5427),
    [anon_sym_shared] = ACTIONS(5427),
    [anon_sym_groupshared] = ACTIONS(5427),
    [anon_sym_uniform] = ACTIONS(5427),
    [anon_sym_row_major] = ACTIONS(5427),
    [anon_sym_column_major] = ACTIONS(5427),
    [anon_sym_globallycoherent] = ACTIONS(5427),
    [anon_sym_centroid] = ACTIONS(5427),
    [anon_sym_noperspective] = ACTIONS(5427),
    [anon_sym_nointerpolation] = ACTIONS(5427),
    [anon_sym_sample] = ACTIONS(5427),
    [anon_sym_linear] = ACTIONS(5427),
    [anon_sym_snorm] = ACTIONS(5427),
    [anon_sym_unorm] = ACTIONS(5427),
    [anon_sym_point] = ACTIONS(5427),
    [anon_sym_line] = ACTIONS(5427),
    [anon_sym_triangleadj] = ACTIONS(5427),
    [anon_sym_lineadj] = ACTIONS(5427),
    [anon_sym_triangle] = ACTIONS(5427),
  },
  [2222] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token2] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_in] = ACTIONS(5431),
    [anon_sym_out] = ACTIONS(5431),
    [anon_sym_inout] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [sym_primitive_type] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
    [anon_sym_precise] = ACTIONS(5431),
    [anon_sym_shared] = ACTIONS(5431),
    [anon_sym_groupshared] = ACTIONS(5431),
    [anon_sym_uniform] = ACTIONS(5431),
    [anon_sym_row_major] = ACTIONS(5431),
    [anon_sym_column_major] = ACTIONS(5431),
    [anon_sym_globallycoherent] = ACTIONS(5431),
    [anon_sym_centroid] = ACTIONS(5431),
    [anon_sym_noperspective] = ACTIONS(5431),
    [anon_sym_nointerpolation] = ACTIONS(5431),
    [anon_sym_sample] = ACTIONS(5431),
    [anon_sym_linear] = ACTIONS(5431),
    [anon_sym_snorm] = ACTIONS(5431),
    [anon_sym_unorm] = ACTIONS(5431),
    [anon_sym_point] = ACTIONS(5431),
    [anon_sym_line] = ACTIONS(5431),
    [anon_sym_triangleadj] = ACTIONS(5431),
    [anon_sym_lineadj] = ACTIONS(5431),
    [anon_sym_triangle] = ACTIONS(5431),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_friend] = ACTIONS(2518),
    [anon_sym_public] = ACTIONS(2518),
    [anon_sym_private] = ACTIONS(2518),
    [anon_sym_protected] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
  },
  [2224] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_in] = ACTIONS(2518),
    [anon_sym_out] = ACTIONS(2518),
    [anon_sym_inout] = ACTIONS(2518),
    [anon_sym_virtual] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym__Nonnull] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_friend] = ACTIONS(2518),
    [anon_sym_public] = ACTIONS(2518),
    [anon_sym_private] = ACTIONS(2518),
    [anon_sym_protected] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_precise] = ACTIONS(2518),
    [anon_sym_shared] = ACTIONS(2518),
    [anon_sym_groupshared] = ACTIONS(2518),
    [anon_sym_uniform] = ACTIONS(2518),
    [anon_sym_row_major] = ACTIONS(2518),
    [anon_sym_column_major] = ACTIONS(2518),
    [anon_sym_globallycoherent] = ACTIONS(2518),
    [anon_sym_centroid] = ACTIONS(2518),
    [anon_sym_noperspective] = ACTIONS(2518),
    [anon_sym_nointerpolation] = ACTIONS(2518),
    [anon_sym_sample] = ACTIONS(2518),
    [anon_sym_linear] = ACTIONS(2518),
    [anon_sym_snorm] = ACTIONS(2518),
    [anon_sym_unorm] = ACTIONS(2518),
    [anon_sym_point] = ACTIONS(2518),
    [anon_sym_line] = ACTIONS(2518),
    [anon_sym_triangleadj] = ACTIONS(2518),
    [anon_sym_lineadj] = ACTIONS(2518),
    [anon_sym_triangle] = ACTIONS(2518),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(5387),
    [aux_sym_preproc_def_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token1] = ACTIONS(5387),
    [aux_sym_preproc_if_token2] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5387),
    [sym_preproc_directive] = ACTIONS(5387),
    [anon_sym_LPAREN2] = ACTIONS(5389),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_STAR] = ACTIONS(5389),
    [anon_sym_AMP_AMP] = ACTIONS(5389),
    [anon_sym_AMP] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5389),
    [anon_sym___extension__] = ACTIONS(5387),
    [anon_sym_typedef] = ACTIONS(5387),
    [anon_sym_in] = ACTIONS(5387),
    [anon_sym_out] = ACTIONS(5387),
    [anon_sym_inout] = ACTIONS(5387),
    [anon_sym_virtual] = ACTIONS(5387),
    [anon_sym_extern] = ACTIONS(5387),
    [anon_sym___attribute__] = ACTIONS(5387),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5389),
    [anon_sym___declspec] = ACTIONS(5387),
    [anon_sym___based] = ACTIONS(5387),
    [anon_sym_signed] = ACTIONS(5387),
    [anon_sym_unsigned] = ACTIONS(5387),
    [anon_sym_long] = ACTIONS(5387),
    [anon_sym_short] = ACTIONS(5387),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_static] = ACTIONS(5387),
    [anon_sym_register] = ACTIONS(5387),
    [anon_sym_inline] = ACTIONS(5387),
    [anon_sym___inline] = ACTIONS(5387),
    [anon_sym___inline__] = ACTIONS(5387),
    [anon_sym___forceinline] = ACTIONS(5387),
    [anon_sym_thread_local] = ACTIONS(5387),
    [anon_sym___thread] = ACTIONS(5387),
    [anon_sym_const] = ACTIONS(5387),
    [anon_sym_constexpr] = ACTIONS(5387),
    [anon_sym_volatile] = ACTIONS(5387),
    [anon_sym_restrict] = ACTIONS(5387),
    [anon_sym___restrict__] = ACTIONS(5387),
    [anon_sym__Atomic] = ACTIONS(5387),
    [anon_sym__Noreturn] = ACTIONS(5387),
    [anon_sym_noreturn] = ACTIONS(5387),
    [anon_sym__Nonnull] = ACTIONS(5387),
    [anon_sym_mutable] = ACTIONS(5387),
    [anon_sym_constinit] = ACTIONS(5387),
    [anon_sym_consteval] = ACTIONS(5387),
    [anon_sym_alignas] = ACTIONS(5387),
    [anon_sym__Alignas] = ACTIONS(5387),
    [sym_primitive_type] = ACTIONS(5387),
    [anon_sym_enum] = ACTIONS(5387),
    [anon_sym_class] = ACTIONS(5387),
    [anon_sym_struct] = ACTIONS(5387),
    [anon_sym_union] = ACTIONS(5387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5387),
    [anon_sym_decltype] = ACTIONS(5387),
    [anon_sym_explicit] = ACTIONS(5387),
    [anon_sym_typename] = ACTIONS(5387),
    [anon_sym_template] = ACTIONS(5387),
    [anon_sym_operator] = ACTIONS(5387),
    [anon_sym_friend] = ACTIONS(5387),
    [anon_sym_public] = ACTIONS(5387),
    [anon_sym_private] = ACTIONS(5387),
    [anon_sym_protected] = ACTIONS(5387),
    [anon_sym_using] = ACTIONS(5387),
    [anon_sym_static_assert] = ACTIONS(5387),
    [anon_sym_precise] = ACTIONS(5387),
    [anon_sym_shared] = ACTIONS(5387),
    [anon_sym_groupshared] = ACTIONS(5387),
    [anon_sym_uniform] = ACTIONS(5387),
    [anon_sym_row_major] = ACTIONS(5387),
    [anon_sym_column_major] = ACTIONS(5387),
    [anon_sym_globallycoherent] = ACTIONS(5387),
    [anon_sym_centroid] = ACTIONS(5387),
    [anon_sym_noperspective] = ACTIONS(5387),
    [anon_sym_nointerpolation] = ACTIONS(5387),
    [anon_sym_sample] = ACTIONS(5387),
    [anon_sym_linear] = ACTIONS(5387),
    [anon_sym_snorm] = ACTIONS(5387),
    [anon_sym_unorm] = ACTIONS(5387),
    [anon_sym_point] = ACTIONS(5387),
    [anon_sym_line] = ACTIONS(5387),
    [anon_sym_triangleadj] = ACTIONS(5387),
    [anon_sym_lineadj] = ACTIONS(5387),
    [anon_sym_triangle] = ACTIONS(5387),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(2230),
    [aux_sym_preproc_def_token1] = ACTIONS(2230),
    [aux_sym_preproc_if_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2230),
    [sym_preproc_directive] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2230),
    [anon_sym_typedef] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_out] = ACTIONS(2230),
    [anon_sym_inout] = ACTIONS(2230),
    [anon_sym_virtual] = ACTIONS(2230),
    [anon_sym_extern] = ACTIONS(2230),
    [anon_sym___attribute__] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2232),
    [anon_sym___declspec] = ACTIONS(2230),
    [anon_sym___based] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2230),
    [anon_sym_unsigned] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_register] = ACTIONS(2230),
    [anon_sym_inline] = ACTIONS(2230),
    [anon_sym___inline] = ACTIONS(2230),
    [anon_sym___inline__] = ACTIONS(2230),
    [anon_sym___forceinline] = ACTIONS(2230),
    [anon_sym_thread_local] = ACTIONS(2230),
    [anon_sym___thread] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_constexpr] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_restrict] = ACTIONS(2230),
    [anon_sym___restrict__] = ACTIONS(2230),
    [anon_sym__Atomic] = ACTIONS(2230),
    [anon_sym__Noreturn] = ACTIONS(2230),
    [anon_sym_noreturn] = ACTIONS(2230),
    [anon_sym__Nonnull] = ACTIONS(2230),
    [anon_sym_mutable] = ACTIONS(2230),
    [anon_sym_constinit] = ACTIONS(2230),
    [anon_sym_consteval] = ACTIONS(2230),
    [anon_sym_alignas] = ACTIONS(2230),
    [anon_sym__Alignas] = ACTIONS(2230),
    [sym_primitive_type] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_struct] = ACTIONS(2230),
    [anon_sym_union] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2230),
    [anon_sym_decltype] = ACTIONS(2230),
    [anon_sym_explicit] = ACTIONS(2230),
    [anon_sym_typename] = ACTIONS(2230),
    [anon_sym_template] = ACTIONS(2230),
    [anon_sym_operator] = ACTIONS(2230),
    [anon_sym_friend] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_static_assert] = ACTIONS(2230),
    [anon_sym_precise] = ACTIONS(2230),
    [anon_sym_shared] = ACTIONS(2230),
    [anon_sym_groupshared] = ACTIONS(2230),
    [anon_sym_uniform] = ACTIONS(2230),
    [anon_sym_row_major] = ACTIONS(2230),
    [anon_sym_column_major] = ACTIONS(2230),
    [anon_sym_globallycoherent] = ACTIONS(2230),
    [anon_sym_centroid] = ACTIONS(2230),
    [anon_sym_noperspective] = ACTIONS(2230),
    [anon_sym_nointerpolation] = ACTIONS(2230),
    [anon_sym_sample] = ACTIONS(2230),
    [anon_sym_linear] = ACTIONS(2230),
    [anon_sym_snorm] = ACTIONS(2230),
    [anon_sym_unorm] = ACTIONS(2230),
    [anon_sym_point] = ACTIONS(2230),
    [anon_sym_line] = ACTIONS(2230),
    [anon_sym_triangleadj] = ACTIONS(2230),
    [anon_sym_lineadj] = ACTIONS(2230),
    [anon_sym_triangle] = ACTIONS(2230),
  },
  [2227] = {
    [sym_string_literal] = STATE(3632),
    [sym_template_argument_list] = STATE(3176),
    [sym_raw_string_literal] = STATE(3632),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4090),
    [anon_sym_COMMA] = ACTIONS(4090),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4085),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5559),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym___extension__] = ACTIONS(4083),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(5562),
    [anon_sym_unsigned] = ACTIONS(5562),
    [anon_sym_long] = ACTIONS(5562),
    [anon_sym_short] = ACTIONS(5562),
    [anon_sym_LBRACK] = ACTIONS(4090),
    [anon_sym_EQ] = ACTIONS(5564),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4083),
    [anon_sym_volatile] = ACTIONS(4083),
    [anon_sym_restrict] = ACTIONS(4083),
    [anon_sym___restrict__] = ACTIONS(4083),
    [anon_sym__Atomic] = ACTIONS(4083),
    [anon_sym__Noreturn] = ACTIONS(4083),
    [anon_sym_noreturn] = ACTIONS(4083),
    [anon_sym__Nonnull] = ACTIONS(4083),
    [anon_sym_mutable] = ACTIONS(4083),
    [anon_sym_constinit] = ACTIONS(4083),
    [anon_sym_consteval] = ACTIONS(4083),
    [anon_sym_alignas] = ACTIONS(4083),
    [anon_sym__Alignas] = ACTIONS(4083),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(5566),
    [anon_sym_SLASH_EQ] = ACTIONS(5566),
    [anon_sym_PERCENT_EQ] = ACTIONS(5566),
    [anon_sym_PLUS_EQ] = ACTIONS(5566),
    [anon_sym_DASH_EQ] = ACTIONS(5566),
    [anon_sym_LT_LT_EQ] = ACTIONS(5566),
    [anon_sym_GT_GT_EQ] = ACTIONS(5564),
    [anon_sym_AMP_EQ] = ACTIONS(5566),
    [anon_sym_CARET_EQ] = ACTIONS(5566),
    [anon_sym_PIPE_EQ] = ACTIONS(5566),
    [anon_sym_and_eq] = ACTIONS(5566),
    [anon_sym_or_eq] = ACTIONS(5566),
    [anon_sym_xor_eq] = ACTIONS(5566),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(5568),
    [anon_sym_u_DQUOTE] = ACTIONS(5568),
    [anon_sym_U_DQUOTE] = ACTIONS(5568),
    [anon_sym_u8_DQUOTE] = ACTIONS(5568),
    [anon_sym_DQUOTE] = ACTIONS(5568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4083),
    [anon_sym_decltype] = ACTIONS(4083),
    [anon_sym_GT2] = ACTIONS(4090),
    [anon_sym_R_DQUOTE] = ACTIONS(5570),
    [anon_sym_LR_DQUOTE] = ACTIONS(5570),
    [anon_sym_uR_DQUOTE] = ACTIONS(5570),
    [anon_sym_UR_DQUOTE] = ACTIONS(5570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5570),
  },
  [2228] = {
    [sym_identifier] = ACTIONS(1937),
    [anon_sym_LPAREN2] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_PIPE_PIPE] = ACTIONS(1935),
    [anon_sym_AMP_AMP] = ACTIONS(1935),
    [anon_sym_AMP] = ACTIONS(1937),
    [anon_sym___extension__] = ACTIONS(1937),
    [anon_sym_in] = ACTIONS(1937),
    [anon_sym_out] = ACTIONS(1937),
    [anon_sym_inout] = ACTIONS(1937),
    [anon_sym_virtual] = ACTIONS(1937),
    [anon_sym_extern] = ACTIONS(1937),
    [anon_sym___attribute__] = ACTIONS(1937),
    [anon_sym_COLON_COLON] = ACTIONS(1935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1935),
    [anon_sym___declspec] = ACTIONS(1937),
    [anon_sym___based] = ACTIONS(1937),
    [anon_sym___cdecl] = ACTIONS(1937),
    [anon_sym___clrcall] = ACTIONS(1937),
    [anon_sym___stdcall] = ACTIONS(1937),
    [anon_sym___fastcall] = ACTIONS(1937),
    [anon_sym___thiscall] = ACTIONS(1937),
    [anon_sym___vectorcall] = ACTIONS(1937),
    [anon_sym_signed] = ACTIONS(1937),
    [anon_sym_unsigned] = ACTIONS(1937),
    [anon_sym_long] = ACTIONS(1937),
    [anon_sym_short] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1937),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_register] = ACTIONS(1937),
    [anon_sym_inline] = ACTIONS(1937),
    [anon_sym___inline] = ACTIONS(1937),
    [anon_sym___inline__] = ACTIONS(1937),
    [anon_sym___forceinline] = ACTIONS(1937),
    [anon_sym_thread_local] = ACTIONS(1937),
    [anon_sym___thread] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_constexpr] = ACTIONS(1937),
    [anon_sym_volatile] = ACTIONS(1937),
    [anon_sym_restrict] = ACTIONS(1937),
    [anon_sym___restrict__] = ACTIONS(1937),
    [anon_sym__Atomic] = ACTIONS(1937),
    [anon_sym__Noreturn] = ACTIONS(1937),
    [anon_sym_noreturn] = ACTIONS(1937),
    [anon_sym__Nonnull] = ACTIONS(1937),
    [anon_sym_mutable] = ACTIONS(1937),
    [anon_sym_constinit] = ACTIONS(1937),
    [anon_sym_consteval] = ACTIONS(1937),
    [anon_sym_alignas] = ACTIONS(1937),
    [anon_sym__Alignas] = ACTIONS(1937),
    [sym_primitive_type] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_struct] = ACTIONS(1937),
    [anon_sym_union] = ACTIONS(1937),
    [anon_sym_or] = ACTIONS(1937),
    [anon_sym_and] = ACTIONS(1937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1937),
    [anon_sym_decltype] = ACTIONS(1937),
    [anon_sym_explicit] = ACTIONS(1937),
    [anon_sym_typename] = ACTIONS(1937),
    [anon_sym_template] = ACTIONS(1937),
    [anon_sym_operator] = ACTIONS(1937),
    [anon_sym_friend] = ACTIONS(1937),
    [anon_sym_using] = ACTIONS(1937),
    [anon_sym_concept] = ACTIONS(1937),
    [anon_sym_precise] = ACTIONS(1937),
    [anon_sym_shared] = ACTIONS(1937),
    [anon_sym_groupshared] = ACTIONS(1937),
    [anon_sym_uniform] = ACTIONS(1937),
    [anon_sym_row_major] = ACTIONS(1937),
    [anon_sym_column_major] = ACTIONS(1937),
    [anon_sym_globallycoherent] = ACTIONS(1937),
    [anon_sym_centroid] = ACTIONS(1937),
    [anon_sym_noperspective] = ACTIONS(1937),
    [anon_sym_nointerpolation] = ACTIONS(1937),
    [anon_sym_sample] = ACTIONS(1937),
    [anon_sym_linear] = ACTIONS(1937),
    [anon_sym_snorm] = ACTIONS(1937),
    [anon_sym_unorm] = ACTIONS(1937),
    [anon_sym_point] = ACTIONS(1937),
    [anon_sym_line] = ACTIONS(1937),
    [anon_sym_triangleadj] = ACTIONS(1937),
    [anon_sym_lineadj] = ACTIONS(1937),
    [anon_sym_triangle] = ACTIONS(1937),
  },
  [2229] = {
    [sym_identifier] = ACTIONS(2076),
    [anon_sym_LPAREN2] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_PIPE_PIPE] = ACTIONS(2078),
    [anon_sym_AMP_AMP] = ACTIONS(2078),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2076),
    [anon_sym_out] = ACTIONS(2076),
    [anon_sym_inout] = ACTIONS(2076),
    [anon_sym_virtual] = ACTIONS(2076),
    [anon_sym_extern] = ACTIONS(2076),
    [anon_sym___attribute__] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2078),
    [anon_sym___declspec] = ACTIONS(2076),
    [anon_sym___based] = ACTIONS(2076),
    [anon_sym___cdecl] = ACTIONS(2076),
    [anon_sym___clrcall] = ACTIONS(2076),
    [anon_sym___stdcall] = ACTIONS(2076),
    [anon_sym___fastcall] = ACTIONS(2076),
    [anon_sym___thiscall] = ACTIONS(2076),
    [anon_sym___vectorcall] = ACTIONS(2076),
    [anon_sym_signed] = ACTIONS(2076),
    [anon_sym_unsigned] = ACTIONS(2076),
    [anon_sym_long] = ACTIONS(2076),
    [anon_sym_short] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_static] = ACTIONS(2076),
    [anon_sym_register] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(2076),
    [anon_sym___inline] = ACTIONS(2076),
    [anon_sym___inline__] = ACTIONS(2076),
    [anon_sym___forceinline] = ACTIONS(2076),
    [anon_sym_thread_local] = ACTIONS(2076),
    [anon_sym___thread] = ACTIONS(2076),
    [anon_sym_const] = ACTIONS(2076),
    [anon_sym_constexpr] = ACTIONS(2076),
    [anon_sym_volatile] = ACTIONS(2076),
    [anon_sym_restrict] = ACTIONS(2076),
    [anon_sym___restrict__] = ACTIONS(2076),
    [anon_sym__Atomic] = ACTIONS(2076),
    [anon_sym__Noreturn] = ACTIONS(2076),
    [anon_sym_noreturn] = ACTIONS(2076),
    [anon_sym__Nonnull] = ACTIONS(2076),
    [anon_sym_mutable] = ACTIONS(2076),
    [anon_sym_constinit] = ACTIONS(2076),
    [anon_sym_consteval] = ACTIONS(2076),
    [anon_sym_alignas] = ACTIONS(2076),
    [anon_sym__Alignas] = ACTIONS(2076),
    [sym_primitive_type] = ACTIONS(2076),
    [anon_sym_enum] = ACTIONS(2076),
    [anon_sym_class] = ACTIONS(2076),
    [anon_sym_struct] = ACTIONS(2076),
    [anon_sym_union] = ACTIONS(2076),
    [anon_sym_or] = ACTIONS(2076),
    [anon_sym_and] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2076),
    [anon_sym_decltype] = ACTIONS(2076),
    [anon_sym_explicit] = ACTIONS(2076),
    [anon_sym_typename] = ACTIONS(2076),
    [anon_sym_template] = ACTIONS(2076),
    [anon_sym_operator] = ACTIONS(2076),
    [anon_sym_friend] = ACTIONS(2076),
    [anon_sym_using] = ACTIONS(2076),
    [anon_sym_concept] = ACTIONS(2076),
    [anon_sym_precise] = ACTIONS(2076),
    [anon_sym_shared] = ACTIONS(2076),
    [anon_sym_groupshared] = ACTIONS(2076),
    [anon_sym_uniform] = ACTIONS(2076),
    [anon_sym_row_major] = ACTIONS(2076),
    [anon_sym_column_major] = ACTIONS(2076),
    [anon_sym_globallycoherent] = ACTIONS(2076),
    [anon_sym_centroid] = ACTIONS(2076),
    [anon_sym_noperspective] = ACTIONS(2076),
    [anon_sym_nointerpolation] = ACTIONS(2076),
    [anon_sym_sample] = ACTIONS(2076),
    [anon_sym_linear] = ACTIONS(2076),
    [anon_sym_snorm] = ACTIONS(2076),
    [anon_sym_unorm] = ACTIONS(2076),
    [anon_sym_point] = ACTIONS(2076),
    [anon_sym_line] = ACTIONS(2076),
    [anon_sym_triangleadj] = ACTIONS(2076),
    [anon_sym_lineadj] = ACTIONS(2076),
    [anon_sym_triangle] = ACTIONS(2076),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym___cdecl] = ACTIONS(1921),
    [anon_sym___clrcall] = ACTIONS(1921),
    [anon_sym___stdcall] = ACTIONS(1921),
    [anon_sym___fastcall] = ACTIONS(1921),
    [anon_sym___thiscall] = ACTIONS(1921),
    [anon_sym___vectorcall] = ACTIONS(1921),
    [anon_sym_signed] = ACTIONS(1921),
    [anon_sym_unsigned] = ACTIONS(1921),
    [anon_sym_long] = ACTIONS(1921),
    [anon_sym_short] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [sym_primitive_type] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1921),
    [anon_sym_struct] = ACTIONS(1921),
    [anon_sym_union] = ACTIONS(1921),
    [anon_sym_or] = ACTIONS(1921),
    [anon_sym_and] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_explicit] = ACTIONS(1921),
    [anon_sym_typename] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_operator] = ACTIONS(1921),
    [anon_sym_friend] = ACTIONS(1921),
    [anon_sym_using] = ACTIONS(1921),
    [anon_sym_concept] = ACTIONS(1921),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(1947),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(1949),
    [anon_sym_PIPE_PIPE] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym___cdecl] = ACTIONS(1947),
    [anon_sym___clrcall] = ACTIONS(1947),
    [anon_sym___stdcall] = ACTIONS(1947),
    [anon_sym___fastcall] = ACTIONS(1947),
    [anon_sym___thiscall] = ACTIONS(1947),
    [anon_sym___vectorcall] = ACTIONS(1947),
    [anon_sym_signed] = ACTIONS(1947),
    [anon_sym_unsigned] = ACTIONS(1947),
    [anon_sym_long] = ACTIONS(1947),
    [anon_sym_short] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [sym_primitive_type] = ACTIONS(1947),
    [anon_sym_enum] = ACTIONS(1947),
    [anon_sym_class] = ACTIONS(1947),
    [anon_sym_struct] = ACTIONS(1947),
    [anon_sym_union] = ACTIONS(1947),
    [anon_sym_or] = ACTIONS(1947),
    [anon_sym_and] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_explicit] = ACTIONS(1947),
    [anon_sym_typename] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_operator] = ACTIONS(1947),
    [anon_sym_friend] = ACTIONS(1947),
    [anon_sym_using] = ACTIONS(1947),
    [anon_sym_concept] = ACTIONS(1947),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
  },
  [2232] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2051),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_EQ] = ACTIONS(2051),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_GT2] = ACTIONS(2051),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2051),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_EQ] = ACTIONS(2051),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_GT2] = ACTIONS(2051),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
  },
  [2234] = {
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym___cdecl] = ACTIONS(1951),
    [anon_sym___clrcall] = ACTIONS(1951),
    [anon_sym___stdcall] = ACTIONS(1951),
    [anon_sym___fastcall] = ACTIONS(1951),
    [anon_sym___thiscall] = ACTIONS(1951),
    [anon_sym___vectorcall] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1951),
    [anon_sym_unsigned] = ACTIONS(1951),
    [anon_sym_long] = ACTIONS(1951),
    [anon_sym_short] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [sym_primitive_type] = ACTIONS(1951),
    [anon_sym_enum] = ACTIONS(1951),
    [anon_sym_class] = ACTIONS(1951),
    [anon_sym_struct] = ACTIONS(1951),
    [anon_sym_union] = ACTIONS(1951),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_operator] = ACTIONS(1951),
    [anon_sym_friend] = ACTIONS(1951),
    [anon_sym_using] = ACTIONS(1951),
    [anon_sym_concept] = ACTIONS(1951),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
  },
  [2235] = {
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(1957),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym___cdecl] = ACTIONS(1955),
    [anon_sym___clrcall] = ACTIONS(1955),
    [anon_sym___stdcall] = ACTIONS(1955),
    [anon_sym___fastcall] = ACTIONS(1955),
    [anon_sym___thiscall] = ACTIONS(1955),
    [anon_sym___vectorcall] = ACTIONS(1955),
    [anon_sym_signed] = ACTIONS(1955),
    [anon_sym_unsigned] = ACTIONS(1955),
    [anon_sym_long] = ACTIONS(1955),
    [anon_sym_short] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [sym_primitive_type] = ACTIONS(1955),
    [anon_sym_enum] = ACTIONS(1955),
    [anon_sym_class] = ACTIONS(1955),
    [anon_sym_struct] = ACTIONS(1955),
    [anon_sym_union] = ACTIONS(1955),
    [anon_sym_or] = ACTIONS(1955),
    [anon_sym_and] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_explicit] = ACTIONS(1955),
    [anon_sym_typename] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_operator] = ACTIONS(1955),
    [anon_sym_friend] = ACTIONS(1955),
    [anon_sym_using] = ACTIONS(1955),
    [anon_sym_concept] = ACTIONS(1955),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym___cdecl] = ACTIONS(1917),
    [anon_sym___clrcall] = ACTIONS(1917),
    [anon_sym___stdcall] = ACTIONS(1917),
    [anon_sym___fastcall] = ACTIONS(1917),
    [anon_sym___thiscall] = ACTIONS(1917),
    [anon_sym___vectorcall] = ACTIONS(1917),
    [anon_sym_signed] = ACTIONS(1917),
    [anon_sym_unsigned] = ACTIONS(1917),
    [anon_sym_long] = ACTIONS(1917),
    [anon_sym_short] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(1917),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_class] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(1917),
    [anon_sym_union] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1917),
    [anon_sym_and] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_explicit] = ACTIONS(1917),
    [anon_sym_typename] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_operator] = ACTIONS(1917),
    [anon_sym_friend] = ACTIONS(1917),
    [anon_sym_using] = ACTIONS(1917),
    [anon_sym_concept] = ACTIONS(1917),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(1939),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_STAR] = ACTIONS(1941),
    [anon_sym_PIPE_PIPE] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym___cdecl] = ACTIONS(1939),
    [anon_sym___clrcall] = ACTIONS(1939),
    [anon_sym___stdcall] = ACTIONS(1939),
    [anon_sym___fastcall] = ACTIONS(1939),
    [anon_sym___thiscall] = ACTIONS(1939),
    [anon_sym___vectorcall] = ACTIONS(1939),
    [anon_sym_signed] = ACTIONS(1939),
    [anon_sym_unsigned] = ACTIONS(1939),
    [anon_sym_long] = ACTIONS(1939),
    [anon_sym_short] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [sym_primitive_type] = ACTIONS(1939),
    [anon_sym_enum] = ACTIONS(1939),
    [anon_sym_class] = ACTIONS(1939),
    [anon_sym_struct] = ACTIONS(1939),
    [anon_sym_union] = ACTIONS(1939),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_explicit] = ACTIONS(1939),
    [anon_sym_typename] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_operator] = ACTIONS(1939),
    [anon_sym_friend] = ACTIONS(1939),
    [anon_sym_using] = ACTIONS(1939),
    [anon_sym_concept] = ACTIONS(1939),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(5572),
    [anon_sym_LPAREN2] = ACTIONS(5574),
    [anon_sym_TILDE] = ACTIONS(5574),
    [anon_sym_STAR] = ACTIONS(5574),
    [anon_sym_PIPE_PIPE] = ACTIONS(5576),
    [anon_sym_AMP_AMP] = ACTIONS(5578),
    [anon_sym_AMP] = ACTIONS(5572),
    [anon_sym___extension__] = ACTIONS(5572),
    [anon_sym_in] = ACTIONS(5572),
    [anon_sym_out] = ACTIONS(5572),
    [anon_sym_inout] = ACTIONS(5572),
    [anon_sym_virtual] = ACTIONS(5572),
    [anon_sym_extern] = ACTIONS(5572),
    [anon_sym___attribute__] = ACTIONS(5572),
    [anon_sym_COLON_COLON] = ACTIONS(5574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5574),
    [anon_sym___declspec] = ACTIONS(5572),
    [anon_sym___based] = ACTIONS(5572),
    [anon_sym___cdecl] = ACTIONS(5572),
    [anon_sym___clrcall] = ACTIONS(5572),
    [anon_sym___stdcall] = ACTIONS(5572),
    [anon_sym___fastcall] = ACTIONS(5572),
    [anon_sym___thiscall] = ACTIONS(5572),
    [anon_sym___vectorcall] = ACTIONS(5572),
    [anon_sym_signed] = ACTIONS(5572),
    [anon_sym_unsigned] = ACTIONS(5572),
    [anon_sym_long] = ACTIONS(5572),
    [anon_sym_short] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym_static] = ACTIONS(5572),
    [anon_sym_register] = ACTIONS(5572),
    [anon_sym_inline] = ACTIONS(5572),
    [anon_sym___inline] = ACTIONS(5572),
    [anon_sym___inline__] = ACTIONS(5572),
    [anon_sym___forceinline] = ACTIONS(5572),
    [anon_sym_thread_local] = ACTIONS(5572),
    [anon_sym___thread] = ACTIONS(5572),
    [anon_sym_const] = ACTIONS(5572),
    [anon_sym_constexpr] = ACTIONS(5572),
    [anon_sym_volatile] = ACTIONS(5572),
    [anon_sym_restrict] = ACTIONS(5572),
    [anon_sym___restrict__] = ACTIONS(5572),
    [anon_sym__Atomic] = ACTIONS(5572),
    [anon_sym__Noreturn] = ACTIONS(5572),
    [anon_sym_noreturn] = ACTIONS(5572),
    [anon_sym__Nonnull] = ACTIONS(5572),
    [anon_sym_mutable] = ACTIONS(5572),
    [anon_sym_constinit] = ACTIONS(5572),
    [anon_sym_consteval] = ACTIONS(5572),
    [anon_sym_alignas] = ACTIONS(5572),
    [anon_sym__Alignas] = ACTIONS(5572),
    [sym_primitive_type] = ACTIONS(5572),
    [anon_sym_enum] = ACTIONS(5572),
    [anon_sym_class] = ACTIONS(5572),
    [anon_sym_struct] = ACTIONS(5572),
    [anon_sym_union] = ACTIONS(5572),
    [anon_sym_or] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5572),
    [anon_sym_decltype] = ACTIONS(5572),
    [anon_sym_explicit] = ACTIONS(5572),
    [anon_sym_typename] = ACTIONS(5572),
    [anon_sym_template] = ACTIONS(5572),
    [anon_sym_operator] = ACTIONS(5572),
    [anon_sym_friend] = ACTIONS(5572),
    [anon_sym_using] = ACTIONS(5572),
    [anon_sym_concept] = ACTIONS(5572),
    [anon_sym_precise] = ACTIONS(5572),
    [anon_sym_shared] = ACTIONS(5572),
    [anon_sym_groupshared] = ACTIONS(5572),
    [anon_sym_uniform] = ACTIONS(5572),
    [anon_sym_row_major] = ACTIONS(5572),
    [anon_sym_column_major] = ACTIONS(5572),
    [anon_sym_globallycoherent] = ACTIONS(5572),
    [anon_sym_centroid] = ACTIONS(5572),
    [anon_sym_noperspective] = ACTIONS(5572),
    [anon_sym_nointerpolation] = ACTIONS(5572),
    [anon_sym_sample] = ACTIONS(5572),
    [anon_sym_linear] = ACTIONS(5572),
    [anon_sym_snorm] = ACTIONS(5572),
    [anon_sym_unorm] = ACTIONS(5572),
    [anon_sym_point] = ACTIONS(5572),
    [anon_sym_line] = ACTIONS(5572),
    [anon_sym_triangleadj] = ACTIONS(5572),
    [anon_sym_lineadj] = ACTIONS(5572),
    [anon_sym_triangle] = ACTIONS(5572),
  },
  [2239] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_friend] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_concept] = ACTIONS(1913),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
  },
  [2240] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3253),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_RPAREN] = ACTIONS(4090),
    [anon_sym_LPAREN2] = ACTIONS(4090),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym___extension__] = ACTIONS(4083),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(4090),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4083),
    [anon_sym_volatile] = ACTIONS(4083),
    [anon_sym_restrict] = ACTIONS(4083),
    [anon_sym___restrict__] = ACTIONS(4083),
    [anon_sym__Atomic] = ACTIONS(4083),
    [anon_sym__Noreturn] = ACTIONS(4083),
    [anon_sym_noreturn] = ACTIONS(4083),
    [anon_sym__Nonnull] = ACTIONS(4083),
    [anon_sym_mutable] = ACTIONS(4083),
    [anon_sym_constinit] = ACTIONS(4083),
    [anon_sym_consteval] = ACTIONS(4083),
    [anon_sym_alignas] = ACTIONS(4083),
    [anon_sym__Alignas] = ACTIONS(4083),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4083),
    [anon_sym_decltype] = ACTIONS(4083),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2241] = {
    [sym_identifier] = ACTIONS(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2074),
    [anon_sym_COMMA] = ACTIONS(2074),
    [anon_sym_RPAREN] = ACTIONS(2074),
    [anon_sym_LPAREN2] = ACTIONS(2074),
    [anon_sym_TILDE] = ACTIONS(2074),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_PIPE_PIPE] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(2074),
    [anon_sym_AMP] = ACTIONS(2072),
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2074),
    [anon_sym___extension__] = ACTIONS(2072),
    [anon_sym_in] = ACTIONS(2072),
    [anon_sym_out] = ACTIONS(2072),
    [anon_sym_inout] = ACTIONS(2072),
    [anon_sym_virtual] = ACTIONS(2072),
    [anon_sym_extern] = ACTIONS(2072),
    [anon_sym___attribute__] = ACTIONS(2072),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2074),
    [anon_sym___declspec] = ACTIONS(2072),
    [anon_sym___based] = ACTIONS(2072),
    [anon_sym___cdecl] = ACTIONS(2072),
    [anon_sym___clrcall] = ACTIONS(2072),
    [anon_sym___stdcall] = ACTIONS(2072),
    [anon_sym___fastcall] = ACTIONS(2072),
    [anon_sym___thiscall] = ACTIONS(2072),
    [anon_sym___vectorcall] = ACTIONS(2072),
    [anon_sym_LBRACE] = ACTIONS(2074),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_static] = ACTIONS(2072),
    [anon_sym_EQ] = ACTIONS(2074),
    [anon_sym_register] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(2072),
    [anon_sym___inline] = ACTIONS(2072),
    [anon_sym___inline__] = ACTIONS(2072),
    [anon_sym___forceinline] = ACTIONS(2072),
    [anon_sym_thread_local] = ACTIONS(2072),
    [anon_sym___thread] = ACTIONS(2072),
    [anon_sym_const] = ACTIONS(2072),
    [anon_sym_constexpr] = ACTIONS(2072),
    [anon_sym_volatile] = ACTIONS(2072),
    [anon_sym_restrict] = ACTIONS(2072),
    [anon_sym___restrict__] = ACTIONS(2072),
    [anon_sym__Atomic] = ACTIONS(2072),
    [anon_sym__Noreturn] = ACTIONS(2072),
    [anon_sym_noreturn] = ACTIONS(2072),
    [anon_sym__Nonnull] = ACTIONS(2072),
    [anon_sym_mutable] = ACTIONS(2072),
    [anon_sym_constinit] = ACTIONS(2072),
    [anon_sym_consteval] = ACTIONS(2072),
    [anon_sym_alignas] = ACTIONS(2072),
    [anon_sym__Alignas] = ACTIONS(2072),
    [anon_sym_else] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2072),
    [anon_sym_or] = ACTIONS(2072),
    [anon_sym_and] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2072),
    [anon_sym_decltype] = ACTIONS(2072),
    [anon_sym_final] = ACTIONS(2072),
    [anon_sym_override] = ACTIONS(2072),
    [anon_sym_template] = ACTIONS(2072),
    [anon_sym_GT2] = ACTIONS(2074),
    [anon_sym_operator] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2072),
    [anon_sym_requires] = ACTIONS(2072),
    [anon_sym_precise] = ACTIONS(2072),
    [anon_sym_shared] = ACTIONS(2072),
    [anon_sym_groupshared] = ACTIONS(2072),
    [anon_sym_uniform] = ACTIONS(2072),
    [anon_sym_row_major] = ACTIONS(2072),
    [anon_sym_column_major] = ACTIONS(2072),
    [anon_sym_globallycoherent] = ACTIONS(2072),
    [anon_sym_centroid] = ACTIONS(2072),
    [anon_sym_noperspective] = ACTIONS(2072),
    [anon_sym_nointerpolation] = ACTIONS(2072),
    [anon_sym_sample] = ACTIONS(2072),
    [anon_sym_linear] = ACTIONS(2072),
    [anon_sym_snorm] = ACTIONS(2072),
    [anon_sym_unorm] = ACTIONS(2072),
    [anon_sym_point] = ACTIONS(2072),
    [anon_sym_line] = ACTIONS(2072),
    [anon_sym_triangleadj] = ACTIONS(2072),
    [anon_sym_lineadj] = ACTIONS(2072),
    [anon_sym_triangle] = ACTIONS(2072),
  },
  [2242] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2242),
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5589),
    [anon_sym_COMMA] = ACTIONS(5589),
    [anon_sym_RPAREN] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_TILDE] = ACTIONS(5589),
    [anon_sym_STAR] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym_COLON] = ACTIONS(5587),
    [anon_sym_SEMI] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5587),
    [anon_sym_in] = ACTIONS(5587),
    [anon_sym_out] = ACTIONS(5587),
    [anon_sym_inout] = ACTIONS(5587),
    [anon_sym_virtual] = ACTIONS(5587),
    [anon_sym_extern] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym_COLON_COLON] = ACTIONS(5589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5589),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5587),
    [anon_sym___cdecl] = ACTIONS(5587),
    [anon_sym___clrcall] = ACTIONS(5587),
    [anon_sym___stdcall] = ACTIONS(5587),
    [anon_sym___fastcall] = ACTIONS(5587),
    [anon_sym___thiscall] = ACTIONS(5587),
    [anon_sym___vectorcall] = ACTIONS(5587),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(5591),
    [anon_sym_unsigned] = ACTIONS(5591),
    [anon_sym_long] = ACTIONS(5591),
    [anon_sym_short] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5587),
    [anon_sym_static] = ACTIONS(5587),
    [anon_sym_EQ] = ACTIONS(5589),
    [anon_sym_register] = ACTIONS(5587),
    [anon_sym_inline] = ACTIONS(5587),
    [anon_sym___inline] = ACTIONS(5587),
    [anon_sym___inline__] = ACTIONS(5587),
    [anon_sym___forceinline] = ACTIONS(5587),
    [anon_sym_thread_local] = ACTIONS(5587),
    [anon_sym___thread] = ACTIONS(5587),
    [anon_sym_const] = ACTIONS(5587),
    [anon_sym_constexpr] = ACTIONS(5587),
    [anon_sym_volatile] = ACTIONS(5587),
    [anon_sym_restrict] = ACTIONS(5587),
    [anon_sym___restrict__] = ACTIONS(5587),
    [anon_sym__Atomic] = ACTIONS(5587),
    [anon_sym__Noreturn] = ACTIONS(5587),
    [anon_sym_noreturn] = ACTIONS(5587),
    [anon_sym__Nonnull] = ACTIONS(5587),
    [anon_sym_mutable] = ACTIONS(5587),
    [anon_sym_constinit] = ACTIONS(5587),
    [anon_sym_consteval] = ACTIONS(5587),
    [anon_sym_alignas] = ACTIONS(5587),
    [anon_sym__Alignas] = ACTIONS(5587),
    [sym_primitive_type] = ACTIONS(5587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
    [anon_sym_final] = ACTIONS(5587),
    [anon_sym_override] = ACTIONS(5587),
    [anon_sym_template] = ACTIONS(5587),
    [anon_sym_GT2] = ACTIONS(5589),
    [anon_sym_operator] = ACTIONS(5587),
    [anon_sym_requires] = ACTIONS(5587),
    [anon_sym_precise] = ACTIONS(5587),
    [anon_sym_shared] = ACTIONS(5587),
    [anon_sym_groupshared] = ACTIONS(5587),
    [anon_sym_uniform] = ACTIONS(5587),
    [anon_sym_row_major] = ACTIONS(5587),
    [anon_sym_column_major] = ACTIONS(5587),
    [anon_sym_globallycoherent] = ACTIONS(5587),
    [anon_sym_centroid] = ACTIONS(5587),
    [anon_sym_noperspective] = ACTIONS(5587),
    [anon_sym_nointerpolation] = ACTIONS(5587),
    [anon_sym_sample] = ACTIONS(5587),
    [anon_sym_linear] = ACTIONS(5587),
    [anon_sym_snorm] = ACTIONS(5587),
    [anon_sym_unorm] = ACTIONS(5587),
    [anon_sym_point] = ACTIONS(5587),
    [anon_sym_line] = ACTIONS(5587),
    [anon_sym_triangleadj] = ACTIONS(5587),
    [anon_sym_lineadj] = ACTIONS(5587),
    [anon_sym_triangle] = ACTIONS(5587),
  },
  [2243] = {
    [sym__declaration_modifiers] = STATE(2260),
    [sym_attribute_specifier] = STATE(2260),
    [sym_attribute_declaration] = STATE(2260),
    [sym_ms_declspec_modifier] = STATE(2260),
    [sym_storage_class_specifier] = STATE(2260),
    [sym_type_qualifier] = STATE(2260),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype_auto] = STATE(2324),
    [sym_qualifiers] = STATE(2260),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2260),
    [sym_identifier] = ACTIONS(5594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_TILDE] = ACTIONS(5596),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_COLON] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5598),
    [anon_sym_out] = ACTIONS(5598),
    [anon_sym_inout] = ACTIONS(5598),
    [anon_sym_virtual] = ACTIONS(5598),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5594),
    [anon_sym___cdecl] = ACTIONS(5594),
    [anon_sym___clrcall] = ACTIONS(5594),
    [anon_sym___stdcall] = ACTIONS(5594),
    [anon_sym___fastcall] = ACTIONS(5594),
    [anon_sym___thiscall] = ACTIONS(5594),
    [anon_sym___vectorcall] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5594),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5596),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5594),
    [anon_sym_GT2] = ACTIONS(5596),
    [anon_sym_operator] = ACTIONS(5594),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2244] = {
    [sym_identifier] = ACTIONS(2076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2078),
    [anon_sym_COMMA] = ACTIONS(2078),
    [anon_sym_RPAREN] = ACTIONS(2078),
    [anon_sym_LPAREN2] = ACTIONS(2078),
    [anon_sym_TILDE] = ACTIONS(2078),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_PIPE_PIPE] = ACTIONS(2078),
    [anon_sym_AMP_AMP] = ACTIONS(2078),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym___extension__] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2076),
    [anon_sym_out] = ACTIONS(2076),
    [anon_sym_inout] = ACTIONS(2076),
    [anon_sym_virtual] = ACTIONS(2076),
    [anon_sym_extern] = ACTIONS(2076),
    [anon_sym___attribute__] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2078),
    [anon_sym___declspec] = ACTIONS(2076),
    [anon_sym___based] = ACTIONS(2076),
    [anon_sym___cdecl] = ACTIONS(2076),
    [anon_sym___clrcall] = ACTIONS(2076),
    [anon_sym___stdcall] = ACTIONS(2076),
    [anon_sym___fastcall] = ACTIONS(2076),
    [anon_sym___thiscall] = ACTIONS(2076),
    [anon_sym___vectorcall] = ACTIONS(2076),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_static] = ACTIONS(2076),
    [anon_sym_EQ] = ACTIONS(2078),
    [anon_sym_register] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(2076),
    [anon_sym___inline] = ACTIONS(2076),
    [anon_sym___inline__] = ACTIONS(2076),
    [anon_sym___forceinline] = ACTIONS(2076),
    [anon_sym_thread_local] = ACTIONS(2076),
    [anon_sym___thread] = ACTIONS(2076),
    [anon_sym_const] = ACTIONS(2076),
    [anon_sym_constexpr] = ACTIONS(2076),
    [anon_sym_volatile] = ACTIONS(2076),
    [anon_sym_restrict] = ACTIONS(2076),
    [anon_sym___restrict__] = ACTIONS(2076),
    [anon_sym__Atomic] = ACTIONS(2076),
    [anon_sym__Noreturn] = ACTIONS(2076),
    [anon_sym_noreturn] = ACTIONS(2076),
    [anon_sym__Nonnull] = ACTIONS(2076),
    [anon_sym_mutable] = ACTIONS(2076),
    [anon_sym_constinit] = ACTIONS(2076),
    [anon_sym_consteval] = ACTIONS(2076),
    [anon_sym_alignas] = ACTIONS(2076),
    [anon_sym__Alignas] = ACTIONS(2076),
    [anon_sym_else] = ACTIONS(2076),
    [anon_sym_while] = ACTIONS(2076),
    [anon_sym_or] = ACTIONS(2076),
    [anon_sym_and] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2076),
    [anon_sym_decltype] = ACTIONS(2076),
    [anon_sym_final] = ACTIONS(2076),
    [anon_sym_override] = ACTIONS(2076),
    [anon_sym_template] = ACTIONS(2076),
    [anon_sym_GT2] = ACTIONS(2078),
    [anon_sym_operator] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2076),
    [anon_sym_requires] = ACTIONS(2076),
    [anon_sym_precise] = ACTIONS(2076),
    [anon_sym_shared] = ACTIONS(2076),
    [anon_sym_groupshared] = ACTIONS(2076),
    [anon_sym_uniform] = ACTIONS(2076),
    [anon_sym_row_major] = ACTIONS(2076),
    [anon_sym_column_major] = ACTIONS(2076),
    [anon_sym_globallycoherent] = ACTIONS(2076),
    [anon_sym_centroid] = ACTIONS(2076),
    [anon_sym_noperspective] = ACTIONS(2076),
    [anon_sym_nointerpolation] = ACTIONS(2076),
    [anon_sym_sample] = ACTIONS(2076),
    [anon_sym_linear] = ACTIONS(2076),
    [anon_sym_snorm] = ACTIONS(2076),
    [anon_sym_unorm] = ACTIONS(2076),
    [anon_sym_point] = ACTIONS(2076),
    [anon_sym_line] = ACTIONS(2076),
    [anon_sym_triangleadj] = ACTIONS(2076),
    [anon_sym_lineadj] = ACTIONS(2076),
    [anon_sym_triangle] = ACTIONS(2076),
  },
  [2245] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_LPAREN2] = ACTIONS(2070),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_PIPE_PIPE] = ACTIONS(2070),
    [anon_sym_AMP_AMP] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym___cdecl] = ACTIONS(2068),
    [anon_sym___clrcall] = ACTIONS(2068),
    [anon_sym___stdcall] = ACTIONS(2068),
    [anon_sym___fastcall] = ACTIONS(2068),
    [anon_sym___thiscall] = ACTIONS(2068),
    [anon_sym___vectorcall] = ACTIONS(2068),
    [anon_sym_signed] = ACTIONS(2068),
    [anon_sym_unsigned] = ACTIONS(2068),
    [anon_sym_long] = ACTIONS(2068),
    [anon_sym_short] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [sym_primitive_type] = ACTIONS(2068),
    [anon_sym_enum] = ACTIONS(2068),
    [anon_sym_class] = ACTIONS(2068),
    [anon_sym_struct] = ACTIONS(2068),
    [anon_sym_union] = ACTIONS(2068),
    [anon_sym_or] = ACTIONS(2068),
    [anon_sym_and] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_explicit] = ACTIONS(2068),
    [anon_sym_typename] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_friend] = ACTIONS(2068),
    [anon_sym_using] = ACTIONS(2068),
    [anon_sym_concept] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [2246] = {
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(1973),
    [anon_sym_out] = ACTIONS(1973),
    [anon_sym_inout] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [sym_primitive_type] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_or] = ACTIONS(1973),
    [anon_sym_and] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_precise] = ACTIONS(1973),
    [anon_sym_shared] = ACTIONS(1973),
    [anon_sym_groupshared] = ACTIONS(1973),
    [anon_sym_uniform] = ACTIONS(1973),
    [anon_sym_row_major] = ACTIONS(1973),
    [anon_sym_column_major] = ACTIONS(1973),
    [anon_sym_globallycoherent] = ACTIONS(1973),
    [anon_sym_centroid] = ACTIONS(1973),
    [anon_sym_noperspective] = ACTIONS(1973),
    [anon_sym_nointerpolation] = ACTIONS(1973),
    [anon_sym_sample] = ACTIONS(1973),
    [anon_sym_linear] = ACTIONS(1973),
    [anon_sym_snorm] = ACTIONS(1973),
    [anon_sym_unorm] = ACTIONS(1973),
    [anon_sym_point] = ACTIONS(1973),
    [anon_sym_line] = ACTIONS(1973),
    [anon_sym_triangleadj] = ACTIONS(1973),
    [anon_sym_lineadj] = ACTIONS(1973),
    [anon_sym_triangle] = ACTIONS(1973),
  },
  [2247] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_friend] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
  },
  [2248] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_friend] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2049),
    [anon_sym_union] = ACTIONS(2049),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_explicit] = ACTIONS(2049),
    [anon_sym_typename] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_friend] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(2049),
    [anon_sym_concept] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
  },
  [2250] = {
    [sym_identifier] = ACTIONS(2072),
    [anon_sym_LPAREN2] = ACTIONS(2074),
    [anon_sym_TILDE] = ACTIONS(2074),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_PIPE_PIPE] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(2074),
    [anon_sym_AMP] = ACTIONS(2072),
    [anon_sym___extension__] = ACTIONS(2072),
    [anon_sym_in] = ACTIONS(2072),
    [anon_sym_out] = ACTIONS(2072),
    [anon_sym_inout] = ACTIONS(2072),
    [anon_sym_virtual] = ACTIONS(2072),
    [anon_sym_extern] = ACTIONS(2072),
    [anon_sym___attribute__] = ACTIONS(2072),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2074),
    [anon_sym___declspec] = ACTIONS(2072),
    [anon_sym___based] = ACTIONS(2072),
    [anon_sym___cdecl] = ACTIONS(2072),
    [anon_sym___clrcall] = ACTIONS(2072),
    [anon_sym___stdcall] = ACTIONS(2072),
    [anon_sym___fastcall] = ACTIONS(2072),
    [anon_sym___thiscall] = ACTIONS(2072),
    [anon_sym___vectorcall] = ACTIONS(2072),
    [anon_sym_signed] = ACTIONS(2072),
    [anon_sym_unsigned] = ACTIONS(2072),
    [anon_sym_long] = ACTIONS(2072),
    [anon_sym_short] = ACTIONS(2072),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_static] = ACTIONS(2072),
    [anon_sym_register] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(2072),
    [anon_sym___inline] = ACTIONS(2072),
    [anon_sym___inline__] = ACTIONS(2072),
    [anon_sym___forceinline] = ACTIONS(2072),
    [anon_sym_thread_local] = ACTIONS(2072),
    [anon_sym___thread] = ACTIONS(2072),
    [anon_sym_const] = ACTIONS(2072),
    [anon_sym_constexpr] = ACTIONS(2072),
    [anon_sym_volatile] = ACTIONS(2072),
    [anon_sym_restrict] = ACTIONS(2072),
    [anon_sym___restrict__] = ACTIONS(2072),
    [anon_sym__Atomic] = ACTIONS(2072),
    [anon_sym__Noreturn] = ACTIONS(2072),
    [anon_sym_noreturn] = ACTIONS(2072),
    [anon_sym__Nonnull] = ACTIONS(2072),
    [anon_sym_mutable] = ACTIONS(2072),
    [anon_sym_constinit] = ACTIONS(2072),
    [anon_sym_consteval] = ACTIONS(2072),
    [anon_sym_alignas] = ACTIONS(2072),
    [anon_sym__Alignas] = ACTIONS(2072),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_enum] = ACTIONS(2072),
    [anon_sym_class] = ACTIONS(2072),
    [anon_sym_struct] = ACTIONS(2072),
    [anon_sym_union] = ACTIONS(2072),
    [anon_sym_or] = ACTIONS(2072),
    [anon_sym_and] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2072),
    [anon_sym_decltype] = ACTIONS(2072),
    [anon_sym_explicit] = ACTIONS(2072),
    [anon_sym_typename] = ACTIONS(2072),
    [anon_sym_template] = ACTIONS(2072),
    [anon_sym_operator] = ACTIONS(2072),
    [anon_sym_friend] = ACTIONS(2072),
    [anon_sym_using] = ACTIONS(2072),
    [anon_sym_concept] = ACTIONS(2072),
    [anon_sym_precise] = ACTIONS(2072),
    [anon_sym_shared] = ACTIONS(2072),
    [anon_sym_groupshared] = ACTIONS(2072),
    [anon_sym_uniform] = ACTIONS(2072),
    [anon_sym_row_major] = ACTIONS(2072),
    [anon_sym_column_major] = ACTIONS(2072),
    [anon_sym_globallycoherent] = ACTIONS(2072),
    [anon_sym_centroid] = ACTIONS(2072),
    [anon_sym_noperspective] = ACTIONS(2072),
    [anon_sym_nointerpolation] = ACTIONS(2072),
    [anon_sym_sample] = ACTIONS(2072),
    [anon_sym_linear] = ACTIONS(2072),
    [anon_sym_snorm] = ACTIONS(2072),
    [anon_sym_unorm] = ACTIONS(2072),
    [anon_sym_point] = ACTIONS(2072),
    [anon_sym_line] = ACTIONS(2072),
    [anon_sym_triangleadj] = ACTIONS(2072),
    [anon_sym_lineadj] = ACTIONS(2072),
    [anon_sym_triangle] = ACTIONS(2072),
  },
  [2251] = {
    [sym_identifier] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_TILDE] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5578),
    [anon_sym_AMP] = ACTIONS(5604),
    [anon_sym___extension__] = ACTIONS(5604),
    [anon_sym_in] = ACTIONS(5604),
    [anon_sym_out] = ACTIONS(5604),
    [anon_sym_inout] = ACTIONS(5604),
    [anon_sym_virtual] = ACTIONS(5604),
    [anon_sym_extern] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5606),
    [anon_sym___declspec] = ACTIONS(5604),
    [anon_sym___based] = ACTIONS(5604),
    [anon_sym___cdecl] = ACTIONS(5604),
    [anon_sym___clrcall] = ACTIONS(5604),
    [anon_sym___stdcall] = ACTIONS(5604),
    [anon_sym___fastcall] = ACTIONS(5604),
    [anon_sym___thiscall] = ACTIONS(5604),
    [anon_sym___vectorcall] = ACTIONS(5604),
    [anon_sym_signed] = ACTIONS(5604),
    [anon_sym_unsigned] = ACTIONS(5604),
    [anon_sym_long] = ACTIONS(5604),
    [anon_sym_short] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_static] = ACTIONS(5604),
    [anon_sym_register] = ACTIONS(5604),
    [anon_sym_inline] = ACTIONS(5604),
    [anon_sym___inline] = ACTIONS(5604),
    [anon_sym___inline__] = ACTIONS(5604),
    [anon_sym___forceinline] = ACTIONS(5604),
    [anon_sym_thread_local] = ACTIONS(5604),
    [anon_sym___thread] = ACTIONS(5604),
    [anon_sym_const] = ACTIONS(5604),
    [anon_sym_constexpr] = ACTIONS(5604),
    [anon_sym_volatile] = ACTIONS(5604),
    [anon_sym_restrict] = ACTIONS(5604),
    [anon_sym___restrict__] = ACTIONS(5604),
    [anon_sym__Atomic] = ACTIONS(5604),
    [anon_sym__Noreturn] = ACTIONS(5604),
    [anon_sym_noreturn] = ACTIONS(5604),
    [anon_sym__Nonnull] = ACTIONS(5604),
    [anon_sym_mutable] = ACTIONS(5604),
    [anon_sym_constinit] = ACTIONS(5604),
    [anon_sym_consteval] = ACTIONS(5604),
    [anon_sym_alignas] = ACTIONS(5604),
    [anon_sym__Alignas] = ACTIONS(5604),
    [sym_primitive_type] = ACTIONS(5604),
    [anon_sym_enum] = ACTIONS(5604),
    [anon_sym_class] = ACTIONS(5604),
    [anon_sym_struct] = ACTIONS(5604),
    [anon_sym_union] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_explicit] = ACTIONS(5604),
    [anon_sym_typename] = ACTIONS(5604),
    [anon_sym_template] = ACTIONS(5604),
    [anon_sym_operator] = ACTIONS(5604),
    [anon_sym_friend] = ACTIONS(5604),
    [anon_sym_using] = ACTIONS(5604),
    [anon_sym_concept] = ACTIONS(5604),
    [anon_sym_precise] = ACTIONS(5604),
    [anon_sym_shared] = ACTIONS(5604),
    [anon_sym_groupshared] = ACTIONS(5604),
    [anon_sym_uniform] = ACTIONS(5604),
    [anon_sym_row_major] = ACTIONS(5604),
    [anon_sym_column_major] = ACTIONS(5604),
    [anon_sym_globallycoherent] = ACTIONS(5604),
    [anon_sym_centroid] = ACTIONS(5604),
    [anon_sym_noperspective] = ACTIONS(5604),
    [anon_sym_nointerpolation] = ACTIONS(5604),
    [anon_sym_sample] = ACTIONS(5604),
    [anon_sym_linear] = ACTIONS(5604),
    [anon_sym_snorm] = ACTIONS(5604),
    [anon_sym_unorm] = ACTIONS(5604),
    [anon_sym_point] = ACTIONS(5604),
    [anon_sym_line] = ACTIONS(5604),
    [anon_sym_triangleadj] = ACTIONS(5604),
    [anon_sym_lineadj] = ACTIONS(5604),
    [anon_sym_triangle] = ACTIONS(5604),
  },
  [2252] = {
    [sym__declaration_modifiers] = STATE(2261),
    [sym_attribute_specifier] = STATE(2261),
    [sym_attribute_declaration] = STATE(2261),
    [sym_ms_declspec_modifier] = STATE(2261),
    [sym_storage_class_specifier] = STATE(2261),
    [sym_type_qualifier] = STATE(2261),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype_auto] = STATE(2324),
    [sym_qualifiers] = STATE(2261),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5610),
    [anon_sym_COMMA] = ACTIONS(5610),
    [anon_sym_RPAREN] = ACTIONS(5610),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym_COLON] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5610),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_out] = ACTIONS(5612),
    [anon_sym_inout] = ACTIONS(5612),
    [anon_sym_virtual] = ACTIONS(5612),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym___cdecl] = ACTIONS(5608),
    [anon_sym___clrcall] = ACTIONS(5608),
    [anon_sym___stdcall] = ACTIONS(5608),
    [anon_sym___fastcall] = ACTIONS(5608),
    [anon_sym___thiscall] = ACTIONS(5608),
    [anon_sym___vectorcall] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5610),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_GT2] = ACTIONS(5610),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2253] = {
    [sym_identifier] = ACTIONS(3808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3810),
    [anon_sym_COMMA] = ACTIONS(3810),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [anon_sym_LPAREN2] = ACTIONS(3810),
    [anon_sym_TILDE] = ACTIONS(3810),
    [anon_sym_STAR] = ACTIONS(3810),
    [anon_sym_AMP_AMP] = ACTIONS(3810),
    [anon_sym_AMP] = ACTIONS(3808),
    [anon_sym_COLON] = ACTIONS(3808),
    [anon_sym_SEMI] = ACTIONS(3810),
    [anon_sym___extension__] = ACTIONS(3808),
    [anon_sym_in] = ACTIONS(3808),
    [anon_sym_out] = ACTIONS(3808),
    [anon_sym_inout] = ACTIONS(3808),
    [anon_sym_virtual] = ACTIONS(3808),
    [anon_sym_extern] = ACTIONS(3808),
    [anon_sym___attribute__] = ACTIONS(3808),
    [anon_sym_COLON_COLON] = ACTIONS(3810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3810),
    [anon_sym___declspec] = ACTIONS(3808),
    [anon_sym___based] = ACTIONS(3808),
    [anon_sym___cdecl] = ACTIONS(3808),
    [anon_sym___clrcall] = ACTIONS(3808),
    [anon_sym___stdcall] = ACTIONS(3808),
    [anon_sym___fastcall] = ACTIONS(3808),
    [anon_sym___thiscall] = ACTIONS(3808),
    [anon_sym___vectorcall] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_LBRACK] = ACTIONS(3808),
    [anon_sym_static] = ACTIONS(3808),
    [anon_sym_EQ] = ACTIONS(3810),
    [anon_sym_register] = ACTIONS(3808),
    [anon_sym_inline] = ACTIONS(3808),
    [anon_sym___inline] = ACTIONS(3808),
    [anon_sym___inline__] = ACTIONS(3808),
    [anon_sym___forceinline] = ACTIONS(3808),
    [anon_sym_thread_local] = ACTIONS(3808),
    [anon_sym___thread] = ACTIONS(3808),
    [anon_sym_const] = ACTIONS(3808),
    [anon_sym_constexpr] = ACTIONS(3808),
    [anon_sym_volatile] = ACTIONS(3808),
    [anon_sym_restrict] = ACTIONS(3808),
    [anon_sym___restrict__] = ACTIONS(3808),
    [anon_sym__Atomic] = ACTIONS(3808),
    [anon_sym__Noreturn] = ACTIONS(3808),
    [anon_sym_noreturn] = ACTIONS(3808),
    [anon_sym__Nonnull] = ACTIONS(3808),
    [anon_sym_mutable] = ACTIONS(3808),
    [anon_sym_constinit] = ACTIONS(3808),
    [anon_sym_consteval] = ACTIONS(3808),
    [anon_sym_alignas] = ACTIONS(3808),
    [anon_sym__Alignas] = ACTIONS(3808),
    [anon_sym_DASH_GT] = ACTIONS(3810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3808),
    [anon_sym_final] = ACTIONS(3808),
    [anon_sym_override] = ACTIONS(3808),
    [anon_sym_explicit] = ACTIONS(3808),
    [anon_sym_template] = ACTIONS(3808),
    [anon_sym_GT2] = ACTIONS(3810),
    [anon_sym_operator] = ACTIONS(3808),
    [anon_sym_try] = ACTIONS(3808),
    [anon_sym_public] = ACTIONS(3808),
    [anon_sym_private] = ACTIONS(3808),
    [anon_sym_protected] = ACTIONS(3808),
    [anon_sym_requires] = ACTIONS(3808),
    [anon_sym_precise] = ACTIONS(3808),
    [anon_sym_shared] = ACTIONS(3808),
    [anon_sym_groupshared] = ACTIONS(3808),
    [anon_sym_uniform] = ACTIONS(3808),
    [anon_sym_row_major] = ACTIONS(3808),
    [anon_sym_column_major] = ACTIONS(3808),
    [anon_sym_globallycoherent] = ACTIONS(3808),
    [anon_sym_centroid] = ACTIONS(3808),
    [anon_sym_noperspective] = ACTIONS(3808),
    [anon_sym_nointerpolation] = ACTIONS(3808),
    [anon_sym_sample] = ACTIONS(3808),
    [anon_sym_linear] = ACTIONS(3808),
    [anon_sym_snorm] = ACTIONS(3808),
    [anon_sym_unorm] = ACTIONS(3808),
    [anon_sym_point] = ACTIONS(3808),
    [anon_sym_line] = ACTIONS(3808),
    [anon_sym_triangleadj] = ACTIONS(3808),
    [anon_sym_lineadj] = ACTIONS(3808),
    [anon_sym_triangle] = ACTIONS(3808),
  },
  [2254] = {
    [sym_identifier] = ACTIONS(3902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3904),
    [anon_sym_COMMA] = ACTIONS(3904),
    [anon_sym_RPAREN] = ACTIONS(3904),
    [anon_sym_LPAREN2] = ACTIONS(3904),
    [anon_sym_TILDE] = ACTIONS(3904),
    [anon_sym_STAR] = ACTIONS(3904),
    [anon_sym_AMP_AMP] = ACTIONS(3904),
    [anon_sym_AMP] = ACTIONS(3902),
    [anon_sym_COLON] = ACTIONS(3902),
    [anon_sym_SEMI] = ACTIONS(3904),
    [anon_sym___extension__] = ACTIONS(3902),
    [anon_sym_in] = ACTIONS(3902),
    [anon_sym_out] = ACTIONS(3902),
    [anon_sym_inout] = ACTIONS(3902),
    [anon_sym_virtual] = ACTIONS(3902),
    [anon_sym_extern] = ACTIONS(3902),
    [anon_sym___attribute__] = ACTIONS(3902),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3904),
    [anon_sym___declspec] = ACTIONS(3902),
    [anon_sym___based] = ACTIONS(3902),
    [anon_sym___cdecl] = ACTIONS(3902),
    [anon_sym___clrcall] = ACTIONS(3902),
    [anon_sym___stdcall] = ACTIONS(3902),
    [anon_sym___fastcall] = ACTIONS(3902),
    [anon_sym___thiscall] = ACTIONS(3902),
    [anon_sym___vectorcall] = ACTIONS(3902),
    [anon_sym_LBRACE] = ACTIONS(3904),
    [anon_sym_LBRACK] = ACTIONS(3902),
    [anon_sym_static] = ACTIONS(3902),
    [anon_sym_EQ] = ACTIONS(3904),
    [anon_sym_register] = ACTIONS(3902),
    [anon_sym_inline] = ACTIONS(3902),
    [anon_sym___inline] = ACTIONS(3902),
    [anon_sym___inline__] = ACTIONS(3902),
    [anon_sym___forceinline] = ACTIONS(3902),
    [anon_sym_thread_local] = ACTIONS(3902),
    [anon_sym___thread] = ACTIONS(3902),
    [anon_sym_const] = ACTIONS(3902),
    [anon_sym_constexpr] = ACTIONS(3902),
    [anon_sym_volatile] = ACTIONS(3902),
    [anon_sym_restrict] = ACTIONS(3902),
    [anon_sym___restrict__] = ACTIONS(3902),
    [anon_sym__Atomic] = ACTIONS(3902),
    [anon_sym__Noreturn] = ACTIONS(3902),
    [anon_sym_noreturn] = ACTIONS(3902),
    [anon_sym__Nonnull] = ACTIONS(3902),
    [anon_sym_mutable] = ACTIONS(3902),
    [anon_sym_constinit] = ACTIONS(3902),
    [anon_sym_consteval] = ACTIONS(3902),
    [anon_sym_alignas] = ACTIONS(3902),
    [anon_sym__Alignas] = ACTIONS(3902),
    [anon_sym_DASH_GT] = ACTIONS(3904),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3902),
    [anon_sym_final] = ACTIONS(3902),
    [anon_sym_override] = ACTIONS(3902),
    [anon_sym_explicit] = ACTIONS(3902),
    [anon_sym_template] = ACTIONS(3902),
    [anon_sym_GT2] = ACTIONS(3904),
    [anon_sym_operator] = ACTIONS(3902),
    [anon_sym_try] = ACTIONS(3902),
    [anon_sym_public] = ACTIONS(3902),
    [anon_sym_private] = ACTIONS(3902),
    [anon_sym_protected] = ACTIONS(3902),
    [anon_sym_requires] = ACTIONS(3902),
    [anon_sym_precise] = ACTIONS(3902),
    [anon_sym_shared] = ACTIONS(3902),
    [anon_sym_groupshared] = ACTIONS(3902),
    [anon_sym_uniform] = ACTIONS(3902),
    [anon_sym_row_major] = ACTIONS(3902),
    [anon_sym_column_major] = ACTIONS(3902),
    [anon_sym_globallycoherent] = ACTIONS(3902),
    [anon_sym_centroid] = ACTIONS(3902),
    [anon_sym_noperspective] = ACTIONS(3902),
    [anon_sym_nointerpolation] = ACTIONS(3902),
    [anon_sym_sample] = ACTIONS(3902),
    [anon_sym_linear] = ACTIONS(3902),
    [anon_sym_snorm] = ACTIONS(3902),
    [anon_sym_unorm] = ACTIONS(3902),
    [anon_sym_point] = ACTIONS(3902),
    [anon_sym_line] = ACTIONS(3902),
    [anon_sym_triangleadj] = ACTIONS(3902),
    [anon_sym_lineadj] = ACTIONS(3902),
    [anon_sym_triangle] = ACTIONS(3902),
  },
  [2255] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2070),
    [anon_sym_COMMA] = ACTIONS(2070),
    [anon_sym_RPAREN] = ACTIONS(2070),
    [anon_sym_LPAREN2] = ACTIONS(2070),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_PIPE_PIPE] = ACTIONS(2070),
    [anon_sym_AMP_AMP] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym___cdecl] = ACTIONS(2068),
    [anon_sym___clrcall] = ACTIONS(2068),
    [anon_sym___stdcall] = ACTIONS(2068),
    [anon_sym___fastcall] = ACTIONS(2068),
    [anon_sym___thiscall] = ACTIONS(2068),
    [anon_sym___vectorcall] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_EQ] = ACTIONS(2070),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [anon_sym_or] = ACTIONS(2068),
    [anon_sym_and] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_final] = ACTIONS(2068),
    [anon_sym_override] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_GT2] = ACTIONS(2070),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2068),
    [anon_sym_requires] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(5614),
    [anon_sym_LPAREN2] = ACTIONS(5616),
    [anon_sym_TILDE] = ACTIONS(5616),
    [anon_sym_STAR] = ACTIONS(5616),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym___extension__] = ACTIONS(5614),
    [anon_sym_in] = ACTIONS(5614),
    [anon_sym_out] = ACTIONS(5614),
    [anon_sym_inout] = ACTIONS(5614),
    [anon_sym_virtual] = ACTIONS(5614),
    [anon_sym_extern] = ACTIONS(5614),
    [anon_sym___attribute__] = ACTIONS(5614),
    [anon_sym_COLON_COLON] = ACTIONS(5616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5616),
    [anon_sym___declspec] = ACTIONS(5614),
    [anon_sym___based] = ACTIONS(5614),
    [anon_sym___cdecl] = ACTIONS(5614),
    [anon_sym___clrcall] = ACTIONS(5614),
    [anon_sym___stdcall] = ACTIONS(5614),
    [anon_sym___fastcall] = ACTIONS(5614),
    [anon_sym___thiscall] = ACTIONS(5614),
    [anon_sym___vectorcall] = ACTIONS(5614),
    [anon_sym_signed] = ACTIONS(5614),
    [anon_sym_unsigned] = ACTIONS(5614),
    [anon_sym_long] = ACTIONS(5614),
    [anon_sym_short] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_static] = ACTIONS(5614),
    [anon_sym_register] = ACTIONS(5614),
    [anon_sym_inline] = ACTIONS(5614),
    [anon_sym___inline] = ACTIONS(5614),
    [anon_sym___inline__] = ACTIONS(5614),
    [anon_sym___forceinline] = ACTIONS(5614),
    [anon_sym_thread_local] = ACTIONS(5614),
    [anon_sym___thread] = ACTIONS(5614),
    [anon_sym_const] = ACTIONS(5614),
    [anon_sym_constexpr] = ACTIONS(5614),
    [anon_sym_volatile] = ACTIONS(5614),
    [anon_sym_restrict] = ACTIONS(5614),
    [anon_sym___restrict__] = ACTIONS(5614),
    [anon_sym__Atomic] = ACTIONS(5614),
    [anon_sym__Noreturn] = ACTIONS(5614),
    [anon_sym_noreturn] = ACTIONS(5614),
    [anon_sym__Nonnull] = ACTIONS(5614),
    [anon_sym_mutable] = ACTIONS(5614),
    [anon_sym_constinit] = ACTIONS(5614),
    [anon_sym_consteval] = ACTIONS(5614),
    [anon_sym_alignas] = ACTIONS(5614),
    [anon_sym__Alignas] = ACTIONS(5614),
    [sym_primitive_type] = ACTIONS(5614),
    [anon_sym_enum] = ACTIONS(5614),
    [anon_sym_class] = ACTIONS(5614),
    [anon_sym_struct] = ACTIONS(5614),
    [anon_sym_union] = ACTIONS(5614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5614),
    [anon_sym_decltype] = ACTIONS(5614),
    [anon_sym_explicit] = ACTIONS(5614),
    [anon_sym_typename] = ACTIONS(5614),
    [anon_sym_template] = ACTIONS(5614),
    [anon_sym_operator] = ACTIONS(5614),
    [anon_sym_friend] = ACTIONS(5614),
    [anon_sym_using] = ACTIONS(5614),
    [anon_sym_concept] = ACTIONS(5614),
    [anon_sym_requires] = ACTIONS(5614),
    [anon_sym_precise] = ACTIONS(5614),
    [anon_sym_shared] = ACTIONS(5614),
    [anon_sym_groupshared] = ACTIONS(5614),
    [anon_sym_uniform] = ACTIONS(5614),
    [anon_sym_row_major] = ACTIONS(5614),
    [anon_sym_column_major] = ACTIONS(5614),
    [anon_sym_globallycoherent] = ACTIONS(5614),
    [anon_sym_centroid] = ACTIONS(5614),
    [anon_sym_noperspective] = ACTIONS(5614),
    [anon_sym_nointerpolation] = ACTIONS(5614),
    [anon_sym_sample] = ACTIONS(5614),
    [anon_sym_linear] = ACTIONS(5614),
    [anon_sym_snorm] = ACTIONS(5614),
    [anon_sym_unorm] = ACTIONS(5614),
    [anon_sym_point] = ACTIONS(5614),
    [anon_sym_line] = ACTIONS(5614),
    [anon_sym_triangleadj] = ACTIONS(5614),
    [anon_sym_lineadj] = ACTIONS(5614),
    [anon_sym_triangle] = ACTIONS(5614),
  },
  [2257] = {
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5620),
    [anon_sym_TILDE] = ACTIONS(5620),
    [anon_sym_STAR] = ACTIONS(5620),
    [anon_sym_AMP_AMP] = ACTIONS(5620),
    [anon_sym_AMP] = ACTIONS(5618),
    [anon_sym___extension__] = ACTIONS(5618),
    [anon_sym_in] = ACTIONS(5618),
    [anon_sym_out] = ACTIONS(5618),
    [anon_sym_inout] = ACTIONS(5618),
    [anon_sym_virtual] = ACTIONS(5618),
    [anon_sym_extern] = ACTIONS(5618),
    [anon_sym___attribute__] = ACTIONS(5618),
    [anon_sym_COLON_COLON] = ACTIONS(5620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5620),
    [anon_sym___declspec] = ACTIONS(5618),
    [anon_sym___based] = ACTIONS(5618),
    [anon_sym___cdecl] = ACTIONS(5618),
    [anon_sym___clrcall] = ACTIONS(5618),
    [anon_sym___stdcall] = ACTIONS(5618),
    [anon_sym___fastcall] = ACTIONS(5618),
    [anon_sym___thiscall] = ACTIONS(5618),
    [anon_sym___vectorcall] = ACTIONS(5618),
    [anon_sym_signed] = ACTIONS(5618),
    [anon_sym_unsigned] = ACTIONS(5618),
    [anon_sym_long] = ACTIONS(5618),
    [anon_sym_short] = ACTIONS(5618),
    [anon_sym_LBRACK] = ACTIONS(5618),
    [anon_sym_static] = ACTIONS(5618),
    [anon_sym_register] = ACTIONS(5618),
    [anon_sym_inline] = ACTIONS(5618),
    [anon_sym___inline] = ACTIONS(5618),
    [anon_sym___inline__] = ACTIONS(5618),
    [anon_sym___forceinline] = ACTIONS(5618),
    [anon_sym_thread_local] = ACTIONS(5618),
    [anon_sym___thread] = ACTIONS(5618),
    [anon_sym_const] = ACTIONS(5618),
    [anon_sym_constexpr] = ACTIONS(5618),
    [anon_sym_volatile] = ACTIONS(5618),
    [anon_sym_restrict] = ACTIONS(5618),
    [anon_sym___restrict__] = ACTIONS(5618),
    [anon_sym__Atomic] = ACTIONS(5618),
    [anon_sym__Noreturn] = ACTIONS(5618),
    [anon_sym_noreturn] = ACTIONS(5618),
    [anon_sym__Nonnull] = ACTIONS(5618),
    [anon_sym_mutable] = ACTIONS(5618),
    [anon_sym_constinit] = ACTIONS(5618),
    [anon_sym_consteval] = ACTIONS(5618),
    [anon_sym_alignas] = ACTIONS(5618),
    [anon_sym__Alignas] = ACTIONS(5618),
    [sym_primitive_type] = ACTIONS(5618),
    [anon_sym_enum] = ACTIONS(5618),
    [anon_sym_class] = ACTIONS(5618),
    [anon_sym_struct] = ACTIONS(5618),
    [anon_sym_union] = ACTIONS(5618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5618),
    [anon_sym_explicit] = ACTIONS(5618),
    [anon_sym_typename] = ACTIONS(5618),
    [anon_sym_template] = ACTIONS(5618),
    [anon_sym_operator] = ACTIONS(5618),
    [anon_sym_friend] = ACTIONS(5618),
    [anon_sym_using] = ACTIONS(5618),
    [anon_sym_concept] = ACTIONS(5618),
    [anon_sym_requires] = ACTIONS(5618),
    [anon_sym_precise] = ACTIONS(5618),
    [anon_sym_shared] = ACTIONS(5618),
    [anon_sym_groupshared] = ACTIONS(5618),
    [anon_sym_uniform] = ACTIONS(5618),
    [anon_sym_row_major] = ACTIONS(5618),
    [anon_sym_column_major] = ACTIONS(5618),
    [anon_sym_globallycoherent] = ACTIONS(5618),
    [anon_sym_centroid] = ACTIONS(5618),
    [anon_sym_noperspective] = ACTIONS(5618),
    [anon_sym_nointerpolation] = ACTIONS(5618),
    [anon_sym_sample] = ACTIONS(5618),
    [anon_sym_linear] = ACTIONS(5618),
    [anon_sym_snorm] = ACTIONS(5618),
    [anon_sym_unorm] = ACTIONS(5618),
    [anon_sym_point] = ACTIONS(5618),
    [anon_sym_line] = ACTIONS(5618),
    [anon_sym_triangleadj] = ACTIONS(5618),
    [anon_sym_lineadj] = ACTIONS(5618),
    [anon_sym_triangle] = ACTIONS(5618),
  },
  [2258] = {
    [sym_identifier] = ACTIONS(5622),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [anon_sym_TILDE] = ACTIONS(5624),
    [anon_sym_STAR] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym___extension__] = ACTIONS(5622),
    [anon_sym_in] = ACTIONS(5622),
    [anon_sym_out] = ACTIONS(5622),
    [anon_sym_inout] = ACTIONS(5622),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5622),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym_COLON_COLON] = ACTIONS(5624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5624),
    [anon_sym___declspec] = ACTIONS(5622),
    [anon_sym___based] = ACTIONS(5622),
    [anon_sym___cdecl] = ACTIONS(5622),
    [anon_sym___clrcall] = ACTIONS(5622),
    [anon_sym___stdcall] = ACTIONS(5622),
    [anon_sym___fastcall] = ACTIONS(5622),
    [anon_sym___thiscall] = ACTIONS(5622),
    [anon_sym___vectorcall] = ACTIONS(5622),
    [anon_sym_signed] = ACTIONS(5622),
    [anon_sym_unsigned] = ACTIONS(5622),
    [anon_sym_long] = ACTIONS(5622),
    [anon_sym_short] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [anon_sym_static] = ACTIONS(5622),
    [anon_sym_register] = ACTIONS(5622),
    [anon_sym_inline] = ACTIONS(5622),
    [anon_sym___inline] = ACTIONS(5622),
    [anon_sym___inline__] = ACTIONS(5622),
    [anon_sym___forceinline] = ACTIONS(5622),
    [anon_sym_thread_local] = ACTIONS(5622),
    [anon_sym___thread] = ACTIONS(5622),
    [anon_sym_const] = ACTIONS(5622),
    [anon_sym_constexpr] = ACTIONS(5622),
    [anon_sym_volatile] = ACTIONS(5622),
    [anon_sym_restrict] = ACTIONS(5622),
    [anon_sym___restrict__] = ACTIONS(5622),
    [anon_sym__Atomic] = ACTIONS(5622),
    [anon_sym__Noreturn] = ACTIONS(5622),
    [anon_sym_noreturn] = ACTIONS(5622),
    [anon_sym__Nonnull] = ACTIONS(5622),
    [anon_sym_mutable] = ACTIONS(5622),
    [anon_sym_constinit] = ACTIONS(5622),
    [anon_sym_consteval] = ACTIONS(5622),
    [anon_sym_alignas] = ACTIONS(5622),
    [anon_sym__Alignas] = ACTIONS(5622),
    [sym_primitive_type] = ACTIONS(5622),
    [anon_sym_enum] = ACTIONS(5622),
    [anon_sym_class] = ACTIONS(5622),
    [anon_sym_struct] = ACTIONS(5622),
    [anon_sym_union] = ACTIONS(5622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5622),
    [anon_sym_decltype] = ACTIONS(5622),
    [anon_sym_explicit] = ACTIONS(5622),
    [anon_sym_typename] = ACTIONS(5622),
    [anon_sym_template] = ACTIONS(5622),
    [anon_sym_operator] = ACTIONS(5622),
    [anon_sym_friend] = ACTIONS(5622),
    [anon_sym_using] = ACTIONS(5622),
    [anon_sym_concept] = ACTIONS(5622),
    [anon_sym_requires] = ACTIONS(5622),
    [anon_sym_precise] = ACTIONS(5622),
    [anon_sym_shared] = ACTIONS(5622),
    [anon_sym_groupshared] = ACTIONS(5622),
    [anon_sym_uniform] = ACTIONS(5622),
    [anon_sym_row_major] = ACTIONS(5622),
    [anon_sym_column_major] = ACTIONS(5622),
    [anon_sym_globallycoherent] = ACTIONS(5622),
    [anon_sym_centroid] = ACTIONS(5622),
    [anon_sym_noperspective] = ACTIONS(5622),
    [anon_sym_nointerpolation] = ACTIONS(5622),
    [anon_sym_sample] = ACTIONS(5622),
    [anon_sym_linear] = ACTIONS(5622),
    [anon_sym_snorm] = ACTIONS(5622),
    [anon_sym_unorm] = ACTIONS(5622),
    [anon_sym_point] = ACTIONS(5622),
    [anon_sym_line] = ACTIONS(5622),
    [anon_sym_triangleadj] = ACTIONS(5622),
    [anon_sym_lineadj] = ACTIONS(5622),
    [anon_sym_triangle] = ACTIONS(5622),
  },
  [2259] = {
    [sym__declaration_modifiers] = STATE(2259),
    [sym_attribute_specifier] = STATE(2259),
    [sym_attribute_declaration] = STATE(2259),
    [sym_ms_declspec_modifier] = STATE(2259),
    [sym_storage_class_specifier] = STATE(2259),
    [sym_type_qualifier] = STATE(2259),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_qualifiers] = STATE(2259),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2259),
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_TILDE] = ACTIONS(5628),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5630),
    [anon_sym_in] = ACTIONS(5633),
    [anon_sym_out] = ACTIONS(5633),
    [anon_sym_inout] = ACTIONS(5633),
    [anon_sym_virtual] = ACTIONS(5633),
    [anon_sym_extern] = ACTIONS(5636),
    [anon_sym___attribute__] = ACTIONS(5639),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5642),
    [anon_sym___declspec] = ACTIONS(5645),
    [anon_sym___based] = ACTIONS(5626),
    [anon_sym___cdecl] = ACTIONS(5626),
    [anon_sym___clrcall] = ACTIONS(5626),
    [anon_sym___stdcall] = ACTIONS(5626),
    [anon_sym___fastcall] = ACTIONS(5626),
    [anon_sym___thiscall] = ACTIONS(5626),
    [anon_sym___vectorcall] = ACTIONS(5626),
    [anon_sym_LBRACK] = ACTIONS(5626),
    [anon_sym_static] = ACTIONS(5636),
    [anon_sym_EQ] = ACTIONS(5628),
    [anon_sym_register] = ACTIONS(5636),
    [anon_sym_inline] = ACTIONS(5636),
    [anon_sym___inline] = ACTIONS(5636),
    [anon_sym___inline__] = ACTIONS(5636),
    [anon_sym___forceinline] = ACTIONS(5636),
    [anon_sym_thread_local] = ACTIONS(5636),
    [anon_sym___thread] = ACTIONS(5636),
    [anon_sym_const] = ACTIONS(5630),
    [anon_sym_constexpr] = ACTIONS(5630),
    [anon_sym_volatile] = ACTIONS(5630),
    [anon_sym_restrict] = ACTIONS(5630),
    [anon_sym___restrict__] = ACTIONS(5630),
    [anon_sym__Atomic] = ACTIONS(5630),
    [anon_sym__Noreturn] = ACTIONS(5630),
    [anon_sym_noreturn] = ACTIONS(5630),
    [anon_sym__Nonnull] = ACTIONS(5630),
    [anon_sym_mutable] = ACTIONS(5630),
    [anon_sym_constinit] = ACTIONS(5630),
    [anon_sym_consteval] = ACTIONS(5630),
    [anon_sym_alignas] = ACTIONS(5648),
    [anon_sym__Alignas] = ACTIONS(5648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5626),
    [anon_sym_template] = ACTIONS(5626),
    [anon_sym_GT2] = ACTIONS(5628),
    [anon_sym_operator] = ACTIONS(5626),
    [anon_sym_precise] = ACTIONS(5651),
    [anon_sym_shared] = ACTIONS(5651),
    [anon_sym_groupshared] = ACTIONS(5651),
    [anon_sym_uniform] = ACTIONS(5651),
    [anon_sym_row_major] = ACTIONS(5651),
    [anon_sym_column_major] = ACTIONS(5651),
    [anon_sym_globallycoherent] = ACTIONS(5651),
    [anon_sym_centroid] = ACTIONS(5651),
    [anon_sym_noperspective] = ACTIONS(5651),
    [anon_sym_nointerpolation] = ACTIONS(5651),
    [anon_sym_sample] = ACTIONS(5651),
    [anon_sym_linear] = ACTIONS(5651),
    [anon_sym_snorm] = ACTIONS(5651),
    [anon_sym_unorm] = ACTIONS(5651),
    [anon_sym_point] = ACTIONS(5651),
    [anon_sym_line] = ACTIONS(5651),
    [anon_sym_triangleadj] = ACTIONS(5651),
    [anon_sym_lineadj] = ACTIONS(5651),
    [anon_sym_triangle] = ACTIONS(5651),
  },
  [2260] = {
    [sym__declaration_modifiers] = STATE(2259),
    [sym_attribute_specifier] = STATE(2259),
    [sym_attribute_declaration] = STATE(2259),
    [sym_ms_declspec_modifier] = STATE(2259),
    [sym_storage_class_specifier] = STATE(2259),
    [sym_type_qualifier] = STATE(2259),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_qualifiers] = STATE(2259),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2259),
    [sym_identifier] = ACTIONS(5654),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5656),
    [anon_sym_COMMA] = ACTIONS(5656),
    [anon_sym_RPAREN] = ACTIONS(5656),
    [anon_sym_LPAREN2] = ACTIONS(5656),
    [anon_sym_TILDE] = ACTIONS(5656),
    [anon_sym_STAR] = ACTIONS(5656),
    [anon_sym_AMP_AMP] = ACTIONS(5656),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_COLON] = ACTIONS(5654),
    [anon_sym_SEMI] = ACTIONS(5656),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5658),
    [anon_sym_out] = ACTIONS(5658),
    [anon_sym_inout] = ACTIONS(5658),
    [anon_sym_virtual] = ACTIONS(5658),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5654),
    [anon_sym___cdecl] = ACTIONS(5654),
    [anon_sym___clrcall] = ACTIONS(5654),
    [anon_sym___stdcall] = ACTIONS(5654),
    [anon_sym___fastcall] = ACTIONS(5654),
    [anon_sym___thiscall] = ACTIONS(5654),
    [anon_sym___vectorcall] = ACTIONS(5654),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5656),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5654),
    [anon_sym_template] = ACTIONS(5654),
    [anon_sym_GT2] = ACTIONS(5656),
    [anon_sym_operator] = ACTIONS(5654),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2261] = {
    [sym__declaration_modifiers] = STATE(2259),
    [sym_attribute_specifier] = STATE(2259),
    [sym_attribute_declaration] = STATE(2259),
    [sym_ms_declspec_modifier] = STATE(2259),
    [sym_storage_class_specifier] = STATE(2259),
    [sym_type_qualifier] = STATE(2259),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_qualifiers] = STATE(2259),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2259),
    [sym_identifier] = ACTIONS(5660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5662),
    [anon_sym_COMMA] = ACTIONS(5662),
    [anon_sym_RPAREN] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_TILDE] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5662),
    [anon_sym_AMP_AMP] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5660),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_SEMI] = ACTIONS(5662),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5658),
    [anon_sym_out] = ACTIONS(5658),
    [anon_sym_inout] = ACTIONS(5658),
    [anon_sym_virtual] = ACTIONS(5658),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5660),
    [anon_sym___cdecl] = ACTIONS(5660),
    [anon_sym___clrcall] = ACTIONS(5660),
    [anon_sym___stdcall] = ACTIONS(5660),
    [anon_sym___fastcall] = ACTIONS(5660),
    [anon_sym___thiscall] = ACTIONS(5660),
    [anon_sym___vectorcall] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5662),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5660),
    [anon_sym_template] = ACTIONS(5660),
    [anon_sym_GT2] = ACTIONS(5662),
    [anon_sym_operator] = ACTIONS(5660),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2262] = {
    [sym_template_argument_list] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(5664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5666),
    [anon_sym_COMMA] = ACTIONS(5666),
    [anon_sym_RPAREN] = ACTIONS(5666),
    [anon_sym_LPAREN2] = ACTIONS(5666),
    [anon_sym_TILDE] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5666),
    [anon_sym_AMP_AMP] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5664),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_SEMI] = ACTIONS(5666),
    [anon_sym___extension__] = ACTIONS(5664),
    [anon_sym_in] = ACTIONS(5664),
    [anon_sym_out] = ACTIONS(5664),
    [anon_sym_inout] = ACTIONS(5664),
    [anon_sym_virtual] = ACTIONS(5664),
    [anon_sym_extern] = ACTIONS(5664),
    [anon_sym___attribute__] = ACTIONS(5664),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5666),
    [anon_sym___declspec] = ACTIONS(5664),
    [anon_sym___based] = ACTIONS(5664),
    [anon_sym___cdecl] = ACTIONS(5664),
    [anon_sym___clrcall] = ACTIONS(5664),
    [anon_sym___stdcall] = ACTIONS(5664),
    [anon_sym___fastcall] = ACTIONS(5664),
    [anon_sym___thiscall] = ACTIONS(5664),
    [anon_sym___vectorcall] = ACTIONS(5664),
    [anon_sym_LBRACE] = ACTIONS(5666),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_static] = ACTIONS(5664),
    [anon_sym_EQ] = ACTIONS(5666),
    [anon_sym_register] = ACTIONS(5664),
    [anon_sym_inline] = ACTIONS(5664),
    [anon_sym___inline] = ACTIONS(5664),
    [anon_sym___inline__] = ACTIONS(5664),
    [anon_sym___forceinline] = ACTIONS(5664),
    [anon_sym_thread_local] = ACTIONS(5664),
    [anon_sym___thread] = ACTIONS(5664),
    [anon_sym_const] = ACTIONS(5664),
    [anon_sym_constexpr] = ACTIONS(5664),
    [anon_sym_volatile] = ACTIONS(5664),
    [anon_sym_restrict] = ACTIONS(5664),
    [anon_sym___restrict__] = ACTIONS(5664),
    [anon_sym__Atomic] = ACTIONS(5664),
    [anon_sym__Noreturn] = ACTIONS(5664),
    [anon_sym_noreturn] = ACTIONS(5664),
    [anon_sym__Nonnull] = ACTIONS(5664),
    [anon_sym_mutable] = ACTIONS(5664),
    [anon_sym_constinit] = ACTIONS(5664),
    [anon_sym_consteval] = ACTIONS(5664),
    [anon_sym_alignas] = ACTIONS(5664),
    [anon_sym__Alignas] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5664),
    [anon_sym_decltype] = ACTIONS(5664),
    [anon_sym_template] = ACTIONS(5664),
    [anon_sym_GT2] = ACTIONS(5666),
    [anon_sym_operator] = ACTIONS(5664),
    [anon_sym_precise] = ACTIONS(5664),
    [anon_sym_shared] = ACTIONS(5664),
    [anon_sym_groupshared] = ACTIONS(5664),
    [anon_sym_uniform] = ACTIONS(5664),
    [anon_sym_row_major] = ACTIONS(5664),
    [anon_sym_column_major] = ACTIONS(5664),
    [anon_sym_globallycoherent] = ACTIONS(5664),
    [anon_sym_centroid] = ACTIONS(5664),
    [anon_sym_noperspective] = ACTIONS(5664),
    [anon_sym_nointerpolation] = ACTIONS(5664),
    [anon_sym_sample] = ACTIONS(5664),
    [anon_sym_linear] = ACTIONS(5664),
    [anon_sym_snorm] = ACTIONS(5664),
    [anon_sym_unorm] = ACTIONS(5664),
    [anon_sym_point] = ACTIONS(5664),
    [anon_sym_line] = ACTIONS(5664),
    [anon_sym_triangleadj] = ACTIONS(5664),
    [anon_sym_lineadj] = ACTIONS(5664),
    [anon_sym_triangle] = ACTIONS(5664),
  },
  [2263] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2242),
    [sym_identifier] = ACTIONS(5670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_TILDE] = ACTIONS(5673),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_COLON] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___extension__] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_out] = ACTIONS(5670),
    [anon_sym_inout] = ACTIONS(5670),
    [anon_sym_virtual] = ACTIONS(5670),
    [anon_sym_extern] = ACTIONS(5670),
    [anon_sym___attribute__] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5673),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5673),
    [anon_sym___declspec] = ACTIONS(5670),
    [anon_sym___based] = ACTIONS(5670),
    [anon_sym___cdecl] = ACTIONS(5670),
    [anon_sym___clrcall] = ACTIONS(5670),
    [anon_sym___stdcall] = ACTIONS(5670),
    [anon_sym___fastcall] = ACTIONS(5670),
    [anon_sym___thiscall] = ACTIONS(5670),
    [anon_sym___vectorcall] = ACTIONS(5670),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(5591),
    [anon_sym_unsigned] = ACTIONS(5591),
    [anon_sym_long] = ACTIONS(5591),
    [anon_sym_short] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5670),
    [anon_sym_static] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5673),
    [anon_sym_register] = ACTIONS(5670),
    [anon_sym_inline] = ACTIONS(5670),
    [anon_sym___inline] = ACTIONS(5670),
    [anon_sym___inline__] = ACTIONS(5670),
    [anon_sym___forceinline] = ACTIONS(5670),
    [anon_sym_thread_local] = ACTIONS(5670),
    [anon_sym___thread] = ACTIONS(5670),
    [anon_sym_const] = ACTIONS(5670),
    [anon_sym_constexpr] = ACTIONS(5670),
    [anon_sym_volatile] = ACTIONS(5670),
    [anon_sym_restrict] = ACTIONS(5670),
    [anon_sym___restrict__] = ACTIONS(5670),
    [anon_sym__Atomic] = ACTIONS(5670),
    [anon_sym__Noreturn] = ACTIONS(5670),
    [anon_sym_noreturn] = ACTIONS(5670),
    [anon_sym__Nonnull] = ACTIONS(5670),
    [anon_sym_mutable] = ACTIONS(5670),
    [anon_sym_constinit] = ACTIONS(5670),
    [anon_sym_consteval] = ACTIONS(5670),
    [anon_sym_alignas] = ACTIONS(5670),
    [anon_sym__Alignas] = ACTIONS(5670),
    [sym_primitive_type] = ACTIONS(5587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5670),
    [anon_sym_decltype] = ACTIONS(5670),
    [anon_sym_template] = ACTIONS(5670),
    [anon_sym_GT2] = ACTIONS(5673),
    [anon_sym_operator] = ACTIONS(5670),
    [anon_sym_precise] = ACTIONS(5670),
    [anon_sym_shared] = ACTIONS(5670),
    [anon_sym_groupshared] = ACTIONS(5670),
    [anon_sym_uniform] = ACTIONS(5670),
    [anon_sym_row_major] = ACTIONS(5670),
    [anon_sym_column_major] = ACTIONS(5670),
    [anon_sym_globallycoherent] = ACTIONS(5670),
    [anon_sym_centroid] = ACTIONS(5670),
    [anon_sym_noperspective] = ACTIONS(5670),
    [anon_sym_nointerpolation] = ACTIONS(5670),
    [anon_sym_sample] = ACTIONS(5670),
    [anon_sym_linear] = ACTIONS(5670),
    [anon_sym_snorm] = ACTIONS(5670),
    [anon_sym_unorm] = ACTIONS(5670),
    [anon_sym_point] = ACTIONS(5670),
    [anon_sym_line] = ACTIONS(5670),
    [anon_sym_triangleadj] = ACTIONS(5670),
    [anon_sym_lineadj] = ACTIONS(5670),
    [anon_sym_triangle] = ACTIONS(5670),
  },
  [2264] = {
    [sym_argument_list] = STATE(2868),
    [sym_initializer_list] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_out] = ACTIONS(5676),
    [anon_sym_inout] = ACTIONS(5676),
    [anon_sym_virtual] = ACTIONS(5676),
    [anon_sym_extern] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(5678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5678),
    [anon_sym___declspec] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym___cdecl] = ACTIONS(5676),
    [anon_sym___clrcall] = ACTIONS(5676),
    [anon_sym___stdcall] = ACTIONS(5676),
    [anon_sym___fastcall] = ACTIONS(5676),
    [anon_sym___thiscall] = ACTIONS(5676),
    [anon_sym___vectorcall] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_register] = ACTIONS(5676),
    [anon_sym_inline] = ACTIONS(5676),
    [anon_sym___inline] = ACTIONS(5676),
    [anon_sym___inline__] = ACTIONS(5676),
    [anon_sym___forceinline] = ACTIONS(5676),
    [anon_sym_thread_local] = ACTIONS(5676),
    [anon_sym___thread] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5676),
    [anon_sym_shared] = ACTIONS(5676),
    [anon_sym_groupshared] = ACTIONS(5676),
    [anon_sym_uniform] = ACTIONS(5676),
    [anon_sym_row_major] = ACTIONS(5676),
    [anon_sym_column_major] = ACTIONS(5676),
    [anon_sym_globallycoherent] = ACTIONS(5676),
    [anon_sym_centroid] = ACTIONS(5676),
    [anon_sym_noperspective] = ACTIONS(5676),
    [anon_sym_nointerpolation] = ACTIONS(5676),
    [anon_sym_sample] = ACTIONS(5676),
    [anon_sym_linear] = ACTIONS(5676),
    [anon_sym_snorm] = ACTIONS(5676),
    [anon_sym_unorm] = ACTIONS(5676),
    [anon_sym_point] = ACTIONS(5676),
    [anon_sym_line] = ACTIONS(5676),
    [anon_sym_triangleadj] = ACTIONS(5676),
    [anon_sym_lineadj] = ACTIONS(5676),
    [anon_sym_triangle] = ACTIONS(5676),
  },
  [2265] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5687),
    [anon_sym_COMMA] = ACTIONS(5687),
    [anon_sym_RPAREN] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5687),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_EQ] = ACTIONS(5687),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_GT2] = ACTIONS(5687),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2266] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2263),
    [sym_identifier] = ACTIONS(5691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5694),
    [anon_sym_COMMA] = ACTIONS(5694),
    [anon_sym_RPAREN] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5694),
    [anon_sym_TILDE] = ACTIONS(5694),
    [anon_sym_STAR] = ACTIONS(5694),
    [anon_sym_AMP_AMP] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(5696),
    [anon_sym_COLON] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5694),
    [anon_sym___extension__] = ACTIONS(5696),
    [anon_sym_in] = ACTIONS(5696),
    [anon_sym_out] = ACTIONS(5696),
    [anon_sym_inout] = ACTIONS(5696),
    [anon_sym_virtual] = ACTIONS(5696),
    [anon_sym_extern] = ACTIONS(5696),
    [anon_sym___attribute__] = ACTIONS(5696),
    [anon_sym_COLON_COLON] = ACTIONS(5694),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5694),
    [anon_sym___declspec] = ACTIONS(5696),
    [anon_sym___based] = ACTIONS(5696),
    [anon_sym___cdecl] = ACTIONS(5696),
    [anon_sym___clrcall] = ACTIONS(5696),
    [anon_sym___stdcall] = ACTIONS(5696),
    [anon_sym___fastcall] = ACTIONS(5696),
    [anon_sym___thiscall] = ACTIONS(5696),
    [anon_sym___vectorcall] = ACTIONS(5696),
    [anon_sym_LBRACE] = ACTIONS(5694),
    [anon_sym_signed] = ACTIONS(5698),
    [anon_sym_unsigned] = ACTIONS(5698),
    [anon_sym_long] = ACTIONS(5698),
    [anon_sym_short] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5696),
    [anon_sym_static] = ACTIONS(5696),
    [anon_sym_EQ] = ACTIONS(5694),
    [anon_sym_register] = ACTIONS(5696),
    [anon_sym_inline] = ACTIONS(5696),
    [anon_sym___inline] = ACTIONS(5696),
    [anon_sym___inline__] = ACTIONS(5696),
    [anon_sym___forceinline] = ACTIONS(5696),
    [anon_sym_thread_local] = ACTIONS(5696),
    [anon_sym___thread] = ACTIONS(5696),
    [anon_sym_const] = ACTIONS(5696),
    [anon_sym_constexpr] = ACTIONS(5696),
    [anon_sym_volatile] = ACTIONS(5696),
    [anon_sym_restrict] = ACTIONS(5696),
    [anon_sym___restrict__] = ACTIONS(5696),
    [anon_sym__Atomic] = ACTIONS(5696),
    [anon_sym__Noreturn] = ACTIONS(5696),
    [anon_sym_noreturn] = ACTIONS(5696),
    [anon_sym__Nonnull] = ACTIONS(5696),
    [anon_sym_mutable] = ACTIONS(5696),
    [anon_sym_constinit] = ACTIONS(5696),
    [anon_sym_consteval] = ACTIONS(5696),
    [anon_sym_alignas] = ACTIONS(5696),
    [anon_sym__Alignas] = ACTIONS(5696),
    [sym_primitive_type] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5696),
    [anon_sym_decltype] = ACTIONS(5696),
    [anon_sym_template] = ACTIONS(5696),
    [anon_sym_GT2] = ACTIONS(5694),
    [anon_sym_operator] = ACTIONS(5696),
    [anon_sym_precise] = ACTIONS(5696),
    [anon_sym_shared] = ACTIONS(5696),
    [anon_sym_groupshared] = ACTIONS(5696),
    [anon_sym_uniform] = ACTIONS(5696),
    [anon_sym_row_major] = ACTIONS(5696),
    [anon_sym_column_major] = ACTIONS(5696),
    [anon_sym_globallycoherent] = ACTIONS(5696),
    [anon_sym_centroid] = ACTIONS(5696),
    [anon_sym_noperspective] = ACTIONS(5696),
    [anon_sym_nointerpolation] = ACTIONS(5696),
    [anon_sym_sample] = ACTIONS(5696),
    [anon_sym_linear] = ACTIONS(5696),
    [anon_sym_snorm] = ACTIONS(5696),
    [anon_sym_unorm] = ACTIONS(5696),
    [anon_sym_point] = ACTIONS(5696),
    [anon_sym_line] = ACTIONS(5696),
    [anon_sym_triangleadj] = ACTIONS(5696),
    [anon_sym_lineadj] = ACTIONS(5696),
    [anon_sym_triangle] = ACTIONS(5696),
  },
  [2267] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2051),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym___cdecl] = ACTIONS(2049),
    [anon_sym___clrcall] = ACTIONS(2049),
    [anon_sym___stdcall] = ACTIONS(2049),
    [anon_sym___fastcall] = ACTIONS(2049),
    [anon_sym___thiscall] = ACTIONS(2049),
    [anon_sym___vectorcall] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_EQ] = ACTIONS(2051),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_template] = ACTIONS(2049),
    [anon_sym_GT2] = ACTIONS(2051),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
  },
  [2268] = {
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1957),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [aux_sym_preproc_if_token2] = ACTIONS(1957),
    [aux_sym_preproc_else_token1] = ACTIONS(1957),
    [aux_sym_preproc_elif_token1] = ACTIONS(1955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1955),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_RBRACE] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1957),
    [anon_sym_RBRACK] = ACTIONS(1957),
    [anon_sym_EQ] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1957),
    [anon_sym_SLASH_EQ] = ACTIONS(1957),
    [anon_sym_PERCENT_EQ] = ACTIONS(1957),
    [anon_sym_PLUS_EQ] = ACTIONS(1957),
    [anon_sym_DASH_EQ] = ACTIONS(1957),
    [anon_sym_LT_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT_GT_EQ] = ACTIONS(1957),
    [anon_sym_AMP_EQ] = ACTIONS(1957),
    [anon_sym_CARET_EQ] = ACTIONS(1957),
    [anon_sym_PIPE_EQ] = ACTIONS(1957),
    [anon_sym_and_eq] = ACTIONS(1955),
    [anon_sym_or_eq] = ACTIONS(1955),
    [anon_sym_xor_eq] = ACTIONS(1955),
    [anon_sym_LT_EQ_GT] = ACTIONS(1957),
    [anon_sym_or] = ACTIONS(1955),
    [anon_sym_and] = ACTIONS(1955),
    [anon_sym_bitor] = ACTIONS(1955),
    [anon_sym_xor] = ACTIONS(1955),
    [anon_sym_bitand] = ACTIONS(1955),
    [anon_sym_not_eq] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DOT_STAR] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_final] = ACTIONS(1955),
    [anon_sym_override] = ACTIONS(1955),
  },
  [2269] = {
    [sym_identifier] = ACTIONS(5702),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_STAR] = ACTIONS(5704),
    [anon_sym_AMP_AMP] = ACTIONS(5704),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5704),
    [anon_sym___extension__] = ACTIONS(5702),
    [anon_sym_in] = ACTIONS(5702),
    [anon_sym_out] = ACTIONS(5702),
    [anon_sym_inout] = ACTIONS(5702),
    [anon_sym_virtual] = ACTIONS(5702),
    [anon_sym_extern] = ACTIONS(5702),
    [anon_sym___attribute__] = ACTIONS(5702),
    [anon_sym_COLON_COLON] = ACTIONS(5708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5708),
    [anon_sym___declspec] = ACTIONS(5702),
    [anon_sym___cdecl] = ACTIONS(5702),
    [anon_sym___clrcall] = ACTIONS(5702),
    [anon_sym___stdcall] = ACTIONS(5702),
    [anon_sym___fastcall] = ACTIONS(5702),
    [anon_sym___thiscall] = ACTIONS(5702),
    [anon_sym___vectorcall] = ACTIONS(5702),
    [anon_sym_LBRACE] = ACTIONS(5704),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [anon_sym_static] = ACTIONS(5702),
    [anon_sym_EQ] = ACTIONS(5710),
    [anon_sym_register] = ACTIONS(5702),
    [anon_sym_inline] = ACTIONS(5702),
    [anon_sym___inline] = ACTIONS(5702),
    [anon_sym___inline__] = ACTIONS(5702),
    [anon_sym___forceinline] = ACTIONS(5702),
    [anon_sym_thread_local] = ACTIONS(5702),
    [anon_sym___thread] = ACTIONS(5702),
    [anon_sym_const] = ACTIONS(5702),
    [anon_sym_constexpr] = ACTIONS(5702),
    [anon_sym_volatile] = ACTIONS(5702),
    [anon_sym_restrict] = ACTIONS(5702),
    [anon_sym___restrict__] = ACTIONS(5702),
    [anon_sym__Atomic] = ACTIONS(5702),
    [anon_sym__Noreturn] = ACTIONS(5702),
    [anon_sym_noreturn] = ACTIONS(5702),
    [anon_sym__Nonnull] = ACTIONS(5702),
    [anon_sym_mutable] = ACTIONS(5702),
    [anon_sym_constinit] = ACTIONS(5702),
    [anon_sym_consteval] = ACTIONS(5702),
    [anon_sym_alignas] = ACTIONS(5702),
    [anon_sym__Alignas] = ACTIONS(5702),
    [sym_primitive_type] = ACTIONS(5702),
    [anon_sym_enum] = ACTIONS(5702),
    [anon_sym_class] = ACTIONS(5702),
    [anon_sym_struct] = ACTIONS(5702),
    [anon_sym_union] = ACTIONS(5702),
    [anon_sym_if] = ACTIONS(5702),
    [anon_sym_for] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5702),
    [anon_sym_decltype] = ACTIONS(5702),
    [anon_sym_typename] = ACTIONS(5702),
    [anon_sym_template] = ACTIONS(5702),
    [anon_sym_precise] = ACTIONS(5702),
    [anon_sym_shared] = ACTIONS(5702),
    [anon_sym_groupshared] = ACTIONS(5702),
    [anon_sym_uniform] = ACTIONS(5702),
    [anon_sym_row_major] = ACTIONS(5702),
    [anon_sym_column_major] = ACTIONS(5702),
    [anon_sym_globallycoherent] = ACTIONS(5702),
    [anon_sym_centroid] = ACTIONS(5702),
    [anon_sym_noperspective] = ACTIONS(5702),
    [anon_sym_nointerpolation] = ACTIONS(5702),
    [anon_sym_sample] = ACTIONS(5702),
    [anon_sym_linear] = ACTIONS(5702),
    [anon_sym_snorm] = ACTIONS(5702),
    [anon_sym_unorm] = ACTIONS(5702),
    [anon_sym_point] = ACTIONS(5702),
    [anon_sym_line] = ACTIONS(5702),
    [anon_sym_triangleadj] = ACTIONS(5702),
    [anon_sym_lineadj] = ACTIONS(5702),
    [anon_sym_triangle] = ACTIONS(5702),
  },
  [2270] = {
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1953),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [aux_sym_preproc_if_token2] = ACTIONS(1953),
    [aux_sym_preproc_else_token1] = ACTIONS(1953),
    [aux_sym_preproc_elif_token1] = ACTIONS(1951),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1953),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_GT_GT] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_RBRACE] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_RBRACK] = ACTIONS(1953),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1953),
    [anon_sym_SLASH_EQ] = ACTIONS(1953),
    [anon_sym_PERCENT_EQ] = ACTIONS(1953),
    [anon_sym_PLUS_EQ] = ACTIONS(1953),
    [anon_sym_DASH_EQ] = ACTIONS(1953),
    [anon_sym_LT_LT_EQ] = ACTIONS(1953),
    [anon_sym_GT_GT_EQ] = ACTIONS(1953),
    [anon_sym_AMP_EQ] = ACTIONS(1953),
    [anon_sym_CARET_EQ] = ACTIONS(1953),
    [anon_sym_PIPE_EQ] = ACTIONS(1953),
    [anon_sym_and_eq] = ACTIONS(1951),
    [anon_sym_or_eq] = ACTIONS(1951),
    [anon_sym_xor_eq] = ACTIONS(1951),
    [anon_sym_LT_EQ_GT] = ACTIONS(1953),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_bitor] = ACTIONS(1951),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_bitand] = ACTIONS(1951),
    [anon_sym_not_eq] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_DOT_STAR] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_final] = ACTIONS(1951),
    [anon_sym_override] = ACTIONS(1951),
  },
  [2271] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2283),
    [sym_identifier] = ACTIONS(5712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5714),
    [anon_sym_COMMA] = ACTIONS(5714),
    [anon_sym_RPAREN] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(5714),
    [anon_sym_TILDE] = ACTIONS(5714),
    [anon_sym_STAR] = ACTIONS(5714),
    [anon_sym_AMP_AMP] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(5712),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [anon_sym___extension__] = ACTIONS(5712),
    [anon_sym_in] = ACTIONS(5712),
    [anon_sym_out] = ACTIONS(5712),
    [anon_sym_inout] = ACTIONS(5712),
    [anon_sym_virtual] = ACTIONS(5712),
    [anon_sym_extern] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5712),
    [anon_sym_COLON_COLON] = ACTIONS(5714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5714),
    [anon_sym___declspec] = ACTIONS(5712),
    [anon_sym___based] = ACTIONS(5712),
    [anon_sym___cdecl] = ACTIONS(5712),
    [anon_sym___clrcall] = ACTIONS(5712),
    [anon_sym___stdcall] = ACTIONS(5712),
    [anon_sym___fastcall] = ACTIONS(5712),
    [anon_sym___thiscall] = ACTIONS(5712),
    [anon_sym___vectorcall] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(5714),
    [anon_sym_signed] = ACTIONS(5716),
    [anon_sym_unsigned] = ACTIONS(5716),
    [anon_sym_long] = ACTIONS(5716),
    [anon_sym_short] = ACTIONS(5716),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_static] = ACTIONS(5712),
    [anon_sym_EQ] = ACTIONS(5714),
    [anon_sym_register] = ACTIONS(5712),
    [anon_sym_inline] = ACTIONS(5712),
    [anon_sym___inline] = ACTIONS(5712),
    [anon_sym___inline__] = ACTIONS(5712),
    [anon_sym___forceinline] = ACTIONS(5712),
    [anon_sym_thread_local] = ACTIONS(5712),
    [anon_sym___thread] = ACTIONS(5712),
    [anon_sym_const] = ACTIONS(5712),
    [anon_sym_constexpr] = ACTIONS(5712),
    [anon_sym_volatile] = ACTIONS(5712),
    [anon_sym_restrict] = ACTIONS(5712),
    [anon_sym___restrict__] = ACTIONS(5712),
    [anon_sym__Atomic] = ACTIONS(5712),
    [anon_sym__Noreturn] = ACTIONS(5712),
    [anon_sym_noreturn] = ACTIONS(5712),
    [anon_sym__Nonnull] = ACTIONS(5712),
    [anon_sym_mutable] = ACTIONS(5712),
    [anon_sym_constinit] = ACTIONS(5712),
    [anon_sym_consteval] = ACTIONS(5712),
    [anon_sym_alignas] = ACTIONS(5712),
    [anon_sym__Alignas] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5712),
    [anon_sym_decltype] = ACTIONS(5712),
    [anon_sym_template] = ACTIONS(5712),
    [anon_sym_GT2] = ACTIONS(5714),
    [anon_sym_operator] = ACTIONS(5712),
    [anon_sym_precise] = ACTIONS(5712),
    [anon_sym_shared] = ACTIONS(5712),
    [anon_sym_groupshared] = ACTIONS(5712),
    [anon_sym_uniform] = ACTIONS(5712),
    [anon_sym_row_major] = ACTIONS(5712),
    [anon_sym_column_major] = ACTIONS(5712),
    [anon_sym_globallycoherent] = ACTIONS(5712),
    [anon_sym_centroid] = ACTIONS(5712),
    [anon_sym_noperspective] = ACTIONS(5712),
    [anon_sym_nointerpolation] = ACTIONS(5712),
    [anon_sym_sample] = ACTIONS(5712),
    [anon_sym_linear] = ACTIONS(5712),
    [anon_sym_snorm] = ACTIONS(5712),
    [anon_sym_unorm] = ACTIONS(5712),
    [anon_sym_point] = ACTIONS(5712),
    [anon_sym_line] = ACTIONS(5712),
    [anon_sym_triangleadj] = ACTIONS(5712),
    [anon_sym_lineadj] = ACTIONS(5712),
    [anon_sym_triangle] = ACTIONS(5712),
  },
  [2272] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(5718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_TILDE] = ACTIONS(5720),
    [anon_sym_STAR] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(5718),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___extension__] = ACTIONS(5718),
    [anon_sym_in] = ACTIONS(5718),
    [anon_sym_out] = ACTIONS(5718),
    [anon_sym_inout] = ACTIONS(5718),
    [anon_sym_virtual] = ACTIONS(5718),
    [anon_sym_extern] = ACTIONS(5718),
    [anon_sym___attribute__] = ACTIONS(5718),
    [anon_sym_COLON_COLON] = ACTIONS(5720),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5720),
    [anon_sym___declspec] = ACTIONS(5718),
    [anon_sym___based] = ACTIONS(5718),
    [anon_sym___cdecl] = ACTIONS(5718),
    [anon_sym___clrcall] = ACTIONS(5718),
    [anon_sym___stdcall] = ACTIONS(5718),
    [anon_sym___fastcall] = ACTIONS(5718),
    [anon_sym___thiscall] = ACTIONS(5718),
    [anon_sym___vectorcall] = ACTIONS(5718),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [anon_sym_static] = ACTIONS(5718),
    [anon_sym_EQ] = ACTIONS(5720),
    [anon_sym_register] = ACTIONS(5718),
    [anon_sym_inline] = ACTIONS(5718),
    [anon_sym___inline] = ACTIONS(5718),
    [anon_sym___inline__] = ACTIONS(5718),
    [anon_sym___forceinline] = ACTIONS(5718),
    [anon_sym_thread_local] = ACTIONS(5718),
    [anon_sym___thread] = ACTIONS(5718),
    [anon_sym_const] = ACTIONS(5718),
    [anon_sym_constexpr] = ACTIONS(5718),
    [anon_sym_volatile] = ACTIONS(5718),
    [anon_sym_restrict] = ACTIONS(5718),
    [anon_sym___restrict__] = ACTIONS(5718),
    [anon_sym__Atomic] = ACTIONS(5718),
    [anon_sym__Noreturn] = ACTIONS(5718),
    [anon_sym_noreturn] = ACTIONS(5718),
    [anon_sym__Nonnull] = ACTIONS(5718),
    [anon_sym_mutable] = ACTIONS(5718),
    [anon_sym_constinit] = ACTIONS(5718),
    [anon_sym_consteval] = ACTIONS(5718),
    [anon_sym_alignas] = ACTIONS(5718),
    [anon_sym__Alignas] = ACTIONS(5718),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5718),
    [anon_sym_decltype] = ACTIONS(5718),
    [anon_sym_template] = ACTIONS(5718),
    [anon_sym_GT2] = ACTIONS(5720),
    [anon_sym_operator] = ACTIONS(5718),
    [anon_sym_precise] = ACTIONS(5718),
    [anon_sym_shared] = ACTIONS(5718),
    [anon_sym_groupshared] = ACTIONS(5718),
    [anon_sym_uniform] = ACTIONS(5718),
    [anon_sym_row_major] = ACTIONS(5718),
    [anon_sym_column_major] = ACTIONS(5718),
    [anon_sym_globallycoherent] = ACTIONS(5718),
    [anon_sym_centroid] = ACTIONS(5718),
    [anon_sym_noperspective] = ACTIONS(5718),
    [anon_sym_nointerpolation] = ACTIONS(5718),
    [anon_sym_sample] = ACTIONS(5718),
    [anon_sym_linear] = ACTIONS(5718),
    [anon_sym_snorm] = ACTIONS(5718),
    [anon_sym_unorm] = ACTIONS(5718),
    [anon_sym_point] = ACTIONS(5718),
    [anon_sym_line] = ACTIONS(5718),
    [anon_sym_triangleadj] = ACTIONS(5718),
    [anon_sym_lineadj] = ACTIONS(5718),
    [anon_sym_triangle] = ACTIONS(5718),
  },
  [2273] = {
    [sym_identifier] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [aux_sym_preproc_if_token2] = ACTIONS(1949),
    [aux_sym_preproc_else_token1] = ACTIONS(1949),
    [aux_sym_preproc_elif_token1] = ACTIONS(1947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1949),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_SLASH] = ACTIONS(1947),
    [anon_sym_PERCENT] = ACTIONS(1947),
    [anon_sym_PIPE_PIPE] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_PIPE] = ACTIONS(1947),
    [anon_sym_CARET] = ACTIONS(1947),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_EQ_EQ] = ACTIONS(1949),
    [anon_sym_BANG_EQ] = ACTIONS(1949),
    [anon_sym_GT] = ACTIONS(1947),
    [anon_sym_GT_EQ] = ACTIONS(1949),
    [anon_sym_LT_EQ] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_GT_GT] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1949),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_RBRACE] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_RBRACK] = ACTIONS(1949),
    [anon_sym_EQ] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1949),
    [anon_sym_STAR_EQ] = ACTIONS(1949),
    [anon_sym_SLASH_EQ] = ACTIONS(1949),
    [anon_sym_PERCENT_EQ] = ACTIONS(1949),
    [anon_sym_PLUS_EQ] = ACTIONS(1949),
    [anon_sym_DASH_EQ] = ACTIONS(1949),
    [anon_sym_LT_LT_EQ] = ACTIONS(1949),
    [anon_sym_GT_GT_EQ] = ACTIONS(1949),
    [anon_sym_AMP_EQ] = ACTIONS(1949),
    [anon_sym_CARET_EQ] = ACTIONS(1949),
    [anon_sym_PIPE_EQ] = ACTIONS(1949),
    [anon_sym_and_eq] = ACTIONS(1947),
    [anon_sym_or_eq] = ACTIONS(1947),
    [anon_sym_xor_eq] = ACTIONS(1947),
    [anon_sym_LT_EQ_GT] = ACTIONS(1949),
    [anon_sym_or] = ACTIONS(1947),
    [anon_sym_and] = ACTIONS(1947),
    [anon_sym_bitor] = ACTIONS(1947),
    [anon_sym_xor] = ACTIONS(1947),
    [anon_sym_bitand] = ACTIONS(1947),
    [anon_sym_not_eq] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_DOT_STAR] = ACTIONS(1949),
    [anon_sym_DASH_GT] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_final] = ACTIONS(1947),
    [anon_sym_override] = ACTIONS(1947),
  },
  [2274] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2283),
    [sym_identifier] = ACTIONS(5722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_TILDE] = ACTIONS(5724),
    [anon_sym_STAR] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_AMP] = ACTIONS(5722),
    [anon_sym_COLON] = ACTIONS(5722),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym___extension__] = ACTIONS(5722),
    [anon_sym_in] = ACTIONS(5722),
    [anon_sym_out] = ACTIONS(5722),
    [anon_sym_inout] = ACTIONS(5722),
    [anon_sym_virtual] = ACTIONS(5722),
    [anon_sym_extern] = ACTIONS(5722),
    [anon_sym___attribute__] = ACTIONS(5722),
    [anon_sym_COLON_COLON] = ACTIONS(5724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5724),
    [anon_sym___declspec] = ACTIONS(5722),
    [anon_sym___based] = ACTIONS(5722),
    [anon_sym___cdecl] = ACTIONS(5722),
    [anon_sym___clrcall] = ACTIONS(5722),
    [anon_sym___stdcall] = ACTIONS(5722),
    [anon_sym___fastcall] = ACTIONS(5722),
    [anon_sym___thiscall] = ACTIONS(5722),
    [anon_sym___vectorcall] = ACTIONS(5722),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_signed] = ACTIONS(5716),
    [anon_sym_unsigned] = ACTIONS(5716),
    [anon_sym_long] = ACTIONS(5716),
    [anon_sym_short] = ACTIONS(5716),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [anon_sym_static] = ACTIONS(5722),
    [anon_sym_EQ] = ACTIONS(5724),
    [anon_sym_register] = ACTIONS(5722),
    [anon_sym_inline] = ACTIONS(5722),
    [anon_sym___inline] = ACTIONS(5722),
    [anon_sym___inline__] = ACTIONS(5722),
    [anon_sym___forceinline] = ACTIONS(5722),
    [anon_sym_thread_local] = ACTIONS(5722),
    [anon_sym___thread] = ACTIONS(5722),
    [anon_sym_const] = ACTIONS(5722),
    [anon_sym_constexpr] = ACTIONS(5722),
    [anon_sym_volatile] = ACTIONS(5722),
    [anon_sym_restrict] = ACTIONS(5722),
    [anon_sym___restrict__] = ACTIONS(5722),
    [anon_sym__Atomic] = ACTIONS(5722),
    [anon_sym__Noreturn] = ACTIONS(5722),
    [anon_sym_noreturn] = ACTIONS(5722),
    [anon_sym__Nonnull] = ACTIONS(5722),
    [anon_sym_mutable] = ACTIONS(5722),
    [anon_sym_constinit] = ACTIONS(5722),
    [anon_sym_consteval] = ACTIONS(5722),
    [anon_sym_alignas] = ACTIONS(5722),
    [anon_sym__Alignas] = ACTIONS(5722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5722),
    [anon_sym_decltype] = ACTIONS(5722),
    [anon_sym_template] = ACTIONS(5722),
    [anon_sym_GT2] = ACTIONS(5724),
    [anon_sym_operator] = ACTIONS(5722),
    [anon_sym_precise] = ACTIONS(5722),
    [anon_sym_shared] = ACTIONS(5722),
    [anon_sym_groupshared] = ACTIONS(5722),
    [anon_sym_uniform] = ACTIONS(5722),
    [anon_sym_row_major] = ACTIONS(5722),
    [anon_sym_column_major] = ACTIONS(5722),
    [anon_sym_globallycoherent] = ACTIONS(5722),
    [anon_sym_centroid] = ACTIONS(5722),
    [anon_sym_noperspective] = ACTIONS(5722),
    [anon_sym_nointerpolation] = ACTIONS(5722),
    [anon_sym_sample] = ACTIONS(5722),
    [anon_sym_linear] = ACTIONS(5722),
    [anon_sym_snorm] = ACTIONS(5722),
    [anon_sym_unorm] = ACTIONS(5722),
    [anon_sym_point] = ACTIONS(5722),
    [anon_sym_line] = ACTIONS(5722),
    [anon_sym_triangleadj] = ACTIONS(5722),
    [anon_sym_lineadj] = ACTIONS(5722),
    [anon_sym_triangle] = ACTIONS(5722),
  },
  [2275] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2284),
    [sym_identifier] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_TILDE] = ACTIONS(5728),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_COLON] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [anon_sym___extension__] = ACTIONS(5726),
    [anon_sym_in] = ACTIONS(5726),
    [anon_sym_out] = ACTIONS(5726),
    [anon_sym_inout] = ACTIONS(5726),
    [anon_sym_virtual] = ACTIONS(5726),
    [anon_sym_extern] = ACTIONS(5726),
    [anon_sym___attribute__] = ACTIONS(5726),
    [anon_sym_COLON_COLON] = ACTIONS(5728),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5728),
    [anon_sym___declspec] = ACTIONS(5726),
    [anon_sym___based] = ACTIONS(5726),
    [anon_sym___cdecl] = ACTIONS(5726),
    [anon_sym___clrcall] = ACTIONS(5726),
    [anon_sym___stdcall] = ACTIONS(5726),
    [anon_sym___fastcall] = ACTIONS(5726),
    [anon_sym___thiscall] = ACTIONS(5726),
    [anon_sym___vectorcall] = ACTIONS(5726),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(5730),
    [anon_sym_unsigned] = ACTIONS(5730),
    [anon_sym_long] = ACTIONS(5730),
    [anon_sym_short] = ACTIONS(5730),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [anon_sym_static] = ACTIONS(5726),
    [anon_sym_EQ] = ACTIONS(5728),
    [anon_sym_register] = ACTIONS(5726),
    [anon_sym_inline] = ACTIONS(5726),
    [anon_sym___inline] = ACTIONS(5726),
    [anon_sym___inline__] = ACTIONS(5726),
    [anon_sym___forceinline] = ACTIONS(5726),
    [anon_sym_thread_local] = ACTIONS(5726),
    [anon_sym___thread] = ACTIONS(5726),
    [anon_sym_const] = ACTIONS(5726),
    [anon_sym_constexpr] = ACTIONS(5726),
    [anon_sym_volatile] = ACTIONS(5726),
    [anon_sym_restrict] = ACTIONS(5726),
    [anon_sym___restrict__] = ACTIONS(5726),
    [anon_sym__Atomic] = ACTIONS(5726),
    [anon_sym__Noreturn] = ACTIONS(5726),
    [anon_sym_noreturn] = ACTIONS(5726),
    [anon_sym__Nonnull] = ACTIONS(5726),
    [anon_sym_mutable] = ACTIONS(5726),
    [anon_sym_constinit] = ACTIONS(5726),
    [anon_sym_consteval] = ACTIONS(5726),
    [anon_sym_alignas] = ACTIONS(5726),
    [anon_sym__Alignas] = ACTIONS(5726),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5726),
    [anon_sym_decltype] = ACTIONS(5726),
    [anon_sym_template] = ACTIONS(5726),
    [anon_sym_GT2] = ACTIONS(5728),
    [anon_sym_operator] = ACTIONS(5726),
    [anon_sym_precise] = ACTIONS(5726),
    [anon_sym_shared] = ACTIONS(5726),
    [anon_sym_groupshared] = ACTIONS(5726),
    [anon_sym_uniform] = ACTIONS(5726),
    [anon_sym_row_major] = ACTIONS(5726),
    [anon_sym_column_major] = ACTIONS(5726),
    [anon_sym_globallycoherent] = ACTIONS(5726),
    [anon_sym_centroid] = ACTIONS(5726),
    [anon_sym_noperspective] = ACTIONS(5726),
    [anon_sym_nointerpolation] = ACTIONS(5726),
    [anon_sym_sample] = ACTIONS(5726),
    [anon_sym_linear] = ACTIONS(5726),
    [anon_sym_snorm] = ACTIONS(5726),
    [anon_sym_unorm] = ACTIONS(5726),
    [anon_sym_point] = ACTIONS(5726),
    [anon_sym_line] = ACTIONS(5726),
    [anon_sym_triangleadj] = ACTIONS(5726),
    [anon_sym_lineadj] = ACTIONS(5726),
    [anon_sym_triangle] = ACTIONS(5726),
  },
  [2276] = {
    [sym_template_argument_list] = STATE(2255),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_RPAREN] = ACTIONS(1961),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_PIPE_PIPE] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym___cdecl] = ACTIONS(1959),
    [anon_sym___clrcall] = ACTIONS(1959),
    [anon_sym___stdcall] = ACTIONS(1959),
    [anon_sym___fastcall] = ACTIONS(1959),
    [anon_sym___thiscall] = ACTIONS(1959),
    [anon_sym___vectorcall] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [anon_sym_or] = ACTIONS(1959),
    [anon_sym_and] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_final] = ACTIONS(1959),
    [anon_sym_override] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_try] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [2277] = {
    [sym_template_argument_list] = STATE(2255),
    [sym_identifier] = ACTIONS(1967),
    [anon_sym_RPAREN] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_COLON] = ACTIONS(1967),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym___extension__] = ACTIONS(1967),
    [anon_sym_in] = ACTIONS(1967),
    [anon_sym_out] = ACTIONS(1967),
    [anon_sym_inout] = ACTIONS(1967),
    [anon_sym_virtual] = ACTIONS(1967),
    [anon_sym_extern] = ACTIONS(1967),
    [anon_sym___attribute__] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1969),
    [anon_sym___declspec] = ACTIONS(1967),
    [anon_sym___based] = ACTIONS(1967),
    [anon_sym___cdecl] = ACTIONS(1967),
    [anon_sym___clrcall] = ACTIONS(1967),
    [anon_sym___stdcall] = ACTIONS(1967),
    [anon_sym___fastcall] = ACTIONS(1967),
    [anon_sym___thiscall] = ACTIONS(1967),
    [anon_sym___vectorcall] = ACTIONS(1967),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1967),
    [anon_sym_register] = ACTIONS(1967),
    [anon_sym_inline] = ACTIONS(1967),
    [anon_sym___inline] = ACTIONS(1967),
    [anon_sym___inline__] = ACTIONS(1967),
    [anon_sym___forceinline] = ACTIONS(1967),
    [anon_sym_thread_local] = ACTIONS(1967),
    [anon_sym___thread] = ACTIONS(1967),
    [anon_sym_const] = ACTIONS(1967),
    [anon_sym_constexpr] = ACTIONS(1967),
    [anon_sym_volatile] = ACTIONS(1967),
    [anon_sym_restrict] = ACTIONS(1967),
    [anon_sym___restrict__] = ACTIONS(1967),
    [anon_sym__Atomic] = ACTIONS(1967),
    [anon_sym__Noreturn] = ACTIONS(1967),
    [anon_sym_noreturn] = ACTIONS(1967),
    [anon_sym__Nonnull] = ACTIONS(1967),
    [anon_sym_mutable] = ACTIONS(1967),
    [anon_sym_constinit] = ACTIONS(1967),
    [anon_sym_consteval] = ACTIONS(1967),
    [anon_sym_alignas] = ACTIONS(1967),
    [anon_sym__Alignas] = ACTIONS(1967),
    [anon_sym_or] = ACTIONS(1967),
    [anon_sym_and] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1967),
    [anon_sym_decltype] = ACTIONS(1967),
    [anon_sym_final] = ACTIONS(1967),
    [anon_sym_override] = ACTIONS(1967),
    [anon_sym_template] = ACTIONS(1967),
    [anon_sym_operator] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1967),
    [anon_sym_requires] = ACTIONS(1967),
    [anon_sym_precise] = ACTIONS(1967),
    [anon_sym_shared] = ACTIONS(1967),
    [anon_sym_groupshared] = ACTIONS(1967),
    [anon_sym_uniform] = ACTIONS(1967),
    [anon_sym_row_major] = ACTIONS(1967),
    [anon_sym_column_major] = ACTIONS(1967),
    [anon_sym_globallycoherent] = ACTIONS(1967),
    [anon_sym_centroid] = ACTIONS(1967),
    [anon_sym_noperspective] = ACTIONS(1967),
    [anon_sym_nointerpolation] = ACTIONS(1967),
    [anon_sym_sample] = ACTIONS(1967),
    [anon_sym_linear] = ACTIONS(1967),
    [anon_sym_snorm] = ACTIONS(1967),
    [anon_sym_unorm] = ACTIONS(1967),
    [anon_sym_point] = ACTIONS(1967),
    [anon_sym_line] = ACTIONS(1967),
    [anon_sym_triangleadj] = ACTIONS(1967),
    [anon_sym_lineadj] = ACTIONS(1967),
    [anon_sym_triangle] = ACTIONS(1967),
  },
  [2278] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2283),
    [sym_identifier] = ACTIONS(5732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5734),
    [anon_sym_COMMA] = ACTIONS(5734),
    [anon_sym_RPAREN] = ACTIONS(5734),
    [anon_sym_LPAREN2] = ACTIONS(5734),
    [anon_sym_TILDE] = ACTIONS(5734),
    [anon_sym_STAR] = ACTIONS(5734),
    [anon_sym_AMP_AMP] = ACTIONS(5734),
    [anon_sym_AMP] = ACTIONS(5732),
    [anon_sym_COLON] = ACTIONS(5732),
    [anon_sym_SEMI] = ACTIONS(5734),
    [anon_sym___extension__] = ACTIONS(5732),
    [anon_sym_in] = ACTIONS(5732),
    [anon_sym_out] = ACTIONS(5732),
    [anon_sym_inout] = ACTIONS(5732),
    [anon_sym_virtual] = ACTIONS(5732),
    [anon_sym_extern] = ACTIONS(5732),
    [anon_sym___attribute__] = ACTIONS(5732),
    [anon_sym_COLON_COLON] = ACTIONS(5734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5734),
    [anon_sym___declspec] = ACTIONS(5732),
    [anon_sym___based] = ACTIONS(5732),
    [anon_sym___cdecl] = ACTIONS(5732),
    [anon_sym___clrcall] = ACTIONS(5732),
    [anon_sym___stdcall] = ACTIONS(5732),
    [anon_sym___fastcall] = ACTIONS(5732),
    [anon_sym___thiscall] = ACTIONS(5732),
    [anon_sym___vectorcall] = ACTIONS(5732),
    [anon_sym_LBRACE] = ACTIONS(5734),
    [anon_sym_signed] = ACTIONS(5716),
    [anon_sym_unsigned] = ACTIONS(5716),
    [anon_sym_long] = ACTIONS(5716),
    [anon_sym_short] = ACTIONS(5716),
    [anon_sym_LBRACK] = ACTIONS(5732),
    [anon_sym_static] = ACTIONS(5732),
    [anon_sym_EQ] = ACTIONS(5734),
    [anon_sym_register] = ACTIONS(5732),
    [anon_sym_inline] = ACTIONS(5732),
    [anon_sym___inline] = ACTIONS(5732),
    [anon_sym___inline__] = ACTIONS(5732),
    [anon_sym___forceinline] = ACTIONS(5732),
    [anon_sym_thread_local] = ACTIONS(5732),
    [anon_sym___thread] = ACTIONS(5732),
    [anon_sym_const] = ACTIONS(5732),
    [anon_sym_constexpr] = ACTIONS(5732),
    [anon_sym_volatile] = ACTIONS(5732),
    [anon_sym_restrict] = ACTIONS(5732),
    [anon_sym___restrict__] = ACTIONS(5732),
    [anon_sym__Atomic] = ACTIONS(5732),
    [anon_sym__Noreturn] = ACTIONS(5732),
    [anon_sym_noreturn] = ACTIONS(5732),
    [anon_sym__Nonnull] = ACTIONS(5732),
    [anon_sym_mutable] = ACTIONS(5732),
    [anon_sym_constinit] = ACTIONS(5732),
    [anon_sym_consteval] = ACTIONS(5732),
    [anon_sym_alignas] = ACTIONS(5732),
    [anon_sym__Alignas] = ACTIONS(5732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5732),
    [anon_sym_decltype] = ACTIONS(5732),
    [anon_sym_template] = ACTIONS(5732),
    [anon_sym_GT2] = ACTIONS(5734),
    [anon_sym_operator] = ACTIONS(5732),
    [anon_sym_precise] = ACTIONS(5732),
    [anon_sym_shared] = ACTIONS(5732),
    [anon_sym_groupshared] = ACTIONS(5732),
    [anon_sym_uniform] = ACTIONS(5732),
    [anon_sym_row_major] = ACTIONS(5732),
    [anon_sym_column_major] = ACTIONS(5732),
    [anon_sym_globallycoherent] = ACTIONS(5732),
    [anon_sym_centroid] = ACTIONS(5732),
    [anon_sym_noperspective] = ACTIONS(5732),
    [anon_sym_nointerpolation] = ACTIONS(5732),
    [anon_sym_sample] = ACTIONS(5732),
    [anon_sym_linear] = ACTIONS(5732),
    [anon_sym_snorm] = ACTIONS(5732),
    [anon_sym_unorm] = ACTIONS(5732),
    [anon_sym_point] = ACTIONS(5732),
    [anon_sym_line] = ACTIONS(5732),
    [anon_sym_triangleadj] = ACTIONS(5732),
    [anon_sym_lineadj] = ACTIONS(5732),
    [anon_sym_triangle] = ACTIONS(5732),
  },
  [2279] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2278),
    [sym_identifier] = ACTIONS(5736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5738),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_RPAREN] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_TILDE] = ACTIONS(5738),
    [anon_sym_STAR] = ACTIONS(5738),
    [anon_sym_AMP_AMP] = ACTIONS(5738),
    [anon_sym_AMP] = ACTIONS(5736),
    [anon_sym_COLON] = ACTIONS(5736),
    [anon_sym_SEMI] = ACTIONS(5738),
    [anon_sym___extension__] = ACTIONS(5736),
    [anon_sym_in] = ACTIONS(5736),
    [anon_sym_out] = ACTIONS(5736),
    [anon_sym_inout] = ACTIONS(5736),
    [anon_sym_virtual] = ACTIONS(5736),
    [anon_sym_extern] = ACTIONS(5736),
    [anon_sym___attribute__] = ACTIONS(5736),
    [anon_sym_COLON_COLON] = ACTIONS(5738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5738),
    [anon_sym___declspec] = ACTIONS(5736),
    [anon_sym___based] = ACTIONS(5736),
    [anon_sym___cdecl] = ACTIONS(5736),
    [anon_sym___clrcall] = ACTIONS(5736),
    [anon_sym___stdcall] = ACTIONS(5736),
    [anon_sym___fastcall] = ACTIONS(5736),
    [anon_sym___thiscall] = ACTIONS(5736),
    [anon_sym___vectorcall] = ACTIONS(5736),
    [anon_sym_LBRACE] = ACTIONS(5738),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_static] = ACTIONS(5736),
    [anon_sym_EQ] = ACTIONS(5738),
    [anon_sym_register] = ACTIONS(5736),
    [anon_sym_inline] = ACTIONS(5736),
    [anon_sym___inline] = ACTIONS(5736),
    [anon_sym___inline__] = ACTIONS(5736),
    [anon_sym___forceinline] = ACTIONS(5736),
    [anon_sym_thread_local] = ACTIONS(5736),
    [anon_sym___thread] = ACTIONS(5736),
    [anon_sym_const] = ACTIONS(5736),
    [anon_sym_constexpr] = ACTIONS(5736),
    [anon_sym_volatile] = ACTIONS(5736),
    [anon_sym_restrict] = ACTIONS(5736),
    [anon_sym___restrict__] = ACTIONS(5736),
    [anon_sym__Atomic] = ACTIONS(5736),
    [anon_sym__Noreturn] = ACTIONS(5736),
    [anon_sym_noreturn] = ACTIONS(5736),
    [anon_sym__Nonnull] = ACTIONS(5736),
    [anon_sym_mutable] = ACTIONS(5736),
    [anon_sym_constinit] = ACTIONS(5736),
    [anon_sym_consteval] = ACTIONS(5736),
    [anon_sym_alignas] = ACTIONS(5736),
    [anon_sym__Alignas] = ACTIONS(5736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5736),
    [anon_sym_decltype] = ACTIONS(5736),
    [anon_sym_template] = ACTIONS(5736),
    [anon_sym_GT2] = ACTIONS(5738),
    [anon_sym_operator] = ACTIONS(5736),
    [anon_sym_precise] = ACTIONS(5736),
    [anon_sym_shared] = ACTIONS(5736),
    [anon_sym_groupshared] = ACTIONS(5736),
    [anon_sym_uniform] = ACTIONS(5736),
    [anon_sym_row_major] = ACTIONS(5736),
    [anon_sym_column_major] = ACTIONS(5736),
    [anon_sym_globallycoherent] = ACTIONS(5736),
    [anon_sym_centroid] = ACTIONS(5736),
    [anon_sym_noperspective] = ACTIONS(5736),
    [anon_sym_nointerpolation] = ACTIONS(5736),
    [anon_sym_sample] = ACTIONS(5736),
    [anon_sym_linear] = ACTIONS(5736),
    [anon_sym_snorm] = ACTIONS(5736),
    [anon_sym_unorm] = ACTIONS(5736),
    [anon_sym_point] = ACTIONS(5736),
    [anon_sym_line] = ACTIONS(5736),
    [anon_sym_triangleadj] = ACTIONS(5736),
    [anon_sym_lineadj] = ACTIONS(5736),
    [anon_sym_triangle] = ACTIONS(5736),
  },
  [2280] = {
    [sym_identifier] = ACTIONS(1939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1941),
    [anon_sym_COMMA] = ACTIONS(1941),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [aux_sym_preproc_if_token2] = ACTIONS(1941),
    [aux_sym_preproc_else_token1] = ACTIONS(1941),
    [aux_sym_preproc_elif_token1] = ACTIONS(1939),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1941),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_RBRACE] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1941),
    [anon_sym_RBRACK] = ACTIONS(1941),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1941),
    [anon_sym_STAR_EQ] = ACTIONS(1941),
    [anon_sym_SLASH_EQ] = ACTIONS(1941),
    [anon_sym_PERCENT_EQ] = ACTIONS(1941),
    [anon_sym_PLUS_EQ] = ACTIONS(1941),
    [anon_sym_DASH_EQ] = ACTIONS(1941),
    [anon_sym_LT_LT_EQ] = ACTIONS(1941),
    [anon_sym_GT_GT_EQ] = ACTIONS(1941),
    [anon_sym_AMP_EQ] = ACTIONS(1941),
    [anon_sym_CARET_EQ] = ACTIONS(1941),
    [anon_sym_PIPE_EQ] = ACTIONS(1941),
    [anon_sym_and_eq] = ACTIONS(1939),
    [anon_sym_or_eq] = ACTIONS(1939),
    [anon_sym_xor_eq] = ACTIONS(1939),
    [anon_sym_LT_EQ_GT] = ACTIONS(1941),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_bitor] = ACTIONS(1939),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_bitand] = ACTIONS(1939),
    [anon_sym_not_eq] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_DOT_STAR] = ACTIONS(1941),
    [anon_sym_DASH_GT] = ACTIONS(1941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_final] = ACTIONS(1939),
    [anon_sym_override] = ACTIONS(1939),
  },
  [2281] = {
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [aux_sym_preproc_if_token2] = ACTIONS(1923),
    [aux_sym_preproc_else_token1] = ACTIONS(1923),
    [aux_sym_preproc_elif_token1] = ACTIONS(1921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1923),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1923),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1921),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_PERCENT] = ACTIONS(1921),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_PIPE] = ACTIONS(1921),
    [anon_sym_CARET] = ACTIONS(1921),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_EQ_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1923),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1921),
    [anon_sym_LT_LT] = ACTIONS(1921),
    [anon_sym_GT_GT] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1923),
    [anon_sym_RBRACK] = ACTIONS(1923),
    [anon_sym_EQ] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [anon_sym_QMARK] = ACTIONS(1923),
    [anon_sym_STAR_EQ] = ACTIONS(1923),
    [anon_sym_SLASH_EQ] = ACTIONS(1923),
    [anon_sym_PERCENT_EQ] = ACTIONS(1923),
    [anon_sym_PLUS_EQ] = ACTIONS(1923),
    [anon_sym_DASH_EQ] = ACTIONS(1923),
    [anon_sym_LT_LT_EQ] = ACTIONS(1923),
    [anon_sym_GT_GT_EQ] = ACTIONS(1923),
    [anon_sym_AMP_EQ] = ACTIONS(1923),
    [anon_sym_CARET_EQ] = ACTIONS(1923),
    [anon_sym_PIPE_EQ] = ACTIONS(1923),
    [anon_sym_and_eq] = ACTIONS(1921),
    [anon_sym_or_eq] = ACTIONS(1921),
    [anon_sym_xor_eq] = ACTIONS(1921),
    [anon_sym_LT_EQ_GT] = ACTIONS(1923),
    [anon_sym_or] = ACTIONS(1921),
    [anon_sym_and] = ACTIONS(1921),
    [anon_sym_bitor] = ACTIONS(1921),
    [anon_sym_xor] = ACTIONS(1921),
    [anon_sym_bitand] = ACTIONS(1921),
    [anon_sym_not_eq] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_DOT_STAR] = ACTIONS(1923),
    [anon_sym_DASH_GT] = ACTIONS(1923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_final] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
  },
  [2282] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [aux_sym_preproc_if_token2] = ACTIONS(1915),
    [aux_sym_preproc_else_token1] = ACTIONS(1915),
    [aux_sym_preproc_elif_token1] = ACTIONS(1913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_RBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1913),
    [anon_sym_or_eq] = ACTIONS(1913),
    [anon_sym_xor_eq] = ACTIONS(1913),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_final] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
  },
  [2283] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2283),
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5589),
    [anon_sym_COMMA] = ACTIONS(5589),
    [anon_sym_RPAREN] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_TILDE] = ACTIONS(5589),
    [anon_sym_STAR] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym_COLON] = ACTIONS(5587),
    [anon_sym_SEMI] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5587),
    [anon_sym_in] = ACTIONS(5587),
    [anon_sym_out] = ACTIONS(5587),
    [anon_sym_inout] = ACTIONS(5587),
    [anon_sym_virtual] = ACTIONS(5587),
    [anon_sym_extern] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym_COLON_COLON] = ACTIONS(5589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5589),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5587),
    [anon_sym___cdecl] = ACTIONS(5587),
    [anon_sym___clrcall] = ACTIONS(5587),
    [anon_sym___stdcall] = ACTIONS(5587),
    [anon_sym___fastcall] = ACTIONS(5587),
    [anon_sym___thiscall] = ACTIONS(5587),
    [anon_sym___vectorcall] = ACTIONS(5587),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(5742),
    [anon_sym_unsigned] = ACTIONS(5742),
    [anon_sym_long] = ACTIONS(5742),
    [anon_sym_short] = ACTIONS(5742),
    [anon_sym_LBRACK] = ACTIONS(5587),
    [anon_sym_static] = ACTIONS(5587),
    [anon_sym_EQ] = ACTIONS(5589),
    [anon_sym_register] = ACTIONS(5587),
    [anon_sym_inline] = ACTIONS(5587),
    [anon_sym___inline] = ACTIONS(5587),
    [anon_sym___inline__] = ACTIONS(5587),
    [anon_sym___forceinline] = ACTIONS(5587),
    [anon_sym_thread_local] = ACTIONS(5587),
    [anon_sym___thread] = ACTIONS(5587),
    [anon_sym_const] = ACTIONS(5587),
    [anon_sym_constexpr] = ACTIONS(5587),
    [anon_sym_volatile] = ACTIONS(5587),
    [anon_sym_restrict] = ACTIONS(5587),
    [anon_sym___restrict__] = ACTIONS(5587),
    [anon_sym__Atomic] = ACTIONS(5587),
    [anon_sym__Noreturn] = ACTIONS(5587),
    [anon_sym_noreturn] = ACTIONS(5587),
    [anon_sym__Nonnull] = ACTIONS(5587),
    [anon_sym_mutable] = ACTIONS(5587),
    [anon_sym_constinit] = ACTIONS(5587),
    [anon_sym_consteval] = ACTIONS(5587),
    [anon_sym_alignas] = ACTIONS(5587),
    [anon_sym__Alignas] = ACTIONS(5587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
    [anon_sym_template] = ACTIONS(5587),
    [anon_sym_GT2] = ACTIONS(5589),
    [anon_sym_operator] = ACTIONS(5587),
    [anon_sym_precise] = ACTIONS(5587),
    [anon_sym_shared] = ACTIONS(5587),
    [anon_sym_groupshared] = ACTIONS(5587),
    [anon_sym_uniform] = ACTIONS(5587),
    [anon_sym_row_major] = ACTIONS(5587),
    [anon_sym_column_major] = ACTIONS(5587),
    [anon_sym_globallycoherent] = ACTIONS(5587),
    [anon_sym_centroid] = ACTIONS(5587),
    [anon_sym_noperspective] = ACTIONS(5587),
    [anon_sym_nointerpolation] = ACTIONS(5587),
    [anon_sym_sample] = ACTIONS(5587),
    [anon_sym_linear] = ACTIONS(5587),
    [anon_sym_snorm] = ACTIONS(5587),
    [anon_sym_unorm] = ACTIONS(5587),
    [anon_sym_point] = ACTIONS(5587),
    [anon_sym_line] = ACTIONS(5587),
    [anon_sym_triangleadj] = ACTIONS(5587),
    [anon_sym_lineadj] = ACTIONS(5587),
    [anon_sym_triangle] = ACTIONS(5587),
  },
  [2284] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2283),
    [sym_identifier] = ACTIONS(5745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [anon_sym_RPAREN] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_TILDE] = ACTIONS(5747),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_COLON] = ACTIONS(5745),
    [anon_sym_SEMI] = ACTIONS(5747),
    [anon_sym___extension__] = ACTIONS(5745),
    [anon_sym_in] = ACTIONS(5745),
    [anon_sym_out] = ACTIONS(5745),
    [anon_sym_inout] = ACTIONS(5745),
    [anon_sym_virtual] = ACTIONS(5745),
    [anon_sym_extern] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5745),
    [anon_sym_COLON_COLON] = ACTIONS(5747),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5747),
    [anon_sym___declspec] = ACTIONS(5745),
    [anon_sym___based] = ACTIONS(5745),
    [anon_sym___cdecl] = ACTIONS(5745),
    [anon_sym___clrcall] = ACTIONS(5745),
    [anon_sym___stdcall] = ACTIONS(5745),
    [anon_sym___fastcall] = ACTIONS(5745),
    [anon_sym___thiscall] = ACTIONS(5745),
    [anon_sym___vectorcall] = ACTIONS(5745),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_signed] = ACTIONS(5716),
    [anon_sym_unsigned] = ACTIONS(5716),
    [anon_sym_long] = ACTIONS(5716),
    [anon_sym_short] = ACTIONS(5716),
    [anon_sym_LBRACK] = ACTIONS(5745),
    [anon_sym_static] = ACTIONS(5745),
    [anon_sym_EQ] = ACTIONS(5747),
    [anon_sym_register] = ACTIONS(5745),
    [anon_sym_inline] = ACTIONS(5745),
    [anon_sym___inline] = ACTIONS(5745),
    [anon_sym___inline__] = ACTIONS(5745),
    [anon_sym___forceinline] = ACTIONS(5745),
    [anon_sym_thread_local] = ACTIONS(5745),
    [anon_sym___thread] = ACTIONS(5745),
    [anon_sym_const] = ACTIONS(5745),
    [anon_sym_constexpr] = ACTIONS(5745),
    [anon_sym_volatile] = ACTIONS(5745),
    [anon_sym_restrict] = ACTIONS(5745),
    [anon_sym___restrict__] = ACTIONS(5745),
    [anon_sym__Atomic] = ACTIONS(5745),
    [anon_sym__Noreturn] = ACTIONS(5745),
    [anon_sym_noreturn] = ACTIONS(5745),
    [anon_sym__Nonnull] = ACTIONS(5745),
    [anon_sym_mutable] = ACTIONS(5745),
    [anon_sym_constinit] = ACTIONS(5745),
    [anon_sym_consteval] = ACTIONS(5745),
    [anon_sym_alignas] = ACTIONS(5745),
    [anon_sym__Alignas] = ACTIONS(5745),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5745),
    [anon_sym_decltype] = ACTIONS(5745),
    [anon_sym_template] = ACTIONS(5745),
    [anon_sym_GT2] = ACTIONS(5747),
    [anon_sym_operator] = ACTIONS(5745),
    [anon_sym_precise] = ACTIONS(5745),
    [anon_sym_shared] = ACTIONS(5745),
    [anon_sym_groupshared] = ACTIONS(5745),
    [anon_sym_uniform] = ACTIONS(5745),
    [anon_sym_row_major] = ACTIONS(5745),
    [anon_sym_column_major] = ACTIONS(5745),
    [anon_sym_globallycoherent] = ACTIONS(5745),
    [anon_sym_centroid] = ACTIONS(5745),
    [anon_sym_noperspective] = ACTIONS(5745),
    [anon_sym_nointerpolation] = ACTIONS(5745),
    [anon_sym_sample] = ACTIONS(5745),
    [anon_sym_linear] = ACTIONS(5745),
    [anon_sym_snorm] = ACTIONS(5745),
    [anon_sym_unorm] = ACTIONS(5745),
    [anon_sym_point] = ACTIONS(5745),
    [anon_sym_line] = ACTIONS(5745),
    [anon_sym_triangleadj] = ACTIONS(5745),
    [anon_sym_lineadj] = ACTIONS(5745),
    [anon_sym_triangle] = ACTIONS(5745),
  },
  [2285] = {
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_RPAREN] = ACTIONS(1919),
    [aux_sym_preproc_if_token2] = ACTIONS(1919),
    [aux_sym_preproc_else_token1] = ACTIONS(1919),
    [aux_sym_preproc_elif_token1] = ACTIONS(1917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1919),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1919),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_EQ_EQ] = ACTIONS(1919),
    [anon_sym_BANG_EQ] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1919),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_RBRACE] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1919),
    [anon_sym_RBRACK] = ACTIONS(1919),
    [anon_sym_EQ] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [anon_sym_QMARK] = ACTIONS(1919),
    [anon_sym_STAR_EQ] = ACTIONS(1919),
    [anon_sym_SLASH_EQ] = ACTIONS(1919),
    [anon_sym_PERCENT_EQ] = ACTIONS(1919),
    [anon_sym_PLUS_EQ] = ACTIONS(1919),
    [anon_sym_DASH_EQ] = ACTIONS(1919),
    [anon_sym_LT_LT_EQ] = ACTIONS(1919),
    [anon_sym_GT_GT_EQ] = ACTIONS(1919),
    [anon_sym_AMP_EQ] = ACTIONS(1919),
    [anon_sym_CARET_EQ] = ACTIONS(1919),
    [anon_sym_PIPE_EQ] = ACTIONS(1919),
    [anon_sym_and_eq] = ACTIONS(1917),
    [anon_sym_or_eq] = ACTIONS(1917),
    [anon_sym_xor_eq] = ACTIONS(1917),
    [anon_sym_LT_EQ_GT] = ACTIONS(1919),
    [anon_sym_or] = ACTIONS(1917),
    [anon_sym_and] = ACTIONS(1917),
    [anon_sym_bitor] = ACTIONS(1917),
    [anon_sym_xor] = ACTIONS(1917),
    [anon_sym_bitand] = ACTIONS(1917),
    [anon_sym_not_eq] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DOT] = ACTIONS(1917),
    [anon_sym_DOT_STAR] = ACTIONS(1919),
    [anon_sym_DASH_GT] = ACTIONS(1919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_final] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
  },
  [2286] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_out] = ACTIONS(5676),
    [anon_sym_inout] = ACTIONS(5676),
    [anon_sym_virtual] = ACTIONS(5676),
    [anon_sym_extern] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(5678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5678),
    [anon_sym___declspec] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym___cdecl] = ACTIONS(5676),
    [anon_sym___clrcall] = ACTIONS(5676),
    [anon_sym___stdcall] = ACTIONS(5676),
    [anon_sym___fastcall] = ACTIONS(5676),
    [anon_sym___thiscall] = ACTIONS(5676),
    [anon_sym___vectorcall] = ACTIONS(5676),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_register] = ACTIONS(5676),
    [anon_sym_inline] = ACTIONS(5676),
    [anon_sym___inline] = ACTIONS(5676),
    [anon_sym___inline__] = ACTIONS(5676),
    [anon_sym___forceinline] = ACTIONS(5676),
    [anon_sym_thread_local] = ACTIONS(5676),
    [anon_sym___thread] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_GT2] = ACTIONS(5678),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5676),
    [anon_sym_shared] = ACTIONS(5676),
    [anon_sym_groupshared] = ACTIONS(5676),
    [anon_sym_uniform] = ACTIONS(5676),
    [anon_sym_row_major] = ACTIONS(5676),
    [anon_sym_column_major] = ACTIONS(5676),
    [anon_sym_globallycoherent] = ACTIONS(5676),
    [anon_sym_centroid] = ACTIONS(5676),
    [anon_sym_noperspective] = ACTIONS(5676),
    [anon_sym_nointerpolation] = ACTIONS(5676),
    [anon_sym_sample] = ACTIONS(5676),
    [anon_sym_linear] = ACTIONS(5676),
    [anon_sym_snorm] = ACTIONS(5676),
    [anon_sym_unorm] = ACTIONS(5676),
    [anon_sym_point] = ACTIONS(5676),
    [anon_sym_line] = ACTIONS(5676),
    [anon_sym_triangleadj] = ACTIONS(5676),
    [anon_sym_lineadj] = ACTIONS(5676),
    [anon_sym_triangle] = ACTIONS(5676),
  },
  [2287] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_out] = ACTIONS(5676),
    [anon_sym_inout] = ACTIONS(5676),
    [anon_sym_virtual] = ACTIONS(5676),
    [anon_sym_extern] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5678),
    [anon_sym___declspec] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym___cdecl] = ACTIONS(5676),
    [anon_sym___clrcall] = ACTIONS(5676),
    [anon_sym___stdcall] = ACTIONS(5676),
    [anon_sym___fastcall] = ACTIONS(5676),
    [anon_sym___thiscall] = ACTIONS(5676),
    [anon_sym___vectorcall] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_register] = ACTIONS(5676),
    [anon_sym_inline] = ACTIONS(5676),
    [anon_sym___inline] = ACTIONS(5676),
    [anon_sym___inline__] = ACTIONS(5676),
    [anon_sym___forceinline] = ACTIONS(5676),
    [anon_sym_thread_local] = ACTIONS(5676),
    [anon_sym___thread] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_final] = ACTIONS(5676),
    [anon_sym_override] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_GT2] = ACTIONS(5678),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_try] = ACTIONS(5676),
    [anon_sym_requires] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5676),
    [anon_sym_shared] = ACTIONS(5676),
    [anon_sym_groupshared] = ACTIONS(5676),
    [anon_sym_uniform] = ACTIONS(5676),
    [anon_sym_row_major] = ACTIONS(5676),
    [anon_sym_column_major] = ACTIONS(5676),
    [anon_sym_globallycoherent] = ACTIONS(5676),
    [anon_sym_centroid] = ACTIONS(5676),
    [anon_sym_noperspective] = ACTIONS(5676),
    [anon_sym_nointerpolation] = ACTIONS(5676),
    [anon_sym_sample] = ACTIONS(5676),
    [anon_sym_linear] = ACTIONS(5676),
    [anon_sym_snorm] = ACTIONS(5676),
    [anon_sym_unorm] = ACTIONS(5676),
    [anon_sym_point] = ACTIONS(5676),
    [anon_sym_line] = ACTIONS(5676),
    [anon_sym_triangleadj] = ACTIONS(5676),
    [anon_sym_lineadj] = ACTIONS(5676),
    [anon_sym_triangle] = ACTIONS(5676),
  },
  [2288] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2266),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym__Nonnull] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym__Alignas] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_GT2] = ACTIONS(2266),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
  },
  [2289] = {
    [sym_identifier] = ACTIONS(5749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5751),
    [anon_sym_COMMA] = ACTIONS(5751),
    [anon_sym_RPAREN] = ACTIONS(5751),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_TILDE] = ACTIONS(5751),
    [anon_sym_STAR] = ACTIONS(5751),
    [anon_sym_AMP_AMP] = ACTIONS(5751),
    [anon_sym_AMP] = ACTIONS(5749),
    [anon_sym_COLON] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5751),
    [anon_sym___extension__] = ACTIONS(5749),
    [anon_sym_in] = ACTIONS(5749),
    [anon_sym_out] = ACTIONS(5749),
    [anon_sym_inout] = ACTIONS(5749),
    [anon_sym_virtual] = ACTIONS(5749),
    [anon_sym_extern] = ACTIONS(5749),
    [anon_sym___attribute__] = ACTIONS(5749),
    [anon_sym_COLON_COLON] = ACTIONS(5751),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5751),
    [anon_sym___declspec] = ACTIONS(5749),
    [anon_sym___based] = ACTIONS(5749),
    [anon_sym___cdecl] = ACTIONS(5749),
    [anon_sym___clrcall] = ACTIONS(5749),
    [anon_sym___stdcall] = ACTIONS(5749),
    [anon_sym___fastcall] = ACTIONS(5749),
    [anon_sym___thiscall] = ACTIONS(5749),
    [anon_sym___vectorcall] = ACTIONS(5749),
    [anon_sym_LBRACE] = ACTIONS(5751),
    [anon_sym_LBRACK] = ACTIONS(5749),
    [anon_sym_static] = ACTIONS(5749),
    [anon_sym_EQ] = ACTIONS(5751),
    [anon_sym_register] = ACTIONS(5749),
    [anon_sym_inline] = ACTIONS(5749),
    [anon_sym___inline] = ACTIONS(5749),
    [anon_sym___inline__] = ACTIONS(5749),
    [anon_sym___forceinline] = ACTIONS(5749),
    [anon_sym_thread_local] = ACTIONS(5749),
    [anon_sym___thread] = ACTIONS(5749),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym_constexpr] = ACTIONS(5749),
    [anon_sym_volatile] = ACTIONS(5749),
    [anon_sym_restrict] = ACTIONS(5749),
    [anon_sym___restrict__] = ACTIONS(5749),
    [anon_sym__Atomic] = ACTIONS(5749),
    [anon_sym__Noreturn] = ACTIONS(5749),
    [anon_sym_noreturn] = ACTIONS(5749),
    [anon_sym__Nonnull] = ACTIONS(5749),
    [anon_sym_mutable] = ACTIONS(5749),
    [anon_sym_constinit] = ACTIONS(5749),
    [anon_sym_consteval] = ACTIONS(5749),
    [anon_sym_alignas] = ACTIONS(5749),
    [anon_sym__Alignas] = ACTIONS(5749),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5749),
    [anon_sym_decltype] = ACTIONS(5749),
    [anon_sym_final] = ACTIONS(5749),
    [anon_sym_override] = ACTIONS(5749),
    [anon_sym_template] = ACTIONS(5749),
    [anon_sym_GT2] = ACTIONS(5751),
    [anon_sym_operator] = ACTIONS(5749),
    [anon_sym_try] = ACTIONS(5749),
    [anon_sym_requires] = ACTIONS(5749),
    [anon_sym_precise] = ACTIONS(5749),
    [anon_sym_shared] = ACTIONS(5749),
    [anon_sym_groupshared] = ACTIONS(5749),
    [anon_sym_uniform] = ACTIONS(5749),
    [anon_sym_row_major] = ACTIONS(5749),
    [anon_sym_column_major] = ACTIONS(5749),
    [anon_sym_globallycoherent] = ACTIONS(5749),
    [anon_sym_centroid] = ACTIONS(5749),
    [anon_sym_noperspective] = ACTIONS(5749),
    [anon_sym_nointerpolation] = ACTIONS(5749),
    [anon_sym_sample] = ACTIONS(5749),
    [anon_sym_linear] = ACTIONS(5749),
    [anon_sym_snorm] = ACTIONS(5749),
    [anon_sym_unorm] = ACTIONS(5749),
    [anon_sym_point] = ACTIONS(5749),
    [anon_sym_line] = ACTIONS(5749),
    [anon_sym_triangleadj] = ACTIONS(5749),
    [anon_sym_lineadj] = ACTIONS(5749),
    [anon_sym_triangle] = ACTIONS(5749),
  },
  [2290] = {
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_COMMA] = ACTIONS(2294),
    [anon_sym_RPAREN] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_COLON] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym___based] = ACTIONS(2292),
    [anon_sym___cdecl] = ACTIONS(2292),
    [anon_sym___clrcall] = ACTIONS(2292),
    [anon_sym___stdcall] = ACTIONS(2292),
    [anon_sym___fastcall] = ACTIONS(2292),
    [anon_sym___thiscall] = ACTIONS(2292),
    [anon_sym___vectorcall] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2294),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_final] = ACTIONS(2292),
    [anon_sym_override] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_GT2] = ACTIONS(2294),
    [anon_sym_operator] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
  },
  [2291] = {
    [sym__declaration_modifiers] = STATE(2261),
    [sym_attribute_specifier] = STATE(2261),
    [sym_attribute_declaration] = STATE(2261),
    [sym_ms_declspec_modifier] = STATE(2261),
    [sym_storage_class_specifier] = STATE(2261),
    [sym_type_qualifier] = STATE(2261),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype_auto] = STATE(2324),
    [sym_qualifiers] = STATE(2261),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5753),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_out] = ACTIONS(5612),
    [anon_sym_inout] = ACTIONS(5612),
    [anon_sym_virtual] = ACTIONS(5612),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym___cdecl] = ACTIONS(5608),
    [anon_sym___clrcall] = ACTIONS(5608),
    [anon_sym___stdcall] = ACTIONS(5608),
    [anon_sym___fastcall] = ACTIONS(5608),
    [anon_sym___thiscall] = ACTIONS(5608),
    [anon_sym___vectorcall] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2292] = {
    [sym_identifier] = ACTIONS(5718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_TILDE] = ACTIONS(5720),
    [anon_sym_STAR] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(5718),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___extension__] = ACTIONS(5718),
    [anon_sym_in] = ACTIONS(5718),
    [anon_sym_out] = ACTIONS(5718),
    [anon_sym_inout] = ACTIONS(5718),
    [anon_sym_virtual] = ACTIONS(5718),
    [anon_sym_extern] = ACTIONS(5718),
    [anon_sym___attribute__] = ACTIONS(5718),
    [anon_sym_COLON_COLON] = ACTIONS(5720),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5720),
    [anon_sym___declspec] = ACTIONS(5718),
    [anon_sym___based] = ACTIONS(5718),
    [anon_sym___cdecl] = ACTIONS(5718),
    [anon_sym___clrcall] = ACTIONS(5718),
    [anon_sym___stdcall] = ACTIONS(5718),
    [anon_sym___fastcall] = ACTIONS(5718),
    [anon_sym___thiscall] = ACTIONS(5718),
    [anon_sym___vectorcall] = ACTIONS(5718),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [anon_sym_static] = ACTIONS(5718),
    [anon_sym_EQ] = ACTIONS(5720),
    [anon_sym_register] = ACTIONS(5718),
    [anon_sym_inline] = ACTIONS(5718),
    [anon_sym___inline] = ACTIONS(5718),
    [anon_sym___inline__] = ACTIONS(5718),
    [anon_sym___forceinline] = ACTIONS(5718),
    [anon_sym_thread_local] = ACTIONS(5718),
    [anon_sym___thread] = ACTIONS(5718),
    [anon_sym_const] = ACTIONS(5718),
    [anon_sym_constexpr] = ACTIONS(5718),
    [anon_sym_volatile] = ACTIONS(5718),
    [anon_sym_restrict] = ACTIONS(5718),
    [anon_sym___restrict__] = ACTIONS(5718),
    [anon_sym__Atomic] = ACTIONS(5718),
    [anon_sym__Noreturn] = ACTIONS(5718),
    [anon_sym_noreturn] = ACTIONS(5718),
    [anon_sym__Nonnull] = ACTIONS(5718),
    [anon_sym_mutable] = ACTIONS(5718),
    [anon_sym_constinit] = ACTIONS(5718),
    [anon_sym_consteval] = ACTIONS(5718),
    [anon_sym_alignas] = ACTIONS(5718),
    [anon_sym__Alignas] = ACTIONS(5718),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5718),
    [anon_sym_decltype] = ACTIONS(5718),
    [anon_sym_final] = ACTIONS(5718),
    [anon_sym_override] = ACTIONS(5718),
    [anon_sym_template] = ACTIONS(5718),
    [anon_sym_GT2] = ACTIONS(5720),
    [anon_sym_operator] = ACTIONS(5718),
    [anon_sym_requires] = ACTIONS(5718),
    [anon_sym_precise] = ACTIONS(5718),
    [anon_sym_shared] = ACTIONS(5718),
    [anon_sym_groupshared] = ACTIONS(5718),
    [anon_sym_uniform] = ACTIONS(5718),
    [anon_sym_row_major] = ACTIONS(5718),
    [anon_sym_column_major] = ACTIONS(5718),
    [anon_sym_globallycoherent] = ACTIONS(5718),
    [anon_sym_centroid] = ACTIONS(5718),
    [anon_sym_noperspective] = ACTIONS(5718),
    [anon_sym_nointerpolation] = ACTIONS(5718),
    [anon_sym_sample] = ACTIONS(5718),
    [anon_sym_linear] = ACTIONS(5718),
    [anon_sym_snorm] = ACTIONS(5718),
    [anon_sym_unorm] = ACTIONS(5718),
    [anon_sym_point] = ACTIONS(5718),
    [anon_sym_line] = ACTIONS(5718),
    [anon_sym_triangleadj] = ACTIONS(5718),
    [anon_sym_lineadj] = ACTIONS(5718),
    [anon_sym_triangle] = ACTIONS(5718),
  },
  [2293] = {
    [sym__declaration_modifiers] = STATE(2261),
    [sym_attribute_specifier] = STATE(2261),
    [sym_attribute_declaration] = STATE(2261),
    [sym_ms_declspec_modifier] = STATE(2261),
    [sym_storage_class_specifier] = STATE(2261),
    [sym_type_qualifier] = STATE(2261),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype_auto] = STATE(2324),
    [sym_qualifiers] = STATE(2261),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5755),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_out] = ACTIONS(5612),
    [anon_sym_inout] = ACTIONS(5612),
    [anon_sym_virtual] = ACTIONS(5612),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym___cdecl] = ACTIONS(5608),
    [anon_sym___clrcall] = ACTIONS(5608),
    [anon_sym___stdcall] = ACTIONS(5608),
    [anon_sym___fastcall] = ACTIONS(5608),
    [anon_sym___thiscall] = ACTIONS(5608),
    [anon_sym___vectorcall] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2294] = {
    [sym_string_literal] = STATE(1209),
    [sym_identifier] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5759),
    [anon_sym_TILDE] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(5757),
    [anon_sym_in] = ACTIONS(5757),
    [anon_sym_out] = ACTIONS(5757),
    [anon_sym_inout] = ACTIONS(5757),
    [anon_sym_virtual] = ACTIONS(5757),
    [anon_sym_extern] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(5759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5759),
    [anon_sym___declspec] = ACTIONS(5757),
    [anon_sym___based] = ACTIONS(5757),
    [anon_sym_signed] = ACTIONS(5757),
    [anon_sym_unsigned] = ACTIONS(5757),
    [anon_sym_long] = ACTIONS(5757),
    [anon_sym_short] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_static] = ACTIONS(5757),
    [anon_sym_register] = ACTIONS(5757),
    [anon_sym_inline] = ACTIONS(5757),
    [anon_sym___inline] = ACTIONS(5757),
    [anon_sym___inline__] = ACTIONS(5757),
    [anon_sym___forceinline] = ACTIONS(5757),
    [anon_sym_thread_local] = ACTIONS(5757),
    [anon_sym___thread] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5757),
    [anon_sym_constexpr] = ACTIONS(5757),
    [anon_sym_volatile] = ACTIONS(5757),
    [anon_sym_restrict] = ACTIONS(5757),
    [anon_sym___restrict__] = ACTIONS(5757),
    [anon_sym__Atomic] = ACTIONS(5757),
    [anon_sym__Noreturn] = ACTIONS(5757),
    [anon_sym_noreturn] = ACTIONS(5757),
    [anon_sym__Nonnull] = ACTIONS(5757),
    [anon_sym_mutable] = ACTIONS(5757),
    [anon_sym_constinit] = ACTIONS(5757),
    [anon_sym_consteval] = ACTIONS(5757),
    [anon_sym_alignas] = ACTIONS(5757),
    [anon_sym__Alignas] = ACTIONS(5757),
    [sym_primitive_type] = ACTIONS(5757),
    [anon_sym_enum] = ACTIONS(5757),
    [anon_sym_class] = ACTIONS(5757),
    [anon_sym_struct] = ACTIONS(5757),
    [anon_sym_union] = ACTIONS(5757),
    [anon_sym_L_DQUOTE] = ACTIONS(5761),
    [anon_sym_u_DQUOTE] = ACTIONS(5761),
    [anon_sym_U_DQUOTE] = ACTIONS(5761),
    [anon_sym_u8_DQUOTE] = ACTIONS(5761),
    [anon_sym_DQUOTE] = ACTIONS(5761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5757),
    [anon_sym_decltype] = ACTIONS(5757),
    [anon_sym_explicit] = ACTIONS(5757),
    [anon_sym_typename] = ACTIONS(5757),
    [anon_sym_template] = ACTIONS(5757),
    [anon_sym_operator] = ACTIONS(5757),
    [anon_sym_precise] = ACTIONS(5757),
    [anon_sym_shared] = ACTIONS(5757),
    [anon_sym_groupshared] = ACTIONS(5757),
    [anon_sym_uniform] = ACTIONS(5757),
    [anon_sym_row_major] = ACTIONS(5757),
    [anon_sym_column_major] = ACTIONS(5757),
    [anon_sym_globallycoherent] = ACTIONS(5757),
    [anon_sym_centroid] = ACTIONS(5757),
    [anon_sym_noperspective] = ACTIONS(5757),
    [anon_sym_nointerpolation] = ACTIONS(5757),
    [anon_sym_sample] = ACTIONS(5757),
    [anon_sym_linear] = ACTIONS(5757),
    [anon_sym_snorm] = ACTIONS(5757),
    [anon_sym_unorm] = ACTIONS(5757),
    [anon_sym_point] = ACTIONS(5757),
    [anon_sym_line] = ACTIONS(5757),
    [anon_sym_triangleadj] = ACTIONS(5757),
    [anon_sym_lineadj] = ACTIONS(5757),
    [anon_sym_triangle] = ACTIONS(5757),
  },
  [2295] = {
    [sym_identifier] = ACTIONS(5702),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_STAR] = ACTIONS(5704),
    [anon_sym_AMP_AMP] = ACTIONS(5704),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5704),
    [anon_sym___extension__] = ACTIONS(5702),
    [anon_sym_in] = ACTIONS(5702),
    [anon_sym_out] = ACTIONS(5702),
    [anon_sym_inout] = ACTIONS(5702),
    [anon_sym_virtual] = ACTIONS(5702),
    [anon_sym_extern] = ACTIONS(5702),
    [anon_sym___attribute__] = ACTIONS(5702),
    [anon_sym_COLON_COLON] = ACTIONS(5708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5708),
    [anon_sym___declspec] = ACTIONS(5702),
    [anon_sym___cdecl] = ACTIONS(5702),
    [anon_sym___clrcall] = ACTIONS(5702),
    [anon_sym___stdcall] = ACTIONS(5702),
    [anon_sym___fastcall] = ACTIONS(5702),
    [anon_sym___thiscall] = ACTIONS(5702),
    [anon_sym___vectorcall] = ACTIONS(5702),
    [anon_sym_LBRACE] = ACTIONS(5704),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [anon_sym_static] = ACTIONS(5702),
    [anon_sym_register] = ACTIONS(5702),
    [anon_sym_inline] = ACTIONS(5702),
    [anon_sym___inline] = ACTIONS(5702),
    [anon_sym___inline__] = ACTIONS(5702),
    [anon_sym___forceinline] = ACTIONS(5702),
    [anon_sym_thread_local] = ACTIONS(5702),
    [anon_sym___thread] = ACTIONS(5702),
    [anon_sym_const] = ACTIONS(5702),
    [anon_sym_constexpr] = ACTIONS(5702),
    [anon_sym_volatile] = ACTIONS(5702),
    [anon_sym_restrict] = ACTIONS(5702),
    [anon_sym___restrict__] = ACTIONS(5702),
    [anon_sym__Atomic] = ACTIONS(5702),
    [anon_sym__Noreturn] = ACTIONS(5702),
    [anon_sym_noreturn] = ACTIONS(5702),
    [anon_sym__Nonnull] = ACTIONS(5702),
    [anon_sym_mutable] = ACTIONS(5702),
    [anon_sym_constinit] = ACTIONS(5702),
    [anon_sym_consteval] = ACTIONS(5702),
    [anon_sym_alignas] = ACTIONS(5702),
    [anon_sym__Alignas] = ACTIONS(5702),
    [sym_primitive_type] = ACTIONS(5702),
    [anon_sym_enum] = ACTIONS(5702),
    [anon_sym_class] = ACTIONS(5702),
    [anon_sym_struct] = ACTIONS(5702),
    [anon_sym_union] = ACTIONS(5702),
    [anon_sym_if] = ACTIONS(5702),
    [anon_sym_for] = ACTIONS(5702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5702),
    [anon_sym_decltype] = ACTIONS(5702),
    [anon_sym_typename] = ACTIONS(5702),
    [anon_sym_template] = ACTIONS(5702),
    [anon_sym_precise] = ACTIONS(5702),
    [anon_sym_shared] = ACTIONS(5702),
    [anon_sym_groupshared] = ACTIONS(5702),
    [anon_sym_uniform] = ACTIONS(5702),
    [anon_sym_row_major] = ACTIONS(5702),
    [anon_sym_column_major] = ACTIONS(5702),
    [anon_sym_globallycoherent] = ACTIONS(5702),
    [anon_sym_centroid] = ACTIONS(5702),
    [anon_sym_noperspective] = ACTIONS(5702),
    [anon_sym_nointerpolation] = ACTIONS(5702),
    [anon_sym_sample] = ACTIONS(5702),
    [anon_sym_linear] = ACTIONS(5702),
    [anon_sym_snorm] = ACTIONS(5702),
    [anon_sym_unorm] = ACTIONS(5702),
    [anon_sym_point] = ACTIONS(5702),
    [anon_sym_line] = ACTIONS(5702),
    [anon_sym_triangleadj] = ACTIONS(5702),
    [anon_sym_lineadj] = ACTIONS(5702),
    [anon_sym_triangle] = ACTIONS(5702),
  },
  [2296] = {
    [sym__declaration_modifiers] = STATE(2261),
    [sym_attribute_specifier] = STATE(2261),
    [sym_attribute_declaration] = STATE(2261),
    [sym_ms_declspec_modifier] = STATE(2261),
    [sym_storage_class_specifier] = STATE(2261),
    [sym_type_qualifier] = STATE(2261),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype_auto] = STATE(2324),
    [sym_qualifiers] = STATE(2261),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5763),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_out] = ACTIONS(5612),
    [anon_sym_inout] = ACTIONS(5612),
    [anon_sym_virtual] = ACTIONS(5612),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym___cdecl] = ACTIONS(5608),
    [anon_sym___clrcall] = ACTIONS(5608),
    [anon_sym___stdcall] = ACTIONS(5608),
    [anon_sym___fastcall] = ACTIONS(5608),
    [anon_sym___thiscall] = ACTIONS(5608),
    [anon_sym___vectorcall] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2297] = {
    [sym_string_literal] = STATE(1206),
    [sym_identifier] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5759),
    [anon_sym_TILDE] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(5757),
    [anon_sym_in] = ACTIONS(5757),
    [anon_sym_out] = ACTIONS(5757),
    [anon_sym_inout] = ACTIONS(5757),
    [anon_sym_virtual] = ACTIONS(5757),
    [anon_sym_extern] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(5759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5759),
    [anon_sym___declspec] = ACTIONS(5757),
    [anon_sym___based] = ACTIONS(5757),
    [anon_sym_signed] = ACTIONS(5757),
    [anon_sym_unsigned] = ACTIONS(5757),
    [anon_sym_long] = ACTIONS(5757),
    [anon_sym_short] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_static] = ACTIONS(5757),
    [anon_sym_register] = ACTIONS(5757),
    [anon_sym_inline] = ACTIONS(5757),
    [anon_sym___inline] = ACTIONS(5757),
    [anon_sym___inline__] = ACTIONS(5757),
    [anon_sym___forceinline] = ACTIONS(5757),
    [anon_sym_thread_local] = ACTIONS(5757),
    [anon_sym___thread] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5757),
    [anon_sym_constexpr] = ACTIONS(5757),
    [anon_sym_volatile] = ACTIONS(5757),
    [anon_sym_restrict] = ACTIONS(5757),
    [anon_sym___restrict__] = ACTIONS(5757),
    [anon_sym__Atomic] = ACTIONS(5757),
    [anon_sym__Noreturn] = ACTIONS(5757),
    [anon_sym_noreturn] = ACTIONS(5757),
    [anon_sym__Nonnull] = ACTIONS(5757),
    [anon_sym_mutable] = ACTIONS(5757),
    [anon_sym_constinit] = ACTIONS(5757),
    [anon_sym_consteval] = ACTIONS(5757),
    [anon_sym_alignas] = ACTIONS(5757),
    [anon_sym__Alignas] = ACTIONS(5757),
    [sym_primitive_type] = ACTIONS(5757),
    [anon_sym_enum] = ACTIONS(5757),
    [anon_sym_class] = ACTIONS(5757),
    [anon_sym_struct] = ACTIONS(5757),
    [anon_sym_union] = ACTIONS(5757),
    [anon_sym_L_DQUOTE] = ACTIONS(5761),
    [anon_sym_u_DQUOTE] = ACTIONS(5761),
    [anon_sym_U_DQUOTE] = ACTIONS(5761),
    [anon_sym_u8_DQUOTE] = ACTIONS(5761),
    [anon_sym_DQUOTE] = ACTIONS(5761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5757),
    [anon_sym_decltype] = ACTIONS(5757),
    [anon_sym_explicit] = ACTIONS(5757),
    [anon_sym_typename] = ACTIONS(5757),
    [anon_sym_template] = ACTIONS(5757),
    [anon_sym_operator] = ACTIONS(5757),
    [anon_sym_precise] = ACTIONS(5757),
    [anon_sym_shared] = ACTIONS(5757),
    [anon_sym_groupshared] = ACTIONS(5757),
    [anon_sym_uniform] = ACTIONS(5757),
    [anon_sym_row_major] = ACTIONS(5757),
    [anon_sym_column_major] = ACTIONS(5757),
    [anon_sym_globallycoherent] = ACTIONS(5757),
    [anon_sym_centroid] = ACTIONS(5757),
    [anon_sym_noperspective] = ACTIONS(5757),
    [anon_sym_nointerpolation] = ACTIONS(5757),
    [anon_sym_sample] = ACTIONS(5757),
    [anon_sym_linear] = ACTIONS(5757),
    [anon_sym_snorm] = ACTIONS(5757),
    [anon_sym_unorm] = ACTIONS(5757),
    [anon_sym_point] = ACTIONS(5757),
    [anon_sym_line] = ACTIONS(5757),
    [anon_sym_triangleadj] = ACTIONS(5757),
    [anon_sym_lineadj] = ACTIONS(5757),
    [anon_sym_triangle] = ACTIONS(5757),
  },
  [2298] = {
    [sym__declaration_modifiers] = STATE(2261),
    [sym_attribute_specifier] = STATE(2261),
    [sym_attribute_declaration] = STATE(2261),
    [sym_ms_declspec_modifier] = STATE(2261),
    [sym_storage_class_specifier] = STATE(2261),
    [sym_type_qualifier] = STATE(2261),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype_auto] = STATE(2324),
    [sym_qualifiers] = STATE(2261),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5765),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_out] = ACTIONS(5612),
    [anon_sym_inout] = ACTIONS(5612),
    [anon_sym_virtual] = ACTIONS(5612),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym___cdecl] = ACTIONS(5608),
    [anon_sym___clrcall] = ACTIONS(5608),
    [anon_sym___stdcall] = ACTIONS(5608),
    [anon_sym___fastcall] = ACTIONS(5608),
    [anon_sym___thiscall] = ACTIONS(5608),
    [anon_sym___vectorcall] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2299] = {
    [sym_decltype_auto] = STATE(2324),
    [sym_identifier] = ACTIONS(5767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5769),
    [anon_sym_COMMA] = ACTIONS(5769),
    [anon_sym_RPAREN] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [anon_sym_TILDE] = ACTIONS(5769),
    [anon_sym_STAR] = ACTIONS(5769),
    [anon_sym_AMP_AMP] = ACTIONS(5769),
    [anon_sym_AMP] = ACTIONS(5767),
    [anon_sym_COLON] = ACTIONS(5767),
    [anon_sym_SEMI] = ACTIONS(5769),
    [anon_sym___extension__] = ACTIONS(5767),
    [anon_sym_in] = ACTIONS(5767),
    [anon_sym_out] = ACTIONS(5767),
    [anon_sym_inout] = ACTIONS(5767),
    [anon_sym_virtual] = ACTIONS(5767),
    [anon_sym_extern] = ACTIONS(5767),
    [anon_sym___attribute__] = ACTIONS(5767),
    [anon_sym_COLON_COLON] = ACTIONS(5769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5769),
    [anon_sym___declspec] = ACTIONS(5767),
    [anon_sym___based] = ACTIONS(5767),
    [anon_sym___cdecl] = ACTIONS(5767),
    [anon_sym___clrcall] = ACTIONS(5767),
    [anon_sym___stdcall] = ACTIONS(5767),
    [anon_sym___fastcall] = ACTIONS(5767),
    [anon_sym___thiscall] = ACTIONS(5767),
    [anon_sym___vectorcall] = ACTIONS(5767),
    [anon_sym_LBRACK] = ACTIONS(5767),
    [anon_sym_static] = ACTIONS(5767),
    [anon_sym_EQ] = ACTIONS(5769),
    [anon_sym_register] = ACTIONS(5767),
    [anon_sym_inline] = ACTIONS(5767),
    [anon_sym___inline] = ACTIONS(5767),
    [anon_sym___inline__] = ACTIONS(5767),
    [anon_sym___forceinline] = ACTIONS(5767),
    [anon_sym_thread_local] = ACTIONS(5767),
    [anon_sym___thread] = ACTIONS(5767),
    [anon_sym_const] = ACTIONS(5767),
    [anon_sym_constexpr] = ACTIONS(5767),
    [anon_sym_volatile] = ACTIONS(5767),
    [anon_sym_restrict] = ACTIONS(5767),
    [anon_sym___restrict__] = ACTIONS(5767),
    [anon_sym__Atomic] = ACTIONS(5767),
    [anon_sym__Noreturn] = ACTIONS(5767),
    [anon_sym_noreturn] = ACTIONS(5767),
    [anon_sym__Nonnull] = ACTIONS(5767),
    [anon_sym_mutable] = ACTIONS(5767),
    [anon_sym_constinit] = ACTIONS(5767),
    [anon_sym_consteval] = ACTIONS(5767),
    [anon_sym_alignas] = ACTIONS(5767),
    [anon_sym__Alignas] = ACTIONS(5767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_final] = ACTIONS(5767),
    [anon_sym_override] = ACTIONS(5767),
    [anon_sym_template] = ACTIONS(5767),
    [anon_sym_GT2] = ACTIONS(5769),
    [anon_sym_operator] = ACTIONS(5767),
    [anon_sym_requires] = ACTIONS(5767),
    [anon_sym_precise] = ACTIONS(5767),
    [anon_sym_shared] = ACTIONS(5767),
    [anon_sym_groupshared] = ACTIONS(5767),
    [anon_sym_uniform] = ACTIONS(5767),
    [anon_sym_row_major] = ACTIONS(5767),
    [anon_sym_column_major] = ACTIONS(5767),
    [anon_sym_globallycoherent] = ACTIONS(5767),
    [anon_sym_centroid] = ACTIONS(5767),
    [anon_sym_noperspective] = ACTIONS(5767),
    [anon_sym_nointerpolation] = ACTIONS(5767),
    [anon_sym_sample] = ACTIONS(5767),
    [anon_sym_linear] = ACTIONS(5767),
    [anon_sym_snorm] = ACTIONS(5767),
    [anon_sym_unorm] = ACTIONS(5767),
    [anon_sym_point] = ACTIONS(5767),
    [anon_sym_line] = ACTIONS(5767),
    [anon_sym_triangleadj] = ACTIONS(5767),
    [anon_sym_lineadj] = ACTIONS(5767),
    [anon_sym_triangle] = ACTIONS(5767),
  },
  [2300] = {
    [sym__declaration_modifiers] = STATE(2261),
    [sym_attribute_specifier] = STATE(2261),
    [sym_attribute_declaration] = STATE(2261),
    [sym_ms_declspec_modifier] = STATE(2261),
    [sym_storage_class_specifier] = STATE(2261),
    [sym_type_qualifier] = STATE(2261),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype_auto] = STATE(2324),
    [sym_qualifiers] = STATE(2261),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5771),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_out] = ACTIONS(5612),
    [anon_sym_inout] = ACTIONS(5612),
    [anon_sym_virtual] = ACTIONS(5612),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym___cdecl] = ACTIONS(5608),
    [anon_sym___clrcall] = ACTIONS(5608),
    [anon_sym___stdcall] = ACTIONS(5608),
    [anon_sym___fastcall] = ACTIONS(5608),
    [anon_sym___thiscall] = ACTIONS(5608),
    [anon_sym___vectorcall] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2301] = {
    [sym__declaration_modifiers] = STATE(2261),
    [sym_attribute_specifier] = STATE(2261),
    [sym_attribute_declaration] = STATE(2261),
    [sym_ms_declspec_modifier] = STATE(2261),
    [sym_storage_class_specifier] = STATE(2261),
    [sym_type_qualifier] = STATE(2261),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype_auto] = STATE(2324),
    [sym_qualifiers] = STATE(2261),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5773),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_out] = ACTIONS(5612),
    [anon_sym_inout] = ACTIONS(5612),
    [anon_sym_virtual] = ACTIONS(5612),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym___cdecl] = ACTIONS(5608),
    [anon_sym___clrcall] = ACTIONS(5608),
    [anon_sym___stdcall] = ACTIONS(5608),
    [anon_sym___fastcall] = ACTIONS(5608),
    [anon_sym___thiscall] = ACTIONS(5608),
    [anon_sym___vectorcall] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2302] = {
    [sym__declaration_modifiers] = STATE(2261),
    [sym_attribute_specifier] = STATE(2261),
    [sym_attribute_declaration] = STATE(2261),
    [sym_ms_declspec_modifier] = STATE(2261),
    [sym_storage_class_specifier] = STATE(2261),
    [sym_type_qualifier] = STATE(2261),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_decltype_auto] = STATE(2324),
    [sym_qualifiers] = STATE(2261),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5775),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_out] = ACTIONS(5612),
    [anon_sym_inout] = ACTIONS(5612),
    [anon_sym_virtual] = ACTIONS(5612),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym___cdecl] = ACTIONS(5608),
    [anon_sym___clrcall] = ACTIONS(5608),
    [anon_sym___stdcall] = ACTIONS(5608),
    [anon_sym___fastcall] = ACTIONS(5608),
    [anon_sym___thiscall] = ACTIONS(5608),
    [anon_sym___vectorcall] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_precise] = ACTIONS(5355),
    [anon_sym_shared] = ACTIONS(5355),
    [anon_sym_groupshared] = ACTIONS(5355),
    [anon_sym_uniform] = ACTIONS(5355),
    [anon_sym_row_major] = ACTIONS(5355),
    [anon_sym_column_major] = ACTIONS(5355),
    [anon_sym_globallycoherent] = ACTIONS(5355),
    [anon_sym_centroid] = ACTIONS(5355),
    [anon_sym_noperspective] = ACTIONS(5355),
    [anon_sym_nointerpolation] = ACTIONS(5355),
    [anon_sym_sample] = ACTIONS(5355),
    [anon_sym_linear] = ACTIONS(5355),
    [anon_sym_snorm] = ACTIONS(5355),
    [anon_sym_unorm] = ACTIONS(5355),
    [anon_sym_point] = ACTIONS(5355),
    [anon_sym_line] = ACTIONS(5355),
    [anon_sym_triangleadj] = ACTIONS(5355),
    [anon_sym_lineadj] = ACTIONS(5355),
    [anon_sym_triangle] = ACTIONS(5355),
  },
  [2303] = {
    [sym_identifier] = ACTIONS(5485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5487),
    [anon_sym_COMMA] = ACTIONS(5487),
    [anon_sym_RPAREN] = ACTIONS(5487),
    [anon_sym_LPAREN2] = ACTIONS(5487),
    [anon_sym_TILDE] = ACTIONS(5487),
    [anon_sym_STAR] = ACTIONS(5487),
    [anon_sym_AMP_AMP] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(5485),
    [anon_sym_COLON] = ACTIONS(5485),
    [anon_sym_SEMI] = ACTIONS(5487),
    [anon_sym___extension__] = ACTIONS(5485),
    [anon_sym_in] = ACTIONS(5485),
    [anon_sym_out] = ACTIONS(5485),
    [anon_sym_inout] = ACTIONS(5485),
    [anon_sym_virtual] = ACTIONS(5485),
    [anon_sym_extern] = ACTIONS(5485),
    [anon_sym___attribute__] = ACTIONS(5485),
    [anon_sym_COLON_COLON] = ACTIONS(5487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5487),
    [anon_sym___declspec] = ACTIONS(5485),
    [anon_sym___based] = ACTIONS(5485),
    [anon_sym___cdecl] = ACTIONS(5485),
    [anon_sym___clrcall] = ACTIONS(5485),
    [anon_sym___stdcall] = ACTIONS(5485),
    [anon_sym___fastcall] = ACTIONS(5485),
    [anon_sym___thiscall] = ACTIONS(5485),
    [anon_sym___vectorcall] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(5487),
    [anon_sym_LBRACK] = ACTIONS(5485),
    [anon_sym_static] = ACTIONS(5485),
    [anon_sym_EQ] = ACTIONS(5487),
    [anon_sym_register] = ACTIONS(5485),
    [anon_sym_inline] = ACTIONS(5485),
    [anon_sym___inline] = ACTIONS(5485),
    [anon_sym___inline__] = ACTIONS(5485),
    [anon_sym___forceinline] = ACTIONS(5485),
    [anon_sym_thread_local] = ACTIONS(5485),
    [anon_sym___thread] = ACTIONS(5485),
    [anon_sym_const] = ACTIONS(5485),
    [anon_sym_constexpr] = ACTIONS(5485),
    [anon_sym_volatile] = ACTIONS(5485),
    [anon_sym_restrict] = ACTIONS(5485),
    [anon_sym___restrict__] = ACTIONS(5485),
    [anon_sym__Atomic] = ACTIONS(5485),
    [anon_sym__Noreturn] = ACTIONS(5485),
    [anon_sym_noreturn] = ACTIONS(5485),
    [anon_sym__Nonnull] = ACTIONS(5485),
    [anon_sym_mutable] = ACTIONS(5485),
    [anon_sym_constinit] = ACTIONS(5485),
    [anon_sym_consteval] = ACTIONS(5485),
    [anon_sym_alignas] = ACTIONS(5485),
    [anon_sym__Alignas] = ACTIONS(5485),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5485),
    [anon_sym_decltype] = ACTIONS(5485),
    [anon_sym_final] = ACTIONS(5485),
    [anon_sym_override] = ACTIONS(5485),
    [anon_sym_explicit] = ACTIONS(5485),
    [anon_sym_template] = ACTIONS(5485),
    [anon_sym_GT2] = ACTIONS(5487),
    [anon_sym_operator] = ACTIONS(5485),
    [anon_sym_precise] = ACTIONS(5485),
    [anon_sym_shared] = ACTIONS(5485),
    [anon_sym_groupshared] = ACTIONS(5485),
    [anon_sym_uniform] = ACTIONS(5485),
    [anon_sym_row_major] = ACTIONS(5485),
    [anon_sym_column_major] = ACTIONS(5485),
    [anon_sym_globallycoherent] = ACTIONS(5485),
    [anon_sym_centroid] = ACTIONS(5485),
    [anon_sym_noperspective] = ACTIONS(5485),
    [anon_sym_nointerpolation] = ACTIONS(5485),
    [anon_sym_sample] = ACTIONS(5485),
    [anon_sym_linear] = ACTIONS(5485),
    [anon_sym_snorm] = ACTIONS(5485),
    [anon_sym_unorm] = ACTIONS(5485),
    [anon_sym_point] = ACTIONS(5485),
    [anon_sym_line] = ACTIONS(5485),
    [anon_sym_triangleadj] = ACTIONS(5485),
    [anon_sym_lineadj] = ACTIONS(5485),
    [anon_sym_triangle] = ACTIONS(5485),
  },
  [2304] = {
    [sym_string_literal] = STATE(1207),
    [sym_identifier] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5759),
    [anon_sym_TILDE] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(5757),
    [anon_sym_in] = ACTIONS(5757),
    [anon_sym_out] = ACTIONS(5757),
    [anon_sym_inout] = ACTIONS(5757),
    [anon_sym_virtual] = ACTIONS(5757),
    [anon_sym_extern] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(5759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5759),
    [anon_sym___declspec] = ACTIONS(5757),
    [anon_sym___based] = ACTIONS(5757),
    [anon_sym_signed] = ACTIONS(5757),
    [anon_sym_unsigned] = ACTIONS(5757),
    [anon_sym_long] = ACTIONS(5757),
    [anon_sym_short] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_static] = ACTIONS(5757),
    [anon_sym_register] = ACTIONS(5757),
    [anon_sym_inline] = ACTIONS(5757),
    [anon_sym___inline] = ACTIONS(5757),
    [anon_sym___inline__] = ACTIONS(5757),
    [anon_sym___forceinline] = ACTIONS(5757),
    [anon_sym_thread_local] = ACTIONS(5757),
    [anon_sym___thread] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5757),
    [anon_sym_constexpr] = ACTIONS(5757),
    [anon_sym_volatile] = ACTIONS(5757),
    [anon_sym_restrict] = ACTIONS(5757),
    [anon_sym___restrict__] = ACTIONS(5757),
    [anon_sym__Atomic] = ACTIONS(5757),
    [anon_sym__Noreturn] = ACTIONS(5757),
    [anon_sym_noreturn] = ACTIONS(5757),
    [anon_sym__Nonnull] = ACTIONS(5757),
    [anon_sym_mutable] = ACTIONS(5757),
    [anon_sym_constinit] = ACTIONS(5757),
    [anon_sym_consteval] = ACTIONS(5757),
    [anon_sym_alignas] = ACTIONS(5757),
    [anon_sym__Alignas] = ACTIONS(5757),
    [sym_primitive_type] = ACTIONS(5757),
    [anon_sym_enum] = ACTIONS(5757),
    [anon_sym_class] = ACTIONS(5757),
    [anon_sym_struct] = ACTIONS(5757),
    [anon_sym_union] = ACTIONS(5757),
    [anon_sym_L_DQUOTE] = ACTIONS(5761),
    [anon_sym_u_DQUOTE] = ACTIONS(5761),
    [anon_sym_U_DQUOTE] = ACTIONS(5761),
    [anon_sym_u8_DQUOTE] = ACTIONS(5761),
    [anon_sym_DQUOTE] = ACTIONS(5761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5757),
    [anon_sym_decltype] = ACTIONS(5757),
    [anon_sym_explicit] = ACTIONS(5757),
    [anon_sym_typename] = ACTIONS(5757),
    [anon_sym_template] = ACTIONS(5757),
    [anon_sym_operator] = ACTIONS(5757),
    [anon_sym_precise] = ACTIONS(5757),
    [anon_sym_shared] = ACTIONS(5757),
    [anon_sym_groupshared] = ACTIONS(5757),
    [anon_sym_uniform] = ACTIONS(5757),
    [anon_sym_row_major] = ACTIONS(5757),
    [anon_sym_column_major] = ACTIONS(5757),
    [anon_sym_globallycoherent] = ACTIONS(5757),
    [anon_sym_centroid] = ACTIONS(5757),
    [anon_sym_noperspective] = ACTIONS(5757),
    [anon_sym_nointerpolation] = ACTIONS(5757),
    [anon_sym_sample] = ACTIONS(5757),
    [anon_sym_linear] = ACTIONS(5757),
    [anon_sym_snorm] = ACTIONS(5757),
    [anon_sym_unorm] = ACTIONS(5757),
    [anon_sym_point] = ACTIONS(5757),
    [anon_sym_line] = ACTIONS(5757),
    [anon_sym_triangleadj] = ACTIONS(5757),
    [anon_sym_lineadj] = ACTIONS(5757),
    [anon_sym_triangle] = ACTIONS(5757),
  },
  [2305] = {
    [sym_string_literal] = STATE(1208),
    [sym_identifier] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5759),
    [anon_sym_TILDE] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(5757),
    [anon_sym_in] = ACTIONS(5757),
    [anon_sym_out] = ACTIONS(5757),
    [anon_sym_inout] = ACTIONS(5757),
    [anon_sym_virtual] = ACTIONS(5757),
    [anon_sym_extern] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(5759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5759),
    [anon_sym___declspec] = ACTIONS(5757),
    [anon_sym___based] = ACTIONS(5757),
    [anon_sym_signed] = ACTIONS(5757),
    [anon_sym_unsigned] = ACTIONS(5757),
    [anon_sym_long] = ACTIONS(5757),
    [anon_sym_short] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_static] = ACTIONS(5757),
    [anon_sym_register] = ACTIONS(5757),
    [anon_sym_inline] = ACTIONS(5757),
    [anon_sym___inline] = ACTIONS(5757),
    [anon_sym___inline__] = ACTIONS(5757),
    [anon_sym___forceinline] = ACTIONS(5757),
    [anon_sym_thread_local] = ACTIONS(5757),
    [anon_sym___thread] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5757),
    [anon_sym_constexpr] = ACTIONS(5757),
    [anon_sym_volatile] = ACTIONS(5757),
    [anon_sym_restrict] = ACTIONS(5757),
    [anon_sym___restrict__] = ACTIONS(5757),
    [anon_sym__Atomic] = ACTIONS(5757),
    [anon_sym__Noreturn] = ACTIONS(5757),
    [anon_sym_noreturn] = ACTIONS(5757),
    [anon_sym__Nonnull] = ACTIONS(5757),
    [anon_sym_mutable] = ACTIONS(5757),
    [anon_sym_constinit] = ACTIONS(5757),
    [anon_sym_consteval] = ACTIONS(5757),
    [anon_sym_alignas] = ACTIONS(5757),
    [anon_sym__Alignas] = ACTIONS(5757),
    [sym_primitive_type] = ACTIONS(5757),
    [anon_sym_enum] = ACTIONS(5757),
    [anon_sym_class] = ACTIONS(5757),
    [anon_sym_struct] = ACTIONS(5757),
    [anon_sym_union] = ACTIONS(5757),
    [anon_sym_L_DQUOTE] = ACTIONS(5761),
    [anon_sym_u_DQUOTE] = ACTIONS(5761),
    [anon_sym_U_DQUOTE] = ACTIONS(5761),
    [anon_sym_u8_DQUOTE] = ACTIONS(5761),
    [anon_sym_DQUOTE] = ACTIONS(5761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5757),
    [anon_sym_decltype] = ACTIONS(5757),
    [anon_sym_explicit] = ACTIONS(5757),
    [anon_sym_typename] = ACTIONS(5757),
    [anon_sym_template] = ACTIONS(5757),
    [anon_sym_operator] = ACTIONS(5757),
    [anon_sym_precise] = ACTIONS(5757),
    [anon_sym_shared] = ACTIONS(5757),
    [anon_sym_groupshared] = ACTIONS(5757),
    [anon_sym_uniform] = ACTIONS(5757),
    [anon_sym_row_major] = ACTIONS(5757),
    [anon_sym_column_major] = ACTIONS(5757),
    [anon_sym_globallycoherent] = ACTIONS(5757),
    [anon_sym_centroid] = ACTIONS(5757),
    [anon_sym_noperspective] = ACTIONS(5757),
    [anon_sym_nointerpolation] = ACTIONS(5757),
    [anon_sym_sample] = ACTIONS(5757),
    [anon_sym_linear] = ACTIONS(5757),
    [anon_sym_snorm] = ACTIONS(5757),
    [anon_sym_unorm] = ACTIONS(5757),
    [anon_sym_point] = ACTIONS(5757),
    [anon_sym_line] = ACTIONS(5757),
    [anon_sym_triangleadj] = ACTIONS(5757),
    [anon_sym_lineadj] = ACTIONS(5757),
    [anon_sym_triangle] = ACTIONS(5757),
  },
  [2306] = {
    [sym_identifier] = ACTIONS(5777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5779),
    [anon_sym_COMMA] = ACTIONS(5779),
    [anon_sym_RPAREN] = ACTIONS(5779),
    [anon_sym_LPAREN2] = ACTIONS(5779),
    [anon_sym_TILDE] = ACTIONS(5779),
    [anon_sym_STAR] = ACTIONS(5779),
    [anon_sym_AMP_AMP] = ACTIONS(5779),
    [anon_sym_AMP] = ACTIONS(5777),
    [anon_sym_COLON] = ACTIONS(5777),
    [anon_sym_SEMI] = ACTIONS(5779),
    [anon_sym___extension__] = ACTIONS(5777),
    [anon_sym_in] = ACTIONS(5777),
    [anon_sym_out] = ACTIONS(5777),
    [anon_sym_inout] = ACTIONS(5777),
    [anon_sym_virtual] = ACTIONS(5777),
    [anon_sym_extern] = ACTIONS(5777),
    [anon_sym___attribute__] = ACTIONS(5777),
    [anon_sym_COLON_COLON] = ACTIONS(5779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5779),
    [anon_sym___declspec] = ACTIONS(5777),
    [anon_sym___based] = ACTIONS(5777),
    [anon_sym___cdecl] = ACTIONS(5777),
    [anon_sym___clrcall] = ACTIONS(5777),
    [anon_sym___stdcall] = ACTIONS(5777),
    [anon_sym___fastcall] = ACTIONS(5777),
    [anon_sym___thiscall] = ACTIONS(5777),
    [anon_sym___vectorcall] = ACTIONS(5777),
    [anon_sym_LBRACK] = ACTIONS(5777),
    [anon_sym_static] = ACTIONS(5777),
    [anon_sym_EQ] = ACTIONS(5779),
    [anon_sym_register] = ACTIONS(5777),
    [anon_sym_inline] = ACTIONS(5777),
    [anon_sym___inline] = ACTIONS(5777),
    [anon_sym___inline__] = ACTIONS(5777),
    [anon_sym___forceinline] = ACTIONS(5777),
    [anon_sym_thread_local] = ACTIONS(5777),
    [anon_sym___thread] = ACTIONS(5777),
    [anon_sym_const] = ACTIONS(5777),
    [anon_sym_constexpr] = ACTIONS(5777),
    [anon_sym_volatile] = ACTIONS(5777),
    [anon_sym_restrict] = ACTIONS(5777),
    [anon_sym___restrict__] = ACTIONS(5777),
    [anon_sym__Atomic] = ACTIONS(5777),
    [anon_sym__Noreturn] = ACTIONS(5777),
    [anon_sym_noreturn] = ACTIONS(5777),
    [anon_sym__Nonnull] = ACTIONS(5777),
    [anon_sym_mutable] = ACTIONS(5777),
    [anon_sym_constinit] = ACTIONS(5777),
    [anon_sym_consteval] = ACTIONS(5777),
    [anon_sym_alignas] = ACTIONS(5777),
    [anon_sym__Alignas] = ACTIONS(5777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5777),
    [anon_sym_decltype] = ACTIONS(5777),
    [anon_sym_final] = ACTIONS(5777),
    [anon_sym_override] = ACTIONS(5777),
    [anon_sym_template] = ACTIONS(5777),
    [anon_sym_GT2] = ACTIONS(5779),
    [anon_sym_operator] = ACTIONS(5777),
    [anon_sym_requires] = ACTIONS(5777),
    [anon_sym_precise] = ACTIONS(5777),
    [anon_sym_shared] = ACTIONS(5777),
    [anon_sym_groupshared] = ACTIONS(5777),
    [anon_sym_uniform] = ACTIONS(5777),
    [anon_sym_row_major] = ACTIONS(5777),
    [anon_sym_column_major] = ACTIONS(5777),
    [anon_sym_globallycoherent] = ACTIONS(5777),
    [anon_sym_centroid] = ACTIONS(5777),
    [anon_sym_noperspective] = ACTIONS(5777),
    [anon_sym_nointerpolation] = ACTIONS(5777),
    [anon_sym_sample] = ACTIONS(5777),
    [anon_sym_linear] = ACTIONS(5777),
    [anon_sym_snorm] = ACTIONS(5777),
    [anon_sym_unorm] = ACTIONS(5777),
    [anon_sym_point] = ACTIONS(5777),
    [anon_sym_line] = ACTIONS(5777),
    [anon_sym_triangleadj] = ACTIONS(5777),
    [anon_sym_lineadj] = ACTIONS(5777),
    [anon_sym_triangle] = ACTIONS(5777),
  },
  [2307] = {
    [sym_identifier] = ACTIONS(5781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5783),
    [anon_sym_COMMA] = ACTIONS(5783),
    [anon_sym_RPAREN] = ACTIONS(5783),
    [anon_sym_LPAREN2] = ACTIONS(5783),
    [anon_sym_TILDE] = ACTIONS(5783),
    [anon_sym_STAR] = ACTIONS(5783),
    [anon_sym_AMP_AMP] = ACTIONS(5783),
    [anon_sym_AMP] = ACTIONS(5781),
    [anon_sym_COLON] = ACTIONS(5781),
    [anon_sym_SEMI] = ACTIONS(5783),
    [anon_sym___extension__] = ACTIONS(5781),
    [anon_sym_in] = ACTIONS(5781),
    [anon_sym_out] = ACTIONS(5781),
    [anon_sym_inout] = ACTIONS(5781),
    [anon_sym_virtual] = ACTIONS(5781),
    [anon_sym_extern] = ACTIONS(5781),
    [anon_sym___attribute__] = ACTIONS(5781),
    [anon_sym_COLON_COLON] = ACTIONS(5783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5783),
    [anon_sym___declspec] = ACTIONS(5781),
    [anon_sym___based] = ACTIONS(5781),
    [anon_sym___cdecl] = ACTIONS(5781),
    [anon_sym___clrcall] = ACTIONS(5781),
    [anon_sym___stdcall] = ACTIONS(5781),
    [anon_sym___fastcall] = ACTIONS(5781),
    [anon_sym___thiscall] = ACTIONS(5781),
    [anon_sym___vectorcall] = ACTIONS(5781),
    [anon_sym_LBRACK] = ACTIONS(5781),
    [anon_sym_static] = ACTIONS(5781),
    [anon_sym_EQ] = ACTIONS(5783),
    [anon_sym_register] = ACTIONS(5781),
    [anon_sym_inline] = ACTIONS(5781),
    [anon_sym___inline] = ACTIONS(5781),
    [anon_sym___inline__] = ACTIONS(5781),
    [anon_sym___forceinline] = ACTIONS(5781),
    [anon_sym_thread_local] = ACTIONS(5781),
    [anon_sym___thread] = ACTIONS(5781),
    [anon_sym_const] = ACTIONS(5781),
    [anon_sym_constexpr] = ACTIONS(5781),
    [anon_sym_volatile] = ACTIONS(5781),
    [anon_sym_restrict] = ACTIONS(5781),
    [anon_sym___restrict__] = ACTIONS(5781),
    [anon_sym__Atomic] = ACTIONS(5781),
    [anon_sym__Noreturn] = ACTIONS(5781),
    [anon_sym_noreturn] = ACTIONS(5781),
    [anon_sym__Nonnull] = ACTIONS(5781),
    [anon_sym_mutable] = ACTIONS(5781),
    [anon_sym_constinit] = ACTIONS(5781),
    [anon_sym_consteval] = ACTIONS(5781),
    [anon_sym_alignas] = ACTIONS(5781),
    [anon_sym__Alignas] = ACTIONS(5781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5781),
    [anon_sym_decltype] = ACTIONS(5781),
    [anon_sym_final] = ACTIONS(5781),
    [anon_sym_override] = ACTIONS(5781),
    [anon_sym_template] = ACTIONS(5781),
    [anon_sym_GT2] = ACTIONS(5783),
    [anon_sym_operator] = ACTIONS(5781),
    [anon_sym_requires] = ACTIONS(5781),
    [anon_sym_precise] = ACTIONS(5781),
    [anon_sym_shared] = ACTIONS(5781),
    [anon_sym_groupshared] = ACTIONS(5781),
    [anon_sym_uniform] = ACTIONS(5781),
    [anon_sym_row_major] = ACTIONS(5781),
    [anon_sym_column_major] = ACTIONS(5781),
    [anon_sym_globallycoherent] = ACTIONS(5781),
    [anon_sym_centroid] = ACTIONS(5781),
    [anon_sym_noperspective] = ACTIONS(5781),
    [anon_sym_nointerpolation] = ACTIONS(5781),
    [anon_sym_sample] = ACTIONS(5781),
    [anon_sym_linear] = ACTIONS(5781),
    [anon_sym_snorm] = ACTIONS(5781),
    [anon_sym_unorm] = ACTIONS(5781),
    [anon_sym_point] = ACTIONS(5781),
    [anon_sym_line] = ACTIONS(5781),
    [anon_sym_triangleadj] = ACTIONS(5781),
    [anon_sym_lineadj] = ACTIONS(5781),
    [anon_sym_triangle] = ACTIONS(5781),
  },
  [2308] = {
    [sym_identifier] = ACTIONS(5785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5787),
    [anon_sym_COMMA] = ACTIONS(5787),
    [anon_sym_RPAREN] = ACTIONS(5787),
    [anon_sym_LPAREN2] = ACTIONS(5787),
    [anon_sym_TILDE] = ACTIONS(5787),
    [anon_sym_STAR] = ACTIONS(5787),
    [anon_sym_AMP_AMP] = ACTIONS(5787),
    [anon_sym_AMP] = ACTIONS(5785),
    [anon_sym_COLON] = ACTIONS(5785),
    [anon_sym_SEMI] = ACTIONS(5787),
    [anon_sym___extension__] = ACTIONS(5785),
    [anon_sym_in] = ACTIONS(5785),
    [anon_sym_out] = ACTIONS(5785),
    [anon_sym_inout] = ACTIONS(5785),
    [anon_sym_virtual] = ACTIONS(5785),
    [anon_sym_extern] = ACTIONS(5785),
    [anon_sym___attribute__] = ACTIONS(5785),
    [anon_sym_COLON_COLON] = ACTIONS(5787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5787),
    [anon_sym___declspec] = ACTIONS(5785),
    [anon_sym___based] = ACTIONS(5785),
    [anon_sym___cdecl] = ACTIONS(5785),
    [anon_sym___clrcall] = ACTIONS(5785),
    [anon_sym___stdcall] = ACTIONS(5785),
    [anon_sym___fastcall] = ACTIONS(5785),
    [anon_sym___thiscall] = ACTIONS(5785),
    [anon_sym___vectorcall] = ACTIONS(5785),
    [anon_sym_LBRACK] = ACTIONS(5785),
    [anon_sym_static] = ACTIONS(5785),
    [anon_sym_EQ] = ACTIONS(5787),
    [anon_sym_register] = ACTIONS(5785),
    [anon_sym_inline] = ACTIONS(5785),
    [anon_sym___inline] = ACTIONS(5785),
    [anon_sym___inline__] = ACTIONS(5785),
    [anon_sym___forceinline] = ACTIONS(5785),
    [anon_sym_thread_local] = ACTIONS(5785),
    [anon_sym___thread] = ACTIONS(5785),
    [anon_sym_const] = ACTIONS(5785),
    [anon_sym_constexpr] = ACTIONS(5785),
    [anon_sym_volatile] = ACTIONS(5785),
    [anon_sym_restrict] = ACTIONS(5785),
    [anon_sym___restrict__] = ACTIONS(5785),
    [anon_sym__Atomic] = ACTIONS(5785),
    [anon_sym__Noreturn] = ACTIONS(5785),
    [anon_sym_noreturn] = ACTIONS(5785),
    [anon_sym__Nonnull] = ACTIONS(5785),
    [anon_sym_mutable] = ACTIONS(5785),
    [anon_sym_constinit] = ACTIONS(5785),
    [anon_sym_consteval] = ACTIONS(5785),
    [anon_sym_alignas] = ACTIONS(5785),
    [anon_sym__Alignas] = ACTIONS(5785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5785),
    [anon_sym_decltype] = ACTIONS(5785),
    [anon_sym_final] = ACTIONS(5785),
    [anon_sym_override] = ACTIONS(5785),
    [anon_sym_template] = ACTIONS(5785),
    [anon_sym_GT2] = ACTIONS(5787),
    [anon_sym_operator] = ACTIONS(5785),
    [anon_sym_requires] = ACTIONS(5785),
    [anon_sym_precise] = ACTIONS(5785),
    [anon_sym_shared] = ACTIONS(5785),
    [anon_sym_groupshared] = ACTIONS(5785),
    [anon_sym_uniform] = ACTIONS(5785),
    [anon_sym_row_major] = ACTIONS(5785),
    [anon_sym_column_major] = ACTIONS(5785),
    [anon_sym_globallycoherent] = ACTIONS(5785),
    [anon_sym_centroid] = ACTIONS(5785),
    [anon_sym_noperspective] = ACTIONS(5785),
    [anon_sym_nointerpolation] = ACTIONS(5785),
    [anon_sym_sample] = ACTIONS(5785),
    [anon_sym_linear] = ACTIONS(5785),
    [anon_sym_snorm] = ACTIONS(5785),
    [anon_sym_unorm] = ACTIONS(5785),
    [anon_sym_point] = ACTIONS(5785),
    [anon_sym_line] = ACTIONS(5785),
    [anon_sym_triangleadj] = ACTIONS(5785),
    [anon_sym_lineadj] = ACTIONS(5785),
    [anon_sym_triangle] = ACTIONS(5785),
  },
  [2309] = {
    [sym_identifier] = ACTIONS(5789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5791),
    [anon_sym_COMMA] = ACTIONS(5791),
    [anon_sym_RPAREN] = ACTIONS(5791),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_TILDE] = ACTIONS(5791),
    [anon_sym_STAR] = ACTIONS(5791),
    [anon_sym_AMP_AMP] = ACTIONS(5791),
    [anon_sym_AMP] = ACTIONS(5789),
    [anon_sym_COLON] = ACTIONS(5789),
    [anon_sym_SEMI] = ACTIONS(5791),
    [anon_sym___extension__] = ACTIONS(5789),
    [anon_sym_in] = ACTIONS(5789),
    [anon_sym_out] = ACTIONS(5789),
    [anon_sym_inout] = ACTIONS(5789),
    [anon_sym_virtual] = ACTIONS(5789),
    [anon_sym_extern] = ACTIONS(5789),
    [anon_sym___attribute__] = ACTIONS(5789),
    [anon_sym_COLON_COLON] = ACTIONS(5791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5791),
    [anon_sym___declspec] = ACTIONS(5789),
    [anon_sym___based] = ACTIONS(5789),
    [anon_sym___cdecl] = ACTIONS(5789),
    [anon_sym___clrcall] = ACTIONS(5789),
    [anon_sym___stdcall] = ACTIONS(5789),
    [anon_sym___fastcall] = ACTIONS(5789),
    [anon_sym___thiscall] = ACTIONS(5789),
    [anon_sym___vectorcall] = ACTIONS(5789),
    [anon_sym_LBRACK] = ACTIONS(5789),
    [anon_sym_static] = ACTIONS(5789),
    [anon_sym_EQ] = ACTIONS(5791),
    [anon_sym_register] = ACTIONS(5789),
    [anon_sym_inline] = ACTIONS(5789),
    [anon_sym___inline] = ACTIONS(5789),
    [anon_sym___inline__] = ACTIONS(5789),
    [anon_sym___forceinline] = ACTIONS(5789),
    [anon_sym_thread_local] = ACTIONS(5789),
    [anon_sym___thread] = ACTIONS(5789),
    [anon_sym_const] = ACTIONS(5789),
    [anon_sym_constexpr] = ACTIONS(5789),
    [anon_sym_volatile] = ACTIONS(5789),
    [anon_sym_restrict] = ACTIONS(5789),
    [anon_sym___restrict__] = ACTIONS(5789),
    [anon_sym__Atomic] = ACTIONS(5789),
    [anon_sym__Noreturn] = ACTIONS(5789),
    [anon_sym_noreturn] = ACTIONS(5789),
    [anon_sym__Nonnull] = ACTIONS(5789),
    [anon_sym_mutable] = ACTIONS(5789),
    [anon_sym_constinit] = ACTIONS(5789),
    [anon_sym_consteval] = ACTIONS(5789),
    [anon_sym_alignas] = ACTIONS(5789),
    [anon_sym__Alignas] = ACTIONS(5789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5789),
    [anon_sym_decltype] = ACTIONS(5789),
    [anon_sym_final] = ACTIONS(5789),
    [anon_sym_override] = ACTIONS(5789),
    [anon_sym_template] = ACTIONS(5789),
    [anon_sym_GT2] = ACTIONS(5791),
    [anon_sym_operator] = ACTIONS(5789),
    [anon_sym_requires] = ACTIONS(5789),
    [anon_sym_precise] = ACTIONS(5789),
    [anon_sym_shared] = ACTIONS(5789),
    [anon_sym_groupshared] = ACTIONS(5789),
    [anon_sym_uniform] = ACTIONS(5789),
    [anon_sym_row_major] = ACTIONS(5789),
    [anon_sym_column_major] = ACTIONS(5789),
    [anon_sym_globallycoherent] = ACTIONS(5789),
    [anon_sym_centroid] = ACTIONS(5789),
    [anon_sym_noperspective] = ACTIONS(5789),
    [anon_sym_nointerpolation] = ACTIONS(5789),
    [anon_sym_sample] = ACTIONS(5789),
    [anon_sym_linear] = ACTIONS(5789),
    [anon_sym_snorm] = ACTIONS(5789),
    [anon_sym_unorm] = ACTIONS(5789),
    [anon_sym_point] = ACTIONS(5789),
    [anon_sym_line] = ACTIONS(5789),
    [anon_sym_triangleadj] = ACTIONS(5789),
    [anon_sym_lineadj] = ACTIONS(5789),
    [anon_sym_triangle] = ACTIONS(5789),
  },
  [2310] = {
    [sym_identifier] = ACTIONS(5793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5795),
    [anon_sym_COMMA] = ACTIONS(5795),
    [anon_sym_RPAREN] = ACTIONS(5795),
    [anon_sym_LPAREN2] = ACTIONS(5795),
    [anon_sym_TILDE] = ACTIONS(5795),
    [anon_sym_STAR] = ACTIONS(5795),
    [anon_sym_AMP_AMP] = ACTIONS(5795),
    [anon_sym_AMP] = ACTIONS(5793),
    [anon_sym_COLON] = ACTIONS(5793),
    [anon_sym_SEMI] = ACTIONS(5795),
    [anon_sym___extension__] = ACTIONS(5793),
    [anon_sym_in] = ACTIONS(5793),
    [anon_sym_out] = ACTIONS(5793),
    [anon_sym_inout] = ACTIONS(5793),
    [anon_sym_virtual] = ACTIONS(5793),
    [anon_sym_extern] = ACTIONS(5793),
    [anon_sym___attribute__] = ACTIONS(5793),
    [anon_sym_COLON_COLON] = ACTIONS(5795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5795),
    [anon_sym___declspec] = ACTIONS(5793),
    [anon_sym___based] = ACTIONS(5793),
    [anon_sym___cdecl] = ACTIONS(5793),
    [anon_sym___clrcall] = ACTIONS(5793),
    [anon_sym___stdcall] = ACTIONS(5793),
    [anon_sym___fastcall] = ACTIONS(5793),
    [anon_sym___thiscall] = ACTIONS(5793),
    [anon_sym___vectorcall] = ACTIONS(5793),
    [anon_sym_LBRACK] = ACTIONS(5793),
    [anon_sym_static] = ACTIONS(5793),
    [anon_sym_EQ] = ACTIONS(5795),
    [anon_sym_register] = ACTIONS(5793),
    [anon_sym_inline] = ACTIONS(5793),
    [anon_sym___inline] = ACTIONS(5793),
    [anon_sym___inline__] = ACTIONS(5793),
    [anon_sym___forceinline] = ACTIONS(5793),
    [anon_sym_thread_local] = ACTIONS(5793),
    [anon_sym___thread] = ACTIONS(5793),
    [anon_sym_const] = ACTIONS(5793),
    [anon_sym_constexpr] = ACTIONS(5793),
    [anon_sym_volatile] = ACTIONS(5793),
    [anon_sym_restrict] = ACTIONS(5793),
    [anon_sym___restrict__] = ACTIONS(5793),
    [anon_sym__Atomic] = ACTIONS(5793),
    [anon_sym__Noreturn] = ACTIONS(5793),
    [anon_sym_noreturn] = ACTIONS(5793),
    [anon_sym__Nonnull] = ACTIONS(5793),
    [anon_sym_mutable] = ACTIONS(5793),
    [anon_sym_constinit] = ACTIONS(5793),
    [anon_sym_consteval] = ACTIONS(5793),
    [anon_sym_alignas] = ACTIONS(5793),
    [anon_sym__Alignas] = ACTIONS(5793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5793),
    [anon_sym_decltype] = ACTIONS(5793),
    [anon_sym_final] = ACTIONS(5793),
    [anon_sym_override] = ACTIONS(5793),
    [anon_sym_template] = ACTIONS(5793),
    [anon_sym_GT2] = ACTIONS(5795),
    [anon_sym_operator] = ACTIONS(5793),
    [anon_sym_requires] = ACTIONS(5793),
    [anon_sym_precise] = ACTIONS(5793),
    [anon_sym_shared] = ACTIONS(5793),
    [anon_sym_groupshared] = ACTIONS(5793),
    [anon_sym_uniform] = ACTIONS(5793),
    [anon_sym_row_major] = ACTIONS(5793),
    [anon_sym_column_major] = ACTIONS(5793),
    [anon_sym_globallycoherent] = ACTIONS(5793),
    [anon_sym_centroid] = ACTIONS(5793),
    [anon_sym_noperspective] = ACTIONS(5793),
    [anon_sym_nointerpolation] = ACTIONS(5793),
    [anon_sym_sample] = ACTIONS(5793),
    [anon_sym_linear] = ACTIONS(5793),
    [anon_sym_snorm] = ACTIONS(5793),
    [anon_sym_unorm] = ACTIONS(5793),
    [anon_sym_point] = ACTIONS(5793),
    [anon_sym_line] = ACTIONS(5793),
    [anon_sym_triangleadj] = ACTIONS(5793),
    [anon_sym_lineadj] = ACTIONS(5793),
    [anon_sym_triangle] = ACTIONS(5793),
  },
  [2311] = {
    [sym_identifier] = ACTIONS(5777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5779),
    [anon_sym_COMMA] = ACTIONS(5779),
    [anon_sym_RPAREN] = ACTIONS(5779),
    [anon_sym_LPAREN2] = ACTIONS(5779),
    [anon_sym_TILDE] = ACTIONS(5779),
    [anon_sym_STAR] = ACTIONS(5779),
    [anon_sym_AMP_AMP] = ACTIONS(5779),
    [anon_sym_AMP] = ACTIONS(5777),
    [anon_sym_COLON] = ACTIONS(5777),
    [anon_sym_SEMI] = ACTIONS(5779),
    [anon_sym___extension__] = ACTIONS(5777),
    [anon_sym_in] = ACTIONS(5777),
    [anon_sym_out] = ACTIONS(5777),
    [anon_sym_inout] = ACTIONS(5777),
    [anon_sym_virtual] = ACTIONS(5777),
    [anon_sym_extern] = ACTIONS(5777),
    [anon_sym___attribute__] = ACTIONS(5777),
    [anon_sym_COLON_COLON] = ACTIONS(5779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5779),
    [anon_sym___declspec] = ACTIONS(5777),
    [anon_sym___based] = ACTIONS(5777),
    [anon_sym___cdecl] = ACTIONS(5777),
    [anon_sym___clrcall] = ACTIONS(5777),
    [anon_sym___stdcall] = ACTIONS(5777),
    [anon_sym___fastcall] = ACTIONS(5777),
    [anon_sym___thiscall] = ACTIONS(5777),
    [anon_sym___vectorcall] = ACTIONS(5777),
    [anon_sym_LBRACK] = ACTIONS(5777),
    [anon_sym_static] = ACTIONS(5777),
    [anon_sym_EQ] = ACTIONS(5779),
    [anon_sym_register] = ACTIONS(5777),
    [anon_sym_inline] = ACTIONS(5777),
    [anon_sym___inline] = ACTIONS(5777),
    [anon_sym___inline__] = ACTIONS(5777),
    [anon_sym___forceinline] = ACTIONS(5777),
    [anon_sym_thread_local] = ACTIONS(5777),
    [anon_sym___thread] = ACTIONS(5777),
    [anon_sym_const] = ACTIONS(5777),
    [anon_sym_constexpr] = ACTIONS(5777),
    [anon_sym_volatile] = ACTIONS(5777),
    [anon_sym_restrict] = ACTIONS(5777),
    [anon_sym___restrict__] = ACTIONS(5777),
    [anon_sym__Atomic] = ACTIONS(5777),
    [anon_sym__Noreturn] = ACTIONS(5777),
    [anon_sym_noreturn] = ACTIONS(5777),
    [anon_sym__Nonnull] = ACTIONS(5777),
    [anon_sym_mutable] = ACTIONS(5777),
    [anon_sym_constinit] = ACTIONS(5777),
    [anon_sym_consteval] = ACTIONS(5777),
    [anon_sym_alignas] = ACTIONS(5777),
    [anon_sym__Alignas] = ACTIONS(5777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5777),
    [anon_sym_decltype] = ACTIONS(5777),
    [anon_sym_final] = ACTIONS(5777),
    [anon_sym_override] = ACTIONS(5777),
    [anon_sym_template] = ACTIONS(5777),
    [anon_sym_GT2] = ACTIONS(5779),
    [anon_sym_operator] = ACTIONS(5777),
    [anon_sym_requires] = ACTIONS(5777),
    [anon_sym_precise] = ACTIONS(5777),
    [anon_sym_shared] = ACTIONS(5777),
    [anon_sym_groupshared] = ACTIONS(5777),
    [anon_sym_uniform] = ACTIONS(5777),
    [anon_sym_row_major] = ACTIONS(5777),
    [anon_sym_column_major] = ACTIONS(5777),
    [anon_sym_globallycoherent] = ACTIONS(5777),
    [anon_sym_centroid] = ACTIONS(5777),
    [anon_sym_noperspective] = ACTIONS(5777),
    [anon_sym_nointerpolation] = ACTIONS(5777),
    [anon_sym_sample] = ACTIONS(5777),
    [anon_sym_linear] = ACTIONS(5777),
    [anon_sym_snorm] = ACTIONS(5777),
    [anon_sym_unorm] = ACTIONS(5777),
    [anon_sym_point] = ACTIONS(5777),
    [anon_sym_line] = ACTIONS(5777),
    [anon_sym_triangleadj] = ACTIONS(5777),
    [anon_sym_lineadj] = ACTIONS(5777),
    [anon_sym_triangle] = ACTIONS(5777),
  },
  [2312] = {
    [sym_identifier] = ACTIONS(5797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5799),
    [anon_sym_COMMA] = ACTIONS(5799),
    [anon_sym_RPAREN] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [anon_sym_TILDE] = ACTIONS(5799),
    [anon_sym_STAR] = ACTIONS(5799),
    [anon_sym_AMP_AMP] = ACTIONS(5799),
    [anon_sym_AMP] = ACTIONS(5797),
    [anon_sym_COLON] = ACTIONS(5797),
    [anon_sym_SEMI] = ACTIONS(5799),
    [anon_sym___extension__] = ACTIONS(5797),
    [anon_sym_in] = ACTIONS(5797),
    [anon_sym_out] = ACTIONS(5797),
    [anon_sym_inout] = ACTIONS(5797),
    [anon_sym_virtual] = ACTIONS(5797),
    [anon_sym_extern] = ACTIONS(5797),
    [anon_sym___attribute__] = ACTIONS(5797),
    [anon_sym_COLON_COLON] = ACTIONS(5799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5799),
    [anon_sym___declspec] = ACTIONS(5797),
    [anon_sym___based] = ACTIONS(5797),
    [anon_sym___cdecl] = ACTIONS(5797),
    [anon_sym___clrcall] = ACTIONS(5797),
    [anon_sym___stdcall] = ACTIONS(5797),
    [anon_sym___fastcall] = ACTIONS(5797),
    [anon_sym___thiscall] = ACTIONS(5797),
    [anon_sym___vectorcall] = ACTIONS(5797),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [anon_sym_static] = ACTIONS(5797),
    [anon_sym_EQ] = ACTIONS(5799),
    [anon_sym_register] = ACTIONS(5797),
    [anon_sym_inline] = ACTIONS(5797),
    [anon_sym___inline] = ACTIONS(5797),
    [anon_sym___inline__] = ACTIONS(5797),
    [anon_sym___forceinline] = ACTIONS(5797),
    [anon_sym_thread_local] = ACTIONS(5797),
    [anon_sym___thread] = ACTIONS(5797),
    [anon_sym_const] = ACTIONS(5797),
    [anon_sym_constexpr] = ACTIONS(5797),
    [anon_sym_volatile] = ACTIONS(5797),
    [anon_sym_restrict] = ACTIONS(5797),
    [anon_sym___restrict__] = ACTIONS(5797),
    [anon_sym__Atomic] = ACTIONS(5797),
    [anon_sym__Noreturn] = ACTIONS(5797),
    [anon_sym_noreturn] = ACTIONS(5797),
    [anon_sym__Nonnull] = ACTIONS(5797),
    [anon_sym_mutable] = ACTIONS(5797),
    [anon_sym_constinit] = ACTIONS(5797),
    [anon_sym_consteval] = ACTIONS(5797),
    [anon_sym_alignas] = ACTIONS(5797),
    [anon_sym__Alignas] = ACTIONS(5797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5797),
    [anon_sym_decltype] = ACTIONS(5797),
    [anon_sym_final] = ACTIONS(5797),
    [anon_sym_override] = ACTIONS(5797),
    [anon_sym_template] = ACTIONS(5797),
    [anon_sym_GT2] = ACTIONS(5799),
    [anon_sym_operator] = ACTIONS(5797),
    [anon_sym_requires] = ACTIONS(5797),
    [anon_sym_precise] = ACTIONS(5797),
    [anon_sym_shared] = ACTIONS(5797),
    [anon_sym_groupshared] = ACTIONS(5797),
    [anon_sym_uniform] = ACTIONS(5797),
    [anon_sym_row_major] = ACTIONS(5797),
    [anon_sym_column_major] = ACTIONS(5797),
    [anon_sym_globallycoherent] = ACTIONS(5797),
    [anon_sym_centroid] = ACTIONS(5797),
    [anon_sym_noperspective] = ACTIONS(5797),
    [anon_sym_nointerpolation] = ACTIONS(5797),
    [anon_sym_sample] = ACTIONS(5797),
    [anon_sym_linear] = ACTIONS(5797),
    [anon_sym_snorm] = ACTIONS(5797),
    [anon_sym_unorm] = ACTIONS(5797),
    [anon_sym_point] = ACTIONS(5797),
    [anon_sym_line] = ACTIONS(5797),
    [anon_sym_triangleadj] = ACTIONS(5797),
    [anon_sym_lineadj] = ACTIONS(5797),
    [anon_sym_triangle] = ACTIONS(5797),
  },
  [2313] = {
    [sym_identifier] = ACTIONS(5801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [anon_sym_RPAREN] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_TILDE] = ACTIONS(5803),
    [anon_sym_STAR] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(5801),
    [anon_sym_COLON] = ACTIONS(5801),
    [anon_sym_SEMI] = ACTIONS(5803),
    [anon_sym___extension__] = ACTIONS(5801),
    [anon_sym_in] = ACTIONS(5801),
    [anon_sym_out] = ACTIONS(5801),
    [anon_sym_inout] = ACTIONS(5801),
    [anon_sym_virtual] = ACTIONS(5801),
    [anon_sym_extern] = ACTIONS(5801),
    [anon_sym___attribute__] = ACTIONS(5801),
    [anon_sym_COLON_COLON] = ACTIONS(5803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5803),
    [anon_sym___declspec] = ACTIONS(5801),
    [anon_sym___based] = ACTIONS(5801),
    [anon_sym___cdecl] = ACTIONS(5801),
    [anon_sym___clrcall] = ACTIONS(5801),
    [anon_sym___stdcall] = ACTIONS(5801),
    [anon_sym___fastcall] = ACTIONS(5801),
    [anon_sym___thiscall] = ACTIONS(5801),
    [anon_sym___vectorcall] = ACTIONS(5801),
    [anon_sym_LBRACK] = ACTIONS(5801),
    [anon_sym_static] = ACTIONS(5801),
    [anon_sym_EQ] = ACTIONS(5803),
    [anon_sym_register] = ACTIONS(5801),
    [anon_sym_inline] = ACTIONS(5801),
    [anon_sym___inline] = ACTIONS(5801),
    [anon_sym___inline__] = ACTIONS(5801),
    [anon_sym___forceinline] = ACTIONS(5801),
    [anon_sym_thread_local] = ACTIONS(5801),
    [anon_sym___thread] = ACTIONS(5801),
    [anon_sym_const] = ACTIONS(5801),
    [anon_sym_constexpr] = ACTIONS(5801),
    [anon_sym_volatile] = ACTIONS(5801),
    [anon_sym_restrict] = ACTIONS(5801),
    [anon_sym___restrict__] = ACTIONS(5801),
    [anon_sym__Atomic] = ACTIONS(5801),
    [anon_sym__Noreturn] = ACTIONS(5801),
    [anon_sym_noreturn] = ACTIONS(5801),
    [anon_sym__Nonnull] = ACTIONS(5801),
    [anon_sym_mutable] = ACTIONS(5801),
    [anon_sym_constinit] = ACTIONS(5801),
    [anon_sym_consteval] = ACTIONS(5801),
    [anon_sym_alignas] = ACTIONS(5801),
    [anon_sym__Alignas] = ACTIONS(5801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5801),
    [anon_sym_decltype] = ACTIONS(5801),
    [anon_sym_final] = ACTIONS(5801),
    [anon_sym_override] = ACTIONS(5801),
    [anon_sym_template] = ACTIONS(5801),
    [anon_sym_GT2] = ACTIONS(5803),
    [anon_sym_operator] = ACTIONS(5801),
    [anon_sym_requires] = ACTIONS(5801),
    [anon_sym_precise] = ACTIONS(5801),
    [anon_sym_shared] = ACTIONS(5801),
    [anon_sym_groupshared] = ACTIONS(5801),
    [anon_sym_uniform] = ACTIONS(5801),
    [anon_sym_row_major] = ACTIONS(5801),
    [anon_sym_column_major] = ACTIONS(5801),
    [anon_sym_globallycoherent] = ACTIONS(5801),
    [anon_sym_centroid] = ACTIONS(5801),
    [anon_sym_noperspective] = ACTIONS(5801),
    [anon_sym_nointerpolation] = ACTIONS(5801),
    [anon_sym_sample] = ACTIONS(5801),
    [anon_sym_linear] = ACTIONS(5801),
    [anon_sym_snorm] = ACTIONS(5801),
    [anon_sym_unorm] = ACTIONS(5801),
    [anon_sym_point] = ACTIONS(5801),
    [anon_sym_line] = ACTIONS(5801),
    [anon_sym_triangleadj] = ACTIONS(5801),
    [anon_sym_lineadj] = ACTIONS(5801),
    [anon_sym_triangle] = ACTIONS(5801),
  },
  [2314] = {
    [sym_attribute_specifier] = STATE(2307),
    [sym_enumerator_list] = STATE(2370),
    [sym_identifier] = ACTIONS(5805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5807),
    [anon_sym_COMMA] = ACTIONS(5807),
    [anon_sym_RPAREN] = ACTIONS(5807),
    [anon_sym_LPAREN2] = ACTIONS(5807),
    [anon_sym_TILDE] = ACTIONS(5807),
    [anon_sym_STAR] = ACTIONS(5807),
    [anon_sym_AMP_AMP] = ACTIONS(5807),
    [anon_sym_AMP] = ACTIONS(5805),
    [anon_sym_COLON] = ACTIONS(5805),
    [anon_sym_SEMI] = ACTIONS(5807),
    [anon_sym___extension__] = ACTIONS(5805),
    [anon_sym_in] = ACTIONS(5805),
    [anon_sym_out] = ACTIONS(5805),
    [anon_sym_inout] = ACTIONS(5805),
    [anon_sym_virtual] = ACTIONS(5805),
    [anon_sym_extern] = ACTIONS(5805),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5807),
    [anon_sym___declspec] = ACTIONS(5805),
    [anon_sym___based] = ACTIONS(5805),
    [anon_sym___cdecl] = ACTIONS(5805),
    [anon_sym___clrcall] = ACTIONS(5805),
    [anon_sym___stdcall] = ACTIONS(5805),
    [anon_sym___fastcall] = ACTIONS(5805),
    [anon_sym___thiscall] = ACTIONS(5805),
    [anon_sym___vectorcall] = ACTIONS(5805),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(5805),
    [anon_sym_static] = ACTIONS(5805),
    [anon_sym_EQ] = ACTIONS(5807),
    [anon_sym_register] = ACTIONS(5805),
    [anon_sym_inline] = ACTIONS(5805),
    [anon_sym___inline] = ACTIONS(5805),
    [anon_sym___inline__] = ACTIONS(5805),
    [anon_sym___forceinline] = ACTIONS(5805),
    [anon_sym_thread_local] = ACTIONS(5805),
    [anon_sym___thread] = ACTIONS(5805),
    [anon_sym_const] = ACTIONS(5805),
    [anon_sym_constexpr] = ACTIONS(5805),
    [anon_sym_volatile] = ACTIONS(5805),
    [anon_sym_restrict] = ACTIONS(5805),
    [anon_sym___restrict__] = ACTIONS(5805),
    [anon_sym__Atomic] = ACTIONS(5805),
    [anon_sym__Noreturn] = ACTIONS(5805),
    [anon_sym_noreturn] = ACTIONS(5805),
    [anon_sym__Nonnull] = ACTIONS(5805),
    [anon_sym_mutable] = ACTIONS(5805),
    [anon_sym_constinit] = ACTIONS(5805),
    [anon_sym_consteval] = ACTIONS(5805),
    [anon_sym_alignas] = ACTIONS(5805),
    [anon_sym__Alignas] = ACTIONS(5805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5805),
    [anon_sym_decltype] = ACTIONS(5805),
    [anon_sym_template] = ACTIONS(5805),
    [anon_sym_GT2] = ACTIONS(5807),
    [anon_sym_operator] = ACTIONS(5805),
    [anon_sym_precise] = ACTIONS(5805),
    [anon_sym_shared] = ACTIONS(5805),
    [anon_sym_groupshared] = ACTIONS(5805),
    [anon_sym_uniform] = ACTIONS(5805),
    [anon_sym_row_major] = ACTIONS(5805),
    [anon_sym_column_major] = ACTIONS(5805),
    [anon_sym_globallycoherent] = ACTIONS(5805),
    [anon_sym_centroid] = ACTIONS(5805),
    [anon_sym_noperspective] = ACTIONS(5805),
    [anon_sym_nointerpolation] = ACTIONS(5805),
    [anon_sym_sample] = ACTIONS(5805),
    [anon_sym_linear] = ACTIONS(5805),
    [anon_sym_snorm] = ACTIONS(5805),
    [anon_sym_unorm] = ACTIONS(5805),
    [anon_sym_point] = ACTIONS(5805),
    [anon_sym_line] = ACTIONS(5805),
    [anon_sym_triangleadj] = ACTIONS(5805),
    [anon_sym_lineadj] = ACTIONS(5805),
    [anon_sym_triangle] = ACTIONS(5805),
  },
  [2315] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_TILDE] = ACTIONS(5813),
    [anon_sym_STAR] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_COLON] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___extension__] = ACTIONS(5811),
    [anon_sym_in] = ACTIONS(5811),
    [anon_sym_out] = ACTIONS(5811),
    [anon_sym_inout] = ACTIONS(5811),
    [anon_sym_virtual] = ACTIONS(5811),
    [anon_sym_extern] = ACTIONS(5811),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym_COLON_COLON] = ACTIONS(5813),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5813),
    [anon_sym___declspec] = ACTIONS(5811),
    [anon_sym___based] = ACTIONS(5811),
    [anon_sym___cdecl] = ACTIONS(5811),
    [anon_sym___clrcall] = ACTIONS(5811),
    [anon_sym___stdcall] = ACTIONS(5811),
    [anon_sym___fastcall] = ACTIONS(5811),
    [anon_sym___thiscall] = ACTIONS(5811),
    [anon_sym___vectorcall] = ACTIONS(5811),
    [anon_sym_LBRACK] = ACTIONS(5811),
    [anon_sym_static] = ACTIONS(5811),
    [anon_sym_EQ] = ACTIONS(5813),
    [anon_sym_register] = ACTIONS(5811),
    [anon_sym_inline] = ACTIONS(5811),
    [anon_sym___inline] = ACTIONS(5811),
    [anon_sym___inline__] = ACTIONS(5811),
    [anon_sym___forceinline] = ACTIONS(5811),
    [anon_sym_thread_local] = ACTIONS(5811),
    [anon_sym___thread] = ACTIONS(5811),
    [anon_sym_const] = ACTIONS(5811),
    [anon_sym_constexpr] = ACTIONS(5811),
    [anon_sym_volatile] = ACTIONS(5811),
    [anon_sym_restrict] = ACTIONS(5811),
    [anon_sym___restrict__] = ACTIONS(5811),
    [anon_sym__Atomic] = ACTIONS(5811),
    [anon_sym__Noreturn] = ACTIONS(5811),
    [anon_sym_noreturn] = ACTIONS(5811),
    [anon_sym__Nonnull] = ACTIONS(5811),
    [anon_sym_mutable] = ACTIONS(5811),
    [anon_sym_constinit] = ACTIONS(5811),
    [anon_sym_consteval] = ACTIONS(5811),
    [anon_sym_alignas] = ACTIONS(5811),
    [anon_sym__Alignas] = ACTIONS(5811),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
    [anon_sym_final] = ACTIONS(5811),
    [anon_sym_override] = ACTIONS(5811),
    [anon_sym_template] = ACTIONS(5811),
    [anon_sym_GT2] = ACTIONS(5813),
    [anon_sym_operator] = ACTIONS(5811),
    [anon_sym_requires] = ACTIONS(5811),
    [anon_sym_precise] = ACTIONS(5811),
    [anon_sym_shared] = ACTIONS(5811),
    [anon_sym_groupshared] = ACTIONS(5811),
    [anon_sym_uniform] = ACTIONS(5811),
    [anon_sym_row_major] = ACTIONS(5811),
    [anon_sym_column_major] = ACTIONS(5811),
    [anon_sym_globallycoherent] = ACTIONS(5811),
    [anon_sym_centroid] = ACTIONS(5811),
    [anon_sym_noperspective] = ACTIONS(5811),
    [anon_sym_nointerpolation] = ACTIONS(5811),
    [anon_sym_sample] = ACTIONS(5811),
    [anon_sym_linear] = ACTIONS(5811),
    [anon_sym_snorm] = ACTIONS(5811),
    [anon_sym_unorm] = ACTIONS(5811),
    [anon_sym_point] = ACTIONS(5811),
    [anon_sym_line] = ACTIONS(5811),
    [anon_sym_triangleadj] = ACTIONS(5811),
    [anon_sym_lineadj] = ACTIONS(5811),
    [anon_sym_triangle] = ACTIONS(5811),
  },
  [2316] = {
    [sym_identifier] = ACTIONS(5815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5817),
    [anon_sym_COMMA] = ACTIONS(5817),
    [anon_sym_RPAREN] = ACTIONS(5817),
    [anon_sym_LPAREN2] = ACTIONS(5817),
    [anon_sym_TILDE] = ACTIONS(5817),
    [anon_sym_STAR] = ACTIONS(5817),
    [anon_sym_AMP_AMP] = ACTIONS(5817),
    [anon_sym_AMP] = ACTIONS(5815),
    [anon_sym_COLON] = ACTIONS(5815),
    [anon_sym_SEMI] = ACTIONS(5817),
    [anon_sym___extension__] = ACTIONS(5815),
    [anon_sym_in] = ACTIONS(5815),
    [anon_sym_out] = ACTIONS(5815),
    [anon_sym_inout] = ACTIONS(5815),
    [anon_sym_virtual] = ACTIONS(5815),
    [anon_sym_extern] = ACTIONS(5815),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym_COLON_COLON] = ACTIONS(5817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5817),
    [anon_sym___declspec] = ACTIONS(5815),
    [anon_sym___based] = ACTIONS(5815),
    [anon_sym___cdecl] = ACTIONS(5815),
    [anon_sym___clrcall] = ACTIONS(5815),
    [anon_sym___stdcall] = ACTIONS(5815),
    [anon_sym___fastcall] = ACTIONS(5815),
    [anon_sym___thiscall] = ACTIONS(5815),
    [anon_sym___vectorcall] = ACTIONS(5815),
    [anon_sym_LBRACK] = ACTIONS(5815),
    [anon_sym_static] = ACTIONS(5815),
    [anon_sym_EQ] = ACTIONS(5817),
    [anon_sym_register] = ACTIONS(5815),
    [anon_sym_inline] = ACTIONS(5815),
    [anon_sym___inline] = ACTIONS(5815),
    [anon_sym___inline__] = ACTIONS(5815),
    [anon_sym___forceinline] = ACTIONS(5815),
    [anon_sym_thread_local] = ACTIONS(5815),
    [anon_sym___thread] = ACTIONS(5815),
    [anon_sym_const] = ACTIONS(5815),
    [anon_sym_constexpr] = ACTIONS(5815),
    [anon_sym_volatile] = ACTIONS(5815),
    [anon_sym_restrict] = ACTIONS(5815),
    [anon_sym___restrict__] = ACTIONS(5815),
    [anon_sym__Atomic] = ACTIONS(5815),
    [anon_sym__Noreturn] = ACTIONS(5815),
    [anon_sym_noreturn] = ACTIONS(5815),
    [anon_sym__Nonnull] = ACTIONS(5815),
    [anon_sym_mutable] = ACTIONS(5815),
    [anon_sym_constinit] = ACTIONS(5815),
    [anon_sym_consteval] = ACTIONS(5815),
    [anon_sym_alignas] = ACTIONS(5815),
    [anon_sym__Alignas] = ACTIONS(5815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5815),
    [anon_sym_decltype] = ACTIONS(5815),
    [anon_sym_final] = ACTIONS(5815),
    [anon_sym_override] = ACTIONS(5815),
    [anon_sym_template] = ACTIONS(5815),
    [anon_sym_GT2] = ACTIONS(5817),
    [anon_sym_operator] = ACTIONS(5815),
    [anon_sym_requires] = ACTIONS(5815),
    [anon_sym_precise] = ACTIONS(5815),
    [anon_sym_shared] = ACTIONS(5815),
    [anon_sym_groupshared] = ACTIONS(5815),
    [anon_sym_uniform] = ACTIONS(5815),
    [anon_sym_row_major] = ACTIONS(5815),
    [anon_sym_column_major] = ACTIONS(5815),
    [anon_sym_globallycoherent] = ACTIONS(5815),
    [anon_sym_centroid] = ACTIONS(5815),
    [anon_sym_noperspective] = ACTIONS(5815),
    [anon_sym_nointerpolation] = ACTIONS(5815),
    [anon_sym_sample] = ACTIONS(5815),
    [anon_sym_linear] = ACTIONS(5815),
    [anon_sym_snorm] = ACTIONS(5815),
    [anon_sym_unorm] = ACTIONS(5815),
    [anon_sym_point] = ACTIONS(5815),
    [anon_sym_line] = ACTIONS(5815),
    [anon_sym_triangleadj] = ACTIONS(5815),
    [anon_sym_lineadj] = ACTIONS(5815),
    [anon_sym_triangle] = ACTIONS(5815),
  },
  [2317] = {
    [sym_identifier] = ACTIONS(5819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5821),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_RPAREN] = ACTIONS(5821),
    [anon_sym_LPAREN2] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_STAR] = ACTIONS(5821),
    [anon_sym_AMP_AMP] = ACTIONS(5821),
    [anon_sym_AMP] = ACTIONS(5819),
    [anon_sym_COLON] = ACTIONS(5819),
    [anon_sym_SEMI] = ACTIONS(5821),
    [anon_sym___extension__] = ACTIONS(5819),
    [anon_sym_in] = ACTIONS(5819),
    [anon_sym_out] = ACTIONS(5819),
    [anon_sym_inout] = ACTIONS(5819),
    [anon_sym_virtual] = ACTIONS(5819),
    [anon_sym_extern] = ACTIONS(5819),
    [anon_sym___attribute__] = ACTIONS(5819),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5821),
    [anon_sym___declspec] = ACTIONS(5819),
    [anon_sym___based] = ACTIONS(5819),
    [anon_sym___cdecl] = ACTIONS(5819),
    [anon_sym___clrcall] = ACTIONS(5819),
    [anon_sym___stdcall] = ACTIONS(5819),
    [anon_sym___fastcall] = ACTIONS(5819),
    [anon_sym___thiscall] = ACTIONS(5819),
    [anon_sym___vectorcall] = ACTIONS(5819),
    [anon_sym_LBRACK] = ACTIONS(5819),
    [anon_sym_static] = ACTIONS(5819),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_register] = ACTIONS(5819),
    [anon_sym_inline] = ACTIONS(5819),
    [anon_sym___inline] = ACTIONS(5819),
    [anon_sym___inline__] = ACTIONS(5819),
    [anon_sym___forceinline] = ACTIONS(5819),
    [anon_sym_thread_local] = ACTIONS(5819),
    [anon_sym___thread] = ACTIONS(5819),
    [anon_sym_const] = ACTIONS(5819),
    [anon_sym_constexpr] = ACTIONS(5819),
    [anon_sym_volatile] = ACTIONS(5819),
    [anon_sym_restrict] = ACTIONS(5819),
    [anon_sym___restrict__] = ACTIONS(5819),
    [anon_sym__Atomic] = ACTIONS(5819),
    [anon_sym__Noreturn] = ACTIONS(5819),
    [anon_sym_noreturn] = ACTIONS(5819),
    [anon_sym__Nonnull] = ACTIONS(5819),
    [anon_sym_mutable] = ACTIONS(5819),
    [anon_sym_constinit] = ACTIONS(5819),
    [anon_sym_consteval] = ACTIONS(5819),
    [anon_sym_alignas] = ACTIONS(5819),
    [anon_sym__Alignas] = ACTIONS(5819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5819),
    [anon_sym_decltype] = ACTIONS(5819),
    [anon_sym_final] = ACTIONS(5819),
    [anon_sym_override] = ACTIONS(5819),
    [anon_sym_template] = ACTIONS(5819),
    [anon_sym_GT2] = ACTIONS(5821),
    [anon_sym_operator] = ACTIONS(5819),
    [anon_sym_requires] = ACTIONS(5819),
    [anon_sym_precise] = ACTIONS(5819),
    [anon_sym_shared] = ACTIONS(5819),
    [anon_sym_groupshared] = ACTIONS(5819),
    [anon_sym_uniform] = ACTIONS(5819),
    [anon_sym_row_major] = ACTIONS(5819),
    [anon_sym_column_major] = ACTIONS(5819),
    [anon_sym_globallycoherent] = ACTIONS(5819),
    [anon_sym_centroid] = ACTIONS(5819),
    [anon_sym_noperspective] = ACTIONS(5819),
    [anon_sym_nointerpolation] = ACTIONS(5819),
    [anon_sym_sample] = ACTIONS(5819),
    [anon_sym_linear] = ACTIONS(5819),
    [anon_sym_snorm] = ACTIONS(5819),
    [anon_sym_unorm] = ACTIONS(5819),
    [anon_sym_point] = ACTIONS(5819),
    [anon_sym_line] = ACTIONS(5819),
    [anon_sym_triangleadj] = ACTIONS(5819),
    [anon_sym_lineadj] = ACTIONS(5819),
    [anon_sym_triangle] = ACTIONS(5819),
  },
  [2318] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_TILDE] = ACTIONS(5813),
    [anon_sym_STAR] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_COLON] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___extension__] = ACTIONS(5811),
    [anon_sym_in] = ACTIONS(5811),
    [anon_sym_out] = ACTIONS(5811),
    [anon_sym_inout] = ACTIONS(5811),
    [anon_sym_virtual] = ACTIONS(5811),
    [anon_sym_extern] = ACTIONS(5811),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym_COLON_COLON] = ACTIONS(5813),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5813),
    [anon_sym___declspec] = ACTIONS(5811),
    [anon_sym___based] = ACTIONS(5811),
    [anon_sym___cdecl] = ACTIONS(5811),
    [anon_sym___clrcall] = ACTIONS(5811),
    [anon_sym___stdcall] = ACTIONS(5811),
    [anon_sym___fastcall] = ACTIONS(5811),
    [anon_sym___thiscall] = ACTIONS(5811),
    [anon_sym___vectorcall] = ACTIONS(5811),
    [anon_sym_LBRACK] = ACTIONS(5811),
    [anon_sym_static] = ACTIONS(5811),
    [anon_sym_EQ] = ACTIONS(5813),
    [anon_sym_register] = ACTIONS(5811),
    [anon_sym_inline] = ACTIONS(5811),
    [anon_sym___inline] = ACTIONS(5811),
    [anon_sym___inline__] = ACTIONS(5811),
    [anon_sym___forceinline] = ACTIONS(5811),
    [anon_sym_thread_local] = ACTIONS(5811),
    [anon_sym___thread] = ACTIONS(5811),
    [anon_sym_const] = ACTIONS(5811),
    [anon_sym_constexpr] = ACTIONS(5811),
    [anon_sym_volatile] = ACTIONS(5811),
    [anon_sym_restrict] = ACTIONS(5811),
    [anon_sym___restrict__] = ACTIONS(5811),
    [anon_sym__Atomic] = ACTIONS(5811),
    [anon_sym__Noreturn] = ACTIONS(5811),
    [anon_sym_noreturn] = ACTIONS(5811),
    [anon_sym__Nonnull] = ACTIONS(5811),
    [anon_sym_mutable] = ACTIONS(5811),
    [anon_sym_constinit] = ACTIONS(5811),
    [anon_sym_consteval] = ACTIONS(5811),
    [anon_sym_alignas] = ACTIONS(5811),
    [anon_sym__Alignas] = ACTIONS(5811),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
    [anon_sym_final] = ACTIONS(5811),
    [anon_sym_override] = ACTIONS(5811),
    [anon_sym_template] = ACTIONS(5811),
    [anon_sym_GT2] = ACTIONS(5813),
    [anon_sym_operator] = ACTIONS(5811),
    [anon_sym_requires] = ACTIONS(5811),
    [anon_sym_precise] = ACTIONS(5811),
    [anon_sym_shared] = ACTIONS(5811),
    [anon_sym_groupshared] = ACTIONS(5811),
    [anon_sym_uniform] = ACTIONS(5811),
    [anon_sym_row_major] = ACTIONS(5811),
    [anon_sym_column_major] = ACTIONS(5811),
    [anon_sym_globallycoherent] = ACTIONS(5811),
    [anon_sym_centroid] = ACTIONS(5811),
    [anon_sym_noperspective] = ACTIONS(5811),
    [anon_sym_nointerpolation] = ACTIONS(5811),
    [anon_sym_sample] = ACTIONS(5811),
    [anon_sym_linear] = ACTIONS(5811),
    [anon_sym_snorm] = ACTIONS(5811),
    [anon_sym_unorm] = ACTIONS(5811),
    [anon_sym_point] = ACTIONS(5811),
    [anon_sym_line] = ACTIONS(5811),
    [anon_sym_triangleadj] = ACTIONS(5811),
    [anon_sym_lineadj] = ACTIONS(5811),
    [anon_sym_triangle] = ACTIONS(5811),
  },
  [2319] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_TILDE] = ACTIONS(5813),
    [anon_sym_STAR] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_COLON] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___extension__] = ACTIONS(5811),
    [anon_sym_in] = ACTIONS(5811),
    [anon_sym_out] = ACTIONS(5811),
    [anon_sym_inout] = ACTIONS(5811),
    [anon_sym_virtual] = ACTIONS(5811),
    [anon_sym_extern] = ACTIONS(5811),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym_COLON_COLON] = ACTIONS(5813),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5813),
    [anon_sym___declspec] = ACTIONS(5811),
    [anon_sym___based] = ACTIONS(5811),
    [anon_sym___cdecl] = ACTIONS(5811),
    [anon_sym___clrcall] = ACTIONS(5811),
    [anon_sym___stdcall] = ACTIONS(5811),
    [anon_sym___fastcall] = ACTIONS(5811),
    [anon_sym___thiscall] = ACTIONS(5811),
    [anon_sym___vectorcall] = ACTIONS(5811),
    [anon_sym_LBRACK] = ACTIONS(5811),
    [anon_sym_static] = ACTIONS(5811),
    [anon_sym_EQ] = ACTIONS(5813),
    [anon_sym_register] = ACTIONS(5811),
    [anon_sym_inline] = ACTIONS(5811),
    [anon_sym___inline] = ACTIONS(5811),
    [anon_sym___inline__] = ACTIONS(5811),
    [anon_sym___forceinline] = ACTIONS(5811),
    [anon_sym_thread_local] = ACTIONS(5811),
    [anon_sym___thread] = ACTIONS(5811),
    [anon_sym_const] = ACTIONS(5811),
    [anon_sym_constexpr] = ACTIONS(5811),
    [anon_sym_volatile] = ACTIONS(5811),
    [anon_sym_restrict] = ACTIONS(5811),
    [anon_sym___restrict__] = ACTIONS(5811),
    [anon_sym__Atomic] = ACTIONS(5811),
    [anon_sym__Noreturn] = ACTIONS(5811),
    [anon_sym_noreturn] = ACTIONS(5811),
    [anon_sym__Nonnull] = ACTIONS(5811),
    [anon_sym_mutable] = ACTIONS(5811),
    [anon_sym_constinit] = ACTIONS(5811),
    [anon_sym_consteval] = ACTIONS(5811),
    [anon_sym_alignas] = ACTIONS(5811),
    [anon_sym__Alignas] = ACTIONS(5811),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
    [anon_sym_final] = ACTIONS(5811),
    [anon_sym_override] = ACTIONS(5811),
    [anon_sym_template] = ACTIONS(5811),
    [anon_sym_GT2] = ACTIONS(5813),
    [anon_sym_operator] = ACTIONS(5811),
    [anon_sym_requires] = ACTIONS(5811),
    [anon_sym_precise] = ACTIONS(5811),
    [anon_sym_shared] = ACTIONS(5811),
    [anon_sym_groupshared] = ACTIONS(5811),
    [anon_sym_uniform] = ACTIONS(5811),
    [anon_sym_row_major] = ACTIONS(5811),
    [anon_sym_column_major] = ACTIONS(5811),
    [anon_sym_globallycoherent] = ACTIONS(5811),
    [anon_sym_centroid] = ACTIONS(5811),
    [anon_sym_noperspective] = ACTIONS(5811),
    [anon_sym_nointerpolation] = ACTIONS(5811),
    [anon_sym_sample] = ACTIONS(5811),
    [anon_sym_linear] = ACTIONS(5811),
    [anon_sym_snorm] = ACTIONS(5811),
    [anon_sym_unorm] = ACTIONS(5811),
    [anon_sym_point] = ACTIONS(5811),
    [anon_sym_line] = ACTIONS(5811),
    [anon_sym_triangleadj] = ACTIONS(5811),
    [anon_sym_lineadj] = ACTIONS(5811),
    [anon_sym_triangle] = ACTIONS(5811),
  },
  [2320] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_out] = ACTIONS(5676),
    [anon_sym_inout] = ACTIONS(5676),
    [anon_sym_virtual] = ACTIONS(5676),
    [anon_sym_extern] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(5678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5678),
    [anon_sym___declspec] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym___cdecl] = ACTIONS(5676),
    [anon_sym___clrcall] = ACTIONS(5676),
    [anon_sym___stdcall] = ACTIONS(5676),
    [anon_sym___fastcall] = ACTIONS(5676),
    [anon_sym___thiscall] = ACTIONS(5676),
    [anon_sym___vectorcall] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_register] = ACTIONS(5676),
    [anon_sym_inline] = ACTIONS(5676),
    [anon_sym___inline] = ACTIONS(5676),
    [anon_sym___inline__] = ACTIONS(5676),
    [anon_sym___forceinline] = ACTIONS(5676),
    [anon_sym_thread_local] = ACTIONS(5676),
    [anon_sym___thread] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_final] = ACTIONS(5676),
    [anon_sym_override] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_GT2] = ACTIONS(5678),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_requires] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5676),
    [anon_sym_shared] = ACTIONS(5676),
    [anon_sym_groupshared] = ACTIONS(5676),
    [anon_sym_uniform] = ACTIONS(5676),
    [anon_sym_row_major] = ACTIONS(5676),
    [anon_sym_column_major] = ACTIONS(5676),
    [anon_sym_globallycoherent] = ACTIONS(5676),
    [anon_sym_centroid] = ACTIONS(5676),
    [anon_sym_noperspective] = ACTIONS(5676),
    [anon_sym_nointerpolation] = ACTIONS(5676),
    [anon_sym_sample] = ACTIONS(5676),
    [anon_sym_linear] = ACTIONS(5676),
    [anon_sym_snorm] = ACTIONS(5676),
    [anon_sym_unorm] = ACTIONS(5676),
    [anon_sym_point] = ACTIONS(5676),
    [anon_sym_line] = ACTIONS(5676),
    [anon_sym_triangleadj] = ACTIONS(5676),
    [anon_sym_lineadj] = ACTIONS(5676),
    [anon_sym_triangle] = ACTIONS(5676),
  },
  [2321] = {
    [sym_identifier] = ACTIONS(5823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5825),
    [anon_sym_RPAREN] = ACTIONS(5825),
    [anon_sym_LPAREN2] = ACTIONS(5825),
    [anon_sym_TILDE] = ACTIONS(5825),
    [anon_sym_STAR] = ACTIONS(5825),
    [anon_sym_AMP_AMP] = ACTIONS(5825),
    [anon_sym_AMP] = ACTIONS(5823),
    [anon_sym_COLON] = ACTIONS(5823),
    [anon_sym_SEMI] = ACTIONS(5825),
    [anon_sym___extension__] = ACTIONS(5823),
    [anon_sym_in] = ACTIONS(5823),
    [anon_sym_out] = ACTIONS(5823),
    [anon_sym_inout] = ACTIONS(5823),
    [anon_sym_virtual] = ACTIONS(5823),
    [anon_sym_extern] = ACTIONS(5823),
    [anon_sym___attribute__] = ACTIONS(5823),
    [anon_sym_COLON_COLON] = ACTIONS(5825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5825),
    [anon_sym___declspec] = ACTIONS(5823),
    [anon_sym___based] = ACTIONS(5823),
    [anon_sym___cdecl] = ACTIONS(5823),
    [anon_sym___clrcall] = ACTIONS(5823),
    [anon_sym___stdcall] = ACTIONS(5823),
    [anon_sym___fastcall] = ACTIONS(5823),
    [anon_sym___thiscall] = ACTIONS(5823),
    [anon_sym___vectorcall] = ACTIONS(5823),
    [anon_sym_LBRACK] = ACTIONS(5823),
    [anon_sym_static] = ACTIONS(5823),
    [anon_sym_EQ] = ACTIONS(5825),
    [anon_sym_register] = ACTIONS(5823),
    [anon_sym_inline] = ACTIONS(5823),
    [anon_sym___inline] = ACTIONS(5823),
    [anon_sym___inline__] = ACTIONS(5823),
    [anon_sym___forceinline] = ACTIONS(5823),
    [anon_sym_thread_local] = ACTIONS(5823),
    [anon_sym___thread] = ACTIONS(5823),
    [anon_sym_const] = ACTIONS(5823),
    [anon_sym_constexpr] = ACTIONS(5823),
    [anon_sym_volatile] = ACTIONS(5823),
    [anon_sym_restrict] = ACTIONS(5823),
    [anon_sym___restrict__] = ACTIONS(5823),
    [anon_sym__Atomic] = ACTIONS(5823),
    [anon_sym__Noreturn] = ACTIONS(5823),
    [anon_sym_noreturn] = ACTIONS(5823),
    [anon_sym__Nonnull] = ACTIONS(5823),
    [anon_sym_mutable] = ACTIONS(5823),
    [anon_sym_constinit] = ACTIONS(5823),
    [anon_sym_consteval] = ACTIONS(5823),
    [anon_sym_alignas] = ACTIONS(5823),
    [anon_sym__Alignas] = ACTIONS(5823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5823),
    [anon_sym_decltype] = ACTIONS(5823),
    [anon_sym_final] = ACTIONS(5823),
    [anon_sym_override] = ACTIONS(5823),
    [anon_sym_template] = ACTIONS(5823),
    [anon_sym_GT2] = ACTIONS(5825),
    [anon_sym_operator] = ACTIONS(5823),
    [anon_sym_requires] = ACTIONS(5823),
    [anon_sym_precise] = ACTIONS(5823),
    [anon_sym_shared] = ACTIONS(5823),
    [anon_sym_groupshared] = ACTIONS(5823),
    [anon_sym_uniform] = ACTIONS(5823),
    [anon_sym_row_major] = ACTIONS(5823),
    [anon_sym_column_major] = ACTIONS(5823),
    [anon_sym_globallycoherent] = ACTIONS(5823),
    [anon_sym_centroid] = ACTIONS(5823),
    [anon_sym_noperspective] = ACTIONS(5823),
    [anon_sym_nointerpolation] = ACTIONS(5823),
    [anon_sym_sample] = ACTIONS(5823),
    [anon_sym_linear] = ACTIONS(5823),
    [anon_sym_snorm] = ACTIONS(5823),
    [anon_sym_unorm] = ACTIONS(5823),
    [anon_sym_point] = ACTIONS(5823),
    [anon_sym_line] = ACTIONS(5823),
    [anon_sym_triangleadj] = ACTIONS(5823),
    [anon_sym_lineadj] = ACTIONS(5823),
    [anon_sym_triangle] = ACTIONS(5823),
  },
  [2322] = {
    [sym_identifier] = ACTIONS(5827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5829),
    [anon_sym_COMMA] = ACTIONS(5829),
    [anon_sym_RPAREN] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_TILDE] = ACTIONS(5829),
    [anon_sym_STAR] = ACTIONS(5829),
    [anon_sym_AMP_AMP] = ACTIONS(5829),
    [anon_sym_AMP] = ACTIONS(5827),
    [anon_sym_COLON] = ACTIONS(5827),
    [anon_sym_SEMI] = ACTIONS(5829),
    [anon_sym___extension__] = ACTIONS(5827),
    [anon_sym_in] = ACTIONS(5827),
    [anon_sym_out] = ACTIONS(5827),
    [anon_sym_inout] = ACTIONS(5827),
    [anon_sym_virtual] = ACTIONS(5827),
    [anon_sym_extern] = ACTIONS(5827),
    [anon_sym___attribute__] = ACTIONS(5827),
    [anon_sym_COLON_COLON] = ACTIONS(5829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5829),
    [anon_sym___declspec] = ACTIONS(5827),
    [anon_sym___based] = ACTIONS(5827),
    [anon_sym___cdecl] = ACTIONS(5827),
    [anon_sym___clrcall] = ACTIONS(5827),
    [anon_sym___stdcall] = ACTIONS(5827),
    [anon_sym___fastcall] = ACTIONS(5827),
    [anon_sym___thiscall] = ACTIONS(5827),
    [anon_sym___vectorcall] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5827),
    [anon_sym_static] = ACTIONS(5827),
    [anon_sym_EQ] = ACTIONS(5829),
    [anon_sym_register] = ACTIONS(5827),
    [anon_sym_inline] = ACTIONS(5827),
    [anon_sym___inline] = ACTIONS(5827),
    [anon_sym___inline__] = ACTIONS(5827),
    [anon_sym___forceinline] = ACTIONS(5827),
    [anon_sym_thread_local] = ACTIONS(5827),
    [anon_sym___thread] = ACTIONS(5827),
    [anon_sym_const] = ACTIONS(5827),
    [anon_sym_constexpr] = ACTIONS(5827),
    [anon_sym_volatile] = ACTIONS(5827),
    [anon_sym_restrict] = ACTIONS(5827),
    [anon_sym___restrict__] = ACTIONS(5827),
    [anon_sym__Atomic] = ACTIONS(5827),
    [anon_sym__Noreturn] = ACTIONS(5827),
    [anon_sym_noreturn] = ACTIONS(5827),
    [anon_sym__Nonnull] = ACTIONS(5827),
    [anon_sym_mutable] = ACTIONS(5827),
    [anon_sym_constinit] = ACTIONS(5827),
    [anon_sym_consteval] = ACTIONS(5827),
    [anon_sym_alignas] = ACTIONS(5827),
    [anon_sym__Alignas] = ACTIONS(5827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5827),
    [anon_sym_decltype] = ACTIONS(5827),
    [anon_sym_final] = ACTIONS(5827),
    [anon_sym_override] = ACTIONS(5827),
    [anon_sym_template] = ACTIONS(5827),
    [anon_sym_GT2] = ACTIONS(5829),
    [anon_sym_operator] = ACTIONS(5827),
    [anon_sym_requires] = ACTIONS(5827),
    [anon_sym_precise] = ACTIONS(5827),
    [anon_sym_shared] = ACTIONS(5827),
    [anon_sym_groupshared] = ACTIONS(5827),
    [anon_sym_uniform] = ACTIONS(5827),
    [anon_sym_row_major] = ACTIONS(5827),
    [anon_sym_column_major] = ACTIONS(5827),
    [anon_sym_globallycoherent] = ACTIONS(5827),
    [anon_sym_centroid] = ACTIONS(5827),
    [anon_sym_noperspective] = ACTIONS(5827),
    [anon_sym_nointerpolation] = ACTIONS(5827),
    [anon_sym_sample] = ACTIONS(5827),
    [anon_sym_linear] = ACTIONS(5827),
    [anon_sym_snorm] = ACTIONS(5827),
    [anon_sym_unorm] = ACTIONS(5827),
    [anon_sym_point] = ACTIONS(5827),
    [anon_sym_line] = ACTIONS(5827),
    [anon_sym_triangleadj] = ACTIONS(5827),
    [anon_sym_lineadj] = ACTIONS(5827),
    [anon_sym_triangle] = ACTIONS(5827),
  },
  [2323] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_out] = ACTIONS(5676),
    [anon_sym_inout] = ACTIONS(5676),
    [anon_sym_virtual] = ACTIONS(5676),
    [anon_sym_extern] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(5678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5678),
    [anon_sym___declspec] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym___cdecl] = ACTIONS(5676),
    [anon_sym___clrcall] = ACTIONS(5676),
    [anon_sym___stdcall] = ACTIONS(5676),
    [anon_sym___fastcall] = ACTIONS(5676),
    [anon_sym___thiscall] = ACTIONS(5676),
    [anon_sym___vectorcall] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_register] = ACTIONS(5676),
    [anon_sym_inline] = ACTIONS(5676),
    [anon_sym___inline] = ACTIONS(5676),
    [anon_sym___inline__] = ACTIONS(5676),
    [anon_sym___forceinline] = ACTIONS(5676),
    [anon_sym_thread_local] = ACTIONS(5676),
    [anon_sym___thread] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_final] = ACTIONS(5676),
    [anon_sym_override] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_GT2] = ACTIONS(5678),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_requires] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5676),
    [anon_sym_shared] = ACTIONS(5676),
    [anon_sym_groupshared] = ACTIONS(5676),
    [anon_sym_uniform] = ACTIONS(5676),
    [anon_sym_row_major] = ACTIONS(5676),
    [anon_sym_column_major] = ACTIONS(5676),
    [anon_sym_globallycoherent] = ACTIONS(5676),
    [anon_sym_centroid] = ACTIONS(5676),
    [anon_sym_noperspective] = ACTIONS(5676),
    [anon_sym_nointerpolation] = ACTIONS(5676),
    [anon_sym_sample] = ACTIONS(5676),
    [anon_sym_linear] = ACTIONS(5676),
    [anon_sym_snorm] = ACTIONS(5676),
    [anon_sym_unorm] = ACTIONS(5676),
    [anon_sym_point] = ACTIONS(5676),
    [anon_sym_line] = ACTIONS(5676),
    [anon_sym_triangleadj] = ACTIONS(5676),
    [anon_sym_lineadj] = ACTIONS(5676),
    [anon_sym_triangle] = ACTIONS(5676),
  },
  [2324] = {
    [sym_identifier] = ACTIONS(5831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5833),
    [anon_sym_COMMA] = ACTIONS(5833),
    [anon_sym_RPAREN] = ACTIONS(5833),
    [anon_sym_LPAREN2] = ACTIONS(5833),
    [anon_sym_TILDE] = ACTIONS(5833),
    [anon_sym_STAR] = ACTIONS(5833),
    [anon_sym_AMP_AMP] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(5831),
    [anon_sym_COLON] = ACTIONS(5831),
    [anon_sym_SEMI] = ACTIONS(5833),
    [anon_sym___extension__] = ACTIONS(5831),
    [anon_sym_in] = ACTIONS(5831),
    [anon_sym_out] = ACTIONS(5831),
    [anon_sym_inout] = ACTIONS(5831),
    [anon_sym_virtual] = ACTIONS(5831),
    [anon_sym_extern] = ACTIONS(5831),
    [anon_sym___attribute__] = ACTIONS(5831),
    [anon_sym_COLON_COLON] = ACTIONS(5833),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5833),
    [anon_sym___declspec] = ACTIONS(5831),
    [anon_sym___based] = ACTIONS(5831),
    [anon_sym___cdecl] = ACTIONS(5831),
    [anon_sym___clrcall] = ACTIONS(5831),
    [anon_sym___stdcall] = ACTIONS(5831),
    [anon_sym___fastcall] = ACTIONS(5831),
    [anon_sym___thiscall] = ACTIONS(5831),
    [anon_sym___vectorcall] = ACTIONS(5831),
    [anon_sym_LBRACK] = ACTIONS(5831),
    [anon_sym_static] = ACTIONS(5831),
    [anon_sym_EQ] = ACTIONS(5833),
    [anon_sym_register] = ACTIONS(5831),
    [anon_sym_inline] = ACTIONS(5831),
    [anon_sym___inline] = ACTIONS(5831),
    [anon_sym___inline__] = ACTIONS(5831),
    [anon_sym___forceinline] = ACTIONS(5831),
    [anon_sym_thread_local] = ACTIONS(5831),
    [anon_sym___thread] = ACTIONS(5831),
    [anon_sym_const] = ACTIONS(5831),
    [anon_sym_constexpr] = ACTIONS(5831),
    [anon_sym_volatile] = ACTIONS(5831),
    [anon_sym_restrict] = ACTIONS(5831),
    [anon_sym___restrict__] = ACTIONS(5831),
    [anon_sym__Atomic] = ACTIONS(5831),
    [anon_sym__Noreturn] = ACTIONS(5831),
    [anon_sym_noreturn] = ACTIONS(5831),
    [anon_sym__Nonnull] = ACTIONS(5831),
    [anon_sym_mutable] = ACTIONS(5831),
    [anon_sym_constinit] = ACTIONS(5831),
    [anon_sym_consteval] = ACTIONS(5831),
    [anon_sym_alignas] = ACTIONS(5831),
    [anon_sym__Alignas] = ACTIONS(5831),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5831),
    [anon_sym_decltype] = ACTIONS(5831),
    [anon_sym_final] = ACTIONS(5831),
    [anon_sym_override] = ACTIONS(5831),
    [anon_sym_template] = ACTIONS(5831),
    [anon_sym_GT2] = ACTIONS(5833),
    [anon_sym_operator] = ACTIONS(5831),
    [anon_sym_requires] = ACTIONS(5831),
    [anon_sym_precise] = ACTIONS(5831),
    [anon_sym_shared] = ACTIONS(5831),
    [anon_sym_groupshared] = ACTIONS(5831),
    [anon_sym_uniform] = ACTIONS(5831),
    [anon_sym_row_major] = ACTIONS(5831),
    [anon_sym_column_major] = ACTIONS(5831),
    [anon_sym_globallycoherent] = ACTIONS(5831),
    [anon_sym_centroid] = ACTIONS(5831),
    [anon_sym_noperspective] = ACTIONS(5831),
    [anon_sym_nointerpolation] = ACTIONS(5831),
    [anon_sym_sample] = ACTIONS(5831),
    [anon_sym_linear] = ACTIONS(5831),
    [anon_sym_snorm] = ACTIONS(5831),
    [anon_sym_unorm] = ACTIONS(5831),
    [anon_sym_point] = ACTIONS(5831),
    [anon_sym_line] = ACTIONS(5831),
    [anon_sym_triangleadj] = ACTIONS(5831),
    [anon_sym_lineadj] = ACTIONS(5831),
    [anon_sym_triangle] = ACTIONS(5831),
  },
  [2325] = {
    [sym_identifier] = ACTIONS(5835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5837),
    [anon_sym_COMMA] = ACTIONS(5837),
    [anon_sym_RPAREN] = ACTIONS(5837),
    [anon_sym_LPAREN2] = ACTIONS(5837),
    [anon_sym_TILDE] = ACTIONS(5837),
    [anon_sym_STAR] = ACTIONS(5837),
    [anon_sym_AMP_AMP] = ACTIONS(5837),
    [anon_sym_AMP] = ACTIONS(5835),
    [anon_sym_COLON] = ACTIONS(5835),
    [anon_sym_SEMI] = ACTIONS(5837),
    [anon_sym___extension__] = ACTIONS(5835),
    [anon_sym_in] = ACTIONS(5835),
    [anon_sym_out] = ACTIONS(5835),
    [anon_sym_inout] = ACTIONS(5835),
    [anon_sym_virtual] = ACTIONS(5835),
    [anon_sym_extern] = ACTIONS(5835),
    [anon_sym___attribute__] = ACTIONS(5835),
    [anon_sym_COLON_COLON] = ACTIONS(5837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5837),
    [anon_sym___declspec] = ACTIONS(5835),
    [anon_sym___based] = ACTIONS(5835),
    [anon_sym___cdecl] = ACTIONS(5835),
    [anon_sym___clrcall] = ACTIONS(5835),
    [anon_sym___stdcall] = ACTIONS(5835),
    [anon_sym___fastcall] = ACTIONS(5835),
    [anon_sym___thiscall] = ACTIONS(5835),
    [anon_sym___vectorcall] = ACTIONS(5835),
    [anon_sym_LBRACK] = ACTIONS(5835),
    [anon_sym_static] = ACTIONS(5835),
    [anon_sym_EQ] = ACTIONS(5837),
    [anon_sym_register] = ACTIONS(5835),
    [anon_sym_inline] = ACTIONS(5835),
    [anon_sym___inline] = ACTIONS(5835),
    [anon_sym___inline__] = ACTIONS(5835),
    [anon_sym___forceinline] = ACTIONS(5835),
    [anon_sym_thread_local] = ACTIONS(5835),
    [anon_sym___thread] = ACTIONS(5835),
    [anon_sym_const] = ACTIONS(5835),
    [anon_sym_constexpr] = ACTIONS(5835),
    [anon_sym_volatile] = ACTIONS(5835),
    [anon_sym_restrict] = ACTIONS(5835),
    [anon_sym___restrict__] = ACTIONS(5835),
    [anon_sym__Atomic] = ACTIONS(5835),
    [anon_sym__Noreturn] = ACTIONS(5835),
    [anon_sym_noreturn] = ACTIONS(5835),
    [anon_sym__Nonnull] = ACTIONS(5835),
    [anon_sym_mutable] = ACTIONS(5835),
    [anon_sym_constinit] = ACTIONS(5835),
    [anon_sym_consteval] = ACTIONS(5835),
    [anon_sym_alignas] = ACTIONS(5835),
    [anon_sym__Alignas] = ACTIONS(5835),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5835),
    [anon_sym_decltype] = ACTIONS(5835),
    [anon_sym_final] = ACTIONS(5835),
    [anon_sym_override] = ACTIONS(5835),
    [anon_sym_template] = ACTIONS(5835),
    [anon_sym_GT2] = ACTIONS(5837),
    [anon_sym_operator] = ACTIONS(5835),
    [anon_sym_requires] = ACTIONS(5835),
    [anon_sym_precise] = ACTIONS(5835),
    [anon_sym_shared] = ACTIONS(5835),
    [anon_sym_groupshared] = ACTIONS(5835),
    [anon_sym_uniform] = ACTIONS(5835),
    [anon_sym_row_major] = ACTIONS(5835),
    [anon_sym_column_major] = ACTIONS(5835),
    [anon_sym_globallycoherent] = ACTIONS(5835),
    [anon_sym_centroid] = ACTIONS(5835),
    [anon_sym_noperspective] = ACTIONS(5835),
    [anon_sym_nointerpolation] = ACTIONS(5835),
    [anon_sym_sample] = ACTIONS(5835),
    [anon_sym_linear] = ACTIONS(5835),
    [anon_sym_snorm] = ACTIONS(5835),
    [anon_sym_unorm] = ACTIONS(5835),
    [anon_sym_point] = ACTIONS(5835),
    [anon_sym_line] = ACTIONS(5835),
    [anon_sym_triangleadj] = ACTIONS(5835),
    [anon_sym_lineadj] = ACTIONS(5835),
    [anon_sym_triangle] = ACTIONS(5835),
  },
  [2326] = {
    [sym_identifier] = ACTIONS(5839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5841),
    [anon_sym_COMMA] = ACTIONS(5841),
    [anon_sym_RPAREN] = ACTIONS(5841),
    [anon_sym_LPAREN2] = ACTIONS(5841),
    [anon_sym_TILDE] = ACTIONS(5841),
    [anon_sym_STAR] = ACTIONS(5841),
    [anon_sym_AMP_AMP] = ACTIONS(5841),
    [anon_sym_AMP] = ACTIONS(5839),
    [anon_sym_COLON] = ACTIONS(5839),
    [anon_sym_SEMI] = ACTIONS(5841),
    [anon_sym___extension__] = ACTIONS(5839),
    [anon_sym_in] = ACTIONS(5839),
    [anon_sym_out] = ACTIONS(5839),
    [anon_sym_inout] = ACTIONS(5839),
    [anon_sym_virtual] = ACTIONS(5839),
    [anon_sym_extern] = ACTIONS(5839),
    [anon_sym___attribute__] = ACTIONS(5839),
    [anon_sym_COLON_COLON] = ACTIONS(5841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5841),
    [anon_sym___declspec] = ACTIONS(5839),
    [anon_sym___based] = ACTIONS(5839),
    [anon_sym___cdecl] = ACTIONS(5839),
    [anon_sym___clrcall] = ACTIONS(5839),
    [anon_sym___stdcall] = ACTIONS(5839),
    [anon_sym___fastcall] = ACTIONS(5839),
    [anon_sym___thiscall] = ACTIONS(5839),
    [anon_sym___vectorcall] = ACTIONS(5839),
    [anon_sym_LBRACK] = ACTIONS(5839),
    [anon_sym_static] = ACTIONS(5839),
    [anon_sym_EQ] = ACTIONS(5841),
    [anon_sym_register] = ACTIONS(5839),
    [anon_sym_inline] = ACTIONS(5839),
    [anon_sym___inline] = ACTIONS(5839),
    [anon_sym___inline__] = ACTIONS(5839),
    [anon_sym___forceinline] = ACTIONS(5839),
    [anon_sym_thread_local] = ACTIONS(5839),
    [anon_sym___thread] = ACTIONS(5839),
    [anon_sym_const] = ACTIONS(5839),
    [anon_sym_constexpr] = ACTIONS(5839),
    [anon_sym_volatile] = ACTIONS(5839),
    [anon_sym_restrict] = ACTIONS(5839),
    [anon_sym___restrict__] = ACTIONS(5839),
    [anon_sym__Atomic] = ACTIONS(5839),
    [anon_sym__Noreturn] = ACTIONS(5839),
    [anon_sym_noreturn] = ACTIONS(5839),
    [anon_sym__Nonnull] = ACTIONS(5839),
    [anon_sym_mutable] = ACTIONS(5839),
    [anon_sym_constinit] = ACTIONS(5839),
    [anon_sym_consteval] = ACTIONS(5839),
    [anon_sym_alignas] = ACTIONS(5839),
    [anon_sym__Alignas] = ACTIONS(5839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5839),
    [anon_sym_decltype] = ACTIONS(5839),
    [anon_sym_final] = ACTIONS(5839),
    [anon_sym_override] = ACTIONS(5839),
    [anon_sym_template] = ACTIONS(5839),
    [anon_sym_GT2] = ACTIONS(5841),
    [anon_sym_operator] = ACTIONS(5839),
    [anon_sym_requires] = ACTIONS(5839),
    [anon_sym_precise] = ACTIONS(5839),
    [anon_sym_shared] = ACTIONS(5839),
    [anon_sym_groupshared] = ACTIONS(5839),
    [anon_sym_uniform] = ACTIONS(5839),
    [anon_sym_row_major] = ACTIONS(5839),
    [anon_sym_column_major] = ACTIONS(5839),
    [anon_sym_globallycoherent] = ACTIONS(5839),
    [anon_sym_centroid] = ACTIONS(5839),
    [anon_sym_noperspective] = ACTIONS(5839),
    [anon_sym_nointerpolation] = ACTIONS(5839),
    [anon_sym_sample] = ACTIONS(5839),
    [anon_sym_linear] = ACTIONS(5839),
    [anon_sym_snorm] = ACTIONS(5839),
    [anon_sym_unorm] = ACTIONS(5839),
    [anon_sym_point] = ACTIONS(5839),
    [anon_sym_line] = ACTIONS(5839),
    [anon_sym_triangleadj] = ACTIONS(5839),
    [anon_sym_lineadj] = ACTIONS(5839),
    [anon_sym_triangle] = ACTIONS(5839),
  },
  [2327] = {
    [sym_identifier] = ACTIONS(5843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5845),
    [anon_sym_COMMA] = ACTIONS(5845),
    [anon_sym_RPAREN] = ACTIONS(5845),
    [anon_sym_LPAREN2] = ACTIONS(5845),
    [anon_sym_TILDE] = ACTIONS(5845),
    [anon_sym_STAR] = ACTIONS(5845),
    [anon_sym_AMP_AMP] = ACTIONS(5845),
    [anon_sym_AMP] = ACTIONS(5843),
    [anon_sym_COLON] = ACTIONS(5843),
    [anon_sym_SEMI] = ACTIONS(5845),
    [anon_sym___extension__] = ACTIONS(5843),
    [anon_sym_in] = ACTIONS(5843),
    [anon_sym_out] = ACTIONS(5843),
    [anon_sym_inout] = ACTIONS(5843),
    [anon_sym_virtual] = ACTIONS(5843),
    [anon_sym_extern] = ACTIONS(5843),
    [anon_sym___attribute__] = ACTIONS(5843),
    [anon_sym_COLON_COLON] = ACTIONS(5845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5845),
    [anon_sym___declspec] = ACTIONS(5843),
    [anon_sym___based] = ACTIONS(5843),
    [anon_sym___cdecl] = ACTIONS(5843),
    [anon_sym___clrcall] = ACTIONS(5843),
    [anon_sym___stdcall] = ACTIONS(5843),
    [anon_sym___fastcall] = ACTIONS(5843),
    [anon_sym___thiscall] = ACTIONS(5843),
    [anon_sym___vectorcall] = ACTIONS(5843),
    [anon_sym_LBRACK] = ACTIONS(5843),
    [anon_sym_static] = ACTIONS(5843),
    [anon_sym_EQ] = ACTIONS(5845),
    [anon_sym_register] = ACTIONS(5843),
    [anon_sym_inline] = ACTIONS(5843),
    [anon_sym___inline] = ACTIONS(5843),
    [anon_sym___inline__] = ACTIONS(5843),
    [anon_sym___forceinline] = ACTIONS(5843),
    [anon_sym_thread_local] = ACTIONS(5843),
    [anon_sym___thread] = ACTIONS(5843),
    [anon_sym_const] = ACTIONS(5843),
    [anon_sym_constexpr] = ACTIONS(5843),
    [anon_sym_volatile] = ACTIONS(5843),
    [anon_sym_restrict] = ACTIONS(5843),
    [anon_sym___restrict__] = ACTIONS(5843),
    [anon_sym__Atomic] = ACTIONS(5843),
    [anon_sym__Noreturn] = ACTIONS(5843),
    [anon_sym_noreturn] = ACTIONS(5843),
    [anon_sym__Nonnull] = ACTIONS(5843),
    [anon_sym_mutable] = ACTIONS(5843),
    [anon_sym_constinit] = ACTIONS(5843),
    [anon_sym_consteval] = ACTIONS(5843),
    [anon_sym_alignas] = ACTIONS(5843),
    [anon_sym__Alignas] = ACTIONS(5843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5843),
    [anon_sym_decltype] = ACTIONS(5843),
    [anon_sym_final] = ACTIONS(5843),
    [anon_sym_override] = ACTIONS(5843),
    [anon_sym_template] = ACTIONS(5843),
    [anon_sym_GT2] = ACTIONS(5845),
    [anon_sym_operator] = ACTIONS(5843),
    [anon_sym_requires] = ACTIONS(5843),
    [anon_sym_precise] = ACTIONS(5843),
    [anon_sym_shared] = ACTIONS(5843),
    [anon_sym_groupshared] = ACTIONS(5843),
    [anon_sym_uniform] = ACTIONS(5843),
    [anon_sym_row_major] = ACTIONS(5843),
    [anon_sym_column_major] = ACTIONS(5843),
    [anon_sym_globallycoherent] = ACTIONS(5843),
    [anon_sym_centroid] = ACTIONS(5843),
    [anon_sym_noperspective] = ACTIONS(5843),
    [anon_sym_nointerpolation] = ACTIONS(5843),
    [anon_sym_sample] = ACTIONS(5843),
    [anon_sym_linear] = ACTIONS(5843),
    [anon_sym_snorm] = ACTIONS(5843),
    [anon_sym_unorm] = ACTIONS(5843),
    [anon_sym_point] = ACTIONS(5843),
    [anon_sym_line] = ACTIONS(5843),
    [anon_sym_triangleadj] = ACTIONS(5843),
    [anon_sym_lineadj] = ACTIONS(5843),
    [anon_sym_triangle] = ACTIONS(5843),
  },
  [2328] = {
    [sym_identifier] = ACTIONS(5847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5849),
    [anon_sym_COMMA] = ACTIONS(5849),
    [anon_sym_RPAREN] = ACTIONS(5849),
    [anon_sym_LPAREN2] = ACTIONS(5849),
    [anon_sym_TILDE] = ACTIONS(5849),
    [anon_sym_STAR] = ACTIONS(5849),
    [anon_sym_AMP_AMP] = ACTIONS(5849),
    [anon_sym_AMP] = ACTIONS(5847),
    [anon_sym_COLON] = ACTIONS(5847),
    [anon_sym_SEMI] = ACTIONS(5849),
    [anon_sym___extension__] = ACTIONS(5847),
    [anon_sym_in] = ACTIONS(5847),
    [anon_sym_out] = ACTIONS(5847),
    [anon_sym_inout] = ACTIONS(5847),
    [anon_sym_virtual] = ACTIONS(5847),
    [anon_sym_extern] = ACTIONS(5847),
    [anon_sym___attribute__] = ACTIONS(5847),
    [anon_sym_COLON_COLON] = ACTIONS(5849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5849),
    [anon_sym___declspec] = ACTIONS(5847),
    [anon_sym___based] = ACTIONS(5847),
    [anon_sym___cdecl] = ACTIONS(5847),
    [anon_sym___clrcall] = ACTIONS(5847),
    [anon_sym___stdcall] = ACTIONS(5847),
    [anon_sym___fastcall] = ACTIONS(5847),
    [anon_sym___thiscall] = ACTIONS(5847),
    [anon_sym___vectorcall] = ACTIONS(5847),
    [anon_sym_LBRACK] = ACTIONS(5847),
    [anon_sym_static] = ACTIONS(5847),
    [anon_sym_EQ] = ACTIONS(5849),
    [anon_sym_register] = ACTIONS(5847),
    [anon_sym_inline] = ACTIONS(5847),
    [anon_sym___inline] = ACTIONS(5847),
    [anon_sym___inline__] = ACTIONS(5847),
    [anon_sym___forceinline] = ACTIONS(5847),
    [anon_sym_thread_local] = ACTIONS(5847),
    [anon_sym___thread] = ACTIONS(5847),
    [anon_sym_const] = ACTIONS(5847),
    [anon_sym_constexpr] = ACTIONS(5847),
    [anon_sym_volatile] = ACTIONS(5847),
    [anon_sym_restrict] = ACTIONS(5847),
    [anon_sym___restrict__] = ACTIONS(5847),
    [anon_sym__Atomic] = ACTIONS(5847),
    [anon_sym__Noreturn] = ACTIONS(5847),
    [anon_sym_noreturn] = ACTIONS(5847),
    [anon_sym__Nonnull] = ACTIONS(5847),
    [anon_sym_mutable] = ACTIONS(5847),
    [anon_sym_constinit] = ACTIONS(5847),
    [anon_sym_consteval] = ACTIONS(5847),
    [anon_sym_alignas] = ACTIONS(5847),
    [anon_sym__Alignas] = ACTIONS(5847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5847),
    [anon_sym_decltype] = ACTIONS(5847),
    [anon_sym_final] = ACTIONS(5847),
    [anon_sym_override] = ACTIONS(5847),
    [anon_sym_template] = ACTIONS(5847),
    [anon_sym_GT2] = ACTIONS(5849),
    [anon_sym_operator] = ACTIONS(5847),
    [anon_sym_requires] = ACTIONS(5847),
    [anon_sym_precise] = ACTIONS(5847),
    [anon_sym_shared] = ACTIONS(5847),
    [anon_sym_groupshared] = ACTIONS(5847),
    [anon_sym_uniform] = ACTIONS(5847),
    [anon_sym_row_major] = ACTIONS(5847),
    [anon_sym_column_major] = ACTIONS(5847),
    [anon_sym_globallycoherent] = ACTIONS(5847),
    [anon_sym_centroid] = ACTIONS(5847),
    [anon_sym_noperspective] = ACTIONS(5847),
    [anon_sym_nointerpolation] = ACTIONS(5847),
    [anon_sym_sample] = ACTIONS(5847),
    [anon_sym_linear] = ACTIONS(5847),
    [anon_sym_snorm] = ACTIONS(5847),
    [anon_sym_unorm] = ACTIONS(5847),
    [anon_sym_point] = ACTIONS(5847),
    [anon_sym_line] = ACTIONS(5847),
    [anon_sym_triangleadj] = ACTIONS(5847),
    [anon_sym_lineadj] = ACTIONS(5847),
    [anon_sym_triangle] = ACTIONS(5847),
  },
  [2329] = {
    [sym_identifier] = ACTIONS(5851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5853),
    [anon_sym_COMMA] = ACTIONS(5853),
    [anon_sym_RPAREN] = ACTIONS(5853),
    [anon_sym_LPAREN2] = ACTIONS(5853),
    [anon_sym_TILDE] = ACTIONS(5853),
    [anon_sym_STAR] = ACTIONS(5853),
    [anon_sym_AMP_AMP] = ACTIONS(5853),
    [anon_sym_AMP] = ACTIONS(5851),
    [anon_sym_COLON] = ACTIONS(5851),
    [anon_sym_SEMI] = ACTIONS(5853),
    [anon_sym___extension__] = ACTIONS(5851),
    [anon_sym_in] = ACTIONS(5851),
    [anon_sym_out] = ACTIONS(5851),
    [anon_sym_inout] = ACTIONS(5851),
    [anon_sym_virtual] = ACTIONS(5851),
    [anon_sym_extern] = ACTIONS(5851),
    [anon_sym___attribute__] = ACTIONS(5851),
    [anon_sym_COLON_COLON] = ACTIONS(5853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5853),
    [anon_sym___declspec] = ACTIONS(5851),
    [anon_sym___based] = ACTIONS(5851),
    [anon_sym___cdecl] = ACTIONS(5851),
    [anon_sym___clrcall] = ACTIONS(5851),
    [anon_sym___stdcall] = ACTIONS(5851),
    [anon_sym___fastcall] = ACTIONS(5851),
    [anon_sym___thiscall] = ACTIONS(5851),
    [anon_sym___vectorcall] = ACTIONS(5851),
    [anon_sym_LBRACE] = ACTIONS(5853),
    [anon_sym_LBRACK] = ACTIONS(5851),
    [anon_sym_static] = ACTIONS(5851),
    [anon_sym_EQ] = ACTIONS(5853),
    [anon_sym_register] = ACTIONS(5851),
    [anon_sym_inline] = ACTIONS(5851),
    [anon_sym___inline] = ACTIONS(5851),
    [anon_sym___inline__] = ACTIONS(5851),
    [anon_sym___forceinline] = ACTIONS(5851),
    [anon_sym_thread_local] = ACTIONS(5851),
    [anon_sym___thread] = ACTIONS(5851),
    [anon_sym_const] = ACTIONS(5851),
    [anon_sym_constexpr] = ACTIONS(5851),
    [anon_sym_volatile] = ACTIONS(5851),
    [anon_sym_restrict] = ACTIONS(5851),
    [anon_sym___restrict__] = ACTIONS(5851),
    [anon_sym__Atomic] = ACTIONS(5851),
    [anon_sym__Noreturn] = ACTIONS(5851),
    [anon_sym_noreturn] = ACTIONS(5851),
    [anon_sym__Nonnull] = ACTIONS(5851),
    [anon_sym_mutable] = ACTIONS(5851),
    [anon_sym_constinit] = ACTIONS(5851),
    [anon_sym_consteval] = ACTIONS(5851),
    [anon_sym_alignas] = ACTIONS(5851),
    [anon_sym__Alignas] = ACTIONS(5851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5851),
    [anon_sym_final] = ACTIONS(5851),
    [anon_sym_override] = ACTIONS(5851),
    [anon_sym_explicit] = ACTIONS(5851),
    [anon_sym_template] = ACTIONS(5851),
    [anon_sym_GT2] = ACTIONS(5853),
    [anon_sym_operator] = ACTIONS(5851),
    [anon_sym_precise] = ACTIONS(5851),
    [anon_sym_shared] = ACTIONS(5851),
    [anon_sym_groupshared] = ACTIONS(5851),
    [anon_sym_uniform] = ACTIONS(5851),
    [anon_sym_row_major] = ACTIONS(5851),
    [anon_sym_column_major] = ACTIONS(5851),
    [anon_sym_globallycoherent] = ACTIONS(5851),
    [anon_sym_centroid] = ACTIONS(5851),
    [anon_sym_noperspective] = ACTIONS(5851),
    [anon_sym_nointerpolation] = ACTIONS(5851),
    [anon_sym_sample] = ACTIONS(5851),
    [anon_sym_linear] = ACTIONS(5851),
    [anon_sym_snorm] = ACTIONS(5851),
    [anon_sym_unorm] = ACTIONS(5851),
    [anon_sym_point] = ACTIONS(5851),
    [anon_sym_line] = ACTIONS(5851),
    [anon_sym_triangleadj] = ACTIONS(5851),
    [anon_sym_lineadj] = ACTIONS(5851),
    [anon_sym_triangle] = ACTIONS(5851),
  },
  [2330] = {
    [sym_identifier] = ACTIONS(5855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5857),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_RPAREN] = ACTIONS(5857),
    [anon_sym_LPAREN2] = ACTIONS(5857),
    [anon_sym_TILDE] = ACTIONS(5857),
    [anon_sym_STAR] = ACTIONS(5857),
    [anon_sym_AMP_AMP] = ACTIONS(5857),
    [anon_sym_AMP] = ACTIONS(5855),
    [anon_sym_COLON] = ACTIONS(5855),
    [anon_sym_SEMI] = ACTIONS(5857),
    [anon_sym___extension__] = ACTIONS(5855),
    [anon_sym_in] = ACTIONS(5855),
    [anon_sym_out] = ACTIONS(5855),
    [anon_sym_inout] = ACTIONS(5855),
    [anon_sym_virtual] = ACTIONS(5855),
    [anon_sym_extern] = ACTIONS(5855),
    [anon_sym___attribute__] = ACTIONS(5855),
    [anon_sym_COLON_COLON] = ACTIONS(5857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5857),
    [anon_sym___declspec] = ACTIONS(5855),
    [anon_sym___based] = ACTIONS(5855),
    [anon_sym___cdecl] = ACTIONS(5855),
    [anon_sym___clrcall] = ACTIONS(5855),
    [anon_sym___stdcall] = ACTIONS(5855),
    [anon_sym___fastcall] = ACTIONS(5855),
    [anon_sym___thiscall] = ACTIONS(5855),
    [anon_sym___vectorcall] = ACTIONS(5855),
    [anon_sym_LBRACK] = ACTIONS(5855),
    [anon_sym_static] = ACTIONS(5855),
    [anon_sym_EQ] = ACTIONS(5857),
    [anon_sym_register] = ACTIONS(5855),
    [anon_sym_inline] = ACTIONS(5855),
    [anon_sym___inline] = ACTIONS(5855),
    [anon_sym___inline__] = ACTIONS(5855),
    [anon_sym___forceinline] = ACTIONS(5855),
    [anon_sym_thread_local] = ACTIONS(5855),
    [anon_sym___thread] = ACTIONS(5855),
    [anon_sym_const] = ACTIONS(5855),
    [anon_sym_constexpr] = ACTIONS(5855),
    [anon_sym_volatile] = ACTIONS(5855),
    [anon_sym_restrict] = ACTIONS(5855),
    [anon_sym___restrict__] = ACTIONS(5855),
    [anon_sym__Atomic] = ACTIONS(5855),
    [anon_sym__Noreturn] = ACTIONS(5855),
    [anon_sym_noreturn] = ACTIONS(5855),
    [anon_sym__Nonnull] = ACTIONS(5855),
    [anon_sym_mutable] = ACTIONS(5855),
    [anon_sym_constinit] = ACTIONS(5855),
    [anon_sym_consteval] = ACTIONS(5855),
    [anon_sym_alignas] = ACTIONS(5855),
    [anon_sym__Alignas] = ACTIONS(5855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5855),
    [anon_sym_decltype] = ACTIONS(5855),
    [anon_sym_final] = ACTIONS(5855),
    [anon_sym_override] = ACTIONS(5855),
    [anon_sym_template] = ACTIONS(5855),
    [anon_sym_GT2] = ACTIONS(5857),
    [anon_sym_operator] = ACTIONS(5855),
    [anon_sym_requires] = ACTIONS(5855),
    [anon_sym_precise] = ACTIONS(5855),
    [anon_sym_shared] = ACTIONS(5855),
    [anon_sym_groupshared] = ACTIONS(5855),
    [anon_sym_uniform] = ACTIONS(5855),
    [anon_sym_row_major] = ACTIONS(5855),
    [anon_sym_column_major] = ACTIONS(5855),
    [anon_sym_globallycoherent] = ACTIONS(5855),
    [anon_sym_centroid] = ACTIONS(5855),
    [anon_sym_noperspective] = ACTIONS(5855),
    [anon_sym_nointerpolation] = ACTIONS(5855),
    [anon_sym_sample] = ACTIONS(5855),
    [anon_sym_linear] = ACTIONS(5855),
    [anon_sym_snorm] = ACTIONS(5855),
    [anon_sym_unorm] = ACTIONS(5855),
    [anon_sym_point] = ACTIONS(5855),
    [anon_sym_line] = ACTIONS(5855),
    [anon_sym_triangleadj] = ACTIONS(5855),
    [anon_sym_lineadj] = ACTIONS(5855),
    [anon_sym_triangle] = ACTIONS(5855),
  },
  [2331] = {
    [sym_identifier] = ACTIONS(5859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5861),
    [anon_sym_COMMA] = ACTIONS(5861),
    [anon_sym_RPAREN] = ACTIONS(5861),
    [anon_sym_LPAREN2] = ACTIONS(5861),
    [anon_sym_TILDE] = ACTIONS(5861),
    [anon_sym_STAR] = ACTIONS(5861),
    [anon_sym_AMP_AMP] = ACTIONS(5861),
    [anon_sym_AMP] = ACTIONS(5859),
    [anon_sym_COLON] = ACTIONS(5859),
    [anon_sym_SEMI] = ACTIONS(5861),
    [anon_sym___extension__] = ACTIONS(5859),
    [anon_sym_in] = ACTIONS(5859),
    [anon_sym_out] = ACTIONS(5859),
    [anon_sym_inout] = ACTIONS(5859),
    [anon_sym_virtual] = ACTIONS(5859),
    [anon_sym_extern] = ACTIONS(5859),
    [anon_sym___attribute__] = ACTIONS(5859),
    [anon_sym_COLON_COLON] = ACTIONS(5861),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5861),
    [anon_sym___declspec] = ACTIONS(5859),
    [anon_sym___based] = ACTIONS(5859),
    [anon_sym___cdecl] = ACTIONS(5859),
    [anon_sym___clrcall] = ACTIONS(5859),
    [anon_sym___stdcall] = ACTIONS(5859),
    [anon_sym___fastcall] = ACTIONS(5859),
    [anon_sym___thiscall] = ACTIONS(5859),
    [anon_sym___vectorcall] = ACTIONS(5859),
    [anon_sym_LBRACK] = ACTIONS(5859),
    [anon_sym_static] = ACTIONS(5859),
    [anon_sym_EQ] = ACTIONS(5861),
    [anon_sym_register] = ACTIONS(5859),
    [anon_sym_inline] = ACTIONS(5859),
    [anon_sym___inline] = ACTIONS(5859),
    [anon_sym___inline__] = ACTIONS(5859),
    [anon_sym___forceinline] = ACTIONS(5859),
    [anon_sym_thread_local] = ACTIONS(5859),
    [anon_sym___thread] = ACTIONS(5859),
    [anon_sym_const] = ACTIONS(5859),
    [anon_sym_constexpr] = ACTIONS(5859),
    [anon_sym_volatile] = ACTIONS(5859),
    [anon_sym_restrict] = ACTIONS(5859),
    [anon_sym___restrict__] = ACTIONS(5859),
    [anon_sym__Atomic] = ACTIONS(5859),
    [anon_sym__Noreturn] = ACTIONS(5859),
    [anon_sym_noreturn] = ACTIONS(5859),
    [anon_sym__Nonnull] = ACTIONS(5859),
    [anon_sym_mutable] = ACTIONS(5859),
    [anon_sym_constinit] = ACTIONS(5859),
    [anon_sym_consteval] = ACTIONS(5859),
    [anon_sym_alignas] = ACTIONS(5859),
    [anon_sym__Alignas] = ACTIONS(5859),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5859),
    [anon_sym_decltype] = ACTIONS(5859),
    [anon_sym_final] = ACTIONS(5859),
    [anon_sym_override] = ACTIONS(5859),
    [anon_sym_template] = ACTIONS(5859),
    [anon_sym_GT2] = ACTIONS(5861),
    [anon_sym_operator] = ACTIONS(5859),
    [anon_sym_requires] = ACTIONS(5859),
    [anon_sym_precise] = ACTIONS(5859),
    [anon_sym_shared] = ACTIONS(5859),
    [anon_sym_groupshared] = ACTIONS(5859),
    [anon_sym_uniform] = ACTIONS(5859),
    [anon_sym_row_major] = ACTIONS(5859),
    [anon_sym_column_major] = ACTIONS(5859),
    [anon_sym_globallycoherent] = ACTIONS(5859),
    [anon_sym_centroid] = ACTIONS(5859),
    [anon_sym_noperspective] = ACTIONS(5859),
    [anon_sym_nointerpolation] = ACTIONS(5859),
    [anon_sym_sample] = ACTIONS(5859),
    [anon_sym_linear] = ACTIONS(5859),
    [anon_sym_snorm] = ACTIONS(5859),
    [anon_sym_unorm] = ACTIONS(5859),
    [anon_sym_point] = ACTIONS(5859),
    [anon_sym_line] = ACTIONS(5859),
    [anon_sym_triangleadj] = ACTIONS(5859),
    [anon_sym_lineadj] = ACTIONS(5859),
    [anon_sym_triangle] = ACTIONS(5859),
  },
  [2332] = {
    [sym_identifier] = ACTIONS(5863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5865),
    [anon_sym_COMMA] = ACTIONS(5865),
    [anon_sym_RPAREN] = ACTIONS(5865),
    [anon_sym_LPAREN2] = ACTIONS(5865),
    [anon_sym_TILDE] = ACTIONS(5865),
    [anon_sym_STAR] = ACTIONS(5865),
    [anon_sym_AMP_AMP] = ACTIONS(5865),
    [anon_sym_AMP] = ACTIONS(5863),
    [anon_sym_COLON] = ACTIONS(5863),
    [anon_sym_SEMI] = ACTIONS(5865),
    [anon_sym___extension__] = ACTIONS(5863),
    [anon_sym_in] = ACTIONS(5863),
    [anon_sym_out] = ACTIONS(5863),
    [anon_sym_inout] = ACTIONS(5863),
    [anon_sym_virtual] = ACTIONS(5863),
    [anon_sym_extern] = ACTIONS(5863),
    [anon_sym___attribute__] = ACTIONS(5863),
    [anon_sym_COLON_COLON] = ACTIONS(5865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5865),
    [anon_sym___declspec] = ACTIONS(5863),
    [anon_sym___based] = ACTIONS(5863),
    [anon_sym___cdecl] = ACTIONS(5863),
    [anon_sym___clrcall] = ACTIONS(5863),
    [anon_sym___stdcall] = ACTIONS(5863),
    [anon_sym___fastcall] = ACTIONS(5863),
    [anon_sym___thiscall] = ACTIONS(5863),
    [anon_sym___vectorcall] = ACTIONS(5863),
    [anon_sym_LBRACK] = ACTIONS(5863),
    [anon_sym_static] = ACTIONS(5863),
    [anon_sym_EQ] = ACTIONS(5865),
    [anon_sym_register] = ACTIONS(5863),
    [anon_sym_inline] = ACTIONS(5863),
    [anon_sym___inline] = ACTIONS(5863),
    [anon_sym___inline__] = ACTIONS(5863),
    [anon_sym___forceinline] = ACTIONS(5863),
    [anon_sym_thread_local] = ACTIONS(5863),
    [anon_sym___thread] = ACTIONS(5863),
    [anon_sym_const] = ACTIONS(5863),
    [anon_sym_constexpr] = ACTIONS(5863),
    [anon_sym_volatile] = ACTIONS(5863),
    [anon_sym_restrict] = ACTIONS(5863),
    [anon_sym___restrict__] = ACTIONS(5863),
    [anon_sym__Atomic] = ACTIONS(5863),
    [anon_sym__Noreturn] = ACTIONS(5863),
    [anon_sym_noreturn] = ACTIONS(5863),
    [anon_sym__Nonnull] = ACTIONS(5863),
    [anon_sym_mutable] = ACTIONS(5863),
    [anon_sym_constinit] = ACTIONS(5863),
    [anon_sym_consteval] = ACTIONS(5863),
    [anon_sym_alignas] = ACTIONS(5863),
    [anon_sym__Alignas] = ACTIONS(5863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5863),
    [anon_sym_decltype] = ACTIONS(5863),
    [anon_sym_final] = ACTIONS(5863),
    [anon_sym_override] = ACTIONS(5863),
    [anon_sym_template] = ACTIONS(5863),
    [anon_sym_GT2] = ACTIONS(5865),
    [anon_sym_operator] = ACTIONS(5863),
    [anon_sym_requires] = ACTIONS(5863),
    [anon_sym_precise] = ACTIONS(5863),
    [anon_sym_shared] = ACTIONS(5863),
    [anon_sym_groupshared] = ACTIONS(5863),
    [anon_sym_uniform] = ACTIONS(5863),
    [anon_sym_row_major] = ACTIONS(5863),
    [anon_sym_column_major] = ACTIONS(5863),
    [anon_sym_globallycoherent] = ACTIONS(5863),
    [anon_sym_centroid] = ACTIONS(5863),
    [anon_sym_noperspective] = ACTIONS(5863),
    [anon_sym_nointerpolation] = ACTIONS(5863),
    [anon_sym_sample] = ACTIONS(5863),
    [anon_sym_linear] = ACTIONS(5863),
    [anon_sym_snorm] = ACTIONS(5863),
    [anon_sym_unorm] = ACTIONS(5863),
    [anon_sym_point] = ACTIONS(5863),
    [anon_sym_line] = ACTIONS(5863),
    [anon_sym_triangleadj] = ACTIONS(5863),
    [anon_sym_lineadj] = ACTIONS(5863),
    [anon_sym_triangle] = ACTIONS(5863),
  },
  [2333] = {
    [sym_identifier] = ACTIONS(5867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5869),
    [anon_sym_COMMA] = ACTIONS(5869),
    [anon_sym_RPAREN] = ACTIONS(5869),
    [anon_sym_LPAREN2] = ACTIONS(5869),
    [anon_sym_TILDE] = ACTIONS(5869),
    [anon_sym_STAR] = ACTIONS(5869),
    [anon_sym_AMP_AMP] = ACTIONS(5869),
    [anon_sym_AMP] = ACTIONS(5867),
    [anon_sym_COLON] = ACTIONS(5867),
    [anon_sym_SEMI] = ACTIONS(5869),
    [anon_sym___extension__] = ACTIONS(5867),
    [anon_sym_in] = ACTIONS(5867),
    [anon_sym_out] = ACTIONS(5867),
    [anon_sym_inout] = ACTIONS(5867),
    [anon_sym_virtual] = ACTIONS(5867),
    [anon_sym_extern] = ACTIONS(5867),
    [anon_sym___attribute__] = ACTIONS(5867),
    [anon_sym_COLON_COLON] = ACTIONS(5869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5869),
    [anon_sym___declspec] = ACTIONS(5867),
    [anon_sym___based] = ACTIONS(5867),
    [anon_sym___cdecl] = ACTIONS(5867),
    [anon_sym___clrcall] = ACTIONS(5867),
    [anon_sym___stdcall] = ACTIONS(5867),
    [anon_sym___fastcall] = ACTIONS(5867),
    [anon_sym___thiscall] = ACTIONS(5867),
    [anon_sym___vectorcall] = ACTIONS(5867),
    [anon_sym_LBRACK] = ACTIONS(5867),
    [anon_sym_static] = ACTIONS(5867),
    [anon_sym_EQ] = ACTIONS(5869),
    [anon_sym_register] = ACTIONS(5867),
    [anon_sym_inline] = ACTIONS(5867),
    [anon_sym___inline] = ACTIONS(5867),
    [anon_sym___inline__] = ACTIONS(5867),
    [anon_sym___forceinline] = ACTIONS(5867),
    [anon_sym_thread_local] = ACTIONS(5867),
    [anon_sym___thread] = ACTIONS(5867),
    [anon_sym_const] = ACTIONS(5867),
    [anon_sym_constexpr] = ACTIONS(5867),
    [anon_sym_volatile] = ACTIONS(5867),
    [anon_sym_restrict] = ACTIONS(5867),
    [anon_sym___restrict__] = ACTIONS(5867),
    [anon_sym__Atomic] = ACTIONS(5867),
    [anon_sym__Noreturn] = ACTIONS(5867),
    [anon_sym_noreturn] = ACTIONS(5867),
    [anon_sym__Nonnull] = ACTIONS(5867),
    [anon_sym_mutable] = ACTIONS(5867),
    [anon_sym_constinit] = ACTIONS(5867),
    [anon_sym_consteval] = ACTIONS(5867),
    [anon_sym_alignas] = ACTIONS(5867),
    [anon_sym__Alignas] = ACTIONS(5867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5867),
    [anon_sym_decltype] = ACTIONS(5867),
    [anon_sym_final] = ACTIONS(5867),
    [anon_sym_override] = ACTIONS(5867),
    [anon_sym_template] = ACTIONS(5867),
    [anon_sym_GT2] = ACTIONS(5869),
    [anon_sym_operator] = ACTIONS(5867),
    [anon_sym_requires] = ACTIONS(5867),
    [anon_sym_precise] = ACTIONS(5867),
    [anon_sym_shared] = ACTIONS(5867),
    [anon_sym_groupshared] = ACTIONS(5867),
    [anon_sym_uniform] = ACTIONS(5867),
    [anon_sym_row_major] = ACTIONS(5867),
    [anon_sym_column_major] = ACTIONS(5867),
    [anon_sym_globallycoherent] = ACTIONS(5867),
    [anon_sym_centroid] = ACTIONS(5867),
    [anon_sym_noperspective] = ACTIONS(5867),
    [anon_sym_nointerpolation] = ACTIONS(5867),
    [anon_sym_sample] = ACTIONS(5867),
    [anon_sym_linear] = ACTIONS(5867),
    [anon_sym_snorm] = ACTIONS(5867),
    [anon_sym_unorm] = ACTIONS(5867),
    [anon_sym_point] = ACTIONS(5867),
    [anon_sym_line] = ACTIONS(5867),
    [anon_sym_triangleadj] = ACTIONS(5867),
    [anon_sym_lineadj] = ACTIONS(5867),
    [anon_sym_triangle] = ACTIONS(5867),
  },
  [2334] = {
    [sym_identifier] = ACTIONS(5871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5873),
    [anon_sym_COMMA] = ACTIONS(5873),
    [anon_sym_RPAREN] = ACTIONS(5873),
    [anon_sym_LPAREN2] = ACTIONS(5873),
    [anon_sym_TILDE] = ACTIONS(5873),
    [anon_sym_STAR] = ACTIONS(5873),
    [anon_sym_AMP_AMP] = ACTIONS(5873),
    [anon_sym_AMP] = ACTIONS(5871),
    [anon_sym_COLON] = ACTIONS(5871),
    [anon_sym_SEMI] = ACTIONS(5873),
    [anon_sym___extension__] = ACTIONS(5871),
    [anon_sym_in] = ACTIONS(5871),
    [anon_sym_out] = ACTIONS(5871),
    [anon_sym_inout] = ACTIONS(5871),
    [anon_sym_virtual] = ACTIONS(5871),
    [anon_sym_extern] = ACTIONS(5871),
    [anon_sym___attribute__] = ACTIONS(5871),
    [anon_sym_COLON_COLON] = ACTIONS(5873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5873),
    [anon_sym___declspec] = ACTIONS(5871),
    [anon_sym___based] = ACTIONS(5871),
    [anon_sym___cdecl] = ACTIONS(5871),
    [anon_sym___clrcall] = ACTIONS(5871),
    [anon_sym___stdcall] = ACTIONS(5871),
    [anon_sym___fastcall] = ACTIONS(5871),
    [anon_sym___thiscall] = ACTIONS(5871),
    [anon_sym___vectorcall] = ACTIONS(5871),
    [anon_sym_LBRACK] = ACTIONS(5871),
    [anon_sym_static] = ACTIONS(5871),
    [anon_sym_EQ] = ACTIONS(5873),
    [anon_sym_register] = ACTIONS(5871),
    [anon_sym_inline] = ACTIONS(5871),
    [anon_sym___inline] = ACTIONS(5871),
    [anon_sym___inline__] = ACTIONS(5871),
    [anon_sym___forceinline] = ACTIONS(5871),
    [anon_sym_thread_local] = ACTIONS(5871),
    [anon_sym___thread] = ACTIONS(5871),
    [anon_sym_const] = ACTIONS(5871),
    [anon_sym_constexpr] = ACTIONS(5871),
    [anon_sym_volatile] = ACTIONS(5871),
    [anon_sym_restrict] = ACTIONS(5871),
    [anon_sym___restrict__] = ACTIONS(5871),
    [anon_sym__Atomic] = ACTIONS(5871),
    [anon_sym__Noreturn] = ACTIONS(5871),
    [anon_sym_noreturn] = ACTIONS(5871),
    [anon_sym__Nonnull] = ACTIONS(5871),
    [anon_sym_mutable] = ACTIONS(5871),
    [anon_sym_constinit] = ACTIONS(5871),
    [anon_sym_consteval] = ACTIONS(5871),
    [anon_sym_alignas] = ACTIONS(5871),
    [anon_sym__Alignas] = ACTIONS(5871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5871),
    [anon_sym_decltype] = ACTIONS(5871),
    [anon_sym_final] = ACTIONS(5871),
    [anon_sym_override] = ACTIONS(5871),
    [anon_sym_template] = ACTIONS(5871),
    [anon_sym_GT2] = ACTIONS(5873),
    [anon_sym_operator] = ACTIONS(5871),
    [anon_sym_requires] = ACTIONS(5871),
    [anon_sym_precise] = ACTIONS(5871),
    [anon_sym_shared] = ACTIONS(5871),
    [anon_sym_groupshared] = ACTIONS(5871),
    [anon_sym_uniform] = ACTIONS(5871),
    [anon_sym_row_major] = ACTIONS(5871),
    [anon_sym_column_major] = ACTIONS(5871),
    [anon_sym_globallycoherent] = ACTIONS(5871),
    [anon_sym_centroid] = ACTIONS(5871),
    [anon_sym_noperspective] = ACTIONS(5871),
    [anon_sym_nointerpolation] = ACTIONS(5871),
    [anon_sym_sample] = ACTIONS(5871),
    [anon_sym_linear] = ACTIONS(5871),
    [anon_sym_snorm] = ACTIONS(5871),
    [anon_sym_unorm] = ACTIONS(5871),
    [anon_sym_point] = ACTIONS(5871),
    [anon_sym_line] = ACTIONS(5871),
    [anon_sym_triangleadj] = ACTIONS(5871),
    [anon_sym_lineadj] = ACTIONS(5871),
    [anon_sym_triangle] = ACTIONS(5871),
  },
  [2335] = {
    [sym_attribute_specifier] = STATE(2327),
    [sym_enumerator_list] = STATE(2368),
    [sym_identifier] = ACTIONS(5875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5877),
    [anon_sym_COMMA] = ACTIONS(5877),
    [anon_sym_RPAREN] = ACTIONS(5877),
    [anon_sym_LPAREN2] = ACTIONS(5877),
    [anon_sym_TILDE] = ACTIONS(5877),
    [anon_sym_STAR] = ACTIONS(5877),
    [anon_sym_AMP_AMP] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(5875),
    [anon_sym_COLON] = ACTIONS(5875),
    [anon_sym_SEMI] = ACTIONS(5877),
    [anon_sym___extension__] = ACTIONS(5875),
    [anon_sym_in] = ACTIONS(5875),
    [anon_sym_out] = ACTIONS(5875),
    [anon_sym_inout] = ACTIONS(5875),
    [anon_sym_virtual] = ACTIONS(5875),
    [anon_sym_extern] = ACTIONS(5875),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5877),
    [anon_sym___declspec] = ACTIONS(5875),
    [anon_sym___based] = ACTIONS(5875),
    [anon_sym___cdecl] = ACTIONS(5875),
    [anon_sym___clrcall] = ACTIONS(5875),
    [anon_sym___stdcall] = ACTIONS(5875),
    [anon_sym___fastcall] = ACTIONS(5875),
    [anon_sym___thiscall] = ACTIONS(5875),
    [anon_sym___vectorcall] = ACTIONS(5875),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(5875),
    [anon_sym_static] = ACTIONS(5875),
    [anon_sym_EQ] = ACTIONS(5877),
    [anon_sym_register] = ACTIONS(5875),
    [anon_sym_inline] = ACTIONS(5875),
    [anon_sym___inline] = ACTIONS(5875),
    [anon_sym___inline__] = ACTIONS(5875),
    [anon_sym___forceinline] = ACTIONS(5875),
    [anon_sym_thread_local] = ACTIONS(5875),
    [anon_sym___thread] = ACTIONS(5875),
    [anon_sym_const] = ACTIONS(5875),
    [anon_sym_constexpr] = ACTIONS(5875),
    [anon_sym_volatile] = ACTIONS(5875),
    [anon_sym_restrict] = ACTIONS(5875),
    [anon_sym___restrict__] = ACTIONS(5875),
    [anon_sym__Atomic] = ACTIONS(5875),
    [anon_sym__Noreturn] = ACTIONS(5875),
    [anon_sym_noreturn] = ACTIONS(5875),
    [anon_sym__Nonnull] = ACTIONS(5875),
    [anon_sym_mutable] = ACTIONS(5875),
    [anon_sym_constinit] = ACTIONS(5875),
    [anon_sym_consteval] = ACTIONS(5875),
    [anon_sym_alignas] = ACTIONS(5875),
    [anon_sym__Alignas] = ACTIONS(5875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5875),
    [anon_sym_decltype] = ACTIONS(5875),
    [anon_sym_template] = ACTIONS(5875),
    [anon_sym_GT2] = ACTIONS(5877),
    [anon_sym_operator] = ACTIONS(5875),
    [anon_sym_precise] = ACTIONS(5875),
    [anon_sym_shared] = ACTIONS(5875),
    [anon_sym_groupshared] = ACTIONS(5875),
    [anon_sym_uniform] = ACTIONS(5875),
    [anon_sym_row_major] = ACTIONS(5875),
    [anon_sym_column_major] = ACTIONS(5875),
    [anon_sym_globallycoherent] = ACTIONS(5875),
    [anon_sym_centroid] = ACTIONS(5875),
    [anon_sym_noperspective] = ACTIONS(5875),
    [anon_sym_nointerpolation] = ACTIONS(5875),
    [anon_sym_sample] = ACTIONS(5875),
    [anon_sym_linear] = ACTIONS(5875),
    [anon_sym_snorm] = ACTIONS(5875),
    [anon_sym_unorm] = ACTIONS(5875),
    [anon_sym_point] = ACTIONS(5875),
    [anon_sym_line] = ACTIONS(5875),
    [anon_sym_triangleadj] = ACTIONS(5875),
    [anon_sym_lineadj] = ACTIONS(5875),
    [anon_sym_triangle] = ACTIONS(5875),
  },
  [2336] = {
    [sym_identifier] = ACTIONS(5879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5881),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_RPAREN] = ACTIONS(5881),
    [anon_sym_LPAREN2] = ACTIONS(5881),
    [anon_sym_TILDE] = ACTIONS(5881),
    [anon_sym_STAR] = ACTIONS(5881),
    [anon_sym_AMP_AMP] = ACTIONS(5881),
    [anon_sym_AMP] = ACTIONS(5879),
    [anon_sym_COLON] = ACTIONS(5879),
    [anon_sym_SEMI] = ACTIONS(5881),
    [anon_sym___extension__] = ACTIONS(5879),
    [anon_sym_in] = ACTIONS(5879),
    [anon_sym_out] = ACTIONS(5879),
    [anon_sym_inout] = ACTIONS(5879),
    [anon_sym_virtual] = ACTIONS(5879),
    [anon_sym_extern] = ACTIONS(5879),
    [anon_sym___attribute__] = ACTIONS(5879),
    [anon_sym_COLON_COLON] = ACTIONS(5881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5881),
    [anon_sym___declspec] = ACTIONS(5879),
    [anon_sym___based] = ACTIONS(5879),
    [anon_sym___cdecl] = ACTIONS(5879),
    [anon_sym___clrcall] = ACTIONS(5879),
    [anon_sym___stdcall] = ACTIONS(5879),
    [anon_sym___fastcall] = ACTIONS(5879),
    [anon_sym___thiscall] = ACTIONS(5879),
    [anon_sym___vectorcall] = ACTIONS(5879),
    [anon_sym_LBRACK] = ACTIONS(5879),
    [anon_sym_static] = ACTIONS(5879),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_register] = ACTIONS(5879),
    [anon_sym_inline] = ACTIONS(5879),
    [anon_sym___inline] = ACTIONS(5879),
    [anon_sym___inline__] = ACTIONS(5879),
    [anon_sym___forceinline] = ACTIONS(5879),
    [anon_sym_thread_local] = ACTIONS(5879),
    [anon_sym___thread] = ACTIONS(5879),
    [anon_sym_const] = ACTIONS(5879),
    [anon_sym_constexpr] = ACTIONS(5879),
    [anon_sym_volatile] = ACTIONS(5879),
    [anon_sym_restrict] = ACTIONS(5879),
    [anon_sym___restrict__] = ACTIONS(5879),
    [anon_sym__Atomic] = ACTIONS(5879),
    [anon_sym__Noreturn] = ACTIONS(5879),
    [anon_sym_noreturn] = ACTIONS(5879),
    [anon_sym__Nonnull] = ACTIONS(5879),
    [anon_sym_mutable] = ACTIONS(5879),
    [anon_sym_constinit] = ACTIONS(5879),
    [anon_sym_consteval] = ACTIONS(5879),
    [anon_sym_alignas] = ACTIONS(5879),
    [anon_sym__Alignas] = ACTIONS(5879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5879),
    [anon_sym_decltype] = ACTIONS(5879),
    [anon_sym_final] = ACTIONS(5879),
    [anon_sym_override] = ACTIONS(5879),
    [anon_sym_template] = ACTIONS(5879),
    [anon_sym_GT2] = ACTIONS(5881),
    [anon_sym_operator] = ACTIONS(5879),
    [anon_sym_requires] = ACTIONS(5879),
    [anon_sym_precise] = ACTIONS(5879),
    [anon_sym_shared] = ACTIONS(5879),
    [anon_sym_groupshared] = ACTIONS(5879),
    [anon_sym_uniform] = ACTIONS(5879),
    [anon_sym_row_major] = ACTIONS(5879),
    [anon_sym_column_major] = ACTIONS(5879),
    [anon_sym_globallycoherent] = ACTIONS(5879),
    [anon_sym_centroid] = ACTIONS(5879),
    [anon_sym_noperspective] = ACTIONS(5879),
    [anon_sym_nointerpolation] = ACTIONS(5879),
    [anon_sym_sample] = ACTIONS(5879),
    [anon_sym_linear] = ACTIONS(5879),
    [anon_sym_snorm] = ACTIONS(5879),
    [anon_sym_unorm] = ACTIONS(5879),
    [anon_sym_point] = ACTIONS(5879),
    [anon_sym_line] = ACTIONS(5879),
    [anon_sym_triangleadj] = ACTIONS(5879),
    [anon_sym_lineadj] = ACTIONS(5879),
    [anon_sym_triangle] = ACTIONS(5879),
  },
  [2337] = {
    [sym_identifier] = ACTIONS(5883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5885),
    [anon_sym_RPAREN] = ACTIONS(5885),
    [anon_sym_LPAREN2] = ACTIONS(5885),
    [anon_sym_TILDE] = ACTIONS(5885),
    [anon_sym_STAR] = ACTIONS(5885),
    [anon_sym_AMP_AMP] = ACTIONS(5885),
    [anon_sym_AMP] = ACTIONS(5883),
    [anon_sym_COLON] = ACTIONS(5883),
    [anon_sym_SEMI] = ACTIONS(5885),
    [anon_sym___extension__] = ACTIONS(5883),
    [anon_sym_in] = ACTIONS(5883),
    [anon_sym_out] = ACTIONS(5883),
    [anon_sym_inout] = ACTIONS(5883),
    [anon_sym_virtual] = ACTIONS(5883),
    [anon_sym_extern] = ACTIONS(5883),
    [anon_sym___attribute__] = ACTIONS(5883),
    [anon_sym_COLON_COLON] = ACTIONS(5885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5885),
    [anon_sym___declspec] = ACTIONS(5883),
    [anon_sym___based] = ACTIONS(5883),
    [anon_sym___cdecl] = ACTIONS(5883),
    [anon_sym___clrcall] = ACTIONS(5883),
    [anon_sym___stdcall] = ACTIONS(5883),
    [anon_sym___fastcall] = ACTIONS(5883),
    [anon_sym___thiscall] = ACTIONS(5883),
    [anon_sym___vectorcall] = ACTIONS(5883),
    [anon_sym_LBRACK] = ACTIONS(5883),
    [anon_sym_static] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(5885),
    [anon_sym_register] = ACTIONS(5883),
    [anon_sym_inline] = ACTIONS(5883),
    [anon_sym___inline] = ACTIONS(5883),
    [anon_sym___inline__] = ACTIONS(5883),
    [anon_sym___forceinline] = ACTIONS(5883),
    [anon_sym_thread_local] = ACTIONS(5883),
    [anon_sym___thread] = ACTIONS(5883),
    [anon_sym_const] = ACTIONS(5883),
    [anon_sym_constexpr] = ACTIONS(5883),
    [anon_sym_volatile] = ACTIONS(5883),
    [anon_sym_restrict] = ACTIONS(5883),
    [anon_sym___restrict__] = ACTIONS(5883),
    [anon_sym__Atomic] = ACTIONS(5883),
    [anon_sym__Noreturn] = ACTIONS(5883),
    [anon_sym_noreturn] = ACTIONS(5883),
    [anon_sym__Nonnull] = ACTIONS(5883),
    [anon_sym_mutable] = ACTIONS(5883),
    [anon_sym_constinit] = ACTIONS(5883),
    [anon_sym_consteval] = ACTIONS(5883),
    [anon_sym_alignas] = ACTIONS(5883),
    [anon_sym__Alignas] = ACTIONS(5883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5883),
    [anon_sym_decltype] = ACTIONS(5883),
    [anon_sym_final] = ACTIONS(5883),
    [anon_sym_override] = ACTIONS(5883),
    [anon_sym_template] = ACTIONS(5883),
    [anon_sym_GT2] = ACTIONS(5885),
    [anon_sym_operator] = ACTIONS(5883),
    [anon_sym_requires] = ACTIONS(5883),
    [anon_sym_precise] = ACTIONS(5883),
    [anon_sym_shared] = ACTIONS(5883),
    [anon_sym_groupshared] = ACTIONS(5883),
    [anon_sym_uniform] = ACTIONS(5883),
    [anon_sym_row_major] = ACTIONS(5883),
    [anon_sym_column_major] = ACTIONS(5883),
    [anon_sym_globallycoherent] = ACTIONS(5883),
    [anon_sym_centroid] = ACTIONS(5883),
    [anon_sym_noperspective] = ACTIONS(5883),
    [anon_sym_nointerpolation] = ACTIONS(5883),
    [anon_sym_sample] = ACTIONS(5883),
    [anon_sym_linear] = ACTIONS(5883),
    [anon_sym_snorm] = ACTIONS(5883),
    [anon_sym_unorm] = ACTIONS(5883),
    [anon_sym_point] = ACTIONS(5883),
    [anon_sym_line] = ACTIONS(5883),
    [anon_sym_triangleadj] = ACTIONS(5883),
    [anon_sym_lineadj] = ACTIONS(5883),
    [anon_sym_triangle] = ACTIONS(5883),
  },
  [2338] = {
    [sym_identifier] = ACTIONS(5887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5889),
    [anon_sym_COMMA] = ACTIONS(5889),
    [anon_sym_RPAREN] = ACTIONS(5889),
    [anon_sym_LPAREN2] = ACTIONS(5889),
    [anon_sym_TILDE] = ACTIONS(5889),
    [anon_sym_STAR] = ACTIONS(5889),
    [anon_sym_AMP_AMP] = ACTIONS(5889),
    [anon_sym_AMP] = ACTIONS(5887),
    [anon_sym_COLON] = ACTIONS(5887),
    [anon_sym_SEMI] = ACTIONS(5889),
    [anon_sym___extension__] = ACTIONS(5887),
    [anon_sym_in] = ACTIONS(5887),
    [anon_sym_out] = ACTIONS(5887),
    [anon_sym_inout] = ACTIONS(5887),
    [anon_sym_virtual] = ACTIONS(5887),
    [anon_sym_extern] = ACTIONS(5887),
    [anon_sym___attribute__] = ACTIONS(5887),
    [anon_sym_COLON_COLON] = ACTIONS(5889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5889),
    [anon_sym___declspec] = ACTIONS(5887),
    [anon_sym___based] = ACTIONS(5887),
    [anon_sym___cdecl] = ACTIONS(5887),
    [anon_sym___clrcall] = ACTIONS(5887),
    [anon_sym___stdcall] = ACTIONS(5887),
    [anon_sym___fastcall] = ACTIONS(5887),
    [anon_sym___thiscall] = ACTIONS(5887),
    [anon_sym___vectorcall] = ACTIONS(5887),
    [anon_sym_LBRACK] = ACTIONS(5887),
    [anon_sym_static] = ACTIONS(5887),
    [anon_sym_EQ] = ACTIONS(5889),
    [anon_sym_register] = ACTIONS(5887),
    [anon_sym_inline] = ACTIONS(5887),
    [anon_sym___inline] = ACTIONS(5887),
    [anon_sym___inline__] = ACTIONS(5887),
    [anon_sym___forceinline] = ACTIONS(5887),
    [anon_sym_thread_local] = ACTIONS(5887),
    [anon_sym___thread] = ACTIONS(5887),
    [anon_sym_const] = ACTIONS(5887),
    [anon_sym_constexpr] = ACTIONS(5887),
    [anon_sym_volatile] = ACTIONS(5887),
    [anon_sym_restrict] = ACTIONS(5887),
    [anon_sym___restrict__] = ACTIONS(5887),
    [anon_sym__Atomic] = ACTIONS(5887),
    [anon_sym__Noreturn] = ACTIONS(5887),
    [anon_sym_noreturn] = ACTIONS(5887),
    [anon_sym__Nonnull] = ACTIONS(5887),
    [anon_sym_mutable] = ACTIONS(5887),
    [anon_sym_constinit] = ACTIONS(5887),
    [anon_sym_consteval] = ACTIONS(5887),
    [anon_sym_alignas] = ACTIONS(5887),
    [anon_sym__Alignas] = ACTIONS(5887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5887),
    [anon_sym_decltype] = ACTIONS(5887),
    [anon_sym_final] = ACTIONS(5887),
    [anon_sym_override] = ACTIONS(5887),
    [anon_sym_template] = ACTIONS(5887),
    [anon_sym_GT2] = ACTIONS(5889),
    [anon_sym_operator] = ACTIONS(5887),
    [anon_sym_requires] = ACTIONS(5887),
    [anon_sym_precise] = ACTIONS(5887),
    [anon_sym_shared] = ACTIONS(5887),
    [anon_sym_groupshared] = ACTIONS(5887),
    [anon_sym_uniform] = ACTIONS(5887),
    [anon_sym_row_major] = ACTIONS(5887),
    [anon_sym_column_major] = ACTIONS(5887),
    [anon_sym_globallycoherent] = ACTIONS(5887),
    [anon_sym_centroid] = ACTIONS(5887),
    [anon_sym_noperspective] = ACTIONS(5887),
    [anon_sym_nointerpolation] = ACTIONS(5887),
    [anon_sym_sample] = ACTIONS(5887),
    [anon_sym_linear] = ACTIONS(5887),
    [anon_sym_snorm] = ACTIONS(5887),
    [anon_sym_unorm] = ACTIONS(5887),
    [anon_sym_point] = ACTIONS(5887),
    [anon_sym_line] = ACTIONS(5887),
    [anon_sym_triangleadj] = ACTIONS(5887),
    [anon_sym_lineadj] = ACTIONS(5887),
    [anon_sym_triangle] = ACTIONS(5887),
  },
  [2339] = {
    [sym_identifier] = ACTIONS(5891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5893),
    [anon_sym_COMMA] = ACTIONS(5893),
    [anon_sym_RPAREN] = ACTIONS(5893),
    [anon_sym_LPAREN2] = ACTIONS(5893),
    [anon_sym_TILDE] = ACTIONS(5893),
    [anon_sym_STAR] = ACTIONS(5893),
    [anon_sym_AMP_AMP] = ACTIONS(5893),
    [anon_sym_AMP] = ACTIONS(5891),
    [anon_sym_COLON] = ACTIONS(5891),
    [anon_sym_SEMI] = ACTIONS(5893),
    [anon_sym___extension__] = ACTIONS(5891),
    [anon_sym_in] = ACTIONS(5891),
    [anon_sym_out] = ACTIONS(5891),
    [anon_sym_inout] = ACTIONS(5891),
    [anon_sym_virtual] = ACTIONS(5891),
    [anon_sym_extern] = ACTIONS(5891),
    [anon_sym___attribute__] = ACTIONS(5891),
    [anon_sym_COLON_COLON] = ACTIONS(5893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5893),
    [anon_sym___declspec] = ACTIONS(5891),
    [anon_sym___based] = ACTIONS(5891),
    [anon_sym___cdecl] = ACTIONS(5891),
    [anon_sym___clrcall] = ACTIONS(5891),
    [anon_sym___stdcall] = ACTIONS(5891),
    [anon_sym___fastcall] = ACTIONS(5891),
    [anon_sym___thiscall] = ACTIONS(5891),
    [anon_sym___vectorcall] = ACTIONS(5891),
    [anon_sym_LBRACK] = ACTIONS(5891),
    [anon_sym_static] = ACTIONS(5891),
    [anon_sym_EQ] = ACTIONS(5893),
    [anon_sym_register] = ACTIONS(5891),
    [anon_sym_inline] = ACTIONS(5891),
    [anon_sym___inline] = ACTIONS(5891),
    [anon_sym___inline__] = ACTIONS(5891),
    [anon_sym___forceinline] = ACTIONS(5891),
    [anon_sym_thread_local] = ACTIONS(5891),
    [anon_sym___thread] = ACTIONS(5891),
    [anon_sym_const] = ACTIONS(5891),
    [anon_sym_constexpr] = ACTIONS(5891),
    [anon_sym_volatile] = ACTIONS(5891),
    [anon_sym_restrict] = ACTIONS(5891),
    [anon_sym___restrict__] = ACTIONS(5891),
    [anon_sym__Atomic] = ACTIONS(5891),
    [anon_sym__Noreturn] = ACTIONS(5891),
    [anon_sym_noreturn] = ACTIONS(5891),
    [anon_sym__Nonnull] = ACTIONS(5891),
    [anon_sym_mutable] = ACTIONS(5891),
    [anon_sym_constinit] = ACTIONS(5891),
    [anon_sym_consteval] = ACTIONS(5891),
    [anon_sym_alignas] = ACTIONS(5891),
    [anon_sym__Alignas] = ACTIONS(5891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5891),
    [anon_sym_decltype] = ACTIONS(5891),
    [anon_sym_final] = ACTIONS(5891),
    [anon_sym_override] = ACTIONS(5891),
    [anon_sym_template] = ACTIONS(5891),
    [anon_sym_GT2] = ACTIONS(5893),
    [anon_sym_operator] = ACTIONS(5891),
    [anon_sym_requires] = ACTIONS(5891),
    [anon_sym_precise] = ACTIONS(5891),
    [anon_sym_shared] = ACTIONS(5891),
    [anon_sym_groupshared] = ACTIONS(5891),
    [anon_sym_uniform] = ACTIONS(5891),
    [anon_sym_row_major] = ACTIONS(5891),
    [anon_sym_column_major] = ACTIONS(5891),
    [anon_sym_globallycoherent] = ACTIONS(5891),
    [anon_sym_centroid] = ACTIONS(5891),
    [anon_sym_noperspective] = ACTIONS(5891),
    [anon_sym_nointerpolation] = ACTIONS(5891),
    [anon_sym_sample] = ACTIONS(5891),
    [anon_sym_linear] = ACTIONS(5891),
    [anon_sym_snorm] = ACTIONS(5891),
    [anon_sym_unorm] = ACTIONS(5891),
    [anon_sym_point] = ACTIONS(5891),
    [anon_sym_line] = ACTIONS(5891),
    [anon_sym_triangleadj] = ACTIONS(5891),
    [anon_sym_lineadj] = ACTIONS(5891),
    [anon_sym_triangle] = ACTIONS(5891),
  },
  [2340] = {
    [sym_identifier] = ACTIONS(5895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5897),
    [anon_sym_COMMA] = ACTIONS(5897),
    [anon_sym_RPAREN] = ACTIONS(5897),
    [anon_sym_LPAREN2] = ACTIONS(5897),
    [anon_sym_TILDE] = ACTIONS(5897),
    [anon_sym_STAR] = ACTIONS(5897),
    [anon_sym_AMP_AMP] = ACTIONS(5897),
    [anon_sym_AMP] = ACTIONS(5895),
    [anon_sym_COLON] = ACTIONS(5895),
    [anon_sym_SEMI] = ACTIONS(5897),
    [anon_sym___extension__] = ACTIONS(5895),
    [anon_sym_in] = ACTIONS(5895),
    [anon_sym_out] = ACTIONS(5895),
    [anon_sym_inout] = ACTIONS(5895),
    [anon_sym_virtual] = ACTIONS(5895),
    [anon_sym_extern] = ACTIONS(5895),
    [anon_sym___attribute__] = ACTIONS(5895),
    [anon_sym_COLON_COLON] = ACTIONS(5897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5897),
    [anon_sym___declspec] = ACTIONS(5895),
    [anon_sym___based] = ACTIONS(5895),
    [anon_sym___cdecl] = ACTIONS(5895),
    [anon_sym___clrcall] = ACTIONS(5895),
    [anon_sym___stdcall] = ACTIONS(5895),
    [anon_sym___fastcall] = ACTIONS(5895),
    [anon_sym___thiscall] = ACTIONS(5895),
    [anon_sym___vectorcall] = ACTIONS(5895),
    [anon_sym_LBRACK] = ACTIONS(5895),
    [anon_sym_static] = ACTIONS(5895),
    [anon_sym_EQ] = ACTIONS(5897),
    [anon_sym_register] = ACTIONS(5895),
    [anon_sym_inline] = ACTIONS(5895),
    [anon_sym___inline] = ACTIONS(5895),
    [anon_sym___inline__] = ACTIONS(5895),
    [anon_sym___forceinline] = ACTIONS(5895),
    [anon_sym_thread_local] = ACTIONS(5895),
    [anon_sym___thread] = ACTIONS(5895),
    [anon_sym_const] = ACTIONS(5895),
    [anon_sym_constexpr] = ACTIONS(5895),
    [anon_sym_volatile] = ACTIONS(5895),
    [anon_sym_restrict] = ACTIONS(5895),
    [anon_sym___restrict__] = ACTIONS(5895),
    [anon_sym__Atomic] = ACTIONS(5895),
    [anon_sym__Noreturn] = ACTIONS(5895),
    [anon_sym_noreturn] = ACTIONS(5895),
    [anon_sym__Nonnull] = ACTIONS(5895),
    [anon_sym_mutable] = ACTIONS(5895),
    [anon_sym_constinit] = ACTIONS(5895),
    [anon_sym_consteval] = ACTIONS(5895),
    [anon_sym_alignas] = ACTIONS(5895),
    [anon_sym__Alignas] = ACTIONS(5895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5895),
    [anon_sym_decltype] = ACTIONS(5895),
    [anon_sym_final] = ACTIONS(5895),
    [anon_sym_override] = ACTIONS(5895),
    [anon_sym_template] = ACTIONS(5895),
    [anon_sym_GT2] = ACTIONS(5897),
    [anon_sym_operator] = ACTIONS(5895),
    [anon_sym_requires] = ACTIONS(5895),
    [anon_sym_precise] = ACTIONS(5895),
    [anon_sym_shared] = ACTIONS(5895),
    [anon_sym_groupshared] = ACTIONS(5895),
    [anon_sym_uniform] = ACTIONS(5895),
    [anon_sym_row_major] = ACTIONS(5895),
    [anon_sym_column_major] = ACTIONS(5895),
    [anon_sym_globallycoherent] = ACTIONS(5895),
    [anon_sym_centroid] = ACTIONS(5895),
    [anon_sym_noperspective] = ACTIONS(5895),
    [anon_sym_nointerpolation] = ACTIONS(5895),
    [anon_sym_sample] = ACTIONS(5895),
    [anon_sym_linear] = ACTIONS(5895),
    [anon_sym_snorm] = ACTIONS(5895),
    [anon_sym_unorm] = ACTIONS(5895),
    [anon_sym_point] = ACTIONS(5895),
    [anon_sym_line] = ACTIONS(5895),
    [anon_sym_triangleadj] = ACTIONS(5895),
    [anon_sym_lineadj] = ACTIONS(5895),
    [anon_sym_triangle] = ACTIONS(5895),
  },
  [2341] = {
    [sym_identifier] = ACTIONS(5899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5901),
    [anon_sym_COMMA] = ACTIONS(5901),
    [anon_sym_RPAREN] = ACTIONS(5901),
    [anon_sym_LPAREN2] = ACTIONS(5901),
    [anon_sym_TILDE] = ACTIONS(5901),
    [anon_sym_STAR] = ACTIONS(5901),
    [anon_sym_AMP_AMP] = ACTIONS(5901),
    [anon_sym_AMP] = ACTIONS(5899),
    [anon_sym_COLON] = ACTIONS(5899),
    [anon_sym_SEMI] = ACTIONS(5901),
    [anon_sym___extension__] = ACTIONS(5899),
    [anon_sym_in] = ACTIONS(5899),
    [anon_sym_out] = ACTIONS(5899),
    [anon_sym_inout] = ACTIONS(5899),
    [anon_sym_virtual] = ACTIONS(5899),
    [anon_sym_extern] = ACTIONS(5899),
    [anon_sym___attribute__] = ACTIONS(5899),
    [anon_sym_COLON_COLON] = ACTIONS(5901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5901),
    [anon_sym___declspec] = ACTIONS(5899),
    [anon_sym___based] = ACTIONS(5899),
    [anon_sym___cdecl] = ACTIONS(5899),
    [anon_sym___clrcall] = ACTIONS(5899),
    [anon_sym___stdcall] = ACTIONS(5899),
    [anon_sym___fastcall] = ACTIONS(5899),
    [anon_sym___thiscall] = ACTIONS(5899),
    [anon_sym___vectorcall] = ACTIONS(5899),
    [anon_sym_LBRACK] = ACTIONS(5899),
    [anon_sym_static] = ACTIONS(5899),
    [anon_sym_EQ] = ACTIONS(5901),
    [anon_sym_register] = ACTIONS(5899),
    [anon_sym_inline] = ACTIONS(5899),
    [anon_sym___inline] = ACTIONS(5899),
    [anon_sym___inline__] = ACTIONS(5899),
    [anon_sym___forceinline] = ACTIONS(5899),
    [anon_sym_thread_local] = ACTIONS(5899),
    [anon_sym___thread] = ACTIONS(5899),
    [anon_sym_const] = ACTIONS(5899),
    [anon_sym_constexpr] = ACTIONS(5899),
    [anon_sym_volatile] = ACTIONS(5899),
    [anon_sym_restrict] = ACTIONS(5899),
    [anon_sym___restrict__] = ACTIONS(5899),
    [anon_sym__Atomic] = ACTIONS(5899),
    [anon_sym__Noreturn] = ACTIONS(5899),
    [anon_sym_noreturn] = ACTIONS(5899),
    [anon_sym__Nonnull] = ACTIONS(5899),
    [anon_sym_mutable] = ACTIONS(5899),
    [anon_sym_constinit] = ACTIONS(5899),
    [anon_sym_consteval] = ACTIONS(5899),
    [anon_sym_alignas] = ACTIONS(5899),
    [anon_sym__Alignas] = ACTIONS(5899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5899),
    [anon_sym_decltype] = ACTIONS(5899),
    [anon_sym_final] = ACTIONS(5899),
    [anon_sym_override] = ACTIONS(5899),
    [anon_sym_template] = ACTIONS(5899),
    [anon_sym_GT2] = ACTIONS(5901),
    [anon_sym_operator] = ACTIONS(5899),
    [anon_sym_requires] = ACTIONS(5899),
    [anon_sym_precise] = ACTIONS(5899),
    [anon_sym_shared] = ACTIONS(5899),
    [anon_sym_groupshared] = ACTIONS(5899),
    [anon_sym_uniform] = ACTIONS(5899),
    [anon_sym_row_major] = ACTIONS(5899),
    [anon_sym_column_major] = ACTIONS(5899),
    [anon_sym_globallycoherent] = ACTIONS(5899),
    [anon_sym_centroid] = ACTIONS(5899),
    [anon_sym_noperspective] = ACTIONS(5899),
    [anon_sym_nointerpolation] = ACTIONS(5899),
    [anon_sym_sample] = ACTIONS(5899),
    [anon_sym_linear] = ACTIONS(5899),
    [anon_sym_snorm] = ACTIONS(5899),
    [anon_sym_unorm] = ACTIONS(5899),
    [anon_sym_point] = ACTIONS(5899),
    [anon_sym_line] = ACTIONS(5899),
    [anon_sym_triangleadj] = ACTIONS(5899),
    [anon_sym_lineadj] = ACTIONS(5899),
    [anon_sym_triangle] = ACTIONS(5899),
  },
  [2342] = {
    [sym_identifier] = ACTIONS(5903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5905),
    [anon_sym_COMMA] = ACTIONS(5905),
    [anon_sym_RPAREN] = ACTIONS(5905),
    [anon_sym_LPAREN2] = ACTIONS(5905),
    [anon_sym_TILDE] = ACTIONS(5905),
    [anon_sym_STAR] = ACTIONS(5905),
    [anon_sym_AMP_AMP] = ACTIONS(5905),
    [anon_sym_AMP] = ACTIONS(5903),
    [anon_sym_COLON] = ACTIONS(5903),
    [anon_sym_SEMI] = ACTIONS(5905),
    [anon_sym___extension__] = ACTIONS(5903),
    [anon_sym_in] = ACTIONS(5903),
    [anon_sym_out] = ACTIONS(5903),
    [anon_sym_inout] = ACTIONS(5903),
    [anon_sym_virtual] = ACTIONS(5903),
    [anon_sym_extern] = ACTIONS(5903),
    [anon_sym___attribute__] = ACTIONS(5903),
    [anon_sym_COLON_COLON] = ACTIONS(5905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5905),
    [anon_sym___declspec] = ACTIONS(5903),
    [anon_sym___based] = ACTIONS(5903),
    [anon_sym___cdecl] = ACTIONS(5903),
    [anon_sym___clrcall] = ACTIONS(5903),
    [anon_sym___stdcall] = ACTIONS(5903),
    [anon_sym___fastcall] = ACTIONS(5903),
    [anon_sym___thiscall] = ACTIONS(5903),
    [anon_sym___vectorcall] = ACTIONS(5903),
    [anon_sym_LBRACK] = ACTIONS(5903),
    [anon_sym_static] = ACTIONS(5903),
    [anon_sym_EQ] = ACTIONS(5905),
    [anon_sym_register] = ACTIONS(5903),
    [anon_sym_inline] = ACTIONS(5903),
    [anon_sym___inline] = ACTIONS(5903),
    [anon_sym___inline__] = ACTIONS(5903),
    [anon_sym___forceinline] = ACTIONS(5903),
    [anon_sym_thread_local] = ACTIONS(5903),
    [anon_sym___thread] = ACTIONS(5903),
    [anon_sym_const] = ACTIONS(5903),
    [anon_sym_constexpr] = ACTIONS(5903),
    [anon_sym_volatile] = ACTIONS(5903),
    [anon_sym_restrict] = ACTIONS(5903),
    [anon_sym___restrict__] = ACTIONS(5903),
    [anon_sym__Atomic] = ACTIONS(5903),
    [anon_sym__Noreturn] = ACTIONS(5903),
    [anon_sym_noreturn] = ACTIONS(5903),
    [anon_sym__Nonnull] = ACTIONS(5903),
    [anon_sym_mutable] = ACTIONS(5903),
    [anon_sym_constinit] = ACTIONS(5903),
    [anon_sym_consteval] = ACTIONS(5903),
    [anon_sym_alignas] = ACTIONS(5903),
    [anon_sym__Alignas] = ACTIONS(5903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5903),
    [anon_sym_decltype] = ACTIONS(5903),
    [anon_sym_final] = ACTIONS(5903),
    [anon_sym_override] = ACTIONS(5903),
    [anon_sym_template] = ACTIONS(5903),
    [anon_sym_GT2] = ACTIONS(5905),
    [anon_sym_operator] = ACTIONS(5903),
    [anon_sym_requires] = ACTIONS(5903),
    [anon_sym_precise] = ACTIONS(5903),
    [anon_sym_shared] = ACTIONS(5903),
    [anon_sym_groupshared] = ACTIONS(5903),
    [anon_sym_uniform] = ACTIONS(5903),
    [anon_sym_row_major] = ACTIONS(5903),
    [anon_sym_column_major] = ACTIONS(5903),
    [anon_sym_globallycoherent] = ACTIONS(5903),
    [anon_sym_centroid] = ACTIONS(5903),
    [anon_sym_noperspective] = ACTIONS(5903),
    [anon_sym_nointerpolation] = ACTIONS(5903),
    [anon_sym_sample] = ACTIONS(5903),
    [anon_sym_linear] = ACTIONS(5903),
    [anon_sym_snorm] = ACTIONS(5903),
    [anon_sym_unorm] = ACTIONS(5903),
    [anon_sym_point] = ACTIONS(5903),
    [anon_sym_line] = ACTIONS(5903),
    [anon_sym_triangleadj] = ACTIONS(5903),
    [anon_sym_lineadj] = ACTIONS(5903),
    [anon_sym_triangle] = ACTIONS(5903),
  },
  [2343] = {
    [sym_identifier] = ACTIONS(5907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5909),
    [anon_sym_COMMA] = ACTIONS(5909),
    [anon_sym_RPAREN] = ACTIONS(5909),
    [anon_sym_LPAREN2] = ACTIONS(5909),
    [anon_sym_TILDE] = ACTIONS(5909),
    [anon_sym_STAR] = ACTIONS(5909),
    [anon_sym_AMP_AMP] = ACTIONS(5909),
    [anon_sym_AMP] = ACTIONS(5907),
    [anon_sym_COLON] = ACTIONS(5907),
    [anon_sym_SEMI] = ACTIONS(5909),
    [anon_sym___extension__] = ACTIONS(5907),
    [anon_sym_in] = ACTIONS(5907),
    [anon_sym_out] = ACTIONS(5907),
    [anon_sym_inout] = ACTIONS(5907),
    [anon_sym_virtual] = ACTIONS(5907),
    [anon_sym_extern] = ACTIONS(5907),
    [anon_sym___attribute__] = ACTIONS(5907),
    [anon_sym_COLON_COLON] = ACTIONS(5909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5909),
    [anon_sym___declspec] = ACTIONS(5907),
    [anon_sym___based] = ACTIONS(5907),
    [anon_sym___cdecl] = ACTIONS(5907),
    [anon_sym___clrcall] = ACTIONS(5907),
    [anon_sym___stdcall] = ACTIONS(5907),
    [anon_sym___fastcall] = ACTIONS(5907),
    [anon_sym___thiscall] = ACTIONS(5907),
    [anon_sym___vectorcall] = ACTIONS(5907),
    [anon_sym_LBRACK] = ACTIONS(5907),
    [anon_sym_static] = ACTIONS(5907),
    [anon_sym_EQ] = ACTIONS(5909),
    [anon_sym_register] = ACTIONS(5907),
    [anon_sym_inline] = ACTIONS(5907),
    [anon_sym___inline] = ACTIONS(5907),
    [anon_sym___inline__] = ACTIONS(5907),
    [anon_sym___forceinline] = ACTIONS(5907),
    [anon_sym_thread_local] = ACTIONS(5907),
    [anon_sym___thread] = ACTIONS(5907),
    [anon_sym_const] = ACTIONS(5907),
    [anon_sym_constexpr] = ACTIONS(5907),
    [anon_sym_volatile] = ACTIONS(5907),
    [anon_sym_restrict] = ACTIONS(5907),
    [anon_sym___restrict__] = ACTIONS(5907),
    [anon_sym__Atomic] = ACTIONS(5907),
    [anon_sym__Noreturn] = ACTIONS(5907),
    [anon_sym_noreturn] = ACTIONS(5907),
    [anon_sym__Nonnull] = ACTIONS(5907),
    [anon_sym_mutable] = ACTIONS(5907),
    [anon_sym_constinit] = ACTIONS(5907),
    [anon_sym_consteval] = ACTIONS(5907),
    [anon_sym_alignas] = ACTIONS(5907),
    [anon_sym__Alignas] = ACTIONS(5907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5907),
    [anon_sym_decltype] = ACTIONS(5907),
    [anon_sym_final] = ACTIONS(5907),
    [anon_sym_override] = ACTIONS(5907),
    [anon_sym_template] = ACTIONS(5907),
    [anon_sym_GT2] = ACTIONS(5909),
    [anon_sym_operator] = ACTIONS(5907),
    [anon_sym_requires] = ACTIONS(5907),
    [anon_sym_precise] = ACTIONS(5907),
    [anon_sym_shared] = ACTIONS(5907),
    [anon_sym_groupshared] = ACTIONS(5907),
    [anon_sym_uniform] = ACTIONS(5907),
    [anon_sym_row_major] = ACTIONS(5907),
    [anon_sym_column_major] = ACTIONS(5907),
    [anon_sym_globallycoherent] = ACTIONS(5907),
    [anon_sym_centroid] = ACTIONS(5907),
    [anon_sym_noperspective] = ACTIONS(5907),
    [anon_sym_nointerpolation] = ACTIONS(5907),
    [anon_sym_sample] = ACTIONS(5907),
    [anon_sym_linear] = ACTIONS(5907),
    [anon_sym_snorm] = ACTIONS(5907),
    [anon_sym_unorm] = ACTIONS(5907),
    [anon_sym_point] = ACTIONS(5907),
    [anon_sym_line] = ACTIONS(5907),
    [anon_sym_triangleadj] = ACTIONS(5907),
    [anon_sym_lineadj] = ACTIONS(5907),
    [anon_sym_triangle] = ACTIONS(5907),
  },
  [2344] = {
    [sym_identifier] = ACTIONS(5474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5476),
    [anon_sym_COMMA] = ACTIONS(5476),
    [anon_sym_RPAREN] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5476),
    [anon_sym_TILDE] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5476),
    [anon_sym_AMP_AMP] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_SEMI] = ACTIONS(5476),
    [anon_sym___extension__] = ACTIONS(5474),
    [anon_sym_in] = ACTIONS(5474),
    [anon_sym_out] = ACTIONS(5474),
    [anon_sym_inout] = ACTIONS(5474),
    [anon_sym_virtual] = ACTIONS(5474),
    [anon_sym_extern] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym_COLON_COLON] = ACTIONS(5476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5476),
    [anon_sym___declspec] = ACTIONS(5474),
    [anon_sym___based] = ACTIONS(5474),
    [anon_sym___cdecl] = ACTIONS(5474),
    [anon_sym___clrcall] = ACTIONS(5474),
    [anon_sym___stdcall] = ACTIONS(5474),
    [anon_sym___fastcall] = ACTIONS(5474),
    [anon_sym___thiscall] = ACTIONS(5474),
    [anon_sym___vectorcall] = ACTIONS(5474),
    [anon_sym_LBRACE] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_static] = ACTIONS(5474),
    [anon_sym_EQ] = ACTIONS(5476),
    [anon_sym_register] = ACTIONS(5474),
    [anon_sym_inline] = ACTIONS(5474),
    [anon_sym___inline] = ACTIONS(5474),
    [anon_sym___inline__] = ACTIONS(5474),
    [anon_sym___forceinline] = ACTIONS(5474),
    [anon_sym_thread_local] = ACTIONS(5474),
    [anon_sym___thread] = ACTIONS(5474),
    [anon_sym_const] = ACTIONS(5474),
    [anon_sym_constexpr] = ACTIONS(5474),
    [anon_sym_volatile] = ACTIONS(5474),
    [anon_sym_restrict] = ACTIONS(5474),
    [anon_sym___restrict__] = ACTIONS(5474),
    [anon_sym__Atomic] = ACTIONS(5474),
    [anon_sym__Noreturn] = ACTIONS(5474),
    [anon_sym_noreturn] = ACTIONS(5474),
    [anon_sym__Nonnull] = ACTIONS(5474),
    [anon_sym_mutable] = ACTIONS(5474),
    [anon_sym_constinit] = ACTIONS(5474),
    [anon_sym_consteval] = ACTIONS(5474),
    [anon_sym_alignas] = ACTIONS(5474),
    [anon_sym__Alignas] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5474),
    [anon_sym_final] = ACTIONS(5474),
    [anon_sym_override] = ACTIONS(5474),
    [anon_sym_explicit] = ACTIONS(5474),
    [anon_sym_template] = ACTIONS(5474),
    [anon_sym_GT2] = ACTIONS(5476),
    [anon_sym_operator] = ACTIONS(5474),
    [anon_sym_precise] = ACTIONS(5474),
    [anon_sym_shared] = ACTIONS(5474),
    [anon_sym_groupshared] = ACTIONS(5474),
    [anon_sym_uniform] = ACTIONS(5474),
    [anon_sym_row_major] = ACTIONS(5474),
    [anon_sym_column_major] = ACTIONS(5474),
    [anon_sym_globallycoherent] = ACTIONS(5474),
    [anon_sym_centroid] = ACTIONS(5474),
    [anon_sym_noperspective] = ACTIONS(5474),
    [anon_sym_nointerpolation] = ACTIONS(5474),
    [anon_sym_sample] = ACTIONS(5474),
    [anon_sym_linear] = ACTIONS(5474),
    [anon_sym_snorm] = ACTIONS(5474),
    [anon_sym_unorm] = ACTIONS(5474),
    [anon_sym_point] = ACTIONS(5474),
    [anon_sym_line] = ACTIONS(5474),
    [anon_sym_triangleadj] = ACTIONS(5474),
    [anon_sym_lineadj] = ACTIONS(5474),
    [anon_sym_triangle] = ACTIONS(5474),
  },
  [2345] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5911),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2346] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5913),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2347] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5915),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2348] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5917),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2349] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5919),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2350] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5921),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2351] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5923),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2352] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5925),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2353] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5927),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2354] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5929),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2355] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5931),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2356] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2357] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5935),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2358] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_TILDE] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(5937),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym___cdecl] = ACTIONS(5685),
    [anon_sym___clrcall] = ACTIONS(5685),
    [anon_sym___stdcall] = ACTIONS(5685),
    [anon_sym___fastcall] = ACTIONS(5685),
    [anon_sym___thiscall] = ACTIONS(5685),
    [anon_sym___vectorcall] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_template] = ACTIONS(5685),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2359] = {
    [sym_template_argument_list] = STATE(2255),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_AMP] = ACTIONS(4075),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym___cdecl] = ACTIONS(4075),
    [anon_sym___clrcall] = ACTIONS(4075),
    [anon_sym___stdcall] = ACTIONS(4075),
    [anon_sym___fastcall] = ACTIONS(4075),
    [anon_sym___thiscall] = ACTIONS(4075),
    [anon_sym___vectorcall] = ACTIONS(4075),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4075),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [2360] = {
    [sym_attribute_specifier] = STATE(2341),
    [sym_identifier] = ACTIONS(5939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5941),
    [anon_sym_COMMA] = ACTIONS(5941),
    [anon_sym_RPAREN] = ACTIONS(5941),
    [anon_sym_LPAREN2] = ACTIONS(5941),
    [anon_sym_TILDE] = ACTIONS(5941),
    [anon_sym_STAR] = ACTIONS(5941),
    [anon_sym_AMP_AMP] = ACTIONS(5941),
    [anon_sym_AMP] = ACTIONS(5939),
    [anon_sym_COLON] = ACTIONS(5939),
    [anon_sym_SEMI] = ACTIONS(5941),
    [anon_sym___extension__] = ACTIONS(5939),
    [anon_sym_in] = ACTIONS(5939),
    [anon_sym_out] = ACTIONS(5939),
    [anon_sym_inout] = ACTIONS(5939),
    [anon_sym_virtual] = ACTIONS(5939),
    [anon_sym_extern] = ACTIONS(5939),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5941),
    [anon_sym___declspec] = ACTIONS(5939),
    [anon_sym___based] = ACTIONS(5939),
    [anon_sym___cdecl] = ACTIONS(5939),
    [anon_sym___clrcall] = ACTIONS(5939),
    [anon_sym___stdcall] = ACTIONS(5939),
    [anon_sym___fastcall] = ACTIONS(5939),
    [anon_sym___thiscall] = ACTIONS(5939),
    [anon_sym___vectorcall] = ACTIONS(5939),
    [anon_sym_LBRACK] = ACTIONS(5939),
    [anon_sym_static] = ACTIONS(5939),
    [anon_sym_EQ] = ACTIONS(5941),
    [anon_sym_register] = ACTIONS(5939),
    [anon_sym_inline] = ACTIONS(5939),
    [anon_sym___inline] = ACTIONS(5939),
    [anon_sym___inline__] = ACTIONS(5939),
    [anon_sym___forceinline] = ACTIONS(5939),
    [anon_sym_thread_local] = ACTIONS(5939),
    [anon_sym___thread] = ACTIONS(5939),
    [anon_sym_const] = ACTIONS(5939),
    [anon_sym_constexpr] = ACTIONS(5939),
    [anon_sym_volatile] = ACTIONS(5939),
    [anon_sym_restrict] = ACTIONS(5939),
    [anon_sym___restrict__] = ACTIONS(5939),
    [anon_sym__Atomic] = ACTIONS(5939),
    [anon_sym__Noreturn] = ACTIONS(5939),
    [anon_sym_noreturn] = ACTIONS(5939),
    [anon_sym__Nonnull] = ACTIONS(5939),
    [anon_sym_mutable] = ACTIONS(5939),
    [anon_sym_constinit] = ACTIONS(5939),
    [anon_sym_consteval] = ACTIONS(5939),
    [anon_sym_alignas] = ACTIONS(5939),
    [anon_sym__Alignas] = ACTIONS(5939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5939),
    [anon_sym_decltype] = ACTIONS(5939),
    [anon_sym_template] = ACTIONS(5939),
    [anon_sym_GT2] = ACTIONS(5941),
    [anon_sym_operator] = ACTIONS(5939),
    [anon_sym_precise] = ACTIONS(5939),
    [anon_sym_shared] = ACTIONS(5939),
    [anon_sym_groupshared] = ACTIONS(5939),
    [anon_sym_uniform] = ACTIONS(5939),
    [anon_sym_row_major] = ACTIONS(5939),
    [anon_sym_column_major] = ACTIONS(5939),
    [anon_sym_globallycoherent] = ACTIONS(5939),
    [anon_sym_centroid] = ACTIONS(5939),
    [anon_sym_noperspective] = ACTIONS(5939),
    [anon_sym_nointerpolation] = ACTIONS(5939),
    [anon_sym_sample] = ACTIONS(5939),
    [anon_sym_linear] = ACTIONS(5939),
    [anon_sym_snorm] = ACTIONS(5939),
    [anon_sym_unorm] = ACTIONS(5939),
    [anon_sym_point] = ACTIONS(5939),
    [anon_sym_line] = ACTIONS(5939),
    [anon_sym_triangleadj] = ACTIONS(5939),
    [anon_sym_lineadj] = ACTIONS(5939),
    [anon_sym_triangle] = ACTIONS(5939),
  },
  [2361] = {
    [sym_attribute_specifier] = STATE(2331),
    [sym_identifier] = ACTIONS(5943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5945),
    [anon_sym_COMMA] = ACTIONS(5945),
    [anon_sym_RPAREN] = ACTIONS(5945),
    [anon_sym_LPAREN2] = ACTIONS(5945),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_STAR] = ACTIONS(5945),
    [anon_sym_AMP_AMP] = ACTIONS(5945),
    [anon_sym_AMP] = ACTIONS(5943),
    [anon_sym_COLON] = ACTIONS(5943),
    [anon_sym_SEMI] = ACTIONS(5945),
    [anon_sym___extension__] = ACTIONS(5943),
    [anon_sym_in] = ACTIONS(5943),
    [anon_sym_out] = ACTIONS(5943),
    [anon_sym_inout] = ACTIONS(5943),
    [anon_sym_virtual] = ACTIONS(5943),
    [anon_sym_extern] = ACTIONS(5943),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5945),
    [anon_sym___declspec] = ACTIONS(5943),
    [anon_sym___based] = ACTIONS(5943),
    [anon_sym___cdecl] = ACTIONS(5943),
    [anon_sym___clrcall] = ACTIONS(5943),
    [anon_sym___stdcall] = ACTIONS(5943),
    [anon_sym___fastcall] = ACTIONS(5943),
    [anon_sym___thiscall] = ACTIONS(5943),
    [anon_sym___vectorcall] = ACTIONS(5943),
    [anon_sym_LBRACK] = ACTIONS(5943),
    [anon_sym_static] = ACTIONS(5943),
    [anon_sym_EQ] = ACTIONS(5945),
    [anon_sym_register] = ACTIONS(5943),
    [anon_sym_inline] = ACTIONS(5943),
    [anon_sym___inline] = ACTIONS(5943),
    [anon_sym___inline__] = ACTIONS(5943),
    [anon_sym___forceinline] = ACTIONS(5943),
    [anon_sym_thread_local] = ACTIONS(5943),
    [anon_sym___thread] = ACTIONS(5943),
    [anon_sym_const] = ACTIONS(5943),
    [anon_sym_constexpr] = ACTIONS(5943),
    [anon_sym_volatile] = ACTIONS(5943),
    [anon_sym_restrict] = ACTIONS(5943),
    [anon_sym___restrict__] = ACTIONS(5943),
    [anon_sym__Atomic] = ACTIONS(5943),
    [anon_sym__Noreturn] = ACTIONS(5943),
    [anon_sym_noreturn] = ACTIONS(5943),
    [anon_sym__Nonnull] = ACTIONS(5943),
    [anon_sym_mutable] = ACTIONS(5943),
    [anon_sym_constinit] = ACTIONS(5943),
    [anon_sym_consteval] = ACTIONS(5943),
    [anon_sym_alignas] = ACTIONS(5943),
    [anon_sym__Alignas] = ACTIONS(5943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5943),
    [anon_sym_decltype] = ACTIONS(5943),
    [anon_sym_template] = ACTIONS(5943),
    [anon_sym_GT2] = ACTIONS(5945),
    [anon_sym_operator] = ACTIONS(5943),
    [anon_sym_precise] = ACTIONS(5943),
    [anon_sym_shared] = ACTIONS(5943),
    [anon_sym_groupshared] = ACTIONS(5943),
    [anon_sym_uniform] = ACTIONS(5943),
    [anon_sym_row_major] = ACTIONS(5943),
    [anon_sym_column_major] = ACTIONS(5943),
    [anon_sym_globallycoherent] = ACTIONS(5943),
    [anon_sym_centroid] = ACTIONS(5943),
    [anon_sym_noperspective] = ACTIONS(5943),
    [anon_sym_nointerpolation] = ACTIONS(5943),
    [anon_sym_sample] = ACTIONS(5943),
    [anon_sym_linear] = ACTIONS(5943),
    [anon_sym_snorm] = ACTIONS(5943),
    [anon_sym_unorm] = ACTIONS(5943),
    [anon_sym_point] = ACTIONS(5943),
    [anon_sym_line] = ACTIONS(5943),
    [anon_sym_triangleadj] = ACTIONS(5943),
    [anon_sym_lineadj] = ACTIONS(5943),
    [anon_sym_triangle] = ACTIONS(5943),
  },
  [2362] = {
    [sym_template_argument_list] = STATE(2255),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_AMP] = ACTIONS(4075),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym___cdecl] = ACTIONS(4075),
    [anon_sym___clrcall] = ACTIONS(4075),
    [anon_sym___stdcall] = ACTIONS(4075),
    [anon_sym___fastcall] = ACTIONS(4075),
    [anon_sym___thiscall] = ACTIONS(4075),
    [anon_sym___vectorcall] = ACTIONS(4075),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4075),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [2363] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_identifier] = ACTIONS(5947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5949),
    [anon_sym_COMMA] = ACTIONS(5949),
    [anon_sym_RPAREN] = ACTIONS(5949),
    [anon_sym_LPAREN2] = ACTIONS(5949),
    [anon_sym_TILDE] = ACTIONS(5949),
    [anon_sym_STAR] = ACTIONS(5949),
    [anon_sym_AMP_AMP] = ACTIONS(5949),
    [anon_sym_AMP] = ACTIONS(5947),
    [anon_sym_COLON] = ACTIONS(5947),
    [anon_sym_SEMI] = ACTIONS(5949),
    [anon_sym___extension__] = ACTIONS(5947),
    [anon_sym_in] = ACTIONS(5947),
    [anon_sym_out] = ACTIONS(5947),
    [anon_sym_inout] = ACTIONS(5947),
    [anon_sym_virtual] = ACTIONS(5947),
    [anon_sym_extern] = ACTIONS(5947),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5949),
    [anon_sym___declspec] = ACTIONS(5947),
    [anon_sym___based] = ACTIONS(5947),
    [anon_sym___cdecl] = ACTIONS(5947),
    [anon_sym___clrcall] = ACTIONS(5947),
    [anon_sym___stdcall] = ACTIONS(5947),
    [anon_sym___fastcall] = ACTIONS(5947),
    [anon_sym___thiscall] = ACTIONS(5947),
    [anon_sym___vectorcall] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5947),
    [anon_sym_static] = ACTIONS(5947),
    [anon_sym_EQ] = ACTIONS(5949),
    [anon_sym_register] = ACTIONS(5947),
    [anon_sym_inline] = ACTIONS(5947),
    [anon_sym___inline] = ACTIONS(5947),
    [anon_sym___inline__] = ACTIONS(5947),
    [anon_sym___forceinline] = ACTIONS(5947),
    [anon_sym_thread_local] = ACTIONS(5947),
    [anon_sym___thread] = ACTIONS(5947),
    [anon_sym_const] = ACTIONS(5947),
    [anon_sym_constexpr] = ACTIONS(5947),
    [anon_sym_volatile] = ACTIONS(5947),
    [anon_sym_restrict] = ACTIONS(5947),
    [anon_sym___restrict__] = ACTIONS(5947),
    [anon_sym__Atomic] = ACTIONS(5947),
    [anon_sym__Noreturn] = ACTIONS(5947),
    [anon_sym_noreturn] = ACTIONS(5947),
    [anon_sym__Nonnull] = ACTIONS(5947),
    [anon_sym_mutable] = ACTIONS(5947),
    [anon_sym_constinit] = ACTIONS(5947),
    [anon_sym_consteval] = ACTIONS(5947),
    [anon_sym_alignas] = ACTIONS(5947),
    [anon_sym__Alignas] = ACTIONS(5947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5947),
    [anon_sym_decltype] = ACTIONS(5947),
    [anon_sym_template] = ACTIONS(5947),
    [anon_sym_GT2] = ACTIONS(5949),
    [anon_sym_operator] = ACTIONS(5947),
    [anon_sym_precise] = ACTIONS(5947),
    [anon_sym_shared] = ACTIONS(5947),
    [anon_sym_groupshared] = ACTIONS(5947),
    [anon_sym_uniform] = ACTIONS(5947),
    [anon_sym_row_major] = ACTIONS(5947),
    [anon_sym_column_major] = ACTIONS(5947),
    [anon_sym_globallycoherent] = ACTIONS(5947),
    [anon_sym_centroid] = ACTIONS(5947),
    [anon_sym_noperspective] = ACTIONS(5947),
    [anon_sym_nointerpolation] = ACTIONS(5947),
    [anon_sym_sample] = ACTIONS(5947),
    [anon_sym_linear] = ACTIONS(5947),
    [anon_sym_snorm] = ACTIONS(5947),
    [anon_sym_unorm] = ACTIONS(5947),
    [anon_sym_point] = ACTIONS(5947),
    [anon_sym_line] = ACTIONS(5947),
    [anon_sym_triangleadj] = ACTIONS(5947),
    [anon_sym_lineadj] = ACTIONS(5947),
    [anon_sym_triangle] = ACTIONS(5947),
  },
  [2364] = {
    [sym_attribute_specifier] = STATE(2316),
    [sym_identifier] = ACTIONS(5951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5953),
    [anon_sym_COMMA] = ACTIONS(5953),
    [anon_sym_RPAREN] = ACTIONS(5953),
    [anon_sym_LPAREN2] = ACTIONS(5953),
    [anon_sym_TILDE] = ACTIONS(5953),
    [anon_sym_STAR] = ACTIONS(5953),
    [anon_sym_AMP_AMP] = ACTIONS(5953),
    [anon_sym_AMP] = ACTIONS(5951),
    [anon_sym_COLON] = ACTIONS(5951),
    [anon_sym_SEMI] = ACTIONS(5953),
    [anon_sym___extension__] = ACTIONS(5951),
    [anon_sym_in] = ACTIONS(5951),
    [anon_sym_out] = ACTIONS(5951),
    [anon_sym_inout] = ACTIONS(5951),
    [anon_sym_virtual] = ACTIONS(5951),
    [anon_sym_extern] = ACTIONS(5951),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5953),
    [anon_sym___declspec] = ACTIONS(5951),
    [anon_sym___based] = ACTIONS(5951),
    [anon_sym___cdecl] = ACTIONS(5951),
    [anon_sym___clrcall] = ACTIONS(5951),
    [anon_sym___stdcall] = ACTIONS(5951),
    [anon_sym___fastcall] = ACTIONS(5951),
    [anon_sym___thiscall] = ACTIONS(5951),
    [anon_sym___vectorcall] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5951),
    [anon_sym_static] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5953),
    [anon_sym_register] = ACTIONS(5951),
    [anon_sym_inline] = ACTIONS(5951),
    [anon_sym___inline] = ACTIONS(5951),
    [anon_sym___inline__] = ACTIONS(5951),
    [anon_sym___forceinline] = ACTIONS(5951),
    [anon_sym_thread_local] = ACTIONS(5951),
    [anon_sym___thread] = ACTIONS(5951),
    [anon_sym_const] = ACTIONS(5951),
    [anon_sym_constexpr] = ACTIONS(5951),
    [anon_sym_volatile] = ACTIONS(5951),
    [anon_sym_restrict] = ACTIONS(5951),
    [anon_sym___restrict__] = ACTIONS(5951),
    [anon_sym__Atomic] = ACTIONS(5951),
    [anon_sym__Noreturn] = ACTIONS(5951),
    [anon_sym_noreturn] = ACTIONS(5951),
    [anon_sym__Nonnull] = ACTIONS(5951),
    [anon_sym_mutable] = ACTIONS(5951),
    [anon_sym_constinit] = ACTIONS(5951),
    [anon_sym_consteval] = ACTIONS(5951),
    [anon_sym_alignas] = ACTIONS(5951),
    [anon_sym__Alignas] = ACTIONS(5951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5951),
    [anon_sym_decltype] = ACTIONS(5951),
    [anon_sym_template] = ACTIONS(5951),
    [anon_sym_GT2] = ACTIONS(5953),
    [anon_sym_operator] = ACTIONS(5951),
    [anon_sym_precise] = ACTIONS(5951),
    [anon_sym_shared] = ACTIONS(5951),
    [anon_sym_groupshared] = ACTIONS(5951),
    [anon_sym_uniform] = ACTIONS(5951),
    [anon_sym_row_major] = ACTIONS(5951),
    [anon_sym_column_major] = ACTIONS(5951),
    [anon_sym_globallycoherent] = ACTIONS(5951),
    [anon_sym_centroid] = ACTIONS(5951),
    [anon_sym_noperspective] = ACTIONS(5951),
    [anon_sym_nointerpolation] = ACTIONS(5951),
    [anon_sym_sample] = ACTIONS(5951),
    [anon_sym_linear] = ACTIONS(5951),
    [anon_sym_snorm] = ACTIONS(5951),
    [anon_sym_unorm] = ACTIONS(5951),
    [anon_sym_point] = ACTIONS(5951),
    [anon_sym_line] = ACTIONS(5951),
    [anon_sym_triangleadj] = ACTIONS(5951),
    [anon_sym_lineadj] = ACTIONS(5951),
    [anon_sym_triangle] = ACTIONS(5951),
  },
  [2365] = {
    [sym_attribute_specifier] = STATE(2312),
    [sym_identifier] = ACTIONS(5955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5957),
    [anon_sym_COMMA] = ACTIONS(5957),
    [anon_sym_RPAREN] = ACTIONS(5957),
    [anon_sym_LPAREN2] = ACTIONS(5957),
    [anon_sym_TILDE] = ACTIONS(5957),
    [anon_sym_STAR] = ACTIONS(5957),
    [anon_sym_AMP_AMP] = ACTIONS(5957),
    [anon_sym_AMP] = ACTIONS(5955),
    [anon_sym_COLON] = ACTIONS(5955),
    [anon_sym_SEMI] = ACTIONS(5957),
    [anon_sym___extension__] = ACTIONS(5955),
    [anon_sym_in] = ACTIONS(5955),
    [anon_sym_out] = ACTIONS(5955),
    [anon_sym_inout] = ACTIONS(5955),
    [anon_sym_virtual] = ACTIONS(5955),
    [anon_sym_extern] = ACTIONS(5955),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5957),
    [anon_sym___declspec] = ACTIONS(5955),
    [anon_sym___based] = ACTIONS(5955),
    [anon_sym___cdecl] = ACTIONS(5955),
    [anon_sym___clrcall] = ACTIONS(5955),
    [anon_sym___stdcall] = ACTIONS(5955),
    [anon_sym___fastcall] = ACTIONS(5955),
    [anon_sym___thiscall] = ACTIONS(5955),
    [anon_sym___vectorcall] = ACTIONS(5955),
    [anon_sym_LBRACK] = ACTIONS(5955),
    [anon_sym_static] = ACTIONS(5955),
    [anon_sym_EQ] = ACTIONS(5957),
    [anon_sym_register] = ACTIONS(5955),
    [anon_sym_inline] = ACTIONS(5955),
    [anon_sym___inline] = ACTIONS(5955),
    [anon_sym___inline__] = ACTIONS(5955),
    [anon_sym___forceinline] = ACTIONS(5955),
    [anon_sym_thread_local] = ACTIONS(5955),
    [anon_sym___thread] = ACTIONS(5955),
    [anon_sym_const] = ACTIONS(5955),
    [anon_sym_constexpr] = ACTIONS(5955),
    [anon_sym_volatile] = ACTIONS(5955),
    [anon_sym_restrict] = ACTIONS(5955),
    [anon_sym___restrict__] = ACTIONS(5955),
    [anon_sym__Atomic] = ACTIONS(5955),
    [anon_sym__Noreturn] = ACTIONS(5955),
    [anon_sym_noreturn] = ACTIONS(5955),
    [anon_sym__Nonnull] = ACTIONS(5955),
    [anon_sym_mutable] = ACTIONS(5955),
    [anon_sym_constinit] = ACTIONS(5955),
    [anon_sym_consteval] = ACTIONS(5955),
    [anon_sym_alignas] = ACTIONS(5955),
    [anon_sym__Alignas] = ACTIONS(5955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5955),
    [anon_sym_decltype] = ACTIONS(5955),
    [anon_sym_template] = ACTIONS(5955),
    [anon_sym_GT2] = ACTIONS(5957),
    [anon_sym_operator] = ACTIONS(5955),
    [anon_sym_precise] = ACTIONS(5955),
    [anon_sym_shared] = ACTIONS(5955),
    [anon_sym_groupshared] = ACTIONS(5955),
    [anon_sym_uniform] = ACTIONS(5955),
    [anon_sym_row_major] = ACTIONS(5955),
    [anon_sym_column_major] = ACTIONS(5955),
    [anon_sym_globallycoherent] = ACTIONS(5955),
    [anon_sym_centroid] = ACTIONS(5955),
    [anon_sym_noperspective] = ACTIONS(5955),
    [anon_sym_nointerpolation] = ACTIONS(5955),
    [anon_sym_sample] = ACTIONS(5955),
    [anon_sym_linear] = ACTIONS(5955),
    [anon_sym_snorm] = ACTIONS(5955),
    [anon_sym_unorm] = ACTIONS(5955),
    [anon_sym_point] = ACTIONS(5955),
    [anon_sym_line] = ACTIONS(5955),
    [anon_sym_triangleadj] = ACTIONS(5955),
    [anon_sym_lineadj] = ACTIONS(5955),
    [anon_sym_triangle] = ACTIONS(5955),
  },
  [2366] = {
    [sym_attribute_specifier] = STATE(2322),
    [sym_identifier] = ACTIONS(5959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5961),
    [anon_sym_COMMA] = ACTIONS(5961),
    [anon_sym_RPAREN] = ACTIONS(5961),
    [anon_sym_LPAREN2] = ACTIONS(5961),
    [anon_sym_TILDE] = ACTIONS(5961),
    [anon_sym_STAR] = ACTIONS(5961),
    [anon_sym_AMP_AMP] = ACTIONS(5961),
    [anon_sym_AMP] = ACTIONS(5959),
    [anon_sym_COLON] = ACTIONS(5959),
    [anon_sym_SEMI] = ACTIONS(5961),
    [anon_sym___extension__] = ACTIONS(5959),
    [anon_sym_in] = ACTIONS(5959),
    [anon_sym_out] = ACTIONS(5959),
    [anon_sym_inout] = ACTIONS(5959),
    [anon_sym_virtual] = ACTIONS(5959),
    [anon_sym_extern] = ACTIONS(5959),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5961),
    [anon_sym___declspec] = ACTIONS(5959),
    [anon_sym___based] = ACTIONS(5959),
    [anon_sym___cdecl] = ACTIONS(5959),
    [anon_sym___clrcall] = ACTIONS(5959),
    [anon_sym___stdcall] = ACTIONS(5959),
    [anon_sym___fastcall] = ACTIONS(5959),
    [anon_sym___thiscall] = ACTIONS(5959),
    [anon_sym___vectorcall] = ACTIONS(5959),
    [anon_sym_LBRACK] = ACTIONS(5959),
    [anon_sym_static] = ACTIONS(5959),
    [anon_sym_EQ] = ACTIONS(5961),
    [anon_sym_register] = ACTIONS(5959),
    [anon_sym_inline] = ACTIONS(5959),
    [anon_sym___inline] = ACTIONS(5959),
    [anon_sym___inline__] = ACTIONS(5959),
    [anon_sym___forceinline] = ACTIONS(5959),
    [anon_sym_thread_local] = ACTIONS(5959),
    [anon_sym___thread] = ACTIONS(5959),
    [anon_sym_const] = ACTIONS(5959),
    [anon_sym_constexpr] = ACTIONS(5959),
    [anon_sym_volatile] = ACTIONS(5959),
    [anon_sym_restrict] = ACTIONS(5959),
    [anon_sym___restrict__] = ACTIONS(5959),
    [anon_sym__Atomic] = ACTIONS(5959),
    [anon_sym__Noreturn] = ACTIONS(5959),
    [anon_sym_noreturn] = ACTIONS(5959),
    [anon_sym__Nonnull] = ACTIONS(5959),
    [anon_sym_mutable] = ACTIONS(5959),
    [anon_sym_constinit] = ACTIONS(5959),
    [anon_sym_consteval] = ACTIONS(5959),
    [anon_sym_alignas] = ACTIONS(5959),
    [anon_sym__Alignas] = ACTIONS(5959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5959),
    [anon_sym_decltype] = ACTIONS(5959),
    [anon_sym_template] = ACTIONS(5959),
    [anon_sym_GT2] = ACTIONS(5961),
    [anon_sym_operator] = ACTIONS(5959),
    [anon_sym_precise] = ACTIONS(5959),
    [anon_sym_shared] = ACTIONS(5959),
    [anon_sym_groupshared] = ACTIONS(5959),
    [anon_sym_uniform] = ACTIONS(5959),
    [anon_sym_row_major] = ACTIONS(5959),
    [anon_sym_column_major] = ACTIONS(5959),
    [anon_sym_globallycoherent] = ACTIONS(5959),
    [anon_sym_centroid] = ACTIONS(5959),
    [anon_sym_noperspective] = ACTIONS(5959),
    [anon_sym_nointerpolation] = ACTIONS(5959),
    [anon_sym_sample] = ACTIONS(5959),
    [anon_sym_linear] = ACTIONS(5959),
    [anon_sym_snorm] = ACTIONS(5959),
    [anon_sym_unorm] = ACTIONS(5959),
    [anon_sym_point] = ACTIONS(5959),
    [anon_sym_line] = ACTIONS(5959),
    [anon_sym_triangleadj] = ACTIONS(5959),
    [anon_sym_lineadj] = ACTIONS(5959),
    [anon_sym_triangle] = ACTIONS(5959),
  },
  [2367] = {
    [sym_attribute_specifier] = STATE(2343),
    [sym_identifier] = ACTIONS(5963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5965),
    [anon_sym_COMMA] = ACTIONS(5965),
    [anon_sym_RPAREN] = ACTIONS(5965),
    [anon_sym_LPAREN2] = ACTIONS(5965),
    [anon_sym_TILDE] = ACTIONS(5965),
    [anon_sym_STAR] = ACTIONS(5965),
    [anon_sym_AMP_AMP] = ACTIONS(5965),
    [anon_sym_AMP] = ACTIONS(5963),
    [anon_sym_COLON] = ACTIONS(5963),
    [anon_sym_SEMI] = ACTIONS(5965),
    [anon_sym___extension__] = ACTIONS(5963),
    [anon_sym_in] = ACTIONS(5963),
    [anon_sym_out] = ACTIONS(5963),
    [anon_sym_inout] = ACTIONS(5963),
    [anon_sym_virtual] = ACTIONS(5963),
    [anon_sym_extern] = ACTIONS(5963),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5965),
    [anon_sym___declspec] = ACTIONS(5963),
    [anon_sym___based] = ACTIONS(5963),
    [anon_sym___cdecl] = ACTIONS(5963),
    [anon_sym___clrcall] = ACTIONS(5963),
    [anon_sym___stdcall] = ACTIONS(5963),
    [anon_sym___fastcall] = ACTIONS(5963),
    [anon_sym___thiscall] = ACTIONS(5963),
    [anon_sym___vectorcall] = ACTIONS(5963),
    [anon_sym_LBRACK] = ACTIONS(5963),
    [anon_sym_static] = ACTIONS(5963),
    [anon_sym_EQ] = ACTIONS(5965),
    [anon_sym_register] = ACTIONS(5963),
    [anon_sym_inline] = ACTIONS(5963),
    [anon_sym___inline] = ACTIONS(5963),
    [anon_sym___inline__] = ACTIONS(5963),
    [anon_sym___forceinline] = ACTIONS(5963),
    [anon_sym_thread_local] = ACTIONS(5963),
    [anon_sym___thread] = ACTIONS(5963),
    [anon_sym_const] = ACTIONS(5963),
    [anon_sym_constexpr] = ACTIONS(5963),
    [anon_sym_volatile] = ACTIONS(5963),
    [anon_sym_restrict] = ACTIONS(5963),
    [anon_sym___restrict__] = ACTIONS(5963),
    [anon_sym__Atomic] = ACTIONS(5963),
    [anon_sym__Noreturn] = ACTIONS(5963),
    [anon_sym_noreturn] = ACTIONS(5963),
    [anon_sym__Nonnull] = ACTIONS(5963),
    [anon_sym_mutable] = ACTIONS(5963),
    [anon_sym_constinit] = ACTIONS(5963),
    [anon_sym_consteval] = ACTIONS(5963),
    [anon_sym_alignas] = ACTIONS(5963),
    [anon_sym__Alignas] = ACTIONS(5963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5963),
    [anon_sym_decltype] = ACTIONS(5963),
    [anon_sym_template] = ACTIONS(5963),
    [anon_sym_GT2] = ACTIONS(5965),
    [anon_sym_operator] = ACTIONS(5963),
    [anon_sym_precise] = ACTIONS(5963),
    [anon_sym_shared] = ACTIONS(5963),
    [anon_sym_groupshared] = ACTIONS(5963),
    [anon_sym_uniform] = ACTIONS(5963),
    [anon_sym_row_major] = ACTIONS(5963),
    [anon_sym_column_major] = ACTIONS(5963),
    [anon_sym_globallycoherent] = ACTIONS(5963),
    [anon_sym_centroid] = ACTIONS(5963),
    [anon_sym_noperspective] = ACTIONS(5963),
    [anon_sym_nointerpolation] = ACTIONS(5963),
    [anon_sym_sample] = ACTIONS(5963),
    [anon_sym_linear] = ACTIONS(5963),
    [anon_sym_snorm] = ACTIONS(5963),
    [anon_sym_unorm] = ACTIONS(5963),
    [anon_sym_point] = ACTIONS(5963),
    [anon_sym_line] = ACTIONS(5963),
    [anon_sym_triangleadj] = ACTIONS(5963),
    [anon_sym_lineadj] = ACTIONS(5963),
    [anon_sym_triangle] = ACTIONS(5963),
  },
  [2368] = {
    [sym_attribute_specifier] = STATE(2339),
    [sym_identifier] = ACTIONS(5967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5969),
    [anon_sym_COMMA] = ACTIONS(5969),
    [anon_sym_RPAREN] = ACTIONS(5969),
    [anon_sym_LPAREN2] = ACTIONS(5969),
    [anon_sym_TILDE] = ACTIONS(5969),
    [anon_sym_STAR] = ACTIONS(5969),
    [anon_sym_AMP_AMP] = ACTIONS(5969),
    [anon_sym_AMP] = ACTIONS(5967),
    [anon_sym_COLON] = ACTIONS(5967),
    [anon_sym_SEMI] = ACTIONS(5969),
    [anon_sym___extension__] = ACTIONS(5967),
    [anon_sym_in] = ACTIONS(5967),
    [anon_sym_out] = ACTIONS(5967),
    [anon_sym_inout] = ACTIONS(5967),
    [anon_sym_virtual] = ACTIONS(5967),
    [anon_sym_extern] = ACTIONS(5967),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5969),
    [anon_sym___declspec] = ACTIONS(5967),
    [anon_sym___based] = ACTIONS(5967),
    [anon_sym___cdecl] = ACTIONS(5967),
    [anon_sym___clrcall] = ACTIONS(5967),
    [anon_sym___stdcall] = ACTIONS(5967),
    [anon_sym___fastcall] = ACTIONS(5967),
    [anon_sym___thiscall] = ACTIONS(5967),
    [anon_sym___vectorcall] = ACTIONS(5967),
    [anon_sym_LBRACK] = ACTIONS(5967),
    [anon_sym_static] = ACTIONS(5967),
    [anon_sym_EQ] = ACTIONS(5969),
    [anon_sym_register] = ACTIONS(5967),
    [anon_sym_inline] = ACTIONS(5967),
    [anon_sym___inline] = ACTIONS(5967),
    [anon_sym___inline__] = ACTIONS(5967),
    [anon_sym___forceinline] = ACTIONS(5967),
    [anon_sym_thread_local] = ACTIONS(5967),
    [anon_sym___thread] = ACTIONS(5967),
    [anon_sym_const] = ACTIONS(5967),
    [anon_sym_constexpr] = ACTIONS(5967),
    [anon_sym_volatile] = ACTIONS(5967),
    [anon_sym_restrict] = ACTIONS(5967),
    [anon_sym___restrict__] = ACTIONS(5967),
    [anon_sym__Atomic] = ACTIONS(5967),
    [anon_sym__Noreturn] = ACTIONS(5967),
    [anon_sym_noreturn] = ACTIONS(5967),
    [anon_sym__Nonnull] = ACTIONS(5967),
    [anon_sym_mutable] = ACTIONS(5967),
    [anon_sym_constinit] = ACTIONS(5967),
    [anon_sym_consteval] = ACTIONS(5967),
    [anon_sym_alignas] = ACTIONS(5967),
    [anon_sym__Alignas] = ACTIONS(5967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5967),
    [anon_sym_decltype] = ACTIONS(5967),
    [anon_sym_template] = ACTIONS(5967),
    [anon_sym_GT2] = ACTIONS(5969),
    [anon_sym_operator] = ACTIONS(5967),
    [anon_sym_precise] = ACTIONS(5967),
    [anon_sym_shared] = ACTIONS(5967),
    [anon_sym_groupshared] = ACTIONS(5967),
    [anon_sym_uniform] = ACTIONS(5967),
    [anon_sym_row_major] = ACTIONS(5967),
    [anon_sym_column_major] = ACTIONS(5967),
    [anon_sym_globallycoherent] = ACTIONS(5967),
    [anon_sym_centroid] = ACTIONS(5967),
    [anon_sym_noperspective] = ACTIONS(5967),
    [anon_sym_nointerpolation] = ACTIONS(5967),
    [anon_sym_sample] = ACTIONS(5967),
    [anon_sym_linear] = ACTIONS(5967),
    [anon_sym_snorm] = ACTIONS(5967),
    [anon_sym_unorm] = ACTIONS(5967),
    [anon_sym_point] = ACTIONS(5967),
    [anon_sym_line] = ACTIONS(5967),
    [anon_sym_triangleadj] = ACTIONS(5967),
    [anon_sym_lineadj] = ACTIONS(5967),
    [anon_sym_triangle] = ACTIONS(5967),
  },
  [2369] = {
    [sym_attribute_specifier] = STATE(2326),
    [sym_identifier] = ACTIONS(5971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5973),
    [anon_sym_COMMA] = ACTIONS(5973),
    [anon_sym_RPAREN] = ACTIONS(5973),
    [anon_sym_LPAREN2] = ACTIONS(5973),
    [anon_sym_TILDE] = ACTIONS(5973),
    [anon_sym_STAR] = ACTIONS(5973),
    [anon_sym_AMP_AMP] = ACTIONS(5973),
    [anon_sym_AMP] = ACTIONS(5971),
    [anon_sym_COLON] = ACTIONS(5971),
    [anon_sym_SEMI] = ACTIONS(5973),
    [anon_sym___extension__] = ACTIONS(5971),
    [anon_sym_in] = ACTIONS(5971),
    [anon_sym_out] = ACTIONS(5971),
    [anon_sym_inout] = ACTIONS(5971),
    [anon_sym_virtual] = ACTIONS(5971),
    [anon_sym_extern] = ACTIONS(5971),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5973),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5973),
    [anon_sym___declspec] = ACTIONS(5971),
    [anon_sym___based] = ACTIONS(5971),
    [anon_sym___cdecl] = ACTIONS(5971),
    [anon_sym___clrcall] = ACTIONS(5971),
    [anon_sym___stdcall] = ACTIONS(5971),
    [anon_sym___fastcall] = ACTIONS(5971),
    [anon_sym___thiscall] = ACTIONS(5971),
    [anon_sym___vectorcall] = ACTIONS(5971),
    [anon_sym_LBRACK] = ACTIONS(5971),
    [anon_sym_static] = ACTIONS(5971),
    [anon_sym_EQ] = ACTIONS(5973),
    [anon_sym_register] = ACTIONS(5971),
    [anon_sym_inline] = ACTIONS(5971),
    [anon_sym___inline] = ACTIONS(5971),
    [anon_sym___inline__] = ACTIONS(5971),
    [anon_sym___forceinline] = ACTIONS(5971),
    [anon_sym_thread_local] = ACTIONS(5971),
    [anon_sym___thread] = ACTIONS(5971),
    [anon_sym_const] = ACTIONS(5971),
    [anon_sym_constexpr] = ACTIONS(5971),
    [anon_sym_volatile] = ACTIONS(5971),
    [anon_sym_restrict] = ACTIONS(5971),
    [anon_sym___restrict__] = ACTIONS(5971),
    [anon_sym__Atomic] = ACTIONS(5971),
    [anon_sym__Noreturn] = ACTIONS(5971),
    [anon_sym_noreturn] = ACTIONS(5971),
    [anon_sym__Nonnull] = ACTIONS(5971),
    [anon_sym_mutable] = ACTIONS(5971),
    [anon_sym_constinit] = ACTIONS(5971),
    [anon_sym_consteval] = ACTIONS(5971),
    [anon_sym_alignas] = ACTIONS(5971),
    [anon_sym__Alignas] = ACTIONS(5971),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5971),
    [anon_sym_decltype] = ACTIONS(5971),
    [anon_sym_template] = ACTIONS(5971),
    [anon_sym_GT2] = ACTIONS(5973),
    [anon_sym_operator] = ACTIONS(5971),
    [anon_sym_precise] = ACTIONS(5971),
    [anon_sym_shared] = ACTIONS(5971),
    [anon_sym_groupshared] = ACTIONS(5971),
    [anon_sym_uniform] = ACTIONS(5971),
    [anon_sym_row_major] = ACTIONS(5971),
    [anon_sym_column_major] = ACTIONS(5971),
    [anon_sym_globallycoherent] = ACTIONS(5971),
    [anon_sym_centroid] = ACTIONS(5971),
    [anon_sym_noperspective] = ACTIONS(5971),
    [anon_sym_nointerpolation] = ACTIONS(5971),
    [anon_sym_sample] = ACTIONS(5971),
    [anon_sym_linear] = ACTIONS(5971),
    [anon_sym_snorm] = ACTIONS(5971),
    [anon_sym_unorm] = ACTIONS(5971),
    [anon_sym_point] = ACTIONS(5971),
    [anon_sym_line] = ACTIONS(5971),
    [anon_sym_triangleadj] = ACTIONS(5971),
    [anon_sym_lineadj] = ACTIONS(5971),
    [anon_sym_triangle] = ACTIONS(5971),
  },
  [2370] = {
    [sym_attribute_specifier] = STATE(2328),
    [sym_identifier] = ACTIONS(5975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5977),
    [anon_sym_COMMA] = ACTIONS(5977),
    [anon_sym_RPAREN] = ACTIONS(5977),
    [anon_sym_LPAREN2] = ACTIONS(5977),
    [anon_sym_TILDE] = ACTIONS(5977),
    [anon_sym_STAR] = ACTIONS(5977),
    [anon_sym_AMP_AMP] = ACTIONS(5977),
    [anon_sym_AMP] = ACTIONS(5975),
    [anon_sym_COLON] = ACTIONS(5975),
    [anon_sym_SEMI] = ACTIONS(5977),
    [anon_sym___extension__] = ACTIONS(5975),
    [anon_sym_in] = ACTIONS(5975),
    [anon_sym_out] = ACTIONS(5975),
    [anon_sym_inout] = ACTIONS(5975),
    [anon_sym_virtual] = ACTIONS(5975),
    [anon_sym_extern] = ACTIONS(5975),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5977),
    [anon_sym___declspec] = ACTIONS(5975),
    [anon_sym___based] = ACTIONS(5975),
    [anon_sym___cdecl] = ACTIONS(5975),
    [anon_sym___clrcall] = ACTIONS(5975),
    [anon_sym___stdcall] = ACTIONS(5975),
    [anon_sym___fastcall] = ACTIONS(5975),
    [anon_sym___thiscall] = ACTIONS(5975),
    [anon_sym___vectorcall] = ACTIONS(5975),
    [anon_sym_LBRACK] = ACTIONS(5975),
    [anon_sym_static] = ACTIONS(5975),
    [anon_sym_EQ] = ACTIONS(5977),
    [anon_sym_register] = ACTIONS(5975),
    [anon_sym_inline] = ACTIONS(5975),
    [anon_sym___inline] = ACTIONS(5975),
    [anon_sym___inline__] = ACTIONS(5975),
    [anon_sym___forceinline] = ACTIONS(5975),
    [anon_sym_thread_local] = ACTIONS(5975),
    [anon_sym___thread] = ACTIONS(5975),
    [anon_sym_const] = ACTIONS(5975),
    [anon_sym_constexpr] = ACTIONS(5975),
    [anon_sym_volatile] = ACTIONS(5975),
    [anon_sym_restrict] = ACTIONS(5975),
    [anon_sym___restrict__] = ACTIONS(5975),
    [anon_sym__Atomic] = ACTIONS(5975),
    [anon_sym__Noreturn] = ACTIONS(5975),
    [anon_sym_noreturn] = ACTIONS(5975),
    [anon_sym__Nonnull] = ACTIONS(5975),
    [anon_sym_mutable] = ACTIONS(5975),
    [anon_sym_constinit] = ACTIONS(5975),
    [anon_sym_consteval] = ACTIONS(5975),
    [anon_sym_alignas] = ACTIONS(5975),
    [anon_sym__Alignas] = ACTIONS(5975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5975),
    [anon_sym_decltype] = ACTIONS(5975),
    [anon_sym_template] = ACTIONS(5975),
    [anon_sym_GT2] = ACTIONS(5977),
    [anon_sym_operator] = ACTIONS(5975),
    [anon_sym_precise] = ACTIONS(5975),
    [anon_sym_shared] = ACTIONS(5975),
    [anon_sym_groupshared] = ACTIONS(5975),
    [anon_sym_uniform] = ACTIONS(5975),
    [anon_sym_row_major] = ACTIONS(5975),
    [anon_sym_column_major] = ACTIONS(5975),
    [anon_sym_globallycoherent] = ACTIONS(5975),
    [anon_sym_centroid] = ACTIONS(5975),
    [anon_sym_noperspective] = ACTIONS(5975),
    [anon_sym_nointerpolation] = ACTIONS(5975),
    [anon_sym_sample] = ACTIONS(5975),
    [anon_sym_linear] = ACTIONS(5975),
    [anon_sym_snorm] = ACTIONS(5975),
    [anon_sym_unorm] = ACTIONS(5975),
    [anon_sym_point] = ACTIONS(5975),
    [anon_sym_line] = ACTIONS(5975),
    [anon_sym_triangleadj] = ACTIONS(5975),
    [anon_sym_lineadj] = ACTIONS(5975),
    [anon_sym_triangle] = ACTIONS(5975),
  },
  [2371] = {
    [sym_attribute_specifier] = STATE(2313),
    [sym_identifier] = ACTIONS(5979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5981),
    [anon_sym_COMMA] = ACTIONS(5981),
    [anon_sym_RPAREN] = ACTIONS(5981),
    [anon_sym_LPAREN2] = ACTIONS(5981),
    [anon_sym_TILDE] = ACTIONS(5981),
    [anon_sym_STAR] = ACTIONS(5981),
    [anon_sym_AMP_AMP] = ACTIONS(5981),
    [anon_sym_AMP] = ACTIONS(5979),
    [anon_sym_COLON] = ACTIONS(5979),
    [anon_sym_SEMI] = ACTIONS(5981),
    [anon_sym___extension__] = ACTIONS(5979),
    [anon_sym_in] = ACTIONS(5979),
    [anon_sym_out] = ACTIONS(5979),
    [anon_sym_inout] = ACTIONS(5979),
    [anon_sym_virtual] = ACTIONS(5979),
    [anon_sym_extern] = ACTIONS(5979),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5981),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5981),
    [anon_sym___declspec] = ACTIONS(5979),
    [anon_sym___based] = ACTIONS(5979),
    [anon_sym___cdecl] = ACTIONS(5979),
    [anon_sym___clrcall] = ACTIONS(5979),
    [anon_sym___stdcall] = ACTIONS(5979),
    [anon_sym___fastcall] = ACTIONS(5979),
    [anon_sym___thiscall] = ACTIONS(5979),
    [anon_sym___vectorcall] = ACTIONS(5979),
    [anon_sym_LBRACK] = ACTIONS(5979),
    [anon_sym_static] = ACTIONS(5979),
    [anon_sym_EQ] = ACTIONS(5981),
    [anon_sym_register] = ACTIONS(5979),
    [anon_sym_inline] = ACTIONS(5979),
    [anon_sym___inline] = ACTIONS(5979),
    [anon_sym___inline__] = ACTIONS(5979),
    [anon_sym___forceinline] = ACTIONS(5979),
    [anon_sym_thread_local] = ACTIONS(5979),
    [anon_sym___thread] = ACTIONS(5979),
    [anon_sym_const] = ACTIONS(5979),
    [anon_sym_constexpr] = ACTIONS(5979),
    [anon_sym_volatile] = ACTIONS(5979),
    [anon_sym_restrict] = ACTIONS(5979),
    [anon_sym___restrict__] = ACTIONS(5979),
    [anon_sym__Atomic] = ACTIONS(5979),
    [anon_sym__Noreturn] = ACTIONS(5979),
    [anon_sym_noreturn] = ACTIONS(5979),
    [anon_sym__Nonnull] = ACTIONS(5979),
    [anon_sym_mutable] = ACTIONS(5979),
    [anon_sym_constinit] = ACTIONS(5979),
    [anon_sym_consteval] = ACTIONS(5979),
    [anon_sym_alignas] = ACTIONS(5979),
    [anon_sym__Alignas] = ACTIONS(5979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5979),
    [anon_sym_decltype] = ACTIONS(5979),
    [anon_sym_template] = ACTIONS(5979),
    [anon_sym_GT2] = ACTIONS(5981),
    [anon_sym_operator] = ACTIONS(5979),
    [anon_sym_precise] = ACTIONS(5979),
    [anon_sym_shared] = ACTIONS(5979),
    [anon_sym_groupshared] = ACTIONS(5979),
    [anon_sym_uniform] = ACTIONS(5979),
    [anon_sym_row_major] = ACTIONS(5979),
    [anon_sym_column_major] = ACTIONS(5979),
    [anon_sym_globallycoherent] = ACTIONS(5979),
    [anon_sym_centroid] = ACTIONS(5979),
    [anon_sym_noperspective] = ACTIONS(5979),
    [anon_sym_nointerpolation] = ACTIONS(5979),
    [anon_sym_sample] = ACTIONS(5979),
    [anon_sym_linear] = ACTIONS(5979),
    [anon_sym_snorm] = ACTIONS(5979),
    [anon_sym_unorm] = ACTIONS(5979),
    [anon_sym_point] = ACTIONS(5979),
    [anon_sym_line] = ACTIONS(5979),
    [anon_sym_triangleadj] = ACTIONS(5979),
    [anon_sym_lineadj] = ACTIONS(5979),
    [anon_sym_triangle] = ACTIONS(5979),
  },
  [2372] = {
    [sym_template_argument_list] = STATE(2472),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_LPAREN2] = ACTIONS(4098),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_AMP] = ACTIONS(4075),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4098),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym___cdecl] = ACTIONS(4075),
    [anon_sym___clrcall] = ACTIONS(4075),
    [anon_sym___stdcall] = ACTIONS(4075),
    [anon_sym___fastcall] = ACTIONS(4075),
    [anon_sym___thiscall] = ACTIONS(4075),
    [anon_sym___vectorcall] = ACTIONS(4075),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(5983),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [2373] = {
    [sym_attribute_specifier] = STATE(2309),
    [sym_identifier] = ACTIONS(5986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5988),
    [anon_sym_COMMA] = ACTIONS(5988),
    [anon_sym_RPAREN] = ACTIONS(5988),
    [anon_sym_LPAREN2] = ACTIONS(5988),
    [anon_sym_TILDE] = ACTIONS(5988),
    [anon_sym_STAR] = ACTIONS(5988),
    [anon_sym_AMP_AMP] = ACTIONS(5988),
    [anon_sym_AMP] = ACTIONS(5986),
    [anon_sym_COLON] = ACTIONS(5986),
    [anon_sym_SEMI] = ACTIONS(5988),
    [anon_sym___extension__] = ACTIONS(5986),
    [anon_sym_in] = ACTIONS(5986),
    [anon_sym_out] = ACTIONS(5986),
    [anon_sym_inout] = ACTIONS(5986),
    [anon_sym_virtual] = ACTIONS(5986),
    [anon_sym_extern] = ACTIONS(5986),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5988),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5988),
    [anon_sym___declspec] = ACTIONS(5986),
    [anon_sym___based] = ACTIONS(5986),
    [anon_sym___cdecl] = ACTIONS(5986),
    [anon_sym___clrcall] = ACTIONS(5986),
    [anon_sym___stdcall] = ACTIONS(5986),
    [anon_sym___fastcall] = ACTIONS(5986),
    [anon_sym___thiscall] = ACTIONS(5986),
    [anon_sym___vectorcall] = ACTIONS(5986),
    [anon_sym_LBRACK] = ACTIONS(5986),
    [anon_sym_static] = ACTIONS(5986),
    [anon_sym_EQ] = ACTIONS(5988),
    [anon_sym_register] = ACTIONS(5986),
    [anon_sym_inline] = ACTIONS(5986),
    [anon_sym___inline] = ACTIONS(5986),
    [anon_sym___inline__] = ACTIONS(5986),
    [anon_sym___forceinline] = ACTIONS(5986),
    [anon_sym_thread_local] = ACTIONS(5986),
    [anon_sym___thread] = ACTIONS(5986),
    [anon_sym_const] = ACTIONS(5986),
    [anon_sym_constexpr] = ACTIONS(5986),
    [anon_sym_volatile] = ACTIONS(5986),
    [anon_sym_restrict] = ACTIONS(5986),
    [anon_sym___restrict__] = ACTIONS(5986),
    [anon_sym__Atomic] = ACTIONS(5986),
    [anon_sym__Noreturn] = ACTIONS(5986),
    [anon_sym_noreturn] = ACTIONS(5986),
    [anon_sym__Nonnull] = ACTIONS(5986),
    [anon_sym_mutable] = ACTIONS(5986),
    [anon_sym_constinit] = ACTIONS(5986),
    [anon_sym_consteval] = ACTIONS(5986),
    [anon_sym_alignas] = ACTIONS(5986),
    [anon_sym__Alignas] = ACTIONS(5986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5986),
    [anon_sym_decltype] = ACTIONS(5986),
    [anon_sym_template] = ACTIONS(5986),
    [anon_sym_GT2] = ACTIONS(5988),
    [anon_sym_operator] = ACTIONS(5986),
    [anon_sym_precise] = ACTIONS(5986),
    [anon_sym_shared] = ACTIONS(5986),
    [anon_sym_groupshared] = ACTIONS(5986),
    [anon_sym_uniform] = ACTIONS(5986),
    [anon_sym_row_major] = ACTIONS(5986),
    [anon_sym_column_major] = ACTIONS(5986),
    [anon_sym_globallycoherent] = ACTIONS(5986),
    [anon_sym_centroid] = ACTIONS(5986),
    [anon_sym_noperspective] = ACTIONS(5986),
    [anon_sym_nointerpolation] = ACTIONS(5986),
    [anon_sym_sample] = ACTIONS(5986),
    [anon_sym_linear] = ACTIONS(5986),
    [anon_sym_snorm] = ACTIONS(5986),
    [anon_sym_unorm] = ACTIONS(5986),
    [anon_sym_point] = ACTIONS(5986),
    [anon_sym_line] = ACTIONS(5986),
    [anon_sym_triangleadj] = ACTIONS(5986),
    [anon_sym_lineadj] = ACTIONS(5986),
    [anon_sym_triangle] = ACTIONS(5986),
  },
  [2374] = {
    [sym_identifier] = ACTIONS(5990),
    [anon_sym_LPAREN2] = ACTIONS(5992),
    [anon_sym_BANG] = ACTIONS(5992),
    [anon_sym_TILDE] = ACTIONS(5992),
    [anon_sym_DASH] = ACTIONS(5990),
    [anon_sym_PLUS] = ACTIONS(5990),
    [anon_sym_STAR] = ACTIONS(5992),
    [anon_sym_AMP] = ACTIONS(5992),
    [anon_sym_SEMI] = ACTIONS(5992),
    [anon_sym___extension__] = ACTIONS(5990),
    [anon_sym_COLON_COLON] = ACTIONS(5992),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5992),
    [anon_sym_LBRACE] = ACTIONS(5992),
    [anon_sym_LBRACK] = ACTIONS(5990),
    [sym_primitive_type] = ACTIONS(5990),
    [anon_sym_if] = ACTIONS(5990),
    [anon_sym_switch] = ACTIONS(5990),
    [anon_sym_case] = ACTIONS(5990),
    [anon_sym_default] = ACTIONS(5990),
    [anon_sym_while] = ACTIONS(5990),
    [anon_sym_do] = ACTIONS(5990),
    [anon_sym_for] = ACTIONS(5990),
    [anon_sym_return] = ACTIONS(5990),
    [anon_sym_break] = ACTIONS(5990),
    [anon_sym_continue] = ACTIONS(5990),
    [anon_sym_goto] = ACTIONS(5990),
    [anon_sym___try] = ACTIONS(5990),
    [anon_sym___leave] = ACTIONS(5990),
    [anon_sym_not] = ACTIONS(5990),
    [anon_sym_compl] = ACTIONS(5990),
    [anon_sym_DASH_DASH] = ACTIONS(5992),
    [anon_sym_PLUS_PLUS] = ACTIONS(5992),
    [anon_sym_sizeof] = ACTIONS(5990),
    [anon_sym___alignof__] = ACTIONS(5990),
    [anon_sym___alignof] = ACTIONS(5990),
    [anon_sym__alignof] = ACTIONS(5990),
    [anon_sym_alignof] = ACTIONS(5990),
    [anon_sym__Alignof] = ACTIONS(5990),
    [anon_sym_offsetof] = ACTIONS(5990),
    [anon_sym__Generic] = ACTIONS(5990),
    [anon_sym_asm] = ACTIONS(5990),
    [anon_sym___asm__] = ACTIONS(5990),
    [anon_sym___asm] = ACTIONS(5990),
    [sym_number_literal] = ACTIONS(5992),
    [anon_sym_L_SQUOTE] = ACTIONS(5992),
    [anon_sym_u_SQUOTE] = ACTIONS(5992),
    [anon_sym_U_SQUOTE] = ACTIONS(5992),
    [anon_sym_u8_SQUOTE] = ACTIONS(5992),
    [anon_sym_SQUOTE] = ACTIONS(5992),
    [anon_sym_L_DQUOTE] = ACTIONS(5992),
    [anon_sym_u_DQUOTE] = ACTIONS(5992),
    [anon_sym_U_DQUOTE] = ACTIONS(5992),
    [anon_sym_u8_DQUOTE] = ACTIONS(5992),
    [anon_sym_DQUOTE] = ACTIONS(5992),
    [sym_true] = ACTIONS(5990),
    [sym_false] = ACTIONS(5990),
    [anon_sym_NULL] = ACTIONS(5990),
    [anon_sym_nullptr] = ACTIONS(5990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5990),
    [anon_sym_template] = ACTIONS(5990),
    [anon_sym_try] = ACTIONS(5990),
    [anon_sym_delete] = ACTIONS(5990),
    [anon_sym_throw] = ACTIONS(5990),
    [anon_sym_co_return] = ACTIONS(5990),
    [anon_sym_co_yield] = ACTIONS(5990),
    [anon_sym_R_DQUOTE] = ACTIONS(5992),
    [anon_sym_LR_DQUOTE] = ACTIONS(5992),
    [anon_sym_uR_DQUOTE] = ACTIONS(5992),
    [anon_sym_UR_DQUOTE] = ACTIONS(5992),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5992),
    [anon_sym_co_await] = ACTIONS(5990),
    [anon_sym_new] = ACTIONS(5990),
    [anon_sym_requires] = ACTIONS(5990),
    [sym_this] = ACTIONS(5990),
    [anon_sym_discard] = ACTIONS(5990),
    [anon_sym_cbuffer] = ACTIONS(5990),
  },
  [2375] = {
    [sym_identifier] = ACTIONS(5994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5996),
    [anon_sym_COMMA] = ACTIONS(5996),
    [anon_sym_RPAREN] = ACTIONS(5996),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_TILDE] = ACTIONS(5996),
    [anon_sym_STAR] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym_COLON] = ACTIONS(5994),
    [anon_sym_SEMI] = ACTIONS(5996),
    [anon_sym___extension__] = ACTIONS(5994),
    [anon_sym_in] = ACTIONS(5994),
    [anon_sym_out] = ACTIONS(5994),
    [anon_sym_inout] = ACTIONS(5994),
    [anon_sym_virtual] = ACTIONS(5994),
    [anon_sym_extern] = ACTIONS(5994),
    [anon_sym___attribute__] = ACTIONS(5994),
    [anon_sym_COLON_COLON] = ACTIONS(5996),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5996),
    [anon_sym___declspec] = ACTIONS(5994),
    [anon_sym___based] = ACTIONS(5994),
    [anon_sym___cdecl] = ACTIONS(5994),
    [anon_sym___clrcall] = ACTIONS(5994),
    [anon_sym___stdcall] = ACTIONS(5994),
    [anon_sym___fastcall] = ACTIONS(5994),
    [anon_sym___thiscall] = ACTIONS(5994),
    [anon_sym___vectorcall] = ACTIONS(5994),
    [anon_sym_LBRACK] = ACTIONS(5994),
    [anon_sym_static] = ACTIONS(5994),
    [anon_sym_EQ] = ACTIONS(5996),
    [anon_sym_register] = ACTIONS(5994),
    [anon_sym_inline] = ACTIONS(5994),
    [anon_sym___inline] = ACTIONS(5994),
    [anon_sym___inline__] = ACTIONS(5994),
    [anon_sym___forceinline] = ACTIONS(5994),
    [anon_sym_thread_local] = ACTIONS(5994),
    [anon_sym___thread] = ACTIONS(5994),
    [anon_sym_const] = ACTIONS(5994),
    [anon_sym_constexpr] = ACTIONS(5994),
    [anon_sym_volatile] = ACTIONS(5994),
    [anon_sym_restrict] = ACTIONS(5994),
    [anon_sym___restrict__] = ACTIONS(5994),
    [anon_sym__Atomic] = ACTIONS(5994),
    [anon_sym__Noreturn] = ACTIONS(5994),
    [anon_sym_noreturn] = ACTIONS(5994),
    [anon_sym__Nonnull] = ACTIONS(5994),
    [anon_sym_mutable] = ACTIONS(5994),
    [anon_sym_constinit] = ACTIONS(5994),
    [anon_sym_consteval] = ACTIONS(5994),
    [anon_sym_alignas] = ACTIONS(5994),
    [anon_sym__Alignas] = ACTIONS(5994),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5994),
    [anon_sym_explicit] = ACTIONS(5994),
    [anon_sym_template] = ACTIONS(5994),
    [anon_sym_GT2] = ACTIONS(5996),
    [anon_sym_operator] = ACTIONS(5994),
    [anon_sym_precise] = ACTIONS(5994),
    [anon_sym_shared] = ACTIONS(5994),
    [anon_sym_groupshared] = ACTIONS(5994),
    [anon_sym_uniform] = ACTIONS(5994),
    [anon_sym_row_major] = ACTIONS(5994),
    [anon_sym_column_major] = ACTIONS(5994),
    [anon_sym_globallycoherent] = ACTIONS(5994),
    [anon_sym_centroid] = ACTIONS(5994),
    [anon_sym_noperspective] = ACTIONS(5994),
    [anon_sym_nointerpolation] = ACTIONS(5994),
    [anon_sym_sample] = ACTIONS(5994),
    [anon_sym_linear] = ACTIONS(5994),
    [anon_sym_snorm] = ACTIONS(5994),
    [anon_sym_unorm] = ACTIONS(5994),
    [anon_sym_point] = ACTIONS(5994),
    [anon_sym_line] = ACTIONS(5994),
    [anon_sym_triangleadj] = ACTIONS(5994),
    [anon_sym_lineadj] = ACTIONS(5994),
    [anon_sym_triangle] = ACTIONS(5994),
  },
  [2376] = {
    [sym_identifier] = ACTIONS(5757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5759),
    [anon_sym_COMMA] = ACTIONS(5759),
    [anon_sym_RPAREN] = ACTIONS(5759),
    [anon_sym_LPAREN2] = ACTIONS(5759),
    [anon_sym_TILDE] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5757),
    [anon_sym_COLON] = ACTIONS(5757),
    [anon_sym_SEMI] = ACTIONS(5759),
    [anon_sym___extension__] = ACTIONS(5757),
    [anon_sym_in] = ACTIONS(5757),
    [anon_sym_out] = ACTIONS(5757),
    [anon_sym_inout] = ACTIONS(5757),
    [anon_sym_virtual] = ACTIONS(5757),
    [anon_sym_extern] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(5759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5759),
    [anon_sym___declspec] = ACTIONS(5757),
    [anon_sym___based] = ACTIONS(5757),
    [anon_sym___cdecl] = ACTIONS(5757),
    [anon_sym___clrcall] = ACTIONS(5757),
    [anon_sym___stdcall] = ACTIONS(5757),
    [anon_sym___fastcall] = ACTIONS(5757),
    [anon_sym___thiscall] = ACTIONS(5757),
    [anon_sym___vectorcall] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_static] = ACTIONS(5757),
    [anon_sym_EQ] = ACTIONS(5759),
    [anon_sym_register] = ACTIONS(5757),
    [anon_sym_inline] = ACTIONS(5757),
    [anon_sym___inline] = ACTIONS(5757),
    [anon_sym___inline__] = ACTIONS(5757),
    [anon_sym___forceinline] = ACTIONS(5757),
    [anon_sym_thread_local] = ACTIONS(5757),
    [anon_sym___thread] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5757),
    [anon_sym_constexpr] = ACTIONS(5757),
    [anon_sym_volatile] = ACTIONS(5757),
    [anon_sym_restrict] = ACTIONS(5757),
    [anon_sym___restrict__] = ACTIONS(5757),
    [anon_sym__Atomic] = ACTIONS(5757),
    [anon_sym__Noreturn] = ACTIONS(5757),
    [anon_sym_noreturn] = ACTIONS(5757),
    [anon_sym__Nonnull] = ACTIONS(5757),
    [anon_sym_mutable] = ACTIONS(5757),
    [anon_sym_constinit] = ACTIONS(5757),
    [anon_sym_consteval] = ACTIONS(5757),
    [anon_sym_alignas] = ACTIONS(5757),
    [anon_sym__Alignas] = ACTIONS(5757),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5757),
    [anon_sym_explicit] = ACTIONS(5757),
    [anon_sym_template] = ACTIONS(5757),
    [anon_sym_GT2] = ACTIONS(5759),
    [anon_sym_operator] = ACTIONS(5757),
    [anon_sym_precise] = ACTIONS(5757),
    [anon_sym_shared] = ACTIONS(5757),
    [anon_sym_groupshared] = ACTIONS(5757),
    [anon_sym_uniform] = ACTIONS(5757),
    [anon_sym_row_major] = ACTIONS(5757),
    [anon_sym_column_major] = ACTIONS(5757),
    [anon_sym_globallycoherent] = ACTIONS(5757),
    [anon_sym_centroid] = ACTIONS(5757),
    [anon_sym_noperspective] = ACTIONS(5757),
    [anon_sym_nointerpolation] = ACTIONS(5757),
    [anon_sym_sample] = ACTIONS(5757),
    [anon_sym_linear] = ACTIONS(5757),
    [anon_sym_snorm] = ACTIONS(5757),
    [anon_sym_unorm] = ACTIONS(5757),
    [anon_sym_point] = ACTIONS(5757),
    [anon_sym_line] = ACTIONS(5757),
    [anon_sym_triangleadj] = ACTIONS(5757),
    [anon_sym_lineadj] = ACTIONS(5757),
    [anon_sym_triangle] = ACTIONS(5757),
  },
  [2377] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2320),
    [anon_sym_COMMA] = ACTIONS(2320),
    [anon_sym_RPAREN] = ACTIONS(2320),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_COLON] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_GT2] = ACTIONS(2320),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2378] = {
    [sym_identifier] = ACTIONS(5998),
    [anon_sym_LPAREN2] = ACTIONS(6000),
    [anon_sym_BANG] = ACTIONS(6000),
    [anon_sym_TILDE] = ACTIONS(6000),
    [anon_sym_DASH] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(5998),
    [anon_sym_STAR] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6000),
    [anon_sym_SEMI] = ACTIONS(6000),
    [anon_sym___extension__] = ACTIONS(5998),
    [anon_sym_COLON_COLON] = ACTIONS(6000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6000),
    [anon_sym_LBRACE] = ACTIONS(6000),
    [anon_sym_LBRACK] = ACTIONS(5998),
    [sym_primitive_type] = ACTIONS(5998),
    [anon_sym_if] = ACTIONS(5998),
    [anon_sym_switch] = ACTIONS(5998),
    [anon_sym_case] = ACTIONS(5998),
    [anon_sym_default] = ACTIONS(5998),
    [anon_sym_while] = ACTIONS(5998),
    [anon_sym_do] = ACTIONS(5998),
    [anon_sym_for] = ACTIONS(5998),
    [anon_sym_return] = ACTIONS(5998),
    [anon_sym_break] = ACTIONS(5998),
    [anon_sym_continue] = ACTIONS(5998),
    [anon_sym_goto] = ACTIONS(5998),
    [anon_sym___try] = ACTIONS(5998),
    [anon_sym___leave] = ACTIONS(5998),
    [anon_sym_not] = ACTIONS(5998),
    [anon_sym_compl] = ACTIONS(5998),
    [anon_sym_DASH_DASH] = ACTIONS(6000),
    [anon_sym_PLUS_PLUS] = ACTIONS(6000),
    [anon_sym_sizeof] = ACTIONS(5998),
    [anon_sym___alignof__] = ACTIONS(5998),
    [anon_sym___alignof] = ACTIONS(5998),
    [anon_sym__alignof] = ACTIONS(5998),
    [anon_sym_alignof] = ACTIONS(5998),
    [anon_sym__Alignof] = ACTIONS(5998),
    [anon_sym_offsetof] = ACTIONS(5998),
    [anon_sym__Generic] = ACTIONS(5998),
    [anon_sym_asm] = ACTIONS(5998),
    [anon_sym___asm__] = ACTIONS(5998),
    [anon_sym___asm] = ACTIONS(5998),
    [sym_number_literal] = ACTIONS(6000),
    [anon_sym_L_SQUOTE] = ACTIONS(6000),
    [anon_sym_u_SQUOTE] = ACTIONS(6000),
    [anon_sym_U_SQUOTE] = ACTIONS(6000),
    [anon_sym_u8_SQUOTE] = ACTIONS(6000),
    [anon_sym_SQUOTE] = ACTIONS(6000),
    [anon_sym_L_DQUOTE] = ACTIONS(6000),
    [anon_sym_u_DQUOTE] = ACTIONS(6000),
    [anon_sym_U_DQUOTE] = ACTIONS(6000),
    [anon_sym_u8_DQUOTE] = ACTIONS(6000),
    [anon_sym_DQUOTE] = ACTIONS(6000),
    [sym_true] = ACTIONS(5998),
    [sym_false] = ACTIONS(5998),
    [anon_sym_NULL] = ACTIONS(5998),
    [anon_sym_nullptr] = ACTIONS(5998),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5998),
    [anon_sym_template] = ACTIONS(5998),
    [anon_sym_try] = ACTIONS(5998),
    [anon_sym_delete] = ACTIONS(5998),
    [anon_sym_throw] = ACTIONS(5998),
    [anon_sym_co_return] = ACTIONS(5998),
    [anon_sym_co_yield] = ACTIONS(5998),
    [anon_sym_R_DQUOTE] = ACTIONS(6000),
    [anon_sym_LR_DQUOTE] = ACTIONS(6000),
    [anon_sym_uR_DQUOTE] = ACTIONS(6000),
    [anon_sym_UR_DQUOTE] = ACTIONS(6000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6000),
    [anon_sym_co_await] = ACTIONS(5998),
    [anon_sym_new] = ACTIONS(5998),
    [anon_sym_requires] = ACTIONS(5998),
    [sym_this] = ACTIONS(5998),
    [anon_sym_discard] = ACTIONS(5998),
    [anon_sym_cbuffer] = ACTIONS(5998),
  },
  [2379] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_out] = ACTIONS(5676),
    [anon_sym_inout] = ACTIONS(5676),
    [anon_sym_virtual] = ACTIONS(5676),
    [anon_sym_extern] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(5678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5678),
    [anon_sym___declspec] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym___cdecl] = ACTIONS(5676),
    [anon_sym___clrcall] = ACTIONS(5676),
    [anon_sym___stdcall] = ACTIONS(5676),
    [anon_sym___fastcall] = ACTIONS(5676),
    [anon_sym___thiscall] = ACTIONS(5676),
    [anon_sym___vectorcall] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_register] = ACTIONS(5676),
    [anon_sym_inline] = ACTIONS(5676),
    [anon_sym___inline] = ACTIONS(5676),
    [anon_sym___inline__] = ACTIONS(5676),
    [anon_sym___forceinline] = ACTIONS(5676),
    [anon_sym_thread_local] = ACTIONS(5676),
    [anon_sym___thread] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5676),
    [anon_sym_shared] = ACTIONS(5676),
    [anon_sym_groupshared] = ACTIONS(5676),
    [anon_sym_uniform] = ACTIONS(5676),
    [anon_sym_row_major] = ACTIONS(5676),
    [anon_sym_column_major] = ACTIONS(5676),
    [anon_sym_globallycoherent] = ACTIONS(5676),
    [anon_sym_centroid] = ACTIONS(5676),
    [anon_sym_noperspective] = ACTIONS(5676),
    [anon_sym_nointerpolation] = ACTIONS(5676),
    [anon_sym_sample] = ACTIONS(5676),
    [anon_sym_linear] = ACTIONS(5676),
    [anon_sym_snorm] = ACTIONS(5676),
    [anon_sym_unorm] = ACTIONS(5676),
    [anon_sym_point] = ACTIONS(5676),
    [anon_sym_line] = ACTIONS(5676),
    [anon_sym_triangleadj] = ACTIONS(5676),
    [anon_sym_lineadj] = ACTIONS(5676),
    [anon_sym_triangle] = ACTIONS(5676),
  },
  [2380] = {
    [sym_argument_list] = STATE(3667),
    [sym_initializer_list] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(6002),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_out] = ACTIONS(5676),
    [anon_sym_inout] = ACTIONS(5676),
    [anon_sym_virtual] = ACTIONS(5676),
    [anon_sym_extern] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(5678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5678),
    [anon_sym___declspec] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(3912),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_register] = ACTIONS(5676),
    [anon_sym_inline] = ACTIONS(5676),
    [anon_sym___inline] = ACTIONS(5676),
    [anon_sym___inline__] = ACTIONS(5676),
    [anon_sym___forceinline] = ACTIONS(5676),
    [anon_sym_thread_local] = ACTIONS(5676),
    [anon_sym___thread] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5676),
    [anon_sym_shared] = ACTIONS(5676),
    [anon_sym_groupshared] = ACTIONS(5676),
    [anon_sym_uniform] = ACTIONS(5676),
    [anon_sym_row_major] = ACTIONS(5676),
    [anon_sym_column_major] = ACTIONS(5676),
    [anon_sym_globallycoherent] = ACTIONS(5676),
    [anon_sym_centroid] = ACTIONS(5676),
    [anon_sym_noperspective] = ACTIONS(5676),
    [anon_sym_nointerpolation] = ACTIONS(5676),
    [anon_sym_sample] = ACTIONS(5676),
    [anon_sym_linear] = ACTIONS(5676),
    [anon_sym_snorm] = ACTIONS(5676),
    [anon_sym_unorm] = ACTIONS(5676),
    [anon_sym_point] = ACTIONS(5676),
    [anon_sym_line] = ACTIONS(5676),
    [anon_sym_triangleadj] = ACTIONS(5676),
    [anon_sym_lineadj] = ACTIONS(5676),
    [anon_sym_triangle] = ACTIONS(5676),
  },
  [2381] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_out] = ACTIONS(5676),
    [anon_sym_inout] = ACTIONS(5676),
    [anon_sym_virtual] = ACTIONS(5676),
    [anon_sym_extern] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5678),
    [anon_sym___declspec] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym___cdecl] = ACTIONS(5676),
    [anon_sym___clrcall] = ACTIONS(5676),
    [anon_sym___stdcall] = ACTIONS(5676),
    [anon_sym___fastcall] = ACTIONS(5676),
    [anon_sym___thiscall] = ACTIONS(5676),
    [anon_sym___vectorcall] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_register] = ACTIONS(5676),
    [anon_sym_inline] = ACTIONS(5676),
    [anon_sym___inline] = ACTIONS(5676),
    [anon_sym___inline__] = ACTIONS(5676),
    [anon_sym___forceinline] = ACTIONS(5676),
    [anon_sym_thread_local] = ACTIONS(5676),
    [anon_sym___thread] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5676),
    [anon_sym_shared] = ACTIONS(5676),
    [anon_sym_groupshared] = ACTIONS(5676),
    [anon_sym_uniform] = ACTIONS(5676),
    [anon_sym_row_major] = ACTIONS(5676),
    [anon_sym_column_major] = ACTIONS(5676),
    [anon_sym_globallycoherent] = ACTIONS(5676),
    [anon_sym_centroid] = ACTIONS(5676),
    [anon_sym_noperspective] = ACTIONS(5676),
    [anon_sym_nointerpolation] = ACTIONS(5676),
    [anon_sym_sample] = ACTIONS(5676),
    [anon_sym_linear] = ACTIONS(5676),
    [anon_sym_snorm] = ACTIONS(5676),
    [anon_sym_unorm] = ACTIONS(5676),
    [anon_sym_point] = ACTIONS(5676),
    [anon_sym_line] = ACTIONS(5676),
    [anon_sym_triangleadj] = ACTIONS(5676),
    [anon_sym_lineadj] = ACTIONS(5676),
    [anon_sym_triangle] = ACTIONS(5676),
  },
  [2382] = {
    [sym_template_argument_list] = STATE(2255),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4083),
    [anon_sym_COMMA] = ACTIONS(4083),
    [anon_sym_RPAREN] = ACTIONS(4083),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_AMP] = ACTIONS(4075),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(4075),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4075),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4083),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_GT2] = ACTIONS(4083),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [2383] = {
    [sym_identifier] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5759),
    [anon_sym_TILDE] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(5757),
    [anon_sym_in] = ACTIONS(5757),
    [anon_sym_out] = ACTIONS(5757),
    [anon_sym_inout] = ACTIONS(5757),
    [anon_sym_virtual] = ACTIONS(5757),
    [anon_sym_extern] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(5759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5759),
    [anon_sym___declspec] = ACTIONS(5757),
    [anon_sym___based] = ACTIONS(5757),
    [anon_sym_signed] = ACTIONS(5757),
    [anon_sym_unsigned] = ACTIONS(5757),
    [anon_sym_long] = ACTIONS(5757),
    [anon_sym_short] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_static] = ACTIONS(5757),
    [anon_sym_register] = ACTIONS(5757),
    [anon_sym_inline] = ACTIONS(5757),
    [anon_sym___inline] = ACTIONS(5757),
    [anon_sym___inline__] = ACTIONS(5757),
    [anon_sym___forceinline] = ACTIONS(5757),
    [anon_sym_thread_local] = ACTIONS(5757),
    [anon_sym___thread] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5757),
    [anon_sym_constexpr] = ACTIONS(5757),
    [anon_sym_volatile] = ACTIONS(5757),
    [anon_sym_restrict] = ACTIONS(5757),
    [anon_sym___restrict__] = ACTIONS(5757),
    [anon_sym__Atomic] = ACTIONS(5757),
    [anon_sym__Noreturn] = ACTIONS(5757),
    [anon_sym_noreturn] = ACTIONS(5757),
    [anon_sym__Nonnull] = ACTIONS(5757),
    [anon_sym_mutable] = ACTIONS(5757),
    [anon_sym_constinit] = ACTIONS(5757),
    [anon_sym_consteval] = ACTIONS(5757),
    [anon_sym_alignas] = ACTIONS(5757),
    [anon_sym__Alignas] = ACTIONS(5757),
    [sym_primitive_type] = ACTIONS(5757),
    [anon_sym_enum] = ACTIONS(5757),
    [anon_sym_class] = ACTIONS(5757),
    [anon_sym_struct] = ACTIONS(5757),
    [anon_sym_union] = ACTIONS(5757),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5757),
    [anon_sym_decltype] = ACTIONS(5757),
    [anon_sym_explicit] = ACTIONS(5757),
    [anon_sym_typename] = ACTIONS(5757),
    [anon_sym_template] = ACTIONS(5757),
    [anon_sym_operator] = ACTIONS(5757),
    [anon_sym_namespace] = ACTIONS(6007),
    [anon_sym_precise] = ACTIONS(5757),
    [anon_sym_shared] = ACTIONS(5757),
    [anon_sym_groupshared] = ACTIONS(5757),
    [anon_sym_uniform] = ACTIONS(5757),
    [anon_sym_row_major] = ACTIONS(5757),
    [anon_sym_column_major] = ACTIONS(5757),
    [anon_sym_globallycoherent] = ACTIONS(5757),
    [anon_sym_centroid] = ACTIONS(5757),
    [anon_sym_noperspective] = ACTIONS(5757),
    [anon_sym_nointerpolation] = ACTIONS(5757),
    [anon_sym_sample] = ACTIONS(5757),
    [anon_sym_linear] = ACTIONS(5757),
    [anon_sym_snorm] = ACTIONS(5757),
    [anon_sym_unorm] = ACTIONS(5757),
    [anon_sym_point] = ACTIONS(5757),
    [anon_sym_line] = ACTIONS(5757),
    [anon_sym_triangleadj] = ACTIONS(5757),
    [anon_sym_lineadj] = ACTIONS(5757),
    [anon_sym_triangle] = ACTIONS(5757),
  },
  [2384] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(6009),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2385] = {
    [sym_template_argument_list] = STATE(2483),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4083),
    [anon_sym_COMMA] = ACTIONS(4083),
    [anon_sym_RPAREN] = ACTIONS(4098),
    [anon_sym_LPAREN2] = ACTIONS(4098),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_AMP] = ACTIONS(4075),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(4075),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4098),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(5983),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(4083),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [2386] = {
    [sym_attribute_specifier] = STATE(2338),
    [sym_enumerator_list] = STATE(2369),
    [sym__enum_base_clause] = STATE(2335),
    [sym_identifier] = ACTIONS(6011),
    [anon_sym_LPAREN2] = ACTIONS(6013),
    [anon_sym_TILDE] = ACTIONS(6013),
    [anon_sym_STAR] = ACTIONS(6013),
    [anon_sym_AMP_AMP] = ACTIONS(6013),
    [anon_sym_AMP] = ACTIONS(6011),
    [anon_sym_COLON] = ACTIONS(6015),
    [anon_sym_SEMI] = ACTIONS(6013),
    [anon_sym___extension__] = ACTIONS(6011),
    [anon_sym_in] = ACTIONS(6011),
    [anon_sym_out] = ACTIONS(6011),
    [anon_sym_inout] = ACTIONS(6011),
    [anon_sym_virtual] = ACTIONS(6011),
    [anon_sym_extern] = ACTIONS(6011),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(6013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6013),
    [anon_sym___declspec] = ACTIONS(6011),
    [anon_sym___based] = ACTIONS(6011),
    [anon_sym___cdecl] = ACTIONS(6011),
    [anon_sym___clrcall] = ACTIONS(6011),
    [anon_sym___stdcall] = ACTIONS(6011),
    [anon_sym___fastcall] = ACTIONS(6011),
    [anon_sym___thiscall] = ACTIONS(6011),
    [anon_sym___vectorcall] = ACTIONS(6011),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(6011),
    [anon_sym_static] = ACTIONS(6011),
    [anon_sym_register] = ACTIONS(6011),
    [anon_sym_inline] = ACTIONS(6011),
    [anon_sym___inline] = ACTIONS(6011),
    [anon_sym___inline__] = ACTIONS(6011),
    [anon_sym___forceinline] = ACTIONS(6011),
    [anon_sym_thread_local] = ACTIONS(6011),
    [anon_sym___thread] = ACTIONS(6011),
    [anon_sym_const] = ACTIONS(6011),
    [anon_sym_constexpr] = ACTIONS(6011),
    [anon_sym_volatile] = ACTIONS(6011),
    [anon_sym_restrict] = ACTIONS(6011),
    [anon_sym___restrict__] = ACTIONS(6011),
    [anon_sym__Atomic] = ACTIONS(6011),
    [anon_sym__Noreturn] = ACTIONS(6011),
    [anon_sym_noreturn] = ACTIONS(6011),
    [anon_sym__Nonnull] = ACTIONS(6011),
    [anon_sym_mutable] = ACTIONS(6011),
    [anon_sym_constinit] = ACTIONS(6011),
    [anon_sym_consteval] = ACTIONS(6011),
    [anon_sym_alignas] = ACTIONS(6011),
    [anon_sym__Alignas] = ACTIONS(6011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6011),
    [anon_sym_decltype] = ACTIONS(6011),
    [anon_sym_template] = ACTIONS(6011),
    [anon_sym_operator] = ACTIONS(6011),
    [anon_sym_precise] = ACTIONS(6011),
    [anon_sym_shared] = ACTIONS(6011),
    [anon_sym_groupshared] = ACTIONS(6011),
    [anon_sym_uniform] = ACTIONS(6011),
    [anon_sym_row_major] = ACTIONS(6011),
    [anon_sym_column_major] = ACTIONS(6011),
    [anon_sym_globallycoherent] = ACTIONS(6011),
    [anon_sym_centroid] = ACTIONS(6011),
    [anon_sym_noperspective] = ACTIONS(6011),
    [anon_sym_nointerpolation] = ACTIONS(6011),
    [anon_sym_sample] = ACTIONS(6011),
    [anon_sym_linear] = ACTIONS(6011),
    [anon_sym_snorm] = ACTIONS(6011),
    [anon_sym_unorm] = ACTIONS(6011),
    [anon_sym_point] = ACTIONS(6011),
    [anon_sym_line] = ACTIONS(6011),
    [anon_sym_triangleadj] = ACTIONS(6011),
    [anon_sym_lineadj] = ACTIONS(6011),
    [anon_sym_triangle] = ACTIONS(6011),
  },
  [2387] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(6017),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2388] = {
    [sym_string_literal] = STATE(2420),
    [sym_template_argument_list] = STATE(2745),
    [sym_raw_string_literal] = STATE(2420),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_RPAREN] = ACTIONS(4077),
    [aux_sym_preproc_if_token2] = ACTIONS(4077),
    [aux_sym_preproc_else_token1] = ACTIONS(4077),
    [aux_sym_preproc_elif_token1] = ACTIONS(4085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(6019),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4085),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(4077),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_RBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4085),
    [anon_sym_or_eq] = ACTIONS(4085),
    [anon_sym_xor_eq] = ACTIONS(4085),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
  },
  [2389] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_friend] = ACTIONS(6022),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2390] = {
    [sym_attribute_specifier] = STATE(2310),
    [sym_enumerator_list] = STATE(2366),
    [sym__enum_base_clause] = STATE(2314),
    [sym_identifier] = ACTIONS(6024),
    [anon_sym_LPAREN2] = ACTIONS(6026),
    [anon_sym_TILDE] = ACTIONS(6026),
    [anon_sym_STAR] = ACTIONS(6026),
    [anon_sym_AMP_AMP] = ACTIONS(6026),
    [anon_sym_AMP] = ACTIONS(6024),
    [anon_sym_COLON] = ACTIONS(6015),
    [anon_sym_SEMI] = ACTIONS(6026),
    [anon_sym___extension__] = ACTIONS(6024),
    [anon_sym_in] = ACTIONS(6024),
    [anon_sym_out] = ACTIONS(6024),
    [anon_sym_inout] = ACTIONS(6024),
    [anon_sym_virtual] = ACTIONS(6024),
    [anon_sym_extern] = ACTIONS(6024),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(6026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6026),
    [anon_sym___declspec] = ACTIONS(6024),
    [anon_sym___based] = ACTIONS(6024),
    [anon_sym___cdecl] = ACTIONS(6024),
    [anon_sym___clrcall] = ACTIONS(6024),
    [anon_sym___stdcall] = ACTIONS(6024),
    [anon_sym___fastcall] = ACTIONS(6024),
    [anon_sym___thiscall] = ACTIONS(6024),
    [anon_sym___vectorcall] = ACTIONS(6024),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(6024),
    [anon_sym_static] = ACTIONS(6024),
    [anon_sym_register] = ACTIONS(6024),
    [anon_sym_inline] = ACTIONS(6024),
    [anon_sym___inline] = ACTIONS(6024),
    [anon_sym___inline__] = ACTIONS(6024),
    [anon_sym___forceinline] = ACTIONS(6024),
    [anon_sym_thread_local] = ACTIONS(6024),
    [anon_sym___thread] = ACTIONS(6024),
    [anon_sym_const] = ACTIONS(6024),
    [anon_sym_constexpr] = ACTIONS(6024),
    [anon_sym_volatile] = ACTIONS(6024),
    [anon_sym_restrict] = ACTIONS(6024),
    [anon_sym___restrict__] = ACTIONS(6024),
    [anon_sym__Atomic] = ACTIONS(6024),
    [anon_sym__Noreturn] = ACTIONS(6024),
    [anon_sym_noreturn] = ACTIONS(6024),
    [anon_sym__Nonnull] = ACTIONS(6024),
    [anon_sym_mutable] = ACTIONS(6024),
    [anon_sym_constinit] = ACTIONS(6024),
    [anon_sym_consteval] = ACTIONS(6024),
    [anon_sym_alignas] = ACTIONS(6024),
    [anon_sym__Alignas] = ACTIONS(6024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6024),
    [anon_sym_decltype] = ACTIONS(6024),
    [anon_sym_template] = ACTIONS(6024),
    [anon_sym_operator] = ACTIONS(6024),
    [anon_sym_precise] = ACTIONS(6024),
    [anon_sym_shared] = ACTIONS(6024),
    [anon_sym_groupshared] = ACTIONS(6024),
    [anon_sym_uniform] = ACTIONS(6024),
    [anon_sym_row_major] = ACTIONS(6024),
    [anon_sym_column_major] = ACTIONS(6024),
    [anon_sym_globallycoherent] = ACTIONS(6024),
    [anon_sym_centroid] = ACTIONS(6024),
    [anon_sym_noperspective] = ACTIONS(6024),
    [anon_sym_nointerpolation] = ACTIONS(6024),
    [anon_sym_sample] = ACTIONS(6024),
    [anon_sym_linear] = ACTIONS(6024),
    [anon_sym_snorm] = ACTIONS(6024),
    [anon_sym_unorm] = ACTIONS(6024),
    [anon_sym_point] = ACTIONS(6024),
    [anon_sym_line] = ACTIONS(6024),
    [anon_sym_triangleadj] = ACTIONS(6024),
    [anon_sym_lineadj] = ACTIONS(6024),
    [anon_sym_triangle] = ACTIONS(6024),
  },
  [2391] = {
    [sym_template_argument_list] = STATE(2255),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4083),
    [anon_sym_COMMA] = ACTIONS(6028),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_AMP] = ACTIONS(4075),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(4075),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(4075),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_EQ] = ACTIONS(6030),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_GT2] = ACTIONS(6028),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [2392] = {
    [sym_identifier] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5759),
    [anon_sym_TILDE] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(5757),
    [anon_sym_in] = ACTIONS(5757),
    [anon_sym_out] = ACTIONS(5757),
    [anon_sym_inout] = ACTIONS(5757),
    [anon_sym_virtual] = ACTIONS(5757),
    [anon_sym_extern] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(5759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5759),
    [anon_sym___declspec] = ACTIONS(5757),
    [anon_sym___based] = ACTIONS(5757),
    [anon_sym_signed] = ACTIONS(5757),
    [anon_sym_unsigned] = ACTIONS(5757),
    [anon_sym_long] = ACTIONS(5757),
    [anon_sym_short] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_static] = ACTIONS(5757),
    [anon_sym_register] = ACTIONS(5757),
    [anon_sym_inline] = ACTIONS(5757),
    [anon_sym___inline] = ACTIONS(5757),
    [anon_sym___inline__] = ACTIONS(5757),
    [anon_sym___forceinline] = ACTIONS(5757),
    [anon_sym_thread_local] = ACTIONS(5757),
    [anon_sym___thread] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5757),
    [anon_sym_constexpr] = ACTIONS(5757),
    [anon_sym_volatile] = ACTIONS(5757),
    [anon_sym_restrict] = ACTIONS(5757),
    [anon_sym___restrict__] = ACTIONS(5757),
    [anon_sym__Atomic] = ACTIONS(5757),
    [anon_sym__Noreturn] = ACTIONS(5757),
    [anon_sym_noreturn] = ACTIONS(5757),
    [anon_sym__Nonnull] = ACTIONS(5757),
    [anon_sym_mutable] = ACTIONS(5757),
    [anon_sym_constinit] = ACTIONS(5757),
    [anon_sym_consteval] = ACTIONS(5757),
    [anon_sym_alignas] = ACTIONS(5757),
    [anon_sym__Alignas] = ACTIONS(5757),
    [sym_primitive_type] = ACTIONS(5757),
    [anon_sym_enum] = ACTIONS(5757),
    [anon_sym_class] = ACTIONS(5757),
    [anon_sym_struct] = ACTIONS(5757),
    [anon_sym_union] = ACTIONS(5757),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5757),
    [anon_sym_decltype] = ACTIONS(5757),
    [anon_sym_explicit] = ACTIONS(5757),
    [anon_sym_typename] = ACTIONS(5757),
    [anon_sym_template] = ACTIONS(5757),
    [anon_sym_operator] = ACTIONS(5757),
    [anon_sym_namespace] = ACTIONS(6032),
    [anon_sym_precise] = ACTIONS(5757),
    [anon_sym_shared] = ACTIONS(5757),
    [anon_sym_groupshared] = ACTIONS(5757),
    [anon_sym_uniform] = ACTIONS(5757),
    [anon_sym_row_major] = ACTIONS(5757),
    [anon_sym_column_major] = ACTIONS(5757),
    [anon_sym_globallycoherent] = ACTIONS(5757),
    [anon_sym_centroid] = ACTIONS(5757),
    [anon_sym_noperspective] = ACTIONS(5757),
    [anon_sym_nointerpolation] = ACTIONS(5757),
    [anon_sym_sample] = ACTIONS(5757),
    [anon_sym_linear] = ACTIONS(5757),
    [anon_sym_snorm] = ACTIONS(5757),
    [anon_sym_unorm] = ACTIONS(5757),
    [anon_sym_point] = ACTIONS(5757),
    [anon_sym_line] = ACTIONS(5757),
    [anon_sym_triangleadj] = ACTIONS(5757),
    [anon_sym_lineadj] = ACTIONS(5757),
    [anon_sym_triangle] = ACTIONS(5757),
  },
  [2393] = {
    [sym_identifier] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5759),
    [anon_sym_TILDE] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(5757),
    [anon_sym_in] = ACTIONS(5757),
    [anon_sym_out] = ACTIONS(5757),
    [anon_sym_inout] = ACTIONS(5757),
    [anon_sym_virtual] = ACTIONS(5757),
    [anon_sym_extern] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(5759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5759),
    [anon_sym___declspec] = ACTIONS(5757),
    [anon_sym___based] = ACTIONS(5757),
    [anon_sym_signed] = ACTIONS(5757),
    [anon_sym_unsigned] = ACTIONS(5757),
    [anon_sym_long] = ACTIONS(5757),
    [anon_sym_short] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_static] = ACTIONS(5757),
    [anon_sym_register] = ACTIONS(5757),
    [anon_sym_inline] = ACTIONS(5757),
    [anon_sym___inline] = ACTIONS(5757),
    [anon_sym___inline__] = ACTIONS(5757),
    [anon_sym___forceinline] = ACTIONS(5757),
    [anon_sym_thread_local] = ACTIONS(5757),
    [anon_sym___thread] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5757),
    [anon_sym_constexpr] = ACTIONS(5757),
    [anon_sym_volatile] = ACTIONS(5757),
    [anon_sym_restrict] = ACTIONS(5757),
    [anon_sym___restrict__] = ACTIONS(5757),
    [anon_sym__Atomic] = ACTIONS(5757),
    [anon_sym__Noreturn] = ACTIONS(5757),
    [anon_sym_noreturn] = ACTIONS(5757),
    [anon_sym__Nonnull] = ACTIONS(5757),
    [anon_sym_mutable] = ACTIONS(5757),
    [anon_sym_constinit] = ACTIONS(5757),
    [anon_sym_consteval] = ACTIONS(5757),
    [anon_sym_alignas] = ACTIONS(5757),
    [anon_sym__Alignas] = ACTIONS(5757),
    [sym_primitive_type] = ACTIONS(5757),
    [anon_sym_enum] = ACTIONS(5757),
    [anon_sym_class] = ACTIONS(5757),
    [anon_sym_struct] = ACTIONS(5757),
    [anon_sym_union] = ACTIONS(5757),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5757),
    [anon_sym_decltype] = ACTIONS(5757),
    [anon_sym_explicit] = ACTIONS(5757),
    [anon_sym_typename] = ACTIONS(5757),
    [anon_sym_template] = ACTIONS(5757),
    [anon_sym_operator] = ACTIONS(5757),
    [anon_sym_namespace] = ACTIONS(6034),
    [anon_sym_precise] = ACTIONS(5757),
    [anon_sym_shared] = ACTIONS(5757),
    [anon_sym_groupshared] = ACTIONS(5757),
    [anon_sym_uniform] = ACTIONS(5757),
    [anon_sym_row_major] = ACTIONS(5757),
    [anon_sym_column_major] = ACTIONS(5757),
    [anon_sym_globallycoherent] = ACTIONS(5757),
    [anon_sym_centroid] = ACTIONS(5757),
    [anon_sym_noperspective] = ACTIONS(5757),
    [anon_sym_nointerpolation] = ACTIONS(5757),
    [anon_sym_sample] = ACTIONS(5757),
    [anon_sym_linear] = ACTIONS(5757),
    [anon_sym_snorm] = ACTIONS(5757),
    [anon_sym_unorm] = ACTIONS(5757),
    [anon_sym_point] = ACTIONS(5757),
    [anon_sym_line] = ACTIONS(5757),
    [anon_sym_triangleadj] = ACTIONS(5757),
    [anon_sym_lineadj] = ACTIONS(5757),
    [anon_sym_triangle] = ACTIONS(5757),
  },
  [2394] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_friend] = ACTIONS(6036),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2395] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_friend] = ACTIONS(6038),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2396] = {
    [sym_identifier] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5759),
    [anon_sym_TILDE] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(5757),
    [anon_sym_in] = ACTIONS(5757),
    [anon_sym_out] = ACTIONS(5757),
    [anon_sym_inout] = ACTIONS(5757),
    [anon_sym_virtual] = ACTIONS(5757),
    [anon_sym_extern] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(5759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5759),
    [anon_sym___declspec] = ACTIONS(5757),
    [anon_sym___based] = ACTIONS(5757),
    [anon_sym_signed] = ACTIONS(5757),
    [anon_sym_unsigned] = ACTIONS(5757),
    [anon_sym_long] = ACTIONS(5757),
    [anon_sym_short] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_static] = ACTIONS(5757),
    [anon_sym_register] = ACTIONS(5757),
    [anon_sym_inline] = ACTIONS(5757),
    [anon_sym___inline] = ACTIONS(5757),
    [anon_sym___inline__] = ACTIONS(5757),
    [anon_sym___forceinline] = ACTIONS(5757),
    [anon_sym_thread_local] = ACTIONS(5757),
    [anon_sym___thread] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5757),
    [anon_sym_constexpr] = ACTIONS(5757),
    [anon_sym_volatile] = ACTIONS(5757),
    [anon_sym_restrict] = ACTIONS(5757),
    [anon_sym___restrict__] = ACTIONS(5757),
    [anon_sym__Atomic] = ACTIONS(5757),
    [anon_sym__Noreturn] = ACTIONS(5757),
    [anon_sym_noreturn] = ACTIONS(5757),
    [anon_sym__Nonnull] = ACTIONS(5757),
    [anon_sym_mutable] = ACTIONS(5757),
    [anon_sym_constinit] = ACTIONS(5757),
    [anon_sym_consteval] = ACTIONS(5757),
    [anon_sym_alignas] = ACTIONS(5757),
    [anon_sym__Alignas] = ACTIONS(5757),
    [sym_primitive_type] = ACTIONS(5757),
    [anon_sym_enum] = ACTIONS(5757),
    [anon_sym_class] = ACTIONS(5757),
    [anon_sym_struct] = ACTIONS(5757),
    [anon_sym_union] = ACTIONS(5757),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5757),
    [anon_sym_decltype] = ACTIONS(5757),
    [anon_sym_explicit] = ACTIONS(5757),
    [anon_sym_typename] = ACTIONS(5757),
    [anon_sym_template] = ACTIONS(5757),
    [anon_sym_operator] = ACTIONS(5757),
    [anon_sym_namespace] = ACTIONS(6040),
    [anon_sym_precise] = ACTIONS(5757),
    [anon_sym_shared] = ACTIONS(5757),
    [anon_sym_groupshared] = ACTIONS(5757),
    [anon_sym_uniform] = ACTIONS(5757),
    [anon_sym_row_major] = ACTIONS(5757),
    [anon_sym_column_major] = ACTIONS(5757),
    [anon_sym_globallycoherent] = ACTIONS(5757),
    [anon_sym_centroid] = ACTIONS(5757),
    [anon_sym_noperspective] = ACTIONS(5757),
    [anon_sym_nointerpolation] = ACTIONS(5757),
    [anon_sym_sample] = ACTIONS(5757),
    [anon_sym_linear] = ACTIONS(5757),
    [anon_sym_snorm] = ACTIONS(5757),
    [anon_sym_unorm] = ACTIONS(5757),
    [anon_sym_point] = ACTIONS(5757),
    [anon_sym_line] = ACTIONS(5757),
    [anon_sym_triangleadj] = ACTIONS(5757),
    [anon_sym_lineadj] = ACTIONS(5757),
    [anon_sym_triangle] = ACTIONS(5757),
  },
  [2397] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_friend] = ACTIONS(6042),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2398] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_friend] = ACTIONS(6044),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2399] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_friend] = ACTIONS(6046),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2400] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_friend] = ACTIONS(6048),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2401] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(6050),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
  },
  [2402] = {
    [sym_identifier] = ACTIONS(3902),
    [anon_sym_LPAREN2] = ACTIONS(3904),
    [anon_sym_TILDE] = ACTIONS(3904),
    [anon_sym_STAR] = ACTIONS(3904),
    [anon_sym_AMP_AMP] = ACTIONS(3904),
    [anon_sym_AMP] = ACTIONS(3902),
    [anon_sym___extension__] = ACTIONS(3902),
    [anon_sym_in] = ACTIONS(3902),
    [anon_sym_out] = ACTIONS(3902),
    [anon_sym_inout] = ACTIONS(3902),
    [anon_sym_virtual] = ACTIONS(3902),
    [anon_sym_extern] = ACTIONS(3902),
    [anon_sym___attribute__] = ACTIONS(3902),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3904),
    [anon_sym___declspec] = ACTIONS(3902),
    [anon_sym___based] = ACTIONS(3902),
    [anon_sym_signed] = ACTIONS(3902),
    [anon_sym_unsigned] = ACTIONS(3902),
    [anon_sym_long] = ACTIONS(3902),
    [anon_sym_short] = ACTIONS(3902),
    [anon_sym_LBRACK] = ACTIONS(3902),
    [anon_sym_static] = ACTIONS(3902),
    [anon_sym_register] = ACTIONS(3902),
    [anon_sym_inline] = ACTIONS(3902),
    [anon_sym___inline] = ACTIONS(3902),
    [anon_sym___inline__] = ACTIONS(3902),
    [anon_sym___forceinline] = ACTIONS(3902),
    [anon_sym_thread_local] = ACTIONS(3902),
    [anon_sym___thread] = ACTIONS(3902),
    [anon_sym_const] = ACTIONS(3902),
    [anon_sym_constexpr] = ACTIONS(3902),
    [anon_sym_volatile] = ACTIONS(3902),
    [anon_sym_restrict] = ACTIONS(3902),
    [anon_sym___restrict__] = ACTIONS(3902),
    [anon_sym__Atomic] = ACTIONS(3902),
    [anon_sym__Noreturn] = ACTIONS(3902),
    [anon_sym_noreturn] = ACTIONS(3902),
    [anon_sym__Nonnull] = ACTIONS(3902),
    [anon_sym_mutable] = ACTIONS(3902),
    [anon_sym_constinit] = ACTIONS(3902),
    [anon_sym_consteval] = ACTIONS(3902),
    [anon_sym_alignas] = ACTIONS(3902),
    [anon_sym__Alignas] = ACTIONS(3902),
    [sym_primitive_type] = ACTIONS(3902),
    [anon_sym_enum] = ACTIONS(3902),
    [anon_sym_class] = ACTIONS(3902),
    [anon_sym_struct] = ACTIONS(3902),
    [anon_sym_union] = ACTIONS(3902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3902),
    [anon_sym_decltype] = ACTIONS(3902),
    [anon_sym_explicit] = ACTIONS(3902),
    [anon_sym_typename] = ACTIONS(3902),
    [anon_sym_template] = ACTIONS(3902),
    [anon_sym_operator] = ACTIONS(3902),
    [anon_sym_precise] = ACTIONS(3902),
    [anon_sym_shared] = ACTIONS(3902),
    [anon_sym_groupshared] = ACTIONS(3902),
    [anon_sym_uniform] = ACTIONS(3902),
    [anon_sym_row_major] = ACTIONS(3902),
    [anon_sym_column_major] = ACTIONS(3902),
    [anon_sym_globallycoherent] = ACTIONS(3902),
    [anon_sym_centroid] = ACTIONS(3902),
    [anon_sym_noperspective] = ACTIONS(3902),
    [anon_sym_nointerpolation] = ACTIONS(3902),
    [anon_sym_sample] = ACTIONS(3902),
    [anon_sym_linear] = ACTIONS(3902),
    [anon_sym_snorm] = ACTIONS(3902),
    [anon_sym_unorm] = ACTIONS(3902),
    [anon_sym_point] = ACTIONS(3902),
    [anon_sym_line] = ACTIONS(3902),
    [anon_sym_triangleadj] = ACTIONS(3902),
    [anon_sym_lineadj] = ACTIONS(3902),
    [anon_sym_triangle] = ACTIONS(3902),
  },
  [2403] = {
    [sym_identifier] = ACTIONS(6052),
    [anon_sym_LPAREN2] = ACTIONS(6055),
    [anon_sym_TILDE] = ACTIONS(6055),
    [anon_sym_STAR] = ACTIONS(6055),
    [anon_sym_AMP_AMP] = ACTIONS(6055),
    [anon_sym_AMP] = ACTIONS(6057),
    [anon_sym___extension__] = ACTIONS(6052),
    [anon_sym_in] = ACTIONS(6052),
    [anon_sym_out] = ACTIONS(6052),
    [anon_sym_inout] = ACTIONS(6052),
    [anon_sym_virtual] = ACTIONS(6052),
    [anon_sym_extern] = ACTIONS(6052),
    [anon_sym___attribute__] = ACTIONS(6052),
    [anon_sym_COLON_COLON] = ACTIONS(6059),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6059),
    [anon_sym___declspec] = ACTIONS(6052),
    [anon_sym___based] = ACTIONS(6057),
    [anon_sym_signed] = ACTIONS(6062),
    [anon_sym_unsigned] = ACTIONS(6062),
    [anon_sym_long] = ACTIONS(6062),
    [anon_sym_short] = ACTIONS(6062),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [anon_sym_static] = ACTIONS(6052),
    [anon_sym_register] = ACTIONS(6052),
    [anon_sym_inline] = ACTIONS(6052),
    [anon_sym___inline] = ACTIONS(6052),
    [anon_sym___inline__] = ACTIONS(6052),
    [anon_sym___forceinline] = ACTIONS(6052),
    [anon_sym_thread_local] = ACTIONS(6052),
    [anon_sym___thread] = ACTIONS(6052),
    [anon_sym_const] = ACTIONS(6052),
    [anon_sym_constexpr] = ACTIONS(6052),
    [anon_sym_volatile] = ACTIONS(6052),
    [anon_sym_restrict] = ACTIONS(6052),
    [anon_sym___restrict__] = ACTIONS(6052),
    [anon_sym__Atomic] = ACTIONS(6052),
    [anon_sym__Noreturn] = ACTIONS(6052),
    [anon_sym_noreturn] = ACTIONS(6052),
    [anon_sym__Nonnull] = ACTIONS(6052),
    [anon_sym_mutable] = ACTIONS(6052),
    [anon_sym_constinit] = ACTIONS(6052),
    [anon_sym_consteval] = ACTIONS(6052),
    [anon_sym_alignas] = ACTIONS(6052),
    [anon_sym__Alignas] = ACTIONS(6052),
    [sym_primitive_type] = ACTIONS(6062),
    [anon_sym_enum] = ACTIONS(6062),
    [anon_sym_class] = ACTIONS(6062),
    [anon_sym_struct] = ACTIONS(6062),
    [anon_sym_union] = ACTIONS(6062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6062),
    [anon_sym_decltype] = ACTIONS(6052),
    [anon_sym_explicit] = ACTIONS(6057),
    [anon_sym_typename] = ACTIONS(6062),
    [anon_sym_template] = ACTIONS(6052),
    [anon_sym_operator] = ACTIONS(6057),
    [anon_sym_precise] = ACTIONS(6052),
    [anon_sym_shared] = ACTIONS(6052),
    [anon_sym_groupshared] = ACTIONS(6052),
    [anon_sym_uniform] = ACTIONS(6052),
    [anon_sym_row_major] = ACTIONS(6052),
    [anon_sym_column_major] = ACTIONS(6052),
    [anon_sym_globallycoherent] = ACTIONS(6052),
    [anon_sym_centroid] = ACTIONS(6052),
    [anon_sym_noperspective] = ACTIONS(6052),
    [anon_sym_nointerpolation] = ACTIONS(6052),
    [anon_sym_sample] = ACTIONS(6052),
    [anon_sym_linear] = ACTIONS(6052),
    [anon_sym_snorm] = ACTIONS(6052),
    [anon_sym_unorm] = ACTIONS(6052),
    [anon_sym_point] = ACTIONS(6052),
    [anon_sym_line] = ACTIONS(6052),
    [anon_sym_triangleadj] = ACTIONS(6052),
    [anon_sym_lineadj] = ACTIONS(6052),
    [anon_sym_triangle] = ACTIONS(6052),
  },
  [2404] = {
    [sym_identifier] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5759),
    [anon_sym_TILDE] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(5757),
    [anon_sym_in] = ACTIONS(5757),
    [anon_sym_out] = ACTIONS(5757),
    [anon_sym_inout] = ACTIONS(5757),
    [anon_sym_virtual] = ACTIONS(5757),
    [anon_sym_extern] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(5759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5759),
    [anon_sym___declspec] = ACTIONS(5757),
    [anon_sym___based] = ACTIONS(5757),
    [anon_sym_signed] = ACTIONS(5757),
    [anon_sym_unsigned] = ACTIONS(5757),
    [anon_sym_long] = ACTIONS(5757),
    [anon_sym_short] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_static] = ACTIONS(5757),
    [anon_sym_register] = ACTIONS(5757),
    [anon_sym_inline] = ACTIONS(5757),
    [anon_sym___inline] = ACTIONS(5757),
    [anon_sym___inline__] = ACTIONS(5757),
    [anon_sym___forceinline] = ACTIONS(5757),
    [anon_sym_thread_local] = ACTIONS(5757),
    [anon_sym___thread] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5757),
    [anon_sym_constexpr] = ACTIONS(5757),
    [anon_sym_volatile] = ACTIONS(5757),
    [anon_sym_restrict] = ACTIONS(5757),
    [anon_sym___restrict__] = ACTIONS(5757),
    [anon_sym__Atomic] = ACTIONS(5757),
    [anon_sym__Noreturn] = ACTIONS(5757),
    [anon_sym_noreturn] = ACTIONS(5757),
    [anon_sym__Nonnull] = ACTIONS(5757),
    [anon_sym_mutable] = ACTIONS(5757),
    [anon_sym_constinit] = ACTIONS(5757),
    [anon_sym_consteval] = ACTIONS(5757),
    [anon_sym_alignas] = ACTIONS(5757),
    [anon_sym__Alignas] = ACTIONS(5757),
    [sym_primitive_type] = ACTIONS(5757),
    [anon_sym_enum] = ACTIONS(5757),
    [anon_sym_class] = ACTIONS(5757),
    [anon_sym_struct] = ACTIONS(5757),
    [anon_sym_union] = ACTIONS(5757),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5757),
    [anon_sym_decltype] = ACTIONS(5757),
    [anon_sym_explicit] = ACTIONS(5757),
    [anon_sym_typename] = ACTIONS(5757),
    [anon_sym_template] = ACTIONS(5757),
    [anon_sym_operator] = ACTIONS(5757),
    [anon_sym_precise] = ACTIONS(5757),
    [anon_sym_shared] = ACTIONS(5757),
    [anon_sym_groupshared] = ACTIONS(5757),
    [anon_sym_uniform] = ACTIONS(5757),
    [anon_sym_row_major] = ACTIONS(5757),
    [anon_sym_column_major] = ACTIONS(5757),
    [anon_sym_globallycoherent] = ACTIONS(5757),
    [anon_sym_centroid] = ACTIONS(5757),
    [anon_sym_noperspective] = ACTIONS(5757),
    [anon_sym_nointerpolation] = ACTIONS(5757),
    [anon_sym_sample] = ACTIONS(5757),
    [anon_sym_linear] = ACTIONS(5757),
    [anon_sym_snorm] = ACTIONS(5757),
    [anon_sym_unorm] = ACTIONS(5757),
    [anon_sym_point] = ACTIONS(5757),
    [anon_sym_line] = ACTIONS(5757),
    [anon_sym_triangleadj] = ACTIONS(5757),
    [anon_sym_lineadj] = ACTIONS(5757),
    [anon_sym_triangle] = ACTIONS(5757),
  },
  [2405] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(2049),
    [anon_sym_out] = ACTIONS(2049),
    [anon_sym_inout] = ACTIONS(2049),
    [anon_sym_virtual] = ACTIONS(2049),
    [anon_sym_extern] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2051),
    [anon_sym___declspec] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_EQ] = ACTIONS(2051),
    [anon_sym_register] = ACTIONS(2049),
    [anon_sym_inline] = ACTIONS(2049),
    [anon_sym___inline] = ACTIONS(2049),
    [anon_sym___inline__] = ACTIONS(2049),
    [anon_sym___forceinline] = ACTIONS(2049),
    [anon_sym_thread_local] = ACTIONS(2049),
    [anon_sym___thread] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_GT2] = ACTIONS(2051),
    [anon_sym_operator] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
    [anon_sym_precise] = ACTIONS(2049),
    [anon_sym_shared] = ACTIONS(2049),
    [anon_sym_groupshared] = ACTIONS(2049),
    [anon_sym_uniform] = ACTIONS(2049),
    [anon_sym_row_major] = ACTIONS(2049),
    [anon_sym_column_major] = ACTIONS(2049),
    [anon_sym_globallycoherent] = ACTIONS(2049),
    [anon_sym_centroid] = ACTIONS(2049),
    [anon_sym_noperspective] = ACTIONS(2049),
    [anon_sym_nointerpolation] = ACTIONS(2049),
    [anon_sym_sample] = ACTIONS(2049),
    [anon_sym_linear] = ACTIONS(2049),
    [anon_sym_snorm] = ACTIONS(2049),
    [anon_sym_unorm] = ACTIONS(2049),
    [anon_sym_point] = ACTIONS(2049),
    [anon_sym_line] = ACTIONS(2049),
    [anon_sym_triangleadj] = ACTIONS(2049),
    [anon_sym_lineadj] = ACTIONS(2049),
    [anon_sym_triangle] = ACTIONS(2049),
  },
  [2406] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_RPAREN] = ACTIONS(1919),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_EQ_EQ] = ACTIONS(1919),
    [anon_sym_BANG_EQ] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1919),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(1919),
    [anon_sym___attribute__] = ACTIONS(1919),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1919),
    [anon_sym_EQ] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1919),
    [anon_sym_volatile] = ACTIONS(1919),
    [anon_sym_restrict] = ACTIONS(1919),
    [anon_sym___restrict__] = ACTIONS(1919),
    [anon_sym__Atomic] = ACTIONS(1919),
    [anon_sym__Noreturn] = ACTIONS(1919),
    [anon_sym_noreturn] = ACTIONS(1919),
    [anon_sym__Nonnull] = ACTIONS(1919),
    [anon_sym_mutable] = ACTIONS(1919),
    [anon_sym_constinit] = ACTIONS(1919),
    [anon_sym_consteval] = ACTIONS(1919),
    [anon_sym_alignas] = ACTIONS(1919),
    [anon_sym__Alignas] = ACTIONS(1919),
    [anon_sym_QMARK] = ACTIONS(1919),
    [anon_sym_STAR_EQ] = ACTIONS(1919),
    [anon_sym_SLASH_EQ] = ACTIONS(1919),
    [anon_sym_PERCENT_EQ] = ACTIONS(1919),
    [anon_sym_PLUS_EQ] = ACTIONS(1919),
    [anon_sym_DASH_EQ] = ACTIONS(1919),
    [anon_sym_LT_LT_EQ] = ACTIONS(1919),
    [anon_sym_GT_GT_EQ] = ACTIONS(1919),
    [anon_sym_AMP_EQ] = ACTIONS(1919),
    [anon_sym_CARET_EQ] = ACTIONS(1919),
    [anon_sym_PIPE_EQ] = ACTIONS(1919),
    [anon_sym_and_eq] = ACTIONS(1919),
    [anon_sym_or_eq] = ACTIONS(1919),
    [anon_sym_xor_eq] = ACTIONS(1919),
    [anon_sym_LT_EQ_GT] = ACTIONS(1919),
    [anon_sym_or] = ACTIONS(1917),
    [anon_sym_and] = ACTIONS(1917),
    [anon_sym_bitor] = ACTIONS(1919),
    [anon_sym_xor] = ACTIONS(1917),
    [anon_sym_bitand] = ACTIONS(1919),
    [anon_sym_not_eq] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DOT] = ACTIONS(1917),
    [anon_sym_DOT_STAR] = ACTIONS(1919),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1919),
    [anon_sym_decltype] = ACTIONS(1919),
    [anon_sym_final] = ACTIONS(1919),
    [anon_sym_override] = ACTIONS(1919),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1919),
  },
  [2407] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1941),
    [anon_sym_COMMA] = ACTIONS(1941),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym___extension__] = ACTIONS(1941),
    [anon_sym___attribute__] = ACTIONS(1941),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1941),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1941),
    [anon_sym_volatile] = ACTIONS(1941),
    [anon_sym_restrict] = ACTIONS(1941),
    [anon_sym___restrict__] = ACTIONS(1941),
    [anon_sym__Atomic] = ACTIONS(1941),
    [anon_sym__Noreturn] = ACTIONS(1941),
    [anon_sym_noreturn] = ACTIONS(1941),
    [anon_sym__Nonnull] = ACTIONS(1941),
    [anon_sym_mutable] = ACTIONS(1941),
    [anon_sym_constinit] = ACTIONS(1941),
    [anon_sym_consteval] = ACTIONS(1941),
    [anon_sym_alignas] = ACTIONS(1941),
    [anon_sym__Alignas] = ACTIONS(1941),
    [anon_sym_QMARK] = ACTIONS(1941),
    [anon_sym_STAR_EQ] = ACTIONS(1941),
    [anon_sym_SLASH_EQ] = ACTIONS(1941),
    [anon_sym_PERCENT_EQ] = ACTIONS(1941),
    [anon_sym_PLUS_EQ] = ACTIONS(1941),
    [anon_sym_DASH_EQ] = ACTIONS(1941),
    [anon_sym_LT_LT_EQ] = ACTIONS(1941),
    [anon_sym_GT_GT_EQ] = ACTIONS(1941),
    [anon_sym_AMP_EQ] = ACTIONS(1941),
    [anon_sym_CARET_EQ] = ACTIONS(1941),
    [anon_sym_PIPE_EQ] = ACTIONS(1941),
    [anon_sym_and_eq] = ACTIONS(1941),
    [anon_sym_or_eq] = ACTIONS(1941),
    [anon_sym_xor_eq] = ACTIONS(1941),
    [anon_sym_LT_EQ_GT] = ACTIONS(1941),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_bitor] = ACTIONS(1941),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_bitand] = ACTIONS(1941),
    [anon_sym_not_eq] = ACTIONS(1941),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_DOT_STAR] = ACTIONS(1941),
    [anon_sym_DASH_GT] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1941),
    [anon_sym_decltype] = ACTIONS(1941),
    [anon_sym_final] = ACTIONS(1941),
    [anon_sym_override] = ACTIONS(1941),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1941),
  },
  [2408] = {
    [sym_template_argument_list] = STATE(2255),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1961),
    [anon_sym_COMMA] = ACTIONS(1961),
    [anon_sym_RPAREN] = ACTIONS(1961),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1961),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1961),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_final] = ACTIONS(1959),
    [anon_sym_override] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_GT2] = ACTIONS(1961),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [2409] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(1915),
    [anon_sym___attribute__] = ACTIONS(1915),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1915),
    [anon_sym_volatile] = ACTIONS(1915),
    [anon_sym_restrict] = ACTIONS(1915),
    [anon_sym___restrict__] = ACTIONS(1915),
    [anon_sym__Atomic] = ACTIONS(1915),
    [anon_sym__Noreturn] = ACTIONS(1915),
    [anon_sym_noreturn] = ACTIONS(1915),
    [anon_sym__Nonnull] = ACTIONS(1915),
    [anon_sym_mutable] = ACTIONS(1915),
    [anon_sym_constinit] = ACTIONS(1915),
    [anon_sym_consteval] = ACTIONS(1915),
    [anon_sym_alignas] = ACTIONS(1915),
    [anon_sym__Alignas] = ACTIONS(1915),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1915),
    [anon_sym_or_eq] = ACTIONS(1915),
    [anon_sym_xor_eq] = ACTIONS(1915),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1915),
    [anon_sym_decltype] = ACTIONS(1915),
    [anon_sym_final] = ACTIONS(1915),
    [anon_sym_override] = ACTIONS(1915),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1915),
  },
  [2410] = {
    [sym_identifier] = ACTIONS(3808),
    [anon_sym_LPAREN2] = ACTIONS(3810),
    [anon_sym_TILDE] = ACTIONS(3810),
    [anon_sym_STAR] = ACTIONS(3810),
    [anon_sym_AMP_AMP] = ACTIONS(3810),
    [anon_sym_AMP] = ACTIONS(3808),
    [anon_sym___extension__] = ACTIONS(3808),
    [anon_sym_in] = ACTIONS(3808),
    [anon_sym_out] = ACTIONS(3808),
    [anon_sym_inout] = ACTIONS(3808),
    [anon_sym_virtual] = ACTIONS(3808),
    [anon_sym_extern] = ACTIONS(3808),
    [anon_sym___attribute__] = ACTIONS(3808),
    [anon_sym_COLON_COLON] = ACTIONS(3810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3810),
    [anon_sym___declspec] = ACTIONS(3808),
    [anon_sym___based] = ACTIONS(3808),
    [anon_sym_signed] = ACTIONS(3808),
    [anon_sym_unsigned] = ACTIONS(3808),
    [anon_sym_long] = ACTIONS(3808),
    [anon_sym_short] = ACTIONS(3808),
    [anon_sym_LBRACK] = ACTIONS(3808),
    [anon_sym_static] = ACTIONS(3808),
    [anon_sym_register] = ACTIONS(3808),
    [anon_sym_inline] = ACTIONS(3808),
    [anon_sym___inline] = ACTIONS(3808),
    [anon_sym___inline__] = ACTIONS(3808),
    [anon_sym___forceinline] = ACTIONS(3808),
    [anon_sym_thread_local] = ACTIONS(3808),
    [anon_sym___thread] = ACTIONS(3808),
    [anon_sym_const] = ACTIONS(3808),
    [anon_sym_constexpr] = ACTIONS(3808),
    [anon_sym_volatile] = ACTIONS(3808),
    [anon_sym_restrict] = ACTIONS(3808),
    [anon_sym___restrict__] = ACTIONS(3808),
    [anon_sym__Atomic] = ACTIONS(3808),
    [anon_sym__Noreturn] = ACTIONS(3808),
    [anon_sym_noreturn] = ACTIONS(3808),
    [anon_sym__Nonnull] = ACTIONS(3808),
    [anon_sym_mutable] = ACTIONS(3808),
    [anon_sym_constinit] = ACTIONS(3808),
    [anon_sym_consteval] = ACTIONS(3808),
    [anon_sym_alignas] = ACTIONS(3808),
    [anon_sym__Alignas] = ACTIONS(3808),
    [sym_primitive_type] = ACTIONS(3808),
    [anon_sym_enum] = ACTIONS(3808),
    [anon_sym_class] = ACTIONS(3808),
    [anon_sym_struct] = ACTIONS(3808),
    [anon_sym_union] = ACTIONS(3808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3808),
    [anon_sym_decltype] = ACTIONS(3808),
    [anon_sym_explicit] = ACTIONS(3808),
    [anon_sym_typename] = ACTIONS(3808),
    [anon_sym_template] = ACTIONS(3808),
    [anon_sym_operator] = ACTIONS(3808),
    [anon_sym_precise] = ACTIONS(3808),
    [anon_sym_shared] = ACTIONS(3808),
    [anon_sym_groupshared] = ACTIONS(3808),
    [anon_sym_uniform] = ACTIONS(3808),
    [anon_sym_row_major] = ACTIONS(3808),
    [anon_sym_column_major] = ACTIONS(3808),
    [anon_sym_globallycoherent] = ACTIONS(3808),
    [anon_sym_centroid] = ACTIONS(3808),
    [anon_sym_noperspective] = ACTIONS(3808),
    [anon_sym_nointerpolation] = ACTIONS(3808),
    [anon_sym_sample] = ACTIONS(3808),
    [anon_sym_linear] = ACTIONS(3808),
    [anon_sym_snorm] = ACTIONS(3808),
    [anon_sym_unorm] = ACTIONS(3808),
    [anon_sym_point] = ACTIONS(3808),
    [anon_sym_line] = ACTIONS(3808),
    [anon_sym_triangleadj] = ACTIONS(3808),
    [anon_sym_lineadj] = ACTIONS(3808),
    [anon_sym_triangle] = ACTIONS(3808),
  },
  [2411] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1921),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_PERCENT] = ACTIONS(1921),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_PIPE] = ACTIONS(1921),
    [anon_sym_CARET] = ACTIONS(1921),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_EQ_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1923),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1921),
    [anon_sym_LT_LT] = ACTIONS(1921),
    [anon_sym_GT_GT] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym___attribute__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1923),
    [anon_sym_EQ] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1923),
    [anon_sym_volatile] = ACTIONS(1923),
    [anon_sym_restrict] = ACTIONS(1923),
    [anon_sym___restrict__] = ACTIONS(1923),
    [anon_sym__Atomic] = ACTIONS(1923),
    [anon_sym__Noreturn] = ACTIONS(1923),
    [anon_sym_noreturn] = ACTIONS(1923),
    [anon_sym__Nonnull] = ACTIONS(1923),
    [anon_sym_mutable] = ACTIONS(1923),
    [anon_sym_constinit] = ACTIONS(1923),
    [anon_sym_consteval] = ACTIONS(1923),
    [anon_sym_alignas] = ACTIONS(1923),
    [anon_sym__Alignas] = ACTIONS(1923),
    [anon_sym_QMARK] = ACTIONS(1923),
    [anon_sym_STAR_EQ] = ACTIONS(1923),
    [anon_sym_SLASH_EQ] = ACTIONS(1923),
    [anon_sym_PERCENT_EQ] = ACTIONS(1923),
    [anon_sym_PLUS_EQ] = ACTIONS(1923),
    [anon_sym_DASH_EQ] = ACTIONS(1923),
    [anon_sym_LT_LT_EQ] = ACTIONS(1923),
    [anon_sym_GT_GT_EQ] = ACTIONS(1923),
    [anon_sym_AMP_EQ] = ACTIONS(1923),
    [anon_sym_CARET_EQ] = ACTIONS(1923),
    [anon_sym_PIPE_EQ] = ACTIONS(1923),
    [anon_sym_and_eq] = ACTIONS(1923),
    [anon_sym_or_eq] = ACTIONS(1923),
    [anon_sym_xor_eq] = ACTIONS(1923),
    [anon_sym_LT_EQ_GT] = ACTIONS(1923),
    [anon_sym_or] = ACTIONS(1921),
    [anon_sym_and] = ACTIONS(1921),
    [anon_sym_bitor] = ACTIONS(1923),
    [anon_sym_xor] = ACTIONS(1921),
    [anon_sym_bitand] = ACTIONS(1923),
    [anon_sym_not_eq] = ACTIONS(1923),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_DOT_STAR] = ACTIONS(1923),
    [anon_sym_DASH_GT] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1923),
    [anon_sym_decltype] = ACTIONS(1923),
    [anon_sym_final] = ACTIONS(1923),
    [anon_sym_override] = ACTIONS(1923),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1923),
  },
  [2412] = {
    [sym__declaration_modifiers] = STATE(2412),
    [sym_attribute_specifier] = STATE(2412),
    [sym_attribute_declaration] = STATE(2412),
    [sym_ms_declspec_modifier] = STATE(2412),
    [sym_storage_class_specifier] = STATE(2412),
    [sym_type_qualifier] = STATE(2412),
    [sym_alignas_qualifier] = STATE(1972),
    [sym_qualifiers] = STATE(2412),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(5626),
    [anon_sym___extension__] = ACTIONS(6064),
    [anon_sym_in] = ACTIONS(6067),
    [anon_sym_out] = ACTIONS(6067),
    [anon_sym_inout] = ACTIONS(6067),
    [anon_sym_virtual] = ACTIONS(6067),
    [anon_sym_extern] = ACTIONS(6070),
    [anon_sym___attribute__] = ACTIONS(6073),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6076),
    [anon_sym___declspec] = ACTIONS(6079),
    [anon_sym_signed] = ACTIONS(5626),
    [anon_sym_unsigned] = ACTIONS(5626),
    [anon_sym_long] = ACTIONS(5626),
    [anon_sym_short] = ACTIONS(5626),
    [anon_sym_static] = ACTIONS(6070),
    [anon_sym_register] = ACTIONS(6070),
    [anon_sym_inline] = ACTIONS(6070),
    [anon_sym___inline] = ACTIONS(6070),
    [anon_sym___inline__] = ACTIONS(6070),
    [anon_sym___forceinline] = ACTIONS(6070),
    [anon_sym_thread_local] = ACTIONS(6070),
    [anon_sym___thread] = ACTIONS(6070),
    [anon_sym_const] = ACTIONS(6064),
    [anon_sym_constexpr] = ACTIONS(6064),
    [anon_sym_volatile] = ACTIONS(6064),
    [anon_sym_restrict] = ACTIONS(6064),
    [anon_sym___restrict__] = ACTIONS(6064),
    [anon_sym__Atomic] = ACTIONS(6064),
    [anon_sym__Noreturn] = ACTIONS(6064),
    [anon_sym_noreturn] = ACTIONS(6064),
    [anon_sym__Nonnull] = ACTIONS(6064),
    [anon_sym_mutable] = ACTIONS(6064),
    [anon_sym_constinit] = ACTIONS(6064),
    [anon_sym_consteval] = ACTIONS(6064),
    [anon_sym_alignas] = ACTIONS(6082),
    [anon_sym__Alignas] = ACTIONS(6082),
    [sym_primitive_type] = ACTIONS(5626),
    [anon_sym_enum] = ACTIONS(5626),
    [anon_sym_class] = ACTIONS(5626),
    [anon_sym_struct] = ACTIONS(5626),
    [anon_sym_union] = ACTIONS(5626),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
    [anon_sym_typename] = ACTIONS(5626),
    [anon_sym_template] = ACTIONS(5626),
    [anon_sym_precise] = ACTIONS(6085),
    [anon_sym_shared] = ACTIONS(6085),
    [anon_sym_groupshared] = ACTIONS(6085),
    [anon_sym_uniform] = ACTIONS(6085),
    [anon_sym_row_major] = ACTIONS(6085),
    [anon_sym_column_major] = ACTIONS(6085),
    [anon_sym_globallycoherent] = ACTIONS(6085),
    [anon_sym_centroid] = ACTIONS(6085),
    [anon_sym_noperspective] = ACTIONS(6085),
    [anon_sym_nointerpolation] = ACTIONS(6085),
    [anon_sym_sample] = ACTIONS(6085),
    [anon_sym_linear] = ACTIONS(6085),
    [anon_sym_snorm] = ACTIONS(6085),
    [anon_sym_unorm] = ACTIONS(6085),
    [anon_sym_point] = ACTIONS(6085),
    [anon_sym_line] = ACTIONS(6085),
    [anon_sym_triangleadj] = ACTIONS(6085),
    [anon_sym_lineadj] = ACTIONS(6085),
    [anon_sym_triangle] = ACTIONS(6085),
  },
  [2413] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2413),
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5589),
    [anon_sym_COMMA] = ACTIONS(5589),
    [anon_sym_RPAREN] = ACTIONS(5589),
    [aux_sym_preproc_if_token2] = ACTIONS(5589),
    [aux_sym_preproc_else_token1] = ACTIONS(5589),
    [aux_sym_preproc_elif_token1] = ACTIONS(5587),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_DASH] = ACTIONS(5587),
    [anon_sym_PLUS] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5589),
    [anon_sym_SLASH] = ACTIONS(5587),
    [anon_sym_PERCENT] = ACTIONS(5589),
    [anon_sym_PIPE_PIPE] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_PIPE] = ACTIONS(5587),
    [anon_sym_CARET] = ACTIONS(5589),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym_EQ_EQ] = ACTIONS(5589),
    [anon_sym_BANG_EQ] = ACTIONS(5589),
    [anon_sym_GT] = ACTIONS(5587),
    [anon_sym_GT_EQ] = ACTIONS(5589),
    [anon_sym_LT_EQ] = ACTIONS(5587),
    [anon_sym_LT] = ACTIONS(5587),
    [anon_sym_LT_LT] = ACTIONS(5589),
    [anon_sym_GT_GT] = ACTIONS(5589),
    [anon_sym_COLON] = ACTIONS(5589),
    [anon_sym_SEMI] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_RBRACE] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(6088),
    [anon_sym_unsigned] = ACTIONS(6088),
    [anon_sym_long] = ACTIONS(6088),
    [anon_sym_short] = ACTIONS(6088),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_RBRACK] = ACTIONS(5589),
    [anon_sym_const] = ACTIONS(5587),
    [anon_sym_constexpr] = ACTIONS(5587),
    [anon_sym_volatile] = ACTIONS(5587),
    [anon_sym_restrict] = ACTIONS(5587),
    [anon_sym___restrict__] = ACTIONS(5587),
    [anon_sym__Atomic] = ACTIONS(5587),
    [anon_sym__Noreturn] = ACTIONS(5587),
    [anon_sym_noreturn] = ACTIONS(5587),
    [anon_sym__Nonnull] = ACTIONS(5587),
    [anon_sym_mutable] = ACTIONS(5587),
    [anon_sym_constinit] = ACTIONS(5587),
    [anon_sym_consteval] = ACTIONS(5587),
    [anon_sym_alignas] = ACTIONS(5587),
    [anon_sym__Alignas] = ACTIONS(5587),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_QMARK] = ACTIONS(5589),
    [anon_sym_LT_EQ_GT] = ACTIONS(5589),
    [anon_sym_or] = ACTIONS(5587),
    [anon_sym_and] = ACTIONS(5587),
    [anon_sym_bitor] = ACTIONS(5587),
    [anon_sym_xor] = ACTIONS(5587),
    [anon_sym_bitand] = ACTIONS(5587),
    [anon_sym_not_eq] = ACTIONS(5587),
    [anon_sym_DASH_DASH] = ACTIONS(5589),
    [anon_sym_PLUS_PLUS] = ACTIONS(5589),
    [anon_sym_DOT] = ACTIONS(5587),
    [anon_sym_DOT_STAR] = ACTIONS(5589),
    [anon_sym_DASH_GT] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
    [anon_sym_final] = ACTIONS(5587),
    [anon_sym_override] = ACTIONS(5587),
    [anon_sym_requires] = ACTIONS(5587),
  },
  [2414] = {
    [sym_string_literal] = STATE(2414),
    [sym_raw_string_literal] = STATE(2414),
    [aux_sym_concatenated_string_repeat1] = STATE(2414),
    [sym_identifier] = ACTIONS(6091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6094),
    [anon_sym_COMMA] = ACTIONS(6094),
    [anon_sym_RPAREN] = ACTIONS(6094),
    [aux_sym_preproc_if_token2] = ACTIONS(6094),
    [aux_sym_preproc_else_token1] = ACTIONS(6094),
    [aux_sym_preproc_elif_token1] = ACTIONS(6096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6094),
    [anon_sym_LPAREN2] = ACTIONS(6094),
    [anon_sym_DASH] = ACTIONS(6096),
    [anon_sym_PLUS] = ACTIONS(6096),
    [anon_sym_STAR] = ACTIONS(6096),
    [anon_sym_SLASH] = ACTIONS(6096),
    [anon_sym_PERCENT] = ACTIONS(6096),
    [anon_sym_PIPE_PIPE] = ACTIONS(6094),
    [anon_sym_AMP_AMP] = ACTIONS(6094),
    [anon_sym_PIPE] = ACTIONS(6096),
    [anon_sym_CARET] = ACTIONS(6096),
    [anon_sym_AMP] = ACTIONS(6096),
    [anon_sym_EQ_EQ] = ACTIONS(6094),
    [anon_sym_BANG_EQ] = ACTIONS(6094),
    [anon_sym_GT] = ACTIONS(6096),
    [anon_sym_GT_EQ] = ACTIONS(6094),
    [anon_sym_LT_EQ] = ACTIONS(6096),
    [anon_sym_LT] = ACTIONS(6096),
    [anon_sym_LT_LT] = ACTIONS(6096),
    [anon_sym_GT_GT] = ACTIONS(6096),
    [anon_sym_COLON] = ACTIONS(6094),
    [anon_sym_SEMI] = ACTIONS(6094),
    [anon_sym_RBRACE] = ACTIONS(6094),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [anon_sym_RBRACK] = ACTIONS(6094),
    [anon_sym_EQ] = ACTIONS(6096),
    [anon_sym_QMARK] = ACTIONS(6094),
    [anon_sym_STAR_EQ] = ACTIONS(6094),
    [anon_sym_SLASH_EQ] = ACTIONS(6094),
    [anon_sym_PERCENT_EQ] = ACTIONS(6094),
    [anon_sym_PLUS_EQ] = ACTIONS(6094),
    [anon_sym_DASH_EQ] = ACTIONS(6094),
    [anon_sym_LT_LT_EQ] = ACTIONS(6094),
    [anon_sym_GT_GT_EQ] = ACTIONS(6094),
    [anon_sym_AMP_EQ] = ACTIONS(6094),
    [anon_sym_CARET_EQ] = ACTIONS(6094),
    [anon_sym_PIPE_EQ] = ACTIONS(6094),
    [anon_sym_and_eq] = ACTIONS(6096),
    [anon_sym_or_eq] = ACTIONS(6096),
    [anon_sym_xor_eq] = ACTIONS(6096),
    [anon_sym_LT_EQ_GT] = ACTIONS(6094),
    [anon_sym_or] = ACTIONS(6096),
    [anon_sym_and] = ACTIONS(6096),
    [anon_sym_bitor] = ACTIONS(6096),
    [anon_sym_xor] = ACTIONS(6096),
    [anon_sym_bitand] = ACTIONS(6096),
    [anon_sym_not_eq] = ACTIONS(6096),
    [anon_sym_DASH_DASH] = ACTIONS(6094),
    [anon_sym_PLUS_PLUS] = ACTIONS(6094),
    [anon_sym_DOT] = ACTIONS(6096),
    [anon_sym_DOT_STAR] = ACTIONS(6094),
    [anon_sym_DASH_GT] = ACTIONS(6094),
    [anon_sym_L_DQUOTE] = ACTIONS(6098),
    [anon_sym_u_DQUOTE] = ACTIONS(6098),
    [anon_sym_U_DQUOTE] = ACTIONS(6098),
    [anon_sym_u8_DQUOTE] = ACTIONS(6098),
    [anon_sym_DQUOTE] = ACTIONS(6098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6101),
    [anon_sym_LR_DQUOTE] = ACTIONS(6101),
    [anon_sym_uR_DQUOTE] = ACTIONS(6101),
    [anon_sym_UR_DQUOTE] = ACTIONS(6101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6101),
    [sym_literal_suffix] = ACTIONS(6096),
  },
  [2415] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_SLASH] = ACTIONS(1947),
    [anon_sym_PERCENT] = ACTIONS(1947),
    [anon_sym_PIPE_PIPE] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_PIPE] = ACTIONS(1947),
    [anon_sym_CARET] = ACTIONS(1947),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_EQ_EQ] = ACTIONS(1949),
    [anon_sym_BANG_EQ] = ACTIONS(1949),
    [anon_sym_GT] = ACTIONS(1947),
    [anon_sym_GT_EQ] = ACTIONS(1949),
    [anon_sym_LT_EQ] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_GT_GT] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym___extension__] = ACTIONS(1949),
    [anon_sym___attribute__] = ACTIONS(1949),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_EQ] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1949),
    [anon_sym_volatile] = ACTIONS(1949),
    [anon_sym_restrict] = ACTIONS(1949),
    [anon_sym___restrict__] = ACTIONS(1949),
    [anon_sym__Atomic] = ACTIONS(1949),
    [anon_sym__Noreturn] = ACTIONS(1949),
    [anon_sym_noreturn] = ACTIONS(1949),
    [anon_sym__Nonnull] = ACTIONS(1949),
    [anon_sym_mutable] = ACTIONS(1949),
    [anon_sym_constinit] = ACTIONS(1949),
    [anon_sym_consteval] = ACTIONS(1949),
    [anon_sym_alignas] = ACTIONS(1949),
    [anon_sym__Alignas] = ACTIONS(1949),
    [anon_sym_QMARK] = ACTIONS(1949),
    [anon_sym_STAR_EQ] = ACTIONS(1949),
    [anon_sym_SLASH_EQ] = ACTIONS(1949),
    [anon_sym_PERCENT_EQ] = ACTIONS(1949),
    [anon_sym_PLUS_EQ] = ACTIONS(1949),
    [anon_sym_DASH_EQ] = ACTIONS(1949),
    [anon_sym_LT_LT_EQ] = ACTIONS(1949),
    [anon_sym_GT_GT_EQ] = ACTIONS(1949),
    [anon_sym_AMP_EQ] = ACTIONS(1949),
    [anon_sym_CARET_EQ] = ACTIONS(1949),
    [anon_sym_PIPE_EQ] = ACTIONS(1949),
    [anon_sym_and_eq] = ACTIONS(1949),
    [anon_sym_or_eq] = ACTIONS(1949),
    [anon_sym_xor_eq] = ACTIONS(1949),
    [anon_sym_LT_EQ_GT] = ACTIONS(1949),
    [anon_sym_or] = ACTIONS(1947),
    [anon_sym_and] = ACTIONS(1947),
    [anon_sym_bitor] = ACTIONS(1949),
    [anon_sym_xor] = ACTIONS(1947),
    [anon_sym_bitand] = ACTIONS(1949),
    [anon_sym_not_eq] = ACTIONS(1949),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_DOT_STAR] = ACTIONS(1949),
    [anon_sym_DASH_GT] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1949),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_final] = ACTIONS(1949),
    [anon_sym_override] = ACTIONS(1949),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1949),
  },
  [2416] = {
    [sym_string_literal] = STATE(2414),
    [sym_raw_string_literal] = STATE(2414),
    [aux_sym_concatenated_string_repeat1] = STATE(2414),
    [sym_identifier] = ACTIONS(6104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6106),
    [anon_sym_COMMA] = ACTIONS(6106),
    [anon_sym_RPAREN] = ACTIONS(6106),
    [aux_sym_preproc_if_token2] = ACTIONS(6106),
    [aux_sym_preproc_else_token1] = ACTIONS(6106),
    [aux_sym_preproc_elif_token1] = ACTIONS(6108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6106),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6106),
    [anon_sym_LPAREN2] = ACTIONS(6106),
    [anon_sym_DASH] = ACTIONS(6108),
    [anon_sym_PLUS] = ACTIONS(6108),
    [anon_sym_STAR] = ACTIONS(6108),
    [anon_sym_SLASH] = ACTIONS(6108),
    [anon_sym_PERCENT] = ACTIONS(6108),
    [anon_sym_PIPE_PIPE] = ACTIONS(6106),
    [anon_sym_AMP_AMP] = ACTIONS(6106),
    [anon_sym_PIPE] = ACTIONS(6108),
    [anon_sym_CARET] = ACTIONS(6108),
    [anon_sym_AMP] = ACTIONS(6108),
    [anon_sym_EQ_EQ] = ACTIONS(6106),
    [anon_sym_BANG_EQ] = ACTIONS(6106),
    [anon_sym_GT] = ACTIONS(6108),
    [anon_sym_GT_EQ] = ACTIONS(6106),
    [anon_sym_LT_EQ] = ACTIONS(6108),
    [anon_sym_LT] = ACTIONS(6108),
    [anon_sym_LT_LT] = ACTIONS(6108),
    [anon_sym_GT_GT] = ACTIONS(6108),
    [anon_sym_COLON] = ACTIONS(6106),
    [anon_sym_SEMI] = ACTIONS(6106),
    [anon_sym_RBRACE] = ACTIONS(6106),
    [anon_sym_LBRACK] = ACTIONS(6106),
    [anon_sym_RBRACK] = ACTIONS(6106),
    [anon_sym_EQ] = ACTIONS(6108),
    [anon_sym_QMARK] = ACTIONS(6106),
    [anon_sym_STAR_EQ] = ACTIONS(6106),
    [anon_sym_SLASH_EQ] = ACTIONS(6106),
    [anon_sym_PERCENT_EQ] = ACTIONS(6106),
    [anon_sym_PLUS_EQ] = ACTIONS(6106),
    [anon_sym_DASH_EQ] = ACTIONS(6106),
    [anon_sym_LT_LT_EQ] = ACTIONS(6106),
    [anon_sym_GT_GT_EQ] = ACTIONS(6106),
    [anon_sym_AMP_EQ] = ACTIONS(6106),
    [anon_sym_CARET_EQ] = ACTIONS(6106),
    [anon_sym_PIPE_EQ] = ACTIONS(6106),
    [anon_sym_and_eq] = ACTIONS(6108),
    [anon_sym_or_eq] = ACTIONS(6108),
    [anon_sym_xor_eq] = ACTIONS(6108),
    [anon_sym_LT_EQ_GT] = ACTIONS(6106),
    [anon_sym_or] = ACTIONS(6108),
    [anon_sym_and] = ACTIONS(6108),
    [anon_sym_bitor] = ACTIONS(6108),
    [anon_sym_xor] = ACTIONS(6108),
    [anon_sym_bitand] = ACTIONS(6108),
    [anon_sym_not_eq] = ACTIONS(6108),
    [anon_sym_DASH_DASH] = ACTIONS(6106),
    [anon_sym_PLUS_PLUS] = ACTIONS(6106),
    [anon_sym_DOT] = ACTIONS(6108),
    [anon_sym_DOT_STAR] = ACTIONS(6106),
    [anon_sym_DASH_GT] = ACTIONS(6106),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [sym_literal_suffix] = ACTIONS(6108),
  },
  [2417] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1953),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_GT_GT] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym___extension__] = ACTIONS(1953),
    [anon_sym___attribute__] = ACTIONS(1953),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1953),
    [anon_sym_volatile] = ACTIONS(1953),
    [anon_sym_restrict] = ACTIONS(1953),
    [anon_sym___restrict__] = ACTIONS(1953),
    [anon_sym__Atomic] = ACTIONS(1953),
    [anon_sym__Noreturn] = ACTIONS(1953),
    [anon_sym_noreturn] = ACTIONS(1953),
    [anon_sym__Nonnull] = ACTIONS(1953),
    [anon_sym_mutable] = ACTIONS(1953),
    [anon_sym_constinit] = ACTIONS(1953),
    [anon_sym_consteval] = ACTIONS(1953),
    [anon_sym_alignas] = ACTIONS(1953),
    [anon_sym__Alignas] = ACTIONS(1953),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1953),
    [anon_sym_SLASH_EQ] = ACTIONS(1953),
    [anon_sym_PERCENT_EQ] = ACTIONS(1953),
    [anon_sym_PLUS_EQ] = ACTIONS(1953),
    [anon_sym_DASH_EQ] = ACTIONS(1953),
    [anon_sym_LT_LT_EQ] = ACTIONS(1953),
    [anon_sym_GT_GT_EQ] = ACTIONS(1953),
    [anon_sym_AMP_EQ] = ACTIONS(1953),
    [anon_sym_CARET_EQ] = ACTIONS(1953),
    [anon_sym_PIPE_EQ] = ACTIONS(1953),
    [anon_sym_and_eq] = ACTIONS(1953),
    [anon_sym_or_eq] = ACTIONS(1953),
    [anon_sym_xor_eq] = ACTIONS(1953),
    [anon_sym_LT_EQ_GT] = ACTIONS(1953),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_bitor] = ACTIONS(1953),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_bitand] = ACTIONS(1953),
    [anon_sym_not_eq] = ACTIONS(1953),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_DOT_STAR] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1953),
    [anon_sym_decltype] = ACTIONS(1953),
    [anon_sym_final] = ACTIONS(1953),
    [anon_sym_override] = ACTIONS(1953),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1953),
  },
  [2418] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1957),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1955),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym___extension__] = ACTIONS(1957),
    [anon_sym___attribute__] = ACTIONS(1957),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1957),
    [anon_sym_EQ] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1957),
    [anon_sym_volatile] = ACTIONS(1957),
    [anon_sym_restrict] = ACTIONS(1957),
    [anon_sym___restrict__] = ACTIONS(1957),
    [anon_sym__Atomic] = ACTIONS(1957),
    [anon_sym__Noreturn] = ACTIONS(1957),
    [anon_sym_noreturn] = ACTIONS(1957),
    [anon_sym__Nonnull] = ACTIONS(1957),
    [anon_sym_mutable] = ACTIONS(1957),
    [anon_sym_constinit] = ACTIONS(1957),
    [anon_sym_consteval] = ACTIONS(1957),
    [anon_sym_alignas] = ACTIONS(1957),
    [anon_sym__Alignas] = ACTIONS(1957),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1957),
    [anon_sym_SLASH_EQ] = ACTIONS(1957),
    [anon_sym_PERCENT_EQ] = ACTIONS(1957),
    [anon_sym_PLUS_EQ] = ACTIONS(1957),
    [anon_sym_DASH_EQ] = ACTIONS(1957),
    [anon_sym_LT_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT_GT_EQ] = ACTIONS(1957),
    [anon_sym_AMP_EQ] = ACTIONS(1957),
    [anon_sym_CARET_EQ] = ACTIONS(1957),
    [anon_sym_PIPE_EQ] = ACTIONS(1957),
    [anon_sym_and_eq] = ACTIONS(1957),
    [anon_sym_or_eq] = ACTIONS(1957),
    [anon_sym_xor_eq] = ACTIONS(1957),
    [anon_sym_LT_EQ_GT] = ACTIONS(1957),
    [anon_sym_or] = ACTIONS(1955),
    [anon_sym_and] = ACTIONS(1955),
    [anon_sym_bitor] = ACTIONS(1957),
    [anon_sym_xor] = ACTIONS(1955),
    [anon_sym_bitand] = ACTIONS(1957),
    [anon_sym_not_eq] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DOT_STAR] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1957),
    [anon_sym_decltype] = ACTIONS(1957),
    [anon_sym_final] = ACTIONS(1957),
    [anon_sym_override] = ACTIONS(1957),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1957),
  },
  [2419] = {
    [sym__declaration_modifiers] = STATE(2419),
    [sym_attribute_specifier] = STATE(2419),
    [sym_attribute_declaration] = STATE(2419),
    [sym_ms_declspec_modifier] = STATE(2419),
    [sym_storage_class_specifier] = STATE(2419),
    [sym_type_qualifier] = STATE(2419),
    [sym_alignas_qualifier] = STATE(2377),
    [sym_explicit_function_specifier] = STATE(2419),
    [sym__constructor_specifiers] = STATE(2419),
    [sym_qualifiers] = STATE(2419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(6110),
    [anon_sym_LPAREN2] = ACTIONS(6112),
    [anon_sym_TILDE] = ACTIONS(6112),
    [anon_sym_STAR] = ACTIONS(6112),
    [anon_sym_AMP_AMP] = ACTIONS(6112),
    [anon_sym_AMP] = ACTIONS(6110),
    [anon_sym___extension__] = ACTIONS(6114),
    [anon_sym_in] = ACTIONS(6117),
    [anon_sym_out] = ACTIONS(6117),
    [anon_sym_inout] = ACTIONS(6117),
    [anon_sym_virtual] = ACTIONS(6117),
    [anon_sym_extern] = ACTIONS(6120),
    [anon_sym___attribute__] = ACTIONS(6123),
    [anon_sym_COLON_COLON] = ACTIONS(6112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6126),
    [anon_sym___declspec] = ACTIONS(6129),
    [anon_sym___based] = ACTIONS(6110),
    [anon_sym_LBRACK] = ACTIONS(6110),
    [anon_sym_static] = ACTIONS(6120),
    [anon_sym_register] = ACTIONS(6120),
    [anon_sym_inline] = ACTIONS(6120),
    [anon_sym___inline] = ACTIONS(6120),
    [anon_sym___inline__] = ACTIONS(6120),
    [anon_sym___forceinline] = ACTIONS(6120),
    [anon_sym_thread_local] = ACTIONS(6120),
    [anon_sym___thread] = ACTIONS(6120),
    [anon_sym_const] = ACTIONS(6114),
    [anon_sym_constexpr] = ACTIONS(6114),
    [anon_sym_volatile] = ACTIONS(6114),
    [anon_sym_restrict] = ACTIONS(6114),
    [anon_sym___restrict__] = ACTIONS(6114),
    [anon_sym__Atomic] = ACTIONS(6114),
    [anon_sym__Noreturn] = ACTIONS(6114),
    [anon_sym_noreturn] = ACTIONS(6114),
    [anon_sym__Nonnull] = ACTIONS(6114),
    [anon_sym_mutable] = ACTIONS(6114),
    [anon_sym_constinit] = ACTIONS(6114),
    [anon_sym_consteval] = ACTIONS(6114),
    [anon_sym_alignas] = ACTIONS(6132),
    [anon_sym__Alignas] = ACTIONS(6132),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6110),
    [anon_sym_explicit] = ACTIONS(6135),
    [anon_sym_template] = ACTIONS(6110),
    [anon_sym_operator] = ACTIONS(6110),
    [anon_sym_precise] = ACTIONS(6138),
    [anon_sym_shared] = ACTIONS(6138),
    [anon_sym_groupshared] = ACTIONS(6138),
    [anon_sym_uniform] = ACTIONS(6138),
    [anon_sym_row_major] = ACTIONS(6138),
    [anon_sym_column_major] = ACTIONS(6138),
    [anon_sym_globallycoherent] = ACTIONS(6138),
    [anon_sym_centroid] = ACTIONS(6138),
    [anon_sym_noperspective] = ACTIONS(6138),
    [anon_sym_nointerpolation] = ACTIONS(6138),
    [anon_sym_sample] = ACTIONS(6138),
    [anon_sym_linear] = ACTIONS(6138),
    [anon_sym_snorm] = ACTIONS(6138),
    [anon_sym_unorm] = ACTIONS(6138),
    [anon_sym_point] = ACTIONS(6138),
    [anon_sym_line] = ACTIONS(6138),
    [anon_sym_triangleadj] = ACTIONS(6138),
    [anon_sym_lineadj] = ACTIONS(6138),
    [anon_sym_triangle] = ACTIONS(6138),
  },
  [2420] = {
    [sym_string_literal] = STATE(2416),
    [sym_raw_string_literal] = STATE(2416),
    [aux_sym_concatenated_string_repeat1] = STATE(2416),
    [sym_identifier] = ACTIONS(6141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6143),
    [anon_sym_COMMA] = ACTIONS(6143),
    [anon_sym_RPAREN] = ACTIONS(6143),
    [aux_sym_preproc_if_token2] = ACTIONS(6143),
    [aux_sym_preproc_else_token1] = ACTIONS(6143),
    [aux_sym_preproc_elif_token1] = ACTIONS(6145),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [anon_sym_DASH] = ACTIONS(6145),
    [anon_sym_PLUS] = ACTIONS(6145),
    [anon_sym_STAR] = ACTIONS(6145),
    [anon_sym_SLASH] = ACTIONS(6145),
    [anon_sym_PERCENT] = ACTIONS(6145),
    [anon_sym_PIPE_PIPE] = ACTIONS(6143),
    [anon_sym_AMP_AMP] = ACTIONS(6143),
    [anon_sym_PIPE] = ACTIONS(6145),
    [anon_sym_CARET] = ACTIONS(6145),
    [anon_sym_AMP] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_GT] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6143),
    [anon_sym_LT_EQ] = ACTIONS(6145),
    [anon_sym_LT] = ACTIONS(6145),
    [anon_sym_LT_LT] = ACTIONS(6145),
    [anon_sym_GT_GT] = ACTIONS(6145),
    [anon_sym_COLON] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6143),
    [anon_sym_RBRACE] = ACTIONS(6143),
    [anon_sym_LBRACK] = ACTIONS(6143),
    [anon_sym_RBRACK] = ACTIONS(6143),
    [anon_sym_EQ] = ACTIONS(6145),
    [anon_sym_QMARK] = ACTIONS(6143),
    [anon_sym_STAR_EQ] = ACTIONS(6143),
    [anon_sym_SLASH_EQ] = ACTIONS(6143),
    [anon_sym_PERCENT_EQ] = ACTIONS(6143),
    [anon_sym_PLUS_EQ] = ACTIONS(6143),
    [anon_sym_DASH_EQ] = ACTIONS(6143),
    [anon_sym_LT_LT_EQ] = ACTIONS(6143),
    [anon_sym_GT_GT_EQ] = ACTIONS(6143),
    [anon_sym_AMP_EQ] = ACTIONS(6143),
    [anon_sym_CARET_EQ] = ACTIONS(6143),
    [anon_sym_PIPE_EQ] = ACTIONS(6143),
    [anon_sym_and_eq] = ACTIONS(6145),
    [anon_sym_or_eq] = ACTIONS(6145),
    [anon_sym_xor_eq] = ACTIONS(6145),
    [anon_sym_LT_EQ_GT] = ACTIONS(6143),
    [anon_sym_or] = ACTIONS(6145),
    [anon_sym_and] = ACTIONS(6145),
    [anon_sym_bitor] = ACTIONS(6145),
    [anon_sym_xor] = ACTIONS(6145),
    [anon_sym_bitand] = ACTIONS(6145),
    [anon_sym_not_eq] = ACTIONS(6145),
    [anon_sym_DASH_DASH] = ACTIONS(6143),
    [anon_sym_PLUS_PLUS] = ACTIONS(6143),
    [anon_sym_DOT] = ACTIONS(6145),
    [anon_sym_DOT_STAR] = ACTIONS(6143),
    [anon_sym_DASH_GT] = ACTIONS(6143),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [sym_literal_suffix] = ACTIONS(6145),
  },
  [2421] = {
    [sym_template_argument_list] = STATE(2255),
    [sym_identifier] = ACTIONS(1967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(1969),
    [anon_sym_RPAREN] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1967),
    [anon_sym_in] = ACTIONS(1967),
    [anon_sym_out] = ACTIONS(1967),
    [anon_sym_inout] = ACTIONS(1967),
    [anon_sym_virtual] = ACTIONS(1967),
    [anon_sym_extern] = ACTIONS(1967),
    [anon_sym___attribute__] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1969),
    [anon_sym___declspec] = ACTIONS(1967),
    [anon_sym___based] = ACTIONS(1967),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1967),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1967),
    [anon_sym_inline] = ACTIONS(1967),
    [anon_sym___inline] = ACTIONS(1967),
    [anon_sym___inline__] = ACTIONS(1967),
    [anon_sym___forceinline] = ACTIONS(1967),
    [anon_sym_thread_local] = ACTIONS(1967),
    [anon_sym___thread] = ACTIONS(1967),
    [anon_sym_const] = ACTIONS(1967),
    [anon_sym_constexpr] = ACTIONS(1967),
    [anon_sym_volatile] = ACTIONS(1967),
    [anon_sym_restrict] = ACTIONS(1967),
    [anon_sym___restrict__] = ACTIONS(1967),
    [anon_sym__Atomic] = ACTIONS(1967),
    [anon_sym__Noreturn] = ACTIONS(1967),
    [anon_sym_noreturn] = ACTIONS(1967),
    [anon_sym__Nonnull] = ACTIONS(1967),
    [anon_sym_mutable] = ACTIONS(1967),
    [anon_sym_constinit] = ACTIONS(1967),
    [anon_sym_consteval] = ACTIONS(1967),
    [anon_sym_alignas] = ACTIONS(1967),
    [anon_sym__Alignas] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1967),
    [anon_sym_decltype] = ACTIONS(1967),
    [anon_sym_final] = ACTIONS(1967),
    [anon_sym_override] = ACTIONS(1967),
    [anon_sym_template] = ACTIONS(1967),
    [anon_sym_GT2] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1967),
    [anon_sym_precise] = ACTIONS(1967),
    [anon_sym_shared] = ACTIONS(1967),
    [anon_sym_groupshared] = ACTIONS(1967),
    [anon_sym_uniform] = ACTIONS(1967),
    [anon_sym_row_major] = ACTIONS(1967),
    [anon_sym_column_major] = ACTIONS(1967),
    [anon_sym_globallycoherent] = ACTIONS(1967),
    [anon_sym_centroid] = ACTIONS(1967),
    [anon_sym_noperspective] = ACTIONS(1967),
    [anon_sym_nointerpolation] = ACTIONS(1967),
    [anon_sym_sample] = ACTIONS(1967),
    [anon_sym_linear] = ACTIONS(1967),
    [anon_sym_snorm] = ACTIONS(1967),
    [anon_sym_unorm] = ACTIONS(1967),
    [anon_sym_point] = ACTIONS(1967),
    [anon_sym_line] = ACTIONS(1967),
    [anon_sym_triangleadj] = ACTIONS(1967),
    [anon_sym_lineadj] = ACTIONS(1967),
    [anon_sym_triangle] = ACTIONS(1967),
  },
  [2422] = {
    [sym_identifier] = ACTIONS(5994),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_TILDE] = ACTIONS(5996),
    [anon_sym_STAR] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym___extension__] = ACTIONS(5994),
    [anon_sym_in] = ACTIONS(5994),
    [anon_sym_out] = ACTIONS(5994),
    [anon_sym_inout] = ACTIONS(5994),
    [anon_sym_virtual] = ACTIONS(5994),
    [anon_sym_extern] = ACTIONS(5994),
    [anon_sym___attribute__] = ACTIONS(5994),
    [anon_sym_COLON_COLON] = ACTIONS(5996),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5996),
    [anon_sym___declspec] = ACTIONS(5994),
    [anon_sym___based] = ACTIONS(5994),
    [anon_sym_signed] = ACTIONS(5994),
    [anon_sym_unsigned] = ACTIONS(5994),
    [anon_sym_long] = ACTIONS(5994),
    [anon_sym_short] = ACTIONS(5994),
    [anon_sym_LBRACK] = ACTIONS(5994),
    [anon_sym_static] = ACTIONS(5994),
    [anon_sym_register] = ACTIONS(5994),
    [anon_sym_inline] = ACTIONS(5994),
    [anon_sym___inline] = ACTIONS(5994),
    [anon_sym___inline__] = ACTIONS(5994),
    [anon_sym___forceinline] = ACTIONS(5994),
    [anon_sym_thread_local] = ACTIONS(5994),
    [anon_sym___thread] = ACTIONS(5994),
    [anon_sym_const] = ACTIONS(5994),
    [anon_sym_constexpr] = ACTIONS(5994),
    [anon_sym_volatile] = ACTIONS(5994),
    [anon_sym_restrict] = ACTIONS(5994),
    [anon_sym___restrict__] = ACTIONS(5994),
    [anon_sym__Atomic] = ACTIONS(5994),
    [anon_sym__Noreturn] = ACTIONS(5994),
    [anon_sym_noreturn] = ACTIONS(5994),
    [anon_sym__Nonnull] = ACTIONS(5994),
    [anon_sym_mutable] = ACTIONS(5994),
    [anon_sym_constinit] = ACTIONS(5994),
    [anon_sym_consteval] = ACTIONS(5994),
    [anon_sym_alignas] = ACTIONS(5994),
    [anon_sym__Alignas] = ACTIONS(5994),
    [sym_primitive_type] = ACTIONS(5994),
    [anon_sym_enum] = ACTIONS(5994),
    [anon_sym_class] = ACTIONS(5994),
    [anon_sym_struct] = ACTIONS(5994),
    [anon_sym_union] = ACTIONS(5994),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5994),
    [anon_sym_decltype] = ACTIONS(5994),
    [anon_sym_explicit] = ACTIONS(5994),
    [anon_sym_typename] = ACTIONS(5994),
    [anon_sym_template] = ACTIONS(5994),
    [anon_sym_operator] = ACTIONS(5994),
    [anon_sym_precise] = ACTIONS(5994),
    [anon_sym_shared] = ACTIONS(5994),
    [anon_sym_groupshared] = ACTIONS(5994),
    [anon_sym_uniform] = ACTIONS(5994),
    [anon_sym_row_major] = ACTIONS(5994),
    [anon_sym_column_major] = ACTIONS(5994),
    [anon_sym_globallycoherent] = ACTIONS(5994),
    [anon_sym_centroid] = ACTIONS(5994),
    [anon_sym_noperspective] = ACTIONS(5994),
    [anon_sym_nointerpolation] = ACTIONS(5994),
    [anon_sym_sample] = ACTIONS(5994),
    [anon_sym_linear] = ACTIONS(5994),
    [anon_sym_snorm] = ACTIONS(5994),
    [anon_sym_unorm] = ACTIONS(5994),
    [anon_sym_point] = ACTIONS(5994),
    [anon_sym_line] = ACTIONS(5994),
    [anon_sym_triangleadj] = ACTIONS(5994),
    [anon_sym_lineadj] = ACTIONS(5994),
    [anon_sym_triangle] = ACTIONS(5994),
  },
  [2423] = {
    [sym_identifier] = ACTIONS(5851),
    [anon_sym_LPAREN2] = ACTIONS(5853),
    [anon_sym_TILDE] = ACTIONS(5853),
    [anon_sym_STAR] = ACTIONS(5853),
    [anon_sym_AMP_AMP] = ACTIONS(5853),
    [anon_sym_AMP] = ACTIONS(5851),
    [anon_sym___extension__] = ACTIONS(5851),
    [anon_sym_in] = ACTIONS(5851),
    [anon_sym_out] = ACTIONS(5851),
    [anon_sym_inout] = ACTIONS(5851),
    [anon_sym_virtual] = ACTIONS(5851),
    [anon_sym_extern] = ACTIONS(5851),
    [anon_sym___attribute__] = ACTIONS(5851),
    [anon_sym_COLON_COLON] = ACTIONS(5853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5853),
    [anon_sym___declspec] = ACTIONS(5851),
    [anon_sym___based] = ACTIONS(5851),
    [anon_sym_signed] = ACTIONS(5851),
    [anon_sym_unsigned] = ACTIONS(5851),
    [anon_sym_long] = ACTIONS(5851),
    [anon_sym_short] = ACTIONS(5851),
    [anon_sym_LBRACK] = ACTIONS(5851),
    [anon_sym_static] = ACTIONS(5851),
    [anon_sym_register] = ACTIONS(5851),
    [anon_sym_inline] = ACTIONS(5851),
    [anon_sym___inline] = ACTIONS(5851),
    [anon_sym___inline__] = ACTIONS(5851),
    [anon_sym___forceinline] = ACTIONS(5851),
    [anon_sym_thread_local] = ACTIONS(5851),
    [anon_sym___thread] = ACTIONS(5851),
    [anon_sym_const] = ACTIONS(5851),
    [anon_sym_constexpr] = ACTIONS(5851),
    [anon_sym_volatile] = ACTIONS(5851),
    [anon_sym_restrict] = ACTIONS(5851),
    [anon_sym___restrict__] = ACTIONS(5851),
    [anon_sym__Atomic] = ACTIONS(5851),
    [anon_sym__Noreturn] = ACTIONS(5851),
    [anon_sym_noreturn] = ACTIONS(5851),
    [anon_sym__Nonnull] = ACTIONS(5851),
    [anon_sym_mutable] = ACTIONS(5851),
    [anon_sym_constinit] = ACTIONS(5851),
    [anon_sym_consteval] = ACTIONS(5851),
    [anon_sym_alignas] = ACTIONS(5851),
    [anon_sym__Alignas] = ACTIONS(5851),
    [sym_primitive_type] = ACTIONS(5851),
    [anon_sym_enum] = ACTIONS(5851),
    [anon_sym_class] = ACTIONS(5851),
    [anon_sym_struct] = ACTIONS(5851),
    [anon_sym_union] = ACTIONS(5851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5851),
    [anon_sym_decltype] = ACTIONS(5851),
    [anon_sym_explicit] = ACTIONS(5851),
    [anon_sym_typename] = ACTIONS(5851),
    [anon_sym_template] = ACTIONS(5851),
    [anon_sym_operator] = ACTIONS(5851),
    [anon_sym_precise] = ACTIONS(5851),
    [anon_sym_shared] = ACTIONS(5851),
    [anon_sym_groupshared] = ACTIONS(5851),
    [anon_sym_uniform] = ACTIONS(5851),
    [anon_sym_row_major] = ACTIONS(5851),
    [anon_sym_column_major] = ACTIONS(5851),
    [anon_sym_globallycoherent] = ACTIONS(5851),
    [anon_sym_centroid] = ACTIONS(5851),
    [anon_sym_noperspective] = ACTIONS(5851),
    [anon_sym_nointerpolation] = ACTIONS(5851),
    [anon_sym_sample] = ACTIONS(5851),
    [anon_sym_linear] = ACTIONS(5851),
    [anon_sym_snorm] = ACTIONS(5851),
    [anon_sym_unorm] = ACTIONS(5851),
    [anon_sym_point] = ACTIONS(5851),
    [anon_sym_line] = ACTIONS(5851),
    [anon_sym_triangleadj] = ACTIONS(5851),
    [anon_sym_lineadj] = ACTIONS(5851),
    [anon_sym_triangle] = ACTIONS(5851),
  },
  [2424] = {
    [sym_type_qualifier] = STATE(2424),
    [sym_alignas_qualifier] = STATE(2462),
    [aux_sym_array_declarator_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(6147),
    [anon_sym_LPAREN2] = ACTIONS(6149),
    [anon_sym_BANG] = ACTIONS(6149),
    [anon_sym_TILDE] = ACTIONS(6149),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_STAR] = ACTIONS(6149),
    [anon_sym_AMP] = ACTIONS(6149),
    [anon_sym___extension__] = ACTIONS(6151),
    [anon_sym_COLON_COLON] = ACTIONS(6149),
    [anon_sym_LBRACK] = ACTIONS(6149),
    [anon_sym_static] = ACTIONS(6154),
    [anon_sym_RBRACK] = ACTIONS(6149),
    [anon_sym_const] = ACTIONS(6151),
    [anon_sym_constexpr] = ACTIONS(6151),
    [anon_sym_volatile] = ACTIONS(6151),
    [anon_sym_restrict] = ACTIONS(6151),
    [anon_sym___restrict__] = ACTIONS(6151),
    [anon_sym__Atomic] = ACTIONS(6151),
    [anon_sym__Noreturn] = ACTIONS(6151),
    [anon_sym_noreturn] = ACTIONS(6151),
    [anon_sym__Nonnull] = ACTIONS(6151),
    [anon_sym_mutable] = ACTIONS(6151),
    [anon_sym_constinit] = ACTIONS(6151),
    [anon_sym_consteval] = ACTIONS(6151),
    [anon_sym_alignas] = ACTIONS(6157),
    [anon_sym__Alignas] = ACTIONS(6157),
    [sym_primitive_type] = ACTIONS(6147),
    [anon_sym_not] = ACTIONS(6147),
    [anon_sym_compl] = ACTIONS(6147),
    [anon_sym_DASH_DASH] = ACTIONS(6149),
    [anon_sym_PLUS_PLUS] = ACTIONS(6149),
    [anon_sym_sizeof] = ACTIONS(6147),
    [anon_sym___alignof__] = ACTIONS(6147),
    [anon_sym___alignof] = ACTIONS(6147),
    [anon_sym__alignof] = ACTIONS(6147),
    [anon_sym_alignof] = ACTIONS(6147),
    [anon_sym__Alignof] = ACTIONS(6147),
    [anon_sym_offsetof] = ACTIONS(6147),
    [anon_sym__Generic] = ACTIONS(6147),
    [anon_sym_asm] = ACTIONS(6147),
    [anon_sym___asm__] = ACTIONS(6147),
    [anon_sym___asm] = ACTIONS(6147),
    [sym_number_literal] = ACTIONS(6149),
    [anon_sym_L_SQUOTE] = ACTIONS(6149),
    [anon_sym_u_SQUOTE] = ACTIONS(6149),
    [anon_sym_U_SQUOTE] = ACTIONS(6149),
    [anon_sym_u8_SQUOTE] = ACTIONS(6149),
    [anon_sym_SQUOTE] = ACTIONS(6149),
    [anon_sym_L_DQUOTE] = ACTIONS(6149),
    [anon_sym_u_DQUOTE] = ACTIONS(6149),
    [anon_sym_U_DQUOTE] = ACTIONS(6149),
    [anon_sym_u8_DQUOTE] = ACTIONS(6149),
    [anon_sym_DQUOTE] = ACTIONS(6149),
    [sym_true] = ACTIONS(6147),
    [sym_false] = ACTIONS(6147),
    [anon_sym_NULL] = ACTIONS(6147),
    [anon_sym_nullptr] = ACTIONS(6147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6147),
    [anon_sym_template] = ACTIONS(6147),
    [anon_sym_delete] = ACTIONS(6147),
    [anon_sym_R_DQUOTE] = ACTIONS(6149),
    [anon_sym_LR_DQUOTE] = ACTIONS(6149),
    [anon_sym_uR_DQUOTE] = ACTIONS(6149),
    [anon_sym_UR_DQUOTE] = ACTIONS(6149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6149),
    [anon_sym_co_await] = ACTIONS(6147),
    [anon_sym_new] = ACTIONS(6147),
    [anon_sym_requires] = ACTIONS(6147),
    [sym_this] = ACTIONS(6147),
  },
  [2425] = {
    [sym_template_argument_list] = STATE(2255),
    [sym_identifier] = ACTIONS(1967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(6028),
    [anon_sym_LPAREN2] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1967),
    [anon_sym_in] = ACTIONS(1967),
    [anon_sym_out] = ACTIONS(1967),
    [anon_sym_inout] = ACTIONS(1967),
    [anon_sym_virtual] = ACTIONS(1967),
    [anon_sym_extern] = ACTIONS(1967),
    [anon_sym___attribute__] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1969),
    [anon_sym___declspec] = ACTIONS(1967),
    [anon_sym___based] = ACTIONS(1967),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1967),
    [anon_sym_EQ] = ACTIONS(6030),
    [anon_sym_register] = ACTIONS(1967),
    [anon_sym_inline] = ACTIONS(1967),
    [anon_sym___inline] = ACTIONS(1967),
    [anon_sym___inline__] = ACTIONS(1967),
    [anon_sym___forceinline] = ACTIONS(1967),
    [anon_sym_thread_local] = ACTIONS(1967),
    [anon_sym___thread] = ACTIONS(1967),
    [anon_sym_const] = ACTIONS(1967),
    [anon_sym_constexpr] = ACTIONS(1967),
    [anon_sym_volatile] = ACTIONS(1967),
    [anon_sym_restrict] = ACTIONS(1967),
    [anon_sym___restrict__] = ACTIONS(1967),
    [anon_sym__Atomic] = ACTIONS(1967),
    [anon_sym__Noreturn] = ACTIONS(1967),
    [anon_sym_noreturn] = ACTIONS(1967),
    [anon_sym__Nonnull] = ACTIONS(1967),
    [anon_sym_mutable] = ACTIONS(1967),
    [anon_sym_constinit] = ACTIONS(1967),
    [anon_sym_consteval] = ACTIONS(1967),
    [anon_sym_alignas] = ACTIONS(1967),
    [anon_sym__Alignas] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1967),
    [anon_sym_decltype] = ACTIONS(1967),
    [anon_sym_final] = ACTIONS(1967),
    [anon_sym_override] = ACTIONS(1967),
    [anon_sym_template] = ACTIONS(1967),
    [anon_sym_GT2] = ACTIONS(6028),
    [anon_sym_operator] = ACTIONS(1967),
    [anon_sym_precise] = ACTIONS(1967),
    [anon_sym_shared] = ACTIONS(1967),
    [anon_sym_groupshared] = ACTIONS(1967),
    [anon_sym_uniform] = ACTIONS(1967),
    [anon_sym_row_major] = ACTIONS(1967),
    [anon_sym_column_major] = ACTIONS(1967),
    [anon_sym_globallycoherent] = ACTIONS(1967),
    [anon_sym_centroid] = ACTIONS(1967),
    [anon_sym_noperspective] = ACTIONS(1967),
    [anon_sym_nointerpolation] = ACTIONS(1967),
    [anon_sym_sample] = ACTIONS(1967),
    [anon_sym_linear] = ACTIONS(1967),
    [anon_sym_snorm] = ACTIONS(1967),
    [anon_sym_unorm] = ACTIONS(1967),
    [anon_sym_point] = ACTIONS(1967),
    [anon_sym_line] = ACTIONS(1967),
    [anon_sym_triangleadj] = ACTIONS(1967),
    [anon_sym_lineadj] = ACTIONS(1967),
    [anon_sym_triangle] = ACTIONS(1967),
  },
  [2426] = {
    [sym_identifier] = ACTIONS(6160),
    [anon_sym___extension__] = ACTIONS(6160),
    [anon_sym_in] = ACTIONS(6160),
    [anon_sym_out] = ACTIONS(6160),
    [anon_sym_inout] = ACTIONS(6160),
    [anon_sym_virtual] = ACTIONS(6160),
    [anon_sym_extern] = ACTIONS(6160),
    [anon_sym___attribute__] = ACTIONS(6160),
    [anon_sym_COLON_COLON] = ACTIONS(6162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6162),
    [anon_sym___declspec] = ACTIONS(6160),
    [anon_sym___cdecl] = ACTIONS(6160),
    [anon_sym___clrcall] = ACTIONS(6160),
    [anon_sym___stdcall] = ACTIONS(6160),
    [anon_sym___fastcall] = ACTIONS(6160),
    [anon_sym___thiscall] = ACTIONS(6160),
    [anon_sym___vectorcall] = ACTIONS(6160),
    [anon_sym_LBRACE] = ACTIONS(6162),
    [anon_sym_signed] = ACTIONS(6160),
    [anon_sym_unsigned] = ACTIONS(6160),
    [anon_sym_long] = ACTIONS(6160),
    [anon_sym_short] = ACTIONS(6160),
    [anon_sym_LBRACK] = ACTIONS(6160),
    [anon_sym_static] = ACTIONS(6160),
    [anon_sym_register] = ACTIONS(6160),
    [anon_sym_inline] = ACTIONS(6160),
    [anon_sym___inline] = ACTIONS(6160),
    [anon_sym___inline__] = ACTIONS(6160),
    [anon_sym___forceinline] = ACTIONS(6160),
    [anon_sym_thread_local] = ACTIONS(6160),
    [anon_sym___thread] = ACTIONS(6160),
    [anon_sym_const] = ACTIONS(6160),
    [anon_sym_constexpr] = ACTIONS(6160),
    [anon_sym_volatile] = ACTIONS(6160),
    [anon_sym_restrict] = ACTIONS(6160),
    [anon_sym___restrict__] = ACTIONS(6160),
    [anon_sym__Atomic] = ACTIONS(6160),
    [anon_sym__Noreturn] = ACTIONS(6160),
    [anon_sym_noreturn] = ACTIONS(6160),
    [anon_sym__Nonnull] = ACTIONS(6160),
    [anon_sym_mutable] = ACTIONS(6160),
    [anon_sym_constinit] = ACTIONS(6160),
    [anon_sym_consteval] = ACTIONS(6160),
    [anon_sym_alignas] = ACTIONS(6160),
    [anon_sym__Alignas] = ACTIONS(6160),
    [sym_primitive_type] = ACTIONS(6160),
    [anon_sym_enum] = ACTIONS(6160),
    [anon_sym_class] = ACTIONS(6160),
    [anon_sym_struct] = ACTIONS(6160),
    [anon_sym_union] = ACTIONS(6160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6160),
    [anon_sym_decltype] = ACTIONS(6160),
    [anon_sym_typename] = ACTIONS(6160),
    [anon_sym_template] = ACTIONS(6160),
    [anon_sym_precise] = ACTIONS(6160),
    [anon_sym_shared] = ACTIONS(6160),
    [anon_sym_groupshared] = ACTIONS(6160),
    [anon_sym_uniform] = ACTIONS(6160),
    [anon_sym_row_major] = ACTIONS(6160),
    [anon_sym_column_major] = ACTIONS(6160),
    [anon_sym_globallycoherent] = ACTIONS(6160),
    [anon_sym_centroid] = ACTIONS(6160),
    [anon_sym_noperspective] = ACTIONS(6160),
    [anon_sym_nointerpolation] = ACTIONS(6160),
    [anon_sym_sample] = ACTIONS(6160),
    [anon_sym_linear] = ACTIONS(6160),
    [anon_sym_snorm] = ACTIONS(6160),
    [anon_sym_unorm] = ACTIONS(6160),
    [anon_sym_point] = ACTIONS(6160),
    [anon_sym_line] = ACTIONS(6160),
    [anon_sym_triangleadj] = ACTIONS(6160),
    [anon_sym_lineadj] = ACTIONS(6160),
    [anon_sym_triangle] = ACTIONS(6160),
  },
  [2427] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1921),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_PERCENT] = ACTIONS(1921),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_PIPE] = ACTIONS(1921),
    [anon_sym_CARET] = ACTIONS(1921),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_EQ_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1921),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1921),
    [anon_sym_LT_LT] = ACTIONS(1921),
    [anon_sym_GT_GT] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym___attribute__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1923),
    [anon_sym_EQ] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1923),
    [anon_sym_volatile] = ACTIONS(1923),
    [anon_sym_restrict] = ACTIONS(1923),
    [anon_sym___restrict__] = ACTIONS(1923),
    [anon_sym__Atomic] = ACTIONS(1923),
    [anon_sym__Noreturn] = ACTIONS(1923),
    [anon_sym_noreturn] = ACTIONS(1923),
    [anon_sym__Nonnull] = ACTIONS(1923),
    [anon_sym_mutable] = ACTIONS(1923),
    [anon_sym_constinit] = ACTIONS(1923),
    [anon_sym_consteval] = ACTIONS(1923),
    [anon_sym_alignas] = ACTIONS(1923),
    [anon_sym__Alignas] = ACTIONS(1923),
    [anon_sym_QMARK] = ACTIONS(1923),
    [anon_sym_STAR_EQ] = ACTIONS(1923),
    [anon_sym_SLASH_EQ] = ACTIONS(1923),
    [anon_sym_PERCENT_EQ] = ACTIONS(1923),
    [anon_sym_PLUS_EQ] = ACTIONS(1923),
    [anon_sym_DASH_EQ] = ACTIONS(1923),
    [anon_sym_LT_LT_EQ] = ACTIONS(1923),
    [anon_sym_GT_GT_EQ] = ACTIONS(1921),
    [anon_sym_AMP_EQ] = ACTIONS(1923),
    [anon_sym_CARET_EQ] = ACTIONS(1923),
    [anon_sym_PIPE_EQ] = ACTIONS(1923),
    [anon_sym_and_eq] = ACTIONS(1923),
    [anon_sym_or_eq] = ACTIONS(1923),
    [anon_sym_xor_eq] = ACTIONS(1923),
    [anon_sym_LT_EQ_GT] = ACTIONS(1923),
    [anon_sym_or] = ACTIONS(1921),
    [anon_sym_and] = ACTIONS(1921),
    [anon_sym_bitor] = ACTIONS(1923),
    [anon_sym_xor] = ACTIONS(1921),
    [anon_sym_bitand] = ACTIONS(1923),
    [anon_sym_not_eq] = ACTIONS(1923),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_DOT_STAR] = ACTIONS(1923),
    [anon_sym_DASH_GT] = ACTIONS(1923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1923),
    [anon_sym_decltype] = ACTIONS(1923),
    [anon_sym_final] = ACTIONS(1923),
    [anon_sym_override] = ACTIONS(1923),
    [anon_sym_GT2] = ACTIONS(1923),
  },
  [2428] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_SLASH] = ACTIONS(1947),
    [anon_sym_PERCENT] = ACTIONS(1947),
    [anon_sym_PIPE_PIPE] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_PIPE] = ACTIONS(1947),
    [anon_sym_CARET] = ACTIONS(1947),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_EQ_EQ] = ACTIONS(1949),
    [anon_sym_BANG_EQ] = ACTIONS(1949),
    [anon_sym_GT] = ACTIONS(1947),
    [anon_sym_GT_EQ] = ACTIONS(1947),
    [anon_sym_LT_EQ] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_LT_LT] = ACTIONS(1947),
    [anon_sym_GT_GT] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym___extension__] = ACTIONS(1949),
    [anon_sym___attribute__] = ACTIONS(1949),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_EQ] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1949),
    [anon_sym_volatile] = ACTIONS(1949),
    [anon_sym_restrict] = ACTIONS(1949),
    [anon_sym___restrict__] = ACTIONS(1949),
    [anon_sym__Atomic] = ACTIONS(1949),
    [anon_sym__Noreturn] = ACTIONS(1949),
    [anon_sym_noreturn] = ACTIONS(1949),
    [anon_sym__Nonnull] = ACTIONS(1949),
    [anon_sym_mutable] = ACTIONS(1949),
    [anon_sym_constinit] = ACTIONS(1949),
    [anon_sym_consteval] = ACTIONS(1949),
    [anon_sym_alignas] = ACTIONS(1949),
    [anon_sym__Alignas] = ACTIONS(1949),
    [anon_sym_QMARK] = ACTIONS(1949),
    [anon_sym_STAR_EQ] = ACTIONS(1949),
    [anon_sym_SLASH_EQ] = ACTIONS(1949),
    [anon_sym_PERCENT_EQ] = ACTIONS(1949),
    [anon_sym_PLUS_EQ] = ACTIONS(1949),
    [anon_sym_DASH_EQ] = ACTIONS(1949),
    [anon_sym_LT_LT_EQ] = ACTIONS(1949),
    [anon_sym_GT_GT_EQ] = ACTIONS(1947),
    [anon_sym_AMP_EQ] = ACTIONS(1949),
    [anon_sym_CARET_EQ] = ACTIONS(1949),
    [anon_sym_PIPE_EQ] = ACTIONS(1949),
    [anon_sym_and_eq] = ACTIONS(1949),
    [anon_sym_or_eq] = ACTIONS(1949),
    [anon_sym_xor_eq] = ACTIONS(1949),
    [anon_sym_LT_EQ_GT] = ACTIONS(1949),
    [anon_sym_or] = ACTIONS(1947),
    [anon_sym_and] = ACTIONS(1947),
    [anon_sym_bitor] = ACTIONS(1949),
    [anon_sym_xor] = ACTIONS(1947),
    [anon_sym_bitand] = ACTIONS(1949),
    [anon_sym_not_eq] = ACTIONS(1949),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_DOT_STAR] = ACTIONS(1949),
    [anon_sym_DASH_GT] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1949),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_final] = ACTIONS(1949),
    [anon_sym_override] = ACTIONS(1949),
    [anon_sym_GT2] = ACTIONS(1949),
  },
  [2429] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1953),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1951),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1951),
    [anon_sym_GT_GT] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym___extension__] = ACTIONS(1953),
    [anon_sym___attribute__] = ACTIONS(1953),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_EQ] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1953),
    [anon_sym_volatile] = ACTIONS(1953),
    [anon_sym_restrict] = ACTIONS(1953),
    [anon_sym___restrict__] = ACTIONS(1953),
    [anon_sym__Atomic] = ACTIONS(1953),
    [anon_sym__Noreturn] = ACTIONS(1953),
    [anon_sym_noreturn] = ACTIONS(1953),
    [anon_sym__Nonnull] = ACTIONS(1953),
    [anon_sym_mutable] = ACTIONS(1953),
    [anon_sym_constinit] = ACTIONS(1953),
    [anon_sym_consteval] = ACTIONS(1953),
    [anon_sym_alignas] = ACTIONS(1953),
    [anon_sym__Alignas] = ACTIONS(1953),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1953),
    [anon_sym_SLASH_EQ] = ACTIONS(1953),
    [anon_sym_PERCENT_EQ] = ACTIONS(1953),
    [anon_sym_PLUS_EQ] = ACTIONS(1953),
    [anon_sym_DASH_EQ] = ACTIONS(1953),
    [anon_sym_LT_LT_EQ] = ACTIONS(1953),
    [anon_sym_GT_GT_EQ] = ACTIONS(1951),
    [anon_sym_AMP_EQ] = ACTIONS(1953),
    [anon_sym_CARET_EQ] = ACTIONS(1953),
    [anon_sym_PIPE_EQ] = ACTIONS(1953),
    [anon_sym_and_eq] = ACTIONS(1953),
    [anon_sym_or_eq] = ACTIONS(1953),
    [anon_sym_xor_eq] = ACTIONS(1953),
    [anon_sym_LT_EQ_GT] = ACTIONS(1953),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_bitor] = ACTIONS(1953),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_bitand] = ACTIONS(1953),
    [anon_sym_not_eq] = ACTIONS(1953),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_DOT_STAR] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1953),
    [anon_sym_decltype] = ACTIONS(1953),
    [anon_sym_final] = ACTIONS(1953),
    [anon_sym_override] = ACTIONS(1953),
    [anon_sym_GT2] = ACTIONS(1953),
  },
  [2430] = {
    [sym_attribute_specifier] = STATE(2338),
    [sym_enumerator_list] = STATE(2369),
    [sym__enum_base_clause] = STATE(2335),
    [sym_identifier] = ACTIONS(6011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6013),
    [anon_sym_COMMA] = ACTIONS(6013),
    [anon_sym_RPAREN] = ACTIONS(6013),
    [anon_sym_LPAREN2] = ACTIONS(6013),
    [anon_sym_TILDE] = ACTIONS(6013),
    [anon_sym_STAR] = ACTIONS(6013),
    [anon_sym_AMP_AMP] = ACTIONS(6013),
    [anon_sym_AMP] = ACTIONS(6011),
    [anon_sym_COLON] = ACTIONS(6164),
    [anon_sym___extension__] = ACTIONS(6011),
    [anon_sym_in] = ACTIONS(6011),
    [anon_sym_out] = ACTIONS(6011),
    [anon_sym_inout] = ACTIONS(6011),
    [anon_sym_virtual] = ACTIONS(6011),
    [anon_sym_extern] = ACTIONS(6011),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(6013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6013),
    [anon_sym___declspec] = ACTIONS(6011),
    [anon_sym___based] = ACTIONS(6011),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(6011),
    [anon_sym_static] = ACTIONS(6011),
    [anon_sym_EQ] = ACTIONS(6013),
    [anon_sym_register] = ACTIONS(6011),
    [anon_sym_inline] = ACTIONS(6011),
    [anon_sym___inline] = ACTIONS(6011),
    [anon_sym___inline__] = ACTIONS(6011),
    [anon_sym___forceinline] = ACTIONS(6011),
    [anon_sym_thread_local] = ACTIONS(6011),
    [anon_sym___thread] = ACTIONS(6011),
    [anon_sym_const] = ACTIONS(6011),
    [anon_sym_constexpr] = ACTIONS(6011),
    [anon_sym_volatile] = ACTIONS(6011),
    [anon_sym_restrict] = ACTIONS(6011),
    [anon_sym___restrict__] = ACTIONS(6011),
    [anon_sym__Atomic] = ACTIONS(6011),
    [anon_sym__Noreturn] = ACTIONS(6011),
    [anon_sym_noreturn] = ACTIONS(6011),
    [anon_sym__Nonnull] = ACTIONS(6011),
    [anon_sym_mutable] = ACTIONS(6011),
    [anon_sym_constinit] = ACTIONS(6011),
    [anon_sym_consteval] = ACTIONS(6011),
    [anon_sym_alignas] = ACTIONS(6011),
    [anon_sym__Alignas] = ACTIONS(6011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6011),
    [anon_sym_decltype] = ACTIONS(6011),
    [anon_sym_template] = ACTIONS(6011),
    [anon_sym_GT2] = ACTIONS(6013),
    [anon_sym_operator] = ACTIONS(6011),
    [anon_sym_precise] = ACTIONS(6011),
    [anon_sym_shared] = ACTIONS(6011),
    [anon_sym_groupshared] = ACTIONS(6011),
    [anon_sym_uniform] = ACTIONS(6011),
    [anon_sym_row_major] = ACTIONS(6011),
    [anon_sym_column_major] = ACTIONS(6011),
    [anon_sym_globallycoherent] = ACTIONS(6011),
    [anon_sym_centroid] = ACTIONS(6011),
    [anon_sym_noperspective] = ACTIONS(6011),
    [anon_sym_nointerpolation] = ACTIONS(6011),
    [anon_sym_sample] = ACTIONS(6011),
    [anon_sym_linear] = ACTIONS(6011),
    [anon_sym_snorm] = ACTIONS(6011),
    [anon_sym_unorm] = ACTIONS(6011),
    [anon_sym_point] = ACTIONS(6011),
    [anon_sym_line] = ACTIONS(6011),
    [anon_sym_triangleadj] = ACTIONS(6011),
    [anon_sym_lineadj] = ACTIONS(6011),
    [anon_sym_triangle] = ACTIONS(6011),
  },
  [2431] = {
    [sym_attribute_specifier] = STATE(2310),
    [sym_enumerator_list] = STATE(2366),
    [sym__enum_base_clause] = STATE(2314),
    [sym_identifier] = ACTIONS(6024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6026),
    [anon_sym_COMMA] = ACTIONS(6026),
    [anon_sym_RPAREN] = ACTIONS(6026),
    [anon_sym_LPAREN2] = ACTIONS(6026),
    [anon_sym_TILDE] = ACTIONS(6026),
    [anon_sym_STAR] = ACTIONS(6026),
    [anon_sym_AMP_AMP] = ACTIONS(6026),
    [anon_sym_AMP] = ACTIONS(6024),
    [anon_sym_COLON] = ACTIONS(6164),
    [anon_sym___extension__] = ACTIONS(6024),
    [anon_sym_in] = ACTIONS(6024),
    [anon_sym_out] = ACTIONS(6024),
    [anon_sym_inout] = ACTIONS(6024),
    [anon_sym_virtual] = ACTIONS(6024),
    [anon_sym_extern] = ACTIONS(6024),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(6026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6026),
    [anon_sym___declspec] = ACTIONS(6024),
    [anon_sym___based] = ACTIONS(6024),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(6024),
    [anon_sym_static] = ACTIONS(6024),
    [anon_sym_EQ] = ACTIONS(6026),
    [anon_sym_register] = ACTIONS(6024),
    [anon_sym_inline] = ACTIONS(6024),
    [anon_sym___inline] = ACTIONS(6024),
    [anon_sym___inline__] = ACTIONS(6024),
    [anon_sym___forceinline] = ACTIONS(6024),
    [anon_sym_thread_local] = ACTIONS(6024),
    [anon_sym___thread] = ACTIONS(6024),
    [anon_sym_const] = ACTIONS(6024),
    [anon_sym_constexpr] = ACTIONS(6024),
    [anon_sym_volatile] = ACTIONS(6024),
    [anon_sym_restrict] = ACTIONS(6024),
    [anon_sym___restrict__] = ACTIONS(6024),
    [anon_sym__Atomic] = ACTIONS(6024),
    [anon_sym__Noreturn] = ACTIONS(6024),
    [anon_sym_noreturn] = ACTIONS(6024),
    [anon_sym__Nonnull] = ACTIONS(6024),
    [anon_sym_mutable] = ACTIONS(6024),
    [anon_sym_constinit] = ACTIONS(6024),
    [anon_sym_consteval] = ACTIONS(6024),
    [anon_sym_alignas] = ACTIONS(6024),
    [anon_sym__Alignas] = ACTIONS(6024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6024),
    [anon_sym_decltype] = ACTIONS(6024),
    [anon_sym_template] = ACTIONS(6024),
    [anon_sym_GT2] = ACTIONS(6026),
    [anon_sym_operator] = ACTIONS(6024),
    [anon_sym_precise] = ACTIONS(6024),
    [anon_sym_shared] = ACTIONS(6024),
    [anon_sym_groupshared] = ACTIONS(6024),
    [anon_sym_uniform] = ACTIONS(6024),
    [anon_sym_row_major] = ACTIONS(6024),
    [anon_sym_column_major] = ACTIONS(6024),
    [anon_sym_globallycoherent] = ACTIONS(6024),
    [anon_sym_centroid] = ACTIONS(6024),
    [anon_sym_noperspective] = ACTIONS(6024),
    [anon_sym_nointerpolation] = ACTIONS(6024),
    [anon_sym_sample] = ACTIONS(6024),
    [anon_sym_linear] = ACTIONS(6024),
    [anon_sym_snorm] = ACTIONS(6024),
    [anon_sym_unorm] = ACTIONS(6024),
    [anon_sym_point] = ACTIONS(6024),
    [anon_sym_line] = ACTIONS(6024),
    [anon_sym_triangleadj] = ACTIONS(6024),
    [anon_sym_lineadj] = ACTIONS(6024),
    [anon_sym_triangle] = ACTIONS(6024),
  },
  [2432] = {
    [sym_identifier] = ACTIONS(6166),
    [anon_sym___extension__] = ACTIONS(6166),
    [anon_sym_in] = ACTIONS(6166),
    [anon_sym_out] = ACTIONS(6166),
    [anon_sym_inout] = ACTIONS(6166),
    [anon_sym_virtual] = ACTIONS(6166),
    [anon_sym_extern] = ACTIONS(6166),
    [anon_sym___attribute__] = ACTIONS(6166),
    [anon_sym_COLON_COLON] = ACTIONS(6168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6168),
    [anon_sym___declspec] = ACTIONS(6166),
    [anon_sym___cdecl] = ACTIONS(6166),
    [anon_sym___clrcall] = ACTIONS(6166),
    [anon_sym___stdcall] = ACTIONS(6166),
    [anon_sym___fastcall] = ACTIONS(6166),
    [anon_sym___thiscall] = ACTIONS(6166),
    [anon_sym___vectorcall] = ACTIONS(6166),
    [anon_sym_LBRACE] = ACTIONS(6168),
    [anon_sym_signed] = ACTIONS(6166),
    [anon_sym_unsigned] = ACTIONS(6166),
    [anon_sym_long] = ACTIONS(6166),
    [anon_sym_short] = ACTIONS(6166),
    [anon_sym_LBRACK] = ACTIONS(6166),
    [anon_sym_static] = ACTIONS(6166),
    [anon_sym_register] = ACTIONS(6166),
    [anon_sym_inline] = ACTIONS(6166),
    [anon_sym___inline] = ACTIONS(6166),
    [anon_sym___inline__] = ACTIONS(6166),
    [anon_sym___forceinline] = ACTIONS(6166),
    [anon_sym_thread_local] = ACTIONS(6166),
    [anon_sym___thread] = ACTIONS(6166),
    [anon_sym_const] = ACTIONS(6166),
    [anon_sym_constexpr] = ACTIONS(6166),
    [anon_sym_volatile] = ACTIONS(6166),
    [anon_sym_restrict] = ACTIONS(6166),
    [anon_sym___restrict__] = ACTIONS(6166),
    [anon_sym__Atomic] = ACTIONS(6166),
    [anon_sym__Noreturn] = ACTIONS(6166),
    [anon_sym_noreturn] = ACTIONS(6166),
    [anon_sym__Nonnull] = ACTIONS(6166),
    [anon_sym_mutable] = ACTIONS(6166),
    [anon_sym_constinit] = ACTIONS(6166),
    [anon_sym_consteval] = ACTIONS(6166),
    [anon_sym_alignas] = ACTIONS(6166),
    [anon_sym__Alignas] = ACTIONS(6166),
    [sym_primitive_type] = ACTIONS(6166),
    [anon_sym_enum] = ACTIONS(6166),
    [anon_sym_class] = ACTIONS(6166),
    [anon_sym_struct] = ACTIONS(6166),
    [anon_sym_union] = ACTIONS(6166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6166),
    [anon_sym_decltype] = ACTIONS(6166),
    [anon_sym_typename] = ACTIONS(6166),
    [anon_sym_template] = ACTIONS(6166),
    [anon_sym_precise] = ACTIONS(6166),
    [anon_sym_shared] = ACTIONS(6166),
    [anon_sym_groupshared] = ACTIONS(6166),
    [anon_sym_uniform] = ACTIONS(6166),
    [anon_sym_row_major] = ACTIONS(6166),
    [anon_sym_column_major] = ACTIONS(6166),
    [anon_sym_globallycoherent] = ACTIONS(6166),
    [anon_sym_centroid] = ACTIONS(6166),
    [anon_sym_noperspective] = ACTIONS(6166),
    [anon_sym_nointerpolation] = ACTIONS(6166),
    [anon_sym_sample] = ACTIONS(6166),
    [anon_sym_linear] = ACTIONS(6166),
    [anon_sym_snorm] = ACTIONS(6166),
    [anon_sym_unorm] = ACTIONS(6166),
    [anon_sym_point] = ACTIONS(6166),
    [anon_sym_line] = ACTIONS(6166),
    [anon_sym_triangleadj] = ACTIONS(6166),
    [anon_sym_lineadj] = ACTIONS(6166),
    [anon_sym_triangle] = ACTIONS(6166),
  },
  [2433] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1957),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1955),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym___extension__] = ACTIONS(1957),
    [anon_sym___attribute__] = ACTIONS(1957),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1957),
    [anon_sym_EQ] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1957),
    [anon_sym_volatile] = ACTIONS(1957),
    [anon_sym_restrict] = ACTIONS(1957),
    [anon_sym___restrict__] = ACTIONS(1957),
    [anon_sym__Atomic] = ACTIONS(1957),
    [anon_sym__Noreturn] = ACTIONS(1957),
    [anon_sym_noreturn] = ACTIONS(1957),
    [anon_sym__Nonnull] = ACTIONS(1957),
    [anon_sym_mutable] = ACTIONS(1957),
    [anon_sym_constinit] = ACTIONS(1957),
    [anon_sym_consteval] = ACTIONS(1957),
    [anon_sym_alignas] = ACTIONS(1957),
    [anon_sym__Alignas] = ACTIONS(1957),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1957),
    [anon_sym_SLASH_EQ] = ACTIONS(1957),
    [anon_sym_PERCENT_EQ] = ACTIONS(1957),
    [anon_sym_PLUS_EQ] = ACTIONS(1957),
    [anon_sym_DASH_EQ] = ACTIONS(1957),
    [anon_sym_LT_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT_GT_EQ] = ACTIONS(1955),
    [anon_sym_AMP_EQ] = ACTIONS(1957),
    [anon_sym_CARET_EQ] = ACTIONS(1957),
    [anon_sym_PIPE_EQ] = ACTIONS(1957),
    [anon_sym_and_eq] = ACTIONS(1957),
    [anon_sym_or_eq] = ACTIONS(1957),
    [anon_sym_xor_eq] = ACTIONS(1957),
    [anon_sym_LT_EQ_GT] = ACTIONS(1957),
    [anon_sym_or] = ACTIONS(1955),
    [anon_sym_and] = ACTIONS(1955),
    [anon_sym_bitor] = ACTIONS(1957),
    [anon_sym_xor] = ACTIONS(1955),
    [anon_sym_bitand] = ACTIONS(1957),
    [anon_sym_not_eq] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DOT_STAR] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1957),
    [anon_sym_decltype] = ACTIONS(1957),
    [anon_sym_final] = ACTIONS(1957),
    [anon_sym_override] = ACTIONS(1957),
    [anon_sym_GT2] = ACTIONS(1957),
  },
  [2434] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_EQ_EQ] = ACTIONS(1919),
    [anon_sym_BANG_EQ] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(1919),
    [anon_sym___attribute__] = ACTIONS(1919),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1919),
    [anon_sym_EQ] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1919),
    [anon_sym_volatile] = ACTIONS(1919),
    [anon_sym_restrict] = ACTIONS(1919),
    [anon_sym___restrict__] = ACTIONS(1919),
    [anon_sym__Atomic] = ACTIONS(1919),
    [anon_sym__Noreturn] = ACTIONS(1919),
    [anon_sym_noreturn] = ACTIONS(1919),
    [anon_sym__Nonnull] = ACTIONS(1919),
    [anon_sym_mutable] = ACTIONS(1919),
    [anon_sym_constinit] = ACTIONS(1919),
    [anon_sym_consteval] = ACTIONS(1919),
    [anon_sym_alignas] = ACTIONS(1919),
    [anon_sym__Alignas] = ACTIONS(1919),
    [anon_sym_QMARK] = ACTIONS(1919),
    [anon_sym_STAR_EQ] = ACTIONS(1919),
    [anon_sym_SLASH_EQ] = ACTIONS(1919),
    [anon_sym_PERCENT_EQ] = ACTIONS(1919),
    [anon_sym_PLUS_EQ] = ACTIONS(1919),
    [anon_sym_DASH_EQ] = ACTIONS(1919),
    [anon_sym_LT_LT_EQ] = ACTIONS(1919),
    [anon_sym_GT_GT_EQ] = ACTIONS(1917),
    [anon_sym_AMP_EQ] = ACTIONS(1919),
    [anon_sym_CARET_EQ] = ACTIONS(1919),
    [anon_sym_PIPE_EQ] = ACTIONS(1919),
    [anon_sym_and_eq] = ACTIONS(1919),
    [anon_sym_or_eq] = ACTIONS(1919),
    [anon_sym_xor_eq] = ACTIONS(1919),
    [anon_sym_LT_EQ_GT] = ACTIONS(1919),
    [anon_sym_or] = ACTIONS(1917),
    [anon_sym_and] = ACTIONS(1917),
    [anon_sym_bitor] = ACTIONS(1919),
    [anon_sym_xor] = ACTIONS(1917),
    [anon_sym_bitand] = ACTIONS(1919),
    [anon_sym_not_eq] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DOT] = ACTIONS(1917),
    [anon_sym_DOT_STAR] = ACTIONS(1919),
    [anon_sym_DASH_GT] = ACTIONS(1919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1919),
    [anon_sym_decltype] = ACTIONS(1919),
    [anon_sym_final] = ACTIONS(1919),
    [anon_sym_override] = ACTIONS(1919),
    [anon_sym_GT2] = ACTIONS(1919),
  },
  [2435] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1941),
    [anon_sym_COMMA] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1939),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym___extension__] = ACTIONS(1941),
    [anon_sym___attribute__] = ACTIONS(1941),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1941),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1941),
    [anon_sym_volatile] = ACTIONS(1941),
    [anon_sym_restrict] = ACTIONS(1941),
    [anon_sym___restrict__] = ACTIONS(1941),
    [anon_sym__Atomic] = ACTIONS(1941),
    [anon_sym__Noreturn] = ACTIONS(1941),
    [anon_sym_noreturn] = ACTIONS(1941),
    [anon_sym__Nonnull] = ACTIONS(1941),
    [anon_sym_mutable] = ACTIONS(1941),
    [anon_sym_constinit] = ACTIONS(1941),
    [anon_sym_consteval] = ACTIONS(1941),
    [anon_sym_alignas] = ACTIONS(1941),
    [anon_sym__Alignas] = ACTIONS(1941),
    [anon_sym_QMARK] = ACTIONS(1941),
    [anon_sym_STAR_EQ] = ACTIONS(1941),
    [anon_sym_SLASH_EQ] = ACTIONS(1941),
    [anon_sym_PERCENT_EQ] = ACTIONS(1941),
    [anon_sym_PLUS_EQ] = ACTIONS(1941),
    [anon_sym_DASH_EQ] = ACTIONS(1941),
    [anon_sym_LT_LT_EQ] = ACTIONS(1941),
    [anon_sym_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_AMP_EQ] = ACTIONS(1941),
    [anon_sym_CARET_EQ] = ACTIONS(1941),
    [anon_sym_PIPE_EQ] = ACTIONS(1941),
    [anon_sym_and_eq] = ACTIONS(1941),
    [anon_sym_or_eq] = ACTIONS(1941),
    [anon_sym_xor_eq] = ACTIONS(1941),
    [anon_sym_LT_EQ_GT] = ACTIONS(1941),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_bitor] = ACTIONS(1941),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_bitand] = ACTIONS(1941),
    [anon_sym_not_eq] = ACTIONS(1941),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_DOT_STAR] = ACTIONS(1941),
    [anon_sym_DASH_GT] = ACTIONS(1941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1941),
    [anon_sym_decltype] = ACTIONS(1941),
    [anon_sym_final] = ACTIONS(1941),
    [anon_sym_override] = ACTIONS(1941),
    [anon_sym_GT2] = ACTIONS(1941),
  },
  [2436] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1913),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(1915),
    [anon_sym___attribute__] = ACTIONS(1915),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1915),
    [anon_sym_volatile] = ACTIONS(1915),
    [anon_sym_restrict] = ACTIONS(1915),
    [anon_sym___restrict__] = ACTIONS(1915),
    [anon_sym__Atomic] = ACTIONS(1915),
    [anon_sym__Noreturn] = ACTIONS(1915),
    [anon_sym_noreturn] = ACTIONS(1915),
    [anon_sym__Nonnull] = ACTIONS(1915),
    [anon_sym_mutable] = ACTIONS(1915),
    [anon_sym_constinit] = ACTIONS(1915),
    [anon_sym_consteval] = ACTIONS(1915),
    [anon_sym_alignas] = ACTIONS(1915),
    [anon_sym__Alignas] = ACTIONS(1915),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1913),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1915),
    [anon_sym_or_eq] = ACTIONS(1915),
    [anon_sym_xor_eq] = ACTIONS(1915),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1915),
    [anon_sym_decltype] = ACTIONS(1915),
    [anon_sym_final] = ACTIONS(1915),
    [anon_sym_override] = ACTIONS(1915),
    [anon_sym_GT2] = ACTIONS(1915),
  },
  [2437] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4369),
    [anon_sym_COMMA] = ACTIONS(4369),
    [anon_sym_RPAREN] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4376),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4374),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4374),
    [anon_sym_GT_GT] = ACTIONS(4374),
    [anon_sym_SEMI] = ACTIONS(4369),
    [anon_sym___extension__] = ACTIONS(2070),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4369),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_EQ] = ACTIONS(4374),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2070),
    [anon_sym_volatile] = ACTIONS(2070),
    [anon_sym_restrict] = ACTIONS(2070),
    [anon_sym___restrict__] = ACTIONS(2070),
    [anon_sym__Atomic] = ACTIONS(2070),
    [anon_sym__Noreturn] = ACTIONS(2070),
    [anon_sym_noreturn] = ACTIONS(2070),
    [anon_sym__Nonnull] = ACTIONS(2070),
    [anon_sym_mutable] = ACTIONS(2070),
    [anon_sym_constinit] = ACTIONS(2070),
    [anon_sym_consteval] = ACTIONS(2070),
    [anon_sym_alignas] = ACTIONS(2070),
    [anon_sym__Alignas] = ACTIONS(2070),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_STAR_EQ] = ACTIONS(4369),
    [anon_sym_SLASH_EQ] = ACTIONS(4369),
    [anon_sym_PERCENT_EQ] = ACTIONS(4369),
    [anon_sym_PLUS_EQ] = ACTIONS(4369),
    [anon_sym_DASH_EQ] = ACTIONS(4369),
    [anon_sym_LT_LT_EQ] = ACTIONS(4369),
    [anon_sym_GT_GT_EQ] = ACTIONS(4369),
    [anon_sym_AMP_EQ] = ACTIONS(4369),
    [anon_sym_CARET_EQ] = ACTIONS(4369),
    [anon_sym_PIPE_EQ] = ACTIONS(4369),
    [anon_sym_and_eq] = ACTIONS(4369),
    [anon_sym_or_eq] = ACTIONS(4369),
    [anon_sym_xor_eq] = ACTIONS(4369),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4369),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4369),
    [anon_sym_not_eq] = ACTIONS(4369),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2070),
    [anon_sym_decltype] = ACTIONS(2070),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4369),
  },
  [2438] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1913),
    [anon_sym_out] = ACTIONS(1913),
    [anon_sym_inout] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1915),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1915),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_final] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_GT2] = ACTIONS(1915),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_precise] = ACTIONS(1913),
    [anon_sym_shared] = ACTIONS(1913),
    [anon_sym_groupshared] = ACTIONS(1913),
    [anon_sym_uniform] = ACTIONS(1913),
    [anon_sym_row_major] = ACTIONS(1913),
    [anon_sym_column_major] = ACTIONS(1913),
    [anon_sym_globallycoherent] = ACTIONS(1913),
    [anon_sym_centroid] = ACTIONS(1913),
    [anon_sym_noperspective] = ACTIONS(1913),
    [anon_sym_nointerpolation] = ACTIONS(1913),
    [anon_sym_sample] = ACTIONS(1913),
    [anon_sym_linear] = ACTIONS(1913),
    [anon_sym_snorm] = ACTIONS(1913),
    [anon_sym_unorm] = ACTIONS(1913),
    [anon_sym_point] = ACTIONS(1913),
    [anon_sym_line] = ACTIONS(1913),
    [anon_sym_triangleadj] = ACTIONS(1913),
    [anon_sym_lineadj] = ACTIONS(1913),
    [anon_sym_triangle] = ACTIONS(1913),
  },
  [2439] = {
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1953),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_out] = ACTIONS(1951),
    [anon_sym_inout] = ACTIONS(1951),
    [anon_sym_virtual] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1953),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_EQ] = ACTIONS(1953),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_final] = ACTIONS(1951),
    [anon_sym_override] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1951),
    [anon_sym_GT2] = ACTIONS(1953),
    [anon_sym_operator] = ACTIONS(1951),
    [anon_sym_precise] = ACTIONS(1951),
    [anon_sym_shared] = ACTIONS(1951),
    [anon_sym_groupshared] = ACTIONS(1951),
    [anon_sym_uniform] = ACTIONS(1951),
    [anon_sym_row_major] = ACTIONS(1951),
    [anon_sym_column_major] = ACTIONS(1951),
    [anon_sym_globallycoherent] = ACTIONS(1951),
    [anon_sym_centroid] = ACTIONS(1951),
    [anon_sym_noperspective] = ACTIONS(1951),
    [anon_sym_nointerpolation] = ACTIONS(1951),
    [anon_sym_sample] = ACTIONS(1951),
    [anon_sym_linear] = ACTIONS(1951),
    [anon_sym_snorm] = ACTIONS(1951),
    [anon_sym_unorm] = ACTIONS(1951),
    [anon_sym_point] = ACTIONS(1951),
    [anon_sym_line] = ACTIONS(1951),
    [anon_sym_triangleadj] = ACTIONS(1951),
    [anon_sym_lineadj] = ACTIONS(1951),
    [anon_sym_triangle] = ACTIONS(1951),
  },
  [2440] = {
    [sym_template_argument_list] = STATE(2437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4278),
    [anon_sym_COMMA] = ACTIONS(4278),
    [anon_sym_RPAREN] = ACTIONS(4280),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4283),
    [anon_sym_PERCENT] = ACTIONS(4283),
    [anon_sym_PIPE_PIPE] = ACTIONS(4278),
    [anon_sym_AMP_AMP] = ACTIONS(4280),
    [anon_sym_PIPE] = ACTIONS(4283),
    [anon_sym_CARET] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(4285),
    [anon_sym_EQ_EQ] = ACTIONS(4278),
    [anon_sym_BANG_EQ] = ACTIONS(4278),
    [anon_sym_GT] = ACTIONS(4283),
    [anon_sym_GT_EQ] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4283),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4283),
    [anon_sym_GT_GT] = ACTIONS(4283),
    [anon_sym___extension__] = ACTIONS(1961),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4278),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4283),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1961),
    [anon_sym_volatile] = ACTIONS(1961),
    [anon_sym_restrict] = ACTIONS(1961),
    [anon_sym___restrict__] = ACTIONS(1961),
    [anon_sym__Atomic] = ACTIONS(1961),
    [anon_sym__Noreturn] = ACTIONS(1961),
    [anon_sym_noreturn] = ACTIONS(1961),
    [anon_sym__Nonnull] = ACTIONS(1961),
    [anon_sym_mutable] = ACTIONS(1961),
    [anon_sym_constinit] = ACTIONS(1961),
    [anon_sym_consteval] = ACTIONS(1961),
    [anon_sym_alignas] = ACTIONS(1961),
    [anon_sym__Alignas] = ACTIONS(1961),
    [anon_sym_QMARK] = ACTIONS(4278),
    [anon_sym_STAR_EQ] = ACTIONS(4278),
    [anon_sym_SLASH_EQ] = ACTIONS(4278),
    [anon_sym_PERCENT_EQ] = ACTIONS(4278),
    [anon_sym_PLUS_EQ] = ACTIONS(4278),
    [anon_sym_DASH_EQ] = ACTIONS(4278),
    [anon_sym_LT_LT_EQ] = ACTIONS(4278),
    [anon_sym_GT_GT_EQ] = ACTIONS(4278),
    [anon_sym_AMP_EQ] = ACTIONS(4278),
    [anon_sym_CARET_EQ] = ACTIONS(4278),
    [anon_sym_PIPE_EQ] = ACTIONS(4278),
    [anon_sym_and_eq] = ACTIONS(4278),
    [anon_sym_or_eq] = ACTIONS(4278),
    [anon_sym_xor_eq] = ACTIONS(4278),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_or] = ACTIONS(4283),
    [anon_sym_and] = ACTIONS(4283),
    [anon_sym_bitor] = ACTIONS(4278),
    [anon_sym_xor] = ACTIONS(4283),
    [anon_sym_bitand] = ACTIONS(4278),
    [anon_sym_not_eq] = ACTIONS(4278),
    [anon_sym_DASH_DASH] = ACTIONS(4278),
    [anon_sym_PLUS_PLUS] = ACTIONS(4278),
    [anon_sym_DOT] = ACTIONS(4283),
    [anon_sym_DOT_STAR] = ACTIONS(4278),
    [anon_sym_DASH_GT] = ACTIONS(4283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1961),
    [anon_sym_decltype] = ACTIONS(1961),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4278),
  },
  [2441] = {
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1957),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_out] = ACTIONS(1955),
    [anon_sym_inout] = ACTIONS(1955),
    [anon_sym_virtual] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1957),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_EQ] = ACTIONS(1957),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_final] = ACTIONS(1955),
    [anon_sym_override] = ACTIONS(1955),
    [anon_sym_template] = ACTIONS(1955),
    [anon_sym_GT2] = ACTIONS(1957),
    [anon_sym_operator] = ACTIONS(1955),
    [anon_sym_precise] = ACTIONS(1955),
    [anon_sym_shared] = ACTIONS(1955),
    [anon_sym_groupshared] = ACTIONS(1955),
    [anon_sym_uniform] = ACTIONS(1955),
    [anon_sym_row_major] = ACTIONS(1955),
    [anon_sym_column_major] = ACTIONS(1955),
    [anon_sym_globallycoherent] = ACTIONS(1955),
    [anon_sym_centroid] = ACTIONS(1955),
    [anon_sym_noperspective] = ACTIONS(1955),
    [anon_sym_nointerpolation] = ACTIONS(1955),
    [anon_sym_sample] = ACTIONS(1955),
    [anon_sym_linear] = ACTIONS(1955),
    [anon_sym_snorm] = ACTIONS(1955),
    [anon_sym_unorm] = ACTIONS(1955),
    [anon_sym_point] = ACTIONS(1955),
    [anon_sym_line] = ACTIONS(1955),
    [anon_sym_triangleadj] = ACTIONS(1955),
    [anon_sym_lineadj] = ACTIONS(1955),
    [anon_sym_triangle] = ACTIONS(1955),
  },
  [2442] = {
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_RPAREN] = ACTIONS(1919),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_out] = ACTIONS(1917),
    [anon_sym_inout] = ACTIONS(1917),
    [anon_sym_virtual] = ACTIONS(1917),
    [anon_sym_extern] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1919),
    [anon_sym___declspec] = ACTIONS(1917),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_register] = ACTIONS(1917),
    [anon_sym_inline] = ACTIONS(1917),
    [anon_sym___inline] = ACTIONS(1917),
    [anon_sym___inline__] = ACTIONS(1917),
    [anon_sym___forceinline] = ACTIONS(1917),
    [anon_sym_thread_local] = ACTIONS(1917),
    [anon_sym___thread] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_final] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_template] = ACTIONS(1917),
    [anon_sym_GT2] = ACTIONS(1919),
    [anon_sym_operator] = ACTIONS(1917),
    [anon_sym_precise] = ACTIONS(1917),
    [anon_sym_shared] = ACTIONS(1917),
    [anon_sym_groupshared] = ACTIONS(1917),
    [anon_sym_uniform] = ACTIONS(1917),
    [anon_sym_row_major] = ACTIONS(1917),
    [anon_sym_column_major] = ACTIONS(1917),
    [anon_sym_globallycoherent] = ACTIONS(1917),
    [anon_sym_centroid] = ACTIONS(1917),
    [anon_sym_noperspective] = ACTIONS(1917),
    [anon_sym_nointerpolation] = ACTIONS(1917),
    [anon_sym_sample] = ACTIONS(1917),
    [anon_sym_linear] = ACTIONS(1917),
    [anon_sym_snorm] = ACTIONS(1917),
    [anon_sym_unorm] = ACTIONS(1917),
    [anon_sym_point] = ACTIONS(1917),
    [anon_sym_line] = ACTIONS(1917),
    [anon_sym_triangleadj] = ACTIONS(1917),
    [anon_sym_lineadj] = ACTIONS(1917),
    [anon_sym_triangle] = ACTIONS(1917),
  },
  [2443] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2070),
    [anon_sym_COMMA] = ACTIONS(2070),
    [anon_sym_RPAREN] = ACTIONS(2070),
    [anon_sym_LPAREN2] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_SLASH] = ACTIONS(2068),
    [anon_sym_PERCENT] = ACTIONS(2070),
    [anon_sym_PIPE_PIPE] = ACTIONS(2070),
    [anon_sym_AMP_AMP] = ACTIONS(2070),
    [anon_sym_PIPE] = ACTIONS(2068),
    [anon_sym_CARET] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym_EQ_EQ] = ACTIONS(2070),
    [anon_sym_BANG_EQ] = ACTIONS(2070),
    [anon_sym_GT] = ACTIONS(2068),
    [anon_sym_GT_EQ] = ACTIONS(2070),
    [anon_sym_LT_EQ] = ACTIONS(2068),
    [anon_sym_LT] = ACTIONS(2068),
    [anon_sym_LT_LT] = ACTIONS(2070),
    [anon_sym_GT_GT] = ACTIONS(2070),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_RBRACE] = ACTIONS(2070),
    [anon_sym_signed] = ACTIONS(2068),
    [anon_sym_unsigned] = ACTIONS(2068),
    [anon_sym_long] = ACTIONS(2068),
    [anon_sym_short] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2070),
    [anon_sym_RBRACK] = ACTIONS(2070),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [sym_primitive_type] = ACTIONS(2068),
    [anon_sym_else] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2068),
    [anon_sym_QMARK] = ACTIONS(2070),
    [anon_sym_LT_EQ_GT] = ACTIONS(2070),
    [anon_sym_or] = ACTIONS(2068),
    [anon_sym_and] = ACTIONS(2068),
    [anon_sym_bitor] = ACTIONS(2068),
    [anon_sym_xor] = ACTIONS(2068),
    [anon_sym_bitand] = ACTIONS(2068),
    [anon_sym_not_eq] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2070),
    [anon_sym_PLUS_PLUS] = ACTIONS(2070),
    [anon_sym_DOT] = ACTIONS(2068),
    [anon_sym_DOT_STAR] = ACTIONS(2070),
    [anon_sym_DASH_GT] = ACTIONS(2070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_final] = ACTIONS(2068),
    [anon_sym_override] = ACTIONS(2068),
    [anon_sym_requires] = ACTIONS(2068),
  },
  [2444] = {
    [sym_identifier] = ACTIONS(1939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1941),
    [anon_sym_COMMA] = ACTIONS(1941),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1941),
    [anon_sym_STAR] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym_in] = ACTIONS(1939),
    [anon_sym_out] = ACTIONS(1939),
    [anon_sym_inout] = ACTIONS(1939),
    [anon_sym_virtual] = ACTIONS(1939),
    [anon_sym_extern] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1939),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1939),
    [anon_sym_EQ] = ACTIONS(1941),
    [anon_sym_register] = ACTIONS(1939),
    [anon_sym_inline] = ACTIONS(1939),
    [anon_sym___inline] = ACTIONS(1939),
    [anon_sym___inline__] = ACTIONS(1939),
    [anon_sym___forceinline] = ACTIONS(1939),
    [anon_sym_thread_local] = ACTIONS(1939),
    [anon_sym___thread] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_final] = ACTIONS(1939),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_template] = ACTIONS(1939),
    [anon_sym_GT2] = ACTIONS(1941),
    [anon_sym_operator] = ACTIONS(1939),
    [anon_sym_precise] = ACTIONS(1939),
    [anon_sym_shared] = ACTIONS(1939),
    [anon_sym_groupshared] = ACTIONS(1939),
    [anon_sym_uniform] = ACTIONS(1939),
    [anon_sym_row_major] = ACTIONS(1939),
    [anon_sym_column_major] = ACTIONS(1939),
    [anon_sym_globallycoherent] = ACTIONS(1939),
    [anon_sym_centroid] = ACTIONS(1939),
    [anon_sym_noperspective] = ACTIONS(1939),
    [anon_sym_nointerpolation] = ACTIONS(1939),
    [anon_sym_sample] = ACTIONS(1939),
    [anon_sym_linear] = ACTIONS(1939),
    [anon_sym_snorm] = ACTIONS(1939),
    [anon_sym_unorm] = ACTIONS(1939),
    [anon_sym_point] = ACTIONS(1939),
    [anon_sym_line] = ACTIONS(1939),
    [anon_sym_triangleadj] = ACTIONS(1939),
    [anon_sym_lineadj] = ACTIONS(1939),
    [anon_sym_triangle] = ACTIONS(1939),
  },
  [2445] = {
    [sym_template_argument_list] = STATE(2472),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4280),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym___cdecl] = ACTIONS(1959),
    [anon_sym___clrcall] = ACTIONS(1959),
    [anon_sym___stdcall] = ACTIONS(1959),
    [anon_sym___fastcall] = ACTIONS(1959),
    [anon_sym___thiscall] = ACTIONS(1959),
    [anon_sym___vectorcall] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(4285),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [2446] = {
    [sym_identifier] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym_in] = ACTIONS(1947),
    [anon_sym_out] = ACTIONS(1947),
    [anon_sym_inout] = ACTIONS(1947),
    [anon_sym_virtual] = ACTIONS(1947),
    [anon_sym_extern] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1949),
    [anon_sym___declspec] = ACTIONS(1947),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1947),
    [anon_sym_EQ] = ACTIONS(1949),
    [anon_sym_register] = ACTIONS(1947),
    [anon_sym_inline] = ACTIONS(1947),
    [anon_sym___inline] = ACTIONS(1947),
    [anon_sym___inline__] = ACTIONS(1947),
    [anon_sym___forceinline] = ACTIONS(1947),
    [anon_sym_thread_local] = ACTIONS(1947),
    [anon_sym___thread] = ACTIONS(1947),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_final] = ACTIONS(1947),
    [anon_sym_override] = ACTIONS(1947),
    [anon_sym_template] = ACTIONS(1947),
    [anon_sym_GT2] = ACTIONS(1949),
    [anon_sym_operator] = ACTIONS(1947),
    [anon_sym_precise] = ACTIONS(1947),
    [anon_sym_shared] = ACTIONS(1947),
    [anon_sym_groupshared] = ACTIONS(1947),
    [anon_sym_uniform] = ACTIONS(1947),
    [anon_sym_row_major] = ACTIONS(1947),
    [anon_sym_column_major] = ACTIONS(1947),
    [anon_sym_globallycoherent] = ACTIONS(1947),
    [anon_sym_centroid] = ACTIONS(1947),
    [anon_sym_noperspective] = ACTIONS(1947),
    [anon_sym_nointerpolation] = ACTIONS(1947),
    [anon_sym_sample] = ACTIONS(1947),
    [anon_sym_linear] = ACTIONS(1947),
    [anon_sym_snorm] = ACTIONS(1947),
    [anon_sym_unorm] = ACTIONS(1947),
    [anon_sym_point] = ACTIONS(1947),
    [anon_sym_line] = ACTIONS(1947),
    [anon_sym_triangleadj] = ACTIONS(1947),
    [anon_sym_lineadj] = ACTIONS(1947),
    [anon_sym_triangle] = ACTIONS(1947),
  },
  [2447] = {
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_virtual] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_EQ] = ACTIONS(1923),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_final] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_template] = ACTIONS(1921),
    [anon_sym_GT2] = ACTIONS(1923),
    [anon_sym_operator] = ACTIONS(1921),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_groupshared] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_row_major] = ACTIONS(1921),
    [anon_sym_column_major] = ACTIONS(1921),
    [anon_sym_globallycoherent] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym_nointerpolation] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_linear] = ACTIONS(1921),
    [anon_sym_snorm] = ACTIONS(1921),
    [anon_sym_unorm] = ACTIONS(1921),
    [anon_sym_point] = ACTIONS(1921),
    [anon_sym_line] = ACTIONS(1921),
    [anon_sym_triangleadj] = ACTIONS(1921),
    [anon_sym_lineadj] = ACTIONS(1921),
    [anon_sym_triangle] = ACTIONS(1921),
  },
  [2448] = {
    [sym_identifier] = ACTIONS(6166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6168),
    [anon_sym_COMMA] = ACTIONS(6168),
    [anon_sym_RPAREN] = ACTIONS(6168),
    [aux_sym_preproc_if_token2] = ACTIONS(6168),
    [aux_sym_preproc_else_token1] = ACTIONS(6168),
    [aux_sym_preproc_elif_token1] = ACTIONS(6166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6168),
    [anon_sym_LPAREN2] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(6166),
    [anon_sym_PLUS] = ACTIONS(6166),
    [anon_sym_STAR] = ACTIONS(6166),
    [anon_sym_SLASH] = ACTIONS(6166),
    [anon_sym_PERCENT] = ACTIONS(6166),
    [anon_sym_PIPE_PIPE] = ACTIONS(6168),
    [anon_sym_AMP_AMP] = ACTIONS(6168),
    [anon_sym_PIPE] = ACTIONS(6166),
    [anon_sym_CARET] = ACTIONS(6166),
    [anon_sym_AMP] = ACTIONS(6166),
    [anon_sym_EQ_EQ] = ACTIONS(6168),
    [anon_sym_BANG_EQ] = ACTIONS(6168),
    [anon_sym_GT] = ACTIONS(6166),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_LT_EQ] = ACTIONS(6166),
    [anon_sym_LT] = ACTIONS(6166),
    [anon_sym_LT_LT] = ACTIONS(6166),
    [anon_sym_GT_GT] = ACTIONS(6166),
    [anon_sym_COLON] = ACTIONS(6168),
    [anon_sym_SEMI] = ACTIONS(6168),
    [anon_sym_RBRACE] = ACTIONS(6168),
    [anon_sym_LBRACK] = ACTIONS(6168),
    [anon_sym_RBRACK] = ACTIONS(6168),
    [anon_sym_EQ] = ACTIONS(6166),
    [anon_sym_QMARK] = ACTIONS(6168),
    [anon_sym_STAR_EQ] = ACTIONS(6168),
    [anon_sym_SLASH_EQ] = ACTIONS(6168),
    [anon_sym_PERCENT_EQ] = ACTIONS(6168),
    [anon_sym_PLUS_EQ] = ACTIONS(6168),
    [anon_sym_DASH_EQ] = ACTIONS(6168),
    [anon_sym_LT_LT_EQ] = ACTIONS(6168),
    [anon_sym_GT_GT_EQ] = ACTIONS(6168),
    [anon_sym_AMP_EQ] = ACTIONS(6168),
    [anon_sym_CARET_EQ] = ACTIONS(6168),
    [anon_sym_PIPE_EQ] = ACTIONS(6168),
    [anon_sym_and_eq] = ACTIONS(6166),
    [anon_sym_or_eq] = ACTIONS(6166),
    [anon_sym_xor_eq] = ACTIONS(6166),
    [anon_sym_LT_EQ_GT] = ACTIONS(6168),
    [anon_sym_or] = ACTIONS(6166),
    [anon_sym_and] = ACTIONS(6166),
    [anon_sym_bitor] = ACTIONS(6166),
    [anon_sym_xor] = ACTIONS(6166),
    [anon_sym_bitand] = ACTIONS(6166),
    [anon_sym_not_eq] = ACTIONS(6166),
    [anon_sym_DASH_DASH] = ACTIONS(6168),
    [anon_sym_PLUS_PLUS] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(6166),
    [anon_sym_DOT_STAR] = ACTIONS(6168),
    [anon_sym_DASH_GT] = ACTIONS(6168),
    [anon_sym_L_DQUOTE] = ACTIONS(6168),
    [anon_sym_u_DQUOTE] = ACTIONS(6168),
    [anon_sym_U_DQUOTE] = ACTIONS(6168),
    [anon_sym_u8_DQUOTE] = ACTIONS(6168),
    [anon_sym_DQUOTE] = ACTIONS(6168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6168),
    [anon_sym_LR_DQUOTE] = ACTIONS(6168),
    [anon_sym_uR_DQUOTE] = ACTIONS(6168),
    [anon_sym_UR_DQUOTE] = ACTIONS(6168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6168),
    [sym_literal_suffix] = ACTIONS(6166),
  },
  [2449] = {
    [sym_identifier] = ACTIONS(6170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6172),
    [anon_sym_COMMA] = ACTIONS(6172),
    [anon_sym_RPAREN] = ACTIONS(6172),
    [aux_sym_preproc_if_token2] = ACTIONS(6172),
    [aux_sym_preproc_else_token1] = ACTIONS(6172),
    [aux_sym_preproc_elif_token1] = ACTIONS(6170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6172),
    [anon_sym_LPAREN2] = ACTIONS(6172),
    [anon_sym_DASH] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6170),
    [anon_sym_STAR] = ACTIONS(6170),
    [anon_sym_SLASH] = ACTIONS(6170),
    [anon_sym_PERCENT] = ACTIONS(6170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6172),
    [anon_sym_AMP_AMP] = ACTIONS(6172),
    [anon_sym_PIPE] = ACTIONS(6170),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_AMP] = ACTIONS(6170),
    [anon_sym_EQ_EQ] = ACTIONS(6172),
    [anon_sym_BANG_EQ] = ACTIONS(6172),
    [anon_sym_GT] = ACTIONS(6170),
    [anon_sym_GT_EQ] = ACTIONS(6172),
    [anon_sym_LT_EQ] = ACTIONS(6170),
    [anon_sym_LT] = ACTIONS(6170),
    [anon_sym_LT_LT] = ACTIONS(6170),
    [anon_sym_GT_GT] = ACTIONS(6170),
    [anon_sym_COLON] = ACTIONS(6172),
    [anon_sym_SEMI] = ACTIONS(6172),
    [anon_sym_RBRACE] = ACTIONS(6172),
    [anon_sym_LBRACK] = ACTIONS(6172),
    [anon_sym_RBRACK] = ACTIONS(6172),
    [anon_sym_EQ] = ACTIONS(6170),
    [anon_sym_QMARK] = ACTIONS(6172),
    [anon_sym_STAR_EQ] = ACTIONS(6172),
    [anon_sym_SLASH_EQ] = ACTIONS(6172),
    [anon_sym_PERCENT_EQ] = ACTIONS(6172),
    [anon_sym_PLUS_EQ] = ACTIONS(6172),
    [anon_sym_DASH_EQ] = ACTIONS(6172),
    [anon_sym_LT_LT_EQ] = ACTIONS(6172),
    [anon_sym_GT_GT_EQ] = ACTIONS(6172),
    [anon_sym_AMP_EQ] = ACTIONS(6172),
    [anon_sym_CARET_EQ] = ACTIONS(6172),
    [anon_sym_PIPE_EQ] = ACTIONS(6172),
    [anon_sym_and_eq] = ACTIONS(6170),
    [anon_sym_or_eq] = ACTIONS(6170),
    [anon_sym_xor_eq] = ACTIONS(6170),
    [anon_sym_LT_EQ_GT] = ACTIONS(6172),
    [anon_sym_or] = ACTIONS(6170),
    [anon_sym_and] = ACTIONS(6170),
    [anon_sym_bitor] = ACTIONS(6170),
    [anon_sym_xor] = ACTIONS(6170),
    [anon_sym_bitand] = ACTIONS(6170),
    [anon_sym_not_eq] = ACTIONS(6170),
    [anon_sym_DASH_DASH] = ACTIONS(6172),
    [anon_sym_PLUS_PLUS] = ACTIONS(6172),
    [anon_sym_DOT] = ACTIONS(6170),
    [anon_sym_DOT_STAR] = ACTIONS(6172),
    [anon_sym_DASH_GT] = ACTIONS(6172),
    [anon_sym_L_DQUOTE] = ACTIONS(6172),
    [anon_sym_u_DQUOTE] = ACTIONS(6172),
    [anon_sym_U_DQUOTE] = ACTIONS(6172),
    [anon_sym_u8_DQUOTE] = ACTIONS(6172),
    [anon_sym_DQUOTE] = ACTIONS(6172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6172),
    [anon_sym_LR_DQUOTE] = ACTIONS(6172),
    [anon_sym_uR_DQUOTE] = ACTIONS(6172),
    [anon_sym_UR_DQUOTE] = ACTIONS(6172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6172),
    [sym_literal_suffix] = ACTIONS(6170),
  },
  [2450] = {
    [sym_identifier] = ACTIONS(5702),
    [anon_sym___extension__] = ACTIONS(5702),
    [anon_sym_in] = ACTIONS(5702),
    [anon_sym_out] = ACTIONS(5702),
    [anon_sym_inout] = ACTIONS(5702),
    [anon_sym_virtual] = ACTIONS(5702),
    [anon_sym_extern] = ACTIONS(5702),
    [anon_sym___attribute__] = ACTIONS(5702),
    [anon_sym_COLON_COLON] = ACTIONS(5708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5708),
    [anon_sym___declspec] = ACTIONS(5702),
    [anon_sym___cdecl] = ACTIONS(5702),
    [anon_sym___clrcall] = ACTIONS(5702),
    [anon_sym___stdcall] = ACTIONS(5702),
    [anon_sym___fastcall] = ACTIONS(5702),
    [anon_sym___thiscall] = ACTIONS(5702),
    [anon_sym___vectorcall] = ACTIONS(5702),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(5702),
    [anon_sym_register] = ACTIONS(5702),
    [anon_sym_inline] = ACTIONS(5702),
    [anon_sym___inline] = ACTIONS(5702),
    [anon_sym___inline__] = ACTIONS(5702),
    [anon_sym___forceinline] = ACTIONS(5702),
    [anon_sym_thread_local] = ACTIONS(5702),
    [anon_sym___thread] = ACTIONS(5702),
    [anon_sym_const] = ACTIONS(5702),
    [anon_sym_constexpr] = ACTIONS(5702),
    [anon_sym_volatile] = ACTIONS(5702),
    [anon_sym_restrict] = ACTIONS(5702),
    [anon_sym___restrict__] = ACTIONS(5702),
    [anon_sym__Atomic] = ACTIONS(5702),
    [anon_sym__Noreturn] = ACTIONS(5702),
    [anon_sym_noreturn] = ACTIONS(5702),
    [anon_sym__Nonnull] = ACTIONS(5702),
    [anon_sym_mutable] = ACTIONS(5702),
    [anon_sym_constinit] = ACTIONS(5702),
    [anon_sym_consteval] = ACTIONS(5702),
    [anon_sym_alignas] = ACTIONS(5702),
    [anon_sym__Alignas] = ACTIONS(5702),
    [sym_primitive_type] = ACTIONS(5702),
    [anon_sym_enum] = ACTIONS(5702),
    [anon_sym_class] = ACTIONS(5702),
    [anon_sym_struct] = ACTIONS(5702),
    [anon_sym_union] = ACTIONS(5702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5702),
    [anon_sym_decltype] = ACTIONS(5702),
    [anon_sym_typename] = ACTIONS(5702),
    [anon_sym_template] = ACTIONS(5702),
    [anon_sym_precise] = ACTIONS(5702),
    [anon_sym_shared] = ACTIONS(5702),
    [anon_sym_groupshared] = ACTIONS(5702),
    [anon_sym_uniform] = ACTIONS(5702),
    [anon_sym_row_major] = ACTIONS(5702),
    [anon_sym_column_major] = ACTIONS(5702),
    [anon_sym_globallycoherent] = ACTIONS(5702),
    [anon_sym_centroid] = ACTIONS(5702),
    [anon_sym_noperspective] = ACTIONS(5702),
    [anon_sym_nointerpolation] = ACTIONS(5702),
    [anon_sym_sample] = ACTIONS(5702),
    [anon_sym_linear] = ACTIONS(5702),
    [anon_sym_snorm] = ACTIONS(5702),
    [anon_sym_unorm] = ACTIONS(5702),
    [anon_sym_point] = ACTIONS(5702),
    [anon_sym_line] = ACTIONS(5702),
    [anon_sym_triangleadj] = ACTIONS(5702),
    [anon_sym_lineadj] = ACTIONS(5702),
    [anon_sym_triangle] = ACTIONS(5702),
  },
  [2451] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2051),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2049),
    [anon_sym_PERCENT] = ACTIONS(2051),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_PIPE] = ACTIONS(2049),
    [anon_sym_CARET] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_EQ_EQ] = ACTIONS(2051),
    [anon_sym_BANG_EQ] = ACTIONS(2051),
    [anon_sym_GT] = ACTIONS(2049),
    [anon_sym_GT_EQ] = ACTIONS(2051),
    [anon_sym_LT_EQ] = ACTIONS(2049),
    [anon_sym_LT] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2051),
    [anon_sym_GT_GT] = ACTIONS(2051),
    [anon_sym_COLON] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_QMARK] = ACTIONS(2051),
    [anon_sym_LT_EQ_GT] = ACTIONS(2051),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [anon_sym_bitor] = ACTIONS(2049),
    [anon_sym_xor] = ACTIONS(2049),
    [anon_sym_bitand] = ACTIONS(2049),
    [anon_sym_not_eq] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_DOT] = ACTIONS(2049),
    [anon_sym_DOT_STAR] = ACTIONS(2051),
    [anon_sym_DASH_GT] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
  },
  [2452] = {
    [sym_template_argument_list] = STATE(2483),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_LPAREN2] = ACTIONS(4098),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_AMP] = ACTIONS(4075),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(5546),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4098),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(5983),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [2453] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2242),
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym___extension__] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_out] = ACTIONS(5670),
    [anon_sym_inout] = ACTIONS(5670),
    [anon_sym_virtual] = ACTIONS(5670),
    [anon_sym_extern] = ACTIONS(5670),
    [anon_sym___attribute__] = ACTIONS(5670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5673),
    [anon_sym___declspec] = ACTIONS(5670),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(5591),
    [anon_sym_unsigned] = ACTIONS(5591),
    [anon_sym_long] = ACTIONS(5591),
    [anon_sym_short] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5670),
    [anon_sym_static] = ACTIONS(5670),
    [anon_sym_register] = ACTIONS(5670),
    [anon_sym_inline] = ACTIONS(5670),
    [anon_sym___inline] = ACTIONS(5670),
    [anon_sym___inline__] = ACTIONS(5670),
    [anon_sym___forceinline] = ACTIONS(5670),
    [anon_sym_thread_local] = ACTIONS(5670),
    [anon_sym___thread] = ACTIONS(5670),
    [anon_sym_const] = ACTIONS(5670),
    [anon_sym_constexpr] = ACTIONS(5670),
    [anon_sym_volatile] = ACTIONS(5670),
    [anon_sym_restrict] = ACTIONS(5670),
    [anon_sym___restrict__] = ACTIONS(5670),
    [anon_sym__Atomic] = ACTIONS(5670),
    [anon_sym__Noreturn] = ACTIONS(5670),
    [anon_sym_noreturn] = ACTIONS(5670),
    [anon_sym__Nonnull] = ACTIONS(5670),
    [anon_sym_mutable] = ACTIONS(5670),
    [anon_sym_constinit] = ACTIONS(5670),
    [anon_sym_consteval] = ACTIONS(5670),
    [anon_sym_alignas] = ACTIONS(5670),
    [anon_sym__Alignas] = ACTIONS(5670),
    [sym_primitive_type] = ACTIONS(5587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5670),
    [anon_sym_decltype] = ACTIONS(5670),
    [anon_sym_final] = ACTIONS(5670),
    [anon_sym_override] = ACTIONS(5670),
    [anon_sym_GT2] = ACTIONS(5673),
    [anon_sym_requires] = ACTIONS(5670),
    [anon_sym_precise] = ACTIONS(5670),
    [anon_sym_shared] = ACTIONS(5670),
    [anon_sym_groupshared] = ACTIONS(5670),
    [anon_sym_uniform] = ACTIONS(5670),
    [anon_sym_row_major] = ACTIONS(5670),
    [anon_sym_column_major] = ACTIONS(5670),
    [anon_sym_globallycoherent] = ACTIONS(5670),
    [anon_sym_centroid] = ACTIONS(5670),
    [anon_sym_noperspective] = ACTIONS(5670),
    [anon_sym_nointerpolation] = ACTIONS(5670),
    [anon_sym_sample] = ACTIONS(5670),
    [anon_sym_linear] = ACTIONS(5670),
    [anon_sym_snorm] = ACTIONS(5670),
    [anon_sym_unorm] = ACTIONS(5670),
    [anon_sym_point] = ACTIONS(5670),
    [anon_sym_line] = ACTIONS(5670),
    [anon_sym_triangleadj] = ACTIONS(5670),
    [anon_sym_lineadj] = ACTIONS(5670),
    [anon_sym_triangle] = ACTIONS(5670),
  },
  [2454] = {
    [sym_identifier] = ACTIONS(6174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6176),
    [anon_sym_RPAREN] = ACTIONS(6176),
    [aux_sym_preproc_if_token2] = ACTIONS(6176),
    [aux_sym_preproc_else_token1] = ACTIONS(6176),
    [aux_sym_preproc_elif_token1] = ACTIONS(6174),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6176),
    [anon_sym_LPAREN2] = ACTIONS(6176),
    [anon_sym_DASH] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_STAR] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_PIPE] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6174),
    [anon_sym_GT_EQ] = ACTIONS(6176),
    [anon_sym_LT_EQ] = ACTIONS(6174),
    [anon_sym_LT] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6176),
    [anon_sym_RBRACE] = ACTIONS(6176),
    [anon_sym_LBRACK] = ACTIONS(6176),
    [anon_sym_RBRACK] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6176),
    [anon_sym_STAR_EQ] = ACTIONS(6176),
    [anon_sym_SLASH_EQ] = ACTIONS(6176),
    [anon_sym_PERCENT_EQ] = ACTIONS(6176),
    [anon_sym_PLUS_EQ] = ACTIONS(6176),
    [anon_sym_DASH_EQ] = ACTIONS(6176),
    [anon_sym_LT_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT_GT_EQ] = ACTIONS(6176),
    [anon_sym_AMP_EQ] = ACTIONS(6176),
    [anon_sym_CARET_EQ] = ACTIONS(6176),
    [anon_sym_PIPE_EQ] = ACTIONS(6176),
    [anon_sym_and_eq] = ACTIONS(6174),
    [anon_sym_or_eq] = ACTIONS(6174),
    [anon_sym_xor_eq] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6176),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_bitor] = ACTIONS(6174),
    [anon_sym_xor] = ACTIONS(6174),
    [anon_sym_bitand] = ACTIONS(6174),
    [anon_sym_not_eq] = ACTIONS(6174),
    [anon_sym_DASH_DASH] = ACTIONS(6176),
    [anon_sym_PLUS_PLUS] = ACTIONS(6176),
    [anon_sym_DOT] = ACTIONS(6174),
    [anon_sym_DOT_STAR] = ACTIONS(6176),
    [anon_sym_DASH_GT] = ACTIONS(6176),
    [anon_sym_L_DQUOTE] = ACTIONS(6176),
    [anon_sym_u_DQUOTE] = ACTIONS(6176),
    [anon_sym_U_DQUOTE] = ACTIONS(6176),
    [anon_sym_u8_DQUOTE] = ACTIONS(6176),
    [anon_sym_DQUOTE] = ACTIONS(6176),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6176),
    [anon_sym_LR_DQUOTE] = ACTIONS(6176),
    [anon_sym_uR_DQUOTE] = ACTIONS(6176),
    [anon_sym_UR_DQUOTE] = ACTIONS(6176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6176),
    [sym_literal_suffix] = ACTIONS(6174),
  },
  [2455] = {
    [sym_identifier] = ACTIONS(6160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6162),
    [anon_sym_COMMA] = ACTIONS(6162),
    [anon_sym_RPAREN] = ACTIONS(6162),
    [aux_sym_preproc_if_token2] = ACTIONS(6162),
    [aux_sym_preproc_else_token1] = ACTIONS(6162),
    [aux_sym_preproc_elif_token1] = ACTIONS(6160),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6162),
    [anon_sym_LPAREN2] = ACTIONS(6162),
    [anon_sym_DASH] = ACTIONS(6160),
    [anon_sym_PLUS] = ACTIONS(6160),
    [anon_sym_STAR] = ACTIONS(6160),
    [anon_sym_SLASH] = ACTIONS(6160),
    [anon_sym_PERCENT] = ACTIONS(6160),
    [anon_sym_PIPE_PIPE] = ACTIONS(6162),
    [anon_sym_AMP_AMP] = ACTIONS(6162),
    [anon_sym_PIPE] = ACTIONS(6160),
    [anon_sym_CARET] = ACTIONS(6160),
    [anon_sym_AMP] = ACTIONS(6160),
    [anon_sym_EQ_EQ] = ACTIONS(6162),
    [anon_sym_BANG_EQ] = ACTIONS(6162),
    [anon_sym_GT] = ACTIONS(6160),
    [anon_sym_GT_EQ] = ACTIONS(6162),
    [anon_sym_LT_EQ] = ACTIONS(6160),
    [anon_sym_LT] = ACTIONS(6160),
    [anon_sym_LT_LT] = ACTIONS(6160),
    [anon_sym_GT_GT] = ACTIONS(6160),
    [anon_sym_COLON] = ACTIONS(6162),
    [anon_sym_SEMI] = ACTIONS(6162),
    [anon_sym_RBRACE] = ACTIONS(6162),
    [anon_sym_LBRACK] = ACTIONS(6162),
    [anon_sym_RBRACK] = ACTIONS(6162),
    [anon_sym_EQ] = ACTIONS(6160),
    [anon_sym_QMARK] = ACTIONS(6162),
    [anon_sym_STAR_EQ] = ACTIONS(6162),
    [anon_sym_SLASH_EQ] = ACTIONS(6162),
    [anon_sym_PERCENT_EQ] = ACTIONS(6162),
    [anon_sym_PLUS_EQ] = ACTIONS(6162),
    [anon_sym_DASH_EQ] = ACTIONS(6162),
    [anon_sym_LT_LT_EQ] = ACTIONS(6162),
    [anon_sym_GT_GT_EQ] = ACTIONS(6162),
    [anon_sym_AMP_EQ] = ACTIONS(6162),
    [anon_sym_CARET_EQ] = ACTIONS(6162),
    [anon_sym_PIPE_EQ] = ACTIONS(6162),
    [anon_sym_and_eq] = ACTIONS(6160),
    [anon_sym_or_eq] = ACTIONS(6160),
    [anon_sym_xor_eq] = ACTIONS(6160),
    [anon_sym_LT_EQ_GT] = ACTIONS(6162),
    [anon_sym_or] = ACTIONS(6160),
    [anon_sym_and] = ACTIONS(6160),
    [anon_sym_bitor] = ACTIONS(6160),
    [anon_sym_xor] = ACTIONS(6160),
    [anon_sym_bitand] = ACTIONS(6160),
    [anon_sym_not_eq] = ACTIONS(6160),
    [anon_sym_DASH_DASH] = ACTIONS(6162),
    [anon_sym_PLUS_PLUS] = ACTIONS(6162),
    [anon_sym_DOT] = ACTIONS(6160),
    [anon_sym_DOT_STAR] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(6162),
    [anon_sym_L_DQUOTE] = ACTIONS(6162),
    [anon_sym_u_DQUOTE] = ACTIONS(6162),
    [anon_sym_U_DQUOTE] = ACTIONS(6162),
    [anon_sym_u8_DQUOTE] = ACTIONS(6162),
    [anon_sym_DQUOTE] = ACTIONS(6162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6162),
    [anon_sym_LR_DQUOTE] = ACTIONS(6162),
    [anon_sym_uR_DQUOTE] = ACTIONS(6162),
    [anon_sym_UR_DQUOTE] = ACTIONS(6162),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6162),
    [sym_literal_suffix] = ACTIONS(6160),
  },
  [2456] = {
    [sym_template_argument_list] = STATE(2477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4278),
    [anon_sym_COMMA] = ACTIONS(4278),
    [anon_sym_RPAREN] = ACTIONS(4280),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4283),
    [anon_sym_PERCENT] = ACTIONS(4283),
    [anon_sym_PIPE_PIPE] = ACTIONS(4278),
    [anon_sym_AMP_AMP] = ACTIONS(4280),
    [anon_sym_PIPE] = ACTIONS(4283),
    [anon_sym_CARET] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(4285),
    [anon_sym_EQ_EQ] = ACTIONS(4278),
    [anon_sym_BANG_EQ] = ACTIONS(4278),
    [anon_sym_GT] = ACTIONS(4283),
    [anon_sym_GT_EQ] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4283),
    [anon_sym_LT] = ACTIONS(6178),
    [anon_sym_LT_LT] = ACTIONS(4283),
    [anon_sym_GT_GT] = ACTIONS(4283),
    [anon_sym___extension__] = ACTIONS(1961),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [anon_sym_EQ] = ACTIONS(4283),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1961),
    [anon_sym_volatile] = ACTIONS(1961),
    [anon_sym_restrict] = ACTIONS(1961),
    [anon_sym___restrict__] = ACTIONS(1961),
    [anon_sym__Atomic] = ACTIONS(1961),
    [anon_sym__Noreturn] = ACTIONS(1961),
    [anon_sym_noreturn] = ACTIONS(1961),
    [anon_sym__Nonnull] = ACTIONS(1961),
    [anon_sym_mutable] = ACTIONS(1961),
    [anon_sym_constinit] = ACTIONS(1961),
    [anon_sym_consteval] = ACTIONS(1961),
    [anon_sym_alignas] = ACTIONS(1961),
    [anon_sym__Alignas] = ACTIONS(1961),
    [anon_sym_QMARK] = ACTIONS(4278),
    [anon_sym_STAR_EQ] = ACTIONS(4278),
    [anon_sym_SLASH_EQ] = ACTIONS(4278),
    [anon_sym_PERCENT_EQ] = ACTIONS(4278),
    [anon_sym_PLUS_EQ] = ACTIONS(4278),
    [anon_sym_DASH_EQ] = ACTIONS(4278),
    [anon_sym_LT_LT_EQ] = ACTIONS(4278),
    [anon_sym_GT_GT_EQ] = ACTIONS(4278),
    [anon_sym_AMP_EQ] = ACTIONS(4278),
    [anon_sym_CARET_EQ] = ACTIONS(4278),
    [anon_sym_PIPE_EQ] = ACTIONS(4278),
    [anon_sym_and_eq] = ACTIONS(4278),
    [anon_sym_or_eq] = ACTIONS(4278),
    [anon_sym_xor_eq] = ACTIONS(4278),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_or] = ACTIONS(4283),
    [anon_sym_and] = ACTIONS(4283),
    [anon_sym_bitor] = ACTIONS(4278),
    [anon_sym_xor] = ACTIONS(4283),
    [anon_sym_bitand] = ACTIONS(4278),
    [anon_sym_not_eq] = ACTIONS(4278),
    [anon_sym_DASH_DASH] = ACTIONS(4278),
    [anon_sym_PLUS_PLUS] = ACTIONS(4278),
    [anon_sym_DOT] = ACTIONS(4283),
    [anon_sym_DOT_STAR] = ACTIONS(4278),
    [anon_sym_DASH_GT] = ACTIONS(4283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1961),
    [anon_sym_decltype] = ACTIONS(1961),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4278),
  },
  [2457] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2457),
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5589),
    [anon_sym_COMMA] = ACTIONS(5589),
    [anon_sym_RPAREN] = ACTIONS(5589),
    [aux_sym_preproc_if_token2] = ACTIONS(5589),
    [aux_sym_preproc_else_token1] = ACTIONS(5589),
    [aux_sym_preproc_elif_token1] = ACTIONS(5587),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_DASH] = ACTIONS(5587),
    [anon_sym_PLUS] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5587),
    [anon_sym_SLASH] = ACTIONS(5587),
    [anon_sym_PERCENT] = ACTIONS(5587),
    [anon_sym_PIPE_PIPE] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_PIPE] = ACTIONS(5587),
    [anon_sym_CARET] = ACTIONS(5587),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym_EQ_EQ] = ACTIONS(5589),
    [anon_sym_BANG_EQ] = ACTIONS(5589),
    [anon_sym_GT] = ACTIONS(5587),
    [anon_sym_GT_EQ] = ACTIONS(5589),
    [anon_sym_LT_EQ] = ACTIONS(5587),
    [anon_sym_LT] = ACTIONS(5587),
    [anon_sym_LT_LT] = ACTIONS(5587),
    [anon_sym_GT_GT] = ACTIONS(5587),
    [anon_sym_COLON] = ACTIONS(5589),
    [anon_sym_SEMI] = ACTIONS(5589),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_RBRACE] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(6181),
    [anon_sym_unsigned] = ACTIONS(6181),
    [anon_sym_long] = ACTIONS(6181),
    [anon_sym_short] = ACTIONS(6181),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_RBRACK] = ACTIONS(5589),
    [anon_sym_EQ] = ACTIONS(5587),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_QMARK] = ACTIONS(5589),
    [anon_sym_STAR_EQ] = ACTIONS(5589),
    [anon_sym_SLASH_EQ] = ACTIONS(5589),
    [anon_sym_PERCENT_EQ] = ACTIONS(5589),
    [anon_sym_PLUS_EQ] = ACTIONS(5589),
    [anon_sym_DASH_EQ] = ACTIONS(5589),
    [anon_sym_LT_LT_EQ] = ACTIONS(5589),
    [anon_sym_GT_GT_EQ] = ACTIONS(5589),
    [anon_sym_AMP_EQ] = ACTIONS(5589),
    [anon_sym_CARET_EQ] = ACTIONS(5589),
    [anon_sym_PIPE_EQ] = ACTIONS(5589),
    [anon_sym_and_eq] = ACTIONS(5587),
    [anon_sym_or_eq] = ACTIONS(5587),
    [anon_sym_xor_eq] = ACTIONS(5587),
    [anon_sym_LT_EQ_GT] = ACTIONS(5589),
    [anon_sym_or] = ACTIONS(5587),
    [anon_sym_and] = ACTIONS(5587),
    [anon_sym_bitor] = ACTIONS(5587),
    [anon_sym_xor] = ACTIONS(5587),
    [anon_sym_bitand] = ACTIONS(5587),
    [anon_sym_not_eq] = ACTIONS(5587),
    [anon_sym_DASH_DASH] = ACTIONS(5589),
    [anon_sym_PLUS_PLUS] = ACTIONS(5589),
    [anon_sym_DOT] = ACTIONS(5587),
    [anon_sym_DOT_STAR] = ACTIONS(5589),
    [anon_sym_DASH_GT] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
  },
  [2458] = {
    [sym_template_argument_list] = STATE(2485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4280),
    [anon_sym_COMMA] = ACTIONS(4280),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4283),
    [anon_sym_PERCENT] = ACTIONS(4283),
    [anon_sym_PIPE_PIPE] = ACTIONS(4278),
    [anon_sym_AMP_AMP] = ACTIONS(4280),
    [anon_sym_PIPE] = ACTIONS(4283),
    [anon_sym_CARET] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(4285),
    [anon_sym_EQ_EQ] = ACTIONS(4278),
    [anon_sym_BANG_EQ] = ACTIONS(4278),
    [anon_sym_GT] = ACTIONS(4283),
    [anon_sym_GT_EQ] = ACTIONS(4283),
    [anon_sym_LT_EQ] = ACTIONS(4283),
    [anon_sym_LT] = ACTIONS(6184),
    [anon_sym_LT_LT] = ACTIONS(4283),
    [anon_sym_GT_GT] = ACTIONS(4283),
    [anon_sym___extension__] = ACTIONS(1961),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [anon_sym_EQ] = ACTIONS(4283),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1961),
    [anon_sym_volatile] = ACTIONS(1961),
    [anon_sym_restrict] = ACTIONS(1961),
    [anon_sym___restrict__] = ACTIONS(1961),
    [anon_sym__Atomic] = ACTIONS(1961),
    [anon_sym__Noreturn] = ACTIONS(1961),
    [anon_sym_noreturn] = ACTIONS(1961),
    [anon_sym__Nonnull] = ACTIONS(1961),
    [anon_sym_mutable] = ACTIONS(1961),
    [anon_sym_constinit] = ACTIONS(1961),
    [anon_sym_consteval] = ACTIONS(1961),
    [anon_sym_alignas] = ACTIONS(1961),
    [anon_sym__Alignas] = ACTIONS(1961),
    [anon_sym_QMARK] = ACTIONS(4278),
    [anon_sym_STAR_EQ] = ACTIONS(4278),
    [anon_sym_SLASH_EQ] = ACTIONS(4278),
    [anon_sym_PERCENT_EQ] = ACTIONS(4278),
    [anon_sym_PLUS_EQ] = ACTIONS(4278),
    [anon_sym_DASH_EQ] = ACTIONS(4278),
    [anon_sym_LT_LT_EQ] = ACTIONS(4278),
    [anon_sym_GT_GT_EQ] = ACTIONS(4283),
    [anon_sym_AMP_EQ] = ACTIONS(4278),
    [anon_sym_CARET_EQ] = ACTIONS(4278),
    [anon_sym_PIPE_EQ] = ACTIONS(4278),
    [anon_sym_and_eq] = ACTIONS(4278),
    [anon_sym_or_eq] = ACTIONS(4278),
    [anon_sym_xor_eq] = ACTIONS(4278),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_or] = ACTIONS(4283),
    [anon_sym_and] = ACTIONS(4283),
    [anon_sym_bitor] = ACTIONS(4278),
    [anon_sym_xor] = ACTIONS(4283),
    [anon_sym_bitand] = ACTIONS(4278),
    [anon_sym_not_eq] = ACTIONS(4278),
    [anon_sym_DASH_DASH] = ACTIONS(4278),
    [anon_sym_PLUS_PLUS] = ACTIONS(4278),
    [anon_sym_DOT] = ACTIONS(4283),
    [anon_sym_DOT_STAR] = ACTIONS(4278),
    [anon_sym_DASH_GT] = ACTIONS(4278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1961),
    [anon_sym_decltype] = ACTIONS(1961),
    [anon_sym_GT2] = ACTIONS(4280),
  },
  [2459] = {
    [sym_template_argument_list] = STATE(2483),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1961),
    [anon_sym_COMMA] = ACTIONS(1961),
    [anon_sym_RPAREN] = ACTIONS(4280),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4280),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(4285),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1961),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [2460] = {
    [sym_identifier] = ACTIONS(2076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2078),
    [anon_sym_COMMA] = ACTIONS(2078),
    [anon_sym_RPAREN] = ACTIONS(2078),
    [anon_sym_LPAREN2] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_SLASH] = ACTIONS(2076),
    [anon_sym_PERCENT] = ACTIONS(2078),
    [anon_sym_PIPE_PIPE] = ACTIONS(2078),
    [anon_sym_AMP_AMP] = ACTIONS(2078),
    [anon_sym_PIPE] = ACTIONS(2076),
    [anon_sym_CARET] = ACTIONS(2078),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_EQ_EQ] = ACTIONS(2078),
    [anon_sym_BANG_EQ] = ACTIONS(2078),
    [anon_sym_GT] = ACTIONS(2076),
    [anon_sym_GT_EQ] = ACTIONS(2078),
    [anon_sym_LT_EQ] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2076),
    [anon_sym_LT_LT] = ACTIONS(2078),
    [anon_sym_GT_GT] = ACTIONS(2078),
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym___extension__] = ACTIONS(2076),
    [anon_sym___attribute__] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym___based] = ACTIONS(2076),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_RBRACE] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2076),
    [anon_sym_unsigned] = ACTIONS(2076),
    [anon_sym_long] = ACTIONS(2076),
    [anon_sym_short] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2078),
    [anon_sym_RBRACK] = ACTIONS(2078),
    [anon_sym_const] = ACTIONS(2076),
    [anon_sym_constexpr] = ACTIONS(2076),
    [anon_sym_volatile] = ACTIONS(2076),
    [anon_sym_restrict] = ACTIONS(2076),
    [anon_sym___restrict__] = ACTIONS(2076),
    [anon_sym__Atomic] = ACTIONS(2076),
    [anon_sym__Noreturn] = ACTIONS(2076),
    [anon_sym_noreturn] = ACTIONS(2076),
    [anon_sym__Nonnull] = ACTIONS(2076),
    [anon_sym_mutable] = ACTIONS(2076),
    [anon_sym_constinit] = ACTIONS(2076),
    [anon_sym_consteval] = ACTIONS(2076),
    [anon_sym_alignas] = ACTIONS(2076),
    [anon_sym__Alignas] = ACTIONS(2076),
    [sym_primitive_type] = ACTIONS(2076),
    [anon_sym_QMARK] = ACTIONS(2078),
    [anon_sym_LT_EQ_GT] = ACTIONS(2078),
    [anon_sym_or] = ACTIONS(2076),
    [anon_sym_and] = ACTIONS(2076),
    [anon_sym_bitor] = ACTIONS(2076),
    [anon_sym_xor] = ACTIONS(2076),
    [anon_sym_bitand] = ACTIONS(2076),
    [anon_sym_not_eq] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2078),
    [anon_sym_PLUS_PLUS] = ACTIONS(2078),
    [anon_sym_DOT] = ACTIONS(2076),
    [anon_sym_DOT_STAR] = ACTIONS(2078),
    [anon_sym_DASH_GT] = ACTIONS(2078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2076),
    [anon_sym_decltype] = ACTIONS(2076),
    [anon_sym_final] = ACTIONS(2076),
    [anon_sym_override] = ACTIONS(2076),
    [anon_sym_requires] = ACTIONS(2076),
  },
  [2461] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_RBRACK] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_final] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
  },
  [2462] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_RBRACK] = ACTIONS(2320),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [anon_sym___asm] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
  },
  [2463] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_out] = ACTIONS(5676),
    [anon_sym_inout] = ACTIONS(5676),
    [anon_sym_virtual] = ACTIONS(5676),
    [anon_sym_extern] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(5678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5678),
    [anon_sym___declspec] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym___cdecl] = ACTIONS(5676),
    [anon_sym___clrcall] = ACTIONS(5676),
    [anon_sym___stdcall] = ACTIONS(5676),
    [anon_sym___fastcall] = ACTIONS(5676),
    [anon_sym___thiscall] = ACTIONS(5676),
    [anon_sym___vectorcall] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5676),
    [anon_sym_register] = ACTIONS(5676),
    [anon_sym_inline] = ACTIONS(5676),
    [anon_sym___inline] = ACTIONS(5676),
    [anon_sym___inline__] = ACTIONS(5676),
    [anon_sym___forceinline] = ACTIONS(5676),
    [anon_sym_thread_local] = ACTIONS(5676),
    [anon_sym___thread] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5676),
    [anon_sym_shared] = ACTIONS(5676),
    [anon_sym_groupshared] = ACTIONS(5676),
    [anon_sym_uniform] = ACTIONS(5676),
    [anon_sym_row_major] = ACTIONS(5676),
    [anon_sym_column_major] = ACTIONS(5676),
    [anon_sym_globallycoherent] = ACTIONS(5676),
    [anon_sym_centroid] = ACTIONS(5676),
    [anon_sym_noperspective] = ACTIONS(5676),
    [anon_sym_nointerpolation] = ACTIONS(5676),
    [anon_sym_sample] = ACTIONS(5676),
    [anon_sym_linear] = ACTIONS(5676),
    [anon_sym_snorm] = ACTIONS(5676),
    [anon_sym_unorm] = ACTIONS(5676),
    [anon_sym_point] = ACTIONS(5676),
    [anon_sym_line] = ACTIONS(5676),
    [anon_sym_triangleadj] = ACTIONS(5676),
    [anon_sym_lineadj] = ACTIONS(5676),
    [anon_sym_triangle] = ACTIONS(5676),
  },
  [2464] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [aux_sym_preproc_if_token2] = ACTIONS(4077),
    [aux_sym_preproc_else_token1] = ACTIONS(4077),
    [aux_sym_preproc_elif_token1] = ACTIONS(4085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(6187),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(6190),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(6192),
    [anon_sym_SLASH_EQ] = ACTIONS(6192),
    [anon_sym_PERCENT_EQ] = ACTIONS(6192),
    [anon_sym_PLUS_EQ] = ACTIONS(6192),
    [anon_sym_DASH_EQ] = ACTIONS(6192),
    [anon_sym_LT_LT_EQ] = ACTIONS(6192),
    [anon_sym_GT_GT_EQ] = ACTIONS(6192),
    [anon_sym_AMP_EQ] = ACTIONS(6192),
    [anon_sym_CARET_EQ] = ACTIONS(6192),
    [anon_sym_PIPE_EQ] = ACTIONS(6192),
    [anon_sym_and_eq] = ACTIONS(6190),
    [anon_sym_or_eq] = ACTIONS(6190),
    [anon_sym_xor_eq] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4085),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4085),
    [anon_sym_not_eq] = ACTIONS(4085),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2465] = {
    [sym_identifier] = ACTIONS(1939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1941),
    [anon_sym_COMMA] = ACTIONS(1941),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1941),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1941),
    [anon_sym_PIPE_PIPE] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1941),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1941),
    [anon_sym_GT_GT] = ACTIONS(1941),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1941),
    [anon_sym___extension__] = ACTIONS(1939),
    [anon_sym___attribute__] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1941),
    [anon_sym___based] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_RBRACE] = ACTIONS(1941),
    [anon_sym_signed] = ACTIONS(1939),
    [anon_sym_unsigned] = ACTIONS(1939),
    [anon_sym_long] = ACTIONS(1939),
    [anon_sym_short] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1941),
    [anon_sym_RBRACK] = ACTIONS(1941),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_constexpr] = ACTIONS(1939),
    [anon_sym_volatile] = ACTIONS(1939),
    [anon_sym_restrict] = ACTIONS(1939),
    [anon_sym___restrict__] = ACTIONS(1939),
    [anon_sym__Atomic] = ACTIONS(1939),
    [anon_sym__Noreturn] = ACTIONS(1939),
    [anon_sym_noreturn] = ACTIONS(1939),
    [anon_sym__Nonnull] = ACTIONS(1939),
    [anon_sym_mutable] = ACTIONS(1939),
    [anon_sym_constinit] = ACTIONS(1939),
    [anon_sym_consteval] = ACTIONS(1939),
    [anon_sym_alignas] = ACTIONS(1939),
    [anon_sym__Alignas] = ACTIONS(1939),
    [sym_primitive_type] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1941),
    [anon_sym_LT_EQ_GT] = ACTIONS(1941),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_bitor] = ACTIONS(1939),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_bitand] = ACTIONS(1939),
    [anon_sym_not_eq] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1941),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_DOT_STAR] = ACTIONS(1941),
    [anon_sym_DASH_GT] = ACTIONS(1941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1939),
    [anon_sym_decltype] = ACTIONS(1939),
    [anon_sym_final] = ACTIONS(1939),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_requires] = ACTIONS(1939),
  },
  [2466] = {
    [sym_identifier] = ACTIONS(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2074),
    [anon_sym_COMMA] = ACTIONS(2074),
    [anon_sym_RPAREN] = ACTIONS(2074),
    [anon_sym_LPAREN2] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_SLASH] = ACTIONS(2072),
    [anon_sym_PERCENT] = ACTIONS(2074),
    [anon_sym_PIPE_PIPE] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(2074),
    [anon_sym_PIPE] = ACTIONS(2072),
    [anon_sym_CARET] = ACTIONS(2074),
    [anon_sym_AMP] = ACTIONS(2072),
    [anon_sym_EQ_EQ] = ACTIONS(2074),
    [anon_sym_BANG_EQ] = ACTIONS(2074),
    [anon_sym_GT] = ACTIONS(2072),
    [anon_sym_GT_EQ] = ACTIONS(2074),
    [anon_sym_LT_EQ] = ACTIONS(2072),
    [anon_sym_LT] = ACTIONS(2072),
    [anon_sym_LT_LT] = ACTIONS(2074),
    [anon_sym_GT_GT] = ACTIONS(2074),
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2074),
    [anon_sym___extension__] = ACTIONS(2072),
    [anon_sym___attribute__] = ACTIONS(2072),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym___based] = ACTIONS(2072),
    [anon_sym_LBRACE] = ACTIONS(2074),
    [anon_sym_RBRACE] = ACTIONS(2074),
    [anon_sym_signed] = ACTIONS(2072),
    [anon_sym_unsigned] = ACTIONS(2072),
    [anon_sym_long] = ACTIONS(2072),
    [anon_sym_short] = ACTIONS(2072),
    [anon_sym_LBRACK] = ACTIONS(2074),
    [anon_sym_RBRACK] = ACTIONS(2074),
    [anon_sym_const] = ACTIONS(2072),
    [anon_sym_constexpr] = ACTIONS(2072),
    [anon_sym_volatile] = ACTIONS(2072),
    [anon_sym_restrict] = ACTIONS(2072),
    [anon_sym___restrict__] = ACTIONS(2072),
    [anon_sym__Atomic] = ACTIONS(2072),
    [anon_sym__Noreturn] = ACTIONS(2072),
    [anon_sym_noreturn] = ACTIONS(2072),
    [anon_sym__Nonnull] = ACTIONS(2072),
    [anon_sym_mutable] = ACTIONS(2072),
    [anon_sym_constinit] = ACTIONS(2072),
    [anon_sym_consteval] = ACTIONS(2072),
    [anon_sym_alignas] = ACTIONS(2072),
    [anon_sym__Alignas] = ACTIONS(2072),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_QMARK] = ACTIONS(2074),
    [anon_sym_LT_EQ_GT] = ACTIONS(2074),
    [anon_sym_or] = ACTIONS(2072),
    [anon_sym_and] = ACTIONS(2072),
    [anon_sym_bitor] = ACTIONS(2072),
    [anon_sym_xor] = ACTIONS(2072),
    [anon_sym_bitand] = ACTIONS(2072),
    [anon_sym_not_eq] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2074),
    [anon_sym_PLUS_PLUS] = ACTIONS(2074),
    [anon_sym_DOT] = ACTIONS(2072),
    [anon_sym_DOT_STAR] = ACTIONS(2074),
    [anon_sym_DASH_GT] = ACTIONS(2074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2072),
    [anon_sym_decltype] = ACTIONS(2072),
    [anon_sym_final] = ACTIONS(2072),
    [anon_sym_override] = ACTIONS(2072),
    [anon_sym_requires] = ACTIONS(2072),
  },
  [2467] = {
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_PERCENT] = ACTIONS(1923),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_PIPE] = ACTIONS(1921),
    [anon_sym_CARET] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_EQ_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1923),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1921),
    [anon_sym_LT_LT] = ACTIONS(1923),
    [anon_sym_GT_GT] = ACTIONS(1923),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym___based] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_signed] = ACTIONS(1921),
    [anon_sym_unsigned] = ACTIONS(1921),
    [anon_sym_long] = ACTIONS(1921),
    [anon_sym_short] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1923),
    [anon_sym_RBRACK] = ACTIONS(1923),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [anon_sym__Nonnull] = ACTIONS(1921),
    [anon_sym_mutable] = ACTIONS(1921),
    [anon_sym_constinit] = ACTIONS(1921),
    [anon_sym_consteval] = ACTIONS(1921),
    [anon_sym_alignas] = ACTIONS(1921),
    [anon_sym__Alignas] = ACTIONS(1921),
    [sym_primitive_type] = ACTIONS(1921),
    [anon_sym_QMARK] = ACTIONS(1923),
    [anon_sym_LT_EQ_GT] = ACTIONS(1923),
    [anon_sym_or] = ACTIONS(1921),
    [anon_sym_and] = ACTIONS(1921),
    [anon_sym_bitor] = ACTIONS(1921),
    [anon_sym_xor] = ACTIONS(1921),
    [anon_sym_bitand] = ACTIONS(1921),
    [anon_sym_not_eq] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_DOT_STAR] = ACTIONS(1923),
    [anon_sym_DASH_GT] = ACTIONS(1923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1921),
    [anon_sym_decltype] = ACTIONS(1921),
    [anon_sym_final] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_requires] = ACTIONS(1921),
  },
  [2468] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2051),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2049),
    [anon_sym_PERCENT] = ACTIONS(2051),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_PIPE] = ACTIONS(2049),
    [anon_sym_CARET] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_EQ_EQ] = ACTIONS(2051),
    [anon_sym_BANG_EQ] = ACTIONS(2051),
    [anon_sym_GT] = ACTIONS(2049),
    [anon_sym_GT_EQ] = ACTIONS(2051),
    [anon_sym_LT_EQ] = ACTIONS(2049),
    [anon_sym_LT] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2051),
    [anon_sym_GT_GT] = ACTIONS(2051),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_QMARK] = ACTIONS(2051),
    [anon_sym_LT_EQ_GT] = ACTIONS(2051),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [anon_sym_bitor] = ACTIONS(2049),
    [anon_sym_xor] = ACTIONS(2049),
    [anon_sym_bitand] = ACTIONS(2049),
    [anon_sym_not_eq] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_DOT] = ACTIONS(2049),
    [anon_sym_DOT_STAR] = ACTIONS(2051),
    [anon_sym_DASH_GT] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
  },
  [2469] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5676),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_SLASH] = ACTIONS(5676),
    [anon_sym_PERCENT] = ACTIONS(5678),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5678),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5676),
    [anon_sym_LT_LT] = ACTIONS(5678),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_RBRACE] = ACTIONS(5678),
    [anon_sym_signed] = ACTIONS(5676),
    [anon_sym_unsigned] = ACTIONS(5676),
    [anon_sym_long] = ACTIONS(5676),
    [anon_sym_short] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_RBRACK] = ACTIONS(5678),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_primitive_type] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5676),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_bitor] = ACTIONS(5676),
    [anon_sym_xor] = ACTIONS(5676),
    [anon_sym_bitand] = ACTIONS(5676),
    [anon_sym_not_eq] = ACTIONS(5676),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_final] = ACTIONS(5676),
    [anon_sym_override] = ACTIONS(5676),
    [anon_sym_requires] = ACTIONS(5676),
  },
  [2470] = {
    [sym_attribute_specifier] = STATE(2709),
    [sym_field_declaration_list] = STATE(2602),
    [sym_virtual_specifier] = STATE(6992),
    [sym_base_class_clause] = STATE(7690),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5687),
    [anon_sym_COMMA] = ACTIONS(5687),
    [anon_sym_RPAREN] = ACTIONS(5687),
    [aux_sym_preproc_if_token2] = ACTIONS(5687),
    [aux_sym_preproc_else_token1] = ACTIONS(5687),
    [aux_sym_preproc_elif_token1] = ACTIONS(5685),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5687),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_DASH] = ACTIONS(5685),
    [anon_sym_PLUS] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(5685),
    [anon_sym_SLASH] = ACTIONS(5685),
    [anon_sym_PERCENT] = ACTIONS(5685),
    [anon_sym_PIPE_PIPE] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_PIPE] = ACTIONS(5685),
    [anon_sym_CARET] = ACTIONS(5685),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_EQ_EQ] = ACTIONS(5687),
    [anon_sym_BANG_EQ] = ACTIONS(5687),
    [anon_sym_GT] = ACTIONS(5685),
    [anon_sym_GT_EQ] = ACTIONS(5687),
    [anon_sym_LT_EQ] = ACTIONS(5685),
    [anon_sym_LT] = ACTIONS(5685),
    [anon_sym_LT_LT] = ACTIONS(5685),
    [anon_sym_GT_GT] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(6194),
    [anon_sym_SEMI] = ACTIONS(5687),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(6198),
    [anon_sym_RBRACE] = ACTIONS(5687),
    [anon_sym_LBRACK] = ACTIONS(5687),
    [anon_sym_RBRACK] = ACTIONS(5687),
    [anon_sym_EQ] = ACTIONS(5685),
    [anon_sym_QMARK] = ACTIONS(5687),
    [anon_sym_STAR_EQ] = ACTIONS(5687),
    [anon_sym_SLASH_EQ] = ACTIONS(5687),
    [anon_sym_PERCENT_EQ] = ACTIONS(5687),
    [anon_sym_PLUS_EQ] = ACTIONS(5687),
    [anon_sym_DASH_EQ] = ACTIONS(5687),
    [anon_sym_LT_LT_EQ] = ACTIONS(5687),
    [anon_sym_GT_GT_EQ] = ACTIONS(5687),
    [anon_sym_AMP_EQ] = ACTIONS(5687),
    [anon_sym_CARET_EQ] = ACTIONS(5687),
    [anon_sym_PIPE_EQ] = ACTIONS(5687),
    [anon_sym_and_eq] = ACTIONS(5685),
    [anon_sym_or_eq] = ACTIONS(5685),
    [anon_sym_xor_eq] = ACTIONS(5685),
    [anon_sym_LT_EQ_GT] = ACTIONS(5687),
    [anon_sym_or] = ACTIONS(5685),
    [anon_sym_and] = ACTIONS(5685),
    [anon_sym_bitor] = ACTIONS(5685),
    [anon_sym_xor] = ACTIONS(5685),
    [anon_sym_bitand] = ACTIONS(5685),
    [anon_sym_not_eq] = ACTIONS(5685),
    [anon_sym_DASH_DASH] = ACTIONS(5687),
    [anon_sym_PLUS_PLUS] = ACTIONS(5687),
    [anon_sym_DOT] = ACTIONS(5685),
    [anon_sym_DOT_STAR] = ACTIONS(5687),
    [anon_sym_DASH_GT] = ACTIONS(5687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
  },
  [2471] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2051),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2049),
    [anon_sym_PERCENT] = ACTIONS(2051),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_PIPE] = ACTIONS(2049),
    [anon_sym_CARET] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_EQ_EQ] = ACTIONS(2051),
    [anon_sym_BANG_EQ] = ACTIONS(2051),
    [anon_sym_GT] = ACTIONS(2049),
    [anon_sym_GT_EQ] = ACTIONS(2051),
    [anon_sym_LT_EQ] = ACTIONS(2049),
    [anon_sym_LT] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2051),
    [anon_sym_GT_GT] = ACTIONS(2051),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___extension__] = ACTIONS(2049),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym___based] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_signed] = ACTIONS(2049),
    [anon_sym_unsigned] = ACTIONS(2049),
    [anon_sym_long] = ACTIONS(2049),
    [anon_sym_short] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_constexpr] = ACTIONS(2049),
    [anon_sym_volatile] = ACTIONS(2049),
    [anon_sym_restrict] = ACTIONS(2049),
    [anon_sym___restrict__] = ACTIONS(2049),
    [anon_sym__Atomic] = ACTIONS(2049),
    [anon_sym__Noreturn] = ACTIONS(2049),
    [anon_sym_noreturn] = ACTIONS(2049),
    [anon_sym__Nonnull] = ACTIONS(2049),
    [anon_sym_mutable] = ACTIONS(2049),
    [anon_sym_constinit] = ACTIONS(2049),
    [anon_sym_consteval] = ACTIONS(2049),
    [anon_sym_alignas] = ACTIONS(2049),
    [anon_sym__Alignas] = ACTIONS(2049),
    [sym_primitive_type] = ACTIONS(2049),
    [anon_sym_QMARK] = ACTIONS(2051),
    [anon_sym_LT_EQ_GT] = ACTIONS(2051),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [anon_sym_bitor] = ACTIONS(2049),
    [anon_sym_xor] = ACTIONS(2049),
    [anon_sym_bitand] = ACTIONS(2049),
    [anon_sym_not_eq] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_DOT] = ACTIONS(2049),
    [anon_sym_DOT_STAR] = ACTIONS(2051),
    [anon_sym_DASH_GT] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_requires] = ACTIONS(2049),
  },
  [2472] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_AMP_AMP] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4371),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym___cdecl] = ACTIONS(2068),
    [anon_sym___clrcall] = ACTIONS(2068),
    [anon_sym___stdcall] = ACTIONS(2068),
    [anon_sym___fastcall] = ACTIONS(2068),
    [anon_sym___thiscall] = ACTIONS(2068),
    [anon_sym___vectorcall] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [2473] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_out] = ACTIONS(5676),
    [anon_sym_inout] = ACTIONS(5676),
    [anon_sym_virtual] = ACTIONS(5676),
    [anon_sym_extern] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5678),
    [anon_sym___declspec] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym___cdecl] = ACTIONS(5676),
    [anon_sym___clrcall] = ACTIONS(5676),
    [anon_sym___stdcall] = ACTIONS(5676),
    [anon_sym___fastcall] = ACTIONS(5676),
    [anon_sym___thiscall] = ACTIONS(5676),
    [anon_sym___vectorcall] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5676),
    [anon_sym_register] = ACTIONS(5676),
    [anon_sym_inline] = ACTIONS(5676),
    [anon_sym___inline] = ACTIONS(5676),
    [anon_sym___inline__] = ACTIONS(5676),
    [anon_sym___forceinline] = ACTIONS(5676),
    [anon_sym_thread_local] = ACTIONS(5676),
    [anon_sym___thread] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5676),
    [anon_sym_shared] = ACTIONS(5676),
    [anon_sym_groupshared] = ACTIONS(5676),
    [anon_sym_uniform] = ACTIONS(5676),
    [anon_sym_row_major] = ACTIONS(5676),
    [anon_sym_column_major] = ACTIONS(5676),
    [anon_sym_globallycoherent] = ACTIONS(5676),
    [anon_sym_centroid] = ACTIONS(5676),
    [anon_sym_noperspective] = ACTIONS(5676),
    [anon_sym_nointerpolation] = ACTIONS(5676),
    [anon_sym_sample] = ACTIONS(5676),
    [anon_sym_linear] = ACTIONS(5676),
    [anon_sym_snorm] = ACTIONS(5676),
    [anon_sym_unorm] = ACTIONS(5676),
    [anon_sym_point] = ACTIONS(5676),
    [anon_sym_line] = ACTIONS(5676),
    [anon_sym_triangleadj] = ACTIONS(5676),
    [anon_sym_lineadj] = ACTIONS(5676),
    [anon_sym_triangle] = ACTIONS(5676),
  },
  [2474] = {
    [sym_identifier] = ACTIONS(6200),
    [anon_sym_LPAREN2] = ACTIONS(6202),
    [anon_sym_STAR] = ACTIONS(6202),
    [anon_sym_AMP_AMP] = ACTIONS(6202),
    [anon_sym_AMP] = ACTIONS(6200),
    [anon_sym___extension__] = ACTIONS(6200),
    [anon_sym_in] = ACTIONS(6200),
    [anon_sym_out] = ACTIONS(6200),
    [anon_sym_inout] = ACTIONS(6200),
    [anon_sym_virtual] = ACTIONS(6200),
    [anon_sym_extern] = ACTIONS(6200),
    [anon_sym___attribute__] = ACTIONS(6200),
    [anon_sym_COLON_COLON] = ACTIONS(6202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6202),
    [anon_sym___declspec] = ACTIONS(6200),
    [anon_sym___based] = ACTIONS(6200),
    [anon_sym_signed] = ACTIONS(6200),
    [anon_sym_unsigned] = ACTIONS(6200),
    [anon_sym_long] = ACTIONS(6200),
    [anon_sym_short] = ACTIONS(6200),
    [anon_sym_static] = ACTIONS(6200),
    [anon_sym_register] = ACTIONS(6200),
    [anon_sym_inline] = ACTIONS(6200),
    [anon_sym___inline] = ACTIONS(6200),
    [anon_sym___inline__] = ACTIONS(6200),
    [anon_sym___forceinline] = ACTIONS(6200),
    [anon_sym_thread_local] = ACTIONS(6200),
    [anon_sym___thread] = ACTIONS(6200),
    [anon_sym_const] = ACTIONS(6200),
    [anon_sym_constexpr] = ACTIONS(6200),
    [anon_sym_volatile] = ACTIONS(6200),
    [anon_sym_restrict] = ACTIONS(6200),
    [anon_sym___restrict__] = ACTIONS(6200),
    [anon_sym__Atomic] = ACTIONS(6200),
    [anon_sym__Noreturn] = ACTIONS(6200),
    [anon_sym_noreturn] = ACTIONS(6200),
    [anon_sym__Nonnull] = ACTIONS(6200),
    [anon_sym_mutable] = ACTIONS(6200),
    [anon_sym_constinit] = ACTIONS(6200),
    [anon_sym_consteval] = ACTIONS(6200),
    [anon_sym_alignas] = ACTIONS(6200),
    [anon_sym__Alignas] = ACTIONS(6200),
    [sym_primitive_type] = ACTIONS(6200),
    [anon_sym_enum] = ACTIONS(6200),
    [anon_sym_class] = ACTIONS(6200),
    [anon_sym_struct] = ACTIONS(6200),
    [anon_sym_union] = ACTIONS(6200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6200),
    [anon_sym_decltype] = ACTIONS(6200),
    [anon_sym_typename] = ACTIONS(6200),
    [anon_sym_template] = ACTIONS(6200),
    [anon_sym_precise] = ACTIONS(6200),
    [anon_sym_shared] = ACTIONS(6200),
    [anon_sym_groupshared] = ACTIONS(6200),
    [anon_sym_uniform] = ACTIONS(6200),
    [anon_sym_row_major] = ACTIONS(6200),
    [anon_sym_column_major] = ACTIONS(6200),
    [anon_sym_globallycoherent] = ACTIONS(6200),
    [anon_sym_centroid] = ACTIONS(6200),
    [anon_sym_noperspective] = ACTIONS(6200),
    [anon_sym_nointerpolation] = ACTIONS(6200),
    [anon_sym_sample] = ACTIONS(6200),
    [anon_sym_linear] = ACTIONS(6200),
    [anon_sym_snorm] = ACTIONS(6200),
    [anon_sym_unorm] = ACTIONS(6200),
    [anon_sym_point] = ACTIONS(6200),
    [anon_sym_line] = ACTIONS(6200),
    [anon_sym_triangleadj] = ACTIONS(6200),
    [anon_sym_lineadj] = ACTIONS(6200),
    [anon_sym_triangle] = ACTIONS(6200),
  },
  [2475] = {
    [sym_decltype_auto] = STATE(2484),
    [sym_identifier] = ACTIONS(5767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5769),
    [anon_sym_COMMA] = ACTIONS(5769),
    [anon_sym_RPAREN] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [anon_sym_DASH] = ACTIONS(5767),
    [anon_sym_PLUS] = ACTIONS(5767),
    [anon_sym_STAR] = ACTIONS(5769),
    [anon_sym_SLASH] = ACTIONS(5767),
    [anon_sym_PERCENT] = ACTIONS(5769),
    [anon_sym_PIPE_PIPE] = ACTIONS(5769),
    [anon_sym_AMP_AMP] = ACTIONS(5769),
    [anon_sym_PIPE] = ACTIONS(5767),
    [anon_sym_CARET] = ACTIONS(5769),
    [anon_sym_AMP] = ACTIONS(5767),
    [anon_sym_EQ_EQ] = ACTIONS(5769),
    [anon_sym_BANG_EQ] = ACTIONS(5769),
    [anon_sym_GT] = ACTIONS(5767),
    [anon_sym_GT_EQ] = ACTIONS(5769),
    [anon_sym_LT_EQ] = ACTIONS(5767),
    [anon_sym_LT] = ACTIONS(5767),
    [anon_sym_LT_LT] = ACTIONS(5769),
    [anon_sym_GT_GT] = ACTIONS(5769),
    [anon_sym_COLON] = ACTIONS(5769),
    [anon_sym_SEMI] = ACTIONS(5769),
    [anon_sym___extension__] = ACTIONS(5767),
    [anon_sym___attribute__] = ACTIONS(5767),
    [anon_sym___based] = ACTIONS(5767),
    [anon_sym_LBRACE] = ACTIONS(5769),
    [anon_sym_RBRACE] = ACTIONS(5769),
    [anon_sym_signed] = ACTIONS(5767),
    [anon_sym_unsigned] = ACTIONS(5767),
    [anon_sym_long] = ACTIONS(5767),
    [anon_sym_short] = ACTIONS(5767),
    [anon_sym_LBRACK] = ACTIONS(5769),
    [anon_sym_RBRACK] = ACTIONS(5769),
    [anon_sym_const] = ACTIONS(5767),
    [anon_sym_constexpr] = ACTIONS(5767),
    [anon_sym_volatile] = ACTIONS(5767),
    [anon_sym_restrict] = ACTIONS(5767),
    [anon_sym___restrict__] = ACTIONS(5767),
    [anon_sym__Atomic] = ACTIONS(5767),
    [anon_sym__Noreturn] = ACTIONS(5767),
    [anon_sym_noreturn] = ACTIONS(5767),
    [anon_sym__Nonnull] = ACTIONS(5767),
    [anon_sym_mutable] = ACTIONS(5767),
    [anon_sym_constinit] = ACTIONS(5767),
    [anon_sym_consteval] = ACTIONS(5767),
    [anon_sym_alignas] = ACTIONS(5767),
    [anon_sym__Alignas] = ACTIONS(5767),
    [sym_primitive_type] = ACTIONS(5767),
    [anon_sym_QMARK] = ACTIONS(5769),
    [anon_sym_LT_EQ_GT] = ACTIONS(5769),
    [anon_sym_or] = ACTIONS(5767),
    [anon_sym_and] = ACTIONS(5767),
    [anon_sym_bitor] = ACTIONS(5767),
    [anon_sym_xor] = ACTIONS(5767),
    [anon_sym_bitand] = ACTIONS(5767),
    [anon_sym_not_eq] = ACTIONS(5767),
    [anon_sym_DASH_DASH] = ACTIONS(5769),
    [anon_sym_PLUS_PLUS] = ACTIONS(5769),
    [anon_sym_DOT] = ACTIONS(5767),
    [anon_sym_DOT_STAR] = ACTIONS(5769),
    [anon_sym_DASH_GT] = ACTIONS(5769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6204),
    [anon_sym_decltype] = ACTIONS(6206),
    [anon_sym_final] = ACTIONS(5767),
    [anon_sym_override] = ACTIONS(5767),
    [anon_sym_requires] = ACTIONS(5767),
  },
  [2476] = {
    [sym_identifier] = ACTIONS(5474),
    [anon_sym_LPAREN2] = ACTIONS(5476),
    [anon_sym_BANG] = ACTIONS(5476),
    [anon_sym_TILDE] = ACTIONS(5476),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym___extension__] = ACTIONS(5474),
    [anon_sym_COLON_COLON] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_static] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5474),
    [anon_sym_constexpr] = ACTIONS(5474),
    [anon_sym_volatile] = ACTIONS(5474),
    [anon_sym_restrict] = ACTIONS(5474),
    [anon_sym___restrict__] = ACTIONS(5474),
    [anon_sym__Atomic] = ACTIONS(5474),
    [anon_sym__Noreturn] = ACTIONS(5474),
    [anon_sym_noreturn] = ACTIONS(5474),
    [anon_sym__Nonnull] = ACTIONS(5474),
    [anon_sym_mutable] = ACTIONS(5474),
    [anon_sym_constinit] = ACTIONS(5474),
    [anon_sym_consteval] = ACTIONS(5474),
    [anon_sym_alignas] = ACTIONS(5474),
    [anon_sym__Alignas] = ACTIONS(5474),
    [sym_primitive_type] = ACTIONS(5474),
    [anon_sym_not] = ACTIONS(5474),
    [anon_sym_compl] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5476),
    [anon_sym_PLUS_PLUS] = ACTIONS(5476),
    [anon_sym_sizeof] = ACTIONS(5474),
    [anon_sym___alignof__] = ACTIONS(5474),
    [anon_sym___alignof] = ACTIONS(5474),
    [anon_sym__alignof] = ACTIONS(5474),
    [anon_sym_alignof] = ACTIONS(5474),
    [anon_sym__Alignof] = ACTIONS(5474),
    [anon_sym_offsetof] = ACTIONS(5474),
    [anon_sym__Generic] = ACTIONS(5474),
    [anon_sym_asm] = ACTIONS(5474),
    [anon_sym___asm__] = ACTIONS(5474),
    [anon_sym___asm] = ACTIONS(5474),
    [sym_number_literal] = ACTIONS(5476),
    [anon_sym_L_SQUOTE] = ACTIONS(5476),
    [anon_sym_u_SQUOTE] = ACTIONS(5476),
    [anon_sym_U_SQUOTE] = ACTIONS(5476),
    [anon_sym_u8_SQUOTE] = ACTIONS(5476),
    [anon_sym_SQUOTE] = ACTIONS(5476),
    [anon_sym_L_DQUOTE] = ACTIONS(5476),
    [anon_sym_u_DQUOTE] = ACTIONS(5476),
    [anon_sym_U_DQUOTE] = ACTIONS(5476),
    [anon_sym_u8_DQUOTE] = ACTIONS(5476),
    [anon_sym_DQUOTE] = ACTIONS(5476),
    [sym_true] = ACTIONS(5474),
    [sym_false] = ACTIONS(5474),
    [anon_sym_NULL] = ACTIONS(5474),
    [anon_sym_nullptr] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5474),
    [anon_sym_template] = ACTIONS(5474),
    [anon_sym_delete] = ACTIONS(5474),
    [anon_sym_R_DQUOTE] = ACTIONS(5476),
    [anon_sym_LR_DQUOTE] = ACTIONS(5476),
    [anon_sym_uR_DQUOTE] = ACTIONS(5476),
    [anon_sym_UR_DQUOTE] = ACTIONS(5476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5476),
    [anon_sym_co_await] = ACTIONS(5474),
    [anon_sym_new] = ACTIONS(5474),
    [anon_sym_requires] = ACTIONS(5474),
    [sym_this] = ACTIONS(5474),
  },
  [2477] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4369),
    [anon_sym_COMMA] = ACTIONS(4369),
    [anon_sym_RPAREN] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4376),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4374),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4374),
    [anon_sym_GT_GT] = ACTIONS(4374),
    [anon_sym___extension__] = ACTIONS(2070),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4374),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2070),
    [anon_sym_volatile] = ACTIONS(2070),
    [anon_sym_restrict] = ACTIONS(2070),
    [anon_sym___restrict__] = ACTIONS(2070),
    [anon_sym__Atomic] = ACTIONS(2070),
    [anon_sym__Noreturn] = ACTIONS(2070),
    [anon_sym_noreturn] = ACTIONS(2070),
    [anon_sym__Nonnull] = ACTIONS(2070),
    [anon_sym_mutable] = ACTIONS(2070),
    [anon_sym_constinit] = ACTIONS(2070),
    [anon_sym_consteval] = ACTIONS(2070),
    [anon_sym_alignas] = ACTIONS(2070),
    [anon_sym__Alignas] = ACTIONS(2070),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_STAR_EQ] = ACTIONS(4369),
    [anon_sym_SLASH_EQ] = ACTIONS(4369),
    [anon_sym_PERCENT_EQ] = ACTIONS(4369),
    [anon_sym_PLUS_EQ] = ACTIONS(4369),
    [anon_sym_DASH_EQ] = ACTIONS(4369),
    [anon_sym_LT_LT_EQ] = ACTIONS(4369),
    [anon_sym_GT_GT_EQ] = ACTIONS(4369),
    [anon_sym_AMP_EQ] = ACTIONS(4369),
    [anon_sym_CARET_EQ] = ACTIONS(4369),
    [anon_sym_PIPE_EQ] = ACTIONS(4369),
    [anon_sym_and_eq] = ACTIONS(4369),
    [anon_sym_or_eq] = ACTIONS(4369),
    [anon_sym_xor_eq] = ACTIONS(4369),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4369),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4369),
    [anon_sym_not_eq] = ACTIONS(4369),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2070),
    [anon_sym_decltype] = ACTIONS(2070),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4369),
  },
  [2478] = {
    [sym_identifier] = ACTIONS(1947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_LPAREN2] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1949),
    [anon_sym_SLASH] = ACTIONS(1947),
    [anon_sym_PERCENT] = ACTIONS(1949),
    [anon_sym_PIPE_PIPE] = ACTIONS(1949),
    [anon_sym_AMP_AMP] = ACTIONS(1949),
    [anon_sym_PIPE] = ACTIONS(1947),
    [anon_sym_CARET] = ACTIONS(1949),
    [anon_sym_AMP] = ACTIONS(1947),
    [anon_sym_EQ_EQ] = ACTIONS(1949),
    [anon_sym_BANG_EQ] = ACTIONS(1949),
    [anon_sym_GT] = ACTIONS(1947),
    [anon_sym_GT_EQ] = ACTIONS(1949),
    [anon_sym_LT_EQ] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_LT_LT] = ACTIONS(1949),
    [anon_sym_GT_GT] = ACTIONS(1949),
    [anon_sym_COLON] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1949),
    [anon_sym___extension__] = ACTIONS(1947),
    [anon_sym___attribute__] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym___based] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_RBRACE] = ACTIONS(1949),
    [anon_sym_signed] = ACTIONS(1947),
    [anon_sym_unsigned] = ACTIONS(1947),
    [anon_sym_long] = ACTIONS(1947),
    [anon_sym_short] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_RBRACK] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(1947),
    [anon_sym_constexpr] = ACTIONS(1947),
    [anon_sym_volatile] = ACTIONS(1947),
    [anon_sym_restrict] = ACTIONS(1947),
    [anon_sym___restrict__] = ACTIONS(1947),
    [anon_sym__Atomic] = ACTIONS(1947),
    [anon_sym__Noreturn] = ACTIONS(1947),
    [anon_sym_noreturn] = ACTIONS(1947),
    [anon_sym__Nonnull] = ACTIONS(1947),
    [anon_sym_mutable] = ACTIONS(1947),
    [anon_sym_constinit] = ACTIONS(1947),
    [anon_sym_consteval] = ACTIONS(1947),
    [anon_sym_alignas] = ACTIONS(1947),
    [anon_sym__Alignas] = ACTIONS(1947),
    [sym_primitive_type] = ACTIONS(1947),
    [anon_sym_QMARK] = ACTIONS(1949),
    [anon_sym_LT_EQ_GT] = ACTIONS(1949),
    [anon_sym_or] = ACTIONS(1947),
    [anon_sym_and] = ACTIONS(1947),
    [anon_sym_bitor] = ACTIONS(1947),
    [anon_sym_xor] = ACTIONS(1947),
    [anon_sym_bitand] = ACTIONS(1947),
    [anon_sym_not_eq] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_DOT_STAR] = ACTIONS(1949),
    [anon_sym_DASH_GT] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1947),
    [anon_sym_decltype] = ACTIONS(1947),
    [anon_sym_final] = ACTIONS(1947),
    [anon_sym_override] = ACTIONS(1947),
    [anon_sym_requires] = ACTIONS(1947),
  },
  [2479] = {
    [sym_identifier] = ACTIONS(5749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5751),
    [anon_sym_COMMA] = ACTIONS(5751),
    [anon_sym_RPAREN] = ACTIONS(5751),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_DASH] = ACTIONS(5749),
    [anon_sym_PLUS] = ACTIONS(5749),
    [anon_sym_STAR] = ACTIONS(5751),
    [anon_sym_SLASH] = ACTIONS(5749),
    [anon_sym_PERCENT] = ACTIONS(5751),
    [anon_sym_PIPE_PIPE] = ACTIONS(5751),
    [anon_sym_AMP_AMP] = ACTIONS(5751),
    [anon_sym_PIPE] = ACTIONS(5749),
    [anon_sym_CARET] = ACTIONS(5751),
    [anon_sym_AMP] = ACTIONS(5749),
    [anon_sym_EQ_EQ] = ACTIONS(5751),
    [anon_sym_BANG_EQ] = ACTIONS(5751),
    [anon_sym_GT] = ACTIONS(5749),
    [anon_sym_GT_EQ] = ACTIONS(5751),
    [anon_sym_LT_EQ] = ACTIONS(5749),
    [anon_sym_LT] = ACTIONS(5749),
    [anon_sym_LT_LT] = ACTIONS(5751),
    [anon_sym_GT_GT] = ACTIONS(5751),
    [anon_sym_COLON] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5751),
    [anon_sym___extension__] = ACTIONS(5749),
    [anon_sym___attribute__] = ACTIONS(5749),
    [anon_sym_COLON_COLON] = ACTIONS(5751),
    [anon_sym___based] = ACTIONS(5749),
    [anon_sym_LBRACE] = ACTIONS(5751),
    [anon_sym_RBRACE] = ACTIONS(5751),
    [anon_sym_signed] = ACTIONS(5749),
    [anon_sym_unsigned] = ACTIONS(5749),
    [anon_sym_long] = ACTIONS(5749),
    [anon_sym_short] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5751),
    [anon_sym_RBRACK] = ACTIONS(5751),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym_constexpr] = ACTIONS(5749),
    [anon_sym_volatile] = ACTIONS(5749),
    [anon_sym_restrict] = ACTIONS(5749),
    [anon_sym___restrict__] = ACTIONS(5749),
    [anon_sym__Atomic] = ACTIONS(5749),
    [anon_sym__Noreturn] = ACTIONS(5749),
    [anon_sym_noreturn] = ACTIONS(5749),
    [anon_sym__Nonnull] = ACTIONS(5749),
    [anon_sym_mutable] = ACTIONS(5749),
    [anon_sym_constinit] = ACTIONS(5749),
    [anon_sym_consteval] = ACTIONS(5749),
    [anon_sym_alignas] = ACTIONS(5749),
    [anon_sym__Alignas] = ACTIONS(5749),
    [sym_primitive_type] = ACTIONS(5749),
    [anon_sym_QMARK] = ACTIONS(5751),
    [anon_sym_LT_EQ_GT] = ACTIONS(5751),
    [anon_sym_or] = ACTIONS(5749),
    [anon_sym_and] = ACTIONS(5749),
    [anon_sym_bitor] = ACTIONS(5749),
    [anon_sym_xor] = ACTIONS(5749),
    [anon_sym_bitand] = ACTIONS(5749),
    [anon_sym_not_eq] = ACTIONS(5749),
    [anon_sym_DASH_DASH] = ACTIONS(5751),
    [anon_sym_PLUS_PLUS] = ACTIONS(5751),
    [anon_sym_DOT] = ACTIONS(5749),
    [anon_sym_DOT_STAR] = ACTIONS(5751),
    [anon_sym_DASH_GT] = ACTIONS(5751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5749),
    [anon_sym_decltype] = ACTIONS(5749),
    [anon_sym_final] = ACTIONS(5749),
    [anon_sym_override] = ACTIONS(5749),
    [anon_sym_requires] = ACTIONS(5749),
  },
  [2480] = {
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_RPAREN] = ACTIONS(1919),
    [anon_sym_LPAREN2] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_PERCENT] = ACTIONS(1919),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_EQ_EQ] = ACTIONS(1919),
    [anon_sym_BANG_EQ] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1919),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_LT_LT] = ACTIONS(1919),
    [anon_sym_GT_GT] = ACTIONS(1919),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym___extension__] = ACTIONS(1917),
    [anon_sym___attribute__] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym___based] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_RBRACE] = ACTIONS(1919),
    [anon_sym_signed] = ACTIONS(1917),
    [anon_sym_unsigned] = ACTIONS(1917),
    [anon_sym_long] = ACTIONS(1917),
    [anon_sym_short] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1919),
    [anon_sym_RBRACK] = ACTIONS(1919),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_constexpr] = ACTIONS(1917),
    [anon_sym_volatile] = ACTIONS(1917),
    [anon_sym_restrict] = ACTIONS(1917),
    [anon_sym___restrict__] = ACTIONS(1917),
    [anon_sym__Atomic] = ACTIONS(1917),
    [anon_sym__Noreturn] = ACTIONS(1917),
    [anon_sym_noreturn] = ACTIONS(1917),
    [anon_sym__Nonnull] = ACTIONS(1917),
    [anon_sym_mutable] = ACTIONS(1917),
    [anon_sym_constinit] = ACTIONS(1917),
    [anon_sym_consteval] = ACTIONS(1917),
    [anon_sym_alignas] = ACTIONS(1917),
    [anon_sym__Alignas] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(1917),
    [anon_sym_QMARK] = ACTIONS(1919),
    [anon_sym_LT_EQ_GT] = ACTIONS(1919),
    [anon_sym_or] = ACTIONS(1917),
    [anon_sym_and] = ACTIONS(1917),
    [anon_sym_bitor] = ACTIONS(1917),
    [anon_sym_xor] = ACTIONS(1917),
    [anon_sym_bitand] = ACTIONS(1917),
    [anon_sym_not_eq] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DOT] = ACTIONS(1917),
    [anon_sym_DOT_STAR] = ACTIONS(1919),
    [anon_sym_DASH_GT] = ACTIONS(1919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1917),
    [anon_sym_decltype] = ACTIONS(1917),
    [anon_sym_final] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_requires] = ACTIONS(1917),
  },
  [2481] = {
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1953),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1951),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1953),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1951),
    [anon_sym_CARET] = ACTIONS(1953),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1953),
    [anon_sym_GT_GT] = ACTIONS(1953),
    [anon_sym_COLON] = ACTIONS(1951),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_RBRACE] = ACTIONS(1953),
    [anon_sym_signed] = ACTIONS(1951),
    [anon_sym_unsigned] = ACTIONS(1951),
    [anon_sym_long] = ACTIONS(1951),
    [anon_sym_short] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_RBRACK] = ACTIONS(1953),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym__Nonnull] = ACTIONS(1951),
    [anon_sym_mutable] = ACTIONS(1951),
    [anon_sym_constinit] = ACTIONS(1951),
    [anon_sym_consteval] = ACTIONS(1951),
    [anon_sym_alignas] = ACTIONS(1951),
    [anon_sym__Alignas] = ACTIONS(1951),
    [sym_primitive_type] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_LT_EQ_GT] = ACTIONS(1953),
    [anon_sym_or] = ACTIONS(1951),
    [anon_sym_and] = ACTIONS(1951),
    [anon_sym_bitor] = ACTIONS(1951),
    [anon_sym_xor] = ACTIONS(1951),
    [anon_sym_bitand] = ACTIONS(1951),
    [anon_sym_not_eq] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1951),
    [anon_sym_DOT_STAR] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1951),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_final] = ACTIONS(1951),
    [anon_sym_override] = ACTIONS(1951),
    [anon_sym_requires] = ACTIONS(1951),
  },
  [2482] = {
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1957),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1957),
    [anon_sym_SLASH] = ACTIONS(1955),
    [anon_sym_PERCENT] = ACTIONS(1957),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1957),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1957),
    [anon_sym_GT_GT] = ACTIONS(1957),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1957),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_RBRACE] = ACTIONS(1957),
    [anon_sym_signed] = ACTIONS(1955),
    [anon_sym_unsigned] = ACTIONS(1955),
    [anon_sym_long] = ACTIONS(1955),
    [anon_sym_short] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1957),
    [anon_sym_RBRACK] = ACTIONS(1957),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym__Nonnull] = ACTIONS(1955),
    [anon_sym_mutable] = ACTIONS(1955),
    [anon_sym_constinit] = ACTIONS(1955),
    [anon_sym_consteval] = ACTIONS(1955),
    [anon_sym_alignas] = ACTIONS(1955),
    [anon_sym__Alignas] = ACTIONS(1955),
    [sym_primitive_type] = ACTIONS(1955),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_LT_EQ_GT] = ACTIONS(1957),
    [anon_sym_or] = ACTIONS(1955),
    [anon_sym_and] = ACTIONS(1955),
    [anon_sym_bitor] = ACTIONS(1955),
    [anon_sym_xor] = ACTIONS(1955),
    [anon_sym_bitand] = ACTIONS(1955),
    [anon_sym_not_eq] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DOT_STAR] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1955),
    [anon_sym_decltype] = ACTIONS(1955),
    [anon_sym_final] = ACTIONS(1955),
    [anon_sym_override] = ACTIONS(1955),
    [anon_sym_requires] = ACTIONS(1955),
  },
  [2483] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2070),
    [anon_sym_COMMA] = ACTIONS(2070),
    [anon_sym_RPAREN] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_AMP_AMP] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(4369),
    [anon_sym___extension__] = ACTIONS(2068),
    [anon_sym_in] = ACTIONS(2068),
    [anon_sym_out] = ACTIONS(2068),
    [anon_sym_inout] = ACTIONS(2068),
    [anon_sym_virtual] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4371),
    [anon_sym___declspec] = ACTIONS(2068),
    [anon_sym___based] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(4376),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_EQ] = ACTIONS(2070),
    [anon_sym_register] = ACTIONS(2068),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym___inline] = ACTIONS(2068),
    [anon_sym___inline__] = ACTIONS(2068),
    [anon_sym___forceinline] = ACTIONS(2068),
    [anon_sym_thread_local] = ACTIONS(2068),
    [anon_sym___thread] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2068),
    [anon_sym_volatile] = ACTIONS(2068),
    [anon_sym_restrict] = ACTIONS(2068),
    [anon_sym___restrict__] = ACTIONS(2068),
    [anon_sym__Atomic] = ACTIONS(2068),
    [anon_sym__Noreturn] = ACTIONS(2068),
    [anon_sym_noreturn] = ACTIONS(2068),
    [anon_sym__Nonnull] = ACTIONS(2068),
    [anon_sym_mutable] = ACTIONS(2068),
    [anon_sym_constinit] = ACTIONS(2068),
    [anon_sym_consteval] = ACTIONS(2068),
    [anon_sym_alignas] = ACTIONS(2068),
    [anon_sym__Alignas] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_template] = ACTIONS(2068),
    [anon_sym_operator] = ACTIONS(2068),
    [anon_sym_precise] = ACTIONS(2068),
    [anon_sym_shared] = ACTIONS(2068),
    [anon_sym_groupshared] = ACTIONS(2068),
    [anon_sym_uniform] = ACTIONS(2068),
    [anon_sym_row_major] = ACTIONS(2068),
    [anon_sym_column_major] = ACTIONS(2068),
    [anon_sym_globallycoherent] = ACTIONS(2068),
    [anon_sym_centroid] = ACTIONS(2068),
    [anon_sym_noperspective] = ACTIONS(2068),
    [anon_sym_nointerpolation] = ACTIONS(2068),
    [anon_sym_sample] = ACTIONS(2068),
    [anon_sym_linear] = ACTIONS(2068),
    [anon_sym_snorm] = ACTIONS(2068),
    [anon_sym_unorm] = ACTIONS(2068),
    [anon_sym_point] = ACTIONS(2068),
    [anon_sym_line] = ACTIONS(2068),
    [anon_sym_triangleadj] = ACTIONS(2068),
    [anon_sym_lineadj] = ACTIONS(2068),
    [anon_sym_triangle] = ACTIONS(2068),
  },
  [2484] = {
    [sym_identifier] = ACTIONS(5831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5833),
    [anon_sym_COMMA] = ACTIONS(5833),
    [anon_sym_RPAREN] = ACTIONS(5833),
    [anon_sym_LPAREN2] = ACTIONS(5833),
    [anon_sym_DASH] = ACTIONS(5831),
    [anon_sym_PLUS] = ACTIONS(5831),
    [anon_sym_STAR] = ACTIONS(5833),
    [anon_sym_SLASH] = ACTIONS(5831),
    [anon_sym_PERCENT] = ACTIONS(5833),
    [anon_sym_PIPE_PIPE] = ACTIONS(5833),
    [anon_sym_AMP_AMP] = ACTIONS(5833),
    [anon_sym_PIPE] = ACTIONS(5831),
    [anon_sym_CARET] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(5831),
    [anon_sym_EQ_EQ] = ACTIONS(5833),
    [anon_sym_BANG_EQ] = ACTIONS(5833),
    [anon_sym_GT] = ACTIONS(5831),
    [anon_sym_GT_EQ] = ACTIONS(5833),
    [anon_sym_LT_EQ] = ACTIONS(5831),
    [anon_sym_LT] = ACTIONS(5831),
    [anon_sym_LT_LT] = ACTIONS(5833),
    [anon_sym_GT_GT] = ACTIONS(5833),
    [anon_sym_COLON] = ACTIONS(5833),
    [anon_sym_SEMI] = ACTIONS(5833),
    [anon_sym___extension__] = ACTIONS(5831),
    [anon_sym___attribute__] = ACTIONS(5831),
    [anon_sym___based] = ACTIONS(5831),
    [anon_sym_LBRACE] = ACTIONS(5833),
    [anon_sym_RBRACE] = ACTIONS(5833),
    [anon_sym_signed] = ACTIONS(5831),
    [anon_sym_unsigned] = ACTIONS(5831),
    [anon_sym_long] = ACTIONS(5831),
    [anon_sym_short] = ACTIONS(5831),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [anon_sym_RBRACK] = ACTIONS(5833),
    [anon_sym_const] = ACTIONS(5831),
    [anon_sym_constexpr] = ACTIONS(5831),
    [anon_sym_volatile] = ACTIONS(5831),
    [anon_sym_restrict] = ACTIONS(5831),
    [anon_sym___restrict__] = ACTIONS(5831),
    [anon_sym__Atomic] = ACTIONS(5831),
    [anon_sym__Noreturn] = ACTIONS(5831),
    [anon_sym_noreturn] = ACTIONS(5831),
    [anon_sym__Nonnull] = ACTIONS(5831),
    [anon_sym_mutable] = ACTIONS(5831),
    [anon_sym_constinit] = ACTIONS(5831),
    [anon_sym_consteval] = ACTIONS(5831),
    [anon_sym_alignas] = ACTIONS(5831),
    [anon_sym__Alignas] = ACTIONS(5831),
    [sym_primitive_type] = ACTIONS(5831),
    [anon_sym_QMARK] = ACTIONS(5833),
    [anon_sym_LT_EQ_GT] = ACTIONS(5833),
    [anon_sym_or] = ACTIONS(5831),
    [anon_sym_and] = ACTIONS(5831),
    [anon_sym_bitor] = ACTIONS(5831),
    [anon_sym_xor] = ACTIONS(5831),
    [anon_sym_bitand] = ACTIONS(5831),
    [anon_sym_not_eq] = ACTIONS(5831),
    [anon_sym_DASH_DASH] = ACTIONS(5833),
    [anon_sym_PLUS_PLUS] = ACTIONS(5833),
    [anon_sym_DOT] = ACTIONS(5831),
    [anon_sym_DOT_STAR] = ACTIONS(5833),
    [anon_sym_DASH_GT] = ACTIONS(5833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5831),
    [anon_sym_decltype] = ACTIONS(5831),
    [anon_sym_final] = ACTIONS(5831),
    [anon_sym_override] = ACTIONS(5831),
    [anon_sym_requires] = ACTIONS(5831),
  },
  [2485] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4371),
    [anon_sym_COMMA] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4376),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4374),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4374),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4374),
    [anon_sym_GT_GT] = ACTIONS(4374),
    [anon_sym___extension__] = ACTIONS(2070),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4374),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2070),
    [anon_sym_volatile] = ACTIONS(2070),
    [anon_sym_restrict] = ACTIONS(2070),
    [anon_sym___restrict__] = ACTIONS(2070),
    [anon_sym__Atomic] = ACTIONS(2070),
    [anon_sym__Noreturn] = ACTIONS(2070),
    [anon_sym_noreturn] = ACTIONS(2070),
    [anon_sym__Nonnull] = ACTIONS(2070),
    [anon_sym_mutable] = ACTIONS(2070),
    [anon_sym_constinit] = ACTIONS(2070),
    [anon_sym_consteval] = ACTIONS(2070),
    [anon_sym_alignas] = ACTIONS(2070),
    [anon_sym__Alignas] = ACTIONS(2070),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_STAR_EQ] = ACTIONS(4369),
    [anon_sym_SLASH_EQ] = ACTIONS(4369),
    [anon_sym_PERCENT_EQ] = ACTIONS(4369),
    [anon_sym_PLUS_EQ] = ACTIONS(4369),
    [anon_sym_DASH_EQ] = ACTIONS(4369),
    [anon_sym_LT_LT_EQ] = ACTIONS(4369),
    [anon_sym_GT_GT_EQ] = ACTIONS(4374),
    [anon_sym_AMP_EQ] = ACTIONS(4369),
    [anon_sym_CARET_EQ] = ACTIONS(4369),
    [anon_sym_PIPE_EQ] = ACTIONS(4369),
    [anon_sym_and_eq] = ACTIONS(4369),
    [anon_sym_or_eq] = ACTIONS(4369),
    [anon_sym_xor_eq] = ACTIONS(4369),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4369),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4369),
    [anon_sym_not_eq] = ACTIONS(4369),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2070),
    [anon_sym_decltype] = ACTIONS(2070),
    [anon_sym_GT2] = ACTIONS(4371),
  },
  [2486] = {
    [sym_identifier] = ACTIONS(5895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5897),
    [anon_sym_COMMA] = ACTIONS(5897),
    [anon_sym_RPAREN] = ACTIONS(5897),
    [anon_sym_LPAREN2] = ACTIONS(5897),
    [anon_sym_DASH] = ACTIONS(5895),
    [anon_sym_PLUS] = ACTIONS(5895),
    [anon_sym_STAR] = ACTIONS(5897),
    [anon_sym_SLASH] = ACTIONS(5895),
    [anon_sym_PERCENT] = ACTIONS(5897),
    [anon_sym_PIPE_PIPE] = ACTIONS(5897),
    [anon_sym_AMP_AMP] = ACTIONS(5897),
    [anon_sym_PIPE] = ACTIONS(5895),
    [anon_sym_CARET] = ACTIONS(5897),
    [anon_sym_AMP] = ACTIONS(5895),
    [anon_sym_EQ_EQ] = ACTIONS(5897),
    [anon_sym_BANG_EQ] = ACTIONS(5897),
    [anon_sym_GT] = ACTIONS(5895),
    [anon_sym_GT_EQ] = ACTIONS(5897),
    [anon_sym_LT_EQ] = ACTIONS(5895),
    [anon_sym_LT] = ACTIONS(5895),
    [anon_sym_LT_LT] = ACTIONS(5897),
    [anon_sym_GT_GT] = ACTIONS(5897),
    [anon_sym_COLON] = ACTIONS(5897),
    [anon_sym_SEMI] = ACTIONS(5897),
    [anon_sym___extension__] = ACTIONS(5895),
    [anon_sym___attribute__] = ACTIONS(5895),
    [anon_sym___based] = ACTIONS(5895),
    [anon_sym_LBRACE] = ACTIONS(5897),
    [anon_sym_RBRACE] = ACTIONS(5897),
    [anon_sym_signed] = ACTIONS(5895),
    [anon_sym_unsigned] = ACTIONS(5895),
    [anon_sym_long] = ACTIONS(5895),
    [anon_sym_short] = ACTIONS(5895),
    [anon_sym_LBRACK] = ACTIONS(5897),
    [anon_sym_RBRACK] = ACTIONS(5897),
    [anon_sym_const] = ACTIONS(5895),
    [anon_sym_constexpr] = ACTIONS(5895),
    [anon_sym_volatile] = ACTIONS(5895),
    [anon_sym_restrict] = ACTIONS(5895),
    [anon_sym___restrict__] = ACTIONS(5895),
    [anon_sym__Atomic] = ACTIONS(5895),
    [anon_sym__Noreturn] = ACTIONS(5895),
    [anon_sym_noreturn] = ACTIONS(5895),
    [anon_sym__Nonnull] = ACTIONS(5895),
    [anon_sym_mutable] = ACTIONS(5895),
    [anon_sym_constinit] = ACTIONS(5895),
    [anon_sym_consteval] = ACTIONS(5895),
    [anon_sym_alignas] = ACTIONS(5895),
    [anon_sym__Alignas] = ACTIONS(5895),
    [sym_primitive_type] = ACTIONS(5895),
    [anon_sym_QMARK] = ACTIONS(5897),
    [anon_sym_LT_EQ_GT] = ACTIONS(5897),
    [anon_sym_or] = ACTIONS(5895),
    [anon_sym_and] = ACTIONS(5895),
    [anon_sym_bitor] = ACTIONS(5895),
    [anon_sym_xor] = ACTIONS(5895),
    [anon_sym_bitand] = ACTIONS(5895),
    [anon_sym_not_eq] = ACTIONS(5895),
    [anon_sym_DASH_DASH] = ACTIONS(5897),
    [anon_sym_PLUS_PLUS] = ACTIONS(5897),
    [anon_sym_DOT] = ACTIONS(5895),
    [anon_sym_DOT_STAR] = ACTIONS(5897),
    [anon_sym_DASH_GT] = ACTIONS(5897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5895),
    [anon_sym_decltype] = ACTIONS(5895),
    [anon_sym_final] = ACTIONS(5895),
    [anon_sym_override] = ACTIONS(5895),
    [anon_sym_requires] = ACTIONS(5895),
  },
  [2487] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5676),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_SLASH] = ACTIONS(5676),
    [anon_sym_PERCENT] = ACTIONS(5678),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5678),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5676),
    [anon_sym_LT_LT] = ACTIONS(5678),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_COLON] = ACTIONS(5678),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_RBRACE] = ACTIONS(5678),
    [anon_sym_signed] = ACTIONS(5676),
    [anon_sym_unsigned] = ACTIONS(5676),
    [anon_sym_long] = ACTIONS(5676),
    [anon_sym_short] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_RBRACK] = ACTIONS(5678),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_primitive_type] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5676),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_bitor] = ACTIONS(5676),
    [anon_sym_xor] = ACTIONS(5676),
    [anon_sym_bitand] = ACTIONS(5676),
    [anon_sym_not_eq] = ACTIONS(5676),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_final] = ACTIONS(5676),
    [anon_sym_override] = ACTIONS(5676),
    [anon_sym_requires] = ACTIONS(5676),
  },
  [2488] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2413),
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5673),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5673),
    [anon_sym_GT_GT] = ACTIONS(5673),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___extension__] = ACTIONS(5670),
    [anon_sym___attribute__] = ACTIONS(5670),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(6088),
    [anon_sym_unsigned] = ACTIONS(6088),
    [anon_sym_long] = ACTIONS(6088),
    [anon_sym_short] = ACTIONS(6088),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_const] = ACTIONS(5670),
    [anon_sym_constexpr] = ACTIONS(5670),
    [anon_sym_volatile] = ACTIONS(5670),
    [anon_sym_restrict] = ACTIONS(5670),
    [anon_sym___restrict__] = ACTIONS(5670),
    [anon_sym__Atomic] = ACTIONS(5670),
    [anon_sym__Noreturn] = ACTIONS(5670),
    [anon_sym_noreturn] = ACTIONS(5670),
    [anon_sym__Nonnull] = ACTIONS(5670),
    [anon_sym_mutable] = ACTIONS(5670),
    [anon_sym_constinit] = ACTIONS(5670),
    [anon_sym_consteval] = ACTIONS(5670),
    [anon_sym_alignas] = ACTIONS(5670),
    [anon_sym__Alignas] = ACTIONS(5670),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5670),
    [anon_sym_and] = ACTIONS(5670),
    [anon_sym_bitor] = ACTIONS(5670),
    [anon_sym_xor] = ACTIONS(5670),
    [anon_sym_bitand] = ACTIONS(5670),
    [anon_sym_not_eq] = ACTIONS(5670),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5670),
    [anon_sym_decltype] = ACTIONS(5670),
    [anon_sym_final] = ACTIONS(5670),
    [anon_sym_override] = ACTIONS(5670),
    [anon_sym_requires] = ACTIONS(5670),
  },
  [2489] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2488),
    [sym_identifier] = ACTIONS(6208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5694),
    [anon_sym_COMMA] = ACTIONS(5694),
    [anon_sym_RPAREN] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5694),
    [anon_sym_SLASH] = ACTIONS(5696),
    [anon_sym_PERCENT] = ACTIONS(5694),
    [anon_sym_PIPE_PIPE] = ACTIONS(5694),
    [anon_sym_AMP_AMP] = ACTIONS(5694),
    [anon_sym_PIPE] = ACTIONS(5696),
    [anon_sym_CARET] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(5696),
    [anon_sym_EQ_EQ] = ACTIONS(5694),
    [anon_sym_BANG_EQ] = ACTIONS(5694),
    [anon_sym_GT] = ACTIONS(5696),
    [anon_sym_GT_EQ] = ACTIONS(5694),
    [anon_sym_LT_EQ] = ACTIONS(5696),
    [anon_sym_LT] = ACTIONS(5696),
    [anon_sym_LT_LT] = ACTIONS(5694),
    [anon_sym_GT_GT] = ACTIONS(5694),
    [anon_sym_COLON] = ACTIONS(5694),
    [anon_sym_SEMI] = ACTIONS(5694),
    [anon_sym___extension__] = ACTIONS(5696),
    [anon_sym___attribute__] = ACTIONS(5696),
    [anon_sym_LBRACE] = ACTIONS(5694),
    [anon_sym_RBRACE] = ACTIONS(5694),
    [anon_sym_signed] = ACTIONS(6210),
    [anon_sym_unsigned] = ACTIONS(6210),
    [anon_sym_long] = ACTIONS(6210),
    [anon_sym_short] = ACTIONS(6210),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [anon_sym_RBRACK] = ACTIONS(5694),
    [anon_sym_const] = ACTIONS(5696),
    [anon_sym_constexpr] = ACTIONS(5696),
    [anon_sym_volatile] = ACTIONS(5696),
    [anon_sym_restrict] = ACTIONS(5696),
    [anon_sym___restrict__] = ACTIONS(5696),
    [anon_sym__Atomic] = ACTIONS(5696),
    [anon_sym__Noreturn] = ACTIONS(5696),
    [anon_sym_noreturn] = ACTIONS(5696),
    [anon_sym__Nonnull] = ACTIONS(5696),
    [anon_sym_mutable] = ACTIONS(5696),
    [anon_sym_constinit] = ACTIONS(5696),
    [anon_sym_consteval] = ACTIONS(5696),
    [anon_sym_alignas] = ACTIONS(5696),
    [anon_sym__Alignas] = ACTIONS(5696),
    [sym_primitive_type] = ACTIONS(6212),
    [anon_sym_QMARK] = ACTIONS(5694),
    [anon_sym_LT_EQ_GT] = ACTIONS(5694),
    [anon_sym_or] = ACTIONS(5696),
    [anon_sym_and] = ACTIONS(5696),
    [anon_sym_bitor] = ACTIONS(5696),
    [anon_sym_xor] = ACTIONS(5696),
    [anon_sym_bitand] = ACTIONS(5696),
    [anon_sym_not_eq] = ACTIONS(5696),
    [anon_sym_DASH_DASH] = ACTIONS(5694),
    [anon_sym_PLUS_PLUS] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_DOT_STAR] = ACTIONS(5694),
    [anon_sym_DASH_GT] = ACTIONS(5694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5696),
    [anon_sym_decltype] = ACTIONS(5696),
    [anon_sym_final] = ACTIONS(5696),
    [anon_sym_override] = ACTIONS(5696),
    [anon_sym_requires] = ACTIONS(5696),
  },
  [2490] = {
    [sym_identifier] = ACTIONS(5785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5787),
    [anon_sym_COMMA] = ACTIONS(5787),
    [anon_sym_RPAREN] = ACTIONS(5787),
    [anon_sym_LPAREN2] = ACTIONS(5787),
    [anon_sym_DASH] = ACTIONS(5785),
    [anon_sym_PLUS] = ACTIONS(5785),
    [anon_sym_STAR] = ACTIONS(5787),
    [anon_sym_SLASH] = ACTIONS(5785),
    [anon_sym_PERCENT] = ACTIONS(5787),
    [anon_sym_PIPE_PIPE] = ACTIONS(5787),
    [anon_sym_AMP_AMP] = ACTIONS(5787),
    [anon_sym_PIPE] = ACTIONS(5785),
    [anon_sym_CARET] = ACTIONS(5787),
    [anon_sym_AMP] = ACTIONS(5785),
    [anon_sym_EQ_EQ] = ACTIONS(5787),
    [anon_sym_BANG_EQ] = ACTIONS(5787),
    [anon_sym_GT] = ACTIONS(5785),
    [anon_sym_GT_EQ] = ACTIONS(5787),
    [anon_sym_LT_EQ] = ACTIONS(5785),
    [anon_sym_LT] = ACTIONS(5785),
    [anon_sym_LT_LT] = ACTIONS(5787),
    [anon_sym_GT_GT] = ACTIONS(5787),
    [anon_sym_COLON] = ACTIONS(5787),
    [anon_sym_SEMI] = ACTIONS(5787),
    [anon_sym___extension__] = ACTIONS(5785),
    [anon_sym___attribute__] = ACTIONS(5785),
    [anon_sym___based] = ACTIONS(5785),
    [anon_sym_LBRACE] = ACTIONS(5787),
    [anon_sym_RBRACE] = ACTIONS(5787),
    [anon_sym_signed] = ACTIONS(5785),
    [anon_sym_unsigned] = ACTIONS(5785),
    [anon_sym_long] = ACTIONS(5785),
    [anon_sym_short] = ACTIONS(5785),
    [anon_sym_LBRACK] = ACTIONS(5787),
    [anon_sym_RBRACK] = ACTIONS(5787),
    [anon_sym_const] = ACTIONS(5785),
    [anon_sym_constexpr] = ACTIONS(5785),
    [anon_sym_volatile] = ACTIONS(5785),
    [anon_sym_restrict] = ACTIONS(5785),
    [anon_sym___restrict__] = ACTIONS(5785),
    [anon_sym__Atomic] = ACTIONS(5785),
    [anon_sym__Noreturn] = ACTIONS(5785),
    [anon_sym_noreturn] = ACTIONS(5785),
    [anon_sym__Nonnull] = ACTIONS(5785),
    [anon_sym_mutable] = ACTIONS(5785),
    [anon_sym_constinit] = ACTIONS(5785),
    [anon_sym_consteval] = ACTIONS(5785),
    [anon_sym_alignas] = ACTIONS(5785),
    [anon_sym__Alignas] = ACTIONS(5785),
    [sym_primitive_type] = ACTIONS(5785),
    [anon_sym_QMARK] = ACTIONS(5787),
    [anon_sym_LT_EQ_GT] = ACTIONS(5787),
    [anon_sym_or] = ACTIONS(5785),
    [anon_sym_and] = ACTIONS(5785),
    [anon_sym_bitor] = ACTIONS(5785),
    [anon_sym_xor] = ACTIONS(5785),
    [anon_sym_bitand] = ACTIONS(5785),
    [anon_sym_not_eq] = ACTIONS(5785),
    [anon_sym_DASH_DASH] = ACTIONS(5787),
    [anon_sym_PLUS_PLUS] = ACTIONS(5787),
    [anon_sym_DOT] = ACTIONS(5785),
    [anon_sym_DOT_STAR] = ACTIONS(5787),
    [anon_sym_DASH_GT] = ACTIONS(5787),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5785),
    [anon_sym_decltype] = ACTIONS(5785),
    [anon_sym_final] = ACTIONS(5785),
    [anon_sym_override] = ACTIONS(5785),
    [anon_sym_requires] = ACTIONS(5785),
  },
  [2491] = {
    [sym_identifier] = ACTIONS(5789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5791),
    [anon_sym_COMMA] = ACTIONS(5791),
    [anon_sym_RPAREN] = ACTIONS(5791),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(5789),
    [anon_sym_PLUS] = ACTIONS(5789),
    [anon_sym_STAR] = ACTIONS(5791),
    [anon_sym_SLASH] = ACTIONS(5789),
    [anon_sym_PERCENT] = ACTIONS(5791),
    [anon_sym_PIPE_PIPE] = ACTIONS(5791),
    [anon_sym_AMP_AMP] = ACTIONS(5791),
    [anon_sym_PIPE] = ACTIONS(5789),
    [anon_sym_CARET] = ACTIONS(5791),
    [anon_sym_AMP] = ACTIONS(5789),
    [anon_sym_EQ_EQ] = ACTIONS(5791),
    [anon_sym_BANG_EQ] = ACTIONS(5791),
    [anon_sym_GT] = ACTIONS(5789),
    [anon_sym_GT_EQ] = ACTIONS(5791),
    [anon_sym_LT_EQ] = ACTIONS(5789),
    [anon_sym_LT] = ACTIONS(5789),
    [anon_sym_LT_LT] = ACTIONS(5791),
    [anon_sym_GT_GT] = ACTIONS(5791),
    [anon_sym_COLON] = ACTIONS(5791),
    [anon_sym_SEMI] = ACTIONS(5791),
    [anon_sym___extension__] = ACTIONS(5789),
    [anon_sym___attribute__] = ACTIONS(5789),
    [anon_sym___based] = ACTIONS(5789),
    [anon_sym_LBRACE] = ACTIONS(5791),
    [anon_sym_RBRACE] = ACTIONS(5791),
    [anon_sym_signed] = ACTIONS(5789),
    [anon_sym_unsigned] = ACTIONS(5789),
    [anon_sym_long] = ACTIONS(5789),
    [anon_sym_short] = ACTIONS(5789),
    [anon_sym_LBRACK] = ACTIONS(5791),
    [anon_sym_RBRACK] = ACTIONS(5791),
    [anon_sym_const] = ACTIONS(5789),
    [anon_sym_constexpr] = ACTIONS(5789),
    [anon_sym_volatile] = ACTIONS(5789),
    [anon_sym_restrict] = ACTIONS(5789),
    [anon_sym___restrict__] = ACTIONS(5789),
    [anon_sym__Atomic] = ACTIONS(5789),
    [anon_sym__Noreturn] = ACTIONS(5789),
    [anon_sym_noreturn] = ACTIONS(5789),
    [anon_sym__Nonnull] = ACTIONS(5789),
    [anon_sym_mutable] = ACTIONS(5789),
    [anon_sym_constinit] = ACTIONS(5789),
    [anon_sym_consteval] = ACTIONS(5789),
    [anon_sym_alignas] = ACTIONS(5789),
    [anon_sym__Alignas] = ACTIONS(5789),
    [sym_primitive_type] = ACTIONS(5789),
    [anon_sym_QMARK] = ACTIONS(5791),
    [anon_sym_LT_EQ_GT] = ACTIONS(5791),
    [anon_sym_or] = ACTIONS(5789),
    [anon_sym_and] = ACTIONS(5789),
    [anon_sym_bitor] = ACTIONS(5789),
    [anon_sym_xor] = ACTIONS(5789),
    [anon_sym_bitand] = ACTIONS(5789),
    [anon_sym_not_eq] = ACTIONS(5789),
    [anon_sym_DASH_DASH] = ACTIONS(5791),
    [anon_sym_PLUS_PLUS] = ACTIONS(5791),
    [anon_sym_DOT] = ACTIONS(5789),
    [anon_sym_DOT_STAR] = ACTIONS(5791),
    [anon_sym_DASH_GT] = ACTIONS(5791),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5789),
    [anon_sym_decltype] = ACTIONS(5789),
    [anon_sym_final] = ACTIONS(5789),
    [anon_sym_override] = ACTIONS(5789),
    [anon_sym_requires] = ACTIONS(5789),
  },
  [2492] = {
    [sym_identifier] = ACTIONS(5793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5795),
    [anon_sym_COMMA] = ACTIONS(5795),
    [anon_sym_RPAREN] = ACTIONS(5795),
    [anon_sym_LPAREN2] = ACTIONS(5795),
    [anon_sym_DASH] = ACTIONS(5793),
    [anon_sym_PLUS] = ACTIONS(5793),
    [anon_sym_STAR] = ACTIONS(5795),
    [anon_sym_SLASH] = ACTIONS(5793),
    [anon_sym_PERCENT] = ACTIONS(5795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5795),
    [anon_sym_AMP_AMP] = ACTIONS(5795),
    [anon_sym_PIPE] = ACTIONS(5793),
    [anon_sym_CARET] = ACTIONS(5795),
    [anon_sym_AMP] = ACTIONS(5793),
    [anon_sym_EQ_EQ] = ACTIONS(5795),
    [anon_sym_BANG_EQ] = ACTIONS(5795),
    [anon_sym_GT] = ACTIONS(5793),
    [anon_sym_GT_EQ] = ACTIONS(5795),
    [anon_sym_LT_EQ] = ACTIONS(5793),
    [anon_sym_LT] = ACTIONS(5793),
    [anon_sym_LT_LT] = ACTIONS(5795),
    [anon_sym_GT_GT] = ACTIONS(5795),
    [anon_sym_COLON] = ACTIONS(5795),
    [anon_sym_SEMI] = ACTIONS(5795),
    [anon_sym___extension__] = ACTIONS(5793),
    [anon_sym___attribute__] = ACTIONS(5793),
    [anon_sym___based] = ACTIONS(5793),
    [anon_sym_LBRACE] = ACTIONS(5795),
    [anon_sym_RBRACE] = ACTIONS(5795),
    [anon_sym_signed] = ACTIONS(5793),
    [anon_sym_unsigned] = ACTIONS(5793),
    [anon_sym_long] = ACTIONS(5793),
    [anon_sym_short] = ACTIONS(5793),
    [anon_sym_LBRACK] = ACTIONS(5795),
    [anon_sym_RBRACK] = ACTIONS(5795),
    [anon_sym_const] = ACTIONS(5793),
    [anon_sym_constexpr] = ACTIONS(5793),
    [anon_sym_volatile] = ACTIONS(5793),
    [anon_sym_restrict] = ACTIONS(5793),
    [anon_sym___restrict__] = ACTIONS(5793),
    [anon_sym__Atomic] = ACTIONS(5793),
    [anon_sym__Noreturn] = ACTIONS(5793),
    [anon_sym_noreturn] = ACTIONS(5793),
    [anon_sym__Nonnull] = ACTIONS(5793),
    [anon_sym_mutable] = ACTIONS(5793),
    [anon_sym_constinit] = ACTIONS(5793),
    [anon_sym_consteval] = ACTIONS(5793),
    [anon_sym_alignas] = ACTIONS(5793),
    [anon_sym__Alignas] = ACTIONS(5793),
    [sym_primitive_type] = ACTIONS(5793),
    [anon_sym_QMARK] = ACTIONS(5795),
    [anon_sym_LT_EQ_GT] = ACTIONS(5795),
    [anon_sym_or] = ACTIONS(5793),
    [anon_sym_and] = ACTIONS(5793),
    [anon_sym_bitor] = ACTIONS(5793),
    [anon_sym_xor] = ACTIONS(5793),
    [anon_sym_bitand] = ACTIONS(5793),
    [anon_sym_not_eq] = ACTIONS(5793),
    [anon_sym_DASH_DASH] = ACTIONS(5795),
    [anon_sym_PLUS_PLUS] = ACTIONS(5795),
    [anon_sym_DOT] = ACTIONS(5793),
    [anon_sym_DOT_STAR] = ACTIONS(5795),
    [anon_sym_DASH_GT] = ACTIONS(5795),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5793),
    [anon_sym_decltype] = ACTIONS(5793),
    [anon_sym_final] = ACTIONS(5793),
    [anon_sym_override] = ACTIONS(5793),
    [anon_sym_requires] = ACTIONS(5793),
  },
  [2493] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2264),
    [anon_sym_PERCENT] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2266),
    [anon_sym_GT_GT] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_RBRACK] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym__Nonnull] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym__Alignas] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_QMARK] = ACTIONS(2266),
    [anon_sym_LT_EQ_GT] = ACTIONS(2266),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [anon_sym_bitor] = ACTIONS(2264),
    [anon_sym_xor] = ACTIONS(2264),
    [anon_sym_bitand] = ACTIONS(2264),
    [anon_sym_not_eq] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_DOT_STAR] = ACTIONS(2266),
    [anon_sym_DASH_GT] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
  },
  [2494] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_DASH] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5811),
    [anon_sym_STAR] = ACTIONS(5813),
    [anon_sym_SLASH] = ACTIONS(5811),
    [anon_sym_PERCENT] = ACTIONS(5813),
    [anon_sym_PIPE_PIPE] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_PIPE] = ACTIONS(5811),
    [anon_sym_CARET] = ACTIONS(5813),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_EQ_EQ] = ACTIONS(5813),
    [anon_sym_BANG_EQ] = ACTIONS(5813),
    [anon_sym_GT] = ACTIONS(5811),
    [anon_sym_GT_EQ] = ACTIONS(5813),
    [anon_sym_LT_EQ] = ACTIONS(5811),
    [anon_sym_LT] = ACTIONS(5811),
    [anon_sym_LT_LT] = ACTIONS(5813),
    [anon_sym_GT_GT] = ACTIONS(5813),
    [anon_sym_COLON] = ACTIONS(5813),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___extension__] = ACTIONS(5811),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym___based] = ACTIONS(5811),
    [anon_sym_LBRACE] = ACTIONS(5813),
    [anon_sym_RBRACE] = ACTIONS(5813),
    [anon_sym_signed] = ACTIONS(5811),
    [anon_sym_unsigned] = ACTIONS(5811),
    [anon_sym_long] = ACTIONS(5811),
    [anon_sym_short] = ACTIONS(5811),
    [anon_sym_LBRACK] = ACTIONS(5813),
    [anon_sym_RBRACK] = ACTIONS(5813),
    [anon_sym_const] = ACTIONS(5811),
    [anon_sym_constexpr] = ACTIONS(5811),
    [anon_sym_volatile] = ACTIONS(5811),
    [anon_sym_restrict] = ACTIONS(5811),
    [anon_sym___restrict__] = ACTIONS(5811),
    [anon_sym__Atomic] = ACTIONS(5811),
    [anon_sym__Noreturn] = ACTIONS(5811),
    [anon_sym_noreturn] = ACTIONS(5811),
    [anon_sym__Nonnull] = ACTIONS(5811),
    [anon_sym_mutable] = ACTIONS(5811),
    [anon_sym_constinit] = ACTIONS(5811),
    [anon_sym_consteval] = ACTIONS(5811),
    [anon_sym_alignas] = ACTIONS(5811),
    [anon_sym__Alignas] = ACTIONS(5811),
    [sym_primitive_type] = ACTIONS(5811),
    [anon_sym_QMARK] = ACTIONS(5813),
    [anon_sym_LT_EQ_GT] = ACTIONS(5813),
    [anon_sym_or] = ACTIONS(5811),
    [anon_sym_and] = ACTIONS(5811),
    [anon_sym_bitor] = ACTIONS(5811),
    [anon_sym_xor] = ACTIONS(5811),
    [anon_sym_bitand] = ACTIONS(5811),
    [anon_sym_not_eq] = ACTIONS(5811),
    [anon_sym_DASH_DASH] = ACTIONS(5813),
    [anon_sym_PLUS_PLUS] = ACTIONS(5813),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_DOT_STAR] = ACTIONS(5813),
    [anon_sym_DASH_GT] = ACTIONS(5813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
    [anon_sym_final] = ACTIONS(5811),
    [anon_sym_override] = ACTIONS(5811),
    [anon_sym_requires] = ACTIONS(5811),
  },
  [2495] = {
    [sym_identifier] = ACTIONS(5815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5817),
    [anon_sym_COMMA] = ACTIONS(5817),
    [anon_sym_RPAREN] = ACTIONS(5817),
    [anon_sym_LPAREN2] = ACTIONS(5817),
    [anon_sym_DASH] = ACTIONS(5815),
    [anon_sym_PLUS] = ACTIONS(5815),
    [anon_sym_STAR] = ACTIONS(5817),
    [anon_sym_SLASH] = ACTIONS(5815),
    [anon_sym_PERCENT] = ACTIONS(5817),
    [anon_sym_PIPE_PIPE] = ACTIONS(5817),
    [anon_sym_AMP_AMP] = ACTIONS(5817),
    [anon_sym_PIPE] = ACTIONS(5815),
    [anon_sym_CARET] = ACTIONS(5817),
    [anon_sym_AMP] = ACTIONS(5815),
    [anon_sym_EQ_EQ] = ACTIONS(5817),
    [anon_sym_BANG_EQ] = ACTIONS(5817),
    [anon_sym_GT] = ACTIONS(5815),
    [anon_sym_GT_EQ] = ACTIONS(5817),
    [anon_sym_LT_EQ] = ACTIONS(5815),
    [anon_sym_LT] = ACTIONS(5815),
    [anon_sym_LT_LT] = ACTIONS(5817),
    [anon_sym_GT_GT] = ACTIONS(5817),
    [anon_sym_COLON] = ACTIONS(5817),
    [anon_sym_SEMI] = ACTIONS(5817),
    [anon_sym___extension__] = ACTIONS(5815),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___based] = ACTIONS(5815),
    [anon_sym_LBRACE] = ACTIONS(5817),
    [anon_sym_RBRACE] = ACTIONS(5817),
    [anon_sym_signed] = ACTIONS(5815),
    [anon_sym_unsigned] = ACTIONS(5815),
    [anon_sym_long] = ACTIONS(5815),
    [anon_sym_short] = ACTIONS(5815),
    [anon_sym_LBRACK] = ACTIONS(5817),
    [anon_sym_RBRACK] = ACTIONS(5817),
    [anon_sym_const] = ACTIONS(5815),
    [anon_sym_constexpr] = ACTIONS(5815),
    [anon_sym_volatile] = ACTIONS(5815),
    [anon_sym_restrict] = ACTIONS(5815),
    [anon_sym___restrict__] = ACTIONS(5815),
    [anon_sym__Atomic] = ACTIONS(5815),
    [anon_sym__Noreturn] = ACTIONS(5815),
    [anon_sym_noreturn] = ACTIONS(5815),
    [anon_sym__Nonnull] = ACTIONS(5815),
    [anon_sym_mutable] = ACTIONS(5815),
    [anon_sym_constinit] = ACTIONS(5815),
    [anon_sym_consteval] = ACTIONS(5815),
    [anon_sym_alignas] = ACTIONS(5815),
    [anon_sym__Alignas] = ACTIONS(5815),
    [sym_primitive_type] = ACTIONS(5815),
    [anon_sym_QMARK] = ACTIONS(5817),
    [anon_sym_LT_EQ_GT] = ACTIONS(5817),
    [anon_sym_or] = ACTIONS(5815),
    [anon_sym_and] = ACTIONS(5815),
    [anon_sym_bitor] = ACTIONS(5815),
    [anon_sym_xor] = ACTIONS(5815),
    [anon_sym_bitand] = ACTIONS(5815),
    [anon_sym_not_eq] = ACTIONS(5815),
    [anon_sym_DASH_DASH] = ACTIONS(5817),
    [anon_sym_PLUS_PLUS] = ACTIONS(5817),
    [anon_sym_DOT] = ACTIONS(5815),
    [anon_sym_DOT_STAR] = ACTIONS(5817),
    [anon_sym_DASH_GT] = ACTIONS(5817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5815),
    [anon_sym_decltype] = ACTIONS(5815),
    [anon_sym_final] = ACTIONS(5815),
    [anon_sym_override] = ACTIONS(5815),
    [anon_sym_requires] = ACTIONS(5815),
  },
  [2496] = {
    [sym_identifier] = ACTIONS(5819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5821),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_RPAREN] = ACTIONS(5821),
    [anon_sym_LPAREN2] = ACTIONS(5821),
    [anon_sym_DASH] = ACTIONS(5819),
    [anon_sym_PLUS] = ACTIONS(5819),
    [anon_sym_STAR] = ACTIONS(5821),
    [anon_sym_SLASH] = ACTIONS(5819),
    [anon_sym_PERCENT] = ACTIONS(5821),
    [anon_sym_PIPE_PIPE] = ACTIONS(5821),
    [anon_sym_AMP_AMP] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5819),
    [anon_sym_CARET] = ACTIONS(5821),
    [anon_sym_AMP] = ACTIONS(5819),
    [anon_sym_EQ_EQ] = ACTIONS(5821),
    [anon_sym_BANG_EQ] = ACTIONS(5821),
    [anon_sym_GT] = ACTIONS(5819),
    [anon_sym_GT_EQ] = ACTIONS(5821),
    [anon_sym_LT_EQ] = ACTIONS(5819),
    [anon_sym_LT] = ACTIONS(5819),
    [anon_sym_LT_LT] = ACTIONS(5821),
    [anon_sym_GT_GT] = ACTIONS(5821),
    [anon_sym_COLON] = ACTIONS(5821),
    [anon_sym_SEMI] = ACTIONS(5821),
    [anon_sym___extension__] = ACTIONS(5819),
    [anon_sym___attribute__] = ACTIONS(5819),
    [anon_sym___based] = ACTIONS(5819),
    [anon_sym_LBRACE] = ACTIONS(5821),
    [anon_sym_RBRACE] = ACTIONS(5821),
    [anon_sym_signed] = ACTIONS(5819),
    [anon_sym_unsigned] = ACTIONS(5819),
    [anon_sym_long] = ACTIONS(5819),
    [anon_sym_short] = ACTIONS(5819),
    [anon_sym_LBRACK] = ACTIONS(5821),
    [anon_sym_RBRACK] = ACTIONS(5821),
    [anon_sym_const] = ACTIONS(5819),
    [anon_sym_constexpr] = ACTIONS(5819),
    [anon_sym_volatile] = ACTIONS(5819),
    [anon_sym_restrict] = ACTIONS(5819),
    [anon_sym___restrict__] = ACTIONS(5819),
    [anon_sym__Atomic] = ACTIONS(5819),
    [anon_sym__Noreturn] = ACTIONS(5819),
    [anon_sym_noreturn] = ACTIONS(5819),
    [anon_sym__Nonnull] = ACTIONS(5819),
    [anon_sym_mutable] = ACTIONS(5819),
    [anon_sym_constinit] = ACTIONS(5819),
    [anon_sym_consteval] = ACTIONS(5819),
    [anon_sym_alignas] = ACTIONS(5819),
    [anon_sym__Alignas] = ACTIONS(5819),
    [sym_primitive_type] = ACTIONS(5819),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LT_EQ_GT] = ACTIONS(5821),
    [anon_sym_or] = ACTIONS(5819),
    [anon_sym_and] = ACTIONS(5819),
    [anon_sym_bitor] = ACTIONS(5819),
    [anon_sym_xor] = ACTIONS(5819),
    [anon_sym_bitand] = ACTIONS(5819),
    [anon_sym_not_eq] = ACTIONS(5819),
    [anon_sym_DASH_DASH] = ACTIONS(5821),
    [anon_sym_PLUS_PLUS] = ACTIONS(5821),
    [anon_sym_DOT] = ACTIONS(5819),
    [anon_sym_DOT_STAR] = ACTIONS(5821),
    [anon_sym_DASH_GT] = ACTIONS(5821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5819),
    [anon_sym_decltype] = ACTIONS(5819),
    [anon_sym_final] = ACTIONS(5819),
    [anon_sym_override] = ACTIONS(5819),
    [anon_sym_requires] = ACTIONS(5819),
  },
  [2497] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_DASH] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5811),
    [anon_sym_STAR] = ACTIONS(5813),
    [anon_sym_SLASH] = ACTIONS(5811),
    [anon_sym_PERCENT] = ACTIONS(5813),
    [anon_sym_PIPE_PIPE] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_PIPE] = ACTIONS(5811),
    [anon_sym_CARET] = ACTIONS(5813),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_EQ_EQ] = ACTIONS(5813),
    [anon_sym_BANG_EQ] = ACTIONS(5813),
    [anon_sym_GT] = ACTIONS(5811),
    [anon_sym_GT_EQ] = ACTIONS(5813),
    [anon_sym_LT_EQ] = ACTIONS(5811),
    [anon_sym_LT] = ACTIONS(5811),
    [anon_sym_LT_LT] = ACTIONS(5813),
    [anon_sym_GT_GT] = ACTIONS(5813),
    [anon_sym_COLON] = ACTIONS(5813),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___extension__] = ACTIONS(5811),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym___based] = ACTIONS(5811),
    [anon_sym_LBRACE] = ACTIONS(5813),
    [anon_sym_RBRACE] = ACTIONS(5813),
    [anon_sym_signed] = ACTIONS(5811),
    [anon_sym_unsigned] = ACTIONS(5811),
    [anon_sym_long] = ACTIONS(5811),
    [anon_sym_short] = ACTIONS(5811),
    [anon_sym_LBRACK] = ACTIONS(5813),
    [anon_sym_RBRACK] = ACTIONS(5813),
    [anon_sym_const] = ACTIONS(5811),
    [anon_sym_constexpr] = ACTIONS(5811),
    [anon_sym_volatile] = ACTIONS(5811),
    [anon_sym_restrict] = ACTIONS(5811),
    [anon_sym___restrict__] = ACTIONS(5811),
    [anon_sym__Atomic] = ACTIONS(5811),
    [anon_sym__Noreturn] = ACTIONS(5811),
    [anon_sym_noreturn] = ACTIONS(5811),
    [anon_sym__Nonnull] = ACTIONS(5811),
    [anon_sym_mutable] = ACTIONS(5811),
    [anon_sym_constinit] = ACTIONS(5811),
    [anon_sym_consteval] = ACTIONS(5811),
    [anon_sym_alignas] = ACTIONS(5811),
    [anon_sym__Alignas] = ACTIONS(5811),
    [sym_primitive_type] = ACTIONS(5811),
    [anon_sym_QMARK] = ACTIONS(5813),
    [anon_sym_LT_EQ_GT] = ACTIONS(5813),
    [anon_sym_or] = ACTIONS(5811),
    [anon_sym_and] = ACTIONS(5811),
    [anon_sym_bitor] = ACTIONS(5811),
    [anon_sym_xor] = ACTIONS(5811),
    [anon_sym_bitand] = ACTIONS(5811),
    [anon_sym_not_eq] = ACTIONS(5811),
    [anon_sym_DASH_DASH] = ACTIONS(5813),
    [anon_sym_PLUS_PLUS] = ACTIONS(5813),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_DOT_STAR] = ACTIONS(5813),
    [anon_sym_DASH_GT] = ACTIONS(5813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
    [anon_sym_final] = ACTIONS(5811),
    [anon_sym_override] = ACTIONS(5811),
    [anon_sym_requires] = ACTIONS(5811),
  },
  [2498] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_DASH] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5811),
    [anon_sym_STAR] = ACTIONS(5813),
    [anon_sym_SLASH] = ACTIONS(5811),
    [anon_sym_PERCENT] = ACTIONS(5813),
    [anon_sym_PIPE_PIPE] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_PIPE] = ACTIONS(5811),
    [anon_sym_CARET] = ACTIONS(5813),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_EQ_EQ] = ACTIONS(5813),
    [anon_sym_BANG_EQ] = ACTIONS(5813),
    [anon_sym_GT] = ACTIONS(5811),
    [anon_sym_GT_EQ] = ACTIONS(5813),
    [anon_sym_LT_EQ] = ACTIONS(5811),
    [anon_sym_LT] = ACTIONS(5811),
    [anon_sym_LT_LT] = ACTIONS(5813),
    [anon_sym_GT_GT] = ACTIONS(5813),
    [anon_sym_COLON] = ACTIONS(5813),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___extension__] = ACTIONS(5811),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym___based] = ACTIONS(5811),
    [anon_sym_LBRACE] = ACTIONS(5813),
    [anon_sym_RBRACE] = ACTIONS(5813),
    [anon_sym_signed] = ACTIONS(5811),
    [anon_sym_unsigned] = ACTIONS(5811),
    [anon_sym_long] = ACTIONS(5811),
    [anon_sym_short] = ACTIONS(5811),
    [anon_sym_LBRACK] = ACTIONS(5813),
    [anon_sym_RBRACK] = ACTIONS(5813),
    [anon_sym_const] = ACTIONS(5811),
    [anon_sym_constexpr] = ACTIONS(5811),
    [anon_sym_volatile] = ACTIONS(5811),
    [anon_sym_restrict] = ACTIONS(5811),
    [anon_sym___restrict__] = ACTIONS(5811),
    [anon_sym__Atomic] = ACTIONS(5811),
    [anon_sym__Noreturn] = ACTIONS(5811),
    [anon_sym_noreturn] = ACTIONS(5811),
    [anon_sym__Nonnull] = ACTIONS(5811),
    [anon_sym_mutable] = ACTIONS(5811),
    [anon_sym_constinit] = ACTIONS(5811),
    [anon_sym_consteval] = ACTIONS(5811),
    [anon_sym_alignas] = ACTIONS(5811),
    [anon_sym__Alignas] = ACTIONS(5811),
    [sym_primitive_type] = ACTIONS(5811),
    [anon_sym_QMARK] = ACTIONS(5813),
    [anon_sym_LT_EQ_GT] = ACTIONS(5813),
    [anon_sym_or] = ACTIONS(5811),
    [anon_sym_and] = ACTIONS(5811),
    [anon_sym_bitor] = ACTIONS(5811),
    [anon_sym_xor] = ACTIONS(5811),
    [anon_sym_bitand] = ACTIONS(5811),
    [anon_sym_not_eq] = ACTIONS(5811),
    [anon_sym_DASH_DASH] = ACTIONS(5813),
    [anon_sym_PLUS_PLUS] = ACTIONS(5813),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_DOT_STAR] = ACTIONS(5813),
    [anon_sym_DASH_GT] = ACTIONS(5813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
    [anon_sym_final] = ACTIONS(5811),
    [anon_sym_override] = ACTIONS(5811),
    [anon_sym_requires] = ACTIONS(5811),
  },
  [2499] = {
    [sym_identifier] = ACTIONS(5899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5901),
    [anon_sym_COMMA] = ACTIONS(5901),
    [anon_sym_RPAREN] = ACTIONS(5901),
    [anon_sym_LPAREN2] = ACTIONS(5901),
    [anon_sym_DASH] = ACTIONS(5899),
    [anon_sym_PLUS] = ACTIONS(5899),
    [anon_sym_STAR] = ACTIONS(5901),
    [anon_sym_SLASH] = ACTIONS(5899),
    [anon_sym_PERCENT] = ACTIONS(5901),
    [anon_sym_PIPE_PIPE] = ACTIONS(5901),
    [anon_sym_AMP_AMP] = ACTIONS(5901),
    [anon_sym_PIPE] = ACTIONS(5899),
    [anon_sym_CARET] = ACTIONS(5901),
    [anon_sym_AMP] = ACTIONS(5899),
    [anon_sym_EQ_EQ] = ACTIONS(5901),
    [anon_sym_BANG_EQ] = ACTIONS(5901),
    [anon_sym_GT] = ACTIONS(5899),
    [anon_sym_GT_EQ] = ACTIONS(5901),
    [anon_sym_LT_EQ] = ACTIONS(5899),
    [anon_sym_LT] = ACTIONS(5899),
    [anon_sym_LT_LT] = ACTIONS(5901),
    [anon_sym_GT_GT] = ACTIONS(5901),
    [anon_sym_COLON] = ACTIONS(5901),
    [anon_sym_SEMI] = ACTIONS(5901),
    [anon_sym___extension__] = ACTIONS(5899),
    [anon_sym___attribute__] = ACTIONS(5899),
    [anon_sym___based] = ACTIONS(5899),
    [anon_sym_LBRACE] = ACTIONS(5901),
    [anon_sym_RBRACE] = ACTIONS(5901),
    [anon_sym_signed] = ACTIONS(5899),
    [anon_sym_unsigned] = ACTIONS(5899),
    [anon_sym_long] = ACTIONS(5899),
    [anon_sym_short] = ACTIONS(5899),
    [anon_sym_LBRACK] = ACTIONS(5901),
    [anon_sym_RBRACK] = ACTIONS(5901),
    [anon_sym_const] = ACTIONS(5899),
    [anon_sym_constexpr] = ACTIONS(5899),
    [anon_sym_volatile] = ACTIONS(5899),
    [anon_sym_restrict] = ACTIONS(5899),
    [anon_sym___restrict__] = ACTIONS(5899),
    [anon_sym__Atomic] = ACTIONS(5899),
    [anon_sym__Noreturn] = ACTIONS(5899),
    [anon_sym_noreturn] = ACTIONS(5899),
    [anon_sym__Nonnull] = ACTIONS(5899),
    [anon_sym_mutable] = ACTIONS(5899),
    [anon_sym_constinit] = ACTIONS(5899),
    [anon_sym_consteval] = ACTIONS(5899),
    [anon_sym_alignas] = ACTIONS(5899),
    [anon_sym__Alignas] = ACTIONS(5899),
    [sym_primitive_type] = ACTIONS(5899),
    [anon_sym_QMARK] = ACTIONS(5901),
    [anon_sym_LT_EQ_GT] = ACTIONS(5901),
    [anon_sym_or] = ACTIONS(5899),
    [anon_sym_and] = ACTIONS(5899),
    [anon_sym_bitor] = ACTIONS(5899),
    [anon_sym_xor] = ACTIONS(5899),
    [anon_sym_bitand] = ACTIONS(5899),
    [anon_sym_not_eq] = ACTIONS(5899),
    [anon_sym_DASH_DASH] = ACTIONS(5901),
    [anon_sym_PLUS_PLUS] = ACTIONS(5901),
    [anon_sym_DOT] = ACTIONS(5899),
    [anon_sym_DOT_STAR] = ACTIONS(5901),
    [anon_sym_DASH_GT] = ACTIONS(5901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5899),
    [anon_sym_decltype] = ACTIONS(5899),
    [anon_sym_final] = ACTIONS(5899),
    [anon_sym_override] = ACTIONS(5899),
    [anon_sym_requires] = ACTIONS(5899),
  },
  [2500] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_field_declaration_list] = STATE(2365),
    [sym_virtual_specifier] = STATE(6952),
    [sym_base_class_clause] = STATE(7612),
    [sym_identifier] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_COLON] = ACTIONS(6194),
    [anon_sym_SEMI] = ACTIONS(5687),
    [anon_sym___extension__] = ACTIONS(5685),
    [anon_sym_in] = ACTIONS(5685),
    [anon_sym_out] = ACTIONS(5685),
    [anon_sym_inout] = ACTIONS(5685),
    [anon_sym_virtual] = ACTIONS(5685),
    [anon_sym_extern] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5687),
    [anon_sym___declspec] = ACTIONS(5685),
    [anon_sym___based] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_static] = ACTIONS(5685),
    [anon_sym_register] = ACTIONS(5685),
    [anon_sym_inline] = ACTIONS(5685),
    [anon_sym___inline] = ACTIONS(5685),
    [anon_sym___inline__] = ACTIONS(5685),
    [anon_sym___forceinline] = ACTIONS(5685),
    [anon_sym_thread_local] = ACTIONS(5685),
    [anon_sym___thread] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5685),
    [anon_sym_volatile] = ACTIONS(5685),
    [anon_sym_restrict] = ACTIONS(5685),
    [anon_sym___restrict__] = ACTIONS(5685),
    [anon_sym__Atomic] = ACTIONS(5685),
    [anon_sym__Noreturn] = ACTIONS(5685),
    [anon_sym_noreturn] = ACTIONS(5685),
    [anon_sym__Nonnull] = ACTIONS(5685),
    [anon_sym_mutable] = ACTIONS(5685),
    [anon_sym_constinit] = ACTIONS(5685),
    [anon_sym_consteval] = ACTIONS(5685),
    [anon_sym_alignas] = ACTIONS(5685),
    [anon_sym__Alignas] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5685),
    [anon_sym_decltype] = ACTIONS(5685),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_operator] = ACTIONS(5685),
    [anon_sym_precise] = ACTIONS(5685),
    [anon_sym_shared] = ACTIONS(5685),
    [anon_sym_groupshared] = ACTIONS(5685),
    [anon_sym_uniform] = ACTIONS(5685),
    [anon_sym_row_major] = ACTIONS(5685),
    [anon_sym_column_major] = ACTIONS(5685),
    [anon_sym_globallycoherent] = ACTIONS(5685),
    [anon_sym_centroid] = ACTIONS(5685),
    [anon_sym_noperspective] = ACTIONS(5685),
    [anon_sym_nointerpolation] = ACTIONS(5685),
    [anon_sym_sample] = ACTIONS(5685),
    [anon_sym_linear] = ACTIONS(5685),
    [anon_sym_snorm] = ACTIONS(5685),
    [anon_sym_unorm] = ACTIONS(5685),
    [anon_sym_point] = ACTIONS(5685),
    [anon_sym_line] = ACTIONS(5685),
    [anon_sym_triangleadj] = ACTIONS(5685),
    [anon_sym_lineadj] = ACTIONS(5685),
    [anon_sym_triangle] = ACTIONS(5685),
  },
  [2501] = {
    [sym_identifier] = ACTIONS(5867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5869),
    [anon_sym_COMMA] = ACTIONS(5869),
    [anon_sym_RPAREN] = ACTIONS(5869),
    [anon_sym_LPAREN2] = ACTIONS(5869),
    [anon_sym_DASH] = ACTIONS(5867),
    [anon_sym_PLUS] = ACTIONS(5867),
    [anon_sym_STAR] = ACTIONS(5869),
    [anon_sym_SLASH] = ACTIONS(5867),
    [anon_sym_PERCENT] = ACTIONS(5869),
    [anon_sym_PIPE_PIPE] = ACTIONS(5869),
    [anon_sym_AMP_AMP] = ACTIONS(5869),
    [anon_sym_PIPE] = ACTIONS(5867),
    [anon_sym_CARET] = ACTIONS(5869),
    [anon_sym_AMP] = ACTIONS(5867),
    [anon_sym_EQ_EQ] = ACTIONS(5869),
    [anon_sym_BANG_EQ] = ACTIONS(5869),
    [anon_sym_GT] = ACTIONS(5867),
    [anon_sym_GT_EQ] = ACTIONS(5869),
    [anon_sym_LT_EQ] = ACTIONS(5867),
    [anon_sym_LT] = ACTIONS(5867),
    [anon_sym_LT_LT] = ACTIONS(5869),
    [anon_sym_GT_GT] = ACTIONS(5869),
    [anon_sym_COLON] = ACTIONS(5869),
    [anon_sym_SEMI] = ACTIONS(5869),
    [anon_sym___extension__] = ACTIONS(5867),
    [anon_sym___attribute__] = ACTIONS(5867),
    [anon_sym___based] = ACTIONS(5867),
    [anon_sym_LBRACE] = ACTIONS(5869),
    [anon_sym_RBRACE] = ACTIONS(5869),
    [anon_sym_signed] = ACTIONS(5867),
    [anon_sym_unsigned] = ACTIONS(5867),
    [anon_sym_long] = ACTIONS(5867),
    [anon_sym_short] = ACTIONS(5867),
    [anon_sym_LBRACK] = ACTIONS(5869),
    [anon_sym_RBRACK] = ACTIONS(5869),
    [anon_sym_const] = ACTIONS(5867),
    [anon_sym_constexpr] = ACTIONS(5867),
    [anon_sym_volatile] = ACTIONS(5867),
    [anon_sym_restrict] = ACTIONS(5867),
    [anon_sym___restrict__] = ACTIONS(5867),
    [anon_sym__Atomic] = ACTIONS(5867),
    [anon_sym__Noreturn] = ACTIONS(5867),
    [anon_sym_noreturn] = ACTIONS(5867),
    [anon_sym__Nonnull] = ACTIONS(5867),
    [anon_sym_mutable] = ACTIONS(5867),
    [anon_sym_constinit] = ACTIONS(5867),
    [anon_sym_consteval] = ACTIONS(5867),
    [anon_sym_alignas] = ACTIONS(5867),
    [anon_sym__Alignas] = ACTIONS(5867),
    [sym_primitive_type] = ACTIONS(5867),
    [anon_sym_QMARK] = ACTIONS(5869),
    [anon_sym_LT_EQ_GT] = ACTIONS(5869),
    [anon_sym_or] = ACTIONS(5867),
    [anon_sym_and] = ACTIONS(5867),
    [anon_sym_bitor] = ACTIONS(5867),
    [anon_sym_xor] = ACTIONS(5867),
    [anon_sym_bitand] = ACTIONS(5867),
    [anon_sym_not_eq] = ACTIONS(5867),
    [anon_sym_DASH_DASH] = ACTIONS(5869),
    [anon_sym_PLUS_PLUS] = ACTIONS(5869),
    [anon_sym_DOT] = ACTIONS(5867),
    [anon_sym_DOT_STAR] = ACTIONS(5869),
    [anon_sym_DASH_GT] = ACTIONS(5869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5867),
    [anon_sym_decltype] = ACTIONS(5867),
    [anon_sym_final] = ACTIONS(5867),
    [anon_sym_override] = ACTIONS(5867),
    [anon_sym_requires] = ACTIONS(5867),
  },
  [2502] = {
    [sym_identifier] = ACTIONS(5871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5873),
    [anon_sym_COMMA] = ACTIONS(5873),
    [anon_sym_RPAREN] = ACTIONS(5873),
    [anon_sym_LPAREN2] = ACTIONS(5873),
    [anon_sym_DASH] = ACTIONS(5871),
    [anon_sym_PLUS] = ACTIONS(5871),
    [anon_sym_STAR] = ACTIONS(5873),
    [anon_sym_SLASH] = ACTIONS(5871),
    [anon_sym_PERCENT] = ACTIONS(5873),
    [anon_sym_PIPE_PIPE] = ACTIONS(5873),
    [anon_sym_AMP_AMP] = ACTIONS(5873),
    [anon_sym_PIPE] = ACTIONS(5871),
    [anon_sym_CARET] = ACTIONS(5873),
    [anon_sym_AMP] = ACTIONS(5871),
    [anon_sym_EQ_EQ] = ACTIONS(5873),
    [anon_sym_BANG_EQ] = ACTIONS(5873),
    [anon_sym_GT] = ACTIONS(5871),
    [anon_sym_GT_EQ] = ACTIONS(5873),
    [anon_sym_LT_EQ] = ACTIONS(5871),
    [anon_sym_LT] = ACTIONS(5871),
    [anon_sym_LT_LT] = ACTIONS(5873),
    [anon_sym_GT_GT] = ACTIONS(5873),
    [anon_sym_COLON] = ACTIONS(5873),
    [anon_sym_SEMI] = ACTIONS(5873),
    [anon_sym___extension__] = ACTIONS(5871),
    [anon_sym___attribute__] = ACTIONS(5871),
    [anon_sym___based] = ACTIONS(5871),
    [anon_sym_LBRACE] = ACTIONS(5873),
    [anon_sym_RBRACE] = ACTIONS(5873),
    [anon_sym_signed] = ACTIONS(5871),
    [anon_sym_unsigned] = ACTIONS(5871),
    [anon_sym_long] = ACTIONS(5871),
    [anon_sym_short] = ACTIONS(5871),
    [anon_sym_LBRACK] = ACTIONS(5873),
    [anon_sym_RBRACK] = ACTIONS(5873),
    [anon_sym_const] = ACTIONS(5871),
    [anon_sym_constexpr] = ACTIONS(5871),
    [anon_sym_volatile] = ACTIONS(5871),
    [anon_sym_restrict] = ACTIONS(5871),
    [anon_sym___restrict__] = ACTIONS(5871),
    [anon_sym__Atomic] = ACTIONS(5871),
    [anon_sym__Noreturn] = ACTIONS(5871),
    [anon_sym_noreturn] = ACTIONS(5871),
    [anon_sym__Nonnull] = ACTIONS(5871),
    [anon_sym_mutable] = ACTIONS(5871),
    [anon_sym_constinit] = ACTIONS(5871),
    [anon_sym_consteval] = ACTIONS(5871),
    [anon_sym_alignas] = ACTIONS(5871),
    [anon_sym__Alignas] = ACTIONS(5871),
    [sym_primitive_type] = ACTIONS(5871),
    [anon_sym_QMARK] = ACTIONS(5873),
    [anon_sym_LT_EQ_GT] = ACTIONS(5873),
    [anon_sym_or] = ACTIONS(5871),
    [anon_sym_and] = ACTIONS(5871),
    [anon_sym_bitor] = ACTIONS(5871),
    [anon_sym_xor] = ACTIONS(5871),
    [anon_sym_bitand] = ACTIONS(5871),
    [anon_sym_not_eq] = ACTIONS(5871),
    [anon_sym_DASH_DASH] = ACTIONS(5873),
    [anon_sym_PLUS_PLUS] = ACTIONS(5873),
    [anon_sym_DOT] = ACTIONS(5871),
    [anon_sym_DOT_STAR] = ACTIONS(5873),
    [anon_sym_DASH_GT] = ACTIONS(5873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5871),
    [anon_sym_decltype] = ACTIONS(5871),
    [anon_sym_final] = ACTIONS(5871),
    [anon_sym_override] = ACTIONS(5871),
    [anon_sym_requires] = ACTIONS(5871),
  },
  [2503] = {
    [sym_identifier] = ACTIONS(5891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5893),
    [anon_sym_COMMA] = ACTIONS(5893),
    [anon_sym_RPAREN] = ACTIONS(5893),
    [anon_sym_LPAREN2] = ACTIONS(5893),
    [anon_sym_DASH] = ACTIONS(5891),
    [anon_sym_PLUS] = ACTIONS(5891),
    [anon_sym_STAR] = ACTIONS(5893),
    [anon_sym_SLASH] = ACTIONS(5891),
    [anon_sym_PERCENT] = ACTIONS(5893),
    [anon_sym_PIPE_PIPE] = ACTIONS(5893),
    [anon_sym_AMP_AMP] = ACTIONS(5893),
    [anon_sym_PIPE] = ACTIONS(5891),
    [anon_sym_CARET] = ACTIONS(5893),
    [anon_sym_AMP] = ACTIONS(5891),
    [anon_sym_EQ_EQ] = ACTIONS(5893),
    [anon_sym_BANG_EQ] = ACTIONS(5893),
    [anon_sym_GT] = ACTIONS(5891),
    [anon_sym_GT_EQ] = ACTIONS(5893),
    [anon_sym_LT_EQ] = ACTIONS(5891),
    [anon_sym_LT] = ACTIONS(5891),
    [anon_sym_LT_LT] = ACTIONS(5893),
    [anon_sym_GT_GT] = ACTIONS(5893),
    [anon_sym_COLON] = ACTIONS(5893),
    [anon_sym_SEMI] = ACTIONS(5893),
    [anon_sym___extension__] = ACTIONS(5891),
    [anon_sym___attribute__] = ACTIONS(5891),
    [anon_sym___based] = ACTIONS(5891),
    [anon_sym_LBRACE] = ACTIONS(5893),
    [anon_sym_RBRACE] = ACTIONS(5893),
    [anon_sym_signed] = ACTIONS(5891),
    [anon_sym_unsigned] = ACTIONS(5891),
    [anon_sym_long] = ACTIONS(5891),
    [anon_sym_short] = ACTIONS(5891),
    [anon_sym_LBRACK] = ACTIONS(5893),
    [anon_sym_RBRACK] = ACTIONS(5893),
    [anon_sym_const] = ACTIONS(5891),
    [anon_sym_constexpr] = ACTIONS(5891),
    [anon_sym_volatile] = ACTIONS(5891),
    [anon_sym_restrict] = ACTIONS(5891),
    [anon_sym___restrict__] = ACTIONS(5891),
    [anon_sym__Atomic] = ACTIONS(5891),
    [anon_sym__Noreturn] = ACTIONS(5891),
    [anon_sym_noreturn] = ACTIONS(5891),
    [anon_sym__Nonnull] = ACTIONS(5891),
    [anon_sym_mutable] = ACTIONS(5891),
    [anon_sym_constinit] = ACTIONS(5891),
    [anon_sym_consteval] = ACTIONS(5891),
    [anon_sym_alignas] = ACTIONS(5891),
    [anon_sym__Alignas] = ACTIONS(5891),
    [sym_primitive_type] = ACTIONS(5891),
    [anon_sym_QMARK] = ACTIONS(5893),
    [anon_sym_LT_EQ_GT] = ACTIONS(5893),
    [anon_sym_or] = ACTIONS(5891),
    [anon_sym_and] = ACTIONS(5891),
    [anon_sym_bitor] = ACTIONS(5891),
    [anon_sym_xor] = ACTIONS(5891),
    [anon_sym_bitand] = ACTIONS(5891),
    [anon_sym_not_eq] = ACTIONS(5891),
    [anon_sym_DASH_DASH] = ACTIONS(5893),
    [anon_sym_PLUS_PLUS] = ACTIONS(5893),
    [anon_sym_DOT] = ACTIONS(5891),
    [anon_sym_DOT_STAR] = ACTIONS(5893),
    [anon_sym_DASH_GT] = ACTIONS(5893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5891),
    [anon_sym_decltype] = ACTIONS(5891),
    [anon_sym_final] = ACTIONS(5891),
    [anon_sym_override] = ACTIONS(5891),
    [anon_sym_requires] = ACTIONS(5891),
  },
  [2504] = {
    [sym_identifier] = ACTIONS(5907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5909),
    [anon_sym_COMMA] = ACTIONS(5909),
    [anon_sym_RPAREN] = ACTIONS(5909),
    [anon_sym_LPAREN2] = ACTIONS(5909),
    [anon_sym_DASH] = ACTIONS(5907),
    [anon_sym_PLUS] = ACTIONS(5907),
    [anon_sym_STAR] = ACTIONS(5909),
    [anon_sym_SLASH] = ACTIONS(5907),
    [anon_sym_PERCENT] = ACTIONS(5909),
    [anon_sym_PIPE_PIPE] = ACTIONS(5909),
    [anon_sym_AMP_AMP] = ACTIONS(5909),
    [anon_sym_PIPE] = ACTIONS(5907),
    [anon_sym_CARET] = ACTIONS(5909),
    [anon_sym_AMP] = ACTIONS(5907),
    [anon_sym_EQ_EQ] = ACTIONS(5909),
    [anon_sym_BANG_EQ] = ACTIONS(5909),
    [anon_sym_GT] = ACTIONS(5907),
    [anon_sym_GT_EQ] = ACTIONS(5909),
    [anon_sym_LT_EQ] = ACTIONS(5907),
    [anon_sym_LT] = ACTIONS(5907),
    [anon_sym_LT_LT] = ACTIONS(5909),
    [anon_sym_GT_GT] = ACTIONS(5909),
    [anon_sym_COLON] = ACTIONS(5909),
    [anon_sym_SEMI] = ACTIONS(5909),
    [anon_sym___extension__] = ACTIONS(5907),
    [anon_sym___attribute__] = ACTIONS(5907),
    [anon_sym___based] = ACTIONS(5907),
    [anon_sym_LBRACE] = ACTIONS(5909),
    [anon_sym_RBRACE] = ACTIONS(5909),
    [anon_sym_signed] = ACTIONS(5907),
    [anon_sym_unsigned] = ACTIONS(5907),
    [anon_sym_long] = ACTIONS(5907),
    [anon_sym_short] = ACTIONS(5907),
    [anon_sym_LBRACK] = ACTIONS(5909),
    [anon_sym_RBRACK] = ACTIONS(5909),
    [anon_sym_const] = ACTIONS(5907),
    [anon_sym_constexpr] = ACTIONS(5907),
    [anon_sym_volatile] = ACTIONS(5907),
    [anon_sym_restrict] = ACTIONS(5907),
    [anon_sym___restrict__] = ACTIONS(5907),
    [anon_sym__Atomic] = ACTIONS(5907),
    [anon_sym__Noreturn] = ACTIONS(5907),
    [anon_sym_noreturn] = ACTIONS(5907),
    [anon_sym__Nonnull] = ACTIONS(5907),
    [anon_sym_mutable] = ACTIONS(5907),
    [anon_sym_constinit] = ACTIONS(5907),
    [anon_sym_consteval] = ACTIONS(5907),
    [anon_sym_alignas] = ACTIONS(5907),
    [anon_sym__Alignas] = ACTIONS(5907),
    [sym_primitive_type] = ACTIONS(5907),
    [anon_sym_QMARK] = ACTIONS(5909),
    [anon_sym_LT_EQ_GT] = ACTIONS(5909),
    [anon_sym_or] = ACTIONS(5907),
    [anon_sym_and] = ACTIONS(5907),
    [anon_sym_bitor] = ACTIONS(5907),
    [anon_sym_xor] = ACTIONS(5907),
    [anon_sym_bitand] = ACTIONS(5907),
    [anon_sym_not_eq] = ACTIONS(5907),
    [anon_sym_DASH_DASH] = ACTIONS(5909),
    [anon_sym_PLUS_PLUS] = ACTIONS(5909),
    [anon_sym_DOT] = ACTIONS(5907),
    [anon_sym_DOT_STAR] = ACTIONS(5909),
    [anon_sym_DASH_GT] = ACTIONS(5909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5907),
    [anon_sym_decltype] = ACTIONS(5907),
    [anon_sym_final] = ACTIONS(5907),
    [anon_sym_override] = ACTIONS(5907),
    [anon_sym_requires] = ACTIONS(5907),
  },
  [2505] = {
    [sym_identifier] = ACTIONS(5887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5889),
    [anon_sym_COMMA] = ACTIONS(5889),
    [anon_sym_RPAREN] = ACTIONS(5889),
    [anon_sym_LPAREN2] = ACTIONS(5889),
    [anon_sym_DASH] = ACTIONS(5887),
    [anon_sym_PLUS] = ACTIONS(5887),
    [anon_sym_STAR] = ACTIONS(5889),
    [anon_sym_SLASH] = ACTIONS(5887),
    [anon_sym_PERCENT] = ACTIONS(5889),
    [anon_sym_PIPE_PIPE] = ACTIONS(5889),
    [anon_sym_AMP_AMP] = ACTIONS(5889),
    [anon_sym_PIPE] = ACTIONS(5887),
    [anon_sym_CARET] = ACTIONS(5889),
    [anon_sym_AMP] = ACTIONS(5887),
    [anon_sym_EQ_EQ] = ACTIONS(5889),
    [anon_sym_BANG_EQ] = ACTIONS(5889),
    [anon_sym_GT] = ACTIONS(5887),
    [anon_sym_GT_EQ] = ACTIONS(5889),
    [anon_sym_LT_EQ] = ACTIONS(5887),
    [anon_sym_LT] = ACTIONS(5887),
    [anon_sym_LT_LT] = ACTIONS(5889),
    [anon_sym_GT_GT] = ACTIONS(5889),
    [anon_sym_COLON] = ACTIONS(5889),
    [anon_sym_SEMI] = ACTIONS(5889),
    [anon_sym___extension__] = ACTIONS(5887),
    [anon_sym___attribute__] = ACTIONS(5887),
    [anon_sym___based] = ACTIONS(5887),
    [anon_sym_LBRACE] = ACTIONS(5889),
    [anon_sym_RBRACE] = ACTIONS(5889),
    [anon_sym_signed] = ACTIONS(5887),
    [anon_sym_unsigned] = ACTIONS(5887),
    [anon_sym_long] = ACTIONS(5887),
    [anon_sym_short] = ACTIONS(5887),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5889),
    [anon_sym_const] = ACTIONS(5887),
    [anon_sym_constexpr] = ACTIONS(5887),
    [anon_sym_volatile] = ACTIONS(5887),
    [anon_sym_restrict] = ACTIONS(5887),
    [anon_sym___restrict__] = ACTIONS(5887),
    [anon_sym__Atomic] = ACTIONS(5887),
    [anon_sym__Noreturn] = ACTIONS(5887),
    [anon_sym_noreturn] = ACTIONS(5887),
    [anon_sym__Nonnull] = ACTIONS(5887),
    [anon_sym_mutable] = ACTIONS(5887),
    [anon_sym_constinit] = ACTIONS(5887),
    [anon_sym_consteval] = ACTIONS(5887),
    [anon_sym_alignas] = ACTIONS(5887),
    [anon_sym__Alignas] = ACTIONS(5887),
    [sym_primitive_type] = ACTIONS(5887),
    [anon_sym_QMARK] = ACTIONS(5889),
    [anon_sym_LT_EQ_GT] = ACTIONS(5889),
    [anon_sym_or] = ACTIONS(5887),
    [anon_sym_and] = ACTIONS(5887),
    [anon_sym_bitor] = ACTIONS(5887),
    [anon_sym_xor] = ACTIONS(5887),
    [anon_sym_bitand] = ACTIONS(5887),
    [anon_sym_not_eq] = ACTIONS(5887),
    [anon_sym_DASH_DASH] = ACTIONS(5889),
    [anon_sym_PLUS_PLUS] = ACTIONS(5889),
    [anon_sym_DOT] = ACTIONS(5887),
    [anon_sym_DOT_STAR] = ACTIONS(5889),
    [anon_sym_DASH_GT] = ACTIONS(5889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5887),
    [anon_sym_decltype] = ACTIONS(5887),
    [anon_sym_final] = ACTIONS(5887),
    [anon_sym_override] = ACTIONS(5887),
    [anon_sym_requires] = ACTIONS(5887),
  },
  [2506] = {
    [sym_identifier] = ACTIONS(5718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5720),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5720),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5720),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5720),
    [anon_sym_GT_GT] = ACTIONS(5720),
    [anon_sym_COLON] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___extension__] = ACTIONS(5718),
    [anon_sym___attribute__] = ACTIONS(5718),
    [anon_sym___based] = ACTIONS(5718),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_signed] = ACTIONS(5718),
    [anon_sym_unsigned] = ACTIONS(5718),
    [anon_sym_long] = ACTIONS(5718),
    [anon_sym_short] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_RBRACK] = ACTIONS(5720),
    [anon_sym_const] = ACTIONS(5718),
    [anon_sym_constexpr] = ACTIONS(5718),
    [anon_sym_volatile] = ACTIONS(5718),
    [anon_sym_restrict] = ACTIONS(5718),
    [anon_sym___restrict__] = ACTIONS(5718),
    [anon_sym__Atomic] = ACTIONS(5718),
    [anon_sym__Noreturn] = ACTIONS(5718),
    [anon_sym_noreturn] = ACTIONS(5718),
    [anon_sym__Nonnull] = ACTIONS(5718),
    [anon_sym_mutable] = ACTIONS(5718),
    [anon_sym_constinit] = ACTIONS(5718),
    [anon_sym_consteval] = ACTIONS(5718),
    [anon_sym_alignas] = ACTIONS(5718),
    [anon_sym__Alignas] = ACTIONS(5718),
    [sym_primitive_type] = ACTIONS(5718),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5718),
    [anon_sym_and] = ACTIONS(5718),
    [anon_sym_bitor] = ACTIONS(5718),
    [anon_sym_xor] = ACTIONS(5718),
    [anon_sym_bitand] = ACTIONS(5718),
    [anon_sym_not_eq] = ACTIONS(5718),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5718),
    [anon_sym_decltype] = ACTIONS(5718),
    [anon_sym_final] = ACTIONS(5718),
    [anon_sym_override] = ACTIONS(5718),
    [anon_sym_requires] = ACTIONS(5718),
  },
  [2507] = {
    [sym_identifier] = ACTIONS(5827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5829),
    [anon_sym_COMMA] = ACTIONS(5829),
    [anon_sym_RPAREN] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_DASH] = ACTIONS(5827),
    [anon_sym_PLUS] = ACTIONS(5827),
    [anon_sym_STAR] = ACTIONS(5829),
    [anon_sym_SLASH] = ACTIONS(5827),
    [anon_sym_PERCENT] = ACTIONS(5829),
    [anon_sym_PIPE_PIPE] = ACTIONS(5829),
    [anon_sym_AMP_AMP] = ACTIONS(5829),
    [anon_sym_PIPE] = ACTIONS(5827),
    [anon_sym_CARET] = ACTIONS(5829),
    [anon_sym_AMP] = ACTIONS(5827),
    [anon_sym_EQ_EQ] = ACTIONS(5829),
    [anon_sym_BANG_EQ] = ACTIONS(5829),
    [anon_sym_GT] = ACTIONS(5827),
    [anon_sym_GT_EQ] = ACTIONS(5829),
    [anon_sym_LT_EQ] = ACTIONS(5827),
    [anon_sym_LT] = ACTIONS(5827),
    [anon_sym_LT_LT] = ACTIONS(5829),
    [anon_sym_GT_GT] = ACTIONS(5829),
    [anon_sym_COLON] = ACTIONS(5829),
    [anon_sym_SEMI] = ACTIONS(5829),
    [anon_sym___extension__] = ACTIONS(5827),
    [anon_sym___attribute__] = ACTIONS(5827),
    [anon_sym___based] = ACTIONS(5827),
    [anon_sym_LBRACE] = ACTIONS(5829),
    [anon_sym_RBRACE] = ACTIONS(5829),
    [anon_sym_signed] = ACTIONS(5827),
    [anon_sym_unsigned] = ACTIONS(5827),
    [anon_sym_long] = ACTIONS(5827),
    [anon_sym_short] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5829),
    [anon_sym_RBRACK] = ACTIONS(5829),
    [anon_sym_const] = ACTIONS(5827),
    [anon_sym_constexpr] = ACTIONS(5827),
    [anon_sym_volatile] = ACTIONS(5827),
    [anon_sym_restrict] = ACTIONS(5827),
    [anon_sym___restrict__] = ACTIONS(5827),
    [anon_sym__Atomic] = ACTIONS(5827),
    [anon_sym__Noreturn] = ACTIONS(5827),
    [anon_sym_noreturn] = ACTIONS(5827),
    [anon_sym__Nonnull] = ACTIONS(5827),
    [anon_sym_mutable] = ACTIONS(5827),
    [anon_sym_constinit] = ACTIONS(5827),
    [anon_sym_consteval] = ACTIONS(5827),
    [anon_sym_alignas] = ACTIONS(5827),
    [anon_sym__Alignas] = ACTIONS(5827),
    [sym_primitive_type] = ACTIONS(5827),
    [anon_sym_QMARK] = ACTIONS(5829),
    [anon_sym_LT_EQ_GT] = ACTIONS(5829),
    [anon_sym_or] = ACTIONS(5827),
    [anon_sym_and] = ACTIONS(5827),
    [anon_sym_bitor] = ACTIONS(5827),
    [anon_sym_xor] = ACTIONS(5827),
    [anon_sym_bitand] = ACTIONS(5827),
    [anon_sym_not_eq] = ACTIONS(5827),
    [anon_sym_DASH_DASH] = ACTIONS(5829),
    [anon_sym_PLUS_PLUS] = ACTIONS(5829),
    [anon_sym_DOT] = ACTIONS(5827),
    [anon_sym_DOT_STAR] = ACTIONS(5829),
    [anon_sym_DASH_GT] = ACTIONS(5829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5827),
    [anon_sym_decltype] = ACTIONS(5827),
    [anon_sym_final] = ACTIONS(5827),
    [anon_sym_override] = ACTIONS(5827),
    [anon_sym_requires] = ACTIONS(5827),
  },
  [2508] = {
    [sym_identifier] = ACTIONS(5781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5783),
    [anon_sym_COMMA] = ACTIONS(5783),
    [anon_sym_RPAREN] = ACTIONS(5783),
    [anon_sym_LPAREN2] = ACTIONS(5783),
    [anon_sym_DASH] = ACTIONS(5781),
    [anon_sym_PLUS] = ACTIONS(5781),
    [anon_sym_STAR] = ACTIONS(5783),
    [anon_sym_SLASH] = ACTIONS(5781),
    [anon_sym_PERCENT] = ACTIONS(5783),
    [anon_sym_PIPE_PIPE] = ACTIONS(5783),
    [anon_sym_AMP_AMP] = ACTIONS(5783),
    [anon_sym_PIPE] = ACTIONS(5781),
    [anon_sym_CARET] = ACTIONS(5783),
    [anon_sym_AMP] = ACTIONS(5781),
    [anon_sym_EQ_EQ] = ACTIONS(5783),
    [anon_sym_BANG_EQ] = ACTIONS(5783),
    [anon_sym_GT] = ACTIONS(5781),
    [anon_sym_GT_EQ] = ACTIONS(5783),
    [anon_sym_LT_EQ] = ACTIONS(5781),
    [anon_sym_LT] = ACTIONS(5781),
    [anon_sym_LT_LT] = ACTIONS(5783),
    [anon_sym_GT_GT] = ACTIONS(5783),
    [anon_sym_COLON] = ACTIONS(5783),
    [anon_sym_SEMI] = ACTIONS(5783),
    [anon_sym___extension__] = ACTIONS(5781),
    [anon_sym___attribute__] = ACTIONS(5781),
    [anon_sym___based] = ACTIONS(5781),
    [anon_sym_LBRACE] = ACTIONS(5783),
    [anon_sym_RBRACE] = ACTIONS(5783),
    [anon_sym_signed] = ACTIONS(5781),
    [anon_sym_unsigned] = ACTIONS(5781),
    [anon_sym_long] = ACTIONS(5781),
    [anon_sym_short] = ACTIONS(5781),
    [anon_sym_LBRACK] = ACTIONS(5783),
    [anon_sym_RBRACK] = ACTIONS(5783),
    [anon_sym_const] = ACTIONS(5781),
    [anon_sym_constexpr] = ACTIONS(5781),
    [anon_sym_volatile] = ACTIONS(5781),
    [anon_sym_restrict] = ACTIONS(5781),
    [anon_sym___restrict__] = ACTIONS(5781),
    [anon_sym__Atomic] = ACTIONS(5781),
    [anon_sym__Noreturn] = ACTIONS(5781),
    [anon_sym_noreturn] = ACTIONS(5781),
    [anon_sym__Nonnull] = ACTIONS(5781),
    [anon_sym_mutable] = ACTIONS(5781),
    [anon_sym_constinit] = ACTIONS(5781),
    [anon_sym_consteval] = ACTIONS(5781),
    [anon_sym_alignas] = ACTIONS(5781),
    [anon_sym__Alignas] = ACTIONS(5781),
    [sym_primitive_type] = ACTIONS(5781),
    [anon_sym_QMARK] = ACTIONS(5783),
    [anon_sym_LT_EQ_GT] = ACTIONS(5783),
    [anon_sym_or] = ACTIONS(5781),
    [anon_sym_and] = ACTIONS(5781),
    [anon_sym_bitor] = ACTIONS(5781),
    [anon_sym_xor] = ACTIONS(5781),
    [anon_sym_bitand] = ACTIONS(5781),
    [anon_sym_not_eq] = ACTIONS(5781),
    [anon_sym_DASH_DASH] = ACTIONS(5783),
    [anon_sym_PLUS_PLUS] = ACTIONS(5783),
    [anon_sym_DOT] = ACTIONS(5781),
    [anon_sym_DOT_STAR] = ACTIONS(5783),
    [anon_sym_DASH_GT] = ACTIONS(5783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5781),
    [anon_sym_decltype] = ACTIONS(5781),
    [anon_sym_final] = ACTIONS(5781),
    [anon_sym_override] = ACTIONS(5781),
    [anon_sym_requires] = ACTIONS(5781),
  },
  [2509] = {
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_COMMA] = ACTIONS(2294),
    [anon_sym_RPAREN] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_PERCENT] = ACTIONS(2294),
    [anon_sym_PIPE_PIPE] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_EQ_EQ] = ACTIONS(2294),
    [anon_sym_BANG_EQ] = ACTIONS(2294),
    [anon_sym_GT] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2294),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2292),
    [anon_sym_LT_LT] = ACTIONS(2294),
    [anon_sym_GT_GT] = ACTIONS(2294),
    [anon_sym_COLON] = ACTIONS(2294),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym___based] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_RBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2294),
    [anon_sym_RBRACK] = ACTIONS(2294),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_QMARK] = ACTIONS(2294),
    [anon_sym_LT_EQ_GT] = ACTIONS(2294),
    [anon_sym_or] = ACTIONS(2292),
    [anon_sym_and] = ACTIONS(2292),
    [anon_sym_bitor] = ACTIONS(2292),
    [anon_sym_xor] = ACTIONS(2292),
    [anon_sym_bitand] = ACTIONS(2292),
    [anon_sym_not_eq] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_DOT] = ACTIONS(2292),
    [anon_sym_DOT_STAR] = ACTIONS(2294),
    [anon_sym_DASH_GT] = ACTIONS(2294),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_final] = ACTIONS(2292),
    [anon_sym_override] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
  },
  [2510] = {
    [sym_identifier] = ACTIONS(5879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5881),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_RPAREN] = ACTIONS(5881),
    [anon_sym_LPAREN2] = ACTIONS(5881),
    [anon_sym_DASH] = ACTIONS(5879),
    [anon_sym_PLUS] = ACTIONS(5879),
    [anon_sym_STAR] = ACTIONS(5881),
    [anon_sym_SLASH] = ACTIONS(5879),
    [anon_sym_PERCENT] = ACTIONS(5881),
    [anon_sym_PIPE_PIPE] = ACTIONS(5881),
    [anon_sym_AMP_AMP] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5879),
    [anon_sym_CARET] = ACTIONS(5881),
    [anon_sym_AMP] = ACTIONS(5879),
    [anon_sym_EQ_EQ] = ACTIONS(5881),
    [anon_sym_BANG_EQ] = ACTIONS(5881),
    [anon_sym_GT] = ACTIONS(5879),
    [anon_sym_GT_EQ] = ACTIONS(5881),
    [anon_sym_LT_EQ] = ACTIONS(5879),
    [anon_sym_LT] = ACTIONS(5879),
    [anon_sym_LT_LT] = ACTIONS(5881),
    [anon_sym_GT_GT] = ACTIONS(5881),
    [anon_sym_COLON] = ACTIONS(5881),
    [anon_sym_SEMI] = ACTIONS(5881),
    [anon_sym___extension__] = ACTIONS(5879),
    [anon_sym___attribute__] = ACTIONS(5879),
    [anon_sym___based] = ACTIONS(5879),
    [anon_sym_LBRACE] = ACTIONS(5881),
    [anon_sym_RBRACE] = ACTIONS(5881),
    [anon_sym_signed] = ACTIONS(5879),
    [anon_sym_unsigned] = ACTIONS(5879),
    [anon_sym_long] = ACTIONS(5879),
    [anon_sym_short] = ACTIONS(5879),
    [anon_sym_LBRACK] = ACTIONS(5881),
    [anon_sym_RBRACK] = ACTIONS(5881),
    [anon_sym_const] = ACTIONS(5879),
    [anon_sym_constexpr] = ACTIONS(5879),
    [anon_sym_volatile] = ACTIONS(5879),
    [anon_sym_restrict] = ACTIONS(5879),
    [anon_sym___restrict__] = ACTIONS(5879),
    [anon_sym__Atomic] = ACTIONS(5879),
    [anon_sym__Noreturn] = ACTIONS(5879),
    [anon_sym_noreturn] = ACTIONS(5879),
    [anon_sym__Nonnull] = ACTIONS(5879),
    [anon_sym_mutable] = ACTIONS(5879),
    [anon_sym_constinit] = ACTIONS(5879),
    [anon_sym_consteval] = ACTIONS(5879),
    [anon_sym_alignas] = ACTIONS(5879),
    [anon_sym__Alignas] = ACTIONS(5879),
    [sym_primitive_type] = ACTIONS(5879),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_LT_EQ_GT] = ACTIONS(5881),
    [anon_sym_or] = ACTIONS(5879),
    [anon_sym_and] = ACTIONS(5879),
    [anon_sym_bitor] = ACTIONS(5879),
    [anon_sym_xor] = ACTIONS(5879),
    [anon_sym_bitand] = ACTIONS(5879),
    [anon_sym_not_eq] = ACTIONS(5879),
    [anon_sym_DASH_DASH] = ACTIONS(5881),
    [anon_sym_PLUS_PLUS] = ACTIONS(5881),
    [anon_sym_DOT] = ACTIONS(5879),
    [anon_sym_DOT_STAR] = ACTIONS(5881),
    [anon_sym_DASH_GT] = ACTIONS(5881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5879),
    [anon_sym_decltype] = ACTIONS(5879),
    [anon_sym_final] = ACTIONS(5879),
    [anon_sym_override] = ACTIONS(5879),
    [anon_sym_requires] = ACTIONS(5879),
  },
  [2511] = {
    [sym_identifier] = ACTIONS(5777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5779),
    [anon_sym_COMMA] = ACTIONS(5779),
    [anon_sym_RPAREN] = ACTIONS(5779),
    [anon_sym_LPAREN2] = ACTIONS(5779),
    [anon_sym_DASH] = ACTIONS(5777),
    [anon_sym_PLUS] = ACTIONS(5777),
    [anon_sym_STAR] = ACTIONS(5779),
    [anon_sym_SLASH] = ACTIONS(5777),
    [anon_sym_PERCENT] = ACTIONS(5779),
    [anon_sym_PIPE_PIPE] = ACTIONS(5779),
    [anon_sym_AMP_AMP] = ACTIONS(5779),
    [anon_sym_PIPE] = ACTIONS(5777),
    [anon_sym_CARET] = ACTIONS(5779),
    [anon_sym_AMP] = ACTIONS(5777),
    [anon_sym_EQ_EQ] = ACTIONS(5779),
    [anon_sym_BANG_EQ] = ACTIONS(5779),
    [anon_sym_GT] = ACTIONS(5777),
    [anon_sym_GT_EQ] = ACTIONS(5779),
    [anon_sym_LT_EQ] = ACTIONS(5777),
    [anon_sym_LT] = ACTIONS(5777),
    [anon_sym_LT_LT] = ACTIONS(5779),
    [anon_sym_GT_GT] = ACTIONS(5779),
    [anon_sym_COLON] = ACTIONS(5779),
    [anon_sym_SEMI] = ACTIONS(5779),
    [anon_sym___extension__] = ACTIONS(5777),
    [anon_sym___attribute__] = ACTIONS(5777),
    [anon_sym___based] = ACTIONS(5777),
    [anon_sym_LBRACE] = ACTIONS(5779),
    [anon_sym_RBRACE] = ACTIONS(5779),
    [anon_sym_signed] = ACTIONS(5777),
    [anon_sym_unsigned] = ACTIONS(5777),
    [anon_sym_long] = ACTIONS(5777),
    [anon_sym_short] = ACTIONS(5777),
    [anon_sym_LBRACK] = ACTIONS(5779),
    [anon_sym_RBRACK] = ACTIONS(5779),
    [anon_sym_const] = ACTIONS(5777),
    [anon_sym_constexpr] = ACTIONS(5777),
    [anon_sym_volatile] = ACTIONS(5777),
    [anon_sym_restrict] = ACTIONS(5777),
    [anon_sym___restrict__] = ACTIONS(5777),
    [anon_sym__Atomic] = ACTIONS(5777),
    [anon_sym__Noreturn] = ACTIONS(5777),
    [anon_sym_noreturn] = ACTIONS(5777),
    [anon_sym__Nonnull] = ACTIONS(5777),
    [anon_sym_mutable] = ACTIONS(5777),
    [anon_sym_constinit] = ACTIONS(5777),
    [anon_sym_consteval] = ACTIONS(5777),
    [anon_sym_alignas] = ACTIONS(5777),
    [anon_sym__Alignas] = ACTIONS(5777),
    [sym_primitive_type] = ACTIONS(5777),
    [anon_sym_QMARK] = ACTIONS(5779),
    [anon_sym_LT_EQ_GT] = ACTIONS(5779),
    [anon_sym_or] = ACTIONS(5777),
    [anon_sym_and] = ACTIONS(5777),
    [anon_sym_bitor] = ACTIONS(5777),
    [anon_sym_xor] = ACTIONS(5777),
    [anon_sym_bitand] = ACTIONS(5777),
    [anon_sym_not_eq] = ACTIONS(5777),
    [anon_sym_DASH_DASH] = ACTIONS(5779),
    [anon_sym_PLUS_PLUS] = ACTIONS(5779),
    [anon_sym_DOT] = ACTIONS(5777),
    [anon_sym_DOT_STAR] = ACTIONS(5779),
    [anon_sym_DASH_GT] = ACTIONS(5779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5777),
    [anon_sym_decltype] = ACTIONS(5777),
    [anon_sym_final] = ACTIONS(5777),
    [anon_sym_override] = ACTIONS(5777),
    [anon_sym_requires] = ACTIONS(5777),
  },
  [2512] = {
    [sym_identifier] = ACTIONS(5797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5799),
    [anon_sym_COMMA] = ACTIONS(5799),
    [anon_sym_RPAREN] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [anon_sym_DASH] = ACTIONS(5797),
    [anon_sym_PLUS] = ACTIONS(5797),
    [anon_sym_STAR] = ACTIONS(5799),
    [anon_sym_SLASH] = ACTIONS(5797),
    [anon_sym_PERCENT] = ACTIONS(5799),
    [anon_sym_PIPE_PIPE] = ACTIONS(5799),
    [anon_sym_AMP_AMP] = ACTIONS(5799),
    [anon_sym_PIPE] = ACTIONS(5797),
    [anon_sym_CARET] = ACTIONS(5799),
    [anon_sym_AMP] = ACTIONS(5797),
    [anon_sym_EQ_EQ] = ACTIONS(5799),
    [anon_sym_BANG_EQ] = ACTIONS(5799),
    [anon_sym_GT] = ACTIONS(5797),
    [anon_sym_GT_EQ] = ACTIONS(5799),
    [anon_sym_LT_EQ] = ACTIONS(5797),
    [anon_sym_LT] = ACTIONS(5797),
    [anon_sym_LT_LT] = ACTIONS(5799),
    [anon_sym_GT_GT] = ACTIONS(5799),
    [anon_sym_COLON] = ACTIONS(5799),
    [anon_sym_SEMI] = ACTIONS(5799),
    [anon_sym___extension__] = ACTIONS(5797),
    [anon_sym___attribute__] = ACTIONS(5797),
    [anon_sym___based] = ACTIONS(5797),
    [anon_sym_LBRACE] = ACTIONS(5799),
    [anon_sym_RBRACE] = ACTIONS(5799),
    [anon_sym_signed] = ACTIONS(5797),
    [anon_sym_unsigned] = ACTIONS(5797),
    [anon_sym_long] = ACTIONS(5797),
    [anon_sym_short] = ACTIONS(5797),
    [anon_sym_LBRACK] = ACTIONS(5799),
    [anon_sym_RBRACK] = ACTIONS(5799),
    [anon_sym_const] = ACTIONS(5797),
    [anon_sym_constexpr] = ACTIONS(5797),
    [anon_sym_volatile] = ACTIONS(5797),
    [anon_sym_restrict] = ACTIONS(5797),
    [anon_sym___restrict__] = ACTIONS(5797),
    [anon_sym__Atomic] = ACTIONS(5797),
    [anon_sym__Noreturn] = ACTIONS(5797),
    [anon_sym_noreturn] = ACTIONS(5797),
    [anon_sym__Nonnull] = ACTIONS(5797),
    [anon_sym_mutable] = ACTIONS(5797),
    [anon_sym_constinit] = ACTIONS(5797),
    [anon_sym_consteval] = ACTIONS(5797),
    [anon_sym_alignas] = ACTIONS(5797),
    [anon_sym__Alignas] = ACTIONS(5797),
    [sym_primitive_type] = ACTIONS(5797),
    [anon_sym_QMARK] = ACTIONS(5799),
    [anon_sym_LT_EQ_GT] = ACTIONS(5799),
    [anon_sym_or] = ACTIONS(5797),
    [anon_sym_and] = ACTIONS(5797),
    [anon_sym_bitor] = ACTIONS(5797),
    [anon_sym_xor] = ACTIONS(5797),
    [anon_sym_bitand] = ACTIONS(5797),
    [anon_sym_not_eq] = ACTIONS(5797),
    [anon_sym_DASH_DASH] = ACTIONS(5799),
    [anon_sym_PLUS_PLUS] = ACTIONS(5799),
    [anon_sym_DOT] = ACTIONS(5797),
    [anon_sym_DOT_STAR] = ACTIONS(5799),
    [anon_sym_DASH_GT] = ACTIONS(5799),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5797),
    [anon_sym_decltype] = ACTIONS(5797),
    [anon_sym_final] = ACTIONS(5797),
    [anon_sym_override] = ACTIONS(5797),
    [anon_sym_requires] = ACTIONS(5797),
  },
  [2513] = {
    [sym_identifier] = ACTIONS(5801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [anon_sym_RPAREN] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5801),
    [anon_sym_PLUS] = ACTIONS(5801),
    [anon_sym_STAR] = ACTIONS(5803),
    [anon_sym_SLASH] = ACTIONS(5801),
    [anon_sym_PERCENT] = ACTIONS(5803),
    [anon_sym_PIPE_PIPE] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_PIPE] = ACTIONS(5801),
    [anon_sym_CARET] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(5801),
    [anon_sym_EQ_EQ] = ACTIONS(5803),
    [anon_sym_BANG_EQ] = ACTIONS(5803),
    [anon_sym_GT] = ACTIONS(5801),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5801),
    [anon_sym_LT] = ACTIONS(5801),
    [anon_sym_LT_LT] = ACTIONS(5803),
    [anon_sym_GT_GT] = ACTIONS(5803),
    [anon_sym_COLON] = ACTIONS(5803),
    [anon_sym_SEMI] = ACTIONS(5803),
    [anon_sym___extension__] = ACTIONS(5801),
    [anon_sym___attribute__] = ACTIONS(5801),
    [anon_sym___based] = ACTIONS(5801),
    [anon_sym_LBRACE] = ACTIONS(5803),
    [anon_sym_RBRACE] = ACTIONS(5803),
    [anon_sym_signed] = ACTIONS(5801),
    [anon_sym_unsigned] = ACTIONS(5801),
    [anon_sym_long] = ACTIONS(5801),
    [anon_sym_short] = ACTIONS(5801),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [anon_sym_RBRACK] = ACTIONS(5803),
    [anon_sym_const] = ACTIONS(5801),
    [anon_sym_constexpr] = ACTIONS(5801),
    [anon_sym_volatile] = ACTIONS(5801),
    [anon_sym_restrict] = ACTIONS(5801),
    [anon_sym___restrict__] = ACTIONS(5801),
    [anon_sym__Atomic] = ACTIONS(5801),
    [anon_sym__Noreturn] = ACTIONS(5801),
    [anon_sym_noreturn] = ACTIONS(5801),
    [anon_sym__Nonnull] = ACTIONS(5801),
    [anon_sym_mutable] = ACTIONS(5801),
    [anon_sym_constinit] = ACTIONS(5801),
    [anon_sym_consteval] = ACTIONS(5801),
    [anon_sym_alignas] = ACTIONS(5801),
    [anon_sym__Alignas] = ACTIONS(5801),
    [sym_primitive_type] = ACTIONS(5801),
    [anon_sym_QMARK] = ACTIONS(5803),
    [anon_sym_LT_EQ_GT] = ACTIONS(5803),
    [anon_sym_or] = ACTIONS(5801),
    [anon_sym_and] = ACTIONS(5801),
    [anon_sym_bitor] = ACTIONS(5801),
    [anon_sym_xor] = ACTIONS(5801),
    [anon_sym_bitand] = ACTIONS(5801),
    [anon_sym_not_eq] = ACTIONS(5801),
    [anon_sym_DASH_DASH] = ACTIONS(5803),
    [anon_sym_PLUS_PLUS] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5801),
    [anon_sym_DOT_STAR] = ACTIONS(5803),
    [anon_sym_DASH_GT] = ACTIONS(5803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5801),
    [anon_sym_decltype] = ACTIONS(5801),
    [anon_sym_final] = ACTIONS(5801),
    [anon_sym_override] = ACTIONS(5801),
    [anon_sym_requires] = ACTIONS(5801),
  },
  [2514] = {
    [sym_identifier] = ACTIONS(5777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5779),
    [anon_sym_COMMA] = ACTIONS(5779),
    [anon_sym_RPAREN] = ACTIONS(5779),
    [anon_sym_LPAREN2] = ACTIONS(5779),
    [anon_sym_DASH] = ACTIONS(5777),
    [anon_sym_PLUS] = ACTIONS(5777),
    [anon_sym_STAR] = ACTIONS(5779),
    [anon_sym_SLASH] = ACTIONS(5777),
    [anon_sym_PERCENT] = ACTIONS(5779),
    [anon_sym_PIPE_PIPE] = ACTIONS(5779),
    [anon_sym_AMP_AMP] = ACTIONS(5779),
    [anon_sym_PIPE] = ACTIONS(5777),
    [anon_sym_CARET] = ACTIONS(5779),
    [anon_sym_AMP] = ACTIONS(5777),
    [anon_sym_EQ_EQ] = ACTIONS(5779),
    [anon_sym_BANG_EQ] = ACTIONS(5779),
    [anon_sym_GT] = ACTIONS(5777),
    [anon_sym_GT_EQ] = ACTIONS(5779),
    [anon_sym_LT_EQ] = ACTIONS(5777),
    [anon_sym_LT] = ACTIONS(5777),
    [anon_sym_LT_LT] = ACTIONS(5779),
    [anon_sym_GT_GT] = ACTIONS(5779),
    [anon_sym_COLON] = ACTIONS(5779),
    [anon_sym_SEMI] = ACTIONS(5779),
    [anon_sym___extension__] = ACTIONS(5777),
    [anon_sym___attribute__] = ACTIONS(5777),
    [anon_sym___based] = ACTIONS(5777),
    [anon_sym_LBRACE] = ACTIONS(5779),
    [anon_sym_RBRACE] = ACTIONS(5779),
    [anon_sym_signed] = ACTIONS(5777),
    [anon_sym_unsigned] = ACTIONS(5777),
    [anon_sym_long] = ACTIONS(5777),
    [anon_sym_short] = ACTIONS(5777),
    [anon_sym_LBRACK] = ACTIONS(5779),
    [anon_sym_RBRACK] = ACTIONS(5779),
    [anon_sym_const] = ACTIONS(5777),
    [anon_sym_constexpr] = ACTIONS(5777),
    [anon_sym_volatile] = ACTIONS(5777),
    [anon_sym_restrict] = ACTIONS(5777),
    [anon_sym___restrict__] = ACTIONS(5777),
    [anon_sym__Atomic] = ACTIONS(5777),
    [anon_sym__Noreturn] = ACTIONS(5777),
    [anon_sym_noreturn] = ACTIONS(5777),
    [anon_sym__Nonnull] = ACTIONS(5777),
    [anon_sym_mutable] = ACTIONS(5777),
    [anon_sym_constinit] = ACTIONS(5777),
    [anon_sym_consteval] = ACTIONS(5777),
    [anon_sym_alignas] = ACTIONS(5777),
    [anon_sym__Alignas] = ACTIONS(5777),
    [sym_primitive_type] = ACTIONS(5777),
    [anon_sym_QMARK] = ACTIONS(5779),
    [anon_sym_LT_EQ_GT] = ACTIONS(5779),
    [anon_sym_or] = ACTIONS(5777),
    [anon_sym_and] = ACTIONS(5777),
    [anon_sym_bitor] = ACTIONS(5777),
    [anon_sym_xor] = ACTIONS(5777),
    [anon_sym_bitand] = ACTIONS(5777),
    [anon_sym_not_eq] = ACTIONS(5777),
    [anon_sym_DASH_DASH] = ACTIONS(5779),
    [anon_sym_PLUS_PLUS] = ACTIONS(5779),
    [anon_sym_DOT] = ACTIONS(5777),
    [anon_sym_DOT_STAR] = ACTIONS(5779),
    [anon_sym_DASH_GT] = ACTIONS(5779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5777),
    [anon_sym_decltype] = ACTIONS(5777),
    [anon_sym_final] = ACTIONS(5777),
    [anon_sym_override] = ACTIONS(5777),
    [anon_sym_requires] = ACTIONS(5777),
  },
  [2515] = {
    [sym_identifier] = ACTIONS(5883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5885),
    [anon_sym_RPAREN] = ACTIONS(5885),
    [anon_sym_LPAREN2] = ACTIONS(5885),
    [anon_sym_DASH] = ACTIONS(5883),
    [anon_sym_PLUS] = ACTIONS(5883),
    [anon_sym_STAR] = ACTIONS(5885),
    [anon_sym_SLASH] = ACTIONS(5883),
    [anon_sym_PERCENT] = ACTIONS(5885),
    [anon_sym_PIPE_PIPE] = ACTIONS(5885),
    [anon_sym_AMP_AMP] = ACTIONS(5885),
    [anon_sym_PIPE] = ACTIONS(5883),
    [anon_sym_CARET] = ACTIONS(5885),
    [anon_sym_AMP] = ACTIONS(5883),
    [anon_sym_EQ_EQ] = ACTIONS(5885),
    [anon_sym_BANG_EQ] = ACTIONS(5885),
    [anon_sym_GT] = ACTIONS(5883),
    [anon_sym_GT_EQ] = ACTIONS(5885),
    [anon_sym_LT_EQ] = ACTIONS(5883),
    [anon_sym_LT] = ACTIONS(5883),
    [anon_sym_LT_LT] = ACTIONS(5885),
    [anon_sym_GT_GT] = ACTIONS(5885),
    [anon_sym_COLON] = ACTIONS(5885),
    [anon_sym_SEMI] = ACTIONS(5885),
    [anon_sym___extension__] = ACTIONS(5883),
    [anon_sym___attribute__] = ACTIONS(5883),
    [anon_sym___based] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5885),
    [anon_sym_RBRACE] = ACTIONS(5885),
    [anon_sym_signed] = ACTIONS(5883),
    [anon_sym_unsigned] = ACTIONS(5883),
    [anon_sym_long] = ACTIONS(5883),
    [anon_sym_short] = ACTIONS(5883),
    [anon_sym_LBRACK] = ACTIONS(5885),
    [anon_sym_RBRACK] = ACTIONS(5885),
    [anon_sym_const] = ACTIONS(5883),
    [anon_sym_constexpr] = ACTIONS(5883),
    [anon_sym_volatile] = ACTIONS(5883),
    [anon_sym_restrict] = ACTIONS(5883),
    [anon_sym___restrict__] = ACTIONS(5883),
    [anon_sym__Atomic] = ACTIONS(5883),
    [anon_sym__Noreturn] = ACTIONS(5883),
    [anon_sym_noreturn] = ACTIONS(5883),
    [anon_sym__Nonnull] = ACTIONS(5883),
    [anon_sym_mutable] = ACTIONS(5883),
    [anon_sym_constinit] = ACTIONS(5883),
    [anon_sym_consteval] = ACTIONS(5883),
    [anon_sym_alignas] = ACTIONS(5883),
    [anon_sym__Alignas] = ACTIONS(5883),
    [sym_primitive_type] = ACTIONS(5883),
    [anon_sym_QMARK] = ACTIONS(5885),
    [anon_sym_LT_EQ_GT] = ACTIONS(5885),
    [anon_sym_or] = ACTIONS(5883),
    [anon_sym_and] = ACTIONS(5883),
    [anon_sym_bitor] = ACTIONS(5883),
    [anon_sym_xor] = ACTIONS(5883),
    [anon_sym_bitand] = ACTIONS(5883),
    [anon_sym_not_eq] = ACTIONS(5883),
    [anon_sym_DASH_DASH] = ACTIONS(5885),
    [anon_sym_PLUS_PLUS] = ACTIONS(5885),
    [anon_sym_DOT] = ACTIONS(5883),
    [anon_sym_DOT_STAR] = ACTIONS(5885),
    [anon_sym_DASH_GT] = ACTIONS(5885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5883),
    [anon_sym_decltype] = ACTIONS(5883),
    [anon_sym_final] = ACTIONS(5883),
    [anon_sym_override] = ACTIONS(5883),
    [anon_sym_requires] = ACTIONS(5883),
  },
  [2516] = {
    [sym_identifier] = ACTIONS(5823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5825),
    [anon_sym_RPAREN] = ACTIONS(5825),
    [anon_sym_LPAREN2] = ACTIONS(5825),
    [anon_sym_DASH] = ACTIONS(5823),
    [anon_sym_PLUS] = ACTIONS(5823),
    [anon_sym_STAR] = ACTIONS(5825),
    [anon_sym_SLASH] = ACTIONS(5823),
    [anon_sym_PERCENT] = ACTIONS(5825),
    [anon_sym_PIPE_PIPE] = ACTIONS(5825),
    [anon_sym_AMP_AMP] = ACTIONS(5825),
    [anon_sym_PIPE] = ACTIONS(5823),
    [anon_sym_CARET] = ACTIONS(5825),
    [anon_sym_AMP] = ACTIONS(5823),
    [anon_sym_EQ_EQ] = ACTIONS(5825),
    [anon_sym_BANG_EQ] = ACTIONS(5825),
    [anon_sym_GT] = ACTIONS(5823),
    [anon_sym_GT_EQ] = ACTIONS(5825),
    [anon_sym_LT_EQ] = ACTIONS(5823),
    [anon_sym_LT] = ACTIONS(5823),
    [anon_sym_LT_LT] = ACTIONS(5825),
    [anon_sym_GT_GT] = ACTIONS(5825),
    [anon_sym_COLON] = ACTIONS(5825),
    [anon_sym_SEMI] = ACTIONS(5825),
    [anon_sym___extension__] = ACTIONS(5823),
    [anon_sym___attribute__] = ACTIONS(5823),
    [anon_sym___based] = ACTIONS(5823),
    [anon_sym_LBRACE] = ACTIONS(5825),
    [anon_sym_RBRACE] = ACTIONS(5825),
    [anon_sym_signed] = ACTIONS(5823),
    [anon_sym_unsigned] = ACTIONS(5823),
    [anon_sym_long] = ACTIONS(5823),
    [anon_sym_short] = ACTIONS(5823),
    [anon_sym_LBRACK] = ACTIONS(5825),
    [anon_sym_RBRACK] = ACTIONS(5825),
    [anon_sym_const] = ACTIONS(5823),
    [anon_sym_constexpr] = ACTIONS(5823),
    [anon_sym_volatile] = ACTIONS(5823),
    [anon_sym_restrict] = ACTIONS(5823),
    [anon_sym___restrict__] = ACTIONS(5823),
    [anon_sym__Atomic] = ACTIONS(5823),
    [anon_sym__Noreturn] = ACTIONS(5823),
    [anon_sym_noreturn] = ACTIONS(5823),
    [anon_sym__Nonnull] = ACTIONS(5823),
    [anon_sym_mutable] = ACTIONS(5823),
    [anon_sym_constinit] = ACTIONS(5823),
    [anon_sym_consteval] = ACTIONS(5823),
    [anon_sym_alignas] = ACTIONS(5823),
    [anon_sym__Alignas] = ACTIONS(5823),
    [sym_primitive_type] = ACTIONS(5823),
    [anon_sym_QMARK] = ACTIONS(5825),
    [anon_sym_LT_EQ_GT] = ACTIONS(5825),
    [anon_sym_or] = ACTIONS(5823),
    [anon_sym_and] = ACTIONS(5823),
    [anon_sym_bitor] = ACTIONS(5823),
    [anon_sym_xor] = ACTIONS(5823),
    [anon_sym_bitand] = ACTIONS(5823),
    [anon_sym_not_eq] = ACTIONS(5823),
    [anon_sym_DASH_DASH] = ACTIONS(5825),
    [anon_sym_PLUS_PLUS] = ACTIONS(5825),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_DOT_STAR] = ACTIONS(5825),
    [anon_sym_DASH_GT] = ACTIONS(5825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5823),
    [anon_sym_decltype] = ACTIONS(5823),
    [anon_sym_final] = ACTIONS(5823),
    [anon_sym_override] = ACTIONS(5823),
    [anon_sym_requires] = ACTIONS(5823),
  },
  [2517] = {
    [sym_template_argument_list] = STATE(2533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4278),
    [anon_sym_RPAREN] = ACTIONS(4280),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4283),
    [anon_sym_PERCENT] = ACTIONS(4283),
    [anon_sym_PIPE_PIPE] = ACTIONS(4278),
    [anon_sym_AMP_AMP] = ACTIONS(4280),
    [anon_sym_PIPE] = ACTIONS(4283),
    [anon_sym_CARET] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(4285),
    [anon_sym_EQ_EQ] = ACTIONS(4278),
    [anon_sym_BANG_EQ] = ACTIONS(4278),
    [anon_sym_GT] = ACTIONS(4283),
    [anon_sym_GT_EQ] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4283),
    [anon_sym_LT] = ACTIONS(6214),
    [anon_sym_LT_LT] = ACTIONS(4283),
    [anon_sym_GT_GT] = ACTIONS(4283),
    [anon_sym___extension__] = ACTIONS(1961),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [anon_sym_EQ] = ACTIONS(4283),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1961),
    [anon_sym_volatile] = ACTIONS(1961),
    [anon_sym_restrict] = ACTIONS(1961),
    [anon_sym___restrict__] = ACTIONS(1961),
    [anon_sym__Atomic] = ACTIONS(1961),
    [anon_sym__Noreturn] = ACTIONS(1961),
    [anon_sym_noreturn] = ACTIONS(1961),
    [anon_sym__Nonnull] = ACTIONS(1961),
    [anon_sym_mutable] = ACTIONS(1961),
    [anon_sym_constinit] = ACTIONS(1961),
    [anon_sym_consteval] = ACTIONS(1961),
    [anon_sym_alignas] = ACTIONS(1961),
    [anon_sym__Alignas] = ACTIONS(1961),
    [anon_sym_QMARK] = ACTIONS(4278),
    [anon_sym_STAR_EQ] = ACTIONS(4278),
    [anon_sym_SLASH_EQ] = ACTIONS(4278),
    [anon_sym_PERCENT_EQ] = ACTIONS(4278),
    [anon_sym_PLUS_EQ] = ACTIONS(4278),
    [anon_sym_DASH_EQ] = ACTIONS(4278),
    [anon_sym_LT_LT_EQ] = ACTIONS(4278),
    [anon_sym_GT_GT_EQ] = ACTIONS(4278),
    [anon_sym_AMP_EQ] = ACTIONS(4278),
    [anon_sym_CARET_EQ] = ACTIONS(4278),
    [anon_sym_PIPE_EQ] = ACTIONS(4278),
    [anon_sym_and_eq] = ACTIONS(4278),
    [anon_sym_or_eq] = ACTIONS(4278),
    [anon_sym_xor_eq] = ACTIONS(4278),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_or] = ACTIONS(4283),
    [anon_sym_and] = ACTIONS(4283),
    [anon_sym_bitor] = ACTIONS(4278),
    [anon_sym_xor] = ACTIONS(4283),
    [anon_sym_bitand] = ACTIONS(4278),
    [anon_sym_not_eq] = ACTIONS(4278),
    [anon_sym_DASH_DASH] = ACTIONS(4278),
    [anon_sym_PLUS_PLUS] = ACTIONS(4278),
    [anon_sym_DOT] = ACTIONS(4283),
    [anon_sym_DOT_STAR] = ACTIONS(4278),
    [anon_sym_DASH_GT] = ACTIONS(4278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1961),
    [anon_sym_decltype] = ACTIONS(1961),
  },
  [2518] = {
    [sym_template_argument_list] = STATE(2786),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_LPAREN2] = ACTIONS(4098),
    [anon_sym_STAR] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_AMP] = ACTIONS(4075),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_out] = ACTIONS(4075),
    [anon_sym_inout] = ACTIONS(4075),
    [anon_sym_virtual] = ACTIONS(4075),
    [anon_sym_extern] = ACTIONS(4075),
    [anon_sym___attribute__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4098),
    [anon_sym___declspec] = ACTIONS(4075),
    [anon_sym___based] = ACTIONS(4075),
    [anon_sym_signed] = ACTIONS(4101),
    [anon_sym_unsigned] = ACTIONS(4101),
    [anon_sym_long] = ACTIONS(4101),
    [anon_sym_short] = ACTIONS(4101),
    [anon_sym_LBRACK] = ACTIONS(6217),
    [anon_sym_static] = ACTIONS(4075),
    [anon_sym_register] = ACTIONS(4075),
    [anon_sym_inline] = ACTIONS(4075),
    [anon_sym___inline] = ACTIONS(4075),
    [anon_sym___inline__] = ACTIONS(4075),
    [anon_sym___forceinline] = ACTIONS(4075),
    [anon_sym_thread_local] = ACTIONS(4075),
    [anon_sym___thread] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_constexpr] = ACTIONS(4075),
    [anon_sym_volatile] = ACTIONS(4075),
    [anon_sym_restrict] = ACTIONS(4075),
    [anon_sym___restrict__] = ACTIONS(4075),
    [anon_sym__Atomic] = ACTIONS(4075),
    [anon_sym__Noreturn] = ACTIONS(4075),
    [anon_sym_noreturn] = ACTIONS(4075),
    [anon_sym__Nonnull] = ACTIONS(4075),
    [anon_sym_mutable] = ACTIONS(4075),
    [anon_sym_constinit] = ACTIONS(4075),
    [anon_sym_consteval] = ACTIONS(4075),
    [anon_sym_alignas] = ACTIONS(4075),
    [anon_sym__Alignas] = ACTIONS(4075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_precise] = ACTIONS(4075),
    [anon_sym_shared] = ACTIONS(4075),
    [anon_sym_groupshared] = ACTIONS(4075),
    [anon_sym_uniform] = ACTIONS(4075),
    [anon_sym_row_major] = ACTIONS(4075),
    [anon_sym_column_major] = ACTIONS(4075),
    [anon_sym_globallycoherent] = ACTIONS(4075),
    [anon_sym_centroid] = ACTIONS(4075),
    [anon_sym_noperspective] = ACTIONS(4075),
    [anon_sym_nointerpolation] = ACTIONS(4075),
    [anon_sym_sample] = ACTIONS(4075),
    [anon_sym_linear] = ACTIONS(4075),
    [anon_sym_snorm] = ACTIONS(4075),
    [anon_sym_unorm] = ACTIONS(4075),
    [anon_sym_point] = ACTIONS(4075),
    [anon_sym_line] = ACTIONS(4075),
    [anon_sym_triangleadj] = ACTIONS(4075),
    [anon_sym_lineadj] = ACTIONS(4075),
    [anon_sym_triangle] = ACTIONS(4075),
  },
  [2519] = {
    [sym_identifier] = ACTIONS(5835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5837),
    [anon_sym_COMMA] = ACTIONS(5837),
    [anon_sym_RPAREN] = ACTIONS(5837),
    [anon_sym_LPAREN2] = ACTIONS(5837),
    [anon_sym_DASH] = ACTIONS(5835),
    [anon_sym_PLUS] = ACTIONS(5835),
    [anon_sym_STAR] = ACTIONS(5837),
    [anon_sym_SLASH] = ACTIONS(5835),
    [anon_sym_PERCENT] = ACTIONS(5837),
    [anon_sym_PIPE_PIPE] = ACTIONS(5837),
    [anon_sym_AMP_AMP] = ACTIONS(5837),
    [anon_sym_PIPE] = ACTIONS(5835),
    [anon_sym_CARET] = ACTIONS(5837),
    [anon_sym_AMP] = ACTIONS(5835),
    [anon_sym_EQ_EQ] = ACTIONS(5837),
    [anon_sym_BANG_EQ] = ACTIONS(5837),
    [anon_sym_GT] = ACTIONS(5835),
    [anon_sym_GT_EQ] = ACTIONS(5837),
    [anon_sym_LT_EQ] = ACTIONS(5835),
    [anon_sym_LT] = ACTIONS(5835),
    [anon_sym_LT_LT] = ACTIONS(5837),
    [anon_sym_GT_GT] = ACTIONS(5837),
    [anon_sym_COLON] = ACTIONS(5837),
    [anon_sym_SEMI] = ACTIONS(5837),
    [anon_sym___extension__] = ACTIONS(5835),
    [anon_sym___attribute__] = ACTIONS(5835),
    [anon_sym___based] = ACTIONS(5835),
    [anon_sym_LBRACE] = ACTIONS(5837),
    [anon_sym_RBRACE] = ACTIONS(5837),
    [anon_sym_signed] = ACTIONS(5835),
    [anon_sym_unsigned] = ACTIONS(5835),
    [anon_sym_long] = ACTIONS(5835),
    [anon_sym_short] = ACTIONS(5835),
    [anon_sym_LBRACK] = ACTIONS(5837),
    [anon_sym_RBRACK] = ACTIONS(5837),
    [anon_sym_const] = ACTIONS(5835),
    [anon_sym_constexpr] = ACTIONS(5835),
    [anon_sym_volatile] = ACTIONS(5835),
    [anon_sym_restrict] = ACTIONS(5835),
    [anon_sym___restrict__] = ACTIONS(5835),
    [anon_sym__Atomic] = ACTIONS(5835),
    [anon_sym__Noreturn] = ACTIONS(5835),
    [anon_sym_noreturn] = ACTIONS(5835),
    [anon_sym__Nonnull] = ACTIONS(5835),
    [anon_sym_mutable] = ACTIONS(5835),
    [anon_sym_constinit] = ACTIONS(5835),
    [anon_sym_consteval] = ACTIONS(5835),
    [anon_sym_alignas] = ACTIONS(5835),
    [anon_sym__Alignas] = ACTIONS(5835),
    [sym_primitive_type] = ACTIONS(5835),
    [anon_sym_QMARK] = ACTIONS(5837),
    [anon_sym_LT_EQ_GT] = ACTIONS(5837),
    [anon_sym_or] = ACTIONS(5835),
    [anon_sym_and] = ACTIONS(5835),
    [anon_sym_bitor] = ACTIONS(5835),
    [anon_sym_xor] = ACTIONS(5835),
    [anon_sym_bitand] = ACTIONS(5835),
    [anon_sym_not_eq] = ACTIONS(5835),
    [anon_sym_DASH_DASH] = ACTIONS(5837),
    [anon_sym_PLUS_PLUS] = ACTIONS(5837),
    [anon_sym_DOT] = ACTIONS(5835),
    [anon_sym_DOT_STAR] = ACTIONS(5837),
    [anon_sym_DASH_GT] = ACTIONS(5837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5835),
    [anon_sym_decltype] = ACTIONS(5835),
    [anon_sym_final] = ACTIONS(5835),
    [anon_sym_override] = ACTIONS(5835),
    [anon_sym_requires] = ACTIONS(5835),
  },
  [2520] = {
    [sym_identifier] = ACTIONS(5839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5841),
    [anon_sym_COMMA] = ACTIONS(5841),
    [anon_sym_RPAREN] = ACTIONS(5841),
    [anon_sym_LPAREN2] = ACTIONS(5841),
    [anon_sym_DASH] = ACTIONS(5839),
    [anon_sym_PLUS] = ACTIONS(5839),
    [anon_sym_STAR] = ACTIONS(5841),
    [anon_sym_SLASH] = ACTIONS(5839),
    [anon_sym_PERCENT] = ACTIONS(5841),
    [anon_sym_PIPE_PIPE] = ACTIONS(5841),
    [anon_sym_AMP_AMP] = ACTIONS(5841),
    [anon_sym_PIPE] = ACTIONS(5839),
    [anon_sym_CARET] = ACTIONS(5841),
    [anon_sym_AMP] = ACTIONS(5839),
    [anon_sym_EQ_EQ] = ACTIONS(5841),
    [anon_sym_BANG_EQ] = ACTIONS(5841),
    [anon_sym_GT] = ACTIONS(5839),
    [anon_sym_GT_EQ] = ACTIONS(5841),
    [anon_sym_LT_EQ] = ACTIONS(5839),
    [anon_sym_LT] = ACTIONS(5839),
    [anon_sym_LT_LT] = ACTIONS(5841),
    [anon_sym_GT_GT] = ACTIONS(5841),
    [anon_sym_COLON] = ACTIONS(5841),
    [anon_sym_SEMI] = ACTIONS(5841),
    [anon_sym___extension__] = ACTIONS(5839),
    [anon_sym___attribute__] = ACTIONS(5839),
    [anon_sym___based] = ACTIONS(5839),
    [anon_sym_LBRACE] = ACTIONS(5841),
    [anon_sym_RBRACE] = ACTIONS(5841),
    [anon_sym_signed] = ACTIONS(5839),
    [anon_sym_unsigned] = ACTIONS(5839),
    [anon_sym_long] = ACTIONS(5839),
    [anon_sym_short] = ACTIONS(5839),
    [anon_sym_LBRACK] = ACTIONS(5841),
    [anon_sym_RBRACK] = ACTIONS(5841),
    [anon_sym_const] = ACTIONS(5839),
    [anon_sym_constexpr] = ACTIONS(5839),
    [anon_sym_volatile] = ACTIONS(5839),
    [anon_sym_restrict] = ACTIONS(5839),
    [anon_sym___restrict__] = ACTIONS(5839),
    [anon_sym__Atomic] = ACTIONS(5839),
    [anon_sym__Noreturn] = ACTIONS(5839),
    [anon_sym_noreturn] = ACTIONS(5839),
    [anon_sym__Nonnull] = ACTIONS(5839),
    [anon_sym_mutable] = ACTIONS(5839),
    [anon_sym_constinit] = ACTIONS(5839),
    [anon_sym_consteval] = ACTIONS(5839),
    [anon_sym_alignas] = ACTIONS(5839),
    [anon_sym__Alignas] = ACTIONS(5839),
    [sym_primitive_type] = ACTIONS(5839),
    [anon_sym_QMARK] = ACTIONS(5841),
    [anon_sym_LT_EQ_GT] = ACTIONS(5841),
    [anon_sym_or] = ACTIONS(5839),
    [anon_sym_and] = ACTIONS(5839),
    [anon_sym_bitor] = ACTIONS(5839),
    [anon_sym_xor] = ACTIONS(5839),
    [anon_sym_bitand] = ACTIONS(5839),
    [anon_sym_not_eq] = ACTIONS(5839),
    [anon_sym_DASH_DASH] = ACTIONS(5841),
    [anon_sym_PLUS_PLUS] = ACTIONS(5841),
    [anon_sym_DOT] = ACTIONS(5839),
    [anon_sym_DOT_STAR] = ACTIONS(5841),
    [anon_sym_DASH_GT] = ACTIONS(5841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5839),
    [anon_sym_decltype] = ACTIONS(5839),
    [anon_sym_final] = ACTIONS(5839),
    [anon_sym_override] = ACTIONS(5839),
    [anon_sym_requires] = ACTIONS(5839),
  },
  [2521] = {
    [sym_identifier] = ACTIONS(5843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5845),
    [anon_sym_COMMA] = ACTIONS(5845),
    [anon_sym_RPAREN] = ACTIONS(5845),
    [anon_sym_LPAREN2] = ACTIONS(5845),
    [anon_sym_DASH] = ACTIONS(5843),
    [anon_sym_PLUS] = ACTIONS(5843),
    [anon_sym_STAR] = ACTIONS(5845),
    [anon_sym_SLASH] = ACTIONS(5843),
    [anon_sym_PERCENT] = ACTIONS(5845),
    [anon_sym_PIPE_PIPE] = ACTIONS(5845),
    [anon_sym_AMP_AMP] = ACTIONS(5845),
    [anon_sym_PIPE] = ACTIONS(5843),
    [anon_sym_CARET] = ACTIONS(5845),
    [anon_sym_AMP] = ACTIONS(5843),
    [anon_sym_EQ_EQ] = ACTIONS(5845),
    [anon_sym_BANG_EQ] = ACTIONS(5845),
    [anon_sym_GT] = ACTIONS(5843),
    [anon_sym_GT_EQ] = ACTIONS(5845),
    [anon_sym_LT_EQ] = ACTIONS(5843),
    [anon_sym_LT] = ACTIONS(5843),
    [anon_sym_LT_LT] = ACTIONS(5845),
    [anon_sym_GT_GT] = ACTIONS(5845),
    [anon_sym_COLON] = ACTIONS(5845),
    [anon_sym_SEMI] = ACTIONS(5845),
    [anon_sym___extension__] = ACTIONS(5843),
    [anon_sym___attribute__] = ACTIONS(5843),
    [anon_sym___based] = ACTIONS(5843),
    [anon_sym_LBRACE] = ACTIONS(5845),
    [anon_sym_RBRACE] = ACTIONS(5845),
    [anon_sym_signed] = ACTIONS(5843),
    [anon_sym_unsigned] = ACTIONS(5843),
    [anon_sym_long] = ACTIONS(5843),
    [anon_sym_short] = ACTIONS(5843),
    [anon_sym_LBRACK] = ACTIONS(5845),
    [anon_sym_RBRACK] = ACTIONS(5845),
    [anon_sym_const] = ACTIONS(5843),
    [anon_sym_constexpr] = ACTIONS(5843),
    [anon_sym_volatile] = ACTIONS(5843),
    [anon_sym_restrict] = ACTIONS(5843),
    [anon_sym___restrict__] = ACTIONS(5843),
    [anon_sym__Atomic] = ACTIONS(5843),
    [anon_sym__Noreturn] = ACTIONS(5843),
    [anon_sym_noreturn] = ACTIONS(5843),
    [anon_sym__Nonnull] = ACTIONS(5843),
    [anon_sym_mutable] = ACTIONS(5843),
    [anon_sym_constinit] = ACTIONS(5843),
    [anon_sym_consteval] = ACTIONS(5843),
    [anon_sym_alignas] = ACTIONS(5843),
    [anon_sym__Alignas] = ACTIONS(5843),
    [sym_primitive_type] = ACTIONS(5843),
    [anon_sym_QMARK] = ACTIONS(5845),
    [anon_sym_LT_EQ_GT] = ACTIONS(5845),
    [anon_sym_or] = ACTIONS(5843),
    [anon_sym_and] = ACTIONS(5843),
    [anon_sym_bitor] = ACTIONS(5843),
    [anon_sym_xor] = ACTIONS(5843),
    [anon_sym_bitand] = ACTIONS(5843),
    [anon_sym_not_eq] = ACTIONS(5843),
    [anon_sym_DASH_DASH] = ACTIONS(5845),
    [anon_sym_PLUS_PLUS] = ACTIONS(5845),
    [anon_sym_DOT] = ACTIONS(5843),
    [anon_sym_DOT_STAR] = ACTIONS(5845),
    [anon_sym_DASH_GT] = ACTIONS(5845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5843),
    [anon_sym_decltype] = ACTIONS(5843),
    [anon_sym_final] = ACTIONS(5843),
    [anon_sym_override] = ACTIONS(5843),
    [anon_sym_requires] = ACTIONS(5843),
  },
  [2522] = {
    [sym_identifier] = ACTIONS(5847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5849),
    [anon_sym_COMMA] = ACTIONS(5849),
    [anon_sym_RPAREN] = ACTIONS(5849),
    [anon_sym_LPAREN2] = ACTIONS(5849),
    [anon_sym_DASH] = ACTIONS(5847),
    [anon_sym_PLUS] = ACTIONS(5847),
    [anon_sym_STAR] = ACTIONS(5849),
    [anon_sym_SLASH] = ACTIONS(5847),
    [anon_sym_PERCENT] = ACTIONS(5849),
    [anon_sym_PIPE_PIPE] = ACTIONS(5849),
    [anon_sym_AMP_AMP] = ACTIONS(5849),
    [anon_sym_PIPE] = ACTIONS(5847),
    [anon_sym_CARET] = ACTIONS(5849),
    [anon_sym_AMP] = ACTIONS(5847),
    [anon_sym_EQ_EQ] = ACTIONS(5849),
    [anon_sym_BANG_EQ] = ACTIONS(5849),
    [anon_sym_GT] = ACTIONS(5847),
    [anon_sym_GT_EQ] = ACTIONS(5849),
    [anon_sym_LT_EQ] = ACTIONS(5847),
    [anon_sym_LT] = ACTIONS(5847),
    [anon_sym_LT_LT] = ACTIONS(5849),
    [anon_sym_GT_GT] = ACTIONS(5849),
    [anon_sym_COLON] = ACTIONS(5849),
    [anon_sym_SEMI] = ACTIONS(5849),
    [anon_sym___extension__] = ACTIONS(5847),
    [anon_sym___attribute__] = ACTIONS(5847),
    [anon_sym___based] = ACTIONS(5847),
    [anon_sym_LBRACE] = ACTIONS(5849),
    [anon_sym_RBRACE] = ACTIONS(5849),
    [anon_sym_signed] = ACTIONS(5847),
    [anon_sym_unsigned] = ACTIONS(5847),
    [anon_sym_long] = ACTIONS(5847),
    [anon_sym_short] = ACTIONS(5847),
    [anon_sym_LBRACK] = ACTIONS(5849),
    [anon_sym_RBRACK] = ACTIONS(5849),
    [anon_sym_const] = ACTIONS(5847),
    [anon_sym_constexpr] = ACTIONS(5847),
    [anon_sym_volatile] = ACTIONS(5847),
    [anon_sym_restrict] = ACTIONS(5847),
    [anon_sym___restrict__] = ACTIONS(5847),
    [anon_sym__Atomic] = ACTIONS(5847),
    [anon_sym__Noreturn] = ACTIONS(5847),
    [anon_sym_noreturn] = ACTIONS(5847),
    [anon_sym__Nonnull] = ACTIONS(5847),
    [anon_sym_mutable] = ACTIONS(5847),
    [anon_sym_constinit] = ACTIONS(5847),
    [anon_sym_consteval] = ACTIONS(5847),
    [anon_sym_alignas] = ACTIONS(5847),
    [anon_sym__Alignas] = ACTIONS(5847),
    [sym_primitive_type] = ACTIONS(5847),
    [anon_sym_QMARK] = ACTIONS(5849),
    [anon_sym_LT_EQ_GT] = ACTIONS(5849),
    [anon_sym_or] = ACTIONS(5847),
    [anon_sym_and] = ACTIONS(5847),
    [anon_sym_bitor] = ACTIONS(5847),
    [anon_sym_xor] = ACTIONS(5847),
    [anon_sym_bitand] = ACTIONS(5847),
    [anon_sym_not_eq] = ACTIONS(5847),
    [anon_sym_DASH_DASH] = ACTIONS(5849),
    [anon_sym_PLUS_PLUS] = ACTIONS(5849),
    [anon_sym_DOT] = ACTIONS(5847),
    [anon_sym_DOT_STAR] = ACTIONS(5849),
    [anon_sym_DASH_GT] = ACTIONS(5849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5847),
    [anon_sym_decltype] = ACTIONS(5847),
    [anon_sym_final] = ACTIONS(5847),
    [anon_sym_override] = ACTIONS(5847),
    [anon_sym_requires] = ACTIONS(5847),
  },
  [2523] = {
    [sym_identifier] = ACTIONS(5855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5857),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_RPAREN] = ACTIONS(5857),
    [anon_sym_LPAREN2] = ACTIONS(5857),
    [anon_sym_DASH] = ACTIONS(5855),
    [anon_sym_PLUS] = ACTIONS(5855),
    [anon_sym_STAR] = ACTIONS(5857),
    [anon_sym_SLASH] = ACTIONS(5855),
    [anon_sym_PERCENT] = ACTIONS(5857),
    [anon_sym_PIPE_PIPE] = ACTIONS(5857),
    [anon_sym_AMP_AMP] = ACTIONS(5857),
    [anon_sym_PIPE] = ACTIONS(5855),
    [anon_sym_CARET] = ACTIONS(5857),
    [anon_sym_AMP] = ACTIONS(5855),
    [anon_sym_EQ_EQ] = ACTIONS(5857),
    [anon_sym_BANG_EQ] = ACTIONS(5857),
    [anon_sym_GT] = ACTIONS(5855),
    [anon_sym_GT_EQ] = ACTIONS(5857),
    [anon_sym_LT_EQ] = ACTIONS(5855),
    [anon_sym_LT] = ACTIONS(5855),
    [anon_sym_LT_LT] = ACTIONS(5857),
    [anon_sym_GT_GT] = ACTIONS(5857),
    [anon_sym_COLON] = ACTIONS(5857),
    [anon_sym_SEMI] = ACTIONS(5857),
    [anon_sym___extension__] = ACTIONS(5855),
    [anon_sym___attribute__] = ACTIONS(5855),
    [anon_sym___based] = ACTIONS(5855),
    [anon_sym_LBRACE] = ACTIONS(5857),
    [anon_sym_RBRACE] = ACTIONS(5857),
    [anon_sym_signed] = ACTIONS(5855),
    [anon_sym_unsigned] = ACTIONS(5855),
    [anon_sym_long] = ACTIONS(5855),
    [anon_sym_short] = ACTIONS(5855),
    [anon_sym_LBRACK] = ACTIONS(5857),
    [anon_sym_RBRACK] = ACTIONS(5857),
    [anon_sym_const] = ACTIONS(5855),
    [anon_sym_constexpr] = ACTIONS(5855),
    [anon_sym_volatile] = ACTIONS(5855),
    [anon_sym_restrict] = ACTIONS(5855),
    [anon_sym___restrict__] = ACTIONS(5855),
    [anon_sym__Atomic] = ACTIONS(5855),
    [anon_sym__Noreturn] = ACTIONS(5855),
    [anon_sym_noreturn] = ACTIONS(5855),
    [anon_sym__Nonnull] = ACTIONS(5855),
    [anon_sym_mutable] = ACTIONS(5855),
    [anon_sym_constinit] = ACTIONS(5855),
    [anon_sym_consteval] = ACTIONS(5855),
    [anon_sym_alignas] = ACTIONS(5855),
    [anon_sym__Alignas] = ACTIONS(5855),
    [sym_primitive_type] = ACTIONS(5855),
    [anon_sym_QMARK] = ACTIONS(5857),
    [anon_sym_LT_EQ_GT] = ACTIONS(5857),
    [anon_sym_or] = ACTIONS(5855),
    [anon_sym_and] = ACTIONS(5855),
    [anon_sym_bitor] = ACTIONS(5855),
    [anon_sym_xor] = ACTIONS(5855),
    [anon_sym_bitand] = ACTIONS(5855),
    [anon_sym_not_eq] = ACTIONS(5855),
    [anon_sym_DASH_DASH] = ACTIONS(5857),
    [anon_sym_PLUS_PLUS] = ACTIONS(5857),
    [anon_sym_DOT] = ACTIONS(5855),
    [anon_sym_DOT_STAR] = ACTIONS(5857),
    [anon_sym_DASH_GT] = ACTIONS(5857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5855),
    [anon_sym_decltype] = ACTIONS(5855),
    [anon_sym_final] = ACTIONS(5855),
    [anon_sym_override] = ACTIONS(5855),
    [anon_sym_requires] = ACTIONS(5855),
  },
  [2524] = {
    [sym_identifier] = ACTIONS(5859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5861),
    [anon_sym_COMMA] = ACTIONS(5861),
    [anon_sym_RPAREN] = ACTIONS(5861),
    [anon_sym_LPAREN2] = ACTIONS(5861),
    [anon_sym_DASH] = ACTIONS(5859),
    [anon_sym_PLUS] = ACTIONS(5859),
    [anon_sym_STAR] = ACTIONS(5861),
    [anon_sym_SLASH] = ACTIONS(5859),
    [anon_sym_PERCENT] = ACTIONS(5861),
    [anon_sym_PIPE_PIPE] = ACTIONS(5861),
    [anon_sym_AMP_AMP] = ACTIONS(5861),
    [anon_sym_PIPE] = ACTIONS(5859),
    [anon_sym_CARET] = ACTIONS(5861),
    [anon_sym_AMP] = ACTIONS(5859),
    [anon_sym_EQ_EQ] = ACTIONS(5861),
    [anon_sym_BANG_EQ] = ACTIONS(5861),
    [anon_sym_GT] = ACTIONS(5859),
    [anon_sym_GT_EQ] = ACTIONS(5861),
    [anon_sym_LT_EQ] = ACTIONS(5859),
    [anon_sym_LT] = ACTIONS(5859),
    [anon_sym_LT_LT] = ACTIONS(5861),
    [anon_sym_GT_GT] = ACTIONS(5861),
    [anon_sym_COLON] = ACTIONS(5861),
    [anon_sym_SEMI] = ACTIONS(5861),
    [anon_sym___extension__] = ACTIONS(5859),
    [anon_sym___attribute__] = ACTIONS(5859),
    [anon_sym___based] = ACTIONS(5859),
    [anon_sym_LBRACE] = ACTIONS(5861),
    [anon_sym_RBRACE] = ACTIONS(5861),
    [anon_sym_signed] = ACTIONS(5859),
    [anon_sym_unsigned] = ACTIONS(5859),
    [anon_sym_long] = ACTIONS(5859),
    [anon_sym_short] = ACTIONS(5859),
    [anon_sym_LBRACK] = ACTIONS(5861),
    [anon_sym_RBRACK] = ACTIONS(5861),
    [anon_sym_const] = ACTIONS(5859),
    [anon_sym_constexpr] = ACTIONS(5859),
    [anon_sym_volatile] = ACTIONS(5859),
    [anon_sym_restrict] = ACTIONS(5859),
    [anon_sym___restrict__] = ACTIONS(5859),
    [anon_sym__Atomic] = ACTIONS(5859),
    [anon_sym__Noreturn] = ACTIONS(5859),
    [anon_sym_noreturn] = ACTIONS(5859),
    [anon_sym__Nonnull] = ACTIONS(5859),
    [anon_sym_mutable] = ACTIONS(5859),
    [anon_sym_constinit] = ACTIONS(5859),
    [anon_sym_consteval] = ACTIONS(5859),
    [anon_sym_alignas] = ACTIONS(5859),
    [anon_sym__Alignas] = ACTIONS(5859),
    [sym_primitive_type] = ACTIONS(5859),
    [anon_sym_QMARK] = ACTIONS(5861),
    [anon_sym_LT_EQ_GT] = ACTIONS(5861),
    [anon_sym_or] = ACTIONS(5859),
    [anon_sym_and] = ACTIONS(5859),
    [anon_sym_bitor] = ACTIONS(5859),
    [anon_sym_xor] = ACTIONS(5859),
    [anon_sym_bitand] = ACTIONS(5859),
    [anon_sym_not_eq] = ACTIONS(5859),
    [anon_sym_DASH_DASH] = ACTIONS(5861),
    [anon_sym_PLUS_PLUS] = ACTIONS(5861),
    [anon_sym_DOT] = ACTIONS(5859),
    [anon_sym_DOT_STAR] = ACTIONS(5861),
    [anon_sym_DASH_GT] = ACTIONS(5861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5859),
    [anon_sym_decltype] = ACTIONS(5859),
    [anon_sym_final] = ACTIONS(5859),
    [anon_sym_override] = ACTIONS(5859),
    [anon_sym_requires] = ACTIONS(5859),
  },
  [2525] = {
    [sym_identifier] = ACTIONS(5863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5865),
    [anon_sym_COMMA] = ACTIONS(5865),
    [anon_sym_RPAREN] = ACTIONS(5865),
    [anon_sym_LPAREN2] = ACTIONS(5865),
    [anon_sym_DASH] = ACTIONS(5863),
    [anon_sym_PLUS] = ACTIONS(5863),
    [anon_sym_STAR] = ACTIONS(5865),
    [anon_sym_SLASH] = ACTIONS(5863),
    [anon_sym_PERCENT] = ACTIONS(5865),
    [anon_sym_PIPE_PIPE] = ACTIONS(5865),
    [anon_sym_AMP_AMP] = ACTIONS(5865),
    [anon_sym_PIPE] = ACTIONS(5863),
    [anon_sym_CARET] = ACTIONS(5865),
    [anon_sym_AMP] = ACTIONS(5863),
    [anon_sym_EQ_EQ] = ACTIONS(5865),
    [anon_sym_BANG_EQ] = ACTIONS(5865),
    [anon_sym_GT] = ACTIONS(5863),
    [anon_sym_GT_EQ] = ACTIONS(5865),
    [anon_sym_LT_EQ] = ACTIONS(5863),
    [anon_sym_LT] = ACTIONS(5863),
    [anon_sym_LT_LT] = ACTIONS(5865),
    [anon_sym_GT_GT] = ACTIONS(5865),
    [anon_sym_COLON] = ACTIONS(5865),
    [anon_sym_SEMI] = ACTIONS(5865),
    [anon_sym___extension__] = ACTIONS(5863),
    [anon_sym___attribute__] = ACTIONS(5863),
    [anon_sym___based] = ACTIONS(5863),
    [anon_sym_LBRACE] = ACTIONS(5865),
    [anon_sym_RBRACE] = ACTIONS(5865),
    [anon_sym_signed] = ACTIONS(5863),
    [anon_sym_unsigned] = ACTIONS(5863),
    [anon_sym_long] = ACTIONS(5863),
    [anon_sym_short] = ACTIONS(5863),
    [anon_sym_LBRACK] = ACTIONS(5865),
    [anon_sym_RBRACK] = ACTIONS(5865),
    [anon_sym_const] = ACTIONS(5863),
    [anon_sym_constexpr] = ACTIONS(5863),
    [anon_sym_volatile] = ACTIONS(5863),
    [anon_sym_restrict] = ACTIONS(5863),
    [anon_sym___restrict__] = ACTIONS(5863),
    [anon_sym__Atomic] = ACTIONS(5863),
    [anon_sym__Noreturn] = ACTIONS(5863),
    [anon_sym_noreturn] = ACTIONS(5863),
    [anon_sym__Nonnull] = ACTIONS(5863),
    [anon_sym_mutable] = ACTIONS(5863),
    [anon_sym_constinit] = ACTIONS(5863),
    [anon_sym_consteval] = ACTIONS(5863),
    [anon_sym_alignas] = ACTIONS(5863),
    [anon_sym__Alignas] = ACTIONS(5863),
    [sym_primitive_type] = ACTIONS(5863),
    [anon_sym_QMARK] = ACTIONS(5865),
    [anon_sym_LT_EQ_GT] = ACTIONS(5865),
    [anon_sym_or] = ACTIONS(5863),
    [anon_sym_and] = ACTIONS(5863),
    [anon_sym_bitor] = ACTIONS(5863),
    [anon_sym_xor] = ACTIONS(5863),
    [anon_sym_bitand] = ACTIONS(5863),
    [anon_sym_not_eq] = ACTIONS(5863),
    [anon_sym_DASH_DASH] = ACTIONS(5865),
    [anon_sym_PLUS_PLUS] = ACTIONS(5865),
    [anon_sym_DOT] = ACTIONS(5863),
    [anon_sym_DOT_STAR] = ACTIONS(5865),
    [anon_sym_DASH_GT] = ACTIONS(5865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5863),
    [anon_sym_decltype] = ACTIONS(5863),
    [anon_sym_final] = ACTIONS(5863),
    [anon_sym_override] = ACTIONS(5863),
    [anon_sym_requires] = ACTIONS(5863),
  },
  [2526] = {
    [sym_ms_based_modifier] = STATE(7986),
    [sym_ms_unaligned_ptr_modifier] = STATE(4158),
    [sym_ms_pointer_modifier] = STATE(2527),
    [sym__declarator] = STATE(6216),
    [sym__abstract_declarator] = STATE(6522),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(6325),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(6325),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2805),
    [sym_alignas_qualifier] = STATE(4364),
    [sym_parameter_list] = STATE(3247),
    [sym_decltype] = STATE(8731),
    [sym_reference_declarator] = STATE(6325),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(6325),
    [sym_operator_name] = STATE(6325),
    [aux_sym__type_definition_type_repeat1] = STATE(2805),
    [aux_sym_pointer_declarator_repeat1] = STATE(2527),
    [sym_identifier] = ACTIONS(6219),
    [anon_sym_COMMA] = ACTIONS(6221),
    [anon_sym_RPAREN] = ACTIONS(6221),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(6223),
    [anon_sym_AMP_AMP] = ACTIONS(6225),
    [anon_sym_AMP] = ACTIONS(6227),
    [anon_sym_COLON] = ACTIONS(6229),
    [anon_sym___extension__] = ACTIONS(4053),
    [anon_sym___attribute__] = ACTIONS(6229),
    [anon_sym_COLON_COLON] = ACTIONS(6231),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4049),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4049),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4049),
    [anon_sym__unaligned] = ACTIONS(4051),
    [anon_sym___unaligned] = ACTIONS(4051),
    [anon_sym_LBRACK] = ACTIONS(6233),
    [anon_sym_EQ] = ACTIONS(6221),
    [anon_sym_const] = ACTIONS(4053),
    [anon_sym_constexpr] = ACTIONS(4053),
    [anon_sym_volatile] = ACTIONS(4053),
    [anon_sym_restrict] = ACTIONS(4053),
    [anon_sym___restrict__] = ACTIONS(4053),
    [anon_sym__Atomic] = ACTIONS(4053),
    [anon_sym__Noreturn] = ACTIONS(4053),
    [anon_sym_noreturn] = ACTIONS(4053),
    [anon_sym__Nonnull] = ACTIONS(4053),
    [anon_sym_mutable] = ACTIONS(4053),
    [anon_sym_constinit] = ACTIONS(4053),
    [anon_sym_consteval] = ACTIONS(4053),
    [anon_sym_alignas] = ACTIONS(4055),
    [anon_sym__Alignas] = ACTIONS(4055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(6221),
    [anon_sym_operator] = ACTIONS(2037),
  },
  [2527] = {
    [sym_ms_based_modifier] = STATE(7986),
    [sym_ms_unaligned_ptr_modifier] = STATE(4158),
    [sym_ms_pointer_modifier] = STATE(4037),
    [sym__declarator] = STATE(6266),
    [sym__abstract_declarator] = STATE(6525),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(6325),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(6325),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2895),
    [sym_alignas_qualifier] = STATE(4364),
    [sym_parameter_list] = STATE(3247),
    [sym_decltype] = STATE(8731),
    [sym_reference_declarator] = STATE(6325),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(6325),
    [sym_operator_name] = STATE(6325),
    [aux_sym__type_definition_type_repeat1] = STATE(2895),
    [aux_sym_pointer_declarator_repeat1] = STATE(4037),
    [sym_identifier] = ACTIONS(6219),
    [anon_sym_COMMA] = ACTIONS(6235),
    [anon_sym_RPAREN] = ACTIONS(6235),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(6223),
    [anon_sym_AMP_AMP] = ACTIONS(6225),
    [anon_sym_AMP] = ACTIONS(6227),
    [anon_sym_COLON] = ACTIONS(6237),
    [anon_sym___extension__] = ACTIONS(4053),
    [anon_sym___attribute__] = ACTIONS(6237),
    [anon_sym_COLON_COLON] = ACTIONS(6231),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4049),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4049),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4049),
    [anon_sym__unaligned] = ACTIONS(4051),
    [anon_sym___unaligned] = ACTIONS(4051),
    [anon_sym_LBRACK] = ACTIONS(6233),
    [anon_sym_EQ] = ACTIONS(6235),
    [anon_sym_const] = ACTIONS(4053),
    [anon_sym_constexpr] = ACTIONS(4053),
    [anon_sym_volatile] = ACTIONS(4053),
    [anon_sym_restrict] = ACTIONS(4053),
    [anon_sym___restrict__] = ACTIONS(4053),
    [anon_sym__Atomic] = ACTIONS(4053),
    [anon_sym__Noreturn] = ACTIONS(4053),
    [anon_sym_noreturn] = ACTIONS(4053),
    [anon_sym__Nonnull] = ACTIONS(4053),
    [anon_sym_mutable] = ACTIONS(4053),
    [anon_sym_constinit] = ACTIONS(4053),
    [anon_sym_consteval] = ACTIONS(4053),
    [anon_sym_alignas] = ACTIONS(4055),
    [anon_sym__Alignas] = ACTIONS(4055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(6235),
    [anon_sym_operator] = ACTIONS(2037),
  },
  [2528] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5676),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_SLASH] = ACTIONS(5676),
    [anon_sym_PERCENT] = ACTIONS(5678),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5678),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5676),
    [anon_sym_LT_LT] = ACTIONS(5678),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_COLON] = ACTIONS(5678),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_RBRACE] = ACTIONS(5678),
    [anon_sym_signed] = ACTIONS(5676),
    [anon_sym_unsigned] = ACTIONS(5676),
    [anon_sym_long] = ACTIONS(5676),
    [anon_sym_short] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_RBRACK] = ACTIONS(5678),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5676),
    [anon_sym_volatile] = ACTIONS(5676),
    [anon_sym_restrict] = ACTIONS(5676),
    [anon_sym___restrict__] = ACTIONS(5676),
    [anon_sym__Atomic] = ACTIONS(5676),
    [anon_sym__Noreturn] = ACTIONS(5676),
    [anon_sym_noreturn] = ACTIONS(5676),
    [anon_sym__Nonnull] = ACTIONS(5676),
    [anon_sym_mutable] = ACTIONS(5676),
    [anon_sym_constinit] = ACTIONS(5676),
    [anon_sym_consteval] = ACTIONS(5676),
    [anon_sym_alignas] = ACTIONS(5676),
    [anon_sym__Alignas] = ACTIONS(5676),
    [sym_primitive_type] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5676),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_bitor] = ACTIONS(5676),
    [anon_sym_xor] = ACTIONS(5676),
    [anon_sym_bitand] = ACTIONS(5676),
    [anon_sym_not_eq] = ACTIONS(5676),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_final] = ACTIONS(5676),
    [anon_sym_override] = ACTIONS(5676),
    [anon_sym_requires] = ACTIONS(5676),
  },
  [2529] = {
    [sym_identifier] = ACTIONS(5903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5905),
    [anon_sym_COMMA] = ACTIONS(5905),
    [anon_sym_RPAREN] = ACTIONS(5905),
    [anon_sym_LPAREN2] = ACTIONS(5905),
    [anon_sym_DASH] = ACTIONS(5903),
    [anon_sym_PLUS] = ACTIONS(5903),
    [anon_sym_STAR] = ACTIONS(5905),
    [anon_sym_SLASH] = ACTIONS(5903),
    [anon_sym_PERCENT] = ACTIONS(5905),
    [anon_sym_PIPE_PIPE] = ACTIONS(5905),
    [anon_sym_AMP_AMP] = ACTIONS(5905),
    [anon_sym_PIPE] = ACTIONS(5903),
    [anon_sym_CARET] = ACTIONS(5905),
    [anon_sym_AMP] = ACTIONS(5903),
    [anon_sym_EQ_EQ] = ACTIONS(5905),
    [anon_sym_BANG_EQ] = ACTIONS(5905),
    [anon_sym_GT] = ACTIONS(5903),
    [anon_sym_GT_EQ] = ACTIONS(5905),
    [anon_sym_LT_EQ] = ACTIONS(5903),
    [anon_sym_LT] = ACTIONS(5903),
    [anon_sym_LT_LT] = ACTIONS(5905),
    [anon_sym_GT_GT] = ACTIONS(5905),
    [anon_sym_COLON] = ACTIONS(5905),
    [anon_sym_SEMI] = ACTIONS(5905),
    [anon_sym___extension__] = ACTIONS(5903),
    [anon_sym___attribute__] = ACTIONS(5903),
    [anon_sym___based] = ACTIONS(5903),
    [anon_sym_LBRACE] = ACTIONS(5905),
    [anon_sym_RBRACE] = ACTIONS(5905),
    [anon_sym_signed] = ACTIONS(5903),
    [anon_sym_unsigned] = ACTIONS(5903),
    [anon_sym_long] = ACTIONS(5903),
    [anon_sym_short] = ACTIONS(5903),
    [anon_sym_LBRACK] = ACTIONS(5905),
    [anon_sym_RBRACK] = ACTIONS(5905),
    [anon_sym_const] = ACTIONS(5903),
    [anon_sym_constexpr] = ACTIONS(5903),
    [anon_sym_volatile] = ACTIONS(5903),
    [anon_sym_restrict] = ACTIONS(5903),
    [anon_sym___restrict__] = ACTIONS(5903),
    [anon_sym__Atomic] = ACTIONS(5903),
    [anon_sym__Noreturn] = ACTIONS(5903),
    [anon_sym_noreturn] = ACTIONS(5903),
    [anon_sym__Nonnull] = ACTIONS(5903),
    [anon_sym_mutable] = ACTIONS(5903),
    [anon_sym_constinit] = ACTIONS(5903),
    [anon_sym_consteval] = ACTIONS(5903),
    [anon_sym_alignas] = ACTIONS(5903),
    [anon_sym__Alignas] = ACTIONS(5903),
    [sym_primitive_type] = ACTIONS(5903),
    [anon_sym_QMARK] = ACTIONS(5905),
    [anon_sym_LT_EQ_GT] = ACTIONS(5905),
    [anon_sym_or] = ACTIONS(5903),
    [anon_sym_and] = ACTIONS(5903),
    [anon_sym_bitor] = ACTIONS(5903),
    [anon_sym_xor] = ACTIONS(5903),
    [anon_sym_bitand] = ACTIONS(5903),
    [anon_sym_not_eq] = ACTIONS(5903),
    [anon_sym_DASH_DASH] = ACTIONS(5905),
    [anon_sym_PLUS_PLUS] = ACTIONS(5905),
    [anon_sym_DOT] = ACTIONS(5903),
    [anon_sym_DOT_STAR] = ACTIONS(5905),
    [anon_sym_DASH_GT] = ACTIONS(5905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5903),
    [anon_sym_decltype] = ACTIONS(5903),
    [anon_sym_final] = ACTIONS(5903),
    [anon_sym_override] = ACTIONS(5903),
    [anon_sym_requires] = ACTIONS(5903),
  },
  [2530] = {
    [sym_argument_list] = STATE(2870),
    [sym_initializer_list] = STATE(2870),
    [sym_decltype_auto] = STATE(2648),
    [sym_new_declarator] = STATE(2644),
    [sym_identifier] = ACTIONS(6239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6241),
    [anon_sym_COMMA] = ACTIONS(6241),
    [anon_sym_RPAREN] = ACTIONS(6241),
    [aux_sym_preproc_if_token2] = ACTIONS(6241),
    [aux_sym_preproc_else_token1] = ACTIONS(6241),
    [aux_sym_preproc_elif_token1] = ACTIONS(6239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6239),
    [anon_sym_PLUS] = ACTIONS(6239),
    [anon_sym_STAR] = ACTIONS(6239),
    [anon_sym_SLASH] = ACTIONS(6239),
    [anon_sym_PERCENT] = ACTIONS(6239),
    [anon_sym_PIPE_PIPE] = ACTIONS(6241),
    [anon_sym_AMP_AMP] = ACTIONS(6241),
    [anon_sym_PIPE] = ACTIONS(6239),
    [anon_sym_CARET] = ACTIONS(6239),
    [anon_sym_AMP] = ACTIONS(6239),
    [anon_sym_EQ_EQ] = ACTIONS(6241),
    [anon_sym_BANG_EQ] = ACTIONS(6241),
    [anon_sym_GT] = ACTIONS(6239),
    [anon_sym_GT_EQ] = ACTIONS(6241),
    [anon_sym_LT_EQ] = ACTIONS(6239),
    [anon_sym_LT] = ACTIONS(6239),
    [anon_sym_LT_LT] = ACTIONS(6239),
    [anon_sym_GT_GT] = ACTIONS(6239),
    [anon_sym_COLON] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6241),
    [anon_sym___attribute__] = ACTIONS(6239),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(6241),
    [anon_sym_LBRACK] = ACTIONS(6245),
    [anon_sym_RBRACK] = ACTIONS(6241),
    [anon_sym_EQ] = ACTIONS(6239),
    [anon_sym_QMARK] = ACTIONS(6241),
    [anon_sym_STAR_EQ] = ACTIONS(6241),
    [anon_sym_SLASH_EQ] = ACTIONS(6241),
    [anon_sym_PERCENT_EQ] = ACTIONS(6241),
    [anon_sym_PLUS_EQ] = ACTIONS(6241),
    [anon_sym_DASH_EQ] = ACTIONS(6241),
    [anon_sym_LT_LT_EQ] = ACTIONS(6241),
    [anon_sym_GT_GT_EQ] = ACTIONS(6241),
    [anon_sym_AMP_EQ] = ACTIONS(6241),
    [anon_sym_CARET_EQ] = ACTIONS(6241),
    [anon_sym_PIPE_EQ] = ACTIONS(6241),
    [anon_sym_and_eq] = ACTIONS(6239),
    [anon_sym_or_eq] = ACTIONS(6239),
    [anon_sym_xor_eq] = ACTIONS(6239),
    [anon_sym_LT_EQ_GT] = ACTIONS(6241),
    [anon_sym_or] = ACTIONS(6239),
    [anon_sym_and] = ACTIONS(6239),
    [anon_sym_bitor] = ACTIONS(6239),
    [anon_sym_xor] = ACTIONS(6239),
    [anon_sym_bitand] = ACTIONS(6239),
    [anon_sym_not_eq] = ACTIONS(6239),
    [anon_sym_DASH_DASH] = ACTIONS(6241),
    [anon_sym_PLUS_PLUS] = ACTIONS(6241),
    [anon_sym_DOT] = ACTIONS(6239),
    [anon_sym_DOT_STAR] = ACTIONS(6241),
    [anon_sym_DASH_GT] = ACTIONS(6241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6247),
    [anon_sym_decltype] = ACTIONS(6249),
  },
  [2531] = {
    [sym_string_literal] = STATE(2420),
    [sym_raw_string_literal] = STATE(2420),
    [sym_identifier] = ACTIONS(6251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6253),
    [anon_sym_COMMA] = ACTIONS(6253),
    [aux_sym_preproc_if_token2] = ACTIONS(6253),
    [aux_sym_preproc_else_token1] = ACTIONS(6253),
    [aux_sym_preproc_elif_token1] = ACTIONS(6251),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6253),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6253),
    [anon_sym_LPAREN2] = ACTIONS(6253),
    [anon_sym_DASH] = ACTIONS(6251),
    [anon_sym_PLUS] = ACTIONS(6251),
    [anon_sym_STAR] = ACTIONS(6251),
    [anon_sym_SLASH] = ACTIONS(6251),
    [anon_sym_PERCENT] = ACTIONS(6251),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_PIPE] = ACTIONS(6251),
    [anon_sym_CARET] = ACTIONS(6251),
    [anon_sym_AMP] = ACTIONS(6251),
    [anon_sym_EQ_EQ] = ACTIONS(6253),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_GT] = ACTIONS(6251),
    [anon_sym_GT_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6251),
    [anon_sym_LT] = ACTIONS(6251),
    [anon_sym_LT_LT] = ACTIONS(6251),
    [anon_sym_GT_GT] = ACTIONS(6251),
    [anon_sym_LBRACK] = ACTIONS(6253),
    [anon_sym_EQ] = ACTIONS(6251),
    [anon_sym_QMARK] = ACTIONS(6253),
    [anon_sym_STAR_EQ] = ACTIONS(6253),
    [anon_sym_SLASH_EQ] = ACTIONS(6253),
    [anon_sym_PERCENT_EQ] = ACTIONS(6253),
    [anon_sym_PLUS_EQ] = ACTIONS(6253),
    [anon_sym_DASH_EQ] = ACTIONS(6253),
    [anon_sym_LT_LT_EQ] = ACTIONS(6253),
    [anon_sym_GT_GT_EQ] = ACTIONS(6253),
    [anon_sym_AMP_EQ] = ACTIONS(6253),
    [anon_sym_CARET_EQ] = ACTIONS(6253),
    [anon_sym_PIPE_EQ] = ACTIONS(6253),
    [anon_sym_and_eq] = ACTIONS(6251),
    [anon_sym_or_eq] = ACTIONS(6251),
    [anon_sym_xor_eq] = ACTIONS(6251),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_or] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(6251),
    [anon_sym_bitor] = ACTIONS(6251),
    [anon_sym_xor] = ACTIONS(6251),
    [anon_sym_bitand] = ACTIONS(6251),
    [anon_sym_not_eq] = ACTIONS(6251),
    [anon_sym_DASH_DASH] = ACTIONS(6253),
    [anon_sym_PLUS_PLUS] = ACTIONS(6253),
    [anon_sym_DOT] = ACTIONS(6251),
    [anon_sym_DOT_STAR] = ACTIONS(6253),
    [anon_sym_DASH_GT] = ACTIONS(6253),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [sym_literal_suffix] = ACTIONS(6251),
  },
  [2532] = {
    [sym_template_argument_list] = STATE(2550),
    [sym_identifier] = ACTIONS(1967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(1969),
    [anon_sym_RPAREN] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_else_token1] = ACTIONS(1969),
    [aux_sym_preproc_elif_token1] = ACTIONS(1967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(1967),
    [anon_sym_PERCENT] = ACTIONS(1967),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1967),
    [anon_sym_GT_EQ] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(6255),
    [anon_sym_LT_LT] = ACTIONS(1967),
    [anon_sym_GT_GT] = ACTIONS(1967),
    [anon_sym_COLON] = ACTIONS(1967),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_RBRACK] = ACTIONS(1969),
    [anon_sym_EQ] = ACTIONS(1967),
    [anon_sym_QMARK] = ACTIONS(1969),
    [anon_sym_STAR_EQ] = ACTIONS(1969),
    [anon_sym_SLASH_EQ] = ACTIONS(1969),
    [anon_sym_PERCENT_EQ] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(1969),
    [anon_sym_DASH_EQ] = ACTIONS(1969),
    [anon_sym_LT_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_GT_EQ] = ACTIONS(1969),
    [anon_sym_AMP_EQ] = ACTIONS(1969),
    [anon_sym_CARET_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_EQ] = ACTIONS(1969),
    [anon_sym_and_eq] = ACTIONS(1967),
    [anon_sym_or_eq] = ACTIONS(1967),
    [anon_sym_xor_eq] = ACTIONS(1967),
    [anon_sym_LT_EQ_GT] = ACTIONS(1969),
    [anon_sym_or] = ACTIONS(1967),
    [anon_sym_and] = ACTIONS(1967),
    [anon_sym_bitor] = ACTIONS(1967),
    [anon_sym_xor] = ACTIONS(1967),
    [anon_sym_bitand] = ACTIONS(1967),
    [anon_sym_not_eq] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(1969),
    [anon_sym_PLUS_PLUS] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1967),
    [anon_sym_DOT_STAR] = ACTIONS(1969),
    [anon_sym_DASH_GT] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1967),
    [anon_sym_decltype] = ACTIONS(1967),
    [anon_sym_final] = ACTIONS(1967),
    [anon_sym_override] = ACTIONS(1967),
  },
  [2533] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4369),
    [anon_sym_RPAREN] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(4371),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4376),
    [anon_sym_SLASH] = ACTIONS(4374),
    [anon_sym_PERCENT] = ACTIONS(4374),
    [anon_sym_PIPE_PIPE] = ACTIONS(4369),
    [anon_sym_AMP_AMP] = ACTIONS(4371),
    [anon_sym_PIPE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(4376),
    [anon_sym_EQ_EQ] = ACTIONS(4369),
    [anon_sym_BANG_EQ] = ACTIONS(4369),
    [anon_sym_GT] = ACTIONS(4374),
    [anon_sym_GT_EQ] = ACTIONS(4369),
    [anon_sym_LT_EQ] = ACTIONS(4374),
    [anon_sym_LT] = ACTIONS(4374),
    [anon_sym_LT_LT] = ACTIONS(4374),
    [anon_sym_GT_GT] = ACTIONS(4374),
    [anon_sym___extension__] = ACTIONS(2070),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4374),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_constexpr] = ACTIONS(2070),
    [anon_sym_volatile] = ACTIONS(2070),
    [anon_sym_restrict] = ACTIONS(2070),
    [anon_sym___restrict__] = ACTIONS(2070),
    [anon_sym__Atomic] = ACTIONS(2070),
    [anon_sym__Noreturn] = ACTIONS(2070),
    [anon_sym_noreturn] = ACTIONS(2070),
    [anon_sym__Nonnull] = ACTIONS(2070),
    [anon_sym_mutable] = ACTIONS(2070),
    [anon_sym_constinit] = ACTIONS(2070),
    [anon_sym_consteval] = ACTIONS(2070),
    [anon_sym_alignas] = ACTIONS(2070),
    [anon_sym__Alignas] = ACTIONS(2070),
    [anon_sym_QMARK] = ACTIONS(4369),
    [anon_sym_STAR_EQ] = ACTIONS(4369),
    [anon_sym_SLASH_EQ] = ACTIONS(4369),
    [anon_sym_PERCENT_EQ] = ACTIONS(4369),
    [anon_sym_PLUS_EQ] = ACTIONS(4369),
    [anon_sym_DASH_EQ] = ACTIONS(4369),
    [anon_sym_LT_LT_EQ] = ACTIONS(4369),
    [anon_sym_GT_GT_EQ] = ACTIONS(4369),
    [anon_sym_AMP_EQ] = ACTIONS(4369),
    [anon_sym_CARET_EQ] = ACTIONS(4369),
    [anon_sym_PIPE_EQ] = ACTIONS(4369),
    [anon_sym_and_eq] = ACTIONS(4369),
    [anon_sym_or_eq] = ACTIONS(4369),
    [anon_sym_xor_eq] = ACTIONS(4369),
    [anon_sym_LT_EQ_GT] = ACTIONS(4369),
    [anon_sym_or] = ACTIONS(4374),
    [anon_sym_and] = ACTIONS(4374),
    [anon_sym_bitor] = ACTIONS(4369),
    [anon_sym_xor] = ACTIONS(4374),
    [anon_sym_bitand] = ACTIONS(4369),
    [anon_sym_not_eq] = ACTIONS(4369),
    [anon_sym_DASH_DASH] = ACTIONS(4369),
    [anon_sym_PLUS_PLUS] = ACTIONS(4369),
    [anon_sym_DOT] = ACTIONS(4374),
    [anon_sym_DOT_STAR] = ACTIONS(4369),
    [anon_sym_DASH_GT] = ACTIONS(4369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2070),
    [anon_sym_decltype] = ACTIONS(2070),
  },
  [2534] = {
    [sym_identifier] = ACTIONS(5485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5487),
    [anon_sym_COMMA] = ACTIONS(5487),
    [anon_sym_RPAREN] = ACTIONS(5487),
    [aux_sym_preproc_if_token2] = ACTIONS(5487),
    [aux_sym_preproc_else_token1] = ACTIONS(5487),
    [aux_sym_preproc_elif_token1] = ACTIONS(5485),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5487),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5487),
    [anon_sym_LPAREN2] = ACTIONS(5487),
    [anon_sym_DASH] = ACTIONS(5485),
    [anon_sym_PLUS] = ACTIONS(5485),
    [anon_sym_STAR] = ACTIONS(5487),
    [anon_sym_SLASH] = ACTIONS(5485),
    [anon_sym_PERCENT] = ACTIONS(5487),
    [anon_sym_PIPE_PIPE] = ACTIONS(5487),
    [anon_sym_AMP_AMP] = ACTIONS(5487),
    [anon_sym_PIPE] = ACTIONS(5485),
    [anon_sym_CARET] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(5485),
    [anon_sym_EQ_EQ] = ACTIONS(5487),
    [anon_sym_BANG_EQ] = ACTIONS(5487),
    [anon_sym_GT] = ACTIONS(5485),
    [anon_sym_GT_EQ] = ACTIONS(5487),
    [anon_sym_LT_EQ] = ACTIONS(5485),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(5487),
    [anon_sym_GT_GT] = ACTIONS(5487),
    [anon_sym_COLON] = ACTIONS(5487),
    [anon_sym_SEMI] = ACTIONS(5487),
    [anon_sym___extension__] = ACTIONS(5485),
    [anon_sym___attribute__] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(5487),
    [anon_sym_RBRACE] = ACTIONS(5487),
    [anon_sym_LBRACK] = ACTIONS(5487),
    [anon_sym_RBRACK] = ACTIONS(5487),
    [anon_sym_const] = ACTIONS(5485),
    [anon_sym_constexpr] = ACTIONS(5485),
    [anon_sym_volatile] = ACTIONS(5485),
    [anon_sym_restrict] = ACTIONS(5485),
    [anon_sym___restrict__] = ACTIONS(5485),
    [anon_sym__Atomic] = ACTIONS(5485),
    [anon_sym__Noreturn] = ACTIONS(5485),
    [anon_sym_noreturn] = ACTIONS(5485),
    [anon_sym__Nonnull] = ACTIONS(5485),
    [anon_sym_mutable] = ACTIONS(5485),
    [anon_sym_constinit] = ACTIONS(5485),
    [anon_sym_consteval] = ACTIONS(5485),
    [anon_sym_alignas] = ACTIONS(5485),
    [anon_sym__Alignas] = ACTIONS(5485),
    [anon_sym_QMARK] = ACTIONS(5487),
    [anon_sym_LT_EQ_GT] = ACTIONS(5487),
    [anon_sym_or] = ACTIONS(5485),
    [anon_sym_and] = ACTIONS(5485),
    [anon_sym_bitor] = ACTIONS(5485),
    [anon_sym_xor] = ACTIONS(5485),
    [anon_sym_bitand] = ACTIONS(5485),
    [anon_sym_not_eq] = ACTIONS(5485),
    [anon_sym_DASH_DASH] = ACTIONS(5487),
    [anon_sym_PLUS_PLUS] = ACTIONS(5487),
    [anon_sym_DOT] = ACTIONS(5485),
    [anon_sym_DOT_STAR] = ACTIONS(5487),
    [anon_sym_DASH_GT] = ACTIONS(5487),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5485),
    [anon_sym_decltype] = ACTIONS(5485),
    [anon_sym_final] = ACTIONS(5485),
    [anon_sym_override] = ACTIONS(5485),
    [anon_sym_requires] = ACTIONS(5485),
  },
  [2535] = {
    [sym_argument_list] = STATE(2827),
    [sym_initializer_list] = STATE(2827),
    [sym_decltype_auto] = STATE(2648),
    [sym_new_declarator] = STATE(2653),
    [sym_identifier] = ACTIONS(6257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6259),
    [anon_sym_COMMA] = ACTIONS(6259),
    [anon_sym_RPAREN] = ACTIONS(6259),
    [aux_sym_preproc_if_token2] = ACTIONS(6259),
    [aux_sym_preproc_else_token1] = ACTIONS(6259),
    [aux_sym_preproc_elif_token1] = ACTIONS(6257),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6259),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6259),
    [anon_sym_LPAREN2] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6257),
    [anon_sym_STAR] = ACTIONS(6257),
    [anon_sym_SLASH] = ACTIONS(6257),
    [anon_sym_PERCENT] = ACTIONS(6257),
    [anon_sym_PIPE_PIPE] = ACTIONS(6259),
    [anon_sym_AMP_AMP] = ACTIONS(6259),
    [anon_sym_PIPE] = ACTIONS(6257),
    [anon_sym_CARET] = ACTIONS(6257),
    [anon_sym_AMP] = ACTIONS(6257),
    [anon_sym_EQ_EQ] = ACTIONS(6259),
    [anon_sym_BANG_EQ] = ACTIONS(6259),
    [anon_sym_GT] = ACTIONS(6257),
    [anon_sym_GT_EQ] = ACTIONS(6259),
    [anon_sym_LT_EQ] = ACTIONS(6257),
    [anon_sym_LT] = ACTIONS(6257),
    [anon_sym_LT_LT] = ACTIONS(6257),
    [anon_sym_GT_GT] = ACTIONS(6257),
    [anon_sym_COLON] = ACTIONS(6259),
    [anon_sym_SEMI] = ACTIONS(6259),
    [anon_sym___attribute__] = ACTIONS(6257),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6245),
    [anon_sym_RBRACK] = ACTIONS(6259),
    [anon_sym_EQ] = ACTIONS(6257),
    [anon_sym_QMARK] = ACTIONS(6259),
    [anon_sym_STAR_EQ] = ACTIONS(6259),
    [anon_sym_SLASH_EQ] = ACTIONS(6259),
    [anon_sym_PERCENT_EQ] = ACTIONS(6259),
    [anon_sym_PLUS_EQ] = ACTIONS(6259),
    [anon_sym_DASH_EQ] = ACTIONS(6259),
    [anon_sym_LT_LT_EQ] = ACTIONS(6259),
    [anon_sym_GT_GT_EQ] = ACTIONS(6259),
    [anon_sym_AMP_EQ] = ACTIONS(6259),
    [anon_sym_CARET_EQ] = ACTIONS(6259),
    [anon_sym_PIPE_EQ] = ACTIONS(6259),
    [anon_sym_and_eq] = ACTIONS(6257),
    [anon_sym_or_eq] = ACTIONS(6257),
    [anon_sym_xor_eq] = ACTIONS(6257),
    [anon_sym_LT_EQ_GT] = ACTIONS(6259),
    [anon_sym_or] = ACTIONS(6257),
    [anon_sym_and] = ACTIONS(6257),
    [anon_sym_bitor] = ACTIONS(6257),
    [anon_sym_xor] = ACTIONS(6257),
    [anon_sym_bitand] = ACTIONS(6257),
    [anon_sym_not_eq] = ACTIONS(6257),
    [anon_sym_DASH_DASH] = ACTIONS(6259),
    [anon_sym_PLUS_PLUS] = ACTIONS(6259),
    [anon_sym_DOT] = ACTIONS(6257),
    [anon_sym_DOT_STAR] = ACTIONS(6259),
    [anon_sym_DASH_GT] = ACTIONS(6259),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6247),
    [anon_sym_decltype] = ACTIONS(6249),
  },
  [2536] = {
    [sym_template_argument_list] = STATE(2550),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1961),
    [anon_sym_COMMA] = ACTIONS(1961),
    [anon_sym_RPAREN] = ACTIONS(1961),
    [aux_sym_preproc_if_token2] = ACTIONS(1961),
    [aux_sym_preproc_else_token1] = ACTIONS(1961),
    [aux_sym_preproc_elif_token1] = ACTIONS(1959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1961),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1961),
    [anon_sym_BANG_EQ] = ACTIONS(1961),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1961),
    [anon_sym_LT_EQ] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(6261),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_RBRACE] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1961),
    [anon_sym_RBRACK] = ACTIONS(1961),
    [anon_sym_EQ] = ACTIONS(1959),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_STAR_EQ] = ACTIONS(1961),
    [anon_sym_SLASH_EQ] = ACTIONS(1961),
    [anon_sym_PERCENT_EQ] = ACTIONS(1961),
    [anon_sym_PLUS_EQ] = ACTIONS(1961),
    [anon_sym_DASH_EQ] = ACTIONS(1961),
    [anon_sym_LT_LT_EQ] = ACTIONS(1961),
    [anon_sym_GT_GT_EQ] = ACTIONS(1961),
    [anon_sym_AMP_EQ] = ACTIONS(1961),
    [anon_sym_CARET_EQ] = ACTIONS(1961),
    [anon_sym_PIPE_EQ] = ACTIONS(1961),
    [anon_sym_and_eq] = ACTIONS(1959),
    [anon_sym_or_eq] = ACTIONS(1959),
    [anon_sym_xor_eq] = ACTIONS(1959),
    [anon_sym_LT_EQ_GT] = ACTIONS(1961),
    [anon_sym_or] = ACTIONS(1959),
    [anon_sym_and] = ACTIONS(1959),
    [anon_sym_bitor] = ACTIONS(1959),
    [anon_sym_xor] = ACTIONS(1959),
    [anon_sym_bitand] = ACTIONS(1959),
    [anon_sym_not_eq] = ACTIONS(1959),
    [anon_sym_DASH_DASH] = ACTIONS(1961),
    [anon_sym_PLUS_PLUS] = ACTIONS(1961),
    [anon_sym_DOT] = ACTIONS(1959),
    [anon_sym_DOT_STAR] = ACTIONS(1961),
    [anon_sym_DASH_GT] = ACTIONS(1961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_final] = ACTIONS(1959),
    [anon_sym_override] = ACTIONS(1959),
  },
  [2537] = {
    [sym_argument_list] = STATE(2881),
    [sym_initializer_list] = STATE(2881),
    [sym_decltype_auto] = STATE(2648),
    [sym_new_declarator] = STATE(2681),
    [sym_identifier] = ACTIONS(6264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6266),
    [anon_sym_COMMA] = ACTIONS(6266),
    [anon_sym_RPAREN] = ACTIONS(6266),
    [aux_sym_preproc_if_token2] = ACTIONS(6266),
    [aux_sym_preproc_else_token1] = ACTIONS(6266),
    [aux_sym_preproc_elif_token1] = ACTIONS(6264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6266),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6266),
    [anon_sym_LPAREN2] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6264),
    [anon_sym_PLUS] = ACTIONS(6264),
    [anon_sym_STAR] = ACTIONS(6264),
    [anon_sym_SLASH] = ACTIONS(6264),
    [anon_sym_PERCENT] = ACTIONS(6264),
    [anon_sym_PIPE_PIPE] = ACTIONS(6266),
    [anon_sym_AMP_AMP] = ACTIONS(6266),
    [anon_sym_PIPE] = ACTIONS(6264),
    [anon_sym_CARET] = ACTIONS(6264),
    [anon_sym_AMP] = ACTIONS(6264),
    [anon_sym_EQ_EQ] = ACTIONS(6266),
    [anon_sym_BANG_EQ] = ACTIONS(6266),
    [anon_sym_GT] = ACTIONS(6264),
    [anon_sym_GT_EQ] = ACTIONS(6266),
    [anon_sym_LT_EQ] = ACTIONS(6264),
    [anon_sym_LT] = ACTIONS(6264),
    [anon_sym_LT_LT] = ACTIONS(6264),
    [anon_sym_GT_GT] = ACTIONS(6264),
    [anon_sym_COLON] = ACTIONS(6266),
    [anon_sym_SEMI] = ACTIONS(6266),
    [anon_sym___attribute__] = ACTIONS(6264),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(6266),
    [anon_sym_LBRACK] = ACTIONS(6245),
    [anon_sym_RBRACK] = ACTIONS(6266),
    [anon_sym_EQ] = ACTIONS(6264),
    [anon_sym_QMARK] = ACTIONS(6266),
    [anon_sym_STAR_EQ] = ACTIONS(6266),
    [anon_sym_SLASH_EQ] = ACTIONS(6266),
    [anon_sym_PERCENT_EQ] = ACTIONS(6266),
    [anon_sym_PLUS_EQ] = ACTIONS(6266),
    [anon_sym_DASH_EQ] = ACTIONS(6266),
    [anon_sym_LT_LT_EQ] = ACTIONS(6266),
    [anon_sym_GT_GT_EQ] = ACTIONS(6266),
    [anon_sym_AMP_EQ] = ACTIONS(6266),
    [anon_sym_CARET_EQ] = ACTIONS(6266),
    [anon_sym_PIPE_EQ] = ACTIONS(6266),
    [anon_sym_and_eq] = ACTIONS(6264),
    [anon_sym_or_eq] = ACTIONS(6264),
    [anon_sym_xor_eq] = ACTIONS(6264),
    [anon_sym_LT_EQ_GT] = ACTIONS(6266),
    [anon_sym_or] = ACTIONS(6264),
    [anon_sym_and] = ACTIONS(6264),
    [anon_sym_bitor] = ACTIONS(6264),
    [anon_sym_xor] = ACTIONS(6264),
    [anon_sym_bitand] = ACTIONS(6264),
    [anon_sym_not_eq] = ACTIONS(6264),
    [anon_sym_DASH_DASH] = ACTIONS(6266),
    [anon_sym_PLUS_PLUS] = ACTIONS(6266),
    [anon_sym_DOT] = ACTIONS(6264),
    [anon_sym_DOT_STAR] = ACTIONS(6266),
    [anon_sym_DASH_GT] = ACTIONS(6266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6247),
    [anon_sym_decltype] = ACTIONS(6249),
  },
  [2538] = {
    [sym_argument_list] = STATE(2839),
    [sym_initializer_list] = STATE(2839),
    [sym_decltype_auto] = STATE(2648),
    [sym_new_declarator] = STATE(2686),
    [sym_identifier] = ACTIONS(6268),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6270),
    [anon_sym_COMMA] = ACTIONS(6270),
    [anon_sym_RPAREN] = ACTIONS(6270),
    [aux_sym_preproc_if_token2] = ACTIONS(6270),
    [aux_sym_preproc_else_token1] = ACTIONS(6270),
    [aux_sym_preproc_elif_token1] = ACTIONS(6268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6270),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6270),
    [anon_sym_LPAREN2] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6268),
    [anon_sym_PLUS] = ACTIONS(6268),
    [anon_sym_STAR] = ACTIONS(6268),
    [anon_sym_SLASH] = ACTIONS(6268),
    [anon_sym_PERCENT] = ACTIONS(6268),
    [anon_sym_PIPE_PIPE] = ACTIONS(6270),
    [anon_sym_AMP_AMP] = ACTIONS(6270),
    [anon_sym_PIPE] = ACTIONS(6268),
    [anon_sym_CARET] = ACTIONS(6268),
    [anon_sym_AMP] = ACTIONS(6268),
    [anon_sym_EQ_EQ] = ACTIONS(6270),
    [anon_sym_BANG_EQ] = ACTIONS(6270),
    [anon_sym_GT] = ACTIONS(6268),
    [anon_sym_GT_EQ] = ACTIONS(6270),
    [anon_sym_LT_EQ] = ACTIONS(6268),
    [anon_sym_LT] = ACTIONS(6268),
    [anon_sym_LT_LT] = ACTIONS(6268),
    [anon_sym_GT_GT] = ACTIONS(6268),
    [anon_sym_COLON] = ACTIONS(6270),
    [anon_sym_SEMI] = ACTIONS(6270),
    [anon_sym___attribute__] = ACTIONS(6268),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(6270),
    [anon_sym_LBRACK] = ACTIONS(6245),
    [anon_sym_RBRACK] = ACTIONS(6270),
    [anon_sym_EQ] = ACTIONS(6268),
    [anon_sym_QMARK] = ACTIONS(6270),
    [anon_sym_STAR_EQ] = ACTIONS(6270),
    [anon_sym_SLASH_EQ] = ACTIONS(6270),
    [anon_sym_PERCENT_EQ] = ACTIONS(6270),
    [anon_sym_PLUS_EQ] = ACTIONS(6270),
    [anon_sym_DASH_EQ] = ACTIONS(6270),
    [anon_sym_LT_LT_EQ] = ACTIONS(6270),
    [anon_sym_GT_GT_EQ] = ACTIONS(6270),
    [anon_sym_AMP_EQ] = ACTIONS(6270),
    [anon_sym_CARET_EQ] = ACTIONS(6270),
    [anon_sym_PIPE_EQ] = ACTIONS(6270),
    [anon_sym_and_eq] = ACTIONS(6268),
    [anon_sym_or_eq] = ACTIONS(6268),
    [anon_sym_xor_eq] = ACTIONS(6268),
    [anon_sym_LT_EQ_GT] = ACTIONS(6270),
    [anon_sym_or] = ACTIONS(6268),
    [anon_sym_and] = ACTIONS(6268),
    [anon_sym_bitor] = ACTIONS(6268),
    [anon_sym_xor] = ACTIONS(6268),
    [anon_sym_bitand] = ACTIONS(6268),
    [anon_sym_not_eq] = ACTIONS(6268),
    [anon_sym_DASH_DASH] = ACTIONS(6270),
    [anon_sym_PLUS_PLUS] = ACTIONS(6270),
    [anon_sym_DOT] = ACTIONS(6268),
    [anon_sym_DOT_STAR] = ACTIONS(6270),
    [anon_sym_DASH_GT] = ACTIONS(6270),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6247),
    [anon_sym_decltype] = ACTIONS(6249),
  },
  [2539] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [anon_sym_RPAREN] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5745),
    [anon_sym_PLUS] = ACTIONS(5745),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_SLASH] = ACTIONS(5745),
    [anon_sym_PERCENT] = ACTIONS(5747),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_PIPE] = ACTIONS(5745),
    [anon_sym_CARET] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_EQ_EQ] = ACTIONS(5747),
    [anon_sym_BANG_EQ] = ACTIONS(5747),
    [anon_sym_GT] = ACTIONS(5745),
    [anon_sym_GT_EQ] = ACTIONS(5747),
    [anon_sym_LT_EQ] = ACTIONS(5745),
    [anon_sym_LT] = ACTIONS(5745),
    [anon_sym_LT_LT] = ACTIONS(5747),
    [anon_sym_GT_GT] = ACTIONS(5747),
    [anon_sym_COLON] = ACTIONS(5747),
    [anon_sym_SEMI] = ACTIONS(5747),
    [anon_sym___extension__] = ACTIONS(5747),
    [anon_sym___attribute__] = ACTIONS(5747),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_RBRACE] = ACTIONS(5747),
    [anon_sym_signed] = ACTIONS(6272),
    [anon_sym_unsigned] = ACTIONS(6272),
    [anon_sym_long] = ACTIONS(6272),
    [anon_sym_short] = ACTIONS(6272),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_RBRACK] = ACTIONS(5747),
    [anon_sym_const] = ACTIONS(5745),
    [anon_sym_constexpr] = ACTIONS(5747),
    [anon_sym_volatile] = ACTIONS(5747),
    [anon_sym_restrict] = ACTIONS(5747),
    [anon_sym___restrict__] = ACTIONS(5747),
    [anon_sym__Atomic] = ACTIONS(5747),
    [anon_sym__Noreturn] = ACTIONS(5747),
    [anon_sym_noreturn] = ACTIONS(5747),
    [anon_sym__Nonnull] = ACTIONS(5747),
    [anon_sym_mutable] = ACTIONS(5747),
    [anon_sym_constinit] = ACTIONS(5747),
    [anon_sym_consteval] = ACTIONS(5747),
    [anon_sym_alignas] = ACTIONS(5747),
    [anon_sym__Alignas] = ACTIONS(5747),
    [anon_sym_QMARK] = ACTIONS(5747),
    [anon_sym_LT_EQ_GT] = ACTIONS(5747),
    [anon_sym_or] = ACTIONS(5747),
    [anon_sym_and] = ACTIONS(5747),
    [anon_sym_bitor] = ACTIONS(5747),
    [anon_sym_xor] = ACTIONS(5747),
    [anon_sym_bitand] = ACTIONS(5747),
    [anon_sym_not_eq] = ACTIONS(5747),
    [anon_sym_DASH_DASH] = ACTIONS(5747),
    [anon_sym_PLUS_PLUS] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5745),
    [anon_sym_DOT_STAR] = ACTIONS(5747),
    [anon_sym_DASH_GT] = ACTIONS(5747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5747),
    [anon_sym_decltype] = ACTIONS(5747),
    [anon_sym_final] = ACTIONS(5747),
    [anon_sym_override] = ACTIONS(5747),
    [anon_sym_requires] = ACTIONS(5747),
  },
  [2540] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2552),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5676),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_SLASH] = ACTIONS(5676),
    [anon_sym_PERCENT] = ACTIONS(5678),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5678),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5676),
    [anon_sym_LT_LT] = ACTIONS(5678),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_COLON] = ACTIONS(5678),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5678),
    [anon_sym___attribute__] = ACTIONS(5678),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_RBRACE] = ACTIONS(5678),
    [anon_sym_signed] = ACTIONS(6274),
    [anon_sym_unsigned] = ACTIONS(6274),
    [anon_sym_long] = ACTIONS(6274),
    [anon_sym_short] = ACTIONS(6274),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_RBRACK] = ACTIONS(5678),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5678),
    [anon_sym_volatile] = ACTIONS(5678),
    [anon_sym_restrict] = ACTIONS(5678),
    [anon_sym___restrict__] = ACTIONS(5678),
    [anon_sym__Atomic] = ACTIONS(5678),
    [anon_sym__Noreturn] = ACTIONS(5678),
    [anon_sym_noreturn] = ACTIONS(5678),
    [anon_sym__Nonnull] = ACTIONS(5678),
    [anon_sym_mutable] = ACTIONS(5678),
    [anon_sym_constinit] = ACTIONS(5678),
    [anon_sym_consteval] = ACTIONS(5678),
    [anon_sym_alignas] = ACTIONS(5678),
    [anon_sym__Alignas] = ACTIONS(5678),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_and] = ACTIONS(5678),
    [anon_sym_bitor] = ACTIONS(5678),
    [anon_sym_xor] = ACTIONS(5678),
    [anon_sym_bitand] = ACTIONS(5678),
    [anon_sym_not_eq] = ACTIONS(5678),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5678),
    [anon_sym_decltype] = ACTIONS(5678),
    [anon_sym_final] = ACTIONS(5678),
    [anon_sym_override] = ACTIONS(5678),
    [anon_sym_requires] = ACTIONS(5678),
  },
  [2541] = {
    [sym_ms_based_modifier] = STATE(7986),
    [sym_ms_unaligned_ptr_modifier] = STATE(4158),
    [sym_ms_pointer_modifier] = STATE(2542),
    [sym__declarator] = STATE(6216),
    [sym__abstract_declarator] = STATE(6640),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(6325),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(6325),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2960),
    [sym_alignas_qualifier] = STATE(4364),
    [sym_parameter_list] = STATE(3514),
    [sym_decltype] = STATE(8731),
    [sym_reference_declarator] = STATE(6325),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(6325),
    [sym_operator_name] = STATE(6325),
    [aux_sym__type_definition_type_repeat1] = STATE(2960),
    [aux_sym_pointer_declarator_repeat1] = STATE(2542),
    [sym_identifier] = ACTIONS(6219),
    [anon_sym_COMMA] = ACTIONS(6221),
    [anon_sym_RPAREN] = ACTIONS(6221),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(6276),
    [anon_sym_AMP_AMP] = ACTIONS(6278),
    [anon_sym_AMP] = ACTIONS(6280),
    [anon_sym_COLON] = ACTIONS(6229),
    [anon_sym___extension__] = ACTIONS(4053),
    [anon_sym___attribute__] = ACTIONS(6229),
    [anon_sym_COLON_COLON] = ACTIONS(6231),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4049),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4049),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4049),
    [anon_sym__unaligned] = ACTIONS(4051),
    [anon_sym___unaligned] = ACTIONS(4051),
    [anon_sym_LBRACK] = ACTIONS(6233),
    [anon_sym_const] = ACTIONS(4053),
    [anon_sym_constexpr] = ACTIONS(4053),
    [anon_sym_volatile] = ACTIONS(4053),
    [anon_sym_restrict] = ACTIONS(4053),
    [anon_sym___restrict__] = ACTIONS(4053),
    [anon_sym__Atomic] = ACTIONS(4053),
    [anon_sym__Noreturn] = ACTIONS(4053),
    [anon_sym_noreturn] = ACTIONS(4053),
    [anon_sym__Nonnull] = ACTIONS(4053),
    [anon_sym_mutable] = ACTIONS(4053),
    [anon_sym_constinit] = ACTIONS(4053),
    [anon_sym_consteval] = ACTIONS(4053),
    [anon_sym_alignas] = ACTIONS(4055),
    [anon_sym__Alignas] = ACTIONS(4055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
  },
  [2542] = {
    [sym_ms_based_modifier] = STATE(7986),
    [sym_ms_unaligned_ptr_modifier] = STATE(4158),
    [sym_ms_pointer_modifier] = STATE(4037),
    [sym__declarator] = STATE(6266),
    [sym__abstract_declarator] = STATE(6644),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(6325),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(6325),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2963),
    [sym_alignas_qualifier] = STATE(4364),
    [sym_parameter_list] = STATE(3514),
    [sym_decltype] = STATE(8731),
    [sym_reference_declarator] = STATE(6325),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(6325),
    [sym_operator_name] = STATE(6325),
    [aux_sym__type_definition_type_repeat1] = STATE(2963),
    [aux_sym_pointer_declarator_repeat1] = STATE(4037),
    [sym_identifier] = ACTIONS(6219),
    [anon_sym_COMMA] = ACTIONS(6235),
    [anon_sym_RPAREN] = ACTIONS(6235),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(6276),
    [anon_sym_AMP_AMP] = ACTIONS(6278),
    [anon_sym_AMP] = ACTIONS(6280),
    [anon_sym_COLON] = ACTIONS(6237),
    [anon_sym___extension__] = ACTIONS(4053),
    [anon_sym___attribute__] = ACTIONS(6237),
    [anon_sym_COLON_COLON] = ACTIONS(6231),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4049),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4049),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4049),
    [anon_sym__unaligned] = ACTIONS(4051),
    [anon_sym___unaligned] = ACTIONS(4051),
    [anon_sym_LBRACK] = ACTIONS(6233),
    [anon_sym_const] = ACTIONS(4053),
    [anon_sym_constexpr] = ACTIONS(4053),
    [anon_sym_volatile] = ACTIONS(4053),
    [anon_sym_restrict] = ACTIONS(4053),
    [anon_sym___restrict__] = ACTIONS(4053),
    [anon_sym__Atomic] = ACTIONS(4053),
    [anon_sym__Noreturn] = ACTIONS(4053),
    [anon_sym_noreturn] = ACTIONS(4053),
    [anon_sym__Nonnull] = ACTIONS(4053),
    [anon_sym_mutable] = ACTIONS(4053),
    [anon_sym_constinit] = ACTIONS(4053),
    [anon_sym_consteval] = ACTIONS(4053),
    [anon_sym_alignas] = ACTIONS(4055),
    [anon_sym__Alignas] = ACTIONS(4055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
  },
  [2543] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(6282),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(4077),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2544] = {
    [sym_identifier] = ACTIONS(2076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2078),
    [anon_sym_COMMA] = ACTIONS(2078),
    [anon_sym_RPAREN] = ACTIONS(2078),
    [aux_sym_preproc_if_token2] = ACTIONS(2078),
    [aux_sym_preproc_else_token1] = ACTIONS(2078),
    [aux_sym_preproc_elif_token1] = ACTIONS(2076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2078),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2078),
    [anon_sym_LPAREN2] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2076),
    [anon_sym_SLASH] = ACTIONS(2076),
    [anon_sym_PERCENT] = ACTIONS(2076),
    [anon_sym_PIPE_PIPE] = ACTIONS(2078),
    [anon_sym_AMP_AMP] = ACTIONS(2078),
    [anon_sym_PIPE] = ACTIONS(2076),
    [anon_sym_CARET] = ACTIONS(2076),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_EQ_EQ] = ACTIONS(2078),
    [anon_sym_BANG_EQ] = ACTIONS(2078),
    [anon_sym_GT] = ACTIONS(2076),
    [anon_sym_GT_EQ] = ACTIONS(2078),
    [anon_sym_LT_EQ] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2076),
    [anon_sym_LT_LT] = ACTIONS(2076),
    [anon_sym_GT_GT] = ACTIONS(2076),
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym___attribute__] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_RBRACE] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2078),
    [anon_sym_RBRACK] = ACTIONS(2078),
    [anon_sym_EQ] = ACTIONS(2076),
    [anon_sym_QMARK] = ACTIONS(2078),
    [anon_sym_STAR_EQ] = ACTIONS(2078),
    [anon_sym_SLASH_EQ] = ACTIONS(2078),
    [anon_sym_PERCENT_EQ] = ACTIONS(2078),
    [anon_sym_PLUS_EQ] = ACTIONS(2078),
    [anon_sym_DASH_EQ] = ACTIONS(2078),
    [anon_sym_LT_LT_EQ] = ACTIONS(2078),
    [anon_sym_GT_GT_EQ] = ACTIONS(2078),
    [anon_sym_AMP_EQ] = ACTIONS(2078),
    [anon_sym_CARET_EQ] = ACTIONS(2078),
    [anon_sym_PIPE_EQ] = ACTIONS(2078),
    [anon_sym_and_eq] = ACTIONS(2076),
    [anon_sym_or_eq] = ACTIONS(2076),
    [anon_sym_xor_eq] = ACTIONS(2076),
    [anon_sym_LT_EQ_GT] = ACTIONS(2078),
    [anon_sym_or] = ACTIONS(2076),
    [anon_sym_and] = ACTIONS(2076),
    [anon_sym_bitor] = ACTIONS(2076),
    [anon_sym_xor] = ACTIONS(2076),
    [anon_sym_bitand] = ACTIONS(2076),
    [anon_sym_not_eq] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2078),
    [anon_sym_PLUS_PLUS] = ACTIONS(2078),
    [anon_sym_DOT] = ACTIONS(2076),
    [anon_sym_DOT_STAR] = ACTIONS(2078),
    [anon_sym_DASH_GT] = ACTIONS(2078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2076),
    [anon_sym_decltype] = ACTIONS(2076),
    [anon_sym_final] = ACTIONS(2076),
    [anon_sym_override] = ACTIONS(2076),
  },
  [2545] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2051),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [aux_sym_preproc_if_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2051),
    [aux_sym_preproc_elif_token1] = ACTIONS(2049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2051),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2049),
    [anon_sym_SLASH] = ACTIONS(2049),
    [anon_sym_PERCENT] = ACTIONS(2049),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_PIPE] = ACTIONS(2049),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_EQ_EQ] = ACTIONS(2051),
    [anon_sym_BANG_EQ] = ACTIONS(2051),
    [anon_sym_GT] = ACTIONS(2049),
    [anon_sym_GT_EQ] = ACTIONS(2051),
    [anon_sym_LT_EQ] = ACTIONS(2049),
    [anon_sym_LT] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2049),
    [anon_sym_GT_GT] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_EQ] = ACTIONS(2049),
    [anon_sym_QMARK] = ACTIONS(2051),
    [anon_sym_STAR_EQ] = ACTIONS(2051),
    [anon_sym_SLASH_EQ] = ACTIONS(2051),
    [anon_sym_PERCENT_EQ] = ACTIONS(2051),
    [anon_sym_PLUS_EQ] = ACTIONS(2051),
    [anon_sym_DASH_EQ] = ACTIONS(2051),
    [anon_sym_LT_LT_EQ] = ACTIONS(2051),
    [anon_sym_GT_GT_EQ] = ACTIONS(2051),
    [anon_sym_AMP_EQ] = ACTIONS(2051),
    [anon_sym_CARET_EQ] = ACTIONS(2051),
    [anon_sym_PIPE_EQ] = ACTIONS(2051),
    [anon_sym_and_eq] = ACTIONS(2049),
    [anon_sym_or_eq] = ACTIONS(2049),
    [anon_sym_xor_eq] = ACTIONS(2049),
    [anon_sym_LT_EQ_GT] = ACTIONS(2051),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [anon_sym_bitor] = ACTIONS(2049),
    [anon_sym_xor] = ACTIONS(2049),
    [anon_sym_bitand] = ACTIONS(2049),
    [anon_sym_not_eq] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_DOT] = ACTIONS(2049),
    [anon_sym_DOT_STAR] = ACTIONS(2051),
    [anon_sym_DASH_GT] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
  },
  [2546] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2051),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [aux_sym_preproc_if_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2051),
    [aux_sym_preproc_elif_token1] = ACTIONS(2049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2051),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2049),
    [anon_sym_SLASH] = ACTIONS(2049),
    [anon_sym_PERCENT] = ACTIONS(2049),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_PIPE] = ACTIONS(2049),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_EQ_EQ] = ACTIONS(2051),
    [anon_sym_BANG_EQ] = ACTIONS(2051),
    [anon_sym_GT] = ACTIONS(2049),
    [anon_sym_GT_EQ] = ACTIONS(2051),
    [anon_sym_LT_EQ] = ACTIONS(2049),
    [anon_sym_LT] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2049),
    [anon_sym_GT_GT] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_EQ] = ACTIONS(2049),
    [anon_sym_QMARK] = ACTIONS(2051),
    [anon_sym_STAR_EQ] = ACTIONS(2051),
    [anon_sym_SLASH_EQ] = ACTIONS(2051),
    [anon_sym_PERCENT_EQ] = ACTIONS(2051),
    [anon_sym_PLUS_EQ] = ACTIONS(2051),
    [anon_sym_DASH_EQ] = ACTIONS(2051),
    [anon_sym_LT_LT_EQ] = ACTIONS(2051),
    [anon_sym_GT_GT_EQ] = ACTIONS(2051),
    [anon_sym_AMP_EQ] = ACTIONS(2051),
    [anon_sym_CARET_EQ] = ACTIONS(2051),
    [anon_sym_PIPE_EQ] = ACTIONS(2051),
    [anon_sym_and_eq] = ACTIONS(2049),
    [anon_sym_or_eq] = ACTIONS(2049),
    [anon_sym_xor_eq] = ACTIONS(2049),
    [anon_sym_LT_EQ_GT] = ACTIONS(2051),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [anon_sym_bitor] = ACTIONS(2049),
    [anon_sym_xor] = ACTIONS(2049),
    [anon_sym_bitand] = ACTIONS(2049),
    [anon_sym_not_eq] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_DOT] = ACTIONS(2049),
    [anon_sym_DOT_STAR] = ACTIONS(2051),
    [anon_sym_DASH_GT] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
  },
  [2547] = {
    [sym_string_literal] = STATE(2579),
    [sym_template_argument_list] = STATE(3387),
    [sym_raw_string_literal] = STATE(2579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_RPAREN] = ACTIONS(6284),
    [anon_sym_LPAREN2] = ACTIONS(6284),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5556),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6284),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(6286),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4077),
    [anon_sym_or_eq] = ACTIONS(4077),
    [anon_sym_xor_eq] = ACTIONS(4077),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4085),
    [anon_sym_L_DQUOTE] = ACTIONS(5550),
    [anon_sym_u_DQUOTE] = ACTIONS(5550),
    [anon_sym_U_DQUOTE] = ACTIONS(5550),
    [anon_sym_u8_DQUOTE] = ACTIONS(5550),
    [anon_sym_DQUOTE] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5552),
    [anon_sym_LR_DQUOTE] = ACTIONS(5552),
    [anon_sym_uR_DQUOTE] = ACTIONS(5552),
    [anon_sym_UR_DQUOTE] = ACTIONS(5552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5552),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4077),
  },
  [2548] = {
    [sym_string_literal] = STATE(2579),
    [sym_template_argument_list] = STATE(3239),
    [sym_raw_string_literal] = STATE(2579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_RPAREN] = ACTIONS(6288),
    [anon_sym_LPAREN2] = ACTIONS(6288),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5546),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(6291),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4077),
    [anon_sym_or_eq] = ACTIONS(4077),
    [anon_sym_xor_eq] = ACTIONS(4077),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4085),
    [anon_sym_L_DQUOTE] = ACTIONS(5550),
    [anon_sym_u_DQUOTE] = ACTIONS(5550),
    [anon_sym_U_DQUOTE] = ACTIONS(5550),
    [anon_sym_u8_DQUOTE] = ACTIONS(5550),
    [anon_sym_DQUOTE] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5552),
    [anon_sym_LR_DQUOTE] = ACTIONS(5552),
    [anon_sym_uR_DQUOTE] = ACTIONS(5552),
    [anon_sym_UR_DQUOTE] = ACTIONS(5552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5552),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4077),
  },
  [2549] = {
    [sym_identifier] = ACTIONS(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2074),
    [anon_sym_COMMA] = ACTIONS(2074),
    [anon_sym_RPAREN] = ACTIONS(2074),
    [aux_sym_preproc_if_token2] = ACTIONS(2074),
    [aux_sym_preproc_else_token1] = ACTIONS(2074),
    [aux_sym_preproc_elif_token1] = ACTIONS(2072),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2074),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2074),
    [anon_sym_LPAREN2] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2072),
    [anon_sym_SLASH] = ACTIONS(2072),
    [anon_sym_PERCENT] = ACTIONS(2072),
    [anon_sym_PIPE_PIPE] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(2074),
    [anon_sym_PIPE] = ACTIONS(2072),
    [anon_sym_CARET] = ACTIONS(2072),
    [anon_sym_AMP] = ACTIONS(2072),
    [anon_sym_EQ_EQ] = ACTIONS(2074),
    [anon_sym_BANG_EQ] = ACTIONS(2074),
    [anon_sym_GT] = ACTIONS(2072),
    [anon_sym_GT_EQ] = ACTIONS(2074),
    [anon_sym_LT_EQ] = ACTIONS(2072),
    [anon_sym_LT] = ACTIONS(2072),
    [anon_sym_LT_LT] = ACTIONS(2072),
    [anon_sym_GT_GT] = ACTIONS(2072),
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2074),
    [anon_sym___attribute__] = ACTIONS(2072),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym_LBRACE] = ACTIONS(2074),
    [anon_sym_RBRACE] = ACTIONS(2074),
    [anon_sym_LBRACK] = ACTIONS(2074),
    [anon_sym_RBRACK] = ACTIONS(2074),
    [anon_sym_EQ] = ACTIONS(2072),
    [anon_sym_QMARK] = ACTIONS(2074),
    [anon_sym_STAR_EQ] = ACTIONS(2074),
    [anon_sym_SLASH_EQ] = ACTIONS(2074),
    [anon_sym_PERCENT_EQ] = ACTIONS(2074),
    [anon_sym_PLUS_EQ] = ACTIONS(2074),
    [anon_sym_DASH_EQ] = ACTIONS(2074),
    [anon_sym_LT_LT_EQ] = ACTIONS(2074),
    [anon_sym_GT_GT_EQ] = ACTIONS(2074),
    [anon_sym_AMP_EQ] = ACTIONS(2074),
    [anon_sym_CARET_EQ] = ACTIONS(2074),
    [anon_sym_PIPE_EQ] = ACTIONS(2074),
    [anon_sym_and_eq] = ACTIONS(2072),
    [anon_sym_or_eq] = ACTIONS(2072),
    [anon_sym_xor_eq] = ACTIONS(2072),
    [anon_sym_LT_EQ_GT] = ACTIONS(2074),
    [anon_sym_or] = ACTIONS(2072),
    [anon_sym_and] = ACTIONS(2072),
    [anon_sym_bitor] = ACTIONS(2072),
    [anon_sym_xor] = ACTIONS(2072),
    [anon_sym_bitand] = ACTIONS(2072),
    [anon_sym_not_eq] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2074),
    [anon_sym_PLUS_PLUS] = ACTIONS(2074),
    [anon_sym_DOT] = ACTIONS(2072),
    [anon_sym_DOT_STAR] = ACTIONS(2074),
    [anon_sym_DASH_GT] = ACTIONS(2074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2072),
    [anon_sym_decltype] = ACTIONS(2072),
    [anon_sym_final] = ACTIONS(2072),
    [anon_sym_override] = ACTIONS(2072),
  },
  [2550] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2070),
    [anon_sym_COMMA] = ACTIONS(2070),
    [anon_sym_RPAREN] = ACTIONS(2070),
    [aux_sym_preproc_if_token2] = ACTIONS(2070),
    [aux_sym_preproc_else_token1] = ACTIONS(2070),
    [aux_sym_preproc_elif_token1] = ACTIONS(2068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2070),
    [anon_sym_LPAREN2] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2068),
    [anon_sym_SLASH] = ACTIONS(2068),
    [anon_sym_PERCENT] = ACTIONS(2068),
    [anon_sym_PIPE_PIPE] = ACTIONS(2070),
    [anon_sym_AMP_AMP] = ACTIONS(2070),
    [anon_sym_PIPE] = ACTIONS(2068),
    [anon_sym_CARET] = ACTIONS(2068),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym_EQ_EQ] = ACTIONS(2070),
    [anon_sym_BANG_EQ] = ACTIONS(2070),
    [anon_sym_GT] = ACTIONS(2068),
    [anon_sym_GT_EQ] = ACTIONS(2070),
    [anon_sym_LT_EQ] = ACTIONS(2068),
    [anon_sym_LT] = ACTIONS(2068),
    [anon_sym_LT_LT] = ACTIONS(2068),
    [anon_sym_GT_GT] = ACTIONS(2068),
    [anon_sym_COLON] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym___attribute__] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_RBRACE] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2070),
    [anon_sym_RBRACK] = ACTIONS(2070),
    [anon_sym_EQ] = ACTIONS(2068),
    [anon_sym_QMARK] = ACTIONS(2070),
    [anon_sym_STAR_EQ] = ACTIONS(2070),
    [anon_sym_SLASH_EQ] = ACTIONS(2070),
    [anon_sym_PERCENT_EQ] = ACTIONS(2070),
    [anon_sym_PLUS_EQ] = ACTIONS(2070),
    [anon_sym_DASH_EQ] = ACTIONS(2070),
    [anon_sym_LT_LT_EQ] = ACTIONS(2070),
    [anon_sym_GT_GT_EQ] = ACTIONS(2070),
    [anon_sym_AMP_EQ] = ACTIONS(2070),
    [anon_sym_CARET_EQ] = ACTIONS(2070),
    [anon_sym_PIPE_EQ] = ACTIONS(2070),
    [anon_sym_and_eq] = ACTIONS(2068),
    [anon_sym_or_eq] = ACTIONS(2068),
    [anon_sym_xor_eq] = ACTIONS(2068),
    [anon_sym_LT_EQ_GT] = ACTIONS(2070),
    [anon_sym_or] = ACTIONS(2068),
    [anon_sym_and] = ACTIONS(2068),
    [anon_sym_bitor] = ACTIONS(2068),
    [anon_sym_xor] = ACTIONS(2068),
    [anon_sym_bitand] = ACTIONS(2068),
    [anon_sym_not_eq] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2070),
    [anon_sym_PLUS_PLUS] = ACTIONS(2070),
    [anon_sym_DOT] = ACTIONS(2068),
    [anon_sym_DOT_STAR] = ACTIONS(2070),
    [anon_sym_DASH_GT] = ACTIONS(2070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2068),
    [anon_sym_decltype] = ACTIONS(2068),
    [anon_sym_final] = ACTIONS(2068),
    [anon_sym_override] = ACTIONS(2068),
  },
  [2551] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5734),
    [anon_sym_COMMA] = ACTIONS(5734),
    [anon_sym_RPAREN] = ACTIONS(5734),
    [anon_sym_LPAREN2] = ACTIONS(5734),
    [anon_sym_DASH] = ACTIONS(5732),
    [anon_sym_PLUS] = ACTIONS(5732),
    [anon_sym_STAR] = ACTIONS(5734),
    [anon_sym_SLASH] = ACTIONS(5732),
    [anon_sym_PERCENT] = ACTIONS(5734),
    [anon_sym_PIPE_PIPE] = ACTIONS(5734),
    [anon_sym_AMP_AMP] = ACTIONS(5734),
    [anon_sym_PIPE] = ACTIONS(5732),
    [anon_sym_CARET] = ACTIONS(5734),
    [anon_sym_AMP] = ACTIONS(5732),
    [anon_sym_EQ_EQ] = ACTIONS(5734),
    [anon_sym_BANG_EQ] = ACTIONS(5734),
    [anon_sym_GT] = ACTIONS(5732),
    [anon_sym_GT_EQ] = ACTIONS(5734),
    [anon_sym_LT_EQ] = ACTIONS(5732),
    [anon_sym_LT] = ACTIONS(5732),
    [anon_sym_LT_LT] = ACTIONS(5734),
    [anon_sym_GT_GT] = ACTIONS(5734),
    [anon_sym_COLON] = ACTIONS(5734),
    [anon_sym_SEMI] = ACTIONS(5734),
    [anon_sym___extension__] = ACTIONS(5734),
    [anon_sym___attribute__] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(5734),
    [anon_sym_RBRACE] = ACTIONS(5734),
    [anon_sym_signed] = ACTIONS(6272),
    [anon_sym_unsigned] = ACTIONS(6272),
    [anon_sym_long] = ACTIONS(6272),
    [anon_sym_short] = ACTIONS(6272),
    [anon_sym_LBRACK] = ACTIONS(5734),
    [anon_sym_RBRACK] = ACTIONS(5734),
    [anon_sym_const] = ACTIONS(5732),
    [anon_sym_constexpr] = ACTIONS(5734),
    [anon_sym_volatile] = ACTIONS(5734),
    [anon_sym_restrict] = ACTIONS(5734),
    [anon_sym___restrict__] = ACTIONS(5734),
    [anon_sym__Atomic] = ACTIONS(5734),
    [anon_sym__Noreturn] = ACTIONS(5734),
    [anon_sym_noreturn] = ACTIONS(5734),
    [anon_sym__Nonnull] = ACTIONS(5734),
    [anon_sym_mutable] = ACTIONS(5734),
    [anon_sym_constinit] = ACTIONS(5734),
    [anon_sym_consteval] = ACTIONS(5734),
    [anon_sym_alignas] = ACTIONS(5734),
    [anon_sym__Alignas] = ACTIONS(5734),
    [anon_sym_QMARK] = ACTIONS(5734),
    [anon_sym_LT_EQ_GT] = ACTIONS(5734),
    [anon_sym_or] = ACTIONS(5734),
    [anon_sym_and] = ACTIONS(5734),
    [anon_sym_bitor] = ACTIONS(5734),
    [anon_sym_xor] = ACTIONS(5734),
    [anon_sym_bitand] = ACTIONS(5734),
    [anon_sym_not_eq] = ACTIONS(5734),
    [anon_sym_DASH_DASH] = ACTIONS(5734),
    [anon_sym_PLUS_PLUS] = ACTIONS(5734),
    [anon_sym_DOT] = ACTIONS(5732),
    [anon_sym_DOT_STAR] = ACTIONS(5734),
    [anon_sym_DASH_GT] = ACTIONS(5734),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5734),
    [anon_sym_decltype] = ACTIONS(5734),
    [anon_sym_final] = ACTIONS(5734),
    [anon_sym_override] = ACTIONS(5734),
    [anon_sym_requires] = ACTIONS(5734),
  },
  [2552] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_STAR] = ACTIONS(5724),
    [anon_sym_SLASH] = ACTIONS(5722),
    [anon_sym_PERCENT] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5722),
    [anon_sym_CARET] = ACTIONS(5724),
    [anon_sym_AMP] = ACTIONS(5722),
    [anon_sym_EQ_EQ] = ACTIONS(5724),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_GT] = ACTIONS(5722),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5722),
    [anon_sym_LT] = ACTIONS(5722),
    [anon_sym_LT_LT] = ACTIONS(5724),
    [anon_sym_GT_GT] = ACTIONS(5724),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym___extension__] = ACTIONS(5724),
    [anon_sym___attribute__] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_signed] = ACTIONS(6272),
    [anon_sym_unsigned] = ACTIONS(6272),
    [anon_sym_long] = ACTIONS(6272),
    [anon_sym_short] = ACTIONS(6272),
    [anon_sym_LBRACK] = ACTIONS(5724),
    [anon_sym_RBRACK] = ACTIONS(5724),
    [anon_sym_const] = ACTIONS(5722),
    [anon_sym_constexpr] = ACTIONS(5724),
    [anon_sym_volatile] = ACTIONS(5724),
    [anon_sym_restrict] = ACTIONS(5724),
    [anon_sym___restrict__] = ACTIONS(5724),
    [anon_sym__Atomic] = ACTIONS(5724),
    [anon_sym__Noreturn] = ACTIONS(5724),
    [anon_sym_noreturn] = ACTIONS(5724),
    [anon_sym__Nonnull] = ACTIONS(5724),
    [anon_sym_mutable] = ACTIONS(5724),
    [anon_sym_constinit] = ACTIONS(5724),
    [anon_sym_consteval] = ACTIONS(5724),
    [anon_sym_alignas] = ACTIONS(5724),
    [anon_sym__Alignas] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_bitor] = ACTIONS(5724),
    [anon_sym_xor] = ACTIONS(5724),
    [anon_sym_bitand] = ACTIONS(5724),
    [anon_sym_not_eq] = ACTIONS(5724),
    [anon_sym_DASH_DASH] = ACTIONS(5724),
    [anon_sym_PLUS_PLUS] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5722),
    [anon_sym_DOT_STAR] = ACTIONS(5724),
    [anon_sym_DASH_GT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5724),
    [anon_sym_decltype] = ACTIONS(5724),
    [anon_sym_final] = ACTIONS(5724),
    [anon_sym_override] = ACTIONS(5724),
    [anon_sym_requires] = ACTIONS(5724),
  },
  [2553] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2552),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5720),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5720),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5720),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5720),
    [anon_sym_GT_GT] = ACTIONS(5720),
    [anon_sym_COLON] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___extension__] = ACTIONS(5720),
    [anon_sym___attribute__] = ACTIONS(5720),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_signed] = ACTIONS(6274),
    [anon_sym_unsigned] = ACTIONS(6274),
    [anon_sym_long] = ACTIONS(6274),
    [anon_sym_short] = ACTIONS(6274),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_RBRACK] = ACTIONS(5720),
    [anon_sym_const] = ACTIONS(5718),
    [anon_sym_constexpr] = ACTIONS(5720),
    [anon_sym_volatile] = ACTIONS(5720),
    [anon_sym_restrict] = ACTIONS(5720),
    [anon_sym___restrict__] = ACTIONS(5720),
    [anon_sym__Atomic] = ACTIONS(5720),
    [anon_sym__Noreturn] = ACTIONS(5720),
    [anon_sym_noreturn] = ACTIONS(5720),
    [anon_sym__Nonnull] = ACTIONS(5720),
    [anon_sym_mutable] = ACTIONS(5720),
    [anon_sym_constinit] = ACTIONS(5720),
    [anon_sym_consteval] = ACTIONS(5720),
    [anon_sym_alignas] = ACTIONS(5720),
    [anon_sym__Alignas] = ACTIONS(5720),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5720),
    [anon_sym_and] = ACTIONS(5720),
    [anon_sym_bitor] = ACTIONS(5720),
    [anon_sym_xor] = ACTIONS(5720),
    [anon_sym_bitand] = ACTIONS(5720),
    [anon_sym_not_eq] = ACTIONS(5720),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5720),
    [anon_sym_decltype] = ACTIONS(5720),
    [anon_sym_final] = ACTIONS(5720),
    [anon_sym_override] = ACTIONS(5720),
    [anon_sym_requires] = ACTIONS(5720),
  },
  [2554] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(6284),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6284),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(4077),
    [anon_sym_LBRACK] = ACTIONS(6286),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2555] = {
    [sym_string_literal] = STATE(2420),
    [sym_raw_string_literal] = STATE(2420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6253),
    [anon_sym_COMMA] = ACTIONS(6253),
    [anon_sym_RPAREN] = ACTIONS(6253),
    [anon_sym_LPAREN2] = ACTIONS(6253),
    [anon_sym_DASH] = ACTIONS(6251),
    [anon_sym_PLUS] = ACTIONS(6251),
    [anon_sym_STAR] = ACTIONS(6251),
    [anon_sym_SLASH] = ACTIONS(6251),
    [anon_sym_PERCENT] = ACTIONS(6251),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_PIPE] = ACTIONS(6251),
    [anon_sym_CARET] = ACTIONS(6251),
    [anon_sym_AMP] = ACTIONS(6251),
    [anon_sym_EQ_EQ] = ACTIONS(6253),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_GT] = ACTIONS(6251),
    [anon_sym_GT_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6251),
    [anon_sym_LT] = ACTIONS(6251),
    [anon_sym_LT_LT] = ACTIONS(6251),
    [anon_sym_GT_GT] = ACTIONS(6251),
    [anon_sym_COLON] = ACTIONS(6253),
    [anon_sym_SEMI] = ACTIONS(6253),
    [anon_sym_RBRACE] = ACTIONS(6253),
    [anon_sym_LBRACK] = ACTIONS(6253),
    [anon_sym_RBRACK] = ACTIONS(6253),
    [anon_sym_EQ] = ACTIONS(6251),
    [anon_sym_QMARK] = ACTIONS(6253),
    [anon_sym_STAR_EQ] = ACTIONS(6253),
    [anon_sym_SLASH_EQ] = ACTIONS(6253),
    [anon_sym_PERCENT_EQ] = ACTIONS(6253),
    [anon_sym_PLUS_EQ] = ACTIONS(6253),
    [anon_sym_DASH_EQ] = ACTIONS(6253),
    [anon_sym_LT_LT_EQ] = ACTIONS(6253),
    [anon_sym_GT_GT_EQ] = ACTIONS(6253),
    [anon_sym_AMP_EQ] = ACTIONS(6253),
    [anon_sym_CARET_EQ] = ACTIONS(6253),
    [anon_sym_PIPE_EQ] = ACTIONS(6253),
    [anon_sym_and_eq] = ACTIONS(6251),
    [anon_sym_or_eq] = ACTIONS(6251),
    [anon_sym_xor_eq] = ACTIONS(6251),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_or] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(6251),
    [anon_sym_bitor] = ACTIONS(6251),
    [anon_sym_xor] = ACTIONS(6251),
    [anon_sym_bitand] = ACTIONS(6251),
    [anon_sym_not_eq] = ACTIONS(6251),
    [anon_sym_DASH_DASH] = ACTIONS(6253),
    [anon_sym_PLUS_PLUS] = ACTIONS(6253),
    [anon_sym_DOT] = ACTIONS(6251),
    [anon_sym_DOT_STAR] = ACTIONS(6253),
    [anon_sym_DASH_GT] = ACTIONS(6253),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
    [sym_literal_suffix] = ACTIONS(6251),
  },
  [2556] = {
    [sym_string_literal] = STATE(2420),
    [sym_template_argument_list] = STATE(3110),
    [sym_raw_string_literal] = STATE(2420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(6288),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(6294),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5546),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(4077),
    [anon_sym_LBRACK] = ACTIONS(6291),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4077),
    [anon_sym_or_eq] = ACTIONS(4077),
    [anon_sym_xor_eq] = ACTIONS(4077),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
  },
  [2557] = {
    [sym_ms_based_modifier] = STATE(7986),
    [sym_ms_unaligned_ptr_modifier] = STATE(4158),
    [sym_ms_pointer_modifier] = STATE(2558),
    [sym__declarator] = STATE(6216),
    [sym__abstract_declarator] = STATE(6620),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(6325),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(6325),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(3007),
    [sym_alignas_qualifier] = STATE(4364),
    [sym_parameter_list] = STATE(3407),
    [sym_decltype] = STATE(8731),
    [sym_reference_declarator] = STATE(6325),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(6325),
    [sym_operator_name] = STATE(6325),
    [aux_sym__type_definition_type_repeat1] = STATE(3007),
    [aux_sym_pointer_declarator_repeat1] = STATE(2558),
    [sym_identifier] = ACTIONS(6219),
    [anon_sym_COMMA] = ACTIONS(6221),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(6297),
    [anon_sym_AMP_AMP] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(6301),
    [anon_sym_COLON] = ACTIONS(6229),
    [anon_sym___extension__] = ACTIONS(4053),
    [anon_sym___attribute__] = ACTIONS(6229),
    [anon_sym_COLON_COLON] = ACTIONS(6231),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4049),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4049),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4049),
    [anon_sym__unaligned] = ACTIONS(4051),
    [anon_sym___unaligned] = ACTIONS(4051),
    [anon_sym_LBRACK] = ACTIONS(6233),
    [anon_sym_const] = ACTIONS(4053),
    [anon_sym_constexpr] = ACTIONS(4053),
    [anon_sym_volatile] = ACTIONS(4053),
    [anon_sym_restrict] = ACTIONS(4053),
    [anon_sym___restrict__] = ACTIONS(4053),
    [anon_sym__Atomic] = ACTIONS(4053),
    [anon_sym__Noreturn] = ACTIONS(4053),
    [anon_sym_noreturn] = ACTIONS(4053),
    [anon_sym__Nonnull] = ACTIONS(4053),
    [anon_sym_mutable] = ACTIONS(4053),
    [anon_sym_constinit] = ACTIONS(4053),
    [anon_sym_consteval] = ACTIONS(4053),
    [anon_sym_alignas] = ACTIONS(4055),
    [anon_sym__Alignas] = ACTIONS(4055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(6221),
    [anon_sym_operator] = ACTIONS(2037),
  },
  [2558] = {
    [sym_ms_based_modifier] = STATE(7986),
    [sym_ms_unaligned_ptr_modifier] = STATE(4158),
    [sym_ms_pointer_modifier] = STATE(4037),
    [sym__declarator] = STATE(6266),
    [sym__abstract_declarator] = STATE(6625),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(6325),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(6325),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2943),
    [sym_alignas_qualifier] = STATE(4364),
    [sym_parameter_list] = STATE(3407),
    [sym_decltype] = STATE(8731),
    [sym_reference_declarator] = STATE(6325),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(6325),
    [sym_operator_name] = STATE(6325),
    [aux_sym__type_definition_type_repeat1] = STATE(2943),
    [aux_sym_pointer_declarator_repeat1] = STATE(4037),
    [sym_identifier] = ACTIONS(6219),
    [anon_sym_COMMA] = ACTIONS(6235),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(6297),
    [anon_sym_AMP_AMP] = ACTIONS(6299),
    [anon_sym_AMP] = ACTIONS(6301),
    [anon_sym_COLON] = ACTIONS(6237),
    [anon_sym___extension__] = ACTIONS(4053),
    [anon_sym___attribute__] = ACTIONS(6237),
    [anon_sym_COLON_COLON] = ACTIONS(6231),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4049),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4049),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4049),
    [anon_sym__unaligned] = ACTIONS(4051),
    [anon_sym___unaligned] = ACTIONS(4051),
    [anon_sym_LBRACK] = ACTIONS(6233),
    [anon_sym_const] = ACTIONS(4053),
    [anon_sym_constexpr] = ACTIONS(4053),
    [anon_sym_volatile] = ACTIONS(4053),
    [anon_sym_restrict] = ACTIONS(4053),
    [anon_sym___restrict__] = ACTIONS(4053),
    [anon_sym__Atomic] = ACTIONS(4053),
    [anon_sym__Noreturn] = ACTIONS(4053),
    [anon_sym_noreturn] = ACTIONS(4053),
    [anon_sym__Nonnull] = ACTIONS(4053),
    [anon_sym_mutable] = ACTIONS(4053),
    [anon_sym_constinit] = ACTIONS(4053),
    [anon_sym_consteval] = ACTIONS(4053),
    [anon_sym_alignas] = ACTIONS(4055),
    [anon_sym__Alignas] = ACTIONS(4055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_GT2] = ACTIONS(6235),
    [anon_sym_operator] = ACTIONS(2037),
  },
  [2559] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5714),
    [anon_sym_COMMA] = ACTIONS(5714),
    [anon_sym_RPAREN] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5714),
    [anon_sym_SLASH] = ACTIONS(5712),
    [anon_sym_PERCENT] = ACTIONS(5714),
    [anon_sym_PIPE_PIPE] = ACTIONS(5714),
    [anon_sym_AMP_AMP] = ACTIONS(5714),
    [anon_sym_PIPE] = ACTIONS(5712),
    [anon_sym_CARET] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(5712),
    [anon_sym_EQ_EQ] = ACTIONS(5714),
    [anon_sym_BANG_EQ] = ACTIONS(5714),
    [anon_sym_GT] = ACTIONS(5712),
    [anon_sym_GT_EQ] = ACTIONS(5714),
    [anon_sym_LT_EQ] = ACTIONS(5712),
    [anon_sym_LT] = ACTIONS(5712),
    [anon_sym_LT_LT] = ACTIONS(5714),
    [anon_sym_GT_GT] = ACTIONS(5714),
    [anon_sym_COLON] = ACTIONS(5714),
    [anon_sym_SEMI] = ACTIONS(5714),
    [anon_sym___extension__] = ACTIONS(5714),
    [anon_sym___attribute__] = ACTIONS(5714),
    [anon_sym_LBRACE] = ACTIONS(5714),
    [anon_sym_RBRACE] = ACTIONS(5714),
    [anon_sym_signed] = ACTIONS(6272),
    [anon_sym_unsigned] = ACTIONS(6272),
    [anon_sym_long] = ACTIONS(6272),
    [anon_sym_short] = ACTIONS(6272),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [anon_sym_RBRACK] = ACTIONS(5714),
    [anon_sym_const] = ACTIONS(5712),
    [anon_sym_constexpr] = ACTIONS(5714),
    [anon_sym_volatile] = ACTIONS(5714),
    [anon_sym_restrict] = ACTIONS(5714),
    [anon_sym___restrict__] = ACTIONS(5714),
    [anon_sym__Atomic] = ACTIONS(5714),
    [anon_sym__Noreturn] = ACTIONS(5714),
    [anon_sym_noreturn] = ACTIONS(5714),
    [anon_sym__Nonnull] = ACTIONS(5714),
    [anon_sym_mutable] = ACTIONS(5714),
    [anon_sym_constinit] = ACTIONS(5714),
    [anon_sym_consteval] = ACTIONS(5714),
    [anon_sym_alignas] = ACTIONS(5714),
    [anon_sym__Alignas] = ACTIONS(5714),
    [anon_sym_QMARK] = ACTIONS(5714),
    [anon_sym_LT_EQ_GT] = ACTIONS(5714),
    [anon_sym_or] = ACTIONS(5714),
    [anon_sym_and] = ACTIONS(5714),
    [anon_sym_bitor] = ACTIONS(5714),
    [anon_sym_xor] = ACTIONS(5714),
    [anon_sym_bitand] = ACTIONS(5714),
    [anon_sym_not_eq] = ACTIONS(5714),
    [anon_sym_DASH_DASH] = ACTIONS(5714),
    [anon_sym_PLUS_PLUS] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_DOT_STAR] = ACTIONS(5714),
    [anon_sym_DASH_GT] = ACTIONS(5714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5714),
    [anon_sym_decltype] = ACTIONS(5714),
    [anon_sym_final] = ACTIONS(5714),
    [anon_sym_override] = ACTIONS(5714),
    [anon_sym_requires] = ACTIONS(5714),
  },
  [2560] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_RPAREN] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(4077),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2561] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5728),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_CARET] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5728),
    [anon_sym_GT_GT] = ACTIONS(5728),
    [anon_sym_COLON] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(5728),
    [anon_sym___extension__] = ACTIONS(5728),
    [anon_sym___attribute__] = ACTIONS(5728),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_RBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(6303),
    [anon_sym_unsigned] = ACTIONS(6303),
    [anon_sym_long] = ACTIONS(6303),
    [anon_sym_short] = ACTIONS(6303),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_RBRACK] = ACTIONS(5728),
    [anon_sym_const] = ACTIONS(5726),
    [anon_sym_constexpr] = ACTIONS(5728),
    [anon_sym_volatile] = ACTIONS(5728),
    [anon_sym_restrict] = ACTIONS(5728),
    [anon_sym___restrict__] = ACTIONS(5728),
    [anon_sym__Atomic] = ACTIONS(5728),
    [anon_sym__Noreturn] = ACTIONS(5728),
    [anon_sym_noreturn] = ACTIONS(5728),
    [anon_sym__Nonnull] = ACTIONS(5728),
    [anon_sym_mutable] = ACTIONS(5728),
    [anon_sym_constinit] = ACTIONS(5728),
    [anon_sym_consteval] = ACTIONS(5728),
    [anon_sym_alignas] = ACTIONS(5728),
    [anon_sym__Alignas] = ACTIONS(5728),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5728),
    [anon_sym_and] = ACTIONS(5728),
    [anon_sym_bitor] = ACTIONS(5728),
    [anon_sym_xor] = ACTIONS(5728),
    [anon_sym_bitand] = ACTIONS(5728),
    [anon_sym_not_eq] = ACTIONS(5728),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5728),
    [anon_sym_decltype] = ACTIONS(5728),
    [anon_sym_final] = ACTIONS(5728),
    [anon_sym_override] = ACTIONS(5728),
    [anon_sym_requires] = ACTIONS(5728),
  },
  [2562] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2551),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5738),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_RPAREN] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_DASH] = ACTIONS(5736),
    [anon_sym_PLUS] = ACTIONS(5736),
    [anon_sym_STAR] = ACTIONS(5738),
    [anon_sym_SLASH] = ACTIONS(5736),
    [anon_sym_PERCENT] = ACTIONS(5738),
    [anon_sym_PIPE_PIPE] = ACTIONS(5738),
    [anon_sym_AMP_AMP] = ACTIONS(5738),
    [anon_sym_PIPE] = ACTIONS(5736),
    [anon_sym_CARET] = ACTIONS(5738),
    [anon_sym_AMP] = ACTIONS(5736),
    [anon_sym_EQ_EQ] = ACTIONS(5738),
    [anon_sym_BANG_EQ] = ACTIONS(5738),
    [anon_sym_GT] = ACTIONS(5736),
    [anon_sym_GT_EQ] = ACTIONS(5738),
    [anon_sym_LT_EQ] = ACTIONS(5736),
    [anon_sym_LT] = ACTIONS(5736),
    [anon_sym_LT_LT] = ACTIONS(5738),
    [anon_sym_GT_GT] = ACTIONS(5738),
    [anon_sym_COLON] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5738),
    [anon_sym___extension__] = ACTIONS(5738),
    [anon_sym___attribute__] = ACTIONS(5738),
    [anon_sym_LBRACE] = ACTIONS(5738),
    [anon_sym_RBRACE] = ACTIONS(5738),
    [anon_sym_signed] = ACTIONS(6305),
    [anon_sym_unsigned] = ACTIONS(6305),
    [anon_sym_long] = ACTIONS(6305),
    [anon_sym_short] = ACTIONS(6305),
    [anon_sym_LBRACK] = ACTIONS(5738),
    [anon_sym_RBRACK] = ACTIONS(5738),
    [anon_sym_const] = ACTIONS(5736),
    [anon_sym_constexpr] = ACTIONS(5738),
    [anon_sym_volatile] = ACTIONS(5738),
    [anon_sym_restrict] = ACTIONS(5738),
    [anon_sym___restrict__] = ACTIONS(5738),
    [anon_sym__Atomic] = ACTIONS(5738),
    [anon_sym__Noreturn] = ACTIONS(5738),
    [anon_sym_noreturn] = ACTIONS(5738),
    [anon_sym__Nonnull] = ACTIONS(5738),
    [anon_sym_mutable] = ACTIONS(5738),
    [anon_sym_constinit] = ACTIONS(5738),
    [anon_sym_consteval] = ACTIONS(5738),
    [anon_sym_alignas] = ACTIONS(5738),
    [anon_sym__Alignas] = ACTIONS(5738),
    [anon_sym_QMARK] = ACTIONS(5738),
    [anon_sym_LT_EQ_GT] = ACTIONS(5738),
    [anon_sym_or] = ACTIONS(5738),
    [anon_sym_and] = ACTIONS(5738),
    [anon_sym_bitor] = ACTIONS(5738),
    [anon_sym_xor] = ACTIONS(5738),
    [anon_sym_bitand] = ACTIONS(5738),
    [anon_sym_not_eq] = ACTIONS(5738),
    [anon_sym_DASH_DASH] = ACTIONS(5738),
    [anon_sym_PLUS_PLUS] = ACTIONS(5738),
    [anon_sym_DOT] = ACTIONS(5736),
    [anon_sym_DOT_STAR] = ACTIONS(5738),
    [anon_sym_DASH_GT] = ACTIONS(5738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5738),
    [anon_sym_decltype] = ACTIONS(5738),
    [anon_sym_final] = ACTIONS(5738),
    [anon_sym_override] = ACTIONS(5738),
    [anon_sym_requires] = ACTIONS(5738),
  },
  [2563] = {
    [sym_string_literal] = STATE(2420),
    [sym_template_argument_list] = STATE(2745),
    [sym_raw_string_literal] = STATE(2420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(6284),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(6019),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6284),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(4077),
    [anon_sym_LBRACK] = ACTIONS(6286),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4077),
    [anon_sym_or_eq] = ACTIONS(4077),
    [anon_sym_xor_eq] = ACTIONS(4077),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(3680),
    [anon_sym_u_DQUOTE] = ACTIONS(3680),
    [anon_sym_U_DQUOTE] = ACTIONS(3680),
    [anon_sym_u8_DQUOTE] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3688),
    [anon_sym_LR_DQUOTE] = ACTIONS(3688),
    [anon_sym_uR_DQUOTE] = ACTIONS(3688),
    [anon_sym_UR_DQUOTE] = ACTIONS(3688),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3688),
  },
  [2564] = {
    [sym_template_argument_list] = STATE(2483),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_TILDE] = ACTIONS(1961),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(4278),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4280),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(4285),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_template] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [2565] = {
    [sym_string_literal] = STATE(2575),
    [sym_raw_string_literal] = STATE(2575),
    [aux_sym_concatenated_string_repeat1] = STATE(2575),
    [sym_identifier] = ACTIONS(6307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6106),
    [anon_sym_COMMA] = ACTIONS(6106),
    [anon_sym_RPAREN] = ACTIONS(6106),
    [anon_sym_LPAREN2] = ACTIONS(6106),
    [anon_sym_DASH] = ACTIONS(6108),
    [anon_sym_PLUS] = ACTIONS(6108),
    [anon_sym_STAR] = ACTIONS(6108),
    [anon_sym_SLASH] = ACTIONS(6108),
    [anon_sym_PERCENT] = ACTIONS(6108),
    [anon_sym_PIPE_PIPE] = ACTIONS(6106),
    [anon_sym_AMP_AMP] = ACTIONS(6106),
    [anon_sym_PIPE] = ACTIONS(6108),
    [anon_sym_CARET] = ACTIONS(6108),
    [anon_sym_AMP] = ACTIONS(6108),
    [anon_sym_EQ_EQ] = ACTIONS(6106),
    [anon_sym_BANG_EQ] = ACTIONS(6106),
    [anon_sym_GT] = ACTIONS(6108),
    [anon_sym_GT_EQ] = ACTIONS(6106),
    [anon_sym_LT_EQ] = ACTIONS(6108),
    [anon_sym_LT] = ACTIONS(6108),
    [anon_sym_LT_LT] = ACTIONS(6108),
    [anon_sym_GT_GT] = ACTIONS(6108),
    [anon_sym_LBRACK] = ACTIONS(6106),
    [anon_sym_EQ] = ACTIONS(6108),
    [anon_sym_QMARK] = ACTIONS(6106),
    [anon_sym_STAR_EQ] = ACTIONS(6106),
    [anon_sym_SLASH_EQ] = ACTIONS(6106),
    [anon_sym_PERCENT_EQ] = ACTIONS(6106),
    [anon_sym_PLUS_EQ] = ACTIONS(6106),
    [anon_sym_DASH_EQ] = ACTIONS(6106),
    [anon_sym_LT_LT_EQ] = ACTIONS(6106),
    [anon_sym_GT_GT_EQ] = ACTIONS(6106),
    [anon_sym_AMP_EQ] = ACTIONS(6106),
    [anon_sym_CARET_EQ] = ACTIONS(6106),
    [anon_sym_PIPE_EQ] = ACTIONS(6106),
    [anon_sym_and_eq] = ACTIONS(6108),
    [anon_sym_or_eq] = ACTIONS(6108),
    [anon_sym_xor_eq] = ACTIONS(6108),
    [anon_sym_LT_EQ_GT] = ACTIONS(6106),
    [anon_sym_or] = ACTIONS(6108),
    [anon_sym_and] = ACTIONS(6108),
    [anon_sym_bitor] = ACTIONS(6108),
    [anon_sym_xor] = ACTIONS(6108),
    [anon_sym_bitand] = ACTIONS(6108),
    [anon_sym_not_eq] = ACTIONS(6108),
    [anon_sym_DASH_DASH] = ACTIONS(6106),
    [anon_sym_PLUS_PLUS] = ACTIONS(6106),
    [anon_sym_DOT] = ACTIONS(6108),
    [anon_sym_DOT_STAR] = ACTIONS(6106),
    [anon_sym_DASH_GT] = ACTIONS(6108),
    [anon_sym_L_DQUOTE] = ACTIONS(5550),
    [anon_sym_u_DQUOTE] = ACTIONS(5550),
    [anon_sym_U_DQUOTE] = ACTIONS(5550),
    [anon_sym_u8_DQUOTE] = ACTIONS(5550),
    [anon_sym_DQUOTE] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5552),
    [anon_sym_LR_DQUOTE] = ACTIONS(5552),
    [anon_sym_uR_DQUOTE] = ACTIONS(5552),
    [anon_sym_UR_DQUOTE] = ACTIONS(5552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5552),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6106),
    [sym_literal_suffix] = ACTIONS(6108),
  },
  [2566] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4176),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2567] = {
    [sym_attribute_specifier] = STATE(2670),
    [sym_enumerator_list] = STATE(2618),
    [sym_identifier] = ACTIONS(5875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5877),
    [anon_sym_COMMA] = ACTIONS(5877),
    [anon_sym_RPAREN] = ACTIONS(5877),
    [aux_sym_preproc_if_token2] = ACTIONS(5877),
    [aux_sym_preproc_else_token1] = ACTIONS(5877),
    [aux_sym_preproc_elif_token1] = ACTIONS(5875),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5877),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5877),
    [anon_sym_LPAREN2] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5875),
    [anon_sym_STAR] = ACTIONS(5875),
    [anon_sym_SLASH] = ACTIONS(5875),
    [anon_sym_PERCENT] = ACTIONS(5875),
    [anon_sym_PIPE_PIPE] = ACTIONS(5877),
    [anon_sym_AMP_AMP] = ACTIONS(5877),
    [anon_sym_PIPE] = ACTIONS(5875),
    [anon_sym_CARET] = ACTIONS(5875),
    [anon_sym_AMP] = ACTIONS(5875),
    [anon_sym_EQ_EQ] = ACTIONS(5877),
    [anon_sym_BANG_EQ] = ACTIONS(5877),
    [anon_sym_GT] = ACTIONS(5875),
    [anon_sym_GT_EQ] = ACTIONS(5877),
    [anon_sym_LT_EQ] = ACTIONS(5875),
    [anon_sym_LT] = ACTIONS(5875),
    [anon_sym_LT_LT] = ACTIONS(5875),
    [anon_sym_GT_GT] = ACTIONS(5875),
    [anon_sym_COLON] = ACTIONS(5877),
    [anon_sym_SEMI] = ACTIONS(5877),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(6309),
    [anon_sym_RBRACE] = ACTIONS(5877),
    [anon_sym_LBRACK] = ACTIONS(5877),
    [anon_sym_RBRACK] = ACTIONS(5877),
    [anon_sym_EQ] = ACTIONS(5875),
    [anon_sym_QMARK] = ACTIONS(5877),
    [anon_sym_STAR_EQ] = ACTIONS(5877),
    [anon_sym_SLASH_EQ] = ACTIONS(5877),
    [anon_sym_PERCENT_EQ] = ACTIONS(5877),
    [anon_sym_PLUS_EQ] = ACTIONS(5877),
    [anon_sym_DASH_EQ] = ACTIONS(5877),
    [anon_sym_LT_LT_EQ] = ACTIONS(5877),
    [anon_sym_GT_GT_EQ] = ACTIONS(5877),
    [anon_sym_AMP_EQ] = ACTIONS(5877),
    [anon_sym_CARET_EQ] = ACTIONS(5877),
    [anon_sym_PIPE_EQ] = ACTIONS(5877),
    [anon_sym_and_eq] = ACTIONS(5875),
    [anon_sym_or_eq] = ACTIONS(5875),
    [anon_sym_xor_eq] = ACTIONS(5875),
    [anon_sym_LT_EQ_GT] = ACTIONS(5877),
    [anon_sym_or] = ACTIONS(5875),
    [anon_sym_and] = ACTIONS(5875),
    [anon_sym_bitor] = ACTIONS(5875),
    [anon_sym_xor] = ACTIONS(5875),
    [anon_sym_bitand] = ACTIONS(5875),
    [anon_sym_not_eq] = ACTIONS(5875),
    [anon_sym_DASH_DASH] = ACTIONS(5877),
    [anon_sym_PLUS_PLUS] = ACTIONS(5877),
    [anon_sym_DOT] = ACTIONS(5875),
    [anon_sym_DOT_STAR] = ACTIONS(5877),
    [anon_sym_DASH_GT] = ACTIONS(5877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5875),
    [anon_sym_decltype] = ACTIONS(5875),
  },
  [2568] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2573),
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5673),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_GT_EQ] = ACTIONS(5670),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5673),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym___extension__] = ACTIONS(5670),
    [anon_sym___attribute__] = ACTIONS(5670),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(6311),
    [anon_sym_unsigned] = ACTIONS(6311),
    [anon_sym_long] = ACTIONS(6311),
    [anon_sym_short] = ACTIONS(6311),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_const] = ACTIONS(5670),
    [anon_sym_constexpr] = ACTIONS(5670),
    [anon_sym_volatile] = ACTIONS(5670),
    [anon_sym_restrict] = ACTIONS(5670),
    [anon_sym___restrict__] = ACTIONS(5670),
    [anon_sym__Atomic] = ACTIONS(5670),
    [anon_sym__Noreturn] = ACTIONS(5670),
    [anon_sym_noreturn] = ACTIONS(5670),
    [anon_sym__Nonnull] = ACTIONS(5670),
    [anon_sym_mutable] = ACTIONS(5670),
    [anon_sym_constinit] = ACTIONS(5670),
    [anon_sym_consteval] = ACTIONS(5670),
    [anon_sym_alignas] = ACTIONS(5670),
    [anon_sym__Alignas] = ACTIONS(5670),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5670),
    [anon_sym_and] = ACTIONS(5670),
    [anon_sym_bitor] = ACTIONS(5670),
    [anon_sym_xor] = ACTIONS(5670),
    [anon_sym_bitand] = ACTIONS(5670),
    [anon_sym_not_eq] = ACTIONS(5670),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5670),
    [anon_sym_decltype] = ACTIONS(5670),
    [anon_sym_final] = ACTIONS(5670),
    [anon_sym_override] = ACTIONS(5670),
    [anon_sym_GT2] = ACTIONS(5673),
    [anon_sym_requires] = ACTIONS(5670),
  },
  [2569] = {
    [sym_attribute_specifier] = STATE(2496),
    [sym_field_declaration_list] = STATE(2719),
    [sym_virtual_specifier] = STATE(7072),
    [sym_base_class_clause] = STATE(7546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5687),
    [anon_sym_COMMA] = ACTIONS(5687),
    [anon_sym_RPAREN] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(5687),
    [anon_sym_DASH] = ACTIONS(5685),
    [anon_sym_PLUS] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_SLASH] = ACTIONS(5685),
    [anon_sym_PERCENT] = ACTIONS(5687),
    [anon_sym_PIPE_PIPE] = ACTIONS(5687),
    [anon_sym_AMP_AMP] = ACTIONS(5687),
    [anon_sym_PIPE] = ACTIONS(5685),
    [anon_sym_CARET] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5685),
    [anon_sym_EQ_EQ] = ACTIONS(5687),
    [anon_sym_BANG_EQ] = ACTIONS(5687),
    [anon_sym_GT] = ACTIONS(5685),
    [anon_sym_GT_EQ] = ACTIONS(5687),
    [anon_sym_LT_EQ] = ACTIONS(5685),
    [anon_sym_LT] = ACTIONS(5685),
    [anon_sym_LT_LT] = ACTIONS(5687),
    [anon_sym_GT_GT] = ACTIONS(5687),
    [anon_sym_COLON] = ACTIONS(6194),
    [anon_sym_SEMI] = ACTIONS(5687),
    [anon_sym___extension__] = ACTIONS(5687),
    [anon_sym___attribute__] = ACTIONS(6314),
    [anon_sym_LBRACE] = ACTIONS(6316),
    [anon_sym_RBRACE] = ACTIONS(5687),
    [anon_sym_LBRACK] = ACTIONS(5687),
    [anon_sym_RBRACK] = ACTIONS(5687),
    [anon_sym_const] = ACTIONS(5685),
    [anon_sym_constexpr] = ACTIONS(5687),
    [anon_sym_volatile] = ACTIONS(5687),
    [anon_sym_restrict] = ACTIONS(5687),
    [anon_sym___restrict__] = ACTIONS(5687),
    [anon_sym__Atomic] = ACTIONS(5687),
    [anon_sym__Noreturn] = ACTIONS(5687),
    [anon_sym_noreturn] = ACTIONS(5687),
    [anon_sym__Nonnull] = ACTIONS(5687),
    [anon_sym_mutable] = ACTIONS(5687),
    [anon_sym_constinit] = ACTIONS(5687),
    [anon_sym_consteval] = ACTIONS(5687),
    [anon_sym_alignas] = ACTIONS(5687),
    [anon_sym__Alignas] = ACTIONS(5687),
    [anon_sym_QMARK] = ACTIONS(5687),
    [anon_sym_LT_EQ_GT] = ACTIONS(5687),
    [anon_sym_or] = ACTIONS(5687),
    [anon_sym_and] = ACTIONS(5687),
    [anon_sym_bitor] = ACTIONS(5687),
    [anon_sym_xor] = ACTIONS(5687),
    [anon_sym_bitand] = ACTIONS(5687),
    [anon_sym_not_eq] = ACTIONS(5687),
    [anon_sym_DASH_DASH] = ACTIONS(5687),
    [anon_sym_PLUS_PLUS] = ACTIONS(5687),
    [anon_sym_DOT] = ACTIONS(5685),
    [anon_sym_DOT_STAR] = ACTIONS(5687),
    [anon_sym_DASH_GT] = ACTIONS(5687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5687),
    [anon_sym_decltype] = ACTIONS(5687),
    [anon_sym_final] = ACTIONS(6318),
    [anon_sym_override] = ACTIONS(6318),
    [anon_sym_requires] = ACTIONS(5687),
  },
  [2570] = {
    [sym_template_argument_list] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2706),
    [sym_identifier] = ACTIONS(5664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5666),
    [anon_sym_COMMA] = ACTIONS(5666),
    [aux_sym_preproc_if_token2] = ACTIONS(5666),
    [aux_sym_preproc_else_token1] = ACTIONS(5666),
    [aux_sym_preproc_elif_token1] = ACTIONS(5664),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5666),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5666),
    [anon_sym_LPAREN2] = ACTIONS(5666),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5664),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5666),
    [anon_sym_AMP_AMP] = ACTIONS(5666),
    [anon_sym_PIPE] = ACTIONS(5664),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(5664),
    [anon_sym_EQ_EQ] = ACTIONS(5666),
    [anon_sym_BANG_EQ] = ACTIONS(5666),
    [anon_sym_GT] = ACTIONS(5664),
    [anon_sym_GT_EQ] = ACTIONS(5666),
    [anon_sym_LT_EQ] = ACTIONS(5664),
    [anon_sym_LT] = ACTIONS(5664),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5664),
    [anon_sym___attribute__] = ACTIONS(5664),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(5666),
    [anon_sym_signed] = ACTIONS(6320),
    [anon_sym_unsigned] = ACTIONS(6320),
    [anon_sym_long] = ACTIONS(6320),
    [anon_sym_short] = ACTIONS(6320),
    [anon_sym_LBRACK] = ACTIONS(5666),
    [anon_sym_EQ] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5666),
    [anon_sym_STAR_EQ] = ACTIONS(5666),
    [anon_sym_SLASH_EQ] = ACTIONS(5666),
    [anon_sym_PERCENT_EQ] = ACTIONS(5666),
    [anon_sym_PLUS_EQ] = ACTIONS(5666),
    [anon_sym_DASH_EQ] = ACTIONS(5666),
    [anon_sym_LT_LT_EQ] = ACTIONS(5666),
    [anon_sym_GT_GT_EQ] = ACTIONS(5666),
    [anon_sym_AMP_EQ] = ACTIONS(5666),
    [anon_sym_CARET_EQ] = ACTIONS(5666),
    [anon_sym_PIPE_EQ] = ACTIONS(5666),
    [anon_sym_and_eq] = ACTIONS(5664),
    [anon_sym_or_eq] = ACTIONS(5664),
    [anon_sym_xor_eq] = ACTIONS(5664),
    [anon_sym_LT_EQ_GT] = ACTIONS(5666),
    [anon_sym_or] = ACTIONS(5664),
    [anon_sym_and] = ACTIONS(5664),
    [anon_sym_bitor] = ACTIONS(5664),
    [anon_sym_xor] = ACTIONS(5664),
    [anon_sym_bitand] = ACTIONS(5664),
    [anon_sym_not_eq] = ACTIONS(5664),
    [anon_sym_DASH_DASH] = ACTIONS(5666),
    [anon_sym_PLUS_PLUS] = ACTIONS(5666),
    [anon_sym_DOT] = ACTIONS(5664),
    [anon_sym_DOT_STAR] = ACTIONS(5666),
    [anon_sym_DASH_GT] = ACTIONS(5666),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5664),
    [anon_sym_decltype] = ACTIONS(5664),
  },
  [2571] = {
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2051),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [aux_sym_preproc_if_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2051),
    [aux_sym_preproc_elif_token1] = ACTIONS(2049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2051),
    [anon_sym_LPAREN2] = ACTIONS(2051),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2049),
    [anon_sym_SLASH] = ACTIONS(2049),
    [anon_sym_PERCENT] = ACTIONS(2049),
    [anon_sym_PIPE_PIPE] = ACTIONS(2051),
    [anon_sym_AMP_AMP] = ACTIONS(2051),
    [anon_sym_PIPE] = ACTIONS(2049),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_AMP] = ACTIONS(2049),
    [anon_sym_EQ_EQ] = ACTIONS(2051),
    [anon_sym_BANG_EQ] = ACTIONS(2051),
    [anon_sym_GT] = ACTIONS(2049),
    [anon_sym_GT_EQ] = ACTIONS(2051),
    [anon_sym_LT_EQ] = ACTIONS(2049),
    [anon_sym_LT] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2049),
    [anon_sym_GT_GT] = ACTIONS(2049),
    [anon_sym_COLON] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym___attribute__] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_EQ] = ACTIONS(2049),
    [anon_sym_QMARK] = ACTIONS(2051),
    [anon_sym_STAR_EQ] = ACTIONS(2051),
    [anon_sym_SLASH_EQ] = ACTIONS(2051),
    [anon_sym_PERCENT_EQ] = ACTIONS(2051),
    [anon_sym_PLUS_EQ] = ACTIONS(2051),
    [anon_sym_DASH_EQ] = ACTIONS(2051),
    [anon_sym_LT_LT_EQ] = ACTIONS(2051),
    [anon_sym_GT_GT_EQ] = ACTIONS(2051),
    [anon_sym_AMP_EQ] = ACTIONS(2051),
    [anon_sym_CARET_EQ] = ACTIONS(2051),
    [anon_sym_PIPE_EQ] = ACTIONS(2051),
    [anon_sym_and_eq] = ACTIONS(2049),
    [anon_sym_or_eq] = ACTIONS(2049),
    [anon_sym_xor_eq] = ACTIONS(2049),
    [anon_sym_LT_EQ_GT] = ACTIONS(2051),
    [anon_sym_or] = ACTIONS(2049),
    [anon_sym_and] = ACTIONS(2049),
    [anon_sym_bitor] = ACTIONS(2049),
    [anon_sym_xor] = ACTIONS(2049),
    [anon_sym_bitand] = ACTIONS(2049),
    [anon_sym_not_eq] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_DOT] = ACTIONS(2049),
    [anon_sym_DOT_STAR] = ACTIONS(2051),
    [anon_sym_DASH_GT] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2049),
    [anon_sym_decltype] = ACTIONS(2049),
    [anon_sym_final] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
  },
  [2572] = {
    [sym_string_literal] = STATE(2760),
    [sym_template_argument_list] = STATE(3832),
    [sym_raw_string_literal] = STATE(2760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_RPAREN] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(6322),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(6325),
    [anon_sym_or_eq] = ACTIONS(6325),
    [anon_sym_xor_eq] = ACTIONS(6325),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4085),
    [anon_sym_L_DQUOTE] = ACTIONS(4170),
    [anon_sym_u_DQUOTE] = ACTIONS(4170),
    [anon_sym_U_DQUOTE] = ACTIONS(4170),
    [anon_sym_u8_DQUOTE] = ACTIONS(4170),
    [anon_sym_DQUOTE] = ACTIONS(4170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4172),
    [anon_sym_LR_DQUOTE] = ACTIONS(4172),
    [anon_sym_uR_DQUOTE] = ACTIONS(4172),
    [anon_sym_UR_DQUOTE] = ACTIONS(4172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4172),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4077),
  },
  [2573] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2573),
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5589),
    [anon_sym_COMMA] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_DASH] = ACTIONS(5587),
    [anon_sym_PLUS] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5589),
    [anon_sym_SLASH] = ACTIONS(5587),
    [anon_sym_PERCENT] = ACTIONS(5589),
    [anon_sym_PIPE_PIPE] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_PIPE] = ACTIONS(5587),
    [anon_sym_CARET] = ACTIONS(5589),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym_EQ_EQ] = ACTIONS(5589),
    [anon_sym_BANG_EQ] = ACTIONS(5589),
    [anon_sym_GT] = ACTIONS(5587),
    [anon_sym_GT_EQ] = ACTIONS(5587),
    [anon_sym_LT_EQ] = ACTIONS(5587),
    [anon_sym_LT] = ACTIONS(5587),
    [anon_sym_LT_LT] = ACTIONS(5589),
    [anon_sym_GT_GT] = ACTIONS(5587),
    [anon_sym_COLON] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(6311),
    [anon_sym_unsigned] = ACTIONS(6311),
    [anon_sym_long] = ACTIONS(6311),
    [anon_sym_short] = ACTIONS(6311),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_const] = ACTIONS(5587),
    [anon_sym_constexpr] = ACTIONS(5587),
    [anon_sym_volatile] = ACTIONS(5587),
    [anon_sym_restrict] = ACTIONS(5587),
    [anon_sym___restrict__] = ACTIONS(5587),
    [anon_sym__Atomic] = ACTIONS(5587),
    [anon_sym__Noreturn] = ACTIONS(5587),
    [anon_sym_noreturn] = ACTIONS(5587),
    [anon_sym__Nonnull] = ACTIONS(5587),
    [anon_sym_mutable] = ACTIONS(5587),
    [anon_sym_constinit] = ACTIONS(5587),
    [anon_sym_consteval] = ACTIONS(5587),
    [anon_sym_alignas] = ACTIONS(5587),
    [anon_sym__Alignas] = ACTIONS(5587),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_QMARK] = ACTIONS(5589),
    [anon_sym_LT_EQ_GT] = ACTIONS(5589),
    [anon_sym_or] = ACTIONS(5587),
    [anon_sym_and] = ACTIONS(5587),
    [anon_sym_bitor] = ACTIONS(5587),
    [anon_sym_xor] = ACTIONS(5587),
    [anon_sym_bitand] = ACTIONS(5587),
    [anon_sym_not_eq] = ACTIONS(5587),
    [anon_sym_DASH_DASH] = ACTIONS(5589),
    [anon_sym_PLUS_PLUS] = ACTIONS(5589),
    [anon_sym_DOT] = ACTIONS(5587),
    [anon_sym_DOT_STAR] = ACTIONS(5589),
    [anon_sym_DASH_GT] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
    [anon_sym_final] = ACTIONS(5587),
    [anon_sym_override] = ACTIONS(5587),
    [anon_sym_GT2] = ACTIONS(5589),
    [anon_sym_requires] = ACTIONS(5587),
  },
  [2574] = {
    [sym_string_literal] = STATE(2577),
    [sym_template_argument_list] = STATE(2745),
    [sym_raw_string_literal] = STATE(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(6019),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym___attribute__] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4077),
    [anon_sym_or_eq] = ACTIONS(4077),
    [anon_sym_xor_eq] = ACTIONS(4077),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(6327),
    [anon_sym_u_DQUOTE] = ACTIONS(6327),
    [anon_sym_U_DQUOTE] = ACTIONS(6327),
    [anon_sym_u8_DQUOTE] = ACTIONS(6327),
    [anon_sym_DQUOTE] = ACTIONS(6327),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6329),
    [anon_sym_LR_DQUOTE] = ACTIONS(6329),
    [anon_sym_uR_DQUOTE] = ACTIONS(6329),
    [anon_sym_UR_DQUOTE] = ACTIONS(6329),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6329),
  },
  [2575] = {
    [sym_string_literal] = STATE(2575),
    [sym_raw_string_literal] = STATE(2575),
    [aux_sym_concatenated_string_repeat1] = STATE(2575),
    [sym_identifier] = ACTIONS(6331),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6094),
    [anon_sym_COMMA] = ACTIONS(6094),
    [anon_sym_RPAREN] = ACTIONS(6094),
    [anon_sym_LPAREN2] = ACTIONS(6094),
    [anon_sym_DASH] = ACTIONS(6096),
    [anon_sym_PLUS] = ACTIONS(6096),
    [anon_sym_STAR] = ACTIONS(6096),
    [anon_sym_SLASH] = ACTIONS(6096),
    [anon_sym_PERCENT] = ACTIONS(6096),
    [anon_sym_PIPE_PIPE] = ACTIONS(6094),
    [anon_sym_AMP_AMP] = ACTIONS(6094),
    [anon_sym_PIPE] = ACTIONS(6096),
    [anon_sym_CARET] = ACTIONS(6096),
    [anon_sym_AMP] = ACTIONS(6096),
    [anon_sym_EQ_EQ] = ACTIONS(6094),
    [anon_sym_BANG_EQ] = ACTIONS(6094),
    [anon_sym_GT] = ACTIONS(6096),
    [anon_sym_GT_EQ] = ACTIONS(6094),
    [anon_sym_LT_EQ] = ACTIONS(6096),
    [anon_sym_LT] = ACTIONS(6096),
    [anon_sym_LT_LT] = ACTIONS(6096),
    [anon_sym_GT_GT] = ACTIONS(6096),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [anon_sym_EQ] = ACTIONS(6096),
    [anon_sym_QMARK] = ACTIONS(6094),
    [anon_sym_STAR_EQ] = ACTIONS(6094),
    [anon_sym_SLASH_EQ] = ACTIONS(6094),
    [anon_sym_PERCENT_EQ] = ACTIONS(6094),
    [anon_sym_PLUS_EQ] = ACTIONS(6094),
    [anon_sym_DASH_EQ] = ACTIONS(6094),
    [anon_sym_LT_LT_EQ] = ACTIONS(6094),
    [anon_sym_GT_GT_EQ] = ACTIONS(6094),
    [anon_sym_AMP_EQ] = ACTIONS(6094),
    [anon_sym_CARET_EQ] = ACTIONS(6094),
    [anon_sym_PIPE_EQ] = ACTIONS(6094),
    [anon_sym_and_eq] = ACTIONS(6096),
    [anon_sym_or_eq] = ACTIONS(6096),
    [anon_sym_xor_eq] = ACTIONS(6096),
    [anon_sym_LT_EQ_GT] = ACTIONS(6094),
    [anon_sym_or] = ACTIONS(6096),
    [anon_sym_and] = ACTIONS(6096),
    [anon_sym_bitor] = ACTIONS(6096),
    [anon_sym_xor] = ACTIONS(6096),
    [anon_sym_bitand] = ACTIONS(6096),
    [anon_sym_not_eq] = ACTIONS(6096),
    [anon_sym_DASH_DASH] = ACTIONS(6094),
    [anon_sym_PLUS_PLUS] = ACTIONS(6094),
    [anon_sym_DOT] = ACTIONS(6096),
    [anon_sym_DOT_STAR] = ACTIONS(6094),
    [anon_sym_DASH_GT] = ACTIONS(6096),
    [anon_sym_L_DQUOTE] = ACTIONS(6334),
    [anon_sym_u_DQUOTE] = ACTIONS(6334),
    [anon_sym_U_DQUOTE] = ACTIONS(6334),
    [anon_sym_u8_DQUOTE] = ACTIONS(6334),
    [anon_sym_DQUOTE] = ACTIONS(6334),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6337),
    [anon_sym_LR_DQUOTE] = ACTIONS(6337),
    [anon_sym_uR_DQUOTE] = ACTIONS(6337),
    [anon_sym_UR_DQUOTE] = ACTIONS(6337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6337),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6094),
    [sym_literal_suffix] = ACTIONS(6096),
  },
  [2576] = {
    [sym_string_literal] = STATE(2579),
    [sym_template_argument_list] = STATE(3387),
    [sym_raw_string_literal] = STATE(2579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_RPAREN] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5556),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4077),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4077),
    [anon_sym_or_eq] = ACTIONS(4077),
    [anon_sym_xor_eq] = ACTIONS(4077),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4085),
    [anon_sym_L_DQUOTE] = ACTIONS(5550),
    [anon_sym_u_DQUOTE] = ACTIONS(5550),
    [anon_sym_U_DQUOTE] = ACTIONS(5550),
    [anon_sym_u8_DQUOTE] = ACTIONS(5550),
    [anon_sym_DQUOTE] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5552),
    [anon_sym_LR_DQUOTE] = ACTIONS(5552),
    [anon_sym_uR_DQUOTE] = ACTIONS(5552),
    [anon_sym_UR_DQUOTE] = ACTIONS(5552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5552),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4077),
  },
  [2577] = {
    [sym_string_literal] = STATE(2580),
    [sym_raw_string_literal] = STATE(2580),
    [aux_sym_concatenated_string_repeat1] = STATE(2580),
    [sym_identifier] = ACTIONS(6340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6143),
    [anon_sym_COMMA] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [anon_sym_DASH] = ACTIONS(6145),
    [anon_sym_PLUS] = ACTIONS(6145),
    [anon_sym_STAR] = ACTIONS(6145),
    [anon_sym_SLASH] = ACTIONS(6145),
    [anon_sym_PERCENT] = ACTIONS(6145),
    [anon_sym_PIPE_PIPE] = ACTIONS(6143),
    [anon_sym_AMP_AMP] = ACTIONS(6143),
    [anon_sym_PIPE] = ACTIONS(6145),
    [anon_sym_CARET] = ACTIONS(6145),
    [anon_sym_AMP] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_GT] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6143),
    [anon_sym_LT_EQ] = ACTIONS(6145),
    [anon_sym_LT] = ACTIONS(6145),
    [anon_sym_LT_LT] = ACTIONS(6145),
    [anon_sym_GT_GT] = ACTIONS(6145),
    [anon_sym_SEMI] = ACTIONS(6143),
    [anon_sym___attribute__] = ACTIONS(6145),
    [anon_sym_LBRACK] = ACTIONS(6143),
    [anon_sym_EQ] = ACTIONS(6145),
    [anon_sym_QMARK] = ACTIONS(6143),
    [anon_sym_STAR_EQ] = ACTIONS(6143),
    [anon_sym_SLASH_EQ] = ACTIONS(6143),
    [anon_sym_PERCENT_EQ] = ACTIONS(6143),
    [anon_sym_PLUS_EQ] = ACTIONS(6143),
    [anon_sym_DASH_EQ] = ACTIONS(6143),
    [anon_sym_LT_LT_EQ] = ACTIONS(6143),
    [anon_sym_GT_GT_EQ] = ACTIONS(6143),
    [anon_sym_AMP_EQ] = ACTIONS(6143),
    [anon_sym_CARET_EQ] = ACTIONS(6143),
    [anon_sym_PIPE_EQ] = ACTIONS(6143),
    [anon_sym_and_eq] = ACTIONS(6145),
    [anon_sym_or_eq] = ACTIONS(6145),
    [anon_sym_xor_eq] = ACTIONS(6145),
    [anon_sym_LT_EQ_GT] = ACTIONS(6143),
    [anon_sym_or] = ACTIONS(6145),
    [anon_sym_and] = ACTIONS(6145),
    [anon_sym_bitor] = ACTIONS(6145),
    [anon_sym_xor] = ACTIONS(6145),
    [anon_sym_bitand] = ACTIONS(6145),
    [anon_sym_not_eq] = ACTIONS(6145),
    [anon_sym_DASH_DASH] = ACTIONS(6143),
    [anon_sym_PLUS_PLUS] = ACTIONS(6143),
    [anon_sym_DOT] = ACTIONS(6145),
    [anon_sym_DOT_STAR] = ACTIONS(6143),
    [anon_sym_DASH_GT] = ACTIONS(6143),
    [anon_sym_L_DQUOTE] = ACTIONS(6327),
    [anon_sym_u_DQUOTE] = ACTIONS(6327),
    [anon_sym_U_DQUOTE] = ACTIONS(6327),
    [anon_sym_u8_DQUOTE] = ACTIONS(6327),
    [anon_sym_DQUOTE] = ACTIONS(6327),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6329),
    [anon_sym_LR_DQUOTE] = ACTIONS(6329),
    [anon_sym_uR_DQUOTE] = ACTIONS(6329),
    [anon_sym_UR_DQUOTE] = ACTIONS(6329),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6329),
    [sym_literal_suffix] = ACTIONS(6145),
  },
  [2578] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4115),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2579] = {
    [sym_string_literal] = STATE(2565),
    [sym_raw_string_literal] = STATE(2565),
    [aux_sym_concatenated_string_repeat1] = STATE(2565),
    [sym_identifier] = ACTIONS(6342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6143),
    [anon_sym_COMMA] = ACTIONS(6143),
    [anon_sym_RPAREN] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [anon_sym_DASH] = ACTIONS(6145),
    [anon_sym_PLUS] = ACTIONS(6145),
    [anon_sym_STAR] = ACTIONS(6145),
    [anon_sym_SLASH] = ACTIONS(6145),
    [anon_sym_PERCENT] = ACTIONS(6145),
    [anon_sym_PIPE_PIPE] = ACTIONS(6143),
    [anon_sym_AMP_AMP] = ACTIONS(6143),
    [anon_sym_PIPE] = ACTIONS(6145),
    [anon_sym_CARET] = ACTIONS(6145),
    [anon_sym_AMP] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_GT] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6143),
    [anon_sym_LT_EQ] = ACTIONS(6145),
    [anon_sym_LT] = ACTIONS(6145),
    [anon_sym_LT_LT] = ACTIONS(6145),
    [anon_sym_GT_GT] = ACTIONS(6145),
    [anon_sym_LBRACK] = ACTIONS(6143),
    [anon_sym_EQ] = ACTIONS(6145),
    [anon_sym_QMARK] = ACTIONS(6143),
    [anon_sym_STAR_EQ] = ACTIONS(6143),
    [anon_sym_SLASH_EQ] = ACTIONS(6143),
    [anon_sym_PERCENT_EQ] = ACTIONS(6143),
    [anon_sym_PLUS_EQ] = ACTIONS(6143),
    [anon_sym_DASH_EQ] = ACTIONS(6143),
    [anon_sym_LT_LT_EQ] = ACTIONS(6143),
    [anon_sym_GT_GT_EQ] = ACTIONS(6143),
    [anon_sym_AMP_EQ] = ACTIONS(6143),
    [anon_sym_CARET_EQ] = ACTIONS(6143),
    [anon_sym_PIPE_EQ] = ACTIONS(6143),
    [anon_sym_and_eq] = ACTIONS(6145),
    [anon_sym_or_eq] = ACTIONS(6145),
    [anon_sym_xor_eq] = ACTIONS(6145),
    [anon_sym_LT_EQ_GT] = ACTIONS(6143),
    [anon_sym_or] = ACTIONS(6145),
    [anon_sym_and] = ACTIONS(6145),
    [anon_sym_bitor] = ACTIONS(6145),
    [anon_sym_xor] = ACTIONS(6145),
    [anon_sym_bitand] = ACTIONS(6145),
    [anon_sym_not_eq] = ACTIONS(6145),
    [anon_sym_DASH_DASH] = ACTIONS(6143),
    [anon_sym_PLUS_PLUS] = ACTIONS(6143),
    [anon_sym_DOT] = ACTIONS(6145),
    [anon_sym_DOT_STAR] = ACTIONS(6143),
    [anon_sym_DASH_GT] = ACTIONS(6145),
    [anon_sym_L_DQUOTE] = ACTIONS(5550),
    [anon_sym_u_DQUOTE] = ACTIONS(5550),
    [anon_sym_U_DQUOTE] = ACTIONS(5550),
    [anon_sym_u8_DQUOTE] = ACTIONS(5550),
    [anon_sym_DQUOTE] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5552),
    [anon_sym_LR_DQUOTE] = ACTIONS(5552),
    [anon_sym_uR_DQUOTE] = ACTIONS(5552),
    [anon_sym_UR_DQUOTE] = ACTIONS(5552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5552),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6143),
    [sym_literal_suffix] = ACTIONS(6145),
  },
  [2580] = {
    [sym_string_literal] = STATE(2584),
    [sym_raw_string_literal] = STATE(2584),
    [aux_sym_concatenated_string_repeat1] = STATE(2584),
    [sym_identifier] = ACTIONS(6344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6106),
    [anon_sym_COMMA] = ACTIONS(6106),
    [anon_sym_LPAREN2] = ACTIONS(6106),
    [anon_sym_DASH] = ACTIONS(6108),
    [anon_sym_PLUS] = ACTIONS(6108),
    [anon_sym_STAR] = ACTIONS(6108),
    [anon_sym_SLASH] = ACTIONS(6108),
    [anon_sym_PERCENT] = ACTIONS(6108),
    [anon_sym_PIPE_PIPE] = ACTIONS(6106),
    [anon_sym_AMP_AMP] = ACTIONS(6106),
    [anon_sym_PIPE] = ACTIONS(6108),
    [anon_sym_CARET] = ACTIONS(6108),
    [anon_sym_AMP] = ACTIONS(6108),
    [anon_sym_EQ_EQ] = ACTIONS(6106),
    [anon_sym_BANG_EQ] = ACTIONS(6106),
    [anon_sym_GT] = ACTIONS(6108),
    [anon_sym_GT_EQ] = ACTIONS(6106),
    [anon_sym_LT_EQ] = ACTIONS(6108),
    [anon_sym_LT] = ACTIONS(6108),
    [anon_sym_LT_LT] = ACTIONS(6108),
    [anon_sym_GT_GT] = ACTIONS(6108),
    [anon_sym_SEMI] = ACTIONS(6106),
    [anon_sym___attribute__] = ACTIONS(6108),
    [anon_sym_LBRACK] = ACTIONS(6106),
    [anon_sym_EQ] = ACTIONS(6108),
    [anon_sym_QMARK] = ACTIONS(6106),
    [anon_sym_STAR_EQ] = ACTIONS(6106),
    [anon_sym_SLASH_EQ] = ACTIONS(6106),
    [anon_sym_PERCENT_EQ] = ACTIONS(6106),
    [anon_sym_PLUS_EQ] = ACTIONS(6106),
    [anon_sym_DASH_EQ] = ACTIONS(6106),
    [anon_sym_LT_LT_EQ] = ACTIONS(6106),
    [anon_sym_GT_GT_EQ] = ACTIONS(6106),
    [anon_sym_AMP_EQ] = ACTIONS(6106),
    [anon_sym_CARET_EQ] = ACTIONS(6106),
    [anon_sym_PIPE_EQ] = ACTIONS(6106),
    [anon_sym_and_eq] = ACTIONS(6108),
    [anon_sym_or_eq] = ACTIONS(6108),
    [anon_sym_xor_eq] = ACTIONS(6108),
    [anon_sym_LT_EQ_GT] = ACTIONS(6106),
    [anon_sym_or] = ACTIONS(6108),
    [anon_sym_and] = ACTIONS(6108),
    [anon_sym_bitor] = ACTIONS(6108),
    [anon_sym_xor] = ACTIONS(6108),
    [anon_sym_bitand] = ACTIONS(6108),
    [anon_sym_not_eq] = ACTIONS(6108),
    [anon_sym_DASH_DASH] = ACTIONS(6106),
    [anon_sym_PLUS_PLUS] = ACTIONS(6106),
    [anon_sym_DOT] = ACTIONS(6108),
    [anon_sym_DOT_STAR] = ACTIONS(6106),
    [anon_sym_DASH_GT] = ACTIONS(6106),
    [anon_sym_L_DQUOTE] = ACTIONS(6327),
    [anon_sym_u_DQUOTE] = ACTIONS(6327),
    [anon_sym_U_DQUOTE] = ACTIONS(6327),
    [anon_sym_u8_DQUOTE] = ACTIONS(6327),
    [anon_sym_DQUOTE] = ACTIONS(6327),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6329),
    [anon_sym_LR_DQUOTE] = ACTIONS(6329),
    [anon_sym_uR_DQUOTE] = ACTIONS(6329),
    [anon_sym_UR_DQUOTE] = ACTIONS(6329),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6329),
    [sym_literal_suffix] = ACTIONS(6108),
  },
  [2581] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(6346),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_RBRACK] = ACTIONS(6349),
    [anon_sym_EQ] = ACTIONS(6352),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(6354),
    [anon_sym_SLASH_EQ] = ACTIONS(6354),
    [anon_sym_PERCENT_EQ] = ACTIONS(6354),
    [anon_sym_PLUS_EQ] = ACTIONS(6354),
    [anon_sym_DASH_EQ] = ACTIONS(6354),
    [anon_sym_LT_LT_EQ] = ACTIONS(6354),
    [anon_sym_GT_GT_EQ] = ACTIONS(6354),
    [anon_sym_AMP_EQ] = ACTIONS(6354),
    [anon_sym_CARET_EQ] = ACTIONS(6354),
    [anon_sym_PIPE_EQ] = ACTIONS(6354),
    [anon_sym_and_eq] = ACTIONS(6354),
    [anon_sym_or_eq] = ACTIONS(6354),
    [anon_sym_xor_eq] = ACTIONS(6354),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2582] = {
    [sym_attribute_specifier] = STATE(2652),
    [sym_enumerator_list] = STATE(2610),
    [sym_identifier] = ACTIONS(5805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5807),
    [anon_sym_COMMA] = ACTIONS(5807),
    [anon_sym_RPAREN] = ACTIONS(5807),
    [aux_sym_preproc_if_token2] = ACTIONS(5807),
    [aux_sym_preproc_else_token1] = ACTIONS(5807),
    [aux_sym_preproc_elif_token1] = ACTIONS(5805),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5807),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5807),
    [anon_sym_LPAREN2] = ACTIONS(5807),
    [anon_sym_DASH] = ACTIONS(5805),
    [anon_sym_PLUS] = ACTIONS(5805),
    [anon_sym_STAR] = ACTIONS(5805),
    [anon_sym_SLASH] = ACTIONS(5805),
    [anon_sym_PERCENT] = ACTIONS(5805),
    [anon_sym_PIPE_PIPE] = ACTIONS(5807),
    [anon_sym_AMP_AMP] = ACTIONS(5807),
    [anon_sym_PIPE] = ACTIONS(5805),
    [anon_sym_CARET] = ACTIONS(5805),
    [anon_sym_AMP] = ACTIONS(5805),
    [anon_sym_EQ_EQ] = ACTIONS(5807),
    [anon_sym_BANG_EQ] = ACTIONS(5807),
    [anon_sym_GT] = ACTIONS(5805),
    [anon_sym_GT_EQ] = ACTIONS(5807),
    [anon_sym_LT_EQ] = ACTIONS(5805),
    [anon_sym_LT] = ACTIONS(5805),
    [anon_sym_LT_LT] = ACTIONS(5805),
    [anon_sym_GT_GT] = ACTIONS(5805),
    [anon_sym_COLON] = ACTIONS(5807),
    [anon_sym_SEMI] = ACTIONS(5807),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(6309),
    [anon_sym_RBRACE] = ACTIONS(5807),
    [anon_sym_LBRACK] = ACTIONS(5807),
    [anon_sym_RBRACK] = ACTIONS(5807),
    [anon_sym_EQ] = ACTIONS(5805),
    [anon_sym_QMARK] = ACTIONS(5807),
    [anon_sym_STAR_EQ] = ACTIONS(5807),
    [anon_sym_SLASH_EQ] = ACTIONS(5807),
    [anon_sym_PERCENT_EQ] = ACTIONS(5807),
    [anon_sym_PLUS_EQ] = ACTIONS(5807),
    [anon_sym_DASH_EQ] = ACTIONS(5807),
    [anon_sym_LT_LT_EQ] = ACTIONS(5807),
    [anon_sym_GT_GT_EQ] = ACTIONS(5807),
    [anon_sym_AMP_EQ] = ACTIONS(5807),
    [anon_sym_CARET_EQ] = ACTIONS(5807),
    [anon_sym_PIPE_EQ] = ACTIONS(5807),
    [anon_sym_and_eq] = ACTIONS(5805),
    [anon_sym_or_eq] = ACTIONS(5805),
    [anon_sym_xor_eq] = ACTIONS(5805),
    [anon_sym_LT_EQ_GT] = ACTIONS(5807),
    [anon_sym_or] = ACTIONS(5805),
    [anon_sym_and] = ACTIONS(5805),
    [anon_sym_bitor] = ACTIONS(5805),
    [anon_sym_xor] = ACTIONS(5805),
    [anon_sym_bitand] = ACTIONS(5805),
    [anon_sym_not_eq] = ACTIONS(5805),
    [anon_sym_DASH_DASH] = ACTIONS(5807),
    [anon_sym_PLUS_PLUS] = ACTIONS(5807),
    [anon_sym_DOT] = ACTIONS(5805),
    [anon_sym_DOT_STAR] = ACTIONS(5807),
    [anon_sym_DASH_GT] = ACTIONS(5807),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5805),
    [anon_sym_decltype] = ACTIONS(5805),
  },
  [2583] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4119),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2584] = {
    [sym_string_literal] = STATE(2584),
    [sym_raw_string_literal] = STATE(2584),
    [aux_sym_concatenated_string_repeat1] = STATE(2584),
    [sym_identifier] = ACTIONS(6356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6094),
    [anon_sym_COMMA] = ACTIONS(6094),
    [anon_sym_LPAREN2] = ACTIONS(6094),
    [anon_sym_DASH] = ACTIONS(6096),
    [anon_sym_PLUS] = ACTIONS(6096),
    [anon_sym_STAR] = ACTIONS(6096),
    [anon_sym_SLASH] = ACTIONS(6096),
    [anon_sym_PERCENT] = ACTIONS(6096),
    [anon_sym_PIPE_PIPE] = ACTIONS(6094),
    [anon_sym_AMP_AMP] = ACTIONS(6094),
    [anon_sym_PIPE] = ACTIONS(6096),
    [anon_sym_CARET] = ACTIONS(6096),
    [anon_sym_AMP] = ACTIONS(6096),
    [anon_sym_EQ_EQ] = ACTIONS(6094),
    [anon_sym_BANG_EQ] = ACTIONS(6094),
    [anon_sym_GT] = ACTIONS(6096),
    [anon_sym_GT_EQ] = ACTIONS(6094),
    [anon_sym_LT_EQ] = ACTIONS(6096),
    [anon_sym_LT] = ACTIONS(6096),
    [anon_sym_LT_LT] = ACTIONS(6096),
    [anon_sym_GT_GT] = ACTIONS(6096),
    [anon_sym_SEMI] = ACTIONS(6094),
    [anon_sym___attribute__] = ACTIONS(6096),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [anon_sym_EQ] = ACTIONS(6096),
    [anon_sym_QMARK] = ACTIONS(6094),
    [anon_sym_STAR_EQ] = ACTIONS(6094),
    [anon_sym_SLASH_EQ] = ACTIONS(6094),
    [anon_sym_PERCENT_EQ] = ACTIONS(6094),
    [anon_sym_PLUS_EQ] = ACTIONS(6094),
    [anon_sym_DASH_EQ] = ACTIONS(6094),
    [anon_sym_LT_LT_EQ] = ACTIONS(6094),
    [anon_sym_GT_GT_EQ] = ACTIONS(6094),
    [anon_sym_AMP_EQ] = ACTIONS(6094),
    [anon_sym_CARET_EQ] = ACTIONS(6094),
    [anon_sym_PIPE_EQ] = ACTIONS(6094),
    [anon_sym_and_eq] = ACTIONS(6096),
    [anon_sym_or_eq] = ACTIONS(6096),
    [anon_sym_xor_eq] = ACTIONS(6096),
    [anon_sym_LT_EQ_GT] = ACTIONS(6094),
    [anon_sym_or] = ACTIONS(6096),
    [anon_sym_and] = ACTIONS(6096),
    [anon_sym_bitor] = ACTIONS(6096),
    [anon_sym_xor] = ACTIONS(6096),
    [anon_sym_bitand] = ACTIONS(6096),
    [anon_sym_not_eq] = ACTIONS(6096),
    [anon_sym_DASH_DASH] = ACTIONS(6094),
    [anon_sym_PLUS_PLUS] = ACTIONS(6094),
    [anon_sym_DOT] = ACTIONS(6096),
    [anon_sym_DOT_STAR] = ACTIONS(6094),
    [anon_sym_DASH_GT] = ACTIONS(6094),
    [anon_sym_L_DQUOTE] = ACTIONS(6359),
    [anon_sym_u_DQUOTE] = ACTIONS(6359),
    [anon_sym_U_DQUOTE] = ACTIONS(6359),
    [anon_sym_u8_DQUOTE] = ACTIONS(6359),
    [anon_sym_DQUOTE] = ACTIONS(6359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6362),
    [anon_sym_LR_DQUOTE] = ACTIONS(6362),
    [anon_sym_uR_DQUOTE] = ACTIONS(6362),
    [anon_sym_UR_DQUOTE] = ACTIONS(6362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6362),
    [sym_literal_suffix] = ACTIONS(6096),
  },
  [2585] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2586] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(6365),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_RBRACK] = ACTIONS(6349),
    [anon_sym_EQ] = ACTIONS(6352),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(6354),
    [anon_sym_SLASH_EQ] = ACTIONS(6354),
    [anon_sym_PERCENT_EQ] = ACTIONS(6354),
    [anon_sym_PLUS_EQ] = ACTIONS(6354),
    [anon_sym_DASH_EQ] = ACTIONS(6354),
    [anon_sym_LT_LT_EQ] = ACTIONS(6354),
    [anon_sym_GT_GT_EQ] = ACTIONS(6354),
    [anon_sym_AMP_EQ] = ACTIONS(6354),
    [anon_sym_CARET_EQ] = ACTIONS(6354),
    [anon_sym_PIPE_EQ] = ACTIONS(6354),
    [anon_sym_and_eq] = ACTIONS(6354),
    [anon_sym_or_eq] = ACTIONS(6354),
    [anon_sym_xor_eq] = ACTIONS(6354),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2587] = {
    [sym_string_literal] = STATE(3502),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(3502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym___attribute__] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(6367),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(6369),
    [anon_sym_SLASH_EQ] = ACTIONS(6369),
    [anon_sym_PERCENT_EQ] = ACTIONS(6369),
    [anon_sym_PLUS_EQ] = ACTIONS(6369),
    [anon_sym_DASH_EQ] = ACTIONS(6369),
    [anon_sym_LT_LT_EQ] = ACTIONS(6369),
    [anon_sym_GT_GT_EQ] = ACTIONS(6369),
    [anon_sym_AMP_EQ] = ACTIONS(6369),
    [anon_sym_CARET_EQ] = ACTIONS(6369),
    [anon_sym_PIPE_EQ] = ACTIONS(6369),
    [anon_sym_and_eq] = ACTIONS(6369),
    [anon_sym_or_eq] = ACTIONS(6369),
    [anon_sym_xor_eq] = ACTIONS(6369),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(6371),
    [anon_sym_u_DQUOTE] = ACTIONS(6371),
    [anon_sym_U_DQUOTE] = ACTIONS(6371),
    [anon_sym_u8_DQUOTE] = ACTIONS(6371),
    [anon_sym_DQUOTE] = ACTIONS(6371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6373),
    [anon_sym_LR_DQUOTE] = ACTIONS(6373),
    [anon_sym_uR_DQUOTE] = ACTIONS(6373),
    [anon_sym_UR_DQUOTE] = ACTIONS(6373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6373),
  },
  [2588] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2568),
    [sym_identifier] = ACTIONS(6375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5694),
    [anon_sym_COMMA] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5694),
    [anon_sym_SLASH] = ACTIONS(5696),
    [anon_sym_PERCENT] = ACTIONS(5694),
    [anon_sym_PIPE_PIPE] = ACTIONS(5694),
    [anon_sym_AMP_AMP] = ACTIONS(5694),
    [anon_sym_PIPE] = ACTIONS(5696),
    [anon_sym_CARET] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(5696),
    [anon_sym_EQ_EQ] = ACTIONS(5694),
    [anon_sym_BANG_EQ] = ACTIONS(5694),
    [anon_sym_GT] = ACTIONS(5696),
    [anon_sym_GT_EQ] = ACTIONS(5696),
    [anon_sym_LT_EQ] = ACTIONS(5696),
    [anon_sym_LT] = ACTIONS(5696),
    [anon_sym_LT_LT] = ACTIONS(5694),
    [anon_sym_GT_GT] = ACTIONS(5696),
    [anon_sym_COLON] = ACTIONS(5694),
    [anon_sym___extension__] = ACTIONS(5696),
    [anon_sym___attribute__] = ACTIONS(5696),
    [anon_sym_LBRACE] = ACTIONS(5694),
    [anon_sym_signed] = ACTIONS(6377),
    [anon_sym_unsigned] = ACTIONS(6377),
    [anon_sym_long] = ACTIONS(6377),
    [anon_sym_short] = ACTIONS(6377),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [anon_sym_const] = ACTIONS(5696),
    [anon_sym_constexpr] = ACTIONS(5696),
    [anon_sym_volatile] = ACTIONS(5696),
    [anon_sym_restrict] = ACTIONS(5696),
    [anon_sym___restrict__] = ACTIONS(5696),
    [anon_sym__Atomic] = ACTIONS(5696),
    [anon_sym__Noreturn] = ACTIONS(5696),
    [anon_sym_noreturn] = ACTIONS(5696),
    [anon_sym__Nonnull] = ACTIONS(5696),
    [anon_sym_mutable] = ACTIONS(5696),
    [anon_sym_constinit] = ACTIONS(5696),
    [anon_sym_consteval] = ACTIONS(5696),
    [anon_sym_alignas] = ACTIONS(5696),
    [anon_sym__Alignas] = ACTIONS(5696),
    [sym_primitive_type] = ACTIONS(6379),
    [anon_sym_QMARK] = ACTIONS(5694),
    [anon_sym_LT_EQ_GT] = ACTIONS(5694),
    [anon_sym_or] = ACTIONS(5696),
    [anon_sym_and] = ACTIONS(5696),
    [anon_sym_bitor] = ACTIONS(5696),
    [anon_sym_xor] = ACTIONS(5696),
    [anon_sym_bitand] = ACTIONS(5696),
    [anon_sym_not_eq] = ACTIONS(5696),
    [anon_sym_DASH_DASH] = ACTIONS(5694),
    [anon_sym_PLUS_PLUS] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_DOT_STAR] = ACTIONS(5694),
    [anon_sym_DASH_GT] = ACTIONS(5694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5696),
    [anon_sym_decltype] = ACTIONS(5696),
    [anon_sym_final] = ACTIONS(5696),
    [anon_sym_override] = ACTIONS(5696),
    [anon_sym_GT2] = ACTIONS(5694),
    [anon_sym_requires] = ACTIONS(5696),
  },
  [2589] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4121),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2590] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4202),
    [anon_sym_SEMI] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2591] = {
    [sym_attribute_declaration] = STATE(2657),
    [sym_parameter_list] = STATE(2699),
    [aux_sym_attributed_declarator_repeat1] = STATE(2657),
    [sym_identifier] = ACTIONS(6381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6383),
    [anon_sym_COMMA] = ACTIONS(6383),
    [anon_sym_RPAREN] = ACTIONS(6383),
    [aux_sym_preproc_if_token2] = ACTIONS(6383),
    [aux_sym_preproc_else_token1] = ACTIONS(6383),
    [aux_sym_preproc_elif_token1] = ACTIONS(6381),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6383),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6383),
    [anon_sym_LPAREN2] = ACTIONS(6385),
    [anon_sym_DASH] = ACTIONS(6381),
    [anon_sym_PLUS] = ACTIONS(6381),
    [anon_sym_STAR] = ACTIONS(6381),
    [anon_sym_SLASH] = ACTIONS(6381),
    [anon_sym_PERCENT] = ACTIONS(6381),
    [anon_sym_PIPE_PIPE] = ACTIONS(6383),
    [anon_sym_AMP_AMP] = ACTIONS(6383),
    [anon_sym_PIPE] = ACTIONS(6381),
    [anon_sym_CARET] = ACTIONS(6381),
    [anon_sym_AMP] = ACTIONS(6381),
    [anon_sym_EQ_EQ] = ACTIONS(6383),
    [anon_sym_BANG_EQ] = ACTIONS(6383),
    [anon_sym_GT] = ACTIONS(6381),
    [anon_sym_GT_EQ] = ACTIONS(6383),
    [anon_sym_LT_EQ] = ACTIONS(6381),
    [anon_sym_LT] = ACTIONS(6381),
    [anon_sym_LT_LT] = ACTIONS(6381),
    [anon_sym_GT_GT] = ACTIONS(6381),
    [anon_sym_COLON] = ACTIONS(6383),
    [anon_sym_SEMI] = ACTIONS(6383),
    [anon_sym___attribute__] = ACTIONS(6381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6387),
    [anon_sym_RBRACE] = ACTIONS(6383),
    [anon_sym_LBRACK] = ACTIONS(6389),
    [anon_sym_RBRACK] = ACTIONS(6383),
    [anon_sym_EQ] = ACTIONS(6381),
    [anon_sym_QMARK] = ACTIONS(6383),
    [anon_sym_STAR_EQ] = ACTIONS(6383),
    [anon_sym_SLASH_EQ] = ACTIONS(6383),
    [anon_sym_PERCENT_EQ] = ACTIONS(6383),
    [anon_sym_PLUS_EQ] = ACTIONS(6383),
    [anon_sym_DASH_EQ] = ACTIONS(6383),
    [anon_sym_LT_LT_EQ] = ACTIONS(6383),
    [anon_sym_GT_GT_EQ] = ACTIONS(6383),
    [anon_sym_AMP_EQ] = ACTIONS(6383),
    [anon_sym_CARET_EQ] = ACTIONS(6383),
    [anon_sym_PIPE_EQ] = ACTIONS(6383),
    [anon_sym_and_eq] = ACTIONS(6381),
    [anon_sym_or_eq] = ACTIONS(6381),
    [anon_sym_xor_eq] = ACTIONS(6381),
    [anon_sym_LT_EQ_GT] = ACTIONS(6383),
    [anon_sym_or] = ACTIONS(6381),
    [anon_sym_and] = ACTIONS(6381),
    [anon_sym_bitor] = ACTIONS(6381),
    [anon_sym_xor] = ACTIONS(6381),
    [anon_sym_bitand] = ACTIONS(6381),
    [anon_sym_not_eq] = ACTIONS(6381),
    [anon_sym_DASH_DASH] = ACTIONS(6383),
    [anon_sym_PLUS_PLUS] = ACTIONS(6383),
    [anon_sym_DOT] = ACTIONS(6381),
    [anon_sym_DOT_STAR] = ACTIONS(6383),
    [anon_sym_DASH_GT] = ACTIONS(6383),
    [sym_comment] = ACTIONS(3),
  },
  [2592] = {
    [sym_attribute_specifier] = STATE(2690),
    [sym_identifier] = ACTIONS(5986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5988),
    [anon_sym_COMMA] = ACTIONS(5988),
    [anon_sym_RPAREN] = ACTIONS(5988),
    [aux_sym_preproc_if_token2] = ACTIONS(5988),
    [aux_sym_preproc_else_token1] = ACTIONS(5988),
    [aux_sym_preproc_elif_token1] = ACTIONS(5986),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5988),
    [anon_sym_LPAREN2] = ACTIONS(5988),
    [anon_sym_DASH] = ACTIONS(5986),
    [anon_sym_PLUS] = ACTIONS(5986),
    [anon_sym_STAR] = ACTIONS(5986),
    [anon_sym_SLASH] = ACTIONS(5986),
    [anon_sym_PERCENT] = ACTIONS(5986),
    [anon_sym_PIPE_PIPE] = ACTIONS(5988),
    [anon_sym_AMP_AMP] = ACTIONS(5988),
    [anon_sym_PIPE] = ACTIONS(5986),
    [anon_sym_CARET] = ACTIONS(5986),
    [anon_sym_AMP] = ACTIONS(5986),
    [anon_sym_EQ_EQ] = ACTIONS(5988),
    [anon_sym_BANG_EQ] = ACTIONS(5988),
    [anon_sym_GT] = ACTIONS(5986),
    [anon_sym_GT_EQ] = ACTIONS(5988),
    [anon_sym_LT_EQ] = ACTIONS(5986),
    [anon_sym_LT] = ACTIONS(5986),
    [anon_sym_LT_LT] = ACTIONS(5986),
    [anon_sym_GT_GT] = ACTIONS(5986),
    [anon_sym_COLON] = ACTIONS(5988),
    [anon_sym_SEMI] = ACTIONS(5988),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5988),
    [anon_sym_RBRACE] = ACTIONS(5988),
    [anon_sym_LBRACK] = ACTIONS(5988),
    [anon_sym_RBRACK] = ACTIONS(5988),
    [anon_sym_EQ] = ACTIONS(5986),
    [anon_sym_QMARK] = ACTIONS(5988),
    [anon_sym_STAR_EQ] = ACTIONS(5988),
    [anon_sym_SLASH_EQ] = ACTIONS(5988),
    [anon_sym_PERCENT_EQ] = ACTIONS(5988),
    [anon_sym_PLUS_EQ] = ACTIONS(5988),
    [anon_sym_DASH_EQ] = ACTIONS(5988),
    [anon_sym_LT_LT_EQ] = ACTIONS(5988),
    [anon_sym_GT_GT_EQ] = ACTIONS(5988),
    [anon_sym_AMP_EQ] = ACTIONS(5988),
    [anon_sym_CARET_EQ] = ACTIONS(5988),
    [anon_sym_PIPE_EQ] = ACTIONS(5988),
    [anon_sym_and_eq] = ACTIONS(5986),
    [anon_sym_or_eq] = ACTIONS(5986),
    [anon_sym_xor_eq] = ACTIONS(5986),
    [anon_sym_LT_EQ_GT] = ACTIONS(5988),
    [anon_sym_or] = ACTIONS(5986),
    [anon_sym_and] = ACTIONS(5986),
    [anon_sym_bitor] = ACTIONS(5986),
    [anon_sym_xor] = ACTIONS(5986),
    [anon_sym_bitand] = ACTIONS(5986),
    [anon_sym_not_eq] = ACTIONS(5986),
    [anon_sym_DASH_DASH] = ACTIONS(5988),
    [anon_sym_PLUS_PLUS] = ACTIONS(5988),
    [anon_sym_DOT] = ACTIONS(5986),
    [anon_sym_DOT_STAR] = ACTIONS(5988),
    [anon_sym_DASH_GT] = ACTIONS(5988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5986),
    [anon_sym_decltype] = ACTIONS(5986),
  },
  [2593] = {
    [sym_attribute_specifier] = STATE(2708),
    [sym_identifier] = ACTIONS(5951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5953),
    [anon_sym_COMMA] = ACTIONS(5953),
    [anon_sym_RPAREN] = ACTIONS(5953),
    [aux_sym_preproc_if_token2] = ACTIONS(5953),
    [aux_sym_preproc_else_token1] = ACTIONS(5953),
    [aux_sym_preproc_elif_token1] = ACTIONS(5951),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5953),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5953),
    [anon_sym_LPAREN2] = ACTIONS(5953),
    [anon_sym_DASH] = ACTIONS(5951),
    [anon_sym_PLUS] = ACTIONS(5951),
    [anon_sym_STAR] = ACTIONS(5951),
    [anon_sym_SLASH] = ACTIONS(5951),
    [anon_sym_PERCENT] = ACTIONS(5951),
    [anon_sym_PIPE_PIPE] = ACTIONS(5953),
    [anon_sym_AMP_AMP] = ACTIONS(5953),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_CARET] = ACTIONS(5951),
    [anon_sym_AMP] = ACTIONS(5951),
    [anon_sym_EQ_EQ] = ACTIONS(5953),
    [anon_sym_BANG_EQ] = ACTIONS(5953),
    [anon_sym_GT] = ACTIONS(5951),
    [anon_sym_GT_EQ] = ACTIONS(5953),
    [anon_sym_LT_EQ] = ACTIONS(5951),
    [anon_sym_LT] = ACTIONS(5951),
    [anon_sym_LT_LT] = ACTIONS(5951),
    [anon_sym_GT_GT] = ACTIONS(5951),
    [anon_sym_COLON] = ACTIONS(5953),
    [anon_sym_SEMI] = ACTIONS(5953),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5953),
    [anon_sym_RBRACE] = ACTIONS(5953),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(5953),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5953),
    [anon_sym_STAR_EQ] = ACTIONS(5953),
    [anon_sym_SLASH_EQ] = ACTIONS(5953),
    [anon_sym_PERCENT_EQ] = ACTIONS(5953),
    [anon_sym_PLUS_EQ] = ACTIONS(5953),
    [anon_sym_DASH_EQ] = ACTIONS(5953),
    [anon_sym_LT_LT_EQ] = ACTIONS(5953),
    [anon_sym_GT_GT_EQ] = ACTIONS(5953),
    [anon_sym_AMP_EQ] = ACTIONS(5953),
    [anon_sym_CARET_EQ] = ACTIONS(5953),
    [anon_sym_PIPE_EQ] = ACTIONS(5953),
    [anon_sym_and_eq] = ACTIONS(5951),
    [anon_sym_or_eq] = ACTIONS(5951),
    [anon_sym_xor_eq] = ACTIONS(5951),
    [anon_sym_LT_EQ_GT] = ACTIONS(5953),
    [anon_sym_or] = ACTIONS(5951),
    [anon_sym_and] = ACTIONS(5951),
    [anon_sym_bitor] = ACTIONS(5951),
    [anon_sym_xor] = ACTIONS(5951),
    [anon_sym_bitand] = ACTIONS(5951),
    [anon_sym_not_eq] = ACTIONS(5951),
    [anon_sym_DASH_DASH] = ACTIONS(5953),
    [anon_sym_PLUS_PLUS] = ACTIONS(5953),
    [anon_sym_DOT] = ACTIONS(5951),
    [anon_sym_DOT_STAR] = ACTIONS(5953),
    [anon_sym_DASH_GT] = ACTIONS(5953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5951),
    [anon_sym_decltype] = ACTIONS(5951),
  },
  [2594] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6162),
    [anon_sym_COMMA] = ACTIONS(6162),
    [anon_sym_RPAREN] = ACTIONS(6162),
    [anon_sym_LPAREN2] = ACTIONS(6162),
    [anon_sym_DASH] = ACTIONS(6160),
    [anon_sym_PLUS] = ACTIONS(6160),
    [anon_sym_STAR] = ACTIONS(6160),
    [anon_sym_SLASH] = ACTIONS(6160),
    [anon_sym_PERCENT] = ACTIONS(6160),
    [anon_sym_PIPE_PIPE] = ACTIONS(6162),
    [anon_sym_AMP_AMP] = ACTIONS(6162),
    [anon_sym_PIPE] = ACTIONS(6160),
    [anon_sym_CARET] = ACTIONS(6160),
    [anon_sym_AMP] = ACTIONS(6160),
    [anon_sym_EQ_EQ] = ACTIONS(6162),
    [anon_sym_BANG_EQ] = ACTIONS(6162),
    [anon_sym_GT] = ACTIONS(6160),
    [anon_sym_GT_EQ] = ACTIONS(6162),
    [anon_sym_LT_EQ] = ACTIONS(6160),
    [anon_sym_LT] = ACTIONS(6160),
    [anon_sym_LT_LT] = ACTIONS(6160),
    [anon_sym_GT_GT] = ACTIONS(6160),
    [anon_sym_COLON] = ACTIONS(6162),
    [anon_sym_SEMI] = ACTIONS(6162),
    [anon_sym_RBRACE] = ACTIONS(6162),
    [anon_sym_LBRACK] = ACTIONS(6162),
    [anon_sym_RBRACK] = ACTIONS(6162),
    [anon_sym_EQ] = ACTIONS(6160),
    [anon_sym_QMARK] = ACTIONS(6162),
    [anon_sym_STAR_EQ] = ACTIONS(6162),
    [anon_sym_SLASH_EQ] = ACTIONS(6162),
    [anon_sym_PERCENT_EQ] = ACTIONS(6162),
    [anon_sym_PLUS_EQ] = ACTIONS(6162),
    [anon_sym_DASH_EQ] = ACTIONS(6162),
    [anon_sym_LT_LT_EQ] = ACTIONS(6162),
    [anon_sym_GT_GT_EQ] = ACTIONS(6162),
    [anon_sym_AMP_EQ] = ACTIONS(6162),
    [anon_sym_CARET_EQ] = ACTIONS(6162),
    [anon_sym_PIPE_EQ] = ACTIONS(6162),
    [anon_sym_and_eq] = ACTIONS(6160),
    [anon_sym_or_eq] = ACTIONS(6160),
    [anon_sym_xor_eq] = ACTIONS(6160),
    [anon_sym_LT_EQ_GT] = ACTIONS(6162),
    [anon_sym_or] = ACTIONS(6160),
    [anon_sym_and] = ACTIONS(6160),
    [anon_sym_bitor] = ACTIONS(6160),
    [anon_sym_xor] = ACTIONS(6160),
    [anon_sym_bitand] = ACTIONS(6160),
    [anon_sym_not_eq] = ACTIONS(6160),
    [anon_sym_DASH_DASH] = ACTIONS(6162),
    [anon_sym_PLUS_PLUS] = ACTIONS(6162),
    [anon_sym_DOT] = ACTIONS(6160),
    [anon_sym_DOT_STAR] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(6162),
    [anon_sym_L_DQUOTE] = ACTIONS(6162),
    [anon_sym_u_DQUOTE] = ACTIONS(6162),
    [anon_sym_U_DQUOTE] = ACTIONS(6162),
    [anon_sym_u8_DQUOTE] = ACTIONS(6162),
    [anon_sym_DQUOTE] = ACTIONS(6162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6162),
    [anon_sym_LR_DQUOTE] = ACTIONS(6162),
    [anon_sym_uR_DQUOTE] = ACTIONS(6162),
    [anon_sym_UR_DQUOTE] = ACTIONS(6162),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6162),
    [sym_literal_suffix] = ACTIONS(6160),
  },
  [2595] = {
    [sym_decltype_auto] = STATE(2648),
    [sym_identifier] = ACTIONS(5767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5769),
    [anon_sym_COMMA] = ACTIONS(5769),
    [anon_sym_RPAREN] = ACTIONS(5769),
    [aux_sym_preproc_if_token2] = ACTIONS(5769),
    [aux_sym_preproc_else_token1] = ACTIONS(5769),
    [aux_sym_preproc_elif_token1] = ACTIONS(5767),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5769),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [anon_sym_DASH] = ACTIONS(5767),
    [anon_sym_PLUS] = ACTIONS(5767),
    [anon_sym_STAR] = ACTIONS(5767),
    [anon_sym_SLASH] = ACTIONS(5767),
    [anon_sym_PERCENT] = ACTIONS(5767),
    [anon_sym_PIPE_PIPE] = ACTIONS(5769),
    [anon_sym_AMP_AMP] = ACTIONS(5769),
    [anon_sym_PIPE] = ACTIONS(5767),
    [anon_sym_CARET] = ACTIONS(5767),
    [anon_sym_AMP] = ACTIONS(5767),
    [anon_sym_EQ_EQ] = ACTIONS(5769),
    [anon_sym_BANG_EQ] = ACTIONS(5769),
    [anon_sym_GT] = ACTIONS(5767),
    [anon_sym_GT_EQ] = ACTIONS(5769),
    [anon_sym_LT_EQ] = ACTIONS(5767),
    [anon_sym_LT] = ACTIONS(5767),
    [anon_sym_LT_LT] = ACTIONS(5767),
    [anon_sym_GT_GT] = ACTIONS(5767),
    [anon_sym_COLON] = ACTIONS(5769),
    [anon_sym_SEMI] = ACTIONS(5769),
    [anon_sym___attribute__] = ACTIONS(5767),
    [anon_sym_LBRACE] = ACTIONS(5769),
    [anon_sym_RBRACE] = ACTIONS(5769),
    [anon_sym_LBRACK] = ACTIONS(5769),
    [anon_sym_RBRACK] = ACTIONS(5769),
    [anon_sym_EQ] = ACTIONS(5767),
    [anon_sym_QMARK] = ACTIONS(5769),
    [anon_sym_STAR_EQ] = ACTIONS(5769),
    [anon_sym_SLASH_EQ] = ACTIONS(5769),
    [anon_sym_PERCENT_EQ] = ACTIONS(5769),
    [anon_sym_PLUS_EQ] = ACTIONS(5769),
    [anon_sym_DASH_EQ] = ACTIONS(5769),
    [anon_sym_LT_LT_EQ] = ACTIONS(5769),
    [anon_sym_GT_GT_EQ] = ACTIONS(5769),
    [anon_sym_AMP_EQ] = ACTIONS(5769),
    [anon_sym_CARET_EQ] = ACTIONS(5769),
    [anon_sym_PIPE_EQ] = ACTIONS(5769),
    [anon_sym_and_eq] = ACTIONS(5767),
    [anon_sym_or_eq] = ACTIONS(5767),
    [anon_sym_xor_eq] = ACTIONS(5767),
    [anon_sym_LT_EQ_GT] = ACTIONS(5769),
    [anon_sym_or] = ACTIONS(5767),
    [anon_sym_and] = ACTIONS(5767),
    [anon_sym_bitor] = ACTIONS(5767),
    [anon_sym_xor] = ACTIONS(5767),
    [anon_sym_bitand] = ACTIONS(5767),
    [anon_sym_not_eq] = ACTIONS(5767),
    [anon_sym_DASH_DASH] = ACTIONS(5769),
    [anon_sym_PLUS_PLUS] = ACTIONS(5769),
    [anon_sym_DOT] = ACTIONS(5767),
    [anon_sym_DOT_STAR] = ACTIONS(5769),
    [anon_sym_DASH_GT] = ACTIONS(5769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6247),
    [anon_sym_decltype] = ACTIONS(6249),
  },
  [2596] = {
    [sym_string_literal] = STATE(2596),
    [sym_raw_string_literal] = STATE(2596),
    [aux_sym_concatenated_string_repeat1] = STATE(2596),
    [sym_identifier] = ACTIONS(6391),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6094),
    [anon_sym_COMMA] = ACTIONS(6094),
    [anon_sym_LPAREN2] = ACTIONS(6094),
    [anon_sym_DASH] = ACTIONS(6096),
    [anon_sym_PLUS] = ACTIONS(6096),
    [anon_sym_STAR] = ACTIONS(6096),
    [anon_sym_SLASH] = ACTIONS(6096),
    [anon_sym_PERCENT] = ACTIONS(6096),
    [anon_sym_PIPE_PIPE] = ACTIONS(6094),
    [anon_sym_AMP_AMP] = ACTIONS(6094),
    [anon_sym_PIPE] = ACTIONS(6096),
    [anon_sym_CARET] = ACTIONS(6096),
    [anon_sym_AMP] = ACTIONS(6096),
    [anon_sym_EQ_EQ] = ACTIONS(6094),
    [anon_sym_BANG_EQ] = ACTIONS(6094),
    [anon_sym_GT] = ACTIONS(6096),
    [anon_sym_GT_EQ] = ACTIONS(6096),
    [anon_sym_LT_EQ] = ACTIONS(6096),
    [anon_sym_LT] = ACTIONS(6096),
    [anon_sym_LT_LT] = ACTIONS(6096),
    [anon_sym_GT_GT] = ACTIONS(6096),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [anon_sym_EQ] = ACTIONS(6096),
    [anon_sym_QMARK] = ACTIONS(6094),
    [anon_sym_STAR_EQ] = ACTIONS(6094),
    [anon_sym_SLASH_EQ] = ACTIONS(6094),
    [anon_sym_PERCENT_EQ] = ACTIONS(6094),
    [anon_sym_PLUS_EQ] = ACTIONS(6094),
    [anon_sym_DASH_EQ] = ACTIONS(6094),
    [anon_sym_LT_LT_EQ] = ACTIONS(6094),
    [anon_sym_GT_GT_EQ] = ACTIONS(6096),
    [anon_sym_AMP_EQ] = ACTIONS(6094),
    [anon_sym_CARET_EQ] = ACTIONS(6094),
    [anon_sym_PIPE_EQ] = ACTIONS(6094),
    [anon_sym_and_eq] = ACTIONS(6096),
    [anon_sym_or_eq] = ACTIONS(6096),
    [anon_sym_xor_eq] = ACTIONS(6096),
    [anon_sym_LT_EQ_GT] = ACTIONS(6094),
    [anon_sym_or] = ACTIONS(6096),
    [anon_sym_and] = ACTIONS(6096),
    [anon_sym_bitor] = ACTIONS(6096),
    [anon_sym_xor] = ACTIONS(6096),
    [anon_sym_bitand] = ACTIONS(6096),
    [anon_sym_not_eq] = ACTIONS(6096),
    [anon_sym_DASH_DASH] = ACTIONS(6094),
    [anon_sym_PLUS_PLUS] = ACTIONS(6094),
    [anon_sym_DOT] = ACTIONS(6096),
    [anon_sym_DOT_STAR] = ACTIONS(6094),
    [anon_sym_DASH_GT] = ACTIONS(6094),
    [anon_sym_L_DQUOTE] = ACTIONS(6394),
    [anon_sym_u_DQUOTE] = ACTIONS(6394),
    [anon_sym_U_DQUOTE] = ACTIONS(6394),
    [anon_sym_u8_DQUOTE] = ACTIONS(6394),
    [anon_sym_DQUOTE] = ACTIONS(6394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(6094),
    [anon_sym_R_DQUOTE] = ACTIONS(6397),
    [anon_sym_LR_DQUOTE] = ACTIONS(6397),
    [anon_sym_uR_DQUOTE] = ACTIONS(6397),
    [anon_sym_UR_DQUOTE] = ACTIONS(6397),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6397),
    [sym_literal_suffix] = ACTIONS(6096),
  },
  [2597] = {
    [sym_attribute_declaration] = STATE(2657),
    [sym_parameter_list] = STATE(2699),
    [aux_sym_attributed_declarator_repeat1] = STATE(2657),
    [sym_identifier] = ACTIONS(6400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6402),
    [anon_sym_COMMA] = ACTIONS(6402),
    [anon_sym_RPAREN] = ACTIONS(6402),
    [aux_sym_preproc_if_token2] = ACTIONS(6402),
    [aux_sym_preproc_else_token1] = ACTIONS(6402),
    [aux_sym_preproc_elif_token1] = ACTIONS(6400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6402),
    [anon_sym_LPAREN2] = ACTIONS(6385),
    [anon_sym_DASH] = ACTIONS(6400),
    [anon_sym_PLUS] = ACTIONS(6400),
    [anon_sym_STAR] = ACTIONS(6400),
    [anon_sym_SLASH] = ACTIONS(6400),
    [anon_sym_PERCENT] = ACTIONS(6400),
    [anon_sym_PIPE_PIPE] = ACTIONS(6402),
    [anon_sym_AMP_AMP] = ACTIONS(6402),
    [anon_sym_PIPE] = ACTIONS(6400),
    [anon_sym_CARET] = ACTIONS(6400),
    [anon_sym_AMP] = ACTIONS(6400),
    [anon_sym_EQ_EQ] = ACTIONS(6402),
    [anon_sym_BANG_EQ] = ACTIONS(6402),
    [anon_sym_GT] = ACTIONS(6400),
    [anon_sym_GT_EQ] = ACTIONS(6402),
    [anon_sym_LT_EQ] = ACTIONS(6400),
    [anon_sym_LT] = ACTIONS(6400),
    [anon_sym_LT_LT] = ACTIONS(6400),
    [anon_sym_GT_GT] = ACTIONS(6400),
    [anon_sym_COLON] = ACTIONS(6402),
    [anon_sym_SEMI] = ACTIONS(6402),
    [anon_sym___attribute__] = ACTIONS(6400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6387),
    [anon_sym_RBRACE] = ACTIONS(6402),
    [anon_sym_LBRACK] = ACTIONS(6389),
    [anon_sym_RBRACK] = ACTIONS(6402),
    [anon_sym_EQ] = ACTIONS(6400),
    [anon_sym_QMARK] = ACTIONS(6402),
    [anon_sym_STAR_EQ] = ACTIONS(6402),
    [anon_sym_SLASH_EQ] = ACTIONS(6402),
    [anon_sym_PERCENT_EQ] = ACTIONS(6402),
    [anon_sym_PLUS_EQ] = ACTIONS(6402),
    [anon_sym_DASH_EQ] = ACTIONS(6402),
    [anon_sym_LT_LT_EQ] = ACTIONS(6402),
    [anon_sym_GT_GT_EQ] = ACTIONS(6402),
    [anon_sym_AMP_EQ] = ACTIONS(6402),
    [anon_sym_CARET_EQ] = ACTIONS(6402),
    [anon_sym_PIPE_EQ] = ACTIONS(6402),
    [anon_sym_and_eq] = ACTIONS(6400),
    [anon_sym_or_eq] = ACTIONS(6400),
    [anon_sym_xor_eq] = ACTIONS(6400),
    [anon_sym_LT_EQ_GT] = ACTIONS(6402),
    [anon_sym_or] = ACTIONS(6400),
    [anon_sym_and] = ACTIONS(6400),
    [anon_sym_bitor] = ACTIONS(6400),
    [anon_sym_xor] = ACTIONS(6400),
    [anon_sym_bitand] = ACTIONS(6400),
    [anon_sym_not_eq] = ACTIONS(6400),
    [anon_sym_DASH_DASH] = ACTIONS(6402),
    [anon_sym_PLUS_PLUS] = ACTIONS(6402),
    [anon_sym_DOT] = ACTIONS(6400),
    [anon_sym_DOT_STAR] = ACTIONS(6402),
    [anon_sym_DASH_GT] = ACTIONS(6402),
    [sym_comment] = ACTIONS(3),
  },
  [2598] = {
    [sym_string_literal] = STATE(2596),
    [sym_raw_string_literal] = STATE(2596),
    [aux_sym_concatenated_string_repeat1] = STATE(2596),
    [sym_identifier] = ACTIONS(6404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6106),
    [anon_sym_COMMA] = ACTIONS(6106),
    [anon_sym_LPAREN2] = ACTIONS(6106),
    [anon_sym_DASH] = ACTIONS(6108),
    [anon_sym_PLUS] = ACTIONS(6108),
    [anon_sym_STAR] = ACTIONS(6108),
    [anon_sym_SLASH] = ACTIONS(6108),
    [anon_sym_PERCENT] = ACTIONS(6108),
    [anon_sym_PIPE_PIPE] = ACTIONS(6106),
    [anon_sym_AMP_AMP] = ACTIONS(6106),
    [anon_sym_PIPE] = ACTIONS(6108),
    [anon_sym_CARET] = ACTIONS(6108),
    [anon_sym_AMP] = ACTIONS(6108),
    [anon_sym_EQ_EQ] = ACTIONS(6106),
    [anon_sym_BANG_EQ] = ACTIONS(6106),
    [anon_sym_GT] = ACTIONS(6108),
    [anon_sym_GT_EQ] = ACTIONS(6108),
    [anon_sym_LT_EQ] = ACTIONS(6108),
    [anon_sym_LT] = ACTIONS(6108),
    [anon_sym_LT_LT] = ACTIONS(6108),
    [anon_sym_GT_GT] = ACTIONS(6108),
    [anon_sym_LBRACK] = ACTIONS(6106),
    [anon_sym_EQ] = ACTIONS(6108),
    [anon_sym_QMARK] = ACTIONS(6106),
    [anon_sym_STAR_EQ] = ACTIONS(6106),
    [anon_sym_SLASH_EQ] = ACTIONS(6106),
    [anon_sym_PERCENT_EQ] = ACTIONS(6106),
    [anon_sym_PLUS_EQ] = ACTIONS(6106),
    [anon_sym_DASH_EQ] = ACTIONS(6106),
    [anon_sym_LT_LT_EQ] = ACTIONS(6106),
    [anon_sym_GT_GT_EQ] = ACTIONS(6108),
    [anon_sym_AMP_EQ] = ACTIONS(6106),
    [anon_sym_CARET_EQ] = ACTIONS(6106),
    [anon_sym_PIPE_EQ] = ACTIONS(6106),
    [anon_sym_and_eq] = ACTIONS(6108),
    [anon_sym_or_eq] = ACTIONS(6108),
    [anon_sym_xor_eq] = ACTIONS(6108),
    [anon_sym_LT_EQ_GT] = ACTIONS(6106),
    [anon_sym_or] = ACTIONS(6108),
    [anon_sym_and] = ACTIONS(6108),
    [anon_sym_bitor] = ACTIONS(6108),
    [anon_sym_xor] = ACTIONS(6108),
    [anon_sym_bitand] = ACTIONS(6108),
    [anon_sym_not_eq] = ACTIONS(6108),
    [anon_sym_DASH_DASH] = ACTIONS(6106),
    [anon_sym_PLUS_PLUS] = ACTIONS(6106),
    [anon_sym_DOT] = ACTIONS(6108),
    [anon_sym_DOT_STAR] = ACTIONS(6106),
    [anon_sym_DASH_GT] = ACTIONS(6106),
    [anon_sym_L_DQUOTE] = ACTIONS(6406),
    [anon_sym_u_DQUOTE] = ACTIONS(6406),
    [anon_sym_U_DQUOTE] = ACTIONS(6406),
    [anon_sym_u8_DQUOTE] = ACTIONS(6406),
    [anon_sym_DQUOTE] = ACTIONS(6406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(6106),
    [anon_sym_R_DQUOTE] = ACTIONS(6408),
    [anon_sym_LR_DQUOTE] = ACTIONS(6408),
    [anon_sym_uR_DQUOTE] = ACTIONS(6408),
    [anon_sym_UR_DQUOTE] = ACTIONS(6408),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6408),
    [sym_literal_suffix] = ACTIONS(6108),
  },
  [2599] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2615),
    [sym_identifier] = ACTIONS(6410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5694),
    [anon_sym_COMMA] = ACTIONS(5694),
    [anon_sym_RPAREN] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5696),
    [anon_sym_SLASH] = ACTIONS(5696),
    [anon_sym_PERCENT] = ACTIONS(5696),
    [anon_sym_PIPE_PIPE] = ACTIONS(5694),
    [anon_sym_AMP_AMP] = ACTIONS(5694),
    [anon_sym_PIPE] = ACTIONS(5696),
    [anon_sym_CARET] = ACTIONS(5696),
    [anon_sym_AMP] = ACTIONS(5696),
    [anon_sym_EQ_EQ] = ACTIONS(5694),
    [anon_sym_BANG_EQ] = ACTIONS(5694),
    [anon_sym_GT] = ACTIONS(5696),
    [anon_sym_GT_EQ] = ACTIONS(5694),
    [anon_sym_LT_EQ] = ACTIONS(5696),
    [anon_sym_LT] = ACTIONS(5696),
    [anon_sym_LT_LT] = ACTIONS(5696),
    [anon_sym_GT_GT] = ACTIONS(5696),
    [anon_sym_COLON] = ACTIONS(5694),
    [anon_sym_SEMI] = ACTIONS(5694),
    [anon_sym___attribute__] = ACTIONS(5696),
    [anon_sym_LBRACE] = ACTIONS(5694),
    [anon_sym_RBRACE] = ACTIONS(5694),
    [anon_sym_signed] = ACTIONS(6412),
    [anon_sym_unsigned] = ACTIONS(6412),
    [anon_sym_long] = ACTIONS(6412),
    [anon_sym_short] = ACTIONS(6412),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [anon_sym_RBRACK] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(5696),
    [sym_primitive_type] = ACTIONS(6414),
    [anon_sym_QMARK] = ACTIONS(5694),
    [anon_sym_STAR_EQ] = ACTIONS(5694),
    [anon_sym_SLASH_EQ] = ACTIONS(5694),
    [anon_sym_PERCENT_EQ] = ACTIONS(5694),
    [anon_sym_PLUS_EQ] = ACTIONS(5694),
    [anon_sym_DASH_EQ] = ACTIONS(5694),
    [anon_sym_LT_LT_EQ] = ACTIONS(5694),
    [anon_sym_GT_GT_EQ] = ACTIONS(5694),
    [anon_sym_AMP_EQ] = ACTIONS(5694),
    [anon_sym_CARET_EQ] = ACTIONS(5694),
    [anon_sym_PIPE_EQ] = ACTIONS(5694),
    [anon_sym_and_eq] = ACTIONS(5696),
    [anon_sym_or_eq] = ACTIONS(5696),
    [anon_sym_xor_eq] = ACTIONS(5696),
    [anon_sym_LT_EQ_GT] = ACTIONS(5694),
    [anon_sym_or] = ACTIONS(5696),
    [anon_sym_and] = ACTIONS(5696),
    [anon_sym_bitor] = ACTIONS(5696),
    [anon_sym_xor] = ACTIONS(5696),
    [anon_sym_bitand] = ACTIONS(5696),
    [anon_sym_not_eq] = ACTIONS(5696),
    [anon_sym_DASH_DASH] = ACTIONS(5694),
    [anon_sym_PLUS_PLUS] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_DOT_STAR] = ACTIONS(5694),
    [anon_sym_DASH_GT] = ACTIONS(5694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5696),
    [anon_sym_decltype] = ACTIONS(5696),
  },
  [2600] = {
    [sym_attribute_specifier] = STATE(2646),
    [sym_identifier] = ACTIONS(5963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5965),
    [anon_sym_COMMA] = ACTIONS(5965),
    [anon_sym_RPAREN] = ACTIONS(5965),
    [aux_sym_preproc_if_token2] = ACTIONS(5965),
    [aux_sym_preproc_else_token1] = ACTIONS(5965),
    [aux_sym_preproc_elif_token1] = ACTIONS(5963),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5965),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5965),
    [anon_sym_LPAREN2] = ACTIONS(5965),
    [anon_sym_DASH] = ACTIONS(5963),
    [anon_sym_PLUS] = ACTIONS(5963),
    [anon_sym_STAR] = ACTIONS(5963),
    [anon_sym_SLASH] = ACTIONS(5963),
    [anon_sym_PERCENT] = ACTIONS(5963),
    [anon_sym_PIPE_PIPE] = ACTIONS(5965),
    [anon_sym_AMP_AMP] = ACTIONS(5965),
    [anon_sym_PIPE] = ACTIONS(5963),
    [anon_sym_CARET] = ACTIONS(5963),
    [anon_sym_AMP] = ACTIONS(5963),
    [anon_sym_EQ_EQ] = ACTIONS(5965),
    [anon_sym_BANG_EQ] = ACTIONS(5965),
    [anon_sym_GT] = ACTIONS(5963),
    [anon_sym_GT_EQ] = ACTIONS(5965),
    [anon_sym_LT_EQ] = ACTIONS(5963),
    [anon_sym_LT] = ACTIONS(5963),
    [anon_sym_LT_LT] = ACTIONS(5963),
    [anon_sym_GT_GT] = ACTIONS(5963),
    [anon_sym_COLON] = ACTIONS(5965),
    [anon_sym_SEMI] = ACTIONS(5965),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5965),
    [anon_sym_RBRACE] = ACTIONS(5965),
    [anon_sym_LBRACK] = ACTIONS(5965),
    [anon_sym_RBRACK] = ACTIONS(5965),
    [anon_sym_EQ] = ACTIONS(5963),
    [anon_sym_QMARK] = ACTIONS(5965),
    [anon_sym_STAR_EQ] = ACTIONS(5965),
    [anon_sym_SLASH_EQ] = ACTIONS(5965),
    [anon_sym_PERCENT_EQ] = ACTIONS(5965),
    [anon_sym_PLUS_EQ] = ACTIONS(5965),
    [anon_sym_DASH_EQ] = ACTIONS(5965),
    [anon_sym_LT_LT_EQ] = ACTIONS(5965),
    [anon_sym_GT_GT_EQ] = ACTIONS(5965),
    [anon_sym_AMP_EQ] = ACTIONS(5965),
    [anon_sym_CARET_EQ] = ACTIONS(5965),
    [anon_sym_PIPE_EQ] = ACTIONS(5965),
    [anon_sym_and_eq] = ACTIONS(5963),
    [anon_sym_or_eq] = ACTIONS(5963),
    [anon_sym_xor_eq] = ACTIONS(5963),
    [anon_sym_LT_EQ_GT] = ACTIONS(5965),
    [anon_sym_or] = ACTIONS(5963),
    [anon_sym_and] = ACTIONS(5963),
    [anon_sym_bitor] = ACTIONS(5963),
    [anon_sym_xor] = ACTIONS(5963),
    [anon_sym_bitand] = ACTIONS(5963),
    [anon_sym_not_eq] = ACTIONS(5963),
    [anon_sym_DASH_DASH] = ACTIONS(5965),
    [anon_sym_PLUS_PLUS] = ACTIONS(5965),
    [anon_sym_DOT] = ACTIONS(5963),
    [anon_sym_DOT_STAR] = ACTIONS(5965),
    [anon_sym_DASH_GT] = ACTIONS(5965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5963),
    [anon_sym_decltype] = ACTIONS(5963),
  },
  [2601] = {
    [sym_attribute_specifier] = STATE(2651),
    [sym_identifier] = ACTIONS(5959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5961),
    [anon_sym_COMMA] = ACTIONS(5961),
    [anon_sym_RPAREN] = ACTIONS(5961),
    [aux_sym_preproc_if_token2] = ACTIONS(5961),
    [aux_sym_preproc_else_token1] = ACTIONS(5961),
    [aux_sym_preproc_elif_token1] = ACTIONS(5959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5961),
    [anon_sym_LPAREN2] = ACTIONS(5961),
    [anon_sym_DASH] = ACTIONS(5959),
    [anon_sym_PLUS] = ACTIONS(5959),
    [anon_sym_STAR] = ACTIONS(5959),
    [anon_sym_SLASH] = ACTIONS(5959),
    [anon_sym_PERCENT] = ACTIONS(5959),
    [anon_sym_PIPE_PIPE] = ACTIONS(5961),
    [anon_sym_AMP_AMP] = ACTIONS(5961),
    [anon_sym_PIPE] = ACTIONS(5959),
    [anon_sym_CARET] = ACTIONS(5959),
    [anon_sym_AMP] = ACTIONS(5959),
    [anon_sym_EQ_EQ] = ACTIONS(5961),
    [anon_sym_BANG_EQ] = ACTIONS(5961),
    [anon_sym_GT] = ACTIONS(5959),
    [anon_sym_GT_EQ] = ACTIONS(5961),
    [anon_sym_LT_EQ] = ACTIONS(5959),
    [anon_sym_LT] = ACTIONS(5959),
    [anon_sym_LT_LT] = ACTIONS(5959),
    [anon_sym_GT_GT] = ACTIONS(5959),
    [anon_sym_COLON] = ACTIONS(5961),
    [anon_sym_SEMI] = ACTIONS(5961),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5961),
    [anon_sym_RBRACE] = ACTIONS(5961),
    [anon_sym_LBRACK] = ACTIONS(5961),
    [anon_sym_RBRACK] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(5959),
    [anon_sym_QMARK] = ACTIONS(5961),
    [anon_sym_STAR_EQ] = ACTIONS(5961),
    [anon_sym_SLASH_EQ] = ACTIONS(5961),
    [anon_sym_PERCENT_EQ] = ACTIONS(5961),
    [anon_sym_PLUS_EQ] = ACTIONS(5961),
    [anon_sym_DASH_EQ] = ACTIONS(5961),
    [anon_sym_LT_LT_EQ] = ACTIONS(5961),
    [anon_sym_GT_GT_EQ] = ACTIONS(5961),
    [anon_sym_AMP_EQ] = ACTIONS(5961),
    [anon_sym_CARET_EQ] = ACTIONS(5961),
    [anon_sym_PIPE_EQ] = ACTIONS(5961),
    [anon_sym_and_eq] = ACTIONS(5959),
    [anon_sym_or_eq] = ACTIONS(5959),
    [anon_sym_xor_eq] = ACTIONS(5959),
    [anon_sym_LT_EQ_GT] = ACTIONS(5961),
    [anon_sym_or] = ACTIONS(5959),
    [anon_sym_and] = ACTIONS(5959),
    [anon_sym_bitor] = ACTIONS(5959),
    [anon_sym_xor] = ACTIONS(5959),
    [anon_sym_bitand] = ACTIONS(5959),
    [anon_sym_not_eq] = ACTIONS(5959),
    [anon_sym_DASH_DASH] = ACTIONS(5961),
    [anon_sym_PLUS_PLUS] = ACTIONS(5961),
    [anon_sym_DOT] = ACTIONS(5959),
    [anon_sym_DOT_STAR] = ACTIONS(5961),
    [anon_sym_DASH_GT] = ACTIONS(5961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5959),
    [anon_sym_decltype] = ACTIONS(5959),
  },
  [2602] = {
    [sym_attribute_specifier] = STATE(2655),
    [sym_identifier] = ACTIONS(5955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5957),
    [anon_sym_COMMA] = ACTIONS(5957),
    [anon_sym_RPAREN] = ACTIONS(5957),
    [aux_sym_preproc_if_token2] = ACTIONS(5957),
    [aux_sym_preproc_else_token1] = ACTIONS(5957),
    [aux_sym_preproc_elif_token1] = ACTIONS(5955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5957),
    [anon_sym_LPAREN2] = ACTIONS(5957),
    [anon_sym_DASH] = ACTIONS(5955),
    [anon_sym_PLUS] = ACTIONS(5955),
    [anon_sym_STAR] = ACTIONS(5955),
    [anon_sym_SLASH] = ACTIONS(5955),
    [anon_sym_PERCENT] = ACTIONS(5955),
    [anon_sym_PIPE_PIPE] = ACTIONS(5957),
    [anon_sym_AMP_AMP] = ACTIONS(5957),
    [anon_sym_PIPE] = ACTIONS(5955),
    [anon_sym_CARET] = ACTIONS(5955),
    [anon_sym_AMP] = ACTIONS(5955),
    [anon_sym_EQ_EQ] = ACTIONS(5957),
    [anon_sym_BANG_EQ] = ACTIONS(5957),
    [anon_sym_GT] = ACTIONS(5955),
    [anon_sym_GT_EQ] = ACTIONS(5957),
    [anon_sym_LT_EQ] = ACTIONS(5955),
    [anon_sym_LT] = ACTIONS(5955),
    [anon_sym_LT_LT] = ACTIONS(5955),
    [anon_sym_GT_GT] = ACTIONS(5955),
    [anon_sym_COLON] = ACTIONS(5957),
    [anon_sym_SEMI] = ACTIONS(5957),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5957),
    [anon_sym_RBRACE] = ACTIONS(5957),
    [anon_sym_LBRACK] = ACTIONS(5957),
    [anon_sym_RBRACK] = ACTIONS(5957),
    [anon_sym_EQ] = ACTIONS(5955),
    [anon_sym_QMARK] = ACTIONS(5957),
    [anon_sym_STAR_EQ] = ACTIONS(5957),
    [anon_sym_SLASH_EQ] = ACTIONS(5957),
    [anon_sym_PERCENT_EQ] = ACTIONS(5957),
    [anon_sym_PLUS_EQ] = ACTIONS(5957),
    [anon_sym_DASH_EQ] = ACTIONS(5957),
    [anon_sym_LT_LT_EQ] = ACTIONS(5957),
    [anon_sym_GT_GT_EQ] = ACTIONS(5957),
    [anon_sym_AMP_EQ] = ACTIONS(5957),
    [anon_sym_CARET_EQ] = ACTIONS(5957),
    [anon_sym_PIPE_EQ] = ACTIONS(5957),
    [anon_sym_and_eq] = ACTIONS(5955),
    [anon_sym_or_eq] = ACTIONS(5955),
    [anon_sym_xor_eq] = ACTIONS(5955),
    [anon_sym_LT_EQ_GT] = ACTIONS(5957),
    [anon_sym_or] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_bitor] = ACTIONS(5955),
    [anon_sym_xor] = ACTIONS(5955),
    [anon_sym_bitand] = ACTIONS(5955),
    [anon_sym_not_eq] = ACTIONS(5955),
    [anon_sym_DASH_DASH] = ACTIONS(5957),
    [anon_sym_PLUS_PLUS] = ACTIONS(5957),
    [anon_sym_DOT] = ACTIONS(5955),
    [anon_sym_DOT_STAR] = ACTIONS(5957),
    [anon_sym_DASH_GT] = ACTIONS(5957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5955),
    [anon_sym_decltype] = ACTIONS(5955),
  },
  [2603] = {
    [sym_attribute_specifier] = STATE(2656),
    [sym_identifier] = ACTIONS(5979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5981),
    [anon_sym_COMMA] = ACTIONS(5981),
    [anon_sym_RPAREN] = ACTIONS(5981),
    [aux_sym_preproc_if_token2] = ACTIONS(5981),
    [aux_sym_preproc_else_token1] = ACTIONS(5981),
    [aux_sym_preproc_elif_token1] = ACTIONS(5979),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5981),
    [anon_sym_LPAREN2] = ACTIONS(5981),
    [anon_sym_DASH] = ACTIONS(5979),
    [anon_sym_PLUS] = ACTIONS(5979),
    [anon_sym_STAR] = ACTIONS(5979),
    [anon_sym_SLASH] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(5979),
    [anon_sym_PIPE_PIPE] = ACTIONS(5981),
    [anon_sym_AMP_AMP] = ACTIONS(5981),
    [anon_sym_PIPE] = ACTIONS(5979),
    [anon_sym_CARET] = ACTIONS(5979),
    [anon_sym_AMP] = ACTIONS(5979),
    [anon_sym_EQ_EQ] = ACTIONS(5981),
    [anon_sym_BANG_EQ] = ACTIONS(5981),
    [anon_sym_GT] = ACTIONS(5979),
    [anon_sym_GT_EQ] = ACTIONS(5981),
    [anon_sym_LT_EQ] = ACTIONS(5979),
    [anon_sym_LT] = ACTIONS(5979),
    [anon_sym_LT_LT] = ACTIONS(5979),
    [anon_sym_GT_GT] = ACTIONS(5979),
    [anon_sym_COLON] = ACTIONS(5981),
    [anon_sym_SEMI] = ACTIONS(5981),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5981),
    [anon_sym_RBRACE] = ACTIONS(5981),
    [anon_sym_LBRACK] = ACTIONS(5981),
    [anon_sym_RBRACK] = ACTIONS(5981),
    [anon_sym_EQ] = ACTIONS(5979),
    [anon_sym_QMARK] = ACTIONS(5981),
    [anon_sym_STAR_EQ] = ACTIONS(5981),
    [anon_sym_SLASH_EQ] = ACTIONS(5981),
    [anon_sym_PERCENT_EQ] = ACTIONS(5981),
    [anon_sym_PLUS_EQ] = ACTIONS(5981),
    [anon_sym_DASH_EQ] = ACTIONS(5981),
    [anon_sym_LT_LT_EQ] = ACTIONS(5981),
    [anon_sym_GT_GT_EQ] = ACTIONS(5981),
    [anon_sym_AMP_EQ] = ACTIONS(5981),
    [anon_sym_CARET_EQ] = ACTIONS(5981),
    [anon_sym_PIPE_EQ] = ACTIONS(5981),
    [anon_sym_and_eq] = ACTIONS(5979),
    [anon_sym_or_eq] = ACTIONS(5979),
    [anon_sym_xor_eq] = ACTIONS(5979),
    [anon_sym_LT_EQ_GT] = ACTIONS(5981),
    [anon_sym_or] = ACTIONS(5979),
    [anon_sym_and] = ACTIONS(5979),
    [anon_sym_bitor] = ACTIONS(5979),
    [anon_sym_xor] = ACTIONS(5979),
    [anon_sym_bitand] = ACTIONS(5979),
    [anon_sym_not_eq] = ACTIONS(5979),
    [anon_sym_DASH_DASH] = ACTIONS(5981),
    [anon_sym_PLUS_PLUS] = ACTIONS(5981),
    [anon_sym_DOT] = ACTIONS(5979),
    [anon_sym_DOT_STAR] = ACTIONS(5981),
    [anon_sym_DASH_GT] = ACTIONS(5981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5979),
    [anon_sym_decltype] = ACTIONS(5979),
  },
  [2604] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6168),
    [anon_sym_COMMA] = ACTIONS(6168),
    [anon_sym_RPAREN] = ACTIONS(6168),
    [anon_sym_LPAREN2] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(6166),
    [anon_sym_PLUS] = ACTIONS(6166),
    [anon_sym_STAR] = ACTIONS(6166),
    [anon_sym_SLASH] = ACTIONS(6166),
    [anon_sym_PERCENT] = ACTIONS(6166),
    [anon_sym_PIPE_PIPE] = ACTIONS(6168),
    [anon_sym_AMP_AMP] = ACTIONS(6168),
    [anon_sym_PIPE] = ACTIONS(6166),
    [anon_sym_CARET] = ACTIONS(6166),
    [anon_sym_AMP] = ACTIONS(6166),
    [anon_sym_EQ_EQ] = ACTIONS(6168),
    [anon_sym_BANG_EQ] = ACTIONS(6168),
    [anon_sym_GT] = ACTIONS(6166),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_LT_EQ] = ACTIONS(6166),
    [anon_sym_LT] = ACTIONS(6166),
    [anon_sym_LT_LT] = ACTIONS(6166),
    [anon_sym_GT_GT] = ACTIONS(6166),
    [anon_sym_COLON] = ACTIONS(6168),
    [anon_sym_SEMI] = ACTIONS(6168),
    [anon_sym_RBRACE] = ACTIONS(6168),
    [anon_sym_LBRACK] = ACTIONS(6168),
    [anon_sym_RBRACK] = ACTIONS(6168),
    [anon_sym_EQ] = ACTIONS(6166),
    [anon_sym_QMARK] = ACTIONS(6168),
    [anon_sym_STAR_EQ] = ACTIONS(6168),
    [anon_sym_SLASH_EQ] = ACTIONS(6168),
    [anon_sym_PERCENT_EQ] = ACTIONS(6168),
    [anon_sym_PLUS_EQ] = ACTIONS(6168),
    [anon_sym_DASH_EQ] = ACTIONS(6168),
    [anon_sym_LT_LT_EQ] = ACTIONS(6168),
    [anon_sym_GT_GT_EQ] = ACTIONS(6168),
    [anon_sym_AMP_EQ] = ACTIONS(6168),
    [anon_sym_CARET_EQ] = ACTIONS(6168),
    [anon_sym_PIPE_EQ] = ACTIONS(6168),
    [anon_sym_and_eq] = ACTIONS(6166),
    [anon_sym_or_eq] = ACTIONS(6166),
    [anon_sym_xor_eq] = ACTIONS(6166),
    [anon_sym_LT_EQ_GT] = ACTIONS(6168),
    [anon_sym_or] = ACTIONS(6166),
    [anon_sym_and] = ACTIONS(6166),
    [anon_sym_bitor] = ACTIONS(6166),
    [anon_sym_xor] = ACTIONS(6166),
    [anon_sym_bitand] = ACTIONS(6166),
    [anon_sym_not_eq] = ACTIONS(6166),
    [anon_sym_DASH_DASH] = ACTIONS(6168),
    [anon_sym_PLUS_PLUS] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(6166),
    [anon_sym_DOT_STAR] = ACTIONS(6168),
    [anon_sym_DASH_GT] = ACTIONS(6168),
    [anon_sym_L_DQUOTE] = ACTIONS(6168),
    [anon_sym_u_DQUOTE] = ACTIONS(6168),
    [anon_sym_U_DQUOTE] = ACTIONS(6168),
    [anon_sym_u8_DQUOTE] = ACTIONS(6168),
    [anon_sym_DQUOTE] = ACTIONS(6168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6168),
    [anon_sym_LR_DQUOTE] = ACTIONS(6168),
    [anon_sym_uR_DQUOTE] = ACTIONS(6168),
    [anon_sym_UR_DQUOTE] = ACTIONS(6168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6168),
    [sym_literal_suffix] = ACTIONS(6166),
  },
  [2605] = {
    [sym_identifier] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_out] = ACTIONS(2260),
    [anon_sym_inout] = ACTIONS(2260),
    [anon_sym_virtual] = ACTIONS(2260),
    [anon_sym_extern] = ACTIONS(2260),
    [anon_sym___attribute__] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2262),
    [anon_sym___declspec] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2260),
    [anon_sym_unsigned] = ACTIONS(2260),
    [anon_sym_long] = ACTIONS(2260),
    [anon_sym_short] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_register] = ACTIONS(2260),
    [anon_sym_inline] = ACTIONS(2260),
    [anon_sym___inline] = ACTIONS(2260),
    [anon_sym___inline__] = ACTIONS(2260),
    [anon_sym___forceinline] = ACTIONS(2260),
    [anon_sym_thread_local] = ACTIONS(2260),
    [anon_sym___thread] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2260),
    [anon_sym_constexpr] = ACTIONS(2260),
    [anon_sym_volatile] = ACTIONS(2260),
    [anon_sym_restrict] = ACTIONS(2260),
    [anon_sym___restrict__] = ACTIONS(2260),
    [anon_sym__Atomic] = ACTIONS(2260),
    [anon_sym__Noreturn] = ACTIONS(2260),
    [anon_sym_noreturn] = ACTIONS(2260),
    [anon_sym__Nonnull] = ACTIONS(2260),
    [anon_sym_mutable] = ACTIONS(2260),
    [anon_sym_constinit] = ACTIONS(2260),
    [anon_sym_consteval] = ACTIONS(2260),
    [anon_sym_alignas] = ACTIONS(2260),
    [anon_sym__Alignas] = ACTIONS(2260),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2260),
    [anon_sym_struct] = ACTIONS(2260),
    [anon_sym_union] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2260),
    [anon_sym_decltype] = ACTIONS(2260),
    [anon_sym_typename] = ACTIONS(2260),
    [anon_sym_template] = ACTIONS(2260),
    [anon_sym_precise] = ACTIONS(2260),
    [anon_sym_shared] = ACTIONS(2260),
    [anon_sym_groupshared] = ACTIONS(2260),
    [anon_sym_uniform] = ACTIONS(2260),
    [anon_sym_row_major] = ACTIONS(2260),
    [anon_sym_column_major] = ACTIONS(2260),
    [anon_sym_globallycoherent] = ACTIONS(2260),
    [anon_sym_centroid] = ACTIONS(2260),
    [anon_sym_noperspective] = ACTIONS(2260),
    [anon_sym_nointerpolation] = ACTIONS(2260),
    [anon_sym_sample] = ACTIONS(2260),
    [anon_sym_linear] = ACTIONS(2260),
    [anon_sym_snorm] = ACTIONS(2260),
    [anon_sym_unorm] = ACTIONS(2260),
    [anon_sym_point] = ACTIONS(2260),
    [anon_sym_line] = ACTIONS(2260),
    [anon_sym_triangleadj] = ACTIONS(2260),
    [anon_sym_lineadj] = ACTIONS(2260),
    [anon_sym_triangle] = ACTIONS(2260),
  },
  [2606] = {
    [sym_identifier] = ACTIONS(2126),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_in] = ACTIONS(2126),
    [anon_sym_out] = ACTIONS(2126),
    [anon_sym_inout] = ACTIONS(2126),
    [anon_sym_virtual] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2126),
    [anon_sym___attribute__] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2128),
    [anon_sym___declspec] = ACTIONS(2126),
    [anon_sym_signed] = ACTIONS(2126),
    [anon_sym_unsigned] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_register] = ACTIONS(2126),
    [anon_sym_inline] = ACTIONS(2126),
    [anon_sym___inline] = ACTIONS(2126),
    [anon_sym___inline__] = ACTIONS(2126),
    [anon_sym___forceinline] = ACTIONS(2126),
    [anon_sym_thread_local] = ACTIONS(2126),
    [anon_sym___thread] = ACTIONS(2126),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_constexpr] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_restrict] = ACTIONS(2126),
    [anon_sym___restrict__] = ACTIONS(2126),
    [anon_sym__Atomic] = ACTIONS(2126),
    [anon_sym__Noreturn] = ACTIONS(2126),
    [anon_sym_noreturn] = ACTIONS(2126),
    [anon_sym__Nonnull] = ACTIONS(2126),
    [anon_sym_mutable] = ACTIONS(2126),
    [anon_sym_constinit] = ACTIONS(2126),
    [anon_sym_consteval] = ACTIONS(2126),
    [anon_sym_alignas] = ACTIONS(2126),
    [anon_sym__Alignas] = ACTIONS(2126),
    [sym_primitive_type] = ACTIONS(2126),
    [anon_sym_enum] = ACTIONS(2126),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2126),
    [anon_sym_union] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2126),
    [anon_sym_decltype] = ACTIONS(2126),
    [anon_sym_typename] = ACTIONS(2126),
    [anon_sym_template] = ACTIONS(2126),
    [anon_sym_precise] = ACTIONS(2126),
    [anon_sym_shared] = ACTIONS(2126),
    [anon_sym_groupshared] = ACTIONS(2126),
    [anon_sym_uniform] = ACTIONS(2126),
    [anon_sym_row_major] = ACTIONS(2126),
    [anon_sym_column_major] = ACTIONS(2126),
    [anon_sym_globallycoherent] = ACTIONS(2126),
    [anon_sym_centroid] = ACTIONS(2126),
    [anon_sym_noperspective] = ACTIONS(2126),
    [anon_sym_nointerpolation] = ACTIONS(2126),
    [anon_sym_sample] = ACTIONS(2126),
    [anon_sym_linear] = ACTIONS(2126),
    [anon_sym_snorm] = ACTIONS(2126),
    [anon_sym_unorm] = ACTIONS(2126),
    [anon_sym_point] = ACTIONS(2126),
    [anon_sym_line] = ACTIONS(2126),
    [anon_sym_triangleadj] = ACTIONS(2126),
    [anon_sym_lineadj] = ACTIONS(2126),
    [anon_sym_triangle] = ACTIONS(2126),
  },
  [2607] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6176),
    [anon_sym_RPAREN] = ACTIONS(6176),
    [anon_sym_LPAREN2] = ACTIONS(6176),
    [anon_sym_DASH] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_STAR] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_PIPE] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6174),
    [anon_sym_GT_EQ] = ACTIONS(6176),
    [anon_sym_LT_EQ] = ACTIONS(6174),
    [anon_sym_LT] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6176),
    [anon_sym_SEMI] = ACTIONS(6176),
    [anon_sym_RBRACE] = ACTIONS(6176),
    [anon_sym_LBRACK] = ACTIONS(6176),
    [anon_sym_RBRACK] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6174),
    [anon_sym_QMARK] = ACTIONS(6176),
    [anon_sym_STAR_EQ] = ACTIONS(6176),
    [anon_sym_SLASH_EQ] = ACTIONS(6176),
    [anon_sym_PERCENT_EQ] = ACTIONS(6176),
    [anon_sym_PLUS_EQ] = ACTIONS(6176),
    [anon_sym_DASH_EQ] = ACTIONS(6176),
    [anon_sym_LT_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT_GT_EQ] = ACTIONS(6176),
    [anon_sym_AMP_EQ] = ACTIONS(6176),
    [anon_sym_CARET_EQ] = ACTIONS(6176),
    [anon_sym_PIPE_EQ] = ACTIONS(6176),
    [anon_sym_and_eq] = ACTIONS(6174),
    [anon_sym_or_eq] = ACTIONS(6174),
    [anon_sym_xor_eq] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6176),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_bitor] = ACTIONS(6174),
    [anon_sym_xor] = ACTIONS(6174),
    [anon_sym_bitand] = ACTIONS(6174),
    [anon_sym_not_eq] = ACTIONS(6174),
    [anon_sym_DASH_DASH] = ACTIONS(6176),
    [anon_sym_PLUS_PLUS] = ACTIONS(6176),
    [anon_sym_DOT] = ACTIONS(6174),
    [anon_sym_DOT_STAR] = ACTIONS(6176),
    [anon_sym_DASH_GT] = ACTIONS(6176),
    [anon_sym_L_DQUOTE] = ACTIONS(6176),
    [anon_sym_u_DQUOTE] = ACTIONS(6176),
    [anon_sym_U_DQUOTE] = ACTIONS(6176),
    [anon_sym_u8_DQUOTE] = ACTIONS(6176),
    [anon_sym_DQUOTE] = ACTIONS(6176),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6176),
    [anon_sym_LR_DQUOTE] = ACTIONS(6176),
    [anon_sym_uR_DQUOTE] = ACTIONS(6176),
    [anon_sym_UR_DQUOTE] = ACTIONS(6176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6176),
    [sym_literal_suffix] = ACTIONS(6174),
  },
  [2608] = {
    [sym_attribute_specifier] = STATE(2669),
    [sym_identifier] = ACTIONS(5971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5973),
    [anon_sym_COMMA] = ACTIONS(5973),
    [anon_sym_RPAREN] = ACTIONS(5973),
    [aux_sym_preproc_if_token2] = ACTIONS(5973),
    [aux_sym_preproc_else_token1] = ACTIONS(5973),
    [aux_sym_preproc_elif_token1] = ACTIONS(5971),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5973),
    [anon_sym_LPAREN2] = ACTIONS(5973),
    [anon_sym_DASH] = ACTIONS(5971),
    [anon_sym_PLUS] = ACTIONS(5971),
    [anon_sym_STAR] = ACTIONS(5971),
    [anon_sym_SLASH] = ACTIONS(5971),
    [anon_sym_PERCENT] = ACTIONS(5971),
    [anon_sym_PIPE_PIPE] = ACTIONS(5973),
    [anon_sym_AMP_AMP] = ACTIONS(5973),
    [anon_sym_PIPE] = ACTIONS(5971),
    [anon_sym_CARET] = ACTIONS(5971),
    [anon_sym_AMP] = ACTIONS(5971),
    [anon_sym_EQ_EQ] = ACTIONS(5973),
    [anon_sym_BANG_EQ] = ACTIONS(5973),
    [anon_sym_GT] = ACTIONS(5971),
    [anon_sym_GT_EQ] = ACTIONS(5973),
    [anon_sym_LT_EQ] = ACTIONS(5971),
    [anon_sym_LT] = ACTIONS(5971),
    [anon_sym_LT_LT] = ACTIONS(5971),
    [anon_sym_GT_GT] = ACTIONS(5971),
    [anon_sym_COLON] = ACTIONS(5973),
    [anon_sym_SEMI] = ACTIONS(5973),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5973),
    [anon_sym_RBRACE] = ACTIONS(5973),
    [anon_sym_LBRACK] = ACTIONS(5973),
    [anon_sym_RBRACK] = ACTIONS(5973),
    [anon_sym_EQ] = ACTIONS(5971),
    [anon_sym_QMARK] = ACTIONS(5973),
    [anon_sym_STAR_EQ] = ACTIONS(5973),
    [anon_sym_SLASH_EQ] = ACTIONS(5973),
    [anon_sym_PERCENT_EQ] = ACTIONS(5973),
    [anon_sym_PLUS_EQ] = ACTIONS(5973),
    [anon_sym_DASH_EQ] = ACTIONS(5973),
    [anon_sym_LT_LT_EQ] = ACTIONS(5973),
    [anon_sym_GT_GT_EQ] = ACTIONS(5973),
    [anon_sym_AMP_EQ] = ACTIONS(5973),
    [anon_sym_CARET_EQ] = ACTIONS(5973),
    [anon_sym_PIPE_EQ] = ACTIONS(5973),
    [anon_sym_and_eq] = ACTIONS(5971),
    [anon_sym_or_eq] = ACTIONS(5971),
    [anon_sym_xor_eq] = ACTIONS(5971),
    [anon_sym_LT_EQ_GT] = ACTIONS(5973),
    [anon_sym_or] = ACTIONS(5971),
    [anon_sym_and] = ACTIONS(5971),
    [anon_sym_bitor] = ACTIONS(5971),
    [anon_sym_xor] = ACTIONS(5971),
    [anon_sym_bitand] = ACTIONS(5971),
    [anon_sym_not_eq] = ACTIONS(5971),
    [anon_sym_DASH_DASH] = ACTIONS(5973),
    [anon_sym_PLUS_PLUS] = ACTIONS(5973),
    [anon_sym_DOT] = ACTIONS(5971),
    [anon_sym_DOT_STAR] = ACTIONS(5973),
    [anon_sym_DASH_GT] = ACTIONS(5973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5971),
    [anon_sym_decltype] = ACTIONS(5971),
  },
  [2609] = {
    [sym_identifier] = ACTIONS(2130),
    [anon_sym___extension__] = ACTIONS(2130),
    [anon_sym_in] = ACTIONS(2130),
    [anon_sym_out] = ACTIONS(2130),
    [anon_sym_inout] = ACTIONS(2130),
    [anon_sym_virtual] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2130),
    [anon_sym___attribute__] = ACTIONS(2130),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2132),
    [anon_sym___declspec] = ACTIONS(2130),
    [anon_sym_signed] = ACTIONS(2130),
    [anon_sym_unsigned] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [anon_sym_register] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2130),
    [anon_sym___inline] = ACTIONS(2130),
    [anon_sym___inline__] = ACTIONS(2130),
    [anon_sym___forceinline] = ACTIONS(2130),
    [anon_sym_thread_local] = ACTIONS(2130),
    [anon_sym___thread] = ACTIONS(2130),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_constexpr] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_restrict] = ACTIONS(2130),
    [anon_sym___restrict__] = ACTIONS(2130),
    [anon_sym__Atomic] = ACTIONS(2130),
    [anon_sym__Noreturn] = ACTIONS(2130),
    [anon_sym_noreturn] = ACTIONS(2130),
    [anon_sym__Nonnull] = ACTIONS(2130),
    [anon_sym_mutable] = ACTIONS(2130),
    [anon_sym_constinit] = ACTIONS(2130),
    [anon_sym_consteval] = ACTIONS(2130),
    [anon_sym_alignas] = ACTIONS(2130),
    [anon_sym__Alignas] = ACTIONS(2130),
    [sym_primitive_type] = ACTIONS(2130),
    [anon_sym_enum] = ACTIONS(2130),
    [anon_sym_class] = ACTIONS(2130),
    [anon_sym_struct] = ACTIONS(2130),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2130),
    [anon_sym_decltype] = ACTIONS(2130),
    [anon_sym_typename] = ACTIONS(2130),
    [anon_sym_template] = ACTIONS(2130),
    [anon_sym_precise] = ACTIONS(2130),
    [anon_sym_shared] = ACTIONS(2130),
    [anon_sym_groupshared] = ACTIONS(2130),
    [anon_sym_uniform] = ACTIONS(2130),
    [anon_sym_row_major] = ACTIONS(2130),
    [anon_sym_column_major] = ACTIONS(2130),
    [anon_sym_globallycoherent] = ACTIONS(2130),
    [anon_sym_centroid] = ACTIONS(2130),
    [anon_sym_noperspective] = ACTIONS(2130),
    [anon_sym_nointerpolation] = ACTIONS(2130),
    [anon_sym_sample] = ACTIONS(2130),
    [anon_sym_linear] = ACTIONS(2130),
    [anon_sym_snorm] = ACTIONS(2130),
    [anon_sym_unorm] = ACTIONS(2130),
    [anon_sym_point] = ACTIONS(2130),
    [anon_sym_line] = ACTIONS(2130),
    [anon_sym_triangleadj] = ACTIONS(2130),
    [anon_sym_lineadj] = ACTIONS(2130),
    [anon_sym_triangle] = ACTIONS(2130),
  },
  [2610] = {
    [sym_attribute_specifier] = STATE(2671),
    [sym_identifier] = ACTIONS(5975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5977),
    [anon_sym_COMMA] = ACTIONS(5977),
    [anon_sym_RPAREN] = ACTIONS(5977),
    [aux_sym_preproc_if_token2] = ACTIONS(5977),
    [aux_sym_preproc_else_token1] = ACTIONS(5977),
    [aux_sym_preproc_elif_token1] = ACTIONS(5975),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5977),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5977),
    [anon_sym_LPAREN2] = ACTIONS(5977),
    [anon_sym_DASH] = ACTIONS(5975),
    [anon_sym_PLUS] = ACTIONS(5975),
    [anon_sym_STAR] = ACTIONS(5975),
    [anon_sym_SLASH] = ACTIONS(5975),
    [anon_sym_PERCENT] = ACTIONS(5975),
    [anon_sym_PIPE_PIPE] = ACTIONS(5977),
    [anon_sym_AMP_AMP] = ACTIONS(5977),
    [anon_sym_PIPE] = ACTIONS(5975),
    [anon_sym_CARET] = ACTIONS(5975),
    [anon_sym_AMP] = ACTIONS(5975),
    [anon_sym_EQ_EQ] = ACTIONS(5977),
    [anon_sym_BANG_EQ] = ACTIONS(5977),
    [anon_sym_GT] = ACTIONS(5975),
    [anon_sym_GT_EQ] = ACTIONS(5977),
    [anon_sym_LT_EQ] = ACTIONS(5975),
    [anon_sym_LT] = ACTIONS(5975),
    [anon_sym_LT_LT] = ACTIONS(5975),
    [anon_sym_GT_GT] = ACTIONS(5975),
    [anon_sym_COLON] = ACTIONS(5977),
    [anon_sym_SEMI] = ACTIONS(5977),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5977),
    [anon_sym_RBRACE] = ACTIONS(5977),
    [anon_sym_LBRACK] = ACTIONS(5977),
    [anon_sym_RBRACK] = ACTIONS(5977),
    [anon_sym_EQ] = ACTIONS(5975),
    [anon_sym_QMARK] = ACTIONS(5977),
    [anon_sym_STAR_EQ] = ACTIONS(5977),
    [anon_sym_SLASH_EQ] = ACTIONS(5977),
    [anon_sym_PERCENT_EQ] = ACTIONS(5977),
    [anon_sym_PLUS_EQ] = ACTIONS(5977),
    [anon_sym_DASH_EQ] = ACTIONS(5977),
    [anon_sym_LT_LT_EQ] = ACTIONS(5977),
    [anon_sym_GT_GT_EQ] = ACTIONS(5977),
    [anon_sym_AMP_EQ] = ACTIONS(5977),
    [anon_sym_CARET_EQ] = ACTIONS(5977),
    [anon_sym_PIPE_EQ] = ACTIONS(5977),
    [anon_sym_and_eq] = ACTIONS(5975),
    [anon_sym_or_eq] = ACTIONS(5975),
    [anon_sym_xor_eq] = ACTIONS(5975),
    [anon_sym_LT_EQ_GT] = ACTIONS(5977),
    [anon_sym_or] = ACTIONS(5975),
    [anon_sym_and] = ACTIONS(5975),
    [anon_sym_bitor] = ACTIONS(5975),
    [anon_sym_xor] = ACTIONS(5975),
    [anon_sym_bitand] = ACTIONS(5975),
    [anon_sym_not_eq] = ACTIONS(5975),
    [anon_sym_DASH_DASH] = ACTIONS(5977),
    [anon_sym_PLUS_PLUS] = ACTIONS(5977),
    [anon_sym_DOT] = ACTIONS(5975),
    [anon_sym_DOT_STAR] = ACTIONS(5977),
    [anon_sym_DASH_GT] = ACTIONS(5977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5975),
    [anon_sym_decltype] = ACTIONS(5975),
  },
  [2611] = {
    [sym_string_literal] = STATE(2598),
    [sym_raw_string_literal] = STATE(2598),
    [aux_sym_concatenated_string_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(6416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6143),
    [anon_sym_COMMA] = ACTIONS(6143),
    [anon_sym_LPAREN2] = ACTIONS(6143),
    [anon_sym_DASH] = ACTIONS(6145),
    [anon_sym_PLUS] = ACTIONS(6145),
    [anon_sym_STAR] = ACTIONS(6145),
    [anon_sym_SLASH] = ACTIONS(6145),
    [anon_sym_PERCENT] = ACTIONS(6145),
    [anon_sym_PIPE_PIPE] = ACTIONS(6143),
    [anon_sym_AMP_AMP] = ACTIONS(6143),
    [anon_sym_PIPE] = ACTIONS(6145),
    [anon_sym_CARET] = ACTIONS(6145),
    [anon_sym_AMP] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_GT] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6145),
    [anon_sym_LT_EQ] = ACTIONS(6145),
    [anon_sym_LT] = ACTIONS(6145),
    [anon_sym_LT_LT] = ACTIONS(6145),
    [anon_sym_GT_GT] = ACTIONS(6145),
    [anon_sym_LBRACK] = ACTIONS(6143),
    [anon_sym_EQ] = ACTIONS(6145),
    [anon_sym_QMARK] = ACTIONS(6143),
    [anon_sym_STAR_EQ] = ACTIONS(6143),
    [anon_sym_SLASH_EQ] = ACTIONS(6143),
    [anon_sym_PERCENT_EQ] = ACTIONS(6143),
    [anon_sym_PLUS_EQ] = ACTIONS(6143),
    [anon_sym_DASH_EQ] = ACTIONS(6143),
    [anon_sym_LT_LT_EQ] = ACTIONS(6143),
    [anon_sym_GT_GT_EQ] = ACTIONS(6145),
    [anon_sym_AMP_EQ] = ACTIONS(6143),
    [anon_sym_CARET_EQ] = ACTIONS(6143),
    [anon_sym_PIPE_EQ] = ACTIONS(6143),
    [anon_sym_and_eq] = ACTIONS(6145),
    [anon_sym_or_eq] = ACTIONS(6145),
    [anon_sym_xor_eq] = ACTIONS(6145),
    [anon_sym_LT_EQ_GT] = ACTIONS(6143),
    [anon_sym_or] = ACTIONS(6145),
    [anon_sym_and] = ACTIONS(6145),
    [anon_sym_bitor] = ACTIONS(6145),
    [anon_sym_xor] = ACTIONS(6145),
    [anon_sym_bitand] = ACTIONS(6145),
    [anon_sym_not_eq] = ACTIONS(6145),
    [anon_sym_DASH_DASH] = ACTIONS(6143),
    [anon_sym_PLUS_PLUS] = ACTIONS(6143),
    [anon_sym_DOT] = ACTIONS(6145),
    [anon_sym_DOT_STAR] = ACTIONS(6143),
    [anon_sym_DASH_GT] = ACTIONS(6143),
    [anon_sym_L_DQUOTE] = ACTIONS(6406),
    [anon_sym_u_DQUOTE] = ACTIONS(6406),
    [anon_sym_U_DQUOTE] = ACTIONS(6406),
    [anon_sym_u8_DQUOTE] = ACTIONS(6406),
    [anon_sym_DQUOTE] = ACTIONS(6406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(6143),
    [anon_sym_R_DQUOTE] = ACTIONS(6408),
    [anon_sym_LR_DQUOTE] = ACTIONS(6408),
    [anon_sym_uR_DQUOTE] = ACTIONS(6408),
    [anon_sym_UR_DQUOTE] = ACTIONS(6408),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6408),
    [sym_literal_suffix] = ACTIONS(6145),
  },
  [2612] = {
    [sym_attribute_specifier] = STATE(2674),
    [sym_identifier] = ACTIONS(5943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5945),
    [anon_sym_COMMA] = ACTIONS(5945),
    [anon_sym_RPAREN] = ACTIONS(5945),
    [aux_sym_preproc_if_token2] = ACTIONS(5945),
    [aux_sym_preproc_else_token1] = ACTIONS(5945),
    [aux_sym_preproc_elif_token1] = ACTIONS(5943),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5945),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5945),
    [anon_sym_LPAREN2] = ACTIONS(5945),
    [anon_sym_DASH] = ACTIONS(5943),
    [anon_sym_PLUS] = ACTIONS(5943),
    [anon_sym_STAR] = ACTIONS(5943),
    [anon_sym_SLASH] = ACTIONS(5943),
    [anon_sym_PERCENT] = ACTIONS(5943),
    [anon_sym_PIPE_PIPE] = ACTIONS(5945),
    [anon_sym_AMP_AMP] = ACTIONS(5945),
    [anon_sym_PIPE] = ACTIONS(5943),
    [anon_sym_CARET] = ACTIONS(5943),
    [anon_sym_AMP] = ACTIONS(5943),
    [anon_sym_EQ_EQ] = ACTIONS(5945),
    [anon_sym_BANG_EQ] = ACTIONS(5945),
    [anon_sym_GT] = ACTIONS(5943),
    [anon_sym_GT_EQ] = ACTIONS(5945),
    [anon_sym_LT_EQ] = ACTIONS(5943),
    [anon_sym_LT] = ACTIONS(5943),
    [anon_sym_LT_LT] = ACTIONS(5943),
    [anon_sym_GT_GT] = ACTIONS(5943),
    [anon_sym_COLON] = ACTIONS(5945),
    [anon_sym_SEMI] = ACTIONS(5945),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5945),
    [anon_sym_RBRACE] = ACTIONS(5945),
    [anon_sym_LBRACK] = ACTIONS(5945),
    [anon_sym_RBRACK] = ACTIONS(5945),
    [anon_sym_EQ] = ACTIONS(5943),
    [anon_sym_QMARK] = ACTIONS(5945),
    [anon_sym_STAR_EQ] = ACTIONS(5945),
    [anon_sym_SLASH_EQ] = ACTIONS(5945),
    [anon_sym_PERCENT_EQ] = ACTIONS(5945),
    [anon_sym_PLUS_EQ] = ACTIONS(5945),
    [anon_sym_DASH_EQ] = ACTIONS(5945),
    [anon_sym_LT_LT_EQ] = ACTIONS(5945),
    [anon_sym_GT_GT_EQ] = ACTIONS(5945),
    [anon_sym_AMP_EQ] = ACTIONS(5945),
    [anon_sym_CARET_EQ] = ACTIONS(5945),
    [anon_sym_PIPE_EQ] = ACTIONS(5945),
    [anon_sym_and_eq] = ACTIONS(5943),
    [anon_sym_or_eq] = ACTIONS(5943),
    [anon_sym_xor_eq] = ACTIONS(5943),
    [anon_sym_LT_EQ_GT] = ACTIONS(5945),
    [anon_sym_or] = ACTIONS(5943),
    [anon_sym_and] = ACTIONS(5943),
    [anon_sym_bitor] = ACTIONS(5943),
    [anon_sym_xor] = ACTIONS(5943),
    [anon_sym_bitand] = ACTIONS(5943),
    [anon_sym_not_eq] = ACTIONS(5943),
    [anon_sym_DASH_DASH] = ACTIONS(5945),
    [anon_sym_PLUS_PLUS] = ACTIONS(5945),
    [anon_sym_DOT] = ACTIONS(5943),
    [anon_sym_DOT_STAR] = ACTIONS(5945),
    [anon_sym_DASH_GT] = ACTIONS(5945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5943),
    [anon_sym_decltype] = ACTIONS(5943),
  },
  [2613] = {
    [sym_identifier] = ACTIONS(5749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5751),
    [anon_sym_COMMA] = ACTIONS(5751),
    [anon_sym_RPAREN] = ACTIONS(5751),
    [aux_sym_preproc_if_token2] = ACTIONS(5751),
    [aux_sym_preproc_else_token1] = ACTIONS(5751),
    [aux_sym_preproc_elif_token1] = ACTIONS(5749),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5751),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5751),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_DASH] = ACTIONS(5749),
    [anon_sym_PLUS] = ACTIONS(5749),
    [anon_sym_STAR] = ACTIONS(5749),
    [anon_sym_SLASH] = ACTIONS(5749),
    [anon_sym_PERCENT] = ACTIONS(5749),
    [anon_sym_PIPE_PIPE] = ACTIONS(5751),
    [anon_sym_AMP_AMP] = ACTIONS(5751),
    [anon_sym_PIPE] = ACTIONS(5749),
    [anon_sym_CARET] = ACTIONS(5749),
    [anon_sym_AMP] = ACTIONS(5749),
    [anon_sym_EQ_EQ] = ACTIONS(5751),
    [anon_sym_BANG_EQ] = ACTIONS(5751),
    [anon_sym_GT] = ACTIONS(5749),
    [anon_sym_GT_EQ] = ACTIONS(5751),
    [anon_sym_LT_EQ] = ACTIONS(5749),
    [anon_sym_LT] = ACTIONS(5749),
    [anon_sym_LT_LT] = ACTIONS(5749),
    [anon_sym_GT_GT] = ACTIONS(5749),
    [anon_sym_COLON] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5751),
    [anon_sym___attribute__] = ACTIONS(5749),
    [anon_sym_COLON_COLON] = ACTIONS(5751),
    [anon_sym_LBRACE] = ACTIONS(5751),
    [anon_sym_RBRACE] = ACTIONS(5751),
    [anon_sym_LBRACK] = ACTIONS(5751),
    [anon_sym_RBRACK] = ACTIONS(5751),
    [anon_sym_EQ] = ACTIONS(5749),
    [anon_sym_QMARK] = ACTIONS(5751),
    [anon_sym_STAR_EQ] = ACTIONS(5751),
    [anon_sym_SLASH_EQ] = ACTIONS(5751),
    [anon_sym_PERCENT_EQ] = ACTIONS(5751),
    [anon_sym_PLUS_EQ] = ACTIONS(5751),
    [anon_sym_DASH_EQ] = ACTIONS(5751),
    [anon_sym_LT_LT_EQ] = ACTIONS(5751),
    [anon_sym_GT_GT_EQ] = ACTIONS(5751),
    [anon_sym_AMP_EQ] = ACTIONS(5751),
    [anon_sym_CARET_EQ] = ACTIONS(5751),
    [anon_sym_PIPE_EQ] = ACTIONS(5751),
    [anon_sym_and_eq] = ACTIONS(5749),
    [anon_sym_or_eq] = ACTIONS(5749),
    [anon_sym_xor_eq] = ACTIONS(5749),
    [anon_sym_LT_EQ_GT] = ACTIONS(5751),
    [anon_sym_or] = ACTIONS(5749),
    [anon_sym_and] = ACTIONS(5749),
    [anon_sym_bitor] = ACTIONS(5749),
    [anon_sym_xor] = ACTIONS(5749),
    [anon_sym_bitand] = ACTIONS(5749),
    [anon_sym_not_eq] = ACTIONS(5749),
    [anon_sym_DASH_DASH] = ACTIONS(5751),
    [anon_sym_PLUS_PLUS] = ACTIONS(5751),
    [anon_sym_DOT] = ACTIONS(5749),
    [anon_sym_DOT_STAR] = ACTIONS(5751),
    [anon_sym_DASH_GT] = ACTIONS(5751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5749),
    [anon_sym_decltype] = ACTIONS(5749),
  },
  [2614] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_out] = ACTIONS(2578),
    [anon_sym_inout] = ACTIONS(2578),
    [anon_sym_virtual] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym__Nonnull] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym__Alignas] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_precise] = ACTIONS(2578),
    [anon_sym_shared] = ACTIONS(2578),
    [anon_sym_groupshared] = ACTIONS(2578),
    [anon_sym_uniform] = ACTIONS(2578),
    [anon_sym_row_major] = ACTIONS(2578),
    [anon_sym_column_major] = ACTIONS(2578),
    [anon_sym_globallycoherent] = ACTIONS(2578),
    [anon_sym_centroid] = ACTIONS(2578),
    [anon_sym_noperspective] = ACTIONS(2578),
    [anon_sym_nointerpolation] = ACTIONS(2578),
    [anon_sym_sample] = ACTIONS(2578),
    [anon_sym_linear] = ACTIONS(2578),
    [anon_sym_snorm] = ACTIONS(2578),
    [anon_sym_unorm] = ACTIONS(2578),
    [anon_sym_point] = ACTIONS(2578),
    [anon_sym_line] = ACTIONS(2578),
    [anon_sym_triangleadj] = ACTIONS(2578),
    [anon_sym_lineadj] = ACTIONS(2578),
    [anon_sym_triangle] = ACTIONS(2578),
  },
  [2615] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2457),
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5670),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5670),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___attribute__] = ACTIONS(5670),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(6181),
    [anon_sym_unsigned] = ACTIONS(6181),
    [anon_sym_long] = ACTIONS(6181),
    [anon_sym_short] = ACTIONS(6181),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_EQ] = ACTIONS(5670),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_STAR_EQ] = ACTIONS(5673),
    [anon_sym_SLASH_EQ] = ACTIONS(5673),
    [anon_sym_PERCENT_EQ] = ACTIONS(5673),
    [anon_sym_PLUS_EQ] = ACTIONS(5673),
    [anon_sym_DASH_EQ] = ACTIONS(5673),
    [anon_sym_LT_LT_EQ] = ACTIONS(5673),
    [anon_sym_GT_GT_EQ] = ACTIONS(5673),
    [anon_sym_AMP_EQ] = ACTIONS(5673),
    [anon_sym_CARET_EQ] = ACTIONS(5673),
    [anon_sym_PIPE_EQ] = ACTIONS(5673),
    [anon_sym_and_eq] = ACTIONS(5670),
    [anon_sym_or_eq] = ACTIONS(5670),
    [anon_sym_xor_eq] = ACTIONS(5670),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5670),
    [anon_sym_and] = ACTIONS(5670),
    [anon_sym_bitor] = ACTIONS(5670),
    [anon_sym_xor] = ACTIONS(5670),
    [anon_sym_bitand] = ACTIONS(5670),
    [anon_sym_not_eq] = ACTIONS(5670),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5670),
    [anon_sym_decltype] = ACTIONS(5670),
  },
  [2616] = {
    [sym_attribute_declaration] = STATE(2657),
    [sym_parameter_list] = STATE(2699),
    [aux_sym_attributed_declarator_repeat1] = STATE(2657),
    [sym_identifier] = ACTIONS(6418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6420),
    [anon_sym_COMMA] = ACTIONS(6420),
    [anon_sym_RPAREN] = ACTIONS(6420),
    [aux_sym_preproc_if_token2] = ACTIONS(6420),
    [aux_sym_preproc_else_token1] = ACTIONS(6420),
    [aux_sym_preproc_elif_token1] = ACTIONS(6418),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6420),
    [anon_sym_LPAREN2] = ACTIONS(6385),
    [anon_sym_DASH] = ACTIONS(6418),
    [anon_sym_PLUS] = ACTIONS(6418),
    [anon_sym_STAR] = ACTIONS(6418),
    [anon_sym_SLASH] = ACTIONS(6418),
    [anon_sym_PERCENT] = ACTIONS(6418),
    [anon_sym_PIPE_PIPE] = ACTIONS(6420),
    [anon_sym_AMP_AMP] = ACTIONS(6420),
    [anon_sym_PIPE] = ACTIONS(6418),
    [anon_sym_CARET] = ACTIONS(6418),
    [anon_sym_AMP] = ACTIONS(6418),
    [anon_sym_EQ_EQ] = ACTIONS(6420),
    [anon_sym_BANG_EQ] = ACTIONS(6420),
    [anon_sym_GT] = ACTIONS(6418),
    [anon_sym_GT_EQ] = ACTIONS(6420),
    [anon_sym_LT_EQ] = ACTIONS(6418),
    [anon_sym_LT] = ACTIONS(6418),
    [anon_sym_LT_LT] = ACTIONS(6418),
    [anon_sym_GT_GT] = ACTIONS(6418),
    [anon_sym_COLON] = ACTIONS(6420),
    [anon_sym_SEMI] = ACTIONS(6420),
    [anon_sym___attribute__] = ACTIONS(6418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6387),
    [anon_sym_RBRACE] = ACTIONS(6420),
    [anon_sym_LBRACK] = ACTIONS(6389),
    [anon_sym_RBRACK] = ACTIONS(6420),
    [anon_sym_EQ] = ACTIONS(6418),
    [anon_sym_QMARK] = ACTIONS(6420),
    [anon_sym_STAR_EQ] = ACTIONS(6420),
    [anon_sym_SLASH_EQ] = ACTIONS(6420),
    [anon_sym_PERCENT_EQ] = ACTIONS(6420),
    [anon_sym_PLUS_EQ] = ACTIONS(6420),
    [anon_sym_DASH_EQ] = ACTIONS(6420),
    [anon_sym_LT_LT_EQ] = ACTIONS(6420),
    [anon_sym_GT_GT_EQ] = ACTIONS(6420),
    [anon_sym_AMP_EQ] = ACTIONS(6420),
    [anon_sym_CARET_EQ] = ACTIONS(6420),
    [anon_sym_PIPE_EQ] = ACTIONS(6420),
    [anon_sym_and_eq] = ACTIONS(6418),
    [anon_sym_or_eq] = ACTIONS(6418),
    [anon_sym_xor_eq] = ACTIONS(6418),
    [anon_sym_LT_EQ_GT] = ACTIONS(6420),
    [anon_sym_or] = ACTIONS(6418),
    [anon_sym_and] = ACTIONS(6418),
    [anon_sym_bitor] = ACTIONS(6418),
    [anon_sym_xor] = ACTIONS(6418),
    [anon_sym_bitand] = ACTIONS(6418),
    [anon_sym_not_eq] = ACTIONS(6418),
    [anon_sym_DASH_DASH] = ACTIONS(6420),
    [anon_sym_PLUS_PLUS] = ACTIONS(6420),
    [anon_sym_DOT] = ACTIONS(6418),
    [anon_sym_DOT_STAR] = ACTIONS(6420),
    [anon_sym_DASH_GT] = ACTIONS(6420),
    [sym_comment] = ACTIONS(3),
  },
  [2617] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6172),
    [anon_sym_COMMA] = ACTIONS(6172),
    [anon_sym_RPAREN] = ACTIONS(6172),
    [anon_sym_LPAREN2] = ACTIONS(6172),
    [anon_sym_DASH] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6170),
    [anon_sym_STAR] = ACTIONS(6170),
    [anon_sym_SLASH] = ACTIONS(6170),
    [anon_sym_PERCENT] = ACTIONS(6170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6172),
    [anon_sym_AMP_AMP] = ACTIONS(6172),
    [anon_sym_PIPE] = ACTIONS(6170),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_AMP] = ACTIONS(6170),
    [anon_sym_EQ_EQ] = ACTIONS(6172),
    [anon_sym_BANG_EQ] = ACTIONS(6172),
    [anon_sym_GT] = ACTIONS(6170),
    [anon_sym_GT_EQ] = ACTIONS(6172),
    [anon_sym_LT_EQ] = ACTIONS(6170),
    [anon_sym_LT] = ACTIONS(6170),
    [anon_sym_LT_LT] = ACTIONS(6170),
    [anon_sym_GT_GT] = ACTIONS(6170),
    [anon_sym_COLON] = ACTIONS(6172),
    [anon_sym_SEMI] = ACTIONS(6172),
    [anon_sym_RBRACE] = ACTIONS(6172),
    [anon_sym_LBRACK] = ACTIONS(6172),
    [anon_sym_RBRACK] = ACTIONS(6172),
    [anon_sym_EQ] = ACTIONS(6170),
    [anon_sym_QMARK] = ACTIONS(6172),
    [anon_sym_STAR_EQ] = ACTIONS(6172),
    [anon_sym_SLASH_EQ] = ACTIONS(6172),
    [anon_sym_PERCENT_EQ] = ACTIONS(6172),
    [anon_sym_PLUS_EQ] = ACTIONS(6172),
    [anon_sym_DASH_EQ] = ACTIONS(6172),
    [anon_sym_LT_LT_EQ] = ACTIONS(6172),
    [anon_sym_GT_GT_EQ] = ACTIONS(6172),
    [anon_sym_AMP_EQ] = ACTIONS(6172),
    [anon_sym_CARET_EQ] = ACTIONS(6172),
    [anon_sym_PIPE_EQ] = ACTIONS(6172),
    [anon_sym_and_eq] = ACTIONS(6170),
    [anon_sym_or_eq] = ACTIONS(6170),
    [anon_sym_xor_eq] = ACTIONS(6170),
    [anon_sym_LT_EQ_GT] = ACTIONS(6172),
    [anon_sym_or] = ACTIONS(6170),
    [anon_sym_and] = ACTIONS(6170),
    [anon_sym_bitor] = ACTIONS(6170),
    [anon_sym_xor] = ACTIONS(6170),
    [anon_sym_bitand] = ACTIONS(6170),
    [anon_sym_not_eq] = ACTIONS(6170),
    [anon_sym_DASH_DASH] = ACTIONS(6172),
    [anon_sym_PLUS_PLUS] = ACTIONS(6172),
    [anon_sym_DOT] = ACTIONS(6170),
    [anon_sym_DOT_STAR] = ACTIONS(6172),
    [anon_sym_DASH_GT] = ACTIONS(6172),
    [anon_sym_L_DQUOTE] = ACTIONS(6172),
    [anon_sym_u_DQUOTE] = ACTIONS(6172),
    [anon_sym_U_DQUOTE] = ACTIONS(6172),
    [anon_sym_u8_DQUOTE] = ACTIONS(6172),
    [anon_sym_DQUOTE] = ACTIONS(6172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6172),
    [anon_sym_LR_DQUOTE] = ACTIONS(6172),
    [anon_sym_uR_DQUOTE] = ACTIONS(6172),
    [anon_sym_UR_DQUOTE] = ACTIONS(6172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6172),
    [sym_literal_suffix] = ACTIONS(6170),
  },
  [2618] = {
    [sym_attribute_specifier] = STATE(2677),
    [sym_identifier] = ACTIONS(5967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5969),
    [anon_sym_COMMA] = ACTIONS(5969),
    [anon_sym_RPAREN] = ACTIONS(5969),
    [aux_sym_preproc_if_token2] = ACTIONS(5969),
    [aux_sym_preproc_else_token1] = ACTIONS(5969),
    [aux_sym_preproc_elif_token1] = ACTIONS(5967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5969),
    [anon_sym_LPAREN2] = ACTIONS(5969),
    [anon_sym_DASH] = ACTIONS(5967),
    [anon_sym_PLUS] = ACTIONS(5967),
    [anon_sym_STAR] = ACTIONS(5967),
    [anon_sym_SLASH] = ACTIONS(5967),
    [anon_sym_PERCENT] = ACTIONS(5967),
    [anon_sym_PIPE_PIPE] = ACTIONS(5969),
    [anon_sym_AMP_AMP] = ACTIONS(5969),
    [anon_sym_PIPE] = ACTIONS(5967),
    [anon_sym_CARET] = ACTIONS(5967),
    [anon_sym_AMP] = ACTIONS(5967),
    [anon_sym_EQ_EQ] = ACTIONS(5969),
    [anon_sym_BANG_EQ] = ACTIONS(5969),
    [anon_sym_GT] = ACTIONS(5967),
    [anon_sym_GT_EQ] = ACTIONS(5969),
    [anon_sym_LT_EQ] = ACTIONS(5967),
    [anon_sym_LT] = ACTIONS(5967),
    [anon_sym_LT_LT] = ACTIONS(5967),
    [anon_sym_GT_GT] = ACTIONS(5967),
    [anon_sym_COLON] = ACTIONS(5969),
    [anon_sym_SEMI] = ACTIONS(5969),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5969),
    [anon_sym_RBRACE] = ACTIONS(5969),
    [anon_sym_LBRACK] = ACTIONS(5969),
    [anon_sym_RBRACK] = ACTIONS(5969),
    [anon_sym_EQ] = ACTIONS(5967),
    [anon_sym_QMARK] = ACTIONS(5969),
    [anon_sym_STAR_EQ] = ACTIONS(5969),
    [anon_sym_SLASH_EQ] = ACTIONS(5969),
    [anon_sym_PERCENT_EQ] = ACTIONS(5969),
    [anon_sym_PLUS_EQ] = ACTIONS(5969),
    [anon_sym_DASH_EQ] = ACTIONS(5969),
    [anon_sym_LT_LT_EQ] = ACTIONS(5969),
    [anon_sym_GT_GT_EQ] = ACTIONS(5969),
    [anon_sym_AMP_EQ] = ACTIONS(5969),
    [anon_sym_CARET_EQ] = ACTIONS(5969),
    [anon_sym_PIPE_EQ] = ACTIONS(5969),
    [anon_sym_and_eq] = ACTIONS(5967),
    [anon_sym_or_eq] = ACTIONS(5967),
    [anon_sym_xor_eq] = ACTIONS(5967),
    [anon_sym_LT_EQ_GT] = ACTIONS(5969),
    [anon_sym_or] = ACTIONS(5967),
    [anon_sym_and] = ACTIONS(5967),
    [anon_sym_bitor] = ACTIONS(5967),
    [anon_sym_xor] = ACTIONS(5967),
    [anon_sym_bitand] = ACTIONS(5967),
    [anon_sym_not_eq] = ACTIONS(5967),
    [anon_sym_DASH_DASH] = ACTIONS(5969),
    [anon_sym_PLUS_PLUS] = ACTIONS(5969),
    [anon_sym_DOT] = ACTIONS(5967),
    [anon_sym_DOT_STAR] = ACTIONS(5969),
    [anon_sym_DASH_GT] = ACTIONS(5969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5967),
    [anon_sym_decltype] = ACTIONS(5967),
  },
  [2619] = {
    [sym_attribute_declaration] = STATE(2657),
    [sym_parameter_list] = STATE(2699),
    [aux_sym_attributed_declarator_repeat1] = STATE(2657),
    [sym_identifier] = ACTIONS(6422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6424),
    [anon_sym_COMMA] = ACTIONS(6424),
    [anon_sym_RPAREN] = ACTIONS(6424),
    [aux_sym_preproc_if_token2] = ACTIONS(6424),
    [aux_sym_preproc_else_token1] = ACTIONS(6424),
    [aux_sym_preproc_elif_token1] = ACTIONS(6422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6424),
    [anon_sym_LPAREN2] = ACTIONS(6385),
    [anon_sym_DASH] = ACTIONS(6422),
    [anon_sym_PLUS] = ACTIONS(6422),
    [anon_sym_STAR] = ACTIONS(6422),
    [anon_sym_SLASH] = ACTIONS(6422),
    [anon_sym_PERCENT] = ACTIONS(6422),
    [anon_sym_PIPE_PIPE] = ACTIONS(6424),
    [anon_sym_AMP_AMP] = ACTIONS(6424),
    [anon_sym_PIPE] = ACTIONS(6422),
    [anon_sym_CARET] = ACTIONS(6422),
    [anon_sym_AMP] = ACTIONS(6422),
    [anon_sym_EQ_EQ] = ACTIONS(6424),
    [anon_sym_BANG_EQ] = ACTIONS(6424),
    [anon_sym_GT] = ACTIONS(6422),
    [anon_sym_GT_EQ] = ACTIONS(6424),
    [anon_sym_LT_EQ] = ACTIONS(6422),
    [anon_sym_LT] = ACTIONS(6422),
    [anon_sym_LT_LT] = ACTIONS(6422),
    [anon_sym_GT_GT] = ACTIONS(6422),
    [anon_sym_COLON] = ACTIONS(6424),
    [anon_sym_SEMI] = ACTIONS(6424),
    [anon_sym___attribute__] = ACTIONS(6422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6387),
    [anon_sym_RBRACE] = ACTIONS(6424),
    [anon_sym_LBRACK] = ACTIONS(6389),
    [anon_sym_RBRACK] = ACTIONS(6424),
    [anon_sym_EQ] = ACTIONS(6422),
    [anon_sym_QMARK] = ACTIONS(6424),
    [anon_sym_STAR_EQ] = ACTIONS(6424),
    [anon_sym_SLASH_EQ] = ACTIONS(6424),
    [anon_sym_PERCENT_EQ] = ACTIONS(6424),
    [anon_sym_PLUS_EQ] = ACTIONS(6424),
    [anon_sym_DASH_EQ] = ACTIONS(6424),
    [anon_sym_LT_LT_EQ] = ACTIONS(6424),
    [anon_sym_GT_GT_EQ] = ACTIONS(6424),
    [anon_sym_AMP_EQ] = ACTIONS(6424),
    [anon_sym_CARET_EQ] = ACTIONS(6424),
    [anon_sym_PIPE_EQ] = ACTIONS(6424),
    [anon_sym_and_eq] = ACTIONS(6422),
    [anon_sym_or_eq] = ACTIONS(6422),
    [anon_sym_xor_eq] = ACTIONS(6422),
    [anon_sym_LT_EQ_GT] = ACTIONS(6424),
    [anon_sym_or] = ACTIONS(6422),
    [anon_sym_and] = ACTIONS(6422),
    [anon_sym_bitor] = ACTIONS(6422),
    [anon_sym_xor] = ACTIONS(6422),
    [anon_sym_bitand] = ACTIONS(6422),
    [anon_sym_not_eq] = ACTIONS(6422),
    [anon_sym_DASH_DASH] = ACTIONS(6424),
    [anon_sym_PLUS_PLUS] = ACTIONS(6424),
    [anon_sym_DOT] = ACTIONS(6422),
    [anon_sym_DOT_STAR] = ACTIONS(6424),
    [anon_sym_DASH_GT] = ACTIONS(6424),
    [sym_comment] = ACTIONS(3),
  },
  [2620] = {
    [sym_attribute_specifier] = STATE(2678),
    [sym_identifier] = ACTIONS(5939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5941),
    [anon_sym_COMMA] = ACTIONS(5941),
    [anon_sym_RPAREN] = ACTIONS(5941),
    [aux_sym_preproc_if_token2] = ACTIONS(5941),
    [aux_sym_preproc_else_token1] = ACTIONS(5941),
    [aux_sym_preproc_elif_token1] = ACTIONS(5939),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5941),
    [anon_sym_LPAREN2] = ACTIONS(5941),
    [anon_sym_DASH] = ACTIONS(5939),
    [anon_sym_PLUS] = ACTIONS(5939),
    [anon_sym_STAR] = ACTIONS(5939),
    [anon_sym_SLASH] = ACTIONS(5939),
    [anon_sym_PERCENT] = ACTIONS(5939),
    [anon_sym_PIPE_PIPE] = ACTIONS(5941),
    [anon_sym_AMP_AMP] = ACTIONS(5941),
    [anon_sym_PIPE] = ACTIONS(5939),
    [anon_sym_CARET] = ACTIONS(5939),
    [anon_sym_AMP] = ACTIONS(5939),
    [anon_sym_EQ_EQ] = ACTIONS(5941),
    [anon_sym_BANG_EQ] = ACTIONS(5941),
    [anon_sym_GT] = ACTIONS(5939),
    [anon_sym_GT_EQ] = ACTIONS(5941),
    [anon_sym_LT_EQ] = ACTIONS(5939),
    [anon_sym_LT] = ACTIONS(5939),
    [anon_sym_LT_LT] = ACTIONS(5939),
    [anon_sym_GT_GT] = ACTIONS(5939),
    [anon_sym_COLON] = ACTIONS(5941),
    [anon_sym_SEMI] = ACTIONS(5941),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5941),
    [anon_sym_RBRACE] = ACTIONS(5941),
    [anon_sym_LBRACK] = ACTIONS(5941),
    [anon_sym_RBRACK] = ACTIONS(5941),
    [anon_sym_EQ] = ACTIONS(5939),
    [anon_sym_QMARK] = ACTIONS(5941),
    [anon_sym_STAR_EQ] = ACTIONS(5941),
    [anon_sym_SLASH_EQ] = ACTIONS(5941),
    [anon_sym_PERCENT_EQ] = ACTIONS(5941),
    [anon_sym_PLUS_EQ] = ACTIONS(5941),
    [anon_sym_DASH_EQ] = ACTIONS(5941),
    [anon_sym_LT_LT_EQ] = ACTIONS(5941),
    [anon_sym_GT_GT_EQ] = ACTIONS(5941),
    [anon_sym_AMP_EQ] = ACTIONS(5941),
    [anon_sym_CARET_EQ] = ACTIONS(5941),
    [anon_sym_PIPE_EQ] = ACTIONS(5941),
    [anon_sym_and_eq] = ACTIONS(5939),
    [anon_sym_or_eq] = ACTIONS(5939),
    [anon_sym_xor_eq] = ACTIONS(5939),
    [anon_sym_LT_EQ_GT] = ACTIONS(5941),
    [anon_sym_or] = ACTIONS(5939),
    [anon_sym_and] = ACTIONS(5939),
    [anon_sym_bitor] = ACTIONS(5939),
    [anon_sym_xor] = ACTIONS(5939),
    [anon_sym_bitand] = ACTIONS(5939),
    [anon_sym_not_eq] = ACTIONS(5939),
    [anon_sym_DASH_DASH] = ACTIONS(5941),
    [anon_sym_PLUS_PLUS] = ACTIONS(5941),
    [anon_sym_DOT] = ACTIONS(5939),
    [anon_sym_DOT_STAR] = ACTIONS(5941),
    [anon_sym_DASH_GT] = ACTIONS(5941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5939),
    [anon_sym_decltype] = ACTIONS(5939),
  },
  [2621] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2636),
    [sym_identifier] = ACTIONS(6426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5694),
    [anon_sym_COMMA] = ACTIONS(5694),
    [aux_sym_preproc_if_token2] = ACTIONS(5694),
    [aux_sym_preproc_else_token1] = ACTIONS(5694),
    [aux_sym_preproc_elif_token1] = ACTIONS(5696),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5694),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5696),
    [anon_sym_SLASH] = ACTIONS(5696),
    [anon_sym_PERCENT] = ACTIONS(5696),
    [anon_sym_PIPE_PIPE] = ACTIONS(5694),
    [anon_sym_AMP_AMP] = ACTIONS(5694),
    [anon_sym_PIPE] = ACTIONS(5696),
    [anon_sym_CARET] = ACTIONS(5696),
    [anon_sym_AMP] = ACTIONS(5696),
    [anon_sym_EQ_EQ] = ACTIONS(5694),
    [anon_sym_BANG_EQ] = ACTIONS(5694),
    [anon_sym_GT] = ACTIONS(5696),
    [anon_sym_GT_EQ] = ACTIONS(5694),
    [anon_sym_LT_EQ] = ACTIONS(5696),
    [anon_sym_LT] = ACTIONS(5696),
    [anon_sym_LT_LT] = ACTIONS(5696),
    [anon_sym_GT_GT] = ACTIONS(5696),
    [anon_sym___attribute__] = ACTIONS(5696),
    [anon_sym_LBRACE] = ACTIONS(5694),
    [anon_sym_signed] = ACTIONS(6429),
    [anon_sym_unsigned] = ACTIONS(6429),
    [anon_sym_long] = ACTIONS(6429),
    [anon_sym_short] = ACTIONS(6429),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(5696),
    [sym_primitive_type] = ACTIONS(6431),
    [anon_sym_QMARK] = ACTIONS(5694),
    [anon_sym_STAR_EQ] = ACTIONS(5694),
    [anon_sym_SLASH_EQ] = ACTIONS(5694),
    [anon_sym_PERCENT_EQ] = ACTIONS(5694),
    [anon_sym_PLUS_EQ] = ACTIONS(5694),
    [anon_sym_DASH_EQ] = ACTIONS(5694),
    [anon_sym_LT_LT_EQ] = ACTIONS(5694),
    [anon_sym_GT_GT_EQ] = ACTIONS(5694),
    [anon_sym_AMP_EQ] = ACTIONS(5694),
    [anon_sym_CARET_EQ] = ACTIONS(5694),
    [anon_sym_PIPE_EQ] = ACTIONS(5694),
    [anon_sym_and_eq] = ACTIONS(5696),
    [anon_sym_or_eq] = ACTIONS(5696),
    [anon_sym_xor_eq] = ACTIONS(5696),
    [anon_sym_LT_EQ_GT] = ACTIONS(5694),
    [anon_sym_or] = ACTIONS(5696),
    [anon_sym_and] = ACTIONS(5696),
    [anon_sym_bitor] = ACTIONS(5696),
    [anon_sym_xor] = ACTIONS(5696),
    [anon_sym_bitand] = ACTIONS(5696),
    [anon_sym_not_eq] = ACTIONS(5696),
    [anon_sym_DASH_DASH] = ACTIONS(5694),
    [anon_sym_PLUS_PLUS] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_DOT_STAR] = ACTIONS(5694),
    [anon_sym_DASH_GT] = ACTIONS(5694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5696),
    [anon_sym_decltype] = ACTIONS(5696),
  },
  [2622] = {
    [sym_string_literal] = STATE(2611),
    [sym_template_argument_list] = STATE(3458),
    [sym_raw_string_literal] = STATE(2611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4085),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(6433),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4085),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(4077),
    [anon_sym_SLASH_EQ] = ACTIONS(4077),
    [anon_sym_PERCENT_EQ] = ACTIONS(4077),
    [anon_sym_PLUS_EQ] = ACTIONS(4077),
    [anon_sym_DASH_EQ] = ACTIONS(4077),
    [anon_sym_LT_LT_EQ] = ACTIONS(4077),
    [anon_sym_GT_GT_EQ] = ACTIONS(4085),
    [anon_sym_AMP_EQ] = ACTIONS(4077),
    [anon_sym_CARET_EQ] = ACTIONS(4077),
    [anon_sym_PIPE_EQ] = ACTIONS(4077),
    [anon_sym_and_eq] = ACTIONS(4077),
    [anon_sym_or_eq] = ACTIONS(4077),
    [anon_sym_xor_eq] = ACTIONS(4077),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(6406),
    [anon_sym_u_DQUOTE] = ACTIONS(6406),
    [anon_sym_U_DQUOTE] = ACTIONS(6406),
    [anon_sym_u8_DQUOTE] = ACTIONS(6406),
    [anon_sym_DQUOTE] = ACTIONS(6406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4077),
    [anon_sym_R_DQUOTE] = ACTIONS(6408),
    [anon_sym_LR_DQUOTE] = ACTIONS(6408),
    [anon_sym_uR_DQUOTE] = ACTIONS(6408),
    [anon_sym_UR_DQUOTE] = ACTIONS(6408),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6408),
  },
  [2623] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym__Nonnull] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym__Alignas] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
  },
  [2624] = {
    [sym_template_argument_list] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5666),
    [anon_sym_COMMA] = ACTIONS(5666),
    [anon_sym_RPAREN] = ACTIONS(5666),
    [anon_sym_LPAREN2] = ACTIONS(5666),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5664),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5666),
    [anon_sym_AMP_AMP] = ACTIONS(5666),
    [anon_sym_PIPE] = ACTIONS(5664),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(5664),
    [anon_sym_EQ_EQ] = ACTIONS(5666),
    [anon_sym_BANG_EQ] = ACTIONS(5666),
    [anon_sym_GT] = ACTIONS(5664),
    [anon_sym_GT_EQ] = ACTIONS(5666),
    [anon_sym_LT_EQ] = ACTIONS(5664),
    [anon_sym_LT] = ACTIONS(5664),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5664),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_SEMI] = ACTIONS(5666),
    [anon_sym___attribute__] = ACTIONS(5666),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(5666),
    [anon_sym_RBRACE] = ACTIONS(5666),
    [anon_sym_signed] = ACTIONS(6436),
    [anon_sym_unsigned] = ACTIONS(6436),
    [anon_sym_long] = ACTIONS(6436),
    [anon_sym_short] = ACTIONS(6436),
    [anon_sym_LBRACK] = ACTIONS(5666),
    [anon_sym_RBRACK] = ACTIONS(5666),
    [anon_sym_EQ] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5666),
    [anon_sym_STAR_EQ] = ACTIONS(5666),
    [anon_sym_SLASH_EQ] = ACTIONS(5666),
    [anon_sym_PERCENT_EQ] = ACTIONS(5666),
    [anon_sym_PLUS_EQ] = ACTIONS(5666),
    [anon_sym_DASH_EQ] = ACTIONS(5666),
    [anon_sym_LT_LT_EQ] = ACTIONS(5666),
    [anon_sym_GT_GT_EQ] = ACTIONS(5666),
    [anon_sym_AMP_EQ] = ACTIONS(5666),
    [anon_sym_CARET_EQ] = ACTIONS(5666),
    [anon_sym_PIPE_EQ] = ACTIONS(5666),
    [anon_sym_and_eq] = ACTIONS(5666),
    [anon_sym_or_eq] = ACTIONS(5666),
    [anon_sym_xor_eq] = ACTIONS(5666),
    [anon_sym_LT_EQ_GT] = ACTIONS(5666),
    [anon_sym_or] = ACTIONS(5664),
    [anon_sym_and] = ACTIONS(5664),
    [anon_sym_bitor] = ACTIONS(5666),
    [anon_sym_xor] = ACTIONS(5664),
    [anon_sym_bitand] = ACTIONS(5666),
    [anon_sym_not_eq] = ACTIONS(5666),
    [anon_sym_DASH_DASH] = ACTIONS(5666),
    [anon_sym_PLUS_PLUS] = ACTIONS(5666),
    [anon_sym_DOT] = ACTIONS(5664),
    [anon_sym_DOT_STAR] = ACTIONS(5666),
    [anon_sym_DASH_GT] = ACTIONS(5666),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5666),
    [anon_sym_decltype] = ACTIONS(5666),
  },
  [2625] = {
    [sym_attribute_specifier] = STATE(2310),
    [sym_enumerator_list] = STATE(2366),
    [sym__enum_base_clause] = STATE(2314),
    [sym_identifier] = ACTIONS(6024),
    [anon_sym_LPAREN2] = ACTIONS(6026),
    [anon_sym_STAR] = ACTIONS(6026),
    [anon_sym_AMP_AMP] = ACTIONS(6026),
    [anon_sym_AMP] = ACTIONS(6024),
    [anon_sym_COLON] = ACTIONS(6438),
    [anon_sym_SEMI] = ACTIONS(6026),
    [anon_sym___extension__] = ACTIONS(6024),
    [anon_sym_in] = ACTIONS(6024),
    [anon_sym_out] = ACTIONS(6024),
    [anon_sym_inout] = ACTIONS(6024),
    [anon_sym_virtual] = ACTIONS(6024),
    [anon_sym_extern] = ACTIONS(6024),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6026),
    [anon_sym___declspec] = ACTIONS(6024),
    [anon_sym___based] = ACTIONS(6024),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_static] = ACTIONS(6024),
    [anon_sym_register] = ACTIONS(6024),
    [anon_sym_inline] = ACTIONS(6024),
    [anon_sym___inline] = ACTIONS(6024),
    [anon_sym___inline__] = ACTIONS(6024),
    [anon_sym___forceinline] = ACTIONS(6024),
    [anon_sym_thread_local] = ACTIONS(6024),
    [anon_sym___thread] = ACTIONS(6024),
    [anon_sym_const] = ACTIONS(6024),
    [anon_sym_constexpr] = ACTIONS(6024),
    [anon_sym_volatile] = ACTIONS(6024),
    [anon_sym_restrict] = ACTIONS(6024),
    [anon_sym___restrict__] = ACTIONS(6024),
    [anon_sym__Atomic] = ACTIONS(6024),
    [anon_sym__Noreturn] = ACTIONS(6024),
    [anon_sym_noreturn] = ACTIONS(6024),
    [anon_sym__Nonnull] = ACTIONS(6024),
    [anon_sym_mutable] = ACTIONS(6024),
    [anon_sym_constinit] = ACTIONS(6024),
    [anon_sym_consteval] = ACTIONS(6024),
    [anon_sym_alignas] = ACTIONS(6024),
    [anon_sym__Alignas] = ACTIONS(6024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6024),
    [anon_sym_decltype] = ACTIONS(6024),
    [anon_sym_operator] = ACTIONS(6024),
    [anon_sym_precise] = ACTIONS(6024),
    [anon_sym_shared] = ACTIONS(6024),
    [anon_sym_groupshared] = ACTIONS(6024),
    [anon_sym_uniform] = ACTIONS(6024),
    [anon_sym_row_major] = ACTIONS(6024),
    [anon_sym_column_major] = ACTIONS(6024),
    [anon_sym_globallycoherent] = ACTIONS(6024),
    [anon_sym_centroid] = ACTIONS(6024),
    [anon_sym_noperspective] = ACTIONS(6024),
    [anon_sym_nointerpolation] = ACTIONS(6024),
    [anon_sym_sample] = ACTIONS(6024),
    [anon_sym_linear] = ACTIONS(6024),
    [anon_sym_snorm] = ACTIONS(6024),
    [anon_sym_unorm] = ACTIONS(6024),
    [anon_sym_point] = ACTIONS(6024),
    [anon_sym_line] = ACTIONS(6024),
    [anon_sym_triangleadj] = ACTIONS(6024),
    [anon_sym_lineadj] = ACTIONS(6024),
    [anon_sym_triangle] = ACTIONS(6024),
  },
  [2626] = {
    [sym_attribute_specifier] = STATE(2338),
    [sym_enumerator_list] = STATE(2369),
    [sym__enum_base_clause] = STATE(2335),
    [sym_identifier] = ACTIONS(6011),
    [anon_sym_LPAREN2] = ACTIONS(6013),
    [anon_sym_STAR] = ACTIONS(6013),
    [anon_sym_AMP_AMP] = ACTIONS(6013),
    [anon_sym_AMP] = ACTIONS(6011),
    [anon_sym_COLON] = ACTIONS(6438),
    [anon_sym_SEMI] = ACTIONS(6013),
    [anon_sym___extension__] = ACTIONS(6011),
    [anon_sym_in] = ACTIONS(6011),
    [anon_sym_out] = ACTIONS(6011),
    [anon_sym_inout] = ACTIONS(6011),
    [anon_sym_virtual] = ACTIONS(6011),
    [anon_sym_extern] = ACTIONS(6011),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6013),
    [anon_sym___declspec] = ACTIONS(6011),
    [anon_sym___based] = ACTIONS(6011),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_static] = ACTIONS(6011),
    [anon_sym_register] = ACTIONS(6011),
    [anon_sym_inline] = ACTIONS(6011),
    [anon_sym___inline] = ACTIONS(6011),
    [anon_sym___inline__] = ACTIONS(6011),
    [anon_sym___forceinline] = ACTIONS(6011),
    [anon_sym_thread_local] = ACTIONS(6011),
    [anon_sym___thread] = ACTIONS(6011),
    [anon_sym_const] = ACTIONS(6011),
    [anon_sym_constexpr] = ACTIONS(6011),
    [anon_sym_volatile] = ACTIONS(6011),
    [anon_sym_restrict] = ACTIONS(6011),
    [anon_sym___restrict__] = ACTIONS(6011),
    [anon_sym__Atomic] = ACTIONS(6011),
    [anon_sym__Noreturn] = ACTIONS(6011),
    [anon_sym_noreturn] = ACTIONS(6011),
    [anon_sym__Nonnull] = ACTIONS(6011),
    [anon_sym_mutable] = ACTIONS(6011),
    [anon_sym_constinit] = ACTIONS(6011),
    [anon_sym_consteval] = ACTIONS(6011),
    [anon_sym_alignas] = ACTIONS(6011),
    [anon_sym__Alignas] = ACTIONS(6011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6011),
    [anon_sym_decltype] = ACTIONS(6011),
    [anon_sym_operator] = ACTIONS(6011),
    [anon_sym_precise] = ACTIONS(6011),
    [anon_sym_shared] = ACTIONS(6011),
    [anon_sym_groupshared] = ACTIONS(6011),
    [anon_sym_uniform] = ACTIONS(6011),
    [anon_sym_row_major] = ACTIONS(6011),
    [anon_sym_column_major] = ACTIONS(6011),
    [anon_sym_globallycoherent] = ACTIONS(6011),
    [anon_sym_centroid] = ACTIONS(6011),
    [anon_sym_noperspective] = ACTIONS(6011),
    [anon_sym_nointerpolation] = ACTIONS(6011),
    [anon_sym_sample] = ACTIONS(6011),
    [anon_sym_linear] = ACTIONS(6011),
    [anon_sym_snorm] = ACTIONS(6011),
    [anon_sym_unorm] = ACTIONS(6011),
    [anon_sym_point] = ACTIONS(6011),
    [anon_sym_line] = ACTIONS(6011),
    [anon_sym_triangleadj] = ACTIONS(6011),
    [anon_sym_lineadj] = ACTIONS(6011),
    [anon_sym_triangle] = ACTIONS(6011),
  },
  [2627] = {
    [sym_attribute_declaration] = STATE(2657),
    [sym_parameter_list] = STATE(2699),
    [aux_sym_attributed_declarator_repeat1] = STATE(2657),
    [sym_identifier] = ACTIONS(6440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6442),
    [anon_sym_COMMA] = ACTIONS(6442),
    [anon_sym_RPAREN] = ACTIONS(6442),
    [aux_sym_preproc_if_token2] = ACTIONS(6442),
    [aux_sym_preproc_else_token1] = ACTIONS(6442),
    [aux_sym_preproc_elif_token1] = ACTIONS(6440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6442),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6442),
    [anon_sym_LPAREN2] = ACTIONS(6385),
    [anon_sym_DASH] = ACTIONS(6440),
    [anon_sym_PLUS] = ACTIONS(6440),
    [anon_sym_STAR] = ACTIONS(6440),
    [anon_sym_SLASH] = ACTIONS(6440),
    [anon_sym_PERCENT] = ACTIONS(6440),
    [anon_sym_PIPE_PIPE] = ACTIONS(6442),
    [anon_sym_AMP_AMP] = ACTIONS(6442),
    [anon_sym_PIPE] = ACTIONS(6440),
    [anon_sym_CARET] = ACTIONS(6440),
    [anon_sym_AMP] = ACTIONS(6440),
    [anon_sym_EQ_EQ] = ACTIONS(6442),
    [anon_sym_BANG_EQ] = ACTIONS(6442),
    [anon_sym_GT] = ACTIONS(6440),
    [anon_sym_GT_EQ] = ACTIONS(6442),
    [anon_sym_LT_EQ] = ACTIONS(6440),
    [anon_sym_LT] = ACTIONS(6440),
    [anon_sym_LT_LT] = ACTIONS(6440),
    [anon_sym_GT_GT] = ACTIONS(6440),
    [anon_sym_COLON] = ACTIONS(6442),
    [anon_sym_SEMI] = ACTIONS(6442),
    [anon_sym___attribute__] = ACTIONS(6440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6387),
    [anon_sym_RBRACE] = ACTIONS(6442),
    [anon_sym_LBRACK] = ACTIONS(6389),
    [anon_sym_RBRACK] = ACTIONS(6442),
    [anon_sym_EQ] = ACTIONS(6440),
    [anon_sym_QMARK] = ACTIONS(6442),
    [anon_sym_STAR_EQ] = ACTIONS(6442),
    [anon_sym_SLASH_EQ] = ACTIONS(6442),
    [anon_sym_PERCENT_EQ] = ACTIONS(6442),
    [anon_sym_PLUS_EQ] = ACTIONS(6442),
    [anon_sym_DASH_EQ] = ACTIONS(6442),
    [anon_sym_LT_LT_EQ] = ACTIONS(6442),
    [anon_sym_GT_GT_EQ] = ACTIONS(6442),
    [anon_sym_AMP_EQ] = ACTIONS(6442),
    [anon_sym_CARET_EQ] = ACTIONS(6442),
    [anon_sym_PIPE_EQ] = ACTIONS(6442),
    [anon_sym_and_eq] = ACTIONS(6440),
    [anon_sym_or_eq] = ACTIONS(6440),
    [anon_sym_xor_eq] = ACTIONS(6440),
    [anon_sym_LT_EQ_GT] = ACTIONS(6442),
    [anon_sym_or] = ACTIONS(6440),
    [anon_sym_and] = ACTIONS(6440),
    [anon_sym_bitor] = ACTIONS(6440),
    [anon_sym_xor] = ACTIONS(6440),
    [anon_sym_bitand] = ACTIONS(6440),
    [anon_sym_not_eq] = ACTIONS(6440),
    [anon_sym_DASH_DASH] = ACTIONS(6442),
    [anon_sym_PLUS_PLUS] = ACTIONS(6442),
    [anon_sym_DOT] = ACTIONS(6440),
    [anon_sym_DOT_STAR] = ACTIONS(6442),
    [anon_sym_DASH_GT] = ACTIONS(6442),
    [sym_comment] = ACTIONS(3),
  },
  [2628] = {
    [sym_identifier] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_in] = ACTIONS(2606),
    [anon_sym_out] = ACTIONS(2606),
    [anon_sym_inout] = ACTIONS(2606),
    [anon_sym_virtual] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym__Nonnull] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym__Alignas] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_precise] = ACTIONS(2606),
    [anon_sym_shared] = ACTIONS(2606),
    [anon_sym_groupshared] = ACTIONS(2606),
    [anon_sym_uniform] = ACTIONS(2606),
    [anon_sym_row_major] = ACTIONS(2606),
    [anon_sym_column_major] = ACTIONS(2606),
    [anon_sym_globallycoherent] = ACTIONS(2606),
    [anon_sym_centroid] = ACTIONS(2606),
    [anon_sym_noperspective] = ACTIONS(2606),
    [anon_sym_nointerpolation] = ACTIONS(2606),
    [anon_sym_sample] = ACTIONS(2606),
    [anon_sym_linear] = ACTIONS(2606),
    [anon_sym_snorm] = ACTIONS(2606),
    [anon_sym_unorm] = ACTIONS(2606),
    [anon_sym_point] = ACTIONS(2606),
    [anon_sym_line] = ACTIONS(2606),
    [anon_sym_triangleadj] = ACTIONS(2606),
    [anon_sym_lineadj] = ACTIONS(2606),
    [anon_sym_triangle] = ACTIONS(2606),
  },
  [2629] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [aux_sym_preproc_if_token2] = ACTIONS(5678),
    [aux_sym_preproc_else_token1] = ACTIONS(5678),
    [aux_sym_preproc_elif_token1] = ACTIONS(5676),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5678),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5676),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_SLASH] = ACTIONS(5676),
    [anon_sym_PERCENT] = ACTIONS(5676),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5678),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5676),
    [anon_sym_LT_LT] = ACTIONS(5676),
    [anon_sym_GT_GT] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_RBRACE] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_RBRACK] = ACTIONS(5678),
    [anon_sym_EQ] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_STAR_EQ] = ACTIONS(5678),
    [anon_sym_SLASH_EQ] = ACTIONS(5678),
    [anon_sym_PERCENT_EQ] = ACTIONS(5678),
    [anon_sym_PLUS_EQ] = ACTIONS(5678),
    [anon_sym_DASH_EQ] = ACTIONS(5678),
    [anon_sym_LT_LT_EQ] = ACTIONS(5678),
    [anon_sym_GT_GT_EQ] = ACTIONS(5678),
    [anon_sym_AMP_EQ] = ACTIONS(5678),
    [anon_sym_CARET_EQ] = ACTIONS(5678),
    [anon_sym_PIPE_EQ] = ACTIONS(5678),
    [anon_sym_and_eq] = ACTIONS(5676),
    [anon_sym_or_eq] = ACTIONS(5676),
    [anon_sym_xor_eq] = ACTIONS(5676),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5676),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_bitor] = ACTIONS(5676),
    [anon_sym_xor] = ACTIONS(5676),
    [anon_sym_bitand] = ACTIONS(5676),
    [anon_sym_not_eq] = ACTIONS(5676),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
  },
  [2630] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2453),
    [sym_identifier] = ACTIONS(6444),
    [anon_sym_LPAREN2] = ACTIONS(5694),
    [anon_sym_STAR] = ACTIONS(5694),
    [anon_sym_AMP_AMP] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(5696),
    [anon_sym___extension__] = ACTIONS(5696),
    [anon_sym_in] = ACTIONS(5696),
    [anon_sym_out] = ACTIONS(5696),
    [anon_sym_inout] = ACTIONS(5696),
    [anon_sym_virtual] = ACTIONS(5696),
    [anon_sym_extern] = ACTIONS(5696),
    [anon_sym___attribute__] = ACTIONS(5696),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5694),
    [anon_sym___declspec] = ACTIONS(5696),
    [anon_sym_LBRACE] = ACTIONS(5694),
    [anon_sym_signed] = ACTIONS(6446),
    [anon_sym_unsigned] = ACTIONS(6446),
    [anon_sym_long] = ACTIONS(6446),
    [anon_sym_short] = ACTIONS(6446),
    [anon_sym_LBRACK] = ACTIONS(5696),
    [anon_sym_static] = ACTIONS(5696),
    [anon_sym_register] = ACTIONS(5696),
    [anon_sym_inline] = ACTIONS(5696),
    [anon_sym___inline] = ACTIONS(5696),
    [anon_sym___inline__] = ACTIONS(5696),
    [anon_sym___forceinline] = ACTIONS(5696),
    [anon_sym_thread_local] = ACTIONS(5696),
    [anon_sym___thread] = ACTIONS(5696),
    [anon_sym_const] = ACTIONS(5696),
    [anon_sym_constexpr] = ACTIONS(5696),
    [anon_sym_volatile] = ACTIONS(5696),
    [anon_sym_restrict] = ACTIONS(5696),
    [anon_sym___restrict__] = ACTIONS(5696),
    [anon_sym__Atomic] = ACTIONS(5696),
    [anon_sym__Noreturn] = ACTIONS(5696),
    [anon_sym_noreturn] = ACTIONS(5696),
    [anon_sym__Nonnull] = ACTIONS(5696),
    [anon_sym_mutable] = ACTIONS(5696),
    [anon_sym_constinit] = ACTIONS(5696),
    [anon_sym_consteval] = ACTIONS(5696),
    [anon_sym_alignas] = ACTIONS(5696),
    [anon_sym__Alignas] = ACTIONS(5696),
    [sym_primitive_type] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5696),
    [anon_sym_decltype] = ACTIONS(5696),
    [anon_sym_precise] = ACTIONS(5696),
    [anon_sym_shared] = ACTIONS(5696),
    [anon_sym_groupshared] = ACTIONS(5696),
    [anon_sym_uniform] = ACTIONS(5696),
    [anon_sym_row_major] = ACTIONS(5696),
    [anon_sym_column_major] = ACTIONS(5696),
    [anon_sym_globallycoherent] = ACTIONS(5696),
    [anon_sym_centroid] = ACTIONS(5696),
    [anon_sym_noperspective] = ACTIONS(5696),
    [anon_sym_nointerpolation] = ACTIONS(5696),
    [anon_sym_sample] = ACTIONS(5696),
    [anon_sym_linear] = ACTIONS(5696),
    [anon_sym_snorm] = ACTIONS(5696),
    [anon_sym_unorm] = ACTIONS(5696),
    [anon_sym_point] = ACTIONS(5696),
    [anon_sym_line] = ACTIONS(5696),
    [anon_sym_triangleadj] = ACTIONS(5696),
    [anon_sym_lineadj] = ACTIONS(5696),
    [anon_sym_triangle] = ACTIONS(5696),
  },
  [2631] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(6448),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(6450),
    [anon_sym_SLASH_EQ] = ACTIONS(6450),
    [anon_sym_PERCENT_EQ] = ACTIONS(6450),
    [anon_sym_PLUS_EQ] = ACTIONS(6450),
    [anon_sym_DASH_EQ] = ACTIONS(6450),
    [anon_sym_LT_LT_EQ] = ACTIONS(6450),
    [anon_sym_GT_GT_EQ] = ACTIONS(6450),
    [anon_sym_AMP_EQ] = ACTIONS(6450),
    [anon_sym_CARET_EQ] = ACTIONS(6450),
    [anon_sym_PIPE_EQ] = ACTIONS(6450),
    [anon_sym_and_eq] = ACTIONS(6450),
    [anon_sym_or_eq] = ACTIONS(6450),
    [anon_sym_xor_eq] = ACTIONS(6450),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2632] = {
    [sym_template_argument_list] = STATE(2550),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2706),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4083),
    [anon_sym_COMMA] = ACTIONS(4083),
    [aux_sym_preproc_if_token2] = ACTIONS(4083),
    [aux_sym_preproc_else_token1] = ACTIONS(4083),
    [aux_sym_preproc_elif_token1] = ACTIONS(4075),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4083),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4083),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4075),
    [anon_sym_PLUS] = ACTIONS(4075),
    [anon_sym_STAR] = ACTIONS(4075),
    [anon_sym_SLASH] = ACTIONS(4075),
    [anon_sym_PERCENT] = ACTIONS(4075),
    [anon_sym_PIPE_PIPE] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4075),
    [anon_sym_CARET] = ACTIONS(4075),
    [anon_sym_AMP] = ACTIONS(4075),
    [anon_sym_EQ_EQ] = ACTIONS(4083),
    [anon_sym_BANG_EQ] = ACTIONS(4083),
    [anon_sym_GT] = ACTIONS(4075),
    [anon_sym_GT_EQ] = ACTIONS(4083),
    [anon_sym_LT_EQ] = ACTIONS(4075),
    [anon_sym_LT] = ACTIONS(6255),
    [anon_sym_LT_LT] = ACTIONS(4075),
    [anon_sym_GT_GT] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(4083),
    [anon_sym_signed] = ACTIONS(6320),
    [anon_sym_unsigned] = ACTIONS(6320),
    [anon_sym_long] = ACTIONS(6320),
    [anon_sym_short] = ACTIONS(6320),
    [anon_sym_LBRACK] = ACTIONS(4083),
    [anon_sym_EQ] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4083),
    [anon_sym_STAR_EQ] = ACTIONS(4083),
    [anon_sym_SLASH_EQ] = ACTIONS(4083),
    [anon_sym_PERCENT_EQ] = ACTIONS(4083),
    [anon_sym_PLUS_EQ] = ACTIONS(4083),
    [anon_sym_DASH_EQ] = ACTIONS(4083),
    [anon_sym_LT_LT_EQ] = ACTIONS(4083),
    [anon_sym_GT_GT_EQ] = ACTIONS(4083),
    [anon_sym_AMP_EQ] = ACTIONS(4083),
    [anon_sym_CARET_EQ] = ACTIONS(4083),
    [anon_sym_PIPE_EQ] = ACTIONS(4083),
    [anon_sym_and_eq] = ACTIONS(4075),
    [anon_sym_or_eq] = ACTIONS(4075),
    [anon_sym_xor_eq] = ACTIONS(4075),
    [anon_sym_LT_EQ_GT] = ACTIONS(4083),
    [anon_sym_or] = ACTIONS(4075),
    [anon_sym_and] = ACTIONS(4075),
    [anon_sym_bitor] = ACTIONS(4075),
    [anon_sym_xor] = ACTIONS(4075),
    [anon_sym_bitand] = ACTIONS(4075),
    [anon_sym_not_eq] = ACTIONS(4075),
    [anon_sym_DASH_DASH] = ACTIONS(4083),
    [anon_sym_PLUS_PLUS] = ACTIONS(4083),
    [anon_sym_DOT] = ACTIONS(4075),
    [anon_sym_DOT_STAR] = ACTIONS(4083),
    [anon_sym_DASH_GT] = ACTIONS(4083),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4075),
    [anon_sym_decltype] = ACTIONS(4075),
  },
  [2633] = {
    [sym_identifier] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_out] = ACTIONS(2750),
    [anon_sym_inout] = ACTIONS(2750),
    [anon_sym_virtual] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2755),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_precise] = ACTIONS(2750),
    [anon_sym_shared] = ACTIONS(2750),
    [anon_sym_groupshared] = ACTIONS(2750),
    [anon_sym_uniform] = ACTIONS(2750),
    [anon_sym_row_major] = ACTIONS(2750),
    [anon_sym_column_major] = ACTIONS(2750),
    [anon_sym_globallycoherent] = ACTIONS(2750),
    [anon_sym_centroid] = ACTIONS(2750),
    [anon_sym_noperspective] = ACTIONS(2750),
    [anon_sym_nointerpolation] = ACTIONS(2750),
    [anon_sym_sample] = ACTIONS(2750),
    [anon_sym_linear] = ACTIONS(2750),
    [anon_sym_snorm] = ACTIONS(2750),
    [anon_sym_unorm] = ACTIONS(2750),
    [anon_sym_point] = ACTIONS(2750),
    [anon_sym_line] = ACTIONS(2750),
    [anon_sym_triangleadj] = ACTIONS(2750),
    [anon_sym_lineadj] = ACTIONS(2750),
    [anon_sym_triangle] = ACTIONS(2750),
  },
  [2634] = {
    [sym_string_literal] = STATE(3632),
    [sym_template_argument_list] = STATE(4500),
    [sym_raw_string_literal] = STATE(3632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4085),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5559),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(5564),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(5566),
    [anon_sym_SLASH_EQ] = ACTIONS(5566),
    [anon_sym_PERCENT_EQ] = ACTIONS(5566),
    [anon_sym_PLUS_EQ] = ACTIONS(5566),
    [anon_sym_DASH_EQ] = ACTIONS(5566),
    [anon_sym_LT_LT_EQ] = ACTIONS(5566),
    [anon_sym_GT_GT_EQ] = ACTIONS(5564),
    [anon_sym_AMP_EQ] = ACTIONS(5566),
    [anon_sym_CARET_EQ] = ACTIONS(5566),
    [anon_sym_PIPE_EQ] = ACTIONS(5566),
    [anon_sym_and_eq] = ACTIONS(5566),
    [anon_sym_or_eq] = ACTIONS(5566),
    [anon_sym_xor_eq] = ACTIONS(5566),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(5568),
    [anon_sym_u_DQUOTE] = ACTIONS(5568),
    [anon_sym_U_DQUOTE] = ACTIONS(5568),
    [anon_sym_u8_DQUOTE] = ACTIONS(5568),
    [anon_sym_DQUOTE] = ACTIONS(5568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4077),
    [anon_sym_R_DQUOTE] = ACTIONS(5570),
    [anon_sym_LR_DQUOTE] = ACTIONS(5570),
    [anon_sym_uR_DQUOTE] = ACTIONS(5570),
    [anon_sym_UR_DQUOTE] = ACTIONS(5570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5570),
  },
  [2635] = {
    [sym_template_argument_list] = STATE(2550),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4083),
    [anon_sym_COMMA] = ACTIONS(4083),
    [anon_sym_RPAREN] = ACTIONS(4083),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4075),
    [anon_sym_PLUS] = ACTIONS(4075),
    [anon_sym_STAR] = ACTIONS(4075),
    [anon_sym_SLASH] = ACTIONS(4075),
    [anon_sym_PERCENT] = ACTIONS(4075),
    [anon_sym_PIPE_PIPE] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4075),
    [anon_sym_CARET] = ACTIONS(4075),
    [anon_sym_AMP] = ACTIONS(4075),
    [anon_sym_EQ_EQ] = ACTIONS(4083),
    [anon_sym_BANG_EQ] = ACTIONS(4083),
    [anon_sym_GT] = ACTIONS(4075),
    [anon_sym_GT_EQ] = ACTIONS(4083),
    [anon_sym_LT_EQ] = ACTIONS(4075),
    [anon_sym_LT] = ACTIONS(6255),
    [anon_sym_LT_LT] = ACTIONS(4075),
    [anon_sym_GT_GT] = ACTIONS(4075),
    [anon_sym_COLON] = ACTIONS(4075),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym___attribute__] = ACTIONS(4083),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(4083),
    [anon_sym_RBRACE] = ACTIONS(4083),
    [anon_sym_signed] = ACTIONS(6436),
    [anon_sym_unsigned] = ACTIONS(6436),
    [anon_sym_long] = ACTIONS(6436),
    [anon_sym_short] = ACTIONS(6436),
    [anon_sym_LBRACK] = ACTIONS(4083),
    [anon_sym_RBRACK] = ACTIONS(4083),
    [anon_sym_EQ] = ACTIONS(4075),
    [anon_sym_QMARK] = ACTIONS(4083),
    [anon_sym_STAR_EQ] = ACTIONS(4083),
    [anon_sym_SLASH_EQ] = ACTIONS(4083),
    [anon_sym_PERCENT_EQ] = ACTIONS(4083),
    [anon_sym_PLUS_EQ] = ACTIONS(4083),
    [anon_sym_DASH_EQ] = ACTIONS(4083),
    [anon_sym_LT_LT_EQ] = ACTIONS(4083),
    [anon_sym_GT_GT_EQ] = ACTIONS(4083),
    [anon_sym_AMP_EQ] = ACTIONS(4083),
    [anon_sym_CARET_EQ] = ACTIONS(4083),
    [anon_sym_PIPE_EQ] = ACTIONS(4083),
    [anon_sym_and_eq] = ACTIONS(4083),
    [anon_sym_or_eq] = ACTIONS(4083),
    [anon_sym_xor_eq] = ACTIONS(4083),
    [anon_sym_LT_EQ_GT] = ACTIONS(4083),
    [anon_sym_or] = ACTIONS(4075),
    [anon_sym_and] = ACTIONS(4075),
    [anon_sym_bitor] = ACTIONS(4083),
    [anon_sym_xor] = ACTIONS(4075),
    [anon_sym_bitand] = ACTIONS(4083),
    [anon_sym_not_eq] = ACTIONS(4083),
    [anon_sym_DASH_DASH] = ACTIONS(4083),
    [anon_sym_PLUS_PLUS] = ACTIONS(4083),
    [anon_sym_DOT] = ACTIONS(4075),
    [anon_sym_DOT_STAR] = ACTIONS(4083),
    [anon_sym_DASH_GT] = ACTIONS(4083),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4083),
    [anon_sym_decltype] = ACTIONS(4083),
  },
  [2636] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2457),
    [sym_identifier] = ACTIONS(5670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [aux_sym_preproc_if_token2] = ACTIONS(5673),
    [aux_sym_preproc_else_token1] = ACTIONS(5673),
    [aux_sym_preproc_elif_token1] = ACTIONS(5670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5673),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5670),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5670),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym___attribute__] = ACTIONS(5670),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(6181),
    [anon_sym_unsigned] = ACTIONS(6181),
    [anon_sym_long] = ACTIONS(6181),
    [anon_sym_short] = ACTIONS(6181),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_EQ] = ACTIONS(5670),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_STAR_EQ] = ACTIONS(5673),
    [anon_sym_SLASH_EQ] = ACTIONS(5673),
    [anon_sym_PERCENT_EQ] = ACTIONS(5673),
    [anon_sym_PLUS_EQ] = ACTIONS(5673),
    [anon_sym_DASH_EQ] = ACTIONS(5673),
    [anon_sym_LT_LT_EQ] = ACTIONS(5673),
    [anon_sym_GT_GT_EQ] = ACTIONS(5673),
    [anon_sym_AMP_EQ] = ACTIONS(5673),
    [anon_sym_CARET_EQ] = ACTIONS(5673),
    [anon_sym_PIPE_EQ] = ACTIONS(5673),
    [anon_sym_and_eq] = ACTIONS(5670),
    [anon_sym_or_eq] = ACTIONS(5670),
    [anon_sym_xor_eq] = ACTIONS(5670),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5670),
    [anon_sym_and] = ACTIONS(5670),
    [anon_sym_bitor] = ACTIONS(5670),
    [anon_sym_xor] = ACTIONS(5670),
    [anon_sym_bitand] = ACTIONS(5670),
    [anon_sym_not_eq] = ACTIONS(5670),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5670),
    [anon_sym_decltype] = ACTIONS(5670),
  },
  [2637] = {
    [sym_string_literal] = STATE(2921),
    [sym_template_argument_list] = STATE(3890),
    [sym_raw_string_literal] = STATE(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4077),
    [anon_sym_DASH] = ACTIONS(4085),
    [anon_sym_PLUS] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_SLASH] = ACTIONS(4085),
    [anon_sym_PERCENT] = ACTIONS(4085),
    [anon_sym_PIPE_PIPE] = ACTIONS(4077),
    [anon_sym_AMP_AMP] = ACTIONS(4077),
    [anon_sym_PIPE] = ACTIONS(4085),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_EQ_EQ] = ACTIONS(4077),
    [anon_sym_BANG_EQ] = ACTIONS(4077),
    [anon_sym_GT] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4077),
    [anon_sym_LT_EQ] = ACTIONS(4085),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(4085),
    [anon_sym_GT_GT] = ACTIONS(4085),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_RBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(6352),
    [anon_sym_QMARK] = ACTIONS(4077),
    [anon_sym_STAR_EQ] = ACTIONS(6354),
    [anon_sym_SLASH_EQ] = ACTIONS(6354),
    [anon_sym_PERCENT_EQ] = ACTIONS(6354),
    [anon_sym_PLUS_EQ] = ACTIONS(6354),
    [anon_sym_DASH_EQ] = ACTIONS(6354),
    [anon_sym_LT_LT_EQ] = ACTIONS(6354),
    [anon_sym_GT_GT_EQ] = ACTIONS(6354),
    [anon_sym_AMP_EQ] = ACTIONS(6354),
    [anon_sym_CARET_EQ] = ACTIONS(6354),
    [anon_sym_PIPE_EQ] = ACTIONS(6354),
    [anon_sym_and_eq] = ACTIONS(6354),
    [anon_sym_or_eq] = ACTIONS(6354),
    [anon_sym_xor_eq] = ACTIONS(6354),
    [anon_sym_LT_EQ_GT] = ACTIONS(4077),
    [anon_sym_or] = ACTIONS(4085),
    [anon_sym_and] = ACTIONS(4085),
    [anon_sym_bitor] = ACTIONS(4077),
    [anon_sym_xor] = ACTIONS(4085),
    [anon_sym_bitand] = ACTIONS(4077),
    [anon_sym_not_eq] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4077),
    [anon_sym_PLUS_PLUS] = ACTIONS(4077),
    [anon_sym_DOT] = ACTIONS(4085),
    [anon_sym_DOT_STAR] = ACTIONS(4077),
    [anon_sym_DASH_GT] = ACTIONS(4077),
    [anon_sym_L_DQUOTE] = ACTIONS(4111),
    [anon_sym_u_DQUOTE] = ACTIONS(4111),
    [anon_sym_U_DQUOTE] = ACTIONS(4111),
    [anon_sym_u8_DQUOTE] = ACTIONS(4111),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4113),
    [anon_sym_LR_DQUOTE] = ACTIONS(4113),
    [anon_sym_uR_DQUOTE] = ACTIONS(4113),
    [anon_sym_UR_DQUOTE] = ACTIONS(4113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4113),
  },
  [2638] = {
    [sym_attribute_specifier] = STATE(2673),
    [sym_identifier] = ACTIONS(5947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5949),
    [anon_sym_COMMA] = ACTIONS(5949),
    [anon_sym_RPAREN] = ACTIONS(5949),
    [aux_sym_preproc_if_token2] = ACTIONS(5949),
    [aux_sym_preproc_else_token1] = ACTIONS(5949),
    [aux_sym_preproc_elif_token1] = ACTIONS(5947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5949),
    [anon_sym_LPAREN2] = ACTIONS(5949),
    [anon_sym_DASH] = ACTIONS(5947),
    [anon_sym_PLUS] = ACTIONS(5947),
    [anon_sym_STAR] = ACTIONS(5947),
    [anon_sym_SLASH] = ACTIONS(5947),
    [anon_sym_PERCENT] = ACTIONS(5947),
    [anon_sym_PIPE_PIPE] = ACTIONS(5949),
    [anon_sym_AMP_AMP] = ACTIONS(5949),
    [anon_sym_PIPE] = ACTIONS(5947),
    [anon_sym_CARET] = ACTIONS(5947),
    [anon_sym_AMP] = ACTIONS(5947),
    [anon_sym_EQ_EQ] = ACTIONS(5949),
    [anon_sym_BANG_EQ] = ACTIONS(5949),
    [anon_sym_GT] = ACTIONS(5947),
    [anon_sym_GT_EQ] = ACTIONS(5949),
    [anon_sym_LT_EQ] = ACTIONS(5947),
    [anon_sym_LT] = ACTIONS(5947),
    [anon_sym_LT_LT] = ACTIONS(5947),
    [anon_sym_GT_GT] = ACTIONS(5947),
    [anon_sym_COLON] = ACTIONS(5949),
    [anon_sym_SEMI] = ACTIONS(5949),
    [anon_sym___attribute__] = ACTIONS(6196),
    [anon_sym_LBRACE] = ACTIONS(5949),
    [anon_sym_RBRACE] = ACTIONS(5949),
    [anon_sym_LBRACK] = ACTIONS(5949),
    [anon_sym_RBRACK] = ACTIONS(5949),
    [anon_sym_EQ] = ACTIONS(5947),
    [anon_sym_QMARK] = ACTIONS(5949),
    [anon_sym_STAR_EQ] = ACTIONS(5949),
    [anon_sym_SLASH_EQ] = ACTIONS(5949),
    [anon_sym_PERCENT_EQ] = ACTIONS(5949),
    [anon_sym_PLUS_EQ] = ACTIONS(5949),
    [anon_sym_DASH_EQ] = ACTIONS(5949),
    [anon_sym_LT_LT_EQ] = ACTIONS(5949),
    [anon_sym_GT_GT_EQ] = ACTIONS(5949),
    [anon_sym_AMP_EQ] = ACTIONS(5949),
    [anon_sym_CARET_EQ] = ACTIONS(5949),
    [anon_sym_PIPE_EQ] = ACTIONS(5949),
    [anon_sym_and_eq] = ACTIONS(5947),
    [anon_sym_or_eq] = ACTIONS(5947),
    [anon_sym_xor_eq] = ACTIONS(5947),
    [anon_sym_LT_EQ_GT] = ACTIONS(5949),
    [anon_sym_or] = ACTIONS(5947),
    [anon_sym_and] = ACTIONS(5947),
    [anon_sym_bitor] = ACTIONS(5947),
    [anon_sym_xor] = ACTIONS(5947),
    [anon_sym_bitand] = ACTIONS(5947),
    [anon_sym_not_eq] = ACTIONS(5947),
    [anon_sym_DASH_DASH] = ACTIONS(5949),
    [anon_sym_PLUS_PLUS] = ACTIONS(5949),
    [anon_sym_DOT] = ACTIONS(5947),
    [anon_sym_DOT_STAR] = ACTIONS(5949),
    [anon_sym_DASH_GT] = ACTIONS(5949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5947),
    [anon_sym_decltype] = ACTIONS(5947),
  },
  [2639] = {
    [sym_string_literal] = STATE(2579),
    [sym_raw_string_literal] = STATE(2579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6253),
    [anon_sym_COMMA] = ACTIONS(6253),
    [anon_sym_RPAREN] = ACTIONS(6253),
    [anon_sym_LPAREN2] = ACTIONS(6253),
    [anon_sym_DASH] = ACTIONS(6251),
    [anon_sym_PLUS] = ACTIONS(6251),
    [anon_sym_STAR] = ACTIONS(6251),
    [anon_sym_SLASH] = ACTIONS(6251),
    [anon_sym_PERCENT] = ACTIONS(6251),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_PIPE] = ACTIONS(6251),
    [anon_sym_CARET] = ACTIONS(6251),
    [anon_sym_AMP] = ACTIONS(6251),
    [anon_sym_EQ_EQ] = ACTIONS(6253),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_GT] = ACTIONS(6251),
    [anon_sym_GT_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6251),
    [anon_sym_LT] = ACTIONS(6251),
    [anon_sym_LT_LT] = ACTIONS(6251),
    [anon_sym_GT_GT] = ACTIONS(6251),
    [anon_sym_LBRACK] = ACTIONS(6253),
    [anon_sym_EQ] = ACTIONS(6251),
    [anon_sym_QMARK] = ACTIONS(6253),
    [anon_sym_STAR_EQ] = ACTIONS(6253),
    [anon_sym_SLASH_EQ] = ACTIONS(6253),
    [anon_sym_PERCENT_EQ] = ACTIONS(6253),
    [anon_sym_PLUS_EQ] = ACTIONS(6253),
    [anon_sym_DASH_EQ] = ACTIONS(6253),
    [anon_sym_LT_LT_EQ] = ACTIONS(6253),
    [anon_sym_GT_GT_EQ] = ACTIONS(6253),
    [anon_sym_AMP_EQ] = ACTIONS(6253),
    [anon_sym_CARET_EQ] = ACTIONS(6253),
    [anon_sym_PIPE_EQ] = ACTIONS(6253),
    [anon_sym_and_eq] = ACTIONS(6251),
    [anon_sym_or_eq] = ACTIONS(6251),
    [anon_sym_xor_eq] = ACTIONS(6251),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_or] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(6251),
    [anon_sym_bitor] = ACTIONS(6251),
    [anon_sym_xor] = ACTIONS(6251),
    [anon_sym_bitand] = ACTIONS(6251),
    [anon_sym_not_eq] = ACTIONS(6251),
    [anon_sym_DASH_DASH] = ACTIONS(6253),
    [anon_sym_PLUS_PLUS] = ACTIONS(6253),
    [anon_sym_DOT] = ACTIONS(6251),
    [anon_sym_DOT_STAR] = ACTIONS(6253),
    [anon_sym_DASH_GT] = ACTIONS(6251),
    [anon_sym_L_DQUOTE] = ACTIONS(5550),
    [anon_sym_u_DQUOTE] = ACTIONS(5550),
    [anon_sym_U_DQUOTE] = ACTIONS(5550),
    [anon_sym_u8_DQUOTE] = ACTIONS(5550),
    [anon_sym_DQUOTE] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5552),
    [anon_sym_LR_DQUOTE] = ACTIONS(5552),
    [anon_sym_uR_DQUOTE] = ACTIONS(5552),
    [anon_sym_UR_DQUOTE] = ACTIONS(5552),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5552),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6253),
    [sym_literal_suffix] = ACTIONS(6251),
  },
  [2640] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [aux_sym_preproc_if_token2] = ACTIONS(2266),
    [aux_sym_preproc_else_token1] = ACTIONS(2266),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2266),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_SLASH] = ACTIONS(2264),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_RBRACK] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_QMARK] = ACTIONS(2266),
    [anon_sym_STAR_EQ] = ACTIONS(2266),
    [anon_sym_SLASH_EQ] = ACTIONS(2266),
    [anon_sym_PERCENT_EQ] = ACTIONS(2266),
    [anon_sym_PLUS_EQ] = ACTIONS(2266),
    [anon_sym_DASH_EQ] = ACTIONS(2266),
    [anon_sym_LT_LT_EQ] = ACTIONS(2266),
    [anon_sym_GT_GT_EQ] = ACTIONS(2266),
    [anon_sym_AMP_EQ] = ACTIONS(2266),
    [anon_sym_CARET_EQ] = ACTIONS(2266),
    [anon_sym_PIPE_EQ] = ACTIONS(2266),
    [anon_sym_and_eq] = ACTIONS(2264),
    [anon_sym_or_eq] = ACTIONS(2264),
    [anon_sym_xor_eq] = ACTIONS(2264),
    [anon_sym_LT_EQ_GT] = ACTIONS(2266),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [anon_sym_bitor] = ACTIONS(2264),
    [anon_sym_xor] = ACTIONS(2264),
    [anon_sym_bitand] = ACTIONS(2264),
    [anon_sym_not_eq] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_DOT_STAR] = ACTIONS(2266),
    [anon_sym_DASH_GT] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
  },
  [2641] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5734),
    [anon_sym_COMMA] = ACTIONS(5734),
    [anon_sym_LPAREN2] = ACTIONS(5734),
    [anon_sym_DASH] = ACTIONS(5732),
    [anon_sym_PLUS] = ACTIONS(5732),
    [anon_sym_STAR] = ACTIONS(5734),
    [anon_sym_SLASH] = ACTIONS(5732),
    [anon_sym_PERCENT] = ACTIONS(5734),
    [anon_sym_PIPE_PIPE] = ACTIONS(5734),
    [anon_sym_AMP_AMP] = ACTIONS(5734),
    [anon_sym_PIPE] = ACTIONS(5732),
    [anon_sym_CARET] = ACTIONS(5734),
    [anon_sym_AMP] = ACTIONS(5732),
    [anon_sym_EQ_EQ] = ACTIONS(5734),
    [anon_sym_BANG_EQ] = ACTIONS(5734),
    [anon_sym_GT] = ACTIONS(5732),
    [anon_sym_GT_EQ] = ACTIONS(5732),
    [anon_sym_LT_EQ] = ACTIONS(5732),
    [anon_sym_LT] = ACTIONS(5732),
    [anon_sym_LT_LT] = ACTIONS(5734),
    [anon_sym_GT_GT] = ACTIONS(5732),
    [anon_sym_COLON] = ACTIONS(5734),
    [anon_sym___extension__] = ACTIONS(5734),
    [anon_sym___attribute__] = ACTIONS(5734),
    [anon_sym_LBRACE] = ACTIONS(5734),
    [anon_sym_signed] = ACTIONS(6452),
    [anon_sym_unsigned] = ACTIONS(6452),
    [anon_sym_long] = ACTIONS(6452),
    [anon_sym_short] = ACTIONS(6452),
    [anon_sym_LBRACK] = ACTIONS(5734),
    [anon_sym_const] = ACTIONS(5732),
    [anon_sym_constexpr] = ACTIONS(5734),
    [anon_sym_volatile] = ACTIONS(5734),
    [anon_sym_restrict] = ACTIONS(5734),
    [anon_sym___restrict__] = ACTIONS(5734),
    [anon_sym__Atomic] = ACTIONS(5734),
    [anon_sym__Noreturn] = ACTIONS(5734),
    [anon_sym_noreturn] = ACTIONS(5734),
    [anon_sym__Nonnull] = ACTIONS(5734),
    [anon_sym_mutable] = ACTIONS(5734),
    [anon_sym_constinit] = ACTIONS(5734),
    [anon_sym_consteval] = ACTIONS(5734),
    [anon_sym_alignas] = ACTIONS(5734),
    [anon_sym__Alignas] = ACTIONS(5734),
    [anon_sym_QMARK] = ACTIONS(5734),
    [anon_sym_LT_EQ_GT] = ACTIONS(5734),
    [anon_sym_or] = ACTIONS(5734),
    [anon_sym_and] = ACTIONS(5734),
    [anon_sym_bitor] = ACTIONS(5734),
    [anon_sym_xor] = ACTIONS(5734),
    [anon_sym_bitand] = ACTIONS(5734),
    [anon_sym_not_eq] = ACTIONS(5734),
    [anon_sym_DASH_DASH] = ACTIONS(5734),
    [anon_sym_PLUS_PLUS] = ACTIONS(5734),
    [anon_sym_DOT] = ACTIONS(5732),
    [anon_sym_DOT_STAR] = ACTIONS(5734),
    [anon_sym_DASH_GT] = ACTIONS(5734),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5734),
    [anon_sym_decltype] = ACTIONS(5734),
    [anon_sym_final] = ACTIONS(5734),
    [anon_sym_override] = ACTIONS(5734),
    [anon_sym_GT2] = ACTIONS(5734),
    [anon_sym_requires] = ACTIONS(5734),
  },
  [2642] = {
    [sym_identifier] = ACTIONS(5485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5487),
    [anon_sym_COMMA] = ACTIONS(5487),
    [anon_sym_RPAREN] = ACTIONS(5487),
    [aux_sym_preproc_if_token2] = ACTIONS(5487),
    [aux_sym_preproc_else_token1] = ACTIONS(5487),
    [aux_sym_preproc_elif_token1] = ACTIONS(5485),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5487),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5487),
    [anon_sym_LPAREN2] = ACTIONS(5487),
    [anon_sym_DASH] = ACTIONS(5485),
    [anon_sym_PLUS] = ACTIONS(5485),
    [anon_sym_STAR] = ACTIONS(5485),
    [anon_sym_SLASH] = ACTIONS(5485),
    [anon_sym_PERCENT] = ACTIONS(5485),
    [anon_sym_PIPE_PIPE] = ACTIONS(5487),
    [anon_sym_AMP_AMP] = ACTIONS(5487),
    [anon_sym_PIPE] = ACTIONS(5485),
    [anon_sym_CARET] = ACTIONS(5485),
    [anon_sym_AMP] = ACTIONS(5485),
    [anon_sym_EQ_EQ] = ACTIONS(5487),
    [anon_sym_BANG_EQ] = ACTIONS(5487),
    [anon_sym_GT] = ACTIONS(5485),
    [anon_sym_GT_EQ] = ACTIONS(5487),
    [anon_sym_LT_EQ] = ACTIONS(5485),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(5485),
    [anon_sym_GT_GT] = ACTIONS(5485),
    [anon_sym_COLON] = ACTIONS(5487),
    [anon_sym_SEMI] = ACTIONS(5487),
    [anon_sym___attribute__] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(5487),
    [anon_sym_RBRACE] = ACTIONS(5487),
    [anon_sym_LBRACK] = ACTIONS(5487),
    [anon_sym_RBRACK] = ACTIONS(5487),
    [anon_sym_EQ] = ACTIONS(5485),
    [anon_sym_QMARK] = ACTIONS(5487),
    [anon_sym_STAR_EQ] = ACTIONS(5487),
    [anon_sym_SLASH_EQ] = ACTIONS(5487),
    [anon_sym_PERCENT_EQ] = ACTIONS(5487),
    [anon_sym_PLUS_EQ] = ACTIONS(5487),
    [anon_sym_DASH_EQ] = ACTIONS(5487),
    [anon_sym_LT_LT_EQ] = ACTIONS(5487),
    [anon_sym_GT_GT_EQ] = ACTIONS(5487),
    [anon_sym_AMP_EQ] = ACTIONS(5487),
    [anon_sym_CARET_EQ] = ACTIONS(5487),
    [anon_sym_PIPE_EQ] = ACTIONS(5487),
    [anon_sym_and_eq] = ACTIONS(5485),
    [anon_sym_or_eq] = ACTIONS(5485),
    [anon_sym_xor_eq] = ACTIONS(5485),
    [anon_sym_LT_EQ_GT] = ACTIONS(5487),
    [anon_sym_or] = ACTIONS(5485),
    [anon_sym_and] = ACTIONS(5485),
    [anon_sym_bitor] = ACTIONS(5485),
    [anon_sym_xor] = ACTIONS(5485),
    [anon_sym_bitand] = ACTIONS(5485),
    [anon_sym_not_eq] = ACTIONS(5485),
    [anon_sym_DASH_DASH] = ACTIONS(5487),
    [anon_sym_PLUS_PLUS] = ACTIONS(5487),
    [anon_sym_DOT] = ACTIONS(5485),
    [anon_sym_DOT_STAR] = ACTIONS(5487),
    [anon_sym_DASH_GT] = ACTIONS(5487),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5485),
    [anon_sym_decltype] = ACTIONS(5485),
  },
  [2643] = {
    [sym_identifier] = ACTIONS(5867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5869),
    [anon_sym_COMMA] = ACTIONS(5869),
    [anon_sym_RPAREN] = ACTIONS(5869),
    [aux_sym_preproc_if_token2] = ACTIONS(5869),
    [aux_sym_preproc_else_token1] = ACTIONS(5869),
    [aux_sym_preproc_elif_token1] = ACTIONS(5867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5869),
    [anon_sym_LPAREN2] = ACTIONS(5869),
    [anon_sym_DASH] = ACTIONS(5867),
    [anon_sym_PLUS] = ACTIONS(5867),
    [anon_sym_STAR] = ACTIONS(5867),
    [anon_sym_SLASH] = ACTIONS(5867),
    [anon_sym_PERCENT] = ACTIONS(5867),
    [anon_sym_PIPE_PIPE] = ACTIONS(5869),
    [anon_sym_AMP_AMP] = ACTIONS(5869),
    [anon_sym_PIPE] = ACTIONS(5867),
    [anon_sym_CARET] = ACTIONS(5867),
    [anon_sym_AMP] = ACTIONS(5867),
    [anon_sym_EQ_EQ] = ACTIONS(5869),
    [anon_sym_BANG_EQ] = ACTIONS(5869),
    [anon_sym_GT] = ACTIONS(5867),
    [anon_sym_GT_EQ] = ACTIONS(5869),
    [anon_sym_LT_EQ] = ACTIONS(5867),
    [anon_sym_LT] = ACTIONS(5867),
    [anon_sym_LT_LT] = ACTIONS(5867),
    [anon_sym_GT_GT] = ACTIONS(5867),
    [anon_sym_COLON] = ACTIONS(5869),
    [anon_sym_SEMI] = ACTIONS(5869),
    [anon_sym___attribute__] = ACTIONS(5867),
    [anon_sym_LBRACE] = ACTIONS(5869),
    [anon_sym_RBRACE] = ACTIONS(5869),
    [anon_sym_LBRACK] = ACTIONS(5869),
    [anon_sym_RBRACK] = ACTIONS(5869),
    [anon_sym_EQ] = ACTIONS(5867),
    [anon_sym_QMARK] = ACTIONS(5869),
    [anon_sym_STAR_EQ] = ACTIONS(5869),
    [anon_sym_SLASH_EQ] = ACTIONS(5869),
    [anon_sym_PERCENT_EQ] = ACTIONS(5869),
    [anon_sym_PLUS_EQ] = ACTIONS(5869),
    [anon_sym_DASH_EQ] = ACTIONS(5869),
    [anon_sym_LT_LT_EQ] = ACTIONS(5869),
    [anon_sym_GT_GT_EQ] = ACTIONS(5869),
    [anon_sym_AMP_EQ] = ACTIONS(5869),
    [anon_sym_CARET_EQ] = ACTIONS(5869),
    [anon_sym_PIPE_EQ] = ACTIONS(5869),
    [anon_sym_and_eq] = ACTIONS(5867),
    [anon_sym_or_eq] = ACTIONS(5867),
    [anon_sym_xor_eq] = ACTIONS(5867),
    [anon_sym_LT_EQ_GT] = ACTIONS(5869),
    [anon_sym_or] = ACTIONS(5867),
    [anon_sym_and] = ACTIONS(5867),
    [anon_sym_bitor] = ACTIONS(5867),
    [anon_sym_xor] = ACTIONS(5867),
    [anon_sym_bitand] = ACTIONS(5867),
    [anon_sym_not_eq] = ACTIONS(5867),
    [anon_sym_DASH_DASH] = ACTIONS(5869),
    [anon_sym_PLUS_PLUS] = ACTIONS(5869),
    [anon_sym_DOT] = ACTIONS(5867),
    [anon_sym_DOT_STAR] = ACTIONS(5869),
    [anon_sym_DASH_GT] = ACTIONS(5869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5867),
    [anon_sym_decltype] = ACTIONS(5867),
  },
  [2644] = {
    [sym_argument_list] = STATE(2825),
    [sym_initializer_list] = STATE(2825),
    [sym_identifier] = ACTIONS(6454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6456),
    [anon_sym_COMMA] = ACTIONS(6456),
    [anon_sym_RPAREN] = ACTIONS(6456),
    [aux_sym_preproc_if_token2] = ACTIONS(6456),
    [aux_sym_preproc_else_token1] = ACTIONS(6456),
    [aux_sym_preproc_elif_token1] = ACTIONS(6454),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6456),
    [anon_sym_LPAREN2] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6454),
    [anon_sym_PLUS] = ACTIONS(6454),
    [anon_sym_STAR] = ACTIONS(6454),
    [anon_sym_SLASH] = ACTIONS(6454),
    [anon_sym_PERCENT] = ACTIONS(6454),
    [anon_sym_PIPE_PIPE] = ACTIONS(6456),
    [anon_sym_AMP_AMP] = ACTIONS(6456),
    [anon_sym_PIPE] = ACTIONS(6454),
    [anon_sym_CARET] = ACTIONS(6454),
    [anon_sym_AMP] = ACTIONS(6454),
    [anon_sym_EQ_EQ] = ACTIONS(6456),
    [anon_sym_BANG_EQ] = ACTIONS(6456),
    [anon_sym_GT] = ACTIONS(6454),
    [anon_sym_GT_EQ] = ACTIONS(6456),
    [anon_sym_LT_EQ] = ACTIONS(6454),
    [anon_sym_LT] = ACTIONS(6454),
    [anon_sym_LT_LT] = ACTIONS(6454),
    [anon_sym_GT_GT] = ACTIONS(6454),
    [anon_sym_COLON] = ACTIONS(6456),
    [anon_sym_SEMI] = ACTIONS(6456),
    [anon_sym___attribute__] = ACTIONS(6454),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(6456),
    [anon_sym_LBRACK] = ACTIONS(6456),
    [anon_sym_RBRACK] = ACTIONS(6456),
    [anon_sym_EQ] = ACTIONS(6454),
    [anon_sym_QMARK] = ACTIONS(6456),
    [anon_sym_STAR_EQ] = ACTIONS(6456),
    [anon_sym_SLASH_EQ] = ACTIONS(6456),
    [anon_sym_PERCENT_EQ] = ACTIONS(6456),
    [anon_sym_PLUS_EQ] = ACTIONS(6456),
    [anon_sym_DASH_EQ] = ACTIONS(6456),
    [anon_sym_LT_LT_EQ] = ACTIONS(6456),
    [anon_sym_GT_GT_EQ] = ACTIONS(6456),
    [anon_sym_AMP_EQ] = ACTIONS(6456),
    [anon_sym_CARET_EQ] = ACTIONS(6456),
    [anon_sym_PIPE_EQ] = ACTIONS(6456),
    [anon_sym_and_eq] = ACTIONS(6454),
    [anon_sym_or_eq] = ACTIONS(6454),
    [anon_sym_xor_eq] = ACTIONS(6454),
    [anon_sym_LT_EQ_GT] = ACTIONS(6456),
    [anon_sym_or] = ACTIONS(6454),
    [anon_sym_and] = ACTIONS(6454),
    [anon_sym_bitor] = ACTIONS(6454),
    [anon_sym_xor] = ACTIONS(6454),
    [anon_sym_bitand] = ACTIONS(6454),
    [anon_sym_not_eq] = ACTIONS(6454),
    [anon_sym_DASH_DASH] = ACTIONS(6456),
    [anon_sym_PLUS_PLUS] = ACTIONS(6456),
    [anon_sym_DOT] = ACTIONS(6454),
    [anon_sym_DOT_STAR] = ACTIONS(6456),
    [anon_sym_DASH_GT] = ACTIONS(6456),
    [sym_comment] = ACTIONS(3),
  },
  [2645] = {
    [sym_identifier] = ACTIONS(5903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5905),
    [anon_sym_COMMA] = ACTIONS(5905),
    [anon_sym_RPAREN] = ACTIONS(5905),
    [aux_sym_preproc_if_token2] = ACTIONS(5905),
    [aux_sym_preproc_else_token1] = ACTIONS(5905),
    [aux_sym_preproc_elif_token1] = ACTIONS(5903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5905),
    [anon_sym_LPAREN2] = ACTIONS(5905),
    [anon_sym_DASH] = ACTIONS(5903),
    [anon_sym_PLUS] = ACTIONS(5903),
    [anon_sym_STAR] = ACTIONS(5903),
    [anon_sym_SLASH] = ACTIONS(5903),
    [anon_sym_PERCENT] = ACTIONS(5903),
    [anon_sym_PIPE_PIPE] = ACTIONS(5905),
    [anon_sym_AMP_AMP] = ACTIONS(5905),
    [anon_sym_PIPE] = ACTIONS(5903),
    [anon_sym_CARET] = ACTIONS(5903),
    [anon_sym_AMP] = ACTIONS(5903),
    [anon_sym_EQ_EQ] = ACTIONS(5905),
    [anon_sym_BANG_EQ] = ACTIONS(5905),
    [anon_sym_GT] = ACTIONS(5903),
    [anon_sym_GT_EQ] = ACTIONS(5905),
    [anon_sym_LT_EQ] = ACTIONS(5903),
    [anon_sym_LT] = ACTIONS(5903),
    [anon_sym_LT_LT] = ACTIONS(5903),
    [anon_sym_GT_GT] = ACTIONS(5903),
    [anon_sym_COLON] = ACTIONS(5905),
    [anon_sym_SEMI] = ACTIONS(5905),
    [anon_sym___attribute__] = ACTIONS(5903),
    [anon_sym_LBRACE] = ACTIONS(5905),
    [anon_sym_RBRACE] = ACTIONS(5905),
    [anon_sym_LBRACK] = ACTIONS(5905),
    [anon_sym_RBRACK] = ACTIONS(5905),
    [anon_sym_EQ] = ACTIONS(5903),
    [anon_sym_QMARK] = ACTIONS(5905),
    [anon_sym_STAR_EQ] = ACTIONS(5905),
    [anon_sym_SLASH_EQ] = ACTIONS(5905),
    [anon_sym_PERCENT_EQ] = ACTIONS(5905),
    [anon_sym_PLUS_EQ] = ACTIONS(5905),
    [anon_sym_DASH_EQ] = ACTIONS(5905),
    [anon_sym_LT_LT_EQ] = ACTIONS(5905),
    [anon_sym_GT_GT_EQ] = ACTIONS(5905),
    [anon_sym_AMP_EQ] = ACTIONS(5905),
    [anon_sym_CARET_EQ] = ACTIONS(5905),
    [anon_sym_PIPE_EQ] = ACTIONS(5905),
    [anon_sym_and_eq] = ACTIONS(5903),
    [anon_sym_or_eq] = ACTIONS(5903),
    [anon_sym_xor_eq] = ACTIONS(5903),
    [anon_sym_LT_EQ_GT] = ACTIONS(5905),
    [anon_sym_or] = ACTIONS(5903),
    [anon_sym_and] = ACTIONS(5903),
    [anon_sym_bitor] = ACTIONS(5903),
    [anon_sym_xor] = ACTIONS(5903),
    [anon_sym_bitand] = ACTIONS(5903),
    [anon_sym_not_eq] = ACTIONS(5903),
    [anon_sym_DASH_DASH] = ACTIONS(5905),
    [anon_sym_PLUS_PLUS] = ACTIONS(5905),
    [anon_sym_DOT] = ACTIONS(5903),
    [anon_sym_DOT_STAR] = ACTIONS(5905),
    [anon_sym_DASH_GT] = ACTIONS(5905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5903),
    [anon_sym_decltype] = ACTIONS(5903),
  },
  [2646] = {
    [sym_identifier] = ACTIONS(5907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5909),
    [anon_sym_COMMA] = ACTIONS(5909),
    [anon_sym_RPAREN] = ACTIONS(5909),
    [aux_sym_preproc_if_token2] = ACTIONS(5909),
    [aux_sym_preproc_else_token1] = ACTIONS(5909),
    [aux_sym_preproc_elif_token1] = ACTIONS(5907),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5909),
    [anon_sym_LPAREN2] = ACTIONS(5909),
    [anon_sym_DASH] = ACTIONS(5907),
    [anon_sym_PLUS] = ACTIONS(5907),
    [anon_sym_STAR] = ACTIONS(5907),
    [anon_sym_SLASH] = ACTIONS(5907),
    [anon_sym_PERCENT] = ACTIONS(5907),
    [anon_sym_PIPE_PIPE] = ACTIONS(5909),
    [anon_sym_AMP_AMP] = ACTIONS(5909),
    [anon_sym_PIPE] = ACTIONS(5907),
    [anon_sym_CARET] = ACTIONS(5907),
    [anon_sym_AMP] = ACTIONS(5907),
    [anon_sym_EQ_EQ] = ACTIONS(5909),
    [anon_sym_BANG_EQ] = ACTIONS(5909),
    [anon_sym_GT] = ACTIONS(5907),
    [anon_sym_GT_EQ] = ACTIONS(5909),
    [anon_sym_LT_EQ] = ACTIONS(5907),
    [anon_sym_LT] = ACTIONS(5907),
    [anon_sym_LT_LT] = ACTIONS(5907),
    [anon_sym_GT_GT] = ACTIONS(5907),
    [anon_sym_COLON] = ACTIONS(5909),
    [anon_sym_SEMI] = ACTIONS(5909),
    [anon_sym___attribute__] = ACTIONS(5907),
    [anon_sym_LBRACE] = ACTIONS(5909),
    [anon_sym_RBRACE] = ACTIONS(5909),
    [anon_sym_LBRACK] = ACTIONS(5909),
    [anon_sym_RBRACK] = ACTIONS(5909),
    [anon_sym_EQ] = ACTIONS(5907),
    [anon_sym_QMARK] = ACTIONS(5909),
    [anon_sym_STAR_EQ] = ACTIONS(5909),
    [anon_sym_SLASH_EQ] = ACTIONS(5909),
    [anon_sym_PERCENT_EQ] = ACTIONS(5909),
    [anon_sym_PLUS_EQ] = ACTIONS(5909),
    [anon_sym_DASH_EQ] = ACTIONS(5909),
    [anon_sym_LT_LT_EQ] = ACTIONS(5909),
    [anon_sym_GT_GT_EQ] = ACTIONS(5909),
    [anon_sym_AMP_EQ] = ACTIONS(5909),
    [anon_sym_CARET_EQ] = ACTIONS(5909),
    [anon_sym_PIPE_EQ] = ACTIONS(5909),
    [anon_sym_and_eq] = ACTIONS(5907),
    [anon_sym_or_eq] = ACTIONS(5907),
    [anon_sym_xor_eq] = ACTIONS(5907),
    [anon_sym_LT_EQ_GT] = ACTIONS(5909),
    [anon_sym_or] = ACTIONS(5907),
    [anon_sym_and] = ACTIONS(5907),
    [anon_sym_bitor] = ACTIONS(5907),
    [anon_sym_xor] = ACTIONS(5907),
    [anon_sym_bitand] = ACTIONS(5907),
    [anon_sym_not_eq] = ACTIONS(5907),
    [anon_sym_DASH_DASH] = ACTIONS(5909),
    [anon_sym_PLUS_PLUS] = ACTIONS(5909),
    [anon_sym_DOT] = ACTIONS(5907),
    [anon_sym_DOT_STAR] = ACTIONS(5909),
    [anon_sym_DASH_GT] = ACTIONS(5909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5907),
    [anon_sym_decltype] = ACTIONS(5907),
  },
  [2647] = {
    [sym_identifier] = ACTIONS(5887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5889),
    [anon_sym_COMMA] = ACTIONS(5889),
    [anon_sym_RPAREN] = ACTIONS(5889),
    [aux_sym_preproc_if_token2] = ACTIONS(5889),
    [aux_sym_preproc_else_token1] = ACTIONS(5889),
    [aux_sym_preproc_elif_token1] = ACTIONS(5887),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5889),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5889),
    [anon_sym_LPAREN2] = ACTIONS(5889),
    [anon_sym_DASH] = ACTIONS(5887),
    [anon_sym_PLUS] = ACTIONS(5887),
    [anon_sym_STAR] = ACTIONS(5887),
    [anon_sym_SLASH] = ACTIONS(5887),
    [anon_sym_PERCENT] = ACTIONS(5887),
    [anon_sym_PIPE_PIPE] = ACTIONS(5889),
    [anon_sym_AMP_AMP] = ACTIONS(5889),
    [anon_sym_PIPE] = ACTIONS(5887),
    [anon_sym_CARET] = ACTIONS(5887),
    [anon_sym_AMP] = ACTIONS(5887),
    [anon_sym_EQ_EQ] = ACTIONS(5889),
    [anon_sym_BANG_EQ] = ACTIONS(5889),
    [anon_sym_GT] = ACTIONS(5887),
    [anon_sym_GT_EQ] = ACTIONS(5889),
    [anon_sym_LT_EQ] = ACTIONS(5887),
    [anon_sym_LT] = ACTIONS(5887),
    [anon_sym_LT_LT] = ACTIONS(5887),
    [anon_sym_GT_GT] = ACTIONS(5887),
    [anon_sym_COLON] = ACTIONS(5889),
    [anon_sym_SEMI] = ACTIONS(5889),
    [anon_sym___attribute__] = ACTIONS(5887),
    [anon_sym_LBRACE] = ACTIONS(5889),
    [anon_sym_RBRACE] = ACTIONS(5889),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5889),
    [anon_sym_EQ] = ACTIONS(5887),
    [anon_sym_QMARK] = ACTIONS(5889),
    [anon_sym_STAR_EQ] = ACTIONS(5889),
    [anon_sym_SLASH_EQ] = ACTIONS(5889),
    [anon_sym_PERCENT_EQ] = ACTIONS(5889),
    [anon_sym_PLUS_EQ] = ACTIONS(5889),
    [anon_sym_DASH_EQ] = ACTIONS(5889),
    [anon_sym_LT_LT_EQ] = ACTIONS(5889),
    [anon_sym_GT_GT_EQ] = ACTIONS(5889),
    [anon_sym_AMP_EQ] = ACTIONS(5889),
    [anon_sym_CARET_EQ] = ACTIONS(5889),
    [anon_sym_PIPE_EQ] = ACTIONS(5889),
    [anon_sym_and_eq] = ACTIONS(5887),
    [anon_sym_or_eq] = ACTIONS(5887),
    [anon_sym_xor_eq] = ACTIONS(5887),
    [anon_sym_LT_EQ_GT] = ACTIONS(5889),
    [anon_sym_or] = ACTIONS(5887),
    [anon_sym_and] = ACTIONS(5887),
    [anon_sym_bitor] = ACTIONS(5887),
    [anon_sym_xor] = ACTIONS(5887),
    [anon_sym_bitand] = ACTIONS(5887),
    [anon_sym_not_eq] = ACTIONS(5887),
    [anon_sym_DASH_DASH] = ACTIONS(5889),
    [anon_sym_PLUS_PLUS] = ACTIONS(5889),
    [anon_sym_DOT] = ACTIONS(5887),
    [anon_sym_DOT_STAR] = ACTIONS(5889),
    [anon_sym_DASH_GT] = ACTIONS(5889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5887),
    [anon_sym_decltype] = ACTIONS(5887),
  },
  [2648] = {
    [sym_identifier] = ACTIONS(5831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5833),
    [anon_sym_COMMA] = ACTIONS(5833),
    [anon_sym_RPAREN] = ACTIONS(5833),
    [aux_sym_preproc_if_token2] = ACTIONS(5833),
    [aux_sym_preproc_else_token1] = ACTIONS(5833),
    [aux_sym_preproc_elif_token1] = ACTIONS(5831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5833),
    [anon_sym_LPAREN2] = ACTIONS(5833),
    [anon_sym_DASH] = ACTIONS(5831),
    [anon_sym_PLUS] = ACTIONS(5831),
    [anon_sym_STAR] = ACTIONS(5831),
    [anon_sym_SLASH] = ACTIONS(5831),
    [anon_sym_PERCENT] = ACTIONS(5831),
    [anon_sym_PIPE_PIPE] = ACTIONS(5833),
    [anon_sym_AMP_AMP] = ACTIONS(5833),
    [anon_sym_PIPE] = ACTIONS(5831),
    [anon_sym_CARET] = ACTIONS(5831),
    [anon_sym_AMP] = ACTIONS(5831),
    [anon_sym_EQ_EQ] = ACTIONS(5833),
    [anon_sym_BANG_EQ] = ACTIONS(5833),
    [anon_sym_GT] = ACTIONS(5831),
    [anon_sym_GT_EQ] = ACTIONS(5833),
    [anon_sym_LT_EQ] = ACTIONS(5831),
    [anon_sym_LT] = ACTIONS(5831),
    [anon_sym_LT_LT] = ACTIONS(5831),
    [anon_sym_GT_GT] = ACTIONS(5831),
    [anon_sym_COLON] = ACTIONS(5833),
    [anon_sym_SEMI] = ACTIONS(5833),
    [anon_sym___attribute__] = ACTIONS(5831),
    [anon_sym_LBRACE] = ACTIONS(5833),
    [anon_sym_RBRACE] = ACTIONS(5833),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [anon_sym_RBRACK] = ACTIONS(5833),
    [anon_sym_EQ] = ACTIONS(5831),
    [anon_sym_QMARK] = ACTIONS(5833),
    [anon_sym_STAR_EQ] = ACTIONS(5833),
    [anon_sym_SLASH_EQ] = ACTIONS(5833),
    [anon_sym_PERCENT_EQ] = ACTIONS(5833),
    [anon_sym_PLUS_EQ] = ACTIONS(5833),
    [anon_sym_DASH_EQ] = ACTIONS(5833),
    [anon_sym_LT_LT_EQ] = ACTIONS(5833),
    [anon_sym_GT_GT_EQ] = ACTIONS(5833),
    [anon_sym_AMP_EQ] = ACTIONS(5833),
    [anon_sym_CARET_EQ] = ACTIONS(5833),
    [anon_sym_PIPE_EQ] = ACTIONS(5833),
    [anon_sym_and_eq] = ACTIONS(5831),
    [anon_sym_or_eq] = ACTIONS(5831),
    [anon_sym_xor_eq] = ACTIONS(5831),
    [anon_sym_LT_EQ_GT] = ACTIONS(5833),
    [anon_sym_or] = ACTIONS(5831),
    [anon_sym_and] = ACTIONS(5831),
    [anon_sym_bitor] = ACTIONS(5831),
    [anon_sym_xor] = ACTIONS(5831),
    [anon_sym_bitand] = ACTIONS(5831),
    [anon_sym_not_eq] = ACTIONS(5831),
    [anon_sym_DASH_DASH] = ACTIONS(5833),
    [anon_sym_PLUS_PLUS] = ACTIONS(5833),
    [anon_sym_DOT] = ACTIONS(5831),
    [anon_sym_DOT_STAR] = ACTIONS(5833),
    [anon_sym_DASH_GT] = ACTIONS(5833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5831),
    [anon_sym_decltype] = ACTIONS(5831),
  },
  [2649] = {
    [sym_attribute_declaration] = STATE(2649),
    [aux_sym_attributed_declarator_repeat1] = STATE(2649),
    [sym_identifier] = ACTIONS(6458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6460),
    [anon_sym_COMMA] = ACTIONS(6460),
    [anon_sym_RPAREN] = ACTIONS(6460),
    [aux_sym_preproc_if_token2] = ACTIONS(6460),
    [aux_sym_preproc_else_token1] = ACTIONS(6460),
    [aux_sym_preproc_elif_token1] = ACTIONS(6458),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6460),
    [anon_sym_LPAREN2] = ACTIONS(6460),
    [anon_sym_DASH] = ACTIONS(6458),
    [anon_sym_PLUS] = ACTIONS(6458),
    [anon_sym_STAR] = ACTIONS(6458),
    [anon_sym_SLASH] = ACTIONS(6458),
    [anon_sym_PERCENT] = ACTIONS(6458),
    [anon_sym_PIPE_PIPE] = ACTIONS(6460),
    [anon_sym_AMP_AMP] = ACTIONS(6460),
    [anon_sym_PIPE] = ACTIONS(6458),
    [anon_sym_CARET] = ACTIONS(6458),
    [anon_sym_AMP] = ACTIONS(6458),
    [anon_sym_EQ_EQ] = ACTIONS(6460),
    [anon_sym_BANG_EQ] = ACTIONS(6460),
    [anon_sym_GT] = ACTIONS(6458),
    [anon_sym_GT_EQ] = ACTIONS(6460),
    [anon_sym_LT_EQ] = ACTIONS(6458),
    [anon_sym_LT] = ACTIONS(6458),
    [anon_sym_LT_LT] = ACTIONS(6458),
    [anon_sym_GT_GT] = ACTIONS(6458),
    [anon_sym_COLON] = ACTIONS(6460),
    [anon_sym_SEMI] = ACTIONS(6460),
    [anon_sym___attribute__] = ACTIONS(6458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6462),
    [anon_sym_RBRACE] = ACTIONS(6460),
    [anon_sym_LBRACK] = ACTIONS(6458),
    [anon_sym_RBRACK] = ACTIONS(6460),
    [anon_sym_EQ] = ACTIONS(6458),
    [anon_sym_QMARK] = ACTIONS(6460),
    [anon_sym_STAR_EQ] = ACTIONS(6460),
    [anon_sym_SLASH_EQ] = ACTIONS(6460),
    [anon_sym_PERCENT_EQ] = ACTIONS(6460),
    [anon_sym_PLUS_EQ] = ACTIONS(6460),
    [anon_sym_DASH_EQ] = ACTIONS(6460),
    [anon_sym_LT_LT_EQ] = ACTIONS(6460),
    [anon_sym_GT_GT_EQ] = ACTIONS(6460),
    [anon_sym_AMP_EQ] = ACTIONS(6460),
    [anon_sym_CARET_EQ] = ACTIONS(6460),
    [anon_sym_PIPE_EQ] = ACTIONS(6460),
    [anon_sym_and_eq] = ACTIONS(6458),
    [anon_sym_or_eq] = ACTIONS(6458),
    [anon_sym_xor_eq] = ACTIONS(6458),
    [anon_sym_LT_EQ_GT] = ACTIONS(6460),
    [anon_sym_or] = ACTIONS(6458),
    [anon_sym_and] = ACTIONS(6458),
    [anon_sym_bitor] = ACTIONS(6458),
    [anon_sym_xor] = ACTIONS(6458),
    [anon_sym_bitand] = ACTIONS(6458),
    [anon_sym_not_eq] = ACTIONS(6458),
    [anon_sym_DASH_DASH] = ACTIONS(6460),
    [anon_sym_PLUS_PLUS] = ACTIONS(6460),
    [anon_sym_DOT] = ACTIONS(6458),
    [anon_sym_DOT_STAR] = ACTIONS(6460),
    [anon_sym_DASH_GT] = ACTIONS(6460),
    [sym_comment] = ACTIONS(3),
  },
  [2650] = {
    [sym_identifier] = ACTIONS(5718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [aux_sym_preproc_if_token2] = ACTIONS(5720),
    [aux_sym_preproc_else_token1] = ACTIONS(5720),
    [aux_sym_preproc_elif_token1] = ACTIONS(5718),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5718),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5718),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5718),
    [anon_sym_GT_GT] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___attribute__] = ACTIONS(5718),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_RBRACK] = ACTIONS(5720),
    [anon_sym_EQ] = ACTIONS(5718),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_STAR_EQ] = ACTIONS(5720),
    [anon_sym_SLASH_EQ] = ACTIONS(5720),
    [anon_sym_PERCENT_EQ] = ACTIONS(5720),
    [anon_sym_PLUS_EQ] = ACTIONS(5720),
    [anon_sym_DASH_EQ] = ACTIONS(5720),
    [anon_sym_LT_LT_EQ] = ACTIONS(5720),
    [anon_sym_GT_GT_EQ] = ACTIONS(5720),
    [anon_sym_AMP_EQ] = ACTIONS(5720),
    [anon_sym_CARET_EQ] = ACTIONS(5720),
    [anon_sym_PIPE_EQ] = ACTIONS(5720),
    [anon_sym_and_eq] = ACTIONS(5718),
    [anon_sym_or_eq] = ACTIONS(5718),
    [anon_sym_xor_eq] = ACTIONS(5718),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5718),
    [anon_sym_and] = ACTIONS(5718),
    [anon_sym_bitor] = ACTIONS(5718),
    [anon_sym_xor] = ACTIONS(5718),
    [anon_sym_bitand] = ACTIONS(5718),
    [anon_sym_not_eq] = ACTIONS(5718),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5718),
    [anon_sym_decltype] = ACTIONS(5718),
  },
  [2651] = {
    [sym_identifier] = ACTIONS(5827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5829),
    [anon_sym_COMMA] = ACTIONS(5829),
    [anon_sym_RPAREN] = ACTIONS(5829),
    [aux_sym_preproc_if_token2] = ACTIONS(5829),
    [aux_sym_preproc_else_token1] = ACTIONS(5829),
    [aux_sym_preproc_elif_token1] = ACTIONS(5827),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5829),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_DASH] = ACTIONS(5827),
    [anon_sym_PLUS] = ACTIONS(5827),
    [anon_sym_STAR] = ACTIONS(5827),
    [anon_sym_SLASH] = ACTIONS(5827),
    [anon_sym_PERCENT] = ACTIONS(5827),
    [anon_sym_PIPE_PIPE] = ACTIONS(5829),
    [anon_sym_AMP_AMP] = ACTIONS(5829),
    [anon_sym_PIPE] = ACTIONS(5827),
    [anon_sym_CARET] = ACTIONS(5827),
    [anon_sym_AMP] = ACTIONS(5827),
    [anon_sym_EQ_EQ] = ACTIONS(5829),
    [anon_sym_BANG_EQ] = ACTIONS(5829),
    [anon_sym_GT] = ACTIONS(5827),
    [anon_sym_GT_EQ] = ACTIONS(5829),
    [anon_sym_LT_EQ] = ACTIONS(5827),
    [anon_sym_LT] = ACTIONS(5827),
    [anon_sym_LT_LT] = ACTIONS(5827),
    [anon_sym_GT_GT] = ACTIONS(5827),
    [anon_sym_COLON] = ACTIONS(5829),
    [anon_sym_SEMI] = ACTIONS(5829),
    [anon_sym___attribute__] = ACTIONS(5827),
    [anon_sym_LBRACE] = ACTIONS(5829),
    [anon_sym_RBRACE] = ACTIONS(5829),
    [anon_sym_LBRACK] = ACTIONS(5829),
    [anon_sym_RBRACK] = ACTIONS(5829),
    [anon_sym_EQ] = ACTIONS(5827),
    [anon_sym_QMARK] = ACTIONS(5829),
    [anon_sym_STAR_EQ] = ACTIONS(5829),
    [anon_sym_SLASH_EQ] = ACTIONS(5829),
    [anon_sym_PERCENT_EQ] = ACTIONS(5829),
    [anon_sym_PLUS_EQ] = ACTIONS(5829),
    [anon_sym_DASH_EQ] = ACTIONS(5829),
    [anon_sym_LT_LT_EQ] = ACTIONS(5829),
    [anon_sym_GT_GT_EQ] = ACTIONS(5829),
    [anon_sym_AMP_EQ] = ACTIONS(5829),
    [anon_sym_CARET_EQ] = ACTIONS(5829),
    [anon_sym_PIPE_EQ] = ACTIONS(5829),
    [anon_sym_and_eq] = ACTIONS(5827),
    [anon_sym_or_eq] = ACTIONS(5827),
    [anon_sym_xor_eq] = ACTIONS(5827),
    [anon_sym_LT_EQ_GT] = ACTIONS(5829),
    [anon_sym_or] = ACTIONS(5827),
    [anon_sym_and] = ACTIONS(5827),
    [anon_sym_bitor] = ACTIONS(5827),
    [anon_sym_xor] = ACTIONS(5827),
    [anon_sym_bitand] = ACTIONS(5827),
    [anon_sym_not_eq] = ACTIONS(5827),
    [anon_sym_DASH_DASH] = ACTIONS(5829),
    [anon_sym_PLUS_PLUS] = ACTIONS(5829),
    [anon_sym_DOT] = ACTIONS(5827),
    [anon_sym_DOT_STAR] = ACTIONS(5829),
    [anon_sym_DASH_GT] = ACTIONS(5829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5827),
    [anon_sym_decltype] = ACTIONS(5827),
  },
  [2652] = {
    [sym_identifier] = ACTIONS(5781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5783),
    [anon_sym_COMMA] = ACTIONS(5783),
    [anon_sym_RPAREN] = ACTIONS(5783),
    [aux_sym_preproc_if_token2] = ACTIONS(5783),
    [aux_sym_preproc_else_token1] = ACTIONS(5783),
    [aux_sym_preproc_elif_token1] = ACTIONS(5781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5783),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5783),
    [anon_sym_LPAREN2] = ACTIONS(5783),
    [anon_sym_DASH] = ACTIONS(5781),
    [anon_sym_PLUS] = ACTIONS(5781),
    [anon_sym_STAR] = ACTIONS(5781),
    [anon_sym_SLASH] = ACTIONS(5781),
    [anon_sym_PERCENT] = ACTIONS(5781),
    [anon_sym_PIPE_PIPE] = ACTIONS(5783),
    [anon_sym_AMP_AMP] = ACTIONS(5783),
    [anon_sym_PIPE] = ACTIONS(5781),
    [anon_sym_CARET] = ACTIONS(5781),
    [anon_sym_AMP] = ACTIONS(5781),
    [anon_sym_EQ_EQ] = ACTIONS(5783),
    [anon_sym_BANG_EQ] = ACTIONS(5783),
    [anon_sym_GT] = ACTIONS(5781),
    [anon_sym_GT_EQ] = ACTIONS(5783),
    [anon_sym_LT_EQ] = ACTIONS(5781),
    [anon_sym_LT] = ACTIONS(5781),
    [anon_sym_LT_LT] = ACTIONS(5781),
    [anon_sym_GT_GT] = ACTIONS(5781),
    [anon_sym_COLON] = ACTIONS(5783),
    [anon_sym_SEMI] = ACTIONS(5783),
    [anon_sym___attribute__] = ACTIONS(5781),
    [anon_sym_LBRACE] = ACTIONS(5783),
    [anon_sym_RBRACE] = ACTIONS(5783),
    [anon_sym_LBRACK] = ACTIONS(5783),
    [anon_sym_RBRACK] = ACTIONS(5783),
    [anon_sym_EQ] = ACTIONS(5781),
    [anon_sym_QMARK] = ACTIONS(5783),
    [anon_sym_STAR_EQ] = ACTIONS(5783),
    [anon_sym_SLASH_EQ] = ACTIONS(5783),
    [anon_sym_PERCENT_EQ] = ACTIONS(5783),
    [anon_sym_PLUS_EQ] = ACTIONS(5783),
    [anon_sym_DASH_EQ] = ACTIONS(5783),
    [anon_sym_LT_LT_EQ] = ACTIONS(5783),
    [anon_sym_GT_GT_EQ] = ACTIONS(5783),
    [anon_sym_AMP_EQ] = ACTIONS(5783),
    [anon_sym_CARET_EQ] = ACTIONS(5783),
    [anon_sym_PIPE_EQ] = ACTIONS(5783),
    [anon_sym_and_eq] = ACTIONS(5781),
    [anon_sym_or_eq] = ACTIONS(5781),
    [anon_sym_xor_eq] = ACTIONS(5781),
    [anon_sym_LT_EQ_GT] = ACTIONS(5783),
    [anon_sym_or] = ACTIONS(5781),
    [anon_sym_and] = ACTIONS(5781),
    [anon_sym_bitor] = ACTIONS(5781),
    [anon_sym_xor] = ACTIONS(5781),
    [anon_sym_bitand] = ACTIONS(5781),
    [anon_sym_not_eq] = ACTIONS(5781),
    [anon_sym_DASH_DASH] = ACTIONS(5783),
    [anon_sym_PLUS_PLUS] = ACTIONS(5783),
    [anon_sym_DOT] = ACTIONS(5781),
    [anon_sym_DOT_STAR] = ACTIONS(5783),
    [anon_sym_DASH_GT] = ACTIONS(5783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5781),
    [anon_sym_decltype] = ACTIONS(5781),
  },
  [2653] = {
    [sym_argument_list] = STATE(2847),
    [sym_initializer_list] = STATE(2847),
    [sym_identifier] = ACTIONS(6465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6467),
    [anon_sym_RPAREN] = ACTIONS(6467),
    [aux_sym_preproc_if_token2] = ACTIONS(6467),
    [aux_sym_preproc_else_token1] = ACTIONS(6467),
    [aux_sym_preproc_elif_token1] = ACTIONS(6465),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6467),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6467),
    [anon_sym_LPAREN2] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(6465),
    [anon_sym_STAR] = ACTIONS(6465),
    [anon_sym_SLASH] = ACTIONS(6465),
    [anon_sym_PERCENT] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6467),
    [anon_sym_AMP_AMP] = ACTIONS(6467),
    [anon_sym_PIPE] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6465),
    [anon_sym_AMP] = ACTIONS(6465),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6465),
    [anon_sym_GT_EQ] = ACTIONS(6467),
    [anon_sym_LT_EQ] = ACTIONS(6465),
    [anon_sym_LT] = ACTIONS(6465),
    [anon_sym_LT_LT] = ACTIONS(6465),
    [anon_sym_GT_GT] = ACTIONS(6465),
    [anon_sym_COLON] = ACTIONS(6467),
    [anon_sym_SEMI] = ACTIONS(6467),
    [anon_sym___attribute__] = ACTIONS(6465),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(6467),
    [anon_sym_LBRACK] = ACTIONS(6467),
    [anon_sym_RBRACK] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6467),
    [anon_sym_STAR_EQ] = ACTIONS(6467),
    [anon_sym_SLASH_EQ] = ACTIONS(6467),
    [anon_sym_PERCENT_EQ] = ACTIONS(6467),
    [anon_sym_PLUS_EQ] = ACTIONS(6467),
    [anon_sym_DASH_EQ] = ACTIONS(6467),
    [anon_sym_LT_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT_GT_EQ] = ACTIONS(6467),
    [anon_sym_AMP_EQ] = ACTIONS(6467),
    [anon_sym_CARET_EQ] = ACTIONS(6467),
    [anon_sym_PIPE_EQ] = ACTIONS(6467),
    [anon_sym_and_eq] = ACTIONS(6465),
    [anon_sym_or_eq] = ACTIONS(6465),
    [anon_sym_xor_eq] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6467),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_bitor] = ACTIONS(6465),
    [anon_sym_xor] = ACTIONS(6465),
    [anon_sym_bitand] = ACTIONS(6465),
    [anon_sym_not_eq] = ACTIONS(6465),
    [anon_sym_DASH_DASH] = ACTIONS(6467),
    [anon_sym_PLUS_PLUS] = ACTIONS(6467),
    [anon_sym_DOT] = ACTIONS(6465),
    [anon_sym_DOT_STAR] = ACTIONS(6467),
    [anon_sym_DASH_GT] = ACTIONS(6467),
    [sym_comment] = ACTIONS(3),
  },
  [2654] = {
    [sym_identifier] = ACTIONS(5777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5779),
    [anon_sym_COMMA] = ACTIONS(5779),
    [anon_sym_RPAREN] = ACTIONS(5779),
    [aux_sym_preproc_if_token2] = ACTIONS(5779),
    [aux_sym_preproc_else_token1] = ACTIONS(5779),
    [aux_sym_preproc_elif_token1] = ACTIONS(5777),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5779),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5779),
    [anon_sym_LPAREN2] = ACTIONS(5779),
    [anon_sym_DASH] = ACTIONS(5777),
    [anon_sym_PLUS] = ACTIONS(5777),
    [anon_sym_STAR] = ACTIONS(5777),
    [anon_sym_SLASH] = ACTIONS(5777),
    [anon_sym_PERCENT] = ACTIONS(5777),
    [anon_sym_PIPE_PIPE] = ACTIONS(5779),
    [anon_sym_AMP_AMP] = ACTIONS(5779),
    [anon_sym_PIPE] = ACTIONS(5777),
    [anon_sym_CARET] = ACTIONS(5777),
    [anon_sym_AMP] = ACTIONS(5777),
    [anon_sym_EQ_EQ] = ACTIONS(5779),
    [anon_sym_BANG_EQ] = ACTIONS(5779),
    [anon_sym_GT] = ACTIONS(5777),
    [anon_sym_GT_EQ] = ACTIONS(5779),
    [anon_sym_LT_EQ] = ACTIONS(5777),
    [anon_sym_LT] = ACTIONS(5777),
    [anon_sym_LT_LT] = ACTIONS(5777),
    [anon_sym_GT_GT] = ACTIONS(5777),
    [anon_sym_COLON] = ACTIONS(5779),
    [anon_sym_SEMI] = ACTIONS(5779),
    [anon_sym___attribute__] = ACTIONS(5777),
    [anon_sym_LBRACE] = ACTIONS(5779),
    [anon_sym_RBRACE] = ACTIONS(5779),
    [anon_sym_LBRACK] = ACTIONS(5779),
    [anon_sym_RBRACK] = ACTIONS(5779),
    [anon_sym_EQ] = ACTIONS(5777),
    [anon_sym_QMARK] = ACTIONS(5779),
    [anon_sym_STAR_EQ] = ACTIONS(5779),
    [anon_sym_SLASH_EQ] = ACTIONS(5779),
    [anon_sym_PERCENT_EQ] = ACTIONS(5779),
    [anon_sym_PLUS_EQ] = ACTIONS(5779),
    [anon_sym_DASH_EQ] = ACTIONS(5779),
    [anon_sym_LT_LT_EQ] = ACTIONS(5779),
    [anon_sym_GT_GT_EQ] = ACTIONS(5779),
    [anon_sym_AMP_EQ] = ACTIONS(5779),
    [anon_sym_CARET_EQ] = ACTIONS(5779),
    [anon_sym_PIPE_EQ] = ACTIONS(5779),
    [anon_sym_and_eq] = ACTIONS(5777),
    [anon_sym_or_eq] = ACTIONS(5777),
    [anon_sym_xor_eq] = ACTIONS(5777),
    [anon_sym_LT_EQ_GT] = ACTIONS(5779),
    [anon_sym_or] = ACTIONS(5777),
    [anon_sym_and] = ACTIONS(5777),
    [anon_sym_bitor] = ACTIONS(5777),
    [anon_sym_xor] = ACTIONS(5777),
    [anon_sym_bitand] = ACTIONS(5777),
    [anon_sym_not_eq] = ACTIONS(5777),
    [anon_sym_DASH_DASH] = ACTIONS(5779),
    [anon_sym_PLUS_PLUS] = ACTIONS(5779),
    [anon_sym_DOT] = ACTIONS(5777),
    [anon_sym_DOT_STAR] = ACTIONS(5779),
    [anon_sym_DASH_GT] = ACTIONS(5779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5777),
    [anon_sym_decltype] = ACTIONS(5777),
  },
  [2655] = {
    [sym_identifier] = ACTIONS(5797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5799),
    [anon_sym_COMMA] = ACTIONS(5799),
    [anon_sym_RPAREN] = ACTIONS(5799),
    [aux_sym_preproc_if_token2] = ACTIONS(5799),
    [aux_sym_preproc_else_token1] = ACTIONS(5799),
    [aux_sym_preproc_elif_token1] = ACTIONS(5797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5799),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [anon_sym_DASH] = ACTIONS(5797),
    [anon_sym_PLUS] = ACTIONS(5797),
    [anon_sym_STAR] = ACTIONS(5797),
    [anon_sym_SLASH] = ACTIONS(5797),
    [anon_sym_PERCENT] = ACTIONS(5797),
    [anon_sym_PIPE_PIPE] = ACTIONS(5799),
    [anon_sym_AMP_AMP] = ACTIONS(5799),
    [anon_sym_PIPE] = ACTIONS(5797),
    [anon_sym_CARET] = ACTIONS(5797),
    [anon_sym_AMP] = ACTIONS(5797),
    [anon_sym_EQ_EQ] = ACTIONS(5799),
    [anon_sym_BANG_EQ] = ACTIONS(5799),
    [anon_sym_GT] = ACTIONS(5797),
    [anon_sym_GT_EQ] = ACTIONS(5799),
    [anon_sym_LT_EQ] = ACTIONS(5797),
    [anon_sym_LT] = ACTIONS(5797),
    [anon_sym_LT_LT] = ACTIONS(5797),
    [anon_sym_GT_GT] = ACTIONS(5797),
    [anon_sym_COLON] = ACTIONS(5799),
    [anon_sym_SEMI] = ACTIONS(5799),
    [anon_sym___attribute__] = ACTIONS(5797),
    [anon_sym_LBRACE] = ACTIONS(5799),
    [anon_sym_RBRACE] = ACTIONS(5799),
    [anon_sym_LBRACK] = ACTIONS(5799),
    [anon_sym_RBRACK] = ACTIONS(5799),
    [anon_sym_EQ] = ACTIONS(5797),
    [anon_sym_QMARK] = ACTIONS(5799),
    [anon_sym_STAR_EQ] = ACTIONS(5799),
    [anon_sym_SLASH_EQ] = ACTIONS(5799),
    [anon_sym_PERCENT_EQ] = ACTIONS(5799),
    [anon_sym_PLUS_EQ] = ACTIONS(5799),
    [anon_sym_DASH_EQ] = ACTIONS(5799),
    [anon_sym_LT_LT_EQ] = ACTIONS(5799),
    [anon_sym_GT_GT_EQ] = ACTIONS(5799),
    [anon_sym_AMP_EQ] = ACTIONS(5799),
    [anon_sym_CARET_EQ] = ACTIONS(5799),
    [anon_sym_PIPE_EQ] = ACTIONS(5799),
    [anon_sym_and_eq] = ACTIONS(5797),
    [anon_sym_or_eq] = ACTIONS(5797),
    [anon_sym_xor_eq] = ACTIONS(5797),
    [anon_sym_LT_EQ_GT] = ACTIONS(5799),
    [anon_sym_or] = ACTIONS(5797),
    [anon_sym_and] = ACTIONS(5797),
    [anon_sym_bitor] = ACTIONS(5797),
    [anon_sym_xor] = ACTIONS(5797),
    [anon_sym_bitand] = ACTIONS(5797),
    [anon_sym_not_eq] = ACTIONS(5797),
    [anon_sym_DASH_DASH] = ACTIONS(5799),
    [anon_sym_PLUS_PLUS] = ACTIONS(5799),
    [anon_sym_DOT] = ACTIONS(5797),
    [anon_sym_DOT_STAR] = ACTIONS(5799),
    [anon_sym_DASH_GT] = ACTIONS(5799),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5797),
    [anon_sym_decltype] = ACTIONS(5797),
  },
  [2656] = {
    [sym_identifier] = ACTIONS(5801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [anon_sym_RPAREN] = ACTIONS(5803),
    [aux_sym_preproc_if_token2] = ACTIONS(5803),
    [aux_sym_preproc_else_token1] = ACTIONS(5803),
    [aux_sym_preproc_elif_token1] = ACTIONS(5801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5803),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5801),
    [anon_sym_PLUS] = ACTIONS(5801),
    [anon_sym_STAR] = ACTIONS(5801),
    [anon_sym_SLASH] = ACTIONS(5801),
    [anon_sym_PERCENT] = ACTIONS(5801),
    [anon_sym_PIPE_PIPE] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_PIPE] = ACTIONS(5801),
    [anon_sym_CARET] = ACTIONS(5801),
    [anon_sym_AMP] = ACTIONS(5801),
    [anon_sym_EQ_EQ] = ACTIONS(5803),
    [anon_sym_BANG_EQ] = ACTIONS(5803),
    [anon_sym_GT] = ACTIONS(5801),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5801),
    [anon_sym_LT] = ACTIONS(5801),
    [anon_sym_LT_LT] = ACTIONS(5801),
    [anon_sym_GT_GT] = ACTIONS(5801),
    [anon_sym_COLON] = ACTIONS(5803),
    [anon_sym_SEMI] = ACTIONS(5803),
    [anon_sym___attribute__] = ACTIONS(5801),
    [anon_sym_LBRACE] = ACTIONS(5803),
    [anon_sym_RBRACE] = ACTIONS(5803),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [anon_sym_RBRACK] = ACTIONS(5803),
    [anon_sym_EQ] = ACTIONS(5801),
    [anon_sym_QMARK] = ACTIONS(5803),
    [anon_sym_STAR_EQ] = ACTIONS(5803),
    [anon_sym_SLASH_EQ] = ACTIONS(5803),
    [anon_sym_PERCENT_EQ] = ACTIONS(5803),
    [anon_sym_PLUS_EQ] = ACTIONS(5803),
    [anon_sym_DASH_EQ] = ACTIONS(5803),
    [anon_sym_LT_LT_EQ] = ACTIONS(5803),
    [anon_sym_GT_GT_EQ] = ACTIONS(5803),
    [anon_sym_AMP_EQ] = ACTIONS(5803),
    [anon_sym_CARET_EQ] = ACTIONS(5803),
    [anon_sym_PIPE_EQ] = ACTIONS(5803),
    [anon_sym_and_eq] = ACTIONS(5801),
    [anon_sym_or_eq] = ACTIONS(5801),
    [anon_sym_xor_eq] = ACTIONS(5801),
    [anon_sym_LT_EQ_GT] = ACTIONS(5803),
    [anon_sym_or] = ACTIONS(5801),
    [anon_sym_and] = ACTIONS(5801),
    [anon_sym_bitor] = ACTIONS(5801),
    [anon_sym_xor] = ACTIONS(5801),
    [anon_sym_bitand] = ACTIONS(5801),
    [anon_sym_not_eq] = ACTIONS(5801),
    [anon_sym_DASH_DASH] = ACTIONS(5803),
    [anon_sym_PLUS_PLUS] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5801),
    [anon_sym_DOT_STAR] = ACTIONS(5803),
    [anon_sym_DASH_GT] = ACTIONS(5803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5801),
    [anon_sym_decltype] = ACTIONS(5801),
  },
  [2657] = {
    [sym_attribute_declaration] = STATE(2649),
    [aux_sym_attributed_declarator_repeat1] = STATE(2649),
    [sym_identifier] = ACTIONS(6469),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6471),
    [anon_sym_COMMA] = ACTIONS(6471),
    [anon_sym_RPAREN] = ACTIONS(6471),
    [aux_sym_preproc_if_token2] = ACTIONS(6471),
    [aux_sym_preproc_else_token1] = ACTIONS(6471),
    [aux_sym_preproc_elif_token1] = ACTIONS(6469),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6471),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6471),
    [anon_sym_LPAREN2] = ACTIONS(6471),
    [anon_sym_DASH] = ACTIONS(6469),
    [anon_sym_PLUS] = ACTIONS(6469),
    [anon_sym_STAR] = ACTIONS(6469),
    [anon_sym_SLASH] = ACTIONS(6469),
    [anon_sym_PERCENT] = ACTIONS(6469),
    [anon_sym_PIPE_PIPE] = ACTIONS(6471),
    [anon_sym_AMP_AMP] = ACTIONS(6471),
    [anon_sym_PIPE] = ACTIONS(6469),
    [anon_sym_CARET] = ACTIONS(6469),
    [anon_sym_AMP] = ACTIONS(6469),
    [anon_sym_EQ_EQ] = ACTIONS(6471),
    [anon_sym_BANG_EQ] = ACTIONS(6471),
    [anon_sym_GT] = ACTIONS(6469),
    [anon_sym_GT_EQ] = ACTIONS(6471),
    [anon_sym_LT_EQ] = ACTIONS(6469),
    [anon_sym_LT] = ACTIONS(6469),
    [anon_sym_LT_LT] = ACTIONS(6469),
    [anon_sym_GT_GT] = ACTIONS(6469),
    [anon_sym_COLON] = ACTIONS(6471),
    [anon_sym_SEMI] = ACTIONS(6471),
    [anon_sym___attribute__] = ACTIONS(6469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6387),
    [anon_sym_RBRACE] = ACTIONS(6471),
    [anon_sym_LBRACK] = ACTIONS(6469),
    [anon_sym_RBRACK] = ACTIONS(6471),
    [anon_sym_EQ] = ACTIONS(6469),
    [anon_sym_QMARK] = ACTIONS(6471),
    [anon_sym_STAR_EQ] = ACTIONS(6471),
    [anon_sym_SLASH_EQ] = ACTIONS(6471),
    [anon_sym_PERCENT_EQ] = ACTIONS(6471),
    [anon_sym_PLUS_EQ] = ACTIONS(6471),
    [anon_sym_DASH_EQ] = ACTIONS(6471),
    [anon_sym_LT_LT_EQ] = ACTIONS(6471),
    [anon_sym_GT_GT_EQ] = ACTIONS(6471),
    [anon_sym_AMP_EQ] = ACTIONS(6471),
    [anon_sym_CARET_EQ] = ACTIONS(6471),
    [anon_sym_PIPE_EQ] = ACTIONS(6471),
    [anon_sym_and_eq] = ACTIONS(6469),
    [anon_sym_or_eq] = ACTIONS(6469),
    [anon_sym_xor_eq] = ACTIONS(6469),
    [anon_sym_LT_EQ_GT] = ACTIONS(6471),
    [anon_sym_or] = ACTIONS(6469),
    [anon_sym_and] = ACTIONS(6469),
    [anon_sym_bitor] = ACTIONS(6469),
    [anon_sym_xor] = ACTIONS(6469),
    [anon_sym_bitand] = ACTIONS(6469),
    [anon_sym_not_eq] = ACTIONS(6469),
    [anon_sym_DASH_DASH] = ACTIONS(6471),
    [anon_sym_PLUS_PLUS] = ACTIONS(6471),
    [anon_sym_DOT] = ACTIONS(6469),
    [anon_sym_DOT_STAR] = ACTIONS(6471),
    [anon_sym_DASH_GT] = ACTIONS(6471),
    [sym_comment] = ACTIONS(3),
  },
  [2658] = {
    [sym_identifier] = ACTIONS(5777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5779),
    [anon_sym_COMMA] = ACTIONS(5779),
    [anon_sym_RPAREN] = ACTIONS(5779),
    [aux_sym_preproc_if_token2] = ACTIONS(5779),
    [aux_sym_preproc_else_token1] = ACTIONS(5779),
    [aux_sym_preproc_elif_token1] = ACTIONS(5777),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5779),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5779),
    [anon_sym_LPAREN2] = ACTIONS(5779),
    [anon_sym_DASH] = ACTIONS(5777),
    [anon_sym_PLUS] = ACTIONS(5777),
    [anon_sym_STAR] = ACTIONS(5777),
    [anon_sym_SLASH] = ACTIONS(5777),
    [anon_sym_PERCENT] = ACTIONS(5777),
    [anon_sym_PIPE_PIPE] = ACTIONS(5779),
    [anon_sym_AMP_AMP] = ACTIONS(5779),
    [anon_sym_PIPE] = ACTIONS(5777),
    [anon_sym_CARET] = ACTIONS(5777),
    [anon_sym_AMP] = ACTIONS(5777),
    [anon_sym_EQ_EQ] = ACTIONS(5779),
    [anon_sym_BANG_EQ] = ACTIONS(5779),
    [anon_sym_GT] = ACTIONS(5777),
    [anon_sym_GT_EQ] = ACTIONS(5779),
    [anon_sym_LT_EQ] = ACTIONS(5777),
    [anon_sym_LT] = ACTIONS(5777),
    [anon_sym_LT_LT] = ACTIONS(5777),
    [anon_sym_GT_GT] = ACTIONS(5777),
    [anon_sym_COLON] = ACTIONS(5779),
    [anon_sym_SEMI] = ACTIONS(5779),
    [anon_sym___attribute__] = ACTIONS(5777),
    [anon_sym_LBRACE] = ACTIONS(5779),
    [anon_sym_RBRACE] = ACTIONS(5779),
    [anon_sym_LBRACK] = ACTIONS(5779),
    [anon_sym_RBRACK] = ACTIONS(5779),
    [anon_sym_EQ] = ACTIONS(5777),
    [anon_sym_QMARK] = ACTIONS(5779),
    [anon_sym_STAR_EQ] = ACTIONS(5779),
    [anon_sym_SLASH_EQ] = ACTIONS(5779),
    [anon_sym_PERCENT_EQ] = ACTIONS(5779),
    [anon_sym_PLUS_EQ] = ACTIONS(5779),
    [anon_sym_DASH_EQ] = ACTIONS(5779),
    [anon_sym_LT_LT_EQ] = ACTIONS(5779),
    [anon_sym_GT_GT_EQ] = ACTIONS(5779),
    [anon_sym_AMP_EQ] = ACTIONS(5779),
    [anon_sym_CARET_EQ] = ACTIONS(5779),
    [anon_sym_PIPE_EQ] = ACTIONS(5779),
    [anon_sym_and_eq] = ACTIONS(5777),
    [anon_sym_or_eq] = ACTIONS(5777),
    [anon_sym_xor_eq] = ACTIONS(5777),
    [anon_sym_LT_EQ_GT] = ACTIONS(5779),
    [anon_sym_or] = ACTIONS(5777),
    [anon_sym_and] = ACTIONS(5777),
    [anon_sym_bitor] = ACTIONS(5777),
    [anon_sym_xor] = ACTIONS(5777),
    [anon_sym_bitand] = ACTIONS(5777),
    [anon_sym_not_eq] = ACTIONS(5777),
    [anon_sym_DASH_DASH] = ACTIONS(5779),
    [anon_sym_PLUS_PLUS] = ACTIONS(5779),
    [anon_sym_DOT] = ACTIONS(5777),
    [anon_sym_DOT_STAR] = ACTIONS(5779),
    [anon_sym_DASH_GT] = ACTIONS(5779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5777),
    [anon_sym_decltype] = ACTIONS(5777),
  },
  [2659] = {
    [sym_identifier] = ACTIONS(6473),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6475),
    [anon_sym_COMMA] = ACTIONS(6475),
    [anon_sym_RPAREN] = ACTIONS(6475),
    [aux_sym_preproc_if_token2] = ACTIONS(6475),
    [aux_sym_preproc_else_token1] = ACTIONS(6475),
    [aux_sym_preproc_elif_token1] = ACTIONS(6473),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6475),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6475),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_DASH] = ACTIONS(6473),
    [anon_sym_PLUS] = ACTIONS(6473),
    [anon_sym_STAR] = ACTIONS(6473),
    [anon_sym_SLASH] = ACTIONS(6473),
    [anon_sym_PERCENT] = ACTIONS(6473),
    [anon_sym_PIPE_PIPE] = ACTIONS(6475),
    [anon_sym_AMP_AMP] = ACTIONS(6475),
    [anon_sym_PIPE] = ACTIONS(6473),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym_AMP] = ACTIONS(6473),
    [anon_sym_EQ_EQ] = ACTIONS(6475),
    [anon_sym_BANG_EQ] = ACTIONS(6475),
    [anon_sym_GT] = ACTIONS(6473),
    [anon_sym_GT_EQ] = ACTIONS(6475),
    [anon_sym_LT_EQ] = ACTIONS(6473),
    [anon_sym_LT] = ACTIONS(6473),
    [anon_sym_LT_LT] = ACTIONS(6473),
    [anon_sym_GT_GT] = ACTIONS(6473),
    [anon_sym_COLON] = ACTIONS(6475),
    [anon_sym_SEMI] = ACTIONS(6475),
    [anon_sym___attribute__] = ACTIONS(6473),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6475),
    [anon_sym_LBRACE] = ACTIONS(6475),
    [anon_sym_RBRACE] = ACTIONS(6475),
    [anon_sym_LBRACK] = ACTIONS(6473),
    [anon_sym_RBRACK] = ACTIONS(6475),
    [anon_sym_EQ] = ACTIONS(6473),
    [anon_sym_QMARK] = ACTIONS(6475),
    [anon_sym_STAR_EQ] = ACTIONS(6475),
    [anon_sym_SLASH_EQ] = ACTIONS(6475),
    [anon_sym_PERCENT_EQ] = ACTIONS(6475),
    [anon_sym_PLUS_EQ] = ACTIONS(6475),
    [anon_sym_DASH_EQ] = ACTIONS(6475),
    [anon_sym_LT_LT_EQ] = ACTIONS(6475),
    [anon_sym_GT_GT_EQ] = ACTIONS(6475),
    [anon_sym_AMP_EQ] = ACTIONS(6475),
    [anon_sym_CARET_EQ] = ACTIONS(6475),
    [anon_sym_PIPE_EQ] = ACTIONS(6475),
    [anon_sym_and_eq] = ACTIONS(6473),
    [anon_sym_or_eq] = ACTIONS(6473),
    [anon_sym_xor_eq] = ACTIONS(6473),
    [anon_sym_LT_EQ_GT] = ACTIONS(6475),
    [anon_sym_or] = ACTIONS(6473),
    [anon_sym_and] = ACTIONS(6473),
    [anon_sym_bitor] = ACTIONS(6473),
    [anon_sym_xor] = ACTIONS(6473),
    [anon_sym_bitand] = ACTIONS(6473),
    [anon_sym_not_eq] = ACTIONS(6473),
    [anon_sym_DASH_DASH] = ACTIONS(6475),
    [anon_sym_PLUS_PLUS] = ACTIONS(6475),
    [anon_sym_DOT] = ACTIONS(6473),
    [anon_sym_DOT_STAR] = ACTIONS(6475),
    [anon_sym_DASH_GT] = ACTIONS(6475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6473),
  },
  [2660] = {
    [sym_identifier] = ACTIONS(5823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5825),
    [anon_sym_RPAREN] = ACTIONS(5825),
    [aux_sym_preproc_if_token2] = ACTIONS(5825),
    [aux_sym_preproc_else_token1] = ACTIONS(5825),
    [aux_sym_preproc_elif_token1] = ACTIONS(5823),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5825),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5825),
    [anon_sym_LPAREN2] = ACTIONS(5825),
    [anon_sym_DASH] = ACTIONS(5823),
    [anon_sym_PLUS] = ACTIONS(5823),
    [anon_sym_STAR] = ACTIONS(5823),
    [anon_sym_SLASH] = ACTIONS(5823),
    [anon_sym_PERCENT] = ACTIONS(5823),
    [anon_sym_PIPE_PIPE] = ACTIONS(5825),
    [anon_sym_AMP_AMP] = ACTIONS(5825),
    [anon_sym_PIPE] = ACTIONS(5823),
    [anon_sym_CARET] = ACTIONS(5823),
    [anon_sym_AMP] = ACTIONS(5823),
    [anon_sym_EQ_EQ] = ACTIONS(5825),
    [anon_sym_BANG_EQ] = ACTIONS(5825),
    [anon_sym_GT] = ACTIONS(5823),
    [anon_sym_GT_EQ] = ACTIONS(5825),
    [anon_sym_LT_EQ] = ACTIONS(5823),
    [anon_sym_LT] = ACTIONS(5823),
    [anon_sym_LT_LT] = ACTIONS(5823),
    [anon_sym_GT_GT] = ACTIONS(5823),
    [anon_sym_COLON] = ACTIONS(5825),
    [anon_sym_SEMI] = ACTIONS(5825),
    [anon_sym___attribute__] = ACTIONS(5823),
    [anon_sym_LBRACE] = ACTIONS(5825),
    [anon_sym_RBRACE] = ACTIONS(5825),
    [anon_sym_LBRACK] = ACTIONS(5825),
    [anon_sym_RBRACK] = ACTIONS(5825),
    [anon_sym_EQ] = ACTIONS(5823),
    [anon_sym_QMARK] = ACTIONS(5825),
    [anon_sym_STAR_EQ] = ACTIONS(5825),
    [anon_sym_SLASH_EQ] = ACTIONS(5825),
    [anon_sym_PERCENT_EQ] = ACTIONS(5825),
    [anon_sym_PLUS_EQ] = ACTIONS(5825),
    [anon_sym_DASH_EQ] = ACTIONS(5825),
    [anon_sym_LT_LT_EQ] = ACTIONS(5825),
    [anon_sym_GT_GT_EQ] = ACTIONS(5825),
    [anon_sym_AMP_EQ] = ACTIONS(5825),
    [anon_sym_CARET_EQ] = ACTIONS(5825),
    [anon_sym_PIPE_EQ] = ACTIONS(5825),
    [anon_sym_and_eq] = ACTIONS(5823),
    [anon_sym_or_eq] = ACTIONS(5823),
    [anon_sym_xor_eq] = ACTIONS(5823),
    [anon_sym_LT_EQ_GT] = ACTIONS(5825),
    [anon_sym_or] = ACTIONS(5823),
    [anon_sym_and] = ACTIONS(5823),
    [anon_sym_bitor] = ACTIONS(5823),
    [anon_sym_xor] = ACTIONS(5823),
    [anon_sym_bitand] = ACTIONS(5823),
    [anon_sym_not_eq] = ACTIONS(5823),
    [anon_sym_DASH_DASH] = ACTIONS(5825),
    [anon_sym_PLUS_PLUS] = ACTIONS(5825),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_DOT_STAR] = ACTIONS(5825),
    [anon_sym_DASH_GT] = ACTIONS(5825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5823),
    [anon_sym_decltype] = ACTIONS(5823),
  },
  [2661] = {
    [sym_identifier] = ACTIONS(5871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5873),
    [anon_sym_COMMA] = ACTIONS(5873),
    [anon_sym_RPAREN] = ACTIONS(5873),
    [aux_sym_preproc_if_token2] = ACTIONS(5873),
    [aux_sym_preproc_else_token1] = ACTIONS(5873),
    [aux_sym_preproc_elif_token1] = ACTIONS(5871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5873),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5873),
    [anon_sym_LPAREN2] = ACTIONS(5873),
    [anon_sym_DASH] = ACTIONS(5871),
    [anon_sym_PLUS] = ACTIONS(5871),
    [anon_sym_STAR] = ACTIONS(5871),
    [anon_sym_SLASH] = ACTIONS(5871),
    [anon_sym_PERCENT] = ACTIONS(5871),
    [anon_sym_PIPE_PIPE] = ACTIONS(5873),
    [anon_sym_AMP_AMP] = ACTIONS(5873),
    [anon_sym_PIPE] = ACTIONS(5871),
    [anon_sym_CARET] = ACTIONS(5871),
    [anon_sym_AMP] = ACTIONS(5871),
    [anon_sym_EQ_EQ] = ACTIONS(5873),
    [anon_sym_BANG_EQ] = ACTIONS(5873),
    [anon_sym_GT] = ACTIONS(5871),
    [anon_sym_GT_EQ] = ACTIONS(5873),
    [anon_sym_LT_EQ] = ACTIONS(5871),
    [anon_sym_LT] = ACTIONS(5871),
    [anon_sym_LT_LT] = ACTIONS(5871),
    [anon_sym_GT_GT] = ACTIONS(5871),
    [anon_sym_COLON] = ACTIONS(5873),
    [anon_sym_SEMI] = ACTIONS(5873),
    [anon_sym___attribute__] = ACTIONS(5871),
    [anon_sym_LBRACE] = ACTIONS(5873),
    [anon_sym_RBRACE] = ACTIONS(5873),
    [anon_sym_LBRACK] = ACTIONS(5873),
    [anon_sym_RBRACK] = ACTIONS(5873),
    [anon_sym_EQ] = ACTIONS(5871),
    [anon_sym_QMARK] = ACTIONS(5873),
    [anon_sym_STAR_EQ] = ACTIONS(5873),
    [anon_sym_SLASH_EQ] = ACTIONS(5873),
    [anon_sym_PERCENT_EQ] = ACTIONS(5873),
    [anon_sym_PLUS_EQ] = ACTIONS(5873),
    [anon_sym_DASH_EQ] = ACTIONS(5873),
    [anon_sym_LT_LT_EQ] = ACTIONS(5873),
    [anon_sym_GT_GT_EQ] = ACTIONS(5873),
    [anon_sym_AMP_EQ] = ACTIONS(5873),
    [anon_sym_CARET_EQ] = ACTIONS(5873),
    [anon_sym_PIPE_EQ] = ACTIONS(5873),
    [anon_sym_and_eq] = ACTIONS(5871),
    [anon_sym_or_eq] = ACTIONS(5871),
    [anon_sym_xor_eq] = ACTIONS(5871),
    [anon_sym_LT_EQ_GT] = ACTIONS(5873),
    [anon_sym_or] = ACTIONS(5871),
    [anon_sym_and] = ACTIONS(5871),
    [anon_sym_bitor] = ACTIONS(5871),
    [anon_sym_xor] = ACTIONS(5871),
    [anon_sym_bitand] = ACTIONS(5871),
    [anon_sym_not_eq] = ACTIONS(5871),
    [anon_sym_DASH_DASH] = ACTIONS(5873),
    [anon_sym_PLUS_PLUS] = ACTIONS(5873),
    [anon_sym_DOT] = ACTIONS(5871),
    [anon_sym_DOT_STAR] = ACTIONS(5873),
    [anon_sym_DASH_GT] = ACTIONS(5873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5871),
    [anon_sym_decltype] = ACTIONS(5871),
  },
  [2662] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2683),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5728),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_CARET] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5726),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5728),
    [anon_sym_GT_GT] = ACTIONS(5726),
    [anon_sym_COLON] = ACTIONS(5728),
    [anon_sym___extension__] = ACTIONS(5728),
    [anon_sym___attribute__] = ACTIONS(5728),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(6477),
    [anon_sym_unsigned] = ACTIONS(6477),
    [anon_sym_long] = ACTIONS(6477),
    [anon_sym_short] = ACTIONS(6477),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_const] = ACTIONS(5726),
    [anon_sym_constexpr] = ACTIONS(5728),
    [anon_sym_volatile] = ACTIONS(5728),
    [anon_sym_restrict] = ACTIONS(5728),
    [anon_sym___restrict__] = ACTIONS(5728),
    [anon_sym__Atomic] = ACTIONS(5728),
    [anon_sym__Noreturn] = ACTIONS(5728),
    [anon_sym_noreturn] = ACTIONS(5728),
    [anon_sym__Nonnull] = ACTIONS(5728),
    [anon_sym_mutable] = ACTIONS(5728),
    [anon_sym_constinit] = ACTIONS(5728),
    [anon_sym_consteval] = ACTIONS(5728),
    [anon_sym_alignas] = ACTIONS(5728),
    [anon_sym__Alignas] = ACTIONS(5728),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5728),
    [anon_sym_and] = ACTIONS(5728),
    [anon_sym_bitor] = ACTIONS(5728),
    [anon_sym_xor] = ACTIONS(5728),
    [anon_sym_bitand] = ACTIONS(5728),
    [anon_sym_not_eq] = ACTIONS(5728),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5728),
    [anon_sym_decltype] = ACTIONS(5728),
    [anon_sym_final] = ACTIONS(5728),
    [anon_sym_override] = ACTIONS(5728),
    [anon_sym_GT2] = ACTIONS(5728),
    [anon_sym_requires] = ACTIONS(5728),
  },
  [2663] = {
    [sym_attribute_specifier] = STATE(2521),
    [sym_enumerator_list] = STATE(2740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5877),
    [anon_sym_COMMA] = ACTIONS(5877),
    [anon_sym_RPAREN] = ACTIONS(5877),
    [anon_sym_LPAREN2] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5875),
    [anon_sym_STAR] = ACTIONS(5877),
    [anon_sym_SLASH] = ACTIONS(5875),
    [anon_sym_PERCENT] = ACTIONS(5877),
    [anon_sym_PIPE_PIPE] = ACTIONS(5877),
    [anon_sym_AMP_AMP] = ACTIONS(5877),
    [anon_sym_PIPE] = ACTIONS(5875),
    [anon_sym_CARET] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(5875),
    [anon_sym_EQ_EQ] = ACTIONS(5877),
    [anon_sym_BANG_EQ] = ACTIONS(5877),
    [anon_sym_GT] = ACTIONS(5875),
    [anon_sym_GT_EQ] = ACTIONS(5877),
    [anon_sym_LT_EQ] = ACTIONS(5875),
    [anon_sym_LT] = ACTIONS(5875),
    [anon_sym_LT_LT] = ACTIONS(5877),
    [anon_sym_GT_GT] = ACTIONS(5877),
    [anon_sym_COLON] = ACTIONS(5877),
    [anon_sym_SEMI] = ACTIONS(5877),
    [anon_sym___extension__] = ACTIONS(5877),
    [anon_sym___attribute__] = ACTIONS(6314),
    [anon_sym_LBRACE] = ACTIONS(6479),
    [anon_sym_RBRACE] = ACTIONS(5877),
    [anon_sym_LBRACK] = ACTIONS(5877),
    [anon_sym_RBRACK] = ACTIONS(5877),
    [anon_sym_const] = ACTIONS(5875),
    [anon_sym_constexpr] = ACTIONS(5877),
    [anon_sym_volatile] = ACTIONS(5877),
    [anon_sym_restrict] = ACTIONS(5877),
    [anon_sym___restrict__] = ACTIONS(5877),
    [anon_sym__Atomic] = ACTIONS(5877),
    [anon_sym__Noreturn] = ACTIONS(5877),
    [anon_sym_noreturn] = ACTIONS(5877),
    [anon_sym__Nonnull] = ACTIONS(5877),
    [anon_sym_mutable] = ACTIONS(5877),
    [anon_sym_constinit] = ACTIONS(5877),
    [anon_sym_consteval] = ACTIONS(5877),
    [anon_sym_alignas] = ACTIONS(5877),
    [anon_sym__Alignas] = ACTIONS(5877),
    [anon_sym_QMARK] = ACTIONS(5877),
    [anon_sym_LT_EQ_GT] = ACTIONS(5877),
    [anon_sym_or] = ACTIONS(5877),
    [anon_sym_and] = ACTIONS(5877),
    [anon_sym_bitor] = ACTIONS(5877),
    [anon_sym_xor] = ACTIONS(5877),
    [anon_sym_bitand] = ACTIONS(5877),
    [anon_sym_not_eq] = ACTIONS(5877),
    [anon_sym_DASH_DASH] = ACTIONS(5877),
    [anon_sym_PLUS_PLUS] = ACTIONS(5877),
    [anon_sym_DOT] = ACTIONS(5875),
    [anon_sym_DOT_STAR] = ACTIONS(5877),
    [anon_sym_DASH_GT] = ACTIONS(5877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5877),
    [anon_sym_decltype] = ACTIONS(5877),
    [anon_sym_final] = ACTIONS(5877),
    [anon_sym_override] = ACTIONS(5877),
    [anon_sym_requires] = ACTIONS(5877),
  },
  [2664] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5738),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_DASH] = ACTIONS(5736),
    [anon_sym_PLUS] = ACTIONS(5736),
    [anon_sym_STAR] = ACTIONS(5738),
    [anon_sym_SLASH] = ACTIONS(5736),
    [anon_sym_PERCENT] = ACTIONS(5738),
    [anon_sym_PIPE_PIPE] = ACTIONS(5738),
    [anon_sym_AMP_AMP] = ACTIONS(5738),
    [anon_sym_PIPE] = ACTIONS(5736),
    [anon_sym_CARET] = ACTIONS(5738),
    [anon_sym_AMP] = ACTIONS(5736),
    [anon_sym_EQ_EQ] = ACTIONS(5738),
    [anon_sym_BANG_EQ] = ACTIONS(5738),
    [anon_sym_GT] = ACTIONS(5736),
    [anon_sym_GT_EQ] = ACTIONS(5736),
    [anon_sym_LT_EQ] = ACTIONS(5736),
    [anon_sym_LT] = ACTIONS(5736),
    [anon_sym_LT_LT] = ACTIONS(5738),
    [anon_sym_GT_GT] = ACTIONS(5736),
    [anon_sym_COLON] = ACTIONS(5738),
    [anon_sym___extension__] = ACTIONS(5738),
    [anon_sym___attribute__] = ACTIONS(5738),
    [anon_sym_LBRACE] = ACTIONS(5738),
    [anon_sym_signed] = ACTIONS(6481),
    [anon_sym_unsigned] = ACTIONS(6481),
    [anon_sym_long] = ACTIONS(6481),
    [anon_sym_short] = ACTIONS(6481),
    [anon_sym_LBRACK] = ACTIONS(5738),
    [anon_sym_const] = ACTIONS(5736),
    [anon_sym_constexpr] = ACTIONS(5738),
    [anon_sym_volatile] = ACTIONS(5738),
    [anon_sym_restrict] = ACTIONS(5738),
    [anon_sym___restrict__] = ACTIONS(5738),
    [anon_sym__Atomic] = ACTIONS(5738),
    [anon_sym__Noreturn] = ACTIONS(5738),
    [anon_sym_noreturn] = ACTIONS(5738),
    [anon_sym__Nonnull] = ACTIONS(5738),
    [anon_sym_mutable] = ACTIONS(5738),
    [anon_sym_constinit] = ACTIONS(5738),
    [anon_sym_consteval] = ACTIONS(5738),
    [anon_sym_alignas] = ACTIONS(5738),
    [anon_sym__Alignas] = ACTIONS(5738),
    [anon_sym_QMARK] = ACTIONS(5738),
    [anon_sym_LT_EQ_GT] = ACTIONS(5738),
    [anon_sym_or] = ACTIONS(5738),
    [anon_sym_and] = ACTIONS(5738),
    [anon_sym_bitor] = ACTIONS(5738),
    [anon_sym_xor] = ACTIONS(5738),
    [anon_sym_bitand] = ACTIONS(5738),
    [anon_sym_not_eq] = ACTIONS(5738),
    [anon_sym_DASH_DASH] = ACTIONS(5738),
    [anon_sym_PLUS_PLUS] = ACTIONS(5738),
    [anon_sym_DOT] = ACTIONS(5736),
    [anon_sym_DOT_STAR] = ACTIONS(5738),
    [anon_sym_DASH_GT] = ACTIONS(5738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5738),
    [anon_sym_decltype] = ACTIONS(5738),
    [anon_sym_final] = ACTIONS(5738),
    [anon_sym_override] = ACTIONS(5738),
    [anon_sym_GT2] = ACTIONS(5738),
    [anon_sym_requires] = ACTIONS(5738),
  },
  [2665] = {
    [sym_attribute_specifier] = STATE(2508),
    [sym_enumerator_list] = STATE(2729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5807),
    [anon_sym_COMMA] = ACTIONS(5807),
    [anon_sym_RPAREN] = ACTIONS(5807),
    [anon_sym_LPAREN2] = ACTIONS(5807),
    [anon_sym_DASH] = ACTIONS(5805),
    [anon_sym_PLUS] = ACTIONS(5805),
    [anon_sym_STAR] = ACTIONS(5807),
    [anon_sym_SLASH] = ACTIONS(5805),
    [anon_sym_PERCENT] = ACTIONS(5807),
    [anon_sym_PIPE_PIPE] = ACTIONS(5807),
    [anon_sym_AMP_AMP] = ACTIONS(5807),
    [anon_sym_PIPE] = ACTIONS(5805),
    [anon_sym_CARET] = ACTIONS(5807),
    [anon_sym_AMP] = ACTIONS(5805),
    [anon_sym_EQ_EQ] = ACTIONS(5807),
    [anon_sym_BANG_EQ] = ACTIONS(5807),
    [anon_sym_GT] = ACTIONS(5805),
    [anon_sym_GT_EQ] = ACTIONS(5807),
    [anon_sym_LT_EQ] = ACTIONS(5805),
    [anon_sym_LT] = ACTIONS(5805),
    [anon_sym_LT_LT] = ACTIONS(5807),
    [anon_sym_GT_GT] = ACTIONS(5807),
    [anon_sym_COLON] = ACTIONS(5807),
    [anon_sym_SEMI] = ACTIONS(5807),
    [anon_sym___extension__] = ACTIONS(5807),
    [anon_sym___attribute__] = ACTIONS(6314),
    [anon_sym_LBRACE] = ACTIONS(6479),
    [anon_sym_RBRACE] = ACTIONS(5807),
    [anon_sym_LBRACK] = ACTIONS(5807),
    [anon_sym_RBRACK] = ACTIONS(5807),
    [anon_sym_const] = ACTIONS(5805),
    [anon_sym_constexpr] = ACTIONS(5807),
    [anon_sym_volatile] = ACTIONS(5807),
    [anon_sym_restrict] = ACTIONS(5807),
    [anon_sym___restrict__] = ACTIONS(5807),
    [anon_sym__Atomic] = ACTIONS(5807),
    [anon_sym__Noreturn] = ACTIONS(5807),
    [anon_sym_noreturn] = ACTIONS(5807),
    [anon_sym__Nonnull] = ACTIONS(5807),
    [anon_sym_mutable] = ACTIONS(5807),
    [anon_sym_constinit] = ACTIONS(5807),
    [anon_sym_consteval] = ACTIONS(5807),
    [anon_sym_alignas] = ACTIONS(5807),
    [anon_sym__Alignas] = ACTIONS(5807),
    [anon_sym_QMARK] = ACTIONS(5807),
    [anon_sym_LT_EQ_GT] = ACTIONS(5807),
    [anon_sym_or] = ACTIONS(5807),
    [anon_sym_and] = ACTIONS(5807),
    [anon_sym_bitor] = ACTIONS(5807),
    [anon_sym_xor] = ACTIONS(5807),
    [anon_sym_bitand] = ACTIONS(5807),
    [anon_sym_not_eq] = ACTIONS(5807),
    [anon_sym_DASH_DASH] = ACTIONS(5807),
    [anon_sym_PLUS_PLUS] = ACTIONS(5807),
    [anon_sym_DOT] = ACTIONS(5805),
    [anon_sym_DOT_STAR] = ACTIONS(5807),
    [anon_sym_DASH_GT] = ACTIONS(5807),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5807),
    [anon_sym_decltype] = ACTIONS(5807),
    [anon_sym_final] = ACTIONS(5807),
    [anon_sym_override] = ACTIONS(5807),
    [anon_sym_requires] = ACTIONS(5807),
  },
  [2666] = {
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_unaligned_ptr_modifier] = STATE(4158),
    [sym_ms_pointer_modifier] = STATE(2672),
    [sym__declarator] = STATE(6382),
    [sym__abstract_declarator] = STATE(6689),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(6325),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(6325),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(3093),
    [sym_alignas_qualifier] = STATE(4364),
    [sym_parameter_list] = STATE(3350),
    [sym_decltype] = STATE(8731),
    [sym_reference_declarator] = STATE(6325),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5760),
    [sym_qualified_identifier] = STATE(6325),
    [sym_operator_name] = STATE(6325),
    [aux_sym__type_definition_type_repeat1] = STATE(3093),
    [aux_sym_pointer_declarator_repeat1] = STATE(2672),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(6221),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(4131),
    [anon_sym_AMP_AMP] = ACTIONS(4133),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym___extension__] = ACTIONS(4053),
    [anon_sym_COLON_COLON] = ACTIONS(6483),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4049),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4049),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4049),
    [anon_sym__unaligned] = ACTIONS(4051),
    [anon_sym___unaligned] = ACTIONS(4051),
    [anon_sym_LBRACK] = ACTIONS(6233),
    [anon_sym_const] = ACTIONS(4053),
    [anon_sym_constexpr] = ACTIONS(4053),
    [anon_sym_volatile] = ACTIONS(4053),
    [anon_sym_restrict] = ACTIONS(4053),
    [anon_sym___restrict__] = ACTIONS(4053),
    [anon_sym__Atomic] = ACTIONS(4053),
    [anon_sym__Noreturn] = ACTIONS(4053),
    [anon_sym_noreturn] = ACTIONS(4053),
    [anon_sym__Nonnull] = ACTIONS(4053),
    [anon_sym_mutable] = ACTIONS(4053),
    [anon_sym_constinit] = ACTIONS(4053),
    [anon_sym_consteval] = ACTIONS(4053),
    [anon_sym_alignas] = ACTIONS(4055),
    [anon_sym__Alignas] = ACTIONS(4055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
  },
  [2667] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5720),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5720),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5720),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5718),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5720),
    [anon_sym_GT_GT] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(5720),
    [anon_sym___extension__] = ACTIONS(5720),
    [anon_sym___attribute__] = ACTIONS(5720),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_signed] = ACTIONS(6485),
    [anon_sym_unsigned] = ACTIONS(6485),
    [anon_sym_long] = ACTIONS(6485),
    [anon_sym_short] = ACTIONS(6485),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_const] = ACTIONS(5718),
    [anon_sym_constexpr] = ACTIONS(5720),
    [anon_sym_volatile] = ACTIONS(5720),
    [anon_sym_restrict] = ACTIONS(5720),
    [anon_sym___restrict__] = ACTIONS(5720),
    [anon_sym__Atomic] = ACTIONS(5720),
    [anon_sym__Noreturn] = ACTIONS(5720),
    [anon_sym_noreturn] = ACTIONS(5720),
    [anon_sym__Nonnull] = ACTIONS(5720),
    [anon_sym_mutable] = ACTIONS(5720),
    [anon_sym_constinit] = ACTIONS(5720),
    [anon_sym_consteval] = ACTIONS(5720),
    [anon_sym_alignas] = ACTIONS(5720),
    [anon_sym__Alignas] = ACTIONS(5720),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5720),
    [anon_sym_and] = ACTIONS(5720),
    [anon_sym_bitor] = ACTIONS(5720),
    [anon_sym_xor] = ACTIONS(5720),
    [anon_sym_bitand] = ACTIONS(5720),
    [anon_sym_not_eq] = ACTIONS(5720),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5720),
    [anon_sym_decltype] = ACTIONS(5720),
    [anon_sym_final] = ACTIONS(5720),
    [anon_sym_override] = ACTIONS(5720),
    [anon_sym_GT2] = ACTIONS(5720),
    [anon_sym_requires] = ACTIONS(5720),
  },
  [2668] = {
    [sym_identifier] = ACTIONS(5835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5837),
    [anon_sym_COMMA] = ACTIONS(5837),
    [anon_sym_RPAREN] = ACTIONS(5837),
    [aux_sym_preproc_if_token2] = ACTIONS(5837),
    [aux_sym_preproc_else_token1] = ACTIONS(5837),
    [aux_sym_preproc_elif_token1] = ACTIONS(5835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5837),
    [anon_sym_LPAREN2] = ACTIONS(5837),
    [anon_sym_DASH] = ACTIONS(5835),
    [anon_sym_PLUS] = ACTIONS(5835),
    [anon_sym_STAR] = ACTIONS(5835),
    [anon_sym_SLASH] = ACTIONS(5835),
    [anon_sym_PERCENT] = ACTIONS(5835),
    [anon_sym_PIPE_PIPE] = ACTIONS(5837),
    [anon_sym_AMP_AMP] = ACTIONS(5837),
    [anon_sym_PIPE] = ACTIONS(5835),
    [anon_sym_CARET] = ACTIONS(5835),
    [anon_sym_AMP] = ACTIONS(5835),
    [anon_sym_EQ_EQ] = ACTIONS(5837),
    [anon_sym_BANG_EQ] = ACTIONS(5837),
    [anon_sym_GT] = ACTIONS(5835),
    [anon_sym_GT_EQ] = ACTIONS(5837),
    [anon_sym_LT_EQ] = ACTIONS(5835),
    [anon_sym_LT] = ACTIONS(5835),
    [anon_sym_LT_LT] = ACTIONS(5835),
    [anon_sym_GT_GT] = ACTIONS(5835),
    [anon_sym_COLON] = ACTIONS(5837),
    [anon_sym_SEMI] = ACTIONS(5837),
    [anon_sym___attribute__] = ACTIONS(5835),
    [anon_sym_LBRACE] = ACTIONS(5837),
    [anon_sym_RBRACE] = ACTIONS(5837),
    [anon_sym_LBRACK] = ACTIONS(5837),
    [anon_sym_RBRACK] = ACTIONS(5837),
    [anon_sym_EQ] = ACTIONS(5835),
    [anon_sym_QMARK] = ACTIONS(5837),
    [anon_sym_STAR_EQ] = ACTIONS(5837),
    [anon_sym_SLASH_EQ] = ACTIONS(5837),
    [anon_sym_PERCENT_EQ] = ACTIONS(5837),
    [anon_sym_PLUS_EQ] = ACTIONS(5837),
    [anon_sym_DASH_EQ] = ACTIONS(5837),
    [anon_sym_LT_LT_EQ] = ACTIONS(5837),
    [anon_sym_GT_GT_EQ] = ACTIONS(5837),
    [anon_sym_AMP_EQ] = ACTIONS(5837),
    [anon_sym_CARET_EQ] = ACTIONS(5837),
    [anon_sym_PIPE_EQ] = ACTIONS(5837),
    [anon_sym_and_eq] = ACTIONS(5835),
    [anon_sym_or_eq] = ACTIONS(5835),
    [anon_sym_xor_eq] = ACTIONS(5835),
    [anon_sym_LT_EQ_GT] = ACTIONS(5837),
    [anon_sym_or] = ACTIONS(5835),
    [anon_sym_and] = ACTIONS(5835),
    [anon_sym_bitor] = ACTIONS(5835),
    [anon_sym_xor] = ACTIONS(5835),
    [anon_sym_bitand] = ACTIONS(5835),
    [anon_sym_not_eq] = ACTIONS(5835),
    [anon_sym_DASH_DASH] = ACTIONS(5837),
    [anon_sym_PLUS_PLUS] = ACTIONS(5837),
    [anon_sym_DOT] = ACTIONS(5835),
    [anon_sym_DOT_STAR] = ACTIONS(5837),
    [anon_sym_DASH_GT] = ACTIONS(5837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5835),
    [anon_sym_decltype] = ACTIONS(5835),
  },
  [2669] = {
    [sym_identifier] = ACTIONS(5839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5841),
    [anon_sym_COMMA] = ACTIONS(5841),
    [anon_sym_RPAREN] = ACTIONS(5841),
    [aux_sym_preproc_if_token2] = ACTIONS(5841),
    [aux_sym_preproc_else_token1] = ACTIONS(5841),
    [aux_sym_preproc_elif_token1] = ACTIONS(5839),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5841),
    [anon_sym_LPAREN2] = ACTIONS(5841),
    [anon_sym_DASH] = ACTIONS(5839),
    [anon_sym_PLUS] = ACTIONS(5839),
    [anon_sym_STAR] = ACTIONS(5839),
    [anon_sym_SLASH] = ACTIONS(5839),
    [anon_sym_PERCENT] = ACTIONS(5839),
    [anon_sym_PIPE_PIPE] = ACTIONS(5841),
    [anon_sym_AMP_AMP] = ACTIONS(5841),
    [anon_sym_PIPE] = ACTIONS(5839),
    [anon_sym_CARET] = ACTIONS(5839),
    [anon_sym_AMP] = ACTIONS(5839),
    [anon_sym_EQ_EQ] = ACTIONS(5841),
    [anon_sym_BANG_EQ] = ACTIONS(5841),
    [anon_sym_GT] = ACTIONS(5839),
    [anon_sym_GT_EQ] = ACTIONS(5841),
    [anon_sym_LT_EQ] = ACTIONS(5839),
    [anon_sym_LT] = ACTIONS(5839),
    [anon_sym_LT_LT] = ACTIONS(5839),
    [anon_sym_GT_GT] = ACTIONS(5839),
    [anon_sym_COLON] = ACTIONS(5841),
    [anon_sym_SEMI] = ACTIONS(5841),
    [anon_sym___attribute__] = ACTIONS(5839),
    [anon_sym_LBRACE] = ACTIONS(5841),
    [anon_sym_RBRACE] = ACTIONS(5841),
    [anon_sym_LBRACK] = ACTIONS(5841),
    [anon_sym_RBRACK] = ACTIONS(5841),
    [anon_sym_EQ] = ACTIONS(5839),
    [anon_sym_QMARK] = ACTIONS(5841),
    [anon_sym_STAR_EQ] = ACTIONS(5841),
    [anon_sym_SLASH_EQ] = ACTIONS(5841),
    [anon_sym_PERCENT_EQ] = ACTIONS(5841),
    [anon_sym_PLUS_EQ] = ACTIONS(5841),
    [anon_sym_DASH_EQ] = ACTIONS(5841),
    [anon_sym_LT_LT_EQ] = ACTIONS(5841),
    [anon_sym_GT_GT_EQ] = ACTIONS(5841),
    [anon_sym_AMP_EQ] = ACTIONS(5841),
    [anon_sym_CARET_EQ] = ACTIONS(5841),
    [anon_sym_PIPE_EQ] = ACTIONS(5841),
    [anon_sym_and_eq] = ACTIONS(5839),
    [anon_sym_or_eq] = ACTIONS(5839),
    [anon_sym_xor_eq] = ACTIONS(5839),
    [anon_sym_LT_EQ_GT] = ACTIONS(5841),
    [anon_sym_or] = ACTIONS(5839),
    [anon_sym_and] = ACTIONS(5839),
    [anon_sym_bitor] = ACTIONS(5839),
    [anon_sym_xor] = ACTIONS(5839),
    [anon_sym_bitand] = ACTIONS(5839),
    [anon_sym_not_eq] = ACTIONS(5839),
    [anon_sym_DASH_DASH] = ACTIONS(5841),
    [anon_sym_PLUS_PLUS] = ACTIONS(5841),
    [anon_sym_DOT] = ACTIONS(5839),
    [anon_sym_DOT_STAR] = ACTIONS(5841),
    [anon_sym_DASH_GT] = ACTIONS(5841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5839),
    [anon_sym_decltype] = ACTIONS(5839),
  },
  [2670] = {
    [sym_identifier] = ACTIONS(5843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5845),
    [anon_sym_COMMA] = ACTIONS(5845),
    [anon_sym_RPAREN] = ACTIONS(5845),
    [aux_sym_preproc_if_token2] = ACTIONS(5845),
    [aux_sym_preproc_else_token1] = ACTIONS(5845),
    [aux_sym_preproc_elif_token1] = ACTIONS(5843),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5845),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5845),
    [anon_sym_LPAREN2] = ACTIONS(5845),
    [anon_sym_DASH] = ACTIONS(5843),
    [anon_sym_PLUS] = ACTIONS(5843),
    [anon_sym_STAR] = ACTIONS(5843),
    [anon_sym_SLASH] = ACTIONS(5843),
    [anon_sym_PERCENT] = ACTIONS(5843),
    [anon_sym_PIPE_PIPE] = ACTIONS(5845),
    [anon_sym_AMP_AMP] = ACTIONS(5845),
    [anon_sym_PIPE] = ACTIONS(5843),
    [anon_sym_CARET] = ACTIONS(5843),
    [anon_sym_AMP] = ACTIONS(5843),
    [anon_sym_EQ_EQ] = ACTIONS(5845),
    [anon_sym_BANG_EQ] = ACTIONS(5845),
    [anon_sym_GT] = ACTIONS(5843),
    [anon_sym_GT_EQ] = ACTIONS(5845),
    [anon_sym_LT_EQ] = ACTIONS(5843),
    [anon_sym_LT] = ACTIONS(5843),
    [anon_sym_LT_LT] = ACTIONS(5843),
    [anon_sym_GT_GT] = ACTIONS(5843),
    [anon_sym_COLON] = ACTIONS(5845),
    [anon_sym_SEMI] = ACTIONS(5845),
    [anon_sym___attribute__] = ACTIONS(5843),
    [anon_sym_LBRACE] = ACTIONS(5845),
    [anon_sym_RBRACE] = ACTIONS(5845),
    [anon_sym_LBRACK] = ACTIONS(5845),
    [anon_sym_RBRACK] = ACTIONS(5845),
    [anon_sym_EQ] = ACTIONS(5843),
    [anon_sym_QMARK] = ACTIONS(5845),
    [anon_sym_STAR_EQ] = ACTIONS(5845),
    [anon_sym_SLASH_EQ] = ACTIONS(5845),
    [anon_sym_PERCENT_EQ] = ACTIONS(5845),
    [anon_sym_PLUS_EQ] = ACTIONS(5845),
    [anon_sym_DASH_EQ] = ACTIONS(5845),
    [anon_sym_LT_LT_EQ] = ACTIONS(5845),
    [anon_sym_GT_GT_EQ] = ACTIONS(5845),
    [anon_sym_AMP_EQ] = ACTIONS(5845),
    [anon_sym_CARET_EQ] = ACTIONS(5845),
    [anon_sym_PIPE_EQ] = ACTIONS(5845),
    [anon_sym_and_eq] = ACTIONS(5843),
    [anon_sym_or_eq] = ACTIONS(5843),
    [anon_sym_xor_eq] = ACTIONS(5843),
    [anon_sym_LT_EQ_GT] = ACTIONS(5845),
    [anon_sym_or] = ACTIONS(5843),
    [anon_sym_and] = ACTIONS(5843),
    [anon_sym_bitor] = ACTIONS(5843),
    [anon_sym_xor] = ACTIONS(5843),
    [anon_sym_bitand] = ACTIONS(5843),
    [anon_sym_not_eq] = ACTIONS(5843),
    [anon_sym_DASH_DASH] = ACTIONS(5845),
    [anon_sym_PLUS_PLUS] = ACTIONS(5845),
    [anon_sym_DOT] = ACTIONS(5843),
    [anon_sym_DOT_STAR] = ACTIONS(5845),
    [anon_sym_DASH_GT] = ACTIONS(5845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5843),
    [anon_sym_decltype] = ACTIONS(5843),
  },
  [2671] = {
    [sym_identifier] = ACTIONS(5847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5849),
    [anon_sym_COMMA] = ACTIONS(5849),
    [anon_sym_RPAREN] = ACTIONS(5849),
    [aux_sym_preproc_if_token2] = ACTIONS(5849),
    [aux_sym_preproc_else_token1] = ACTIONS(5849),
    [aux_sym_preproc_elif_token1] = ACTIONS(5847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5849),
    [anon_sym_LPAREN2] = ACTIONS(5849),
    [anon_sym_DASH] = ACTIONS(5847),
    [anon_sym_PLUS] = ACTIONS(5847),
    [anon_sym_STAR] = ACTIONS(5847),
    [anon_sym_SLASH] = ACTIONS(5847),
    [anon_sym_PERCENT] = ACTIONS(5847),
    [anon_sym_PIPE_PIPE] = ACTIONS(5849),
    [anon_sym_AMP_AMP] = ACTIONS(5849),
    [anon_sym_PIPE] = ACTIONS(5847),
    [anon_sym_CARET] = ACTIONS(5847),
    [anon_sym_AMP] = ACTIONS(5847),
    [anon_sym_EQ_EQ] = ACTIONS(5849),
    [anon_sym_BANG_EQ] = ACTIONS(5849),
    [anon_sym_GT] = ACTIONS(5847),
    [anon_sym_GT_EQ] = ACTIONS(5849),
    [anon_sym_LT_EQ] = ACTIONS(5847),
    [anon_sym_LT] = ACTIONS(5847),
    [anon_sym_LT_LT] = ACTIONS(5847),
    [anon_sym_GT_GT] = ACTIONS(5847),
    [anon_sym_COLON] = ACTIONS(5849),
    [anon_sym_SEMI] = ACTIONS(5849),
    [anon_sym___attribute__] = ACTIONS(5847),
    [anon_sym_LBRACE] = ACTIONS(5849),
    [anon_sym_RBRACE] = ACTIONS(5849),
    [anon_sym_LBRACK] = ACTIONS(5849),
    [anon_sym_RBRACK] = ACTIONS(5849),
    [anon_sym_EQ] = ACTIONS(5847),
    [anon_sym_QMARK] = ACTIONS(5849),
    [anon_sym_STAR_EQ] = ACTIONS(5849),
    [anon_sym_SLASH_EQ] = ACTIONS(5849),
    [anon_sym_PERCENT_EQ] = ACTIONS(5849),
    [anon_sym_PLUS_EQ] = ACTIONS(5849),
    [anon_sym_DASH_EQ] = ACTIONS(5849),
    [anon_sym_LT_LT_EQ] = ACTIONS(5849),
    [anon_sym_GT_GT_EQ] = ACTIONS(5849),
    [anon_sym_AMP_EQ] = ACTIONS(5849),
    [anon_sym_CARET_EQ] = ACTIONS(5849),
    [anon_sym_PIPE_EQ] = ACTIONS(5849),
    [anon_sym_and_eq] = ACTIONS(5847),
    [anon_sym_or_eq] = ACTIONS(5847),
    [anon_sym_xor_eq] = ACTIONS(5847),
    [anon_sym_LT_EQ_GT] = ACTIONS(5849),
    [anon_sym_or] = ACTIONS(5847),
    [anon_sym_and] = ACTIONS(5847),
    [anon_sym_bitor] = ACTIONS(5847),
    [anon_sym_xor] = ACTIONS(5847),
    [anon_sym_bitand] = ACTIONS(5847),
    [anon_sym_not_eq] = ACTIONS(5847),
    [anon_sym_DASH_DASH] = ACTIONS(5849),
    [anon_sym_PLUS_PLUS] = ACTIONS(5849),
    [anon_sym_DOT] = ACTIONS(5847),
    [anon_sym_DOT_STAR] = ACTIONS(5849),
    [anon_sym_DASH_GT] = ACTIONS(5849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5847),
    [anon_sym_decltype] = ACTIONS(5847),
  },
  [2672] = {
    [sym_ms_based_modifier] = STATE(8590),
    [sym_ms_unaligned_ptr_modifier] = STATE(4158),
    [sym_ms_pointer_modifier] = STATE(4037),
    [sym__declarator] = STATE(6359),
    [sym__abstract_declarator] = STATE(6717),
    [sym_parenthesized_declarator] = STATE(6325),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(6325),
    [sym_pointer_declarator] = STATE(6325),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(6325),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(6325),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(3096),
    [sym_alignas_qualifier] = STATE(4364),
    [sym_parameter_list] = STATE(3350),
    [sym_decltype] = STATE(8731),
    [sym_reference_declarator] = STATE(6325),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(6325),
    [sym__function_declarator_seq] = STATE(6004),
    [sym_template_type] = STATE(8731),
    [sym_template_function] = STATE(6325),
    [sym_destructor_name] = STATE(6325),
    [sym_dependent_type_identifier] = STATE(8731),
    [sym__scope_resolution] = STATE(5760),
    [sym_qualified_identifier] = STATE(6325),
    [sym_operator_name] = STATE(6325),
    [aux_sym__type_definition_type_repeat1] = STATE(3096),
    [aux_sym_pointer_declarator_repeat1] = STATE(4037),
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(6235),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(4131),
    [anon_sym_AMP_AMP] = ACTIONS(4133),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym___extension__] = ACTIONS(4053),
    [anon_sym_COLON_COLON] = ACTIONS(6483),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4049),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4049),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4049),
    [anon_sym__unaligned] = ACTIONS(4051),
    [anon_sym___unaligned] = ACTIONS(4051),
    [anon_sym_LBRACK] = ACTIONS(6233),
    [anon_sym_const] = ACTIONS(4053),
    [anon_sym_constexpr] = ACTIONS(4053),
    [anon_sym_volatile] = ACTIONS(4053),
    [anon_sym_restrict] = ACTIONS(4053),
    [anon_sym___restrict__] = ACTIONS(4053),
    [anon_sym__Atomic] = ACTIONS(4053),
    [anon_sym__Noreturn] = ACTIONS(4053),
    [anon_sym_noreturn] = ACTIONS(4053),
    [anon_sym__Nonnull] = ACTIONS(4053),
    [anon_sym_mutable] = ACTIONS(4053),
    [anon_sym_constinit] = ACTIONS(4053),
    [anon_sym_consteval] = ACTIONS(4053),
    [anon_sym_alignas] = ACTIONS(4055),
    [anon_sym__Alignas] = ACTIONS(4055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(1461),
    [anon_sym_operator] = ACTIONS(2037),
  },
  [2673] = {
    [sym_identifier] = ACTIONS(5855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5857),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_RPAREN] = ACTIONS(5857),
    [aux_sym_preproc_if_token2] = ACTIONS(5857),
    [aux_sym_preproc_else_token1] = ACTIONS(5857),
    [aux_sym_preproc_elif_token1] = ACTIONS(5855),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5857),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5857),
    [anon_sym_LPAREN2] = ACTIONS(5857),
    [anon_sym_DASH] = ACTIONS(5855),
    [anon_sym_PLUS] = ACTIONS(5855),
    [anon_sym_STAR] = ACTIONS(5855),
    [anon_sym_SLASH] = ACTIONS(5855),
    [anon_sym_PERCENT] = ACTIONS(5855),
    [anon_sym_PIPE_PIPE] = ACTIONS(5857),
    [anon_sym_AMP_AMP] = ACTIONS(5857),
    [anon_sym_PIPE] = ACTIONS(5855),
    [anon_sym_CARET] = ACTIONS(5855),
    [anon_sym_AMP] = ACTIONS(5855),
    [anon_sym_EQ_EQ] = ACTIONS(5857),
    [anon_sym_BANG_EQ] = ACTIONS(5857),
    [anon_sym_GT] = ACTIONS(5855),
    [anon_sym_GT_EQ] = ACTIONS(5857),
    [anon_sym_LT_EQ] = ACTIONS(5855),
    [anon_sym_LT] = ACTIONS(5855),
    [anon_sym_LT_LT] = ACTIONS(5855),
    [anon_sym_GT_GT] = ACTIONS(5855),
    [anon_sym_COLON] = ACTIONS(5857),
    [anon_sym_SEMI] = ACTIONS(5857),
    [anon_sym___attribute__] = ACTIONS(5855),
    [anon_sym_LBRACE] = ACTIONS(5857),
    [anon_sym_RBRACE] = ACTIONS(5857),
    [anon_sym_LBRACK] = ACTIONS(5857),
    [anon_sym_RBRACK] = ACTIONS(5857),
    [anon_sym_EQ] = ACTIONS(5855),
    [anon_sym_QMARK] = ACTIONS(5857),
    [anon_sym_STAR_EQ] = ACTIONS(5857),
    [anon_sym_SLASH_EQ] = ACTIONS(5857),
    [anon_sym_PERCENT_EQ] = ACTIONS(5857),
    [anon_sym_PLUS_EQ] = ACTIONS(5857),
    [anon_sym_DASH_EQ] = ACTIONS(5857),
    [anon_sym_LT_LT_EQ] = ACTIONS(5857),
    [anon_sym_GT_GT_EQ] = ACTIONS(5857),
    [anon_sym_AMP_EQ] = ACTIONS(5857),
    [anon_sym_CARET_EQ] = ACTIONS(5857),
    [anon_sym_PIPE_EQ] = ACTIONS(5857),
    [anon_sym_and_eq] = ACTIONS(5855),
    [anon_sym_or_eq] = ACTIONS(5855),
    [anon_sym_xor_eq] = ACTIONS(5855),
    [anon_sym_LT_EQ_GT] = ACTIONS(5857),
    [anon_sym_or] = ACTIONS(5855),
    [anon_sym_and] = ACTIONS(5855),
    [anon_sym_bitor] = ACTIONS(5855),
    [anon_sym_xor] = ACTIONS(5855),
    [anon_sym_bitand] = ACTIONS(5855),
    [anon_sym_not_eq] = ACTIONS(5855),
    [anon_sym_DASH_DASH] = ACTIONS(5857),
    [anon_sym_PLUS_PLUS] = ACTIONS(5857),
    [anon_sym_DOT] = ACTIONS(5855),
    [anon_sym_DOT_STAR] = ACTIONS(5857),
    [anon_sym_DASH_GT] = ACTIONS(5857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5855),
    [anon_sym_decltype] = ACTIONS(5855),
  },
  [2674] = {
    [sym_identifier] = ACTIONS(5859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5861),
    [anon_sym_COMMA] = ACTIONS(5861),
    [anon_sym_RPAREN] = ACTIONS(5861),
    [aux_sym_preproc_if_token2] = ACTIONS(5861),
    [aux_sym_preproc_else_token1] = ACTIONS(5861),
    [aux_sym_preproc_elif_token1] = ACTIONS(5859),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5861),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5861),
    [anon_sym_LPAREN2] = ACTIONS(5861),
    [anon_sym_DASH] = ACTIONS(5859),
    [anon_sym_PLUS] = ACTIONS(5859),
    [anon_sym_STAR] = ACTIONS(5859),
    [anon_sym_SLASH] = ACTIONS(5859),
    [anon_sym_PERCENT] = ACTIONS(5859),
    [anon_sym_PIPE_PIPE] = ACTIONS(5861),
    [anon_sym_AMP_AMP] = ACTIONS(5861),
    [anon_sym_PIPE] = ACTIONS(5859),
    [anon_sym_CARET] = ACTIONS(5859),
    [anon_sym_AMP] = ACTIONS(5859),
    [anon_sym_EQ_EQ] = ACTIONS(5861),
    [anon_sym_BANG_EQ] = ACTIONS(5861),
    [anon_sym_GT] = ACTIONS(5859),
    [anon_sym_GT_EQ] = ACTIONS(5861),
    [anon_sym_LT_EQ] = ACTIONS(5859),
    [anon_sym_LT] = ACTIONS(5859),
    [anon_sym_LT_LT] = ACTIONS(5859),
    [anon_sym_GT_GT] = ACTIONS(5859),
    [anon_sym_COLON] = ACTIONS(5861),
    [anon_sym_SEMI] = ACTIONS(5861),
    [anon_sym___attribute__] = ACTIONS(5859),
    [anon_sym_LBRACE] = ACTIONS(5861),
    [anon_sym_RBRACE] = ACTIONS(5861),
    [anon_sym_LBRACK] = ACTIONS(5861),
    [anon_sym_RBRACK] = ACTIONS(5861),
    [anon_sym_EQ] = ACTIONS(5859),
    [anon_sym_QMARK] = ACTIONS(5861),
    [anon_sym_STAR_EQ] = ACTIONS(5861),
    [anon_sym_SLASH_EQ] = ACTIONS(5861),
    [anon_sym_PERCENT_EQ] = ACTIONS(5861),
    [anon_sym_PLUS_EQ] = ACTIONS(5861),
    [anon_sym_DASH_EQ] = ACTIONS(5861),
    [anon_sym_LT_LT_EQ] = ACTIONS(5861),
    [anon_sym_GT_GT_EQ] = ACTIONS(5861),
    [anon_sym_AMP_EQ] = ACTIONS(5861),
    [anon_sym_CARET_EQ] = ACTIONS(5861),
    [anon_sym_PIPE_EQ] = ACTIONS(5861),
    [anon_sym_and_eq] = ACTIONS(5859),
    [anon_sym_or_eq] = ACTIONS(5859),
    [anon_sym_xor_eq] = ACTIONS(5859),
    [anon_sym_LT_EQ_GT] = ACTIONS(5861),
    [anon_sym_or] = ACTIONS(5859),
    [anon_sym_and] = ACTIONS(5859),
    [anon_sym_bitor] = ACTIONS(5859),
    [anon_sym_xor] = ACTIONS(5859),
    [anon_sym_bitand] = ACTIONS(5859),
    [anon_sym_not_eq] = ACTIONS(5859),
    [anon_sym_DASH_DASH] = ACTIONS(5861),
    [anon_sym_PLUS_PLUS] = ACTIONS(5861),
    [anon_sym_DOT] = ACTIONS(5859),
    [anon_sym_DOT_STAR] = ACTIONS(5861),
    [anon_sym_DASH_GT] = ACTIONS(5861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5859),
    [anon_sym_decltype] = ACTIONS(5859),
  },
  [2675] = {
    [sym_identifier] = ACTIONS(5863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5865),
    [anon_sym_COMMA] = ACTIONS(5865),
    [anon_sym_RPAREN] = ACTIONS(5865),
    [aux_sym_preproc_if_token2] = ACTIONS(5865),
    [aux_sym_preproc_else_token1] = ACTIONS(5865),
    [aux_sym_preproc_elif_token1] = ACTIONS(5863),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5865),
    [anon_sym_LPAREN2] = ACTIONS(5865),
    [anon_sym_DASH] = ACTIONS(5863),
    [anon_sym_PLUS] = ACTIONS(5863),
    [anon_sym_STAR] = ACTIONS(5863),
    [anon_sym_SLASH] = ACTIONS(5863),
    [anon_sym_PERCENT] = ACTIONS(5863),
    [anon_sym_PIPE_PIPE] = ACTIONS(5865),
    [anon_sym_AMP_AMP] = ACTIONS(5865),
    [anon_sym_PIPE] = ACTIONS(5863),
    [anon_sym_CARET] = ACTIONS(5863),
    [anon_sym_AMP] = ACTIONS(5863),
    [anon_sym_EQ_EQ] = ACTIONS(5865),
    [anon_sym_BANG_EQ] = ACTIONS(5865),
    [anon_sym_GT] = ACTIONS(5863),
    [anon_sym_GT_EQ] = ACTIONS(5865),
    [anon_sym_LT_EQ] = ACTIONS(5863),
    [anon_sym_LT] = ACTIONS(5863),
    [anon_sym_LT_LT] = ACTIONS(5863),
    [anon_sym_GT_GT] = ACTIONS(5863),
    [anon_sym_COLON] = ACTIONS(5865),
    [anon_sym_SEMI] = ACTIONS(5865),
    [anon_sym___attribute__] = ACTIONS(5863),
    [anon_sym_LBRACE] = ACTIONS(5865),
    [anon_sym_RBRACE] = ACTIONS(5865),
    [anon_sym_LBRACK] = ACTIONS(5865),
    [anon_sym_RBRACK] = ACTIONS(5865),
    [anon_sym_EQ] = ACTIONS(5863),
    [anon_sym_QMARK] = ACTIONS(5865),
    [anon_sym_STAR_EQ] = ACTIONS(5865),
    [anon_sym_SLASH_EQ] = ACTIONS(5865),
    [anon_sym_PERCENT_EQ] = ACTIONS(5865),
    [anon_sym_PLUS_EQ] = ACTIONS(5865),
    [anon_sym_DASH_EQ] = ACTIONS(5865),
    [anon_sym_LT_LT_EQ] = ACTIONS(5865),
    [anon_sym_GT_GT_EQ] = ACTIONS(5865),
    [anon_sym_AMP_EQ] = ACTIONS(5865),
    [anon_sym_CARET_EQ] = ACTIONS(5865),
    [anon_sym_PIPE_EQ] = ACTIONS(5865),
    [anon_sym_and_eq] = ACTIONS(5863),
    [anon_sym_or_eq] = ACTIONS(5863),
    [anon_sym_xor_eq] = ACTIONS(5863),
    [anon_sym_LT_EQ_GT] = ACTIONS(5865),
    [anon_sym_or] = ACTIONS(5863),
    [anon_sym_and] = ACTIONS(5863),
    [anon_sym_bitor] = ACTIONS(5863),
    [anon_sym_xor] = ACTIONS(5863),
    [anon_sym_bitand] = ACTIONS(5863),
    [anon_sym_not_eq] = ACTIONS(5863),
    [anon_sym_DASH_DASH] = ACTIONS(5865),
    [anon_sym_PLUS_PLUS] = ACTIONS(5865),
    [anon_sym_DOT] = ACTIONS(5863),
    [anon_sym_DOT_STAR] = ACTIONS(5865),
    [anon_sym_DASH_GT] = ACTIONS(5865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5863),
    [anon_sym_decltype] = ACTIONS(5863),
  },
  [2676] = {
    [sym_string_literal] = STATE(2577),
    [sym_raw_string_literal] = STATE(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6253),
    [anon_sym_COMMA] = ACTIONS(6253),
    [anon_sym_LPAREN2] = ACTIONS(6253),
    [anon_sym_DASH] = ACTIONS(6251),
    [anon_sym_PLUS] = ACTIONS(6251),
    [anon_sym_STAR] = ACTIONS(6251),
    [anon_sym_SLASH] = ACTIONS(6251),
    [anon_sym_PERCENT] = ACTIONS(6251),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_PIPE] = ACTIONS(6251),
    [anon_sym_CARET] = ACTIONS(6251),
    [anon_sym_AMP] = ACTIONS(6251),
    [anon_sym_EQ_EQ] = ACTIONS(6253),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_GT] = ACTIONS(6251),
    [anon_sym_GT_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6251),
    [anon_sym_LT] = ACTIONS(6251),
    [anon_sym_LT_LT] = ACTIONS(6251),
    [anon_sym_GT_GT] = ACTIONS(6251),
    [anon_sym_SEMI] = ACTIONS(6253),
    [anon_sym___attribute__] = ACTIONS(6251),
    [anon_sym_LBRACK] = ACTIONS(6253),
    [anon_sym_EQ] = ACTIONS(6251),
    [anon_sym_QMARK] = ACTIONS(6253),
    [anon_sym_STAR_EQ] = ACTIONS(6253),
    [anon_sym_SLASH_EQ] = ACTIONS(6253),
    [anon_sym_PERCENT_EQ] = ACTIONS(6253),
    [anon_sym_PLUS_EQ] = ACTIONS(6253),
    [anon_sym_DASH_EQ] = ACTIONS(6253),
    [anon_sym_LT_LT_EQ] = ACTIONS(6253),
    [anon_sym_GT_GT_EQ] = ACTIONS(6253),
    [anon_sym_AMP_EQ] = ACTIONS(6253),
    [anon_sym_CARET_EQ] = ACTIONS(6253),
    [anon_sym_PIPE_EQ] = ACTIONS(6253),
    [anon_sym_and_eq] = ACTIONS(6251),
    [anon_sym_or_eq] = ACTIONS(6251),
    [anon_sym_xor_eq] = ACTIONS(6251),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_or] = ACTIONS(6251),
    [anon_sym_and] = ACTIONS(6251),
    [anon_sym_bitor] = ACTIONS(6251),
    [anon_sym_xor] = ACTIONS(6251),
    [anon_sym_bitand] = ACTIONS(6251),
    [anon_sym_not_eq] = ACTIONS(6251),
    [anon_sym_DASH_DASH] = ACTIONS(6253),
    [anon_sym_PLUS_PLUS] = ACTIONS(6253),
    [anon_sym_DOT] = ACTIONS(6251),
    [anon_sym_DOT_STAR] = ACTIONS(6253),
    [anon_sym_DASH_GT] = ACTIONS(6253),
    [anon_sym_L_DQUOTE] = ACTIONS(6327),
    [anon_sym_u_DQUOTE] = ACTIONS(6327),
    [anon_sym_U_DQUOTE] = ACTIONS(6327),
    [anon_sym_u8_DQUOTE] = ACTIONS(6327),
    [anon_sym_DQUOTE] = ACTIONS(6327),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6329),
    [anon_sym_LR_DQUOTE] = ACTIONS(6329),
    [anon_sym_uR_DQUOTE] = ACTIONS(6329),
    [anon_sym_UR_DQUOTE] = ACTIONS(6329),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6329),
    [sym_literal_suffix] = ACTIONS(6251),
  },
  [2677] = {
    [sym_identifier] = ACTIONS(5891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5893),
    [anon_sym_COMMA] = ACTIONS(5893),
    [anon_sym_RPAREN] = ACTIONS(5893),
    [aux_sym_preproc_if_token2] = ACTIONS(5893),
    [aux_sym_preproc_else_token1] = ACTIONS(5893),
    [aux_sym_preproc_elif_token1] = ACTIONS(5891),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5893),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5893),
    [anon_sym_LPAREN2] = ACTIONS(5893),
    [anon_sym_DASH] = ACTIONS(5891),
    [anon_sym_PLUS] = ACTIONS(5891),
    [anon_sym_STAR] = ACTIONS(5891),
    [anon_sym_SLASH] = ACTIONS(5891),
    [anon_sym_PERCENT] = ACTIONS(5891),
    [anon_sym_PIPE_PIPE] = ACTIONS(5893),
    [anon_sym_AMP_AMP] = ACTIONS(5893),
    [anon_sym_PIPE] = ACTIONS(5891),
    [anon_sym_CARET] = ACTIONS(5891),
    [anon_sym_AMP] = ACTIONS(5891),
    [anon_sym_EQ_EQ] = ACTIONS(5893),
    [anon_sym_BANG_EQ] = ACTIONS(5893),
    [anon_sym_GT] = ACTIONS(5891),
    [anon_sym_GT_EQ] = ACTIONS(5893),
    [anon_sym_LT_EQ] = ACTIONS(5891),
    [anon_sym_LT] = ACTIONS(5891),
    [anon_sym_LT_LT] = ACTIONS(5891),
    [anon_sym_GT_GT] = ACTIONS(5891),
    [anon_sym_COLON] = ACTIONS(5893),
    [anon_sym_SEMI] = ACTIONS(5893),
    [anon_sym___attribute__] = ACTIONS(5891),
    [anon_sym_LBRACE] = ACTIONS(5893),
    [anon_sym_RBRACE] = ACTIONS(5893),
    [anon_sym_LBRACK] = ACTIONS(5893),
    [anon_sym_RBRACK] = ACTIONS(5893),
    [anon_sym_EQ] = ACTIONS(5891),
    [anon_sym_QMARK] = ACTIONS(5893),
    [anon_sym_STAR_EQ] = ACTIONS(5893),
    [anon_sym_SLASH_EQ] = ACTIONS(5893),
    [anon_sym_PERCENT_EQ] = ACTIONS(5893),
    [anon_sym_PLUS_EQ] = ACTIONS(5893),
    [anon_sym_DASH_EQ] = ACTIONS(5893),
    [anon_sym_LT_LT_EQ] = ACTIONS(5893),
    [anon_sym_GT_GT_EQ] = ACTIONS(5893),
    [anon_sym_AMP_EQ] = ACTIONS(5893),
    [anon_sym_CARET_EQ] = ACTIONS(5893),
    [anon_sym_PIPE_EQ] = ACTIONS(5893),
    [anon_sym_and_eq] = ACTIONS(5891),
    [anon_sym_or_eq] = ACTIONS(5891),
    [anon_sym_xor_eq] = ACTIONS(5891),
    [anon_sym_LT_EQ_GT] = ACTIONS(5893),
    [anon_sym_or] = ACTIONS(5891),
    [anon_sym_and] = ACTIONS(5891),
    [anon_sym_bitor] = ACTIONS(5891),
    [anon_sym_xor] = ACTIONS(5891),
    [anon_sym_bitand] = ACTIONS(5891),
    [anon_sym_not_eq] = ACTIONS(5891),
    [anon_sym_DASH_DASH] = ACTIONS(5893),
    [anon_sym_PLUS_PLUS] = ACTIONS(5893),
    [anon_sym_DOT] = ACTIONS(5891),
    [anon_sym_DOT_STAR] = ACTIONS(5893),
    [anon_sym_DASH_GT] = ACTIONS(5893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5891),
    [anon_sym_decltype] = ACTIONS(5891),
  },
  [2678] = {
    [sym_identifier] = ACTIONS(5899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5901),
    [anon_sym_COMMA] = ACTIONS(5901),
    [anon_sym_RPAREN] = ACTIONS(5901),
    [aux_sym_preproc_if_token2] = ACTIONS(5901),
    [aux_sym_preproc_else_token1] = ACTIONS(5901),
    [aux_sym_preproc_elif_token1] = ACTIONS(5899),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5901),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5901),
    [anon_sym_LPAREN2] = ACTIONS(5901),
    [anon_sym_DASH] = ACTIONS(5899),
    [anon_sym_PLUS] = ACTIONS(5899),
    [anon_sym_STAR] = ACTIONS(5899),
    [anon_sym_SLASH] = ACTIONS(5899),
    [anon_sym_PERCENT] = ACTIONS(5899),
    [anon_sym_PIPE_PIPE] = ACTIONS(5901),
    [anon_sym_AMP_AMP] = ACTIONS(5901),
    [anon_sym_PIPE] = ACTIONS(5899),
    [anon_sym_CARET] = ACTIONS(5899),
    [anon_sym_AMP] = ACTIONS(5899),
    [anon_sym_EQ_EQ] = ACTIONS(5901),
    [anon_sym_BANG_EQ] = ACTIONS(5901),
    [anon_sym_GT] = ACTIONS(5899),
    [anon_sym_GT_EQ] = ACTIONS(5901),
    [anon_sym_LT_EQ] = ACTIONS(5899),
    [anon_sym_LT] = ACTIONS(5899),
    [anon_sym_LT_LT] = ACTIONS(5899),
    [anon_sym_GT_GT] = ACTIONS(5899),
    [anon_sym_COLON] = ACTIONS(5901),
    [anon_sym_SEMI] = ACTIONS(5901),
    [anon_sym___attribute__] = ACTIONS(5899),
    [anon_sym_LBRACE] = ACTIONS(5901),
    [anon_sym_RBRACE] = ACTIONS(5901),
    [anon_sym_LBRACK] = ACTIONS(5901),
    [anon_sym_RBRACK] = ACTIONS(5901),
    [anon_sym_EQ] = ACTIONS(5899),
    [anon_sym_QMARK] = ACTIONS(5901),
    [anon_sym_STAR_EQ] = ACTIONS(5901),
    [anon_sym_SLASH_EQ] = ACTIONS(5901),
    [anon_sym_PERCENT_EQ] = ACTIONS(5901),
    [anon_sym_PLUS_EQ] = ACTIONS(5901),
    [anon_sym_DASH_EQ] = ACTIONS(5901),
    [anon_sym_LT_LT_EQ] = ACTIONS(5901),
    [anon_sym_GT_GT_EQ] = ACTIONS(5901),
    [anon_sym_AMP_EQ] = ACTIONS(5901),
    [anon_sym_CARET_EQ] = ACTIONS(5901),
    [anon_sym_PIPE_EQ] = ACTIONS(5901),
    [anon_sym_and_eq] = ACTIONS(5899),
    [anon_sym_or_eq] = ACTIONS(5899),
    [anon_sym_xor_eq] = ACTIONS(5899),
    [anon_sym_LT_EQ_GT] = ACTIONS(5901),
    [anon_sym_or] = ACTIONS(5899),
    [anon_sym_and] = ACTIONS(5899),
    [anon_sym_bitor] = ACTIONS(5899),
    [anon_sym_xor] = ACTIONS(5899),
    [anon_sym_bitand] = ACTIONS(5899),
    [anon_sym_not_eq] = ACTIONS(5899),
    [anon_sym_DASH_DASH] = ACTIONS(5901),
    [anon_sym_PLUS_PLUS] = ACTIONS(5901),
    [anon_sym_DOT] = ACTIONS(5899),
    [anon_sym_DOT_STAR] = ACTIONS(5901),
    [anon_sym_DASH_GT] = ACTIONS(5901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5899),
    [anon_sym_decltype] = ACTIONS(5899),
  },
  [2679] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2705),
    [sym_identifier] = ACTIONS(5718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [aux_sym_preproc_if_token2] = ACTIONS(5720),
    [aux_sym_preproc_else_token1] = ACTIONS(5720),
    [aux_sym_preproc_elif_token1] = ACTIONS(5718),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5718),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5718),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5718),
    [anon_sym_GT_GT] = ACTIONS(5718),
    [anon_sym___attribute__] = ACTIONS(5718),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_signed] = ACTIONS(6487),
    [anon_sym_unsigned] = ACTIONS(6487),
    [anon_sym_long] = ACTIONS(6487),
    [anon_sym_short] = ACTIONS(6487),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_EQ] = ACTIONS(5718),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_STAR_EQ] = ACTIONS(5720),
    [anon_sym_SLASH_EQ] = ACTIONS(5720),
    [anon_sym_PERCENT_EQ] = ACTIONS(5720),
    [anon_sym_PLUS_EQ] = ACTIONS(5720),
    [anon_sym_DASH_EQ] = ACTIONS(5720),
    [anon_sym_LT_LT_EQ] = ACTIONS(5720),
    [anon_sym_GT_GT_EQ] = ACTIONS(5720),
    [anon_sym_AMP_EQ] = ACTIONS(5720),
    [anon_sym_CARET_EQ] = ACTIONS(5720),
    [anon_sym_PIPE_EQ] = ACTIONS(5720),
    [anon_sym_and_eq] = ACTIONS(5718),
    [anon_sym_or_eq] = ACTIONS(5718),
    [anon_sym_xor_eq] = ACTIONS(5718),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5718),
    [anon_sym_and] = ACTIONS(5718),
    [anon_sym_bitor] = ACTIONS(5718),
    [anon_sym_xor] = ACTIONS(5718),
    [anon_sym_bitand] = ACTIONS(5718),
    [anon_sym_not_eq] = ACTIONS(5718),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5718),
    [anon_sym_decltype] = ACTIONS(5718),
  },
  [2680] = {
    [sym_identifier] = ACTIONS(5879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5881),
    [anon_sym_COMMA] = ACTIONS(5881),
    [anon_sym_RPAREN] = ACTIONS(5881),
    [aux_sym_preproc_if_token2] = ACTIONS(5881),
    [aux_sym_preproc_else_token1] = ACTIONS(5881),
    [aux_sym_preproc_elif_token1] = ACTIONS(5879),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5881),
    [anon_sym_LPAREN2] = ACTIONS(5881),
    [anon_sym_DASH] = ACTIONS(5879),
    [anon_sym_PLUS] = ACTIONS(5879),
    [anon_sym_STAR] = ACTIONS(5879),
    [anon_sym_SLASH] = ACTIONS(5879),
    [anon_sym_PERCENT] = ACTIONS(5879),
    [anon_sym_PIPE_PIPE] = ACTIONS(5881),
    [anon_sym_AMP_AMP] = ACTIONS(5881),
    [anon_sym_PIPE] = ACTIONS(5879),
    [anon_sym_CARET] = ACTIONS(5879),
    [anon_sym_AMP] = ACTIONS(5879),
    [anon_sym_EQ_EQ] = ACTIONS(5881),
    [anon_sym_BANG_EQ] = ACTIONS(5881),
    [anon_sym_GT] = ACTIONS(5879),
    [anon_sym_GT_EQ] = ACTIONS(5881),
    [anon_sym_LT_EQ] = ACTIONS(5879),
    [anon_sym_LT] = ACTIONS(5879),
    [anon_sym_LT_LT] = ACTIONS(5879),
    [anon_sym_GT_GT] = ACTIONS(5879),
    [anon_sym_COLON] = ACTIONS(5881),
    [anon_sym_SEMI] = ACTIONS(5881),
    [anon_sym___attribute__] = ACTIONS(5879),
    [anon_sym_LBRACE] = ACTIONS(5881),
    [anon_sym_RBRACE] = ACTIONS(5881),
    [anon_sym_LBRACK] = ACTIONS(5881),
    [anon_sym_RBRACK] = ACTIONS(5881),
    [anon_sym_EQ] = ACTIONS(5879),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_STAR_EQ] = ACTIONS(5881),
    [anon_sym_SLASH_EQ] = ACTIONS(5881),
    [anon_sym_PERCENT_EQ] = ACTIONS(5881),
    [anon_sym_PLUS_EQ] = ACTIONS(5881),
    [anon_sym_DASH_EQ] = ACTIONS(5881),
    [anon_sym_LT_LT_EQ] = ACTIONS(5881),
    [anon_sym_GT_GT_EQ] = ACTIONS(5881),
    [anon_sym_AMP_EQ] = ACTIONS(5881),
    [anon_sym_CARET_EQ] = ACTIONS(5881),
    [anon_sym_PIPE_EQ] = ACTIONS(5881),
    [anon_sym_and_eq] = ACTIONS(5879),
    [anon_sym_or_eq] = ACTIONS(5879),
    [anon_sym_xor_eq] = ACTIONS(5879),
    [anon_sym_LT_EQ_GT] = ACTIONS(5881),
    [anon_sym_or] = ACTIONS(5879),
    [anon_sym_and] = ACTIONS(5879),
    [anon_sym_bitor] = ACTIONS(5879),
    [anon_sym_xor] = ACTIONS(5879),
    [anon_sym_bitand] = ACTIONS(5879),
    [anon_sym_not_eq] = ACTIONS(5879),
    [anon_sym_DASH_DASH] = ACTIONS(5881),
    [anon_sym_PLUS_PLUS] = ACTIONS(5881),
    [anon_sym_DOT] = ACTIONS(5879),
    [anon_sym_DOT_STAR] = ACTIONS(5881),
    [anon_sym_DASH_GT] = ACTIONS(5881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5879),
    [anon_sym_decltype] = ACTIONS(5879),
  },
  [2681] = {
    [sym_argument_list] = STATE(2838),
    [sym_initializer_list] = STATE(2838),
    [sym_identifier] = ACTIONS(6489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6491),
    [anon_sym_COMMA] = ACTIONS(6491),
    [anon_sym_RPAREN] = ACTIONS(6491),
    [aux_sym_preproc_if_token2] = ACTIONS(6491),
    [aux_sym_preproc_else_token1] = ACTIONS(6491),
    [aux_sym_preproc_elif_token1] = ACTIONS(6489),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6491),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6491),
    [anon_sym_LPAREN2] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6489),
    [anon_sym_PLUS] = ACTIONS(6489),
    [anon_sym_STAR] = ACTIONS(6489),
    [anon_sym_SLASH] = ACTIONS(6489),
    [anon_sym_PERCENT] = ACTIONS(6489),
    [anon_sym_PIPE_PIPE] = ACTIONS(6491),
    [anon_sym_AMP_AMP] = ACTIONS(6491),
    [anon_sym_PIPE] = ACTIONS(6489),
    [anon_sym_CARET] = ACTIONS(6489),
    [anon_sym_AMP] = ACTIONS(6489),
    [anon_sym_EQ_EQ] = ACTIONS(6491),
    [anon_sym_BANG_EQ] = ACTIONS(6491),
    [anon_sym_GT] = ACTIONS(6489),
    [anon_sym_GT_EQ] = ACTIONS(6491),
    [anon_sym_LT_EQ] = ACTIONS(6489),
    [anon_sym_LT] = ACTIONS(6489),
    [anon_sym_LT_LT] = ACTIONS(6489),
    [anon_sym_GT_GT] = ACTIONS(6489),
    [anon_sym_COLON] = ACTIONS(6491),
    [anon_sym_SEMI] = ACTIONS(6491),
    [anon_sym___attribute__] = ACTIONS(6489),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(6491),
    [anon_sym_LBRACK] = ACTIONS(6491),
    [anon_sym_RBRACK] = ACTIONS(6491),
    [anon_sym_EQ] = ACTIONS(6489),
    [anon_sym_QMARK] = ACTIONS(6491),
    [anon_sym_STAR_EQ] = ACTIONS(6491),
    [anon_sym_SLASH_EQ] = ACTIONS(6491),
    [anon_sym_PERCENT_EQ] = ACTIONS(6491),
    [anon_sym_PLUS_EQ] = ACTIONS(6491),
    [anon_sym_DASH_EQ] = ACTIONS(6491),
    [anon_sym_LT_LT_EQ] = ACTIONS(6491),
    [anon_sym_GT_GT_EQ] = ACTIONS(6491),
    [anon_sym_AMP_EQ] = ACTIONS(6491),
    [anon_sym_CARET_EQ] = ACTIONS(6491),
    [anon_sym_PIPE_EQ] = ACTIONS(6491),
    [anon_sym_and_eq] = ACTIONS(6489),
    [anon_sym_or_eq] = ACTIONS(6489),
    [anon_sym_xor_eq] = ACTIONS(6489),
    [anon_sym_LT_EQ_GT] = ACTIONS(6491),
    [anon_sym_or] = ACTIONS(6489),
    [anon_sym_and] = ACTIONS(6489),
    [anon_sym_bitor] = ACTIONS(6489),
    [anon_sym_xor] = ACTIONS(6489),
    [anon_sym_bitand] = ACTIONS(6489),
    [anon_sym_not_eq] = ACTIONS(6489),
    [anon_sym_DASH_DASH] = ACTIONS(6491),
    [anon_sym_PLUS_PLUS] = ACTIONS(6491),
    [anon_sym_DOT] = ACTIONS(6489),
    [anon_sym_DOT_STAR] = ACTIONS(6491),
    [anon_sym_DASH_GT] = ACTIONS(6491),
    [sym_comment] = ACTIONS(3),
  },
  [2682] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [aux_sym_preproc_if_token2] = ACTIONS(5678),
    [aux_sym_preproc_else_token1] = ACTIONS(5678),
    [aux_sym_preproc_elif_token1] = ACTIONS(5676),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5678),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5676),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_SLASH] = ACTIONS(5676),
    [anon_sym_PERCENT] = ACTIONS(5676),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5678),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5676),
    [anon_sym_LT_LT] = ACTIONS(5676),
    [anon_sym_GT_GT] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5678),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_RBRACE] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_RBRACK] = ACTIONS(5678),
    [anon_sym_EQ] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_STAR_EQ] = ACTIONS(5678),
    [anon_sym_SLASH_EQ] = ACTIONS(5678),
    [anon_sym_PERCENT_EQ] = ACTIONS(5678),
    [anon_sym_PLUS_EQ] = ACTIONS(5678),
    [anon_sym_DASH_EQ] = ACTIONS(5678),
    [anon_sym_LT_LT_EQ] = ACTIONS(5678),
    [anon_sym_GT_GT_EQ] = ACTIONS(5678),
    [anon_sym_AMP_EQ] = ACTIONS(5678),
    [anon_sym_CARET_EQ] = ACTIONS(5678),
    [anon_sym_PIPE_EQ] = ACTIONS(5678),
    [anon_sym_and_eq] = ACTIONS(5676),
    [anon_sym_or_eq] = ACTIONS(5676),
    [anon_sym_xor_eq] = ACTIONS(5676),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5676),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_bitor] = ACTIONS(5676),
    [anon_sym_xor] = ACTIONS(5676),
    [anon_sym_bitand] = ACTIONS(5676),
    [anon_sym_not_eq] = ACTIONS(5676),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
  },
  [2683] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5745),
    [anon_sym_PLUS] = ACTIONS(5745),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_SLASH] = ACTIONS(5745),
    [anon_sym_PERCENT] = ACTIONS(5747),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_PIPE] = ACTIONS(5745),
    [anon_sym_CARET] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_EQ_EQ] = ACTIONS(5747),
    [anon_sym_BANG_EQ] = ACTIONS(5747),
    [anon_sym_GT] = ACTIONS(5745),
    [anon_sym_GT_EQ] = ACTIONS(5745),
    [anon_sym_LT_EQ] = ACTIONS(5745),
    [anon_sym_LT] = ACTIONS(5745),
    [anon_sym_LT_LT] = ACTIONS(5747),
    [anon_sym_GT_GT] = ACTIONS(5745),
    [anon_sym_COLON] = ACTIONS(5747),
    [anon_sym___extension__] = ACTIONS(5747),
    [anon_sym___attribute__] = ACTIONS(5747),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_signed] = ACTIONS(6452),
    [anon_sym_unsigned] = ACTIONS(6452),
    [anon_sym_long] = ACTIONS(6452),
    [anon_sym_short] = ACTIONS(6452),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_const] = ACTIONS(5745),
    [anon_sym_constexpr] = ACTIONS(5747),
    [anon_sym_volatile] = ACTIONS(5747),
    [anon_sym_restrict] = ACTIONS(5747),
    [anon_sym___restrict__] = ACTIONS(5747),
    [anon_sym__Atomic] = ACTIONS(5747),
    [anon_sym__Noreturn] = ACTIONS(5747),
    [anon_sym_noreturn] = ACTIONS(5747),
    [anon_sym__Nonnull] = ACTIONS(5747),
    [anon_sym_mutable] = ACTIONS(5747),
    [anon_sym_constinit] = ACTIONS(5747),
    [anon_sym_consteval] = ACTIONS(5747),
    [anon_sym_alignas] = ACTIONS(5747),
    [anon_sym__Alignas] = ACTIONS(5747),
    [anon_sym_QMARK] = ACTIONS(5747),
    [anon_sym_LT_EQ_GT] = ACTIONS(5747),
    [anon_sym_or] = ACTIONS(5747),
    [anon_sym_and] = ACTIONS(5747),
    [anon_sym_bitor] = ACTIONS(5747),
    [anon_sym_xor] = ACTIONS(5747),
    [anon_sym_bitand] = ACTIONS(5747),
    [anon_sym_not_eq] = ACTIONS(5747),
    [anon_sym_DASH_DASH] = ACTIONS(5747),
    [anon_sym_PLUS_PLUS] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5745),
    [anon_sym_DOT_STAR] = ACTIONS(5747),
    [anon_sym_DASH_GT] = ACTIONS(5747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5747),
    [anon_sym_decltype] = ACTIONS(5747),
    [anon_sym_final] = ACTIONS(5747),
    [anon_sym_override] = ACTIONS(5747),
    [anon_sym_GT2] = ACTIONS(5747),
    [anon_sym_requires] = ACTIONS(5747),
  },
  [2684] = {
    [sym_identifier] = ACTIONS(5785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5787),
    [anon_sym_COMMA] = ACTIONS(5787),
    [anon_sym_RPAREN] = ACTIONS(5787),
    [aux_sym_preproc_if_token2] = ACTIONS(5787),
    [aux_sym_preproc_else_token1] = ACTIONS(5787),
    [aux_sym_preproc_elif_token1] = ACTIONS(5785),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5787),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5787),
    [anon_sym_LPAREN2] = ACTIONS(5787),
    [anon_sym_DASH] = ACTIONS(5785),
    [anon_sym_PLUS] = ACTIONS(5785),
    [anon_sym_STAR] = ACTIONS(5785),
    [anon_sym_SLASH] = ACTIONS(5785),
    [anon_sym_PERCENT] = ACTIONS(5785),
    [anon_sym_PIPE_PIPE] = ACTIONS(5787),
    [anon_sym_AMP_AMP] = ACTIONS(5787),
    [anon_sym_PIPE] = ACTIONS(5785),
    [anon_sym_CARET] = ACTIONS(5785),
    [anon_sym_AMP] = ACTIONS(5785),
    [anon_sym_EQ_EQ] = ACTIONS(5787),
    [anon_sym_BANG_EQ] = ACTIONS(5787),
    [anon_sym_GT] = ACTIONS(5785),
    [anon_sym_GT_EQ] = ACTIONS(5787),
    [anon_sym_LT_EQ] = ACTIONS(5785),
    [anon_sym_LT] = ACTIONS(5785),
    [anon_sym_LT_LT] = ACTIONS(5785),
    [anon_sym_GT_GT] = ACTIONS(5785),
    [anon_sym_COLON] = ACTIONS(5787),
    [anon_sym_SEMI] = ACTIONS(5787),
    [anon_sym___attribute__] = ACTIONS(5785),
    [anon_sym_LBRACE] = ACTIONS(5787),
    [anon_sym_RBRACE] = ACTIONS(5787),
    [anon_sym_LBRACK] = ACTIONS(5787),
    [anon_sym_RBRACK] = ACTIONS(5787),
    [anon_sym_EQ] = ACTIONS(5785),
    [anon_sym_QMARK] = ACTIONS(5787),
    [anon_sym_STAR_EQ] = ACTIONS(5787),
    [anon_sym_SLASH_EQ] = ACTIONS(5787),
    [anon_sym_PERCENT_EQ] = ACTIONS(5787),
    [anon_sym_PLUS_EQ] = ACTIONS(5787),
    [anon_sym_DASH_EQ] = ACTIONS(5787),
    [anon_sym_LT_LT_EQ] = ACTIONS(5787),
    [anon_sym_GT_GT_EQ] = ACTIONS(5787),
    [anon_sym_AMP_EQ] = ACTIONS(5787),
    [anon_sym_CARET_EQ] = ACTIONS(5787),
    [anon_sym_PIPE_EQ] = ACTIONS(5787),
    [anon_sym_and_eq] = ACTIONS(5785),
    [anon_sym_or_eq] = ACTIONS(5785),
    [anon_sym_xor_eq] = ACTIONS(5785),
    [anon_sym_LT_EQ_GT] = ACTIONS(5787),
    [anon_sym_or] = ACTIONS(5785),
    [anon_sym_and] = ACTIONS(5785),
    [anon_sym_bitor] = ACTIONS(5785),
    [anon_sym_xor] = ACTIONS(5785),
    [anon_sym_bitand] = ACTIONS(5785),
    [anon_sym_not_eq] = ACTIONS(5785),
    [anon_sym_DASH_DASH] = ACTIONS(5787),
    [anon_sym_PLUS_PLUS] = ACTIONS(5787),
    [anon_sym_DOT] = ACTIONS(5785),
    [anon_sym_DOT_STAR] = ACTIONS(5787),
    [anon_sym_DASH_GT] = ACTIONS(5787),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5785),
    [anon_sym_decltype] = ACTIONS(5785),
  },
  [2685] = {
    [sym_identifier] = ACTIONS(6493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6495),
    [anon_sym_COMMA] = ACTIONS(6495),
    [anon_sym_RPAREN] = ACTIONS(6495),
    [aux_sym_preproc_if_token2] = ACTIONS(6495),
    [aux_sym_preproc_else_token1] = ACTIONS(6495),
    [aux_sym_preproc_elif_token1] = ACTIONS(6493),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6495),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6495),
    [anon_sym_LPAREN2] = ACTIONS(6495),
    [anon_sym_DASH] = ACTIONS(6493),
    [anon_sym_PLUS] = ACTIONS(6493),
    [anon_sym_STAR] = ACTIONS(6493),
    [anon_sym_SLASH] = ACTIONS(6493),
    [anon_sym_PERCENT] = ACTIONS(6493),
    [anon_sym_PIPE_PIPE] = ACTIONS(6495),
    [anon_sym_AMP_AMP] = ACTIONS(6495),
    [anon_sym_PIPE] = ACTIONS(6493),
    [anon_sym_CARET] = ACTIONS(6493),
    [anon_sym_AMP] = ACTIONS(6493),
    [anon_sym_EQ_EQ] = ACTIONS(6495),
    [anon_sym_BANG_EQ] = ACTIONS(6495),
    [anon_sym_GT] = ACTIONS(6493),
    [anon_sym_GT_EQ] = ACTIONS(6495),
    [anon_sym_LT_EQ] = ACTIONS(6493),
    [anon_sym_LT] = ACTIONS(6493),
    [anon_sym_LT_LT] = ACTIONS(6493),
    [anon_sym_GT_GT] = ACTIONS(6493),
    [anon_sym_COLON] = ACTIONS(6495),
    [anon_sym_SEMI] = ACTIONS(6495),
    [anon_sym___attribute__] = ACTIONS(6493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6495),
    [anon_sym_LBRACE] = ACTIONS(6495),
    [anon_sym_RBRACE] = ACTIONS(6495),
    [anon_sym_LBRACK] = ACTIONS(6493),
    [anon_sym_RBRACK] = ACTIONS(6495),
    [anon_sym_EQ] = ACTIONS(6493),
    [anon_sym_QMARK] = ACTIONS(6495),
    [anon_sym_STAR_EQ] = ACTIONS(6495),
    [anon_sym_SLASH_EQ] = ACTIONS(6495),
    [anon_sym_PERCENT_EQ] = ACTIONS(6495),
    [anon_sym_PLUS_EQ] = ACTIONS(6495),
    [anon_sym_DASH_EQ] = ACTIONS(6495),
    [anon_sym_LT_LT_EQ] = ACTIONS(6495),
    [anon_sym_GT_GT_EQ] = ACTIONS(6495),
    [anon_sym_AMP_EQ] = ACTIONS(6495),
    [anon_sym_CARET_EQ] = ACTIONS(6495),
    [anon_sym_PIPE_EQ] = ACTIONS(6495),
    [anon_sym_and_eq] = ACTIONS(6493),
    [anon_sym_or_eq] = ACTIONS(6493),
    [anon_sym_xor_eq] = ACTIONS(6493),
    [anon_sym_LT_EQ_GT] = ACTIONS(6495),
    [anon_sym_or] = ACTIONS(6493),
    [anon_sym_and] = ACTIONS(6493),
    [anon_sym_bitor] = ACTIONS(6493),
    [anon_sym_xor] = ACTIONS(6493),
    [anon_sym_bitand] = ACTIONS(6493),
    [anon_sym_not_eq] = ACTIONS(6493),
    [anon_sym_DASH_DASH] = ACTIONS(6495),
    [anon_sym_PLUS_PLUS] = ACTIONS(6495),
    [anon_sym_DOT] = ACTIONS(6493),
    [anon_sym_DOT_STAR] = ACTIONS(6495),
    [anon_sym_DASH_GT] = ACTIONS(6495),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6493),
  },
  [2686] = {
    [sym_argument_list] = STATE(2851),
    [sym_initializer_list] = STATE(2851),
    [sym_identifier] = ACTIONS(6497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6499),
    [anon_sym_COMMA] = ACTIONS(6499),
    [anon_sym_RPAREN] = ACTIONS(6499),
    [aux_sym_preproc_if_token2] = ACTIONS(6499),
    [aux_sym_preproc_else_token1] = ACTIONS(6499),
    [aux_sym_preproc_elif_token1] = ACTIONS(6497),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6499),
    [anon_sym_LPAREN2] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6497),
    [anon_sym_PLUS] = ACTIONS(6497),
    [anon_sym_STAR] = ACTIONS(6497),
    [anon_sym_SLASH] = ACTIONS(6497),
    [anon_sym_PERCENT] = ACTIONS(6497),
    [anon_sym_PIPE_PIPE] = ACTIONS(6499),
    [anon_sym_AMP_AMP] = ACTIONS(6499),
    [anon_sym_PIPE] = ACTIONS(6497),
    [anon_sym_CARET] = ACTIONS(6497),
    [anon_sym_AMP] = ACTIONS(6497),
    [anon_sym_EQ_EQ] = ACTIONS(6499),
    [anon_sym_BANG_EQ] = ACTIONS(6499),
    [anon_sym_GT] = ACTIONS(6497),
    [anon_sym_GT_EQ] = ACTIONS(6499),
    [anon_sym_LT_EQ] = ACTIONS(6497),
    [anon_sym_LT] = ACTIONS(6497),
    [anon_sym_LT_LT] = ACTIONS(6497),
    [anon_sym_GT_GT] = ACTIONS(6497),
    [anon_sym_COLON] = ACTIONS(6499),
    [anon_sym_SEMI] = ACTIONS(6499),
    [anon_sym___attribute__] = ACTIONS(6497),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(6499),
    [anon_sym_LBRACK] = ACTIONS(6499),
    [anon_sym_RBRACK] = ACTIONS(6499),
    [anon_sym_EQ] = ACTIONS(6497),
    [anon_sym_QMARK] = ACTIONS(6499),
    [anon_sym_STAR_EQ] = ACTIONS(6499),
    [anon_sym_SLASH_EQ] = ACTIONS(6499),
    [anon_sym_PERCENT_EQ] = ACTIONS(6499),
    [anon_sym_PLUS_EQ] = ACTIONS(6499),
    [anon_sym_DASH_EQ] = ACTIONS(6499),
    [anon_sym_LT_LT_EQ] = ACTIONS(6499),
    [anon_sym_GT_GT_EQ] = ACTIONS(6499),
    [anon_sym_AMP_EQ] = ACTIONS(6499),
    [anon_sym_CARET_EQ] = ACTIONS(6499),
    [anon_sym_PIPE_EQ] = ACTIONS(6499),
    [anon_sym_and_eq] = ACTIONS(6497),
    [anon_sym_or_eq] = ACTIONS(6497),
    [anon_sym_xor_eq] = ACTIONS(6497),
    [anon_sym_LT_EQ_GT] = ACTIONS(6499),
    [anon_sym_or] = ACTIONS(6497),
    [anon_sym_and] = ACTIONS(6497),
    [anon_sym_bitor] = ACTIONS(6497),
    [anon_sym_xor] = ACTIONS(6497),
    [anon_sym_bitand] = ACTIONS(6497),
    [anon_sym_not_eq] = ACTIONS(6497),
    [anon_sym_DASH_DASH] = ACTIONS(6499),
    [anon_sym_PLUS_PLUS] = ACTIONS(6499),
    [anon_sym_DOT] = ACTIONS(6497),
    [anon_sym_DOT_STAR] = ACTIONS(6499),
    [anon_sym_DASH_GT] = ACTIONS(6499),
    [sym_comment] = ACTIONS(3),
  },
  [2687] = {
    [sym_identifier] = ACTIONS(5883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5885),
    [anon_sym_RPAREN] = ACTIONS(5885),
    [aux_sym_preproc_if_token2] = ACTIONS(5885),
    [aux_sym_preproc_else_token1] = ACTIONS(5885),
    [aux_sym_preproc_elif_token1] = ACTIONS(5883),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5885),
    [anon_sym_LPAREN2] = ACTIONS(5885),
    [anon_sym_DASH] = ACTIONS(5883),
    [anon_sym_PLUS] = ACTIONS(5883),
    [anon_sym_STAR] = ACTIONS(5883),
    [anon_sym_SLASH] = ACTIONS(5883),
    [anon_sym_PERCENT] = ACTIONS(5883),
    [anon_sym_PIPE_PIPE] = ACTIONS(5885),
    [anon_sym_AMP_AMP] = ACTIONS(5885),
    [anon_sym_PIPE] = ACTIONS(5883),
    [anon_sym_CARET] = ACTIONS(5883),
    [anon_sym_AMP] = ACTIONS(5883),
    [anon_sym_EQ_EQ] = ACTIONS(5885),
    [anon_sym_BANG_EQ] = ACTIONS(5885),
    [anon_sym_GT] = ACTIONS(5883),
    [anon_sym_GT_EQ] = ACTIONS(5885),
    [anon_sym_LT_EQ] = ACTIONS(5883),
    [anon_sym_LT] = ACTIONS(5883),
    [anon_sym_LT_LT] = ACTIONS(5883),
    [anon_sym_GT_GT] = ACTIONS(5883),
    [anon_sym_COLON] = ACTIONS(5885),
    [anon_sym_SEMI] = ACTIONS(5885),
    [anon_sym___attribute__] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5885),
    [anon_sym_RBRACE] = ACTIONS(5885),
    [anon_sym_LBRACK] = ACTIONS(5885),
    [anon_sym_RBRACK] = ACTIONS(5885),
    [anon_sym_EQ] = ACTIONS(5883),
    [anon_sym_QMARK] = ACTIONS(5885),
    [anon_sym_STAR_EQ] = ACTIONS(5885),
    [anon_sym_SLASH_EQ] = ACTIONS(5885),
    [anon_sym_PERCENT_EQ] = ACTIONS(5885),
    [anon_sym_PLUS_EQ] = ACTIONS(5885),
    [anon_sym_DASH_EQ] = ACTIONS(5885),
    [anon_sym_LT_LT_EQ] = ACTIONS(5885),
    [anon_sym_GT_GT_EQ] = ACTIONS(5885),
    [anon_sym_AMP_EQ] = ACTIONS(5885),
    [anon_sym_CARET_EQ] = ACTIONS(5885),
    [anon_sym_PIPE_EQ] = ACTIONS(5885),
    [anon_sym_and_eq] = ACTIONS(5883),
    [anon_sym_or_eq] = ACTIONS(5883),
    [anon_sym_xor_eq] = ACTIONS(5883),
    [anon_sym_LT_EQ_GT] = ACTIONS(5885),
    [anon_sym_or] = ACTIONS(5883),
    [anon_sym_and] = ACTIONS(5883),
    [anon_sym_bitor] = ACTIONS(5883),
    [anon_sym_xor] = ACTIONS(5883),
    [anon_sym_bitand] = ACTIONS(5883),
    [anon_sym_not_eq] = ACTIONS(5883),
    [anon_sym_DASH_DASH] = ACTIONS(5885),
    [anon_sym_PLUS_PLUS] = ACTIONS(5885),
    [anon_sym_DOT] = ACTIONS(5883),
    [anon_sym_DOT_STAR] = ACTIONS(5885),
    [anon_sym_DASH_GT] = ACTIONS(5885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5883),
    [anon_sym_decltype] = ACTIONS(5883),
  },
  [2688] = {
    [sym_identifier] = ACTIONS(6501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6503),
    [anon_sym_COMMA] = ACTIONS(6503),
    [anon_sym_RPAREN] = ACTIONS(6503),
    [aux_sym_preproc_if_token2] = ACTIONS(6503),
    [aux_sym_preproc_else_token1] = ACTIONS(6503),
    [aux_sym_preproc_elif_token1] = ACTIONS(6501),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6503),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6503),
    [anon_sym_LPAREN2] = ACTIONS(6503),
    [anon_sym_DASH] = ACTIONS(6501),
    [anon_sym_PLUS] = ACTIONS(6501),
    [anon_sym_STAR] = ACTIONS(6501),
    [anon_sym_SLASH] = ACTIONS(6501),
    [anon_sym_PERCENT] = ACTIONS(6501),
    [anon_sym_PIPE_PIPE] = ACTIONS(6503),
    [anon_sym_AMP_AMP] = ACTIONS(6503),
    [anon_sym_PIPE] = ACTIONS(6501),
    [anon_sym_CARET] = ACTIONS(6501),
    [anon_sym_AMP] = ACTIONS(6501),
    [anon_sym_EQ_EQ] = ACTIONS(6503),
    [anon_sym_BANG_EQ] = ACTIONS(6503),
    [anon_sym_GT] = ACTIONS(6501),
    [anon_sym_GT_EQ] = ACTIONS(6503),
    [anon_sym_LT_EQ] = ACTIONS(6501),
    [anon_sym_LT] = ACTIONS(6501),
    [anon_sym_LT_LT] = ACTIONS(6501),
    [anon_sym_GT_GT] = ACTIONS(6501),
    [anon_sym_COLON] = ACTIONS(6503),
    [anon_sym_SEMI] = ACTIONS(6503),
    [anon_sym___attribute__] = ACTIONS(6501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6503),
    [anon_sym_LBRACE] = ACTIONS(6503),
    [anon_sym_RBRACE] = ACTIONS(6503),
    [anon_sym_LBRACK] = ACTIONS(6501),
    [anon_sym_RBRACK] = ACTIONS(6503),
    [anon_sym_EQ] = ACTIONS(6501),
    [anon_sym_QMARK] = ACTIONS(6503),
    [anon_sym_STAR_EQ] = ACTIONS(6503),
    [anon_sym_SLASH_EQ] = ACTIONS(6503),
    [anon_sym_PERCENT_EQ] = ACTIONS(6503),
    [anon_sym_PLUS_EQ] = ACTIONS(6503),
    [anon_sym_DASH_EQ] = ACTIONS(6503),
    [anon_sym_LT_LT_EQ] = ACTIONS(6503),
    [anon_sym_GT_GT_EQ] = ACTIONS(6503),
    [anon_sym_AMP_EQ] = ACTIONS(6503),
    [anon_sym_CARET_EQ] = ACTIONS(6503),
    [anon_sym_PIPE_EQ] = ACTIONS(6503),
    [anon_sym_and_eq] = ACTIONS(6501),
    [anon_sym_or_eq] = ACTIONS(6501),
    [anon_sym_xor_eq] = ACTIONS(6501),
    [anon_sym_LT_EQ_GT] = ACTIONS(6503),
    [anon_sym_or] = ACTIONS(6501),
    [anon_sym_and] = ACTIONS(6501),
    [anon_sym_bitor] = ACTIONS(6501),
    [anon_sym_xor] = ACTIONS(6501),
    [anon_sym_bitand] = ACTIONS(6501),
    [anon_sym_not_eq] = ACTIONS(6501),
    [anon_sym_DASH_DASH] = ACTIONS(6503),
    [anon_sym_PLUS_PLUS] = ACTIONS(6503),
    [anon_sym_DOT] = ACTIONS(6501),
    [anon_sym_DOT_STAR] = ACTIONS(6503),
    [anon_sym_DASH_GT] = ACTIONS(6503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6501),
  },
  [2689] = {
    [sym_identifier] = ACTIONS(6505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6507),
    [anon_sym_COMMA] = ACTIONS(6507),
    [anon_sym_RPAREN] = ACTIONS(6507),
    [aux_sym_preproc_if_token2] = ACTIONS(6507),
    [aux_sym_preproc_else_token1] = ACTIONS(6507),
    [aux_sym_preproc_elif_token1] = ACTIONS(6505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6507),
    [anon_sym_LPAREN2] = ACTIONS(6507),
    [anon_sym_DASH] = ACTIONS(6505),
    [anon_sym_PLUS] = ACTIONS(6505),
    [anon_sym_STAR] = ACTIONS(6505),
    [anon_sym_SLASH] = ACTIONS(6505),
    [anon_sym_PERCENT] = ACTIONS(6505),
    [anon_sym_PIPE_PIPE] = ACTIONS(6507),
    [anon_sym_AMP_AMP] = ACTIONS(6507),
    [anon_sym_PIPE] = ACTIONS(6505),
    [anon_sym_CARET] = ACTIONS(6505),
    [anon_sym_AMP] = ACTIONS(6505),
    [anon_sym_EQ_EQ] = ACTIONS(6507),
    [anon_sym_BANG_EQ] = ACTIONS(6507),
    [anon_sym_GT] = ACTIONS(6505),
    [anon_sym_GT_EQ] = ACTIONS(6507),
    [anon_sym_LT_EQ] = ACTIONS(6505),
    [anon_sym_LT] = ACTIONS(6505),
    [anon_sym_LT_LT] = ACTIONS(6505),
    [anon_sym_GT_GT] = ACTIONS(6505),
    [anon_sym_COLON] = ACTIONS(6507),
    [anon_sym_SEMI] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6507),
    [anon_sym_LBRACE] = ACTIONS(6507),
    [anon_sym_RBRACE] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6505),
    [anon_sym_RBRACK] = ACTIONS(6507),
    [anon_sym_EQ] = ACTIONS(6505),
    [anon_sym_QMARK] = ACTIONS(6507),
    [anon_sym_STAR_EQ] = ACTIONS(6507),
    [anon_sym_SLASH_EQ] = ACTIONS(6507),
    [anon_sym_PERCENT_EQ] = ACTIONS(6507),
    [anon_sym_PLUS_EQ] = ACTIONS(6507),
    [anon_sym_DASH_EQ] = ACTIONS(6507),
    [anon_sym_LT_LT_EQ] = ACTIONS(6507),
    [anon_sym_GT_GT_EQ] = ACTIONS(6507),
    [anon_sym_AMP_EQ] = ACTIONS(6507),
    [anon_sym_CARET_EQ] = ACTIONS(6507),
    [anon_sym_PIPE_EQ] = ACTIONS(6507),
    [anon_sym_and_eq] = ACTIONS(6505),
    [anon_sym_or_eq] = ACTIONS(6505),
    [anon_sym_xor_eq] = ACTIONS(6505),
    [anon_sym_LT_EQ_GT] = ACTIONS(6507),
    [anon_sym_or] = ACTIONS(6505),
    [anon_sym_and] = ACTIONS(6505),
    [anon_sym_bitor] = ACTIONS(6505),
    [anon_sym_xor] = ACTIONS(6505),
    [anon_sym_bitand] = ACTIONS(6505),
    [anon_sym_not_eq] = ACTIONS(6505),
    [anon_sym_DASH_DASH] = ACTIONS(6507),
    [anon_sym_PLUS_PLUS] = ACTIONS(6507),
    [anon_sym_DOT] = ACTIONS(6505),
    [anon_sym_DOT_STAR] = ACTIONS(6507),
    [anon_sym_DASH_GT] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6505),
  },
  [2690] = {
    [sym_identifier] = ACTIONS(5789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5791),
    [anon_sym_COMMA] = ACTIONS(5791),
    [anon_sym_RPAREN] = ACTIONS(5791),
    [aux_sym_preproc_if_token2] = ACTIONS(5791),
    [aux_sym_preproc_else_token1] = ACTIONS(5791),
    [aux_sym_preproc_elif_token1] = ACTIONS(5789),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5791),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5791),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(5789),
    [anon_sym_PLUS] = ACTIONS(5789),
    [anon_sym_STAR] = ACTIONS(5789),
    [anon_sym_SLASH] = ACTIONS(5789),
    [anon_sym_PERCENT] = ACTIONS(5789),
    [anon_sym_PIPE_PIPE] = ACTIONS(5791),
    [anon_sym_AMP_AMP] = ACTIONS(5791),
    [anon_sym_PIPE] = ACTIONS(5789),
    [anon_sym_CARET] = ACTIONS(5789),
    [anon_sym_AMP] = ACTIONS(5789),
    [anon_sym_EQ_EQ] = ACTIONS(5791),
    [anon_sym_BANG_EQ] = ACTIONS(5791),
    [anon_sym_GT] = ACTIONS(5789),
    [anon_sym_GT_EQ] = ACTIONS(5791),
    [anon_sym_LT_EQ] = ACTIONS(5789),
    [anon_sym_LT] = ACTIONS(5789),
    [anon_sym_LT_LT] = ACTIONS(5789),
    [anon_sym_GT_GT] = ACTIONS(5789),
    [anon_sym_COLON] = ACTIONS(5791),
    [anon_sym_SEMI] = ACTIONS(5791),
    [anon_sym___attribute__] = ACTIONS(5789),
    [anon_sym_LBRACE] = ACTIONS(5791),
    [anon_sym_RBRACE] = ACTIONS(5791),
    [anon_sym_LBRACK] = ACTIONS(5791),
    [anon_sym_RBRACK] = ACTIONS(5791),
    [anon_sym_EQ] = ACTIONS(5789),
    [anon_sym_QMARK] = ACTIONS(5791),
    [anon_sym_STAR_EQ] = ACTIONS(5791),
    [anon_sym_SLASH_EQ] = ACTIONS(5791),
    [anon_sym_PERCENT_EQ] = ACTIONS(5791),
    [anon_sym_PLUS_EQ] = ACTIONS(5791),
    [anon_sym_DASH_EQ] = ACTIONS(5791),
    [anon_sym_LT_LT_EQ] = ACTIONS(5791),
    [anon_sym_GT_GT_EQ] = ACTIONS(5791),
    [anon_sym_AMP_EQ] = ACTIONS(5791),
    [anon_sym_CARET_EQ] = ACTIONS(5791),
    [anon_sym_PIPE_EQ] = ACTIONS(5791),
    [anon_sym_and_eq] = ACTIONS(5789),
    [anon_sym_or_eq] = ACTIONS(5789),
    [anon_sym_xor_eq] = ACTIONS(5789),
    [anon_sym_LT_EQ_GT] = ACTIONS(5791),
    [anon_sym_or] = ACTIONS(5789),
    [anon_sym_and] = ACTIONS(5789),
    [anon_sym_bitor] = ACTIONS(5789),
    [anon_sym_xor] = ACTIONS(5789),
    [anon_sym_bitand] = ACTIONS(5789),
    [anon_sym_not_eq] = ACTIONS(5789),
    [anon_sym_DASH_DASH] = ACTIONS(5791),
    [anon_sym_PLUS_PLUS] = ACTIONS(5791),
    [anon_sym_DOT] = ACTIONS(5789),
    [anon_sym_DOT_STAR] = ACTIONS(5791),
    [anon_sym_DASH_GT] = ACTIONS(5791),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5789),
    [anon_sym_decltype] = ACTIONS(5789),
  },
  [2691] = {
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_COMMA] = ACTIONS(2294),
    [anon_sym_RPAREN] = ACTIONS(2294),
    [aux_sym_preproc_if_token2] = ACTIONS(2294),
    [aux_sym_preproc_else_token1] = ACTIONS(2294),
    [aux_sym_preproc_elif_token1] = ACTIONS(2292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2294),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_PERCENT] = ACTIONS(2292),
    [anon_sym_PIPE_PIPE] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_EQ_EQ] = ACTIONS(2294),
    [anon_sym_BANG_EQ] = ACTIONS(2294),
    [anon_sym_GT] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2294),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2292),
    [anon_sym_LT_LT] = ACTIONS(2292),
    [anon_sym_GT_GT] = ACTIONS(2292),
    [anon_sym_COLON] = ACTIONS(2294),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_RBRACE] = ACTIONS(2294),
    [anon_sym_LBRACK] = ACTIONS(2294),
    [anon_sym_RBRACK] = ACTIONS(2294),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_QMARK] = ACTIONS(2294),
    [anon_sym_STAR_EQ] = ACTIONS(2294),
    [anon_sym_SLASH_EQ] = ACTIONS(2294),
    [anon_sym_PERCENT_EQ] = ACTIONS(2294),
    [anon_sym_PLUS_EQ] = ACTIONS(2294),
    [anon_sym_DASH_EQ] = ACTIONS(2294),
    [anon_sym_LT_LT_EQ] = ACTIONS(2294),
    [anon_sym_GT_GT_EQ] = ACTIONS(2294),
    [anon_sym_AMP_EQ] = ACTIONS(2294),
    [anon_sym_CARET_EQ] = ACTIONS(2294),
    [anon_sym_PIPE_EQ] = ACTIONS(2294),
    [anon_sym_and_eq] = ACTIONS(2292),
    [anon_sym_or_eq] = ACTIONS(2292),
    [anon_sym_xor_eq] = ACTIONS(2292),
    [anon_sym_LT_EQ_GT] = ACTIONS(2294),
    [anon_sym_or] = ACTIONS(2292),
    [anon_sym_and] = ACTIONS(2292),
    [anon_sym_bitor] = ACTIONS(2292),
    [anon_sym_xor] = ACTIONS(2292),
    [anon_sym_bitand] = ACTIONS(2292),
    [anon_sym_not_eq] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_DOT] = ACTIONS(2292),
    [anon_sym_DOT_STAR] = ACTIONS(2294),
    [anon_sym_DASH_GT] = ACTIONS(2294),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
  },
  [2692] = {
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [aux_sym_preproc_if_token2] = ACTIONS(5678),
    [aux_sym_preproc_else_token1] = ACTIONS(5678),
    [aux_sym_preproc_elif_token1] = ACTIONS(5676),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5678),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5676),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_SLASH] = ACTIONS(5676),
    [anon_sym_PERCENT] = ACTIONS(5676),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5678),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5676),
    [anon_sym_LT_LT] = ACTIONS(5676),
    [anon_sym_GT_GT] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5678),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___attribute__] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_RBRACE] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_RBRACK] = ACTIONS(5678),
    [anon_sym_EQ] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_STAR_EQ] = ACTIONS(5678),
    [anon_sym_SLASH_EQ] = ACTIONS(5678),
    [anon_sym_PERCENT_EQ] = ACTIONS(5678),
    [anon_sym_PLUS_EQ] = ACTIONS(5678),
    [anon_sym_DASH_EQ] = ACTIONS(5678),
    [anon_sym_LT_LT_EQ] = ACTIONS(5678),
    [anon_sym_GT_GT_EQ] = ACTIONS(5678),
    [anon_sym_AMP_EQ] = ACTIONS(5678),
    [anon_sym_CARET_EQ] = ACTIONS(5678),
    [anon_sym_PIPE_EQ] = ACTIONS(5678),
    [anon_sym_and_eq] = ACTIONS(5676),
    [anon_sym_or_eq] = ACTIONS(5676),
    [anon_sym_xor_eq] = ACTIONS(5676),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5676),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_bitor] = ACTIONS(5676),
    [anon_sym_xor] = ACTIONS(5676),
    [anon_sym_bitand] = ACTIONS(5676),
    [anon_sym_not_eq] = ACTIONS(5676),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5676),
    [anon_sym_decltype] = ACTIONS(5676),
  },
  [2693] = {
    [sym_identifier] = ACTIONS(5793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5795),
    [anon_sym_COMMA] = ACTIONS(5795),
    [anon_sym_RPAREN] = ACTIONS(5795),
    [aux_sym_preproc_if_token2] = ACTIONS(5795),
    [aux_sym_preproc_else_token1] = ACTIONS(5795),
    [aux_sym_preproc_elif_token1] = ACTIONS(5793),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5795),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5795),
    [anon_sym_LPAREN2] = ACTIONS(5795),
    [anon_sym_DASH] = ACTIONS(5793),
    [anon_sym_PLUS] = ACTIONS(5793),
    [anon_sym_STAR] = ACTIONS(5793),
    [anon_sym_SLASH] = ACTIONS(5793),
    [anon_sym_PERCENT] = ACTIONS(5793),
    [anon_sym_PIPE_PIPE] = ACTIONS(5795),
    [anon_sym_AMP_AMP] = ACTIONS(5795),
    [anon_sym_PIPE] = ACTIONS(5793),
    [anon_sym_CARET] = ACTIONS(5793),
    [anon_sym_AMP] = ACTIONS(5793),
    [anon_sym_EQ_EQ] = ACTIONS(5795),
    [anon_sym_BANG_EQ] = ACTIONS(5795),
    [anon_sym_GT] = ACTIONS(5793),
    [anon_sym_GT_EQ] = ACTIONS(5795),
    [anon_sym_LT_EQ] = ACTIONS(5793),
    [anon_sym_LT] = ACTIONS(5793),
    [anon_sym_LT_LT] = ACTIONS(5793),
    [anon_sym_GT_GT] = ACTIONS(5793),
    [anon_sym_COLON] = ACTIONS(5795),
    [anon_sym_SEMI] = ACTIONS(5795),
    [anon_sym___attribute__] = ACTIONS(5793),
    [anon_sym_LBRACE] = ACTIONS(5795),
    [anon_sym_RBRACE] = ACTIONS(5795),
    [anon_sym_LBRACK] = ACTIONS(5795),
    [anon_sym_RBRACK] = ACTIONS(5795),
    [anon_sym_EQ] = ACTIONS(5793),
    [anon_sym_QMARK] = ACTIONS(5795),
    [anon_sym_STAR_EQ] = ACTIONS(5795),
    [anon_sym_SLASH_EQ] = ACTIONS(5795),
    [anon_sym_PERCENT_EQ] = ACTIONS(5795),
    [anon_sym_PLUS_EQ] = ACTIONS(5795),
    [anon_sym_DASH_EQ] = ACTIONS(5795),
    [anon_sym_LT_LT_EQ] = ACTIONS(5795),
    [anon_sym_GT_GT_EQ] = ACTIONS(5795),
    [anon_sym_AMP_EQ] = ACTIONS(5795),
    [anon_sym_CARET_EQ] = ACTIONS(5795),
    [anon_sym_PIPE_EQ] = ACTIONS(5795),
    [anon_sym_and_eq] = ACTIONS(5793),
    [anon_sym_or_eq] = ACTIONS(5793),
    [anon_sym_xor_eq] = ACTIONS(5793),
    [anon_sym_LT_EQ_GT] = ACTIONS(5795),
    [anon_sym_or] = ACTIONS(5793),
    [anon_sym_and] = ACTIONS(5793),
    [anon_sym_bitor] = ACTIONS(5793),
    [anon_sym_xor] = ACTIONS(5793),
    [anon_sym_bitand] = ACTIONS(5793),
    [anon_sym_not_eq] = ACTIONS(5793),
    [anon_sym_DASH_DASH] = ACTIONS(5795),
    [anon_sym_PLUS_PLUS] = ACTIONS(5795),
    [anon_sym_DOT] = ACTIONS(5793),
    [anon_sym_DOT_STAR] = ACTIONS(5795),
    [anon_sym_DASH_GT] = ACTIONS(5795),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5793),
    [anon_sym_decltype] = ACTIONS(5793),
  },
  [2694] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5714),
    [anon_sym_COMMA] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5714),
    [anon_sym_SLASH] = ACTIONS(5712),
    [anon_sym_PERCENT] = ACTIONS(5714),
    [anon_sym_PIPE_PIPE] = ACTIONS(5714),
    [anon_sym_AMP_AMP] = ACTIONS(5714),
    [anon_sym_PIPE] = ACTIONS(5712),
    [anon_sym_CARET] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(5712),
    [anon_sym_EQ_EQ] = ACTIONS(5714),
    [anon_sym_BANG_EQ] = ACTIONS(5714),
    [anon_sym_GT] = ACTIONS(5712),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5712),
    [anon_sym_LT] = ACTIONS(5712),
    [anon_sym_LT_LT] = ACTIONS(5714),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym_COLON] = ACTIONS(5714),
    [anon_sym___extension__] = ACTIONS(5714),
    [anon_sym___attribute__] = ACTIONS(5714),
    [anon_sym_LBRACE] = ACTIONS(5714),
    [anon_sym_signed] = ACTIONS(6452),
    [anon_sym_unsigned] = ACTIONS(6452),
    [anon_sym_long] = ACTIONS(6452),
    [anon_sym_short] = ACTIONS(6452),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [anon_sym_const] = ACTIONS(5712),
    [anon_sym_constexpr] = ACTIONS(5714),
    [anon_sym_volatile] = ACTIONS(5714),
    [anon_sym_restrict] = ACTIONS(5714),
    [anon_sym___restrict__] = ACTIONS(5714),
    [anon_sym__Atomic] = ACTIONS(5714),
    [anon_sym__Noreturn] = ACTIONS(5714),
    [anon_sym_noreturn] = ACTIONS(5714),
    [anon_sym__Nonnull] = ACTIONS(5714),
    [anon_sym_mutable] = ACTIONS(5714),
    [anon_sym_constinit] = ACTIONS(5714),
    [anon_sym_consteval] = ACTIONS(5714),
    [anon_sym_alignas] = ACTIONS(5714),
    [anon_sym__Alignas] = ACTIONS(5714),
    [anon_sym_QMARK] = ACTIONS(5714),
    [anon_sym_LT_EQ_GT] = ACTIONS(5714),
    [anon_sym_or] = ACTIONS(5714),
    [anon_sym_and] = ACTIONS(5714),
    [anon_sym_bitor] = ACTIONS(5714),
    [anon_sym_xor] = ACTIONS(5714),
    [anon_sym_bitand] = ACTIONS(5714),
    [anon_sym_not_eq] = ACTIONS(5714),
    [anon_sym_DASH_DASH] = ACTIONS(5714),
    [anon_sym_PLUS_PLUS] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_DOT_STAR] = ACTIONS(5714),
    [anon_sym_DASH_GT] = ACTIONS(5714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5714),
    [anon_sym_decltype] = ACTIONS(5714),
    [anon_sym_final] = ACTIONS(5714),
    [anon_sym_override] = ACTIONS(5714),
    [anon_sym_GT2] = ACTIONS(5714),
    [anon_sym_requires] = ACTIONS(5714),
  },
  [2695] = {
    [sym_identifier] = ACTIONS(6509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(6511),
    [anon_sym_RPAREN] = ACTIONS(6511),
    [aux_sym_preproc_if_token2] = ACTIONS(6511),
    [aux_sym_preproc_else_token1] = ACTIONS(6511),
    [aux_sym_preproc_elif_token1] = ACTIONS(6509),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6511),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6511),
    [anon_sym_LPAREN2] = ACTIONS(6511),
    [anon_sym_DASH] = ACTIONS(6509),
    [anon_sym_PLUS] = ACTIONS(6509),
    [anon_sym_STAR] = ACTIONS(6509),
    [anon_sym_SLASH] = ACTIONS(6509),
    [anon_sym_PERCENT] = ACTIONS(6509),
    [anon_sym_PIPE_PIPE] = ACTIONS(6511),
    [anon_sym_AMP_AMP] = ACTIONS(6511),
    [anon_sym_PIPE] = ACTIONS(6509),
    [anon_sym_CARET] = ACTIONS(6509),
    [anon_sym_AMP] = ACTIONS(6509),
    [anon_sym_EQ_EQ] = ACTIONS(6511),
    [anon_sym_BANG_EQ] = ACTIONS(6511),
    [anon_sym_GT] = ACTIONS(6509),
    [anon_sym_GT_EQ] = ACTIONS(6511),
    [anon_sym_LT_EQ] = ACTIONS(6509),
    [anon_sym_LT] = ACTIONS(6509),
    [anon_sym_LT_LT] = ACTIONS(6509),
    [anon_sym_GT_GT] = ACTIONS(6509),
    [anon_sym_COLON] = ACTIONS(6511),
    [anon_sym_SEMI] = ACTIONS(6511),
    [anon_sym___attribute__] = ACTIONS(6509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6511),
    [anon_sym_LBRACE] = ACTIONS(6511),
    [anon_sym_RBRACE] = ACTIONS(6511),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym_RBRACK] = ACTIONS(6511),
    [anon_sym_EQ] = ACTIONS(6509),
    [anon_sym_QMARK] = ACTIONS(6511),
    [anon_sym_STAR_EQ] = ACTIONS(6511),
    [anon_sym_SLASH_EQ] = ACTIONS(6511),
    [anon_sym_PERCENT_EQ] = ACTIONS(6511),
    [anon_sym_PLUS_EQ] = ACTIONS(6511),
    [anon_sym_DASH_EQ] = ACTIONS(6511),
    [anon_sym_LT_LT_EQ] = ACTIONS(6511),
    [anon_sym_GT_GT_EQ] = ACTIONS(6511),
    [anon_sym_AMP_EQ] = ACTIONS(6511),
    [anon_sym_CARET_EQ] = ACTIONS(6511),
    [anon_sym_PIPE_EQ] = ACTIONS(6511),
    [anon_sym_and_eq] = ACTIONS(6509),
    [anon_sym_or_eq] = ACTIONS(6509),
    [anon_sym_xor_eq] = ACTIONS(6509),
    [anon_sym_LT_EQ_GT] = ACTIONS(6511),
    [anon_sym_or] = ACTIONS(6509),
    [anon_sym_and] = ACTIONS(6509),
    [anon_sym_bitor] = ACTIONS(6509),
    [anon_sym_xor] = ACTIONS(6509),
    [anon_sym_bitand] = ACTIONS(6509),
    [anon_sym_not_eq] = ACTIONS(6509),
    [anon_sym_DASH_DASH] = ACTIONS(6511),
    [anon_sym_PLUS_PLUS] = ACTIONS(6511),
    [anon_sym_DOT] = ACTIONS(6509),
    [anon_sym_DOT_STAR] = ACTIONS(6511),
    [anon_sym_DASH_GT] = ACTIONS(6511),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6509),
  },
  [2696] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5676),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_SLASH] = ACTIONS(5676),
    [anon_sym_PERCENT] = ACTIONS(5678),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5676),
    [anon_sym_LT_LT] = ACTIONS(5678),
    [anon_sym_GT_GT] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5678),
    [anon_sym___attribute__] = ACTIONS(5678),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_signed] = ACTIONS(6485),
    [anon_sym_unsigned] = ACTIONS(6485),
    [anon_sym_long] = ACTIONS(6485),
    [anon_sym_short] = ACTIONS(6485),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_const] = ACTIONS(5676),
    [anon_sym_constexpr] = ACTIONS(5678),
    [anon_sym_volatile] = ACTIONS(5678),
    [anon_sym_restrict] = ACTIONS(5678),
    [anon_sym___restrict__] = ACTIONS(5678),
    [anon_sym__Atomic] = ACTIONS(5678),
    [anon_sym__Noreturn] = ACTIONS(5678),
    [anon_sym_noreturn] = ACTIONS(5678),
    [anon_sym__Nonnull] = ACTIONS(5678),
    [anon_sym_mutable] = ACTIONS(5678),
    [anon_sym_constinit] = ACTIONS(5678),
    [anon_sym_consteval] = ACTIONS(5678),
    [anon_sym_alignas] = ACTIONS(5678),
    [anon_sym__Alignas] = ACTIONS(5678),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_and] = ACTIONS(5678),
    [anon_sym_bitor] = ACTIONS(5678),
    [anon_sym_xor] = ACTIONS(5678),
    [anon_sym_bitand] = ACTIONS(5678),
    [anon_sym_not_eq] = ACTIONS(5678),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5678),
    [anon_sym_decltype] = ACTIONS(5678),
    [anon_sym_final] = ACTIONS(5678),
    [anon_sym_override] = ACTIONS(5678),
    [anon_sym_GT2] = ACTIONS(5678),
    [anon_sym_requires] = ACTIONS(5678),
  },
  [2697] = {
    [sym_identifier] = ACTIONS(6513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6515),
    [anon_sym_COMMA] = ACTIONS(6515),
    [anon_sym_RPAREN] = ACTIONS(6515),
    [aux_sym_preproc_if_token2] = ACTIONS(6515),
    [aux_sym_preproc_else_token1] = ACTIONS(6515),
    [aux_sym_preproc_elif_token1] = ACTIONS(6513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6515),
    [anon_sym_LPAREN2] = ACTIONS(6515),
    [anon_sym_DASH] = ACTIONS(6513),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_STAR] = ACTIONS(6513),
    [anon_sym_SLASH] = ACTIONS(6513),
    [anon_sym_PERCENT] = ACTIONS(6513),
    [anon_sym_PIPE_PIPE] = ACTIONS(6515),
    [anon_sym_AMP_AMP] = ACTIONS(6515),
    [anon_sym_PIPE] = ACTIONS(6513),
    [anon_sym_CARET] = ACTIONS(6513),
    [anon_sym_AMP] = ACTIONS(6513),
    [anon_sym_EQ_EQ] = ACTIONS(6515),
    [anon_sym_BANG_EQ] = ACTIONS(6515),
    [anon_sym_GT] = ACTIONS(6513),
    [anon_sym_GT_EQ] = ACTIONS(6515),
    [anon_sym_LT_EQ] = ACTIONS(6513),
    [anon_sym_LT] = ACTIONS(6513),
    [anon_sym_LT_LT] = ACTIONS(6513),
    [anon_sym_GT_GT] = ACTIONS(6513),
    [anon_sym_COLON] = ACTIONS(6515),
    [anon_sym_SEMI] = ACTIONS(6515),
    [anon_sym___attribute__] = ACTIONS(6513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6515),
    [anon_sym_LBRACE] = ACTIONS(6515),
    [anon_sym_RBRACE] = ACTIONS(6515),
    [anon_sym_LBRACK] = ACTIONS(6513),
    [anon_sym_RBRACK] = ACTIONS(6515),
    [anon_sym_EQ] = ACTIONS(6513),
    [anon_sym_QMARK] = ACTIONS(6515),
    [anon_sym_STAR_EQ] = ACTIONS(6515),
    [anon_sym_SLASH_EQ] = ACTIONS(6515),
    [anon_sym_PERCENT_EQ] = ACTIONS(6515),
    [anon_sym_PLUS_EQ] = ACTIONS(6515),
    [anon_sym_DASH_EQ] = ACTIONS(6515),
    [anon_sym_LT_LT_EQ] = ACTIONS(6515),
    [anon_sym_GT_GT_EQ] = ACTIONS(6515),
    [anon_sym_AMP_EQ] = ACTIONS(6515),
    [anon_sym_CARET_EQ] = ACTIONS(6515),
    [anon_sym_PIPE_EQ] = ACTIONS(6515),
    [anon_sym_and_eq] = ACTIONS(6513),
    [anon_sym_or_eq] = ACTIONS(6513),
    [anon_sym_xor_eq] = ACTIONS(6513),
    [anon_sym_LT_EQ_GT] = ACTIONS(6515),
    [anon_sym_or] = ACTIONS(6513),
    [anon_sym_and] = ACTIONS(6513),
    [anon_sym_bitor] = ACTIONS(6513),
    [anon_sym_xor] = ACTIONS(6513),
    [anon_sym_bitand] = ACTIONS(6513),
    [anon_sym_not_eq] = ACTIONS(6513),
    [anon_sym_DASH_DASH] = ACTIONS(6515),
    [anon_sym_PLUS_PLUS] = ACTIONS(6515),
    [anon_sym_DOT] = ACTIONS(6513),
    [anon_sym_DOT_STAR] = ACTIONS(6515),
    [anon_sym_DASH_GT] = ACTIONS(6515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6513),
  },
  [2698] = {
    [sym_template_argument_list] = STATE(2786),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_LPAREN2] = ACTIONS(4280),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym___extension__] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_out] = ACTIONS(1959),
    [anon_sym_inout] = ACTIONS(1959),
    [anon_sym_virtual] = ACTIONS(1959),
    [anon_sym_extern] = ACTIONS(1959),
    [anon_sym___attribute__] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4280),
    [anon_sym___declspec] = ACTIONS(1959),
    [anon_sym___based] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [anon_sym_static] = ACTIONS(1959),
    [anon_sym_register] = ACTIONS(1959),
    [anon_sym_inline] = ACTIONS(1959),
    [anon_sym___inline] = ACTIONS(1959),
    [anon_sym___inline__] = ACTIONS(1959),
    [anon_sym___forceinline] = ACTIONS(1959),
    [anon_sym_thread_local] = ACTIONS(1959),
    [anon_sym___thread] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(1959),
    [anon_sym_constexpr] = ACTIONS(1959),
    [anon_sym_volatile] = ACTIONS(1959),
    [anon_sym_restrict] = ACTIONS(1959),
    [anon_sym___restrict__] = ACTIONS(1959),
    [anon_sym__Atomic] = ACTIONS(1959),
    [anon_sym__Noreturn] = ACTIONS(1959),
    [anon_sym_noreturn] = ACTIONS(1959),
    [anon_sym__Nonnull] = ACTIONS(1959),
    [anon_sym_mutable] = ACTIONS(1959),
    [anon_sym_constinit] = ACTIONS(1959),
    [anon_sym_consteval] = ACTIONS(1959),
    [anon_sym_alignas] = ACTIONS(1959),
    [anon_sym__Alignas] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1959),
    [anon_sym_decltype] = ACTIONS(1959),
    [anon_sym_operator] = ACTIONS(1959),
    [anon_sym_precise] = ACTIONS(1959),
    [anon_sym_shared] = ACTIONS(1959),
    [anon_sym_groupshared] = ACTIONS(1959),
    [anon_sym_uniform] = ACTIONS(1959),
    [anon_sym_row_major] = ACTIONS(1959),
    [anon_sym_column_major] = ACTIONS(1959),
    [anon_sym_globallycoherent] = ACTIONS(1959),
    [anon_sym_centroid] = ACTIONS(1959),
    [anon_sym_noperspective] = ACTIONS(1959),
    [anon_sym_nointerpolation] = ACTIONS(1959),
    [anon_sym_sample] = ACTIONS(1959),
    [anon_sym_linear] = ACTIONS(1959),
    [anon_sym_snorm] = ACTIONS(1959),
    [anon_sym_unorm] = ACTIONS(1959),
    [anon_sym_point] = ACTIONS(1959),
    [anon_sym_line] = ACTIONS(1959),
    [anon_sym_triangleadj] = ACTIONS(1959),
    [anon_sym_lineadj] = ACTIONS(1959),
    [anon_sym_triangle] = ACTIONS(1959),
  },
  [2699] = {
    [sym_identifier] = ACTIONS(6517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6519),
    [anon_sym_COMMA] = ACTIONS(6519),
    [anon_sym_RPAREN] = ACTIONS(6519),
    [aux_sym_preproc_if_token2] = ACTIONS(6519),
    [aux_sym_preproc_else_token1] = ACTIONS(6519),
    [aux_sym_preproc_elif_token1] = ACTIONS(6517),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6519),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6519),
    [anon_sym_LPAREN2] = ACTIONS(6519),
    [anon_sym_DASH] = ACTIONS(6517),
    [anon_sym_PLUS] = ACTIONS(6517),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6517),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6519),
    [anon_sym_AMP_AMP] = ACTIONS(6519),
    [anon_sym_PIPE] = ACTIONS(6517),
    [anon_sym_CARET] = ACTIONS(6517),
    [anon_sym_AMP] = ACTIONS(6517),
    [anon_sym_EQ_EQ] = ACTIONS(6519),
    [anon_sym_BANG_EQ] = ACTIONS(6519),
    [anon_sym_GT] = ACTIONS(6517),
    [anon_sym_GT_EQ] = ACTIONS(6519),
    [anon_sym_LT_EQ] = ACTIONS(6517),
    [anon_sym_LT] = ACTIONS(6517),
    [anon_sym_LT_LT] = ACTIONS(6517),
    [anon_sym_GT_GT] = ACTIONS(6517),
    [anon_sym_COLON] = ACTIONS(6519),
    [anon_sym_SEMI] = ACTIONS(6519),
    [anon_sym___attribute__] = ACTIONS(6517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6519),
    [anon_sym_LBRACE] = ACTIONS(6519),
    [anon_sym_RBRACE] = ACTIONS(6519),
    [anon_sym_LBRACK] = ACTIONS(6517),
    [anon_sym_RBRACK] = ACTIONS(6519),
    [anon_sym_EQ] = ACTIONS(6517),
    [anon_sym_QMARK] = ACTIONS(6519),
    [anon_sym_STAR_EQ] = ACTIONS(6519),
    [anon_sym_SLASH_EQ] = ACTIONS(6519),
    [anon_sym_PERCENT_EQ] = ACTIONS(6519),
    [anon_sym_PLUS_EQ] = ACTIONS(6519),
    [anon_sym_DASH_EQ] = ACTIONS(6519),
    [anon_sym_LT_LT_EQ] = ACTIONS(6519),
    [anon_sym_GT_GT_EQ] = ACTIONS(6519),
    [anon_sym_AMP_EQ] = ACTIONS(6519),
    [anon_sym_CARET_EQ] = ACTIONS(6519),
    [anon_sym_PIPE_EQ] = ACTIONS(6519),
    [anon_sym_and_eq] = ACTIONS(6517),
    [anon_sym_or_eq] = ACTIONS(6517),
    [anon_sym_xor_eq] = ACTIONS(6517),
    [anon_sym_LT_EQ_GT] = ACTIONS(6519),
    [anon_sym_or] = ACTIONS(6517),
    [anon_sym_and] = ACTIONS(6517),
    [anon_sym_bitor] = ACTIONS(6517),
    [anon_sym_xor] = ACTIONS(6517),
    [anon_sym_bitand] = ACTIONS(6517),
    [anon_sym_not_eq] = ACTIONS(6517),
    [anon_sym_DASH_DASH] = ACTIONS(6519),
    [anon_sym_PLUS_PLUS] = ACTIONS(6519),
    [anon_sym_DOT] = ACTIONS(6517),
    [anon_sym_DOT_STAR] = ACTIONS(6519),
    [anon_sym_DASH_GT] = ACTIONS(6519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6517),
  },
  [2700] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2700),
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5589),
    [anon_sym_COMMA] = ACTIONS(5589),
    [aux_sym_preproc_if_token2] = ACTIONS(5589),
    [aux_sym_preproc_else_token1] = ACTIONS(5589),
    [aux_sym_preproc_elif_token1] = ACTIONS(5587),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_DASH] = ACTIONS(5587),
    [anon_sym_PLUS] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5587),
    [anon_sym_SLASH] = ACTIONS(5587),
    [anon_sym_PERCENT] = ACTIONS(5587),
    [anon_sym_PIPE_PIPE] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_PIPE] = ACTIONS(5587),
    [anon_sym_CARET] = ACTIONS(5587),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym_EQ_EQ] = ACTIONS(5589),
    [anon_sym_BANG_EQ] = ACTIONS(5589),
    [anon_sym_GT] = ACTIONS(5587),
    [anon_sym_GT_EQ] = ACTIONS(5589),
    [anon_sym_LT_EQ] = ACTIONS(5587),
    [anon_sym_LT] = ACTIONS(5587),
    [anon_sym_LT_LT] = ACTIONS(5587),
    [anon_sym_GT_GT] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(6521),
    [anon_sym_unsigned] = ACTIONS(6521),
    [anon_sym_long] = ACTIONS(6521),
    [anon_sym_short] = ACTIONS(6521),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_EQ] = ACTIONS(5587),
    [anon_sym_QMARK] = ACTIONS(5589),
    [anon_sym_STAR_EQ] = ACTIONS(5589),
    [anon_sym_SLASH_EQ] = ACTIONS(5589),
    [anon_sym_PERCENT_EQ] = ACTIONS(5589),
    [anon_sym_PLUS_EQ] = ACTIONS(5589),
    [anon_sym_DASH_EQ] = ACTIONS(5589),
    [anon_sym_LT_LT_EQ] = ACTIONS(5589),
    [anon_sym_GT_GT_EQ] = ACTIONS(5589),
    [anon_sym_AMP_EQ] = ACTIONS(5589),
    [anon_sym_CARET_EQ] = ACTIONS(5589),
    [anon_sym_PIPE_EQ] = ACTIONS(5589),
    [anon_sym_and_eq] = ACTIONS(5587),
    [anon_sym_or_eq] = ACTIONS(5587),
    [anon_sym_xor_eq] = ACTIONS(5587),
    [anon_sym_LT_EQ_GT] = ACTIONS(5589),
    [anon_sym_or] = ACTIONS(5587),
    [anon_sym_and] = ACTIONS(5587),
    [anon_sym_bitor] = ACTIONS(5587),
    [anon_sym_xor] = ACTIONS(5587),
    [anon_sym_bitand] = ACTIONS(5587),
    [anon_sym_not_eq] = ACTIONS(5587),
    [anon_sym_DASH_DASH] = ACTIONS(5589),
    [anon_sym_PLUS_PLUS] = ACTIONS(5589),
    [anon_sym_DOT] = ACTIONS(5587),
    [anon_sym_DOT_STAR] = ACTIONS(5589),
    [anon_sym_DASH_GT] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
  },
  [2701] = {
    [sym_identifier] = ACTIONS(6524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6526),
    [anon_sym_COMMA] = ACTIONS(6526),
    [anon_sym_RPAREN] = ACTIONS(6526),
    [aux_sym_preproc_if_token2] = ACTIONS(6526),
    [aux_sym_preproc_else_token1] = ACTIONS(6526),
    [aux_sym_preproc_elif_token1] = ACTIONS(6524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6526),
    [anon_sym_LPAREN2] = ACTIONS(6526),
    [anon_sym_DASH] = ACTIONS(6524),
    [anon_sym_PLUS] = ACTIONS(6524),
    [anon_sym_STAR] = ACTIONS(6524),
    [anon_sym_SLASH] = ACTIONS(6524),
    [anon_sym_PERCENT] = ACTIONS(6524),
    [anon_sym_PIPE_PIPE] = ACTIONS(6526),
    [anon_sym_AMP_AMP] = ACTIONS(6526),
    [anon_sym_PIPE] = ACTIONS(6524),
    [anon_sym_CARET] = ACTIONS(6524),
    [anon_sym_AMP] = ACTIONS(6524),
    [anon_sym_EQ_EQ] = ACTIONS(6526),
    [anon_sym_BANG_EQ] = ACTIONS(6526),
    [anon_sym_GT] = ACTIONS(6524),
    [anon_sym_GT_EQ] = ACTIONS(6526),
    [anon_sym_LT_EQ] = ACTIONS(6524),
    [anon_sym_LT] = ACTIONS(6524),
    [anon_sym_LT_LT] = ACTIONS(6524),
    [anon_sym_GT_GT] = ACTIONS(6524),
    [anon_sym_COLON] = ACTIONS(6526),
    [anon_sym_SEMI] = ACTIONS(6526),
    [anon_sym___attribute__] = ACTIONS(6524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6526),
    [anon_sym_LBRACE] = ACTIONS(6526),
    [anon_sym_RBRACE] = ACTIONS(6526),
    [anon_sym_LBRACK] = ACTIONS(6524),
    [anon_sym_RBRACK] = ACTIONS(6526),
    [anon_sym_EQ] = ACTIONS(6524),
    [anon_sym_QMARK] = ACTIONS(6526),
    [anon_sym_STAR_EQ] = ACTIONS(6526),
    [anon_sym_SLASH_EQ] = ACTIONS(6526),
    [anon_sym_PERCENT_EQ] = ACTIONS(6526),
    [anon_sym_PLUS_EQ] = ACTIONS(6526),
    [anon_sym_DASH_EQ] = ACTIONS(6526),
    [anon_sym_LT_LT_EQ] = ACTIONS(6526),
    [anon_sym_GT_GT_EQ] = ACTIONS(6526),
    [anon_sym_AMP_EQ] = ACTIONS(6526),
    [anon_sym_CARET_EQ] = ACTIONS(6526),
    [anon_sym_PIPE_EQ] = ACTIONS(6526),
    [anon_sym_and_eq] = ACTIONS(6524),
    [anon_sym_or_eq] = ACTIONS(6524),
    [anon_sym_xor_eq] = ACTIONS(6524),
    [anon_sym_LT_EQ_GT] = ACTIONS(6526),
    [anon_sym_or] = ACTIONS(6524),
    [anon_sym_and] = ACTIONS(6524),
    [anon_sym_bitor] = ACTIONS(6524),
    [anon_sym_xor] = ACTIONS(6524),
    [anon_sym_bitand] = ACTIONS(6524),
    [anon_sym_not_eq] = ACTIONS(6524),
    [anon_sym_DASH_DASH] = ACTIONS(6526),
    [anon_sym_PLUS_PLUS] = ACTIONS(6526),
    [anon_sym_DOT] = ACTIONS(6524),
    [anon_sym_DOT_STAR] = ACTIONS(6526),
    [anon_sym_DASH_GT] = ACTIONS(6526),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6524),
  },
  [2702] = {
    [sym_identifier] = ACTIONS(6528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6530),
    [anon_sym_COMMA] = ACTIONS(6530),
    [anon_sym_RPAREN] = ACTIONS(6530),
    [aux_sym_preproc_if_token2] = ACTIONS(6530),
    [aux_sym_preproc_else_token1] = ACTIONS(6530),
    [aux_sym_preproc_elif_token1] = ACTIONS(6528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6530),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6530),
    [anon_sym_LPAREN2] = ACTIONS(6530),
    [anon_sym_DASH] = ACTIONS(6528),
    [anon_sym_PLUS] = ACTIONS(6528),
    [anon_sym_STAR] = ACTIONS(6528),
    [anon_sym_SLASH] = ACTIONS(6528),
    [anon_sym_PERCENT] = ACTIONS(6528),
    [anon_sym_PIPE_PIPE] = ACTIONS(6530),
    [anon_sym_AMP_AMP] = ACTIONS(6530),
    [anon_sym_PIPE] = ACTIONS(6528),
    [anon_sym_CARET] = ACTIONS(6528),
    [anon_sym_AMP] = ACTIONS(6528),
    [anon_sym_EQ_EQ] = ACTIONS(6530),
    [anon_sym_BANG_EQ] = ACTIONS(6530),
    [anon_sym_GT] = ACTIONS(6528),
    [anon_sym_GT_EQ] = ACTIONS(6530),
    [anon_sym_LT_EQ] = ACTIONS(6528),
    [anon_sym_LT] = ACTIONS(6528),
    [anon_sym_LT_LT] = ACTIONS(6528),
    [anon_sym_GT_GT] = ACTIONS(6528),
    [anon_sym_COLON] = ACTIONS(6530),
    [anon_sym_SEMI] = ACTIONS(6530),
    [anon_sym___attribute__] = ACTIONS(6528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6530),
    [anon_sym_LBRACE] = ACTIONS(6530),
    [anon_sym_RBRACE] = ACTIONS(6530),
    [anon_sym_LBRACK] = ACTIONS(6528),
    [anon_sym_RBRACK] = ACTIONS(6530),
    [anon_sym_EQ] = ACTIONS(6528),
    [anon_sym_QMARK] = ACTIONS(6530),
    [anon_sym_STAR_EQ] = ACTIONS(6530),
    [anon_sym_SLASH_EQ] = ACTIONS(6530),
    [anon_sym_PERCENT_EQ] = ACTIONS(6530),
    [anon_sym_PLUS_EQ] = ACTIONS(6530),
    [anon_sym_DASH_EQ] = ACTIONS(6530),
    [anon_sym_LT_LT_EQ] = ACTIONS(6530),
    [anon_sym_GT_GT_EQ] = ACTIONS(6530),
    [anon_sym_AMP_EQ] = ACTIONS(6530),
    [anon_sym_CARET_EQ] = ACTIONS(6530),
    [anon_sym_PIPE_EQ] = ACTIONS(6530),
    [anon_sym_and_eq] = ACTIONS(6528),
    [anon_sym_or_eq] = ACTIONS(6528),
    [anon_sym_xor_eq] = ACTIONS(6528),
    [anon_sym_LT_EQ_GT] = ACTIONS(6530),
    [anon_sym_or] = ACTIONS(6528),
    [anon_sym_and] = ACTIONS(6528),
    [anon_sym_bitor] = ACTIONS(6528),
    [anon_sym_xor] = ACTIONS(6528),
    [anon_sym_bitand] = ACTIONS(6528),
    [anon_sym_not_eq] = ACTIONS(6528),
    [anon_sym_DASH_DASH] = ACTIONS(6530),
    [anon_sym_PLUS_PLUS] = ACTIONS(6530),
    [anon_sym_DOT] = ACTIONS(6528),
    [anon_sym_DOT_STAR] = ACTIONS(6530),
    [anon_sym_DASH_GT] = ACTIONS(6530),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6528),
  },
  [2703] = {
    [sym_identifier] = ACTIONS(6532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6534),
    [anon_sym_COMMA] = ACTIONS(6534),
    [anon_sym_RPAREN] = ACTIONS(6534),
    [aux_sym_preproc_if_token2] = ACTIONS(6534),
    [aux_sym_preproc_else_token1] = ACTIONS(6534),
    [aux_sym_preproc_elif_token1] = ACTIONS(6532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6534),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6534),
    [anon_sym_LPAREN2] = ACTIONS(6534),
    [anon_sym_DASH] = ACTIONS(6532),
    [anon_sym_PLUS] = ACTIONS(6532),
    [anon_sym_STAR] = ACTIONS(6532),
    [anon_sym_SLASH] = ACTIONS(6532),
    [anon_sym_PERCENT] = ACTIONS(6532),
    [anon_sym_PIPE_PIPE] = ACTIONS(6534),
    [anon_sym_AMP_AMP] = ACTIONS(6534),
    [anon_sym_PIPE] = ACTIONS(6532),
    [anon_sym_CARET] = ACTIONS(6532),
    [anon_sym_AMP] = ACTIONS(6532),
    [anon_sym_EQ_EQ] = ACTIONS(6534),
    [anon_sym_BANG_EQ] = ACTIONS(6534),
    [anon_sym_GT] = ACTIONS(6532),
    [anon_sym_GT_EQ] = ACTIONS(6534),
    [anon_sym_LT_EQ] = ACTIONS(6532),
    [anon_sym_LT] = ACTIONS(6532),
    [anon_sym_LT_LT] = ACTIONS(6532),
    [anon_sym_GT_GT] = ACTIONS(6532),
    [anon_sym_COLON] = ACTIONS(6534),
    [anon_sym_SEMI] = ACTIONS(6534),
    [anon_sym___attribute__] = ACTIONS(6532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6534),
    [anon_sym_LBRACE] = ACTIONS(6534),
    [anon_sym_RBRACE] = ACTIONS(6534),
    [anon_sym_LBRACK] = ACTIONS(6532),
    [anon_sym_RBRACK] = ACTIONS(6534),
    [anon_sym_EQ] = ACTIONS(6532),
    [anon_sym_QMARK] = ACTIONS(6534),
    [anon_sym_STAR_EQ] = ACTIONS(6534),
    [anon_sym_SLASH_EQ] = ACTIONS(6534),
    [anon_sym_PERCENT_EQ] = ACTIONS(6534),
    [anon_sym_PLUS_EQ] = ACTIONS(6534),
    [anon_sym_DASH_EQ] = ACTIONS(6534),
    [anon_sym_LT_LT_EQ] = ACTIONS(6534),
    [anon_sym_GT_GT_EQ] = ACTIONS(6534),
    [anon_sym_AMP_EQ] = ACTIONS(6534),
    [anon_sym_CARET_EQ] = ACTIONS(6534),
    [anon_sym_PIPE_EQ] = ACTIONS(6534),
    [anon_sym_and_eq] = ACTIONS(6532),
    [anon_sym_or_eq] = ACTIONS(6532),
    [anon_sym_xor_eq] = ACTIONS(6532),
    [anon_sym_LT_EQ_GT] = ACTIONS(6534),
    [anon_sym_or] = ACTIONS(6532),
    [anon_sym_and] = ACTIONS(6532),
    [anon_sym_bitor] = ACTIONS(6532),
    [anon_sym_xor] = ACTIONS(6532),
    [anon_sym_bitand] = ACTIONS(6532),
    [anon_sym_not_eq] = ACTIONS(6532),
    [anon_sym_DASH_DASH] = ACTIONS(6534),
    [anon_sym_PLUS_PLUS] = ACTIONS(6534),
    [anon_sym_DOT] = ACTIONS(6532),
    [anon_sym_DOT_STAR] = ACTIONS(6534),
    [anon_sym_DASH_GT] = ACTIONS(6534),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6532),
  },
  [2704] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [aux_sym_preproc_if_token2] = ACTIONS(5813),
    [aux_sym_preproc_else_token1] = ACTIONS(5813),
    [aux_sym_preproc_elif_token1] = ACTIONS(5811),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_DASH] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5811),
    [anon_sym_STAR] = ACTIONS(5811),
    [anon_sym_SLASH] = ACTIONS(5811),
    [anon_sym_PERCENT] = ACTIONS(5811),
    [anon_sym_PIPE_PIPE] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_PIPE] = ACTIONS(5811),
    [anon_sym_CARET] = ACTIONS(5811),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_EQ_EQ] = ACTIONS(5813),
    [anon_sym_BANG_EQ] = ACTIONS(5813),
    [anon_sym_GT] = ACTIONS(5811),
    [anon_sym_GT_EQ] = ACTIONS(5813),
    [anon_sym_LT_EQ] = ACTIONS(5811),
    [anon_sym_LT] = ACTIONS(5811),
    [anon_sym_LT_LT] = ACTIONS(5811),
    [anon_sym_GT_GT] = ACTIONS(5811),
    [anon_sym_COLON] = ACTIONS(5813),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym_LBRACE] = ACTIONS(5813),
    [anon_sym_RBRACE] = ACTIONS(5813),
    [anon_sym_LBRACK] = ACTIONS(5813),
    [anon_sym_RBRACK] = ACTIONS(5813),
    [anon_sym_EQ] = ACTIONS(5811),
    [anon_sym_QMARK] = ACTIONS(5813),
    [anon_sym_STAR_EQ] = ACTIONS(5813),
    [anon_sym_SLASH_EQ] = ACTIONS(5813),
    [anon_sym_PERCENT_EQ] = ACTIONS(5813),
    [anon_sym_PLUS_EQ] = ACTIONS(5813),
    [anon_sym_DASH_EQ] = ACTIONS(5813),
    [anon_sym_LT_LT_EQ] = ACTIONS(5813),
    [anon_sym_GT_GT_EQ] = ACTIONS(5813),
    [anon_sym_AMP_EQ] = ACTIONS(5813),
    [anon_sym_CARET_EQ] = ACTIONS(5813),
    [anon_sym_PIPE_EQ] = ACTIONS(5813),
    [anon_sym_and_eq] = ACTIONS(5811),
    [anon_sym_or_eq] = ACTIONS(5811),
    [anon_sym_xor_eq] = ACTIONS(5811),
    [anon_sym_LT_EQ_GT] = ACTIONS(5813),
    [anon_sym_or] = ACTIONS(5811),
    [anon_sym_and] = ACTIONS(5811),
    [anon_sym_bitor] = ACTIONS(5811),
    [anon_sym_xor] = ACTIONS(5811),
    [anon_sym_bitand] = ACTIONS(5811),
    [anon_sym_not_eq] = ACTIONS(5811),
    [anon_sym_DASH_DASH] = ACTIONS(5813),
    [anon_sym_PLUS_PLUS] = ACTIONS(5813),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_DOT_STAR] = ACTIONS(5813),
    [anon_sym_DASH_GT] = ACTIONS(5813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
  },
  [2705] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2700),
    [sym_identifier] = ACTIONS(5722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [aux_sym_preproc_if_token2] = ACTIONS(5724),
    [aux_sym_preproc_else_token1] = ACTIONS(5724),
    [aux_sym_preproc_elif_token1] = ACTIONS(5722),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_STAR] = ACTIONS(5722),
    [anon_sym_SLASH] = ACTIONS(5722),
    [anon_sym_PERCENT] = ACTIONS(5722),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5722),
    [anon_sym_CARET] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(5722),
    [anon_sym_EQ_EQ] = ACTIONS(5724),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_GT] = ACTIONS(5722),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5722),
    [anon_sym_LT] = ACTIONS(5722),
    [anon_sym_LT_LT] = ACTIONS(5722),
    [anon_sym_GT_GT] = ACTIONS(5722),
    [anon_sym___attribute__] = ACTIONS(5722),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_signed] = ACTIONS(6536),
    [anon_sym_unsigned] = ACTIONS(6536),
    [anon_sym_long] = ACTIONS(6536),
    [anon_sym_short] = ACTIONS(6536),
    [anon_sym_LBRACK] = ACTIONS(5724),
    [anon_sym_EQ] = ACTIONS(5722),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_STAR_EQ] = ACTIONS(5724),
    [anon_sym_SLASH_EQ] = ACTIONS(5724),
    [anon_sym_PERCENT_EQ] = ACTIONS(5724),
    [anon_sym_PLUS_EQ] = ACTIONS(5724),
    [anon_sym_DASH_EQ] = ACTIONS(5724),
    [anon_sym_LT_LT_EQ] = ACTIONS(5724),
    [anon_sym_GT_GT_EQ] = ACTIONS(5724),
    [anon_sym_AMP_EQ] = ACTIONS(5724),
    [anon_sym_CARET_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_and_eq] = ACTIONS(5722),
    [anon_sym_or_eq] = ACTIONS(5722),
    [anon_sym_xor_eq] = ACTIONS(5722),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5722),
    [anon_sym_and] = ACTIONS(5722),
    [anon_sym_bitor] = ACTIONS(5722),
    [anon_sym_xor] = ACTIONS(5722),
    [anon_sym_bitand] = ACTIONS(5722),
    [anon_sym_not_eq] = ACTIONS(5722),
    [anon_sym_DASH_DASH] = ACTIONS(5724),
    [anon_sym_PLUS_PLUS] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5722),
    [anon_sym_DOT_STAR] = ACTIONS(5724),
    [anon_sym_DASH_GT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5722),
    [anon_sym_decltype] = ACTIONS(5722),
  },
  [2706] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2700),
    [sym_identifier] = ACTIONS(5712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5714),
    [anon_sym_COMMA] = ACTIONS(5714),
    [aux_sym_preproc_if_token2] = ACTIONS(5714),
    [aux_sym_preproc_else_token1] = ACTIONS(5714),
    [aux_sym_preproc_elif_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5714),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5712),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5714),
    [anon_sym_AMP_AMP] = ACTIONS(5714),
    [anon_sym_PIPE] = ACTIONS(5712),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5712),
    [anon_sym_EQ_EQ] = ACTIONS(5714),
    [anon_sym_BANG_EQ] = ACTIONS(5714),
    [anon_sym_GT] = ACTIONS(5712),
    [anon_sym_GT_EQ] = ACTIONS(5714),
    [anon_sym_LT_EQ] = ACTIONS(5712),
    [anon_sym_LT] = ACTIONS(5712),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(5714),
    [anon_sym_signed] = ACTIONS(6536),
    [anon_sym_unsigned] = ACTIONS(6536),
    [anon_sym_long] = ACTIONS(6536),
    [anon_sym_short] = ACTIONS(6536),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_QMARK] = ACTIONS(5714),
    [anon_sym_STAR_EQ] = ACTIONS(5714),
    [anon_sym_SLASH_EQ] = ACTIONS(5714),
    [anon_sym_PERCENT_EQ] = ACTIONS(5714),
    [anon_sym_PLUS_EQ] = ACTIONS(5714),
    [anon_sym_DASH_EQ] = ACTIONS(5714),
    [anon_sym_LT_LT_EQ] = ACTIONS(5714),
    [anon_sym_GT_GT_EQ] = ACTIONS(5714),
    [anon_sym_AMP_EQ] = ACTIONS(5714),
    [anon_sym_CARET_EQ] = ACTIONS(5714),
    [anon_sym_PIPE_EQ] = ACTIONS(5714),
    [anon_sym_and_eq] = ACTIONS(5712),
    [anon_sym_or_eq] = ACTIONS(5712),
    [anon_sym_xor_eq] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5714),
    [anon_sym_or] = ACTIONS(5712),
    [anon_sym_and] = ACTIONS(5712),
    [anon_sym_bitor] = ACTIONS(5712),
    [anon_sym_xor] = ACTIONS(5712),
    [anon_sym_bitand] = ACTIONS(5712),
    [anon_sym_not_eq] = ACTIONS(5712),
    [anon_sym_DASH_DASH] = ACTIONS(5714),
    [anon_sym_PLUS_PLUS] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_DOT_STAR] = ACTIONS(5714),
    [anon_sym_DASH_GT] = ACTIONS(5714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5712),
    [anon_sym_decltype] = ACTIONS(5712),
  },
  [2707] = {
    [sym_template_argument_list] = STATE(2745),
    [sym_identifier] = ACTIONS(4283),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4278),
    [anon_sym_COMMA] = ACTIONS(4278),
    [anon_sym_RPAREN] = ACTIONS(4278),
    [aux_sym_preproc_if_token2] = ACTIONS(4278),
    [aux_sym_preproc_else_token1] = ACTIONS(4278),
    [aux_sym_preproc_elif_token1] = ACTIONS(4283),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4278),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4278),
    [anon_sym_LPAREN2] = ACTIONS(4278),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_STAR] = ACTIONS(4283),
    [anon_sym_SLASH] = ACTIONS(4283),
    [anon_sym_PERCENT] = ACTIONS(4283),
    [anon_sym_PIPE_PIPE] = ACTIONS(4278),
    [anon_sym_AMP_AMP] = ACTIONS(4278),
    [anon_sym_PIPE] = ACTIONS(4283),
    [anon_sym_CARET] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(4283),
    [anon_sym_EQ_EQ] = ACTIONS(4278),
    [anon_sym_BANG_EQ] = ACTIONS(4278),
    [anon_sym_GT] = ACTIONS(4283),
    [anon_sym_GT_EQ] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4283),
    [anon_sym_LT] = ACTIONS(6214),
    [anon_sym_LT_LT] = ACTIONS(4283),
    [anon_sym_GT_GT] = ACTIONS(4283),
    [anon_sym_COLON] = ACTIONS(4283),
    [anon_sym_SEMI] = ACTIONS(4278),
    [anon_sym___attribute__] = ACTIONS(4283),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_RBRACE] = ACTIONS(4278),
    [anon_sym_LBRACK] = ACTIONS(4278),
    [anon_sym_RBRACK] = ACTIONS(4278),
    [anon_sym_EQ] = ACTIONS(4283),
    [anon_sym_QMARK] = ACTIONS(4278),
    [anon_sym_STAR_EQ] = ACTIONS(4278),
    [anon_sym_SLASH_EQ] = ACTIONS(4278),
    [anon_sym_PERCENT_EQ] = ACTIONS(4278),
    [anon_sym_PLUS_EQ] = ACTIONS(4278),
    [anon_sym_DASH_EQ] = ACTIONS(4278),
    [anon_sym_LT_LT_EQ] = ACTIONS(4278),
    [anon_sym_GT_GT_EQ] = ACTIONS(4278),
    [anon_sym_AMP_EQ] = ACTIONS(4278),
    [anon_sym_CARET_EQ] = ACTIONS(4278),
    [anon_sym_PIPE_EQ] = ACTIONS(4278),
    [anon_sym_and_eq] = ACTIONS(4283),
    [anon_sym_or_eq] = ACTIONS(4283),
    [anon_sym_xor_eq] = ACTIONS(4283),
    [anon_sym_LT_EQ_GT] = ACTIONS(4278),
    [anon_sym_or] = ACTIONS(4283),
    [anon_sym_and] = ACTIONS(4283),
    [anon_sym_bitor] = ACTIONS(4283),
    [anon_sym_xor] = ACTIONS(4283),
    [anon_sym_bitand] = ACTIONS(4283),
    [anon_sym_not_eq] = ACTIONS(4283),
    [anon_sym_DASH_DASH] = ACTIONS(4278),
    [anon_sym_PLUS_PLUS] = ACTIONS(4278),
    [anon_sym_DOT] = ACTIONS(4283),
    [anon_sym_DOT_STAR] = ACTIONS(4278),
    [anon_sym_DASH_GT] = ACTIONS(4278),
    [sym_comment] = ACTIONS(3),
  },
  [2708] = {
    [sym_identifier] = ACTIONS(5815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5817),
    [anon_sym_COMMA] = ACTIONS(5817),
    [anon_sym_RPAREN] = ACTIONS(5817),
    [aux_sym_preproc_if_token2] = ACTIONS(5817),
    [aux_sym_preproc_else_token1] = ACTIONS(5817),
    [aux_sym_preproc_elif_token1] = ACTIONS(5815),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5817),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5817),
    [anon_sym_LPAREN2] = ACTIONS(5817),
    [anon_sym_DASH] = ACTIONS(5815),
    [anon_sym_PLUS] = ACTIONS(5815),
    [anon_sym_STAR] = ACTIONS(5815),
    [anon_sym_SLASH] = ACTIONS(5815),
    [anon_sym_PERCENT] = ACTIONS(5815),
    [anon_sym_PIPE_PIPE] = ACTIONS(5817),
    [anon_sym_AMP_AMP] = ACTIONS(5817),
    [anon_sym_PIPE] = ACTIONS(5815),
    [anon_sym_CARET] = ACTIONS(5815),
    [anon_sym_AMP] = ACTIONS(5815),
    [anon_sym_EQ_EQ] = ACTIONS(5817),
    [anon_sym_BANG_EQ] = ACTIONS(5817),
    [anon_sym_GT] = ACTIONS(5815),
    [anon_sym_GT_EQ] = ACTIONS(5817),
    [anon_sym_LT_EQ] = ACTIONS(5815),
    [anon_sym_LT] = ACTIONS(5815),
    [anon_sym_LT_LT] = ACTIONS(5815),
    [anon_sym_GT_GT] = ACTIONS(5815),
    [anon_sym_COLON] = ACTIONS(5817),
    [anon_sym_SEMI] = ACTIONS(5817),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym_LBRACE] = ACTIONS(5817),
    [anon_sym_RBRACE] = ACTIONS(5817),
    [anon_sym_LBRACK] = ACTIONS(5817),
    [anon_sym_RBRACK] = ACTIONS(5817),
    [anon_sym_EQ] = ACTIONS(5815),
    [anon_sym_QMARK] = ACTIONS(5817),
    [anon_sym_STAR_EQ] = ACTIONS(5817),
    [anon_sym_SLASH_EQ] = ACTIONS(5817),
    [anon_sym_PERCENT_EQ] = ACTIONS(5817),
    [anon_sym_PLUS_EQ] = ACTIONS(5817),
    [anon_sym_DASH_EQ] = ACTIONS(5817),
    [anon_sym_LT_LT_EQ] = ACTIONS(5817),
    [anon_sym_GT_GT_EQ] = ACTIONS(5817),
    [anon_sym_AMP_EQ] = ACTIONS(5817),
    [anon_sym_CARET_EQ] = ACTIONS(5817),
    [anon_sym_PIPE_EQ] = ACTIONS(5817),
    [anon_sym_and_eq] = ACTIONS(5815),
    [anon_sym_or_eq] = ACTIONS(5815),
    [anon_sym_xor_eq] = ACTIONS(5815),
    [anon_sym_LT_EQ_GT] = ACTIONS(5817),
    [anon_sym_or] = ACTIONS(5815),
    [anon_sym_and] = ACTIONS(5815),
    [anon_sym_bitor] = ACTIONS(5815),
    [anon_sym_xor] = ACTIONS(5815),
    [anon_sym_bitand] = ACTIONS(5815),
    [anon_sym_not_eq] = ACTIONS(5815),
    [anon_sym_DASH_DASH] = ACTIONS(5817),
    [anon_sym_PLUS_PLUS] = ACTIONS(5817),
    [anon_sym_DOT] = ACTIONS(5815),
    [anon_sym_DOT_STAR] = ACTIONS(5817),
    [anon_sym_DASH_GT] = ACTIONS(5817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5815),
    [anon_sym_decltype] = ACTIONS(5815),
  },
  [2709] = {
    [sym_identifier] = ACTIONS(5819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5821),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_RPAREN] = ACTIONS(5821),
    [aux_sym_preproc_if_token2] = ACTIONS(5821),
    [aux_sym_preproc_else_token1] = ACTIONS(5821),
    [aux_sym_preproc_elif_token1] = ACTIONS(5819),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5821),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5821),
    [anon_sym_LPAREN2] = ACTIONS(5821),
    [anon_sym_DASH] = ACTIONS(5819),
    [anon_sym_PLUS] = ACTIONS(5819),
    [anon_sym_STAR] = ACTIONS(5819),
    [anon_sym_SLASH] = ACTIONS(5819),
    [anon_sym_PERCENT] = ACTIONS(5819),
    [anon_sym_PIPE_PIPE] = ACTIONS(5821),
    [anon_sym_AMP_AMP] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5819),
    [anon_sym_CARET] = ACTIONS(5819),
    [anon_sym_AMP] = ACTIONS(5819),
    [anon_sym_EQ_EQ] = ACTIONS(5821),
    [anon_sym_BANG_EQ] = ACTIONS(5821),
    [anon_sym_GT] = ACTIONS(5819),
    [anon_sym_GT_EQ] = ACTIONS(5821),
    [anon_sym_LT_EQ] = ACTIONS(5819),
    [anon_sym_LT] = ACTIONS(5819),
    [anon_sym_LT_LT] = ACTIONS(5819),
    [anon_sym_GT_GT] = ACTIONS(5819),
    [anon_sym_COLON] = ACTIONS(5821),
    [anon_sym_SEMI] = ACTIONS(5821),
    [anon_sym___attribute__] = ACTIONS(5819),
    [anon_sym_LBRACE] = ACTIONS(5821),
    [anon_sym_RBRACE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(5821),
    [anon_sym_RBRACK] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5819),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_STAR_EQ] = ACTIONS(5821),
    [anon_sym_SLASH_EQ] = ACTIONS(5821),
    [anon_sym_PERCENT_EQ] = ACTIONS(5821),
    [anon_sym_PLUS_EQ] = ACTIONS(5821),
    [anon_sym_DASH_EQ] = ACTIONS(5821),
    [anon_sym_LT_LT_EQ] = ACTIONS(5821),
    [anon_sym_GT_GT_EQ] = ACTIONS(5821),
    [anon_sym_AMP_EQ] = ACTIONS(5821),
    [anon_sym_CARET_EQ] = ACTIONS(5821),
    [anon_sym_PIPE_EQ] = ACTIONS(5821),
    [anon_sym_and_eq] = ACTIONS(5819),
    [anon_sym_or_eq] = ACTIONS(5819),
    [anon_sym_xor_eq] = ACTIONS(5819),
    [anon_sym_LT_EQ_GT] = ACTIONS(5821),
    [anon_sym_or] = ACTIONS(5819),
    [anon_sym_and] = ACTIONS(5819),
    [anon_sym_bitor] = ACTIONS(5819),
    [anon_sym_xor] = ACTIONS(5819),
    [anon_sym_bitand] = ACTIONS(5819),
    [anon_sym_not_eq] = ACTIONS(5819),
    [anon_sym_DASH_DASH] = ACTIONS(5821),
    [anon_sym_PLUS_PLUS] = ACTIONS(5821),
    [anon_sym_DOT] = ACTIONS(5819),
    [anon_sym_DOT_STAR] = ACTIONS(5821),
    [anon_sym_DASH_GT] = ACTIONS(5821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5819),
    [anon_sym_decltype] = ACTIONS(5819),
  },
  [2710] = {
    [sym_identifier] = ACTIONS(6538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6540),
    [anon_sym_COMMA] = ACTIONS(6540),
    [anon_sym_RPAREN] = ACTIONS(6540),
    [aux_sym_preproc_if_token2] = ACTIONS(6540),
    [aux_sym_preproc_else_token1] = ACTIONS(6540),
    [aux_sym_preproc_elif_token1] = ACTIONS(6538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6540),
    [anon_sym_LPAREN2] = ACTIONS(6540),
    [anon_sym_DASH] = ACTIONS(6538),
    [anon_sym_PLUS] = ACTIONS(6538),
    [anon_sym_STAR] = ACTIONS(6538),
    [anon_sym_SLASH] = ACTIONS(6538),
    [anon_sym_PERCENT] = ACTIONS(6538),
    [anon_sym_PIPE_PIPE] = ACTIONS(6540),
    [anon_sym_AMP_AMP] = ACTIONS(6540),
    [anon_sym_PIPE] = ACTIONS(6538),
    [anon_sym_CARET] = ACTIONS(6538),
    [anon_sym_AMP] = ACTIONS(6538),
    [anon_sym_EQ_EQ] = ACTIONS(6540),
    [anon_sym_BANG_EQ] = ACTIONS(6540),
    [anon_sym_GT] = ACTIONS(6538),
    [anon_sym_GT_EQ] = ACTIONS(6540),
    [anon_sym_LT_EQ] = ACTIONS(6538),
    [anon_sym_LT] = ACTIONS(6538),
    [anon_sym_LT_LT] = ACTIONS(6538),
    [anon_sym_GT_GT] = ACTIONS(6538),
    [anon_sym_COLON] = ACTIONS(6540),
    [anon_sym_SEMI] = ACTIONS(6540),
    [anon_sym___attribute__] = ACTIONS(6538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6540),
    [anon_sym_LBRACE] = ACTIONS(6540),
    [anon_sym_RBRACE] = ACTIONS(6540),
    [anon_sym_LBRACK] = ACTIONS(6538),
    [anon_sym_RBRACK] = ACTIONS(6540),
    [anon_sym_EQ] = ACTIONS(6538),
    [anon_sym_QMARK] = ACTIONS(6540),
    [anon_sym_STAR_EQ] = ACTIONS(6540),
    [anon_sym_SLASH_EQ] = ACTIONS(6540),
    [anon_sym_PERCENT_EQ] = ACTIONS(6540),
    [anon_sym_PLUS_EQ] = ACTIONS(6540),
    [anon_sym_DASH_EQ] = ACTIONS(6540),
    [anon_sym_LT_LT_EQ] = ACTIONS(6540),
    [anon_sym_GT_GT_EQ] = ACTIONS(6540),
    [anon_sym_AMP_EQ] = ACTIONS(6540),
    [anon_sym_CARET_EQ] = ACTIONS(6540),
    [anon_sym_PIPE_EQ] = ACTIONS(6540),
    [anon_sym_and_eq] = ACTIONS(6538),
    [anon_sym_or_eq] = ACTIONS(6538),
    [anon_sym_xor_eq] = ACTIONS(6538),
    [anon_sym_LT_EQ_GT] = ACTIONS(6540),
    [anon_sym_or] = ACTIONS(6538),
    [anon_sym_and] = ACTIONS(6538),
    [anon_sym_bitor] = ACTIONS(6538),
    [anon_sym_xor] = ACTIONS(6538),
    [anon_sym_bitand] = ACTIONS(6538),
    [anon_sym_not_eq] = ACTIONS(6538),
    [anon_sym_DASH_DASH] = ACTIONS(6540),
    [anon_sym_PLUS_PLUS] = ACTIONS(6540),
    [anon_sym_DOT] = ACTIONS(6538),
    [anon_sym_DOT_STAR] = ACTIONS(6540),
    [anon_sym_DASH_GT] = ACTIONS(6540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6538),
  },
  [2711] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2715),
    [sym_identifier] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [aux_sym_preproc_if_token2] = ACTIONS(5728),
    [aux_sym_preproc_else_token1] = ACTIONS(5728),
    [aux_sym_preproc_elif_token1] = ACTIONS(5726),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_STAR] = ACTIONS(5726),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5726),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_CARET] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5726),
    [anon_sym_GT_GT] = ACTIONS(5726),
    [anon_sym___attribute__] = ACTIONS(5726),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(6542),
    [anon_sym_unsigned] = ACTIONS(6542),
    [anon_sym_long] = ACTIONS(6542),
    [anon_sym_short] = ACTIONS(6542),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_EQ] = ACTIONS(5726),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_STAR_EQ] = ACTIONS(5728),
    [anon_sym_SLASH_EQ] = ACTIONS(5728),
    [anon_sym_PERCENT_EQ] = ACTIONS(5728),
    [anon_sym_PLUS_EQ] = ACTIONS(5728),
    [anon_sym_DASH_EQ] = ACTIONS(5728),
    [anon_sym_LT_LT_EQ] = ACTIONS(5728),
    [anon_sym_GT_GT_EQ] = ACTIONS(5728),
    [anon_sym_AMP_EQ] = ACTIONS(5728),
    [anon_sym_CARET_EQ] = ACTIONS(5728),
    [anon_sym_PIPE_EQ] = ACTIONS(5728),
    [anon_sym_and_eq] = ACTIONS(5726),
    [anon_sym_or_eq] = ACTIONS(5726),
    [anon_sym_xor_eq] = ACTIONS(5726),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5726),
    [anon_sym_and] = ACTIONS(5726),
    [anon_sym_bitor] = ACTIONS(5726),
    [anon_sym_xor] = ACTIONS(5726),
    [anon_sym_bitand] = ACTIONS(5726),
    [anon_sym_not_eq] = ACTIONS(5726),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5726),
    [anon_sym_decltype] = ACTIONS(5726),
  },
  [2712] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2717),
    [sym_identifier] = ACTIONS(5736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5738),
    [anon_sym_COMMA] = ACTIONS(5738),
    [aux_sym_preproc_if_token2] = ACTIONS(5738),
    [aux_sym_preproc_else_token1] = ACTIONS(5738),
    [aux_sym_preproc_elif_token1] = ACTIONS(5736),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_DASH] = ACTIONS(5736),
    [anon_sym_PLUS] = ACTIONS(5736),
    [anon_sym_STAR] = ACTIONS(5736),
    [anon_sym_SLASH] = ACTIONS(5736),
    [anon_sym_PERCENT] = ACTIONS(5736),
    [anon_sym_PIPE_PIPE] = ACTIONS(5738),
    [anon_sym_AMP_AMP] = ACTIONS(5738),
    [anon_sym_PIPE] = ACTIONS(5736),
    [anon_sym_CARET] = ACTIONS(5736),
    [anon_sym_AMP] = ACTIONS(5736),
    [anon_sym_EQ_EQ] = ACTIONS(5738),
    [anon_sym_BANG_EQ] = ACTIONS(5738),
    [anon_sym_GT] = ACTIONS(5736),
    [anon_sym_GT_EQ] = ACTIONS(5738),
    [anon_sym_LT_EQ] = ACTIONS(5736),
    [anon_sym_LT] = ACTIONS(5736),
    [anon_sym_LT_LT] = ACTIONS(5736),
    [anon_sym_GT_GT] = ACTIONS(5736),
    [anon_sym___attribute__] = ACTIONS(5736),
    [anon_sym_LBRACE] = ACTIONS(5738),
    [anon_sym_signed] = ACTIONS(6544),
    [anon_sym_unsigned] = ACTIONS(6544),
    [anon_sym_long] = ACTIONS(6544),
    [anon_sym_short] = ACTIONS(6544),
    [anon_sym_LBRACK] = ACTIONS(5738),
    [anon_sym_EQ] = ACTIONS(5736),
    [anon_sym_QMARK] = ACTIONS(5738),
    [anon_sym_STAR_EQ] = ACTIONS(5738),
    [anon_sym_SLASH_EQ] = ACTIONS(5738),
    [anon_sym_PERCENT_EQ] = ACTIONS(5738),
    [anon_sym_PLUS_EQ] = ACTIONS(5738),
    [anon_sym_DASH_EQ] = ACTIONS(5738),
    [anon_sym_LT_LT_EQ] = ACTIONS(5738),
    [anon_sym_GT_GT_EQ] = ACTIONS(5738),
    [anon_sym_AMP_EQ] = ACTIONS(5738),
    [anon_sym_CARET_EQ] = ACTIONS(5738),
    [anon_sym_PIPE_EQ] = ACTIONS(5738),
    [anon_sym_and_eq] = ACTIONS(5736),
    [anon_sym_or_eq] = ACTIONS(5736),
    [anon_sym_xor_eq] = ACTIONS(5736),
    [anon_sym_LT_EQ_GT] = ACTIONS(5738),
    [anon_sym_or] = ACTIONS(5736),
    [anon_sym_and] = ACTIONS(5736),
    [anon_sym_bitor] = ACTIONS(5736),
    [anon_sym_xor] = ACTIONS(5736),
    [anon_sym_bitand] = ACTIONS(5736),
    [anon_sym_not_eq] = ACTIONS(5736),
    [anon_sym_DASH_DASH] = ACTIONS(5738),
    [anon_sym_PLUS_PLUS] = ACTIONS(5738),
    [anon_sym_DOT] = ACTIONS(5736),
    [anon_sym_DOT_STAR] = ACTIONS(5738),
    [anon_sym_DASH_GT] = ACTIONS(5738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5736),
    [anon_sym_decltype] = ACTIONS(5736),
  },
  [2713] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [aux_sym_preproc_if_token2] = ACTIONS(5813),
    [aux_sym_preproc_else_token1] = ACTIONS(5813),
    [aux_sym_preproc_elif_token1] = ACTIONS(5811),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_DASH] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5811),
    [anon_sym_STAR] = ACTIONS(5811),
    [anon_sym_SLASH] = ACTIONS(5811),
    [anon_sym_PERCENT] = ACTIONS(5811),
    [anon_sym_PIPE_PIPE] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_PIPE] = ACTIONS(5811),
    [anon_sym_CARET] = ACTIONS(5811),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_EQ_EQ] = ACTIONS(5813),
    [anon_sym_BANG_EQ] = ACTIONS(5813),
    [anon_sym_GT] = ACTIONS(5811),
    [anon_sym_GT_EQ] = ACTIONS(5813),
    [anon_sym_LT_EQ] = ACTIONS(5811),
    [anon_sym_LT] = ACTIONS(5811),
    [anon_sym_LT_LT] = ACTIONS(5811),
    [anon_sym_GT_GT] = ACTIONS(5811),
    [anon_sym_COLON] = ACTIONS(5813),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym_LBRACE] = ACTIONS(5813),
    [anon_sym_RBRACE] = ACTIONS(5813),
    [anon_sym_LBRACK] = ACTIONS(5813),
    [anon_sym_RBRACK] = ACTIONS(5813),
    [anon_sym_EQ] = ACTIONS(5811),
    [anon_sym_QMARK] = ACTIONS(5813),
    [anon_sym_STAR_EQ] = ACTIONS(5813),
    [anon_sym_SLASH_EQ] = ACTIONS(5813),
    [anon_sym_PERCENT_EQ] = ACTIONS(5813),
    [anon_sym_PLUS_EQ] = ACTIONS(5813),
    [anon_sym_DASH_EQ] = ACTIONS(5813),
    [anon_sym_LT_LT_EQ] = ACTIONS(5813),
    [anon_sym_GT_GT_EQ] = ACTIONS(5813),
    [anon_sym_AMP_EQ] = ACTIONS(5813),
    [anon_sym_CARET_EQ] = ACTIONS(5813),
    [anon_sym_PIPE_EQ] = ACTIONS(5813),
    [anon_sym_and_eq] = ACTIONS(5811),
    [anon_sym_or_eq] = ACTIONS(5811),
    [anon_sym_xor_eq] = ACTIONS(5811),
    [anon_sym_LT_EQ_GT] = ACTIONS(5813),
    [anon_sym_or] = ACTIONS(5811),
    [anon_sym_and] = ACTIONS(5811),
    [anon_sym_bitor] = ACTIONS(5811),
    [anon_sym_xor] = ACTIONS(5811),
    [anon_sym_bitand] = ACTIONS(5811),
    [anon_sym_not_eq] = ACTIONS(5811),
    [anon_sym_DASH_DASH] = ACTIONS(5813),
    [anon_sym_PLUS_PLUS] = ACTIONS(5813),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_DOT_STAR] = ACTIONS(5813),
    [anon_sym_DASH_GT] = ACTIONS(5813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
  },
  [2714] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_STAR] = ACTIONS(5724),
    [anon_sym_SLASH] = ACTIONS(5722),
    [anon_sym_PERCENT] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5722),
    [anon_sym_CARET] = ACTIONS(5724),
    [anon_sym_AMP] = ACTIONS(5722),
    [anon_sym_EQ_EQ] = ACTIONS(5724),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_GT] = ACTIONS(5722),
    [anon_sym_GT_EQ] = ACTIONS(5722),
    [anon_sym_LT_EQ] = ACTIONS(5722),
    [anon_sym_LT] = ACTIONS(5722),
    [anon_sym_LT_LT] = ACTIONS(5724),
    [anon_sym_GT_GT] = ACTIONS(5722),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym___extension__] = ACTIONS(5724),
    [anon_sym___attribute__] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_signed] = ACTIONS(6452),
    [anon_sym_unsigned] = ACTIONS(6452),
    [anon_sym_long] = ACTIONS(6452),
    [anon_sym_short] = ACTIONS(6452),
    [anon_sym_LBRACK] = ACTIONS(5724),
    [anon_sym_const] = ACTIONS(5722),
    [anon_sym_constexpr] = ACTIONS(5724),
    [anon_sym_volatile] = ACTIONS(5724),
    [anon_sym_restrict] = ACTIONS(5724),
    [anon_sym___restrict__] = ACTIONS(5724),
    [anon_sym__Atomic] = ACTIONS(5724),
    [anon_sym__Noreturn] = ACTIONS(5724),
    [anon_sym_noreturn] = ACTIONS(5724),
    [anon_sym__Nonnull] = ACTIONS(5724),
    [anon_sym_mutable] = ACTIONS(5724),
    [anon_sym_constinit] = ACTIONS(5724),
    [anon_sym_consteval] = ACTIONS(5724),
    [anon_sym_alignas] = ACTIONS(5724),
    [anon_sym__Alignas] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5724),
    [anon_sym_bitor] = ACTIONS(5724),
    [anon_sym_xor] = ACTIONS(5724),
    [anon_sym_bitand] = ACTIONS(5724),
    [anon_sym_not_eq] = ACTIONS(5724),
    [anon_sym_DASH_DASH] = ACTIONS(5724),
    [anon_sym_PLUS_PLUS] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5722),
    [anon_sym_DOT_STAR] = ACTIONS(5724),
    [anon_sym_DASH_GT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5724),
    [anon_sym_decltype] = ACTIONS(5724),
    [anon_sym_final] = ACTIONS(5724),
    [anon_sym_override] = ACTIONS(5724),
    [anon_sym_GT2] = ACTIONS(5724),
    [anon_sym_requires] = ACTIONS(5724),
  },
  [2715] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2700),
    [sym_identifier] = ACTIONS(5745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [aux_sym_preproc_if_token2] = ACTIONS(5747),
    [aux_sym_preproc_else_token1] = ACTIONS(5747),
    [aux_sym_preproc_elif_token1] = ACTIONS(5745),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5747),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5745),
    [anon_sym_PLUS] = ACTIONS(5745),
    [anon_sym_STAR] = ACTIONS(5745),
    [anon_sym_SLASH] = ACTIONS(5745),
    [anon_sym_PERCENT] = ACTIONS(5745),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_PIPE] = ACTIONS(5745),
    [anon_sym_CARET] = ACTIONS(5745),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_EQ_EQ] = ACTIONS(5747),
    [anon_sym_BANG_EQ] = ACTIONS(5747),
    [anon_sym_GT] = ACTIONS(5745),
    [anon_sym_GT_EQ] = ACTIONS(5747),
    [anon_sym_LT_EQ] = ACTIONS(5745),
    [anon_sym_LT] = ACTIONS(5745),
    [anon_sym_LT_LT] = ACTIONS(5745),
    [anon_sym_GT_GT] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5745),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_signed] = ACTIONS(6536),
    [anon_sym_unsigned] = ACTIONS(6536),
    [anon_sym_long] = ACTIONS(6536),
    [anon_sym_short] = ACTIONS(6536),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_EQ] = ACTIONS(5745),
    [anon_sym_QMARK] = ACTIONS(5747),
    [anon_sym_STAR_EQ] = ACTIONS(5747),
    [anon_sym_SLASH_EQ] = ACTIONS(5747),
    [anon_sym_PERCENT_EQ] = ACTIONS(5747),
    [anon_sym_PLUS_EQ] = ACTIONS(5747),
    [anon_sym_DASH_EQ] = ACTIONS(5747),
    [anon_sym_LT_LT_EQ] = ACTIONS(5747),
    [anon_sym_GT_GT_EQ] = ACTIONS(5747),
    [anon_sym_AMP_EQ] = ACTIONS(5747),
    [anon_sym_CARET_EQ] = ACTIONS(5747),
    [anon_sym_PIPE_EQ] = ACTIONS(5747),
    [anon_sym_and_eq] = ACTIONS(5745),
    [anon_sym_or_eq] = ACTIONS(5745),
    [anon_sym_xor_eq] = ACTIONS(5745),
    [anon_sym_LT_EQ_GT] = ACTIONS(5747),
    [anon_sym_or] = ACTIONS(5745),
    [anon_sym_and] = ACTIONS(5745),
    [anon_sym_bitor] = ACTIONS(5745),
    [anon_sym_xor] = ACTIONS(5745),
    [anon_sym_bitand] = ACTIONS(5745),
    [anon_sym_not_eq] = ACTIONS(5745),
    [anon_sym_DASH_DASH] = ACTIONS(5747),
    [anon_sym_PLUS_PLUS] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5745),
    [anon_sym_DOT_STAR] = ACTIONS(5747),
    [anon_sym_DASH_GT] = ACTIONS(5747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5745),
    [anon_sym_decltype] = ACTIONS(5745),
  },
  [2716] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [aux_sym_preproc_if_token2] = ACTIONS(5813),
    [aux_sym_preproc_else_token1] = ACTIONS(5813),
    [aux_sym_preproc_elif_token1] = ACTIONS(5811),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_DASH] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5811),
    [anon_sym_STAR] = ACTIONS(5811),
    [anon_sym_SLASH] = ACTIONS(5811),
    [anon_sym_PERCENT] = ACTIONS(5811),
    [anon_sym_PIPE_PIPE] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_PIPE] = ACTIONS(5811),
    [anon_sym_CARET] = ACTIONS(5811),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_EQ_EQ] = ACTIONS(5813),
    [anon_sym_BANG_EQ] = ACTIONS(5813),
    [anon_sym_GT] = ACTIONS(5811),
    [anon_sym_GT_EQ] = ACTIONS(5813),
    [anon_sym_LT_EQ] = ACTIONS(5811),
    [anon_sym_LT] = ACTIONS(5811),
    [anon_sym_LT_LT] = ACTIONS(5811),
    [anon_sym_GT_GT] = ACTIONS(5811),
    [anon_sym_COLON] = ACTIONS(5813),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym_LBRACE] = ACTIONS(5813),
    [anon_sym_RBRACE] = ACTIONS(5813),
    [anon_sym_LBRACK] = ACTIONS(5813),
    [anon_sym_RBRACK] = ACTIONS(5813),
    [anon_sym_EQ] = ACTIONS(5811),
    [anon_sym_QMARK] = ACTIONS(5813),
    [anon_sym_STAR_EQ] = ACTIONS(5813),
    [anon_sym_SLASH_EQ] = ACTIONS(5813),
    [anon_sym_PERCENT_EQ] = ACTIONS(5813),
    [anon_sym_PLUS_EQ] = ACTIONS(5813),
    [anon_sym_DASH_EQ] = ACTIONS(5813),
    [anon_sym_LT_LT_EQ] = ACTIONS(5813),
    [anon_sym_GT_GT_EQ] = ACTIONS(5813),
    [anon_sym_AMP_EQ] = ACTIONS(5813),
    [anon_sym_CARET_EQ] = ACTIONS(5813),
    [anon_sym_PIPE_EQ] = ACTIONS(5813),
    [anon_sym_and_eq] = ACTIONS(5811),
    [anon_sym_or_eq] = ACTIONS(5811),
    [anon_sym_xor_eq] = ACTIONS(5811),
    [anon_sym_LT_EQ_GT] = ACTIONS(5813),
    [anon_sym_or] = ACTIONS(5811),
    [anon_sym_and] = ACTIONS(5811),
    [anon_sym_bitor] = ACTIONS(5811),
    [anon_sym_xor] = ACTIONS(5811),
    [anon_sym_bitand] = ACTIONS(5811),
    [anon_sym_not_eq] = ACTIONS(5811),
    [anon_sym_DASH_DASH] = ACTIONS(5813),
    [anon_sym_PLUS_PLUS] = ACTIONS(5813),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_DOT_STAR] = ACTIONS(5813),
    [anon_sym_DASH_GT] = ACTIONS(5813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
  },
  [2717] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2700),
    [sym_identifier] = ACTIONS(5732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5734),
    [anon_sym_COMMA] = ACTIONS(5734),
    [aux_sym_preproc_if_token2] = ACTIONS(5734),
    [aux_sym_preproc_else_token1] = ACTIONS(5734),
    [aux_sym_preproc_elif_token1] = ACTIONS(5732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5734),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5734),
    [anon_sym_LPAREN2] = ACTIONS(5734),
    [anon_sym_DASH] = ACTIONS(5732),
    [anon_sym_PLUS] = ACTIONS(5732),
    [anon_sym_STAR] = ACTIONS(5732),
    [anon_sym_SLASH] = ACTIONS(5732),
    [anon_sym_PERCENT] = ACTIONS(5732),
    [anon_sym_PIPE_PIPE] = ACTIONS(5734),
    [anon_sym_AMP_AMP] = ACTIONS(5734),
    [anon_sym_PIPE] = ACTIONS(5732),
    [anon_sym_CARET] = ACTIONS(5732),
    [anon_sym_AMP] = ACTIONS(5732),
    [anon_sym_EQ_EQ] = ACTIONS(5734),
    [anon_sym_BANG_EQ] = ACTIONS(5734),
    [anon_sym_GT] = ACTIONS(5732),
    [anon_sym_GT_EQ] = ACTIONS(5734),
    [anon_sym_LT_EQ] = ACTIONS(5732),
    [anon_sym_LT] = ACTIONS(5732),
    [anon_sym_LT_LT] = ACTIONS(5732),
    [anon_sym_GT_GT] = ACTIONS(5732),
    [anon_sym___attribute__] = ACTIONS(5732),
    [anon_sym_LBRACE] = ACTIONS(5734),
    [anon_sym_signed] = ACTIONS(6536),
    [anon_sym_unsigned] = ACTIONS(6536),
    [anon_sym_long] = ACTIONS(6536),
    [anon_sym_short] = ACTIONS(6536),
    [anon_sym_LBRACK] = ACTIONS(5734),
    [anon_sym_EQ] = ACTIONS(5732),
    [anon_sym_QMARK] = ACTIONS(5734),
    [anon_sym_STAR_EQ] = ACTIONS(5734),
    [anon_sym_SLASH_EQ] = ACTIONS(5734),
    [anon_sym_PERCENT_EQ] = ACTIONS(5734),
    [anon_sym_PLUS_EQ] = ACTIONS(5734),
    [anon_sym_DASH_EQ] = ACTIONS(5734),
    [anon_sym_LT_LT_EQ] = ACTIONS(5734),
    [anon_sym_GT_GT_EQ] = ACTIONS(5734),
    [anon_sym_AMP_EQ] = ACTIONS(5734),
    [anon_sym_CARET_EQ] = ACTIONS(5734),
    [anon_sym_PIPE_EQ] = ACTIONS(5734),
    [anon_sym_and_eq] = ACTIONS(5732),
    [anon_sym_or_eq] = ACTIONS(5732),
    [anon_sym_xor_eq] = ACTIONS(5732),
    [anon_sym_LT_EQ_GT] = ACTIONS(5734),
    [anon_sym_or] = ACTIONS(5732),
    [anon_sym_and] = ACTIONS(5732),
    [anon_sym_bitor] = ACTIONS(5732),
    [anon_sym_xor] = ACTIONS(5732),
    [anon_sym_bitand] = ACTIONS(5732),
    [anon_sym_not_eq] = ACTIONS(5732),
    [anon_sym_DASH_DASH] = ACTIONS(5734),
    [anon_sym_PLUS_PLUS] = ACTIONS(5734),
    [anon_sym_DOT] = ACTIONS(5732),
    [anon_sym_DOT_STAR] = ACTIONS(5734),
    [anon_sym_DASH_GT] = ACTIONS(5734),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5732),
    [anon_sym_decltype] = ACTIONS(5732),
  },
  [2718] = {
    [sym_identifier] = ACTIONS(5895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5897),
    [anon_sym_COMMA] = ACTIONS(5897),
    [anon_sym_RPAREN] = ACTIONS(5897),
    [aux_sym_preproc_if_token2] = ACTIONS(5897),
    [aux_sym_preproc_else_token1] = ACTIONS(5897),
    [aux_sym_preproc_elif_token1] = ACTIONS(5895),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5897),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5897),
    [anon_sym_LPAREN2] = ACTIONS(5897),
    [anon_sym_DASH] = ACTIONS(5895),
    [anon_sym_PLUS] = ACTIONS(5895),
    [anon_sym_STAR] = ACTIONS(5895),
    [anon_sym_SLASH] = ACTIONS(5895),
    [anon_sym_PERCENT] = ACTIONS(5895),
    [anon_sym_PIPE_PIPE] = ACTIONS(5897),
    [anon_sym_AMP_AMP] = ACTIONS(5897),
    [anon_sym_PIPE] = ACTIONS(5895),
    [anon_sym_CARET] = ACTIONS(5895),
    [anon_sym_AMP] = ACTIONS(5895),
    [anon_sym_EQ_EQ] = ACTIONS(5897),
    [anon_sym_BANG_EQ] = ACTIONS(5897),
    [anon_sym_GT] = ACTIONS(5895),
    [anon_sym_GT_EQ] = ACTIONS(5897),
    [anon_sym_LT_EQ] = ACTIONS(5895),
    [anon_sym_LT] = ACTIONS(5895),
    [anon_sym_LT_LT] = ACTIONS(5895),
    [anon_sym_GT_GT] = ACTIONS(5895),
    [anon_sym_COLON] = ACTIONS(5897),
    [anon_sym_SEMI] = ACTIONS(5897),
    [anon_sym___attribute__] = ACTIONS(5895),
    [anon_sym_LBRACE] = ACTIONS(5897),
    [anon_sym_RBRACE] = ACTIONS(5897),
    [anon_sym_LBRACK] = ACTIONS(5897),
    [anon_sym_RBRACK] = ACTIONS(5897),
    [anon_sym_EQ] = ACTIONS(5895),
    [anon_sym_QMARK] = ACTIONS(5897),
    [anon_sym_STAR_EQ] = ACTIONS(5897),
    [anon_sym_SLASH_EQ] = ACTIONS(5897),
    [anon_sym_PERCENT_EQ] = ACTIONS(5897),
    [anon_sym_PLUS_EQ] = ACTIONS(5897),
    [anon_sym_DASH_EQ] = ACTIONS(5897),
    [anon_sym_LT_LT_EQ] = ACTIONS(5897),
    [anon_sym_GT_GT_EQ] = ACTIONS(5897),
    [anon_sym_AMP_EQ] = ACTIONS(5897),
    [anon_sym_CARET_EQ] = ACTIONS(5897),
    [anon_sym_PIPE_EQ] = ACTIONS(5897),
    [anon_sym_and_eq] = ACTIONS(5895),
    [anon_sym_or_eq] = ACTIONS(5895),
    [anon_sym_xor_eq] = ACTIONS(5895),
    [anon_sym_LT_EQ_GT] = ACTIONS(5897),
    [anon_sym_or] = ACTIONS(5895),
    [anon_sym_and] = ACTIONS(5895),
    [anon_sym_bitor] = ACTIONS(5895),
    [anon_sym_xor] = ACTIONS(5895),
    [anon_sym_bitand] = ACTIONS(5895),
    [anon_sym_not_eq] = ACTIONS(5895),
    [anon_sym_DASH_DASH] = ACTIONS(5897),
    [anon_sym_PLUS_PLUS] = ACTIONS(5897),
    [anon_sym_DOT] = ACTIONS(5895),
    [anon_sym_DOT_STAR] = ACTIONS(5897),
    [anon_sym_DASH_GT] = ACTIONS(5897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5895),
    [anon_sym_decltype] = ACTIONS(5895),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2512), 1,
      sym_attribute_specifier,
    ACTIONS(5955), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5957), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [75] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6546), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6548), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    STATE(2930), 1,
      sym_field_declaration_list,
    STATE(2968), 1,
      sym_attribute_specifier,
    STATE(7069), 1,
      sym_virtual_specifier,
    STATE(7848), 1,
      sym_base_class_clause,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5685), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5687), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6558), 1,
      anon_sym_LT,
    STATE(2720), 1,
      sym_template_argument_list,
    ACTIONS(6554), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6556), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2520), 1,
      sym_attribute_specifier,
    ACTIONS(5971), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5973), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2725), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6561), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5676), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5678), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2457), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6563), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5722), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5724), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6176), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2513), 1,
      sym_attribute_specifier,
    ACTIONS(5979), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5981), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LBRACK,
    STATE(2768), 1,
      sym_new_declarator,
    ACTIONS(6565), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6567), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2522), 1,
      sym_attribute_specifier,
    ACTIONS(5975), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5977), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2457), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6563), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5714), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6573), 1,
      anon_sym_LT,
    STATE(2720), 1,
      sym_template_argument_list,
    ACTIONS(6569), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6571), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [985] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym___attribute__,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6576), 1,
      anon_sym_COLON,
    STATE(2582), 1,
      sym__enum_base_clause,
    STATE(2601), 1,
      sym_enumerator_list,
    STATE(2693), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6026), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym___attribute__,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6576), 1,
      anon_sym_COLON,
    STATE(2567), 1,
      sym__enum_base_clause,
    STATE(2608), 1,
      sym_enumerator_list,
    STATE(2647), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6013), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2507), 1,
      sym_attribute_specifier,
    ACTIONS(5959), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5961), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [1226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2504), 1,
      sym_attribute_specifier,
    ACTIONS(5963), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5965), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [1301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2753), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6578), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5726), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5728), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2754), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6580), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5736), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5738), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6172), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6176), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2503), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5969), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [1668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2523), 1,
      sym_attribute_specifier,
    ACTIONS(5947), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5949), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [1743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6162), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2524), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5945), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [1889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6168), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4374), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4369), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2499), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5941), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6584), 1,
      anon_sym_LPAREN2,
    ACTIONS(6586), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6582), 57,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [2181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2705), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6487), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5676), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5678), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2491), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5988), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    STATE(2495), 1,
      sym_attribute_specifier,
    ACTIONS(5951), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5953), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2406] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      sym_identifier,
    STATE(2751), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6591), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6594), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6096), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6094), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6597), 57,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [2556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2457), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6563), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5747), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2457), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6563), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5734), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2725), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6561), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5718), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5720), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6162), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6168), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5678), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5676), 57,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [2996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 1,
      sym_identifier,
    STATE(2751), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4170), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4172), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6108), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6106), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [3075] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6603), 1,
      sym_identifier,
    STATE(2759), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4170), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4172), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6145), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6143), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [3154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2611), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6406), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6408), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6253), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6251), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [3231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6172), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5587), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6605), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5673), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5670), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [3378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6176), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6608), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6610), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6172), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 1,
      anon_sym_LT,
    STATE(2745), 1,
      sym_template_argument_list,
    ACTIONS(6612), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6614), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6621), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6623), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6625), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3802] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    STATE(3130), 1,
      sym_field_declaration_list,
    STATE(3238), 1,
      sym_attribute_specifier,
    STATE(6858), 1,
      sym_virtual_specifier,
    STATE(7692), 1,
      sym_base_class_clause,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5685), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5687), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [3888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6162), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3958] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6631), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6633), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [4040] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6641), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6168), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6176), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6651), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6647), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6649), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6655), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6659), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4476] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6661), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6663), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6665), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6667), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6162), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4700] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6669), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6671), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [4782] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6673), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6675), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4866] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(6677), 1,
      anon_sym_COLON,
    ACTIONS(6679), 1,
      anon_sym___attribute__,
    STATE(2335), 1,
      sym__enum_base_clause,
    STATE(2338), 1,
      sym_attribute_specifier,
    STATE(2369), 1,
      sym_enumerator_list,
    ACTIONS(6011), 7,
      anon_sym_AMP,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_line,
      anon_sym_triangle,
    ACTIONS(6013), 49,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_triangleadj,
      anon_sym_lineadj,
  [4948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6168), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      anon_sym_LBRACK,
    ACTIONS(4371), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2070), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(2068), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [5092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6172), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6659), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6172), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6681), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6683), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3810), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5442] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6685), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6687), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [5526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(2898), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6689), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5664), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5666), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [5604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(6677), 1,
      anon_sym_COLON,
    ACTIONS(6679), 1,
      anon_sym___attribute__,
    STATE(2310), 1,
      sym_attribute_specifier,
    STATE(2314), 1,
      sym__enum_base_clause,
    STATE(2366), 1,
      sym_enumerator_list,
    ACTIONS(6024), 7,
      anon_sym_AMP,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_line,
      anon_sym_triangle,
    ACTIONS(6026), 49,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_triangleadj,
      anon_sym_lineadj,
  [5686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6691), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6693), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3902), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3904), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6162), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6605), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5589), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5587), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [5970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6176), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6040] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      sym_identifier,
    ACTIONS(6699), 1,
      sym_primitive_type,
    STATE(2763), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6697), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5696), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [6118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6703), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6188] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6705), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6707), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [6272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6659), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6168), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6412] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6223), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6227), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__declarator,
    STATE(6525), 1,
      sym__abstract_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6237), 2,
      anon_sym_COLON,
      anon_sym___attribute__,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6235), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [6531] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      sym_identifier,
    ACTIONS(6713), 1,
      sym_primitive_type,
    STATE(2807), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6711), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5696), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [6608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2884), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5587), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6715), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5673), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5670), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [6683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(2950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6718), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5664), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5666), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [6760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6172), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6176), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6162), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4250), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4246), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6168), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4077), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6722), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1935), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1971), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7381] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6724), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym___attribute__,
    STATE(2567), 1,
      sym__enum_base_clause,
    STATE(2608), 1,
      sym_enumerator_list,
    STATE(2647), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6013), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [7462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6728), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6730), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6732), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6734), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5519), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4278), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4278), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4278), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6738), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7945] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    STATE(3181), 1,
      sym_field_declaration_list,
    STATE(3295), 1,
      sym_attribute_specifier,
    STATE(7067), 1,
      sym_virtual_specifier,
    STATE(7535), 1,
      sym_base_class_clause,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5685), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5687), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [8030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6744), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6746), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4278), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4278), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4278), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5539), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5531), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6750), 1,
      anon_sym_and,
    ACTIONS(5604), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5606), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5523), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5499), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5503), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8724] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6724), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym___attribute__,
    STATE(2582), 1,
      sym__enum_base_clause,
    STATE(2601), 1,
      sym_enumerator_list,
    STATE(2693), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6026), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [8805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6754), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6758), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6762), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5515), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5515), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5515), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6764), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6766), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6768), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6770), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6774), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6776), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6778), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6782), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5527), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6786), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6788), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6790), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6794), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6796), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6798), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6800), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6802), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6804), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6806), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6810), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6814), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6818), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6822), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6826), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5357), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2246), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6830), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6834), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6838), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6842), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6846), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6850), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6852), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6854), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6858), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6860), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6862), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5535), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5507), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6866), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6868), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6870), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6874), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5491), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5495), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6878), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6880), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6882), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6884), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6886), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6890), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2760), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4170), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4172), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6251), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6253), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [11916] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 1,
      anon_sym_LT,
    STATE(2898), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3003), 1,
      sym_template_argument_list,
    ACTIONS(6689), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4075), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4083), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [11995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2884), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6715), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5589), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5587), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [12068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6896), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6898), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6900), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12206] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    ACTIONS(6902), 1,
      anon_sym_LBRACE,
    STATE(2935), 1,
      sym_enumerator_list,
    STATE(2991), 1,
      sym_attribute_specifier,
    ACTIONS(5805), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5807), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4077), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5511), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12421] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6750), 1,
      anon_sym_and,
    ACTIONS(6904), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6906), 1,
      anon_sym_or,
    ACTIONS(5572), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5574), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6852), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6854), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6908), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6910), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    ACTIONS(6902), 1,
      anon_sym_LBRACE,
    STATE(2940), 1,
      sym_enumerator_list,
    STATE(3006), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5877), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6649), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12782] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6223), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6227), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6252), 1,
      sym__declarator,
    STATE(6507), 1,
      sym__abstract_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6914), 2,
      anon_sym_COLON,
      anon_sym___attribute__,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6912), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [12901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6284), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6916), 1,
      anon_sym_LT,
    STATE(3003), 1,
      sym_template_argument_list,
    ACTIONS(1959), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1961), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [13044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5714), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [13116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2051), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2906), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6921), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5726), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5728), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [13258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2907), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6923), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5736), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5738), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [13330] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 1,
      sym_identifier,
    STATE(2902), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6928), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6931), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6096), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6094), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2074), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6934), 1,
      anon_sym_LT,
    STATE(2950), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3041), 1,
      sym_template_argument_list,
    ACTIONS(6718), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4075), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4083), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [13552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6172), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [13620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [13692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5734), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [13764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2939), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5718), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [13836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6176), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [13904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5678), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2076), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2078), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1923), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1949), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1953), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1957), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5751), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 1,
      anon_sym_LT,
    STATE(3003), 1,
      sym_template_argument_list,
    ACTIONS(1967), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1969), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [14458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1919), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1941), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1915), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14662] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 1,
      sym_identifier,
    STATE(2933), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4113), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6145), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6143), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6940), 1,
      anon_sym_LT,
    STATE(3033), 1,
      sym_template_argument_list,
    ACTIONS(1969), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1967), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [14812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(2961), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5988), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(2967), 1,
      sym_attribute_specifier,
    ACTIONS(5951), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5953), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    STATE(2952), 1,
      sym_decltype_auto,
    ACTIONS(5767), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5769), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6162), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2070), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(2981), 1,
      sym_attribute_specifier,
    ACTIONS(5963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5965), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(2990), 1,
      sym_attribute_specifier,
    ACTIONS(5959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5961), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(2995), 1,
      sym_attribute_specifier,
    ACTIONS(5955), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5957), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(2997), 1,
      sym_attribute_specifier,
    ACTIONS(5979), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5981), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6168), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15522] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6946), 1,
      sym_identifier,
    STATE(2902), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4113), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6108), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6106), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(3005), 1,
      sym_attribute_specifier,
    ACTIONS(5971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5973), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(3008), 1,
      sym_attribute_specifier,
    ACTIONS(5975), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5977), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2051), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(3009), 1,
      sym_attribute_specifier,
    ACTIONS(5947), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5949), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(3011), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5945), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5722), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5724), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(2999), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5969), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    STATE(2944), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5941), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6940), 1,
      anon_sym_LT,
    STATE(3033), 1,
      sym_template_argument_list,
    ACTIONS(1961), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1959), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16246] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_STAR,
    ACTIONS(6299), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6301), 1,
      anon_sym_AMP,
    STATE(3407), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6252), 1,
      sym__declarator,
    STATE(6659), 1,
      sym__abstract_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6912), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6914), 2,
      anon_sym_COLON,
      anon_sym___attribute__,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [16363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5901), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5869), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5873), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5881), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6168), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5885), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2884), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6948), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5714), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [16836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2051), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5833), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5865), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17037] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    ACTIONS(6950), 1,
      anon_sym_COLON,
    ACTIONS(6952), 1,
      anon_sym_LBRACE,
    STATE(3063), 1,
      sym__enum_base_clause,
    STATE(3095), 1,
      sym_enumerator_list,
    STATE(3261), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6026), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2974), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5726), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5728), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2975), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6956), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5736), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5738), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17258] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    STATE(3361), 1,
      sym_field_declaration_list,
    STATE(3664), 1,
      sym_attribute_specifier,
    STATE(6844), 1,
      sym_virtual_specifier,
    STATE(7709), 1,
      sym_base_class_clause,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5685), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5687), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5787), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17408] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6962), 1,
      sym_identifier,
    ACTIONS(6966), 1,
      sym_primitive_type,
    STATE(3012), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6964), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5696), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5694), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [17483] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_STAR,
    ACTIONS(6278), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6280), 1,
      anon_sym_AMP,
    STATE(3514), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__declarator,
    STATE(6644), 1,
      sym__abstract_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6235), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6237), 2,
      anon_sym_COLON,
      anon_sym___attribute__,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [17600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5791), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5795), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17734] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_STAR,
    ACTIONS(6278), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6280), 1,
      anon_sym_AMP,
    STATE(3514), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6252), 1,
      sym__declarator,
    STATE(6646), 1,
      sym__abstract_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6912), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6914), 2,
      anon_sym_COLON,
      anon_sym___attribute__,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [17851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2964), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5587), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5589), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [17922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6971), 1,
      anon_sym_LT,
    STATE(3041), 1,
      sym_template_argument_list,
    ACTIONS(1959), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1961), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [17995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5813), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5817), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5821), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5678), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2076), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2078), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [18332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5813), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5813), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2074), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [18533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2884), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6948), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5747), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2884), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6948), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5734), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2266), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5487), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    ACTIONS(6950), 1,
      anon_sym_COLON,
    ACTIONS(6952), 1,
      anon_sym_LBRACE,
    STATE(3069), 1,
      sym__enum_base_clause,
    STATE(3109), 1,
      sym_enumerator_list,
    STATE(3281), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6013), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6162), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5905), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5909), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6172), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2294), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5889), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2051), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19359] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6934), 1,
      anon_sym_LT,
    STATE(3041), 1,
      sym_template_argument_list,
    ACTIONS(1967), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1969), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [19432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3010), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6974), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5718), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5720), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19503] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(3070), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5664), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5666), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5720), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5829), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5783), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6176), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5897), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5779), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5799), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5678), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5803), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2051), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5893), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5779), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2939), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5676), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5678), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5825), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2070), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5837), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5841), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5845), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20790] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_STAR,
    ACTIONS(6299), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6301), 1,
      anon_sym_AMP,
    STATE(3407), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__declarator,
    STATE(6625), 1,
      sym__abstract_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6235), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6237), 2,
      anon_sym_COLON,
      anon_sym___attribute__,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [20907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5849), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5857), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2884), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6948), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5722), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5724), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5861), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2964), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5587), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5670), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6982), 1,
      sym_auto,
    ACTIONS(6984), 1,
      anon_sym_decltype,
    STATE(3252), 1,
      sym_new_declarator,
    STATE(3254), 1,
      sym_decltype_auto,
    STATE(3637), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6268), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6270), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2051), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2049), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1947), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1951), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1917), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1939), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6986), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1913), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2074), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2072), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21862] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6982), 1,
      sym_auto,
    ACTIONS(6984), 1,
      anon_sym_decltype,
    STATE(3226), 1,
      sym_new_declarator,
    STATE(3254), 1,
      sym_decltype_auto,
    STATE(3562), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6264), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6266), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6992), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6990), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22010] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6982), 1,
      sym_auto,
    ACTIONS(6984), 1,
      anon_sym_decltype,
    STATE(3254), 1,
      sym_decltype_auto,
    STATE(3273), 1,
      sym_new_declarator,
    STATE(3539), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6239), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6241), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [22092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2051), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3010), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6974), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5676), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5678), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22230] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6994), 1,
      anon_sym_LT,
    STATE(3070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3126), 1,
      sym_template_argument_list,
    ACTIONS(6976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4075), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4083), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2051), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22374] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    ACTIONS(6996), 1,
      anon_sym_COLON,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    STATE(3127), 1,
      sym__enum_base_clause,
    STATE(3174), 1,
      sym_enumerator_list,
    STATE(3377), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6026), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2074), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2051), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2347), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2068), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22716] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    ACTIONS(6996), 1,
      anon_sym_COLON,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    STATE(3089), 1,
      sym__enum_base_clause,
    STATE(3208), 1,
      sym_enumerator_list,
    STATE(3368), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6013), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7000), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7006), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7004), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2051), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2049), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7008), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2296), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23126] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6982), 1,
      sym_auto,
    ACTIONS(6984), 1,
      anon_sym_decltype,
    STATE(3229), 1,
      sym_new_declarator,
    STATE(3254), 1,
      sym_decltype_auto,
    STATE(3594), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6257), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6259), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [23208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2070), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2076), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2078), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2051), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2049), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2078), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2076), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1921), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1955), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2964), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23679] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7042), 1,
      anon_sym_or,
    ACTIONS(7044), 1,
      anon_sym_and,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7026), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7014), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7016), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23788] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7042), 1,
      anon_sym_or,
    ACTIONS(7044), 1,
      anon_sym_and,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7050), 1,
      anon_sym_QMARK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7026), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6856), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6858), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23901] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7044), 1,
      anon_sym_and,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7026), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6643), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24006] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7026), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24107] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24206] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24303] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24398] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [24479] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [24562] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [24647] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24738] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3071), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7052), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5718), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24894] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7042), 1,
      anon_sym_or,
    ACTIONS(7044), 1,
      anon_sym_and,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7026), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7054), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7056), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25003] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7042), 1,
      anon_sym_or,
    ACTIONS(7044), 1,
      anon_sym_and,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7050), 1,
      anon_sym_QMARK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7026), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7058), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7060), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25116] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    ACTIONS(6952), 1,
      anon_sym_LBRACE,
    STATE(3129), 1,
      sym_enumerator_list,
    STATE(3231), 1,
      sym_attribute_specifier,
    ACTIONS(5805), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5807), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25189] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7042), 1,
      anon_sym_or,
    ACTIONS(7044), 1,
      anon_sym_and,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7050), 1,
      anon_sym_QMARK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7026), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7062), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7064), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6172), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [25367] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7068), 1,
      anon_sym_LBRACK,
    ACTIONS(7070), 1,
      sym_auto,
    ACTIONS(7072), 1,
      anon_sym_decltype,
    STATE(3318), 1,
      sym_new_declarator,
    STATE(3371), 1,
      sym_decltype_auto,
    STATE(3716), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6257), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6259), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [25448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2964), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5734), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6168), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [25582] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    ACTIONS(6952), 1,
      anon_sym_LBRACE,
    STATE(3105), 1,
      sym_enumerator_list,
    STATE(3267), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5877), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2964), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5714), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2964), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5722), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5724), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3047), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7074), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5726), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5728), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25862] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7042), 1,
      anon_sym_or,
    ACTIONS(7044), 1,
      anon_sym_and,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7026), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7076), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7078), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25971] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7042), 1,
      anon_sym_or,
    ACTIONS(7044), 1,
      anon_sym_and,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7026), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7080), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7082), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3067), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7084), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5736), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5738), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6162), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [26214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7086), 1,
      anon_sym_LT,
    STATE(3126), 1,
      sym_template_argument_list,
    ACTIONS(1959), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1961), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [26285] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7097), 1,
      anon_sym___attribute__,
    ACTIONS(7100), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7122), 1,
      anon_sym_requires,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4572), 1,
      sym__function_attributes_start,
    STATE(4933), 1,
      sym_ref_qualifier,
    STATE(5565), 1,
      sym__function_attributes_end,
    STATE(5786), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7115), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6092), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5286), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26402] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7068), 1,
      anon_sym_LBRACK,
    ACTIONS(7070), 1,
      sym_auto,
    ACTIONS(7072), 1,
      anon_sym_decltype,
    STATE(3371), 1,
      sym_decltype_auto,
    STATE(3376), 1,
      sym_new_declarator,
    STATE(3833), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6268), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6270), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [26483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2051), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26548] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7068), 1,
      anon_sym_LBRACK,
    ACTIONS(7070), 1,
      sym_auto,
    ACTIONS(7072), 1,
      anon_sym_decltype,
    STATE(3323), 1,
      sym_new_declarator,
    STATE(3371), 1,
      sym_decltype_auto,
    STATE(3794), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6264), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6266), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [26629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6994), 1,
      anon_sym_LT,
    STATE(3126), 1,
      sym_template_argument_list,
    ACTIONS(1967), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1969), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [26700] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7068), 1,
      anon_sym_LBRACK,
    ACTIONS(7070), 1,
      sym_auto,
    ACTIONS(7072), 1,
      anon_sym_decltype,
    STATE(3291), 1,
      sym_new_declarator,
    STATE(3371), 1,
      sym_decltype_auto,
    STATE(3729), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6239), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6241), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [26781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6176), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [26846] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7097), 1,
      anon_sym___attribute__,
    ACTIONS(7100), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7125), 1,
      anon_sym_requires,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4571), 1,
      sym__function_attributes_start,
    STATE(4932), 1,
      sym_ref_qualifier,
    STATE(5560), 1,
      sym__function_attributes_end,
    STATE(5795), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6092), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5264), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26963] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7036), 1,
      anon_sym_GT_EQ,
    ACTIONS(7040), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7042), 1,
      anon_sym_or,
    ACTIONS(7044), 1,
      anon_sym_and,
    ACTIONS(7046), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7018), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7026), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7028), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7030), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7038), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7020), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7034), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7127), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7129), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1941), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [27136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1919), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [27200] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    STATE(3148), 1,
      sym_enumerator_list,
    STATE(3366), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5877), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [27272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3289), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5945), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1915), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [27404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3260), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5988), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27472] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(4131), 1,
      anon_sym_STAR,
    ACTIONS(4133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4135), 1,
      anon_sym_AMP,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6235), 1,
      anon_sym_RPAREN,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6359), 1,
      sym__declarator,
    STATE(6717), 1,
      sym__abstract_declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [27584] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    ACTIONS(7131), 1,
      anon_sym_COLON,
    ACTIONS(7133), 1,
      anon_sym_LBRACE,
    STATE(3263), 1,
      sym__enum_base_clause,
    STATE(3357), 1,
      sym_enumerator_list,
    STATE(3660), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6026), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3234), 1,
      sym_attribute_specifier,
    ACTIONS(5959), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5961), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27728] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(4131), 1,
      anon_sym_STAR,
    ACTIONS(4133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4135), 1,
      anon_sym_AMP,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6912), 1,
      anon_sym_RPAREN,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6373), 1,
      sym__declarator,
    STATE(6674), 1,
      sym__abstract_declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [27840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6878), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [27904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3285), 1,
      sym_attribute_specifier,
    ACTIONS(5951), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5953), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2051), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1923), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2074), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3282), 1,
      sym_attribute_specifier,
    ACTIONS(5947), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5949), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7137), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1949), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3228), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5969), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2076), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2078), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3071), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7052), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5676), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5678), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3265), 1,
      sym_attribute_specifier,
    ACTIONS(5979), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5981), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3266), 1,
      sym_attribute_specifier,
    ACTIONS(5971), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5973), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4374), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4369), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1953), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6870), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [28894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6814), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6812), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [28958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [29022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      sym_literal_suffix,
    ACTIONS(4085), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3232), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5941), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29156] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    ACTIONS(7131), 1,
      anon_sym_COLON,
    ACTIONS(7133), 1,
      anon_sym_LBRACE,
    STATE(3279), 1,
      sym__enum_base_clause,
    STATE(3386), 1,
      sym_enumerator_list,
    STATE(3687), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6013), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3280), 1,
      sym_attribute_specifier,
    ACTIONS(5963), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5965), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [29364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [29428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [29492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [29556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [29620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2051), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1957), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2070), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29814] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    STATE(3217), 1,
      sym_enumerator_list,
    STATE(3384), 1,
      sym_attribute_specifier,
    ACTIONS(5805), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5807), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [29886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6900), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6898), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [29950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3272), 1,
      sym_attribute_specifier,
    ACTIONS(5975), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5977), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym___attribute__,
    STATE(3275), 1,
      sym_attribute_specifier,
    ACTIONS(5955), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5957), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30086] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7141), 1,
      anon_sym_STAR,
    ACTIONS(7143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6266), 1,
      sym__declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30195] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7149), 1,
      anon_sym_STAR,
    ACTIONS(7151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7153), 1,
      anon_sym_AMP,
    ACTIONS(7155), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5779), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym__declarator,
    STATE(8122), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3207), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30304] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7127), 1,
      anon_sym_EQ,
    ACTIONS(7161), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7163), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7181), 1,
      anon_sym_or,
    ACTIONS(7183), 1,
      anon_sym_and,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [30413] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7100), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4873), 1,
      sym__function_attributes_start,
    STATE(5067), 1,
      sym_ref_qualifier,
    STATE(5795), 1,
      sym_trailing_return_type,
    STATE(5839), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6092), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5386), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5751), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30591] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6359), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3143), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4066), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30763] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6373), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4081), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30872] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7205), 1,
      anon_sym_COMMA,
    ACTIONS(7207), 1,
      anon_sym_RPAREN,
    ACTIONS(7209), 1,
      anon_sym_DASH,
    ACTIONS(7211), 1,
      anon_sym_PLUS,
    ACTIONS(7213), 1,
      anon_sym_STAR,
    ACTIONS(7215), 1,
      anon_sym_SLASH,
    ACTIONS(7217), 1,
      anon_sym_PERCENT,
    ACTIONS(7219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7223), 1,
      anon_sym_PIPE,
    ACTIONS(7225), 1,
      anon_sym_CARET,
    ACTIONS(7227), 1,
      anon_sym_AMP,
    ACTIONS(7229), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7231), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7233), 1,
      anon_sym_GT,
    ACTIONS(7235), 1,
      anon_sym_GT_EQ,
    ACTIONS(7237), 1,
      anon_sym_LT_EQ,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_LT_LT,
    ACTIONS(7243), 1,
      anon_sym_GT_GT,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_QMARK,
    ACTIONS(7251), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7253), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7257), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7259), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7261), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7263), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7265), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7267), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7269), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7275), 1,
      anon_sym_or,
    ACTIONS(7277), 1,
      anon_sym_and,
    ACTIONS(7279), 1,
      anon_sym_bitor,
    ACTIONS(7281), 1,
      anon_sym_xor,
    ACTIONS(7283), 1,
      anon_sym_bitand,
    ACTIONS(7285), 1,
      anon_sym_not_eq,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7271), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [31033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4288), 1,
      anon_sym_LT,
    STATE(3110), 1,
      sym_template_argument_list,
    ACTIONS(4283), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2230), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [31167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2230), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [31230] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6373), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5837), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31402] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(6856), 1,
      anon_sym_EQ,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7161), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7163), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7181), 1,
      anon_sym_or,
    ACTIONS(7183), 1,
      anon_sym_and,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    ACTIONS(7295), 1,
      anon_sym_QMARK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [31515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(6192), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4085), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [31582] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7205), 1,
      anon_sym_COMMA,
    ACTIONS(7209), 1,
      anon_sym_DASH,
    ACTIONS(7211), 1,
      anon_sym_PLUS,
    ACTIONS(7213), 1,
      anon_sym_STAR,
    ACTIONS(7215), 1,
      anon_sym_SLASH,
    ACTIONS(7217), 1,
      anon_sym_PERCENT,
    ACTIONS(7219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7223), 1,
      anon_sym_PIPE,
    ACTIONS(7225), 1,
      anon_sym_CARET,
    ACTIONS(7227), 1,
      anon_sym_AMP,
    ACTIONS(7229), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7231), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7233), 1,
      anon_sym_GT,
    ACTIONS(7235), 1,
      anon_sym_GT_EQ,
    ACTIONS(7237), 1,
      anon_sym_LT_EQ,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_LT_LT,
    ACTIONS(7243), 1,
      anon_sym_GT_GT,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_QMARK,
    ACTIONS(7251), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7253), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7257), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7259), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7261), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7263), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7265), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7267), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7269), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7275), 1,
      anon_sym_or,
    ACTIONS(7277), 1,
      anon_sym_and,
    ACTIONS(7279), 1,
      anon_sym_bitor,
    ACTIONS(7281), 1,
      anon_sym_xor,
    ACTIONS(7283), 1,
      anon_sym_bitand,
    ACTIONS(7285), 1,
      anon_sym_not_eq,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7297), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7271), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [31743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3346), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5969), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3401), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5941), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31877] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7141), 1,
      anon_sym_STAR,
    ACTIONS(7143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6216), 1,
      sym__declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3131), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7137), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32049] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7141), 1,
      anon_sym_STAR,
    ACTIONS(7143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6266), 1,
      sym__declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3154), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32158] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_LPAREN2,
    ACTIONS(7301), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7303), 1,
      anon_sym_LBRACK,
    STATE(3489), 1,
      sym_parameter_list,
    STATE(3224), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6422), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6424), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32231] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7141), 1,
      anon_sym_STAR,
    ACTIONS(7143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6252), 1,
      sym__declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32340] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_LPAREN2,
    ACTIONS(7301), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7303), 1,
      anon_sym_LBRACK,
    STATE(3489), 1,
      sym_parameter_list,
    STATE(3224), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6418), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6420), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2176), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2174), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [32476] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6253), 1,
      sym__declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3194), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4088), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32585] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_LPAREN2,
    ACTIONS(7301), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7303), 1,
      anon_sym_LBRACK,
    STATE(3489), 1,
      sym_parameter_list,
    STATE(3224), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6381), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6383), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32658] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [32737] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7163), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7183), 1,
      anon_sym_and,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6641), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [32842] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7311), 1,
      anon_sym_STAR,
    ACTIONS(7313), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7315), 1,
      anon_sym_AMP,
    ACTIONS(7317), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5727), 1,
      sym__scope_resolution,
    STATE(6558), 1,
      sym__declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3167), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4098), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32951] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [33052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2206), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [33115] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6643), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [33212] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [33307] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [33398] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7311), 1,
      anon_sym_STAR,
    ACTIONS(7313), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7315), 1,
      anon_sym_AMP,
    ACTIONS(7317), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5727), 1,
      sym__scope_resolution,
    STATE(6554), 1,
      sym__declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4047), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [33507] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [33596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3367), 1,
      sym_attribute_specifier,
    ACTIONS(5963), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5965), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [33663] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [33748] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [33829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2294), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33892] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [33975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3383), 1,
      sym_attribute_specifier,
    ACTIONS(5959), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5961), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3375), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5988), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34109] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_const,
    ACTIONS(4376), 1,
      anon_sym_AMP,
    ACTIONS(4371), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4374), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2070), 18,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4369), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34180] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7149), 1,
      anon_sym_STAR,
    ACTIONS(7151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7153), 1,
      anon_sym_AMP,
    ACTIONS(7155), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5779), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym__declarator,
    STATE(8122), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4055), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [34289] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6251), 1,
      sym__declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3188), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4045), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [34398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3394), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5945), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5678), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3398), 1,
      sym_attribute_specifier,
    ACTIONS(5955), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5957), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3314), 1,
      sym_attribute_specifier,
    ACTIONS(5979), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5981), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34664] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7062), 1,
      anon_sym_EQ,
    ACTIONS(7161), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7163), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7181), 1,
      anon_sym_or,
    ACTIONS(7183), 1,
      anon_sym_and,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    ACTIONS(7295), 1,
      anon_sym_QMARK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7064), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [34777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2266), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34840] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7014), 1,
      anon_sym_EQ,
    ACTIONS(7161), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7163), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7181), 1,
      anon_sym_or,
    ACTIONS(7183), 1,
      anon_sym_and,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [34949] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7054), 1,
      anon_sym_EQ,
    ACTIONS(7161), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7163), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7181), 1,
      anon_sym_or,
    ACTIONS(7183), 1,
      anon_sym_and,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [35058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      sym_literal_suffix,
    ACTIONS(4085), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4077), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35123] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6242), 1,
      sym__declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4062), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [35232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3293), 1,
      sym_attribute_specifier,
    ACTIONS(5951), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5953), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2238), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [35362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2238), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [35425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6982), 1,
      sym_auto,
    ACTIONS(6984), 1,
      anon_sym_decltype,
    STATE(3254), 1,
      sym_decltype_auto,
    ACTIONS(5767), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5769), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [35494] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_LPAREN2,
    ACTIONS(7301), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7303), 1,
      anon_sym_LBRACK,
    STATE(3489), 1,
      sym_parameter_list,
    STATE(3224), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6400), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6402), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [35567] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6251), 1,
      sym__declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4045), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [35676] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6382), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3200), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4052), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [35785] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6382), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3213), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4092), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [35894] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6359), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3138), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4097), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36003] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7080), 1,
      anon_sym_EQ,
    ACTIONS(7161), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7163), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7181), 1,
      anon_sym_or,
    ACTIONS(7183), 1,
      anon_sym_and,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [36112] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    ACTIONS(7319), 1,
      anon_sym_LPAREN2,
    ACTIONS(7321), 1,
      anon_sym_LBRACK,
    ACTIONS(7323), 1,
      sym_auto,
    ACTIONS(7325), 1,
      anon_sym_decltype,
    STATE(3635), 1,
      sym_decltype_auto,
    STATE(3672), 1,
      sym_new_declarator,
    STATE(3979), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6239), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6241), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [36191] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6359), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4066), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36300] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7311), 1,
      anon_sym_STAR,
    ACTIONS(7313), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7315), 1,
      anon_sym_AMP,
    ACTIONS(7317), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5727), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym__declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3205), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4056), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2051), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36472] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7100), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7122), 1,
      anon_sym_requires,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4832), 1,
      sym__function_attributes_start,
    STATE(5060), 1,
      sym_ref_qualifier,
    STATE(5786), 1,
      sym_trailing_return_type,
    STATE(5818), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7115), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6092), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5387), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5787), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36650] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7311), 1,
      anon_sym_STAR,
    ACTIONS(7313), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7315), 1,
      anon_sym_AMP,
    ACTIONS(7317), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5727), 1,
      sym__scope_resolution,
    STATE(6558), 1,
      sym__declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4098), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36759] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    ACTIONS(7319), 1,
      anon_sym_LPAREN2,
    ACTIONS(7321), 1,
      anon_sym_LBRACK,
    ACTIONS(7323), 1,
      sym_auto,
    ACTIONS(7325), 1,
      anon_sym_decltype,
    STATE(3635), 1,
      sym_decltype_auto,
    STATE(3684), 1,
      sym_new_declarator,
    STATE(3974), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6264), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6266), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [36838] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7149), 1,
      anon_sym_STAR,
    ACTIONS(7151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7153), 1,
      anon_sym_AMP,
    ACTIONS(7155), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5779), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym__declarator,
    STATE(8122), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4055), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3355), 1,
      sym_attribute_specifier,
    ACTIONS(5971), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5973), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7076), 1,
      anon_sym_EQ,
    ACTIONS(7161), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7163), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7181), 1,
      anon_sym_or,
    ACTIONS(7183), 1,
      anon_sym_and,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [37123] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7058), 1,
      anon_sym_EQ,
    ACTIONS(7161), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7163), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7181), 1,
      anon_sym_or,
    ACTIONS(7183), 1,
      anon_sym_and,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    ACTIONS(7295), 1,
      anon_sym_QMARK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7060), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [37236] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    ACTIONS(7319), 1,
      anon_sym_LPAREN2,
    ACTIONS(7321), 1,
      anon_sym_LBRACK,
    ACTIONS(7323), 1,
      sym_auto,
    ACTIONS(7325), 1,
      anon_sym_decltype,
    STATE(3635), 1,
      sym_decltype_auto,
    STATE(3700), 1,
      sym_new_declarator,
    STATE(4016), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6257), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6259), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3380), 1,
      sym_attribute_specifier,
    ACTIONS(5947), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5949), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37382] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6359), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4097), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37491] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4527), 1,
      anon_sym_LT,
    STATE(3239), 1,
      sym_template_argument_list,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37562] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    ACTIONS(7319), 1,
      anon_sym_LPAREN2,
    ACTIONS(7321), 1,
      anon_sym_LBRACK,
    ACTIONS(7323), 1,
      sym_auto,
    ACTIONS(7325), 1,
      anon_sym_decltype,
    STATE(3591), 1,
      sym_new_declarator,
    STATE(3635), 1,
      sym_decltype_auto,
    STATE(4019), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6268), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6270), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5905), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      anon_sym___attribute__,
    STATE(3373), 1,
      sym_attribute_specifier,
    ACTIONS(5975), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5977), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37771] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_LPAREN2,
    ACTIONS(7301), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7303), 1,
      anon_sym_LBRACK,
    STATE(3489), 1,
      sym_parameter_list,
    STATE(3224), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6440), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6442), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37844] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7205), 1,
      anon_sym_COMMA,
    ACTIONS(7209), 1,
      anon_sym_DASH,
    ACTIONS(7211), 1,
      anon_sym_PLUS,
    ACTIONS(7213), 1,
      anon_sym_STAR,
    ACTIONS(7215), 1,
      anon_sym_SLASH,
    ACTIONS(7217), 1,
      anon_sym_PERCENT,
    ACTIONS(7219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7223), 1,
      anon_sym_PIPE,
    ACTIONS(7225), 1,
      anon_sym_CARET,
    ACTIONS(7227), 1,
      anon_sym_AMP,
    ACTIONS(7229), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7231), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7233), 1,
      anon_sym_GT,
    ACTIONS(7235), 1,
      anon_sym_GT_EQ,
    ACTIONS(7237), 1,
      anon_sym_LT_EQ,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_LT_LT,
    ACTIONS(7243), 1,
      anon_sym_GT_GT,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_QMARK,
    ACTIONS(7251), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7253), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7257), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7259), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7261), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7263), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7265), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7267), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7269), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7275), 1,
      anon_sym_or,
    ACTIONS(7277), 1,
      anon_sym_and,
    ACTIONS(7279), 1,
      anon_sym_bitor,
    ACTIONS(7281), 1,
      anon_sym_xor,
    ACTIONS(7283), 1,
      anon_sym_bitand,
    ACTIONS(7285), 1,
      anon_sym_not_eq,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7327), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7271), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38005] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7149), 1,
      anon_sym_STAR,
    ACTIONS(7151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7153), 1,
      anon_sym_AMP,
    ACTIONS(7155), 1,
      anon_sym_COLON_COLON,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5779), 1,
      sym__scope_resolution,
    STATE(6655), 1,
      sym__declarator,
    STATE(8122), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5720), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [38176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5779), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38238] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_LPAREN2,
    ACTIONS(7331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7333), 1,
      anon_sym_LBRACK,
    STATE(3561), 1,
      sym_parameter_list,
    STATE(3328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6381), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6383), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [38310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7301), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3256), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6469), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6471), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7341), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7339), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7337), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7335), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [38442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    STATE(3636), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6489), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6491), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5865), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5893), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    STATE(3685), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6465), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6467), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38702] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_LPAREN2,
    ACTIONS(7331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7333), 1,
      anon_sym_LBRACK,
    STATE(3561), 1,
      sym_parameter_list,
    STATE(3328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6440), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6442), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [38774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5783), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5901), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_LPAREN2,
    ACTIONS(7331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7333), 1,
      anon_sym_LBRACK,
    STATE(3561), 1,
      sym_parameter_list,
    STATE(3328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6418), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6420), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [38970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5829), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5869), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5873), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7349), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7347), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7345), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7343), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [39222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5821), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4374), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4369), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [39348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5787), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5837), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6178), 1,
      anon_sym_LT,
    STATE(3387), 1,
      sym_template_argument_list,
    ACTIONS(4283), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [39542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7351), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3718), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3716), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [39608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5881), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5885), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7353), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3700), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3698), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [39798] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7097), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4966), 1,
      sym__function_attributes_start,
    STATE(5095), 1,
      sym_ref_qualifier,
    STATE(5860), 1,
      sym_trailing_return_type,
    STATE(5879), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5399), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39912] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7100), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7365), 1,
      anon_sym_requires,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4967), 1,
      sym__function_attributes_start,
    STATE(5100), 1,
      sym_ref_qualifier,
    STATE(5922), 1,
      sym__function_attributes_end,
    STATE(5974), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7115), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6092), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5404), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40026] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7097), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7371), 1,
      anon_sym_requires,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4970), 1,
      sym__function_attributes_start,
    STATE(5104), 1,
      sym_ref_qualifier,
    STATE(5840), 1,
      sym_trailing_return_type,
    STATE(5886), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7368), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5401), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5678), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40202] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2921), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4113), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6251), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6253), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    STATE(3704), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6497), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6499), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40338] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_const,
    ACTIONS(4376), 1,
      anon_sym_AMP,
    ACTIONS(4371), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
    ACTIONS(4374), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(2070), 18,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4369), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5833), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      sym_auto,
    ACTIONS(7072), 1,
      anon_sym_decltype,
    STATE(3371), 1,
      sym_decltype_auto,
    ACTIONS(5767), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5769), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [40538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7374), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3256), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6458), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6460), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5751), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7383), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7381), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7379), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7377), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [40732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5779), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5791), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5795), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40980] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    ACTIONS(7133), 1,
      anon_sym_LBRACE,
    STATE(3390), 1,
      sym_enumerator_list,
    STATE(3690), 1,
      sym_attribute_specifier,
    ACTIONS(5805), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5807), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5905), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5803), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5841), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5845), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2294), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41360] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7100), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4962), 1,
      sym__function_attributes_start,
    STATE(5081), 1,
      sym_ref_qualifier,
    STATE(5928), 1,
      sym__function_attributes_end,
    STATE(6061), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6092), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5403), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [41474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5678), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2266), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    STATE(3593), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6456), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5897), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5799), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5487), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41914] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_LPAREN2,
    ACTIONS(7331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7333), 1,
      anon_sym_LBRACK,
    STATE(3561), 1,
      sym_parameter_list,
    STATE(3328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6422), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6424), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [41986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5678), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    ACTIONS(7133), 1,
      anon_sym_LBRACE,
    STATE(3297), 1,
      sym_enumerator_list,
    STATE(3578), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5877), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5909), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5889), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5857), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42306] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_LPAREN2,
    ACTIONS(7331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7333), 1,
      anon_sym_LBRACK,
    STATE(3561), 1,
      sym_parameter_list,
    STATE(3328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6400), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6402), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [42378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5817), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7387), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [42564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5825), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7395), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7393), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7391), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [42692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5861), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    STATE(3715), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6454), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6456), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [42883] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [42962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5817), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5865), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5821), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5487), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3671), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5969), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2921), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4113), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6251), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6253), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43338] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [43419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5813), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5813), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43541] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LT,
    STATE(3458), 1,
      sym_template_argument_list,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [43610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5678), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7407), 1,
      anon_sym_LT,
    STATE(3403), 1,
      sym_template_argument_list,
    ACTIONS(6569), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6571), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43738] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(6856), 1,
      anon_sym_EQ,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_QMARK,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7436), 1,
      anon_sym_or,
    ACTIONS(7438), 1,
      anon_sym_and,
    ACTIONS(7440), 1,
      anon_sym_bitor,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43849] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7058), 1,
      anon_sym_EQ,
    ACTIONS(7414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_QMARK,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7436), 1,
      anon_sym_or,
    ACTIONS(7438), 1,
      anon_sym_and,
    ACTIONS(7440), 1,
      anon_sym_bitor,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7060), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43960] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6673), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6675), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [44035] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6685), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6687), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [44110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7444), 1,
      anon_sym_LT,
    STATE(2437), 1,
      sym_template_argument_list,
    ACTIONS(6612), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6614), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44175] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7014), 1,
      anon_sym_EQ,
    ACTIONS(7414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7436), 1,
      anon_sym_or,
    ACTIONS(7438), 1,
      anon_sym_and,
    ACTIONS(7440), 1,
      anon_sym_bitor,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7447), 1,
      anon_sym_LT,
    STATE(1118), 1,
      sym_template_argument_list,
    ACTIONS(6612), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6614), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44347] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7054), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7450), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7452), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7466), 1,
      anon_sym_or,
    ACTIONS(7468), 1,
      anon_sym_and,
    ACTIONS(7470), 1,
      anon_sym_bitor,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [44454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7447), 1,
      anon_sym_LT,
    STATE(3110), 1,
      sym_template_argument_list,
    ACTIONS(6612), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6614), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5803), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5825), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5869), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5873), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    STATE(3718), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6465), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6467), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [44830] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7058), 1,
      anon_sym_EQ,
    ACTIONS(7203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7249), 1,
      anon_sym_QMARK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7450), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7452), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7466), 1,
      anon_sym_or,
    ACTIONS(7468), 1,
      anon_sym_and,
    ACTIONS(7470), 1,
      anon_sym_bitor,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7060), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [44941] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym_EQ,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7249), 1,
      anon_sym_QMARK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7450), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7452), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7466), 1,
      anon_sym_or,
    ACTIONS(7468), 1,
      anon_sym_and,
    ACTIONS(7470), 1,
      anon_sym_bitor,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [45052] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7062), 1,
      anon_sym_EQ,
    ACTIONS(7414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_QMARK,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7436), 1,
      anon_sym_or,
    ACTIONS(7438), 1,
      anon_sym_and,
    ACTIONS(7440), 1,
      anon_sym_bitor,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7064), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5897), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    STATE(3831), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6489), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6491), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [45291] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6705), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6707), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [45366] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [45443] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7014), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7450), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7452), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7466), 1,
      anon_sym_or,
    ACTIONS(7468), 1,
      anon_sym_and,
    ACTIONS(7470), 1,
      anon_sym_bitor,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [45550] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6641), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [45625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3363), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6469), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6471), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [45690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5881), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3659), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5988), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45816] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7438), 1,
      anon_sym_and,
    ACTIONS(7440), 1,
      anon_sym_bitor,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6641), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3663), 1,
      sym_attribute_specifier,
    ACTIONS(5951), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5953), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45984] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7418), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7440), 1,
      anon_sym_bitor,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5885), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7474), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6647), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6649), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46207] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [46302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3673), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5941), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46367] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7452), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7468), 1,
      anon_sym_and,
    ACTIONS(7470), 1,
      anon_sym_bitor,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(6641), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [46470] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [46563] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [46652] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [46739] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [46822] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7127), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7450), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7452), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7466), 1,
      anon_sym_or,
    ACTIONS(7468), 1,
      anon_sym_and,
    ACTIONS(7470), 1,
      anon_sym_bitor,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [46929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6631), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6633), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [47002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7476), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6647), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6649), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5893), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5813), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7447), 1,
      anon_sym_LT,
    STATE(1141), 1,
      sym_template_argument_list,
    ACTIONS(6612), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6614), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7444), 1,
      anon_sym_LT,
    STATE(3239), 1,
      sym_template_argument_list,
    ACTIONS(6612), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6614), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47317] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(5052), 1,
      sym__function_attributes_start,
    STATE(5136), 1,
      sym_ref_qualifier,
    STATE(6069), 1,
      sym__function_attributes_end,
    STATE(6071), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4140), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4303), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5424), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5678), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47491] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [47574] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7127), 1,
      anon_sym_EQ,
    ACTIONS(7414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7436), 1,
      anon_sym_or,
    ACTIONS(7438), 1,
      anon_sym_and,
    ACTIONS(7440), 1,
      anon_sym_bitor,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [47681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5779), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5841), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3686), 1,
      sym_attribute_specifier,
    ACTIONS(5963), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5965), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3689), 1,
      sym_attribute_specifier,
    ACTIONS(5959), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5961), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47933] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7076), 1,
      anon_sym_EQ,
    ACTIONS(7414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7436), 1,
      anon_sym_or,
    ACTIONS(7438), 1,
      anon_sym_and,
    ACTIONS(7440), 1,
      anon_sym_bitor,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [48040] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7080), 1,
      anon_sym_EQ,
    ACTIONS(7414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7436), 1,
      anon_sym_or,
    ACTIONS(7438), 1,
      anon_sym_and,
    ACTIONS(7440), 1,
      anon_sym_bitor,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [48147] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [48224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3693), 1,
      sym_attribute_specifier,
    ACTIONS(5955), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5957), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3694), 1,
      sym_attribute_specifier,
    ACTIONS(5979), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5981), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7488), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3363), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6458), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6460), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [48419] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [48498] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [48579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5845), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5909), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5889), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48762] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7454), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7470), 1,
      anon_sym_bitor,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6641), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [48861] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6669), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6671), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [48934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5833), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7491), 1,
      anon_sym_LT,
    STATE(3403), 1,
      sym_template_argument_list,
    ACTIONS(6554), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6556), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5849), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49123] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7054), 1,
      anon_sym_EQ,
    ACTIONS(7414), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_AMP,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7434), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7436), 1,
      anon_sym_or,
    ACTIONS(7438), 1,
      anon_sym_and,
    ACTIONS(7440), 1,
      anon_sym_bitor,
    ACTIONS(7442), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7410), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7420), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7430), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7426), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5791), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    STATE(3732), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6497), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6499), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [49358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5795), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49419] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(5021), 1,
      sym__function_attributes_start,
    STATE(5112), 1,
      sym_ref_qualifier,
    STATE(5860), 1,
      sym_trailing_return_type,
    STATE(5996), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4140), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4303), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5425), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [49532] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7080), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7450), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7452), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7466), 1,
      anon_sym_or,
    ACTIONS(7468), 1,
      anon_sym_and,
    ACTIONS(7470), 1,
      anon_sym_bitor,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [49639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5857), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49700] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6661), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6663), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [49775] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7371), 1,
      anon_sym_requires,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4997), 1,
      sym__function_attributes_start,
    STATE(5123), 1,
      sym_ref_qualifier,
    STATE(5840), 1,
      sym_trailing_return_type,
    STATE(6029), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7368), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4140), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4303), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5416), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [49888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5829), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5783), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    STATE(3443), 1,
      sym_new_declarator,
    ACTIONS(6565), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6567), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3577), 1,
      sym_attribute_specifier,
    ACTIONS(5971), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5973), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4374), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4369), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50203] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7076), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7450), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7452), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7466), 1,
      anon_sym_or,
    ACTIONS(7468), 1,
      anon_sym_and,
    ACTIONS(7470), 1,
      anon_sym_bitor,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [50310] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7496), 1,
      anon_sym_requires,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(5051), 1,
      sym__function_attributes_start,
    STATE(5134), 1,
      sym_ref_qualifier,
    STATE(6034), 1,
      sym__function_attributes_end,
    STATE(6035), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7368), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4140), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4303), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5422), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3580), 1,
      sym_attribute_specifier,
    ACTIONS(5975), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5977), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3592), 1,
      sym_attribute_specifier,
    ACTIONS(5947), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5949), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym___attribute__,
    STATE(3601), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5945), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50618] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7062), 1,
      anon_sym_EQ,
    ACTIONS(7203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7249), 1,
      anon_sym_QMARK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7450), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7452), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7466), 1,
      anon_sym_or,
    ACTIONS(7468), 1,
      anon_sym_and,
    ACTIONS(7470), 1,
      anon_sym_bitor,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7064), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [50729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5861), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50790] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [50885] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7458), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    ACTIONS(7472), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [50978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5779), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5799), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51100] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [51189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7464), 1,
      anon_sym_GT_EQ,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7287), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7399), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7405), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [51276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5901), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6284), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6546), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6548), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51459] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6685), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6687), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [51533] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7080), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [51637] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7537), 1,
      sym_identifier,
    STATE(3406), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7540), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7543), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6096), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6094), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51705] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7097), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5069), 1,
      sym__function_attributes_start,
    STATE(5304), 1,
      sym_ref_qualifier,
    STATE(6013), 1,
      sym__function_attributes_end,
    STATE(6136), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5426), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51817] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7097), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7550), 1,
      anon_sym_requires,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5068), 1,
      sym__function_attributes_start,
    STATE(5301), 1,
      sym_ref_qualifier,
    STATE(6018), 1,
      sym__function_attributes_end,
    STATE(6142), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7368), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5433), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51929] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7555), 1,
      anon_sym_STAR,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7561), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5909), 1,
      sym__abstract_declarator,
    STATE(6049), 1,
      sym__function_declarator_seq,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7563), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7565), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3414), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4187), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6221), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [52025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7569), 1,
      anon_sym_LT,
    STATE(3570), 1,
      sym_template_argument_list,
    ACTIONS(6554), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6556), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [52091] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7515), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6641), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [52187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6473), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6475), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52307] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7555), 1,
      anon_sym_STAR,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7561), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5901), 1,
      sym__abstract_declarator,
    STATE(6049), 1,
      sym__function_declarator_seq,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7563), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7565), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6235), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [52403] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6707), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [52477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(6288), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4085), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6284), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52603] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [52687] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [52763] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    ACTIONS(7572), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7574), 1,
      anon_sym_QMARK,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7058), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7060), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [52871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7444), 1,
      anon_sym_LT,
    STATE(1149), 1,
      sym_template_argument_list,
    ACTIONS(6612), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6614), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52935] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(5546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6288), 1,
      anon_sym_LPAREN2,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(4109), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4085), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4077), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2266), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6503), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53125] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7054), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [53229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5678), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7068), 1,
      anon_sym_LBRACK,
    STATE(3627), 1,
      sym_new_declarator,
    ACTIONS(6565), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6567), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [53355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5787), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53415] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6661), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6663), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [53489] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7097), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7496), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5063), 1,
      sym__function_attributes_start,
    STATE(5178), 1,
      sym_ref_qualifier,
    STATE(5980), 1,
      sym__function_attributes_end,
    STATE(6035), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7368), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5437), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [53601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3902), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3904), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53661] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [53741] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7580), 1,
      anon_sym_COMMA,
    ACTIONS(7582), 1,
      anon_sym_RPAREN,
    ACTIONS(7584), 1,
      anon_sym_DASH,
    ACTIONS(7586), 1,
      anon_sym_PLUS,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_SLASH,
    ACTIONS(7592), 1,
      anon_sym_PERCENT,
    ACTIONS(7594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7598), 1,
      anon_sym_PIPE,
    ACTIONS(7600), 1,
      anon_sym_CARET,
    ACTIONS(7602), 1,
      anon_sym_AMP,
    ACTIONS(7604), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7606), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7608), 1,
      anon_sym_GT,
    ACTIONS(7610), 1,
      anon_sym_GT_EQ,
    ACTIONS(7612), 1,
      anon_sym_LT_EQ,
    ACTIONS(7614), 1,
      anon_sym_LT,
    ACTIONS(7616), 1,
      anon_sym_LT_LT,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7620), 1,
      anon_sym_EQ,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7624), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7626), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7628), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7630), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7632), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7634), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7636), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7638), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7640), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7642), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7646), 1,
      anon_sym_or,
    ACTIONS(7648), 1,
      anon_sym_and,
    ACTIONS(7650), 1,
      anon_sym_bitor,
    ACTIONS(7652), 1,
      anon_sym_xor,
    ACTIONS(7654), 1,
      anon_sym_bitand,
    ACTIONS(7656), 1,
      anon_sym_not_eq,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [53897] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6641), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [53971] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6673), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6675), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [54045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6505), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6507), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6878), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54165] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7580), 1,
      anon_sym_COMMA,
    ACTIONS(7584), 1,
      anon_sym_DASH,
    ACTIONS(7586), 1,
      anon_sym_PLUS,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_SLASH,
    ACTIONS(7592), 1,
      anon_sym_PERCENT,
    ACTIONS(7594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7598), 1,
      anon_sym_PIPE,
    ACTIONS(7600), 1,
      anon_sym_CARET,
    ACTIONS(7602), 1,
      anon_sym_AMP,
    ACTIONS(7604), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7606), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7608), 1,
      anon_sym_GT,
    ACTIONS(7610), 1,
      anon_sym_GT_EQ,
    ACTIONS(7612), 1,
      anon_sym_LT_EQ,
    ACTIONS(7614), 1,
      anon_sym_LT,
    ACTIONS(7616), 1,
      anon_sym_LT_LT,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7620), 1,
      anon_sym_EQ,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7624), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7626), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7628), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7630), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7632), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7634), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7636), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7638), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7640), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7642), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7646), 1,
      anon_sym_or,
    ACTIONS(7648), 1,
      anon_sym_and,
    ACTIONS(7650), 1,
      anon_sym_bitor,
    ACTIONS(7652), 1,
      anon_sym_xor,
    ACTIONS(7654), 1,
      anon_sym_bitand,
    ACTIONS(7656), 1,
      anon_sym_not_eq,
    ACTIONS(7660), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [54321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6513), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      sym_literal_suffix,
    ACTIONS(4085), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54443] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7580), 1,
      anon_sym_COMMA,
    ACTIONS(7584), 1,
      anon_sym_DASH,
    ACTIONS(7586), 1,
      anon_sym_PLUS,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_SLASH,
    ACTIONS(7592), 1,
      anon_sym_PERCENT,
    ACTIONS(7594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7598), 1,
      anon_sym_PIPE,
    ACTIONS(7600), 1,
      anon_sym_CARET,
    ACTIONS(7602), 1,
      anon_sym_AMP,
    ACTIONS(7604), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7606), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7608), 1,
      anon_sym_GT,
    ACTIONS(7610), 1,
      anon_sym_GT_EQ,
    ACTIONS(7612), 1,
      anon_sym_LT_EQ,
    ACTIONS(7614), 1,
      anon_sym_LT,
    ACTIONS(7616), 1,
      anon_sym_LT_LT,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7620), 1,
      anon_sym_EQ,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7624), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7626), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7628), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7630), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7632), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7634), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7636), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7638), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7640), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7642), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7646), 1,
      anon_sym_or,
    ACTIONS(7648), 1,
      anon_sym_and,
    ACTIONS(7650), 1,
      anon_sym_bitor,
    ACTIONS(7652), 1,
      anon_sym_xor,
    ACTIONS(7654), 1,
      anon_sym_bitand,
    ACTIONS(7656), 1,
      anon_sym_not_eq,
    ACTIONS(7662), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [54599] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [54691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6621), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2294), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7664), 1,
      anon_sym_LT,
    STATE(2477), 1,
      sym_template_argument_list,
    ACTIONS(6612), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6614), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54875] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7580), 1,
      anon_sym_COMMA,
    ACTIONS(7584), 1,
      anon_sym_DASH,
    ACTIONS(7586), 1,
      anon_sym_PLUS,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_SLASH,
    ACTIONS(7592), 1,
      anon_sym_PERCENT,
    ACTIONS(7594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7598), 1,
      anon_sym_PIPE,
    ACTIONS(7600), 1,
      anon_sym_CARET,
    ACTIONS(7602), 1,
      anon_sym_AMP,
    ACTIONS(7604), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7606), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7608), 1,
      anon_sym_GT,
    ACTIONS(7610), 1,
      anon_sym_GT_EQ,
    ACTIONS(7612), 1,
      anon_sym_LT_EQ,
    ACTIONS(7614), 1,
      anon_sym_LT,
    ACTIONS(7616), 1,
      anon_sym_LT_LT,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7620), 1,
      anon_sym_EQ,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7624), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7626), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7628), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7630), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7632), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7634), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7636), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7638), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7640), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7642), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7646), 1,
      anon_sym_or,
    ACTIONS(7648), 1,
      anon_sym_and,
    ACTIONS(7650), 1,
      anon_sym_bitor,
    ACTIONS(7652), 1,
      anon_sym_xor,
    ACTIONS(7654), 1,
      anon_sym_bitand,
    ACTIONS(7656), 1,
      anon_sym_not_eq,
    ACTIONS(7667), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [55031] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7580), 1,
      anon_sym_COMMA,
    ACTIONS(7584), 1,
      anon_sym_DASH,
    ACTIONS(7586), 1,
      anon_sym_PLUS,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_SLASH,
    ACTIONS(7592), 1,
      anon_sym_PERCENT,
    ACTIONS(7594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7598), 1,
      anon_sym_PIPE,
    ACTIONS(7600), 1,
      anon_sym_CARET,
    ACTIONS(7602), 1,
      anon_sym_AMP,
    ACTIONS(7604), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7606), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7608), 1,
      anon_sym_GT,
    ACTIONS(7610), 1,
      anon_sym_GT_EQ,
    ACTIONS(7612), 1,
      anon_sym_LT_EQ,
    ACTIONS(7614), 1,
      anon_sym_LT,
    ACTIONS(7616), 1,
      anon_sym_LT_LT,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7620), 1,
      anon_sym_EQ,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7624), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7626), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7628), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7630), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7632), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7634), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7636), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7638), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7640), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7642), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7646), 1,
      anon_sym_or,
    ACTIONS(7648), 1,
      anon_sym_and,
    ACTIONS(7650), 1,
      anon_sym_bitor,
    ACTIONS(7652), 1,
      anon_sym_xor,
    ACTIONS(7654), 1,
      anon_sym_bitand,
    ACTIONS(7656), 1,
      anon_sym_not_eq,
    ACTIONS(7669), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [55187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6850), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7671), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6647), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6649), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55309] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7076), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [55413] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7580), 1,
      anon_sym_COMMA,
    ACTIONS(7584), 1,
      anon_sym_DASH,
    ACTIONS(7586), 1,
      anon_sym_PLUS,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_SLASH,
    ACTIONS(7592), 1,
      anon_sym_PERCENT,
    ACTIONS(7594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7598), 1,
      anon_sym_PIPE,
    ACTIONS(7600), 1,
      anon_sym_CARET,
    ACTIONS(7602), 1,
      anon_sym_AMP,
    ACTIONS(7604), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7606), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7608), 1,
      anon_sym_GT,
    ACTIONS(7610), 1,
      anon_sym_GT_EQ,
    ACTIONS(7612), 1,
      anon_sym_LT_EQ,
    ACTIONS(7614), 1,
      anon_sym_LT,
    ACTIONS(7616), 1,
      anon_sym_LT_LT,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7620), 1,
      anon_sym_EQ,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7624), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7626), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7628), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7630), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7632), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7634), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7636), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7638), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7640), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7642), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7646), 1,
      anon_sym_or,
    ACTIONS(7648), 1,
      anon_sym_and,
    ACTIONS(7650), 1,
      anon_sym_bitor,
    ACTIONS(7652), 1,
      anon_sym_xor,
    ACTIONS(7654), 1,
      anon_sym_bitand,
    ACTIONS(7656), 1,
      anon_sym_not_eq,
    ACTIONS(7673), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [55569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5837), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6655), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55689] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [55771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6691), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6693), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55831] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(3837), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5664), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5666), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55899] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7580), 1,
      anon_sym_COMMA,
    ACTIONS(7584), 1,
      anon_sym_DASH,
    ACTIONS(7586), 1,
      anon_sym_PLUS,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_SLASH,
    ACTIONS(7592), 1,
      anon_sym_PERCENT,
    ACTIONS(7594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7598), 1,
      anon_sym_PIPE,
    ACTIONS(7600), 1,
      anon_sym_CARET,
    ACTIONS(7602), 1,
      anon_sym_AMP,
    ACTIONS(7604), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7606), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7608), 1,
      anon_sym_GT,
    ACTIONS(7610), 1,
      anon_sym_GT_EQ,
    ACTIONS(7612), 1,
      anon_sym_LT_EQ,
    ACTIONS(7614), 1,
      anon_sym_LT,
    ACTIONS(7616), 1,
      anon_sym_LT_LT,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7620), 1,
      anon_sym_EQ,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7624), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7626), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7628), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7630), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7632), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7634), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7636), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7638), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7640), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7642), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7646), 1,
      anon_sym_or,
    ACTIONS(7648), 1,
      anon_sym_and,
    ACTIONS(7650), 1,
      anon_sym_bitor,
    ACTIONS(7652), 1,
      anon_sym_xor,
    ACTIONS(7654), 1,
      anon_sym_bitand,
    ACTIONS(7656), 1,
      anon_sym_not_eq,
    ACTIONS(7677), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [56055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4374), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4369), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [56117] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7161), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7163), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7165), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_AMP,
    ACTIONS(7175), 1,
      anon_sym_GT_EQ,
    ACTIONS(7179), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7181), 1,
      anon_sym_or,
    ACTIONS(7183), 1,
      anon_sym_and,
    ACTIONS(7185), 1,
      anon_sym_bitor,
    ACTIONS(7187), 1,
      anon_sym_bitand,
    ACTIONS(7207), 1,
      anon_sym_RPAREN,
    ACTIONS(7295), 1,
      anon_sym_QMARK,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(7681), 1,
      anon_sym_EQ,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7167), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7159), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7171), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7173), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7271), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7137), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6649), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56351] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7580), 1,
      anon_sym_COMMA,
    ACTIONS(7584), 1,
      anon_sym_DASH,
    ACTIONS(7586), 1,
      anon_sym_PLUS,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_SLASH,
    ACTIONS(7592), 1,
      anon_sym_PERCENT,
    ACTIONS(7594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7598), 1,
      anon_sym_PIPE,
    ACTIONS(7600), 1,
      anon_sym_CARET,
    ACTIONS(7602), 1,
      anon_sym_AMP,
    ACTIONS(7604), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7606), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7608), 1,
      anon_sym_GT,
    ACTIONS(7610), 1,
      anon_sym_GT_EQ,
    ACTIONS(7612), 1,
      anon_sym_LT_EQ,
    ACTIONS(7614), 1,
      anon_sym_LT,
    ACTIONS(7616), 1,
      anon_sym_LT_LT,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7620), 1,
      anon_sym_EQ,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7624), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7626), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7628), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7630), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7632), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7634), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7636), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7638), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7640), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7642), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7646), 1,
      anon_sym_or,
    ACTIONS(7648), 1,
      anon_sym_and,
    ACTIONS(7650), 1,
      anon_sym_bitor,
    ACTIONS(7652), 1,
      anon_sym_xor,
    ACTIONS(7654), 1,
      anon_sym_bitand,
    ACTIONS(7656), 1,
      anon_sym_not_eq,
    ACTIONS(7683), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [56507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6850), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6631), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6633), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [56639] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7076), 1,
      anon_sym_EQ,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7713), 1,
      anon_sym_or,
    ACTIONS(7715), 1,
      anon_sym_and,
    ACTIONS(7717), 1,
      anon_sym_bitor,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56745] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6673), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6675), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56819] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6685), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6687), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56893] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7080), 1,
      anon_sym_EQ,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7713), 1,
      anon_sym_or,
    ACTIONS(7715), 1,
      anon_sym_and,
    ACTIONS(7717), 1,
      anon_sym_bitor,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56999] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6669), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6671), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [57071] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7014), 1,
      anon_sym_EQ,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7713), 1,
      anon_sym_or,
    ACTIONS(7715), 1,
      anon_sym_and,
    ACTIONS(7717), 1,
      anon_sym_bitor,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57177] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6856), 1,
      anon_sym_EQ,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7713), 1,
      anon_sym_or,
    ACTIONS(7715), 1,
      anon_sym_and,
    ACTIONS(7717), 1,
      anon_sym_bitor,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    ACTIONS(7721), 1,
      anon_sym_QMARK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57287] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [57363] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6641), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [57437] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7014), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [57541] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7717), 1,
      anon_sym_bitor,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57639] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6643), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [57733] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [57825] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [57913] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [57999] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58081] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58159] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58239] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6707), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58313] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7054), 1,
      anon_sym_EQ,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7713), 1,
      anon_sym_or,
    ACTIONS(7715), 1,
      anon_sym_and,
    ACTIONS(7717), 1,
      anon_sym_bitor,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58419] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7058), 1,
      anon_sym_EQ,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7713), 1,
      anon_sym_or,
    ACTIONS(7715), 1,
      anon_sym_and,
    ACTIONS(7717), 1,
      anon_sym_bitor,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    ACTIONS(7721), 1,
      anon_sym_QMARK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7060), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58529] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7127), 1,
      anon_sym_EQ,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7713), 1,
      anon_sym_or,
    ACTIONS(7715), 1,
      anon_sym_and,
    ACTIONS(7717), 1,
      anon_sym_bitor,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58635] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7062), 1,
      anon_sym_EQ,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7713), 1,
      anon_sym_or,
    ACTIONS(7715), 1,
      anon_sym_and,
    ACTIONS(7717), 1,
      anon_sym_bitor,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    ACTIONS(7721), 1,
      anon_sym_QMARK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7064), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7664), 1,
      anon_sym_LT,
    STATE(3387), 1,
      sym_template_argument_list,
    ACTIONS(6612), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6614), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6519), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58869] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      sym_auto,
    ACTIONS(7325), 1,
      anon_sym_decltype,
    STATE(3635), 1,
      sym_decltype_auto,
    ACTIONS(5767), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5769), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6649), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58995] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7291), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7293), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7580), 1,
      anon_sym_COMMA,
    ACTIONS(7584), 1,
      anon_sym_DASH,
    ACTIONS(7586), 1,
      anon_sym_PLUS,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_SLASH,
    ACTIONS(7592), 1,
      anon_sym_PERCENT,
    ACTIONS(7594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7598), 1,
      anon_sym_PIPE,
    ACTIONS(7600), 1,
      anon_sym_CARET,
    ACTIONS(7602), 1,
      anon_sym_AMP,
    ACTIONS(7604), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7606), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7608), 1,
      anon_sym_GT,
    ACTIONS(7610), 1,
      anon_sym_GT_EQ,
    ACTIONS(7612), 1,
      anon_sym_LT_EQ,
    ACTIONS(7614), 1,
      anon_sym_LT,
    ACTIONS(7616), 1,
      anon_sym_LT_LT,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7620), 1,
      anon_sym_EQ,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7624), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7626), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7628), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7630), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7632), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7634), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7636), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7638), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7640), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7642), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7646), 1,
      anon_sym_or,
    ACTIONS(7648), 1,
      anon_sym_and,
    ACTIONS(7650), 1,
      anon_sym_bitor,
    ACTIONS(7652), 1,
      anon_sym_xor,
    ACTIONS(7654), 1,
      anon_sym_bitand,
    ACTIONS(7656), 1,
      anon_sym_not_eq,
    ACTIONS(7723), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      sym__binary_fold_operator,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    STATE(8205), 1,
      sym__fold_operator,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [59151] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    STATE(4105), 1,
      sym_field_declaration_list,
    STATE(4188), 1,
      sym_attribute_specifier,
    STATE(6852), 1,
      sym_virtual_specifier,
    STATE(7667), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5685), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5687), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59287] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7127), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [59391] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7729), 1,
      sym_identifier,
    STATE(3406), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6371), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6373), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6108), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6106), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59459] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6669), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6671), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [59531] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6661), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6663), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [59605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4109), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4085), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6681), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6683), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59729] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(5062), 1,
      sym__function_attributes_start,
    STATE(5172), 1,
      sym_ref_qualifier,
    STATE(6134), 1,
      sym__function_attributes_end,
    STATE(6136), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4140), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4303), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5432), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [59841] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7733), 1,
      sym_identifier,
    STATE(3496), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6371), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6373), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6145), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6143), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5905), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59969] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    ACTIONS(7572), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7574), 1,
      anon_sym_QMARK,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7062), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7064), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [60077] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    ACTIONS(7572), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7574), 1,
      anon_sym_QMARK,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(6856), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [60185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(6288), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4085), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60251] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6631), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6633), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [60323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60383] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7550), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(5055), 1,
      sym__function_attributes_start,
    STATE(5186), 1,
      sym_ref_qualifier,
    STATE(6142), 1,
      sym_trailing_return_type,
    STATE(6161), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7368), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4140), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4303), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5448), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [60495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60615] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [60693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6511), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60753] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7097), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5059), 1,
      sym__function_attributes_start,
    STATE(5270), 1,
      sym_ref_qualifier,
    STATE(5968), 1,
      sym__function_attributes_end,
    STATE(6071), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5441), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7089), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [60865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(7137), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6288), 1,
      anon_sym_LPAREN2,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(4085), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4077), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5751), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61111] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [61197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7735), 1,
      anon_sym_LT,
    STATE(3570), 1,
      sym_template_argument_list,
    ACTIONS(6569), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6571), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [61263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7738), 1,
      sym_literal_suffix,
    ACTIONS(4085), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6526), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6530), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6534), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6288), 1,
      anon_sym_LPAREN2,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(4085), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4077), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61631] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [61721] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7501), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7507), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7517), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7521), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7523), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [61821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6540), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6493), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6495), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3810), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62001] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7701), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_GT_EQ,
    ACTIONS(7711), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7715), 1,
      anon_sym_and,
    ACTIONS(7717), 1,
      anon_sym_bitor,
    ACTIONS(7719), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6641), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6645), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7699), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7703), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7705), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62103] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7740), 1,
      sym_identifier,
    STATE(3533), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7743), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7746), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6096), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6094), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [62170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6284), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5507), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6647), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6649), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [62349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6858), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6842), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6860), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6862), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3810), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [62585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5535), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5507), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62703] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7751), 1,
      sym_identifier,
    ACTIONS(7756), 1,
      sym_primitive_type,
    STATE(3702), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7754), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5696), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5694), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6493), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6495), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [62829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6503), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [62888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6505), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6507), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [62947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6513), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(7135), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [63065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6846), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3902), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3904), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4250), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4246), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6874), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6880), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6882), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5491), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5495), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6681), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6683), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6814), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6649), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6884), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6886), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7447), 1,
      anon_sym_LT,
    STATE(1158), 1,
      sym_template_argument_list,
    ACTIONS(6612), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6614), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6519), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6890), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63895] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5548), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5664), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5666), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [63962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4077), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6796), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6798), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6168), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [64139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5539), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6818), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5531), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6546), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6548), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6655), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6722), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6852), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6854), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6908), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6910), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5523), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1935), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5841), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5845), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5519), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6511), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [65026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7758), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5548), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4075), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4083), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [65095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6540), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [65154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5487), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6728), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6730), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6732), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6734), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5491), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6898), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6900), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5495), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7760), 1,
      sym_literal_suffix,
    ACTIONS(4077), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4085), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [65569] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    ACTIONS(7319), 1,
      anon_sym_LPAREN2,
    STATE(3942), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6497), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6499), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5857), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6738), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6744), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6746), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6176), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [65870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5539), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5531), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7764), 1,
      anon_sym_and,
    ACTIONS(5604), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5606), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5523), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6691), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6693), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [66169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5861), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6526), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [66287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6530), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [66346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6534), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [66405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6623), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6625), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6659), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6659), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6659), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6703), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6866), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6786), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1971), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6473), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6475), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6608), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6610), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5897), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5499), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5678), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5503), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4085), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5678), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6870), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6794), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6172), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [67705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6621), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5869), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5873), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5881), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5885), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68000] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      sym_identifier,
    STATE(3670), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5568), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5570), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6145), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6143), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5865), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5499), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5833), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6754), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6758), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5527), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6850), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6162), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [69011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6665), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6667), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6822), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6762), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5503), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6826), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6800), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6802), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1935), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6804), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6806), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6810), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5791), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5795), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_LT,
    STATE(2485), 1,
      sym_template_argument_list,
    ACTIONS(6612), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6614), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5817), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5821), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6852), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6854), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6782), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5511), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70254] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7771), 1,
      sym_identifier,
    STATE(3533), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5568), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5570), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6108), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6106), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [70321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5893), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70380] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    ACTIONS(7319), 1,
      anon_sym_LPAREN2,
    STATE(4015), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6456), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5901), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6764), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6766), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6768), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6770), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6774), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 1,
      anon_sym_EQ,
    ACTIONS(6369), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4085), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4077), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5357), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2246), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5535), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4077), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6830), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6878), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6834), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    ACTIONS(7319), 1,
      anon_sym_LPAREN2,
    STATE(3997), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6489), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6491), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6776), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6778), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5909), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5889), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5511), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5829), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5783), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5519), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5779), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5799), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5803), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5779), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6896), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5527), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5825), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_LT,
    STATE(3458), 1,
      sym_template_argument_list,
    ACTIONS(6612), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6614), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72052] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    ACTIONS(7319), 1,
      anon_sym_LPAREN2,
    STATE(3960), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6465), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6467), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72117] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7773), 1,
      anon_sym_LT,
    STATE(3837), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3877), 1,
      sym_template_argument_list,
    ACTIONS(7675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4075), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4083), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      sym_primitive_type,
    STATE(2413), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6088), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5670), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6838), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6788), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6790), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72369] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7764), 1,
      anon_sym_and,
    ACTIONS(7775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7777), 1,
      anon_sym_or,
    ACTIONS(5572), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5574), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1971), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3818), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7779), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5722), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5724), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5357), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2246), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6814), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6764), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6766), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7321), 1,
      anon_sym_LBRACK,
    STATE(3882), 1,
      sym_new_declarator,
    ACTIONS(6565), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6567), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72793] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(5113), 1,
      sym__function_attributes_start,
    STATE(5388), 1,
      sym_ref_qualifier,
    STATE(6199), 1,
      sym__function_attributes_end,
    STATE(6470), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7089), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4140), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4303), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6092), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5463), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [72903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4077), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6858), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6738), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6744), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6746), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73135] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7127), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7796), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7792), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7794), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [73237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6776), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6778), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1971), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5531), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6850), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73527] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7062), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7796), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7792), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7794), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7064), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [73633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5527), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6649), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6732), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6734), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73865] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7816), 1,
      anon_sym_requires,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(5106), 1,
      sym__function_attributes_start,
    STATE(5380), 1,
      sym_ref_qualifier,
    STATE(6196), 1,
      sym__function_attributes_end,
    STATE(6430), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7089), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7115), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4140), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4303), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6092), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5467), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [73975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6860), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6862), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74033] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7821), 1,
      anon_sym_RPAREN,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7427), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [74139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6788), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6790), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74255] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6631), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6633), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [74325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6794), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74383] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7076), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7796), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7792), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7794), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [74485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6800), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6802), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5535), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74601] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7829), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7831), 1,
      anon_sym_or,
    ACTIONS(7833), 1,
      anon_sym_and,
    ACTIONS(5572), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5574), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5539), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7833), 1,
      anon_sym_and,
    ACTIONS(5604), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5606), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6852), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6854), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6908), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6910), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5523), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6728), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6730), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3773), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5736), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5738), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75081] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6673), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6675), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [75153] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6685), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6687), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [75225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5507), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6830), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75341] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7080), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7796), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7792), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7794), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [75443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6896), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75501] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6669), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6671), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [75571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6842), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 1,
      anon_sym_EQ,
    ACTIONS(6354), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4085), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6852), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6854), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3502), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6371), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6373), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6251), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6253), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1923), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75929] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7496), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5124), 1,
      sym__function_attributes_start,
    STATE(5381), 1,
      sym_ref_qualifier,
    STATE(6035), 1,
      sym_trailing_return_type,
    STATE(6320), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7089), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7368), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5465), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [76039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6870), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6874), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6782), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1935), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76329] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7014), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7796), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7792), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7794), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [76431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5491), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3818), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7779), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5747), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5495), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4278), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3818), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7779), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5734), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6818), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6768), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6770), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6774), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6866), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6880), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6882), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3770), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7839), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5726), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5728), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5499), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6878), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6659), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6659), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6659), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3707), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5718), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5720), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6703), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77665] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4123), 1,
      anon_sym_SEMI,
    ACTIONS(5546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6288), 1,
      anon_sym_LPAREN2,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(4109), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4077), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4085), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [77735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1949), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5511), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7773), 1,
      anon_sym_LT,
    STATE(3877), 1,
      sym_template_argument_list,
    ACTIONS(1967), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1969), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6786), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6884), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6886), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4250), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4246), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6890), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6722), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5503), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78263] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [78337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6623), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6625), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78395] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7103), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5125), 1,
      sym__function_attributes_start,
    STATE(5389), 1,
      sym_ref_qualifier,
    STATE(6071), 1,
      sym_trailing_return_type,
    STATE(6311), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7089), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4172), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6070), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5452), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [78505] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6641), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [78577] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 1,
      anon_sym_EQ,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7796), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7794), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [78677] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 1,
      anon_sym_EQ,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7796), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [78775] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [78869] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [78959] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6643), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [79045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6643), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79129] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6643), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79209] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79285] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6804), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6806), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1953), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6810), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6608), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6610), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5519), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79653] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6705), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6707), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1957), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6822), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3818), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7843), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5587), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5589), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6826), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6796), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6798), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7846), 1,
      anon_sym_LT,
    STATE(3877), 1,
      sym_template_argument_list,
    ACTIONS(1959), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1961), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4077), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6834), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 1,
      anon_sym_LT,
    STATE(2533), 1,
      sym_template_argument_list,
    ACTIONS(6612), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6614), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6284), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6838), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1919), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1941), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6898), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6900), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6846), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6754), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4374), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4369), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6758), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80785] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7054), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7796), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7792), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7794), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [80887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      anon_sym_EQ,
    ACTIONS(6450), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4085), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1915), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3818), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7779), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5714), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6665), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6667), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6762), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81185] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7058), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7796), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7792), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7794), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7060), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [81291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(5566), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4077), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4085), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [81353] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym_EQ,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(7245), 1,
      anon_sym_LBRACK,
    ACTIONS(7403), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7578), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7622), 1,
      anon_sym_QMARK,
    ACTIONS(7644), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7796), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_CARET,
    ACTIONS(7800), 1,
      anon_sym_AMP,
    ACTIONS(7806), 1,
      anon_sym_GT_EQ,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_xor,
    ACTIONS(7814), 1,
      anon_sym_bitand,
    STATE(3573), 1,
      sym_argument_list,
    STATE(3574), 1,
      sym_subscript_argument_list,
    ACTIONS(7289), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7792), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7794), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7808), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7790), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7804), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [81459] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8544), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6172), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [81619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6176), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [81676] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3955), 1,
      anon_sym_enum,
    ACTIONS(3957), 1,
      anon_sym_class,
    ACTIONS(3959), 1,
      anon_sym_struct,
    ACTIONS(3961), 1,
      anon_sym_union,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(3989), 1,
      anon_sym_typename,
    ACTIONS(7849), 1,
      sym_identifier,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(4314), 1,
      sym_type_specifier,
    STATE(6072), 1,
      sym_type_descriptor,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81779] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7963), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6162), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [81939] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8127), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7738), 1,
      sym_literal_suffix,
    ACTIONS(4085), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82101] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7752), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82204] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8192), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6168), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [82364] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8500), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82467] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8694), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82570] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8346), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2051), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82732] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8039), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2051), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2074), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82951] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8576), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4123), 1,
      anon_sym_SEMI,
    ACTIONS(4109), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4077), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4085), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [83117] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7978), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83220] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8071), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83323] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8296), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83426] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8374), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83529] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8101), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83632] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8320), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83735] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8314), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83838] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8277), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83941] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8368), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84044] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5644), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84147] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5658), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84250] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      sym_primitive_type,
    ACTIONS(7877), 1,
      anon_sym_enum,
    ACTIONS(7879), 1,
      anon_sym_class,
    ACTIONS(7881), 1,
      anon_sym_struct,
    ACTIONS(7883), 1,
      anon_sym_union,
    ACTIONS(7885), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(4513), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6108), 1,
      sym_type_descriptor,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    STATE(3961), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84353] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7887), 1,
      sym_identifier,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7893), 1,
      sym_primitive_type,
    ACTIONS(7895), 1,
      anon_sym_enum,
    ACTIONS(7897), 1,
      anon_sym_class,
    ACTIONS(7899), 1,
      anon_sym_struct,
    ACTIONS(7901), 1,
      anon_sym_union,
    ACTIONS(7903), 1,
      sym_auto,
    ACTIONS(7905), 1,
      anon_sym_decltype,
    ACTIONS(7907), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4310), 1,
      sym_type_specifier,
    STATE(4333), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5042), 1,
      sym_decltype_auto,
    STATE(5047), 1,
      sym_qualified_type_identifier,
    STATE(6072), 1,
      sym_type_descriptor,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4011), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4979), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7891), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5044), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    STATE(4004), 1,
      sym_new_declarator,
    ACTIONS(6565), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6567), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2070), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    ACTIONS(7911), 1,
      anon_sym_COLON,
    ACTIONS(7913), 1,
      anon_sym_LBRACE,
    STATE(4086), 1,
      sym__enum_base_clause,
    STATE(4103), 1,
      sym_enumerator_list,
    STATE(4181), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6026), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84643] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7561), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(7915), 1,
      anon_sym_STAR,
    ACTIONS(7917), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7919), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6190), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7563), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7565), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4329), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84736] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5714), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84839] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4337), 1,
      sym_type_specifier,
    STATE(6072), 1,
      sym_type_descriptor,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3991), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6621), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84999] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8094), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85102] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5635), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85205] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7921), 1,
      sym_identifier,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7927), 1,
      sym_primitive_type,
    ACTIONS(7929), 1,
      anon_sym_enum,
    ACTIONS(7931), 1,
      anon_sym_class,
    ACTIONS(7933), 1,
      anon_sym_struct,
    ACTIONS(7935), 1,
      anon_sym_union,
    ACTIONS(7937), 1,
      sym_auto,
    ACTIONS(7939), 1,
      anon_sym_decltype,
    ACTIONS(7941), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4264), 1,
      sym_type_specifier,
    STATE(4274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4981), 1,
      sym_decltype_auto,
    STATE(4985), 1,
      sym_qualified_type_identifier,
    STATE(6108), 1,
      sym_type_descriptor,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    STATE(3968), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4982), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85308] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8669), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85411] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    ACTIONS(7911), 1,
      anon_sym_COLON,
    ACTIONS(7913), 1,
      anon_sym_LBRACE,
    STATE(4064), 1,
      sym__enum_base_clause,
    STATE(4118), 1,
      sym_enumerator_list,
    STATE(4210), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6013), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85480] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8038), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2076), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2078), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4374), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4369), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85701] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8375), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85804] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8215), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85907] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5628), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86010] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5640), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86113] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5646), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86216] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5651), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86319] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5652), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86422] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5660), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86525] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5662), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86628] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5665), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86731] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5666), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7887), 1,
      sym_identifier,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7893), 1,
      sym_primitive_type,
    ACTIONS(7895), 1,
      anon_sym_enum,
    ACTIONS(7897), 1,
      anon_sym_class,
    ACTIONS(7899), 1,
      anon_sym_struct,
    ACTIONS(7901), 1,
      anon_sym_union,
    ACTIONS(7903), 1,
      sym_auto,
    ACTIONS(7905), 1,
      anon_sym_decltype,
    ACTIONS(7907), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4239), 1,
      sym_type_specifier,
    STATE(4333), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5042), 1,
      sym_decltype_auto,
    STATE(5047), 1,
      sym_qualified_type_identifier,
    STATE(6072), 1,
      sym_type_descriptor,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3943), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4979), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7891), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5044), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86937] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5669), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87040] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5670), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87143] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5671), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87246] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5723), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87349] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4978), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8539), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87452] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4580), 1,
      sym_type_specifier,
    STATE(6072), 1,
      sym_type_descriptor,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3953), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87555] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8317), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87658] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4978), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8340), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87761] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8469), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87864] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7927), 1,
      sym_primitive_type,
    ACTIONS(7937), 1,
      sym_auto,
    ACTIONS(7939), 1,
      anon_sym_decltype,
    ACTIONS(7943), 1,
      sym_identifier,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7947), 1,
      anon_sym_enum,
    ACTIONS(7949), 1,
      anon_sym_class,
    ACTIONS(7951), 1,
      anon_sym_struct,
    ACTIONS(7953), 1,
      anon_sym_union,
    ACTIONS(7955), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4186), 1,
      sym_type_specifier,
    STATE(4274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4981), 1,
      sym_decltype_auto,
    STATE(4985), 1,
      sym_qualified_type_identifier,
    STATE(6108), 1,
      sym_type_descriptor,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    STATE(4017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4982), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87967] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3955), 1,
      anon_sym_enum,
    ACTIONS(3957), 1,
      anon_sym_class,
    ACTIONS(3959), 1,
      anon_sym_struct,
    ACTIONS(3961), 1,
      anon_sym_union,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(3989), 1,
      anon_sym_typename,
    ACTIONS(7849), 1,
      sym_identifier,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(4382), 1,
      sym_type_specifier,
    STATE(6072), 1,
      sym_type_descriptor,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    STATE(3958), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88070] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7561), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(7915), 1,
      anon_sym_STAR,
    ACTIONS(7917), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7919), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6122), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7563), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7565), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3879), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4305), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6221), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(7137), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1923), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88277] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8026), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1949), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3707), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5676), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5678), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88498] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4978), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8078), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1953), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88658] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6108), 1,
      sym_type_descriptor,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3632), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5568), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5570), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6251), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6253), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88824] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7998), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1957), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88984] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4323), 1,
      sym_type_specifier,
    STATE(6072), 1,
      sym_type_descriptor,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3982), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89087] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8496), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89190] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4978), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8502), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1919), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89350] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8521), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89453] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4978), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8527), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89556] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7927), 1,
      sym_primitive_type,
    ACTIONS(7937), 1,
      sym_auto,
    ACTIONS(7939), 1,
      anon_sym_decltype,
    ACTIONS(7943), 1,
      sym_identifier,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7947), 1,
      anon_sym_enum,
    ACTIONS(7949), 1,
      anon_sym_class,
    ACTIONS(7951), 1,
      anon_sym_struct,
    ACTIONS(7953), 1,
      anon_sym_union,
    ACTIONS(7955), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4076), 1,
      sym_type_specifier,
    STATE(4274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4981), 1,
      sym_decltype_auto,
    STATE(4985), 1,
      sym_qualified_type_identifier,
    STATE(6108), 1,
      sym_type_descriptor,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    STATE(3955), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4982), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1941), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89716] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4978), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8549), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89819] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8564), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89922] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4978), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8569), 1,
      sym_type_descriptor,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1915), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90082] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5083), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5626), 1,
      sym__type_definition_type,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(3950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6864), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6866), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6846), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6788), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6790), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90409] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7887), 1,
      sym_identifier,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7893), 1,
      sym_primitive_type,
    ACTIONS(7895), 1,
      anon_sym_enum,
    ACTIONS(7897), 1,
      anon_sym_class,
    ACTIONS(7899), 1,
      anon_sym_struct,
    ACTIONS(7901), 1,
      anon_sym_union,
    ACTIONS(7903), 1,
      sym_auto,
    ACTIONS(7905), 1,
      anon_sym_decltype,
    ACTIONS(7907), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4234), 1,
      sym_type_specifier,
    STATE(4333), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5042), 1,
      sym_decltype_auto,
    STATE(5047), 1,
      sym_qualified_type_identifier,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4979), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7891), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5044), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5539), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6176), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [90621] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    ACTIONS(7959), 1,
      sym_auto,
    ACTIONS(7961), 1,
      anon_sym_decltype,
    STATE(4111), 1,
      sym_new_declarator,
    STATE(4205), 1,
      sym_decltype_auto,
    STATE(4068), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6264), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6266), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90693] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6705), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6707), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [90763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5523), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5511), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90875] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5079), 1,
      sym_type_specifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2051), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91031] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3955), 1,
      anon_sym_enum,
    ACTIONS(3957), 1,
      anon_sym_class,
    ACTIONS(3959), 1,
      anon_sym_struct,
    ACTIONS(3961), 1,
      anon_sym_union,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(3989), 1,
      anon_sym_typename,
    ACTIONS(7849), 1,
      sym_identifier,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(4779), 1,
      sym_type_specifier,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91131] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4539), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5357), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2246), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91287] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7927), 1,
      sym_primitive_type,
    ACTIONS(7937), 1,
      sym_auto,
    ACTIONS(7939), 1,
      anon_sym_decltype,
    ACTIONS(7943), 1,
      sym_identifier,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7947), 1,
      anon_sym_enum,
    ACTIONS(7949), 1,
      anon_sym_class,
    ACTIONS(7951), 1,
      anon_sym_struct,
    ACTIONS(7953), 1,
      anon_sym_union,
    ACTIONS(7955), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4082), 1,
      sym_type_specifier,
    STATE(4274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4981), 1,
      sym_decltype_auto,
    STATE(4985), 1,
      sym_qualified_type_identifier,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4982), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5491), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5495), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91499] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3955), 1,
      anon_sym_enum,
    ACTIONS(3957), 1,
      anon_sym_class,
    ACTIONS(3959), 1,
      anon_sym_struct,
    ACTIONS(3961), 1,
      anon_sym_union,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(3989), 1,
      anon_sym_typename,
    ACTIONS(7849), 1,
      sym_identifier,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(4365), 1,
      sym_type_specifier,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6838), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6776), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6778), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91711] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      sym_primitive_type,
    ACTIONS(7877), 1,
      anon_sym_enum,
    ACTIONS(7879), 1,
      anon_sym_class,
    ACTIONS(7881), 1,
      anon_sym_struct,
    ACTIONS(7883), 1,
      anon_sym_union,
    ACTIONS(7885), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(4430), 1,
      sym_type_specifier,
    STATE(4513), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91811] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      anon_sym_STAR,
    ACTIONS(7967), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 1,
      anon_sym_AMP,
    ACTIONS(7973), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6223), 1,
      sym__abstract_declarator,
    ACTIONS(7975), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7977), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3967), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4374), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6221), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6794), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91959] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6669), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6671), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [92027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6842), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6764), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6766), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92139] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      anon_sym_STAR,
    ACTIONS(7967), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 1,
      anon_sym_AMP,
    ACTIONS(7973), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6239), 1,
      sym__abstract_declarator,
    ACTIONS(7975), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7977), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4362), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4724), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [92231] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7921), 1,
      sym_identifier,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7927), 1,
      sym_primitive_type,
    ACTIONS(7929), 1,
      anon_sym_enum,
    ACTIONS(7931), 1,
      anon_sym_class,
    ACTIONS(7933), 1,
      anon_sym_struct,
    ACTIONS(7935), 1,
      anon_sym_union,
    ACTIONS(7937), 1,
      sym_auto,
    ACTIONS(7939), 1,
      anon_sym_decltype,
    ACTIONS(7941), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4271), 1,
      sym_type_specifier,
    STATE(4274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4981), 1,
      sym_decltype_auto,
    STATE(4985), 1,
      sym_qualified_type_identifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4982), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [92331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6858), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6884), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6886), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6768), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6770), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6782), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6794), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6890), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92667] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7985), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    ACTIONS(1959), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1961), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [92729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6834), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7758), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    ACTIONS(1967), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1969), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [92847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7988), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5604), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5606), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6860), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6862), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_STAR,
    ACTIONS(7990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(7998), 1,
      anon_sym_COLON,
    ACTIONS(8000), 1,
      anon_sym___attribute__,
    ACTIONS(8002), 1,
      anon_sym_EQ,
    STATE(3407), 1,
      sym_parameter_list,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6113), 1,
      sym__declarator,
    STATE(6477), 1,
      sym__abstract_declarator,
    STATE(6713), 1,
      sym_abstract_reference_declarator,
    STATE(7389), 1,
      sym_variadic_declarator,
    STATE(7390), 1,
      sym_variadic_reference_declarator,
    STATE(7393), 1,
      sym_semantics,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(7992), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6650), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [93075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6868), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6870), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93131] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4339), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6774), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93287] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_STAR,
    ACTIONS(7990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(7998), 1,
      anon_sym_COLON,
    ACTIONS(8000), 1,
      anon_sym___attribute__,
    ACTIONS(8004), 1,
      anon_sym_EQ,
    STATE(3514), 1,
      sym_parameter_list,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6094), 1,
      sym__declarator,
    STATE(6444), 1,
      sym__abstract_declarator,
    STATE(6684), 1,
      sym_abstract_reference_declarator,
    STATE(7389), 1,
      sym_variadic_declarator,
    STATE(7390), 1,
      sym_variadic_reference_declarator,
    STATE(7393), 1,
      sym_semantics,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(7992), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6650), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [93401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5535), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5507), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93513] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    ACTIONS(7959), 1,
      sym_auto,
    ACTIONS(7961), 1,
      anon_sym_decltype,
    STATE(4124), 1,
      sym_new_declarator,
    STATE(4205), 1,
      sym_decltype_auto,
    STATE(4053), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6268), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6270), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6796), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6798), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6830), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6168), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [93753] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4302), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93853] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6641), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [93923] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    ACTIONS(7959), 1,
      sym_auto,
    ACTIONS(7961), 1,
      anon_sym_decltype,
    STATE(4109), 1,
      sym_new_declarator,
    STATE(4205), 1,
      sym_decltype_auto,
    STATE(4091), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6257), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6259), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4250), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4246), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94107] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    ACTIONS(7959), 1,
      sym_auto,
    ACTIONS(7961), 1,
      anon_sym_decltype,
    STATE(4121), 1,
      sym_new_declarator,
    STATE(4205), 1,
      sym_decltype_auto,
    STATE(4071), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6239), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6241), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6754), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6722), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6762), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6168), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [94403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6800), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6802), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5519), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6898), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6900), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6621), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4077), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6826), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6728), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6730), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6732), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6734), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94851] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6631), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6633), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [94919] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7561), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 1,
      anon_sym_STAR,
    ACTIONS(8008), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8010), 1,
      anon_sym_AMP,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6254), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7563), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7565), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4012), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4355), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6221), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95011] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7887), 1,
      sym_identifier,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7893), 1,
      sym_primitive_type,
    ACTIONS(7895), 1,
      anon_sym_enum,
    ACTIONS(7897), 1,
      anon_sym_class,
    ACTIONS(7899), 1,
      anon_sym_struct,
    ACTIONS(7901), 1,
      anon_sym_union,
    ACTIONS(7903), 1,
      sym_auto,
    ACTIONS(7905), 1,
      anon_sym_decltype,
    ACTIONS(7907), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4312), 1,
      sym_type_specifier,
    STATE(4333), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5042), 1,
      sym_decltype_auto,
    STATE(5047), 1,
      sym_qualified_type_identifier,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4979), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7891), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5044), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95111] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7561), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 1,
      anon_sym_STAR,
    ACTIONS(8008), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8010), 1,
      anon_sym_AMP,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6263), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7563), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7565), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4385), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6796), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6798), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95259] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4951), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6738), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6744), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6746), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95471] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7927), 1,
      sym_primitive_type,
    ACTIONS(7937), 1,
      sym_auto,
    ACTIONS(7939), 1,
      anon_sym_decltype,
    ACTIONS(7943), 1,
      sym_identifier,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7947), 1,
      anon_sym_enum,
    ACTIONS(7949), 1,
      anon_sym_class,
    ACTIONS(7951), 1,
      anon_sym_struct,
    ACTIONS(7953), 1,
      anon_sym_union,
    ACTIONS(7955), 1,
      anon_sym_typename,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4195), 1,
      sym_type_specifier,
    STATE(4274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4981), 1,
      sym_decltype_auto,
    STATE(4985), 1,
      sym_qualified_type_identifier,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4982), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95571] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8019), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8016), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8014), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8012), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [95635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6758), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5531), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95747] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4770), 1,
      sym_type_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1971), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95903] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6685), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6687), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [95973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6162), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6172), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6172), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7988), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8022), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5572), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5574), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96201] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6673), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6675), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [96271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6804), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6806), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6176), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6810), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5357), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2246), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5527), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1935), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6814), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96663] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3955), 1,
      anon_sym_enum,
    ACTIONS(3957), 1,
      anon_sym_class,
    ACTIONS(3959), 1,
      anon_sym_struct,
    ACTIONS(3961), 1,
      anon_sym_union,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(3989), 1,
      anon_sym_typename,
    ACTIONS(7849), 1,
      sym_identifier,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(4319), 1,
      sym_type_specifier,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96763] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8027), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8024), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8014), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8012), 27,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [96827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6762), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5499), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5503), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6162), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [97107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6822), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6776), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6778), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97218] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6242), 1,
      sym__declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6864), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6866), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97366] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7311), 1,
      anon_sym_STAR,
    ACTIONS(7313), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7315), 1,
      anon_sym_AMP,
    ACTIONS(7317), 1,
      anon_sym_COLON_COLON,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5727), 1,
      sym__scope_resolution,
    STATE(6561), 1,
      sym__declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6834), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6838), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6822), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6754), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97679] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6359), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6758), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6826), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97882] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7149), 1,
      anon_sym_STAR,
    ACTIONS(7151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7153), 1,
      anon_sym_AMP,
    ACTIONS(7155), 1,
      anon_sym_COLON_COLON,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5779), 1,
      sym__scope_resolution,
    STATE(6655), 1,
      sym__declarator,
    STATE(8122), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97975] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7311), 1,
      anon_sym_STAR,
    ACTIONS(7313), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7315), 1,
      anon_sym_AMP,
    ACTIONS(7317), 1,
      anon_sym_COLON_COLON,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5727), 1,
      sym__scope_resolution,
    STATE(6558), 1,
      sym__declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6782), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98123] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7149), 1,
      anon_sym_STAR,
    ACTIONS(7151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7153), 1,
      anon_sym_AMP,
    ACTIONS(7155), 1,
      anon_sym_COLON_COLON,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5779), 1,
      sym__scope_resolution,
    STATE(6656), 1,
      sym__declarator,
    STATE(8122), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6884), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6886), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98271] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7149), 1,
      anon_sym_STAR,
    ACTIONS(7151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7153), 1,
      anon_sym_AMP,
    ACTIONS(7155), 1,
      anon_sym_COLON_COLON,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5779), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym__declarator,
    STATE(8122), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4250), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4246), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98419] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6236), 1,
      sym__declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98512] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7141), 1,
      anon_sym_STAR,
    ACTIONS(7143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6266), 1,
      sym__declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    ACTIONS(7913), 1,
      anon_sym_LBRACE,
    STATE(4127), 1,
      sym_enumerator_list,
    STATE(4216), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5877), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(2694), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5562), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5664), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5666), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [98731] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6373), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6890), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6162), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [98989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6842), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6860), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6862), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6788), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6790), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6804), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6806), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6846), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6172), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [99319] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7555), 1,
      anon_sym_STAR,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      sym_auto,
    ACTIONS(8034), 1,
      anon_sym_decltype,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4917), 1,
      sym_decltype_auto,
    STATE(5895), 1,
      sym__abstract_declarator,
    STATE(6049), 1,
      sym__function_declarator_seq,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4222), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8030), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [99406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6764), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6766), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6768), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6774), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99571] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7141), 1,
      anon_sym_STAR,
    ACTIONS(7143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6252), 1,
      sym__declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99664] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6413), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99757] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7555), 1,
      anon_sym_STAR,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      sym_auto,
    ACTIONS(8034), 1,
      anon_sym_decltype,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4917), 1,
      sym_decltype_auto,
    STATE(5870), 1,
      sym__abstract_declarator,
    STATE(6049), 1,
      sym__function_declarator_seq,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4190), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8036), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [99844] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7141), 1,
      anon_sym_STAR,
    ACTIONS(7143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6260), 1,
      sym__declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6728), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6730), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6738), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    ACTIONS(7913), 1,
      anon_sym_LBRACE,
    STATE(4131), 1,
      sym_enumerator_list,
    STATE(4213), 1,
      sym_attribute_specifier,
    ACTIONS(5805), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5807), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6830), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100165] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6251), 1,
      sym__declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6168), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [100313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6176), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [100368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6744), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6746), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100423] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6359), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6732), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6734), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6810), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100626] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6413), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6722), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100774] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6373), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100867] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7311), 1,
      anon_sym_STAR,
    ACTIONS(7313), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7315), 1,
      anon_sym_AMP,
    ACTIONS(7317), 1,
      anon_sym_COLON_COLON,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(5727), 1,
      sym__scope_resolution,
    STATE(6554), 1,
      sym__declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6800), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6802), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101015] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      anon_sym_COLON,
    STATE(2492), 1,
      sym_attribute_specifier,
    STATE(2665), 1,
      sym__enum_base_clause,
    STATE(2734), 1,
      sym_enumerator_list,
    ACTIONS(6024), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6026), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [101082] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      anon_sym_COLON,
    STATE(2505), 1,
      sym_attribute_specifier,
    STATE(2663), 1,
      sym__enum_base_clause,
    STATE(2723), 1,
      sym_enumerator_list,
    ACTIONS(6011), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6013), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [101149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6858), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4191), 1,
      sym_attribute_specifier,
    ACTIONS(5959), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5961), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101262] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6460), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4206), 1,
      sym_attribute_specifier,
    ACTIONS(5955), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5957), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101410] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(4286), 1,
      sym_new_declarator,
    STATE(4068), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6264), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6266), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8060), 1,
      anon_sym_LT,
    STATE(2694), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2927), 1,
      sym_template_argument_list,
    ACTIONS(5562), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4075), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4083), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [101544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4224), 1,
      sym_attribute_specifier,
    ACTIONS(5947), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5949), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    STATE(4044), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6465), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6467), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101662] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8062), 1,
      anon_sym_STAR,
    ACTIONS(8064), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8066), 1,
      anon_sym_AMP,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6433), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4536), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    STATE(4051), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6489), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6491), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4200), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5988), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101870] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8062), 1,
      anon_sym_STAR,
    ACTIONS(8064), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8066), 1,
      anon_sym_AMP,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6416), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4110), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4531), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6221), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101960] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(4285), 1,
      sym_new_declarator,
    STATE(4091), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6257), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6259), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102030] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8068), 1,
      anon_sym_STAR,
    ACTIONS(8070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6368), 1,
      sym__abstract_declarator,
    ACTIONS(7975), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7977), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4120), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4517), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6221), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4223), 1,
      sym_attribute_specifier,
    ACTIONS(5951), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5953), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4219), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5945), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4215), 1,
      sym_attribute_specifier,
    ACTIONS(5971), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5973), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102294] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(4275), 1,
      sym_new_declarator,
    STATE(4071), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6239), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6241), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102364] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8068), 1,
      anon_sym_STAR,
    ACTIONS(8070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6392), 1,
      sym__abstract_declarator,
    ACTIONS(7975), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7977), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4724), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    STATE(4085), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6454), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6456), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4218), 1,
      sym_attribute_specifier,
    ACTIONS(5979), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5981), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102572] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8074), 1,
      anon_sym_STAR,
    ACTIONS(8076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6355), 1,
      sym__abstract_declarator,
    ACTIONS(7975), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7977), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4128), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4540), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6221), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    STATE(4072), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6497), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6499), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102722] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6343), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4104), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4554), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6221), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4208), 1,
      sym_attribute_specifier,
    ACTIONS(5963), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5965), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4192), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5969), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102928] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8074), 1,
      anon_sym_STAR,
    ACTIONS(8076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6364), 1,
      sym__abstract_declarator,
    ACTIONS(7975), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7977), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4542), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4724), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4204), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5941), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103076] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(4278), 1,
      sym_new_declarator,
    STATE(4053), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6268), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6270), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym___attribute__,
    STATE(4221), 1,
      sym_attribute_specifier,
    ACTIONS(5975), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5977), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8080), 1,
      anon_sym_LT,
    STATE(2927), 1,
      sym_template_argument_list,
    ACTIONS(1959), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1961), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [103263] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    ACTIONS(8097), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6663), 1,
      sym__type_declarator,
    STATE(8491), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4136), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4771), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5720), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103405] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8103), 1,
      anon_sym_STAR,
    ACTIONS(8105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8107), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(6594), 1,
      sym__type_declarator,
    STATE(8232), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4757), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103494] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    ACTIONS(8097), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6669), 1,
      sym__type_declarator,
    STATE(8491), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4772), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103583] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    ACTIONS(8097), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6669), 1,
      sym__type_declarator,
    STATE(8491), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4138), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4772), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    ACTIONS(8097), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6675), 1,
      sym__type_declarator,
    STATE(8491), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4773), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8113), 32,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [103814] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1972), 1,
      sym_alignas_qualifier,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4327), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5908), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8119), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8117), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [103881] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2597), 1,
      sym__type_declarator,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8051), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4769), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(2266), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104023] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6498), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4144), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4761), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6221), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104112] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6503), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4763), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104201] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8133), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LPAREN2,
    ACTIONS(8137), 1,
      anon_sym_STAR,
    ACTIONS(8139), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8141), 1,
      anon_sym_AMP,
    ACTIONS(8145), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3277), 1,
      sym__type_declarator,
    STATE(3547), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8654), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4156), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4802), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3545), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5787), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104343] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      sym_primitive_type,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6068), 1,
      sym__type_declarator,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(8437), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4792), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104432] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8153), 1,
      sym_identifier,
    ACTIONS(8155), 1,
      anon_sym_LPAREN2,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3193), 1,
      sym__type_declarator,
    STATE(3439), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8648), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4739), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3424), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104521] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2597), 1,
      sym__type_declarator,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8051), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4170), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4769), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7959), 1,
      sym_auto,
    ACTIONS(7961), 1,
      anon_sym_decltype,
    STATE(4205), 1,
      sym_decltype_auto,
    ACTIONS(5767), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5769), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(2294), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104722] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8103), 1,
      anon_sym_STAR,
    ACTIONS(8105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8107), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(6593), 1,
      sym__type_declarator,
    STATE(8232), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4756), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104811] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8153), 1,
      sym_identifier,
    ACTIONS(8155), 1,
      anon_sym_LPAREN2,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3193), 1,
      sym__type_declarator,
    STATE(3439), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8648), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4162), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4739), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3424), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5678), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104955] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      sym_primitive_type,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6001), 1,
      sym__type_declarator,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(8437), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4147), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4766), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105044] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8133), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LPAREN2,
    ACTIONS(8137), 1,
      anon_sym_STAR,
    ACTIONS(8139), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8141), 1,
      anon_sym_AMP,
    ACTIONS(8145), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3283), 1,
      sym__type_declarator,
    STATE(3547), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8654), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4767), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3545), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105133] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8133), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LPAREN2,
    ACTIONS(8137), 1,
      anon_sym_STAR,
    ACTIONS(8139), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8141), 1,
      anon_sym_AMP,
    ACTIONS(8145), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3283), 1,
      sym__type_declarator,
    STATE(3547), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8654), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4161), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4767), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3545), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8169), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8167), 32,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [105275] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      sym_primitive_type,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6104), 1,
      sym__type_declarator,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(8437), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4806), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105364] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6223), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6227), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(7990), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6221), 1,
      sym__declarator,
    STATE(6499), 1,
      sym__abstract_declarator,
    STATE(7293), 1,
      sym_variadic_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(8173), 2,
      anon_sym_COLON,
      anon_sym___attribute__,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8171), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [105463] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8133), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LPAREN2,
    ACTIONS(8137), 1,
      anon_sym_STAR,
    ACTIONS(8139), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8141), 1,
      anon_sym_AMP,
    ACTIONS(8145), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3230), 1,
      sym__type_declarator,
    STATE(3547), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8654), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4797), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3545), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105552] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8153), 1,
      sym_identifier,
    ACTIONS(8155), 1,
      anon_sym_LPAREN2,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3218), 1,
      sym__type_declarator,
    STATE(3439), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8648), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4788), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3424), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5751), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105694] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      sym_primitive_type,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6068), 1,
      sym__type_declarator,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(8437), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4159), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4792), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8060), 1,
      anon_sym_LT,
    STATE(2927), 1,
      sym_template_argument_list,
    ACTIONS(1967), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1969), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [105842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5905), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8169), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8167), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [105948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8113), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [106001] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2619), 1,
      sym__type_declarator,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8051), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4141), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4787), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106090] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2627), 1,
      sym__type_declarator,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8051), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4755), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106179] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6318), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4175), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4816), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106268] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    STATE(4408), 1,
      sym_alignas_qualifier,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4304), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4345), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5820), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8119), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8117), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [106335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5837), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106388] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8103), 1,
      anon_sym_STAR,
    ACTIONS(8105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8107), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(6627), 1,
      sym__type_declarator,
    STATE(8232), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4152), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4754), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106477] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6315), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4750), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106566] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6315), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4178), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4750), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106655] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8153), 1,
      sym_identifier,
    ACTIONS(8155), 1,
      anon_sym_LPAREN2,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3153), 1,
      sym__type_declarator,
    STATE(3439), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8648), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4148), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4672), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3424), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106744] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6306), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4752), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106833] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8103), 1,
      anon_sym_STAR,
    ACTIONS(8105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8107), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(6593), 1,
      sym__type_declarator,
    STATE(8232), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8093), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4135), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4756), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7561), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5869), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5795), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(4111), 1,
      sym_new_declarator,
    STATE(4068), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6264), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6266), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5779), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5825), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107198] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7561), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6570), 1,
      sym__abstract_declarator,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7563), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7565), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4909), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6235), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107286] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(7915), 1,
      anon_sym_STAR,
    ACTIONS(7917), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7919), 1,
      anon_sym_AMP,
    ACTIONS(8032), 1,
      sym_auto,
    ACTIONS(8034), 1,
      anon_sym_decltype,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4917), 1,
      sym_decltype_auto,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6183), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4334), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8030), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107370] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7555), 1,
      anon_sym_STAR,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5901), 1,
      sym__abstract_declarator,
    STATE(6049), 1,
      sym__function_declarator_seq,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6235), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [107448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5821), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5873), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107552] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7555), 1,
      anon_sym_STAR,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5930), 1,
      sym__abstract_declarator,
    STATE(6049), 1,
      sym__function_declarator_seq,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8187), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [107630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5829), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5893), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8189), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    ACTIONS(1969), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1967), 32,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [107792] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7555), 1,
      anon_sym_STAR,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5933), 1,
      sym__abstract_declarator,
    STATE(6049), 1,
      sym__function_declarator_seq,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6912), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [107870] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(7915), 1,
      anon_sym_STAR,
    ACTIONS(7917), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7919), 1,
      anon_sym_AMP,
    ACTIONS(8032), 1,
      sym_auto,
    ACTIONS(8034), 1,
      anon_sym_decltype,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4917), 1,
      sym_decltype_auto,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6155), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4294), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5678), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5885), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108058] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    ACTIONS(6902), 1,
      anon_sym_LBRACE,
    ACTIONS(8191), 1,
      anon_sym_COLON,
    STATE(2893), 1,
      sym__enum_base_clause,
    STATE(2934), 1,
      sym_enumerator_list,
    STATE(2984), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6013), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [108122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5865), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5791), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108226] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(4121), 1,
      sym_new_declarator,
    STATE(4071), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6239), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6241), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108294] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(4109), 1,
      sym_new_declarator,
    STATE(4091), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6257), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6259), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5813), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5901), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5833), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5799), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5897), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5909), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5813), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5889), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108778] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_LPAREN2,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(4124), 1,
      sym_new_declarator,
    STATE(4053), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6268), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6270), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5881), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5783), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5678), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5841), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5845), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109106] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7561), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(4167), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6560), 1,
      sym__abstract_declarator,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7563), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7565), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4185), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4887), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6221), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5803), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5861), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8189), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    ACTIONS(1961), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1959), 32,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [109356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5849), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109408] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7555), 1,
      anon_sym_STAR,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(5912), 1,
      sym__abstract_declarator,
    STATE(6049), 1,
      sym__function_declarator_seq,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8193), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [109486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5817), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5857), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109590] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    ACTIONS(6902), 1,
      anon_sym_LBRACE,
    ACTIONS(8191), 1,
      anon_sym_COLON,
    STATE(2887), 1,
      sym__enum_base_clause,
    STATE(2929), 1,
      sym_enumerator_list,
    STATE(2962), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6026), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [109654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5813), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5779), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6814), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109809] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    STATE(2952), 1,
      sym_decltype_auto,
    STATE(4405), 1,
      sym_new_declarator,
    STATE(4879), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6268), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6270), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109876] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6645), 1,
      sym__field_declarator,
    STATE(6743), 1,
      sym_operator_name,
    STATE(8233), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4939), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109961] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    STATE(2952), 1,
      sym_decltype_auto,
    STATE(4392), 1,
      sym_new_declarator,
    STATE(4900), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6239), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6241), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110028] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6643), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [110113] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8239), 1,
      anon_sym_QMARK,
    ACTIONS(8241), 1,
      anon_sym_or,
    ACTIONS(8243), 1,
      anon_sym_and,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6856), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [110216] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      anon_sym_STAR,
    ACTIONS(7967), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8247), 1,
      sym_auto,
    ACTIONS(8249), 1,
      anon_sym_decltype,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(4999), 1,
      sym_decltype_auto,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6209), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4375), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110299] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6643), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [110390] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6645), 1,
      sym__field_declarator,
    STATE(6743), 1,
      sym_operator_name,
    STATE(8233), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4237), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4939), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110475] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6647), 1,
      sym__field_declarator,
    STATE(6743), 1,
      sym_operator_name,
    STATE(8233), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4940), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110560] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6119), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8681), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4240), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4976), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110645] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      anon_sym_STAR,
    ACTIONS(7967), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8247), 1,
      sym_auto,
    ACTIONS(8249), 1,
      anon_sym_decltype,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(4999), 1,
      sym_decltype_auto,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6269), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4356), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8030), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110728] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6182), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8681), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4984), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110813] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [110886] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8241), 1,
      anon_sym_or,
    ACTIONS(8243), 1,
      anon_sym_and,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7054), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [110985] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6643), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [111068] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8259), 1,
      anon_sym_STAR,
    ACTIONS(8261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8263), 1,
      anon_sym_AMP,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6631), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4934), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6235), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111155] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6223), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6227), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6221), 1,
      sym__declarator,
    STATE(6499), 1,
      sym__abstract_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(8173), 2,
      anon_sym_COLON,
      anon_sym___attribute__,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8171), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [111248] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8239), 1,
      anon_sym_QMARK,
    ACTIONS(8241), 1,
      anon_sym_or,
    ACTIONS(8243), 1,
      anon_sym_and,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7062), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7064), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [111351] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6643), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [111440] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(4384), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5664), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5666), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111501] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8267), 1,
      anon_sym_STAR,
    ACTIONS(8269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8271), 1,
      anon_sym_AMP,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6611), 1,
      sym__abstract_declarator,
    ACTIONS(7975), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7977), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4251), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4914), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6221), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111588] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
    STATE(4384), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4075), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4083), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111649] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8267), 1,
      anon_sym_STAR,
    ACTIONS(8269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8271), 1,
      anon_sym_AMP,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6613), 1,
      sym__abstract_declarator,
    ACTIONS(7975), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7977), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4724), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6235), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111736] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6641), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [111805] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    STATE(2952), 1,
      sym_decltype_auto,
    STATE(4403), 1,
      sym_new_declarator,
    STATE(4861), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6257), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6259), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111872] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8239), 1,
      anon_sym_QMARK,
    ACTIONS(8241), 1,
      anon_sym_or,
    ACTIONS(8243), 1,
      anon_sym_and,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8273), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8275), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [111975] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6641), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [112054] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8241), 1,
      anon_sym_or,
    ACTIONS(8243), 1,
      anon_sym_and,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7014), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [112153] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8259), 1,
      anon_sym_STAR,
    ACTIONS(8261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8263), 1,
      anon_sym_AMP,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6621), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4244), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4930), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6221), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112240] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8241), 1,
      anon_sym_or,
    ACTIONS(8243), 1,
      anon_sym_and,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7080), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [112339] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6635), 1,
      sym__field_declarator,
    STATE(6743), 1,
      sym_operator_name,
    STATE(8233), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4230), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4938), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112424] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6170), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8681), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4261), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4920), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112509] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6119), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8681), 1,
      sym_ms_based_modifier,
    ACTIONS(4051), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4976), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4049), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112594] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [112669] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8241), 1,
      anon_sym_or,
    ACTIONS(8243), 1,
      anon_sym_and,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7076), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [112768] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 1,
      anon_sym_STAR,
    ACTIONS(8008), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8010), 1,
      anon_sym_AMP,
    ACTIONS(8032), 1,
      sym_auto,
    ACTIONS(8034), 1,
      anon_sym_decltype,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4917), 1,
      sym_decltype_auto,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6241), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8030), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112851] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8243), 1,
      anon_sym_and,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6641), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [112946] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6641), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6643), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [113017] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8241), 1,
      anon_sym_or,
    ACTIONS(8243), 1,
      anon_sym_and,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7127), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [113116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6868), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6870), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113167] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    STATE(2952), 1,
      sym_decltype_auto,
    STATE(4394), 1,
      sym_new_declarator,
    STATE(4848), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6264), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6266), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6898), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6900), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113285] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 1,
      anon_sym_STAR,
    ACTIONS(8008), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8010), 1,
      anon_sym_AMP,
    ACTIONS(8032), 1,
      sym_auto,
    ACTIONS(8034), 1,
      anon_sym_decltype,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(4917), 1,
      sym_decltype_auto,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6258), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4359), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113368] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8221), 1,
      anon_sym_GT_EQ,
    ACTIONS(8225), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8227), 1,
      anon_sym_not_eq,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_CARET,
    ACTIONS(8239), 1,
      anon_sym_QMARK,
    ACTIONS(8241), 1,
      anon_sym_or,
    ACTIONS(8243), 1,
      anon_sym_and,
    ACTIONS(8245), 1,
      anon_sym_xor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7058), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8209), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8211), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8215), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8235), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8219), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7060), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [113471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      sym_literal_suffix,
    ACTIONS(4085), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4077), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8277), 1,
      sym_identifier,
    ACTIONS(8281), 1,
      sym_primitive_type,
    STATE(4280), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5696), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [113581] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(4085), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6454), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6456), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6689), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4279), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5004), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6221), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7137), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113773] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(4072), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6497), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6499), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113829] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6717), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6235), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4281), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5587), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8283), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5673), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5670), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [113971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4281), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8283), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5589), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5587), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [114025] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(4397), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5664), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(8286), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5666), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [114085] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8292), 1,
      anon_sym_AMP,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6685), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4289), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6221), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114171] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8294), 1,
      anon_sym_LT,
    STATE(4397), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4594), 1,
      sym_template_argument_list,
    ACTIONS(4075), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(8286), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4083), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [114231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(4044), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6465), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6467), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(4051), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6489), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6491), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114343] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym_const,
    STATE(4408), 1,
      sym_alignas_qualifier,
    ACTIONS(8306), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8298), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8300), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8296), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [114403] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8312), 1,
      anon_sym_const,
    STATE(1972), 1,
      sym_alignas_qualifier,
    ACTIONS(8315), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4288), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8298), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8309), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8296), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [114463] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8292), 1,
      anon_sym_AMP,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(4158), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6687), 1,
      sym__abstract_declarator,
    ACTIONS(8048), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8050), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6235), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5487), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [114598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4291), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8318), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5589), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5587), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [114651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5539), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5519), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114749] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(7915), 1,
      anon_sym_STAR,
    ACTIONS(7917), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7919), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6139), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8187), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5495), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5531), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1935), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5523), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [115020] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
    ACTIONS(1959), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(1961), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [115075] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8347), 1,
      anon_sym_SEMI,
    ACTIONS(8349), 1,
      anon_sym_QMARK,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(6777), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8282), 1,
      sym_attribute_specifier,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [115178] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
    ACTIONS(1967), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(1969), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [115233] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    ACTIONS(8074), 1,
      anon_sym_STAR,
    ACTIONS(8076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6469), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4541), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115314] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1972), 1,
      sym_alignas_qualifier,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4288), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8119), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8117), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [115373] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    STATE(4408), 1,
      sym_alignas_qualifier,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8359), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8357), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [115432] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(7915), 1,
      anon_sym_STAR,
    ACTIONS(7917), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7919), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6190), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [115556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [115605] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8349), 1,
      anon_sym_QMARK,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    ACTIONS(8361), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(6776), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8679), 1,
      sym_attribute_specifier,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [115708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5604), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5606), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115759] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8247), 1,
      sym_auto,
    ACTIONS(8249), 1,
      anon_sym_decltype,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(4999), 1,
      sym_decltype_auto,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6350), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8030), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [115889] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8247), 1,
      sym_auto,
    ACTIONS(8249), 1,
      anon_sym_decltype,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(4999), 1,
      sym_decltype_auto,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6385), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115970] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_STAR,
    ACTIONS(6299), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6301), 1,
      anon_sym_AMP,
    STATE(3407), 1,
      sym_parameter_list,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6221), 1,
      sym__declarator,
    STATE(6629), 1,
      sym__abstract_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(8171), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8173), 2,
      anon_sym_COLON,
      anon_sym___attribute__,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [116061] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8068), 1,
      anon_sym_STAR,
    ACTIONS(8070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_decltype_auto,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6419), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4516), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8030), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8367), 1,
      anon_sym_and,
    ACTIONS(5604), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5606), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5527), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [116244] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8349), 1,
      anon_sym_QMARK,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    ACTIONS(8369), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(6818), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8671), 1,
      sym_attribute_specifier,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [116347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1971), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [116396] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8068), 1,
      anon_sym_STAR,
    ACTIONS(8070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_decltype_auto,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6348), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7137), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5511), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [116575] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8367), 1,
      anon_sym_and,
    ACTIONS(8371), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8373), 1,
      anon_sym_or,
    ACTIONS(5572), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5574), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116632] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    ACTIONS(8062), 1,
      anon_sym_STAR,
    ACTIONS(8064), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8066), 1,
      anon_sym_AMP,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6448), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4526), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8030), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4291), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5587), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8318), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5673), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5670), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [116768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5499), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [116817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5535), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [116866] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1972), 1,
      sym_alignas_qualifier,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4288), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8359), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8357), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [116925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5507), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [116974] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(7915), 1,
      anon_sym_STAR,
    ACTIONS(7917), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7919), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6175), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6912), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5503), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [117098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5491), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [117147] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_STAR,
    ACTIONS(6278), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6280), 1,
      anon_sym_AMP,
    STATE(3514), 1,
      sym_parameter_list,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6221), 1,
      sym__declarator,
    STATE(6641), 1,
      sym__abstract_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(8171), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8173), 2,
      anon_sym_COLON,
      anon_sym___attribute__,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [117238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8375), 1,
      sym_identifier,
    ACTIONS(8379), 1,
      sym_primitive_type,
    STATE(4324), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8377), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5696), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [117295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(7915), 1,
      anon_sym_STAR,
    ACTIONS(7917), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7919), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6153), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8193), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      sym_literal_suffix,
    ACTIONS(4085), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4077), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8381), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5572), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5574), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117474] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    ACTIONS(8074), 1,
      anon_sym_STAR,
    ACTIONS(8076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6434), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4538), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8030), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    STATE(4408), 1,
      sym_alignas_qualifier,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8119), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8117), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [117614] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    ACTIONS(8062), 1,
      anon_sym_STAR,
    ACTIONS(8064), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8066), 1,
      anon_sym_AMP,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6399), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4532), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8294), 1,
      anon_sym_LT,
    STATE(4594), 1,
      sym_template_argument_list,
    ACTIONS(1959), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1961), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117749] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(6641), 1,
      anon_sym_PIPE,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [117831] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [117909] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6641), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [117975] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8403), 1,
      anon_sym_COMMA,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8413), 1,
      anon_sym_SEMI,
    ACTIONS(8415), 1,
      anon_sym_RBRACE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7286), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [118075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8425), 1,
      anon_sym___attribute__,
    STATE(4345), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8423), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8421), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [118127] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [118203] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [118293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4353), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5676), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8428), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5678), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118345] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [118439] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 1,
      anon_sym_STAR,
    ACTIONS(8008), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8010), 1,
      anon_sym_AMP,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6257), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8193), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118513] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(6641), 1,
      anon_sym_PIPE,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [118597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4378), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5726), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8430), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5728), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4281), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5722), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8432), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5724), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118701] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      anon_sym_COLON,
    ACTIONS(7973), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8434), 1,
      anon_sym_STAR,
    ACTIONS(8436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8438), 1,
      anon_sym_AMP,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6775), 1,
      sym__abstract_declarator,
    ACTIONS(7975), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7977), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4361), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118785] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 1,
      anon_sym_STAR,
    ACTIONS(8008), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8010), 1,
      anon_sym_AMP,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6263), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      anon_sym_STAR,
    ACTIONS(7967), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6206), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8193), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4281), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5732), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8432), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5734), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118985] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [119075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 1,
      anon_sym_STAR,
    ACTIONS(8008), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8010), 1,
      anon_sym_AMP,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6264), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8187), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119149] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8294), 1,
      anon_sym_LT,
    STATE(4594), 1,
      sym_template_argument_list,
    ACTIONS(1967), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1969), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [119203] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6235), 1,
      anon_sym_COLON,
    ACTIONS(7973), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8434), 1,
      anon_sym_STAR,
    ACTIONS(8436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8438), 1,
      anon_sym_AMP,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6787), 1,
      sym__abstract_declarator,
    ACTIONS(7975), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7977), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4724), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5087), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119287] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      anon_sym_STAR,
    ACTIONS(7967), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6250), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6912), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119361] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [119449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2330), 27,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [119497] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_decltype_auto,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6491), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119577] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [119667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4357), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5736), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8440), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [119719] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8444), 1,
      anon_sym_RPAREN,
    ACTIONS(8446), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7331), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [119819] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [119887] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [119957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8448), 1,
      anon_sym___attribute__,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8423), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8421), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [120009] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7060), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [120103] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7064), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [120197] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      anon_sym_STAR,
    ACTIONS(7967), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6239), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120271] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      anon_sym_STAR,
    ACTIONS(7967), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6218), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8187), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120345] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [120435] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [120521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4281), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5745), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8432), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5747), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120573] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [120663] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [120735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4353), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5718), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8428), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5720), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120787] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_decltype_auto,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6520), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4760), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8030), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5474), 27,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [120915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4281), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5712), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8432), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5714), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 1,
      anon_sym_STAR,
    ACTIONS(8008), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8010), 1,
      anon_sym_AMP,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(4408), 1,
      sym_alignas_qualifier,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6197), 1,
      sym__abstract_declarator,
    ACTIONS(7107), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6912), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7095), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1498), 1,
      sym__fold_operator,
    ACTIONS(8453), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8451), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121090] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8349), 1,
      anon_sym_QMARK,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8455), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [121183] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8189), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4075), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5548), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4083), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [121240] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_COMMA,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8483), 1,
      anon_sym_RBRACK,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7256), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121337] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8493), 1,
      anon_sym_COMMA,
    ACTIONS(8495), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7480), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121434] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8497), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(4859), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6454), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6456), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121582] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(4880), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5664), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8499), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5666), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [121639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(4907), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6489), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6491), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4396), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5678), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4291), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5722), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8503), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5724), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4291), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5712), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8503), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5714), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4400), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5726), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8505), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5728), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4401), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5736), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8507), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4291), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5745), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8503), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5747), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4291), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5732), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8503), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5734), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4396), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5718), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5720), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(4911), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6465), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6467), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122153] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8493), 1,
      anon_sym_COMMA,
    ACTIONS(8509), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7221), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    ACTIONS(8195), 1,
      anon_sym_LPAREN2,
    STATE(4905), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6497), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6499), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122303] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8493), 1,
      anon_sym_COMMA,
    ACTIONS(8511), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8513), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7480), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122400] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8493), 1,
      anon_sym_COMMA,
    ACTIONS(8515), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7480), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(2320), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [122544] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [122633] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8519), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7121), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122730] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8521), 1,
      anon_sym_COMMA,
    ACTIONS(8523), 1,
      anon_sym_RBRACE,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7125), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122827] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8563), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7143), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122924] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8349), 1,
      anon_sym_QMARK,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123017] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6641), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [123082] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [123169] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [123254] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(6641), 1,
      anon_sym_PIPE,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [123337] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(6641), 1,
      anon_sym_PIPE,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [123418] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [123495] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [123570] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [123641] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [123708] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_COMMA,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8565), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7174), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123805] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [123874] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [123963] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8567), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7276), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124060] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8349), 1,
      anon_sym_QMARK,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7060), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124153] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [124242] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8349), 1,
      anon_sym_QMARK,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7064), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124335] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8569), 1,
      sym_auto,
    ACTIONS(8571), 1,
      anon_sym_decltype,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6567), 1,
      sym__abstract_declarator,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4866), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8036), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124414] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8575), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7363), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5664), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5548), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5666), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [124568] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8577), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7206), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124665] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    STATE(4849), 1,
      sym_field_declaration_list,
    STATE(4927), 1,
      sym_attribute_specifier,
    STATE(6976), 1,
      sym_virtual_specifier,
    STATE(7721), 1,
      sym_base_class_clause,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5685), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5687), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [124728] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8581), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7392), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6655), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [124872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5476), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [124919] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_RBRACE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8583), 1,
      anon_sym_COMMA,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7286), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125016] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8585), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7373), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125113] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(8589), 1,
      anon_sym_RBRACE,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7385), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125210] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8591), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7416), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125307] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8593), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7298), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125404] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8595), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7498), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125501] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8597), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7119), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125598] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8493), 1,
      anon_sym_COMMA,
    ACTIONS(8511), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8599), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7480), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125695] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_RPAREN,
    ACTIONS(8603), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125792] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8605), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7288), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125889] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(8609), 1,
      anon_sym_RBRACE,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7297), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125986] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8611), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7303), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126083] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8446), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7331), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126180] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8613), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7531), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126277] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
    STATE(4384), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4075), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4083), 27,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [126334] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8569), 1,
      sym_auto,
    ACTIONS(8571), 1,
      anon_sym_decltype,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6540), 1,
      sym__abstract_declarator,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4846), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8030), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126413] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8615), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7500), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126510] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8617), 1,
      anon_sym_COMMA,
    ACTIONS(8619), 1,
      anon_sym_RBRACE,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7505), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126607] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8621), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7512), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126704] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8623), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7235), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126801] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8625), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7347), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126898] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8627), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7252), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126995] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8629), 1,
      anon_sym_COMMA,
    ACTIONS(8631), 1,
      anon_sym_RBRACE,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7345), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127092] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8633), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7371), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127189] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8635), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7473), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127286] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8637), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7494), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127383] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8639), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7232), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127480] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8641), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7254), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127577] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7267), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127674] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8645), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7314), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127771] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8647), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7470), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127868] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8649), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7491), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127965] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8651), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7233), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128062] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8653), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7428), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128159] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8655), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7218), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128256] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8657), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7375), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128353] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8659), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7468), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128450] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8661), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7120), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128547] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8663), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7154), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128644] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8665), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7183), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128741] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8667), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7197), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128838] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8669), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7224), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128935] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8671), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7241), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129032] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8673), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7263), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129129] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8675), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7289), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129226] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8677), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7299), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129323] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    ACTIONS(8679), 1,
      anon_sym_GT2,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    STATE(7320), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129420] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [129509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6691), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6693), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [129556] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [129645] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8413), 1,
      anon_sym_SEMI,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8681), 1,
      anon_sym_COMMA,
    ACTIONS(8684), 1,
      anon_sym_RBRACE,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129742] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8497), 1,
      anon_sym_SEMI,
    ACTIONS(8686), 1,
      anon_sym_COMMA,
    ACTIONS(8689), 1,
      anon_sym_RBRACE,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(2694), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5664), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5562), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5666), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [129896] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8327), 1,
      anon_sym_SLASH,
    ACTIONS(8333), 1,
      anon_sym_PIPE,
    ACTIONS(8337), 1,
      anon_sym_AMP,
    ACTIONS(8343), 1,
      anon_sym_GT_EQ,
    ACTIONS(8349), 1,
      anon_sym_QMARK,
    ACTIONS(8351), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8353), 1,
      anon_sym_bitor,
    ACTIONS(8355), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8325), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8331), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8335), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8345), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8339), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8691), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [129989] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8493), 1,
      anon_sym_COMMA,
    ACTIONS(8693), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7480), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130086] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8697), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8695), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6681), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6683), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [130228] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_COMMA,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8699), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    STATE(7446), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130325] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 1,
      anon_sym_PIPE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [130405] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8727), 1,
      anon_sym_COLON,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7137), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130545] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8737), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4374), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4369), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [130687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    STATE(4726), 1,
      sym_new_declarator,
    ACTIONS(6565), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6567), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [130737] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7064), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130829] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8739), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130923] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8741), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1972), 1,
      sym_alignas_qualifier,
    ACTIONS(8743), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8296), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(8312), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8298), 16,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [131071] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131165] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7016), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131253] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131347] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    STATE(4935), 1,
      sym_field_declaration_list,
    STATE(5015), 1,
      sym_attribute_specifier,
    STATE(6835), 1,
      sym_virtual_specifier,
    STATE(7606), 1,
      sym_base_class_clause,
    ACTIONS(5685), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5687), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131409] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8754), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131503] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8756), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131597] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(6858), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131689] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8758), 1,
      sym_identifier,
    ACTIONS(8760), 1,
      sym_primitive_type,
    STATE(2453), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(5696), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [131743] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6631), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6633), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [131801] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7078), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131889] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8068), 1,
      anon_sym_STAR,
    ACTIONS(8070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6344), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8193), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8068), 1,
      anon_sym_STAR,
    ACTIONS(8070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6392), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132033] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8068), 1,
      anon_sym_STAR,
    ACTIONS(8070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6466), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8187), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8068), 1,
      anon_sym_STAR,
    ACTIONS(8070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6395), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6912), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132177] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8695), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132269] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6641), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6643), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [132333] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8762), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132427] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6641), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [132487] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8764), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132581] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [132667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8062), 1,
      anon_sym_STAR,
    ACTIONS(8064), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8066), 1,
      anon_sym_AMP,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6360), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8193), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132739] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [132823] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 1,
      anon_sym_PIPE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [132905] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [132981] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8766), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8062), 1,
      anon_sym_STAR,
    ACTIONS(8064), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8066), 1,
      anon_sym_AMP,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6433), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133147] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8062), 1,
      anon_sym_STAR,
    ACTIONS(8064), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8066), 1,
      anon_sym_AMP,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6371), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8187), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133219] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8768), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133313] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8770), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133405] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [133479] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8062), 1,
      anon_sym_STAR,
    ACTIONS(8064), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8066), 1,
      anon_sym_AMP,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6471), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6912), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133551] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6641), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [133623] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8074), 1,
      anon_sym_STAR,
    ACTIONS(8076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6468), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8193), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133695] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    ACTIONS(8267), 1,
      anon_sym_STAR,
    ACTIONS(8269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8271), 1,
      anon_sym_AMP,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6608), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4915), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8036), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133773] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8074), 1,
      anon_sym_STAR,
    ACTIONS(8076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6364), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8074), 1,
      anon_sym_STAR,
    ACTIONS(8076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6394), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8187), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8074), 1,
      anon_sym_STAR,
    ACTIONS(8076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6366), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6912), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133989] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6641), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6643), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [134055] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8772), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134147] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8774), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134241] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8776), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134335] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8778), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134427] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8778), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134519] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6358), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8193), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134591] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6641), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [134661] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8684), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134753] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8689), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134845] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8780), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6460), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6377), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8187), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135083] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8782), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135175] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6705), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6707), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [135235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6349), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6912), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135307] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8275), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135399] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8784), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135493] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8786), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135587] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6288), 1,
      anon_sym_LPAREN2,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(4085), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135639] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8788), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135733] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8790), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135827] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6673), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6675), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [135887] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8792), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135981] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8603), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136075] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6685), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6687), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [136135] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7082), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136223] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8794), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136317] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(4990), 1,
      sym_ref_qualifier,
    STATE(5562), 1,
      sym__function_attributes_end,
    STATE(5790), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5263), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [136403] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(8809), 1,
      anon_sym_requires,
    STATE(4937), 1,
      sym_ref_qualifier,
    STATE(5615), 1,
      sym__function_attributes_end,
    STATE(5747), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5150), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [136489] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6669), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6671), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [136547] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8812), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136641] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8814), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136735] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8816), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136829] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8818), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136921] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8820), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137015] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7056), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137103] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    ACTIONS(8267), 1,
      anon_sym_STAR,
    ACTIONS(8269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8271), 1,
      anon_sym_AMP,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6606), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4913), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8030), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137181] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(4131), 1,
      anon_sym_STAR,
    ACTIONS(4133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4135), 1,
      anon_sym_AMP,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8171), 1,
      anon_sym_RPAREN,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6418), 1,
      sym__declarator,
    STATE(6714), 1,
      sym__abstract_declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [137267] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8770), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1923), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1949), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1953), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1957), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1919), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1941), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1915), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2076), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2078), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2051), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2049), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2051), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2074), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2070), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137917] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7060), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138009] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138097] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8822), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138189] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138281] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8824), 1,
      anon_sym_COMMA,
    ACTIONS(8826), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138375] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6641), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138439] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [138525] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [138609] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(6641), 1,
      anon_sym_PIPE,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [138691] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(6641), 1,
      anon_sym_PIPE,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [138771] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [138847] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138921] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138991] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139057] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8828), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139151] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139219] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8497), 1,
      anon_sym_COLON,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139313] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [139401] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7060), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139493] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [139581] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7064), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      sym_literal_suffix,
    ACTIONS(4085), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139721] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8830), 1,
      anon_sym_LT,
    STATE(2694), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2927), 1,
      sym_template_argument_list,
    ACTIONS(4075), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5562), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4083), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139777] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8832), 1,
      anon_sym_COMMA,
    ACTIONS(8834), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139871] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8836), 1,
      anon_sym_COMMA,
    ACTIONS(8838), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139965] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8840), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140059] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8844), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140153] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8846), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140247] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8413), 1,
      anon_sym_SEMI,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140341] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8850), 1,
      anon_sym_COMMA,
    ACTIONS(8852), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140435] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8854), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140527] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8856), 1,
      anon_sym_COMMA,
    ACTIONS(8858), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140621] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8860), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140713] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8862), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140807] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8864), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140901] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7129), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140989] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [141077] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [141165] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8866), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141259] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6641), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [141319] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8868), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141413] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6705), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6707), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [141473] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8778), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141565] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    ACTIONS(7499), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_DOT,
    ACTIONS(8525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_PIPE,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(8549), 1,
      anon_sym_LT_LT,
    ACTIONS(8551), 1,
      anon_sym_GT_GT,
    ACTIONS(8553), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8557), 1,
      anon_sym_bitor,
    ACTIONS(8559), 1,
      anon_sym_bitand,
    STATE(3741), 1,
      sym_argument_list,
    STATE(3742), 1,
      sym_subscript_argument_list,
    ACTIONS(7505), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8531), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8537), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8541), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8561), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8778), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8545), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8547), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141657] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8870), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141749] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7016), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [141837] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6858), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141929] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6641), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [141993] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [142079] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [142163] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6641), 1,
      anon_sym_PIPE,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [142245] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6641), 1,
      anon_sym_PIPE,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [142325] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [142401] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6641), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [142475] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [142545] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [142611] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6641), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6643), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [142679] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7056), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [142767] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7060), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142859] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7129), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [142947] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7064), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143039] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7078), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [143127] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7082), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [143215] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(8872), 1,
      anon_sym_COLON,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    STATE(4689), 1,
      sym__enum_base_clause,
    STATE(4845), 1,
      sym_enumerator_list,
    STATE(4924), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6026), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143273] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6631), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6633), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [143331] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6673), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6675), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143391] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6685), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6687), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143451] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6669), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6671), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [143509] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(8872), 1,
      anon_sym_COLON,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    STATE(4714), 1,
      sym__enum_base_clause,
    STATE(4838), 1,
      sym_enumerator_list,
    STATE(4942), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6013), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143567] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8876), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143661] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8878), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143755] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(7679), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8880), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143849] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8882), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143940] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8884), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144031] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144122] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144213] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144304] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8153), 1,
      sym_identifier,
    ACTIONS(8155), 1,
      anon_sym_LPAREN2,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3193), 1,
      sym__type_declarator,
    STATE(3439), 1,
      sym_pointer_type_declarator,
    STATE(8648), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3424), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144377] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8886), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144468] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8292), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_decltype_auto,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6667), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5033), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8030), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144545] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8888), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144636] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8890), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144727] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144818] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8894), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144909] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8896), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145000] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8898), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145091] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8900), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145182] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145273] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8904), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145364] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8906), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8908), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145546] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145637] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8910), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145728] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8912), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    STATE(4852), 1,
      sym_enumerator_list,
    STATE(4945), 1,
      sym_attribute_specifier,
    ACTIONS(5805), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5807), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7137), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [145917] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146008] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8914), 1,
      anon_sym_COMMA,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146099] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8916), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146190] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8918), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146281] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146372] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8920), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146463] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8922), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146554] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8924), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146645] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8926), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146736] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8928), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146827] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5236), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146918] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8930), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147009] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8932), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147100] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147191] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    ACTIONS(8934), 1,
      anon_sym_COLON,
    ACTIONS(8936), 1,
      anon_sym_LBRACE,
    STATE(4886), 1,
      sym__enum_base_clause,
    STATE(4931), 1,
      sym_enumerator_list,
    STATE(4993), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6026), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147248] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8938), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147339] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8940), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147430] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8942), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147521] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8944), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147612] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8946), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147703] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8948), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7760), 1,
      sym_literal_suffix,
    ACTIONS(4085), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [147841] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8950), 1,
      anon_sym_COMMA,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147932] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    STATE(4910), 1,
      sym_enumerator_list,
    STATE(4955), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5877), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147985] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8952), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148076] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8954), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148167] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8956), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148258] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8958), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148349] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8960), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8830), 1,
      anon_sym_LT,
    STATE(2927), 1,
      sym_template_argument_list,
    ACTIONS(1967), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1969), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [148491] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    ACTIONS(8934), 1,
      anon_sym_COLON,
    ACTIONS(8936), 1,
      anon_sym_LBRACE,
    STATE(4897), 1,
      sym__enum_base_clause,
    STATE(4964), 1,
      sym_enumerator_list,
    STATE(5011), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6013), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [148548] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4129), 1,
      anon_sym_LPAREN2,
    ACTIONS(4131), 1,
      anon_sym_STAR,
    ACTIONS(4133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4135), 1,
      anon_sym_AMP,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6630), 1,
      sym__declarator,
    STATE(6795), 1,
      sym__abstract_declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [148631] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8962), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8964), 1,
      sym_ms_restrict_modifier,
    STATE(4994), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8012), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8967), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8970), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4724), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8014), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [148777] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8973), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6621), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [148913] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8975), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149004] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8977), 1,
      anon_sym_RBRACE,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149095] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8979), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149186] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5377), 1,
      sym_ms_call_modifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(5846), 1,
      sym__declarator,
    STATE(7527), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [149267] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8981), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149358] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149449] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(8983), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149540] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8985), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149631] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8987), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149722] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8989), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149813] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8991), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149904] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8993), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149995] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8153), 1,
      sym_identifier,
    ACTIONS(8155), 1,
      anon_sym_LPAREN2,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3218), 1,
      sym__type_declarator,
    STATE(3439), 1,
      sym_pointer_type_declarator,
    STATE(8648), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3424), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150068] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8995), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150159] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8997), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8830), 1,
      anon_sym_LT,
    STATE(2927), 1,
      sym_template_argument_list,
    ACTIONS(1959), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(1961), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [150301] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8999), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150392] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9001), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150483] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9003), 1,
      anon_sym_COMMA,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150574] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(9005), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150665] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9007), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150756] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9009), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150847] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150938] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6306), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151011] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5254), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151102] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6328), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151175] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151266] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8103), 1,
      anon_sym_STAR,
    ACTIONS(8105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8107), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(6593), 1,
      sym__type_declarator,
    STATE(8232), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151339] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2616), 1,
      sym__type_declarator,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(8051), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151412] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8103), 1,
      anon_sym_STAR,
    ACTIONS(8105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8107), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(6594), 1,
      sym__type_declarator,
    STATE(8232), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151485] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8103), 1,
      anon_sym_STAR,
    ACTIONS(8105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8107), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(6595), 1,
      sym__type_declarator,
    STATE(8232), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151558] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9011), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151649] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5073), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151740] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6523), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8193), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151811] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6503), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6235), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151882] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6504), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8187), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151953] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6506), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6912), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152024] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5135), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152115] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5340), 1,
      sym_ms_call_modifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(5821), 1,
      sym__declarator,
    STATE(7370), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [152196] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      sym_primitive_type,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(6068), 1,
      sym__type_declarator,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(8437), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152269] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8133), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LPAREN2,
    ACTIONS(8137), 1,
      anon_sym_STAR,
    ACTIONS(8139), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8141), 1,
      anon_sym_AMP,
    ACTIONS(8145), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3230), 1,
      sym__type_declarator,
    STATE(3547), 1,
      sym_pointer_type_declarator,
    STATE(8654), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3545), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152342] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(9013), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152433] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2627), 1,
      sym__type_declarator,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(8051), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152506] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6679), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5003), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8036), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152583] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    ACTIONS(8097), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6669), 1,
      sym__type_declarator,
    STATE(8491), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    ACTIONS(8097), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6675), 1,
      sym__type_declarator,
    STATE(8491), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152729] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    ACTIONS(8097), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6678), 1,
      sym__type_declarator,
    STATE(8491), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152802] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5358), 1,
      sym_ms_call_modifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(5856), 1,
      sym__declarator,
    STATE(7418), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [152883] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5369), 1,
      sym_ms_call_modifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(5835), 1,
      sym__declarator,
    STATE(7340), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [152964] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9015), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153055] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(9017), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153146] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5321), 1,
      sym_ms_call_modifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(5863), 1,
      sym__declarator,
    STATE(7420), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [153227] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6942), 1,
      sym_auto,
    ACTIONS(6944), 1,
      anon_sym_decltype,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8292), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_decltype_auto,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6673), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5000), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8036), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(2051), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [153349] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153440] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5328), 1,
      sym_ms_call_modifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(5857), 1,
      sym__declarator,
    STATE(7228), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [153521] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9019), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153612] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153703] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9021), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153794] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153885] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2597), 1,
      sym__type_declarator,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(8051), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153958] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8153), 1,
      sym_identifier,
    ACTIONS(8155), 1,
      anon_sym_LPAREN2,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3155), 1,
      sym__type_declarator,
    STATE(3439), 1,
      sym_pointer_type_declarator,
    STATE(8648), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3424), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154031] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5327), 1,
      sym_ms_call_modifier,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(5816), 1,
      sym__declarator,
    STATE(7152), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [154112] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9023), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154203] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154294] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      sym_primitive_type,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(6104), 1,
      sym__type_declarator,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(8437), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154367] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2496), 1,
      sym_attribute_specifier,
    STATE(5141), 1,
      sym_field_declaration_list,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7832), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5687), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5685), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [154428] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154519] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9025), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154610] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8707), 1,
      anon_sym_SLASH,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8717), 1,
      anon_sym_AMP,
    ACTIONS(8723), 1,
      anon_sym_GT_EQ,
    ACTIONS(8729), 1,
      anon_sym_QMARK,
    ACTIONS(8731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8733), 1,
      anon_sym_bitor,
    ACTIONS(8735), 1,
      anon_sym_bitand,
    ACTIONS(9027), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8705), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8709), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8711), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8715), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8725), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8719), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8721), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154701] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8133), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LPAREN2,
    ACTIONS(8137), 1,
      anon_sym_STAR,
    ACTIONS(8139), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8141), 1,
      anon_sym_AMP,
    ACTIONS(8145), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3233), 1,
      sym__type_declarator,
    STATE(3547), 1,
      sym_pointer_type_declarator,
    STATE(8654), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3545), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154774] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9029), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154865] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9031), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154956] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9033), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155047] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9035), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155138] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8133), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LPAREN2,
    ACTIONS(8137), 1,
      anon_sym_STAR,
    ACTIONS(8139), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8141), 1,
      anon_sym_AMP,
    ACTIONS(8145), 1,
      sym_primitive_type,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3283), 1,
      sym__type_declarator,
    STATE(3547), 1,
      sym_pointer_type_declarator,
    STATE(8654), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3545), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155211] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9037), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155302] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9039), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155393] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9041), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155484] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      sym_primitive_type,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(5960), 1,
      sym__type_declarator,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(8437), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155557] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6715), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4995), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8030), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155634] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 1,
      anon_sym_RBRACK,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155725] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8463), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_PIPE,
    ACTIONS(8473), 1,
      anon_sym_AMP,
    ACTIONS(8479), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_bitor,
    ACTIONS(8491), 1,
      anon_sym_bitand,
    ACTIONS(8511), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_RBRACK,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8461), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8467), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8471), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8481), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8477), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155816] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(8697), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155907] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9045), 1,
      anon_sym_RPAREN,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155998] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9047), 1,
      anon_sym_SEMI,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156089] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9049), 1,
      anon_sym_COMMA,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156180] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156271] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    ACTIONS(9053), 1,
      anon_sym_COMMA,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156362] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6315), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156435] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(8229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8387), 1,
      anon_sym_SLASH,
    ACTIONS(8389), 1,
      anon_sym_AMP,
    ACTIONS(8395), 1,
      anon_sym_GT_EQ,
    ACTIONS(8399), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8401), 1,
      anon_sym_bitand,
    ACTIONS(8409), 1,
      anon_sym_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    ACTIONS(8419), 1,
      anon_sym_bitor,
    STATE(2891), 1,
      sym_argument_list,
    STATE(2892), 1,
      sym_subscript_argument_list,
    ACTIONS(6639), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7963), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8385), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8397), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8405), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8407), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8411), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8391), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8393), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4961), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5941), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156571] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5316), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6376), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [156649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6814), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156693] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6451), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [156771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6796), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6798), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6732), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6734), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6782), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156903] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5351), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6367), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [156981] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5319), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6479), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6800), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6802), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [157103] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5359), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6437), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157181] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5361), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6379), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157259] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5363), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6391), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6774), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [157381] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(8809), 1,
      anon_sym_requires,
    STATE(5064), 1,
      sym_ref_qualifier,
    STATE(5747), 1,
      sym_trailing_return_type,
    STATE(5817), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5393), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [157465] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5366), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6412), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6826), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [157587] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5373), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6402), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157665] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5374), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6345), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6884), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6886), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [157787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4954), 1,
      sym_attribute_specifier,
    ACTIONS(5971), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5973), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [157835] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5317), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6474), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4926), 1,
      sym_attribute_specifier,
    ACTIONS(5951), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5953), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [157961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6868), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6870), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [158005] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5323), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6438), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [158083] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5324), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6462), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [158161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4941), 1,
      sym_attribute_specifier,
    ACTIONS(5963), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5965), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4944), 1,
      sym_attribute_specifier,
    ACTIONS(5959), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5961), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6565), 1,
      sym__abstract_declarator,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4288), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8193), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158327] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5325), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6440), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [158405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6890), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [158449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4947), 1,
      sym_attribute_specifier,
    ACTIONS(5955), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5957), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158497] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5331), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6455), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [158575] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5332), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6467), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [158653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4956), 1,
      sym_attribute_specifier,
    ACTIONS(5975), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5977), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158701] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5334), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6351), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [158779] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4364), 1,
      sym_alignas_qualifier,
    ACTIONS(9058), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8298), 8,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(8296), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(9055), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4957), 1,
      sym_attribute_specifier,
    ACTIONS(5947), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5949), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6830), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [158923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4958), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5945), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6834), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6738), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4948), 1,
      sym_attribute_specifier,
    ACTIONS(5979), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5981), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [159107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6744), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6746), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159151] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5336), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6422), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [159229] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5370), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6378), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [159307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6762), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6794), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159395] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6571), 1,
      sym__abstract_declarator,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4288), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8187), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6858), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6898), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6900), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159553] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2317), 1,
      sym_attribute_specifier,
    STATE(5130), 1,
      sym_field_declaration_list,
    STATE(7095), 1,
      sym_virtual_specifier,
    STATE(7879), 1,
      sym_base_class_clause,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5685), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5687), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [159613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5357), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2246), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6838), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159701] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5335), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6347), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [159779] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5061), 1,
      sym_ref_qualifier,
    STATE(5790), 1,
      sym_trailing_return_type,
    STATE(5825), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5383), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [159863] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(5371), 1,
      sym_ms_call_modifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6626), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [159941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6804), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6806), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6722), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5722), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9061), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5724), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [160077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6842), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6758), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5712), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9061), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5714), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [160213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4893), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5726), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9063), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5728), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [160261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4250), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4246), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6864), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6866), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9065), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5604), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5606), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4894), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5736), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [160443] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    ACTIONS(8936), 1,
      anon_sym_LBRACE,
    STATE(4965), 1,
      sym_enumerator_list,
    STATE(5014), 1,
      sym_attribute_specifier,
    ACTIONS(5805), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5807), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [160495] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6570), 1,
      sym__abstract_declarator,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4288), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6235), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9065), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9069), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5572), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5574), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4923), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5988), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [160661] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5348), 1,
      sym_ms_call_modifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6459), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [160739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6810), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6728), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6730), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5745), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9061), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5747), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [160875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5732), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9061), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5734), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [160923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_SEMI,
    ACTIONS(7139), 1,
      sym_literal_suffix,
    ACTIONS(4085), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6764), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6766), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161015] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    ACTIONS(8936), 1,
      anon_sym_LBRACE,
    STATE(4974), 1,
      sym_enumerator_list,
    STATE(5029), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5877), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6846), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8032), 1,
      sym_auto,
    ACTIONS(8034), 1,
      anon_sym_decltype,
    STATE(4917), 1,
      sym_decltype_auto,
    ACTIONS(5767), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5769), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6860), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6862), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9071), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6681), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6683), 30,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [161251] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_SEMI,
    ACTIONS(5546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6288), 1,
      anon_sym_LPAREN2,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(4085), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4077), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4077), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4877), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5718), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9074), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5720), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [161395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6788), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6790), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6768), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6754), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6822), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161571] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6573), 1,
      sym__abstract_declarator,
    ACTIONS(7482), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4288), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6912), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7478), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    STATE(4960), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5969), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6776), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6778), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5905), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161776] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8267), 1,
      anon_sym_STAR,
    ACTIONS(8269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8271), 1,
      anon_sym_AMP,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6607), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8193), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8267), 1,
      anon_sym_STAR,
    ACTIONS(8269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8271), 1,
      anon_sym_AMP,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6613), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6235), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161914] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8267), 1,
      anon_sym_STAR,
    ACTIONS(8269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8271), 1,
      anon_sym_AMP,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6609), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8187), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161983] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8267), 1,
      anon_sym_STAR,
    ACTIONS(8269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8271), 1,
      anon_sym_AMP,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6614), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6912), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5833), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5881), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8247), 1,
      sym_auto,
    ACTIONS(8249), 1,
      anon_sym_decltype,
    STATE(4999), 1,
      sym_decltype_auto,
    ACTIONS(5767), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5769), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6119), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8681), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5787), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5010), 1,
      sym_attribute_specifier,
    ACTIONS(5963), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5965), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5791), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5795), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5813), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5817), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5821), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5813), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5813), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162647] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8259), 1,
      anon_sym_STAR,
    ACTIONS(8261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8263), 1,
      anon_sym_AMP,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6631), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6235), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5013), 1,
      sym_attribute_specifier,
    ACTIONS(5959), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5961), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162763] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5562), 1,
      sym__function_attributes_end,
    STATE(5790), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5263), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [162840] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(8809), 1,
      anon_sym_requires,
    STATE(5615), 1,
      sym__function_attributes_end,
    STATE(5747), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5150), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [162917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8259), 1,
      anon_sym_STAR,
    ACTIONS(8261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8263), 1,
      anon_sym_AMP,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6642), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6912), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5017), 1,
      sym_attribute_specifier,
    ACTIONS(5955), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5957), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5022), 1,
      sym_attribute_specifier,
    ACTIONS(5979), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5981), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163080] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    STATE(5567), 1,
      sym__function_attributes_end,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5153), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [163157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6645), 1,
      sym__field_declarator,
    STATE(6743), 1,
      sym_operator_name,
    STATE(8233), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163226] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6647), 1,
      sym__field_declarator,
    STATE(6743), 1,
      sym_operator_name,
    STATE(8233), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6648), 1,
      sym__field_declarator,
    STATE(6743), 1,
      sym_operator_name,
    STATE(8233), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5909), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5889), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5720), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5829), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5783), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5779), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5799), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5803), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5779), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5825), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163794] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8036), 1,
      anon_sym_COLON,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    ACTIONS(8434), 1,
      anon_sym_STAR,
    ACTIONS(8436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8438), 1,
      anon_sym_AMP,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6796), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5071), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5885), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5837), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5841), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5845), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5849), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5857), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5861), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5865), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5893), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5901), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164299] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5076), 1,
      sym_ref_qualifier,
    STATE(5892), 1,
      sym__function_attributes_end,
    STATE(6064), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5406), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [164382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
    STATE(4880), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4075), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8499), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4083), 24,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [164435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5028), 1,
      sym_attribute_specifier,
    ACTIONS(5971), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5973), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5031), 1,
      sym_attribute_specifier,
    ACTIONS(5975), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5977), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164529] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5098), 1,
      sym_ref_qualifier,
    STATE(5855), 1,
      sym_trailing_return_type,
    STATE(5882), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5400), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [164612] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9092), 1,
      anon_sym_requires,
    STATE(5102), 1,
      sym_ref_qualifier,
    STATE(5923), 1,
      sym__function_attributes_end,
    STATE(5976), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5395), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [164695] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    ACTIONS(9095), 1,
      anon_sym_COLON,
    STATE(4689), 1,
      sym__enum_base_clause,
    STATE(4845), 1,
      sym_enumerator_list,
    STATE(4924), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6026), 26,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    ACTIONS(9095), 1,
      anon_sym_COLON,
    STATE(4714), 1,
      sym__enum_base_clause,
    STATE(4838), 1,
      sym_enumerator_list,
    STATE(4942), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6013), 26,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164805] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9100), 1,
      anon_sym_requires,
    STATE(5101), 1,
      sym_ref_qualifier,
    STATE(5838), 1,
      sym_trailing_return_type,
    STATE(5887), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5402), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [164888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5032), 1,
      sym_attribute_specifier,
    ACTIONS(5947), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5949), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_SEMI,
    ACTIONS(4085), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4077), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5034), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5945), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5038), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5969), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5039), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5941), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165121] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6182), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8681), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5751), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165233] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8030), 1,
      anon_sym_COLON,
    ACTIONS(8056), 1,
      sym_auto,
    ACTIONS(8058), 1,
      anon_sym_decltype,
    ACTIONS(8434), 1,
      anon_sym_STAR,
    ACTIONS(8436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8438), 1,
      anon_sym_AMP,
    STATE(2484), 1,
      sym_decltype_auto,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6808), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5092), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5678), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(2266), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5897), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5678), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(2294), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165525] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6117), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8681), 1,
      sym_ms_based_modifier,
    ACTIONS(4055), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4053), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5678), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(4992), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5988), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym___attribute__,
    STATE(5005), 1,
      sym_attribute_specifier,
    ACTIONS(5951), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5953), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5869), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5873), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165817] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(5769), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5234), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [165894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5873), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5791), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5795), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8167), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(8169), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [166062] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6693), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8193), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(8115), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [166172] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9100), 1,
      anon_sym_requires,
    STATE(5115), 1,
      sym_ref_qualifier,
    STATE(5838), 1,
      sym_trailing_return_type,
    STATE(6057), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5423), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [166254] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(9103), 1,
      anon_sym_COLON,
    STATE(2505), 1,
      sym_attribute_specifier,
    STATE(5089), 1,
      sym__enum_base_clause,
    STATE(5280), 1,
      sym_enumerator_list,
    ACTIONS(6013), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6011), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [166308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5833), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166350] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8292), 1,
      anon_sym_AMP,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6696), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8187), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5813), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5487), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166502] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6680), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8187), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166570] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6717), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6235), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5817), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(2266), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166722] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(9105), 1,
      anon_sym_COLON,
    STATE(2492), 1,
      sym_attribute_specifier,
    STATE(2665), 1,
      sym__enum_base_clause,
    STATE(2734), 1,
      sym_enumerator_list,
    ACTIONS(6024), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6026), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [166776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5905), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(2294), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5909), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5889), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5720), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5829), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5783), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5821), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5779), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5799), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5787), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167238] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8292), 1,
      anon_sym_AMP,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6687), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6235), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167306] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8292), 1,
      anon_sym_AMP,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6688), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6912), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167374] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5117), 1,
      sym_ref_qualifier,
    STATE(5855), 1,
      sym_trailing_return_type,
    STATE(6051), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5412), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [167456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5803), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5813), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5779), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5825), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167624] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6674), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6912), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5837), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5841), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5845), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5813), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5849), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5857), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167944] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_const,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8292), 1,
      anon_sym_AMP,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(4364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6672), 1,
      sym__abstract_declarator,
    ACTIONS(8052), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8193), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8046), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5861), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168054] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      anon_sym___attribute__,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(9105), 1,
      anon_sym_COLON,
    STATE(2505), 1,
      sym_attribute_specifier,
    STATE(2663), 1,
      sym__enum_base_clause,
    STATE(2723), 1,
      sym_enumerator_list,
    ACTIONS(6011), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6013), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [168108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5865), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168150] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(5139), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5666), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5664), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [168200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5893), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5901), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168284] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9113), 1,
      anon_sym_EQ,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5521), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(9111), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5522), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5375), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [168374] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1861), 1,
      anon_sym_enum,
    ACTIONS(1863), 1,
      anon_sym_class,
    ACTIONS(1865), 1,
      anon_sym_struct,
    ACTIONS(1867), 1,
      anon_sym_union,
    ACTIONS(1891), 1,
      anon_sym_typename,
    ACTIONS(2696), 1,
      sym_primitive_type,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9113), 1,
      anon_sym_EQ,
    ACTIONS(9115), 1,
      sym_identifier,
    STATE(2266), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2299), 1,
      sym_type_specifier,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    ACTIONS(9111), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [168458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5897), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5869), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5678), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4877), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5676), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9074), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5678), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [168630] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    ACTIONS(6902), 1,
      anon_sym_LBRACE,
    ACTIONS(9117), 1,
      anon_sym_COLON,
    STATE(2893), 1,
      sym__enum_base_clause,
    STATE(2934), 1,
      sym_enumerator_list,
    STATE(2984), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6013), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [168684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5678), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5881), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168768] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute__,
    ACTIONS(6902), 1,
      anon_sym_LBRACE,
    ACTIONS(9117), 1,
      anon_sym_COLON,
    STATE(2887), 1,
      sym__enum_base_clause,
    STATE(2929), 1,
      sym_enumerator_list,
    STATE(2962), 1,
      sym_attribute_specifier,
    ACTIONS(6024), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6026), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [168822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5885), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168864] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5116), 1,
      sym_ref_qualifier,
    STATE(5989), 1,
      sym__function_attributes_end,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5413), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [168946] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5140), 1,
      sym_ref_qualifier,
    STATE(6074), 1,
      sym__function_attributes_end,
    STATE(6082), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5415), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [169028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_AMP,
    ACTIONS(9055), 1,
      anon_sym_const,
    STATE(4364), 1,
      sym_alignas_qualifier,
    ACTIONS(9125), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9122), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8296), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(9103), 1,
      anon_sym_COLON,
    STATE(2492), 1,
      sym_attribute_specifier,
    STATE(5088), 1,
      sym__enum_base_clause,
    STATE(5278), 1,
      sym_enumerator_list,
    ACTIONS(6026), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6024), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [169134] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9128), 1,
      anon_sym_requires,
    STATE(5188), 1,
      sym_ref_qualifier,
    STATE(6144), 1,
      sym_trailing_return_type,
    STATE(6163), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5438), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [169215] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    ACTIONS(9131), 1,
      anon_sym_LPAREN2,
    STATE(2714), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3755), 1,
      sym_argument_list,
    STATE(4824), 1,
      sym_initializer_list,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6485), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5678), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [169268] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(9134), 1,
      anon_sym_COLON,
    STATE(2310), 1,
      sym_attribute_specifier,
    STATE(5065), 1,
      sym__enum_base_clause,
    STATE(5128), 1,
      sym_enumerator_list,
    ACTIONS(6024), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6026), 24,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [169321] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(9134), 1,
      anon_sym_COLON,
    STATE(2338), 1,
      sym_attribute_specifier,
    STATE(5066), 1,
      sym__enum_base_clause,
    STATE(5138), 1,
      sym_enumerator_list,
    ACTIONS(6011), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6013), 24,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [169374] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5206), 1,
      sym_ref_qualifier,
    STATE(5969), 1,
      sym__function_attributes_end,
    STATE(6082), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5449), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [169455] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(8809), 1,
      anon_sym_requires,
    STATE(5747), 1,
      sym_trailing_return_type,
    STATE(5817), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5393), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [169530] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5769), 1,
      sym_trailing_return_type,
    STATE(5822), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5390), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [169605] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5175), 1,
      sym_ref_qualifier,
    STATE(6141), 1,
      sym__function_attributes_end,
    STATE(6162), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5444), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [169686] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5266), 1,
      sym_ref_qualifier,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5436), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [169767] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(5850), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5384), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [169842] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2307), 1,
      sym_attribute_specifier,
    STATE(5107), 1,
      sym_enumerator_list,
    ACTIONS(5805), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5807), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169891] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2327), 1,
      sym_attribute_specifier,
    STATE(5110), 1,
      sym_enumerator_list,
    ACTIONS(5875), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5877), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169940] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5790), 1,
      sym_trailing_return_type,
    STATE(5825), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5383), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [170015] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9128), 1,
      anon_sym_requires,
    STATE(5309), 1,
      sym_ref_qualifier,
    STATE(6019), 1,
      sym__function_attributes_end,
    STATE(6144), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5439), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [170096] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5163), 1,
      sym_ref_qualifier,
    STATE(6014), 1,
      sym__function_attributes_end,
    STATE(6162), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5445), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [170177] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9136), 1,
      sym_identifier,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9142), 1,
      sym_primitive_type,
    ACTIONS(9144), 1,
      anon_sym_enum,
    ACTIONS(9146), 1,
      anon_sym_class,
    ACTIONS(9148), 1,
      anon_sym_struct,
    ACTIONS(9150), 1,
      anon_sym_union,
    ACTIONS(9152), 1,
      sym_auto,
    ACTIONS(9154), 1,
      anon_sym_decltype,
    ACTIONS(9156), 1,
      anon_sym_typename,
    STATE(2530), 1,
      sym_type_specifier,
    STATE(2621), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2682), 1,
      sym_qualified_type_identifier,
    STATE(2718), 1,
      sym_decltype_auto,
    STATE(5179), 1,
      sym_argument_list,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2629), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9140), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2692), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [170257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8187), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      anon_sym_STAR,
    ACTIONS(8436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8438), 1,
      anon_sym_AMP,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6815), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170323] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9146), 1,
      anon_sym_class,
    ACTIONS(9148), 1,
      anon_sym_struct,
    ACTIONS(9150), 1,
      anon_sym_union,
    ACTIONS(9152), 1,
      sym_auto,
    ACTIONS(9154), 1,
      anon_sym_decltype,
    ACTIONS(9158), 1,
      sym_identifier,
    ACTIONS(9162), 1,
      sym_primitive_type,
    ACTIONS(9164), 1,
      anon_sym_enum,
    ACTIONS(9166), 1,
      anon_sym_typename,
    STATE(2537), 1,
      sym_type_specifier,
    STATE(2599), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2682), 1,
      sym_qualified_type_identifier,
    STATE(2718), 1,
      sym_decltype_auto,
    STATE(5185), 1,
      sym_argument_list,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2629), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9160), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2692), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [170403] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9168), 1,
      sym_identifier,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9174), 1,
      sym_primitive_type,
    ACTIONS(9176), 1,
      anon_sym_enum,
    ACTIONS(9178), 1,
      anon_sym_class,
    ACTIONS(9180), 1,
      anon_sym_struct,
    ACTIONS(9182), 1,
      anon_sym_union,
    ACTIONS(9184), 1,
      sym_auto,
    ACTIONS(9186), 1,
      anon_sym_decltype,
    ACTIONS(9188), 1,
      anon_sym_typename,
    STATE(2806), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3081), 1,
      sym_type_specifier,
    STATE(3322), 1,
      sym_decltype_auto,
    STATE(3351), 1,
      sym_qualified_type_identifier,
    STATE(5205), 1,
      sym_argument_list,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3278), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3303), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [170483] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7825), 1,
      sym_primitive_type,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9190), 1,
      sym_identifier,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9194), 1,
      anon_sym_enum,
    ACTIONS(9196), 1,
      anon_sym_class,
    ACTIONS(9198), 1,
      anon_sym_struct,
    ACTIONS(9200), 1,
      anon_sym_union,
    ACTIONS(9202), 1,
      anon_sym_typename,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4201), 1,
      sym_type_specifier,
    STATE(5313), 1,
      sym_argument_list,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [170563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8189), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(5139), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4083), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4075), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [170613] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5900), 1,
      sym__function_attributes_end,
    STATE(6065), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5397), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [170687] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_AMP,
    ACTIONS(9209), 1,
      anon_sym_const,
    STATE(5364), 1,
      sym_alignas_qualifier,
    ACTIONS(9212), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9206), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8296), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [170737] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9215), 1,
      sym_identifier,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9221), 1,
      sym_primitive_type,
    ACTIONS(9223), 1,
      anon_sym_enum,
    ACTIONS(9225), 1,
      anon_sym_class,
    ACTIONS(9227), 1,
      anon_sym_struct,
    ACTIONS(9229), 1,
      anon_sym_union,
    ACTIONS(9231), 1,
      sym_auto,
    ACTIONS(9233), 1,
      anon_sym_decltype,
    ACTIONS(9235), 1,
      anon_sym_typename,
    STATE(2959), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3206), 1,
      sym_type_specifier,
    STATE(3618), 1,
      sym_decltype_auto,
    STATE(3623), 1,
      sym_qualified_type_identifier,
    STATE(5168), 1,
      sym_argument_list,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3426), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9219), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [170817] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      sym_auto,
    ACTIONS(6206), 1,
      anon_sym_decltype,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2484), 1,
      sym_decltype_auto,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5352), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9239), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9237), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170871] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9245), 1,
      anon_sym_enum,
    ACTIONS(9247), 1,
      anon_sym_class,
    ACTIONS(9249), 1,
      anon_sym_struct,
    ACTIONS(9251), 1,
      anon_sym_union,
    ACTIONS(9253), 1,
      anon_sym_typename,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(4231), 1,
      sym_type_specifier,
    STATE(5296), 1,
      sym_argument_list,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [170951] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5892), 1,
      sym__function_attributes_end,
    STATE(6064), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5406), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [171025] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9255), 1,
      sym_identifier,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9261), 1,
      sym_primitive_type,
    ACTIONS(9263), 1,
      anon_sym_enum,
    ACTIONS(9265), 1,
      anon_sym_class,
    ACTIONS(9267), 1,
      anon_sym_struct,
    ACTIONS(9269), 1,
      anon_sym_union,
    ACTIONS(9271), 1,
      sym_auto,
    ACTIONS(9273), 1,
      anon_sym_decltype,
    ACTIONS(9275), 1,
      anon_sym_typename,
    STATE(2800), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3024), 1,
      sym_type_specifier,
    STATE(3270), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      sym_decltype_auto,
    STATE(5310), 1,
      sym_argument_list,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3180), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9259), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [171105] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      sym_auto,
    ACTIONS(6206), 1,
      anon_sym_decltype,
    STATE(1972), 1,
      sym_alignas_qualifier,
    STATE(2484), 1,
      sym_decltype_auto,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5346), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9279), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9277), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171159] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7825), 1,
      sym_primitive_type,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9190), 1,
      sym_identifier,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9194), 1,
      anon_sym_enum,
    ACTIONS(9196), 1,
      anon_sym_class,
    ACTIONS(9198), 1,
      anon_sym_struct,
    ACTIONS(9200), 1,
      anon_sym_union,
    ACTIONS(9202), 1,
      anon_sym_typename,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4106), 1,
      sym_type_specifier,
    STATE(5158), 1,
      sym_argument_list,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [171239] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9245), 1,
      anon_sym_enum,
    ACTIONS(9247), 1,
      anon_sym_class,
    ACTIONS(9249), 1,
      anon_sym_struct,
    ACTIONS(9251), 1,
      anon_sym_union,
    ACTIONS(9253), 1,
      anon_sym_typename,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(4269), 1,
      sym_type_specifier,
    STATE(5299), 1,
      sym_argument_list,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [171319] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9168), 1,
      sym_identifier,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9174), 1,
      sym_primitive_type,
    ACTIONS(9176), 1,
      anon_sym_enum,
    ACTIONS(9178), 1,
      anon_sym_class,
    ACTIONS(9180), 1,
      anon_sym_struct,
    ACTIONS(9182), 1,
      anon_sym_union,
    ACTIONS(9184), 1,
      sym_auto,
    ACTIONS(9186), 1,
      anon_sym_decltype,
    ACTIONS(9188), 1,
      anon_sym_typename,
    STATE(2806), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3083), 1,
      sym_type_specifier,
    STATE(3322), 1,
      sym_decltype_auto,
    STATE(3351), 1,
      sym_qualified_type_identifier,
    STATE(5197), 1,
      sym_argument_list,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3278), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3303), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [171399] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6912), 1,
      anon_sym_COLON,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8434), 1,
      anon_sym_STAR,
    ACTIONS(8436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8438), 1,
      anon_sym_AMP,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6791), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171465] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    STATE(2508), 1,
      sym_attribute_specifier,
    STATE(5281), 1,
      sym_enumerator_list,
    ACTIONS(5807), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5805), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [171513] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    STATE(2521), 1,
      sym_attribute_specifier,
    STATE(5284), 1,
      sym_enumerator_list,
    ACTIONS(5877), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5875), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [171561] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7825), 1,
      sym_primitive_type,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9190), 1,
      sym_identifier,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9194), 1,
      anon_sym_enum,
    ACTIONS(9196), 1,
      anon_sym_class,
    ACTIONS(9198), 1,
      anon_sym_struct,
    ACTIONS(9200), 1,
      anon_sym_union,
    ACTIONS(9202), 1,
      anon_sym_typename,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4119), 1,
      sym_type_specifier,
    STATE(5208), 1,
      sym_argument_list,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [171641] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6235), 1,
      anon_sym_COLON,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8434), 1,
      anon_sym_STAR,
    ACTIONS(8436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8438), 1,
      anon_sym_AMP,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6787), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_const,
    ACTIONS(8193), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      anon_sym_STAR,
    ACTIONS(8436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8438), 1,
      anon_sym_AMP,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(5364), 1,
      sym_alignas_qualifier,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6792), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7971), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171773] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9255), 1,
      sym_identifier,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9261), 1,
      sym_primitive_type,
    ACTIONS(9263), 1,
      anon_sym_enum,
    ACTIONS(9265), 1,
      anon_sym_class,
    ACTIONS(9267), 1,
      anon_sym_struct,
    ACTIONS(9269), 1,
      anon_sym_union,
    ACTIONS(9271), 1,
      sym_auto,
    ACTIONS(9273), 1,
      anon_sym_decltype,
    ACTIONS(9275), 1,
      anon_sym_typename,
    STATE(2800), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3022), 1,
      sym_type_specifier,
    STATE(3270), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      sym_decltype_auto,
    STATE(5190), 1,
      sym_argument_list,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3180), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9259), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [171853] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9136), 1,
      sym_identifier,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9142), 1,
      sym_primitive_type,
    ACTIONS(9144), 1,
      anon_sym_enum,
    ACTIONS(9146), 1,
      anon_sym_class,
    ACTIONS(9148), 1,
      anon_sym_struct,
    ACTIONS(9150), 1,
      anon_sym_union,
    ACTIONS(9152), 1,
      sym_auto,
    ACTIONS(9154), 1,
      anon_sym_decltype,
    ACTIONS(9156), 1,
      anon_sym_typename,
    STATE(2537), 1,
      sym_type_specifier,
    STATE(2621), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2682), 1,
      sym_qualified_type_identifier,
    STATE(2718), 1,
      sym_decltype_auto,
    STATE(5184), 1,
      sym_argument_list,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2629), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9140), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2692), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [171933] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5855), 1,
      sym_trailing_return_type,
    STATE(5882), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5400), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [172007] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9215), 1,
      sym_identifier,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9221), 1,
      sym_primitive_type,
    ACTIONS(9223), 1,
      anon_sym_enum,
    ACTIONS(9225), 1,
      anon_sym_class,
    ACTIONS(9227), 1,
      anon_sym_struct,
    ACTIONS(9229), 1,
      anon_sym_union,
    ACTIONS(9231), 1,
      sym_auto,
    ACTIONS(9233), 1,
      anon_sym_decltype,
    ACTIONS(9235), 1,
      anon_sym_typename,
    STATE(2959), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3199), 1,
      sym_type_specifier,
    STATE(3618), 1,
      sym_decltype_auto,
    STATE(3623), 1,
      sym_qualified_type_identifier,
    STATE(5314), 1,
      sym_argument_list,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3426), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9219), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [172087] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9281), 1,
      sym_identifier,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9287), 1,
      sym_primitive_type,
    ACTIONS(9289), 1,
      anon_sym_enum,
    ACTIONS(9291), 1,
      anon_sym_class,
    ACTIONS(9293), 1,
      anon_sym_struct,
    ACTIONS(9295), 1,
      anon_sym_union,
    ACTIONS(9297), 1,
      sym_auto,
    ACTIONS(9299), 1,
      anon_sym_decltype,
    ACTIONS(9301), 1,
      anon_sym_typename,
    STATE(3543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3996), 1,
      sym_type_specifier,
    STATE(4196), 1,
      sym_qualified_type_identifier,
    STATE(4207), 1,
      sym_decltype_auto,
    STATE(5149), 1,
      sym_argument_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(4154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9285), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4214), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [172167] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym_trailing_return_type,
    STATE(5884), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5405), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [172241] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7825), 1,
      sym_primitive_type,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9190), 1,
      sym_identifier,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9194), 1,
      anon_sym_enum,
    ACTIONS(9196), 1,
      anon_sym_class,
    ACTIONS(9198), 1,
      anon_sym_struct,
    ACTIONS(9200), 1,
      anon_sym_union,
    ACTIONS(9202), 1,
      anon_sym_typename,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4182), 1,
      sym_type_specifier,
    STATE(5146), 1,
      sym_argument_list,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [172321] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9092), 1,
      anon_sym_requires,
    STATE(5923), 1,
      sym__function_attributes_end,
    STATE(5976), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5395), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [172395] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9306), 1,
      anon_sym_requires,
    STATE(5815), 1,
      sym_trailing_return_type,
    STATE(5888), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5396), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [172469] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9309), 1,
      anon_sym_requires,
    STATE(5924), 1,
      sym__function_attributes_end,
    STATE(5977), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5407), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [172543] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9281), 1,
      sym_identifier,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9287), 1,
      sym_primitive_type,
    ACTIONS(9289), 1,
      anon_sym_enum,
    ACTIONS(9291), 1,
      anon_sym_class,
    ACTIONS(9293), 1,
      anon_sym_struct,
    ACTIONS(9295), 1,
      anon_sym_union,
    ACTIONS(9297), 1,
      sym_auto,
    ACTIONS(9299), 1,
      anon_sym_decltype,
    ACTIONS(9301), 1,
      anon_sym_typename,
    STATE(3543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3946), 1,
      sym_type_specifier,
    STATE(4196), 1,
      sym_qualified_type_identifier,
    STATE(4207), 1,
      sym_decltype_auto,
    STATE(5151), 1,
      sym_argument_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(4154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9285), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4214), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [172623] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9100), 1,
      anon_sym_requires,
    STATE(5838), 1,
      sym_trailing_return_type,
    STATE(5887), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5402), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [172697] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9146), 1,
      anon_sym_class,
    ACTIONS(9148), 1,
      anon_sym_struct,
    ACTIONS(9150), 1,
      anon_sym_union,
    ACTIONS(9152), 1,
      sym_auto,
    ACTIONS(9154), 1,
      anon_sym_decltype,
    ACTIONS(9158), 1,
      sym_identifier,
    ACTIONS(9162), 1,
      sym_primitive_type,
    ACTIONS(9164), 1,
      anon_sym_enum,
    ACTIONS(9166), 1,
      anon_sym_typename,
    STATE(2530), 1,
      sym_type_specifier,
    STATE(2599), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2682), 1,
      sym_qualified_type_identifier,
    STATE(2718), 1,
      sym_decltype_auto,
    STATE(5164), 1,
      sym_argument_list,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2629), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9160), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2692), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [172777] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9312), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9315), 1,
      anon_sym_requires,
    STATE(5392), 1,
      sym_ref_qualifier,
    STATE(6255), 1,
      sym__function_attributes_end,
    STATE(6432), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8796), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5461), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [172856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2328), 1,
      sym_attribute_specifier,
    ACTIONS(5975), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5977), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [172899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2330), 1,
      sym_attribute_specifier,
    ACTIONS(5947), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5949), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [172942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2331), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5945), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [172985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2339), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5969), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2341), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5941), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173071] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5855), 1,
      sym_trailing_return_type,
    STATE(6051), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5412), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [173144] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9312), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5382), 1,
      sym_ref_qualifier,
    STATE(6240), 1,
      sym__function_attributes_end,
    STATE(6429), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8796), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5464), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [173223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5673), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9318), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5670), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [173266] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9306), 1,
      anon_sym_requires,
    STATE(5815), 1,
      sym_trailing_return_type,
    STATE(6079), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5419), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [173339] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_requires,
    STATE(6031), 1,
      sym__function_attributes_end,
    STATE(6032), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5410), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [173412] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym_trailing_return_type,
    STATE(6103), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5420), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [173485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5724), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9325), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5722), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [173528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2309), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5988), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2316), 1,
      sym_attribute_specifier,
    ACTIONS(5951), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5953), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(5680), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2868), 1,
      sym_argument_list,
    STATE(4057), 1,
      sym_initializer_list,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5678), 20,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [173665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5734), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9328), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [173708] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9100), 1,
      anon_sym_requires,
    STATE(5838), 1,
      sym_trailing_return_type,
    STATE(6057), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5423), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [173781] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5391), 1,
      sym_ref_qualifier,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6321), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8796), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5453), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [173860] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7093), 1,
      anon_sym_AMP,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5385), 1,
      sym_ref_qualifier,
    STATE(6082), 1,
      sym_trailing_return_type,
    STATE(6312), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8796), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5466), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [173939] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9331), 1,
      sym_identifier,
    ACTIONS(9337), 1,
      sym_primitive_type,
    STATE(5114), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5694), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9334), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5696), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [173986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2343), 1,
      sym_attribute_specifier,
    ACTIONS(5963), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5965), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [174029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2322), 1,
      sym_attribute_specifier,
    ACTIONS(5959), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5961), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [174072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5118), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5720), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5718), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2312), 1,
      sym_attribute_specifier,
    ACTIONS(5955), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5957), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [174156] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(6002), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3667), 1,
      sym_argument_list,
    STATE(3668), 1,
      sym_initializer_list,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5678), 20,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [174207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2313), 1,
      sym_attribute_specifier,
    ACTIONS(5979), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5981), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [174250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5122), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5738), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9340), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5736), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174293] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5989), 1,
      sym__function_attributes_end,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5413), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [174366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5137), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5728), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9343), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5726), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174409] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(6074), 1,
      sym__function_attributes_end,
    STATE(6082), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5415), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [174482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5747), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9346), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(2326), 1,
      sym_attribute_specifier,
    ACTIONS(5971), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5973), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [174568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5714), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9349), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174611] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(6009), 1,
      sym__function_attributes_end,
    STATE(6012), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5411), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [174684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2512), 1,
      sym_attribute_specifier,
    ACTIONS(5957), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5955), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174726] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5578), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5579), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5367), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [174806] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5578), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5579), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5367), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [174886] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2356), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [174966] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5578), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5579), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5367), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [175046] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7825), 1,
      sym_primitive_type,
    ACTIONS(9190), 1,
      sym_identifier,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9194), 1,
      anon_sym_enum,
    ACTIONS(9196), 1,
      anon_sym_class,
    ACTIONS(9198), 1,
      anon_sym_struct,
    ACTIONS(9200), 1,
      anon_sym_union,
    ACTIONS(9202), 1,
      anon_sym_typename,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4211), 1,
      sym_type_specifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175120] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2356), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [175200] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2696), 1,
      sym_primitive_type,
    ACTIONS(2698), 1,
      anon_sym_enum,
    ACTIONS(2700), 1,
      anon_sym_class,
    ACTIONS(2702), 1,
      anon_sym_struct,
    ACTIONS(2704), 1,
      anon_sym_union,
    ACTIONS(2706), 1,
      anon_sym_typename,
    ACTIONS(3696), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    STATE(2266), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2299), 1,
      sym_type_specifier,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175274] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9281), 1,
      sym_identifier,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9287), 1,
      sym_primitive_type,
    ACTIONS(9289), 1,
      anon_sym_enum,
    ACTIONS(9291), 1,
      anon_sym_class,
    ACTIONS(9293), 1,
      anon_sym_struct,
    ACTIONS(9295), 1,
      anon_sym_union,
    ACTIONS(9297), 1,
      sym_auto,
    ACTIONS(9299), 1,
      anon_sym_decltype,
    ACTIONS(9301), 1,
      anon_sym_typename,
    STATE(3543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3993), 1,
      sym_type_specifier,
    STATE(4196), 1,
      sym_qualified_type_identifier,
    STATE(4207), 1,
      sym_decltype_auto,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(4154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9285), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4214), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175348] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    STATE(5567), 1,
      sym__function_attributes_end,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [175414] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9281), 1,
      sym_identifier,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9287), 1,
      sym_primitive_type,
    ACTIONS(9289), 1,
      anon_sym_enum,
    ACTIONS(9291), 1,
      anon_sym_class,
    ACTIONS(9293), 1,
      anon_sym_struct,
    ACTIONS(9295), 1,
      anon_sym_union,
    ACTIONS(9297), 1,
      sym_auto,
    ACTIONS(9299), 1,
      anon_sym_decltype,
    ACTIONS(9301), 1,
      anon_sym_typename,
    STATE(3543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3987), 1,
      sym_type_specifier,
    STATE(4196), 1,
      sym_qualified_type_identifier,
    STATE(4207), 1,
      sym_decltype_auto,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(4154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9285), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4214), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175488] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2593), 1,
      sym_field_declaration_list,
    STATE(2643), 1,
      sym__class_declaration,
    STATE(2661), 1,
      sym__class_declaration_item,
    STATE(5571), 1,
      sym_ms_declspec_modifier,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(6962), 1,
      sym_virtual_specifier,
    STATE(7627), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5572), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5322), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [175568] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9358), 1,
      anon_sym___attribute__,
    ACTIONS(9361), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9369), 1,
      anon_sym_requires,
    STATE(5568), 1,
      sym__function_attributes_end,
    STATE(5748), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [175634] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2593), 1,
      sym_field_declaration_list,
    STATE(2661), 1,
      sym__class_declaration_item,
    STATE(2680), 1,
      sym__class_declaration,
    STATE(5571), 1,
      sym_ms_declspec_modifier,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(6962), 1,
      sym_virtual_specifier,
    STATE(7627), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5572), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5322), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [175714] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2593), 1,
      sym_field_declaration_list,
    STATE(2661), 1,
      sym__class_declaration_item,
    STATE(2687), 1,
      sym__class_declaration,
    STATE(5571), 1,
      sym_ms_declspec_modifier,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(6962), 1,
      sym_virtual_specifier,
    STATE(7627), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5572), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5322), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [175794] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3098), 1,
      sym_field_declaration_list,
    STATE(3236), 1,
      sym__class_declaration_item,
    STATE(3244), 1,
      sym__class_declaration,
    STATE(5540), 1,
      sym_ms_declspec_modifier,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7776), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5354), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [175874] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7875), 1,
      sym_primitive_type,
    ACTIONS(9374), 1,
      sym_identifier,
    ACTIONS(9376), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9378), 1,
      anon_sym_enum,
    ACTIONS(9380), 1,
      anon_sym_class,
    ACTIONS(9382), 1,
      anon_sym_struct,
    ACTIONS(9384), 1,
      anon_sym_union,
    ACTIONS(9386), 1,
      anon_sym_typename,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(4513), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6585), 1,
      sym__scope_resolution,
    STATE(6790), 1,
      sym_type_specifier,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175948] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7825), 1,
      sym_primitive_type,
    ACTIONS(9190), 1,
      sym_identifier,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9194), 1,
      anon_sym_enum,
    ACTIONS(9196), 1,
      anon_sym_class,
    ACTIONS(9198), 1,
      anon_sym_struct,
    ACTIONS(9200), 1,
      anon_sym_union,
    ACTIONS(9202), 1,
      anon_sym_typename,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4130), 1,
      sym_type_specifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176022] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2355), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [176102] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2355), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [176182] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2355), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [176262] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2356), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [176342] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(6015), 1,
      sym__function_attributes_end,
    STATE(6173), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5434), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [176414] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9146), 1,
      anon_sym_class,
    ACTIONS(9148), 1,
      anon_sym_struct,
    ACTIONS(9150), 1,
      anon_sym_union,
    ACTIONS(9152), 1,
      sym_auto,
    ACTIONS(9154), 1,
      anon_sym_decltype,
    ACTIONS(9158), 1,
      sym_identifier,
    ACTIONS(9162), 1,
      sym_primitive_type,
    ACTIONS(9164), 1,
      anon_sym_enum,
    ACTIONS(9166), 1,
      anon_sym_typename,
    STATE(2535), 1,
      sym_type_specifier,
    STATE(2599), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2682), 1,
      sym_qualified_type_identifier,
    STATE(2718), 1,
      sym_decltype_auto,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2629), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9160), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2692), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176488] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [176568] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [176648] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [176728] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9215), 1,
      sym_identifier,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9221), 1,
      sym_primitive_type,
    ACTIONS(9223), 1,
      anon_sym_enum,
    ACTIONS(9225), 1,
      anon_sym_class,
    ACTIONS(9227), 1,
      anon_sym_struct,
    ACTIONS(9229), 1,
      anon_sym_union,
    ACTIONS(9231), 1,
      sym_auto,
    ACTIONS(9233), 1,
      anon_sym_decltype,
    ACTIONS(9235), 1,
      anon_sym_typename,
    STATE(2959), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3215), 1,
      sym_type_specifier,
    STATE(3618), 1,
      sym_decltype_auto,
    STATE(3623), 1,
      sym_qualified_type_identifier,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3426), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9219), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176802] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2945), 1,
      sym__class_declaration,
    STATE(2946), 1,
      sym__class_declaration_item,
    STATE(5518), 1,
      sym_ms_declspec_modifier,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5519), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5372), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [176882] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9215), 1,
      sym_identifier,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9221), 1,
      sym_primitive_type,
    ACTIONS(9223), 1,
      anon_sym_enum,
    ACTIONS(9225), 1,
      anon_sym_class,
    ACTIONS(9227), 1,
      anon_sym_struct,
    ACTIONS(9229), 1,
      anon_sym_union,
    ACTIONS(9231), 1,
      sym_auto,
    ACTIONS(9233), 1,
      anon_sym_decltype,
    ACTIONS(9235), 1,
      anon_sym_typename,
    STATE(2959), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3490), 1,
      sym_type_specifier,
    STATE(3618), 1,
      sym_decltype_auto,
    STATE(3623), 1,
      sym_qualified_type_identifier,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3426), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9219), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176956] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177036] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(6141), 1,
      sym__function_attributes_end,
    STATE(6162), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5444), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [177108] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2946), 1,
      sym__class_declaration_item,
    STATE(2947), 1,
      sym__class_declaration,
    STATE(5518), 1,
      sym_ms_declspec_modifier,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5519), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5372), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177188] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2946), 1,
      sym__class_declaration_item,
    STATE(2949), 1,
      sym__class_declaration,
    STATE(5518), 1,
      sym_ms_declspec_modifier,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5519), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5372), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177268] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(6172), 1,
      sym__function_attributes_end,
    STATE(6173), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5430), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [177340] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3098), 1,
      sym_field_declaration_list,
    STATE(3236), 1,
      sym__class_declaration_item,
    STATE(3245), 1,
      sym__class_declaration,
    STATE(5540), 1,
      sym_ms_declspec_modifier,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7776), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5354), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177420] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7887), 1,
      sym_identifier,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7893), 1,
      sym_primitive_type,
    ACTIONS(7895), 1,
      anon_sym_enum,
    ACTIONS(7897), 1,
      anon_sym_class,
    ACTIONS(7899), 1,
      anon_sym_struct,
    ACTIONS(7901), 1,
      anon_sym_union,
    ACTIONS(7903), 1,
      sym_auto,
    ACTIONS(7905), 1,
      anon_sym_decltype,
    ACTIONS(7907), 1,
      anon_sym_typename,
    STATE(4333), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4919), 1,
      sym_type_specifier,
    STATE(5042), 1,
      sym_decltype_auto,
    STATE(5047), 1,
      sym_qualified_type_identifier,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(4979), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7891), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5044), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [177494] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5436), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [177566] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9136), 1,
      sym_identifier,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9142), 1,
      sym_primitive_type,
    ACTIONS(9144), 1,
      anon_sym_enum,
    ACTIONS(9146), 1,
      anon_sym_class,
    ACTIONS(9148), 1,
      anon_sym_struct,
    ACTIONS(9150), 1,
      anon_sym_union,
    ACTIONS(9152), 1,
      sym_auto,
    ACTIONS(9154), 1,
      anon_sym_decltype,
    ACTIONS(9156), 1,
      anon_sym_typename,
    STATE(2535), 1,
      sym_type_specifier,
    STATE(2621), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2682), 1,
      sym_qualified_type_identifier,
    STATE(2718), 1,
      sym_decltype_auto,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2629), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9140), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2692), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [177640] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(5992), 1,
      sym__declarator,
    STATE(7204), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [177710] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6084), 1,
      sym__declarator,
    STATE(7370), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [177780] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7825), 1,
      sym_primitive_type,
    ACTIONS(9190), 1,
      sym_identifier,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9194), 1,
      anon_sym_enum,
    ACTIONS(9196), 1,
      anon_sym_class,
    ACTIONS(9198), 1,
      anon_sym_struct,
    ACTIONS(9200), 1,
      anon_sym_union,
    ACTIONS(9202), 1,
      anon_sym_typename,
    STATE(2475), 1,
      sym_type_specifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [177854] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7921), 1,
      sym_identifier,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7927), 1,
      sym_primitive_type,
    ACTIONS(7929), 1,
      anon_sym_enum,
    ACTIONS(7931), 1,
      anon_sym_class,
    ACTIONS(7933), 1,
      anon_sym_struct,
    ACTIONS(7935), 1,
      anon_sym_union,
    ACTIONS(7937), 1,
      sym_auto,
    ACTIONS(7939), 1,
      anon_sym_decltype,
    ACTIONS(7941), 1,
      anon_sym_typename,
    STATE(4274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(4981), 1,
      sym_decltype_auto,
    STATE(4985), 1,
      sym_qualified_type_identifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4982), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [177928] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9136), 1,
      sym_identifier,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9142), 1,
      sym_primitive_type,
    ACTIONS(9144), 1,
      anon_sym_enum,
    ACTIONS(9146), 1,
      anon_sym_class,
    ACTIONS(9148), 1,
      anon_sym_struct,
    ACTIONS(9150), 1,
      anon_sym_union,
    ACTIONS(9152), 1,
      sym_auto,
    ACTIONS(9154), 1,
      anon_sym_decltype,
    ACTIONS(9156), 1,
      anon_sym_typename,
    STATE(2538), 1,
      sym_type_specifier,
    STATE(2621), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2682), 1,
      sym_qualified_type_identifier,
    STATE(2718), 1,
      sym_decltype_auto,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2629), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9140), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2692), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [178002] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9146), 1,
      anon_sym_class,
    ACTIONS(9148), 1,
      anon_sym_struct,
    ACTIONS(9150), 1,
      anon_sym_union,
    ACTIONS(9152), 1,
      sym_auto,
    ACTIONS(9154), 1,
      anon_sym_decltype,
    ACTIONS(9158), 1,
      sym_identifier,
    ACTIONS(9162), 1,
      sym_primitive_type,
    ACTIONS(9164), 1,
      anon_sym_enum,
    ACTIONS(9166), 1,
      anon_sym_typename,
    STATE(2538), 1,
      sym_type_specifier,
    STATE(2599), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2682), 1,
      sym_qualified_type_identifier,
    STATE(2718), 1,
      sym_decltype_auto,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2629), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9160), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2692), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [178076] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9128), 1,
      anon_sym_requires,
    STATE(6144), 1,
      sym_trailing_return_type,
    STATE(6163), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5438), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [178148] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178228] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(6145), 1,
      sym_trailing_return_type,
    STATE(6166), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5429), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [178300] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6107), 1,
      sym__declarator,
    STATE(7152), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [178370] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9255), 1,
      sym_identifier,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9261), 1,
      sym_primitive_type,
    ACTIONS(9263), 1,
      anon_sym_enum,
    ACTIONS(9265), 1,
      anon_sym_class,
    ACTIONS(9267), 1,
      anon_sym_struct,
    ACTIONS(9269), 1,
      anon_sym_union,
    ACTIONS(9271), 1,
      sym_auto,
    ACTIONS(9273), 1,
      anon_sym_decltype,
    ACTIONS(9275), 1,
      anon_sym_typename,
    STATE(2800), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3013), 1,
      sym_type_specifier,
    STATE(3270), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      sym_decltype_auto,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3180), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9259), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [178444] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3332), 1,
      sym_field_declaration_list,
    STATE(3628), 1,
      sym__class_declaration,
    STATE(3629), 1,
      sym__class_declaration_item,
    STATE(5520), 1,
      sym_ms_declspec_modifier,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(6940), 1,
      sym_virtual_specifier,
    STATE(7863), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5529), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5365), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178524] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3332), 1,
      sym_field_declaration_list,
    STATE(3629), 1,
      sym__class_declaration_item,
    STATE(3630), 1,
      sym__class_declaration,
    STATE(5520), 1,
      sym_ms_declspec_modifier,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(6940), 1,
      sym_virtual_specifier,
    STATE(7863), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5529), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5365), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178604] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3332), 1,
      sym_field_declaration_list,
    STATE(3629), 1,
      sym__class_declaration_item,
    STATE(3631), 1,
      sym__class_declaration,
    STATE(5520), 1,
      sym_ms_declspec_modifier,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(6940), 1,
      sym_virtual_specifier,
    STATE(7863), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5529), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5365), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178684] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(5545), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5546), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5345), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178764] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(5545), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5546), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5345), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178844] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(5545), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5546), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5345), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178924] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9168), 1,
      sym_identifier,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9174), 1,
      sym_primitive_type,
    ACTIONS(9176), 1,
      anon_sym_enum,
    ACTIONS(9178), 1,
      anon_sym_class,
    ACTIONS(9180), 1,
      anon_sym_struct,
    ACTIONS(9182), 1,
      anon_sym_union,
    ACTIONS(9184), 1,
      sym_auto,
    ACTIONS(9186), 1,
      anon_sym_decltype,
    ACTIONS(9188), 1,
      anon_sym_typename,
    STATE(2806), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3066), 1,
      sym_type_specifier,
    STATE(3322), 1,
      sym_decltype_auto,
    STATE(3351), 1,
      sym_qualified_type_identifier,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3278), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3303), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [178998] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7875), 1,
      sym_primitive_type,
    ACTIONS(9374), 1,
      sym_identifier,
    ACTIONS(9376), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9378), 1,
      anon_sym_enum,
    ACTIONS(9380), 1,
      anon_sym_class,
    ACTIONS(9382), 1,
      anon_sym_struct,
    ACTIONS(9384), 1,
      anon_sym_union,
    ACTIONS(9386), 1,
      anon_sym_typename,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(4513), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6585), 1,
      sym__scope_resolution,
    STATE(6788), 1,
      sym_type_specifier,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179072] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6038), 1,
      sym__declarator,
    STATE(7204), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179142] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9255), 1,
      sym_identifier,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9261), 1,
      sym_primitive_type,
    ACTIONS(9263), 1,
      anon_sym_enum,
    ACTIONS(9265), 1,
      anon_sym_class,
    ACTIONS(9267), 1,
      anon_sym_struct,
    ACTIONS(9269), 1,
      anon_sym_union,
    ACTIONS(9271), 1,
      sym_auto,
    ACTIONS(9273), 1,
      anon_sym_decltype,
    ACTIONS(9275), 1,
      anon_sym_typename,
    STATE(2800), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3192), 1,
      sym_type_specifier,
    STATE(3270), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      sym_decltype_auto,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3180), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9259), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179216] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4988), 1,
      sym__class_declaration,
    STATE(4989), 1,
      sym__class_declaration_item,
    STATE(5552), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5326), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179296] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4918), 1,
      sym__class_declaration,
    STATE(4989), 1,
      sym__class_declaration_item,
    STATE(5552), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5326), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179376] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4952), 1,
      sym__class_declaration,
    STATE(4989), 1,
      sym__class_declaration_item,
    STATE(5552), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5326), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179456] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179536] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9168), 1,
      sym_identifier,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9174), 1,
      sym_primitive_type,
    ACTIONS(9176), 1,
      anon_sym_enum,
    ACTIONS(9178), 1,
      anon_sym_class,
    ACTIONS(9180), 1,
      anon_sym_struct,
    ACTIONS(9182), 1,
      anon_sym_union,
    ACTIONS(9184), 1,
      sym_auto,
    ACTIONS(9186), 1,
      anon_sym_decltype,
    ACTIONS(9188), 1,
      anon_sym_typename,
    STATE(2806), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3079), 1,
      sym_type_specifier,
    STATE(3322), 1,
      sym_decltype_auto,
    STATE(3351), 1,
      sym_qualified_type_identifier,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3278), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3303), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179610] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5970), 1,
      sym__function_attributes_end,
    STATE(6012), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5440), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [179682] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6037), 1,
      sym__declarator,
    STATE(7418), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7825), 1,
      sym_primitive_type,
    ACTIONS(9190), 1,
      sym_identifier,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9194), 1,
      anon_sym_enum,
    ACTIONS(9196), 1,
      anon_sym_class,
    ACTIONS(9198), 1,
      anon_sym_struct,
    ACTIONS(9200), 1,
      anon_sym_union,
    ACTIONS(9202), 1,
      anon_sym_typename,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4114), 1,
      sym_type_specifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179826] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179906] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179986] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180066] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4988), 1,
      sym__class_declaration,
    STATE(4989), 1,
      sym__class_declaration_item,
    STATE(5528), 1,
      sym_ms_declspec_modifier,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5379), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180146] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2346), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180226] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2346), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180306] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2346), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180386] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4918), 1,
      sym__class_declaration,
    STATE(4989), 1,
      sym__class_declaration_item,
    STATE(5528), 1,
      sym_ms_declspec_modifier,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5379), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180466] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4952), 1,
      sym__class_declaration,
    STATE(4989), 1,
      sym__class_declaration_item,
    STATE(5528), 1,
      sym_ms_declspec_modifier,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5379), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180546] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180626] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180706] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180786] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_field_declaration_list,
    STATE(3316), 1,
      sym__class_declaration,
    STATE(3317), 1,
      sym__class_declaration_item,
    STATE(5542), 1,
      sym_ms_declspec_modifier,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7862), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2826), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5329), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180866] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2348), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180946] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2348), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181026] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2348), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181106] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_field_declaration_list,
    STATE(3317), 1,
      sym__class_declaration_item,
    STATE(3329), 1,
      sym__class_declaration,
    STATE(5542), 1,
      sym_ms_declspec_modifier,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7862), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2826), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5329), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181186] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_enum,
    ACTIONS(71), 1,
      anon_sym_class,
    ACTIONS(73), 1,
      anon_sym_struct,
    ACTIONS(75), 1,
      anon_sym_union,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(127), 1,
      anon_sym_typename,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2696), 1,
      sym_primitive_type,
    ACTIONS(3696), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    STATE(2266), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2299), 1,
      sym_type_specifier,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181260] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_field_declaration_list,
    STATE(3317), 1,
      sym__class_declaration_item,
    STATE(3334), 1,
      sym__class_declaration,
    STATE(5542), 1,
      sym_ms_declspec_modifier,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7862), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2826), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5329), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181340] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6132), 1,
      sym__declarator,
    STATE(7712), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [181410] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2350), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181490] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2350), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181570] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2350), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181650] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2351), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181730] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2351), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181810] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(9358), 1,
      anon_sym___attribute__,
    ACTIONS(9361), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(5564), 1,
      sym__function_attributes_end,
    STATE(5792), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [181876] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      sym_primitive_type,
    ACTIONS(7877), 1,
      anon_sym_enum,
    ACTIONS(7879), 1,
      anon_sym_class,
    ACTIONS(7881), 1,
      anon_sym_struct,
    ACTIONS(7883), 1,
      anon_sym_union,
    ACTIONS(7885), 1,
      anon_sym_typename,
    STATE(2299), 1,
      sym_type_specifier,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(4513), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181950] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2501), 1,
      sym__class_declaration,
    STATE(2502), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(5547), 1,
      sym_ms_declspec_modifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5341), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182030] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2352), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182110] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2352), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182190] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2352), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182270] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2502), 1,
      sym__class_declaration_item,
    STATE(2510), 1,
      sym__class_declaration,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(5547), 1,
      sym_ms_declspec_modifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5341), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182350] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2353), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182430] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2353), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182510] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2353), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182590] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2502), 1,
      sym__class_declaration_item,
    STATE(2515), 1,
      sym__class_declaration,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(5547), 1,
      sym_ms_declspec_modifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5341), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182670] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2696), 1,
      sym_primitive_type,
    ACTIONS(2700), 1,
      anon_sym_class,
    ACTIONS(2702), 1,
      anon_sym_struct,
    ACTIONS(2704), 1,
      anon_sym_union,
    ACTIONS(3696), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3708), 1,
      anon_sym_enum,
    ACTIONS(3710), 1,
      anon_sym_typename,
    STATE(2299), 1,
      sym_type_specifier,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(2630), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182744] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9168), 1,
      sym_identifier,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9174), 1,
      sym_primitive_type,
    ACTIONS(9176), 1,
      anon_sym_enum,
    ACTIONS(9178), 1,
      anon_sym_class,
    ACTIONS(9180), 1,
      anon_sym_struct,
    ACTIONS(9182), 1,
      anon_sym_union,
    ACTIONS(9184), 1,
      sym_auto,
    ACTIONS(9186), 1,
      anon_sym_decltype,
    ACTIONS(9188), 1,
      anon_sym_typename,
    STATE(2806), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3255), 1,
      sym_type_specifier,
    STATE(3322), 1,
      sym_decltype_auto,
    STATE(3351), 1,
      sym_qualified_type_identifier,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3278), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3303), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182818] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2501), 1,
      sym__class_declaration,
    STATE(2502), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(5576), 1,
      sym_ms_declspec_modifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5516), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5318), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182898] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2354), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182978] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2354), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183058] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2354), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183138] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2502), 1,
      sym__class_declaration_item,
    STATE(2510), 1,
      sym__class_declaration,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(5576), 1,
      sym_ms_declspec_modifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5516), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5318), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183218] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2345), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183298] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2345), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183378] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2345), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183458] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2502), 1,
      sym__class_declaration_item,
    STATE(2515), 1,
      sym__class_declaration,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(5576), 1,
      sym_ms_declspec_modifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5516), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5318), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183538] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4987), 1,
      sym_field_declaration_list,
    STATE(4991), 1,
      sym__class_declaration_item,
    STATE(5043), 1,
      sym__class_declaration,
    STATE(5586), 1,
      sym_ms_declspec_modifier,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(6827), 1,
      sym_virtual_specifier,
    STATE(7595), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5349), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183618] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7875), 1,
      sym_primitive_type,
    ACTIONS(9374), 1,
      sym_identifier,
    ACTIONS(9376), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9378), 1,
      anon_sym_enum,
    ACTIONS(9380), 1,
      anon_sym_class,
    ACTIONS(9382), 1,
      anon_sym_struct,
    ACTIONS(9384), 1,
      anon_sym_union,
    ACTIONS(9386), 1,
      anon_sym_typename,
    STATE(2299), 1,
      sym_type_specifier,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(4513), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6585), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183692] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4987), 1,
      sym_field_declaration_list,
    STATE(4991), 1,
      sym__class_declaration_item,
    STATE(5048), 1,
      sym__class_declaration,
    STATE(5586), 1,
      sym_ms_declspec_modifier,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(6827), 1,
      sym_virtual_specifier,
    STATE(7595), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5349), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183772] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4987), 1,
      sym_field_declaration_list,
    STATE(4991), 1,
      sym__class_declaration_item,
    STATE(5050), 1,
      sym__class_declaration,
    STATE(5586), 1,
      sym_ms_declspec_modifier,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(6827), 1,
      sym_virtual_specifier,
    STATE(7595), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5349), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183852] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4116), 1,
      sym_field_declaration_list,
    STATE(4180), 1,
      sym__class_declaration,
    STATE(4189), 1,
      sym__class_declaration_item,
    STATE(5611), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_virtual_specifier,
    STATE(7656), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5612), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5339), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183932] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4116), 1,
      sym_field_declaration_list,
    STATE(4189), 1,
      sym__class_declaration_item,
    STATE(4212), 1,
      sym__class_declaration,
    STATE(5611), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_virtual_specifier,
    STATE(7656), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5612), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5339), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184012] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4116), 1,
      sym_field_declaration_list,
    STATE(4189), 1,
      sym__class_declaration_item,
    STATE(4197), 1,
      sym__class_declaration,
    STATE(5611), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_virtual_specifier,
    STATE(7656), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5612), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5339), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184092] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(5769), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [184158] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5562), 1,
      sym__function_attributes_end,
    STATE(5790), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [184224] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2349), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184304] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_requires,
    STATE(5982), 1,
      sym__function_attributes_end,
    STATE(6032), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5450), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [184376] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2001), 1,
      anon_sym_enum,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_struct,
    ACTIONS(2007), 1,
      anon_sym_union,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(2035), 1,
      anon_sym_typename,
    ACTIONS(7819), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      sym_primitive_type,
    STATE(2475), 1,
      sym_type_specifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184450] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9136), 1,
      sym_identifier,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9142), 1,
      sym_primitive_type,
    ACTIONS(9144), 1,
      anon_sym_enum,
    ACTIONS(9146), 1,
      anon_sym_class,
    ACTIONS(9148), 1,
      anon_sym_struct,
    ACTIONS(9150), 1,
      anon_sym_union,
    ACTIONS(9152), 1,
      sym_auto,
    ACTIONS(9154), 1,
      anon_sym_decltype,
    ACTIONS(9156), 1,
      anon_sym_typename,
    STATE(2595), 1,
      sym_type_specifier,
    STATE(2621), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2682), 1,
      sym_qualified_type_identifier,
    STATE(2718), 1,
      sym_decltype_auto,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2629), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9140), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2692), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184524] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9245), 1,
      anon_sym_enum,
    ACTIONS(9247), 1,
      anon_sym_class,
    ACTIONS(9249), 1,
      anon_sym_struct,
    ACTIONS(9251), 1,
      anon_sym_union,
    ACTIONS(9253), 1,
      anon_sym_typename,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2925), 1,
      sym_type_specifier,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184598] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5969), 1,
      sym__function_attributes_end,
    STATE(6082), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5449), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [184670] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      anon_sym_typename,
    STATE(2475), 1,
      sym_type_specifier,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184744] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9281), 1,
      sym_identifier,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9287), 1,
      sym_primitive_type,
    ACTIONS(9289), 1,
      anon_sym_enum,
    ACTIONS(9291), 1,
      anon_sym_class,
    ACTIONS(9293), 1,
      anon_sym_struct,
    ACTIONS(9295), 1,
      anon_sym_union,
    ACTIONS(9297), 1,
      sym_auto,
    ACTIONS(9299), 1,
      anon_sym_decltype,
    ACTIONS(9301), 1,
      anon_sym_typename,
    STATE(3543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4150), 1,
      sym_type_specifier,
    STATE(4196), 1,
      sym_qualified_type_identifier,
    STATE(4207), 1,
      sym_decltype_auto,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(4154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9285), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4214), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2491), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5986), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2495), 1,
      sym_attribute_specifier,
    ACTIONS(5953), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5951), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184902] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2349), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184982] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2349), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2504), 1,
      sym_attribute_specifier,
    ACTIONS(5965), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5963), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2507), 1,
      sym_attribute_specifier,
    ACTIONS(5961), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5959), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2513), 1,
      sym_attribute_specifier,
    ACTIONS(5981), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5979), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2520), 1,
      sym_attribute_specifier,
    ACTIONS(5973), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5971), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2522), 1,
      sym_attribute_specifier,
    ACTIONS(5977), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5975), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2523), 1,
      sym_attribute_specifier,
    ACTIONS(5949), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5947), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2524), 1,
      sym_attribute_specifier,
    ACTIONS(5945), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5943), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2503), 1,
      sym_attribute_specifier,
    ACTIONS(5969), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5967), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(2499), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5939), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185440] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(8809), 1,
      anon_sym_requires,
    STATE(5615), 1,
      sym__function_attributes_end,
    STATE(5747), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [185506] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5521), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5522), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5375), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185586] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5521), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5522), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5375), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185666] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5521), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5522), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5375), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185746] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2501), 1,
      sym__class_declaration,
    STATE(2502), 1,
      sym__class_declaration_item,
    STATE(5274), 1,
      sym_field_declaration_list,
    STATE(5609), 1,
      sym_ms_declspec_modifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym_virtual_specifier,
    STATE(7828), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5590), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5350), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185826] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2502), 1,
      sym__class_declaration_item,
    STATE(2510), 1,
      sym__class_declaration,
    STATE(5274), 1,
      sym_field_declaration_list,
    STATE(5609), 1,
      sym_ms_declspec_modifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym_virtual_specifier,
    STATE(7828), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5590), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5350), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185906] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2502), 1,
      sym__class_declaration_item,
    STATE(2515), 1,
      sym__class_declaration,
    STATE(5274), 1,
      sym_field_declaration_list,
    STATE(5609), 1,
      sym_ms_declspec_modifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym_virtual_specifier,
    STATE(7828), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5590), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5350), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185986] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(5597), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5362), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186066] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2336), 1,
      sym__class_declaration,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(5597), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5362), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186146] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(5597), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5362), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186226] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9245), 1,
      anon_sym_enum,
    ACTIONS(9247), 1,
      anon_sym_class,
    ACTIONS(9249), 1,
      anon_sym_struct,
    ACTIONS(9251), 1,
      anon_sym_union,
    ACTIONS(9253), 1,
      anon_sym_typename,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(4253), 1,
      sym_type_specifier,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186300] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6078), 1,
      sym__declarator,
    STATE(7204), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186370] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1861), 1,
      anon_sym_enum,
    ACTIONS(1863), 1,
      anon_sym_class,
    ACTIONS(1865), 1,
      anon_sym_struct,
    ACTIONS(1867), 1,
      anon_sym_union,
    ACTIONS(1891), 1,
      anon_sym_typename,
    ACTIONS(2696), 1,
      sym_primitive_type,
    ACTIONS(4411), 1,
      sym_identifier,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    STATE(2266), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2299), 1,
      sym_type_specifier,
    STATE(2320), 1,
      sym_qualified_type_identifier,
    STATE(2340), 1,
      sym_decltype_auto,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2323), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186444] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9245), 1,
      anon_sym_enum,
    ACTIONS(9247), 1,
      anon_sym_class,
    ACTIONS(9249), 1,
      anon_sym_struct,
    ACTIONS(9251), 1,
      anon_sym_union,
    ACTIONS(9253), 1,
      anon_sym_typename,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(4229), 1,
      sym_type_specifier,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186518] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3955), 1,
      anon_sym_enum,
    ACTIONS(3957), 1,
      anon_sym_class,
    ACTIONS(3959), 1,
      anon_sym_struct,
    ACTIONS(3961), 1,
      anon_sym_union,
    ACTIONS(3985), 1,
      sym_auto,
    ACTIONS(3987), 1,
      anon_sym_decltype,
    ACTIONS(3989), 1,
      anon_sym_typename,
    ACTIONS(7849), 1,
      sym_identifier,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2925), 1,
      sym_type_specifier,
    STATE(2969), 1,
      sym_qualified_type_identifier,
    STATE(2993), 1,
      sym_decltype_auto,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2910), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186592] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9128), 1,
      anon_sym_requires,
    STATE(6019), 1,
      sym__function_attributes_end,
    STATE(6144), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5439), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [186664] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3098), 1,
      sym_field_declaration_list,
    STATE(3235), 1,
      sym__class_declaration,
    STATE(3236), 1,
      sym__class_declaration_item,
    STATE(5540), 1,
      sym_ms_declspec_modifier,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7776), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5354), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186744] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6017), 1,
      sym__declarator,
    STATE(7177), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186814] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(6014), 1,
      sym__function_attributes_end,
    STATE(6162), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5445), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [186886] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2945), 1,
      sym__class_declaration,
    STATE(2946), 1,
      sym__class_declaration_item,
    STATE(5602), 1,
      sym_ms_declspec_modifier,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5603), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5378), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186966] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2946), 1,
      sym__class_declaration_item,
    STATE(2947), 1,
      sym__class_declaration,
    STATE(5602), 1,
      sym_ms_declspec_modifier,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5603), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5378), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187046] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(7927), 1,
      sym_primitive_type,
    ACTIONS(7937), 1,
      sym_auto,
    ACTIONS(7939), 1,
      anon_sym_decltype,
    ACTIONS(7943), 1,
      sym_identifier,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7947), 1,
      anon_sym_enum,
    ACTIONS(7949), 1,
      anon_sym_class,
    ACTIONS(7951), 1,
      anon_sym_struct,
    ACTIONS(7953), 1,
      anon_sym_union,
    ACTIONS(7955), 1,
      anon_sym_typename,
    STATE(4274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(4981), 1,
      sym_decltype_auto,
    STATE(4985), 1,
      sym_qualified_type_identifier,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2287), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4982), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187120] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2946), 1,
      sym__class_declaration_item,
    STATE(2949), 1,
      sym__class_declaration,
    STATE(5602), 1,
      sym_ms_declspec_modifier,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5603), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5378), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187200] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(6020), 1,
      sym__function_attributes_end,
    STATE(6145), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5442), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9076), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [187272] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9255), 1,
      sym_identifier,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9261), 1,
      sym_primitive_type,
    ACTIONS(9263), 1,
      anon_sym_enum,
    ACTIONS(9265), 1,
      anon_sym_class,
    ACTIONS(9267), 1,
      anon_sym_struct,
    ACTIONS(9269), 1,
      anon_sym_union,
    ACTIONS(9271), 1,
      sym_auto,
    ACTIONS(9273), 1,
      anon_sym_decltype,
    ACTIONS(9275), 1,
      anon_sym_typename,
    STATE(2800), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3040), 1,
      sym_type_specifier,
    STATE(3270), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      sym_decltype_auto,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3180), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9259), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187346] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6002), 1,
      sym__declarator,
    STATE(7527), 1,
      sym_init_declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187416] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9146), 1,
      anon_sym_class,
    ACTIONS(9148), 1,
      anon_sym_struct,
    ACTIONS(9150), 1,
      anon_sym_union,
    ACTIONS(9152), 1,
      sym_auto,
    ACTIONS(9154), 1,
      anon_sym_decltype,
    ACTIONS(9158), 1,
      sym_identifier,
    ACTIONS(9162), 1,
      sym_primitive_type,
    ACTIONS(9164), 1,
      anon_sym_enum,
    ACTIONS(9166), 1,
      anon_sym_typename,
    STATE(2595), 1,
      sym_type_specifier,
    STATE(2599), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2682), 1,
      sym_qualified_type_identifier,
    STATE(2718), 1,
      sym_decltype_auto,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2629), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9160), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2692), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187490] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2031), 1,
      sym_auto,
    ACTIONS(2033), 1,
      anon_sym_decltype,
    ACTIONS(7825), 1,
      sym_primitive_type,
    ACTIONS(9190), 1,
      sym_identifier,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9194), 1,
      anon_sym_enum,
    ACTIONS(9196), 1,
      anon_sym_class,
    ACTIONS(9198), 1,
      anon_sym_struct,
    ACTIONS(9200), 1,
      anon_sym_union,
    ACTIONS(9202), 1,
      anon_sym_typename,
    STATE(2486), 1,
      sym_decltype_auto,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2528), 1,
      sym_qualified_type_identifier,
    STATE(4202), 1,
      sym_type_specifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(2469), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2487), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187564] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(9215), 1,
      sym_identifier,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9221), 1,
      sym_primitive_type,
    ACTIONS(9223), 1,
      anon_sym_enum,
    ACTIONS(9225), 1,
      anon_sym_class,
    ACTIONS(9227), 1,
      anon_sym_struct,
    ACTIONS(9229), 1,
      anon_sym_union,
    ACTIONS(9231), 1,
      sym_auto,
    ACTIONS(9233), 1,
      anon_sym_decltype,
    ACTIONS(9235), 1,
      anon_sym_typename,
    STATE(2959), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3211), 1,
      sym_type_specifier,
    STATE(3618), 1,
      sym_decltype_auto,
    STATE(3623), 1,
      sym_qualified_type_identifier,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_dependent_type_identifier,
    STATE(3426), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9219), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187638] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2337), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5570), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2351), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5343), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187718] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6363), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187785] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6408), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187852] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2498), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(5524), 1,
      sym_ms_declspec_modifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5523), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187929] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6354), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187996] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7141), 1,
      anon_sym_STAR,
    ACTIONS(7143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6221), 1,
      sym__declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188063] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6436), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188130] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2593), 1,
      sym_field_declaration_list,
    STATE(2716), 1,
      sym__class_declaration_item,
    STATE(5574), 1,
      sym_ms_declspec_modifier,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(6962), 1,
      sym_virtual_specifier,
    STATE(7627), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5573), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188207] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6401), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188274] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6414), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188341] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6473), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188408] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4929), 1,
      sym__class_declaration_item,
    STATE(5556), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5555), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6380), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188552] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6453), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188619] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_field_declaration_list,
    STATE(3301), 1,
      sym__class_declaration_item,
    STATE(5551), 1,
      sym_ms_declspec_modifier,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7862), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2826), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5544), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5476), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [188733] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188800] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6415), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188867] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188934] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6352), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189001] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189068] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6404), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189135] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6615), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189202] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6618), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189269] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4116), 1,
      sym_field_declaration_list,
    STATE(4203), 1,
      sym__class_declaration_item,
    STATE(5614), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_virtual_specifier,
    STATE(7656), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5613), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189346] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6372), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189413] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2498), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(5531), 1,
      sym_ms_declspec_modifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5525), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189490] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189557] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2319), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5583), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5581), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189634] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7149), 1,
      anon_sym_STAR,
    ACTIONS(7151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7153), 1,
      anon_sym_AMP,
    ACTIONS(7155), 1,
      anon_sym_COLON_COLON,
    STATE(5779), 1,
      sym__scope_resolution,
    STATE(6603), 1,
      sym__declarator,
    STATE(8122), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189701] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(2319), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(5549), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5548), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189778] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1972), 1,
      sym_alignas_qualifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9415), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9413), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189823] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6365), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189890] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6362), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189957] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4987), 1,
      sym_field_declaration_list,
    STATE(5030), 1,
      sym__class_declaration_item,
    STATE(5592), 1,
      sym_ms_declspec_modifier,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(6827), 1,
      sym_virtual_specifier,
    STATE(7595), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5591), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190034] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2498), 1,
      sym__class_declaration_item,
    STATE(5274), 1,
      sym_field_declaration_list,
    STATE(5594), 1,
      sym_ms_declspec_modifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym_virtual_specifier,
    STATE(7828), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5593), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190111] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6396), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190178] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1972), 1,
      sym_alignas_qualifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9419), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9417), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190223] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7305), 1,
      anon_sym_STAR,
    ACTIONS(7307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7309), 1,
      anon_sym_AMP,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6210), 1,
      sym__declarator,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190290] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3098), 1,
      sym_field_declaration_list,
    STATE(3262), 1,
      sym__class_declaration_item,
    STATE(5569), 1,
      sym_ms_declspec_modifier,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7776), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5561), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190367] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7311), 1,
      anon_sym_STAR,
    ACTIONS(7313), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7315), 1,
      anon_sym_AMP,
    ACTIONS(7317), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym__scope_resolution,
    STATE(6487), 1,
      sym__declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190434] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6219), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7311), 1,
      anon_sym_STAR,
    ACTIONS(7313), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7315), 1,
      anon_sym_AMP,
    ACTIONS(7317), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym__scope_resolution,
    STATE(6531), 1,
      sym__declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190501] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6637), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190568] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6375), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190635] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6407), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5118), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5678), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5676), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [190743] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6403), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190810] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2319), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(5600), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5599), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190887] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6411), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(2320), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [190991] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3332), 1,
      sym_field_declaration_list,
    STATE(3666), 1,
      sym__class_declaration_item,
    STATE(5535), 1,
      sym_ms_declspec_modifier,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(6940), 1,
      sym_virtual_specifier,
    STATE(7863), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5534), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191068] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6420), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191135] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2319), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5605), 1,
      sym_ms_declspec_modifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5604), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191212] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7149), 1,
      anon_sym_STAR,
    ACTIONS(7151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7153), 1,
      anon_sym_AMP,
    ACTIONS(7155), 1,
      anon_sym_COLON_COLON,
    STATE(5779), 1,
      sym__scope_resolution,
    STATE(6653), 1,
      sym__declarator,
    STATE(8122), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191279] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6431), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191346] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6397), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191413] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6630), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191480] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2972), 1,
      sym__class_declaration_item,
    STATE(5514), 1,
      sym_ms_declspec_modifier,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5513), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191557] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6428), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191624] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6452), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191691] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2319), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(5527), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5526), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191768] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2680), 1,
      anon_sym_STAR,
    ACTIONS(2682), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5337), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(6610), 1,
      sym__declarator,
    STATE(8590), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191835] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2676), 1,
      anon_sym_LPAREN2,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_STAR,
    ACTIONS(7197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6475), 1,
      sym__declarator,
    STATE(8487), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6325), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191902] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2972), 1,
      sym__class_declaration_item,
    STATE(5607), 1,
      sym_ms_declspec_modifier,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5606), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191979] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym___attribute__,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5351), 1,
      anon_sym___declspec,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4929), 1,
      sym__class_declaration_item,
    STATE(5539), 1,
      sym_ms_declspec_modifier,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5353), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192056] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9312), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9315), 1,
      anon_sym_requires,
    STATE(6255), 1,
      sym__function_attributes_end,
    STATE(6432), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8796), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5461), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192126] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6321), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8796), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5453), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192196] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6225), 1,
      sym__function_attributes_end,
    STATE(6450), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9076), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5457), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192266] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5769), 1,
      sym_trailing_return_type,
    STATE(5822), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [192330] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9369), 1,
      anon_sym_requires,
    STATE(5748), 1,
      sym_trailing_return_type,
    STATE(5851), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [192394] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(6012), 1,
      sym_trailing_return_type,
    STATE(6313), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9076), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5458), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192464] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5790), 1,
      sym_trailing_return_type,
    STATE(5825), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [192528] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(8809), 1,
      anon_sym_requires,
    STATE(5747), 1,
      sym_trailing_return_type,
    STATE(5817), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [192592] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9312), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6240), 1,
      sym__function_attributes_end,
    STATE(6429), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8796), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5464), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192662] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(6082), 1,
      sym_trailing_return_type,
    STATE(6312), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8796), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5466), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192732] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(5792), 1,
      sym_trailing_return_type,
    STATE(5813), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [192796] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_requires,
    STATE(6032), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9076), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5460), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192866] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7118), 1,
      anon_sym_noexcept,
    ACTIONS(7120), 1,
      anon_sym_throw,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9427), 1,
      anon_sym_requires,
    STATE(6198), 1,
      sym__function_attributes_end,
    STATE(6435), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9076), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5454), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192936] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(5850), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [193000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2078), 1,
      anon_sym_LBRACE,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5678), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [193040] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9309), 1,
      anon_sym_requires,
    STATE(5924), 1,
      sym__function_attributes_end,
    STATE(5977), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [193103] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9358), 1,
      anon_sym___attribute__,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9433), 1,
      anon_sym_requires,
    STATE(5859), 1,
      sym_trailing_return_type,
    STATE(5889), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [193166] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(5934), 1,
      sym__function_attributes_end,
    STATE(6066), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [193229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LBRACE,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5678), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [193266] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5855), 1,
      sym_trailing_return_type,
    STATE(5882), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [193329] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym_trailing_return_type,
    STATE(5884), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [193392] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9100), 1,
      anon_sym_requires,
    STATE(5838), 1,
      sym_trailing_return_type,
    STATE(5887), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [193455] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9306), 1,
      anon_sym_requires,
    STATE(5815), 1,
      sym_trailing_return_type,
    STATE(5888), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [193518] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5892), 1,
      sym__function_attributes_end,
    STATE(6064), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [193581] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(8801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9092), 1,
      anon_sym_requires,
    STATE(5923), 1,
      sym__function_attributes_end,
    STATE(5976), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [193644] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(9358), 1,
      anon_sym___attribute__,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(5858), 1,
      sym_trailing_return_type,
    STATE(5885), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [193707] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(9081), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5900), 1,
      sym__function_attributes_end,
    STATE(6065), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [193770] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9436), 1,
      anon_sym_requires,
    STATE(5866), 1,
      sym__function_attributes_end,
    STATE(5978), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [193833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9439), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6460), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6458), 13,
      anon_sym_COLON,
      anon_sym_virtual,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [193871] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(5759), 1,
      sym_ms_call_modifier,
    STATE(6702), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [193929] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_requires,
    STATE(6047), 1,
      sym_trailing_return_type,
    STATE(6048), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [193991] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(6052), 1,
      sym_trailing_return_type,
    STATE(6053), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [194053] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym_trailing_return_type,
    STATE(6103), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194115] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_requires,
    STATE(6031), 1,
      sym__function_attributes_end,
    STATE(6032), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [194177] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(5744), 1,
      sym_ms_call_modifier,
    STATE(6664), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [194235] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(6009), 1,
      sym__function_attributes_end,
    STATE(6012), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [194297] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9100), 1,
      anon_sym_requires,
    STATE(5838), 1,
      sym_trailing_return_type,
    STATE(6057), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194359] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7555), 1,
      anon_sym_STAR,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(5911), 1,
      sym__abstract_declarator,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8171), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [194409] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(5785), 1,
      sym_ms_call_modifier,
    STATE(6682), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [194467] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9433), 1,
      anon_sym_requires,
    STATE(5859), 1,
      sym_trailing_return_type,
    STATE(6095), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194529] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(5858), 1,
      sym_trailing_return_type,
    STATE(6112), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194591] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(5787), 1,
      sym_ms_call_modifier,
    STATE(6676), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [194649] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5989), 1,
      sym__function_attributes_end,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [194711] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9306), 1,
      anon_sym_requires,
    STATE(5815), 1,
      sym_trailing_return_type,
    STATE(6079), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194773] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(6074), 1,
      sym__function_attributes_end,
    STATE(6082), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [194835] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5855), 1,
      sym_trailing_return_type,
    STATE(6051), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194897] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(6014), 1,
      sym__function_attributes_end,
    STATE(6162), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [194958] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_LPAREN2,
    ACTIONS(9447), 1,
      anon_sym_LBRACE,
    ACTIONS(9451), 1,
      anon_sym_requires,
    STATE(3106), 1,
      sym_template_type,
    STATE(3949), 1,
      sym_requirement_seq,
    STATE(5932), 1,
      sym_lambda_capture_specifier,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(7823), 1,
      sym_requires_parameter_list,
    ACTIONS(9449), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4027), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [195019] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    ACTIONS(9453), 1,
      anon_sym_LPAREN2,
    ACTIONS(9455), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      anon_sym_requires,
    STATE(2970), 1,
      sym_template_type,
    STATE(3688), 1,
      sym_requirement_seq,
    STATE(5896), 1,
      sym_lambda_capture_specifier,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(7737), 1,
      sym_requires_parameter_list,
    ACTIONS(9457), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3705), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [195080] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9461), 1,
      anon_sym_requires,
    STATE(6146), 1,
      sym_trailing_return_type,
    STATE(6167), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [195141] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(6176), 1,
      sym_trailing_return_type,
    STATE(6178), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [195202] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN2,
    ACTIONS(9466), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_requires,
    STATE(2460), 1,
      sym_template_type,
    STATE(3669), 1,
      sym_requirement_seq,
    STATE(5929), 1,
      sym_lambda_capture_specifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(7597), 1,
      sym_requires_parameter_list,
    ACTIONS(9468), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4336), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [195263] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(6141), 1,
      sym__function_attributes_end,
    STATE(6162), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [195324] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9128), 1,
      anon_sym_requires,
    STATE(6019), 1,
      sym__function_attributes_end,
    STATE(6144), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [195385] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(9358), 1,
      anon_sym___attribute__,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(6016), 1,
      sym__function_attributes_end,
    STATE(6176), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [195446] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    ACTIONS(9472), 1,
      anon_sym_LPAREN2,
    ACTIONS(9474), 1,
      anon_sym_LBRACE,
    ACTIONS(9478), 1,
      anon_sym_requires,
    STATE(3042), 1,
      sym_template_type,
    STATE(3789), 1,
      sym_requirement_seq,
    STATE(5898), 1,
      sym_lambda_capture_specifier,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(7573), 1,
      sym_requires_parameter_list,
    ACTIONS(9476), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3738), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [195507] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_requires,
    STATE(5982), 1,
      sym__function_attributes_end,
    STATE(6032), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [195568] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [195629] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(6145), 1,
      sym_trailing_return_type,
    STATE(6166), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [195690] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(6020), 1,
      sym__function_attributes_end,
    STATE(6145), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [195751] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(9358), 1,
      anon_sym___attribute__,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(5971), 1,
      sym__function_attributes_end,
    STATE(6052), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [195812] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(8798), 1,
      anon_sym___attribute__,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5969), 1,
      sym__function_attributes_end,
    STATE(6082), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [195873] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(9358), 1,
      anon_sym___attribute__,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9461), 1,
      anon_sym_requires,
    STATE(6021), 1,
      sym__function_attributes_end,
    STATE(6146), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [195934] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9464), 1,
      anon_sym_LPAREN2,
    ACTIONS(9466), 1,
      anon_sym_LBRACE,
    ACTIONS(9470), 1,
      anon_sym_requires,
    STATE(3669), 1,
      sym_requirement_seq,
    STATE(3889), 1,
      sym_template_type,
    STATE(5929), 1,
      sym_lambda_capture_specifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(7597), 1,
      sym_requires_parameter_list,
    ACTIONS(9480), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4322), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [195995] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(6172), 1,
      sym__function_attributes_end,
    STATE(6173), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [196056] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(6015), 1,
      sym__function_attributes_end,
    STATE(6173), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [196117] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    ACTIONS(9482), 1,
      anon_sym_LPAREN2,
    ACTIONS(9484), 1,
      anon_sym_LBRACE,
    ACTIONS(9488), 1,
      anon_sym_requires,
    STATE(2911), 1,
      sym_template_type,
    STATE(4321), 1,
      sym_requirement_seq,
    STATE(5878), 1,
      sym_lambda_capture_specifier,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(7647), 1,
      sym_requires_parameter_list,
    ACTIONS(9486), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4888), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [196178] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    ACTIONS(9490), 1,
      anon_sym_LPAREN2,
    ACTIONS(9492), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_requires,
    STATE(2544), 1,
      sym_template_type,
    STATE(2889), 1,
      sym_requirement_seq,
    STATE(5894), 1,
      sym_lambda_capture_specifier,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(7857), 1,
      sym_requires_parameter_list,
    ACTIONS(9494), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2890), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [196239] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9128), 1,
      anon_sym_requires,
    STATE(6144), 1,
      sym_trailing_return_type,
    STATE(6163), 1,
      sym__function_attributes_end,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [196300] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(9078), 1,
      anon_sym___attribute__,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5970), 1,
      sym__function_attributes_end,
    STATE(6012), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [196361] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(9358), 1,
      anon_sym___attribute__,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_requires,
    STATE(5983), 1,
      sym__function_attributes_end,
    STATE(6047), 1,
      sym_trailing_return_type,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [196422] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    STATE(5904), 1,
      sym_ms_call_modifier,
    STATE(6657), 1,
      sym__field_declarator,
    STATE(6743), 1,
      sym_operator_name,
    STATE(8233), 1,
      sym_ms_based_modifier,
    ACTIONS(1993), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [196476] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(6082), 1,
      sym_trailing_return_type,
    STATE(6312), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8796), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
  [196535] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_requires,
    STATE(6032), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9076), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
  [196594] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_requires,
    STATE(6202), 1,
      sym__function_attributes_end,
    STATE(6439), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9356), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
  [196653] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9506), 1,
      anon_sym_COLON,
    ACTIONS(9508), 1,
      anon_sym_SEMI,
    ACTIONS(9510), 1,
      anon_sym_LBRACE,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(9514), 1,
      anon_sym_EQ,
    ACTIONS(9516), 1,
      anon_sym_try,
    STATE(1881), 1,
      sym_compound_statement,
    STATE(1882), 1,
      sym_default_method_clause,
    STATE(1883), 1,
      sym_delete_method_clause,
    STATE(1884), 1,
      sym_pure_virtual_clause,
    STATE(1885), 1,
      sym_try_statement,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6779), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6793), 1,
      sym_initializer_list,
    STATE(6809), 1,
      sym_bitfield_clause,
    STATE(7965), 1,
      sym_attribute_specifier,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [196724] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9506), 1,
      anon_sym_COLON,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(9518), 1,
      anon_sym_SEMI,
    ACTIONS(9520), 1,
      anon_sym_LBRACE,
    ACTIONS(9522), 1,
      anon_sym_EQ,
    ACTIONS(9524), 1,
      anon_sym_try,
    STATE(2034), 1,
      sym_try_statement,
    STATE(2118), 1,
      sym_pure_virtual_clause,
    STATE(2212), 1,
      sym_compound_statement,
    STATE(2220), 1,
      sym_default_method_clause,
    STATE(2225), 1,
      sym_delete_method_clause,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6794), 1,
      sym_bitfield_clause,
    STATE(6797), 1,
      sym_initializer_list,
    STATE(6798), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8110), 1,
      sym_attribute_specifier,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [196795] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6267), 1,
      sym__function_attributes_end,
    STATE(6381), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9356), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
  [196854] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(6052), 1,
      sym_trailing_return_type,
    STATE(6314), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9356), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
  [196913] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9506), 1,
      anon_sym_COLON,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(9526), 1,
      anon_sym_SEMI,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9530), 1,
      anon_sym_EQ,
    ACTIONS(9532), 1,
      anon_sym_try,
    STATE(2100), 1,
      sym_compound_statement,
    STATE(2102), 1,
      sym_default_method_clause,
    STATE(2103), 1,
      sym_delete_method_clause,
    STATE(2104), 1,
      sym_pure_virtual_clause,
    STATE(2108), 1,
      sym_try_statement,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6804), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6806), 1,
      sym_bitfield_clause,
    STATE(6820), 1,
      sym_initializer_list,
    STATE(8432), 1,
      sym_attribute_specifier,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [196984] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_requires,
    STATE(6047), 1,
      sym_trailing_return_type,
    STATE(6324), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9356), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
  [197043] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9427), 1,
      anon_sym_requires,
    STATE(6198), 1,
      sym__function_attributes_end,
    STATE(6435), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9076), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
  [197102] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(7915), 1,
      anon_sym_STAR,
    ACTIONS(7917), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7919), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6143), 1,
      sym__abstract_declarator,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8171), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [197149] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9312), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6240), 1,
      sym__function_attributes_end,
    STATE(6429), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8796), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
  [197208] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6225), 1,
      sym__function_attributes_end,
    STATE(6450), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9076), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
  [197267] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6321), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8796), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
  [197326] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(6012), 1,
      sym_trailing_return_type,
    STATE(6313), 1,
      sym__function_attributes_end,
    STATE(6750), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9076), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
  [197385] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym___asm,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9312), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9315), 1,
      anon_sym_requires,
    STATE(6255), 1,
      sym__function_attributes_end,
    STATE(6432), 1,
      sym_trailing_return_type,
    STATE(6759), 1,
      sym_gnu_asm_expression,
    ACTIONS(7109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8796), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5926), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
  [197444] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN2,
    ACTIONS(9538), 1,
      anon_sym_requires,
    STATE(2244), 1,
      sym_template_type,
    STATE(5893), 1,
      sym_lambda_capture_specifier,
    STATE(6549), 1,
      sym__scope_resolution,
    ACTIONS(9536), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6421), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [197496] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    ACTIONS(9451), 1,
      anon_sym_requires,
    ACTIONS(9540), 1,
      anon_sym_LPAREN2,
    STATE(3106), 1,
      sym_template_type,
    STATE(5932), 1,
      sym_lambda_capture_specifier,
    STATE(6572), 1,
      sym__scope_resolution,
    ACTIONS(9542), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3978), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [197548] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    ACTIONS(9451), 1,
      anon_sym_requires,
    ACTIONS(9540), 1,
      anon_sym_LPAREN2,
    STATE(3106), 1,
      sym_template_type,
    STATE(5932), 1,
      sym_lambda_capture_specifier,
    STATE(6572), 1,
      sym__scope_resolution,
    ACTIONS(9544), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3948), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [197600] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN2,
    ACTIONS(9538), 1,
      anon_sym_requires,
    STATE(2244), 1,
      sym_template_type,
    STATE(5893), 1,
      sym_lambda_capture_specifier,
    STATE(6549), 1,
      sym__scope_resolution,
    ACTIONS(9546), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6458), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [197652] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LPAREN2,
    ACTIONS(9538), 1,
      anon_sym_requires,
    ACTIONS(9548), 1,
      sym_identifier,
    ACTIONS(9550), 1,
      anon_sym_COLON_COLON,
    STATE(2229), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9552), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2251), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [197704] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LPAREN2,
    ACTIONS(9538), 1,
      anon_sym_requires,
    ACTIONS(9548), 1,
      sym_identifier,
    ACTIONS(9550), 1,
      anon_sym_COLON_COLON,
    STATE(2229), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9554), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2003), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [197756] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    ACTIONS(9488), 1,
      anon_sym_requires,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    STATE(2911), 1,
      sym_template_type,
    STATE(5878), 1,
      sym_lambda_capture_specifier,
    STATE(6564), 1,
      sym__scope_resolution,
    ACTIONS(9558), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4884), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [197808] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    ACTIONS(9488), 1,
      anon_sym_requires,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    STATE(2911), 1,
      sym_template_type,
    STATE(5878), 1,
      sym_lambda_capture_specifier,
    STATE(6564), 1,
      sym__scope_resolution,
    ACTIONS(9560), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4298), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [197860] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LPAREN2,
    ACTIONS(9538), 1,
      anon_sym_requires,
    ACTIONS(9548), 1,
      sym_identifier,
    ACTIONS(9550), 1,
      anon_sym_COLON_COLON,
    STATE(2229), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9562), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2238), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [197912] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN2,
    ACTIONS(9538), 1,
      anon_sym_requires,
    STATE(2244), 1,
      sym_template_type,
    STATE(5893), 1,
      sym_lambda_capture_specifier,
    STATE(6549), 1,
      sym__scope_resolution,
    ACTIONS(9554), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2003), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [197964] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9405), 1,
      sym_identifier,
    ACTIONS(9564), 1,
      anon_sym_LPAREN2,
    ACTIONS(9568), 1,
      anon_sym_requires,
    STATE(4590), 1,
      sym_template_type,
    STATE(5872), 1,
      sym_lambda_capture_specifier,
    STATE(6579), 1,
      sym__scope_resolution,
    ACTIONS(9566), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5834), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198016] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9405), 1,
      sym_identifier,
    ACTIONS(9564), 1,
      anon_sym_LPAREN2,
    ACTIONS(9568), 1,
      anon_sym_requires,
    STATE(4590), 1,
      sym_template_type,
    STATE(5872), 1,
      sym_lambda_capture_specifier,
    STATE(6579), 1,
      sym__scope_resolution,
    ACTIONS(9570), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5848), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198068] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(9572), 1,
      sym_identifier,
    ACTIONS(9574), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5480), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_operator_cast,
    STATE(7031), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8303), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [198138] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    ACTIONS(9470), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LPAREN2,
    STATE(2460), 1,
      sym_template_type,
    STATE(5929), 1,
      sym_lambda_capture_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    ACTIONS(9578), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5921), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198190] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9580), 1,
      anon_sym_LPAREN2,
    ACTIONS(9584), 1,
      anon_sym_requires,
    STATE(2244), 1,
      sym_template_type,
    STATE(5915), 1,
      sym_lambda_capture_specifier,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(9582), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6083), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198242] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    ACTIONS(9496), 1,
      anon_sym_requires,
    ACTIONS(9586), 1,
      anon_sym_LPAREN2,
    STATE(2544), 1,
      sym_template_type,
    STATE(5894), 1,
      sym_lambda_capture_specifier,
    STATE(6582), 1,
      sym__scope_resolution,
    ACTIONS(9588), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2833), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198294] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9580), 1,
      anon_sym_LPAREN2,
    ACTIONS(9584), 1,
      anon_sym_requires,
    STATE(2244), 1,
      sym_template_type,
    STATE(5915), 1,
      sym_lambda_capture_specifier,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(9590), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5984), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198346] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9580), 1,
      anon_sym_LPAREN2,
    ACTIONS(9584), 1,
      anon_sym_requires,
    STATE(2244), 1,
      sym_template_type,
    STATE(5915), 1,
      sym_lambda_capture_specifier,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(9592), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5778), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198398] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    ACTIONS(9488), 1,
      anon_sym_requires,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    STATE(2911), 1,
      sym_template_type,
    STATE(5878), 1,
      sym_lambda_capture_specifier,
    STATE(6577), 1,
      sym__scope_resolution,
    ACTIONS(9594), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6171), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198450] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    ACTIONS(9496), 1,
      anon_sym_requires,
    ACTIONS(9586), 1,
      anon_sym_LPAREN2,
    STATE(2544), 1,
      sym_template_type,
    STATE(5894), 1,
      sym_lambda_capture_specifier,
    STATE(6582), 1,
      sym__scope_resolution,
    ACTIONS(9596), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2834), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198502] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    ACTIONS(9470), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LPAREN2,
    STATE(2460), 1,
      sym_template_type,
    STATE(5929), 1,
      sym_lambda_capture_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    ACTIONS(9598), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3575), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198554] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9470), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LPAREN2,
    STATE(3889), 1,
      sym_template_type,
    STATE(5929), 1,
      sym_lambda_capture_specifier,
    STATE(6550), 1,
      sym__scope_resolution,
    ACTIONS(9598), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3575), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198606] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(2690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(9600), 1,
      sym_identifier,
    ACTIONS(9602), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5490), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_operator_cast,
    STATE(7031), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8303), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [198676] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      anon_sym_STAR,
    ACTIONS(7967), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6235), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8171), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [198722] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(9604), 1,
      sym_identifier,
    ACTIONS(9606), 1,
      anon_sym_TILDE,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      anon_sym_template,
    ACTIONS(9612), 1,
      anon_sym_operator,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5492), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_operator_cast,
    STATE(7031), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8051), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [198792] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9580), 1,
      anon_sym_LPAREN2,
    ACTIONS(9584), 1,
      anon_sym_requires,
    STATE(2244), 1,
      sym_template_type,
    STATE(5915), 1,
      sym_lambda_capture_specifier,
    STATE(6576), 1,
      sym__scope_resolution,
    ACTIONS(9614), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5734), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198844] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9580), 1,
      anon_sym_LPAREN2,
    ACTIONS(9584), 1,
      anon_sym_requires,
    STATE(2244), 1,
      sym_template_type,
    STATE(5915), 1,
      sym_lambda_capture_specifier,
    STATE(6576), 1,
      sym__scope_resolution,
    ACTIONS(9616), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5777), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198896] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9580), 1,
      anon_sym_LPAREN2,
    ACTIONS(9584), 1,
      anon_sym_requires,
    STATE(2244), 1,
      sym_template_type,
    STATE(5915), 1,
      sym_lambda_capture_specifier,
    STATE(6576), 1,
      sym__scope_resolution,
    ACTIONS(9592), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5778), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198948] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    ACTIONS(9470), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LPAREN2,
    STATE(2460), 1,
      sym_template_type,
    STATE(5929), 1,
      sym_lambda_capture_specifier,
    STATE(6533), 1,
      sym__scope_resolution,
    ACTIONS(9618), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4309), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199000] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    ACTIONS(9470), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LPAREN2,
    STATE(2460), 1,
      sym_template_type,
    STATE(5929), 1,
      sym_lambda_capture_specifier,
    STATE(6533), 1,
      sym__scope_resolution,
    ACTIONS(9598), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3575), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199052] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    ACTIONS(9488), 1,
      anon_sym_requires,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    STATE(2911), 1,
      sym_template_type,
    STATE(5878), 1,
      sym_lambda_capture_specifier,
    STATE(6577), 1,
      sym__scope_resolution,
    ACTIONS(9620), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6120), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199104] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    ACTIONS(9488), 1,
      anon_sym_requires,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    STATE(2911), 1,
      sym_template_type,
    STATE(5878), 1,
      sym_lambda_capture_specifier,
    STATE(6577), 1,
      sym__scope_resolution,
    ACTIONS(9560), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4298), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199156] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    ACTIONS(9459), 1,
      anon_sym_requires,
    ACTIONS(9622), 1,
      anon_sym_LPAREN2,
    STATE(2970), 1,
      sym_template_type,
    STATE(5896), 1,
      sym_lambda_capture_specifier,
    STATE(6568), 1,
      sym__scope_resolution,
    ACTIONS(9624), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3598), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199208] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    ACTIONS(9459), 1,
      anon_sym_requires,
    ACTIONS(9622), 1,
      anon_sym_LPAREN2,
    STATE(2970), 1,
      sym_template_type,
    STATE(5896), 1,
      sym_lambda_capture_specifier,
    STATE(6568), 1,
      sym__scope_resolution,
    ACTIONS(9626), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3599), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      anon_sym_LPAREN2,
    STATE(5618), 1,
      sym_preproc_argument_list,
    ACTIONS(9632), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9628), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [199294] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 1,
      anon_sym_STAR,
    ACTIONS(8008), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8010), 1,
      anon_sym_AMP,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6256), 1,
      sym__abstract_declarator,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8171), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9636), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9634), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [199370] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9405), 1,
      sym_identifier,
    ACTIONS(9564), 1,
      anon_sym_LPAREN2,
    ACTIONS(9568), 1,
      anon_sym_requires,
    STATE(4590), 1,
      sym_template_type,
    STATE(5872), 1,
      sym_lambda_capture_specifier,
    STATE(6579), 1,
      sym__scope_resolution,
    ACTIONS(9638), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5837), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199422] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    ACTIONS(9478), 1,
      anon_sym_requires,
    ACTIONS(9640), 1,
      anon_sym_LPAREN2,
    STATE(3042), 1,
      sym_template_type,
    STATE(5898), 1,
      sym_lambda_capture_specifier,
    STATE(6563), 1,
      sym__scope_resolution,
    ACTIONS(9642), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3740), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199474] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    ACTIONS(9478), 1,
      anon_sym_requires,
    ACTIONS(9640), 1,
      anon_sym_LPAREN2,
    STATE(3042), 1,
      sym_template_type,
    STATE(5898), 1,
      sym_lambda_capture_specifier,
    STATE(6563), 1,
      sym__scope_resolution,
    ACTIONS(9644), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3743), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199526] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    ACTIONS(9470), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LPAREN2,
    STATE(2460), 1,
      sym_template_type,
    STATE(5929), 1,
      sym_lambda_capture_specifier,
    STATE(6580), 1,
      sym__scope_resolution,
    ACTIONS(9646), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5905), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199578] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9470), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LPAREN2,
    STATE(3889), 1,
      sym_template_type,
    STATE(5929), 1,
      sym_lambda_capture_specifier,
    STATE(6550), 1,
      sym__scope_resolution,
    ACTIONS(9648), 2,
      sym_true,
      sym_false,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4315), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [199630] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9650), 1,
      anon_sym_COMMA,
    ACTIONS(9652), 1,
      anon_sym_RPAREN,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9664), 1,
      anon_sym_PIPE,
    ACTIONS(9666), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_AMP,
    STATE(7467), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [199685] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4116), 1,
      sym_field_declaration_list,
    STATE(4199), 1,
      sym__class_declaration_item,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_virtual_specifier,
    STATE(7656), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [199744] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2332), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [199803] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2994), 1,
      sym__class_declaration_item,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [199862] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(3000), 1,
      sym__class_declaration_item,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [199921] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2953), 1,
      sym__class_declaration_item,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [199980] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2497), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200039] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2318), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200098] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2966), 1,
      sym__class_declaration_item,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5513), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200157] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2971), 1,
      sym__class_declaration_item,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200216] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3332), 1,
      sym_field_declaration_list,
    STATE(3662), 1,
      sym__class_declaration_item,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(6940), 1,
      sym_virtual_specifier,
    STATE(7863), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5534), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200275] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2315), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5526), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200334] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2318), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200393] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2511), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200452] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2514), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5580), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200511] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2511), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200570] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2311), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200629] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2306), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200688] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4925), 1,
      sym__class_declaration_item,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200747] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3332), 1,
      sym_field_declaration_list,
    STATE(3665), 1,
      sym__class_declaration_item,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(6940), 1,
      sym_virtual_specifier,
    STATE(7863), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200806] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4928), 1,
      sym__class_declaration_item,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200865] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2514), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5610), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200924] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2332), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [200983] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9680), 1,
      anon_sym_RPAREN,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9690), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5510), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [201026] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3332), 1,
      sym_field_declaration_list,
    STATE(3692), 1,
      sym__class_declaration_item,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(6940), 1,
      sym_virtual_specifier,
    STATE(7863), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201085] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3332), 1,
      sym_field_declaration_list,
    STATE(3695), 1,
      sym__class_declaration_item,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(6940), 1,
      sym_virtual_specifier,
    STATE(7863), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5536), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201144] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3332), 1,
      sym_field_declaration_list,
    STATE(3633), 1,
      sym__class_declaration_item,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(6940), 1,
      sym_virtual_specifier,
    STATE(7863), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9650), 1,
      anon_sym_COMMA,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9664), 1,
      anon_sym_PIPE,
    ACTIONS(9666), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_AMP,
    ACTIONS(9694), 1,
      anon_sym_RPAREN,
    STATE(7486), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [201258] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4946), 1,
      sym__class_declaration_item,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201317] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4949), 1,
      sym__class_declaration_item,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5559), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201376] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3098), 1,
      sym_field_declaration_list,
    STATE(3284), 1,
      sym__class_declaration_item,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7776), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5561), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201435] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3098), 1,
      sym_field_declaration_list,
    STATE(3290), 1,
      sym__class_declaration_item,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7776), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201494] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_field_declaration_list,
    STATE(3347), 1,
      sym__class_declaration_item,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7862), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2826), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5544), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201553] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_field_declaration_list,
    STATE(3300), 1,
      sym__class_declaration_item,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7862), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2826), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201612] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_field_declaration_list,
    STATE(3397), 1,
      sym__class_declaration_item,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7862), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2826), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201671] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(2315), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5548), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201730] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(2318), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201789] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2494), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5525), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201848] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(2311), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201907] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(2306), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5550), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [201966] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(2332), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202025] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_field_declaration_list,
    STATE(3354), 1,
      sym__class_declaration_item,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7862), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2826), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5554), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202084] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4925), 1,
      sym__class_declaration_item,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5555), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202143] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4928), 1,
      sym__class_declaration_item,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202202] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_field_declaration_list,
    STATE(3294), 1,
      sym__class_declaration_item,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7862), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2826), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202261] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4946), 1,
      sym__class_declaration_item,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202320] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4949), 1,
      sym__class_declaration_item,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202379] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4959), 1,
      sym__class_declaration_item,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202438] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2497), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202497] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4840), 1,
      sym_field_declaration_list,
    STATE(4959), 1,
      sym__class_declaration_item,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym_virtual_specifier,
    STATE(7654), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4434), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202556] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5790), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [202597] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3098), 1,
      sym_field_declaration_list,
    STATE(3222), 1,
      sym__class_declaration_item,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7776), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202656] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5769), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [202697] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(5792), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [202738] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    STATE(5811), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [202779] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(8809), 1,
      anon_sym_requires,
    STATE(5747), 1,
      sym_trailing_return_type,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [202820] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9650), 1,
      anon_sym_COMMA,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9664), 1,
      anon_sym_PIPE,
    ACTIONS(9666), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_AMP,
    ACTIONS(9700), 1,
      anon_sym_RPAREN,
    STATE(7201), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [202875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9369), 1,
      anon_sym_requires,
    STATE(5748), 1,
      sym_trailing_return_type,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [202916] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9705), 1,
      anon_sym_requires,
    STATE(5767), 1,
      sym_trailing_return_type,
    ACTIONS(9702), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [202957] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3098), 1,
      sym_field_declaration_list,
    STATE(3259), 1,
      sym__class_declaration_item,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7776), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5585), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203016] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2315), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5581), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203075] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2593), 1,
      sym_field_declaration_list,
    STATE(2704), 1,
      sym__class_declaration_item,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(6962), 1,
      sym_virtual_specifier,
    STATE(7627), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5573), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203134] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2593), 1,
      sym_field_declaration_list,
    STATE(2713), 1,
      sym__class_declaration_item,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(6962), 1,
      sym_virtual_specifier,
    STATE(7627), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203193] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2593), 1,
      sym_field_declaration_list,
    STATE(2654), 1,
      sym__class_declaration_item,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(6962), 1,
      sym_virtual_specifier,
    STATE(7627), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203252] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2593), 1,
      sym_field_declaration_list,
    STATE(2658), 1,
      sym__class_declaration_item,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(6962), 1,
      sym_virtual_specifier,
    STATE(7627), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5575), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203311] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2593), 1,
      sym_field_declaration_list,
    STATE(2675), 1,
      sym__class_declaration_item,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(6962), 1,
      sym_virtual_specifier,
    STATE(7627), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203370] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2494), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5523), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203429] = 5,
    ACTIONS(9628), 1,
      anon_sym_LF,
    ACTIONS(9708), 1,
      anon_sym_LPAREN2,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(5802), 1,
      sym_preproc_argument_list,
    ACTIONS(9632), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [203462] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2315), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5604), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203521] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2318), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203580] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203639] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2311), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203698] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9712), 1,
      anon_sym_RPAREN,
    ACTIONS(9714), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5537), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [203741] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2306), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5588), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203800] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5347), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(9716), 1,
      sym_identifier,
    ACTIONS(9718), 1,
      anon_sym_template,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5584), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_operator_cast,
    STATE(7031), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8303), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [203863] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3098), 1,
      sym_field_declaration_list,
    STATE(3227), 1,
      sym__class_declaration_item,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7776), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203922] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4987), 1,
      sym_field_declaration_list,
    STATE(5001), 1,
      sym__class_declaration_item,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(6827), 1,
      sym_virtual_specifier,
    STATE(7595), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5591), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203981] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4987), 1,
      sym_field_declaration_list,
    STATE(5023), 1,
      sym__class_declaration_item,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(6827), 1,
      sym_virtual_specifier,
    STATE(7595), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204040] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2332), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2265), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204099] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9720), 1,
      anon_sym_RPAREN,
    ACTIONS(9722), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5566), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [204142] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2497), 1,
      sym__class_declaration_item,
    STATE(5274), 1,
      sym_field_declaration_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym_virtual_specifier,
    STATE(7828), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204201] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4987), 1,
      sym_field_declaration_list,
    STATE(5016), 1,
      sym__class_declaration_item,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(6827), 1,
      sym_virtual_specifier,
    STATE(7595), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204260] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4987), 1,
      sym_field_declaration_list,
    STATE(5024), 1,
      sym__class_declaration_item,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(6827), 1,
      sym_virtual_specifier,
    STATE(7595), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5595), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204319] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2511), 1,
      sym__class_declaration_item,
    STATE(5274), 1,
      sym_field_declaration_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym_virtual_specifier,
    STATE(7828), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204378] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2514), 1,
      sym__class_declaration_item,
    STATE(5274), 1,
      sym_field_declaration_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym_virtual_specifier,
    STATE(7828), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5596), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204437] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4987), 1,
      sym_field_declaration_list,
    STATE(5036), 1,
      sym__class_declaration_item,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(6827), 1,
      sym_virtual_specifier,
    STATE(7595), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204496] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(5274), 1,
      sym_field_declaration_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym_virtual_specifier,
    STATE(7828), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204555] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2315), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5599), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204614] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2318), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204673] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2311), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204732] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2306), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5601), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204791] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2332), 1,
      sym__class_declaration_item,
    STATE(5120), 1,
      sym_field_declaration_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_virtual_specifier,
    STATE(7875), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204850] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2966), 1,
      sym__class_declaration_item,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5606), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204909] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2971), 1,
      sym__class_declaration_item,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204968] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2311), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205027] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2306), 1,
      sym__class_declaration_item,
    STATE(2364), 1,
      sym_field_declaration_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym_virtual_specifier,
    STATE(7839), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5512), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205086] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2994), 1,
      sym__class_declaration_item,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205145] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(3000), 1,
      sym__class_declaration_item,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5608), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205204] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(2953), 1,
      sym__class_declaration_item,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(7048), 1,
      sym_virtual_specifier,
    STATE(7814), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205263] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2494), 1,
      sym__class_declaration_item,
    STATE(5274), 1,
      sym_field_declaration_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym_virtual_specifier,
    STATE(7828), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5593), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205322] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym_field_declaration_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(7066), 1,
      sym_virtual_specifier,
    STATE(7847), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205381] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4116), 1,
      sym_field_declaration_list,
    STATE(4209), 1,
      sym__class_declaration_item,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_virtual_specifier,
    STATE(7656), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5613), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205440] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4116), 1,
      sym_field_declaration_list,
    STATE(4226), 1,
      sym__class_declaration_item,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_virtual_specifier,
    STATE(7656), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205499] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4116), 1,
      sym_field_declaration_list,
    STATE(4227), 1,
      sym__class_declaration_item,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_virtual_specifier,
    STATE(7656), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205558] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4116), 1,
      sym_field_declaration_list,
    STATE(4183), 1,
      sym__class_declaration_item,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_virtual_specifier,
    STATE(7656), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5511), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205617] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    STATE(5780), 1,
      sym_trailing_return_type,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [205658] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9734), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5745), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [205698] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9738), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5687), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [205738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9742), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9740), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [205766] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8137), 1,
      anon_sym_STAR,
    ACTIONS(9744), 1,
      sym_identifier,
    ACTIONS(9746), 1,
      anon_sym_TILDE,
    ACTIONS(9748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9750), 1,
      anon_sym_template,
    ACTIONS(9752), 1,
      anon_sym_operator,
    STATE(2899), 1,
      sym_dependent_type_identifier,
    STATE(2936), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_qualified_type_identifier,
    STATE(3721), 1,
      sym_template_function,
    STATE(3725), 1,
      sym_destructor_name,
    STATE(3731), 1,
      sym_pointer_type_declarator,
    STATE(3757), 1,
      sym_dependent_identifier,
    STATE(3769), 1,
      sym_qualified_identifier,
    STATE(3772), 1,
      sym_operator_name,
    STATE(5619), 1,
      sym__scope_resolution,
    STATE(8654), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [205830] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9754), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5691), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [205870] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(9756), 1,
      sym_identifier,
    ACTIONS(9758), 1,
      anon_sym_TILDE,
    ACTIONS(9760), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9762), 1,
      anon_sym_template,
    ACTIONS(9764), 1,
      anon_sym_operator,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(3639), 1,
      sym_pointer_type_declarator,
    STATE(3641), 1,
      sym_template_function,
    STATE(3642), 1,
      sym_destructor_name,
    STATE(3643), 1,
      sym_dependent_identifier,
    STATE(3644), 1,
      sym_qualified_identifier,
    STATE(3645), 1,
      sym_operator_name,
    STATE(5621), 1,
      sym__scope_resolution,
    STATE(8648), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [205934] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9766), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5793), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [205974] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9768), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5692), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206014] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8137), 1,
      anon_sym_STAR,
    ACTIONS(9746), 1,
      anon_sym_TILDE,
    ACTIONS(9752), 1,
      anon_sym_operator,
    ACTIONS(9770), 1,
      sym_identifier,
    ACTIONS(9772), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9774), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(3721), 1,
      sym_template_function,
    STATE(3725), 1,
      sym_destructor_name,
    STATE(3731), 1,
      sym_pointer_type_declarator,
    STATE(3757), 1,
      sym_dependent_identifier,
    STATE(3769), 1,
      sym_qualified_identifier,
    STATE(3772), 1,
      sym_operator_name,
    STATE(5624), 1,
      sym__scope_resolution,
    STATE(8654), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [206078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9776), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5801), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206118] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6833), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [206168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9780), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9778), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [206196] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6903), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [206246] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9782), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5695), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206286] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9784), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5766), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9786), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5721), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206366] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(9788), 1,
      sym_identifier,
    ACTIONS(9790), 1,
      anon_sym_TILDE,
    ACTIONS(9792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9794), 1,
      anon_sym_template,
    ACTIONS(9796), 1,
      anon_sym_operator,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(2823), 1,
      sym_template_function,
    STATE(2824), 1,
      sym_destructor_name,
    STATE(2828), 1,
      sym_dependent_identifier,
    STATE(2829), 1,
      sym_qualified_identifier,
    STATE(2830), 1,
      sym_operator_name,
    STATE(5632), 1,
      sym__scope_resolution,
    STATE(8051), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [206430] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(9798), 1,
      sym_identifier,
    ACTIONS(9800), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5633), 1,
      sym__scope_resolution,
    STATE(8303), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [206494] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9802), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5732), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206534] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6936), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [206584] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9804), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5733), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9806), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5770), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206664] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9808), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5783), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206704] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9810), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5798), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206744] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6986), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [206794] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(9758), 1,
      anon_sym_TILDE,
    ACTIONS(9764), 1,
      anon_sym_operator,
    ACTIONS(9812), 1,
      sym_identifier,
    ACTIONS(9814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9816), 1,
      anon_sym_template,
    STATE(2451), 1,
      sym_qualified_type_identifier,
    STATE(2468), 1,
      sym_template_type,
    STATE(2471), 1,
      sym_dependent_type_identifier,
    STATE(3639), 1,
      sym_pointer_type_declarator,
    STATE(3641), 1,
      sym_template_function,
    STATE(3642), 1,
      sym_destructor_name,
    STATE(3643), 1,
      sym_dependent_identifier,
    STATE(3644), 1,
      sym_qualified_identifier,
    STATE(3645), 1,
      sym_operator_name,
    STATE(5641), 1,
      sym__scope_resolution,
    STATE(8648), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [206858] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9818), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5725), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206898] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9820), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5799), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [206938] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(7110), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [206988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9822), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5772), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [207028] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(7005), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [207078] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    ACTIONS(9824), 1,
      anon_sym_SEMI,
    STATE(5459), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8651), 1,
      sym_attribute_specifier,
    STATE(8681), 1,
      sym_ms_based_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [207130] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9826), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5699), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [207170] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(9606), 1,
      anon_sym_TILDE,
    ACTIONS(9828), 1,
      sym_identifier,
    ACTIONS(9830), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9832), 1,
      anon_sym_template,
    ACTIONS(9834), 1,
      anon_sym_operator,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5649), 1,
      sym__scope_resolution,
    STATE(8051), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [207234] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9836), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5701), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [207274] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(7062), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [207324] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(7097), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [207374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9840), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9838), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9842), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5764), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [207442] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8074), 1,
      anon_sym_STAR,
    ACTIONS(8076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6356), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8171), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [207486] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9844), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5708), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [207526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9848), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9846), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207554] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6929), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [207604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9852), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9850), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [207632] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(7078), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [207682] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9854), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5796), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [207722] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6888), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [207772] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(9856), 1,
      sym_identifier,
    ACTIONS(9858), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5663), 1,
      sym__scope_resolution,
    STATE(8303), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [207836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(9862), 1,
      anon_sym_LBRACK,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5891), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9860), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207872] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6972), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [207922] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6997), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [207972] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(9864), 1,
      sym_identifier,
    ACTIONS(9866), 1,
      anon_sym_TILDE,
    ACTIONS(9868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9870), 1,
      anon_sym_template,
    ACTIONS(9872), 1,
      anon_sym_operator,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(3413), 1,
      sym_operator_name,
    STATE(3494), 1,
      sym_pointer_type_declarator,
    STATE(3510), 1,
      sym_qualified_identifier,
    STATE(3511), 1,
      sym_template_function,
    STATE(3518), 1,
      sym_destructor_name,
    STATE(3522), 1,
      sym_dependent_identifier,
    STATE(5667), 1,
      sym__scope_resolution,
    STATE(8648), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [208036] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9874), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5784), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208076] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(7059), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [208126] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(7081), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [208176] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6834), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [208226] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9876), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5782), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208266] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(9790), 1,
      anon_sym_TILDE,
    ACTIONS(9796), 1,
      anon_sym_operator,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9882), 1,
      anon_sym_template,
    STATE(2451), 1,
      sym_qualified_type_identifier,
    STATE(2468), 1,
      sym_template_type,
    STATE(2471), 1,
      sym_dependent_type_identifier,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(2823), 1,
      sym_template_function,
    STATE(2824), 1,
      sym_destructor_name,
    STATE(2828), 1,
      sym_dependent_identifier,
    STATE(2829), 1,
      sym_qualified_identifier,
    STATE(2830), 1,
      sym_operator_name,
    STATE(5673), 1,
      sym__scope_resolution,
    STATE(8051), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [208330] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9884), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5755), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208370] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6461), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8171), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208414] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9862), 1,
      anon_sym_LBRACK,
    STATE(4345), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5819), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9860), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208450] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9886), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5789), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208490] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(9890), 1,
      anon_sym_LBRACK,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5908), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9888), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9890), 1,
      anon_sym_LBRACK,
    STATE(4345), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5820), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9888), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9894), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9892), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [208590] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8062), 1,
      anon_sym_STAR,
    ACTIONS(8064), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8066), 1,
      anon_sym_AMP,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6454), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8171), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [208634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9898), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9896), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [208666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9900), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5711), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208706] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9902), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5750), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208746] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    ACTIONS(9904), 1,
      anon_sym_SEMI,
    STATE(5456), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8677), 1,
      sym_attribute_specifier,
    STATE(8681), 1,
      sym_ms_based_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [208798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9906), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [208826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9898), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9896), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [208854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9912), 1,
      anon_sym_LPAREN2,
    ACTIONS(9914), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9910), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9918), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9916), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9920), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208940] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9664), 1,
      anon_sym_PIPE,
    ACTIONS(9666), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_AMP,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9896), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [208988] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9664), 1,
      anon_sym_PIPE,
    ACTIONS(9666), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_AMP,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9896), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [209034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9924), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5746), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209074] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9926), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5712), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209114] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9666), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_AMP,
    ACTIONS(9898), 1,
      anon_sym_PIPE,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9896), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [209160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9928), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5682), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209200] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(9866), 1,
      anon_sym_TILDE,
    ACTIONS(9872), 1,
      anon_sym_operator,
    ACTIONS(9930), 1,
      sym_identifier,
    ACTIONS(9932), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9934), 1,
      anon_sym_template,
    STATE(2451), 1,
      sym_qualified_type_identifier,
    STATE(2468), 1,
      sym_template_type,
    STATE(2471), 1,
      sym_dependent_type_identifier,
    STATE(3413), 1,
      sym_operator_name,
    STATE(3494), 1,
      sym_pointer_type_declarator,
    STATE(3510), 1,
      sym_qualified_identifier,
    STATE(3511), 1,
      sym_template_function,
    STATE(3518), 1,
      sym_destructor_name,
    STATE(3522), 1,
      sym_dependent_identifier,
    STATE(5697), 1,
      sym__scope_resolution,
    STATE(8648), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [209264] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    ACTIONS(9936), 1,
      anon_sym_SEMI,
    STATE(5455), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(7993), 1,
      sym_attribute_specifier,
    STATE(8681), 1,
      sym_ms_based_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [209316] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9668), 1,
      anon_sym_AMP,
    ACTIONS(9898), 1,
      anon_sym_PIPE,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9896), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [209360] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9938), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5730), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209400] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9898), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9896), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [209442] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9940), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5758), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209482] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9942), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5738), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209522] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9944), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5757), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7137), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [209590] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(9758), 1,
      anon_sym_TILDE,
    ACTIONS(9764), 1,
      anon_sym_operator,
    ACTIONS(9946), 1,
      sym_identifier,
    ACTIONS(9948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9950), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(3639), 1,
      sym_pointer_type_declarator,
    STATE(3641), 1,
      sym_template_function,
    STATE(3642), 1,
      sym_destructor_name,
    STATE(3643), 1,
      sym_dependent_identifier,
    STATE(3644), 1,
      sym_qualified_identifier,
    STATE(3645), 1,
      sym_operator_name,
    STATE(5706), 1,
      sym__scope_resolution,
    STATE(8648), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [209654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9952), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5754), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209694] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9898), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9896), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [209734] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(9790), 1,
      anon_sym_TILDE,
    ACTIONS(9796), 1,
      anon_sym_operator,
    ACTIONS(9954), 1,
      sym_identifier,
    ACTIONS(9956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9958), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(2823), 1,
      sym_template_function,
    STATE(2824), 1,
      sym_destructor_name,
    STATE(2828), 1,
      sym_dependent_identifier,
    STATE(2829), 1,
      sym_qualified_identifier,
    STATE(2830), 1,
      sym_operator_name,
    STATE(5709), 1,
      sym__scope_resolution,
    STATE(8051), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [209798] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9960), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5762), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209838] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9898), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9896), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [209874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9898), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9896), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [209908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9964), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9962), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [209936] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6944), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [209986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9682), 1,
      anon_sym_LPAREN2,
    ACTIONS(9684), 1,
      anon_sym_defined,
    ACTIONS(9966), 1,
      sym_number_literal,
    ACTIONS(9686), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9688), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9692), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5722), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [210026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_STAR,
    ACTIONS(8070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6369), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8171), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [210070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9970), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9968), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9974), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9972), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [210126] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(9790), 1,
      anon_sym_TILDE,
    ACTIONS(9796), 1,
      anon_sym_operator,
    ACTIONS(9976), 1,
      sym_identifier,
    ACTIONS(9978), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9980), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(2823), 1,
      sym_template_function,
    STATE(2824), 1,
      sym_destructor_name,
    STATE(2828), 1,
      sym_dependent_identifier,
    STATE(2829), 1,
      sym_qualified_identifier,
    STATE(2830), 1,
      sym_operator_name,
    STATE(5719), 1,
      sym__scope_resolution,
    STATE(8051), 1,
      sym_ms_based_modifier,
    STATE(8731), 1,
      sym_decltype,
  [210190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9728), 1,
      anon_sym_defined,
    ACTIONS(9982), 1,
      sym_number_literal,
    ACTIONS(9730), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9736), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5731), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [210230] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9664), 1,
      anon_sym_PIPE,
    ACTIONS(9666), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_AMP,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9984), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [210280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9988), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9986), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [210308] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6482), 1,
      sym__type_declarator,
    STATE(6838), 1,
      sym__type_definition_declarators,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [210358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 1,
      anon_sym_LBRACK,
    ACTIONS(5507), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210385] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9990), 1,
      anon_sym_LF,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [210430] = 3,
    ACTIONS(7137), 1,
      anon_sym_LF,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(7135), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [210457] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7317), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8103), 1,
      anon_sym_STAR,
    ACTIONS(10012), 1,
      sym_identifier,
    ACTIONS(10014), 1,
      anon_sym_template,
    STATE(5727), 1,
      sym__scope_resolution,
    STATE(6275), 1,
      sym_qualified_identifier,
    STATE(6280), 1,
      sym_operator_name,
    STATE(6289), 1,
      sym_pointer_type_declarator,
    STATE(6300), 1,
      sym_template_function,
    STATE(6307), 1,
      sym_destructor_name,
    STATE(6326), 1,
      sym_dependent_identifier,
    STATE(8232), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [210514] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9850), 1,
      anon_sym_LF,
    ACTIONS(9852), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [210541] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10016), 1,
      sym_identifier,
    ACTIONS(10018), 1,
      anon_sym_COLON_COLON,
    STATE(969), 1,
      sym_template_type,
    STATE(1035), 1,
      sym_field_declaration_list,
    STATE(5867), 1,
      sym_attribute_declaration,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6825), 1,
      sym_virtual_specifier,
    STATE(7657), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(951), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210596] = 10,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_LF,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [210637] = 9,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_LF,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9898), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [210676] = 8,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9898), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [210713] = 7,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9898), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [210748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      anon_sym_LBRACK,
    ACTIONS(10020), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10022), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5574), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 1,
      anon_sym_LBRACK,
    ACTIONS(5531), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210806] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6500), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8171), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [210849] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10024), 1,
      sym_identifier,
    ACTIONS(10026), 1,
      anon_sym_COLON_COLON,
    STATE(325), 1,
      sym_template_type,
    STATE(486), 1,
      sym_field_declaration_list,
    STATE(5871), 1,
      sym_attribute_declaration,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(7104), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(167), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210904] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10028), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [210949] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(10030), 1,
      sym_identifier,
    ACTIONS(10032), 1,
      anon_sym_template,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(8303), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [211006] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(10012), 1,
      sym_identifier,
    ACTIONS(10014), 1,
      anon_sym_template,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(6275), 1,
      sym_qualified_identifier,
    STATE(6280), 1,
      sym_operator_name,
    STATE(6289), 1,
      sym_pointer_type_declarator,
    STATE(6300), 1,
      sym_template_function,
    STATE(6307), 1,
      sym_destructor_name,
    STATE(6326), 1,
      sym_dependent_identifier,
    STATE(8437), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [211063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_LBRACK,
    ACTIONS(1971), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211090] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    ACTIONS(8097), 1,
      sym_primitive_type,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6728), 1,
      sym__type_declarator,
    STATE(8491), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [211137] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10036), 1,
      anon_sym_COLON_COLON,
    STATE(486), 1,
      sym_field_declaration_list,
    STATE(2244), 1,
      sym_template_type,
    STATE(5869), 1,
      sym_attribute_declaration,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(7023), 1,
      sym_virtual_specifier,
    STATE(7824), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6552), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211192] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6671), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [211239] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10038), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [211284] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10040), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [211329] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [211364] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9705), 1,
      anon_sym_requires,
    ACTIONS(9702), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [211399] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(9894), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [211426] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10042), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [211471] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8103), 1,
      anon_sym_STAR,
    ACTIONS(8105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8107), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      sym_primitive_type,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(6592), 1,
      sym__type_declarator,
    STATE(8232), 1,
      sym_ms_based_modifier,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [211518] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10044), 1,
      sym_identifier,
    ACTIONS(10046), 1,
      anon_sym_COLON_COLON,
    STATE(342), 1,
      sym_template_type,
    STATE(402), 1,
      sym_field_declaration_list,
    STATE(5931), 1,
      sym_attribute_declaration,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(7065), 1,
      sym_virtual_specifier,
    STATE(7843), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(169), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211573] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9778), 1,
      anon_sym_LF,
    ACTIONS(9780), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [211600] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10048), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [211645] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10050), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [211690] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(10052), 1,
      sym_identifier,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10056), 1,
      anon_sym_template,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8303), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [211747] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10058), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [211792] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10060), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [211837] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6706), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [211884] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(9716), 1,
      sym_identifier,
    ACTIONS(9718), 1,
      anon_sym_template,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5760), 1,
      sym__scope_resolution,
    STATE(8303), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [211941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 1,
      anon_sym_LBRACK,
    ACTIONS(5527), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211968] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_LF,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9898), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [211997] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9962), 1,
      anon_sym_LF,
    ACTIONS(9964), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212024] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10062), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [212069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_LBRACK,
    ACTIONS(1935), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212096] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9664), 1,
      anon_sym_PIPE,
    ACTIONS(9666), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_AMP,
    ACTIONS(10064), 1,
      anon_sym_RPAREN,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212145] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10068), 1,
      anon_sym_LBRACK,
    ACTIONS(10073), 1,
      anon_sym_requires,
    ACTIONS(10070), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6075), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [212180] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9972), 1,
      anon_sym_LF,
    ACTIONS(9974), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212207] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [212242] = 6,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9898), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [212275] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10076), 1,
      sym_identifier,
    ACTIONS(10078), 1,
      anon_sym_COLON_COLON,
    STATE(332), 1,
      sym_template_type,
    STATE(557), 1,
      sym_field_declaration_list,
    STATE(5890), 1,
      sym_attribute_declaration,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6843), 1,
      sym_virtual_specifier,
    STATE(7632), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(166), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212330] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9898), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212361] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10080), 1,
      sym_identifier,
    ACTIONS(10082), 1,
      anon_sym_COLON_COLON,
    STATE(164), 1,
      sym_template_type,
    STATE(229), 1,
      sym_field_declaration_list,
    STATE(5918), 1,
      sym_attribute_declaration,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6990), 1,
      sym_virtual_specifier,
    STATE(7684), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(138), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 1,
      anon_sym_LBRACK,
    ACTIONS(5499), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212443] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    STATE(2591), 1,
      sym__type_declarator,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(8051), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 1,
      anon_sym_LBRACK,
    ACTIONS(5539), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 1,
      anon_sym_LBRACK,
    ACTIONS(10022), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5606), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 1,
      anon_sym_LBRACK,
    ACTIONS(5523), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212573] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(2678), 1,
      anon_sym_TILDE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7155), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(9716), 1,
      sym_identifier,
    ACTIONS(9718), 1,
      anon_sym_template,
    STATE(3114), 1,
      sym_operator_name,
    STATE(3119), 1,
      sym_pointer_type_declarator,
    STATE(3120), 1,
      sym_qualified_identifier,
    STATE(3121), 1,
      sym_template_function,
    STATE(3122), 1,
      sym_destructor_name,
    STATE(3123), 1,
      sym_dependent_identifier,
    STATE(5779), 1,
      sym__scope_resolution,
    STATE(8491), 1,
      sym_ms_based_modifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [212630] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9369), 1,
      anon_sym_requires,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [212665] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8133), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LPAREN2,
    ACTIONS(8137), 1,
      anon_sym_STAR,
    ACTIONS(8139), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8141), 1,
      anon_sym_AMP,
    ACTIONS(8145), 1,
      sym_primitive_type,
    STATE(3223), 1,
      sym__type_declarator,
    STATE(3547), 1,
      sym_pointer_type_declarator,
    STATE(8654), 1,
      sym_ms_based_modifier,
    ACTIONS(8143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3545), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212712] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_LF,
    ACTIONS(9898), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212739] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_SLASH,
    ACTIONS(9660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9664), 1,
      anon_sym_PIPE,
    ACTIONS(9666), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_AMP,
    ACTIONS(10084), 1,
      anon_sym_RPAREN,
    ACTIONS(9654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212788] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9986), 1,
      anon_sym_LF,
    ACTIONS(9988), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212815] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6683), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212862] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(8809), 1,
      anon_sym_requires,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [212897] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6697), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212944] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8153), 1,
      sym_identifier,
    ACTIONS(8155), 1,
      anon_sym_LPAREN2,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      sym_primitive_type,
    STATE(3158), 1,
      sym__type_declarator,
    STATE(3439), 1,
      sym_pointer_type_declarator,
    STATE(8648), 1,
      sym_ms_based_modifier,
    ACTIONS(8163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3424), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212991] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10086), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [213036] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [213071] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9906), 1,
      anon_sym_LF,
    ACTIONS(9908), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [213098] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [213133] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_LF,
    ACTIONS(9898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [213178] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6548), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [213225] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [213260] = 11,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_LF,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(9898), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [213303] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      sym_primitive_type,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(6008), 1,
      sym__type_declarator,
    STATE(6287), 1,
      sym_pointer_type_declarator,
    STATE(8437), 1,
      sym_ms_based_modifier,
    ACTIONS(8109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6278), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [213350] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10088), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [213395] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10090), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [213440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 1,
      anon_sym_LBRACK,
    ACTIONS(5511), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213467] = 12,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9998), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10000), 1,
      anon_sym_PIPE,
    ACTIONS(10002), 1,
      anon_sym_CARET,
    ACTIONS(10004), 1,
      anon_sym_AMP,
    ACTIONS(10092), 1,
      anon_sym_LF,
    ACTIONS(9992), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10006), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9994), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10008), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [213512] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9740), 1,
      anon_sym_LF,
    ACTIONS(9742), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [213539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_LBRACK,
    ACTIONS(5519), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 1,
      anon_sym_LBRACK,
    ACTIONS(5515), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 1,
      anon_sym_LBRACK,
    ACTIONS(5515), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 1,
      anon_sym_LBRACK,
    ACTIONS(5515), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_LBRACK,
    ACTIONS(5535), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213674] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(8083), 1,
      sym_identifier,
    ACTIONS(8085), 1,
      anon_sym_LPAREN2,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8175), 1,
      anon_sym_STAR,
    ACTIONS(8177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8179), 1,
      anon_sym_AMP,
    STATE(2697), 1,
      sym_pointer_type_declarator,
    STATE(6327), 1,
      sym__type_declarator,
    STATE(8303), 1,
      sym_ms_based_modifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2688), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [213721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 1,
      anon_sym_LBRACK,
    ACTIONS(5491), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 1,
      anon_sym_LBRACK,
    ACTIONS(5495), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213775] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(10068), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6075), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [213810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 1,
      anon_sym_LBRACK,
    ACTIONS(5503), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213837] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    STATE(5811), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [213875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5814), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6460), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9433), 1,
      anon_sym_requires,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [213937] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10099), 1,
      anon_sym_COLON,
    ACTIONS(10101), 1,
      anon_sym_SEMI,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10107), 1,
      anon_sym_try,
    STATE(766), 1,
      sym_compound_statement,
    STATE(768), 1,
      sym_try_statement,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7327), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [213991] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    STATE(5780), 1,
      sym_trailing_return_type,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214029] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(8809), 1,
      anon_sym_requires,
    STATE(5747), 1,
      sym_trailing_return_type,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACK,
    STATE(5814), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10109), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9862), 1,
      anon_sym_LBRACK,
    STATE(5814), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9860), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214127] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10113), 1,
      anon_sym_COLON,
    ACTIONS(10115), 1,
      anon_sym_SEMI,
    ACTIONS(10117), 1,
      anon_sym_LBRACE,
    ACTIONS(10119), 1,
      anon_sym_try,
    STATE(264), 1,
      sym_compound_statement,
    STATE(265), 1,
      sym_try_statement,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7114), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [214181] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(5792), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5499), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214267] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(5769), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1935), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10124), 1,
      anon_sym_requires,
    ACTIONS(10121), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6091), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [214409] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10127), 1,
      anon_sym_virtual,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(6410), 1,
      sym_access_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(5862), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6910), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10131), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [214457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5491), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10133), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5606), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214555] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(9532), 1,
      anon_sym_try,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10135), 1,
      anon_sym_COLON,
    ACTIONS(10137), 1,
      anon_sym_SEMI,
    ACTIONS(10139), 1,
      anon_sym_LBRACE,
    STATE(2149), 1,
      sym_compound_statement,
    STATE(2152), 1,
      sym_try_statement,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7315), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [214609] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_LPAREN2,
    ACTIONS(7567), 1,
      anon_sym_LBRACK,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(6049), 1,
      sym__function_declarator_seq,
    STATE(6562), 1,
      sym__abstract_declarator,
    ACTIONS(8171), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6046), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [214651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10133), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10141), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5574), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9306), 1,
      anon_sym_requires,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [214711] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_requires,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(5790), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9100), 1,
      anon_sym_requires,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [214781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9890), 1,
      anon_sym_LBRACK,
    STATE(5814), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9888), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214811] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10143), 1,
      anon_sym_virtual,
    STATE(2244), 1,
      sym_template_type,
    STATE(6463), 1,
      sym_access_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(5843), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7386), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10131), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [214859] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10145), 1,
      anon_sym_virtual,
    STATE(2244), 1,
      sym_template_type,
    STATE(6476), 1,
      sym_access_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7283), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10131), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [214907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214955] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10147), 1,
      anon_sym_COLON,
    ACTIONS(10149), 1,
      anon_sym_SEMI,
    ACTIONS(10151), 1,
      anon_sym_LBRACE,
    ACTIONS(10153), 1,
      anon_sym_try,
    STATE(634), 1,
      sym_compound_statement,
    STATE(662), 1,
      sym_try_statement,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7507), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [215009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215089] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9369), 1,
      anon_sym_requires,
    STATE(5748), 1,
      sym_trailing_return_type,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215127] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7191), 1,
      anon_sym_DASH_GT,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9705), 1,
      anon_sym_requires,
    STATE(5767), 1,
      sym_trailing_return_type,
    ACTIONS(9702), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5503), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5495), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215269] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10155), 1,
      anon_sym_COLON,
    ACTIONS(10157), 1,
      anon_sym_SEMI,
    ACTIONS(10159), 1,
      anon_sym_LBRACE,
    ACTIONS(10161), 1,
      anon_sym_try,
    STATE(704), 1,
      sym_compound_statement,
    STATE(710), 1,
      sym_try_statement,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7474), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [215323] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(9524), 1,
      anon_sym_try,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10163), 1,
      anon_sym_COLON,
    ACTIONS(10165), 1,
      anon_sym_SEMI,
    ACTIONS(10167), 1,
      anon_sym_LBRACE,
    STATE(2079), 1,
      sym_compound_statement,
    STATE(2080), 1,
      sym_try_statement,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7141), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [215377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10172), 1,
      anon_sym_requires,
    ACTIONS(10169), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215497] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10175), 1,
      anon_sym_virtual,
    STATE(2244), 1,
      sym_template_type,
    STATE(6425), 1,
      sym_access_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6941), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10131), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [215545] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(9516), 1,
      anon_sym_try,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10177), 1,
      anon_sym_COLON,
    ACTIONS(10179), 1,
      anon_sym_SEMI,
    ACTIONS(10181), 1,
      anon_sym_LBRACE,
    STATE(1904), 1,
      sym_compound_statement,
    STATE(1905), 1,
      sym_try_statement,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7452), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [215599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6091), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215655] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(10183), 1,
      anon_sym_requires,
    STATE(5979), 1,
      sym_trailing_return_type,
    ACTIONS(9702), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [215692] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    ACTIONS(10016), 1,
      sym_identifier,
    ACTIONS(10018), 1,
      anon_sym_COLON_COLON,
    STATE(969), 1,
      sym_template_type,
    STATE(1048), 1,
      sym_field_declaration_list,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6900), 1,
      sym_virtual_specifier,
    STATE(7827), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(950), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215741] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    STATE(6157), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8681), 1,
      sym_ms_based_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [215784] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10036), 1,
      anon_sym_COLON_COLON,
    STATE(524), 1,
      sym_field_declaration_list,
    STATE(2244), 1,
      sym_template_type,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym_virtual_specifier,
    STATE(7589), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6566), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215864] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10024), 1,
      sym_identifier,
    ACTIONS(10026), 1,
      anon_sym_COLON_COLON,
    STATE(325), 1,
      sym_template_type,
    STATE(524), 1,
      sym_field_declaration_list,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6959), 1,
      sym_virtual_specifier,
    STATE(7703), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(172), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215913] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10190), 1,
      anon_sym_LT,
    ACTIONS(10192), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5826), 1,
      sym_compound_statement,
    STATE(5875), 1,
      sym_template_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6832), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [215962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10194), 1,
      sym_identifier,
    ACTIONS(6106), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5917), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10196), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10198), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [215993] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    ACTIONS(10202), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7109), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [216026] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10192), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5853), 1,
      sym_compound_statement,
    STATE(6003), 1,
      sym_requires_clause,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6837), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [216075] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8251), 1,
      sym_identifier,
    ACTIONS(8253), 1,
      anon_sym_STAR,
    ACTIONS(8255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8257), 1,
      anon_sym_AMP,
    STATE(6042), 1,
      sym__field_declarator,
    STATE(6283), 1,
      sym_operator_name,
    STATE(8681), 1,
      sym_ms_based_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [216118] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10204), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(3589), 1,
      sym_compound_statement,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6043), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [216167] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10190), 1,
      anon_sym_LT,
    ACTIONS(10206), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4293), 1,
      sym_compound_statement,
    STATE(5919), 1,
      sym_template_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(6977), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [216216] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    STATE(5855), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [216251] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10208), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_compound_statement,
    STATE(5998), 1,
      sym_requires_clause,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6876), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [216300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5914), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10210), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216327] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    STATE(5847), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [216362] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    STATE(6636), 1,
      sym__field_declarator,
    STATE(6743), 1,
      sym_operator_name,
    STATE(8233), 1,
      sym_ms_based_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [216405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    STATE(5858), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [216440] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(7361), 1,
      anon_sym_requires,
    STATE(5864), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [216475] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9100), 1,
      anon_sym_requires,
    STATE(5838), 1,
      sym_trailing_return_type,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [216510] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9306), 1,
      anon_sym_requires,
    STATE(5815), 1,
      sym_trailing_return_type,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [216545] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9433), 1,
      anon_sym_requires,
    STATE(5859), 1,
      sym_trailing_return_type,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [216580] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7357), 1,
      anon_sym_DASH_GT,
    ACTIONS(10172), 1,
      anon_sym_requires,
    STATE(5829), 1,
      sym_trailing_return_type,
    ACTIONS(10169), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [216615] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10076), 1,
      sym_identifier,
    ACTIONS(10078), 1,
      anon_sym_COLON_COLON,
    STATE(332), 1,
      sym_template_type,
    STATE(469), 1,
      sym_field_declaration_list,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6908), 1,
      sym_virtual_specifier,
    STATE(7870), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(173), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACK,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10109), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216693] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(6065), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [216730] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10190), 1,
      anon_sym_LT,
    STATE(2002), 1,
      sym_compound_statement,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5906), 1,
      sym_template_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6850), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [216779] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10190), 1,
      anon_sym_LT,
    ACTIONS(10212), 1,
      anon_sym_LBRACE,
    STATE(2821), 1,
      sym_compound_statement,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5902), 1,
      sym_template_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7103), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [216828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216859] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10190), 1,
      anon_sym_LT,
    ACTIONS(10216), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(3579), 1,
      sym_compound_statement,
    STATE(5927), 1,
      sym_template_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6911), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [216908] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10218), 1,
      anon_sym_LBRACE,
    STATE(1984), 1,
      sym_compound_statement,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6106), 1,
      sym_requires_clause,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(6993), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [216957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10190), 1,
      anon_sym_LT,
    ACTIONS(10208), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(3814), 1,
      sym_compound_statement,
    STATE(5880), 1,
      sym_template_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7027), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [217006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10222), 1,
      anon_sym_LBRACK,
    ACTIONS(10224), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5899), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10220), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217035] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(6066), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [217072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217103] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10212), 1,
      anon_sym_LBRACE,
    STATE(2877), 1,
      sym_compound_statement,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5997), 1,
      sym_requires_clause,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6898), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [217152] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10229), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5810), 1,
      sym_compound_statement,
    STATE(5987), 1,
      sym_requires_clause,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7076), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [217201] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    STATE(6643), 1,
      sym__field_declarator,
    STATE(6743), 1,
      sym_operator_name,
    STATE(8233), 1,
      sym_ms_based_modifier,
    STATE(6384), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [217244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 1,
      anon_sym_AMP,
    ACTIONS(10231), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5606), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [217271] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(1984), 1,
      sym_compound_statement,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6023), 1,
      sym_requires_clause,
    STATE(6855), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [217320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10233), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5899), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10210), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9862), 1,
      anon_sym_LBRACK,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9860), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10237), 1,
      sym_identifier,
    ACTIONS(6143), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5873), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10196), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10198), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [217440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217502] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8267), 1,
      anon_sym_STAR,
    ACTIONS(8269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8271), 1,
      anon_sym_AMP,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6612), 1,
      sym__abstract_declarator,
    ACTIONS(8171), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [217543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10243), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5914), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10220), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217570] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10190), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5803), 1,
      sym_compound_statement,
    STATE(5903), 1,
      sym_template_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7057), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [217619] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10190), 1,
      anon_sym_LT,
    ACTIONS(10218), 1,
      anon_sym_LBRACE,
    STATE(2002), 1,
      sym_compound_statement,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5897), 1,
      sym_template_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6960), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [217668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10246), 1,
      sym_identifier,
    ACTIONS(6094), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5917), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10249), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10252), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [217699] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10080), 1,
      sym_identifier,
    ACTIONS(10082), 1,
      anon_sym_COLON_COLON,
    STATE(164), 1,
      sym_template_type,
    STATE(228), 1,
      sym_field_declaration_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7008), 1,
      sym_virtual_specifier,
    STATE(7738), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(141), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217748] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10206), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4295), 1,
      sym_compound_statement,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6073), 1,
      sym_requires_clause,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7003), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [217797] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10255), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(3957), 1,
      sym_compound_statement,
    STATE(5973), 1,
      sym_requires_clause,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7094), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [217846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(10231), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10257), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5574), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [217875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9092), 1,
      anon_sym_requires,
    STATE(5976), 1,
      sym_trailing_return_type,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [217912] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9309), 1,
      anon_sym_requires,
    STATE(5977), 1,
      sym_trailing_return_type,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [217949] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9436), 1,
      anon_sym_requires,
    STATE(5978), 1,
      sym_trailing_return_type,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [217986] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8259), 1,
      anon_sym_STAR,
    ACTIONS(8261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8263), 1,
      anon_sym_AMP,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6622), 1,
      sym__abstract_declarator,
    ACTIONS(8171), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [218027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9890), 1,
      anon_sym_LBRACK,
    STATE(5408), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9888), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218056] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10216), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(3555), 1,
      sym_compound_statement,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6085), 1,
      sym_requires_clause,
    STATE(6913), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [218105] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(6064), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [218142] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10190), 1,
      anon_sym_LT,
    ACTIONS(10204), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(3691), 1,
      sym_compound_statement,
    STATE(5877), 1,
      sym_template_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(6970), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [218191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218222] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10044), 1,
      sym_identifier,
    ACTIONS(10046), 1,
      anon_sym_COLON_COLON,
    STATE(342), 1,
      sym_template_type,
    STATE(415), 1,
      sym_field_declaration_list,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(7099), 1,
      sym_virtual_specifier,
    STATE(7889), 1,
      sym_base_class_clause,
    ACTIONS(1933), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(171), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218271] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10190), 1,
      anon_sym_LT,
    ACTIONS(10255), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4002), 1,
      sym_compound_statement,
    STATE(5920), 1,
      sym_template_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7055), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [218320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3078), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_DASH_GT,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    STATE(6067), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [218388] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10263), 1,
      sym_identifier,
    ACTIONS(10265), 1,
      sym_primitive_type,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(2989), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218428] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_identifier,
    ACTIONS(10269), 1,
      sym_primitive_type,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(2506), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218468] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10273), 1,
      anon_sym___attribute__,
    ACTIONS(10278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(10276), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10271), 7,
      anon_sym_COLON,
      anon_sym___declspec,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [218498] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8292), 1,
      anon_sym_AMP,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6686), 1,
      sym__abstract_declarator,
    ACTIONS(8171), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [218538] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10281), 1,
      sym_identifier,
    ACTIONS(10283), 1,
      sym_primitive_type,
    STATE(4513), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(2292), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218578] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      sym_primitive_type,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(2506), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218618] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9758), 1,
      anon_sym_TILDE,
    ACTIONS(10289), 1,
      sym_identifier,
    ACTIONS(10291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10296), 1,
      anon_sym_template,
    STATE(6234), 1,
      sym__scope_resolution,
    STATE(7778), 1,
      sym_operator_name,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3553), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [218660] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10298), 1,
      sym_identifier,
    ACTIONS(10300), 1,
      sym_primitive_type,
    STATE(2266), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(2292), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218700] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6714), 1,
      sym__abstract_declarator,
    ACTIONS(8171), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [218740] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_identifier,
    ACTIONS(10304), 1,
      sym_primitive_type,
    STATE(2800), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(3137), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9259), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218780] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10298), 1,
      sym_identifier,
    ACTIONS(10300), 1,
      sym_primitive_type,
    STATE(2266), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(2292), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218820] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10306), 1,
      sym_identifier,
    ACTIONS(10308), 1,
      sym_primitive_type,
    STATE(2959), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(3508), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9219), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218860] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10298), 1,
      sym_identifier,
    ACTIONS(10300), 1,
      sym_primitive_type,
    STATE(2630), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(2292), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218900] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_identifier,
    ACTIONS(10312), 1,
      sym_primitive_type,
    STATE(2806), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(3221), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218940] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10314), 1,
      sym_identifier,
    ACTIONS(10316), 1,
      sym_primitive_type,
    STATE(2599), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(2650), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9160), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [218980] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10318), 1,
      sym_identifier,
    ACTIONS(10320), 1,
      sym_primitive_type,
    STATE(4274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(4943), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [219020] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10265), 1,
      sym_primitive_type,
    ACTIONS(10322), 1,
      sym_identifier,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(2989), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [219060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_LBRACK,
    ACTIONS(3810), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219084] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10324), 1,
      sym_identifier,
    ACTIONS(10326), 1,
      sym_primitive_type,
    STATE(2621), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(2650), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9140), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [219124] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10328), 1,
      sym_identifier,
    ACTIONS(10330), 1,
      sym_primitive_type,
    STATE(3543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(4134), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9285), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [219164] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9376), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10281), 1,
      sym_identifier,
    ACTIONS(10283), 1,
      sym_primitive_type,
    STATE(4513), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6585), 1,
      sym__scope_resolution,
    STATE(2292), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [219204] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10287), 1,
      sym_primitive_type,
    ACTIONS(10332), 1,
      sym_identifier,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(2506), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [219244] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10334), 1,
      sym_identifier,
    ACTIONS(10336), 1,
      sym_primitive_type,
    STATE(4333), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(5012), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7891), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [219284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_LBRACK,
    ACTIONS(3904), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219308] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10318), 1,
      sym_identifier,
    ACTIONS(10320), 1,
      sym_primitive_type,
    STATE(4274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(4943), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [219348] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10338), 1,
      anon_sym_LBRACK,
    STATE(6302), 1,
      sym_parameter_list,
    STATE(6151), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6420), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [219379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10342), 1,
      anon_sym_LBRACK,
    ACTIONS(10340), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9076), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10344), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10346), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219467] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9746), 1,
      anon_sym_TILDE,
    ACTIONS(10348), 1,
      sym_identifier,
    ACTIONS(10350), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10352), 1,
      anon_sym_template,
    STATE(6247), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_operator_name,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3778), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [219506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10356), 1,
      anon_sym_LBRACK,
    ACTIONS(10354), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10358), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219550] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    STATE(6082), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [219583] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    STATE(6012), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [219616] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    STATE(6052), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [219649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    STATE(6080), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [219682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 1,
      anon_sym_LT,
    STATE(6233), 1,
      sym_template_argument_list,
    ACTIONS(4283), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(4278), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [219711] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10255), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4041), 1,
      sym_compound_statement,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7105), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [219754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9092), 1,
      anon_sym_requires,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [219785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10360), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219806] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9309), 1,
      anon_sym_requires,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [219837] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9436), 1,
      anon_sym_requires,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [219868] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(10183), 1,
      anon_sym_requires,
    ACTIONS(9702), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [219899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10068), 1,
      anon_sym_LBRACK,
    ACTIONS(10362), 1,
      anon_sym_requires,
    ACTIONS(10070), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6075), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [219930] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5990), 1,
      sym_trailing_return_type,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [219963] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(9322), 1,
      anon_sym_requires,
    STATE(6032), 1,
      sym_trailing_return_type,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [219996] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(9442), 1,
      anon_sym_requires,
    STATE(6047), 1,
      sym_trailing_return_type,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [220029] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    ACTIONS(10365), 1,
      anon_sym_requires,
    STATE(6055), 1,
      sym_trailing_return_type,
    ACTIONS(10169), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [220062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 1,
      anon_sym_LBRACK,
    ACTIONS(10368), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5606), 12,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5910), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6253), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(10196), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10198), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [220114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10370), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220135] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10229), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5812), 1,
      sym_compound_statement,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7085), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [220178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10372), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220199] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(9322), 1,
      anon_sym_requires,
    STATE(6032), 1,
      sym_trailing_return_type,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [220232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9322), 1,
      anon_sym_requires,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [220261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10374), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220282] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10376), 1,
      anon_sym_COLON,
    ACTIONS(10378), 1,
      anon_sym_SEMI,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7259), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [220327] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8332), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [220356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10340), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7147), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [220406] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [220439] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10212), 1,
      anon_sym_LBRACE,
    STATE(2836), 1,
      sym_compound_statement,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6919), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [220482] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10208), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(3796), 1,
      sym_compound_statement,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6916), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [220525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10380), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 1,
      anon_sym_LT,
    STATE(6233), 1,
      sym_template_argument_list,
    ACTIONS(6217), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(5546), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [220575] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10338), 1,
      anon_sym_LBRACK,
    STATE(6302), 1,
      sym_parameter_list,
    STATE(6151), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6424), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [220606] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10147), 1,
      anon_sym_COLON,
    ACTIONS(10149), 1,
      anon_sym_SEMI,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7507), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [220651] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10192), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(5852), 1,
      sym_compound_statement,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6841), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [220694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10382), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7396), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [220744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10384), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7415), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [220794] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10338), 1,
      anon_sym_LBRACK,
    STATE(6302), 1,
      sym_parameter_list,
    STATE(6151), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6383), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [220825] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    STATE(6052), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [220858] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10388), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    STATE(6441), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6442), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6709), 1,
      sym_enumerator,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8520), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8528), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [220897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9356), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [220947] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    STATE(6162), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [220980] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    STATE(6173), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [221013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    STATE(6176), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [221046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    STATE(6180), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [221079] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10396), 1,
      anon_sym_COLON,
    ACTIONS(10398), 1,
      anon_sym_SEMI,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7234), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [221124] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(9128), 1,
      anon_sym_requires,
    STATE(6144), 1,
      sym_trailing_return_type,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [221157] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(6145), 1,
      sym_trailing_return_type,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [221190] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(9461), 1,
      anon_sym_requires,
    STATE(6146), 1,
      sym_trailing_return_type,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [221223] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7546), 1,
      anon_sym_DASH_GT,
    ACTIONS(10400), 1,
      anon_sym_requires,
    STATE(6154), 1,
      sym_trailing_return_type,
    ACTIONS(10169), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [221256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10405), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221279] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(1987), 1,
      sym_compound_statement,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6857), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [221322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7244), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [221351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10407), 1,
      anon_sym_LBRACK,
    ACTIONS(10344), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7302), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [221403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10409), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10411), 1,
      anon_sym_LBRACK,
    ACTIONS(10358), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221449] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(9100), 1,
      anon_sym_requires,
    STATE(5838), 1,
      sym_trailing_return_type,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [221482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7454), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [221511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(9442), 1,
      anon_sym_requires,
    STATE(6047), 1,
      sym_trailing_return_type,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [221544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9442), 1,
      anon_sym_requires,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [221573] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7511), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [221602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5990), 1,
      sym_trailing_return_type,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [221635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9119), 1,
      anon_sym_requires,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [221664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7133), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [221693] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10155), 1,
      anon_sym_COLON,
    ACTIONS(10157), 1,
      anon_sym_SEMI,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7474), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [221738] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10378), 1,
      anon_sym_SEMI,
    ACTIONS(10413), 1,
      anon_sym_COLON,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7259), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [221783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7462), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [221812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7369), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [221841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10354), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221862] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9506), 1,
      anon_sym_COLON,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(10417), 1,
      anon_sym_EQ,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(7499), 1,
      sym_bitfield_clause,
    STATE(7503), 1,
      sym_initializer_list,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10415), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [221905] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10204), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_compound_statement,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6906), 1,
      sym_abstract_function_declarator,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [221948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7209), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [221977] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7258), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [222006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10419), 1,
      anon_sym_LBRACK,
    ACTIONS(10380), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10365), 1,
      anon_sym_requires,
    ACTIONS(10169), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [222058] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(10365), 1,
      anon_sym_requires,
    STATE(6055), 1,
      sym_trailing_return_type,
    ACTIONS(10169), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [222091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10421), 1,
      anon_sym_LBRACK,
    ACTIONS(10382), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9696), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    STATE(5847), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [222168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [222197] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    STATE(6080), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [222230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 1,
      anon_sym_LBRACK,
    ACTIONS(10423), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10427), 1,
      anon_sym_requires,
    ACTIONS(10121), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6091), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [222282] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9790), 1,
      anon_sym_TILDE,
    ACTIONS(10430), 1,
      sym_identifier,
    ACTIONS(10432), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10434), 1,
      anon_sym_template,
    STATE(6229), 1,
      sym__scope_resolution,
    STATE(7797), 1,
      sym_operator_name,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2879), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [222321] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(9306), 1,
      anon_sym_requires,
    STATE(5815), 1,
      sym_trailing_return_type,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [222354] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_if_token2,
    STATE(6423), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6426), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6709), 1,
      sym_enumerator,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8180), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8183), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [222393] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9790), 1,
      anon_sym_TILDE,
    ACTIONS(10430), 1,
      sym_identifier,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      anon_sym_template,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(7614), 1,
      sym_operator_name,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2879), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [222432] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9758), 1,
      anon_sym_TILDE,
    ACTIONS(10289), 1,
      sym_identifier,
    ACTIONS(10294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10296), 1,
      anon_sym_template,
    STATE(6234), 1,
      sym__scope_resolution,
    STATE(7778), 1,
      sym_operator_name,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3553), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [222471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [222502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10068), 1,
      anon_sym_LBRACK,
    ACTIONS(10066), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8563), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [222554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [222585] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [222616] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [222647] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      anon_sym_requires,
    ACTIONS(10068), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6075), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [222678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10338), 1,
      anon_sym_LBRACK,
    STATE(6302), 1,
      sym_parameter_list,
    STATE(6151), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6402), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [222709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    STATE(6082), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [222742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [222792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10442), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222813] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10206), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(4330), 1,
      sym_compound_statement,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7018), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [222856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_DASH_GT,
    ACTIONS(7486), 1,
      anon_sym_requires,
    STATE(6012), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [222889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10446), 1,
      anon_sym_LBRACK,
    ACTIONS(10444), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222912] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10448), 1,
      aux_sym_preproc_if_token2,
    STATE(6370), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6374), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6709), 1,
      sym_enumerator,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8678), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8698), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [222951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222972] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10378), 1,
      anon_sym_SEMI,
    ACTIONS(10413), 1,
      anon_sym_COLON,
    ACTIONS(10450), 1,
      anon_sym_EQ,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7259), 1,
      aux_sym_declaration_repeat1,
    STATE(7466), 1,
      sym_initializer_list,
    STATE(7767), 1,
      sym_argument_list,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [223019] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(9433), 1,
      anon_sym_requires,
    STATE(5859), 1,
      sym_trailing_return_type,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [223052] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6091), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [223081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9076), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [223131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      anon_sym_LBRACK,
    ACTIONS(10368), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10452), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5574), 10,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223158] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10113), 1,
      anon_sym_COLON,
    ACTIONS(10115), 1,
      anon_sym_SEMI,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7114), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [223203] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10216), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(3621), 1,
      sym_compound_statement,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(6965), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [223246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7365), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [223275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9696), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10454), 1,
      anon_sym_LBRACK,
    ACTIONS(10360), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10423), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7294), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [223371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10444), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(8796), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10456), 1,
      anon_sym_LBRACK,
    ACTIONS(10384), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223438] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10460), 1,
      anon_sym_COLON,
    ACTIONS(10462), 1,
      anon_sym_EQ,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7353), 1,
      sym_semantics,
    ACTIONS(10458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6616), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [223481] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    ACTIONS(10172), 1,
      anon_sym_requires,
    STATE(5829), 1,
      sym_trailing_return_type,
    ACTIONS(10169), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [223514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9356), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7941), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [223566] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10464), 1,
      aux_sym_preproc_if_token2,
    STATE(6361), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6400), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6709), 1,
      sym_enumerator,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7992), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8441), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [223605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8049), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [223634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8112), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [223663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8169), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [223692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8213), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [223721] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    STATE(5858), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [223754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10338), 1,
      anon_sym_LBRACK,
    STATE(6302), 1,
      sym_parameter_list,
    STATE(6151), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6442), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [223785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_identifier,
    STATE(5985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7142), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [223814] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(10218), 1,
      anon_sym_LBRACE,
    STATE(1987), 1,
      sym_compound_statement,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      sym__abstract_declarator,
    STATE(7004), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [223857] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10099), 1,
      anon_sym_COLON,
    ACTIONS(10101), 1,
      anon_sym_SEMI,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7327), 1,
      aux_sym_declaration_repeat1,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [223902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10466), 1,
      anon_sym_LBRACK,
    ACTIONS(10442), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10468), 1,
      anon_sym_LBRACK,
    ACTIONS(10370), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10470), 1,
      anon_sym_LBRACK,
    ACTIONS(10372), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10472), 1,
      anon_sym_LBRACK,
    ACTIONS(10374), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223994] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_requires,
    ACTIONS(7494), 1,
      anon_sym_DASH_GT,
    STATE(5864), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [224027] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10460), 1,
      anon_sym_COLON,
    ACTIONS(10474), 1,
      anon_sym_EQ,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(7353), 1,
      sym_semantics,
    ACTIONS(10458), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6616), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [224070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10403), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224091] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10478), 1,
      anon_sym_SEMI,
    ACTIONS(10480), 1,
      anon_sym_EQ,
    ACTIONS(10482), 1,
      anon_sym_try,
    STATE(705), 1,
      sym_compound_statement,
    STATE(7564), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(706), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [224129] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2373), 1,
      sym_enumerator_list,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(10484), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2625), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [224169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10486), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [224201] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2373), 1,
      sym_enumerator_list,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(10488), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2794), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [224241] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10490), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [224273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10492), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5606), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [224295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 1,
      sym_identifier,
    ACTIONS(6176), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [224317] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224345] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3175), 1,
      sym_enumerator_list,
    STATE(6563), 1,
      sym__scope_resolution,
    ACTIONS(10494), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3029), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [224385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 1,
      sym_identifier,
    ACTIONS(6168), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [224407] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(5119), 1,
      sym_enumerator_list,
    STATE(6541), 1,
      sym__scope_resolution,
    ACTIONS(10496), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [224447] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2592), 1,
      sym_enumerator_list,
    STATE(6582), 1,
      sym__scope_resolution,
    ACTIONS(10498), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2732), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [224487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10502), 1,
      anon_sym_LBRACK,
    STATE(5814), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10500), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224513] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8936), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4986), 1,
      sym_enumerator_list,
    STATE(6579), 1,
      sym__scope_resolution,
    ACTIONS(10504), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4705), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [224553] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10506), 1,
      anon_sym_SEMI,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_EQ,
    ACTIONS(10512), 1,
      anon_sym_try,
    STATE(2061), 1,
      sym_compound_statement,
    STATE(7724), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2062), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [224591] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7913), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4112), 1,
      sym_enumerator_list,
    STATE(6550), 1,
      sym__scope_resolution,
    ACTIONS(10514), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3878), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [224631] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(5119), 1,
      sym_enumerator_list,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(10516), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5057), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [224671] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_EQ,
    ACTIONS(10520), 1,
      anon_sym_COLON,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    ACTIONS(10518), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7767), 2,
      sym_argument_list,
      sym_initializer_list,
  [224711] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(6524), 1,
      sym_access_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6941), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10131), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [224749] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    STATE(6162), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [224781] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10480), 1,
      anon_sym_EQ,
    ACTIONS(10482), 1,
      anon_sym_try,
    ACTIONS(10522), 1,
      anon_sym_SEMI,
    STATE(676), 1,
      sym_compound_statement,
    STATE(7556), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(691), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [224819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [224847] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(6512), 1,
      sym_access_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7040), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10131), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [224885] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(5273), 1,
      sym_enumerator_list,
    STATE(6580), 1,
      sym__scope_resolution,
    ACTIONS(10524), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5054), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [224925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224953] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10526), 1,
      anon_sym_SEMI,
    ACTIONS(10528), 1,
      anon_sym_EQ,
    ACTIONS(10530), 1,
      anon_sym_try,
    STATE(247), 1,
      sym_compound_statement,
    STATE(7867), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(248), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [224991] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    STATE(6173), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9128), 1,
      anon_sym_requires,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [225079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9390), 1,
      anon_sym_requires,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9461), 1,
      anon_sym_requires,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225135] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 1,
      anon_sym_requires,
    ACTIONS(10169), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225163] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6902), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2923), 1,
      sym_enumerator_list,
    STATE(6564), 1,
      sym__scope_resolution,
    ACTIONS(10532), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4225), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [225203] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2373), 1,
      sym_enumerator_list,
    STATE(6556), 1,
      sym__scope_resolution,
    ACTIONS(10534), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2431), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [225243] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2592), 1,
      sym_enumerator_list,
    STATE(6582), 1,
      sym__scope_resolution,
    ACTIONS(10536), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2837), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [225283] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10538), 1,
      anon_sym_SEMI,
    ACTIONS(10540), 1,
      anon_sym_EQ,
    ACTIONS(10542), 1,
      anon_sym_try,
    STATE(822), 1,
      sym_compound_statement,
    STATE(7813), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(823), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [225321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5814), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6471), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225347] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10544), 1,
      anon_sym_SEMI,
    ACTIONS(10546), 1,
      anon_sym_EQ,
    ACTIONS(10548), 1,
      anon_sym_try,
    STATE(626), 1,
      sym_compound_statement,
    STATE(7883), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(627), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [225385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [225413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_requires,
    ACTIONS(10121), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6091), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [225469] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10528), 1,
      anon_sym_EQ,
    ACTIONS(10530), 1,
      anon_sym_try,
    ACTIONS(10553), 1,
      anon_sym_SEMI,
    STATE(267), 1,
      sym_compound_statement,
    STATE(7853), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(268), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [225507] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10555), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [225539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(6519), 1,
      sym_access_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7283), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10131), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [225577] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6902), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2923), 1,
      sym_enumerator_list,
    STATE(6577), 1,
      sym__scope_resolution,
    ACTIONS(10557), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5049), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [225617] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10559), 1,
      anon_sym_SEMI,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    ACTIONS(10563), 1,
      anon_sym_EQ,
    ACTIONS(10565), 1,
      anon_sym_try,
    STATE(1907), 1,
      sym_compound_statement,
    STATE(7812), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1908), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [225655] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(9128), 1,
      anon_sym_requires,
    STATE(6144), 1,
      sym_trailing_return_type,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225715] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(6145), 1,
      sym_trailing_return_type,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225747] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    ACTIONS(10563), 1,
      anon_sym_EQ,
    ACTIONS(10565), 1,
      anon_sym_try,
    ACTIONS(10567), 1,
      anon_sym_SEMI,
    STATE(1894), 1,
      sym_compound_statement,
    STATE(7584), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1895), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [225785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      sym_identifier,
    ACTIONS(6162), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [225807] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(9461), 1,
      anon_sym_requires,
    STATE(6146), 1,
      sym_trailing_return_type,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    ACTIONS(10400), 1,
      anon_sym_requires,
    STATE(6154), 1,
      sym_trailing_return_type,
    ACTIONS(10169), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [225871] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10540), 1,
      anon_sym_EQ,
    ACTIONS(10542), 1,
      anon_sym_try,
    ACTIONS(10569), 1,
      anon_sym_SEMI,
    STATE(841), 1,
      sym_compound_statement,
    STATE(7816), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(739), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [225909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 1,
      sym_identifier,
    ACTIONS(6172), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [225931] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10571), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [225963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10492), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5574), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [225987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    STATE(6176), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [226019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [226047] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7133), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3330), 1,
      sym_enumerator_list,
    STATE(6572), 1,
      sym__scope_resolution,
    ACTIONS(10575), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3094), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [226143] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6952), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_enumerator_list,
    STATE(6568), 1,
      sym__scope_resolution,
    ACTIONS(10577), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2954), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226183] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7731), 1,
      anon_sym_DASH_GT,
    STATE(6180), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [226215] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10579), 1,
      anon_sym_SEMI,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    ACTIONS(10583), 1,
      anon_sym_EQ,
    ACTIONS(10585), 1,
      anon_sym_try,
    STATE(2049), 1,
      sym_compound_statement,
    STATE(7683), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2051), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [226253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_requires,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6091), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [226281] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_EQ,
    ACTIONS(10512), 1,
      anon_sym_try,
    ACTIONS(10587), 1,
      anon_sym_SEMI,
    STATE(2155), 1,
      sym_compound_statement,
    STATE(7655), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2156), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [226319] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10589), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [226351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226379] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4889), 1,
      sym_enumerator_list,
    STATE(6576), 1,
      sym__scope_resolution,
    ACTIONS(10591), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4658), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_LT,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    STATE(6233), 1,
      sym_template_argument_list,
    ACTIONS(6614), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226445] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2749), 1,
      sym_enumerator_list,
    STATE(6533), 1,
      sym__scope_resolution,
    ACTIONS(10593), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4100), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226485] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(6501), 1,
      sym_access_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10131), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [226523] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2373), 1,
      sym_enumerator_list,
    STATE(6549), 1,
      sym__scope_resolution,
    ACTIONS(10595), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2390), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226563] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    ACTIONS(10583), 1,
      anon_sym_EQ,
    ACTIONS(10585), 1,
      anon_sym_try,
    ACTIONS(10597), 1,
      anon_sym_SEMI,
    STATE(2088), 1,
      sym_compound_statement,
    STATE(7777), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2090), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [226601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226629] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2749), 1,
      sym_enumerator_list,
    STATE(6580), 1,
      sym__scope_resolution,
    ACTIONS(10599), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226669] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8171), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      anon_sym_STAR,
    ACTIONS(8436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8438), 1,
      anon_sym_AMP,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6780), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226707] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10546), 1,
      anon_sym_EQ,
    ACTIONS(10548), 1,
      anon_sym_try,
    ACTIONS(10601), 1,
      anon_sym_SEMI,
    STATE(611), 1,
      sym_compound_statement,
    STATE(7825), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(612), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [226745] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4889), 1,
      sym_enumerator_list,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(10603), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4968), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 1,
      anon_sym_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6649), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9315), 1,
      anon_sym_requires,
    STATE(6432), 1,
      sym_trailing_return_type,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [226842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226869] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_requires,
    STATE(6439), 1,
      sym_trailing_return_type,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [226902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    STATE(6429), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [226935] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10528), 1,
      anon_sym_EQ,
    ACTIONS(10530), 1,
      anon_sym_try,
    STATE(247), 1,
      sym_compound_statement,
    STATE(7867), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(248), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [226970] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10546), 1,
      anon_sym_EQ,
    ACTIONS(10548), 1,
      anon_sym_try,
    STATE(626), 1,
      sym_compound_statement,
    STATE(7883), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(627), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [227005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_requires,
    STATE(6449), 1,
      sym_trailing_return_type,
    ACTIONS(9702), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [227038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10616), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7557), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7975), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227071] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10618), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7893), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8667), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10620), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7663), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8663), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6217), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227137] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [227164] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    ACTIONS(8259), 1,
      anon_sym_STAR,
    ACTIONS(8261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8263), 1,
      anon_sym_AMP,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6619), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227199] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10624), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7687), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7951), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6214), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [227259] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10626), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [227290] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10480), 1,
      anon_sym_EQ,
    ACTIONS(10482), 1,
      anon_sym_try,
    STATE(676), 1,
      sym_compound_statement,
    STATE(7556), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(691), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [227325] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10480), 1,
      anon_sym_EQ,
    ACTIONS(10482), 1,
      anon_sym_try,
    STATE(705), 1,
      sym_compound_statement,
    STATE(7564), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(706), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [227360] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10628), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7713), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8010), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6271), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227393] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10630), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7743), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8095), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227426] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      anon_sym_template,
    ACTIONS(10632), 1,
      sym_identifier,
    STATE(2778), 1,
      sym_template_method,
    STATE(2788), 1,
      sym_dependent_field_identifier,
    STATE(2803), 1,
      sym_qualified_field_identifier,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(7614), 1,
      sym_operator_name,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [227465] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10634), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [227496] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10636), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7681), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7932), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [227556] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10638), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7817), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8416), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10640), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7593), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7976), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227622] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10626), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [227653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10642), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7679), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8785), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6262), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227686] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [227713] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10540), 1,
      anon_sym_EQ,
    ACTIONS(10542), 1,
      anon_sym_try,
    STATE(841), 1,
      sym_compound_statement,
    STATE(7816), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(739), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [227748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    STATE(6381), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [227781] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10644), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7884), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8658), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227814] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10646), 1,
      sym_identifier,
    ACTIONS(10648), 1,
      anon_sym_COLON_COLON,
    STATE(6249), 1,
      sym__scope_resolution,
    STATE(7495), 1,
      sym_field_initializer,
    STATE(7885), 1,
      sym_operator_name,
    STATE(7096), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [227851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10652), 1,
      anon_sym_COLON,
    ACTIONS(10655), 1,
      anon_sym_LBRACK,
    STATE(6333), 1,
      sym_semantics,
    ACTIONS(10650), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227876] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10432), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10434), 1,
      anon_sym_template,
    ACTIONS(10632), 1,
      sym_identifier,
    STATE(2778), 1,
      sym_template_method,
    STATE(2788), 1,
      sym_dependent_field_identifier,
    STATE(2803), 1,
      sym_qualified_field_identifier,
    STATE(6229), 1,
      sym__scope_resolution,
    STATE(7797), 1,
      sym_operator_name,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [227915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227936] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10657), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7845), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8467), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6204), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [227969] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10659), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7622), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8216), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [228002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4374), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(4369), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228025] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10296), 1,
      anon_sym_template,
    ACTIONS(10661), 1,
      sym_identifier,
    STATE(3606), 1,
      sym_template_method,
    STATE(3607), 1,
      sym_dependent_field_identifier,
    STATE(3608), 1,
      sym_qualified_field_identifier,
    STATE(6234), 1,
      sym__scope_resolution,
    STATE(7778), 1,
      sym_operator_name,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [228064] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [228091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10663), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [228122] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10665), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7604), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8058), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6232), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [228155] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10546), 1,
      anon_sym_EQ,
    ACTIONS(10548), 1,
      anon_sym_try,
    STATE(611), 1,
      sym_compound_statement,
    STATE(7825), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(612), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [228190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [228217] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    STATE(6450), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [228250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228277] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10667), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [228308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 1,
      anon_sym_LBRACK,
    ACTIONS(6649), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228329] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10669), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7908), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8730), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6203), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [228362] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6795), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228397] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10671), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7646), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8546), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6226), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [228430] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10350), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10352), 1,
      anon_sym_template,
    ACTIONS(10673), 1,
      sym_identifier,
    STATE(3782), 1,
      sym_template_method,
    STATE(3783), 1,
      sym_dependent_field_identifier,
    STATE(3784), 1,
      sym_qualified_field_identifier,
    STATE(6247), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_operator_name,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [228469] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10675), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7852), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8550), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6220), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [228502] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10677), 1,
      sym_identifier,
    ACTIONS(10679), 1,
      anon_sym_template,
    STATE(2778), 1,
      sym_template_method,
    STATE(2788), 1,
      sym_dependent_field_identifier,
    STATE(2803), 1,
      sym_qualified_field_identifier,
    STATE(6249), 1,
      sym__scope_resolution,
    STATE(7885), 1,
      sym_operator_name,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [228541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [228568] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10681), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [228599] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10667), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [228630] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10634), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [228661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228688] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9427), 1,
      anon_sym_requires,
    STATE(6435), 1,
      sym_trailing_return_type,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [228721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228802] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10646), 1,
      sym_identifier,
    ACTIONS(10648), 1,
      anon_sym_COLON_COLON,
    STATE(6249), 1,
      sym__scope_resolution,
    STATE(7538), 1,
      sym_field_initializer,
    STATE(7885), 1,
      sym_operator_name,
    STATE(7096), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [228839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10663), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [228870] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10528), 1,
      anon_sym_EQ,
    ACTIONS(10530), 1,
      anon_sym_try,
    STATE(267), 1,
      sym_compound_statement,
    STATE(7853), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(268), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [228905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10683), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7835), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8444), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [228938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3248), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228992] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    ACTIONS(10540), 1,
      anon_sym_EQ,
    ACTIONS(10542), 1,
      anon_sym_try,
    STATE(822), 1,
      sym_compound_statement,
    STATE(7813), 1,
      sym_field_initializer_list,
    ACTIONS(5546), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(823), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [229027] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10681), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [229058] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    STATE(6390), 1,
      sym_trailing_return_type,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [229091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10685), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7670), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7968), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6219), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [229124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [229151] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LPAREN2,
    ACTIONS(4415), 1,
      anon_sym_STAR,
    ACTIONS(4417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_AMP,
    ACTIONS(7979), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6004), 1,
      sym__function_declarator_seq,
    STATE(6801), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10612), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10687), 1,
      anon_sym_RBRACE,
    ACTIONS(10614), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7789), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8230), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [229219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229239] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4844), 1,
      sym_enumerator_list,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(4663), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6493), 1,
      anon_sym_LBRACK,
    ACTIONS(6495), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_LBRACK,
    ACTIONS(4278), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229315] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(4844), 1,
      sym_enumerator_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(4969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10691), 1,
      anon_sym_LT,
    ACTIONS(10693), 1,
      anon_sym_LBRACK,
    STATE(6398), 1,
      sym_template_argument_list,
    ACTIONS(10689), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [229375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 1,
      anon_sym_LBRACK,
    ACTIONS(6503), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      anon_sym_LBRACK,
    ACTIONS(10695), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_LBRACK,
    ACTIONS(4278), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10701), 1,
      anon_sym_LBRACK,
    ACTIONS(10699), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229455] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2600), 1,
      sym_enumerator_list,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(2733), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10691), 1,
      anon_sym_LT,
    ACTIONS(10705), 1,
      anon_sym_LBRACK,
    STATE(6357), 1,
      sym_template_argument_list,
    ACTIONS(10703), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [229515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    STATE(5814), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10707), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [229539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
    STATE(3169), 1,
      sym_enumerator_list,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6505), 1,
      anon_sym_LBRACK,
    ACTIONS(6507), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6513), 1,
      anon_sym_LBRACK,
    ACTIONS(6515), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229615] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(5127), 1,
      sym_enumerator_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_LBRACK,
    ACTIONS(4278), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229671] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2367), 1,
      sym_enumerator_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(2784), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10713), 1,
      anon_sym_LBRACK,
    ACTIONS(10711), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229727] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8936), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4922), 1,
      sym_enumerator_list,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(4721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229763] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7913), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_template_type,
    STATE(4126), 1,
      sym_enumerator_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(3887), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229799] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(5127), 1,
      sym_enumerator_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(5058), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6200), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(6202), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [229855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5910), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10196), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10198), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229877] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
    STATE(4880), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4083), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
    ACTIONS(8499), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10717), 1,
      anon_sym_LBRACK,
    ACTIONS(10715), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_COLON,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
    ACTIONS(1961), 8,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [229951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_LBRACK,
    ACTIONS(4278), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 1,
      anon_sym_LBRACK,
    ACTIONS(6878), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6519), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230011] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2367), 1,
      sym_enumerator_list,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(2626), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(10719), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230067] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9403), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2735), 1,
      sym_enumerator_list,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(4101), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230103] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6442), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [230131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_LBRACK,
    ACTIONS(4278), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230151] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2735), 1,
      sym_enumerator_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(5035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LBRACK,
    ACTIONS(6540), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230207] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6902), 1,
      anon_sym_LBRACE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9388), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2928), 1,
      sym_enumerator_list,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(4198), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    STATE(6082), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [230273] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    STATE(6012), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [230303] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    STATE(6052), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [230333] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_requires,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    STATE(6080), 1,
      sym_trailing_return_type,
    ACTIONS(7359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [230363] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6402), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [230391] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6952), 1,
      anon_sym_LBRACE,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      sym_identifier,
    STATE(2970), 1,
      sym_template_type,
    STATE(3118), 1,
      sym_enumerator_list,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(2978), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230427] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(9409), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2367), 1,
      sym_enumerator_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(2430), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230463] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6424), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [230491] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9354), 1,
      sym_identifier,
    STATE(2544), 1,
      sym_template_type,
    STATE(2600), 1,
      sym_enumerator_list,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(2818), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230527] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(9119), 1,
      anon_sym_requires,
    STATE(5990), 1,
      sym_trailing_return_type,
    ACTIONS(9097), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6081), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [230557] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(9322), 1,
      anon_sym_requires,
    STATE(6032), 1,
      sym_trailing_return_type,
    ACTIONS(9303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6011), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [230587] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(9442), 1,
      anon_sym_requires,
    STATE(6047), 1,
      sym_trailing_return_type,
    ACTIONS(9430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6050), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [230617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10723), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230637] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_DASH_GT,
    ACTIONS(10365), 1,
      anon_sym_requires,
    STATE(6055), 1,
      sym_trailing_return_type,
    ACTIONS(10169), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5881), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [230667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    ACTIONS(5546), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_LBRACK,
    ACTIONS(4278), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230707] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6383), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [230735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6420), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [230763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6284), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10729), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230803] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7133), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9393), 1,
      sym_identifier,
    STATE(3106), 1,
      sym_template_type,
    STATE(3356), 1,
      sym_enumerator_list,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(3117), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10733), 1,
      anon_sym_LBRACK,
    ACTIONS(10731), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10737), 1,
      anon_sym_LBRACK,
    ACTIONS(10735), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10741), 1,
      anon_sym_LBRACK,
    ACTIONS(10739), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230899] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6479), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9401), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(5277), 1,
      sym_enumerator_list,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(4998), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_LBRACK,
    ACTIONS(10743), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6460), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [230959] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(6902), 1,
      anon_sym_LBRACE,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(2911), 1,
      sym_template_type,
    STATE(2928), 1,
      sym_enumerator_list,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(5046), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6526), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 1,
      anon_sym_LBRACK,
    ACTIONS(6534), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6473), 1,
      anon_sym_LBRACK,
    ACTIONS(6475), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231055] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(9352), 1,
      sym_identifier,
    STATE(2244), 1,
      sym_template_type,
    STATE(2367), 1,
      sym_enumerator_list,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(2386), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [231161] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9532), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    STATE(2168), 1,
      sym_compound_statement,
    STATE(2174), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [231196] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10746), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8445), 1,
      sym_qualified_identifier,
    ACTIONS(10748), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [231227] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10107), 1,
      anon_sym_try,
    STATE(742), 1,
      sym_compound_statement,
    STATE(743), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [231262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [231287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231337] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9524), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    STATE(2194), 1,
      sym_compound_statement,
    STATE(2204), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [231372] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9524), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    STATE(2214), 1,
      sym_compound_statement,
    STATE(2215), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [231407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8760), 1,
      sym_qualified_identifier,
    ACTIONS(10752), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [231438] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10153), 1,
      anon_sym_try,
    STATE(589), 1,
      sym_compound_statement,
    STATE(590), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [231473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6703), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [231542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231567] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10681), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [231596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231621] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10754), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10756), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10760), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6639), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8022), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [231650] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10107), 1,
      anon_sym_try,
    STATE(772), 1,
      sym_compound_statement,
    STATE(773), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [231685] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10119), 1,
      anon_sym_try,
    STATE(306), 1,
      sym_compound_statement,
    STATE(307), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [231720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231745] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10119), 1,
      anon_sym_try,
    STATE(308), 1,
      sym_compound_statement,
    STATE(309), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [231780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231805] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10119), 1,
      anon_sym_try,
    STATE(310), 1,
      sym_compound_statement,
    STATE(311), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [231840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [231865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [231890] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10762), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10764), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10766), 1,
      aux_sym_preproc_elif_token1,
    STATE(6638), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
    ACTIONS(10768), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8511), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [231921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231946] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10119), 1,
      anon_sym_try,
    STATE(284), 1,
      sym_compound_statement,
    STATE(285), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [231981] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10667), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [232010] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10770), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10760), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6639), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8514), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [232039] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10161), 1,
      anon_sym_try,
    STATE(574), 1,
      sym_compound_statement,
    STATE(575), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232074] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10119), 1,
      anon_sym_try,
    STATE(286), 1,
      sym_compound_statement,
    STATE(287), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232109] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232134] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10107), 1,
      anon_sym_try,
    STATE(774), 1,
      sym_compound_statement,
    STATE(776), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232169] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10161), 1,
      anon_sym_try,
    STATE(576), 1,
      sym_compound_statement,
    STATE(577), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232204] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10107), 1,
      anon_sym_try,
    STATE(804), 1,
      sym_compound_statement,
    STATE(806), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232239] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [232266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10634), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [232295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10774), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [232314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10705), 1,
      anon_sym_LBRACK,
    ACTIONS(10703), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [232333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232358] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10776), 1,
      sym_identifier,
    ACTIONS(10779), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10785), 1,
      sym_preproc_directive,
    ACTIONS(10788), 1,
      anon_sym_RBRACE,
    ACTIONS(10782), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8302), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6386), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [232387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1967), 1,
      anon_sym_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    ACTIONS(1969), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_final,
      anon_sym_override,
  [232412] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10790), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10760), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6361), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8441), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [232441] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10792), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8428), 1,
      sym_qualified_identifier,
    ACTIONS(10794), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [232472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(10068), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6075), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [232499] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10161), 1,
      anon_sym_try,
    STATE(578), 1,
      sym_compound_statement,
    STATE(579), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232534] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [232559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_COLON,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
    ACTIONS(1961), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_final,
      anon_sym_override,
  [232584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [232609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [232634] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10119), 1,
      anon_sym_try,
    STATE(315), 1,
      sym_compound_statement,
    STATE(316), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232669] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10107), 1,
      anon_sym_try,
    STATE(792), 1,
      sym_compound_statement,
    STATE(793), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [232723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [232748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10764), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10766), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10796), 1,
      aux_sym_preproc_if_token2,
    STATE(6638), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
    ACTIONS(10768), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8720), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [232779] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9516), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    STATE(1935), 1,
      sym_compound_statement,
    STATE(1936), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232814] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9532), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    STATE(2026), 1,
      sym_compound_statement,
    STATE(2165), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232849] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10161), 1,
      anon_sym_try,
    STATE(596), 1,
      sym_compound_statement,
    STATE(597), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232884] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10153), 1,
      anon_sym_try,
    STATE(638), 1,
      sym_compound_statement,
    STATE(642), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [232919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_LBRACK,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6471), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [232942] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10798), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8409), 1,
      sym_qualified_identifier,
    ACTIONS(10800), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [232973] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10153), 1,
      anon_sym_try,
    STATE(607), 1,
      sym_compound_statement,
    STATE(608), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233008] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9532), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    STATE(2048), 1,
      sym_compound_statement,
    STATE(2050), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10464), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10764), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10766), 1,
      aux_sym_preproc_elif_token1,
    STATE(6400), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
    ACTIONS(10768), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7992), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [233074] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10802), 1,
      anon_sym_virtual,
    STATE(2244), 1,
      sym_template_type,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6941), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233107] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10161), 1,
      anon_sym_try,
    STATE(599), 1,
      sym_compound_statement,
    STATE(600), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233142] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10161), 1,
      anon_sym_try,
    STATE(601), 1,
      sym_compound_statement,
    STATE(602), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10663), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [233206] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9516), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    STATE(1938), 1,
      sym_compound_statement,
    STATE(1939), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233241] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9524), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    STATE(2192), 1,
      sym_compound_statement,
    STATE(2193), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [233301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    ACTIONS(10804), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [233320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10626), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [233349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [233374] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10161), 1,
      anon_sym_try,
    STATE(605), 1,
      sym_compound_statement,
    STATE(606), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 1,
      anon_sym_LBRACK,
    ACTIONS(10808), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5606), 8,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [233430] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10153), 1,
      anon_sym_try,
    STATE(615), 1,
      sym_compound_statement,
    STATE(616), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233465] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10764), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10766), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10810), 1,
      aux_sym_preproc_if_token2,
    STATE(6638), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
    ACTIONS(10768), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7981), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [233496] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10812), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8696), 1,
      sym_qualified_identifier,
    ACTIONS(10814), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [233527] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10816), 1,
      anon_sym_virtual,
    STATE(2244), 1,
      sym_template_type,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7040), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10818), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10760), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6639), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8013), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [233589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10820), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8497), 1,
      sym_qualified_identifier,
    ACTIONS(10822), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [233620] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9532), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    STATE(2054), 1,
      sym_try_statement,
    STATE(2120), 1,
      sym_compound_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [233682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(9315), 1,
      anon_sym_requires,
    ACTIONS(8806), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [233709] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9532), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    STATE(2223), 1,
      sym_compound_statement,
    STATE(2224), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233744] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9427), 1,
      anon_sym_requires,
    ACTIONS(9086), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6096), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9076), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [233771] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [233796] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [233821] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_requires,
    ACTIONS(9366), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [233848] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9516), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    STATE(1919), 1,
      sym_compound_statement,
    STATE(1921), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233883] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10153), 1,
      anon_sym_try,
    STATE(683), 1,
      sym_compound_statement,
    STATE(684), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233918] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9516), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    STATE(1922), 1,
      sym_compound_statement,
    STATE(1923), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233953] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_requires,
    ACTIONS(9702), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6062), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9696), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [233980] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9516), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    STATE(1940), 1,
      sym_compound_statement,
    STATE(1941), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234015] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10764), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10766), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10824), 1,
      aux_sym_preproc_if_token2,
    STATE(6638), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
    ACTIONS(10768), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8574), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [234046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10826), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10760), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6639), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8643), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [234075] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10388), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10764), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10766), 1,
      aux_sym_preproc_elif_token1,
    STATE(6441), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
    ACTIONS(10768), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8520), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [234106] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10460), 1,
      anon_sym_COLON,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3514), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(7447), 1,
      sym_semantics,
    ACTIONS(10458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6617), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [234139] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10828), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10760), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6442), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8528), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [234168] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10764), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10766), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10830), 1,
      aux_sym_preproc_if_token2,
    STATE(6370), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
    ACTIONS(10768), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8678), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [234199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_LBRACK,
    ACTIONS(10832), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [234218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [234243] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10068), 1,
      anon_sym_LBRACK,
    ACTIONS(10836), 1,
      anon_sym_requires,
    ACTIONS(10070), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6075), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10066), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [234270] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(9364), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6087), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9356), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [234297] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10119), 1,
      anon_sym_try,
    STATE(292), 1,
      sym_compound_statement,
    STATE(293), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234332] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9532), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    STATE(2101), 1,
      sym_compound_statement,
    STATE(2105), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234367] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9524), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    STATE(2129), 1,
      sym_compound_statement,
    STATE(2131), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [234427] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9524), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    STATE(2135), 1,
      sym_compound_statement,
    STATE(2136), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10841), 1,
      anon_sym_LBRACK,
    ACTIONS(10839), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [234481] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10764), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10766), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10843), 1,
      aux_sym_preproc_if_token2,
    STATE(6423), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
    ACTIONS(10768), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8180), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [234512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      anon_sym_LBRACK,
    ACTIONS(10808), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10845), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5574), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [234535] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10107), 1,
      anon_sym_try,
    STATE(813), 1,
      sym_compound_statement,
    STATE(815), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3382), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234620] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9516), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    STATE(1929), 1,
      sym_compound_statement,
    STATE(1930), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234655] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10847), 1,
      anon_sym_virtual,
    STATE(2244), 1,
      sym_template_type,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7283), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10851), 1,
      anon_sym_LBRACK,
    ACTIONS(10849), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [234707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10855), 1,
      anon_sym_LBRACK,
    ACTIONS(10853), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [234726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [234751] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9524), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    STATE(2148), 1,
      sym_compound_statement,
    STATE(2150), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [234811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3430), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [234836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_requires,
    ACTIONS(8804), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5907), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8796), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [234863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3389), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [234888] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10857), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8410), 1,
      sym_qualified_identifier,
    ACTIONS(10859), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [234919] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9516), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    STATE(1943), 1,
      sym_compound_statement,
    STATE(1969), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234954] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9532), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    STATE(2158), 1,
      sym_compound_statement,
    STATE(2170), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234989] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10153), 1,
      anon_sym_try,
    STATE(665), 1,
      sym_compound_statement,
    STATE(666), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [235024] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10861), 1,
      anon_sym_virtual,
    STATE(2244), 1,
      sym_template_type,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235057] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10460), 1,
      anon_sym_COLON,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3407), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(7447), 1,
      sym_semantics,
    ACTIONS(10458), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6617), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [235090] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9524), 1,
      anon_sym_try,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    STATE(2189), 1,
      sym_compound_statement,
    STATE(2191), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [235125] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10153), 1,
      anon_sym_try,
    STATE(670), 1,
      sym_compound_statement,
    STATE(671), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [235160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10865), 1,
      anon_sym_LBRACK,
    ACTIONS(10863), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235179] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10107), 1,
      anon_sym_try,
    STATE(764), 1,
      sym_compound_statement,
    STATE(765), 1,
      sym_try_statement,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [235214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10867), 1,
      anon_sym_COMMA,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(7044), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10869), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [235244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACK,
    ACTIONS(1957), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10873), 1,
      anon_sym_LBRACK,
    STATE(7043), 1,
      sym_gnu_asm_input_operand,
    STATE(8359), 1,
      sym_string_literal,
    ACTIONS(10871), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [235304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10502), 1,
      anon_sym_LBRACK,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10500), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235326] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10875), 1,
      anon_sym_EQ,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(8238), 1,
      sym_initializer_list,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [235358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10460), 1,
      anon_sym_COLON,
    ACTIONS(10655), 1,
      anon_sym_LBRACK,
    STATE(6333), 1,
      sym_semantics,
    ACTIONS(10650), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10881), 1,
      anon_sym_delete,
    ACTIONS(10883), 1,
      anon_sym_new,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [235402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10885), 1,
      anon_sym_delete,
    ACTIONS(10887), 1,
      anon_sym_new,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [235424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [235448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1919), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235466] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(10889), 1,
      anon_sym_COLON,
    STATE(2338), 1,
      sym_attribute_specifier,
    STATE(5066), 1,
      sym__enum_base_clause,
    STATE(5138), 1,
      sym_enumerator_list,
    ACTIONS(6013), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [235494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10891), 1,
      anon_sym_delete,
    ACTIONS(10893), 1,
      anon_sym_new,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [235516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10893), 1,
      anon_sym_new,
    ACTIONS(10895), 1,
      anon_sym_delete,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [235556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LBRACK,
    ACTIONS(1915), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [235598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [235622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [235646] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7435), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1949), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [235718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [235742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10897), 1,
      anon_sym_delete,
    ACTIONS(10899), 1,
      anon_sym_new,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [235764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [235788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [235812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10901), 1,
      anon_sym_delete,
    ACTIONS(10903), 1,
      anon_sym_new,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [235834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10907), 1,
      anon_sym_LBRACK,
    STATE(6982), 1,
      sym_gnu_asm_output_operand,
    STATE(8135), 1,
      sym_string_literal,
    ACTIONS(10905), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [235858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10899), 1,
      anon_sym_new,
    ACTIONS(10909), 1,
      anon_sym_delete,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [235880] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_LBRACE,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(10889), 1,
      anon_sym_COLON,
    STATE(2310), 1,
      sym_attribute_specifier,
    STATE(5065), 1,
      sym__enum_base_clause,
    STATE(5128), 1,
      sym_enumerator_list,
    ACTIONS(6026), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [235908] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7010), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235938] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10911), 1,
      sym_identifier,
    ACTIONS(10913), 1,
      anon_sym_COLON_COLON,
    STATE(3044), 1,
      sym_template_type,
    STATE(6575), 1,
      sym__scope_resolution,
    STATE(3038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LBRACK,
    ACTIONS(1941), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10899), 1,
      anon_sym_new,
    ACTIONS(10915), 1,
      anon_sym_delete,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [236008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10917), 1,
      anon_sym_delete,
    ACTIONS(10919), 1,
      anon_sym_new,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [236030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10921), 1,
      anon_sym_delete,
    ACTIONS(10923), 1,
      anon_sym_new,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [236052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10923), 1,
      anon_sym_new,
    ACTIONS(10925), 1,
      anon_sym_delete,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [236074] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10927), 1,
      anon_sym_delete,
    ACTIONS(10929), 1,
      anon_sym_new,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [236150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [236174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3509), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236198] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_template_type,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7040), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8731), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [236252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10931), 1,
      anon_sym_delete,
    ACTIONS(10933), 1,
      anon_sym_new,
    ACTIONS(10879), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [236274] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10935), 1,
      sym_identifier,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    STATE(736), 1,
      sym_declaration_list,
    STATE(6708), 1,
      sym_attribute_declaration,
    STATE(7617), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [236305] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9550), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 1,
      sym_identifier,
    ACTIONS(10943), 1,
      anon_sym_template,
    STATE(2247), 1,
      sym_template_type,
    STATE(2248), 1,
      sym_dependent_type_identifier,
    STATE(2249), 1,
      sym_qualified_type_identifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10949), 1,
      sym_system_lib_string,
    STATE(8145), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10947), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [236357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    ACTIONS(10634), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [236384] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [236411] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10951), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(7995), 1,
      sym_qualified_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [236438] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10953), 1,
      sym_identifier,
    ACTIONS(10955), 1,
      anon_sym_template,
    STATE(2451), 1,
      sym_qualified_type_identifier,
    STATE(2468), 1,
      sym_template_type,
    STATE(2471), 1,
      sym_dependent_type_identifier,
    STATE(6533), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236469] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_identifier,
    ACTIONS(10959), 1,
      anon_sym_template,
    STATE(156), 1,
      sym_template_type,
    STATE(157), 1,
      sym_dependent_type_identifier,
    STATE(161), 1,
      sym_qualified_type_identifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236500] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10961), 1,
      sym_identifier,
    ACTIONS(10963), 1,
      anon_sym_template,
    STATE(966), 1,
      sym_template_type,
    STATE(967), 1,
      sym_dependent_type_identifier,
    STATE(970), 1,
      sym_qualified_type_identifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236531] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(10965), 1,
      sym_identifier,
    STATE(703), 1,
      sym_declaration_list,
    STATE(6707), 1,
      sym_attribute_declaration,
    STATE(7861), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [236562] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(10967), 1,
      sym_identifier,
    STATE(685), 1,
      sym_declaration_list,
    STATE(6700), 1,
      sym_attribute_declaration,
    STATE(7685), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [236593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10969), 1,
      sym_identifier,
    ACTIONS(10971), 1,
      sym_system_lib_string,
    STATE(8517), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10947), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [236614] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10973), 1,
      sym_identifier,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2451), 1,
      sym_qualified_type_identifier,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [236668] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9397), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10975), 1,
      sym_identifier,
    ACTIONS(10977), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2405), 1,
      sym_qualified_type_identifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236699] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_identifier,
    ACTIONS(10981), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2405), 1,
      sym_qualified_type_identifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236730] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10983), 1,
      sym_identifier,
    ACTIONS(10985), 1,
      anon_sym_template,
    STATE(333), 1,
      sym_template_type,
    STATE(334), 1,
      sym_dependent_type_identifier,
    STATE(337), 1,
      sym_qualified_type_identifier,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym_AMP,
    ACTIONS(5710), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5704), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [236780] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10026), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10987), 1,
      sym_identifier,
    ACTIONS(10989), 1,
      anon_sym_template,
    STATE(326), 1,
      sym_template_type,
    STATE(327), 1,
      sym_dependent_type_identifier,
    STATE(328), 1,
      sym_qualified_type_identifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236811] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10973), 1,
      sym_identifier,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236842] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(10991), 1,
      sym_identifier,
    STATE(721), 1,
      sym_declaration_list,
    STATE(6691), 1,
      sym_attribute_declaration,
    STATE(7831), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [236873] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10993), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [236898] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(3704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_identifier,
    ACTIONS(10981), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236929] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10995), 1,
      sym_identifier,
    ACTIONS(10997), 1,
      anon_sym_template,
    STATE(3857), 1,
      sym_template_type,
    STATE(3859), 1,
      sym_dependent_type_identifier,
    STATE(3951), 1,
      sym_qualified_type_identifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [236960] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8082), 1,
      sym_qualified_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [236987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(534), 1,
      sym_field_declaration_list,
    STATE(6939), 1,
      sym_virtual_specifier,
    STATE(7590), 1,
      sym_base_class_clause,
    ACTIONS(1927), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
  [237014] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(3110), 1,
      sym_template_argument_list,
    ACTIONS(6217), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(5546), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [237037] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    ACTIONS(10667), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237064] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11001), 1,
      sym_identifier,
    ACTIONS(11003), 1,
      anon_sym_template,
    STATE(339), 1,
      sym_template_type,
    STATE(340), 1,
      sym_dependent_type_identifier,
    STATE(343), 1,
      sym_qualified_type_identifier,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237095] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(4421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11005), 1,
      sym_identifier,
    ACTIONS(11007), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237126] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11009), 1,
      sym_identifier,
    STATE(755), 1,
      sym_declaration_list,
    STATE(6665), 1,
      sym_attribute_declaration,
    STATE(7629), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [237157] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    ACTIONS(10681), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11011), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8111), 1,
      sym_qualified_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237234] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    ACTIONS(10663), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237284] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11013), 1,
      sym_identifier,
    ACTIONS(11015), 1,
      anon_sym_template,
    STATE(3025), 1,
      sym_template_type,
    STATE(3028), 1,
      sym_dependent_type_identifier,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(6563), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237315] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11017), 1,
      sym_identifier,
    ACTIONS(11019), 1,
      anon_sym_template,
    STATE(2899), 1,
      sym_dependent_type_identifier,
    STATE(2936), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_qualified_type_identifier,
    STATE(6564), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237369] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(501), 1,
      sym_field_declaration_list,
    STATE(6983), 1,
      sym_virtual_specifier,
    STATE(7673), 1,
      sym_base_class_clause,
    ACTIONS(1945), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6318), 2,
      anon_sym_final,
      anon_sym_override,
  [237396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237419] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11021), 1,
      sym_identifier,
    ACTIONS(11023), 1,
      anon_sym_template,
    STATE(2985), 1,
      sym_template_type,
    STATE(2998), 1,
      sym_dependent_type_identifier,
    STATE(3031), 1,
      sym_qualified_type_identifier,
    STATE(6568), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11025), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(7953), 1,
      sym_qualified_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237523] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11027), 1,
      sym_identifier,
    ACTIONS(11029), 1,
      anon_sym_template,
    STATE(3099), 1,
      sym_template_type,
    STATE(3124), 1,
      sym_dependent_type_identifier,
    STATE(3202), 1,
      sym_qualified_type_identifier,
    STATE(6572), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10188), 1,
      anon_sym_LBRACK,
    STATE(3728), 1,
      sym_parameter_list,
    STATE(5966), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11031), 1,
      sym_identifier,
    ACTIONS(11033), 1,
      sym_system_lib_string,
    STATE(8656), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10947), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [237598] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10913), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11035), 1,
      sym_identifier,
    ACTIONS(11037), 1,
      anon_sym_template,
    STATE(3014), 1,
      sym_qualified_type_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3043), 1,
      sym_dependent_type_identifier,
    STATE(6575), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237629] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10977), 1,
      anon_sym_template,
    ACTIONS(11039), 1,
      sym_identifier,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2405), 1,
      sym_qualified_type_identifier,
    STATE(6576), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237660] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7851), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11019), 1,
      anon_sym_template,
    ACTIONS(11041), 1,
      sym_identifier,
    STATE(2899), 1,
      sym_dependent_type_identifier,
    STATE(2936), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_qualified_type_identifier,
    STATE(6577), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11043), 1,
      sym_identifier,
    ACTIONS(11045), 1,
      sym_system_lib_string,
    STATE(7973), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10947), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [237712] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7889), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11047), 1,
      sym_identifier,
    ACTIONS(11049), 1,
      anon_sym_template,
    STATE(4591), 1,
      sym_template_type,
    STATE(4592), 1,
      sym_dependent_type_identifier,
    STATE(4780), 1,
      sym_qualified_type_identifier,
    STATE(6579), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237743] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10955), 1,
      anon_sym_template,
    ACTIONS(11051), 1,
      sym_identifier,
    STATE(2451), 1,
      sym_qualified_type_identifier,
    STATE(2468), 1,
      sym_template_type,
    STATE(2471), 1,
      sym_dependent_type_identifier,
    STATE(6580), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237774] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11053), 1,
      sym_identifier,
    STATE(678), 1,
      sym_declaration_list,
    STATE(6694), 1,
      sym_attribute_declaration,
    STATE(7642), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [237805] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11055), 1,
      sym_identifier,
    ACTIONS(11057), 1,
      anon_sym_template,
    STATE(2545), 1,
      sym_template_type,
    STATE(2546), 1,
      sym_dependent_type_identifier,
    STATE(2571), 1,
      sym_qualified_type_identifier,
    STATE(6582), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237836] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11059), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8803), 1,
      sym_qualified_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237863] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11061), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8547), 1,
      sym_qualified_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237890] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(9376), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10975), 1,
      sym_identifier,
    ACTIONS(10977), 1,
      anon_sym_template,
    STATE(2232), 1,
      sym_template_type,
    STATE(2233), 1,
      sym_dependent_type_identifier,
    STATE(2267), 1,
      sym_qualified_type_identifier,
    STATE(6585), 1,
      sym__scope_resolution,
    STATE(8731), 1,
      sym_decltype,
  [237921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym_AMP,
    ACTIONS(5708), 2,
      anon_sym_if,
      anon_sym_for,
    ACTIONS(5704), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [237940] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11063), 1,
      sym_identifier,
    STATE(246), 1,
      sym_declaration_list,
    STATE(6692), 1,
      sym_attribute_declaration,
    STATE(7838), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [237971] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_template,
    ACTIONS(3209), 1,
      anon_sym_decltype,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11065), 1,
      sym_identifier,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8120), 1,
      sym_qualified_identifier,
    STATE(8731), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237998] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11067), 1,
      sym_identifier,
    STATE(257), 1,
      sym_declaration_list,
    STATE(6704), 1,
      sym_attribute_declaration,
    STATE(7633), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [238029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(3110), 1,
      sym_template_argument_list,
    ACTIONS(4283), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(4278), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [238052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_SEMI,
    ACTIONS(11071), 1,
      anon_sym_EQ,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(7090), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238078] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10338), 1,
      anon_sym_LBRACK,
    STATE(6302), 1,
      sym_parameter_list,
    ACTIONS(6383), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6666), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238102] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10338), 1,
      anon_sym_LBRACK,
    STATE(6302), 1,
      sym_parameter_list,
    ACTIONS(6402), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6666), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238126] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10338), 1,
      anon_sym_LBRACK,
    STATE(6302), 1,
      sym_parameter_list,
    ACTIONS(6442), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6666), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238150] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10338), 1,
      anon_sym_LBRACK,
    STATE(6302), 1,
      sym_parameter_list,
    ACTIONS(6420), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6666), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238174] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11073), 1,
      anon_sym_SEMI,
    ACTIONS(11075), 1,
      anon_sym_EQ,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(7033), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11077), 1,
      anon_sym_SEMI,
    ACTIONS(11079), 1,
      anon_sym_EQ,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(7088), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11083), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11081), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [238242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10873), 1,
      anon_sym_LBRACK,
    STATE(7387), 1,
      sym_gnu_asm_input_operand,
    STATE(8359), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [238262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    STATE(3110), 1,
      sym_template_argument_list,
    ACTIONS(6614), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [238282] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11085), 1,
      anon_sym_SEMI,
    ACTIONS(11087), 1,
      anon_sym_EQ,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(6951), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(6217), 1,
      anon_sym_LBRACK,
    STATE(6233), 1,
      sym_template_argument_list,
    ACTIONS(5546), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [238330] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11089), 1,
      anon_sym_COLON,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238356] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      anon_sym_SEMI,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11093), 1,
      anon_sym_SEMI,
    ACTIONS(11095), 1,
      anon_sym_EQ,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(7070), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238408] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238496] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11097), 1,
      anon_sym_SEMI,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3759), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238610] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11099), 1,
      anon_sym_SEMI,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(10460), 1,
      anon_sym_COLON,
    STATE(7409), 1,
      sym_semantics,
    STATE(4345), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11101), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [238658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(10460), 1,
      anon_sym_COLON,
    STATE(7410), 1,
      sym_semantics,
    STATE(4345), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11101), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [238680] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11103), 1,
      anon_sym_SEMI,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238706] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(11105), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3407), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_GT2,
  [238750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11107), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [238810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11113), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11115), 1,
      anon_sym_EQ,
    ACTIONS(11111), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [238828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3407), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_GT2,
  [238850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11117), 1,
      anon_sym_RPAREN,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238876] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10338), 1,
      anon_sym_LBRACK,
    STATE(6302), 1,
      sym_parameter_list,
    ACTIONS(6424), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6666), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11119), 1,
      anon_sym_SEMI,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3407), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_GT2,
  [238948] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11121), 1,
      anon_sym_RPAREN,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238996] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11123), 1,
      anon_sym_SEMI,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239022] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11125), 1,
      anon_sym_SEMI,
    ACTIONS(11127), 1,
      anon_sym_EQ,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4283), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(6233), 1,
      sym_template_argument_list,
    ACTIONS(4278), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [239070] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(10571), 1,
      anon_sym_RPAREN,
    STATE(3712), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239096] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(10555), 1,
      anon_sym_RPAREN,
    STATE(3712), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239122] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11129), 1,
      anon_sym_SEMI,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11131), 1,
      sym_identifier,
    ACTIONS(11136), 1,
      aux_sym_preproc_elif_token1,
    STATE(6638), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
    ACTIONS(11134), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [239170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11138), 1,
      sym_identifier,
    ACTIONS(11143), 1,
      aux_sym_preproc_elif_token1,
    STATE(6639), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11141), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [239190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3514), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
  [239212] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3514), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
  [239234] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [239256] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(11145), 1,
      anon_sym_RPAREN,
    STATE(3712), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3514), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
  [239304] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(10490), 1,
      anon_sym_RPAREN,
    STATE(3712), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3514), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
  [239352] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_RPAREN,
    STATE(3712), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239378] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(10486), 1,
      anon_sym_RPAREN,
    STATE(3712), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10907), 1,
      anon_sym_LBRACK,
    STATE(7521), 1,
      sym_gnu_asm_output_operand,
    STATE(8135), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [239424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(10460), 1,
      anon_sym_COLON,
    STATE(7497), 1,
      sym_semantics,
    STATE(4345), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11147), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [239446] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11149), 1,
      anon_sym_SEMI,
    ACTIONS(11151), 1,
      anon_sym_EQ,
    STATE(2443), 1,
      sym_template_argument_list,
    STATE(7086), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_COLON,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10626), 1,
      anon_sym_COLON,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239524] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10681), 1,
      anon_sym_COLON,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239550] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10667), 1,
      anon_sym_COLON,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_COLON,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_RPAREN,
    STATE(3712), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239628] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(11155), 1,
      anon_sym_SEMI,
    STATE(3269), 1,
      sym_parameter_list,
    STATE(6488), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3407), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_GT2,
  [239676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LPAREN2,
    STATE(6660), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11159), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [239693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(2720), 1,
      sym_template_argument_list,
    STATE(7457), 2,
      sym_argument_list,
      sym_initializer_list,
  [239716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym_AMP,
    ACTIONS(5704), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [239731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_COLON,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6741), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(11162), 1,
      anon_sym_RPAREN,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239777] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11164), 1,
      sym_identifier,
    STATE(782), 1,
      sym_declaration_list,
    STATE(7581), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [239802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_LBRACK,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6471), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [239821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [239842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 1,
      anon_sym_AMP,
    ACTIONS(5624), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [239857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6741), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11166), 1,
      anon_sym_LPAREN2,
    STATE(6660), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [239897] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(11170), 1,
      anon_sym_RPAREN,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [239941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [239962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [239983] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(6442), 1,
      anon_sym_COLON,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6741), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240006] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(11172), 1,
      anon_sym_RPAREN,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11174), 1,
      anon_sym_LPAREN2,
    STATE(6670), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(6420), 1,
      anon_sym_COLON,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6741), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10186), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_AMP,
    ACTIONS(5616), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [240126] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(11176), 1,
      anon_sym_RPAREN,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240149] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(11178), 1,
      anon_sym_RPAREN,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11180), 1,
      anon_sym_EQ,
    ACTIONS(10380), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [240187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [240208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [240229] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [240250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10261), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [240271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10235), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    STATE(6233), 1,
      sym_template_argument_list,
    ACTIONS(6614), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [240311] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11182), 1,
      sym_identifier,
    STATE(604), 1,
      sym_declaration_list,
    STATE(7591), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [240336] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11067), 1,
      sym_identifier,
    STATE(257), 1,
      sym_declaration_list,
    STATE(7633), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [240361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10241), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(10967), 1,
      sym_identifier,
    STATE(685), 1,
      sym_declaration_list,
    STATE(7685), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [240407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_AMP,
    ACTIONS(11184), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [240422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3501), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10259), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [240443] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(11188), 1,
      anon_sym_RPAREN,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11192), 1,
      anon_sym_AMP,
    ACTIONS(11190), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [240481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11196), 1,
      anon_sym_AMP,
    ACTIONS(11194), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [240496] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11198), 1,
      sym_identifier,
    STATE(699), 1,
      sym_declaration_list,
    STATE(7742), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [240521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_parameter_list,
    STATE(6228), 1,
      sym__function_declarator_seq,
    STATE(6486), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240544] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(11200), 1,
      anon_sym_RPAREN,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_EQ,
    ACTIONS(11206), 1,
      anon_sym_DOT,
    STATE(6716), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [240586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11208), 1,
      sym_identifier,
    STATE(278), 1,
      sym_declaration_list,
    STATE(7877), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [240611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_AMP,
    ACTIONS(4881), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [240626] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(11210), 1,
      anon_sym_RPAREN,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(10991), 1,
      sym_identifier,
    STATE(721), 1,
      sym_declaration_list,
    STATE(7831), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [240674] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11009), 1,
      sym_identifier,
    STATE(755), 1,
      sym_declaration_list,
    STATE(7629), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [240699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      anon_sym_COMMA,
    ACTIONS(11216), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11212), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [240716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_LPAREN2,
    STATE(6712), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5618), 1,
      anon_sym_AMP,
    ACTIONS(5620), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [240748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11220), 1,
      anon_sym_LPAREN2,
    STATE(6660), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11222), 1,
      anon_sym_EQ,
    ACTIONS(10380), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10239), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10214), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11224), 1,
      anon_sym_LBRACK,
    ACTIONS(11227), 1,
      anon_sym_EQ,
    ACTIONS(11229), 1,
      anon_sym_DOT,
    STATE(6716), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [240841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    ACTIONS(10227), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11232), 1,
      anon_sym_LPAREN2,
    STATE(6719), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11234), 1,
      anon_sym_LPAREN2,
    STATE(6660), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11236), 1,
      anon_sym_LPAREN2,
    STATE(6721), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11238), 1,
      anon_sym_LPAREN2,
    STATE(6660), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11240), 1,
      anon_sym_LPAREN2,
    STATE(6723), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11242), 1,
      anon_sym_LPAREN2,
    STATE(6660), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11244), 1,
      anon_sym_LPAREN2,
    STATE(6725), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11246), 1,
      anon_sym_LPAREN2,
    STATE(6660), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [240998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11248), 1,
      anon_sym_LPAREN2,
    STATE(6727), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [241015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_LPAREN2,
    STATE(6660), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11168), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [241032] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_COLON,
    ACTIONS(6389), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_parameter_list,
    STATE(6741), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9524), 1,
      anon_sym_try,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    ACTIONS(11252), 1,
      anon_sym_SEMI,
    ACTIONS(11254), 1,
      anon_sym_EQ,
    STATE(2093), 2,
      sym_compound_statement,
      sym_try_statement,
  [241075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11256), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11258), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11260), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11262), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11136), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11134), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [241117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11264), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11266), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9516), 1,
      anon_sym_try,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    ACTIONS(11268), 1,
      anon_sym_SEMI,
    ACTIONS(11270), 1,
      anon_sym_EQ,
    STATE(1910), 2,
      sym_compound_statement,
      sym_try_statement,
  [241151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_LT,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    STATE(2483), 1,
      sym_template_argument_list,
    ACTIONS(6614), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [241169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(10707), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(10119), 1,
      anon_sym_try,
    ACTIONS(11272), 1,
      anon_sym_SEMI,
    ACTIONS(11274), 1,
      anon_sym_EQ,
    STATE(270), 2,
      sym_compound_statement,
      sym_try_statement,
  [241207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11276), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11278), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    STATE(2483), 1,
      sym_template_argument_list,
    ACTIONS(6614), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [241239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10107), 1,
      anon_sym_try,
    ACTIONS(11280), 1,
      anon_sym_SEMI,
    ACTIONS(11282), 1,
      anon_sym_EQ,
    STATE(819), 2,
      sym_compound_statement,
      sym_try_statement,
  [241259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6471), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5814), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(10693), 1,
      anon_sym_LBRACK,
    STATE(6398), 1,
      sym_template_argument_list,
    ACTIONS(10689), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [241295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(10705), 1,
      anon_sym_LBRACK,
    STATE(6357), 1,
      sym_template_argument_list,
    ACTIONS(10703), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [241313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11256), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11258), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241327] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9532), 1,
      anon_sym_try,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11284), 1,
      anon_sym_SEMI,
    ACTIONS(11286), 1,
      anon_sym_EQ,
    STATE(2065), 2,
      sym_compound_statement,
      sym_try_statement,
  [241347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10788), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11288), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(10161), 1,
      anon_sym_try,
    ACTIONS(11290), 1,
      anon_sym_SEMI,
    ACTIONS(11292), 1,
      anon_sym_EQ,
    STATE(614), 2,
      sym_compound_statement,
      sym_try_statement,
  [241381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8779), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [241395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9524), 1,
      anon_sym_try,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    ACTIONS(11294), 1,
      anon_sym_SEMI,
    ACTIONS(11296), 1,
      anon_sym_EQ,
    STATE(2057), 2,
      sym_compound_statement,
      sym_try_statement,
  [241415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym___attribute__,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5676), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5820), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241433] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(10153), 1,
      anon_sym_try,
    ACTIONS(11298), 1,
      anon_sym_SEMI,
    ACTIONS(11300), 1,
      anon_sym_EQ,
    STATE(693), 2,
      sym_compound_statement,
      sym_try_statement,
  [241453] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(10119), 1,
      anon_sym_try,
    ACTIONS(11302), 1,
      anon_sym_SEMI,
    ACTIONS(11304), 1,
      anon_sym_EQ,
    STATE(251), 2,
      sym_compound_statement,
      sym_try_statement,
  [241473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(10161), 1,
      anon_sym_try,
    ACTIONS(11306), 1,
      anon_sym_SEMI,
    ACTIONS(11308), 1,
      anon_sym_EQ,
    STATE(629), 2,
      sym_compound_statement,
      sym_try_statement,
  [241493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11310), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11312), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11314), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11316), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11318), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11320), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9516), 1,
      anon_sym_try,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    ACTIONS(11322), 1,
      anon_sym_SEMI,
    ACTIONS(11324), 1,
      anon_sym_EQ,
    STATE(1899), 2,
      sym_compound_statement,
      sym_try_statement,
  [241555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11326), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11328), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    STATE(5664), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5908), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241587] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    ACTIONS(10153), 1,
      anon_sym_try,
    ACTIONS(11330), 1,
      anon_sym_SEMI,
    ACTIONS(11332), 1,
      anon_sym_EQ,
    STATE(709), 2,
      sym_compound_statement,
      sym_try_statement,
  [241607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11276), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11278), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [241621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10107), 1,
      anon_sym_try,
    ACTIONS(11334), 1,
      anon_sym_SEMI,
    ACTIONS(11336), 1,
      anon_sym_EQ,
    STATE(828), 2,
      sym_compound_statement,
      sym_try_statement,
  [241641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8312), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [241655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9532), 1,
      anon_sym_try,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11338), 1,
      anon_sym_SEMI,
    ACTIONS(11340), 1,
      anon_sym_EQ,
    STATE(2098), 2,
      sym_compound_statement,
      sym_try_statement,
  [241675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    ACTIONS(11342), 1,
      anon_sym_RPAREN,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [241694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11344), 1,
      anon_sym_SEMI,
    STATE(6819), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8676), 1,
      sym_attribute_specifier,
  [241713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    ACTIONS(11346), 1,
      anon_sym_RPAREN,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [241732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11350), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11348), 4,
      anon_sym_virtual,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [241745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11352), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8680), 1,
      sym_attribute_specifier,
  [241764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11354), 1,
      anon_sym_SEMI,
    STATE(6778), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8284), 1,
      sym_attribute_specifier,
  [241783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11356), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8683), 1,
      sym_attribute_specifier,
  [241802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11358), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8287), 1,
      sym_attribute_specifier,
  [241821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11360), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8289), 1,
      sym_attribute_specifier,
  [241840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11362), 1,
      sym_identifier,
    STATE(8163), 1,
      sym__namespace_specifier,
    STATE(8466), 1,
      sym_nested_namespace_specifier,
  [241859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10235), 1,
      anon_sym_COLON,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [241878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11364), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8766), 1,
      sym_attribute_specifier,
  [241897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11366), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8305), 1,
      sym_attribute_specifier,
  [241916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11368), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8306), 1,
      sym_attribute_specifier,
  [241935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11370), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8243), 1,
      sym_attribute_specifier,
  [241954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10239), 1,
      anon_sym_COLON,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [241973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11372), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7635), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [241986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(11374), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(2765), 1,
      sym_template_method,
    STATE(7614), 1,
      sym_operator_name,
  [242005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_template_argument_list,
    ACTIONS(6614), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [242022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    STATE(2472), 1,
      sym_template_argument_list,
    ACTIONS(6614), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [242039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11376), 1,
      sym_identifier,
    STATE(8125), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [242058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(11378), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3813), 1,
      sym_template_method,
    STATE(7715), 1,
      sym_operator_name,
  [242077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10227), 1,
      anon_sym_COLON,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [242096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8569), 1,
      sym_auto,
    ACTIONS(8571), 1,
      anon_sym_decltype,
    STATE(2324), 1,
      sym_decltype_auto,
    ACTIONS(11380), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [242113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2720), 1,
      sym_template_argument_list,
    ACTIONS(6556), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [242130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8569), 1,
      sym_auto,
    ACTIONS(8571), 1,
      anon_sym_decltype,
    STATE(2324), 1,
      sym_decltype_auto,
    ACTIONS(11382), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [242147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10261), 1,
      anon_sym_COLON,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [242166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10241), 1,
      anon_sym_COLON,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [242185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11384), 1,
      anon_sym_SEMI,
    STATE(6773), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8235), 1,
      sym_attribute_specifier,
  [242204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11386), 1,
      anon_sym_SEMI,
    STATE(6814), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8572), 1,
      sym_attribute_specifier,
  [242223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    ACTIONS(11388), 1,
      anon_sym_RPAREN,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [242242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10186), 1,
      anon_sym_COLON,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [242261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11390), 1,
      anon_sym_SEMI,
    STATE(6816), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8575), 1,
      sym_attribute_specifier,
  [242280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11392), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8623), 1,
      sym_attribute_specifier,
  [242299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11394), 1,
      sym_identifier,
    STATE(7388), 1,
      sym__namespace_specifier,
    STATE(7898), 1,
      sym_nested_namespace_specifier,
  [242318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11396), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8768), 1,
      sym_attribute_specifier,
  [242337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    ACTIONS(11398), 1,
      anon_sym_RPAREN,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [242356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9113), 1,
      anon_sym_EQ,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(9111), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [242373] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11394), 1,
      sym_identifier,
    STATE(7437), 1,
      sym__namespace_specifier,
    STATE(7844), 1,
      sym_nested_namespace_specifier,
  [242392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11402), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8226), 1,
      sym_attribute_specifier,
  [242411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11404), 5,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [242422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11406), 1,
      anon_sym_SEMI,
    STATE(6769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8198), 1,
      sym_attribute_specifier,
  [242441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(11408), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3617), 1,
      sym_template_method,
    STATE(7778), 1,
      sym_operator_name,
  [242460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10214), 1,
      anon_sym_COLON,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [242479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11410), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8218), 1,
      sym_attribute_specifier,
  [242498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(11412), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(2765), 1,
      sym_template_method,
    STATE(7885), 1,
      sym_operator_name,
  [242517] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(11414), 1,
      aux_sym_preproc_if_token2,
    STATE(6709), 1,
      sym_enumerator,
    STATE(6985), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6987), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [242536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11416), 1,
      sym_identifier,
    STATE(8090), 1,
      sym_nested_namespace_specifier,
    STATE(8163), 1,
      sym__namespace_specifier,
  [242555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11418), 1,
      anon_sym_SEMI,
    STATE(6800), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8725), 1,
      sym_attribute_specifier,
  [242574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11420), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8732), 1,
      sym_attribute_specifier,
  [242593] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10259), 1,
      anon_sym_COLON,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [242612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11422), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8735), 1,
      sym_attribute_specifier,
  [242631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_operator,
    ACTIONS(11374), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(2765), 1,
      sym_template_method,
    STATE(7797), 1,
      sym_operator_name,
  [242650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11424), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7957), 1,
      sym_attribute_specifier,
  [242669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11426), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8250), 1,
      sym_attribute_specifier,
  [242688] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(8321), 1,
      anon_sym_COMMA,
    ACTIONS(11428), 1,
      anon_sym_SEMI,
    STATE(6771), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8208), 1,
      sym_attribute_specifier,
  [242707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    ACTIONS(11432), 1,
      anon_sym_COLON_COLON,
    STATE(7804), 1,
      sym_argument_list,
    ACTIONS(11430), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [242724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      anon_sym_inline,
    ACTIONS(11434), 1,
      sym_identifier,
    STATE(8163), 1,
      sym__namespace_specifier,
    STATE(8451), 1,
      sym_nested_namespace_specifier,
  [242743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(502), 1,
      sym_field_declaration_list,
    STATE(7675), 1,
      sym_base_class_clause,
  [242759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11436), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [242773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(1048), 1,
      sym_field_declaration_list,
    STATE(7827), 1,
      sym_base_class_clause,
  [242789] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11438), 1,
      anon_sym_DQUOTE,
    ACTIONS(11440), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11442), 1,
      sym_escape_sequence,
    STATE(6829), 1,
      aux_sym_string_literal_repeat1,
  [242805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    STATE(4936), 1,
      sym_field_declaration_list,
    STATE(7609), 1,
      sym_base_class_clause,
  [242821] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11444), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [242835] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11448), 1,
      anon_sym_DQUOTE,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [242851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11456), 1,
      anon_sym_GT2,
    STATE(7144), 1,
      aux_sym_template_argument_list_repeat1,
  [242867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11458), 1,
      anon_sym_LPAREN2,
    ACTIONS(11460), 1,
      anon_sym_LBRACE,
    STATE(5861), 1,
      sym_requirement_seq,
    STATE(7601), 1,
      sym_requires_parameter_list,
  [242883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10192), 1,
      anon_sym_LBRACE,
    STATE(5831), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [242897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11462), 1,
      anon_sym_SEMI,
    STATE(6905), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [242911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11464), 1,
      anon_sym_SEMI,
    STATE(6839), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [242925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    STATE(4971), 1,
      sym_field_declaration_list,
    STATE(7623), 1,
      sym_base_class_clause,
  [242941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11466), 1,
      anon_sym_GT2,
    STATE(7246), 1,
      aux_sym_template_argument_list_repeat1,
  [242957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10192), 1,
      anon_sym_LBRACE,
    STATE(5823), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [242971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11468), 1,
      anon_sym_SEMI,
    STATE(6842), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [242985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11470), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [242999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11472), 1,
      anon_sym___except,
    ACTIONS(11474), 1,
      anon_sym___finally,
    STATE(226), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [243013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10192), 1,
      anon_sym_LBRACE,
    STATE(5845), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [243027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11476), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [243041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(469), 1,
      sym_field_declaration_list,
    STATE(7870), 1,
      sym_base_class_clause,
  [243057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    STATE(3391), 1,
      sym_field_declaration_list,
    STATE(7851), 1,
      sym_base_class_clause,
  [243073] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11478), 1,
      anon_sym_DQUOTE,
    ACTIONS(11480), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11482), 1,
      sym_escape_sequence,
    STATE(6848), 1,
      aux_sym_string_literal_repeat1,
  [243089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    STATE(4122), 1,
      sym_field_declaration_list,
    STATE(7669), 1,
      sym_base_class_clause,
  [243105] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11484), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [243119] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11486), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [243135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10204), 1,
      anon_sym_LBRACE,
    STATE(3634), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [243149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1982), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [243163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11488), 1,
      anon_sym_SEMI,
    STATE(2443), 1,
      sym_template_argument_list,
  [243179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    STATE(4108), 1,
      sym_field_declaration_list,
    STATE(7682), 1,
      sym_base_class_clause,
  [243195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11490), 1,
      anon_sym_GT2,
    STATE(7220), 1,
      aux_sym_template_argument_list_repeat1,
  [243211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11492), 1,
      anon_sym_GT2,
    STATE(7372), 1,
      aux_sym_template_argument_list_repeat1,
  [243227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1986), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [243241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11494), 1,
      anon_sym_SEMI,
    STATE(2443), 1,
      sym_template_argument_list,
  [243257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(2004), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [243271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    STATE(3102), 1,
      sym_field_declaration_list,
    STATE(7903), 1,
      sym_base_class_clause,
  [243287] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11496), 1,
      anon_sym_DQUOTE,
    ACTIONS(11498), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11500), 1,
      sym_escape_sequence,
    STATE(6861), 1,
      aux_sym_string_literal_repeat1,
  [243303] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11502), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [243317] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11504), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [243333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11506), 1,
      anon_sym_GT2,
    STATE(7379), 1,
      aux_sym_template_argument_list_repeat1,
  [243349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11508), 1,
      anon_sym_GT2,
    STATE(7422), 1,
      aux_sym_template_argument_list_repeat1,
  [243365] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11510), 1,
      anon_sym_DQUOTE,
    ACTIONS(11512), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11514), 1,
      sym_escape_sequence,
    STATE(6867), 1,
      aux_sym_string_literal_repeat1,
  [243381] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11516), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11518), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [243395] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11521), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [243409] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11523), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [243425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11525), 1,
      anon_sym_GT2,
    STATE(7478), 1,
      aux_sym_template_argument_list_repeat1,
  [243441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11527), 1,
      anon_sym_SEMI,
    STATE(2443), 1,
      sym_template_argument_list,
  [243457] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11529), 1,
      anon_sym_DQUOTE,
    ACTIONS(11531), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11533), 1,
      sym_escape_sequence,
    STATE(6871), 1,
      aux_sym_string_literal_repeat1,
  [243473] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11535), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [243489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11539), 1,
      anon_sym_EQ,
    STATE(744), 1,
      sym_declaration_list,
  [243505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11541), 1,
      anon_sym_GT2,
    STATE(7122), 1,
      aux_sym_template_argument_list_repeat1,
  [243521] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11543), 1,
      anon_sym_DQUOTE,
    ACTIONS(11545), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11547), 1,
      sym_escape_sequence,
    STATE(6964), 1,
      aux_sym_string_literal_repeat1,
  [243537] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_DQUOTE,
    ACTIONS(11551), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11553), 1,
      sym_escape_sequence,
    STATE(6877), 1,
      aux_sym_string_literal_repeat1,
  [243553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10208), 1,
      anon_sym_LBRACE,
    STATE(3780), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [243567] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11555), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [243583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11557), 1,
      anon_sym_GT2,
    STATE(7155), 1,
      aux_sym_template_argument_list_repeat1,
  [243599] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_DQUOTE,
    ACTIONS(11561), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11563), 1,
      sym_escape_sequence,
    STATE(6880), 1,
      aux_sym_string_literal_repeat1,
  [243615] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11565), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [243631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11567), 1,
      anon_sym_EQ,
    STATE(567), 1,
      sym_declaration_list,
  [243647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11569), 1,
      anon_sym_GT2,
    STATE(7184), 1,
      aux_sym_template_argument_list_repeat1,
  [243663] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11571), 1,
      anon_sym_DQUOTE,
    ACTIONS(11573), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11575), 1,
      sym_escape_sequence,
    STATE(6884), 1,
      aux_sym_string_literal_repeat1,
  [243679] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11577), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [243695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11579), 1,
      anon_sym_GT2,
    STATE(7202), 1,
      aux_sym_template_argument_list_repeat1,
  [243711] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11581), 1,
      anon_sym_DQUOTE,
    ACTIONS(11583), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11585), 1,
      sym_escape_sequence,
    STATE(6887), 1,
      aux_sym_string_literal_repeat1,
  [243727] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11587), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [243743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11589), 1,
      anon_sym_SEMI,
    STATE(6920), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [243757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11591), 1,
      anon_sym_GT2,
    STATE(7225), 1,
      aux_sym_template_argument_list_repeat1,
  [243773] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_DQUOTE,
    ACTIONS(11595), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11597), 1,
      sym_escape_sequence,
    STATE(6891), 1,
      aux_sym_string_literal_repeat1,
  [243789] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11599), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [243805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11601), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [243819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11603), 1,
      anon_sym_GT2,
    STATE(7242), 1,
      aux_sym_template_argument_list_repeat1,
  [243835] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11605), 1,
      anon_sym_DQUOTE,
    ACTIONS(11607), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11609), 1,
      sym_escape_sequence,
    STATE(6895), 1,
      aux_sym_string_literal_repeat1,
  [243851] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11611), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [243867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11613), 1,
      anon_sym_GT2,
    STATE(7268), 1,
      aux_sym_template_argument_list_repeat1,
  [243883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11615), 1,
      anon_sym_GT2,
    STATE(7291), 1,
      aux_sym_template_argument_list_repeat1,
  [243899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10212), 1,
      anon_sym_LBRACE,
    STATE(2835), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [243913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11617), 1,
      anon_sym_GT2,
    STATE(7300), 1,
      aux_sym_template_argument_list_repeat1,
  [243929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(1055), 1,
      sym_field_declaration_list,
    STATE(7548), 1,
      sym_base_class_clause,
  [243945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11619), 1,
      anon_sym_GT2,
    STATE(7323), 1,
      aux_sym_template_argument_list_repeat1,
  [243961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(1056), 1,
      sym_field_declaration_list,
    STATE(7550), 1,
      sym_base_class_clause,
  [243977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11621), 1,
      anon_sym_SEMI,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [243991] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11623), 1,
      anon_sym_DQUOTE,
    ACTIONS(11625), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11627), 1,
      sym_escape_sequence,
    STATE(7019), 1,
      aux_sym_string_literal_repeat1,
  [244007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11629), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [244021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10204), 1,
      anon_sym_LBRACE,
    STATE(3646), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [244035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11631), 1,
      anon_sym_SEMI,
    ACTIONS(11633), 1,
      anon_sym_DASH_GT,
    ACTIONS(11635), 1,
      anon_sym_noexcept,
    STATE(8405), 1,
      sym_trailing_return_type,
  [244051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(506), 1,
      sym_field_declaration_list,
    STATE(7562), 1,
      sym_base_class_clause,
  [244067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(508), 1,
      sym_field_declaration_list,
    STATE(7563), 1,
      sym_base_class_clause,
  [244083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11637), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11641), 1,
      anon_sym_LBRACE,
    STATE(7165), 1,
      aux_sym_base_class_clause_repeat1,
  [244099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10216), 1,
      anon_sym_LBRACE,
    STATE(3554), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [244113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    STATE(7187), 1,
      sym_compound_statement,
    STATE(7558), 1,
      sym_field_initializer_list,
  [244129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10216), 1,
      anon_sym_LBRACE,
    STATE(3619), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [244143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11643), 1,
      anon_sym___except,
    ACTIONS(11645), 1,
      anon_sym___finally,
    STATE(522), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [244157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9455), 1,
      anon_sym_LBRACE,
    ACTIONS(11458), 1,
      anon_sym_LPAREN2,
    STATE(3688), 1,
      sym_requirement_seq,
    STATE(7737), 1,
      sym_requires_parameter_list,
  [244173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10208), 1,
      anon_sym_LBRACE,
    STATE(3724), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [244187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LT,
    ACTIONS(11647), 1,
      sym_identifier,
    STATE(946), 1,
      sym_template_parameter_list,
    STATE(2241), 1,
      sym_template_type,
  [244203] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11649), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11651), 1,
      anon_sym_LPAREN,
    ACTIONS(11653), 1,
      sym_preproc_arg,
    STATE(7603), 1,
      sym_preproc_params,
  [244219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10212), 1,
      anon_sym_LBRACE,
    STATE(2849), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [244233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11655), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [244247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(1068), 1,
      sym_field_declaration_list,
    STATE(7575), 1,
      sym_base_class_clause,
  [244263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11657), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [244277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_field_declaration_list,
    STATE(7578), 1,
      sym_base_class_clause,
  [244293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    STATE(3667), 1,
      sym_argument_list,
    STATE(3972), 1,
      sym_initializer_list,
  [244309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11087), 1,
      anon_sym_EQ,
    STATE(6951), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244323] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11659), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [244337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9466), 1,
      anon_sym_LBRACE,
    ACTIONS(11458), 1,
      anon_sym_LPAREN2,
    STATE(3669), 1,
      sym_requirement_seq,
    STATE(7597), 1,
      sym_requires_parameter_list,
  [244353] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11651), 1,
      anon_sym_LPAREN,
    ACTIONS(11661), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11663), 1,
      sym_preproc_arg,
    STATE(7582), 1,
      sym_preproc_params,
  [244369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11665), 1,
      anon_sym_SEMI,
    STATE(6974), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [244383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11667), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [244397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LT,
    ACTIONS(11647), 1,
      sym_identifier,
    STATE(939), 1,
      sym_template_parameter_list,
    STATE(2241), 1,
      sym_template_type,
  [244413] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11669), 1,
      anon_sym_DQUOTE,
    ACTIONS(11671), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11674), 1,
      sym_escape_sequence,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [244429] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11677), 1,
      anon_sym_DQUOTE,
    ACTIONS(11679), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11681), 1,
      sym_escape_sequence,
    STATE(6953), 1,
      aux_sym_string_literal_repeat1,
  [244445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11683), 1,
      anon_sym_GT2,
    STATE(7243), 1,
      aux_sym_template_argument_list_repeat1,
  [244461] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11651), 1,
      anon_sym_LPAREN,
    ACTIONS(11685), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11687), 1,
      sym_preproc_arg,
    STATE(7694), 1,
      sym_preproc_params,
  [244477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11689), 1,
      anon_sym_SEMI,
    STATE(6961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [244491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11691), 1,
      anon_sym_SEMI,
    STATE(2443), 1,
      sym_template_argument_list,
  [244507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(439), 1,
      sym_field_declaration_list,
    STATE(7543), 1,
      sym_base_class_clause,
  [244523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(510), 1,
      sym_field_declaration_list,
    STATE(7678), 1,
      sym_base_class_clause,
  [244539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    STATE(3362), 1,
      sym_field_declaration_list,
    STATE(7711), 1,
      sym_base_class_clause,
  [244555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11693), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11695), 1,
      anon_sym_LBRACE,
    STATE(7378), 1,
      aux_sym_base_class_clause_repeat1,
  [244571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    STATE(3667), 1,
      sym_argument_list,
    STATE(3668), 1,
      sym_initializer_list,
  [244587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11697), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [244601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11699), 1,
      anon_sym_SEMI,
    STATE(6943), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [244615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11701), 1,
      anon_sym_COMMA,
    STATE(6945), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11704), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [244629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    STATE(4860), 1,
      sym_field_declaration_list,
    STATE(7727), 1,
      sym_base_class_clause,
  [244645] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11706), 1,
      anon_sym_DQUOTE,
    ACTIONS(11708), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11710), 1,
      sym_escape_sequence,
    STATE(7063), 1,
      aux_sym_string_literal_repeat1,
  [244661] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11712), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [244675] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_DQUOTE,
    ACTIONS(11716), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11718), 1,
      sym_escape_sequence,
    STATE(6967), 1,
      aux_sym_string_literal_repeat1,
  [244691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11720), 1,
      anon_sym_COMMA,
    STATE(6950), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11723), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [244705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11725), 1,
      anon_sym_EQ,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_field_declaration_list,
    STATE(7761), 1,
      sym_base_class_clause,
  [244735] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11727), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [244751] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11729), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [244765] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11651), 1,
      anon_sym_LPAREN,
    ACTIONS(11731), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11733), 1,
      sym_preproc_arg,
    STATE(7666), 1,
      sym_preproc_params,
  [244781] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_DQUOTE,
    ACTIONS(11737), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11739), 1,
      sym_escape_sequence,
    STATE(7102), 1,
      aux_sym_string_literal_repeat1,
  [244797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    STATE(3755), 1,
      sym_argument_list,
    STATE(4824), 1,
      sym_initializer_list,
  [244813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11458), 1,
      anon_sym_LPAREN2,
    ACTIONS(11741), 1,
      anon_sym_LBRACE,
    STATE(5800), 1,
      sym_requirement_seq,
    STATE(7873), 1,
      sym_requires_parameter_list,
  [244829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(502), 1,
      sym_field_declaration_list,
    STATE(7658), 1,
      sym_base_class_clause,
  [244845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10218), 1,
      anon_sym_LBRACE,
    STATE(1982), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [244859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11743), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [244873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    STATE(2603), 1,
      sym_field_declaration_list,
    STATE(7691), 1,
      sym_base_class_clause,
  [244889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
  [244905] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11745), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [244921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10216), 1,
      anon_sym_LBRACE,
    STATE(3697), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [244935] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11747), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [244949] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11749), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [244965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_field_declaration_list,
    STATE(7615), 1,
      sym_base_class_clause,
  [244981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(531), 1,
      sym_field_declaration_list,
    STATE(7651), 1,
      sym_base_class_clause,
  [244997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10204), 1,
      anon_sym_LBRACE,
    STATE(3587), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [245011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11751), 1,
      anon_sym_EQ,
    STATE(698), 1,
      sym_declaration_list,
  [245027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11753), 1,
      anon_sym_SEMI,
    STATE(6998), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [245041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9484), 1,
      anon_sym_LBRACE,
    ACTIONS(11458), 1,
      anon_sym_LPAREN2,
    STATE(4321), 1,
      sym_requirement_seq,
    STATE(7647), 1,
      sym_requires_parameter_list,
  [245057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11755), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [245071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4278), 1,
      anon_sym_SEMI,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2437), 1,
      sym_template_argument_list,
  [245087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    STATE(4855), 1,
      sym_field_declaration_list,
    STATE(7795), 1,
      sym_base_class_clause,
  [245103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10206), 1,
      anon_sym_LBRACE,
    STATE(4331), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [245117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    STATE(7158), 1,
      sym_compound_statement,
    STATE(7671), 1,
      sym_field_initializer_list,
  [245133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11757), 1,
      anon_sym_GT2,
    STATE(7269), 1,
      aux_sym_template_argument_list_repeat1,
  [245149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LT,
    ACTIONS(11647), 1,
      sym_identifier,
    STATE(940), 1,
      sym_template_parameter_list,
    STATE(2241), 1,
      sym_template_type,
  [245165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11759), 1,
      anon_sym_SEMI,
    STATE(2443), 1,
      sym_template_argument_list,
  [245181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11761), 1,
      anon_sym_COMMA,
    STATE(7038), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11763), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [245195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(531), 1,
      sym_field_declaration_list,
    STATE(7757), 1,
      sym_base_class_clause,
  [245211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(510), 1,
      sym_field_declaration_list,
    STATE(7661), 1,
      sym_base_class_clause,
  [245227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(11765), 1,
      aux_sym_preproc_if_token2,
    STATE(6638), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
  [245243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11767), 1,
      anon_sym_SEMI,
    STATE(7007), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [245257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(11769), 1,
      aux_sym_preproc_if_token2,
    STATE(6639), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [245271] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11651), 1,
      anon_sym_LPAREN,
    ACTIONS(11771), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11773), 1,
      sym_preproc_arg,
    STATE(7585), 1,
      sym_preproc_params,
  [245287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym___except,
    ACTIONS(11777), 1,
      anon_sym___finally,
    STATE(414), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [245301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(228), 1,
      sym_field_declaration_list,
    STATE(7738), 1,
      sym_base_class_clause,
  [245317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11779), 1,
      anon_sym_EQ,
    STATE(7079), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    STATE(2638), 1,
      sym_field_declaration_list,
    STATE(7746), 1,
      sym_base_class_clause,
  [245347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10218), 1,
      anon_sym_LBRACE,
    STATE(1986), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [245361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11781), 1,
      anon_sym_GT2,
    STATE(7304), 1,
      aux_sym_template_argument_list_repeat1,
  [245377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7693), 1,
      sym_base_class_clause,
  [245393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(11414), 1,
      aux_sym_preproc_if_token2,
    STATE(6985), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7984), 1,
      sym_enumerator,
  [245409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11783), 1,
      anon_sym_SEMI,
    STATE(7013), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [245423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11785), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [245437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(11787), 1,
      aux_sym_preproc_if_token2,
    STATE(6987), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [245451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11789), 1,
      anon_sym_SEMI,
    STATE(2443), 1,
      sym_template_argument_list,
  [245467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    STATE(7270), 1,
      sym_compound_statement,
    STATE(7718), 1,
      sym_field_initializer_list,
  [245483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LT,
    ACTIONS(11647), 1,
      sym_identifier,
    STATE(944), 1,
      sym_template_parameter_list,
    STATE(2241), 1,
      sym_template_type,
  [245499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10206), 1,
      anon_sym_LBRACE,
    STATE(4325), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [245513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10218), 1,
      anon_sym_LBRACE,
    STATE(2004), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [245527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11791), 1,
      anon_sym_SEMI,
    STATE(7020), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [245541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11793), 1,
      anon_sym___except,
    ACTIONS(11795), 1,
      anon_sym___finally,
    STATE(467), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [245555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11797), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [245569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(192), 1,
      sym_field_declaration_list,
    STATE(7772), 1,
      sym_base_class_clause,
  [245585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    STATE(7488), 1,
      sym_compound_statement,
    STATE(7745), 1,
      sym_field_initializer_list,
  [245601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11799), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11801), 1,
      anon_sym_LBRACE,
    STATE(7475), 1,
      aux_sym_base_class_clause_repeat1,
  [245617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(193), 1,
      sym_field_declaration_list,
    STATE(7773), 1,
      sym_base_class_clause,
  [245633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LT,
    ACTIONS(11647), 1,
      sym_identifier,
    STATE(945), 1,
      sym_template_parameter_list,
    STATE(2241), 1,
      sym_template_type,
  [245649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11803), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [245663] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11805), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [245677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11807), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [245687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    STATE(7506), 1,
      sym_compound_statement,
    STATE(7762), 1,
      sym_field_initializer_list,
  [245703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LT,
    ACTIONS(11647), 1,
      sym_identifier,
    STATE(948), 1,
      sym_template_parameter_list,
    STATE(2241), 1,
      sym_template_type,
  [245719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10206), 1,
      anon_sym_LBRACE,
    STATE(4316), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [245733] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11809), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [245749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11811), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [245763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(205), 1,
      sym_field_declaration_list,
    STATE(7784), 1,
      sym_base_class_clause,
  [245779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    STATE(7238), 1,
      sym_compound_statement,
    STATE(7782), 1,
      sym_field_initializer_list,
  [245795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(524), 1,
      sym_field_declaration_list,
    STATE(7589), 1,
      sym_base_class_clause,
  [245811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9447), 1,
      anon_sym_LBRACE,
    ACTIONS(11458), 1,
      anon_sym_LPAREN2,
    STATE(3949), 1,
      sym_requirement_seq,
    STATE(7823), 1,
      sym_requires_parameter_list,
  [245827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11813), 1,
      anon_sym_COMMA,
    STATE(7025), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11816), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [245841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11818), 1,
      anon_sym_EQ,
    STATE(261), 1,
      sym_declaration_list,
  [245857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10208), 1,
      anon_sym_LBRACE,
    STATE(3768), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [245871] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11820), 1,
      anon_sym_DQUOTE,
    ACTIONS(11822), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11824), 1,
      sym_escape_sequence,
    STATE(7042), 1,
      aux_sym_string_literal_repeat1,
  [245887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3662), 1,
      anon_sym_LBRACE,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    STATE(2848), 1,
      sym_initializer_list,
    STATE(2868), 1,
      sym_argument_list,
  [245903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9492), 1,
      anon_sym_LBRACE,
    ACTIONS(11458), 1,
      anon_sym_LPAREN2,
    STATE(2889), 1,
      sym_requirement_seq,
    STATE(7857), 1,
      sym_requires_parameter_list,
  [245919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11807), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [245929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    STATE(7509), 1,
      sym_compound_statement,
    STATE(7895), 1,
      sym_field_initializer_list,
  [245945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11826), 1,
      anon_sym_EQ,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11828), 1,
      sym_identifier,
    ACTIONS(11830), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [245971] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11832), 1,
      anon_sym_DQUOTE,
    ACTIONS(11834), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11836), 1,
      sym_escape_sequence,
    STATE(7051), 1,
      aux_sym_string_literal_repeat1,
  [245987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_EQ,
    STATE(7083), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    STATE(3182), 1,
      sym_field_declaration_list,
    STATE(7536), 1,
      sym_base_class_clause,
  [246017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11761), 1,
      anon_sym_COMMA,
    STATE(7106), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11840), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [246031] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11842), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [246045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11844), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11846), 1,
      anon_sym_LBRACE,
    STATE(7278), 1,
      aux_sym_base_class_clause_repeat1,
  [246061] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11651), 1,
      anon_sym_LPAREN,
    ACTIONS(11848), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11850), 1,
      sym_preproc_arg,
    STATE(7834), 1,
      sym_preproc_params,
  [246077] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11852), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [246093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11854), 1,
      anon_sym_COMMA,
    STATE(7107), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11856), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [246107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10867), 1,
      anon_sym_COMMA,
    STATE(6950), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11858), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [246121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    STATE(3755), 1,
      sym_argument_list,
    STATE(3762), 1,
      sym_initializer_list,
  [246137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LT,
    ACTIONS(11647), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(6781), 1,
      sym_template_parameter_list,
  [246153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(6243), 1,
      anon_sym_LPAREN2,
    STATE(2868), 1,
      sym_argument_list,
    STATE(4057), 1,
      sym_initializer_list,
  [246169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    STATE(2931), 1,
      sym_field_declaration_list,
    STATE(7849), 1,
      sym_base_class_clause,
  [246185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11860), 1,
      anon_sym_COMMA,
    STATE(7049), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11863), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [246199] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11865), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [246213] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11867), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [246229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11869), 1,
      anon_sym___except,
    ACTIONS(11871), 1,
      anon_sym___finally,
    STATE(522), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [246243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9474), 1,
      anon_sym_LBRACE,
    ACTIONS(11458), 1,
      anon_sym_LPAREN2,
    STATE(3789), 1,
      sym_requirement_seq,
    STATE(7573), 1,
      sym_requires_parameter_list,
  [246259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11458), 1,
      anon_sym_LPAREN2,
    ACTIONS(11873), 1,
      anon_sym_LBRACE,
    STATE(1999), 1,
      sym_requirement_seq,
    STATE(7676), 1,
      sym_requires_parameter_list,
  [246275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10255), 1,
      anon_sym_LBRACE,
    STATE(3956), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [246289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LT,
    ACTIONS(11647), 1,
      sym_identifier,
    STATE(947), 1,
      sym_template_parameter_list,
    STATE(2241), 1,
      sym_template_type,
  [246305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      anon_sym_LBRACE,
    STATE(5809), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [246319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(5279), 1,
      sym_field_declaration_list,
    STATE(7833), 1,
      sym_base_class_clause,
  [246335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11875), 1,
      anon_sym_SEMI,
    STATE(7082), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [246349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(5282), 1,
      sym_field_declaration_list,
    STATE(7836), 1,
      sym_base_class_clause,
  [246365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_COMMA,
    STATE(6945), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11879), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [246379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11881), 1,
      anon_sym_SEMI,
    STATE(7098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [246393] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11883), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [246409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym___except,
    ACTIONS(11887), 1,
      anon_sym___finally,
    STATE(1047), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [246423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_field_declaration_list,
    STATE(7889), 1,
      sym_base_class_clause,
  [246439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2727), 1,
      sym_field_declaration_list,
    STATE(7568), 1,
      sym_base_class_clause,
  [246455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    STATE(3212), 1,
      sym_field_declaration_list,
    STATE(7559), 1,
      sym_base_class_clause,
  [246471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11889), 1,
      anon_sym_GT2,
    STATE(7471), 1,
      aux_sym_template_argument_list_repeat1,
  [246487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    STATE(2937), 1,
      sym_field_declaration_list,
    STATE(7896), 1,
      sym_base_class_clause,
  [246503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11891), 1,
      anon_sym_EQ,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11075), 1,
      anon_sym_EQ,
    STATE(7033), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2741), 1,
      sym_field_declaration_list,
    STATE(7596), 1,
      sym_base_class_clause,
  [246547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_EQ,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11895), 1,
      anon_sym_GT2,
    STATE(7513), 1,
      aux_sym_template_argument_list_repeat1,
  [246577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11095), 1,
      anon_sym_EQ,
    STATE(7070), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      anon_sym_LBRACE,
    STATE(5774), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [246605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(11897), 1,
      anon_sym_SEMI,
    STATE(2443), 1,
      sym_template_argument_list,
  [246621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11899), 1,
      anon_sym_SEMI,
    STATE(6892), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [246635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11901), 1,
      anon_sym_EQ,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11127), 1,
      anon_sym_EQ,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11903), 1,
      anon_sym_SEMI,
    STATE(7091), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [246677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11905), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [246691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11907), 1,
      anon_sym_EQ,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11151), 1,
      anon_sym_EQ,
    STATE(7086), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      anon_sym_LBRACE,
    STATE(5761), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [246733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_EQ,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11079), 1,
      anon_sym_EQ,
    STATE(7088), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11911), 1,
      anon_sym_EQ,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11071), 1,
      anon_sym_EQ,
    STATE(7090), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11913), 1,
      anon_sym_EQ,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11915), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [246817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(5132), 1,
      sym_field_declaration_list,
    STATE(7880), 1,
      sym_base_class_clause,
  [246833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(7621), 1,
      sym_argument_list,
    ACTIONS(11917), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [246847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10255), 1,
      anon_sym_LBRACE,
    STATE(4040), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [246861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(5108), 1,
      sym_field_declaration_list,
    STATE(7881), 1,
      sym_base_class_clause,
  [246877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(7342), 2,
      sym_argument_list,
      sym_initializer_list,
  [246891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11919), 1,
      anon_sym_SEMI,
    STATE(6824), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [246905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11921), 1,
      anon_sym_SEMI,
    STATE(4371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [246919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(427), 1,
      sym_field_declaration_list,
    STATE(7927), 1,
      sym_base_class_clause,
  [246935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(428), 1,
      sym_field_declaration_list,
    STATE(7928), 1,
      sym_base_class_clause,
  [246951] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11923), 1,
      anon_sym_SQUOTE,
    STATE(6865), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11446), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [246965] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11452), 1,
      sym_escape_sequence,
    ACTIONS(11925), 1,
      anon_sym_DQUOTE,
    STATE(6932), 1,
      aux_sym_string_literal_repeat1,
  [246981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10212), 1,
      anon_sym_LBRACE,
    STATE(2876), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [246995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(524), 1,
      sym_field_declaration_list,
    STATE(7703), 1,
      sym_base_class_clause,
  [247011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10255), 1,
      anon_sym_LBRACE,
    STATE(4033), 1,
      sym_compound_statement,
    ACTIONS(10380), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [247025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11927), 1,
      anon_sym_COMMA,
    STATE(7106), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11930), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [247039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11854), 1,
      anon_sym_COMMA,
    STATE(7049), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11932), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [247053] = 5,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(11651), 1,
      anon_sym_LPAREN,
    ACTIONS(11934), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11936), 1,
      sym_preproc_arg,
    STATE(7911), 1,
      sym_preproc_params,
  [247069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_COMMA,
    STATE(7061), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11938), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [247083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym___attribute__,
    ACTIONS(11940), 1,
      anon_sym_SEMI,
    STATE(6930), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11942), 1,
      anon_sym_COMMA,
    ACTIONS(11945), 1,
      anon_sym_RPAREN,
    STATE(7111), 1,
      aux_sym_requires_parameter_list_repeat1,
  [247110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11947), 1,
      anon_sym_RPAREN,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    STATE(7118), 1,
      sym_gnu_asm_clobber_list,
  [247123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11951), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(2878), 1,
      sym_template_function,
  [247136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(11953), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [247149] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(6926), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11955), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [247160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11957), 1,
      anon_sym_catch,
    STATE(726), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [247171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11959), 1,
      anon_sym_GT2,
    STATE(7123), 1,
      aux_sym_template_argument_list_repeat1,
  [247184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11961), 1,
      anon_sym_RPAREN,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    STATE(8776), 1,
      sym_gnu_asm_goto_list,
  [247197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11965), 1,
      anon_sym_RPAREN,
    STATE(7442), 1,
      aux_sym_generic_expression_repeat1,
  [247210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11967), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [247223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(11969), 1,
      anon_sym_RPAREN,
    STATE(7179), 1,
      aux_sym_argument_list_repeat1,
  [247236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11971), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [247249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11973), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [247262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    STATE(719), 1,
      sym_declaration_list,
  [247275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_RBRACE,
    ACTIONS(11975), 1,
      anon_sym_COMMA,
    STATE(7277), 1,
      aux_sym_initializer_list_repeat1,
  [247288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(11977), 1,
      anon_sym_RPAREN,
    STATE(7333), 1,
      sym_gnu_asm_clobber_list,
  [247301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11979), 1,
      anon_sym_GT2,
    STATE(7273), 1,
      aux_sym_template_argument_list_repeat1,
  [247314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(11981), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [247327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11983), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [247336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(11987), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7198), 1,
      aux_sym_attribute_declaration_repeat1,
  [247349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(11989), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7517), 1,
      aux_sym_attribute_declaration_repeat1,
  [247362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(11991), 1,
      anon_sym_GT2,
    STATE(7248), 1,
      aux_sym_template_argument_list_repeat1,
  [247375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11993), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [247384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11995), 1,
      anon_sym_COMMA,
    ACTIONS(11997), 1,
      anon_sym_RPAREN,
    STATE(7166), 1,
      aux_sym_parameter_list_repeat1,
  [247397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11995), 1,
      anon_sym_COMMA,
    ACTIONS(11999), 1,
      anon_sym_RPAREN,
    STATE(7443), 1,
      aux_sym_parameter_list_repeat1,
  [247410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2106), 1,
      anon_sym_while,
    ACTIONS(12001), 1,
      anon_sym_else,
    STATE(513), 1,
      sym_else_clause,
  [247423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12003), 1,
      anon_sym_COMMA,
    ACTIONS(12005), 1,
      anon_sym_RPAREN,
    STATE(7111), 1,
      aux_sym_requires_parameter_list_repeat1,
  [247436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12007), 1,
      anon_sym_RPAREN,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    STATE(7318), 1,
      sym_gnu_asm_input_operand_list,
  [247449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12011), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7517), 1,
      aux_sym_attribute_declaration_repeat1,
  [247462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12013), 1,
      anon_sym_RPAREN,
    STATE(7261), 1,
      sym_gnu_asm_input_operand_list,
  [247475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12015), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [247488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_RPAREN,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    STATE(7266), 1,
      sym_gnu_asm_output_operand_list,
  [247501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12021), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [247514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12023), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [247527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12025), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [247540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    ACTIONS(6614), 1,
      anon_sym_SEMI,
    STATE(2437), 1,
      sym_template_argument_list,
  [247553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12027), 1,
      anon_sym_RPAREN,
    STATE(7354), 1,
      sym_gnu_asm_output_operand_list,
  [247566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12029), 1,
      sym_identifier,
    STATE(2903), 1,
      sym_template_type,
    STATE(3781), 1,
      sym_template_function,
  [247579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12031), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [247592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COMMA,
    ACTIONS(12035), 1,
      anon_sym_GT2,
    STATE(7161), 1,
      aux_sym_template_parameter_list_repeat1,
  [247605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12039), 1,
      anon_sym_constexpr,
    STATE(875), 1,
      sym_condition_clause,
  [247618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12041), 1,
      anon_sym_SEMI,
    STATE(7332), 1,
      aux_sym_declaration_repeat1,
  [247631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12043), 1,
      anon_sym_GT2,
    STATE(7156), 1,
      aux_sym_template_argument_list_repeat1,
  [247644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12045), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [247657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12047), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [247670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12049), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [247683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11695), 1,
      anon_sym_LBRACE,
    STATE(7378), 1,
      aux_sym_base_class_clause_repeat1,
  [247696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12051), 1,
      anon_sym_catch,
    STATE(168), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [247707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12053), 1,
      anon_sym_EQ,
    ACTIONS(11111), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [247718] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12055), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12057), 1,
      anon_sym_LPAREN2,
    STATE(8386), 1,
      sym_preproc_argument_list,
  [247731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12059), 1,
      anon_sym_COMMA,
    ACTIONS(12062), 1,
      anon_sym_GT2,
    STATE(7161), 1,
      aux_sym_template_parameter_list_repeat1,
  [247744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_catch,
    STATE(1850), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [247755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12066), 1,
      anon_sym_COMMA,
    ACTIONS(12069), 1,
      anon_sym_RPAREN,
    STATE(7163), 1,
      aux_sym_throw_specifier_repeat1,
  [247768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11995), 1,
      anon_sym_COMMA,
    ACTIONS(12071), 1,
      anon_sym_RPAREN,
    STATE(7408), 1,
      aux_sym_parameter_list_repeat1,
  [247781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11695), 1,
      anon_sym_LBRACE,
    STATE(7395), 1,
      aux_sym_base_class_clause_repeat1,
  [247794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11995), 1,
      anon_sym_COMMA,
    ACTIONS(12073), 1,
      anon_sym_RPAREN,
    STATE(7408), 1,
      aux_sym_parameter_list_repeat1,
  [247807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9984), 1,
      anon_sym_RPAREN,
    ACTIONS(12075), 1,
      anon_sym_COMMA,
    STATE(7167), 1,
      aux_sym_preproc_argument_list_repeat1,
  [247820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      anon_sym_COMMA,
    ACTIONS(12081), 1,
      anon_sym_RPAREN,
    STATE(7168), 1,
      aux_sym_preproc_params_repeat1,
  [247833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8457), 1,
      anon_sym_COMMA,
    ACTIONS(8483), 1,
      anon_sym_RBRACK,
    STATE(7256), 1,
      aux_sym_subscript_argument_list_repeat1,
  [247846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12083), 1,
      anon_sym_COMMA,
    ACTIONS(12085), 1,
      anon_sym_RPAREN,
    STATE(7284), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [247859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12087), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(3682), 1,
      sym_template_function,
  [247872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COMMA,
    ACTIONS(12089), 1,
      anon_sym_GT2,
    STATE(7397), 1,
      aux_sym_template_parameter_list_repeat1,
  [247885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12091), 1,
      anon_sym_catch,
    STATE(360), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [247896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8457), 1,
      anon_sym_COMMA,
    ACTIONS(12093), 1,
      anon_sym_RBRACK,
    STATE(7482), 1,
      aux_sym_subscript_argument_list_repeat1,
  [247909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12095), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7230), 1,
      aux_sym_attribute_declaration_repeat1,
  [247922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12097), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3097), 1,
      sym_template_function,
  [247935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12099), 1,
      anon_sym_SEMI,
    STATE(7237), 1,
      aux_sym_declaration_repeat1,
  [247948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12101), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7380), 1,
      aux_sym_attribute_declaration_repeat1,
  [247961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8772), 1,
      anon_sym_RPAREN,
    ACTIONS(12103), 1,
      anon_sym_COMMA,
    STATE(7179), 1,
      aux_sym_argument_list_repeat1,
  [247974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12106), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(6301), 1,
      sym_template_function,
  [247987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8585), 1,
      anon_sym_RPAREN,
    STATE(7373), 1,
      aux_sym_argument_list_repeat1,
  [248000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12108), 1,
      anon_sym_GT2,
    STATE(7185), 1,
      aux_sym_template_argument_list_repeat1,
  [248013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12110), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12112), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12114), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8629), 1,
      anon_sym_COMMA,
    ACTIONS(8631), 1,
      anon_sym_RBRACE,
    STATE(7345), 1,
      aux_sym_initializer_list_repeat1,
  [248065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12091), 1,
      anon_sym_catch,
    STATE(363), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [248076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12116), 1,
      anon_sym_GT2,
    STATE(7227), 1,
      aux_sym_template_argument_list_repeat1,
  [248089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12118), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7139), 1,
      aux_sym_attribute_declaration_repeat1,
  [248102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12120), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3682), 1,
      sym_template_function,
  [248115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12122), 1,
      anon_sym_catch,
    STATE(243), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [248126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6365), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_RBRACK,
    STATE(7404), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [248139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8497), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
  [248148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12126), 1,
      anon_sym_constexpr,
    STATE(868), 1,
      sym_condition_clause,
  [248161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12128), 1,
      anon_sym_GT2,
    STATE(7205), 1,
      aux_sym_template_argument_list_repeat1,
  [248174] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(7014), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12130), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [248185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12132), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12134), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7517), 1,
      aux_sym_attribute_declaration_repeat1,
  [248211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12003), 1,
      anon_sym_COMMA,
    ACTIONS(12136), 1,
      anon_sym_RPAREN,
    STATE(7137), 1,
      aux_sym_requires_parameter_list_repeat1,
  [248224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12138), 1,
      anon_sym_catch,
    STATE(964), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [248235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9650), 1,
      anon_sym_COMMA,
    ACTIONS(12140), 1,
      anon_sym_RPAREN,
    STATE(7167), 1,
      aux_sym_preproc_argument_list_repeat1,
  [248248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12142), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8641), 1,
      anon_sym_RPAREN,
    STATE(7254), 1,
      aux_sym_argument_list_repeat1,
  [248274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12144), 1,
      anon_sym_SEMI,
    STATE(7260), 1,
      aux_sym_declaration_repeat1,
  [248287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12146), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(12148), 1,
      anon_sym_RPAREN,
    STATE(7179), 1,
      aux_sym_argument_list_repeat1,
  [248313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12150), 1,
      anon_sym_GT2,
    STATE(7384), 1,
      aux_sym_template_argument_list_repeat1,
  [248326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8457), 1,
      anon_sym_COMMA,
    ACTIONS(8699), 1,
      anon_sym_RBRACK,
    STATE(7446), 1,
      aux_sym_subscript_argument_list_repeat1,
  [248339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12152), 1,
      anon_sym_RPAREN,
    STATE(7255), 1,
      sym_gnu_asm_output_operand_list,
  [248352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12154), 1,
      anon_sym_default,
    ACTIONS(12156), 1,
      anon_sym_delete,
    ACTIONS(12158), 1,
      aux_sym_pure_virtual_clause_token1,
  [248365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8415), 1,
      anon_sym_RBRACE,
    ACTIONS(8583), 1,
      anon_sym_COMMA,
    STATE(7286), 1,
      aux_sym_initializer_list_repeat1,
  [248378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12160), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3097), 1,
      sym_template_function,
  [248391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12162), 1,
      anon_sym_constexpr,
    STATE(880), 1,
      sym_condition_clause,
  [248404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12164), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3097), 1,
      sym_template_function,
  [248417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12166), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3097), 1,
      sym_template_function,
  [248430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [248439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12168), 1,
      anon_sym_GT2,
    STATE(7271), 1,
      aux_sym_template_argument_list_repeat1,
  [248452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12170), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12172), 1,
      anon_sym_RPAREN,
    STATE(7481), 1,
      sym_gnu_asm_clobber_list,
  [248478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12174), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8493), 1,
      anon_sym_COMMA,
    ACTIONS(12176), 1,
      anon_sym_RBRACK,
    STATE(7411), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [248504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12178), 1,
      anon_sym_GT2,
    STATE(7226), 1,
      aux_sym_template_argument_list_repeat1,
  [248517] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12057), 1,
      anon_sym_LPAREN2,
    ACTIONS(12180), 1,
      aux_sym_preproc_include_token2,
    STATE(8386), 1,
      sym_preproc_argument_list,
  [248530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12182), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12184), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12186), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12188), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12190), 1,
      anon_sym_SEMI,
    STATE(7149), 1,
      aux_sym_declaration_repeat1,
  [248595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12192), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3781), 1,
      sym_template_function,
  [248608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12194), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7517), 1,
      aux_sym_attribute_declaration_repeat1,
  [248621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8605), 1,
      anon_sym_RPAREN,
    STATE(7288), 1,
      aux_sym_argument_list_repeat1,
  [248634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12196), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12198), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12200), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [248673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12202), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [248686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    STATE(722), 1,
      sym_declaration_list,
  [248699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12204), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [248712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12206), 1,
      anon_sym_catch,
    STATE(1975), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [248723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(8609), 1,
      anon_sym_RBRACE,
    STATE(7297), 1,
      aux_sym_initializer_list_repeat1,
  [248736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12208), 1,
      anon_sym_GT2,
    STATE(7245), 1,
      aux_sym_template_argument_list_repeat1,
  [248749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12210), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12212), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12216), 1,
      anon_sym_RPAREN,
    STATE(7301), 1,
      sym_gnu_asm_output_operand_list,
  [248801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12218), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12220), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12222), 1,
      anon_sym_GT2,
    STATE(7306), 1,
      aux_sym_template_argument_list_repeat1,
  [248840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12224), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [248853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12226), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7517), 1,
      aux_sym_attribute_declaration_repeat1,
  [248866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12228), 1,
      anon_sym_constexpr,
    STATE(896), 1,
      sym_condition_clause,
  [248879] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(6966), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12230), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [248890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(12232), 1,
      anon_sym_RPAREN,
    STATE(7179), 1,
      aux_sym_argument_list_repeat1,
  [248903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12234), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(2878), 1,
      sym_template_function,
  [248916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(12236), 1,
      anon_sym_RPAREN,
    STATE(7179), 1,
      aux_sym_argument_list_repeat1,
  [248929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12238), 1,
      anon_sym_RPAREN,
    STATE(7307), 1,
      sym_gnu_asm_input_operand_list,
  [248942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8457), 1,
      anon_sym_COMMA,
    ACTIONS(12240), 1,
      anon_sym_RBRACK,
    STATE(7482), 1,
      aux_sym_subscript_argument_list_repeat1,
  [248955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12242), 1,
      anon_sym_GT2,
    STATE(7275), 1,
      aux_sym_template_argument_list_repeat1,
  [248968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12244), 1,
      anon_sym_RPAREN,
    STATE(7313), 1,
      sym_gnu_asm_output_operand_list,
  [248981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12246), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [248994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12248), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [249007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12250), 1,
      anon_sym_RPAREN,
    STATE(7351), 1,
      sym_gnu_asm_clobber_list,
  [249020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12252), 1,
      anon_sym_default,
    ACTIONS(12254), 1,
      anon_sym_delete,
    ACTIONS(12256), 1,
      aux_sym_pure_virtual_clause_token1,
  [249033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12258), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12260), 1,
      anon_sym_constexpr,
    STATE(843), 1,
      sym_condition_clause,
  [249059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11995), 1,
      anon_sym_COMMA,
    ACTIONS(12262), 1,
      anon_sym_RPAREN,
    STATE(7310), 1,
      aux_sym_parameter_list_repeat1,
  [249072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12264), 1,
      anon_sym_RPAREN,
    STATE(7352), 1,
      sym_gnu_asm_input_operand_list,
  [249085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12266), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12268), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12270), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_catch,
    STATE(1976), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [249135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12274), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8519), 1,
      anon_sym_RPAREN,
    STATE(7121), 1,
      aux_sym_argument_list_repeat1,
  [249161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12276), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12206), 1,
      anon_sym_catch,
    STATE(1978), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [249185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12278), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12280), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [249211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8689), 1,
      anon_sym_RBRACE,
    ACTIONS(12282), 1,
      anon_sym_COMMA,
    STATE(7277), 1,
      aux_sym_initializer_list_repeat1,
  [249224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11801), 1,
      anon_sym_LBRACE,
    STATE(7395), 1,
      aux_sym_base_class_clause_repeat1,
  [249237] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(7050), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12285), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [249248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12287), 1,
      anon_sym_COMMA,
    ACTIONS(12290), 1,
      anon_sym_RBRACK,
    STATE(7280), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [249261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11801), 1,
      anon_sym_LBRACE,
    STATE(7475), 1,
      aux_sym_base_class_clause_repeat1,
  [249274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12292), 1,
      anon_sym_constexpr,
    STATE(889), 1,
      sym_condition_clause,
  [249287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12294), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12296), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [249298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12298), 1,
      anon_sym_COMMA,
    ACTIONS(12301), 1,
      anon_sym_RPAREN,
    STATE(7284), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [249311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12303), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3097), 1,
      sym_template_function,
  [249324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_RBRACE,
    ACTIONS(12305), 1,
      anon_sym_COMMA,
    STATE(7277), 1,
      aux_sym_initializer_list_repeat1,
  [249337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12307), 1,
      anon_sym_GT2,
    STATE(7292), 1,
      aux_sym_template_argument_list_repeat1,
  [249350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(12309), 1,
      anon_sym_RPAREN,
    STATE(7179), 1,
      aux_sym_argument_list_repeat1,
  [249363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12311), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12313), 1,
      anon_sym_default,
    ACTIONS(12315), 1,
      anon_sym_delete,
    ACTIONS(12317), 1,
      aux_sym_pure_virtual_clause_token1,
  [249389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12319), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12321), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12323), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [249424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12325), 1,
      anon_sym_RPAREN,
    STATE(7138), 1,
      sym_gnu_asm_output_operand_list,
  [249437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    STATE(586), 1,
      sym_declaration_list,
  [249450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12327), 1,
      anon_sym_GT2,
    STATE(7309), 1,
      aux_sym_template_argument_list_repeat1,
  [249463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_RBRACE,
    ACTIONS(12329), 1,
      anon_sym_COMMA,
    STATE(7277), 1,
      aux_sym_initializer_list_repeat1,
  [249476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(12331), 1,
      anon_sym_RPAREN,
    STATE(7442), 1,
      aux_sym_generic_expression_repeat1,
  [249489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12333), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12335), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12337), 1,
      anon_sym_RPAREN,
    STATE(7328), 1,
      sym_gnu_asm_input_operand_list,
  [249528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12339), 1,
      anon_sym_RPAREN,
    STATE(7329), 1,
      sym_gnu_asm_output_operand_list,
  [249541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12341), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12343), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249567] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(6954), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12345), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [249578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12347), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12349), 1,
      anon_sym_RPAREN,
    STATE(7319), 1,
      sym_gnu_asm_clobber_list,
  [249604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12351), 1,
      anon_sym_default,
    ACTIONS(12353), 1,
      anon_sym_delete,
    ACTIONS(12355), 1,
      aux_sym_pure_virtual_clause_token1,
  [249617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12357), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11995), 1,
      anon_sym_COMMA,
    ACTIONS(12359), 1,
      anon_sym_RPAREN,
    STATE(7408), 1,
      aux_sym_parameter_list_repeat1,
  [249643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COMMA,
    ACTIONS(12361), 1,
      anon_sym_GT2,
    STATE(7150), 1,
      aux_sym_template_parameter_list_repeat1,
  [249656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_catch,
    STATE(1977), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [249667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12363), 1,
      anon_sym_RPAREN,
    STATE(7321), 1,
      sym_gnu_asm_input_operand_list,
  [249680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [249693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12367), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [249706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12369), 1,
      anon_sym_GT2,
    STATE(7326), 1,
      aux_sym_template_argument_list_repeat1,
  [249719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12371), 1,
      sym_identifier,
    ACTIONS(12373), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12375), 1,
      anon_sym_RPAREN,
    STATE(7400), 1,
      sym_gnu_asm_clobber_list,
  [249743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12377), 1,
      anon_sym_RPAREN,
    STATE(8402), 1,
      sym_gnu_asm_goto_list,
  [249756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12379), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12381), 1,
      anon_sym_RPAREN,
    STATE(7322), 1,
      sym_gnu_asm_clobber_list,
  [249782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12383), 1,
      anon_sym_RPAREN,
    STATE(8406), 1,
      sym_gnu_asm_goto_list,
  [249795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12385), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249808] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(6948), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12387), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [249819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_default,
    ACTIONS(12391), 1,
      anon_sym_delete,
    ACTIONS(12393), 1,
      aux_sym_pure_virtual_clause_token1,
  [249832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12395), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [249845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12397), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [249858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12399), 1,
      anon_sym_RPAREN,
    STATE(7337), 1,
      sym_gnu_asm_clobber_list,
  [249871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12401), 1,
      anon_sym_RPAREN,
    STATE(7338), 1,
      sym_gnu_asm_input_operand_list,
  [249884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12403), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2878), 1,
      sym_template_function,
  [249897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12405), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [249910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12407), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [249923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12409), 1,
      anon_sym_RPAREN,
    STATE(8390), 1,
      sym_gnu_asm_goto_list,
  [249936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12051), 1,
      anon_sym_catch,
    STATE(158), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [249947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    STATE(591), 1,
      sym_declaration_list,
  [249960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8457), 1,
      anon_sym_COMMA,
    ACTIONS(8565), 1,
      anon_sym_RBRACK,
    STATE(7174), 1,
      aux_sym_subscript_argument_list_repeat1,
  [249973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12411), 1,
      anon_sym_RPAREN,
    STATE(8222), 1,
      sym_gnu_asm_goto_list,
  [249986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12413), 1,
      anon_sym_RPAREN,
    STATE(7341), 1,
      sym_gnu_asm_clobber_list,
  [249999] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(7039), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12415), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12417), 1,
      anon_sym_SEMI,
    STATE(7358), 1,
      aux_sym_declaration_repeat1,
  [250023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12419), 1,
      anon_sym_RPAREN,
    STATE(8231), 1,
      sym_gnu_asm_goto_list,
  [250036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12421), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12423), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [250047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12425), 1,
      anon_sym_RPAREN,
    STATE(8743), 1,
      sym_gnu_asm_goto_list,
  [250060] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(6828), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12427), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 1,
      anon_sym_RBRACE,
    ACTIONS(12429), 1,
      anon_sym_COMMA,
    STATE(7277), 1,
      aux_sym_initializer_list_repeat1,
  [250084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11995), 1,
      anon_sym_COMMA,
    ACTIONS(12431), 1,
      anon_sym_RPAREN,
    STATE(7164), 1,
      aux_sym_parameter_list_repeat1,
  [250097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(12433), 1,
      anon_sym_RPAREN,
    STATE(7442), 1,
      aux_sym_generic_expression_repeat1,
  [250110] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(6847), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12435), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250121] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(6860), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12437), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250132] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(6866), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12439), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12441), 1,
      anon_sym_RPAREN,
    STATE(8295), 1,
      sym_gnu_asm_goto_list,
  [250156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12443), 1,
      anon_sym_RPAREN,
    STATE(7360), 1,
      sym_gnu_asm_clobber_list,
  [250169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11101), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [250178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12445), 1,
      anon_sym_RPAREN,
    STATE(7403), 1,
      sym_gnu_asm_input_operand_list,
  [250191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12447), 1,
      anon_sym_constexpr,
    STATE(867), 1,
      sym_condition_clause,
  [250204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11454), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12449), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_COMMA,
    ACTIONS(8523), 1,
      anon_sym_RBRACE,
    STATE(7125), 1,
      aux_sym_initializer_list_repeat1,
  [250228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12451), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [250241] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    STATE(7101), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12453), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12455), 1,
      anon_sym_RPAREN,
    STATE(8308), 1,
      sym_gnu_asm_goto_list,
  [250265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12457), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7430), 1,
      aux_sym_attribute_declaration_repeat1,
  [250278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12459), 1,
      anon_sym_RPAREN,
    STATE(7469), 1,
      sym_gnu_asm_input_operand_list,
  [250291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(12461), 1,
      anon_sym_RPAREN,
    STATE(7442), 1,
      aux_sym_generic_expression_repeat1,
  [250304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12463), 1,
      anon_sym_default,
    ACTIONS(12465), 1,
      anon_sym_delete,
    ACTIONS(12467), 1,
      aux_sym_pure_virtual_clause_token1,
  [250317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12469), 1,
      anon_sym_RPAREN,
    STATE(7140), 1,
      sym_gnu_asm_output_operand_list,
  [250330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12471), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12473), 1,
      anon_sym_GT2,
    STATE(7381), 1,
      aux_sym_template_argument_list_repeat1,
  [250352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12475), 1,
      anon_sym_COMMA,
    ACTIONS(12478), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [250365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12480), 1,
      anon_sym_RPAREN,
    STATE(7472), 1,
      sym_gnu_asm_output_operand_list,
  [250378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12482), 1,
      anon_sym_SEMI,
    STATE(7128), 1,
      aux_sym_declaration_repeat1,
  [250391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12484), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [250404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12486), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [250417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(12488), 1,
      anon_sym_RPAREN,
    STATE(7179), 1,
      aux_sym_argument_list_repeat1,
  [250430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11957), 1,
      anon_sym_catch,
    STATE(276), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [250441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12490), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [250454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11846), 1,
      anon_sym_LBRACE,
    STATE(7278), 1,
      aux_sym_base_class_clause_repeat1,
  [250467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12492), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11846), 1,
      anon_sym_LBRACE,
    STATE(7395), 1,
      aux_sym_base_class_clause_repeat1,
  [250489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12494), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [250502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12496), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7517), 1,
      aux_sym_attribute_declaration_repeat1,
  [250515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12498), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [250528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    STATE(299), 1,
      sym_declaration_list,
  [250541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11537), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [250550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12500), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [250563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_RBRACE,
    ACTIONS(12502), 1,
      anon_sym_COMMA,
    STATE(7277), 1,
      aux_sym_initializer_list_repeat1,
  [250576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12506), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [250587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12508), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12510), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [250607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12514), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [250616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12514), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [250625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12516), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7436), 1,
      aux_sym_attribute_declaration_repeat1,
  [250638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12518), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [250651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11147), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [250660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12206), 1,
      anon_sym_catch,
    STATE(1980), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [250671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12506), 1,
      anon_sym_LBRACE,
    ACTIONS(12520), 1,
      anon_sym_COMMA,
    STATE(7395), 1,
      aux_sym_base_class_clause_repeat1,
  [250684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12523), 1,
      anon_sym_RPAREN,
    STATE(7414), 1,
      sym_gnu_asm_output_operand_list,
  [250697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COMMA,
    ACTIONS(12525), 1,
      anon_sym_GT2,
    STATE(7161), 1,
      aux_sym_template_parameter_list_repeat1,
  [250710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8577), 1,
      anon_sym_RPAREN,
    STATE(7206), 1,
      aux_sym_argument_list_repeat1,
  [250723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3437), 1,
      sym_template_function,
  [250736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12529), 1,
      anon_sym_RPAREN,
    STATE(8736), 1,
      sym_gnu_asm_goto_list,
  [250749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8455), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [250758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12531), 1,
      anon_sym_constexpr,
    STATE(872), 1,
      sym_condition_clause,
  [250771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12533), 1,
      anon_sym_RPAREN,
    STATE(7528), 1,
      sym_gnu_asm_clobber_list,
  [250784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6365), 1,
      anon_sym_COMMA,
    ACTIONS(12535), 1,
      anon_sym_RBRACK,
    STATE(7280), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [250797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6030), 1,
      anon_sym_EQ,
    ACTIONS(6028), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12537), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7249), 1,
      aux_sym_attribute_declaration_repeat1,
  [250821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12539), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(3437), 1,
      sym_template_function,
  [250834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12541), 1,
      anon_sym_COMMA,
    ACTIONS(12544), 1,
      anon_sym_RPAREN,
    STATE(7408), 1,
      aux_sym_parameter_list_repeat1,
  [250847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12546), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [250856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12546), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [250865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8854), 1,
      anon_sym_RBRACK,
    ACTIONS(12548), 1,
      anon_sym_COMMA,
    STATE(7411), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [250878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11633), 1,
      anon_sym_DASH_GT,
    ACTIONS(12551), 1,
      anon_sym_SEMI,
    STATE(8801), 1,
      sym_trailing_return_type,
  [250891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_catch,
    STATE(1974), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [250902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12553), 1,
      anon_sym_RPAREN,
    STATE(7492), 1,
      sym_gnu_asm_input_operand_list,
  [250915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12555), 1,
      anon_sym_RPAREN,
    STATE(7493), 1,
      sym_gnu_asm_output_operand_list,
  [250928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12557), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [250941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12559), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12561), 1,
      anon_sym_SEMI,
    STATE(7477), 1,
      aux_sym_declaration_repeat1,
  [250963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12563), 1,
      anon_sym_default,
    ACTIONS(12565), 1,
      anon_sym_delete,
    ACTIONS(12567), 1,
      aux_sym_pure_virtual_clause_token1,
  [250976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12569), 1,
      anon_sym_SEMI,
    STATE(7455), 1,
      aux_sym_declaration_repeat1,
  [250989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12571), 1,
      anon_sym_GT2,
    STATE(7423), 1,
      aux_sym_template_argument_list_repeat1,
  [251002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12573), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [251015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12575), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [251028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12577), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3682), 1,
      sym_template_function,
  [251041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12579), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3097), 1,
      sym_template_function,
  [251054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12581), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3097), 1,
      sym_template_function,
  [251067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12583), 1,
      anon_sym_COMMA,
    ACTIONS(12585), 1,
      anon_sym_RPAREN,
    STATE(7431), 1,
      aux_sym_throw_specifier_repeat1,
  [251080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12587), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [251093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    STATE(748), 1,
      sym_declaration_list,
  [251106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12589), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7517), 1,
      aux_sym_attribute_declaration_repeat1,
  [251119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12583), 1,
      anon_sym_COMMA,
    ACTIONS(12591), 1,
      anon_sym_RPAREN,
    STATE(7163), 1,
      aux_sym_throw_specifier_repeat1,
  [251132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12593), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3097), 1,
      sym_template_function,
  [251145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12083), 1,
      anon_sym_COMMA,
    ACTIONS(12595), 1,
      anon_sym_RPAREN,
    STATE(7170), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [251158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12597), 1,
      anon_sym_constexpr,
    STATE(893), 1,
      sym_condition_clause,
  [251171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12599), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12601), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [251182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12603), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7517), 1,
      aux_sym_attribute_declaration_repeat1,
  [251195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12605), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [251206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8615), 1,
      anon_sym_RPAREN,
    STATE(7500), 1,
      aux_sym_argument_list_repeat1,
  [251219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12607), 1,
      anon_sym_COMMA,
    ACTIONS(12610), 1,
      anon_sym_LBRACE,
    STATE(7439), 1,
      aux_sym_field_initializer_list_repeat1,
  [251232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_catch,
    STATE(1844), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [251243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(12612), 1,
      anon_sym_LBRACE,
    STATE(7395), 1,
      aux_sym_base_class_clause_repeat1,
  [251256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12614), 1,
      anon_sym_COMMA,
    ACTIONS(12617), 1,
      anon_sym_RPAREN,
    STATE(7442), 1,
      aux_sym_generic_expression_repeat1,
  [251269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11995), 1,
      anon_sym_COMMA,
    ACTIONS(12619), 1,
      anon_sym_RPAREN,
    STATE(7408), 1,
      aux_sym_parameter_list_repeat1,
  [251282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8617), 1,
      anon_sym_COMMA,
    ACTIONS(8619), 1,
      anon_sym_RBRACE,
    STATE(7505), 1,
      aux_sym_initializer_list_repeat1,
  [251295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12051), 1,
      anon_sym_catch,
    STATE(170), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [251306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8457), 1,
      anon_sym_COMMA,
    ACTIONS(12621), 1,
      anon_sym_RBRACK,
    STATE(7482), 1,
      aux_sym_subscript_argument_list_repeat1,
  [251319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11101), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [251328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12623), 1,
      anon_sym_GT2,
    STATE(7476), 1,
      aux_sym_template_argument_list_repeat1,
  [251341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_COMMA,
    ACTIONS(12627), 1,
      anon_sym_RPAREN,
    STATE(7496), 1,
      aux_sym_preproc_params_repeat1,
  [251354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12629), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [251363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8627), 1,
      anon_sym_RPAREN,
    STATE(7252), 1,
      aux_sym_argument_list_repeat1,
  [251376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12631), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [251389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    STATE(277), 1,
      sym_declaration_list,
  [251402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12633), 1,
      anon_sym_RPAREN,
    STATE(7510), 1,
      sym_gnu_asm_output_operand_list,
  [251415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12635), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [251428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12637), 1,
      anon_sym_constexpr,
    STATE(904), 1,
      sym_condition_clause,
  [251441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12639), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12641), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [251452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12643), 1,
      anon_sym_GT2,
    STATE(7145), 1,
      aux_sym_template_argument_list_repeat1,
  [251465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12645), 1,
      anon_sym_constexpr,
    STATE(854), 1,
      sym_condition_clause,
  [251478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12647), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(3097), 1,
      sym_template_function,
  [251491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12649), 1,
      anon_sym_GT2,
    STATE(7514), 1,
      aux_sym_template_argument_list_repeat1,
  [251504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12651), 1,
      anon_sym_RPAREN,
    STATE(7362), 1,
      sym_gnu_asm_output_operand_list,
  [251517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12653), 1,
      anon_sym_RPAREN,
    STATE(7126), 1,
      sym_gnu_asm_input_operand_list,
  [251530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12655), 1,
      anon_sym_GT2,
    STATE(7485), 1,
      aux_sym_template_argument_list_repeat1,
  [251543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12657), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [251552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12661), 1,
      anon_sym_RPAREN,
    ACTIONS(12659), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [251563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9650), 1,
      anon_sym_COMMA,
    ACTIONS(12663), 1,
      anon_sym_RPAREN,
    STATE(7167), 1,
      aux_sym_preproc_argument_list_repeat1,
  [251576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12665), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [251589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12667), 1,
      anon_sym_RPAREN,
    STATE(7487), 1,
      sym_gnu_asm_clobber_list,
  [251602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12669), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [251615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12671), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [251628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12673), 1,
      anon_sym_RPAREN,
    STATE(7489), 1,
      sym_gnu_asm_input_operand_list,
  [251641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12675), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [251654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12677), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [251667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(12679), 1,
      anon_sym_LBRACE,
    STATE(7395), 1,
      aux_sym_base_class_clause_repeat1,
  [251680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12681), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [251693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12683), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [251706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12685), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [251719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12687), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12689), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [251730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8493), 1,
      anon_sym_COMMA,
    ACTIONS(12691), 1,
      anon_sym_RBRACK,
    STATE(7411), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [251743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12693), 1,
      anon_sym_RPAREN,
    STATE(7983), 1,
      sym_gnu_asm_goto_list,
  [251756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8822), 1,
      anon_sym_RBRACK,
    ACTIONS(12695), 1,
      anon_sym_COMMA,
    STATE(7482), 1,
      aux_sym_subscript_argument_list_repeat1,
  [251769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_while,
    ACTIONS(12001), 1,
      anon_sym_else,
    STATE(537), 1,
      sym_else_clause,
  [251782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(12679), 1,
      anon_sym_LBRACE,
    STATE(7441), 1,
      aux_sym_base_class_clause_repeat1,
  [251795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12698), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [251808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9650), 1,
      anon_sym_COMMA,
    ACTIONS(12700), 1,
      anon_sym_RPAREN,
    STATE(7167), 1,
      aux_sym_preproc_argument_list_repeat1,
  [251821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12702), 1,
      anon_sym_RPAREN,
    STATE(8567), 1,
      sym_gnu_asm_goto_list,
  [251834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12122), 1,
      anon_sym_catch,
    STATE(361), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [251845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12704), 1,
      anon_sym_RPAREN,
    STATE(7490), 1,
      sym_gnu_asm_clobber_list,
  [251858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12706), 1,
      anon_sym_RPAREN,
    STATE(8700), 1,
      sym_gnu_asm_goto_list,
  [251871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12708), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [251884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_COLON,
    ACTIONS(12710), 1,
      anon_sym_RPAREN,
    STATE(7343), 1,
      sym_gnu_asm_clobber_list,
  [251897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12712), 1,
      anon_sym_RPAREN,
    STATE(7112), 1,
      sym_gnu_asm_input_operand_list,
  [251910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(12714), 1,
      anon_sym_RPAREN,
    STATE(7442), 1,
      aux_sym_generic_expression_repeat1,
  [251923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12716), 1,
      anon_sym_COMMA,
    ACTIONS(12718), 1,
      anon_sym_LBRACE,
    STATE(7520), 1,
      aux_sym_field_initializer_list_repeat1,
  [251936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_COMMA,
    ACTIONS(12720), 1,
      anon_sym_RPAREN,
    STATE(7168), 1,
      aux_sym_preproc_params_repeat1,
  [251949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12722), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [251958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12724), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [251971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12726), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [251980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(12728), 1,
      anon_sym_RPAREN,
    STATE(7179), 1,
      aux_sym_argument_list_repeat1,
  [251993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12732), 1,
      anon_sym_RPAREN,
    ACTIONS(12730), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [252004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(8589), 1,
      anon_sym_RBRACE,
    STATE(7385), 1,
      aux_sym_initializer_list_repeat1,
  [252017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12734), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [252026] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12057), 1,
      anon_sym_LPAREN2,
    ACTIONS(12736), 1,
      aux_sym_preproc_include_token2,
    STATE(8386), 1,
      sym_preproc_argument_list,
  [252039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_RBRACE,
    ACTIONS(12738), 1,
      anon_sym_COMMA,
    STATE(7277), 1,
      aux_sym_initializer_list_repeat1,
  [252052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_catch,
    STATE(1845), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [252063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12740), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [252076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_while,
    ACTIONS(12001), 1,
      anon_sym_else,
    STATE(399), 1,
      sym_else_clause,
  [252089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11957), 1,
      anon_sym_catch,
    STATE(727), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [252100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COLON,
    ACTIONS(12742), 1,
      anon_sym_RPAREN,
    STATE(7219), 1,
      sym_gnu_asm_input_operand_list,
  [252113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COLON,
    ACTIONS(12744), 1,
      anon_sym_RPAREN,
    STATE(7463), 1,
      sym_gnu_asm_output_operand_list,
  [252126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12746), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [252139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12748), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [252152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COMMA,
    ACTIONS(12750), 1,
      anon_sym_GT2,
    STATE(7368), 1,
      aux_sym_template_argument_list_repeat1,
  [252165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12752), 1,
      anon_sym_COMMA,
    ACTIONS(12755), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [252178] = 4,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12057), 1,
      anon_sym_LPAREN2,
    ACTIONS(12757), 1,
      aux_sym_preproc_include_token2,
    STATE(8386), 1,
      sym_preproc_argument_list,
  [252191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12759), 1,
      anon_sym_COMMA,
    ACTIONS(12762), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7517), 1,
      aux_sym_attribute_declaration_repeat1,
  [252204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12122), 1,
      anon_sym_catch,
    STATE(362), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [252215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    ACTIONS(12764), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7131), 1,
      aux_sym_attribute_declaration_repeat1,
  [252228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12716), 1,
      anon_sym_COMMA,
    ACTIONS(12766), 1,
      anon_sym_LBRACE,
    STATE(7439), 1,
      aux_sym_field_initializer_list_repeat1,
  [252241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [252250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12770), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
    STATE(2878), 1,
      sym_template_function,
  [252263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12772), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_declaration_repeat1,
  [252276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    ACTIONS(12774), 1,
      anon_sym_constexpr,
    STATE(858), 1,
      sym_condition_clause,
  [252289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12776), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [252298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [252307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(12780), 1,
      anon_sym_SEMI,
    STATE(7523), 1,
      aux_sym_declaration_repeat1,
  [252320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_COLON,
    ACTIONS(12782), 1,
      anon_sym_RPAREN,
    STATE(8699), 1,
      sym_gnu_asm_goto_list,
  [252333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12091), 1,
      anon_sym_catch,
    STATE(244), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [252344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    STATE(754), 1,
      sym_declaration_list,
  [252357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(12784), 1,
      anon_sym_RPAREN,
    STATE(7442), 1,
      aux_sym_generic_expression_repeat1,
  [252370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(855), 1,
      sym_condition_clause,
  [252380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(181), 1,
      sym_compound_statement,
  [252390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12786), 1,
      anon_sym_SEMI,
  [252400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    STATE(3212), 1,
      sym_field_declaration_list,
  [252410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    STATE(3179), 1,
      sym_field_declaration_list,
  [252420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12788), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [252428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12610), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [252436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(883), 1,
      sym_condition_clause,
  [252446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12790), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [252454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12792), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [252462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_compound_statement,
  [252472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_field_declaration_list,
  [252482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    STATE(1068), 1,
      sym_field_declaration_list,
  [252492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2720), 1,
      sym_template_argument_list,
  [252502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2741), 1,
      sym_field_declaration_list,
  [252512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
  [252522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    STATE(1069), 1,
      sym_field_declaration_list,
  [252532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(8016), 1,
      sym_parenthesized_expression,
  [252542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    STATE(1071), 1,
      sym_field_declaration_list,
  [252552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(7607), 1,
      sym_parameter_list,
  [252562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6806), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [252570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6810), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [252578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8822), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [252586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3662), 1,
      anon_sym_LBRACE,
    STATE(2848), 1,
      sym_initializer_list,
  [252596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    STATE(686), 1,
      sym_compound_statement,
  [252606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12798), 1,
      anon_sym_RBRACE,
  [252616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7173), 1,
      sym_compound_statement,
  [252626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    STATE(3149), 1,
      sym_field_declaration_list,
  [252636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(419), 1,
      sym_compound_statement,
  [252646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_field_declaration_list,
  [252656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    STATE(424), 1,
      sym_field_declaration_list,
  [252666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    STATE(429), 1,
      sym_field_declaration_list,
  [252676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    STATE(668), 1,
      sym_compound_statement,
  [252686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    STATE(2013), 1,
      sym_compound_statement,
  [252696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(844), 1,
      sym_condition_clause,
  [252706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6822), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [252714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2743), 1,
      sym_field_declaration_list,
  [252724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [252732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(7672), 1,
      sym_parenthesized_expression,
  [252742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12800), 1,
      anon_sym_LPAREN2,
    ACTIONS(12802), 1,
      sym_raw_string_delimiter,
  [252752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12804), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [252760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9474), 1,
      anon_sym_LBRACE,
    STATE(3748), 1,
      sym_requirement_seq,
  [252770] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12806), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12808), 1,
      sym_preproc_arg,
  [252780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    STATE(1017), 1,
      sym_field_declaration_list,
  [252790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [252798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6838), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [252806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_field_declaration_list,
  [252816] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12810), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12812), 1,
      sym_preproc_arg,
  [252826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6846), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [252834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    STATE(749), 1,
      sym_declaration_list,
  [252844] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12814), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12816), 1,
      sym_preproc_arg,
  [252854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(7594), 1,
      sym_condition_clause,
  [252864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    STATE(1906), 1,
      sym_compound_statement,
  [252874] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12818), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12820), 1,
      sym_preproc_arg,
  [252884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12822), 1,
      sym_identifier,
    STATE(2250), 1,
      sym_template_type,
  [252894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
  [252904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(500), 1,
      sym_compound_statement,
  [252914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_field_declaration_list,
  [252924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_field_declaration_list,
  [252934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym_declaration_list,
  [252944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12824), 1,
      sym_identifier,
    ACTIONS(12826), 1,
      anon_sym_LPAREN2,
  [252954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12828), 1,
      anon_sym_RBRACE,
  [252964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(494), 1,
      sym_compound_statement,
  [252974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    STATE(4936), 1,
      sym_field_declaration_list,
  [252984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2746), 1,
      sym_field_declaration_list,
  [252994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9466), 1,
      anon_sym_LBRACE,
    STATE(3535), 1,
      sym_requirement_seq,
  [253004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7052), 1,
      sym_compound_statement,
  [253014] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12830), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12832), 1,
      sym_preproc_arg,
  [253024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12834), 1,
      sym_identifier,
    STATE(2973), 1,
      sym_template_type,
  [253034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11460), 1,
      anon_sym_LBRACE,
    STATE(5832), 1,
      sym_requirement_seq,
  [253044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 1,
      anon_sym_LT,
    STATE(162), 1,
      sym_template_argument_list,
  [253054] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12836), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12838), 1,
      sym_preproc_arg,
  [253064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10659), 1,
      anon_sym_RBRACE,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [253074] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12840), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12842), 1,
      sym_preproc_arg,
  [253084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    STATE(4971), 1,
      sym_field_declaration_list,
  [253094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    STATE(375), 1,
      sym_compound_statement,
  [253104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12844), 1,
      anon_sym_SEMI,
  [253114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    STATE(4973), 1,
      sym_field_declaration_list,
  [253124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(842), 1,
      sym_condition_clause,
  [253134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_LT,
    STATE(330), 1,
      sym_template_argument_list,
  [253144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(2363), 1,
      sym_field_declaration_list,
  [253154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACE,
    STATE(4824), 1,
      sym_initializer_list,
  [253164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12846), 1,
      anon_sym_LT,
    STATE(2801), 1,
      sym_template_argument_list,
  [253174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(2361), 1,
      sym_field_declaration_list,
  [253184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12848), 1,
      sym_identifier,
    STATE(2549), 1,
      sym_template_type,
  [253194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    STATE(747), 1,
      sym_declaration_list,
  [253204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12081), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [253212] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12850), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12852), 1,
      sym_preproc_arg,
  [253222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12854), 1,
      sym_identifier,
    STATE(163), 1,
      sym_template_type,
  [253232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12856), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [253240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12858), 1,
      anon_sym_RBRACE,
  [253250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_LBRACE,
    STATE(4975), 1,
      sym_field_declaration_list,
  [253260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8772), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [253268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12860), 1,
      anon_sym_LT,
    STATE(3403), 1,
      sym_template_argument_list,
  [253278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    STATE(530), 1,
      sym_compound_statement,
  [253288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    STATE(2603), 1,
      sym_field_declaration_list,
  [253298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    STATE(405), 1,
      sym_compound_statement,
  [253308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    STATE(783), 1,
      sym_declaration_list,
  [253318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(874), 1,
      sym_condition_clause,
  [253328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6734), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [253336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    STATE(469), 1,
      sym_field_declaration_list,
  [253346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    STATE(279), 1,
      sym_declaration_list,
  [253356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_field_declaration_list,
  [253366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12862), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [253374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      sym_identifier,
    STATE(7189), 1,
      sym_attribute,
  [253384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8189), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_template_argument_list,
  [253394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(7802), 1,
      sym_condition_clause,
  [253404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(869), 1,
      sym_condition_clause,
  [253414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12866), 1,
      sym_identifier,
    STATE(3101), 1,
      sym_template_type,
  [253424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7334), 1,
      sym_compound_statement,
  [253434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    STATE(700), 1,
      sym_declaration_list,
  [253444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    STATE(3762), 1,
      sym_initializer_list,
  [253454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12868), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
  [253464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    STATE(3668), 1,
      sym_initializer_list,
  [253474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10644), 1,
      anon_sym_RBRACE,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [253484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9484), 1,
      anon_sym_LBRACE,
    STATE(4328), 1,
      sym_requirement_seq,
  [253494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(8059), 1,
      sym_argument_list,
  [253504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6840), 1,
      sym_compound_statement,
  [253514] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12870), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12872), 1,
      sym_preproc_arg,
  [253524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_field_declaration_list,
  [253534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(880), 1,
      sym_condition_clause,
  [253544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12874), 1,
      anon_sym_if,
    ACTIONS(12876), 1,
      anon_sym_for,
  [253554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    STATE(4860), 1,
      sym_field_declaration_list,
  [253564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    STATE(2055), 1,
      sym_compound_statement,
  [253574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    STATE(4122), 1,
      sym_field_declaration_list,
  [253584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    STATE(1048), 1,
      sym_field_declaration_list,
  [253594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_field_declaration_list,
  [253604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12878), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [253612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8830), 1,
      anon_sym_LT,
    STATE(2927), 1,
      sym_template_argument_list,
  [253622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_field_declaration_list,
  [253632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(8099), 1,
      sym_argument_list,
  [253642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10636), 1,
      anon_sym_RBRACE,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [253652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(8707), 1,
      sym_parenthesized_expression,
  [253662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(7533), 1,
      sym_parameter_list,
  [253672] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12880), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12882), 1,
      sym_preproc_arg,
  [253682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    STATE(4108), 1,
      sym_field_declaration_list,
  [253692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12860), 1,
      anon_sym_LT,
    STATE(3003), 1,
      sym_template_argument_list,
  [253702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    STATE(4117), 1,
      sym_field_declaration_list,
  [253712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10638), 1,
      anon_sym_RBRACE,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [253722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7445), 1,
      sym_compound_statement,
  [253732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(530), 1,
      sym_compound_statement,
  [253742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_field_declaration_list,
  [253752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(888), 1,
      sym_condition_clause,
  [253762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_field_declaration_list,
  [253772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11873), 1,
      anon_sym_LBRACE,
    STATE(1990), 1,
      sym_requirement_seq,
  [253782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(7560), 1,
      sym_parenthesized_expression,
  [253792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_field_declaration_list,
  [253802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10683), 1,
      anon_sym_RBRACE,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [253812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12884), 1,
      sym_identifier,
    ACTIONS(12886), 1,
      anon_sym_LPAREN2,
  [253822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12888), 1,
      anon_sym_RBRACE,
  [253832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7727), 1,
      anon_sym_LBRACE,
    STATE(4129), 1,
      sym_field_declaration_list,
  [253842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    STATE(2081), 1,
      sym_compound_statement,
  [253852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    STATE(228), 1,
      sym_field_declaration_list,
  [253862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    STATE(651), 1,
      sym_declaration_list,
  [253872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12890), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [253880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10630), 1,
      anon_sym_RBRACE,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [253890] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12892), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12894), 1,
      sym_preproc_arg,
  [253900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_RPAREN,
    ACTIONS(8603), 1,
      anon_sym_SEMI,
  [253910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    STATE(2638), 1,
      sym_field_declaration_list,
  [253920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    STATE(2612), 1,
      sym_field_declaration_list,
  [253930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    STATE(3102), 1,
      sym_field_declaration_list,
  [253940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    STATE(3090), 1,
      sym_field_declaration_list,
  [253950] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12896), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12898), 1,
      sym_preproc_arg,
  [253960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      sym_identifier,
    STATE(7175), 1,
      sym_attribute,
  [253970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12900), 1,
      sym_identifier,
    STATE(3021), 1,
      sym_template_type,
  [253980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
  [253990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(7628), 1,
      sym_condition_clause,
  [254000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(897), 1,
      sym_condition_clause,
  [254010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(872), 1,
      sym_condition_clause,
  [254020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7191), 1,
      sym_compound_statement,
  [254030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12902), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
  [254040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_field_declaration_list,
  [254050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(8770), 1,
      sym_argument_list,
  [254060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6989), 1,
      sym_compound_statement,
  [254070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(843), 1,
      sym_condition_clause,
  [254080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12904), 1,
      anon_sym_if,
    ACTIONS(12906), 1,
      anon_sym_for,
  [254090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8684), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [254098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    STATE(3391), 1,
      sym_field_declaration_list,
  [254108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_template_argument_list,
  [254118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    STATE(3392), 1,
      sym_field_declaration_list,
  [254128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10518), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [254136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10687), 1,
      anon_sym_RBRACE,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [254146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8689), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [254154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12908), 1,
      anon_sym_LT,
    STATE(3786), 1,
      sym_template_argument_list,
  [254164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(8103), 1,
      sym_parenthesized_expression,
  [254174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(7929), 1,
      sym_parameter_list,
  [254184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7312), 1,
      sym_compound_statement,
  [254194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_condition_clause,
  [254204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(7766), 1,
      sym_parenthesized_expression,
  [254214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    STATE(4855), 1,
      sym_field_declaration_list,
  [254224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12910), 1,
      sym_identifier,
    STATE(341), 1,
      sym_template_type,
  [254234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12912), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
  [254244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    STATE(2179), 1,
      sym_compound_statement,
  [254254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      sym_identifier,
    STATE(7391), 1,
      sym_attribute,
  [254264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(7815), 1,
      sym_condition_clause,
  [254274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    STATE(4857), 1,
      sym_field_declaration_list,
  [254284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7413), 1,
      sym_compound_statement,
  [254294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12914), 1,
      sym_identifier,
    STATE(335), 1,
      sym_template_type,
  [254304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(8450), 1,
      sym_argument_list,
  [254314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7064), 1,
      sym_compound_statement,
  [254324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12296), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [254332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12916), 1,
      anon_sym_if,
    ACTIONS(12918), 1,
      anon_sym_for,
  [254342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12920), 1,
      anon_sym_LT,
    STATE(3126), 1,
      sym_template_argument_list,
  [254352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      sym_identifier,
    STATE(7178), 1,
      sym_attribute,
  [254362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(190), 1,
      sym_compound_statement,
  [254372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9455), 1,
      anon_sym_LBRACE,
    STATE(3542), 1,
      sym_requirement_seq,
  [254382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    STATE(192), 1,
      sym_field_declaration_list,
  [254392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    STATE(193), 1,
      sym_field_declaration_list,
  [254402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(8685), 1,
      sym_parenthesized_expression,
  [254412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(7900), 1,
      sym_parameter_list,
  [254422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    STATE(587), 1,
      sym_declaration_list,
  [254432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12922), 1,
      anon_sym_RBRACE,
  [254442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8782), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [254450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7518), 1,
      sym_compound_statement,
  [254460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    STATE(2620), 1,
      sym_field_declaration_list,
  [254470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(7925), 1,
      sym_parenthesized_expression,
  [254480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12924), 1,
      anon_sym_LT,
    STATE(2720), 1,
      sym_template_argument_list,
  [254490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12926), 1,
      sym_identifier,
    STATE(968), 1,
      sym_template_type,
  [254500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      sym_identifier,
    STATE(7519), 1,
      sym_attribute,
  [254510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7200), 1,
      sym_compound_statement,
  [254520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12069), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [254528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12928), 1,
      anon_sym_SEMI,
  [254538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(8334), 1,
      sym_argument_list,
  [254548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12930), 1,
      anon_sym_if,
    ACTIONS(12932), 1,
      anon_sym_for,
  [254558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    STATE(4057), 1,
      sym_initializer_list,
  [254568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_field_declaration_list,
  [254578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      anon_sym_LT,
    STATE(3033), 1,
      sym_template_argument_list,
  [254588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12908), 1,
      anon_sym_LT,
    STATE(3570), 1,
      sym_template_argument_list,
  [254598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(7866), 1,
      sym_parameter_list,
  [254608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(2360), 1,
      sym_field_declaration_list,
  [254618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7440), 1,
      sym_compound_statement,
  [254628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(7542), 1,
      sym_parenthesized_expression,
  [254638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_field_declaration_list,
  [254648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12290), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [254656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(204), 1,
      sym_compound_statement,
  [254666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12659), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [254674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      sym_identifier,
    STATE(7130), 1,
      sym_attribute,
  [254684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12934), 1,
      sym_identifier,
    STATE(3030), 1,
      sym_template_type,
  [254694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7162), 1,
      sym_compound_statement,
  [254704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym_field_declaration_list,
  [254714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    STATE(206), 1,
      sym_field_declaration_list,
  [254724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    STATE(207), 1,
      sym_field_declaration_list,
  [254734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(7988), 1,
      sym_argument_list,
  [254744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [254752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    STATE(3108), 1,
      sym_field_declaration_list,
  [254762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      anon_sym_LBRACE,
    STATE(2151), 1,
      sym_compound_statement,
  [254772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12860), 1,
      anon_sym_LT,
    STATE(3609), 1,
      sym_template_argument_list,
  [254782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(7799), 1,
      sym_parameter_list,
  [254792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(8692), 1,
      sym_argument_list,
  [254802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
  [254812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7274), 1,
      sym_compound_statement,
  [254822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12062), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [254830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    STATE(211), 1,
      sym_field_declaration_list,
  [254840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      sym_identifier,
    STATE(7361), 1,
      sym_attribute,
  [254850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7374), 1,
      sym_compound_statement,
  [254860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7394), 1,
      sym_compound_statement,
  [254870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(8691), 1,
      sym_argument_list,
  [254880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12936), 1,
      anon_sym_RBRACE,
  [254890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(7565), 1,
      sym_parameter_list,
  [254900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(8045), 1,
      sym_argument_list,
  [254910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(858), 1,
      sym_condition_clause,
  [254920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12938), 1,
      sym_identifier,
    STATE(4593), 1,
      sym_template_type,
  [254930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(8657), 1,
      sym_argument_list,
  [254940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    STATE(4818), 1,
      sym_field_declaration_list,
  [254950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_LT,
    STATE(338), 1,
      sym_template_argument_list,
  [254960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12924), 1,
      anon_sym_LT,
    STATE(2801), 1,
      sym_template_argument_list,
  [254970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6914), 1,
      sym_compound_statement,
  [254980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    STATE(1859), 1,
      sym_compound_statement,
  [254990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8495), 1,
      anon_sym_RBRACK,
    ACTIONS(12940), 1,
      anon_sym_COMMA,
  [255000] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12942), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12944), 1,
      sym_preproc_arg,
  [255010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(202), 1,
      sym_compound_statement,
  [255020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12946), 1,
      sym_identifier,
    STATE(3860), 1,
      sym_template_type,
  [255030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12948), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [255038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      sym_identifier,
    STATE(7901), 1,
      sym_attribute,
  [255048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [255056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_LT,
    STATE(965), 1,
      sym_template_argument_list,
  [255066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    STATE(3972), 1,
      sym_initializer_list,
  [255076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12952), 1,
      sym_identifier,
    STATE(329), 1,
      sym_template_type,
  [255086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LPAREN2,
    STATE(7821), 1,
      sym_parameter_list,
  [255096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12908), 1,
      anon_sym_LT,
    STATE(3041), 1,
      sym_template_argument_list,
  [255106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10561), 1,
      anon_sym_LBRACE,
    STATE(1931), 1,
      sym_compound_statement,
  [255116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(816), 1,
      sym_compound_statement,
  [255126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    STATE(2931), 1,
      sym_field_declaration_list,
  [255136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LBRACE,
    STATE(1036), 1,
      sym_compound_statement,
  [255146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(770), 1,
      sym_compound_statement,
  [255156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12954), 1,
      anon_sym_RBRACE,
  [255166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8294), 1,
      anon_sym_LT,
    STATE(4594), 1,
      sym_template_argument_list,
  [255176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(8035), 1,
      sym_parenthesized_expression,
  [255186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LBRACE,
    STATE(1053), 1,
      sym_compound_statement,
  [255196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(385), 1,
      sym_compound_statement,
  [255206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12601), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [255214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9447), 1,
      anon_sym_LBRACE,
    STATE(3986), 1,
      sym_requirement_seq,
  [255224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_field_declaration_list,
  [255234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    STATE(625), 1,
      sym_compound_statement,
  [255244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12956), 1,
      anon_sym_LT,
    STATE(3877), 1,
      sym_template_argument_list,
  [255254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_field_declaration_list,
  [255264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(5279), 1,
      sym_field_declaration_list,
  [255274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_LBRACE,
    STATE(1056), 1,
      sym_field_declaration_list,
  [255284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [255292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    STATE(621), 1,
      sym_declaration_list,
  [255302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(5282), 1,
      sym_field_declaration_list,
  [255312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(5283), 1,
      sym_field_declaration_list,
  [255322] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12958), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12960), 1,
      sym_preproc_arg,
  [255332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12962), 1,
      anon_sym_RBRACE,
  [255342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(5285), 1,
      sym_field_declaration_list,
  [255352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12924), 1,
      anon_sym_LT,
    STATE(2550), 1,
      sym_template_argument_list,
  [255362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    STATE(262), 1,
      sym_declaration_list,
  [255372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(2371), 1,
      sym_field_declaration_list,
  [255382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12964), 1,
      anon_sym_SEMI,
  [255392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11945), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [255400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12966), 1,
      sym_identifier,
    STATE(2903), 1,
      sym_template_type,
  [255410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    STATE(415), 1,
      sym_field_declaration_list,
  [255420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12605), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [255428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10618), 1,
      anon_sym_RBRACE,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [255438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(863), 1,
      sym_condition_clause,
  [255448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2727), 1,
      sym_field_declaration_list,
  [255458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    STATE(2937), 1,
      sym_field_declaration_list,
  [255468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    STATE(2938), 1,
      sym_field_declaration_list,
  [255478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12968), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [255486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    STATE(3337), 1,
      sym_field_declaration_list,
  [255496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10640), 1,
      anon_sym_RBRACE,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [255506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(294), 1,
      sym_compound_statement,
  [255516] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12970), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12972), 1,
      sym_preproc_arg,
  [255526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      sym_identifier,
    STATE(7406), 1,
      sym_attribute,
  [255536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(904), 1,
      sym_condition_clause,
  [255546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9492), 1,
      anon_sym_LBRACE,
    STATE(2872), 1,
      sym_requirement_seq,
  [255556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(7859), 1,
      sym_condition_clause,
  [255566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    STATE(423), 1,
      sym_compound_statement,
  [255576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(870), 1,
      sym_condition_clause,
  [255586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    STATE(568), 1,
      sym_declaration_list,
  [255596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    STATE(3182), 1,
      sym_field_declaration_list,
  [255606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    STATE(3362), 1,
      sym_field_declaration_list,
  [255616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7529), 1,
      sym_compound_statement,
  [255626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12689), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [255634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LBRACE,
    STATE(1010), 1,
      sym_compound_statement,
  [255644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(266), 1,
      sym_compound_statement,
  [255654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_compound_statement,
  [255664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_LPAREN2,
    STATE(7626), 1,
      sym_parenthesized_expression,
  [255674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_field_declaration_list,
  [255684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12974), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
  [255694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12976), 1,
      anon_sym_LPAREN2,
    ACTIONS(12978), 1,
      sym_raw_string_delimiter,
  [255704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_LBRACE,
    STATE(5724), 1,
      sym_requirement_seq,
  [255714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_field_declaration_list,
  [255724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(5132), 1,
      sym_field_declaration_list,
  [255734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE,
    STATE(500), 1,
      sym_compound_statement,
  [255744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    STATE(300), 1,
      sym_declaration_list,
  [255754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6770), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [255762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(5108), 1,
      sym_field_declaration_list,
  [255772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(5109), 1,
      sym_field_declaration_list,
  [255782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LBRACE,
    STATE(5111), 1,
      sym_field_declaration_list,
  [255792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6774), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [255800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    STATE(640), 1,
      sym_compound_statement,
  [255810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12980), 1,
      anon_sym_RBRACE,
  [255820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_LT,
    STATE(2801), 1,
      sym_template_argument_list,
  [255830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_LPAREN2,
    STATE(8131), 1,
      sym_argument_list,
  [255840] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12982), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12984), 1,
      sym_preproc_arg,
  [255850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    STATE(425), 1,
      sym_compound_statement,
  [255860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    STATE(427), 1,
      sym_field_declaration_list,
  [255870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    STATE(428), 1,
      sym_field_declaration_list,
  [255880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7006), 1,
      sym_compound_statement,
  [255890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2094), 1,
      anon_sym_LT,
    STATE(336), 1,
      sym_template_argument_list,
  [255900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12986), 1,
      anon_sym_RBRACE,
  [255910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11647), 1,
      sym_identifier,
    STATE(2241), 1,
      sym_template_type,
  [255920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7116), 1,
      sym_compound_statement,
  [255930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_field_declaration_list,
  [255940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(893), 1,
      sym_condition_clause,
  [255950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [255958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12988), 1,
      anon_sym_if,
    ACTIONS(12990), 1,
      anon_sym_for,
  [255968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    STATE(2023), 1,
      sym_compound_statement,
  [255978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12762), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [255986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12544), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [255994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_LBRACE,
    STATE(3116), 1,
      sym_field_declaration_list,
  [256004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12992), 1,
      anon_sym_if,
    ACTIONS(12994), 1,
      anon_sym_for,
  [256014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_field_declaration_list,
  [256024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12996), 1,
      anon_sym_LPAREN2,
    ACTIONS(12998), 1,
      sym_raw_string_delimiter,
  [256034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13000), 1,
      anon_sym_LPAREN2,
    ACTIONS(13002), 1,
      sym_raw_string_delimiter,
  [256044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10616), 1,
      anon_sym_RBRACE,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [256054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13004), 1,
      sym_identifier,
    ACTIONS(13006), 1,
      anon_sym_RPAREN,
  [256064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    ACTIONS(13010), 1,
      sym_raw_string_delimiter,
  [256074] = 3,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13012), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13014), 1,
      sym_preproc_arg,
  [256084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13016), 1,
      anon_sym_LPAREN2,
    ACTIONS(13018), 1,
      sym_raw_string_delimiter,
  [256094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13020), 1,
      anon_sym_LPAREN2,
    ACTIONS(13022), 1,
      sym_raw_string_delimiter,
  [256104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      anon_sym_LPAREN2,
    ACTIONS(13026), 1,
      sym_raw_string_delimiter,
  [256114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13028), 1,
      anon_sym_LPAREN2,
    ACTIONS(13030), 1,
      sym_raw_string_delimiter,
  [256124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13032), 1,
      anon_sym_LPAREN2,
    ACTIONS(13034), 1,
      sym_raw_string_delimiter,
  [256134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13036), 1,
      anon_sym_LPAREN2,
    ACTIONS(13038), 1,
      sym_raw_string_delimiter,
  [256144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13040), 1,
      anon_sym_LPAREN2,
    ACTIONS(13042), 1,
      sym_raw_string_delimiter,
  [256154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13044), 1,
      anon_sym_LPAREN2,
    ACTIONS(13046), 1,
      sym_raw_string_delimiter,
  [256164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13048), 1,
      anon_sym_LPAREN2,
    ACTIONS(13050), 1,
      sym_raw_string_delimiter,
  [256174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13052), 1,
      anon_sym_LPAREN2,
    ACTIONS(13054), 1,
      sym_raw_string_delimiter,
  [256184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13056), 1,
      anon_sym_LPAREN2,
    ACTIONS(13058), 1,
      sym_raw_string_delimiter,
  [256194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13060), 1,
      anon_sym_LPAREN2,
    ACTIONS(13062), 1,
      sym_raw_string_delimiter,
  [256204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(853), 1,
      sym_condition_clause,
  [256214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_compound_statement,
  [256224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_field_declaration_list,
  [256234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_field_declaration_list,
  [256244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_field_declaration_list,
  [256254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    STATE(376), 1,
      sym_compound_statement,
  [256264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13064), 1,
      sym_raw_string_delimiter,
  [256271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13066), 1,
      anon_sym_RPAREN,
  [256278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12888), 1,
      anon_sym_RBRACE,
  [256285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13068), 1,
      aux_sym_preproc_if_token2,
  [256292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13070), 1,
      anon_sym_RPAREN,
  [256299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13072), 1,
      anon_sym_RPAREN,
  [256306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13074), 1,
      anon_sym_RPAREN,
  [256313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13076), 1,
      anon_sym_RPAREN,
  [256320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8880), 1,
      anon_sym_SEMI,
  [256327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_GT_EQ,
  [256334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13080), 1,
      anon_sym_RBRACE,
  [256341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13082), 1,
      anon_sym_RPAREN,
  [256348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13084), 1,
      sym_raw_string_delimiter,
  [256355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13086), 1,
      anon_sym_RPAREN,
  [256362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13088), 1,
      anon_sym_RPAREN,
  [256369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13090), 1,
      anon_sym_DQUOTE,
  [256376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9035), 1,
      anon_sym_RPAREN,
  [256383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8609), 1,
      anon_sym_RBRACE,
  [256390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 1,
      anon_sym_SEMI,
  [256397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_PLUS_EQ,
  [256404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_EQ,
  [256411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10630), 1,
      anon_sym_RBRACE,
  [256418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_STAR,
  [256425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11691), 1,
      anon_sym_SEMI,
  [256432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13092), 1,
      aux_sym_preproc_if_token2,
  [256439] = 2,
    ACTIONS(6168), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9710), 1,
      sym_comment,
  [256446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      sym_identifier,
  [256453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13096), 1,
      anon_sym_SEMI,
  [256460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_DASH_GT_STAR,
  [256467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13098), 1,
      anon_sym_RPAREN,
  [256474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13100), 1,
      anon_sym_DQUOTE,
  [256481] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13102), 1,
      aux_sym_preproc_include_token2,
  [256488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13104), 1,
      anon_sym_RPAREN,
  [256495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13106), 1,
      anon_sym_RPAREN,
  [256502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13108), 1,
      aux_sym_preproc_if_token2,
  [256509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13110), 1,
      anon_sym_SEMI,
  [256516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13112), 1,
      anon_sym_RPAREN,
  [256523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_or,
  [256530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10638), 1,
      anon_sym_RBRACE,
  [256537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13114), 1,
      sym_identifier,
  [256544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13116), 1,
      sym_identifier,
  [256551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_RPAREN,
  [256558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      anon_sym_COLON,
  [256565] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12736), 1,
      aux_sym_preproc_include_token2,
  [256572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13122), 1,
      aux_sym_preproc_if_token2,
  [256579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12798), 1,
      anon_sym_RBRACE,
  [256586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12828), 1,
      anon_sym_RBRACE,
  [256593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13124), 1,
      sym_identifier,
  [256600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13126), 1,
      anon_sym_RPAREN,
  [256607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13128), 1,
      sym_identifier,
  [256614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13130), 1,
      sym_identifier,
  [256621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13132), 1,
      aux_sym_preproc_if_token2,
  [256628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13134), 1,
      aux_sym_preproc_if_token2,
  [256635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13136), 1,
      anon_sym_RPAREN,
  [256642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      anon_sym_COMMA,
  [256649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13138), 1,
      anon_sym_RPAREN,
  [256656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13140), 1,
      anon_sym_STAR,
  [256663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13142), 1,
      anon_sym_RPAREN,
  [256670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13144), 1,
      anon_sym_RPAREN,
  [256677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13146), 1,
      anon_sym_SEMI,
  [256684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13148), 1,
      anon_sym_RBRACE,
  [256691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13150), 1,
      anon_sym_RPAREN,
  [256698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13152), 1,
      aux_sym_preproc_if_token2,
  [256705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13154), 1,
      anon_sym_SEMI,
  [256712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13156), 1,
      sym_auto,
  [256719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_SEMI,
  [256726] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13158), 1,
      aux_sym_preproc_include_token2,
  [256733] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13160), 1,
      aux_sym_preproc_include_token2,
  [256740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13162), 1,
      anon_sym_SEMI,
  [256747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_RPAREN,
  [256754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_DOT_DOT_DOT,
  [256761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13164), 1,
      sym_identifier,
  [256768] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13166), 1,
      aux_sym_preproc_include_token2,
  [256775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13168), 1,
      anon_sym_RPAREN,
  [256782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13170), 1,
      sym_identifier,
  [256789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_RPAREN,
  [256796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13174), 1,
      anon_sym_SEMI,
  [256803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13176), 1,
      anon_sym_LPAREN2,
  [256810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13178), 1,
      sym_identifier,
  [256817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8820), 1,
      anon_sym_COLON,
  [256824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10687), 1,
      anon_sym_RBRACE,
  [256831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8788), 1,
      anon_sym_COLON,
  [256838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13180), 1,
      anon_sym_SEMI,
  [256845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13182), 1,
      aux_sym_preproc_if_token2,
  [256852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13184), 1,
      anon_sym_RPAREN,
  [256859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13186), 1,
      anon_sym_DQUOTE,
  [256866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13188), 1,
      anon_sym_SEMI,
  [256873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13190), 1,
      anon_sym_RPAREN,
  [256880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13192), 1,
      anon_sym_RPAREN,
  [256887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13194), 1,
      anon_sym_RPAREN,
  [256894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13196), 1,
      sym_identifier,
  [256901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13198), 1,
      anon_sym_SEMI,
  [256908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13200), 1,
      aux_sym_preproc_if_token2,
  [256915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13202), 1,
      anon_sym_DQUOTE,
  [256922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5225), 1,
      anon_sym_SEMI,
  [256929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13204), 1,
      anon_sym_SEMI,
  [256936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13206), 1,
      anon_sym_RPAREN,
  [256943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13208), 1,
      anon_sym_RPAREN,
  [256950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13210), 1,
      sym_auto,
  [256957] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13212), 1,
      aux_sym_preproc_include_token2,
  [256964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8780), 1,
      anon_sym_COLON,
  [256971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13214), 1,
      anon_sym_RPAREN,
  [256978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13216), 1,
      anon_sym_LPAREN2,
  [256985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13218), 1,
      anon_sym_while,
  [256992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13220), 1,
      anon_sym_SLASH,
  [256999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13222), 1,
      anon_sym_SEMI,
  [257006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13224), 1,
      anon_sym_RPAREN,
  [257013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_RPAREN,
  [257020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13226), 1,
      anon_sym_SEMI,
  [257027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13228), 1,
      anon_sym_RPAREN,
  [257034] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13230), 1,
      aux_sym_preproc_include_token2,
  [257041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13232), 1,
      sym_identifier,
  [257048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym_RPAREN,
  [257055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8828), 1,
      anon_sym_COLON,
  [257062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      anon_sym_RPAREN,
  [257069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13236), 1,
      anon_sym_RPAREN,
  [257076] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13238), 1,
      aux_sym_preproc_include_token2,
  [257083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13240), 1,
      aux_sym_preproc_if_token2,
  [257090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13242), 1,
      anon_sym_SEMI,
  [257097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13244), 1,
      anon_sym_RPAREN,
  [257104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13246), 1,
      sym_raw_string_delimiter,
  [257111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13248), 1,
      anon_sym_STAR,
  [257118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13250), 1,
      sym_identifier,
  [257125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13252), 1,
      aux_sym_preproc_if_token2,
  [257132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13254), 1,
      anon_sym_RPAREN,
  [257139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13256), 1,
      aux_sym_preproc_if_token2,
  [257146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_RPAREN,
  [257153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13260), 1,
      sym_identifier,
  [257160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10659), 1,
      anon_sym_RBRACE,
  [257167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13262), 1,
      anon_sym_RPAREN,
  [257174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_and,
  [257181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13264), 1,
      anon_sym_RPAREN,
  [257188] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13266), 1,
      aux_sym_preproc_include_token2,
  [257195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13268), 1,
      anon_sym_STAR,
  [257202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8762), 1,
      anon_sym_SEMI,
  [257209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_LT_EQ,
  [257216] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9906), 1,
      aux_sym_preproc_include_token2,
  [257223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13270), 1,
      sym_identifier,
  [257230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_PIPE_EQ,
  [257237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13272), 1,
      anon_sym_RPAREN,
  [257244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5937), 1,
      anon_sym_SEMI,
  [257251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13274), 1,
      anon_sym_SEMI,
  [257258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13276), 1,
      anon_sym_COLON,
  [257265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7297), 1,
      anon_sym_RPAREN,
  [257272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13278), 1,
      anon_sym_LPAREN2,
  [257279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13280), 1,
      aux_sym_preproc_if_token2,
  [257286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13282), 1,
      anon_sym_RPAREN,
  [257293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13284), 1,
      anon_sym_COLON,
  [257300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13286), 1,
      anon_sym_COLON,
  [257307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_LPAREN2,
  [257314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      anon_sym_RPAREN,
  [257321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8768), 1,
      anon_sym_SEMI,
  [257328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11759), 1,
      anon_sym_SEMI,
  [257335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13292), 1,
      anon_sym_SEMI,
  [257342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13294), 1,
      anon_sym_DQUOTE,
  [257349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13296), 1,
      aux_sym_preproc_if_token2,
  [257356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13298), 1,
      anon_sym_SEMI,
  [257363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      sym_identifier,
  [257370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13302), 1,
      anon_sym_DQUOTE,
  [257377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13304), 1,
      anon_sym_SEMI,
  [257384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13306), 1,
      anon_sym_SEMI,
  [257391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13308), 1,
      sym_identifier,
  [257398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_bitor,
  [257405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_RPAREN,
  [257412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13312), 1,
      anon_sym_SEMI,
  [257419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12922), 1,
      anon_sym_RBRACE,
  [257426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13314), 1,
      anon_sym_RPAREN,
  [257433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13316), 1,
      anon_sym_SEMI,
  [257440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_SEMI,
  [257447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13320), 1,
      anon_sym_RPAREN,
  [257454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13322), 1,
      sym_identifier,
  [257461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13324), 1,
      anon_sym_SEMI,
  [257468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13326), 1,
      anon_sym_RPAREN,
  [257475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13328), 1,
      anon_sym_SEMI,
  [257482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13330), 1,
      anon_sym_LPAREN2,
  [257489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13332), 1,
      sym_identifier,
  [257496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13334), 1,
      anon_sym_DOT_DOT_DOT,
  [257503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13337), 1,
      aux_sym_preproc_if_token2,
  [257510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13339), 1,
      anon_sym_RPAREN,
  [257517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
  [257524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_SEMI,
  [257531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_SEMI,
  [257538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_RPAREN,
  [257545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13347), 1,
      sym_raw_string_delimiter,
  [257552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13349), 1,
      aux_sym_preproc_if_token2,
  [257559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13351), 1,
      sym_identifier,
  [257566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13353), 1,
      sym_raw_string_content,
  [257573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13355), 1,
      anon_sym_DQUOTE,
  [257580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4950), 1,
      anon_sym_DOT_DOT_DOT,
  [257587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13357), 1,
      anon_sym_RPAREN,
  [257594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11494), 1,
      anon_sym_SEMI,
  [257601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      anon_sym_SEMI,
  [257608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      anon_sym_STAR,
  [257615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8413), 1,
      anon_sym_SEMI,
  [257622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      anon_sym_DQUOTE,
  [257629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13365), 1,
      anon_sym_SEMI,
  [257636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13367), 1,
      sym_identifier,
  [257643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13369), 1,
      anon_sym_SEMI,
  [257650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 1,
      anon_sym_SEMI,
  [257657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13373), 1,
      anon_sym_RPAREN,
  [257664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13375), 1,
      anon_sym_SEMI,
  [257671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13377), 1,
      anon_sym_RPAREN,
  [257678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13379), 1,
      anon_sym_RPAREN,
  [257685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13381), 1,
      anon_sym_DQUOTE,
  [257692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13383), 1,
      anon_sym_RPAREN,
  [257699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13385), 1,
      anon_sym_LPAREN2,
  [257706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13387), 1,
      anon_sym_SEMI,
  [257713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      anon_sym_LPAREN2,
  [257720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10605), 1,
      sym_identifier,
  [257727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13391), 1,
      anon_sym_RPAREN,
  [257734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13393), 1,
      anon_sym_SEMI,
  [257741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 1,
      anon_sym_SEMI,
  [257748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13395), 1,
      aux_sym_preproc_if_token2,
  [257755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13397), 1,
      sym_identifier,
  [257762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13399), 1,
      sym_identifier,
  [257769] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12055), 1,
      aux_sym_preproc_include_token2,
  [257776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_DOT_DOT_DOT,
  [257783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      anon_sym_SEMI,
  [257790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13403), 1,
      anon_sym_RPAREN,
  [257797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      aux_sym_preproc_if_token2,
  [257804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13407), 1,
      anon_sym_RPAREN,
  [257811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13409), 1,
      sym_auto,
  [257818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8737), 1,
      anon_sym_SEMI,
  [257825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13411), 1,
      anon_sym_RPAREN,
  [257832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13413), 1,
      anon_sym_RPAREN,
  [257839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13415), 1,
      aux_sym_preproc_if_token2,
  [257846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8816), 1,
      anon_sym_COLON,
  [257853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_DASH_EQ,
  [257860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13417), 1,
      aux_sym_preproc_if_token2,
  [257867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13419), 1,
      aux_sym_preproc_if_token2,
  [257874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13421), 1,
      anon_sym_DQUOTE,
  [257881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13423), 1,
      anon_sym_DQUOTE,
  [257888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13425), 1,
      sym_identifier,
  [257895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON_COLON,
  [257902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_AMP_EQ,
  [257909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_PERCENT,
  [257916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13427), 1,
      sym_identifier,
  [257923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13429), 1,
      sym_auto,
  [257930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      anon_sym_RPAREN,
  [257937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13433), 1,
      anon_sym_RPAREN,
  [257944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13435), 1,
      sym_raw_string_delimiter,
  [257951] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13437), 1,
      aux_sym_preproc_include_token2,
  [257958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13439), 1,
      sym_identifier,
  [257965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13441), 1,
      anon_sym_RPAREN,
  [257972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13443), 1,
      anon_sym_RPAREN,
  [257979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13445), 1,
      anon_sym_LPAREN2,
  [257986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13447), 1,
      anon_sym_RPAREN,
  [257993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13449), 1,
      anon_sym_RPAREN,
  [258000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13451), 1,
      anon_sym_RPAREN,
  [258007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13453), 1,
      anon_sym_RPAREN,
  [258014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13455), 1,
      aux_sym_preproc_if_token2,
  [258021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13457), 1,
      anon_sym_RPAREN,
  [258028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 1,
      anon_sym_SEMI,
  [258035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13459), 1,
      aux_sym_preproc_if_token2,
  [258042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      anon_sym_RPAREN,
  [258049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      anon_sym_RPAREN,
  [258056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13465), 1,
      anon_sym_LPAREN2,
  [258063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13467), 1,
      anon_sym_LPAREN2,
  [258070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8748), 1,
      anon_sym_SEMI,
  [258077] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9962), 1,
      aux_sym_preproc_include_token2,
  [258084] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13469), 1,
      aux_sym_preproc_include_token2,
  [258091] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13471), 1,
      aux_sym_preproc_include_token2,
  [258098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13473), 1,
      anon_sym_SEMI,
  [258105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13475), 1,
      anon_sym_RPAREN,
  [258112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      sym_identifier,
  [258119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13479), 1,
      anon_sym_SEMI,
  [258126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13481), 1,
      anon_sym_RPAREN,
  [258133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13483), 1,
      anon_sym_RPAREN,
  [258140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13485), 1,
      anon_sym_SEMI,
  [258147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13487), 1,
      anon_sym_RPAREN,
  [258154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13489), 1,
      anon_sym_SEMI,
  [258161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13491), 1,
      anon_sym_RPAREN,
  [258168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13493), 1,
      anon_sym_RPAREN,
  [258175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      anon_sym_SEMI,
  [258182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_PIPE_PIPE,
  [258189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      anon_sym_DOT_DOT_DOT,
  [258196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_RPAREN,
  [258203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      anon_sym_RPAREN,
  [258210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      anon_sym_SEMI,
  [258217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      anon_sym_RPAREN,
  [258224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_LT,
  [258231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13505), 1,
      anon_sym_SEMI,
  [258238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      anon_sym_DQUOTE,
  [258245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_RPAREN,
  [258252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      sym_raw_string_delimiter,
  [258259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      anon_sym_COMMA,
  [258266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12858), 1,
      anon_sym_RBRACE,
  [258273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13515), 1,
      sym_identifier,
  [258280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      anon_sym_SEMI,
  [258287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      ts_builtin_sym_end,
  [258294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      anon_sym_RPAREN,
  [258301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      anon_sym_LPAREN2,
  [258308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      anon_sym_RPAREN,
  [258315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13527), 1,
      aux_sym_preproc_if_token2,
  [258322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13529), 1,
      anon_sym_DQUOTE,
  [258329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      anon_sym_RPAREN,
  [258336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      anon_sym_SEMI,
  [258343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13535), 1,
      anon_sym_DQUOTE,
  [258350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_SEMI,
  [258357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      sym_raw_string_delimiter,
  [258364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12936), 1,
      anon_sym_RBRACE,
  [258371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      anon_sym_RPAREN,
  [258378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      anon_sym_STAR,
  [258385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      anon_sym_STAR,
  [258392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      anon_sym_LPAREN2,
  [258399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13549), 1,
      anon_sym_SEMI,
  [258406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_RPAREN,
  [258413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      anon_sym_RPAREN,
  [258420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12661), 1,
      anon_sym_RPAREN,
  [258427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13555), 1,
      sym_auto,
  [258434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      sym_raw_string_delimiter,
  [258441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13559), 1,
      anon_sym_SEMI,
  [258448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13561), 1,
      sym_raw_string_content,
  [258455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13563), 1,
      anon_sym_SEMI,
  [258462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13565), 1,
      anon_sym_LPAREN2,
  [258469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      anon_sym_RPAREN,
  [258476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      sym_raw_string_delimiter,
  [258483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8981), 1,
      anon_sym_RPAREN,
  [258490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 1,
      anon_sym_RPAREN,
  [258497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      sym_raw_string_delimiter,
  [258504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      anon_sym_SEMI,
  [258511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13577), 1,
      anon_sym_RPAREN,
  [258518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13579), 1,
      anon_sym_RPAREN,
  [258525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13581), 1,
      anon_sym_RPAREN,
  [258532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13583), 1,
      sym_raw_string_delimiter,
  [258539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      anon_sym_RPAREN,
  [258546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13587), 1,
      sym_raw_string_delimiter,
  [258553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13589), 1,
      anon_sym_RPAREN,
  [258560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13591), 1,
      sym_raw_string_delimiter,
  [258567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 1,
      anon_sym_RPAREN,
  [258574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      sym_raw_string_delimiter,
  [258581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13597), 1,
      anon_sym_RPAREN,
  [258588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13599), 1,
      sym_raw_string_delimiter,
  [258595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13601), 1,
      anon_sym_RPAREN,
  [258602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      anon_sym_SEMI,
  [258609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 1,
      sym_identifier,
  [258616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13607), 1,
      anon_sym_LPAREN2,
  [258623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      anon_sym_SEMI,
  [258630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13611), 1,
      anon_sym_LPAREN2,
  [258637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13613), 1,
      anon_sym_LPAREN2,
  [258644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13615), 1,
      anon_sym_LPAREN2,
  [258651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13617), 1,
      anon_sym_DQUOTE,
  [258658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13619), 1,
      anon_sym_SEMI,
  [258665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13621), 1,
      anon_sym_LPAREN2,
  [258672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 1,
      anon_sym_SEMI,
  [258679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13623), 1,
      anon_sym_LPAREN2,
  [258686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13625), 1,
      aux_sym_preproc_if_token2,
  [258693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13627), 1,
      anon_sym_SEMI,
  [258700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8862), 1,
      anon_sym_RPAREN,
  [258707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13629), 1,
      anon_sym_SEMI,
  [258714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13631), 1,
      anon_sym_RPAREN,
  [258721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8864), 1,
      anon_sym_RPAREN,
  [258728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 1,
      anon_sym_SEMI,
  [258735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13635), 1,
      anon_sym_LPAREN2,
  [258742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13637), 1,
      anon_sym_SEMI,
  [258749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 1,
      anon_sym_DOT_DOT_DOT,
  [258756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      anon_sym_SEMI,
  [258763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      anon_sym_SEMI,
  [258770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      sym_identifier,
  [258777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13645), 1,
      anon_sym_SEMI,
  [258784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13647), 1,
      anon_sym_while,
  [258791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13649), 1,
      sym_auto,
  [258798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13651), 1,
      anon_sym_LPAREN2,
  [258805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8444), 1,
      anon_sym_RPAREN,
  [258812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13653), 1,
      anon_sym_SEMI,
  [258819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13655), 1,
      anon_sym_RPAREN,
  [258826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13657), 1,
      anon_sym_SEMI,
  [258833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13659), 1,
      anon_sym_SEMI,
  [258840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13661), 1,
      anon_sym_EQ,
  [258847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13663), 1,
      sym_raw_string_content,
  [258854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8866), 1,
      anon_sym_RPAREN,
  [258861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13665), 1,
      anon_sym_DQUOTE,
  [258868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
  [258875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13667), 1,
      anon_sym_STAR,
  [258882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13669), 1,
      anon_sym_LPAREN2,
  [258889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13671), 1,
      anon_sym_SEMI,
  [258896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13673), 1,
      anon_sym_SEMI,
  [258903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13675), 1,
      anon_sym_DQUOTE,
  [258910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13677), 1,
      anon_sym_RPAREN,
  [258917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13679), 1,
      aux_sym_preproc_if_token2,
  [258924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13681), 1,
      anon_sym_DQUOTE,
  [258931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13683), 1,
      anon_sym_SEMI,
  [258938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13685), 1,
      anon_sym_LPAREN2,
  [258945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13687), 1,
      anon_sym_SEMI,
  [258952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13689), 1,
      anon_sym_SEMI,
  [258959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13691), 1,
      sym_identifier,
  [258966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13693), 1,
      anon_sym_RPAREN,
  [258973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13695), 1,
      anon_sym_COMMA,
  [258980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8774), 1,
      anon_sym_SEMI,
  [258987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13697), 1,
      anon_sym_SEMI,
  [258994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13699), 1,
      anon_sym_SEMI,
  [259001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13701), 1,
      anon_sym_RPAREN,
  [259008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8868), 1,
      anon_sym_COLON,
  [259015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13703), 1,
      anon_sym_DQUOTE,
  [259022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13705), 1,
      anon_sym_RBRACK,
  [259029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13707), 1,
      anon_sym_COLON,
  [259036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
  [259043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_SEMI,
  [259050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_SEMI,
  [259057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13715), 1,
      sym_identifier,
  [259064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13717), 1,
      sym_identifier,
  [259071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13719), 1,
      anon_sym_RPAREN,
  [259078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13721), 1,
      anon_sym_RPAREN,
  [259085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13723), 1,
      anon_sym_COLON,
  [259092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13725), 1,
      anon_sym_RPAREN,
  [259099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13727), 1,
      anon_sym_RPAREN,
  [259106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_AMP_AMP,
  [259113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13729), 1,
      sym_auto,
  [259120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8794), 1,
      anon_sym_COLON,
  [259127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_SEMI,
  [259134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13731), 1,
      anon_sym_COLON,
  [259141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_PIPE,
  [259148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13733), 1,
      sym_identifier,
  [259155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_DOT_DOT_DOT,
  [259162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8812), 1,
      anon_sym_RPAREN,
  [259169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13735), 1,
      sym_identifier,
  [259176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13737), 1,
      anon_sym_SEMI,
  [259183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8764), 1,
      anon_sym_SEMI,
  [259190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13739), 1,
      anon_sym_DQUOTE,
  [259197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13741), 1,
      anon_sym_DQUOTE,
  [259204] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13743), 1,
      aux_sym_preproc_include_token2,
  [259211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4923), 1,
      anon_sym_DOT_DOT_DOT,
  [259218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13745), 1,
      anon_sym_SEMI,
  [259225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13747), 1,
      anon_sym_RPAREN,
  [259232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13749), 1,
      anon_sym_RPAREN,
  [259239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13751), 1,
      anon_sym_RPAREN,
  [259246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13753), 1,
      anon_sym_RPAREN,
  [259253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13755), 1,
      anon_sym_RPAREN,
  [259260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13757), 1,
      anon_sym_LPAREN2,
  [259267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13759), 1,
      anon_sym_LPAREN2,
  [259274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8415), 1,
      anon_sym_RBRACE,
  [259281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_xor,
  [259288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13761), 1,
      anon_sym_RPAREN,
  [259295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13763), 1,
      sym_identifier,
  [259302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13765), 1,
      sym_identifier,
  [259309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_SEMI,
  [259316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13767), 1,
      sym_raw_string_delimiter,
  [259323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_DOT_DOT_DOT,
  [259330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13769), 1,
      anon_sym_SEMI,
  [259337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13771), 1,
      anon_sym_SEMI,
  [259344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13773), 1,
      anon_sym_SEMI,
  [259351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13775), 1,
      anon_sym_SEMI,
  [259358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_DOT_DOT_DOT,
  [259365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8784), 1,
      anon_sym_SEMI,
  [259372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13777), 1,
      anon_sym_SEMI,
  [259379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13779), 1,
      anon_sym_SEMI,
  [259386] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13781), 1,
      aux_sym_preproc_include_token2,
  [259393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13783), 1,
      anon_sym_SEMI,
  [259400] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13785), 1,
      aux_sym_preproc_include_token2,
  [259407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13787), 1,
      anon_sym_DQUOTE,
  [259414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13789), 1,
      anon_sym_RPAREN,
  [259421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13791), 1,
      anon_sym_DQUOTE,
  [259428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13793), 1,
      sym_identifier,
  [259435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13795), 1,
      sym_identifier,
  [259442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
  [259449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13797), 1,
      anon_sym_RBRACE,
  [259456] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9740), 1,
      aux_sym_preproc_include_token2,
  [259463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8766), 1,
      anon_sym_COLON,
  [259470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_SEMI,
  [259477] = 2,
    ACTIONS(6162), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9710), 1,
      sym_comment,
  [259484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13799), 1,
      anon_sym_RPAREN,
  [259491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13801), 1,
      anon_sym_SEMI,
  [259498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13803), 1,
      sym_identifier,
  [259505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13805), 1,
      anon_sym_LBRACE,
  [259512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_COMMA,
  [259519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_CARET,
  [259526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13807), 1,
      anon_sym_SEMI,
  [259533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13809), 1,
      anon_sym_DQUOTE,
  [259540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13811), 1,
      anon_sym_DQUOTE,
  [259547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13813), 1,
      anon_sym_LPAREN2,
  [259554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13815), 1,
      anon_sym_SEMI,
  [259561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13817), 1,
      anon_sym_DQUOTE,
  [259568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13819), 1,
      anon_sym_RPAREN,
  [259575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7671), 1,
      sym_identifier,
  [259582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 1,
      anon_sym_DOT_DOT_DOT,
  [259589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12551), 1,
      anon_sym_SEMI,
  [259596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13821), 1,
      anon_sym_RPAREN,
  [259603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8776), 1,
      anon_sym_SEMI,
  [259610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13823), 1,
      anon_sym_SEMI,
  [259617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11085), 1,
      anon_sym_SEMI,
  [259624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11149), 1,
      anon_sym_SEMI,
  [259631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13825), 1,
      anon_sym_SEMI,
  [259638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_AMP,
  [259645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13827), 1,
      anon_sym_SEMI,
  [259652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13829), 1,
      anon_sym_DQUOTE,
  [259659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13831), 1,
      sym_identifier,
  [259666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12954), 1,
      anon_sym_RBRACE,
  [259673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_GT_GT,
  [259680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13833), 1,
      anon_sym_RPAREN,
  [259687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13835), 1,
      sym_identifier,
  [259694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13837), 1,
      aux_sym_preproc_if_token2,
  [259701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13839), 1,
      aux_sym_preproc_if_token2,
  [259708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8739), 1,
      anon_sym_SEMI,
  [259715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7476), 1,
      sym_identifier,
  [259722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13841), 1,
      sym_identifier,
  [259729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_bitand,
  [259736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8756), 1,
      anon_sym_SEMI,
  [259743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8603), 1,
      anon_sym_SEMI,
  [259750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11073), 1,
      anon_sym_SEMI,
  [259757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6651), 1,
      sym_identifier,
  [259764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13843), 1,
      sym_identifier,
  [259771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13845), 1,
      sym_identifier,
  [259778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13847), 1,
      anon_sym_SEMI,
  [259785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13849), 1,
      anon_sym_LPAREN2,
  [259792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8814), 1,
      anon_sym_RPAREN,
  [259799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13851), 1,
      anon_sym_SEMI,
  [259806] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13853), 1,
      aux_sym_preproc_include_token2,
  [259813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13855), 1,
      anon_sym_STAR,
  [259820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9001), 1,
      anon_sym_RPAREN,
  [259827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13857), 1,
      anon_sym_DQUOTE,
  [259834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13859), 1,
      anon_sym_RPAREN,
  [259841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13861), 1,
      aux_sym_preproc_if_token2,
  [259848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13863), 1,
      anon_sym_SEMI,
  [259855] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(9778), 1,
      aux_sym_preproc_include_token2,
  [259862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12962), 1,
      anon_sym_RBRACE,
  [259869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11093), 1,
      anon_sym_SEMI,
  [259876] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13865), 1,
      aux_sym_preproc_include_token2,
  [259883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13867), 1,
      sym_identifier,
  [259890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13869), 1,
      anon_sym_RPAREN,
  [259897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8589), 1,
      anon_sym_RBRACE,
  [259904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13871), 1,
      anon_sym_RPAREN,
  [259911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13873), 1,
      anon_sym_SEMI,
  [259918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13875), 1,
      aux_sym_preproc_if_token2,
  [259925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13877), 1,
      anon_sym_SEMI,
  [259932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13879), 1,
      anon_sym_EQ,
  [259939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13881), 1,
      anon_sym_LPAREN2,
  [259946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9023), 1,
      anon_sym_RPAREN,
  [259953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8523), 1,
      anon_sym_RBRACE,
  [259960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13883), 1,
      sym_identifier,
  [259967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13885), 1,
      anon_sym_RPAREN,
  [259974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13887), 1,
      anon_sym_RPAREN,
  [259981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13889), 1,
      aux_sym_preproc_if_token2,
  [259988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8896), 1,
      anon_sym_RPAREN,
  [259995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8619), 1,
      anon_sym_RBRACE,
  [260002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13891), 1,
      anon_sym_RPAREN,
  [260009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13893), 1,
      anon_sym_RPAREN,
  [260016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13895), 1,
      anon_sym_SEMI,
  [260023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10618), 1,
      anon_sym_RBRACE,
  [260030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13897), 1,
      anon_sym_LBRACE,
  [260037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13899), 1,
      anon_sym_SEMI,
  [260044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5919), 1,
      anon_sym_SEMI,
  [260051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13901), 1,
      anon_sym_LPAREN2,
  [260058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13903), 1,
      anon_sym_LPAREN2,
  [260065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13905), 1,
      anon_sym_LPAREN2,
  [260072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13907), 1,
      anon_sym_LPAREN2,
  [260079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13909), 1,
      aux_sym_preproc_if_token2,
  [260086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13911), 1,
      anon_sym_LPAREN2,
  [260093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13913), 1,
      anon_sym_LPAREN2,
  [260100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13915), 1,
      anon_sym_LPAREN2,
  [260107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13917), 1,
      anon_sym_RPAREN,
  [260114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13919), 1,
      aux_sym_preproc_if_token2,
  [260121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13921), 1,
      anon_sym_LBRACE,
  [260128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13923), 1,
      anon_sym_RPAREN,
  [260135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13925), 1,
      anon_sym_while,
  [260142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13927), 1,
      sym_identifier,
  [260149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13929), 1,
      anon_sym_LPAREN2,
  [260156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13931), 1,
      anon_sym_RPAREN,
  [260163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13933), 1,
      anon_sym_STAR,
  [260170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_LT_LT_EQ,
  [260177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13935), 1,
      anon_sym_EQ,
  [260184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13937), 1,
      sym_raw_string_content,
  [260191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13939), 1,
      anon_sym_STAR,
  [260198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13941), 1,
      anon_sym_LPAREN2,
  [260205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13943), 1,
      sym_identifier,
  [260212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13945), 1,
      anon_sym_RPAREN,
  [260219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_RPAREN,
  [260226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13949), 1,
      anon_sym_COMMA,
  [260233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11125), 1,
      anon_sym_SEMI,
  [260240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13951), 1,
      aux_sym_preproc_if_token2,
  [260247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13953), 1,
      anon_sym_RPAREN,
  [260254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13955), 1,
      anon_sym_RPAREN,
  [260261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13957), 1,
      anon_sym_RPAREN,
  [260268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13959), 1,
      anon_sym_COLON,
  [260275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13961), 1,
      anon_sym_RBRACE,
  [260282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13963), 1,
      anon_sym_RPAREN,
  [260289] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(13965), 1,
      aux_sym_preproc_include_token2,
  [260296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13967), 1,
      anon_sym_LPAREN2,
  [260303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13969), 1,
      anon_sym_LPAREN2,
  [260310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13971), 1,
      anon_sym_LPAREN2,
  [260317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13973), 1,
      sym_identifier,
  [260324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13975), 1,
      anon_sym_LPAREN2,
  [260331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13977), 1,
      aux_sym_preproc_if_token2,
  [260338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13979), 1,
      anon_sym_RBRACE,
  [260345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13981), 1,
      anon_sym_while,
  [260352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13983), 1,
      aux_sym_preproc_if_token2,
  [260359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13985), 1,
      anon_sym_LPAREN2,
  [260366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13987), 1,
      sym_identifier,
  [260373] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12757), 1,
      aux_sym_preproc_include_token2,
  [260380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13989), 1,
      anon_sym_EQ,
  [260387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13991), 1,
      sym_raw_string_content,
  [260394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13993), 1,
      aux_sym_preproc_if_token2,
  [260401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13995), 1,
      anon_sym_COMMA,
  [260408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_BANG_EQ,
  [260415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13997), 1,
      aux_sym_preproc_if_token2,
  [260422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13999), 1,
      anon_sym_RPAREN,
  [260429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14001), 1,
      aux_sym_preproc_if_token2,
  [260436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14003), 1,
      anon_sym_RPAREN,
  [260443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14005), 1,
      anon_sym_COLON,
  [260450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14007), 1,
      aux_sym_preproc_if_token2,
  [260457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14009), 1,
      anon_sym_RPAREN,
  [260464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14011), 1,
      anon_sym_LPAREN2,
  [260471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14013), 1,
      anon_sym_LPAREN2,
  [260478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14015), 1,
      anon_sym_LPAREN2,
  [260485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14017), 1,
      anon_sym_RPAREN,
  [260492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14019), 1,
      anon_sym_LPAREN2,
  [260499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_DASH,
  [260506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14021), 1,
      anon_sym_SEMI,
  [260513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14023), 1,
      anon_sym_while,
  [260520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14025), 1,
      anon_sym_LPAREN2,
  [260527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14027), 1,
      anon_sym_COLON,
  [260534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8754), 1,
      anon_sym_COLON,
  [260541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14029), 1,
      anon_sym_EQ,
  [260548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14031), 1,
      sym_raw_string_content,
  [260555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_not_eq,
  [260562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14033), 1,
      anon_sym_COMMA,
  [260569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_DOT_DOT_DOT,
  [260576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10644), 1,
      anon_sym_RBRACE,
  [260583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11897), 1,
      anon_sym_SEMI,
  [260590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14035), 1,
      anon_sym_RPAREN,
  [260597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14037), 1,
      anon_sym_COLON,
  [260604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10640), 1,
      anon_sym_RBRACE,
  [260611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14039), 1,
      anon_sym_LPAREN2,
  [260618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14041), 1,
      anon_sym_LPAREN2,
  [260625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14043), 1,
      anon_sym_LPAREN2,
  [260632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14045), 1,
      aux_sym_preproc_if_token2,
  [260639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14047), 1,
      anon_sym_LPAREN2,
  [260646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_EQ_EQ,
  [260653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14049), 1,
      anon_sym_RBRACE,
  [260660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14051), 1,
      anon_sym_LPAREN2,
  [260667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14053), 1,
      anon_sym_SEMI,
  [260674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14055), 1,
      sym_identifier,
  [260681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14057), 1,
      anon_sym_EQ,
  [260688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14059), 1,
      sym_raw_string_content,
  [260695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14061), 1,
      anon_sym_RPAREN,
  [260702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14063), 1,
      anon_sym_COMMA,
  [260709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14065), 1,
      sym_identifier,
  [260716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14067), 1,
      sym_raw_string_delimiter,
  [260723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14069), 1,
      anon_sym_RPAREN,
  [260730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14071), 1,
      anon_sym_RPAREN,
  [260737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14073), 1,
      anon_sym_COLON,
  [260744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_CARET_EQ,
  [260751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14075), 1,
      anon_sym_LPAREN2,
  [260758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14077), 1,
      anon_sym_SEMI,
  [260765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14079), 1,
      anon_sym_LPAREN2,
  [260772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14081), 1,
      aux_sym_preproc_if_token2,
  [260779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14083), 1,
      anon_sym_SEMI,
  [260786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14085), 1,
      anon_sym_SEMI,
  [260793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14087), 1,
      anon_sym_SEMI,
  [260800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14089), 1,
      anon_sym_EQ,
  [260807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14091), 1,
      sym_raw_string_content,
  [260814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4917), 1,
      anon_sym_DOT_DOT_DOT,
  [260821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14093), 1,
      anon_sym_STAR,
  [260828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14095), 1,
      anon_sym_DQUOTE,
  [260835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14097), 1,
      sym_identifier,
  [260842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14099), 1,
      anon_sym_RPAREN,
  [260849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14101), 1,
      anon_sym_COLON,
  [260856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14103), 1,
      anon_sym_LPAREN2,
  [260863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14105), 1,
      anon_sym_LPAREN2,
  [260870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14107), 1,
      sym_identifier,
  [260877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14109), 1,
      sym_raw_string_content,
  [260884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14111), 1,
      anon_sym_STAR,
  [260891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14113), 1,
      anon_sym_SEMI,
  [260898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14115), 1,
      anon_sym_RPAREN,
  [260905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14117), 1,
      anon_sym_RPAREN,
  [260912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14119), 1,
      anon_sym_LPAREN2,
  [260919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14121), 1,
      anon_sym_LPAREN2,
  [260926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14123), 1,
      anon_sym_SEMI,
  [260933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14125), 1,
      sym_raw_string_content,
  [260940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14127), 1,
      anon_sym_RPAREN,
  [260947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14129), 1,
      anon_sym_RPAREN,
  [260954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14131), 1,
      anon_sym_LPAREN2,
  [260961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14133), 1,
      anon_sym_LPAREN2,
  [260968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14135), 1,
      sym_raw_string_content,
  [260975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14137), 1,
      anon_sym_RPAREN,
  [260982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14139), 1,
      sym_raw_string_content,
  [260989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14141), 1,
      anon_sym_RPAREN,
  [260996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14143), 1,
      sym_raw_string_content,
  [261003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14145), 1,
      anon_sym_RPAREN,
  [261010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14147), 1,
      sym_raw_string_content,
  [261017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14149), 1,
      anon_sym_RPAREN,
  [261024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14151), 1,
      sym_raw_string_content,
  [261031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14153), 1,
      anon_sym_RPAREN,
  [261038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14155), 1,
      sym_raw_string_content,
  [261045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14157), 1,
      anon_sym_RPAREN,
  [261052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14159), 1,
      sym_raw_string_content,
  [261059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14161), 1,
      anon_sym_RPAREN,
  [261066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14163), 1,
      sym_raw_string_content,
  [261073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14165), 1,
      anon_sym_RPAREN,
  [261080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14167), 1,
      anon_sym_SEMI,
  [261087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14169), 1,
      anon_sym_SEMI,
  [261094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14171), 1,
      anon_sym_LPAREN2,
  [261101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14173), 1,
      anon_sym_LPAREN2,
  [261108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14175), 1,
      sym_identifier,
  [261115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14177), 1,
      anon_sym_SEMI,
  [261122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14179), 1,
      aux_sym_preproc_if_token2,
  [261129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14181), 1,
      anon_sym_RPAREN,
  [261136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14183), 1,
      sym_auto,
  [261143] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(14185), 1,
      aux_sym_preproc_include_token2,
  [261150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14187), 1,
      anon_sym_LPAREN2,
  [261157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14189), 1,
      anon_sym_DQUOTE,
  [261164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_PLUS,
  [261171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8790), 1,
      anon_sym_COLON,
  [261178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14191), 1,
      aux_sym_preproc_if_token2,
  [261185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14193), 1,
      anon_sym_LPAREN2,
  [261192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_STAR_EQ,
  [261199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14195), 1,
      anon_sym_RPAREN,
  [261206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14197), 1,
      anon_sym_LPAREN2,
  [261213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14199), 1,
      anon_sym_DQUOTE,
  [261220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8918), 1,
      anon_sym_RPAREN,
  [261227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_SLASH_EQ,
  [261234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14201), 1,
      anon_sym_LPAREN2,
  [261241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14203), 1,
      sym_identifier,
  [261248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14205), 1,
      sym_raw_string_content,
  [261255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14207), 1,
      aux_sym_preproc_if_token2,
  [261262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14209), 1,
      anon_sym_DQUOTE,
  [261269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14211), 1,
      sym_identifier,
  [261276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8741), 1,
      anon_sym_SEMI,
  [261283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8631), 1,
      anon_sym_RBRACE,
  [261290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14213), 1,
      anon_sym_STAR,
  [261297] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(14215), 1,
      aux_sym_preproc_include_token2,
  [261304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14217), 1,
      anon_sym_SEMI,
  [261311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14219), 1,
      anon_sym_SEMI,
  [261318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_GT_GT_EQ,
  [261325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14221), 1,
      anon_sym_SEMI,
  [261332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14223), 1,
      anon_sym_STAR,
  [261339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14225), 1,
      anon_sym_DQUOTE,
  [261346] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(12180), 1,
      aux_sym_preproc_include_token2,
  [261353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14227), 1,
      anon_sym_RPAREN,
  [261360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12980), 1,
      anon_sym_RBRACE,
  [261367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 1,
      anon_sym_SEMI,
  [261374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14229), 1,
      sym_identifier,
  [261381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14231), 1,
      aux_sym_preproc_if_token2,
  [261388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14233), 1,
      sym_identifier,
  [261395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10636), 1,
      anon_sym_RBRACE,
  [261402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14235), 1,
      anon_sym_SEMI,
  [261409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14237), 1,
      anon_sym_RPAREN,
  [261416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14239), 1,
      anon_sym_COLON,
  [261423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12986), 1,
      anon_sym_RBRACE,
  [261430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14241), 1,
      anon_sym_RPAREN,
  [261437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14243), 1,
      anon_sym_RPAREN,
  [261444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14245), 1,
      anon_sym_SEMI,
  [261451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14247), 1,
      anon_sym_SEMI,
  [261458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14249), 1,
      anon_sym_SEMI,
  [261465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14251), 1,
      anon_sym_SEMI,
  [261472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14253), 1,
      anon_sym_SEMI,
  [261479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8876), 1,
      anon_sym_COLON,
  [261486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14255), 1,
      anon_sym_SEMI,
  [261493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14257), 1,
      anon_sym_SEMI,
  [261500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14259), 1,
      aux_sym_preproc_if_token2,
  [261507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14261), 1,
      anon_sym_SEMI,
  [261514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14263), 1,
      anon_sym_SEMI,
  [261521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14265), 1,
      anon_sym_STAR,
  [261528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14267), 1,
      sym_auto,
  [261535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14269), 1,
      anon_sym_SEMI,
  [261542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14271), 1,
      anon_sym_RPAREN,
  [261549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14273), 1,
      anon_sym_SEMI,
  [261556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14275), 1,
      anon_sym_RPAREN,
  [261563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8878), 1,
      anon_sym_RPAREN,
  [261570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14277), 1,
      anon_sym_RPAREN,
  [261577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14279), 1,
      sym_identifier,
  [261584] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(14281), 1,
      aux_sym_preproc_include_token2,
  [261591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14283), 1,
      anon_sym_RPAREN,
  [261598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14285), 1,
      anon_sym_STAR,
  [261605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14287), 1,
      aux_sym_preproc_if_token2,
  [261612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14289), 1,
      anon_sym_SEMI,
  [261619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14291), 1,
      anon_sym_SEMI,
  [261626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11069), 1,
      anon_sym_SEMI,
  [261633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14293), 1,
      anon_sym_DQUOTE,
  [261640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14295), 1,
      aux_sym_preproc_if_token2,
  [261647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14297), 1,
      anon_sym_RPAREN,
  [261654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14299), 1,
      anon_sym_RPAREN,
  [261661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_PERCENT_EQ,
  [261668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      sym_identifier,
  [261675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9045), 1,
      anon_sym_RPAREN,
  [261682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14301), 1,
      anon_sym_RPAREN,
  [261689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8727), 1,
      anon_sym_COLON,
  [261696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11350), 1,
      anon_sym_COLON,
  [261703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14303), 1,
      anon_sym_SEMI,
  [261710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14305), 1,
      anon_sym_LPAREN2,
  [261717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14307), 1,
      anon_sym_LPAREN2,
  [261724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14309), 1,
      sym_identifier,
  [261731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14311), 1,
      aux_sym_preproc_if_token2,
  [261738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_DOT_STAR,
  [261745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14313), 1,
      anon_sym_RPAREN,
  [261752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14315), 1,
      anon_sym_LPAREN2,
  [261759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14317), 1,
      anon_sym_RPAREN,
  [261766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14319), 1,
      sym_identifier,
  [261773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14321), 1,
      sym_raw_string_content,
  [261780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14323), 1,
      anon_sym_RPAREN,
  [261787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14325), 1,
      anon_sym_RBRACK,
  [261794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14327), 1,
      aux_sym_preproc_if_token2,
  [261801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14329), 1,
      anon_sym_COLON,
  [261808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14331), 1,
      anon_sym_LPAREN2,
  [261815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14333), 1,
      anon_sym_LPAREN2,
  [261822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14335), 1,
      sym_identifier,
  [261829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14337), 1,
      anon_sym_SEMI,
  [261836] = 2,
    ACTIONS(9710), 1,
      sym_comment,
    ACTIONS(14339), 1,
      aux_sym_preproc_include_token2,
  [261843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14341), 1,
      anon_sym_LPAREN2,
  [261850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14343), 1,
      sym_identifier,
  [261857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14345), 1,
      sym_raw_string_content,
  [261864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10616), 1,
      anon_sym_RBRACE,
  [261871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_COLON_COLON,
  [261878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14347), 1,
      anon_sym_SEMI,
  [261885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14349), 1,
      anon_sym_LPAREN2,
  [261892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14351), 1,
      sym_identifier,
  [261899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14353), 1,
      anon_sym_SEMI,
  [261906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14355), 1,
      anon_sym_RPAREN,
  [261913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14357), 1,
      sym_identifier,
  [261920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      sym_raw_string_content,
  [261927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7474), 1,
      sym_identifier,
  [261934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14361), 1,
      anon_sym_RPAREN,
  [261941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14363), 1,
      anon_sym_LPAREN2,
  [261948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14365), 1,
      sym_identifier,
  [261955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14367), 1,
      anon_sym_RPAREN,
  [261962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14369), 1,
      sym_identifier,
  [261969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14371), 1,
      sym_identifier,
  [261976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14373), 1,
      sym_raw_string_content,
  [261983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14375), 1,
      anon_sym_LPAREN2,
  [261990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14377), 1,
      anon_sym_LPAREN2,
  [261997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14379), 1,
      sym_identifier,
  [262004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8840), 1,
      anon_sym_COLON,
  [262011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14381), 1,
      sym_identifier,
  [262018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14383), 1,
      sym_raw_string_content,
  [262025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_GT,
  [262032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14385), 1,
      sym_identifier,
  [262039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14387), 1,
      sym_raw_string_content,
  [262046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_DOT_DOT_DOT,
  [262053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14389), 1,
      sym_raw_string_content,
  [262060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14391), 1,
      anon_sym_LPAREN2,
  [262067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14393), 1,
      sym_raw_string_content,
  [262074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11077), 1,
      anon_sym_SEMI,
  [262081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14395), 1,
      sym_raw_string_content,
  [262088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14397), 1,
      anon_sym_RPAREN,
  [262095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14399), 1,
      sym_raw_string_content,
  [262102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14401), 1,
      sym_auto,
  [262109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14403), 1,
      sym_raw_string_content,
  [262116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14405), 1,
      anon_sym_SEMI,
  [262123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14407), 1,
      sym_raw_string_content,
  [262130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14409), 1,
      anon_sym_SEMI,
  [262137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14411), 1,
      sym_raw_string_content,
  [262144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14413), 1,
      anon_sym_RPAREN,
  [262151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14415), 1,
      sym_raw_string_content,
  [262158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14417), 1,
      aux_sym_preproc_if_token2,
  [262165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14419), 1,
      sym_raw_string_content,
  [262172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14421), 1,
      anon_sym_LPAREN2,
  [262179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14423), 1,
      anon_sym_LPAREN2,
  [262186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14425), 1,
      anon_sym_RPAREN,
  [262193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14427), 1,
      anon_sym_LPAREN2,
  [262200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14429), 1,
      anon_sym_LPAREN2,
  [262207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14431), 1,
      anon_sym_LPAREN2,
  [262214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14433), 1,
      anon_sym_LPAREN2,
  [262221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14435), 1,
      anon_sym_LPAREN2,
  [262228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_LT_LT,
  [262235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14437), 1,
      anon_sym_LPAREN2,
  [262242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14439), 1,
      anon_sym_LPAREN2,
  [262249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10683), 1,
      anon_sym_RBRACE,
  [262256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14441), 1,
      anon_sym_LPAREN2,
  [262263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14443), 1,
      anon_sym_LPAREN2,
  [262270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14445), 1,
      anon_sym_RPAREN,
  [262277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14447), 1,
      anon_sym_LPAREN2,
  [262284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14449), 1,
      anon_sym_LPAREN2,
  [262291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14451), 1,
      anon_sym_LPAREN2,
  [262298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14453), 1,
      anon_sym_LPAREN2,
  [262305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14455), 1,
      anon_sym_LPAREN2,
  [262312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14457), 1,
      anon_sym_LPAREN2,
  [262319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14459), 1,
      anon_sym_LPAREN2,
  [262326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14461), 1,
      anon_sym_LPAREN2,
  [262333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14463), 1,
      anon_sym_LPAREN2,
  [262340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14465), 1,
      anon_sym_LPAREN2,
  [262347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14467), 1,
      anon_sym_LPAREN2,
  [262354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14469), 1,
      sym_identifier,
  [262361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14471), 1,
      anon_sym_SEMI,
  [262368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14473), 1,
      sym_identifier,
  [262375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11488), 1,
      anon_sym_SEMI,
  [262382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 1,
      anon_sym_SEMI,
  [262389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14475), 1,
      anon_sym_LPAREN2,
  [262396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14477), 1,
      anon_sym_LPAREN2,
  [262403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14479), 1,
      anon_sym_LPAREN2,
  [262410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14481), 1,
      anon_sym_LPAREN2,
  [262417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14483), 1,
      anon_sym_LPAREN2,
  [262424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14485), 1,
      anon_sym_RPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2719)] = 0,
  [SMALL_STATE(2720)] = 75,
  [SMALL_STATE(2721)] = 148,
  [SMALL_STATE(2722)] = 235,
  [SMALL_STATE(2723)] = 312,
  [SMALL_STATE(2724)] = 387,
  [SMALL_STATE(2725)] = 462,
  [SMALL_STATE(2726)] = 537,
  [SMALL_STATE(2727)] = 608,
  [SMALL_STATE(2728)] = 683,
  [SMALL_STATE(2729)] = 758,
  [SMALL_STATE(2730)] = 833,
  [SMALL_STATE(2731)] = 908,
  [SMALL_STATE(2732)] = 985,
  [SMALL_STATE(2733)] = 1068,
  [SMALL_STATE(2734)] = 1151,
  [SMALL_STATE(2735)] = 1226,
  [SMALL_STATE(2736)] = 1301,
  [SMALL_STATE(2737)] = 1376,
  [SMALL_STATE(2738)] = 1451,
  [SMALL_STATE(2739)] = 1522,
  [SMALL_STATE(2740)] = 1593,
  [SMALL_STATE(2741)] = 1668,
  [SMALL_STATE(2742)] = 1743,
  [SMALL_STATE(2743)] = 1814,
  [SMALL_STATE(2744)] = 1889,
  [SMALL_STATE(2745)] = 1960,
  [SMALL_STATE(2746)] = 2033,
  [SMALL_STATE(2747)] = 2108,
  [SMALL_STATE(2748)] = 2181,
  [SMALL_STATE(2749)] = 2256,
  [SMALL_STATE(2750)] = 2331,
  [SMALL_STATE(2751)] = 2406,
  [SMALL_STATE(2752)] = 2485,
  [SMALL_STATE(2753)] = 2556,
  [SMALL_STATE(2754)] = 2631,
  [SMALL_STATE(2755)] = 2706,
  [SMALL_STATE(2756)] = 2781,
  [SMALL_STATE(2757)] = 2852,
  [SMALL_STATE(2758)] = 2923,
  [SMALL_STATE(2759)] = 2996,
  [SMALL_STATE(2760)] = 3075,
  [SMALL_STATE(2761)] = 3154,
  [SMALL_STATE(2762)] = 3231,
  [SMALL_STATE(2763)] = 3302,
  [SMALL_STATE(2764)] = 3378,
  [SMALL_STATE(2765)] = 3448,
  [SMALL_STATE(2766)] = 3518,
  [SMALL_STATE(2767)] = 3588,
  [SMALL_STATE(2768)] = 3662,
  [SMALL_STATE(2769)] = 3732,
  [SMALL_STATE(2770)] = 3802,
  [SMALL_STATE(2771)] = 3888,
  [SMALL_STATE(2772)] = 3958,
  [SMALL_STATE(2773)] = 4040,
  [SMALL_STATE(2774)] = 4124,
  [SMALL_STATE(2775)] = 4194,
  [SMALL_STATE(2776)] = 4264,
  [SMALL_STATE(2777)] = 4336,
  [SMALL_STATE(2778)] = 4406,
  [SMALL_STATE(2779)] = 4476,
  [SMALL_STATE(2780)] = 4560,
  [SMALL_STATE(2781)] = 4630,
  [SMALL_STATE(2782)] = 4700,
  [SMALL_STATE(2783)] = 4782,
  [SMALL_STATE(2784)] = 4866,
  [SMALL_STATE(2785)] = 4948,
  [SMALL_STATE(2786)] = 5018,
  [SMALL_STATE(2787)] = 5092,
  [SMALL_STATE(2788)] = 5162,
  [SMALL_STATE(2789)] = 5232,
  [SMALL_STATE(2790)] = 5302,
  [SMALL_STATE(2791)] = 5372,
  [SMALL_STATE(2792)] = 5442,
  [SMALL_STATE(2793)] = 5526,
  [SMALL_STATE(2794)] = 5604,
  [SMALL_STATE(2795)] = 5686,
  [SMALL_STATE(2796)] = 5756,
  [SMALL_STATE(2797)] = 5826,
  [SMALL_STATE(2798)] = 5896,
  [SMALL_STATE(2799)] = 5970,
  [SMALL_STATE(2800)] = 6040,
  [SMALL_STATE(2801)] = 6118,
  [SMALL_STATE(2802)] = 6188,
  [SMALL_STATE(2803)] = 6272,
  [SMALL_STATE(2804)] = 6342,
  [SMALL_STATE(2805)] = 6412,
  [SMALL_STATE(2806)] = 6531,
  [SMALL_STATE(2807)] = 6608,
  [SMALL_STATE(2808)] = 6683,
  [SMALL_STATE(2809)] = 6760,
  [SMALL_STATE(2810)] = 6829,
  [SMALL_STATE(2811)] = 6898,
  [SMALL_STATE(2812)] = 6967,
  [SMALL_STATE(2813)] = 7036,
  [SMALL_STATE(2814)] = 7105,
  [SMALL_STATE(2815)] = 7174,
  [SMALL_STATE(2816)] = 7243,
  [SMALL_STATE(2817)] = 7312,
  [SMALL_STATE(2818)] = 7381,
  [SMALL_STATE(2819)] = 7462,
  [SMALL_STATE(2820)] = 7531,
  [SMALL_STATE(2821)] = 7600,
  [SMALL_STATE(2822)] = 7669,
  [SMALL_STATE(2823)] = 7738,
  [SMALL_STATE(2824)] = 7807,
  [SMALL_STATE(2825)] = 7876,
  [SMALL_STATE(2826)] = 7945,
  [SMALL_STATE(2827)] = 8030,
  [SMALL_STATE(2828)] = 8099,
  [SMALL_STATE(2829)] = 8168,
  [SMALL_STATE(2830)] = 8237,
  [SMALL_STATE(2831)] = 8306,
  [SMALL_STATE(2832)] = 8375,
  [SMALL_STATE(2833)] = 8444,
  [SMALL_STATE(2834)] = 8517,
  [SMALL_STATE(2835)] = 8586,
  [SMALL_STATE(2836)] = 8655,
  [SMALL_STATE(2837)] = 8724,
  [SMALL_STATE(2838)] = 8805,
  [SMALL_STATE(2839)] = 8874,
  [SMALL_STATE(2840)] = 8943,
  [SMALL_STATE(2841)] = 9012,
  [SMALL_STATE(2842)] = 9081,
  [SMALL_STATE(2843)] = 9150,
  [SMALL_STATE(2844)] = 9219,
  [SMALL_STATE(2845)] = 9288,
  [SMALL_STATE(2846)] = 9357,
  [SMALL_STATE(2847)] = 9426,
  [SMALL_STATE(2848)] = 9495,
  [SMALL_STATE(2849)] = 9564,
  [SMALL_STATE(2850)] = 9633,
  [SMALL_STATE(2851)] = 9702,
  [SMALL_STATE(2852)] = 9771,
  [SMALL_STATE(2853)] = 9840,
  [SMALL_STATE(2854)] = 9909,
  [SMALL_STATE(2855)] = 9978,
  [SMALL_STATE(2856)] = 10047,
  [SMALL_STATE(2857)] = 10116,
  [SMALL_STATE(2858)] = 10185,
  [SMALL_STATE(2859)] = 10254,
  [SMALL_STATE(2860)] = 10323,
  [SMALL_STATE(2861)] = 10392,
  [SMALL_STATE(2862)] = 10461,
  [SMALL_STATE(2863)] = 10530,
  [SMALL_STATE(2864)] = 10599,
  [SMALL_STATE(2865)] = 10668,
  [SMALL_STATE(2866)] = 10737,
  [SMALL_STATE(2867)] = 10806,
  [SMALL_STATE(2868)] = 10875,
  [SMALL_STATE(2869)] = 10944,
  [SMALL_STATE(2870)] = 11013,
  [SMALL_STATE(2871)] = 11082,
  [SMALL_STATE(2872)] = 11151,
  [SMALL_STATE(2873)] = 11220,
  [SMALL_STATE(2874)] = 11289,
  [SMALL_STATE(2875)] = 11358,
  [SMALL_STATE(2876)] = 11427,
  [SMALL_STATE(2877)] = 11496,
  [SMALL_STATE(2878)] = 11565,
  [SMALL_STATE(2879)] = 11634,
  [SMALL_STATE(2880)] = 11703,
  [SMALL_STATE(2881)] = 11772,
  [SMALL_STATE(2882)] = 11841,
  [SMALL_STATE(2883)] = 11916,
  [SMALL_STATE(2884)] = 11995,
  [SMALL_STATE(2885)] = 12068,
  [SMALL_STATE(2886)] = 12137,
  [SMALL_STATE(2887)] = 12206,
  [SMALL_STATE(2888)] = 12283,
  [SMALL_STATE(2889)] = 12352,
  [SMALL_STATE(2890)] = 12421,
  [SMALL_STATE(2891)] = 12498,
  [SMALL_STATE(2892)] = 12567,
  [SMALL_STATE(2893)] = 12636,
  [SMALL_STATE(2894)] = 12713,
  [SMALL_STATE(2895)] = 12782,
  [SMALL_STATE(2896)] = 12901,
  [SMALL_STATE(2897)] = 12970,
  [SMALL_STATE(2898)] = 13044,
  [SMALL_STATE(2899)] = 13116,
  [SMALL_STATE(2900)] = 13186,
  [SMALL_STATE(2901)] = 13258,
  [SMALL_STATE(2902)] = 13330,
  [SMALL_STATE(2903)] = 13406,
  [SMALL_STATE(2904)] = 13474,
  [SMALL_STATE(2905)] = 13552,
  [SMALL_STATE(2906)] = 13620,
  [SMALL_STATE(2907)] = 13692,
  [SMALL_STATE(2908)] = 13764,
  [SMALL_STATE(2909)] = 13836,
  [SMALL_STATE(2910)] = 13904,
  [SMALL_STATE(2911)] = 13974,
  [SMALL_STATE(2912)] = 14044,
  [SMALL_STATE(2913)] = 14112,
  [SMALL_STATE(2914)] = 14180,
  [SMALL_STATE(2915)] = 14248,
  [SMALL_STATE(2916)] = 14316,
  [SMALL_STATE(2917)] = 14384,
  [SMALL_STATE(2918)] = 14458,
  [SMALL_STATE(2919)] = 14526,
  [SMALL_STATE(2920)] = 14594,
  [SMALL_STATE(2921)] = 14662,
  [SMALL_STATE(2922)] = 14738,
  [SMALL_STATE(2923)] = 14812,
  [SMALL_STATE(2924)] = 14884,
  [SMALL_STATE(2925)] = 14956,
  [SMALL_STATE(2926)] = 15030,
  [SMALL_STATE(2927)] = 15098,
  [SMALL_STATE(2928)] = 15166,
  [SMALL_STATE(2929)] = 15238,
  [SMALL_STATE(2930)] = 15310,
  [SMALL_STATE(2931)] = 15382,
  [SMALL_STATE(2932)] = 15454,
  [SMALL_STATE(2933)] = 15522,
  [SMALL_STATE(2934)] = 15598,
  [SMALL_STATE(2935)] = 15670,
  [SMALL_STATE(2936)] = 15742,
  [SMALL_STATE(2937)] = 15812,
  [SMALL_STATE(2938)] = 15884,
  [SMALL_STATE(2939)] = 15956,
  [SMALL_STATE(2940)] = 16028,
  [SMALL_STATE(2941)] = 16100,
  [SMALL_STATE(2942)] = 16172,
  [SMALL_STATE(2943)] = 16246,
  [SMALL_STATE(2944)] = 16363,
  [SMALL_STATE(2945)] = 16430,
  [SMALL_STATE(2946)] = 16497,
  [SMALL_STATE(2947)] = 16564,
  [SMALL_STATE(2948)] = 16631,
  [SMALL_STATE(2949)] = 16698,
  [SMALL_STATE(2950)] = 16765,
  [SMALL_STATE(2951)] = 16836,
  [SMALL_STATE(2952)] = 16903,
  [SMALL_STATE(2953)] = 16970,
  [SMALL_STATE(2954)] = 17037,
  [SMALL_STATE(2955)] = 17116,
  [SMALL_STATE(2956)] = 17187,
  [SMALL_STATE(2957)] = 17258,
  [SMALL_STATE(2958)] = 17341,
  [SMALL_STATE(2959)] = 17408,
  [SMALL_STATE(2960)] = 17483,
  [SMALL_STATE(2961)] = 17600,
  [SMALL_STATE(2962)] = 17667,
  [SMALL_STATE(2963)] = 17734,
  [SMALL_STATE(2964)] = 17851,
  [SMALL_STATE(2965)] = 17922,
  [SMALL_STATE(2966)] = 17995,
  [SMALL_STATE(2967)] = 18062,
  [SMALL_STATE(2968)] = 18129,
  [SMALL_STATE(2969)] = 18196,
  [SMALL_STATE(2970)] = 18263,
  [SMALL_STATE(2971)] = 18332,
  [SMALL_STATE(2972)] = 18399,
  [SMALL_STATE(2973)] = 18466,
  [SMALL_STATE(2974)] = 18533,
  [SMALL_STATE(2975)] = 18604,
  [SMALL_STATE(2976)] = 18675,
  [SMALL_STATE(2977)] = 18742,
  [SMALL_STATE(2978)] = 18809,
  [SMALL_STATE(2979)] = 18888,
  [SMALL_STATE(2980)] = 18955,
  [SMALL_STATE(2981)] = 19022,
  [SMALL_STATE(2982)] = 19089,
  [SMALL_STATE(2983)] = 19156,
  [SMALL_STATE(2984)] = 19223,
  [SMALL_STATE(2985)] = 19290,
  [SMALL_STATE(2986)] = 19359,
  [SMALL_STATE(2987)] = 19432,
  [SMALL_STATE(2988)] = 19503,
  [SMALL_STATE(2989)] = 19578,
  [SMALL_STATE(2990)] = 19645,
  [SMALL_STATE(2991)] = 19712,
  [SMALL_STATE(2992)] = 19779,
  [SMALL_STATE(2993)] = 19846,
  [SMALL_STATE(2994)] = 19913,
  [SMALL_STATE(2995)] = 19980,
  [SMALL_STATE(2996)] = 20047,
  [SMALL_STATE(2997)] = 20114,
  [SMALL_STATE(2998)] = 20181,
  [SMALL_STATE(2999)] = 20250,
  [SMALL_STATE(3000)] = 20317,
  [SMALL_STATE(3001)] = 20384,
  [SMALL_STATE(3002)] = 20455,
  [SMALL_STATE(3003)] = 20522,
  [SMALL_STATE(3004)] = 20589,
  [SMALL_STATE(3005)] = 20656,
  [SMALL_STATE(3006)] = 20723,
  [SMALL_STATE(3007)] = 20790,
  [SMALL_STATE(3008)] = 20907,
  [SMALL_STATE(3009)] = 20974,
  [SMALL_STATE(3010)] = 21041,
  [SMALL_STATE(3011)] = 21112,
  [SMALL_STATE(3012)] = 21179,
  [SMALL_STATE(3013)] = 21252,
  [SMALL_STATE(3014)] = 21334,
  [SMALL_STATE(3015)] = 21400,
  [SMALL_STATE(3016)] = 21466,
  [SMALL_STATE(3017)] = 21532,
  [SMALL_STATE(3018)] = 21598,
  [SMALL_STATE(3019)] = 21664,
  [SMALL_STATE(3020)] = 21730,
  [SMALL_STATE(3021)] = 21796,
  [SMALL_STATE(3022)] = 21862,
  [SMALL_STATE(3023)] = 21944,
  [SMALL_STATE(3024)] = 22010,
  [SMALL_STATE(3025)] = 22092,
  [SMALL_STATE(3026)] = 22160,
  [SMALL_STATE(3027)] = 22230,
  [SMALL_STATE(3028)] = 22306,
  [SMALL_STATE(3029)] = 22374,
  [SMALL_STATE(3030)] = 22452,
  [SMALL_STATE(3031)] = 22518,
  [SMALL_STATE(3032)] = 22584,
  [SMALL_STATE(3033)] = 22650,
  [SMALL_STATE(3034)] = 22716,
  [SMALL_STATE(3035)] = 22794,
  [SMALL_STATE(3036)] = 22860,
  [SMALL_STATE(3037)] = 22926,
  [SMALL_STATE(3038)] = 22994,
  [SMALL_STATE(3039)] = 23060,
  [SMALL_STATE(3040)] = 23126,
  [SMALL_STATE(3041)] = 23208,
  [SMALL_STATE(3042)] = 23274,
  [SMALL_STATE(3043)] = 23342,
  [SMALL_STATE(3044)] = 23410,
  [SMALL_STATE(3045)] = 23478,
  [SMALL_STATE(3046)] = 23544,
  [SMALL_STATE(3047)] = 23610,
  [SMALL_STATE(3048)] = 23679,
  [SMALL_STATE(3049)] = 23788,
  [SMALL_STATE(3050)] = 23901,
  [SMALL_STATE(3051)] = 24006,
  [SMALL_STATE(3052)] = 24107,
  [SMALL_STATE(3053)] = 24206,
  [SMALL_STATE(3054)] = 24303,
  [SMALL_STATE(3055)] = 24398,
  [SMALL_STATE(3056)] = 24479,
  [SMALL_STATE(3057)] = 24562,
  [SMALL_STATE(3058)] = 24647,
  [SMALL_STATE(3059)] = 24738,
  [SMALL_STATE(3060)] = 24825,
  [SMALL_STATE(3061)] = 24894,
  [SMALL_STATE(3062)] = 25003,
  [SMALL_STATE(3063)] = 25116,
  [SMALL_STATE(3064)] = 25189,
  [SMALL_STATE(3065)] = 25302,
  [SMALL_STATE(3066)] = 25367,
  [SMALL_STATE(3067)] = 25448,
  [SMALL_STATE(3068)] = 25517,
  [SMALL_STATE(3069)] = 25582,
  [SMALL_STATE(3070)] = 25655,
  [SMALL_STATE(3071)] = 25724,
  [SMALL_STATE(3072)] = 25793,
  [SMALL_STATE(3073)] = 25862,
  [SMALL_STATE(3074)] = 25971,
  [SMALL_STATE(3075)] = 26080,
  [SMALL_STATE(3076)] = 26149,
  [SMALL_STATE(3077)] = 26214,
  [SMALL_STATE(3078)] = 26285,
  [SMALL_STATE(3079)] = 26402,
  [SMALL_STATE(3080)] = 26483,
  [SMALL_STATE(3081)] = 26548,
  [SMALL_STATE(3082)] = 26629,
  [SMALL_STATE(3083)] = 26700,
  [SMALL_STATE(3084)] = 26781,
  [SMALL_STATE(3085)] = 26846,
  [SMALL_STATE(3086)] = 26963,
  [SMALL_STATE(3087)] = 27072,
  [SMALL_STATE(3088)] = 27136,
  [SMALL_STATE(3089)] = 27200,
  [SMALL_STATE(3090)] = 27272,
  [SMALL_STATE(3091)] = 27340,
  [SMALL_STATE(3092)] = 27404,
  [SMALL_STATE(3093)] = 27472,
  [SMALL_STATE(3094)] = 27584,
  [SMALL_STATE(3095)] = 27660,
  [SMALL_STATE(3096)] = 27728,
  [SMALL_STATE(3097)] = 27840,
  [SMALL_STATE(3098)] = 27904,
  [SMALL_STATE(3099)] = 27972,
  [SMALL_STATE(3100)] = 28038,
  [SMALL_STATE(3101)] = 28102,
  [SMALL_STATE(3102)] = 28166,
  [SMALL_STATE(3103)] = 28234,
  [SMALL_STATE(3104)] = 28298,
  [SMALL_STATE(3105)] = 28362,
  [SMALL_STATE(3106)] = 28430,
  [SMALL_STATE(3107)] = 28496,
  [SMALL_STATE(3108)] = 28564,
  [SMALL_STATE(3109)] = 28632,
  [SMALL_STATE(3110)] = 28700,
  [SMALL_STATE(3111)] = 28766,
  [SMALL_STATE(3112)] = 28830,
  [SMALL_STATE(3113)] = 28894,
  [SMALL_STATE(3114)] = 28958,
  [SMALL_STATE(3115)] = 29022,
  [SMALL_STATE(3116)] = 29088,
  [SMALL_STATE(3117)] = 29156,
  [SMALL_STATE(3118)] = 29232,
  [SMALL_STATE(3119)] = 29300,
  [SMALL_STATE(3120)] = 29364,
  [SMALL_STATE(3121)] = 29428,
  [SMALL_STATE(3122)] = 29492,
  [SMALL_STATE(3123)] = 29556,
  [SMALL_STATE(3124)] = 29620,
  [SMALL_STATE(3125)] = 29686,
  [SMALL_STATE(3126)] = 29750,
  [SMALL_STATE(3127)] = 29814,
  [SMALL_STATE(3128)] = 29886,
  [SMALL_STATE(3129)] = 29950,
  [SMALL_STATE(3130)] = 30018,
  [SMALL_STATE(3131)] = 30086,
  [SMALL_STATE(3132)] = 30195,
  [SMALL_STATE(3133)] = 30304,
  [SMALL_STATE(3134)] = 30413,
  [SMALL_STATE(3135)] = 30528,
  [SMALL_STATE(3136)] = 30591,
  [SMALL_STATE(3137)] = 30700,
  [SMALL_STATE(3138)] = 30763,
  [SMALL_STATE(3139)] = 30872,
  [SMALL_STATE(3140)] = 31033,
  [SMALL_STATE(3141)] = 31104,
  [SMALL_STATE(3142)] = 31167,
  [SMALL_STATE(3143)] = 31230,
  [SMALL_STATE(3144)] = 31339,
  [SMALL_STATE(3145)] = 31402,
  [SMALL_STATE(3146)] = 31515,
  [SMALL_STATE(3147)] = 31582,
  [SMALL_STATE(3148)] = 31743,
  [SMALL_STATE(3149)] = 31810,
  [SMALL_STATE(3150)] = 31877,
  [SMALL_STATE(3151)] = 31986,
  [SMALL_STATE(3152)] = 32049,
  [SMALL_STATE(3153)] = 32158,
  [SMALL_STATE(3154)] = 32231,
  [SMALL_STATE(3155)] = 32340,
  [SMALL_STATE(3156)] = 32413,
  [SMALL_STATE(3157)] = 32476,
  [SMALL_STATE(3158)] = 32585,
  [SMALL_STATE(3159)] = 32658,
  [SMALL_STATE(3160)] = 32737,
  [SMALL_STATE(3161)] = 32842,
  [SMALL_STATE(3162)] = 32951,
  [SMALL_STATE(3163)] = 33052,
  [SMALL_STATE(3164)] = 33115,
  [SMALL_STATE(3165)] = 33212,
  [SMALL_STATE(3166)] = 33307,
  [SMALL_STATE(3167)] = 33398,
  [SMALL_STATE(3168)] = 33507,
  [SMALL_STATE(3169)] = 33596,
  [SMALL_STATE(3170)] = 33663,
  [SMALL_STATE(3171)] = 33748,
  [SMALL_STATE(3172)] = 33829,
  [SMALL_STATE(3173)] = 33892,
  [SMALL_STATE(3174)] = 33975,
  [SMALL_STATE(3175)] = 34042,
  [SMALL_STATE(3176)] = 34109,
  [SMALL_STATE(3177)] = 34180,
  [SMALL_STATE(3178)] = 34289,
  [SMALL_STATE(3179)] = 34398,
  [SMALL_STATE(3180)] = 34465,
  [SMALL_STATE(3181)] = 34530,
  [SMALL_STATE(3182)] = 34597,
  [SMALL_STATE(3183)] = 34664,
  [SMALL_STATE(3184)] = 34777,
  [SMALL_STATE(3185)] = 34840,
  [SMALL_STATE(3186)] = 34949,
  [SMALL_STATE(3187)] = 35058,
  [SMALL_STATE(3188)] = 35123,
  [SMALL_STATE(3189)] = 35232,
  [SMALL_STATE(3190)] = 35299,
  [SMALL_STATE(3191)] = 35362,
  [SMALL_STATE(3192)] = 35425,
  [SMALL_STATE(3193)] = 35494,
  [SMALL_STATE(3194)] = 35567,
  [SMALL_STATE(3195)] = 35676,
  [SMALL_STATE(3196)] = 35785,
  [SMALL_STATE(3197)] = 35894,
  [SMALL_STATE(3198)] = 36003,
  [SMALL_STATE(3199)] = 36112,
  [SMALL_STATE(3200)] = 36191,
  [SMALL_STATE(3201)] = 36300,
  [SMALL_STATE(3202)] = 36409,
  [SMALL_STATE(3203)] = 36472,
  [SMALL_STATE(3204)] = 36587,
  [SMALL_STATE(3205)] = 36650,
  [SMALL_STATE(3206)] = 36759,
  [SMALL_STATE(3207)] = 36838,
  [SMALL_STATE(3208)] = 36947,
  [SMALL_STATE(3209)] = 37014,
  [SMALL_STATE(3210)] = 37123,
  [SMALL_STATE(3211)] = 37236,
  [SMALL_STATE(3212)] = 37315,
  [SMALL_STATE(3213)] = 37382,
  [SMALL_STATE(3214)] = 37491,
  [SMALL_STATE(3215)] = 37562,
  [SMALL_STATE(3216)] = 37641,
  [SMALL_STATE(3217)] = 37704,
  [SMALL_STATE(3218)] = 37771,
  [SMALL_STATE(3219)] = 37844,
  [SMALL_STATE(3220)] = 38005,
  [SMALL_STATE(3221)] = 38114,
  [SMALL_STATE(3222)] = 38176,
  [SMALL_STATE(3223)] = 38238,
  [SMALL_STATE(3224)] = 38310,
  [SMALL_STATE(3225)] = 38376,
  [SMALL_STATE(3226)] = 38442,
  [SMALL_STATE(3227)] = 38510,
  [SMALL_STATE(3228)] = 38572,
  [SMALL_STATE(3229)] = 38634,
  [SMALL_STATE(3230)] = 38702,
  [SMALL_STATE(3231)] = 38774,
  [SMALL_STATE(3232)] = 38836,
  [SMALL_STATE(3233)] = 38898,
  [SMALL_STATE(3234)] = 38970,
  [SMALL_STATE(3235)] = 39032,
  [SMALL_STATE(3236)] = 39094,
  [SMALL_STATE(3237)] = 39156,
  [SMALL_STATE(3238)] = 39222,
  [SMALL_STATE(3239)] = 39284,
  [SMALL_STATE(3240)] = 39348,
  [SMALL_STATE(3241)] = 39410,
  [SMALL_STATE(3242)] = 39472,
  [SMALL_STATE(3243)] = 39542,
  [SMALL_STATE(3244)] = 39608,
  [SMALL_STATE(3245)] = 39670,
  [SMALL_STATE(3246)] = 39732,
  [SMALL_STATE(3247)] = 39798,
  [SMALL_STATE(3248)] = 39912,
  [SMALL_STATE(3249)] = 40026,
  [SMALL_STATE(3250)] = 40140,
  [SMALL_STATE(3251)] = 40202,
  [SMALL_STATE(3252)] = 40270,
  [SMALL_STATE(3253)] = 40338,
  [SMALL_STATE(3254)] = 40408,
  [SMALL_STATE(3255)] = 40470,
  [SMALL_STATE(3256)] = 40538,
  [SMALL_STATE(3257)] = 40604,
  [SMALL_STATE(3258)] = 40666,
  [SMALL_STATE(3259)] = 40732,
  [SMALL_STATE(3260)] = 40794,
  [SMALL_STATE(3261)] = 40856,
  [SMALL_STATE(3262)] = 40918,
  [SMALL_STATE(3263)] = 40980,
  [SMALL_STATE(3264)] = 41050,
  [SMALL_STATE(3265)] = 41112,
  [SMALL_STATE(3266)] = 41174,
  [SMALL_STATE(3267)] = 41236,
  [SMALL_STATE(3268)] = 41298,
  [SMALL_STATE(3269)] = 41360,
  [SMALL_STATE(3270)] = 41474,
  [SMALL_STATE(3271)] = 41536,
  [SMALL_STATE(3272)] = 41598,
  [SMALL_STATE(3273)] = 41660,
  [SMALL_STATE(3274)] = 41728,
  [SMALL_STATE(3275)] = 41790,
  [SMALL_STATE(3276)] = 41852,
  [SMALL_STATE(3277)] = 41914,
  [SMALL_STATE(3278)] = 41986,
  [SMALL_STATE(3279)] = 42050,
  [SMALL_STATE(3280)] = 42120,
  [SMALL_STATE(3281)] = 42182,
  [SMALL_STATE(3282)] = 42244,
  [SMALL_STATE(3283)] = 42306,
  [SMALL_STATE(3284)] = 42378,
  [SMALL_STATE(3285)] = 42440,
  [SMALL_STATE(3286)] = 42502,
  [SMALL_STATE(3287)] = 42564,
  [SMALL_STATE(3288)] = 42626,
  [SMALL_STATE(3289)] = 42692,
  [SMALL_STATE(3290)] = 42754,
  [SMALL_STATE(3291)] = 42816,
  [SMALL_STATE(3292)] = 42883,
  [SMALL_STATE(3293)] = 42962,
  [SMALL_STATE(3294)] = 43023,
  [SMALL_STATE(3295)] = 43084,
  [SMALL_STATE(3296)] = 43145,
  [SMALL_STATE(3297)] = 43206,
  [SMALL_STATE(3298)] = 43271,
  [SMALL_STATE(3299)] = 43338,
  [SMALL_STATE(3300)] = 43419,
  [SMALL_STATE(3301)] = 43480,
  [SMALL_STATE(3302)] = 43541,
  [SMALL_STATE(3303)] = 43610,
  [SMALL_STATE(3304)] = 43671,
  [SMALL_STATE(3305)] = 43738,
  [SMALL_STATE(3306)] = 43849,
  [SMALL_STATE(3307)] = 43960,
  [SMALL_STATE(3308)] = 44035,
  [SMALL_STATE(3309)] = 44110,
  [SMALL_STATE(3310)] = 44175,
  [SMALL_STATE(3311)] = 44282,
  [SMALL_STATE(3312)] = 44347,
  [SMALL_STATE(3313)] = 44454,
  [SMALL_STATE(3314)] = 44519,
  [SMALL_STATE(3315)] = 44580,
  [SMALL_STATE(3316)] = 44641,
  [SMALL_STATE(3317)] = 44702,
  [SMALL_STATE(3318)] = 44763,
  [SMALL_STATE(3319)] = 44830,
  [SMALL_STATE(3320)] = 44941,
  [SMALL_STATE(3321)] = 45052,
  [SMALL_STATE(3322)] = 45163,
  [SMALL_STATE(3323)] = 45224,
  [SMALL_STATE(3324)] = 45291,
  [SMALL_STATE(3325)] = 45366,
  [SMALL_STATE(3326)] = 45443,
  [SMALL_STATE(3327)] = 45550,
  [SMALL_STATE(3328)] = 45625,
  [SMALL_STATE(3329)] = 45690,
  [SMALL_STATE(3330)] = 45751,
  [SMALL_STATE(3331)] = 45816,
  [SMALL_STATE(3332)] = 45919,
  [SMALL_STATE(3333)] = 45984,
  [SMALL_STATE(3334)] = 46083,
  [SMALL_STATE(3335)] = 46144,
  [SMALL_STATE(3336)] = 46207,
  [SMALL_STATE(3337)] = 46302,
  [SMALL_STATE(3338)] = 46367,
  [SMALL_STATE(3339)] = 46470,
  [SMALL_STATE(3340)] = 46563,
  [SMALL_STATE(3341)] = 46652,
  [SMALL_STATE(3342)] = 46739,
  [SMALL_STATE(3343)] = 46822,
  [SMALL_STATE(3344)] = 46929,
  [SMALL_STATE(3345)] = 47002,
  [SMALL_STATE(3346)] = 47065,
  [SMALL_STATE(3347)] = 47126,
  [SMALL_STATE(3348)] = 47187,
  [SMALL_STATE(3349)] = 47252,
  [SMALL_STATE(3350)] = 47317,
  [SMALL_STATE(3351)] = 47430,
  [SMALL_STATE(3352)] = 47491,
  [SMALL_STATE(3353)] = 47574,
  [SMALL_STATE(3354)] = 47681,
  [SMALL_STATE(3355)] = 47742,
  [SMALL_STATE(3356)] = 47803,
  [SMALL_STATE(3357)] = 47868,
  [SMALL_STATE(3358)] = 47933,
  [SMALL_STATE(3359)] = 48040,
  [SMALL_STATE(3360)] = 48147,
  [SMALL_STATE(3361)] = 48224,
  [SMALL_STATE(3362)] = 48289,
  [SMALL_STATE(3363)] = 48354,
  [SMALL_STATE(3364)] = 48419,
  [SMALL_STATE(3365)] = 48498,
  [SMALL_STATE(3366)] = 48579,
  [SMALL_STATE(3367)] = 48640,
  [SMALL_STATE(3368)] = 48701,
  [SMALL_STATE(3369)] = 48762,
  [SMALL_STATE(3370)] = 48861,
  [SMALL_STATE(3371)] = 48934,
  [SMALL_STATE(3372)] = 48995,
  [SMALL_STATE(3373)] = 49062,
  [SMALL_STATE(3374)] = 49123,
  [SMALL_STATE(3375)] = 49230,
  [SMALL_STATE(3376)] = 49291,
  [SMALL_STATE(3377)] = 49358,
  [SMALL_STATE(3378)] = 49419,
  [SMALL_STATE(3379)] = 49532,
  [SMALL_STATE(3380)] = 49639,
  [SMALL_STATE(3381)] = 49700,
  [SMALL_STATE(3382)] = 49775,
  [SMALL_STATE(3383)] = 49888,
  [SMALL_STATE(3384)] = 49949,
  [SMALL_STATE(3385)] = 50010,
  [SMALL_STATE(3386)] = 50075,
  [SMALL_STATE(3387)] = 50140,
  [SMALL_STATE(3388)] = 50203,
  [SMALL_STATE(3389)] = 50310,
  [SMALL_STATE(3390)] = 50423,
  [SMALL_STATE(3391)] = 50488,
  [SMALL_STATE(3392)] = 50553,
  [SMALL_STATE(3393)] = 50618,
  [SMALL_STATE(3394)] = 50729,
  [SMALL_STATE(3395)] = 50790,
  [SMALL_STATE(3396)] = 50885,
  [SMALL_STATE(3397)] = 50978,
  [SMALL_STATE(3398)] = 51039,
  [SMALL_STATE(3399)] = 51100,
  [SMALL_STATE(3400)] = 51189,
  [SMALL_STATE(3401)] = 51276,
  [SMALL_STATE(3402)] = 51337,
  [SMALL_STATE(3403)] = 51397,
  [SMALL_STATE(3404)] = 51459,
  [SMALL_STATE(3405)] = 51533,
  [SMALL_STATE(3406)] = 51637,
  [SMALL_STATE(3407)] = 51705,
  [SMALL_STATE(3408)] = 51817,
  [SMALL_STATE(3409)] = 51929,
  [SMALL_STATE(3410)] = 52025,
  [SMALL_STATE(3411)] = 52091,
  [SMALL_STATE(3412)] = 52187,
  [SMALL_STATE(3413)] = 52247,
  [SMALL_STATE(3414)] = 52307,
  [SMALL_STATE(3415)] = 52403,
  [SMALL_STATE(3416)] = 52477,
  [SMALL_STATE(3417)] = 52543,
  [SMALL_STATE(3418)] = 52603,
  [SMALL_STATE(3419)] = 52687,
  [SMALL_STATE(3420)] = 52763,
  [SMALL_STATE(3421)] = 52871,
  [SMALL_STATE(3422)] = 52935,
  [SMALL_STATE(3423)] = 53005,
  [SMALL_STATE(3424)] = 53065,
  [SMALL_STATE(3425)] = 53125,
  [SMALL_STATE(3426)] = 53229,
  [SMALL_STATE(3427)] = 53291,
  [SMALL_STATE(3428)] = 53355,
  [SMALL_STATE(3429)] = 53415,
  [SMALL_STATE(3430)] = 53489,
  [SMALL_STATE(3431)] = 53601,
  [SMALL_STATE(3432)] = 53661,
  [SMALL_STATE(3433)] = 53741,
  [SMALL_STATE(3434)] = 53897,
  [SMALL_STATE(3435)] = 53971,
  [SMALL_STATE(3436)] = 54045,
  [SMALL_STATE(3437)] = 54105,
  [SMALL_STATE(3438)] = 54165,
  [SMALL_STATE(3439)] = 54321,
  [SMALL_STATE(3440)] = 54381,
  [SMALL_STATE(3441)] = 54443,
  [SMALL_STATE(3442)] = 54599,
  [SMALL_STATE(3443)] = 54691,
  [SMALL_STATE(3444)] = 54751,
  [SMALL_STATE(3445)] = 54811,
  [SMALL_STATE(3446)] = 54875,
  [SMALL_STATE(3447)] = 55031,
  [SMALL_STATE(3448)] = 55187,
  [SMALL_STATE(3449)] = 55247,
  [SMALL_STATE(3450)] = 55309,
  [SMALL_STATE(3451)] = 55413,
  [SMALL_STATE(3452)] = 55569,
  [SMALL_STATE(3453)] = 55629,
  [SMALL_STATE(3454)] = 55689,
  [SMALL_STATE(3455)] = 55771,
  [SMALL_STATE(3456)] = 55831,
  [SMALL_STATE(3457)] = 55899,
  [SMALL_STATE(3458)] = 56055,
  [SMALL_STATE(3459)] = 56117,
  [SMALL_STATE(3460)] = 56231,
  [SMALL_STATE(3461)] = 56291,
  [SMALL_STATE(3462)] = 56351,
  [SMALL_STATE(3463)] = 56507,
  [SMALL_STATE(3464)] = 56567,
  [SMALL_STATE(3465)] = 56639,
  [SMALL_STATE(3466)] = 56745,
  [SMALL_STATE(3467)] = 56819,
  [SMALL_STATE(3468)] = 56893,
  [SMALL_STATE(3469)] = 56999,
  [SMALL_STATE(3470)] = 57071,
  [SMALL_STATE(3471)] = 57177,
  [SMALL_STATE(3472)] = 57287,
  [SMALL_STATE(3473)] = 57363,
  [SMALL_STATE(3474)] = 57437,
  [SMALL_STATE(3475)] = 57541,
  [SMALL_STATE(3476)] = 57639,
  [SMALL_STATE(3477)] = 57733,
  [SMALL_STATE(3478)] = 57825,
  [SMALL_STATE(3479)] = 57913,
  [SMALL_STATE(3480)] = 57999,
  [SMALL_STATE(3481)] = 58081,
  [SMALL_STATE(3482)] = 58159,
  [SMALL_STATE(3483)] = 58239,
  [SMALL_STATE(3484)] = 58313,
  [SMALL_STATE(3485)] = 58419,
  [SMALL_STATE(3486)] = 58529,
  [SMALL_STATE(3487)] = 58635,
  [SMALL_STATE(3488)] = 58745,
  [SMALL_STATE(3489)] = 58809,
  [SMALL_STATE(3490)] = 58869,
  [SMALL_STATE(3491)] = 58935,
  [SMALL_STATE(3492)] = 58995,
  [SMALL_STATE(3493)] = 59151,
  [SMALL_STATE(3494)] = 59227,
  [SMALL_STATE(3495)] = 59287,
  [SMALL_STATE(3496)] = 59391,
  [SMALL_STATE(3497)] = 59459,
  [SMALL_STATE(3498)] = 59531,
  [SMALL_STATE(3499)] = 59605,
  [SMALL_STATE(3500)] = 59669,
  [SMALL_STATE(3501)] = 59729,
  [SMALL_STATE(3502)] = 59841,
  [SMALL_STATE(3503)] = 59909,
  [SMALL_STATE(3504)] = 59969,
  [SMALL_STATE(3505)] = 60077,
  [SMALL_STATE(3506)] = 60185,
  [SMALL_STATE(3507)] = 60251,
  [SMALL_STATE(3508)] = 60323,
  [SMALL_STATE(3509)] = 60383,
  [SMALL_STATE(3510)] = 60495,
  [SMALL_STATE(3511)] = 60555,
  [SMALL_STATE(3512)] = 60615,
  [SMALL_STATE(3513)] = 60693,
  [SMALL_STATE(3514)] = 60753,
  [SMALL_STATE(3515)] = 60865,
  [SMALL_STATE(3516)] = 60925,
  [SMALL_STATE(3517)] = 60991,
  [SMALL_STATE(3518)] = 61051,
  [SMALL_STATE(3519)] = 61111,
  [SMALL_STATE(3520)] = 61197,
  [SMALL_STATE(3521)] = 61263,
  [SMALL_STATE(3522)] = 61325,
  [SMALL_STATE(3523)] = 61385,
  [SMALL_STATE(3524)] = 61445,
  [SMALL_STATE(3525)] = 61505,
  [SMALL_STATE(3526)] = 61565,
  [SMALL_STATE(3527)] = 61631,
  [SMALL_STATE(3528)] = 61721,
  [SMALL_STATE(3529)] = 61821,
  [SMALL_STATE(3530)] = 61881,
  [SMALL_STATE(3531)] = 61941,
  [SMALL_STATE(3532)] = 62001,
  [SMALL_STATE(3533)] = 62103,
  [SMALL_STATE(3534)] = 62170,
  [SMALL_STATE(3535)] = 62229,
  [SMALL_STATE(3536)] = 62288,
  [SMALL_STATE(3537)] = 62349,
  [SMALL_STATE(3538)] = 62408,
  [SMALL_STATE(3539)] = 62467,
  [SMALL_STATE(3540)] = 62526,
  [SMALL_STATE(3541)] = 62585,
  [SMALL_STATE(3542)] = 62644,
  [SMALL_STATE(3543)] = 62703,
  [SMALL_STATE(3544)] = 62770,
  [SMALL_STATE(3545)] = 62829,
  [SMALL_STATE(3546)] = 62888,
  [SMALL_STATE(3547)] = 62947,
  [SMALL_STATE(3548)] = 63006,
  [SMALL_STATE(3549)] = 63065,
  [SMALL_STATE(3550)] = 63124,
  [SMALL_STATE(3551)] = 63183,
  [SMALL_STATE(3552)] = 63242,
  [SMALL_STATE(3553)] = 63301,
  [SMALL_STATE(3554)] = 63360,
  [SMALL_STATE(3555)] = 63419,
  [SMALL_STATE(3556)] = 63478,
  [SMALL_STATE(3557)] = 63537,
  [SMALL_STATE(3558)] = 63596,
  [SMALL_STATE(3559)] = 63655,
  [SMALL_STATE(3560)] = 63714,
  [SMALL_STATE(3561)] = 63777,
  [SMALL_STATE(3562)] = 63836,
  [SMALL_STATE(3563)] = 63895,
  [SMALL_STATE(3564)] = 63962,
  [SMALL_STATE(3565)] = 64021,
  [SMALL_STATE(3566)] = 64080,
  [SMALL_STATE(3567)] = 64139,
  [SMALL_STATE(3568)] = 64198,
  [SMALL_STATE(3569)] = 64257,
  [SMALL_STATE(3570)] = 64316,
  [SMALL_STATE(3571)] = 64377,
  [SMALL_STATE(3572)] = 64436,
  [SMALL_STATE(3573)] = 64495,
  [SMALL_STATE(3574)] = 64554,
  [SMALL_STATE(3575)] = 64613,
  [SMALL_STATE(3576)] = 64672,
  [SMALL_STATE(3577)] = 64731,
  [SMALL_STATE(3578)] = 64790,
  [SMALL_STATE(3579)] = 64849,
  [SMALL_STATE(3580)] = 64908,
  [SMALL_STATE(3581)] = 64967,
  [SMALL_STATE(3582)] = 65026,
  [SMALL_STATE(3583)] = 65095,
  [SMALL_STATE(3584)] = 65154,
  [SMALL_STATE(3585)] = 65213,
  [SMALL_STATE(3586)] = 65272,
  [SMALL_STATE(3587)] = 65331,
  [SMALL_STATE(3588)] = 65390,
  [SMALL_STATE(3589)] = 65449,
  [SMALL_STATE(3590)] = 65508,
  [SMALL_STATE(3591)] = 65569,
  [SMALL_STATE(3592)] = 65634,
  [SMALL_STATE(3593)] = 65693,
  [SMALL_STATE(3594)] = 65752,
  [SMALL_STATE(3595)] = 65811,
  [SMALL_STATE(3596)] = 65870,
  [SMALL_STATE(3597)] = 65929,
  [SMALL_STATE(3598)] = 65988,
  [SMALL_STATE(3599)] = 66051,
  [SMALL_STATE(3600)] = 66110,
  [SMALL_STATE(3601)] = 66169,
  [SMALL_STATE(3602)] = 66228,
  [SMALL_STATE(3603)] = 66287,
  [SMALL_STATE(3604)] = 66346,
  [SMALL_STATE(3605)] = 66405,
  [SMALL_STATE(3606)] = 66464,
  [SMALL_STATE(3607)] = 66523,
  [SMALL_STATE(3608)] = 66582,
  [SMALL_STATE(3609)] = 66641,
  [SMALL_STATE(3610)] = 66700,
  [SMALL_STATE(3611)] = 66759,
  [SMALL_STATE(3612)] = 66818,
  [SMALL_STATE(3613)] = 66877,
  [SMALL_STATE(3614)] = 66936,
  [SMALL_STATE(3615)] = 66995,
  [SMALL_STATE(3616)] = 67054,
  [SMALL_STATE(3617)] = 67113,
  [SMALL_STATE(3618)] = 67172,
  [SMALL_STATE(3619)] = 67231,
  [SMALL_STATE(3620)] = 67290,
  [SMALL_STATE(3621)] = 67349,
  [SMALL_STATE(3622)] = 67408,
  [SMALL_STATE(3623)] = 67469,
  [SMALL_STATE(3624)] = 67528,
  [SMALL_STATE(3625)] = 67587,
  [SMALL_STATE(3626)] = 67646,
  [SMALL_STATE(3627)] = 67705,
  [SMALL_STATE(3628)] = 67764,
  [SMALL_STATE(3629)] = 67823,
  [SMALL_STATE(3630)] = 67882,
  [SMALL_STATE(3631)] = 67941,
  [SMALL_STATE(3632)] = 68000,
  [SMALL_STATE(3633)] = 68067,
  [SMALL_STATE(3634)] = 68126,
  [SMALL_STATE(3635)] = 68185,
  [SMALL_STATE(3636)] = 68244,
  [SMALL_STATE(3637)] = 68303,
  [SMALL_STATE(3638)] = 68362,
  [SMALL_STATE(3639)] = 68421,
  [SMALL_STATE(3640)] = 68480,
  [SMALL_STATE(3641)] = 68539,
  [SMALL_STATE(3642)] = 68598,
  [SMALL_STATE(3643)] = 68657,
  [SMALL_STATE(3644)] = 68716,
  [SMALL_STATE(3645)] = 68775,
  [SMALL_STATE(3646)] = 68834,
  [SMALL_STATE(3647)] = 68893,
  [SMALL_STATE(3648)] = 68952,
  [SMALL_STATE(3649)] = 69011,
  [SMALL_STATE(3650)] = 69070,
  [SMALL_STATE(3651)] = 69129,
  [SMALL_STATE(3652)] = 69188,
  [SMALL_STATE(3653)] = 69247,
  [SMALL_STATE(3654)] = 69306,
  [SMALL_STATE(3655)] = 69365,
  [SMALL_STATE(3656)] = 69424,
  [SMALL_STATE(3657)] = 69483,
  [SMALL_STATE(3658)] = 69542,
  [SMALL_STATE(3659)] = 69601,
  [SMALL_STATE(3660)] = 69660,
  [SMALL_STATE(3661)] = 69719,
  [SMALL_STATE(3662)] = 69782,
  [SMALL_STATE(3663)] = 69841,
  [SMALL_STATE(3664)] = 69900,
  [SMALL_STATE(3665)] = 69959,
  [SMALL_STATE(3666)] = 70018,
  [SMALL_STATE(3667)] = 70077,
  [SMALL_STATE(3668)] = 70136,
  [SMALL_STATE(3669)] = 70195,
  [SMALL_STATE(3670)] = 70254,
  [SMALL_STATE(3671)] = 70321,
  [SMALL_STATE(3672)] = 70380,
  [SMALL_STATE(3673)] = 70445,
  [SMALL_STATE(3674)] = 70504,
  [SMALL_STATE(3675)] = 70563,
  [SMALL_STATE(3676)] = 70622,
  [SMALL_STATE(3677)] = 70681,
  [SMALL_STATE(3678)] = 70744,
  [SMALL_STATE(3679)] = 70803,
  [SMALL_STATE(3680)] = 70862,
  [SMALL_STATE(3681)] = 70921,
  [SMALL_STATE(3682)] = 70980,
  [SMALL_STATE(3683)] = 71039,
  [SMALL_STATE(3684)] = 71098,
  [SMALL_STATE(3685)] = 71163,
  [SMALL_STATE(3686)] = 71222,
  [SMALL_STATE(3687)] = 71281,
  [SMALL_STATE(3688)] = 71340,
  [SMALL_STATE(3689)] = 71399,
  [SMALL_STATE(3690)] = 71458,
  [SMALL_STATE(3691)] = 71517,
  [SMALL_STATE(3692)] = 71576,
  [SMALL_STATE(3693)] = 71635,
  [SMALL_STATE(3694)] = 71694,
  [SMALL_STATE(3695)] = 71753,
  [SMALL_STATE(3696)] = 71812,
  [SMALL_STATE(3697)] = 71871,
  [SMALL_STATE(3698)] = 71930,
  [SMALL_STATE(3699)] = 71989,
  [SMALL_STATE(3700)] = 72052,
  [SMALL_STATE(3701)] = 72117,
  [SMALL_STATE(3702)] = 72186,
  [SMALL_STATE(3703)] = 72251,
  [SMALL_STATE(3704)] = 72310,
  [SMALL_STATE(3705)] = 72369,
  [SMALL_STATE(3706)] = 72436,
  [SMALL_STATE(3707)] = 72495,
  [SMALL_STATE(3708)] = 72557,
  [SMALL_STATE(3709)] = 72615,
  [SMALL_STATE(3710)] = 72673,
  [SMALL_STATE(3711)] = 72731,
  [SMALL_STATE(3712)] = 72793,
  [SMALL_STATE(3713)] = 72903,
  [SMALL_STATE(3714)] = 72961,
  [SMALL_STATE(3715)] = 73019,
  [SMALL_STATE(3716)] = 73077,
  [SMALL_STATE(3717)] = 73135,
  [SMALL_STATE(3718)] = 73237,
  [SMALL_STATE(3719)] = 73295,
  [SMALL_STATE(3720)] = 73353,
  [SMALL_STATE(3721)] = 73411,
  [SMALL_STATE(3722)] = 73469,
  [SMALL_STATE(3723)] = 73527,
  [SMALL_STATE(3724)] = 73633,
  [SMALL_STATE(3725)] = 73691,
  [SMALL_STATE(3726)] = 73749,
  [SMALL_STATE(3727)] = 73807,
  [SMALL_STATE(3728)] = 73865,
  [SMALL_STATE(3729)] = 73975,
  [SMALL_STATE(3730)] = 74033,
  [SMALL_STATE(3731)] = 74139,
  [SMALL_STATE(3732)] = 74197,
  [SMALL_STATE(3733)] = 74255,
  [SMALL_STATE(3734)] = 74325,
  [SMALL_STATE(3735)] = 74383,
  [SMALL_STATE(3736)] = 74485,
  [SMALL_STATE(3737)] = 74543,
  [SMALL_STATE(3738)] = 74601,
  [SMALL_STATE(3739)] = 74667,
  [SMALL_STATE(3740)] = 74725,
  [SMALL_STATE(3741)] = 74787,
  [SMALL_STATE(3742)] = 74845,
  [SMALL_STATE(3743)] = 74903,
  [SMALL_STATE(3744)] = 74961,
  [SMALL_STATE(3745)] = 75019,
  [SMALL_STATE(3746)] = 75081,
  [SMALL_STATE(3747)] = 75153,
  [SMALL_STATE(3748)] = 75225,
  [SMALL_STATE(3749)] = 75283,
  [SMALL_STATE(3750)] = 75341,
  [SMALL_STATE(3751)] = 75443,
  [SMALL_STATE(3752)] = 75501,
  [SMALL_STATE(3753)] = 75571,
  [SMALL_STATE(3754)] = 75629,
  [SMALL_STATE(3755)] = 75691,
  [SMALL_STATE(3756)] = 75749,
  [SMALL_STATE(3757)] = 75813,
  [SMALL_STATE(3758)] = 75871,
  [SMALL_STATE(3759)] = 75929,
  [SMALL_STATE(3760)] = 76039,
  [SMALL_STATE(3761)] = 76097,
  [SMALL_STATE(3762)] = 76155,
  [SMALL_STATE(3763)] = 76213,
  [SMALL_STATE(3764)] = 76271,
  [SMALL_STATE(3765)] = 76329,
  [SMALL_STATE(3766)] = 76431,
  [SMALL_STATE(3767)] = 76489,
  [SMALL_STATE(3768)] = 76547,
  [SMALL_STATE(3769)] = 76605,
  [SMALL_STATE(3770)] = 76663,
  [SMALL_STATE(3771)] = 76725,
  [SMALL_STATE(3772)] = 76783,
  [SMALL_STATE(3773)] = 76841,
  [SMALL_STATE(3774)] = 76903,
  [SMALL_STATE(3775)] = 76961,
  [SMALL_STATE(3776)] = 77019,
  [SMALL_STATE(3777)] = 77077,
  [SMALL_STATE(3778)] = 77135,
  [SMALL_STATE(3779)] = 77193,
  [SMALL_STATE(3780)] = 77255,
  [SMALL_STATE(3781)] = 77313,
  [SMALL_STATE(3782)] = 77371,
  [SMALL_STATE(3783)] = 77429,
  [SMALL_STATE(3784)] = 77487,
  [SMALL_STATE(3785)] = 77545,
  [SMALL_STATE(3786)] = 77607,
  [SMALL_STATE(3787)] = 77665,
  [SMALL_STATE(3788)] = 77735,
  [SMALL_STATE(3789)] = 77793,
  [SMALL_STATE(3790)] = 77851,
  [SMALL_STATE(3791)] = 77915,
  [SMALL_STATE(3792)] = 77973,
  [SMALL_STATE(3793)] = 78031,
  [SMALL_STATE(3794)] = 78089,
  [SMALL_STATE(3795)] = 78147,
  [SMALL_STATE(3796)] = 78205,
  [SMALL_STATE(3797)] = 78263,
  [SMALL_STATE(3798)] = 78337,
  [SMALL_STATE(3799)] = 78395,
  [SMALL_STATE(3800)] = 78505,
  [SMALL_STATE(3801)] = 78577,
  [SMALL_STATE(3802)] = 78677,
  [SMALL_STATE(3803)] = 78775,
  [SMALL_STATE(3804)] = 78869,
  [SMALL_STATE(3805)] = 78959,
  [SMALL_STATE(3806)] = 79045,
  [SMALL_STATE(3807)] = 79129,
  [SMALL_STATE(3808)] = 79209,
  [SMALL_STATE(3809)] = 79285,
  [SMALL_STATE(3810)] = 79363,
  [SMALL_STATE(3811)] = 79421,
  [SMALL_STATE(3812)] = 79479,
  [SMALL_STATE(3813)] = 79537,
  [SMALL_STATE(3814)] = 79595,
  [SMALL_STATE(3815)] = 79653,
  [SMALL_STATE(3816)] = 79725,
  [SMALL_STATE(3817)] = 79783,
  [SMALL_STATE(3818)] = 79841,
  [SMALL_STATE(3819)] = 79903,
  [SMALL_STATE(3820)] = 79961,
  [SMALL_STATE(3821)] = 80019,
  [SMALL_STATE(3822)] = 80083,
  [SMALL_STATE(3823)] = 80141,
  [SMALL_STATE(3824)] = 80199,
  [SMALL_STATE(3825)] = 80261,
  [SMALL_STATE(3826)] = 80319,
  [SMALL_STATE(3827)] = 80377,
  [SMALL_STATE(3828)] = 80435,
  [SMALL_STATE(3829)] = 80493,
  [SMALL_STATE(3830)] = 80551,
  [SMALL_STATE(3831)] = 80609,
  [SMALL_STATE(3832)] = 80667,
  [SMALL_STATE(3833)] = 80727,
  [SMALL_STATE(3834)] = 80785,
  [SMALL_STATE(3835)] = 80887,
  [SMALL_STATE(3836)] = 80949,
  [SMALL_STATE(3837)] = 81007,
  [SMALL_STATE(3838)] = 81069,
  [SMALL_STATE(3839)] = 81127,
  [SMALL_STATE(3840)] = 81185,
  [SMALL_STATE(3841)] = 81291,
  [SMALL_STATE(3842)] = 81353,
  [SMALL_STATE(3843)] = 81459,
  [SMALL_STATE(3844)] = 81562,
  [SMALL_STATE(3845)] = 81619,
  [SMALL_STATE(3846)] = 81676,
  [SMALL_STATE(3847)] = 81779,
  [SMALL_STATE(3848)] = 81882,
  [SMALL_STATE(3849)] = 81939,
  [SMALL_STATE(3850)] = 82042,
  [SMALL_STATE(3851)] = 82101,
  [SMALL_STATE(3852)] = 82204,
  [SMALL_STATE(3853)] = 82307,
  [SMALL_STATE(3854)] = 82364,
  [SMALL_STATE(3855)] = 82467,
  [SMALL_STATE(3856)] = 82570,
  [SMALL_STATE(3857)] = 82673,
  [SMALL_STATE(3858)] = 82732,
  [SMALL_STATE(3859)] = 82835,
  [SMALL_STATE(3860)] = 82894,
  [SMALL_STATE(3861)] = 82951,
  [SMALL_STATE(3862)] = 83054,
  [SMALL_STATE(3863)] = 83117,
  [SMALL_STATE(3864)] = 83220,
  [SMALL_STATE(3865)] = 83323,
  [SMALL_STATE(3866)] = 83426,
  [SMALL_STATE(3867)] = 83529,
  [SMALL_STATE(3868)] = 83632,
  [SMALL_STATE(3869)] = 83735,
  [SMALL_STATE(3870)] = 83838,
  [SMALL_STATE(3871)] = 83941,
  [SMALL_STATE(3872)] = 84044,
  [SMALL_STATE(3873)] = 84147,
  [SMALL_STATE(3874)] = 84250,
  [SMALL_STATE(3875)] = 84353,
  [SMALL_STATE(3876)] = 84456,
  [SMALL_STATE(3877)] = 84517,
  [SMALL_STATE(3878)] = 84574,
  [SMALL_STATE(3879)] = 84643,
  [SMALL_STATE(3880)] = 84736,
  [SMALL_STATE(3881)] = 84839,
  [SMALL_STATE(3882)] = 84942,
  [SMALL_STATE(3883)] = 84999,
  [SMALL_STATE(3884)] = 85102,
  [SMALL_STATE(3885)] = 85205,
  [SMALL_STATE(3886)] = 85308,
  [SMALL_STATE(3887)] = 85411,
  [SMALL_STATE(3888)] = 85480,
  [SMALL_STATE(3889)] = 85583,
  [SMALL_STATE(3890)] = 85642,
  [SMALL_STATE(3891)] = 85701,
  [SMALL_STATE(3892)] = 85804,
  [SMALL_STATE(3893)] = 85907,
  [SMALL_STATE(3894)] = 86010,
  [SMALL_STATE(3895)] = 86113,
  [SMALL_STATE(3896)] = 86216,
  [SMALL_STATE(3897)] = 86319,
  [SMALL_STATE(3898)] = 86422,
  [SMALL_STATE(3899)] = 86525,
  [SMALL_STATE(3900)] = 86628,
  [SMALL_STATE(3901)] = 86731,
  [SMALL_STATE(3902)] = 86834,
  [SMALL_STATE(3903)] = 86937,
  [SMALL_STATE(3904)] = 87040,
  [SMALL_STATE(3905)] = 87143,
  [SMALL_STATE(3906)] = 87246,
  [SMALL_STATE(3907)] = 87349,
  [SMALL_STATE(3908)] = 87452,
  [SMALL_STATE(3909)] = 87555,
  [SMALL_STATE(3910)] = 87658,
  [SMALL_STATE(3911)] = 87761,
  [SMALL_STATE(3912)] = 87864,
  [SMALL_STATE(3913)] = 87967,
  [SMALL_STATE(3914)] = 88070,
  [SMALL_STATE(3915)] = 88163,
  [SMALL_STATE(3916)] = 88220,
  [SMALL_STATE(3917)] = 88277,
  [SMALL_STATE(3918)] = 88380,
  [SMALL_STATE(3919)] = 88437,
  [SMALL_STATE(3920)] = 88498,
  [SMALL_STATE(3921)] = 88601,
  [SMALL_STATE(3922)] = 88658,
  [SMALL_STATE(3923)] = 88761,
  [SMALL_STATE(3924)] = 88824,
  [SMALL_STATE(3925)] = 88927,
  [SMALL_STATE(3926)] = 88984,
  [SMALL_STATE(3927)] = 89087,
  [SMALL_STATE(3928)] = 89190,
  [SMALL_STATE(3929)] = 89293,
  [SMALL_STATE(3930)] = 89350,
  [SMALL_STATE(3931)] = 89453,
  [SMALL_STATE(3932)] = 89556,
  [SMALL_STATE(3933)] = 89659,
  [SMALL_STATE(3934)] = 89716,
  [SMALL_STATE(3935)] = 89819,
  [SMALL_STATE(3936)] = 89922,
  [SMALL_STATE(3937)] = 90025,
  [SMALL_STATE(3938)] = 90082,
  [SMALL_STATE(3939)] = 90185,
  [SMALL_STATE(3940)] = 90241,
  [SMALL_STATE(3941)] = 90297,
  [SMALL_STATE(3942)] = 90353,
  [SMALL_STATE(3943)] = 90409,
  [SMALL_STATE(3944)] = 90509,
  [SMALL_STATE(3945)] = 90565,
  [SMALL_STATE(3946)] = 90621,
  [SMALL_STATE(3947)] = 90693,
  [SMALL_STATE(3948)] = 90763,
  [SMALL_STATE(3949)] = 90819,
  [SMALL_STATE(3950)] = 90875,
  [SMALL_STATE(3951)] = 90975,
  [SMALL_STATE(3952)] = 91031,
  [SMALL_STATE(3953)] = 91131,
  [SMALL_STATE(3954)] = 91231,
  [SMALL_STATE(3955)] = 91287,
  [SMALL_STATE(3956)] = 91387,
  [SMALL_STATE(3957)] = 91443,
  [SMALL_STATE(3958)] = 91499,
  [SMALL_STATE(3959)] = 91599,
  [SMALL_STATE(3960)] = 91655,
  [SMALL_STATE(3961)] = 91711,
  [SMALL_STATE(3962)] = 91811,
  [SMALL_STATE(3963)] = 91903,
  [SMALL_STATE(3964)] = 91959,
  [SMALL_STATE(3965)] = 92027,
  [SMALL_STATE(3966)] = 92083,
  [SMALL_STATE(3967)] = 92139,
  [SMALL_STATE(3968)] = 92231,
  [SMALL_STATE(3969)] = 92331,
  [SMALL_STATE(3970)] = 92387,
  [SMALL_STATE(3971)] = 92443,
  [SMALL_STATE(3972)] = 92499,
  [SMALL_STATE(3973)] = 92555,
  [SMALL_STATE(3974)] = 92611,
  [SMALL_STATE(3975)] = 92667,
  [SMALL_STATE(3976)] = 92729,
  [SMALL_STATE(3977)] = 92785,
  [SMALL_STATE(3978)] = 92847,
  [SMALL_STATE(3979)] = 92905,
  [SMALL_STATE(3980)] = 92961,
  [SMALL_STATE(3981)] = 93075,
  [SMALL_STATE(3982)] = 93131,
  [SMALL_STATE(3983)] = 93231,
  [SMALL_STATE(3984)] = 93287,
  [SMALL_STATE(3985)] = 93401,
  [SMALL_STATE(3986)] = 93457,
  [SMALL_STATE(3987)] = 93513,
  [SMALL_STATE(3988)] = 93585,
  [SMALL_STATE(3989)] = 93641,
  [SMALL_STATE(3990)] = 93697,
  [SMALL_STATE(3991)] = 93753,
  [SMALL_STATE(3992)] = 93853,
  [SMALL_STATE(3993)] = 93923,
  [SMALL_STATE(3994)] = 93995,
  [SMALL_STATE(3995)] = 94051,
  [SMALL_STATE(3996)] = 94107,
  [SMALL_STATE(3997)] = 94179,
  [SMALL_STATE(3998)] = 94235,
  [SMALL_STATE(3999)] = 94291,
  [SMALL_STATE(4000)] = 94347,
  [SMALL_STATE(4001)] = 94403,
  [SMALL_STATE(4002)] = 94459,
  [SMALL_STATE(4003)] = 94515,
  [SMALL_STATE(4004)] = 94571,
  [SMALL_STATE(4005)] = 94627,
  [SMALL_STATE(4006)] = 94683,
  [SMALL_STATE(4007)] = 94739,
  [SMALL_STATE(4008)] = 94795,
  [SMALL_STATE(4009)] = 94851,
  [SMALL_STATE(4010)] = 94919,
  [SMALL_STATE(4011)] = 95011,
  [SMALL_STATE(4012)] = 95111,
  [SMALL_STATE(4013)] = 95203,
  [SMALL_STATE(4014)] = 95259,
  [SMALL_STATE(4015)] = 95359,
  [SMALL_STATE(4016)] = 95415,
  [SMALL_STATE(4017)] = 95471,
  [SMALL_STATE(4018)] = 95571,
  [SMALL_STATE(4019)] = 95635,
  [SMALL_STATE(4020)] = 95691,
  [SMALL_STATE(4021)] = 95747,
  [SMALL_STATE(4022)] = 95847,
  [SMALL_STATE(4023)] = 95903,
  [SMALL_STATE(4024)] = 95973,
  [SMALL_STATE(4025)] = 96029,
  [SMALL_STATE(4026)] = 96085,
  [SMALL_STATE(4027)] = 96141,
  [SMALL_STATE(4028)] = 96201,
  [SMALL_STATE(4029)] = 96271,
  [SMALL_STATE(4030)] = 96327,
  [SMALL_STATE(4031)] = 96383,
  [SMALL_STATE(4032)] = 96439,
  [SMALL_STATE(4033)] = 96495,
  [SMALL_STATE(4034)] = 96551,
  [SMALL_STATE(4035)] = 96607,
  [SMALL_STATE(4036)] = 96663,
  [SMALL_STATE(4037)] = 96763,
  [SMALL_STATE(4038)] = 96827,
  [SMALL_STATE(4039)] = 96883,
  [SMALL_STATE(4040)] = 96939,
  [SMALL_STATE(4041)] = 96995,
  [SMALL_STATE(4042)] = 97051,
  [SMALL_STATE(4043)] = 97107,
  [SMALL_STATE(4044)] = 97163,
  [SMALL_STATE(4045)] = 97218,
  [SMALL_STATE(4046)] = 97311,
  [SMALL_STATE(4047)] = 97366,
  [SMALL_STATE(4048)] = 97459,
  [SMALL_STATE(4049)] = 97514,
  [SMALL_STATE(4050)] = 97569,
  [SMALL_STATE(4051)] = 97624,
  [SMALL_STATE(4052)] = 97679,
  [SMALL_STATE(4053)] = 97772,
  [SMALL_STATE(4054)] = 97827,
  [SMALL_STATE(4055)] = 97882,
  [SMALL_STATE(4056)] = 97975,
  [SMALL_STATE(4057)] = 98068,
  [SMALL_STATE(4058)] = 98123,
  [SMALL_STATE(4059)] = 98216,
  [SMALL_STATE(4060)] = 98271,
  [SMALL_STATE(4061)] = 98364,
  [SMALL_STATE(4062)] = 98419,
  [SMALL_STATE(4063)] = 98512,
  [SMALL_STATE(4064)] = 98605,
  [SMALL_STATE(4065)] = 98668,
  [SMALL_STATE(4066)] = 98731,
  [SMALL_STATE(4067)] = 98824,
  [SMALL_STATE(4068)] = 98879,
  [SMALL_STATE(4069)] = 98934,
  [SMALL_STATE(4070)] = 98989,
  [SMALL_STATE(4071)] = 99044,
  [SMALL_STATE(4072)] = 99099,
  [SMALL_STATE(4073)] = 99154,
  [SMALL_STATE(4074)] = 99209,
  [SMALL_STATE(4075)] = 99264,
  [SMALL_STATE(4076)] = 99319,
  [SMALL_STATE(4077)] = 99406,
  [SMALL_STATE(4078)] = 99461,
  [SMALL_STATE(4079)] = 99516,
  [SMALL_STATE(4080)] = 99571,
  [SMALL_STATE(4081)] = 99664,
  [SMALL_STATE(4082)] = 99757,
  [SMALL_STATE(4083)] = 99844,
  [SMALL_STATE(4084)] = 99937,
  [SMALL_STATE(4085)] = 99992,
  [SMALL_STATE(4086)] = 100047,
  [SMALL_STATE(4087)] = 100110,
  [SMALL_STATE(4088)] = 100165,
  [SMALL_STATE(4089)] = 100258,
  [SMALL_STATE(4090)] = 100313,
  [SMALL_STATE(4091)] = 100368,
  [SMALL_STATE(4092)] = 100423,
  [SMALL_STATE(4093)] = 100516,
  [SMALL_STATE(4094)] = 100571,
  [SMALL_STATE(4095)] = 100626,
  [SMALL_STATE(4096)] = 100719,
  [SMALL_STATE(4097)] = 100774,
  [SMALL_STATE(4098)] = 100867,
  [SMALL_STATE(4099)] = 100960,
  [SMALL_STATE(4100)] = 101015,
  [SMALL_STATE(4101)] = 101082,
  [SMALL_STATE(4102)] = 101149,
  [SMALL_STATE(4103)] = 101204,
  [SMALL_STATE(4104)] = 101262,
  [SMALL_STATE(4105)] = 101352,
  [SMALL_STATE(4106)] = 101410,
  [SMALL_STATE(4107)] = 101480,
  [SMALL_STATE(4108)] = 101544,
  [SMALL_STATE(4109)] = 101602,
  [SMALL_STATE(4110)] = 101662,
  [SMALL_STATE(4111)] = 101752,
  [SMALL_STATE(4112)] = 101812,
  [SMALL_STATE(4113)] = 101870,
  [SMALL_STATE(4114)] = 101960,
  [SMALL_STATE(4115)] = 102030,
  [SMALL_STATE(4116)] = 102120,
  [SMALL_STATE(4117)] = 102178,
  [SMALL_STATE(4118)] = 102236,
  [SMALL_STATE(4119)] = 102294,
  [SMALL_STATE(4120)] = 102364,
  [SMALL_STATE(4121)] = 102454,
  [SMALL_STATE(4122)] = 102514,
  [SMALL_STATE(4123)] = 102572,
  [SMALL_STATE(4124)] = 102662,
  [SMALL_STATE(4125)] = 102722,
  [SMALL_STATE(4126)] = 102812,
  [SMALL_STATE(4127)] = 102870,
  [SMALL_STATE(4128)] = 102928,
  [SMALL_STATE(4129)] = 103018,
  [SMALL_STATE(4130)] = 103076,
  [SMALL_STATE(4131)] = 103146,
  [SMALL_STATE(4132)] = 103204,
  [SMALL_STATE(4133)] = 103263,
  [SMALL_STATE(4134)] = 103352,
  [SMALL_STATE(4135)] = 103405,
  [SMALL_STATE(4136)] = 103494,
  [SMALL_STATE(4137)] = 103583,
  [SMALL_STATE(4138)] = 103672,
  [SMALL_STATE(4139)] = 103761,
  [SMALL_STATE(4140)] = 103814,
  [SMALL_STATE(4141)] = 103881,
  [SMALL_STATE(4142)] = 103970,
  [SMALL_STATE(4143)] = 104023,
  [SMALL_STATE(4144)] = 104112,
  [SMALL_STATE(4145)] = 104201,
  [SMALL_STATE(4146)] = 104290,
  [SMALL_STATE(4147)] = 104343,
  [SMALL_STATE(4148)] = 104432,
  [SMALL_STATE(4149)] = 104521,
  [SMALL_STATE(4150)] = 104610,
  [SMALL_STATE(4151)] = 104669,
  [SMALL_STATE(4152)] = 104722,
  [SMALL_STATE(4153)] = 104811,
  [SMALL_STATE(4154)] = 104900,
  [SMALL_STATE(4155)] = 104955,
  [SMALL_STATE(4156)] = 105044,
  [SMALL_STATE(4157)] = 105133,
  [SMALL_STATE(4158)] = 105222,
  [SMALL_STATE(4159)] = 105275,
  [SMALL_STATE(4160)] = 105364,
  [SMALL_STATE(4161)] = 105463,
  [SMALL_STATE(4162)] = 105552,
  [SMALL_STATE(4163)] = 105641,
  [SMALL_STATE(4164)] = 105694,
  [SMALL_STATE(4165)] = 105783,
  [SMALL_STATE(4166)] = 105842,
  [SMALL_STATE(4167)] = 105895,
  [SMALL_STATE(4168)] = 105948,
  [SMALL_STATE(4169)] = 106001,
  [SMALL_STATE(4170)] = 106090,
  [SMALL_STATE(4171)] = 106179,
  [SMALL_STATE(4172)] = 106268,
  [SMALL_STATE(4173)] = 106335,
  [SMALL_STATE(4174)] = 106388,
  [SMALL_STATE(4175)] = 106477,
  [SMALL_STATE(4176)] = 106566,
  [SMALL_STATE(4177)] = 106655,
  [SMALL_STATE(4178)] = 106744,
  [SMALL_STATE(4179)] = 106833,
  [SMALL_STATE(4180)] = 106922,
  [SMALL_STATE(4181)] = 106974,
  [SMALL_STATE(4182)] = 107026,
  [SMALL_STATE(4183)] = 107094,
  [SMALL_STATE(4184)] = 107146,
  [SMALL_STATE(4185)] = 107198,
  [SMALL_STATE(4186)] = 107286,
  [SMALL_STATE(4187)] = 107370,
  [SMALL_STATE(4188)] = 107448,
  [SMALL_STATE(4189)] = 107500,
  [SMALL_STATE(4190)] = 107552,
  [SMALL_STATE(4191)] = 107630,
  [SMALL_STATE(4192)] = 107682,
  [SMALL_STATE(4193)] = 107734,
  [SMALL_STATE(4194)] = 107792,
  [SMALL_STATE(4195)] = 107870,
  [SMALL_STATE(4196)] = 107954,
  [SMALL_STATE(4197)] = 108006,
  [SMALL_STATE(4198)] = 108058,
  [SMALL_STATE(4199)] = 108122,
  [SMALL_STATE(4200)] = 108174,
  [SMALL_STATE(4201)] = 108226,
  [SMALL_STATE(4202)] = 108294,
  [SMALL_STATE(4203)] = 108362,
  [SMALL_STATE(4204)] = 108414,
  [SMALL_STATE(4205)] = 108466,
  [SMALL_STATE(4206)] = 108518,
  [SMALL_STATE(4207)] = 108570,
  [SMALL_STATE(4208)] = 108622,
  [SMALL_STATE(4209)] = 108674,
  [SMALL_STATE(4210)] = 108726,
  [SMALL_STATE(4211)] = 108778,
  [SMALL_STATE(4212)] = 108846,
  [SMALL_STATE(4213)] = 108898,
  [SMALL_STATE(4214)] = 108950,
  [SMALL_STATE(4215)] = 109002,
  [SMALL_STATE(4216)] = 109054,
  [SMALL_STATE(4217)] = 109106,
  [SMALL_STATE(4218)] = 109194,
  [SMALL_STATE(4219)] = 109246,
  [SMALL_STATE(4220)] = 109298,
  [SMALL_STATE(4221)] = 109356,
  [SMALL_STATE(4222)] = 109408,
  [SMALL_STATE(4223)] = 109486,
  [SMALL_STATE(4224)] = 109538,
  [SMALL_STATE(4225)] = 109590,
  [SMALL_STATE(4226)] = 109654,
  [SMALL_STATE(4227)] = 109706,
  [SMALL_STATE(4228)] = 109758,
  [SMALL_STATE(4229)] = 109809,
  [SMALL_STATE(4230)] = 109876,
  [SMALL_STATE(4231)] = 109961,
  [SMALL_STATE(4232)] = 110028,
  [SMALL_STATE(4233)] = 110113,
  [SMALL_STATE(4234)] = 110216,
  [SMALL_STATE(4235)] = 110299,
  [SMALL_STATE(4236)] = 110390,
  [SMALL_STATE(4237)] = 110475,
  [SMALL_STATE(4238)] = 110560,
  [SMALL_STATE(4239)] = 110645,
  [SMALL_STATE(4240)] = 110728,
  [SMALL_STATE(4241)] = 110813,
  [SMALL_STATE(4242)] = 110886,
  [SMALL_STATE(4243)] = 110985,
  [SMALL_STATE(4244)] = 111068,
  [SMALL_STATE(4245)] = 111155,
  [SMALL_STATE(4246)] = 111248,
  [SMALL_STATE(4247)] = 111351,
  [SMALL_STATE(4248)] = 111440,
  [SMALL_STATE(4249)] = 111501,
  [SMALL_STATE(4250)] = 111588,
  [SMALL_STATE(4251)] = 111649,
  [SMALL_STATE(4252)] = 111736,
  [SMALL_STATE(4253)] = 111805,
  [SMALL_STATE(4254)] = 111872,
  [SMALL_STATE(4255)] = 111975,
  [SMALL_STATE(4256)] = 112054,
  [SMALL_STATE(4257)] = 112153,
  [SMALL_STATE(4258)] = 112240,
  [SMALL_STATE(4259)] = 112339,
  [SMALL_STATE(4260)] = 112424,
  [SMALL_STATE(4261)] = 112509,
  [SMALL_STATE(4262)] = 112594,
  [SMALL_STATE(4263)] = 112669,
  [SMALL_STATE(4264)] = 112768,
  [SMALL_STATE(4265)] = 112851,
  [SMALL_STATE(4266)] = 112946,
  [SMALL_STATE(4267)] = 113017,
  [SMALL_STATE(4268)] = 113116,
  [SMALL_STATE(4269)] = 113167,
  [SMALL_STATE(4270)] = 113234,
  [SMALL_STATE(4271)] = 113285,
  [SMALL_STATE(4272)] = 113368,
  [SMALL_STATE(4273)] = 113471,
  [SMALL_STATE(4274)] = 113523,
  [SMALL_STATE(4275)] = 113581,
  [SMALL_STATE(4276)] = 113637,
  [SMALL_STATE(4277)] = 113723,
  [SMALL_STATE(4278)] = 113773,
  [SMALL_STATE(4279)] = 113829,
  [SMALL_STATE(4280)] = 113915,
  [SMALL_STATE(4281)] = 113971,
  [SMALL_STATE(4282)] = 114025,
  [SMALL_STATE(4283)] = 114085,
  [SMALL_STATE(4284)] = 114171,
  [SMALL_STATE(4285)] = 114231,
  [SMALL_STATE(4286)] = 114287,
  [SMALL_STATE(4287)] = 114343,
  [SMALL_STATE(4288)] = 114403,
  [SMALL_STATE(4289)] = 114463,
  [SMALL_STATE(4290)] = 114549,
  [SMALL_STATE(4291)] = 114598,
  [SMALL_STATE(4292)] = 114651,
  [SMALL_STATE(4293)] = 114700,
  [SMALL_STATE(4294)] = 114749,
  [SMALL_STATE(4295)] = 114824,
  [SMALL_STATE(4296)] = 114873,
  [SMALL_STATE(4297)] = 114922,
  [SMALL_STATE(4298)] = 114971,
  [SMALL_STATE(4299)] = 115020,
  [SMALL_STATE(4300)] = 115075,
  [SMALL_STATE(4301)] = 115178,
  [SMALL_STATE(4302)] = 115233,
  [SMALL_STATE(4303)] = 115314,
  [SMALL_STATE(4304)] = 115373,
  [SMALL_STATE(4305)] = 115432,
  [SMALL_STATE(4306)] = 115507,
  [SMALL_STATE(4307)] = 115556,
  [SMALL_STATE(4308)] = 115605,
  [SMALL_STATE(4309)] = 115708,
  [SMALL_STATE(4310)] = 115759,
  [SMALL_STATE(4311)] = 115840,
  [SMALL_STATE(4312)] = 115889,
  [SMALL_STATE(4313)] = 115970,
  [SMALL_STATE(4314)] = 116061,
  [SMALL_STATE(4315)] = 116142,
  [SMALL_STATE(4316)] = 116195,
  [SMALL_STATE(4317)] = 116244,
  [SMALL_STATE(4318)] = 116347,
  [SMALL_STATE(4319)] = 116396,
  [SMALL_STATE(4320)] = 116477,
  [SMALL_STATE(4321)] = 116526,
  [SMALL_STATE(4322)] = 116575,
  [SMALL_STATE(4323)] = 116632,
  [SMALL_STATE(4324)] = 116713,
  [SMALL_STATE(4325)] = 116768,
  [SMALL_STATE(4326)] = 116817,
  [SMALL_STATE(4327)] = 116866,
  [SMALL_STATE(4328)] = 116925,
  [SMALL_STATE(4329)] = 116974,
  [SMALL_STATE(4330)] = 117049,
  [SMALL_STATE(4331)] = 117098,
  [SMALL_STATE(4332)] = 117147,
  [SMALL_STATE(4333)] = 117238,
  [SMALL_STATE(4334)] = 117295,
  [SMALL_STATE(4335)] = 117370,
  [SMALL_STATE(4336)] = 117421,
  [SMALL_STATE(4337)] = 117474,
  [SMALL_STATE(4338)] = 117555,
  [SMALL_STATE(4339)] = 117614,
  [SMALL_STATE(4340)] = 117695,
  [SMALL_STATE(4341)] = 117749,
  [SMALL_STATE(4342)] = 117831,
  [SMALL_STATE(4343)] = 117909,
  [SMALL_STATE(4344)] = 117975,
  [SMALL_STATE(4345)] = 118075,
  [SMALL_STATE(4346)] = 118127,
  [SMALL_STATE(4347)] = 118203,
  [SMALL_STATE(4348)] = 118293,
  [SMALL_STATE(4349)] = 118345,
  [SMALL_STATE(4350)] = 118439,
  [SMALL_STATE(4351)] = 118513,
  [SMALL_STATE(4352)] = 118597,
  [SMALL_STATE(4353)] = 118649,
  [SMALL_STATE(4354)] = 118701,
  [SMALL_STATE(4355)] = 118785,
  [SMALL_STATE(4356)] = 118859,
  [SMALL_STATE(4357)] = 118933,
  [SMALL_STATE(4358)] = 118985,
  [SMALL_STATE(4359)] = 119075,
  [SMALL_STATE(4360)] = 119149,
  [SMALL_STATE(4361)] = 119203,
  [SMALL_STATE(4362)] = 119287,
  [SMALL_STATE(4363)] = 119361,
  [SMALL_STATE(4364)] = 119449,
  [SMALL_STATE(4365)] = 119497,
  [SMALL_STATE(4366)] = 119577,
  [SMALL_STATE(4367)] = 119667,
  [SMALL_STATE(4368)] = 119719,
  [SMALL_STATE(4369)] = 119819,
  [SMALL_STATE(4370)] = 119887,
  [SMALL_STATE(4371)] = 119957,
  [SMALL_STATE(4372)] = 120009,
  [SMALL_STATE(4373)] = 120103,
  [SMALL_STATE(4374)] = 120197,
  [SMALL_STATE(4375)] = 120271,
  [SMALL_STATE(4376)] = 120345,
  [SMALL_STATE(4377)] = 120435,
  [SMALL_STATE(4378)] = 120521,
  [SMALL_STATE(4379)] = 120573,
  [SMALL_STATE(4380)] = 120663,
  [SMALL_STATE(4381)] = 120735,
  [SMALL_STATE(4382)] = 120787,
  [SMALL_STATE(4383)] = 120867,
  [SMALL_STATE(4384)] = 120915,
  [SMALL_STATE(4385)] = 120967,
  [SMALL_STATE(4386)] = 121041,
  [SMALL_STATE(4387)] = 121090,
  [SMALL_STATE(4388)] = 121183,
  [SMALL_STATE(4389)] = 121240,
  [SMALL_STATE(4390)] = 121337,
  [SMALL_STATE(4391)] = 121434,
  [SMALL_STATE(4392)] = 121529,
  [SMALL_STATE(4393)] = 121582,
  [SMALL_STATE(4394)] = 121639,
  [SMALL_STATE(4395)] = 121692,
  [SMALL_STATE(4396)] = 121743,
  [SMALL_STATE(4397)] = 121794,
  [SMALL_STATE(4398)] = 121845,
  [SMALL_STATE(4399)] = 121896,
  [SMALL_STATE(4400)] = 121947,
  [SMALL_STATE(4401)] = 121998,
  [SMALL_STATE(4402)] = 122049,
  [SMALL_STATE(4403)] = 122100,
  [SMALL_STATE(4404)] = 122153,
  [SMALL_STATE(4405)] = 122250,
  [SMALL_STATE(4406)] = 122303,
  [SMALL_STATE(4407)] = 122400,
  [SMALL_STATE(4408)] = 122497,
  [SMALL_STATE(4409)] = 122544,
  [SMALL_STATE(4410)] = 122633,
  [SMALL_STATE(4411)] = 122730,
  [SMALL_STATE(4412)] = 122827,
  [SMALL_STATE(4413)] = 122924,
  [SMALL_STATE(4414)] = 123017,
  [SMALL_STATE(4415)] = 123082,
  [SMALL_STATE(4416)] = 123169,
  [SMALL_STATE(4417)] = 123254,
  [SMALL_STATE(4418)] = 123337,
  [SMALL_STATE(4419)] = 123418,
  [SMALL_STATE(4420)] = 123495,
  [SMALL_STATE(4421)] = 123570,
  [SMALL_STATE(4422)] = 123641,
  [SMALL_STATE(4423)] = 123708,
  [SMALL_STATE(4424)] = 123805,
  [SMALL_STATE(4425)] = 123874,
  [SMALL_STATE(4426)] = 123963,
  [SMALL_STATE(4427)] = 124060,
  [SMALL_STATE(4428)] = 124153,
  [SMALL_STATE(4429)] = 124242,
  [SMALL_STATE(4430)] = 124335,
  [SMALL_STATE(4431)] = 124414,
  [SMALL_STATE(4432)] = 124511,
  [SMALL_STATE(4433)] = 124568,
  [SMALL_STATE(4434)] = 124665,
  [SMALL_STATE(4435)] = 124728,
  [SMALL_STATE(4436)] = 124825,
  [SMALL_STATE(4437)] = 124872,
  [SMALL_STATE(4438)] = 124919,
  [SMALL_STATE(4439)] = 125016,
  [SMALL_STATE(4440)] = 125113,
  [SMALL_STATE(4441)] = 125210,
  [SMALL_STATE(4442)] = 125307,
  [SMALL_STATE(4443)] = 125404,
  [SMALL_STATE(4444)] = 125501,
  [SMALL_STATE(4445)] = 125598,
  [SMALL_STATE(4446)] = 125695,
  [SMALL_STATE(4447)] = 125792,
  [SMALL_STATE(4448)] = 125889,
  [SMALL_STATE(4449)] = 125986,
  [SMALL_STATE(4450)] = 126083,
  [SMALL_STATE(4451)] = 126180,
  [SMALL_STATE(4452)] = 126277,
  [SMALL_STATE(4453)] = 126334,
  [SMALL_STATE(4454)] = 126413,
  [SMALL_STATE(4455)] = 126510,
  [SMALL_STATE(4456)] = 126607,
  [SMALL_STATE(4457)] = 126704,
  [SMALL_STATE(4458)] = 126801,
  [SMALL_STATE(4459)] = 126898,
  [SMALL_STATE(4460)] = 126995,
  [SMALL_STATE(4461)] = 127092,
  [SMALL_STATE(4462)] = 127189,
  [SMALL_STATE(4463)] = 127286,
  [SMALL_STATE(4464)] = 127383,
  [SMALL_STATE(4465)] = 127480,
  [SMALL_STATE(4466)] = 127577,
  [SMALL_STATE(4467)] = 127674,
  [SMALL_STATE(4468)] = 127771,
  [SMALL_STATE(4469)] = 127868,
  [SMALL_STATE(4470)] = 127965,
  [SMALL_STATE(4471)] = 128062,
  [SMALL_STATE(4472)] = 128159,
  [SMALL_STATE(4473)] = 128256,
  [SMALL_STATE(4474)] = 128353,
  [SMALL_STATE(4475)] = 128450,
  [SMALL_STATE(4476)] = 128547,
  [SMALL_STATE(4477)] = 128644,
  [SMALL_STATE(4478)] = 128741,
  [SMALL_STATE(4479)] = 128838,
  [SMALL_STATE(4480)] = 128935,
  [SMALL_STATE(4481)] = 129032,
  [SMALL_STATE(4482)] = 129129,
  [SMALL_STATE(4483)] = 129226,
  [SMALL_STATE(4484)] = 129323,
  [SMALL_STATE(4485)] = 129420,
  [SMALL_STATE(4486)] = 129509,
  [SMALL_STATE(4487)] = 129556,
  [SMALL_STATE(4488)] = 129645,
  [SMALL_STATE(4489)] = 129742,
  [SMALL_STATE(4490)] = 129839,
  [SMALL_STATE(4491)] = 129896,
  [SMALL_STATE(4492)] = 129989,
  [SMALL_STATE(4493)] = 130086,
  [SMALL_STATE(4494)] = 130181,
  [SMALL_STATE(4495)] = 130228,
  [SMALL_STATE(4496)] = 130325,
  [SMALL_STATE(4497)] = 130405,
  [SMALL_STATE(4498)] = 130499,
  [SMALL_STATE(4499)] = 130545,
  [SMALL_STATE(4500)] = 130639,
  [SMALL_STATE(4501)] = 130687,
  [SMALL_STATE(4502)] = 130737,
  [SMALL_STATE(4503)] = 130829,
  [SMALL_STATE(4504)] = 130923,
  [SMALL_STATE(4505)] = 131017,
  [SMALL_STATE(4506)] = 131071,
  [SMALL_STATE(4507)] = 131165,
  [SMALL_STATE(4508)] = 131253,
  [SMALL_STATE(4509)] = 131347,
  [SMALL_STATE(4510)] = 131409,
  [SMALL_STATE(4511)] = 131503,
  [SMALL_STATE(4512)] = 131597,
  [SMALL_STATE(4513)] = 131689,
  [SMALL_STATE(4514)] = 131743,
  [SMALL_STATE(4515)] = 131801,
  [SMALL_STATE(4516)] = 131889,
  [SMALL_STATE(4517)] = 131961,
  [SMALL_STATE(4518)] = 132033,
  [SMALL_STATE(4519)] = 132105,
  [SMALL_STATE(4520)] = 132177,
  [SMALL_STATE(4521)] = 132269,
  [SMALL_STATE(4522)] = 132333,
  [SMALL_STATE(4523)] = 132427,
  [SMALL_STATE(4524)] = 132487,
  [SMALL_STATE(4525)] = 132581,
  [SMALL_STATE(4526)] = 132667,
  [SMALL_STATE(4527)] = 132739,
  [SMALL_STATE(4528)] = 132823,
  [SMALL_STATE(4529)] = 132905,
  [SMALL_STATE(4530)] = 132981,
  [SMALL_STATE(4531)] = 133075,
  [SMALL_STATE(4532)] = 133147,
  [SMALL_STATE(4533)] = 133219,
  [SMALL_STATE(4534)] = 133313,
  [SMALL_STATE(4535)] = 133405,
  [SMALL_STATE(4536)] = 133479,
  [SMALL_STATE(4537)] = 133551,
  [SMALL_STATE(4538)] = 133623,
  [SMALL_STATE(4539)] = 133695,
  [SMALL_STATE(4540)] = 133773,
  [SMALL_STATE(4541)] = 133845,
  [SMALL_STATE(4542)] = 133917,
  [SMALL_STATE(4543)] = 133989,
  [SMALL_STATE(4544)] = 134055,
  [SMALL_STATE(4545)] = 134147,
  [SMALL_STATE(4546)] = 134241,
  [SMALL_STATE(4547)] = 134335,
  [SMALL_STATE(4548)] = 134427,
  [SMALL_STATE(4549)] = 134519,
  [SMALL_STATE(4550)] = 134591,
  [SMALL_STATE(4551)] = 134661,
  [SMALL_STATE(4552)] = 134753,
  [SMALL_STATE(4553)] = 134845,
  [SMALL_STATE(4554)] = 134939,
  [SMALL_STATE(4555)] = 135011,
  [SMALL_STATE(4556)] = 135083,
  [SMALL_STATE(4557)] = 135175,
  [SMALL_STATE(4558)] = 135235,
  [SMALL_STATE(4559)] = 135307,
  [SMALL_STATE(4560)] = 135399,
  [SMALL_STATE(4561)] = 135493,
  [SMALL_STATE(4562)] = 135587,
  [SMALL_STATE(4563)] = 135639,
  [SMALL_STATE(4564)] = 135733,
  [SMALL_STATE(4565)] = 135827,
  [SMALL_STATE(4566)] = 135887,
  [SMALL_STATE(4567)] = 135981,
  [SMALL_STATE(4568)] = 136075,
  [SMALL_STATE(4569)] = 136135,
  [SMALL_STATE(4570)] = 136223,
  [SMALL_STATE(4571)] = 136317,
  [SMALL_STATE(4572)] = 136403,
  [SMALL_STATE(4573)] = 136489,
  [SMALL_STATE(4574)] = 136547,
  [SMALL_STATE(4575)] = 136641,
  [SMALL_STATE(4576)] = 136735,
  [SMALL_STATE(4577)] = 136829,
  [SMALL_STATE(4578)] = 136921,
  [SMALL_STATE(4579)] = 137015,
  [SMALL_STATE(4580)] = 137103,
  [SMALL_STATE(4581)] = 137181,
  [SMALL_STATE(4582)] = 137267,
  [SMALL_STATE(4583)] = 137359,
  [SMALL_STATE(4584)] = 137405,
  [SMALL_STATE(4585)] = 137451,
  [SMALL_STATE(4586)] = 137497,
  [SMALL_STATE(4587)] = 137543,
  [SMALL_STATE(4588)] = 137589,
  [SMALL_STATE(4589)] = 137635,
  [SMALL_STATE(4590)] = 137681,
  [SMALL_STATE(4591)] = 137729,
  [SMALL_STATE(4592)] = 137777,
  [SMALL_STATE(4593)] = 137825,
  [SMALL_STATE(4594)] = 137871,
  [SMALL_STATE(4595)] = 137917,
  [SMALL_STATE(4596)] = 138009,
  [SMALL_STATE(4597)] = 138097,
  [SMALL_STATE(4598)] = 138189,
  [SMALL_STATE(4599)] = 138281,
  [SMALL_STATE(4600)] = 138375,
  [SMALL_STATE(4601)] = 138439,
  [SMALL_STATE(4602)] = 138525,
  [SMALL_STATE(4603)] = 138609,
  [SMALL_STATE(4604)] = 138691,
  [SMALL_STATE(4605)] = 138771,
  [SMALL_STATE(4606)] = 138847,
  [SMALL_STATE(4607)] = 138921,
  [SMALL_STATE(4608)] = 138991,
  [SMALL_STATE(4609)] = 139057,
  [SMALL_STATE(4610)] = 139151,
  [SMALL_STATE(4611)] = 139219,
  [SMALL_STATE(4612)] = 139313,
  [SMALL_STATE(4613)] = 139401,
  [SMALL_STATE(4614)] = 139493,
  [SMALL_STATE(4615)] = 139581,
  [SMALL_STATE(4616)] = 139673,
  [SMALL_STATE(4617)] = 139721,
  [SMALL_STATE(4618)] = 139777,
  [SMALL_STATE(4619)] = 139871,
  [SMALL_STATE(4620)] = 139965,
  [SMALL_STATE(4621)] = 140059,
  [SMALL_STATE(4622)] = 140153,
  [SMALL_STATE(4623)] = 140247,
  [SMALL_STATE(4624)] = 140341,
  [SMALL_STATE(4625)] = 140435,
  [SMALL_STATE(4626)] = 140527,
  [SMALL_STATE(4627)] = 140621,
  [SMALL_STATE(4628)] = 140713,
  [SMALL_STATE(4629)] = 140807,
  [SMALL_STATE(4630)] = 140901,
  [SMALL_STATE(4631)] = 140989,
  [SMALL_STATE(4632)] = 141077,
  [SMALL_STATE(4633)] = 141165,
  [SMALL_STATE(4634)] = 141259,
  [SMALL_STATE(4635)] = 141319,
  [SMALL_STATE(4636)] = 141413,
  [SMALL_STATE(4637)] = 141473,
  [SMALL_STATE(4638)] = 141565,
  [SMALL_STATE(4639)] = 141657,
  [SMALL_STATE(4640)] = 141749,
  [SMALL_STATE(4641)] = 141837,
  [SMALL_STATE(4642)] = 141929,
  [SMALL_STATE(4643)] = 141993,
  [SMALL_STATE(4644)] = 142079,
  [SMALL_STATE(4645)] = 142163,
  [SMALL_STATE(4646)] = 142245,
  [SMALL_STATE(4647)] = 142325,
  [SMALL_STATE(4648)] = 142401,
  [SMALL_STATE(4649)] = 142475,
  [SMALL_STATE(4650)] = 142545,
  [SMALL_STATE(4651)] = 142611,
  [SMALL_STATE(4652)] = 142679,
  [SMALL_STATE(4653)] = 142767,
  [SMALL_STATE(4654)] = 142859,
  [SMALL_STATE(4655)] = 142947,
  [SMALL_STATE(4656)] = 143039,
  [SMALL_STATE(4657)] = 143127,
  [SMALL_STATE(4658)] = 143215,
  [SMALL_STATE(4659)] = 143273,
  [SMALL_STATE(4660)] = 143331,
  [SMALL_STATE(4661)] = 143391,
  [SMALL_STATE(4662)] = 143451,
  [SMALL_STATE(4663)] = 143509,
  [SMALL_STATE(4664)] = 143567,
  [SMALL_STATE(4665)] = 143661,
  [SMALL_STATE(4666)] = 143755,
  [SMALL_STATE(4667)] = 143849,
  [SMALL_STATE(4668)] = 143940,
  [SMALL_STATE(4669)] = 144031,
  [SMALL_STATE(4670)] = 144122,
  [SMALL_STATE(4671)] = 144213,
  [SMALL_STATE(4672)] = 144304,
  [SMALL_STATE(4673)] = 144377,
  [SMALL_STATE(4674)] = 144468,
  [SMALL_STATE(4675)] = 144545,
  [SMALL_STATE(4676)] = 144636,
  [SMALL_STATE(4677)] = 144727,
  [SMALL_STATE(4678)] = 144818,
  [SMALL_STATE(4679)] = 144909,
  [SMALL_STATE(4680)] = 145000,
  [SMALL_STATE(4681)] = 145091,
  [SMALL_STATE(4682)] = 145182,
  [SMALL_STATE(4683)] = 145273,
  [SMALL_STATE(4684)] = 145364,
  [SMALL_STATE(4685)] = 145455,
  [SMALL_STATE(4686)] = 145546,
  [SMALL_STATE(4687)] = 145637,
  [SMALL_STATE(4688)] = 145728,
  [SMALL_STATE(4689)] = 145819,
  [SMALL_STATE(4690)] = 145872,
  [SMALL_STATE(4691)] = 145917,
  [SMALL_STATE(4692)] = 146008,
  [SMALL_STATE(4693)] = 146099,
  [SMALL_STATE(4694)] = 146190,
  [SMALL_STATE(4695)] = 146281,
  [SMALL_STATE(4696)] = 146372,
  [SMALL_STATE(4697)] = 146463,
  [SMALL_STATE(4698)] = 146554,
  [SMALL_STATE(4699)] = 146645,
  [SMALL_STATE(4700)] = 146736,
  [SMALL_STATE(4701)] = 146827,
  [SMALL_STATE(4702)] = 146918,
  [SMALL_STATE(4703)] = 147009,
  [SMALL_STATE(4704)] = 147100,
  [SMALL_STATE(4705)] = 147191,
  [SMALL_STATE(4706)] = 147248,
  [SMALL_STATE(4707)] = 147339,
  [SMALL_STATE(4708)] = 147430,
  [SMALL_STATE(4709)] = 147521,
  [SMALL_STATE(4710)] = 147612,
  [SMALL_STATE(4711)] = 147703,
  [SMALL_STATE(4712)] = 147794,
  [SMALL_STATE(4713)] = 147841,
  [SMALL_STATE(4714)] = 147932,
  [SMALL_STATE(4715)] = 147985,
  [SMALL_STATE(4716)] = 148076,
  [SMALL_STATE(4717)] = 148167,
  [SMALL_STATE(4718)] = 148258,
  [SMALL_STATE(4719)] = 148349,
  [SMALL_STATE(4720)] = 148440,
  [SMALL_STATE(4721)] = 148491,
  [SMALL_STATE(4722)] = 148548,
  [SMALL_STATE(4723)] = 148631,
  [SMALL_STATE(4724)] = 148722,
  [SMALL_STATE(4725)] = 148777,
  [SMALL_STATE(4726)] = 148868,
  [SMALL_STATE(4727)] = 148913,
  [SMALL_STATE(4728)] = 149004,
  [SMALL_STATE(4729)] = 149095,
  [SMALL_STATE(4730)] = 149186,
  [SMALL_STATE(4731)] = 149267,
  [SMALL_STATE(4732)] = 149358,
  [SMALL_STATE(4733)] = 149449,
  [SMALL_STATE(4734)] = 149540,
  [SMALL_STATE(4735)] = 149631,
  [SMALL_STATE(4736)] = 149722,
  [SMALL_STATE(4737)] = 149813,
  [SMALL_STATE(4738)] = 149904,
  [SMALL_STATE(4739)] = 149995,
  [SMALL_STATE(4740)] = 150068,
  [SMALL_STATE(4741)] = 150159,
  [SMALL_STATE(4742)] = 150250,
  [SMALL_STATE(4743)] = 150301,
  [SMALL_STATE(4744)] = 150392,
  [SMALL_STATE(4745)] = 150483,
  [SMALL_STATE(4746)] = 150574,
  [SMALL_STATE(4747)] = 150665,
  [SMALL_STATE(4748)] = 150756,
  [SMALL_STATE(4749)] = 150847,
  [SMALL_STATE(4750)] = 150938,
  [SMALL_STATE(4751)] = 151011,
  [SMALL_STATE(4752)] = 151102,
  [SMALL_STATE(4753)] = 151175,
  [SMALL_STATE(4754)] = 151266,
  [SMALL_STATE(4755)] = 151339,
  [SMALL_STATE(4756)] = 151412,
  [SMALL_STATE(4757)] = 151485,
  [SMALL_STATE(4758)] = 151558,
  [SMALL_STATE(4759)] = 151649,
  [SMALL_STATE(4760)] = 151740,
  [SMALL_STATE(4761)] = 151811,
  [SMALL_STATE(4762)] = 151882,
  [SMALL_STATE(4763)] = 151953,
  [SMALL_STATE(4764)] = 152024,
  [SMALL_STATE(4765)] = 152115,
  [SMALL_STATE(4766)] = 152196,
  [SMALL_STATE(4767)] = 152269,
  [SMALL_STATE(4768)] = 152342,
  [SMALL_STATE(4769)] = 152433,
  [SMALL_STATE(4770)] = 152506,
  [SMALL_STATE(4771)] = 152583,
  [SMALL_STATE(4772)] = 152656,
  [SMALL_STATE(4773)] = 152729,
  [SMALL_STATE(4774)] = 152802,
  [SMALL_STATE(4775)] = 152883,
  [SMALL_STATE(4776)] = 152964,
  [SMALL_STATE(4777)] = 153055,
  [SMALL_STATE(4778)] = 153146,
  [SMALL_STATE(4779)] = 153227,
  [SMALL_STATE(4780)] = 153304,
  [SMALL_STATE(4781)] = 153349,
  [SMALL_STATE(4782)] = 153440,
  [SMALL_STATE(4783)] = 153521,
  [SMALL_STATE(4784)] = 153612,
  [SMALL_STATE(4785)] = 153703,
  [SMALL_STATE(4786)] = 153794,
  [SMALL_STATE(4787)] = 153885,
  [SMALL_STATE(4788)] = 153958,
  [SMALL_STATE(4789)] = 154031,
  [SMALL_STATE(4790)] = 154112,
  [SMALL_STATE(4791)] = 154203,
  [SMALL_STATE(4792)] = 154294,
  [SMALL_STATE(4793)] = 154367,
  [SMALL_STATE(4794)] = 154428,
  [SMALL_STATE(4795)] = 154519,
  [SMALL_STATE(4796)] = 154610,
  [SMALL_STATE(4797)] = 154701,
  [SMALL_STATE(4798)] = 154774,
  [SMALL_STATE(4799)] = 154865,
  [SMALL_STATE(4800)] = 154956,
  [SMALL_STATE(4801)] = 155047,
  [SMALL_STATE(4802)] = 155138,
  [SMALL_STATE(4803)] = 155211,
  [SMALL_STATE(4804)] = 155302,
  [SMALL_STATE(4805)] = 155393,
  [SMALL_STATE(4806)] = 155484,
  [SMALL_STATE(4807)] = 155557,
  [SMALL_STATE(4808)] = 155634,
  [SMALL_STATE(4809)] = 155725,
  [SMALL_STATE(4810)] = 155816,
  [SMALL_STATE(4811)] = 155907,
  [SMALL_STATE(4812)] = 155998,
  [SMALL_STATE(4813)] = 156089,
  [SMALL_STATE(4814)] = 156180,
  [SMALL_STATE(4815)] = 156271,
  [SMALL_STATE(4816)] = 156362,
  [SMALL_STATE(4817)] = 156435,
  [SMALL_STATE(4818)] = 156523,
  [SMALL_STATE(4819)] = 156571,
  [SMALL_STATE(4820)] = 156649,
  [SMALL_STATE(4821)] = 156693,
  [SMALL_STATE(4822)] = 156771,
  [SMALL_STATE(4823)] = 156815,
  [SMALL_STATE(4824)] = 156859,
  [SMALL_STATE(4825)] = 156903,
  [SMALL_STATE(4826)] = 156981,
  [SMALL_STATE(4827)] = 157059,
  [SMALL_STATE(4828)] = 157103,
  [SMALL_STATE(4829)] = 157181,
  [SMALL_STATE(4830)] = 157259,
  [SMALL_STATE(4831)] = 157337,
  [SMALL_STATE(4832)] = 157381,
  [SMALL_STATE(4833)] = 157465,
  [SMALL_STATE(4834)] = 157543,
  [SMALL_STATE(4835)] = 157587,
  [SMALL_STATE(4836)] = 157665,
  [SMALL_STATE(4837)] = 157743,
  [SMALL_STATE(4838)] = 157787,
  [SMALL_STATE(4839)] = 157835,
  [SMALL_STATE(4840)] = 157913,
  [SMALL_STATE(4841)] = 157961,
  [SMALL_STATE(4842)] = 158005,
  [SMALL_STATE(4843)] = 158083,
  [SMALL_STATE(4844)] = 158161,
  [SMALL_STATE(4845)] = 158209,
  [SMALL_STATE(4846)] = 158257,
  [SMALL_STATE(4847)] = 158327,
  [SMALL_STATE(4848)] = 158405,
  [SMALL_STATE(4849)] = 158449,
  [SMALL_STATE(4850)] = 158497,
  [SMALL_STATE(4851)] = 158575,
  [SMALL_STATE(4852)] = 158653,
  [SMALL_STATE(4853)] = 158701,
  [SMALL_STATE(4854)] = 158779,
  [SMALL_STATE(4855)] = 158831,
  [SMALL_STATE(4856)] = 158879,
  [SMALL_STATE(4857)] = 158923,
  [SMALL_STATE(4858)] = 158971,
  [SMALL_STATE(4859)] = 159015,
  [SMALL_STATE(4860)] = 159059,
  [SMALL_STATE(4861)] = 159107,
  [SMALL_STATE(4862)] = 159151,
  [SMALL_STATE(4863)] = 159229,
  [SMALL_STATE(4864)] = 159307,
  [SMALL_STATE(4865)] = 159351,
  [SMALL_STATE(4866)] = 159395,
  [SMALL_STATE(4867)] = 159465,
  [SMALL_STATE(4868)] = 159509,
  [SMALL_STATE(4869)] = 159553,
  [SMALL_STATE(4870)] = 159613,
  [SMALL_STATE(4871)] = 159657,
  [SMALL_STATE(4872)] = 159701,
  [SMALL_STATE(4873)] = 159779,
  [SMALL_STATE(4874)] = 159863,
  [SMALL_STATE(4875)] = 159941,
  [SMALL_STATE(4876)] = 159985,
  [SMALL_STATE(4877)] = 160029,
  [SMALL_STATE(4878)] = 160077,
  [SMALL_STATE(4879)] = 160121,
  [SMALL_STATE(4880)] = 160165,
  [SMALL_STATE(4881)] = 160213,
  [SMALL_STATE(4882)] = 160261,
  [SMALL_STATE(4883)] = 160305,
  [SMALL_STATE(4884)] = 160349,
  [SMALL_STATE(4885)] = 160395,
  [SMALL_STATE(4886)] = 160443,
  [SMALL_STATE(4887)] = 160495,
  [SMALL_STATE(4888)] = 160565,
  [SMALL_STATE(4889)] = 160613,
  [SMALL_STATE(4890)] = 160661,
  [SMALL_STATE(4891)] = 160739,
  [SMALL_STATE(4892)] = 160783,
  [SMALL_STATE(4893)] = 160827,
  [SMALL_STATE(4894)] = 160875,
  [SMALL_STATE(4895)] = 160923,
  [SMALL_STATE(4896)] = 160971,
  [SMALL_STATE(4897)] = 161015,
  [SMALL_STATE(4898)] = 161067,
  [SMALL_STATE(4899)] = 161111,
  [SMALL_STATE(4900)] = 161161,
  [SMALL_STATE(4901)] = 161205,
  [SMALL_STATE(4902)] = 161251,
  [SMALL_STATE(4903)] = 161303,
  [SMALL_STATE(4904)] = 161347,
  [SMALL_STATE(4905)] = 161395,
  [SMALL_STATE(4906)] = 161439,
  [SMALL_STATE(4907)] = 161483,
  [SMALL_STATE(4908)] = 161527,
  [SMALL_STATE(4909)] = 161571,
  [SMALL_STATE(4910)] = 161641,
  [SMALL_STATE(4911)] = 161689,
  [SMALL_STATE(4912)] = 161733,
  [SMALL_STATE(4913)] = 161776,
  [SMALL_STATE(4914)] = 161845,
  [SMALL_STATE(4915)] = 161914,
  [SMALL_STATE(4916)] = 161983,
  [SMALL_STATE(4917)] = 162052,
  [SMALL_STATE(4918)] = 162095,
  [SMALL_STATE(4919)] = 162138,
  [SMALL_STATE(4920)] = 162187,
  [SMALL_STATE(4921)] = 162256,
  [SMALL_STATE(4922)] = 162299,
  [SMALL_STATE(4923)] = 162346,
  [SMALL_STATE(4924)] = 162389,
  [SMALL_STATE(4925)] = 162432,
  [SMALL_STATE(4926)] = 162475,
  [SMALL_STATE(4927)] = 162518,
  [SMALL_STATE(4928)] = 162561,
  [SMALL_STATE(4929)] = 162604,
  [SMALL_STATE(4930)] = 162647,
  [SMALL_STATE(4931)] = 162716,
  [SMALL_STATE(4932)] = 162763,
  [SMALL_STATE(4933)] = 162840,
  [SMALL_STATE(4934)] = 162917,
  [SMALL_STATE(4935)] = 162986,
  [SMALL_STATE(4936)] = 163033,
  [SMALL_STATE(4937)] = 163080,
  [SMALL_STATE(4938)] = 163157,
  [SMALL_STATE(4939)] = 163226,
  [SMALL_STATE(4940)] = 163295,
  [SMALL_STATE(4941)] = 163364,
  [SMALL_STATE(4942)] = 163407,
  [SMALL_STATE(4943)] = 163450,
  [SMALL_STATE(4944)] = 163493,
  [SMALL_STATE(4945)] = 163536,
  [SMALL_STATE(4946)] = 163579,
  [SMALL_STATE(4947)] = 163622,
  [SMALL_STATE(4948)] = 163665,
  [SMALL_STATE(4949)] = 163708,
  [SMALL_STATE(4950)] = 163751,
  [SMALL_STATE(4951)] = 163794,
  [SMALL_STATE(4952)] = 163869,
  [SMALL_STATE(4953)] = 163912,
  [SMALL_STATE(4954)] = 163955,
  [SMALL_STATE(4955)] = 163998,
  [SMALL_STATE(4956)] = 164041,
  [SMALL_STATE(4957)] = 164084,
  [SMALL_STATE(4958)] = 164127,
  [SMALL_STATE(4959)] = 164170,
  [SMALL_STATE(4960)] = 164213,
  [SMALL_STATE(4961)] = 164256,
  [SMALL_STATE(4962)] = 164299,
  [SMALL_STATE(4963)] = 164382,
  [SMALL_STATE(4964)] = 164435,
  [SMALL_STATE(4965)] = 164482,
  [SMALL_STATE(4966)] = 164529,
  [SMALL_STATE(4967)] = 164612,
  [SMALL_STATE(4968)] = 164695,
  [SMALL_STATE(4969)] = 164750,
  [SMALL_STATE(4970)] = 164805,
  [SMALL_STATE(4971)] = 164888,
  [SMALL_STATE(4972)] = 164935,
  [SMALL_STATE(4973)] = 164980,
  [SMALL_STATE(4974)] = 165027,
  [SMALL_STATE(4975)] = 165074,
  [SMALL_STATE(4976)] = 165121,
  [SMALL_STATE(4977)] = 165190,
  [SMALL_STATE(4978)] = 165233,
  [SMALL_STATE(4979)] = 165308,
  [SMALL_STATE(4980)] = 165353,
  [SMALL_STATE(4981)] = 165396,
  [SMALL_STATE(4982)] = 165439,
  [SMALL_STATE(4983)] = 165482,
  [SMALL_STATE(4984)] = 165525,
  [SMALL_STATE(4985)] = 165594,
  [SMALL_STATE(4986)] = 165637,
  [SMALL_STATE(4987)] = 165684,
  [SMALL_STATE(4988)] = 165731,
  [SMALL_STATE(4989)] = 165774,
  [SMALL_STATE(4990)] = 165817,
  [SMALL_STATE(4991)] = 165894,
  [SMALL_STATE(4992)] = 165936,
  [SMALL_STATE(4993)] = 165978,
  [SMALL_STATE(4994)] = 166020,
  [SMALL_STATE(4995)] = 166062,
  [SMALL_STATE(4996)] = 166130,
  [SMALL_STATE(4997)] = 166172,
  [SMALL_STATE(4998)] = 166254,
  [SMALL_STATE(4999)] = 166308,
  [SMALL_STATE(5000)] = 166350,
  [SMALL_STATE(5001)] = 166418,
  [SMALL_STATE(5002)] = 166460,
  [SMALL_STATE(5003)] = 166502,
  [SMALL_STATE(5004)] = 166570,
  [SMALL_STATE(5005)] = 166638,
  [SMALL_STATE(5006)] = 166680,
  [SMALL_STATE(5007)] = 166722,
  [SMALL_STATE(5008)] = 166776,
  [SMALL_STATE(5009)] = 166818,
  [SMALL_STATE(5010)] = 166860,
  [SMALL_STATE(5011)] = 166902,
  [SMALL_STATE(5012)] = 166944,
  [SMALL_STATE(5013)] = 166986,
  [SMALL_STATE(5014)] = 167028,
  [SMALL_STATE(5015)] = 167070,
  [SMALL_STATE(5016)] = 167112,
  [SMALL_STATE(5017)] = 167154,
  [SMALL_STATE(5018)] = 167196,
  [SMALL_STATE(5019)] = 167238,
  [SMALL_STATE(5020)] = 167306,
  [SMALL_STATE(5021)] = 167374,
  [SMALL_STATE(5022)] = 167456,
  [SMALL_STATE(5023)] = 167498,
  [SMALL_STATE(5024)] = 167540,
  [SMALL_STATE(5025)] = 167582,
  [SMALL_STATE(5026)] = 167624,
  [SMALL_STATE(5027)] = 167692,
  [SMALL_STATE(5028)] = 167734,
  [SMALL_STATE(5029)] = 167776,
  [SMALL_STATE(5030)] = 167818,
  [SMALL_STATE(5031)] = 167860,
  [SMALL_STATE(5032)] = 167902,
  [SMALL_STATE(5033)] = 167944,
  [SMALL_STATE(5034)] = 168012,
  [SMALL_STATE(5035)] = 168054,
  [SMALL_STATE(5036)] = 168108,
  [SMALL_STATE(5037)] = 168150,
  [SMALL_STATE(5038)] = 168200,
  [SMALL_STATE(5039)] = 168242,
  [SMALL_STATE(5040)] = 168284,
  [SMALL_STATE(5041)] = 168374,
  [SMALL_STATE(5042)] = 168458,
  [SMALL_STATE(5043)] = 168500,
  [SMALL_STATE(5044)] = 168542,
  [SMALL_STATE(5045)] = 168584,
  [SMALL_STATE(5046)] = 168630,
  [SMALL_STATE(5047)] = 168684,
  [SMALL_STATE(5048)] = 168726,
  [SMALL_STATE(5049)] = 168768,
  [SMALL_STATE(5050)] = 168822,
  [SMALL_STATE(5051)] = 168864,
  [SMALL_STATE(5052)] = 168946,
  [SMALL_STATE(5053)] = 169028,
  [SMALL_STATE(5054)] = 169080,
  [SMALL_STATE(5055)] = 169134,
  [SMALL_STATE(5056)] = 169215,
  [SMALL_STATE(5057)] = 169268,
  [SMALL_STATE(5058)] = 169321,
  [SMALL_STATE(5059)] = 169374,
  [SMALL_STATE(5060)] = 169455,
  [SMALL_STATE(5061)] = 169530,
  [SMALL_STATE(5062)] = 169605,
  [SMALL_STATE(5063)] = 169686,
  [SMALL_STATE(5064)] = 169767,
  [SMALL_STATE(5065)] = 169842,
  [SMALL_STATE(5066)] = 169891,
  [SMALL_STATE(5067)] = 169940,
  [SMALL_STATE(5068)] = 170015,
  [SMALL_STATE(5069)] = 170096,
  [SMALL_STATE(5070)] = 170177,
  [SMALL_STATE(5071)] = 170257,
  [SMALL_STATE(5072)] = 170323,
  [SMALL_STATE(5073)] = 170403,
  [SMALL_STATE(5074)] = 170483,
  [SMALL_STATE(5075)] = 170563,
  [SMALL_STATE(5076)] = 170613,
  [SMALL_STATE(5077)] = 170687,
  [SMALL_STATE(5078)] = 170737,
  [SMALL_STATE(5079)] = 170817,
  [SMALL_STATE(5080)] = 170871,
  [SMALL_STATE(5081)] = 170951,
  [SMALL_STATE(5082)] = 171025,
  [SMALL_STATE(5083)] = 171105,
  [SMALL_STATE(5084)] = 171159,
  [SMALL_STATE(5085)] = 171239,
  [SMALL_STATE(5086)] = 171319,
  [SMALL_STATE(5087)] = 171399,
  [SMALL_STATE(5088)] = 171465,
  [SMALL_STATE(5089)] = 171513,
  [SMALL_STATE(5090)] = 171561,
  [SMALL_STATE(5091)] = 171641,
  [SMALL_STATE(5092)] = 171707,
  [SMALL_STATE(5093)] = 171773,
  [SMALL_STATE(5094)] = 171853,
  [SMALL_STATE(5095)] = 171933,
  [SMALL_STATE(5096)] = 172007,
  [SMALL_STATE(5097)] = 172087,
  [SMALL_STATE(5098)] = 172167,
  [SMALL_STATE(5099)] = 172241,
  [SMALL_STATE(5100)] = 172321,
  [SMALL_STATE(5101)] = 172395,
  [SMALL_STATE(5102)] = 172469,
  [SMALL_STATE(5103)] = 172543,
  [SMALL_STATE(5104)] = 172623,
  [SMALL_STATE(5105)] = 172697,
  [SMALL_STATE(5106)] = 172777,
  [SMALL_STATE(5107)] = 172856,
  [SMALL_STATE(5108)] = 172899,
  [SMALL_STATE(5109)] = 172942,
  [SMALL_STATE(5110)] = 172985,
  [SMALL_STATE(5111)] = 173028,
  [SMALL_STATE(5112)] = 173071,
  [SMALL_STATE(5113)] = 173144,
  [SMALL_STATE(5114)] = 173223,
  [SMALL_STATE(5115)] = 173266,
  [SMALL_STATE(5116)] = 173339,
  [SMALL_STATE(5117)] = 173412,
  [SMALL_STATE(5118)] = 173485,
  [SMALL_STATE(5119)] = 173528,
  [SMALL_STATE(5120)] = 173571,
  [SMALL_STATE(5121)] = 173614,
  [SMALL_STATE(5122)] = 173665,
  [SMALL_STATE(5123)] = 173708,
  [SMALL_STATE(5124)] = 173781,
  [SMALL_STATE(5125)] = 173860,
  [SMALL_STATE(5126)] = 173939,
  [SMALL_STATE(5127)] = 173986,
  [SMALL_STATE(5128)] = 174029,
  [SMALL_STATE(5129)] = 174072,
  [SMALL_STATE(5130)] = 174113,
  [SMALL_STATE(5131)] = 174156,
  [SMALL_STATE(5132)] = 174207,
  [SMALL_STATE(5133)] = 174250,
  [SMALL_STATE(5134)] = 174293,
  [SMALL_STATE(5135)] = 174366,
  [SMALL_STATE(5136)] = 174409,
  [SMALL_STATE(5137)] = 174482,
  [SMALL_STATE(5138)] = 174525,
  [SMALL_STATE(5139)] = 174568,
  [SMALL_STATE(5140)] = 174611,
  [SMALL_STATE(5141)] = 174684,
  [SMALL_STATE(5142)] = 174726,
  [SMALL_STATE(5143)] = 174806,
  [SMALL_STATE(5144)] = 174886,
  [SMALL_STATE(5145)] = 174966,
  [SMALL_STATE(5146)] = 175046,
  [SMALL_STATE(5147)] = 175120,
  [SMALL_STATE(5148)] = 175200,
  [SMALL_STATE(5149)] = 175274,
  [SMALL_STATE(5150)] = 175348,
  [SMALL_STATE(5151)] = 175414,
  [SMALL_STATE(5152)] = 175488,
  [SMALL_STATE(5153)] = 175568,
  [SMALL_STATE(5154)] = 175634,
  [SMALL_STATE(5155)] = 175714,
  [SMALL_STATE(5156)] = 175794,
  [SMALL_STATE(5157)] = 175874,
  [SMALL_STATE(5158)] = 175948,
  [SMALL_STATE(5159)] = 176022,
  [SMALL_STATE(5160)] = 176102,
  [SMALL_STATE(5161)] = 176182,
  [SMALL_STATE(5162)] = 176262,
  [SMALL_STATE(5163)] = 176342,
  [SMALL_STATE(5164)] = 176414,
  [SMALL_STATE(5165)] = 176488,
  [SMALL_STATE(5166)] = 176568,
  [SMALL_STATE(5167)] = 176648,
  [SMALL_STATE(5168)] = 176728,
  [SMALL_STATE(5169)] = 176802,
  [SMALL_STATE(5170)] = 176882,
  [SMALL_STATE(5171)] = 176956,
  [SMALL_STATE(5172)] = 177036,
  [SMALL_STATE(5173)] = 177108,
  [SMALL_STATE(5174)] = 177188,
  [SMALL_STATE(5175)] = 177268,
  [SMALL_STATE(5176)] = 177340,
  [SMALL_STATE(5177)] = 177420,
  [SMALL_STATE(5178)] = 177494,
  [SMALL_STATE(5179)] = 177566,
  [SMALL_STATE(5180)] = 177640,
  [SMALL_STATE(5181)] = 177710,
  [SMALL_STATE(5182)] = 177780,
  [SMALL_STATE(5183)] = 177854,
  [SMALL_STATE(5184)] = 177928,
  [SMALL_STATE(5185)] = 178002,
  [SMALL_STATE(5186)] = 178076,
  [SMALL_STATE(5187)] = 178148,
  [SMALL_STATE(5188)] = 178228,
  [SMALL_STATE(5189)] = 178300,
  [SMALL_STATE(5190)] = 178370,
  [SMALL_STATE(5191)] = 178444,
  [SMALL_STATE(5192)] = 178524,
  [SMALL_STATE(5193)] = 178604,
  [SMALL_STATE(5194)] = 178684,
  [SMALL_STATE(5195)] = 178764,
  [SMALL_STATE(5196)] = 178844,
  [SMALL_STATE(5197)] = 178924,
  [SMALL_STATE(5198)] = 178998,
  [SMALL_STATE(5199)] = 179072,
  [SMALL_STATE(5200)] = 179142,
  [SMALL_STATE(5201)] = 179216,
  [SMALL_STATE(5202)] = 179296,
  [SMALL_STATE(5203)] = 179376,
  [SMALL_STATE(5204)] = 179456,
  [SMALL_STATE(5205)] = 179536,
  [SMALL_STATE(5206)] = 179610,
  [SMALL_STATE(5207)] = 179682,
  [SMALL_STATE(5208)] = 179752,
  [SMALL_STATE(5209)] = 179826,
  [SMALL_STATE(5210)] = 179906,
  [SMALL_STATE(5211)] = 179986,
  [SMALL_STATE(5212)] = 180066,
  [SMALL_STATE(5213)] = 180146,
  [SMALL_STATE(5214)] = 180226,
  [SMALL_STATE(5215)] = 180306,
  [SMALL_STATE(5216)] = 180386,
  [SMALL_STATE(5217)] = 180466,
  [SMALL_STATE(5218)] = 180546,
  [SMALL_STATE(5219)] = 180626,
  [SMALL_STATE(5220)] = 180706,
  [SMALL_STATE(5221)] = 180786,
  [SMALL_STATE(5222)] = 180866,
  [SMALL_STATE(5223)] = 180946,
  [SMALL_STATE(5224)] = 181026,
  [SMALL_STATE(5225)] = 181106,
  [SMALL_STATE(5226)] = 181186,
  [SMALL_STATE(5227)] = 181260,
  [SMALL_STATE(5228)] = 181340,
  [SMALL_STATE(5229)] = 181410,
  [SMALL_STATE(5230)] = 181490,
  [SMALL_STATE(5231)] = 181570,
  [SMALL_STATE(5232)] = 181650,
  [SMALL_STATE(5233)] = 181730,
  [SMALL_STATE(5234)] = 181810,
  [SMALL_STATE(5235)] = 181876,
  [SMALL_STATE(5236)] = 181950,
  [SMALL_STATE(5237)] = 182030,
  [SMALL_STATE(5238)] = 182110,
  [SMALL_STATE(5239)] = 182190,
  [SMALL_STATE(5240)] = 182270,
  [SMALL_STATE(5241)] = 182350,
  [SMALL_STATE(5242)] = 182430,
  [SMALL_STATE(5243)] = 182510,
  [SMALL_STATE(5244)] = 182590,
  [SMALL_STATE(5245)] = 182670,
  [SMALL_STATE(5246)] = 182744,
  [SMALL_STATE(5247)] = 182818,
  [SMALL_STATE(5248)] = 182898,
  [SMALL_STATE(5249)] = 182978,
  [SMALL_STATE(5250)] = 183058,
  [SMALL_STATE(5251)] = 183138,
  [SMALL_STATE(5252)] = 183218,
  [SMALL_STATE(5253)] = 183298,
  [SMALL_STATE(5254)] = 183378,
  [SMALL_STATE(5255)] = 183458,
  [SMALL_STATE(5256)] = 183538,
  [SMALL_STATE(5257)] = 183618,
  [SMALL_STATE(5258)] = 183692,
  [SMALL_STATE(5259)] = 183772,
  [SMALL_STATE(5260)] = 183852,
  [SMALL_STATE(5261)] = 183932,
  [SMALL_STATE(5262)] = 184012,
  [SMALL_STATE(5263)] = 184092,
  [SMALL_STATE(5264)] = 184158,
  [SMALL_STATE(5265)] = 184224,
  [SMALL_STATE(5266)] = 184304,
  [SMALL_STATE(5267)] = 184376,
  [SMALL_STATE(5268)] = 184450,
  [SMALL_STATE(5269)] = 184524,
  [SMALL_STATE(5270)] = 184598,
  [SMALL_STATE(5271)] = 184670,
  [SMALL_STATE(5272)] = 184744,
  [SMALL_STATE(5273)] = 184818,
  [SMALL_STATE(5274)] = 184860,
  [SMALL_STATE(5275)] = 184902,
  [SMALL_STATE(5276)] = 184982,
  [SMALL_STATE(5277)] = 185062,
  [SMALL_STATE(5278)] = 185104,
  [SMALL_STATE(5279)] = 185146,
  [SMALL_STATE(5280)] = 185188,
  [SMALL_STATE(5281)] = 185230,
  [SMALL_STATE(5282)] = 185272,
  [SMALL_STATE(5283)] = 185314,
  [SMALL_STATE(5284)] = 185356,
  [SMALL_STATE(5285)] = 185398,
  [SMALL_STATE(5286)] = 185440,
  [SMALL_STATE(5287)] = 185506,
  [SMALL_STATE(5288)] = 185586,
  [SMALL_STATE(5289)] = 185666,
  [SMALL_STATE(5290)] = 185746,
  [SMALL_STATE(5291)] = 185826,
  [SMALL_STATE(5292)] = 185906,
  [SMALL_STATE(5293)] = 185986,
  [SMALL_STATE(5294)] = 186066,
  [SMALL_STATE(5295)] = 186146,
  [SMALL_STATE(5296)] = 186226,
  [SMALL_STATE(5297)] = 186300,
  [SMALL_STATE(5298)] = 186370,
  [SMALL_STATE(5299)] = 186444,
  [SMALL_STATE(5300)] = 186518,
  [SMALL_STATE(5301)] = 186592,
  [SMALL_STATE(5302)] = 186664,
  [SMALL_STATE(5303)] = 186744,
  [SMALL_STATE(5304)] = 186814,
  [SMALL_STATE(5305)] = 186886,
  [SMALL_STATE(5306)] = 186966,
  [SMALL_STATE(5307)] = 187046,
  [SMALL_STATE(5308)] = 187120,
  [SMALL_STATE(5309)] = 187200,
  [SMALL_STATE(5310)] = 187272,
  [SMALL_STATE(5311)] = 187346,
  [SMALL_STATE(5312)] = 187416,
  [SMALL_STATE(5313)] = 187490,
  [SMALL_STATE(5314)] = 187564,
  [SMALL_STATE(5315)] = 187638,
  [SMALL_STATE(5316)] = 187718,
  [SMALL_STATE(5317)] = 187785,
  [SMALL_STATE(5318)] = 187852,
  [SMALL_STATE(5319)] = 187929,
  [SMALL_STATE(5320)] = 187996,
  [SMALL_STATE(5321)] = 188063,
  [SMALL_STATE(5322)] = 188130,
  [SMALL_STATE(5323)] = 188207,
  [SMALL_STATE(5324)] = 188274,
  [SMALL_STATE(5325)] = 188341,
  [SMALL_STATE(5326)] = 188408,
  [SMALL_STATE(5327)] = 188485,
  [SMALL_STATE(5328)] = 188552,
  [SMALL_STATE(5329)] = 188619,
  [SMALL_STATE(5330)] = 188696,
  [SMALL_STATE(5331)] = 188733,
  [SMALL_STATE(5332)] = 188800,
  [SMALL_STATE(5333)] = 188867,
  [SMALL_STATE(5334)] = 188934,
  [SMALL_STATE(5335)] = 189001,
  [SMALL_STATE(5336)] = 189068,
  [SMALL_STATE(5337)] = 189135,
  [SMALL_STATE(5338)] = 189202,
  [SMALL_STATE(5339)] = 189269,
  [SMALL_STATE(5340)] = 189346,
  [SMALL_STATE(5341)] = 189413,
  [SMALL_STATE(5342)] = 189490,
  [SMALL_STATE(5343)] = 189557,
  [SMALL_STATE(5344)] = 189634,
  [SMALL_STATE(5345)] = 189701,
  [SMALL_STATE(5346)] = 189778,
  [SMALL_STATE(5347)] = 189823,
  [SMALL_STATE(5348)] = 189890,
  [SMALL_STATE(5349)] = 189957,
  [SMALL_STATE(5350)] = 190034,
  [SMALL_STATE(5351)] = 190111,
  [SMALL_STATE(5352)] = 190178,
  [SMALL_STATE(5353)] = 190223,
  [SMALL_STATE(5354)] = 190290,
  [SMALL_STATE(5355)] = 190367,
  [SMALL_STATE(5356)] = 190434,
  [SMALL_STATE(5357)] = 190501,
  [SMALL_STATE(5358)] = 190568,
  [SMALL_STATE(5359)] = 190635,
  [SMALL_STATE(5360)] = 190702,
  [SMALL_STATE(5361)] = 190743,
  [SMALL_STATE(5362)] = 190810,
  [SMALL_STATE(5363)] = 190887,
  [SMALL_STATE(5364)] = 190954,
  [SMALL_STATE(5365)] = 190991,
  [SMALL_STATE(5366)] = 191068,
  [SMALL_STATE(5367)] = 191135,
  [SMALL_STATE(5368)] = 191212,
  [SMALL_STATE(5369)] = 191279,
  [SMALL_STATE(5370)] = 191346,
  [SMALL_STATE(5371)] = 191413,
  [SMALL_STATE(5372)] = 191480,
  [SMALL_STATE(5373)] = 191557,
  [SMALL_STATE(5374)] = 191624,
  [SMALL_STATE(5375)] = 191691,
  [SMALL_STATE(5376)] = 191768,
  [SMALL_STATE(5377)] = 191835,
  [SMALL_STATE(5378)] = 191902,
  [SMALL_STATE(5379)] = 191979,
  [SMALL_STATE(5380)] = 192056,
  [SMALL_STATE(5381)] = 192126,
  [SMALL_STATE(5382)] = 192196,
  [SMALL_STATE(5383)] = 192266,
  [SMALL_STATE(5384)] = 192330,
  [SMALL_STATE(5385)] = 192394,
  [SMALL_STATE(5386)] = 192464,
  [SMALL_STATE(5387)] = 192528,
  [SMALL_STATE(5388)] = 192592,
  [SMALL_STATE(5389)] = 192662,
  [SMALL_STATE(5390)] = 192732,
  [SMALL_STATE(5391)] = 192796,
  [SMALL_STATE(5392)] = 192866,
  [SMALL_STATE(5393)] = 192936,
  [SMALL_STATE(5394)] = 193000,
  [SMALL_STATE(5395)] = 193040,
  [SMALL_STATE(5396)] = 193103,
  [SMALL_STATE(5397)] = 193166,
  [SMALL_STATE(5398)] = 193229,
  [SMALL_STATE(5399)] = 193266,
  [SMALL_STATE(5400)] = 193329,
  [SMALL_STATE(5401)] = 193392,
  [SMALL_STATE(5402)] = 193455,
  [SMALL_STATE(5403)] = 193518,
  [SMALL_STATE(5404)] = 193581,
  [SMALL_STATE(5405)] = 193644,
  [SMALL_STATE(5406)] = 193707,
  [SMALL_STATE(5407)] = 193770,
  [SMALL_STATE(5408)] = 193833,
  [SMALL_STATE(5409)] = 193871,
  [SMALL_STATE(5410)] = 193929,
  [SMALL_STATE(5411)] = 193991,
  [SMALL_STATE(5412)] = 194053,
  [SMALL_STATE(5413)] = 194115,
  [SMALL_STATE(5414)] = 194177,
  [SMALL_STATE(5415)] = 194235,
  [SMALL_STATE(5416)] = 194297,
  [SMALL_STATE(5417)] = 194359,
  [SMALL_STATE(5418)] = 194409,
  [SMALL_STATE(5419)] = 194467,
  [SMALL_STATE(5420)] = 194529,
  [SMALL_STATE(5421)] = 194591,
  [SMALL_STATE(5422)] = 194649,
  [SMALL_STATE(5423)] = 194711,
  [SMALL_STATE(5424)] = 194773,
  [SMALL_STATE(5425)] = 194835,
  [SMALL_STATE(5426)] = 194897,
  [SMALL_STATE(5427)] = 194958,
  [SMALL_STATE(5428)] = 195019,
  [SMALL_STATE(5429)] = 195080,
  [SMALL_STATE(5430)] = 195141,
  [SMALL_STATE(5431)] = 195202,
  [SMALL_STATE(5432)] = 195263,
  [SMALL_STATE(5433)] = 195324,
  [SMALL_STATE(5434)] = 195385,
  [SMALL_STATE(5435)] = 195446,
  [SMALL_STATE(5436)] = 195507,
  [SMALL_STATE(5437)] = 195568,
  [SMALL_STATE(5438)] = 195629,
  [SMALL_STATE(5439)] = 195690,
  [SMALL_STATE(5440)] = 195751,
  [SMALL_STATE(5441)] = 195812,
  [SMALL_STATE(5442)] = 195873,
  [SMALL_STATE(5443)] = 195934,
  [SMALL_STATE(5444)] = 195995,
  [SMALL_STATE(5445)] = 196056,
  [SMALL_STATE(5446)] = 196117,
  [SMALL_STATE(5447)] = 196178,
  [SMALL_STATE(5448)] = 196239,
  [SMALL_STATE(5449)] = 196300,
  [SMALL_STATE(5450)] = 196361,
  [SMALL_STATE(5451)] = 196422,
  [SMALL_STATE(5452)] = 196476,
  [SMALL_STATE(5453)] = 196535,
  [SMALL_STATE(5454)] = 196594,
  [SMALL_STATE(5455)] = 196653,
  [SMALL_STATE(5456)] = 196724,
  [SMALL_STATE(5457)] = 196795,
  [SMALL_STATE(5458)] = 196854,
  [SMALL_STATE(5459)] = 196913,
  [SMALL_STATE(5460)] = 196984,
  [SMALL_STATE(5461)] = 197043,
  [SMALL_STATE(5462)] = 197102,
  [SMALL_STATE(5463)] = 197149,
  [SMALL_STATE(5464)] = 197208,
  [SMALL_STATE(5465)] = 197267,
  [SMALL_STATE(5466)] = 197326,
  [SMALL_STATE(5467)] = 197385,
  [SMALL_STATE(5468)] = 197444,
  [SMALL_STATE(5469)] = 197496,
  [SMALL_STATE(5470)] = 197548,
  [SMALL_STATE(5471)] = 197600,
  [SMALL_STATE(5472)] = 197652,
  [SMALL_STATE(5473)] = 197704,
  [SMALL_STATE(5474)] = 197756,
  [SMALL_STATE(5475)] = 197808,
  [SMALL_STATE(5476)] = 197860,
  [SMALL_STATE(5477)] = 197912,
  [SMALL_STATE(5478)] = 197964,
  [SMALL_STATE(5479)] = 198016,
  [SMALL_STATE(5480)] = 198068,
  [SMALL_STATE(5481)] = 198138,
  [SMALL_STATE(5482)] = 198190,
  [SMALL_STATE(5483)] = 198242,
  [SMALL_STATE(5484)] = 198294,
  [SMALL_STATE(5485)] = 198346,
  [SMALL_STATE(5486)] = 198398,
  [SMALL_STATE(5487)] = 198450,
  [SMALL_STATE(5488)] = 198502,
  [SMALL_STATE(5489)] = 198554,
  [SMALL_STATE(5490)] = 198606,
  [SMALL_STATE(5491)] = 198676,
  [SMALL_STATE(5492)] = 198722,
  [SMALL_STATE(5493)] = 198792,
  [SMALL_STATE(5494)] = 198844,
  [SMALL_STATE(5495)] = 198896,
  [SMALL_STATE(5496)] = 198948,
  [SMALL_STATE(5497)] = 199000,
  [SMALL_STATE(5498)] = 199052,
  [SMALL_STATE(5499)] = 199104,
  [SMALL_STATE(5500)] = 199156,
  [SMALL_STATE(5501)] = 199208,
  [SMALL_STATE(5502)] = 199260,
  [SMALL_STATE(5503)] = 199294,
  [SMALL_STATE(5504)] = 199340,
  [SMALL_STATE(5505)] = 199370,
  [SMALL_STATE(5506)] = 199422,
  [SMALL_STATE(5507)] = 199474,
  [SMALL_STATE(5508)] = 199526,
  [SMALL_STATE(5509)] = 199578,
  [SMALL_STATE(5510)] = 199630,
  [SMALL_STATE(5511)] = 199685,
  [SMALL_STATE(5512)] = 199744,
  [SMALL_STATE(5513)] = 199803,
  [SMALL_STATE(5514)] = 199862,
  [SMALL_STATE(5515)] = 199921,
  [SMALL_STATE(5516)] = 199980,
  [SMALL_STATE(5517)] = 200039,
  [SMALL_STATE(5518)] = 200098,
  [SMALL_STATE(5519)] = 200157,
  [SMALL_STATE(5520)] = 200216,
  [SMALL_STATE(5521)] = 200275,
  [SMALL_STATE(5522)] = 200334,
  [SMALL_STATE(5523)] = 200393,
  [SMALL_STATE(5524)] = 200452,
  [SMALL_STATE(5525)] = 200511,
  [SMALL_STATE(5526)] = 200570,
  [SMALL_STATE(5527)] = 200629,
  [SMALL_STATE(5528)] = 200688,
  [SMALL_STATE(5529)] = 200747,
  [SMALL_STATE(5530)] = 200806,
  [SMALL_STATE(5531)] = 200865,
  [SMALL_STATE(5532)] = 200924,
  [SMALL_STATE(5533)] = 200983,
  [SMALL_STATE(5534)] = 201026,
  [SMALL_STATE(5535)] = 201085,
  [SMALL_STATE(5536)] = 201144,
  [SMALL_STATE(5537)] = 201203,
  [SMALL_STATE(5538)] = 201258,
  [SMALL_STATE(5539)] = 201317,
  [SMALL_STATE(5540)] = 201376,
  [SMALL_STATE(5541)] = 201435,
  [SMALL_STATE(5542)] = 201494,
  [SMALL_STATE(5543)] = 201553,
  [SMALL_STATE(5544)] = 201612,
  [SMALL_STATE(5545)] = 201671,
  [SMALL_STATE(5546)] = 201730,
  [SMALL_STATE(5547)] = 201789,
  [SMALL_STATE(5548)] = 201848,
  [SMALL_STATE(5549)] = 201907,
  [SMALL_STATE(5550)] = 201966,
  [SMALL_STATE(5551)] = 202025,
  [SMALL_STATE(5552)] = 202084,
  [SMALL_STATE(5553)] = 202143,
  [SMALL_STATE(5554)] = 202202,
  [SMALL_STATE(5555)] = 202261,
  [SMALL_STATE(5556)] = 202320,
  [SMALL_STATE(5557)] = 202379,
  [SMALL_STATE(5558)] = 202438,
  [SMALL_STATE(5559)] = 202497,
  [SMALL_STATE(5560)] = 202556,
  [SMALL_STATE(5561)] = 202597,
  [SMALL_STATE(5562)] = 202656,
  [SMALL_STATE(5563)] = 202697,
  [SMALL_STATE(5564)] = 202738,
  [SMALL_STATE(5565)] = 202779,
  [SMALL_STATE(5566)] = 202820,
  [SMALL_STATE(5567)] = 202875,
  [SMALL_STATE(5568)] = 202916,
  [SMALL_STATE(5569)] = 202957,
  [SMALL_STATE(5570)] = 203016,
  [SMALL_STATE(5571)] = 203075,
  [SMALL_STATE(5572)] = 203134,
  [SMALL_STATE(5573)] = 203193,
  [SMALL_STATE(5574)] = 203252,
  [SMALL_STATE(5575)] = 203311,
  [SMALL_STATE(5576)] = 203370,
  [SMALL_STATE(5577)] = 203429,
  [SMALL_STATE(5578)] = 203462,
  [SMALL_STATE(5579)] = 203521,
  [SMALL_STATE(5580)] = 203580,
  [SMALL_STATE(5581)] = 203639,
  [SMALL_STATE(5582)] = 203698,
  [SMALL_STATE(5583)] = 203741,
  [SMALL_STATE(5584)] = 203800,
  [SMALL_STATE(5585)] = 203863,
  [SMALL_STATE(5586)] = 203922,
  [SMALL_STATE(5587)] = 203981,
  [SMALL_STATE(5588)] = 204040,
  [SMALL_STATE(5589)] = 204099,
  [SMALL_STATE(5590)] = 204142,
  [SMALL_STATE(5591)] = 204201,
  [SMALL_STATE(5592)] = 204260,
  [SMALL_STATE(5593)] = 204319,
  [SMALL_STATE(5594)] = 204378,
  [SMALL_STATE(5595)] = 204437,
  [SMALL_STATE(5596)] = 204496,
  [SMALL_STATE(5597)] = 204555,
  [SMALL_STATE(5598)] = 204614,
  [SMALL_STATE(5599)] = 204673,
  [SMALL_STATE(5600)] = 204732,
  [SMALL_STATE(5601)] = 204791,
  [SMALL_STATE(5602)] = 204850,
  [SMALL_STATE(5603)] = 204909,
  [SMALL_STATE(5604)] = 204968,
  [SMALL_STATE(5605)] = 205027,
  [SMALL_STATE(5606)] = 205086,
  [SMALL_STATE(5607)] = 205145,
  [SMALL_STATE(5608)] = 205204,
  [SMALL_STATE(5609)] = 205263,
  [SMALL_STATE(5610)] = 205322,
  [SMALL_STATE(5611)] = 205381,
  [SMALL_STATE(5612)] = 205440,
  [SMALL_STATE(5613)] = 205499,
  [SMALL_STATE(5614)] = 205558,
  [SMALL_STATE(5615)] = 205617,
  [SMALL_STATE(5616)] = 205658,
  [SMALL_STATE(5617)] = 205698,
  [SMALL_STATE(5618)] = 205738,
  [SMALL_STATE(5619)] = 205766,
  [SMALL_STATE(5620)] = 205830,
  [SMALL_STATE(5621)] = 205870,
  [SMALL_STATE(5622)] = 205934,
  [SMALL_STATE(5623)] = 205974,
  [SMALL_STATE(5624)] = 206014,
  [SMALL_STATE(5625)] = 206078,
  [SMALL_STATE(5626)] = 206118,
  [SMALL_STATE(5627)] = 206168,
  [SMALL_STATE(5628)] = 206196,
  [SMALL_STATE(5629)] = 206246,
  [SMALL_STATE(5630)] = 206286,
  [SMALL_STATE(5631)] = 206326,
  [SMALL_STATE(5632)] = 206366,
  [SMALL_STATE(5633)] = 206430,
  [SMALL_STATE(5634)] = 206494,
  [SMALL_STATE(5635)] = 206534,
  [SMALL_STATE(5636)] = 206584,
  [SMALL_STATE(5637)] = 206624,
  [SMALL_STATE(5638)] = 206664,
  [SMALL_STATE(5639)] = 206704,
  [SMALL_STATE(5640)] = 206744,
  [SMALL_STATE(5641)] = 206794,
  [SMALL_STATE(5642)] = 206858,
  [SMALL_STATE(5643)] = 206898,
  [SMALL_STATE(5644)] = 206938,
  [SMALL_STATE(5645)] = 206988,
  [SMALL_STATE(5646)] = 207028,
  [SMALL_STATE(5647)] = 207078,
  [SMALL_STATE(5648)] = 207130,
  [SMALL_STATE(5649)] = 207170,
  [SMALL_STATE(5650)] = 207234,
  [SMALL_STATE(5651)] = 207274,
  [SMALL_STATE(5652)] = 207324,
  [SMALL_STATE(5653)] = 207374,
  [SMALL_STATE(5654)] = 207402,
  [SMALL_STATE(5655)] = 207442,
  [SMALL_STATE(5656)] = 207486,
  [SMALL_STATE(5657)] = 207526,
  [SMALL_STATE(5658)] = 207554,
  [SMALL_STATE(5659)] = 207604,
  [SMALL_STATE(5660)] = 207632,
  [SMALL_STATE(5661)] = 207682,
  [SMALL_STATE(5662)] = 207722,
  [SMALL_STATE(5663)] = 207772,
  [SMALL_STATE(5664)] = 207836,
  [SMALL_STATE(5665)] = 207872,
  [SMALL_STATE(5666)] = 207922,
  [SMALL_STATE(5667)] = 207972,
  [SMALL_STATE(5668)] = 208036,
  [SMALL_STATE(5669)] = 208076,
  [SMALL_STATE(5670)] = 208126,
  [SMALL_STATE(5671)] = 208176,
  [SMALL_STATE(5672)] = 208226,
  [SMALL_STATE(5673)] = 208266,
  [SMALL_STATE(5674)] = 208330,
  [SMALL_STATE(5675)] = 208370,
  [SMALL_STATE(5676)] = 208414,
  [SMALL_STATE(5677)] = 208450,
  [SMALL_STATE(5678)] = 208490,
  [SMALL_STATE(5679)] = 208526,
  [SMALL_STATE(5680)] = 208562,
  [SMALL_STATE(5681)] = 208590,
  [SMALL_STATE(5682)] = 208634,
  [SMALL_STATE(5683)] = 208666,
  [SMALL_STATE(5684)] = 208706,
  [SMALL_STATE(5685)] = 208746,
  [SMALL_STATE(5686)] = 208798,
  [SMALL_STATE(5687)] = 208826,
  [SMALL_STATE(5688)] = 208854,
  [SMALL_STATE(5689)] = 208884,
  [SMALL_STATE(5690)] = 208912,
  [SMALL_STATE(5691)] = 208940,
  [SMALL_STATE(5692)] = 208988,
  [SMALL_STATE(5693)] = 209034,
  [SMALL_STATE(5694)] = 209074,
  [SMALL_STATE(5695)] = 209114,
  [SMALL_STATE(5696)] = 209160,
  [SMALL_STATE(5697)] = 209200,
  [SMALL_STATE(5698)] = 209264,
  [SMALL_STATE(5699)] = 209316,
  [SMALL_STATE(5700)] = 209360,
  [SMALL_STATE(5701)] = 209400,
  [SMALL_STATE(5702)] = 209442,
  [SMALL_STATE(5703)] = 209482,
  [SMALL_STATE(5704)] = 209522,
  [SMALL_STATE(5705)] = 209562,
  [SMALL_STATE(5706)] = 209590,
  [SMALL_STATE(5707)] = 209654,
  [SMALL_STATE(5708)] = 209694,
  [SMALL_STATE(5709)] = 209734,
  [SMALL_STATE(5710)] = 209798,
  [SMALL_STATE(5711)] = 209838,
  [SMALL_STATE(5712)] = 209874,
  [SMALL_STATE(5713)] = 209908,
  [SMALL_STATE(5714)] = 209936,
  [SMALL_STATE(5715)] = 209986,
  [SMALL_STATE(5716)] = 210026,
  [SMALL_STATE(5717)] = 210070,
  [SMALL_STATE(5718)] = 210098,
  [SMALL_STATE(5719)] = 210126,
  [SMALL_STATE(5720)] = 210190,
  [SMALL_STATE(5721)] = 210230,
  [SMALL_STATE(5722)] = 210280,
  [SMALL_STATE(5723)] = 210308,
  [SMALL_STATE(5724)] = 210358,
  [SMALL_STATE(5725)] = 210385,
  [SMALL_STATE(5726)] = 210430,
  [SMALL_STATE(5727)] = 210457,
  [SMALL_STATE(5728)] = 210514,
  [SMALL_STATE(5729)] = 210541,
  [SMALL_STATE(5730)] = 210596,
  [SMALL_STATE(5731)] = 210637,
  [SMALL_STATE(5732)] = 210676,
  [SMALL_STATE(5733)] = 210713,
  [SMALL_STATE(5734)] = 210748,
  [SMALL_STATE(5735)] = 210779,
  [SMALL_STATE(5736)] = 210806,
  [SMALL_STATE(5737)] = 210849,
  [SMALL_STATE(5738)] = 210904,
  [SMALL_STATE(5739)] = 210949,
  [SMALL_STATE(5740)] = 211006,
  [SMALL_STATE(5741)] = 211063,
  [SMALL_STATE(5742)] = 211090,
  [SMALL_STATE(5743)] = 211137,
  [SMALL_STATE(5744)] = 211192,
  [SMALL_STATE(5745)] = 211239,
  [SMALL_STATE(5746)] = 211284,
  [SMALL_STATE(5747)] = 211329,
  [SMALL_STATE(5748)] = 211364,
  [SMALL_STATE(5749)] = 211399,
  [SMALL_STATE(5750)] = 211426,
  [SMALL_STATE(5751)] = 211471,
  [SMALL_STATE(5752)] = 211518,
  [SMALL_STATE(5753)] = 211573,
  [SMALL_STATE(5754)] = 211600,
  [SMALL_STATE(5755)] = 211645,
  [SMALL_STATE(5756)] = 211690,
  [SMALL_STATE(5757)] = 211747,
  [SMALL_STATE(5758)] = 211792,
  [SMALL_STATE(5759)] = 211837,
  [SMALL_STATE(5760)] = 211884,
  [SMALL_STATE(5761)] = 211941,
  [SMALL_STATE(5762)] = 211968,
  [SMALL_STATE(5763)] = 211997,
  [SMALL_STATE(5764)] = 212024,
  [SMALL_STATE(5765)] = 212069,
  [SMALL_STATE(5766)] = 212096,
  [SMALL_STATE(5767)] = 212145,
  [SMALL_STATE(5768)] = 212180,
  [SMALL_STATE(5769)] = 212207,
  [SMALL_STATE(5770)] = 212242,
  [SMALL_STATE(5771)] = 212275,
  [SMALL_STATE(5772)] = 212330,
  [SMALL_STATE(5773)] = 212361,
  [SMALL_STATE(5774)] = 212416,
  [SMALL_STATE(5775)] = 212443,
  [SMALL_STATE(5776)] = 212490,
  [SMALL_STATE(5777)] = 212517,
  [SMALL_STATE(5778)] = 212546,
  [SMALL_STATE(5779)] = 212573,
  [SMALL_STATE(5780)] = 212630,
  [SMALL_STATE(5781)] = 212665,
  [SMALL_STATE(5782)] = 212712,
  [SMALL_STATE(5783)] = 212739,
  [SMALL_STATE(5784)] = 212788,
  [SMALL_STATE(5785)] = 212815,
  [SMALL_STATE(5786)] = 212862,
  [SMALL_STATE(5787)] = 212897,
  [SMALL_STATE(5788)] = 212944,
  [SMALL_STATE(5789)] = 212991,
  [SMALL_STATE(5790)] = 213036,
  [SMALL_STATE(5791)] = 213071,
  [SMALL_STATE(5792)] = 213098,
  [SMALL_STATE(5793)] = 213133,
  [SMALL_STATE(5794)] = 213178,
  [SMALL_STATE(5795)] = 213225,
  [SMALL_STATE(5796)] = 213260,
  [SMALL_STATE(5797)] = 213303,
  [SMALL_STATE(5798)] = 213350,
  [SMALL_STATE(5799)] = 213395,
  [SMALL_STATE(5800)] = 213440,
  [SMALL_STATE(5801)] = 213467,
  [SMALL_STATE(5802)] = 213512,
  [SMALL_STATE(5803)] = 213539,
  [SMALL_STATE(5804)] = 213566,
  [SMALL_STATE(5805)] = 213593,
  [SMALL_STATE(5806)] = 213620,
  [SMALL_STATE(5807)] = 213647,
  [SMALL_STATE(5808)] = 213674,
  [SMALL_STATE(5809)] = 213721,
  [SMALL_STATE(5810)] = 213748,
  [SMALL_STATE(5811)] = 213775,
  [SMALL_STATE(5812)] = 213810,
  [SMALL_STATE(5813)] = 213837,
  [SMALL_STATE(5814)] = 213875,
  [SMALL_STATE(5815)] = 213905,
  [SMALL_STATE(5816)] = 213937,
  [SMALL_STATE(5817)] = 213991,
  [SMALL_STATE(5818)] = 214029,
  [SMALL_STATE(5819)] = 214067,
  [SMALL_STATE(5820)] = 214097,
  [SMALL_STATE(5821)] = 214127,
  [SMALL_STATE(5822)] = 214181,
  [SMALL_STATE(5823)] = 214219,
  [SMALL_STATE(5824)] = 214243,
  [SMALL_STATE(5825)] = 214267,
  [SMALL_STATE(5826)] = 214305,
  [SMALL_STATE(5827)] = 214329,
  [SMALL_STATE(5828)] = 214353,
  [SMALL_STATE(5829)] = 214377,
  [SMALL_STATE(5830)] = 214409,
  [SMALL_STATE(5831)] = 214457,
  [SMALL_STATE(5832)] = 214481,
  [SMALL_STATE(5833)] = 214505,
  [SMALL_STATE(5834)] = 214529,
  [SMALL_STATE(5835)] = 214555,
  [SMALL_STATE(5836)] = 214609,
  [SMALL_STATE(5837)] = 214651,
  [SMALL_STATE(5838)] = 214679,
  [SMALL_STATE(5839)] = 214711,
  [SMALL_STATE(5840)] = 214749,
  [SMALL_STATE(5841)] = 214781,
  [SMALL_STATE(5842)] = 214811,
  [SMALL_STATE(5843)] = 214859,
  [SMALL_STATE(5844)] = 214907,
  [SMALL_STATE(5845)] = 214931,
  [SMALL_STATE(5846)] = 214955,
  [SMALL_STATE(5847)] = 215009,
  [SMALL_STATE(5848)] = 215041,
  [SMALL_STATE(5849)] = 215065,
  [SMALL_STATE(5850)] = 215089,
  [SMALL_STATE(5851)] = 215127,
  [SMALL_STATE(5852)] = 215165,
  [SMALL_STATE(5853)] = 215189,
  [SMALL_STATE(5854)] = 215213,
  [SMALL_STATE(5855)] = 215237,
  [SMALL_STATE(5856)] = 215269,
  [SMALL_STATE(5857)] = 215323,
  [SMALL_STATE(5858)] = 215377,
  [SMALL_STATE(5859)] = 215409,
  [SMALL_STATE(5860)] = 215441,
  [SMALL_STATE(5861)] = 215473,
  [SMALL_STATE(5862)] = 215497,
  [SMALL_STATE(5863)] = 215545,
  [SMALL_STATE(5864)] = 215599,
  [SMALL_STATE(5865)] = 215631,
  [SMALL_STATE(5866)] = 215655,
  [SMALL_STATE(5867)] = 215692,
  [SMALL_STATE(5868)] = 215741,
  [SMALL_STATE(5869)] = 215784,
  [SMALL_STATE(5870)] = 215833,
  [SMALL_STATE(5871)] = 215864,
  [SMALL_STATE(5872)] = 215913,
  [SMALL_STATE(5873)] = 215962,
  [SMALL_STATE(5874)] = 215993,
  [SMALL_STATE(5875)] = 216026,
  [SMALL_STATE(5876)] = 216075,
  [SMALL_STATE(5877)] = 216118,
  [SMALL_STATE(5878)] = 216167,
  [SMALL_STATE(5879)] = 216216,
  [SMALL_STATE(5880)] = 216251,
  [SMALL_STATE(5881)] = 216300,
  [SMALL_STATE(5882)] = 216327,
  [SMALL_STATE(5883)] = 216362,
  [SMALL_STATE(5884)] = 216405,
  [SMALL_STATE(5885)] = 216440,
  [SMALL_STATE(5886)] = 216475,
  [SMALL_STATE(5887)] = 216510,
  [SMALL_STATE(5888)] = 216545,
  [SMALL_STATE(5889)] = 216580,
  [SMALL_STATE(5890)] = 216615,
  [SMALL_STATE(5891)] = 216664,
  [SMALL_STATE(5892)] = 216693,
  [SMALL_STATE(5893)] = 216730,
  [SMALL_STATE(5894)] = 216779,
  [SMALL_STATE(5895)] = 216828,
  [SMALL_STATE(5896)] = 216859,
  [SMALL_STATE(5897)] = 216908,
  [SMALL_STATE(5898)] = 216957,
  [SMALL_STATE(5899)] = 217006,
  [SMALL_STATE(5900)] = 217035,
  [SMALL_STATE(5901)] = 217072,
  [SMALL_STATE(5902)] = 217103,
  [SMALL_STATE(5903)] = 217152,
  [SMALL_STATE(5904)] = 217201,
  [SMALL_STATE(5905)] = 217244,
  [SMALL_STATE(5906)] = 217271,
  [SMALL_STATE(5907)] = 217320,
  [SMALL_STATE(5908)] = 217349,
  [SMALL_STATE(5909)] = 217378,
  [SMALL_STATE(5910)] = 217409,
  [SMALL_STATE(5911)] = 217440,
  [SMALL_STATE(5912)] = 217471,
  [SMALL_STATE(5913)] = 217502,
  [SMALL_STATE(5914)] = 217543,
  [SMALL_STATE(5915)] = 217570,
  [SMALL_STATE(5916)] = 217619,
  [SMALL_STATE(5917)] = 217668,
  [SMALL_STATE(5918)] = 217699,
  [SMALL_STATE(5919)] = 217748,
  [SMALL_STATE(5920)] = 217797,
  [SMALL_STATE(5921)] = 217846,
  [SMALL_STATE(5922)] = 217875,
  [SMALL_STATE(5923)] = 217912,
  [SMALL_STATE(5924)] = 217949,
  [SMALL_STATE(5925)] = 217986,
  [SMALL_STATE(5926)] = 218027,
  [SMALL_STATE(5927)] = 218056,
  [SMALL_STATE(5928)] = 218105,
  [SMALL_STATE(5929)] = 218142,
  [SMALL_STATE(5930)] = 218191,
  [SMALL_STATE(5931)] = 218222,
  [SMALL_STATE(5932)] = 218271,
  [SMALL_STATE(5933)] = 218320,
  [SMALL_STATE(5934)] = 218351,
  [SMALL_STATE(5935)] = 218388,
  [SMALL_STATE(5936)] = 218428,
  [SMALL_STATE(5937)] = 218468,
  [SMALL_STATE(5938)] = 218498,
  [SMALL_STATE(5939)] = 218538,
  [SMALL_STATE(5940)] = 218578,
  [SMALL_STATE(5941)] = 218618,
  [SMALL_STATE(5942)] = 218660,
  [SMALL_STATE(5943)] = 218700,
  [SMALL_STATE(5944)] = 218740,
  [SMALL_STATE(5945)] = 218780,
  [SMALL_STATE(5946)] = 218820,
  [SMALL_STATE(5947)] = 218860,
  [SMALL_STATE(5948)] = 218900,
  [SMALL_STATE(5949)] = 218940,
  [SMALL_STATE(5950)] = 218980,
  [SMALL_STATE(5951)] = 219020,
  [SMALL_STATE(5952)] = 219060,
  [SMALL_STATE(5953)] = 219084,
  [SMALL_STATE(5954)] = 219124,
  [SMALL_STATE(5955)] = 219164,
  [SMALL_STATE(5956)] = 219204,
  [SMALL_STATE(5957)] = 219244,
  [SMALL_STATE(5958)] = 219284,
  [SMALL_STATE(5959)] = 219308,
  [SMALL_STATE(5960)] = 219348,
  [SMALL_STATE(5961)] = 219379,
  [SMALL_STATE(5962)] = 219402,
  [SMALL_STATE(5963)] = 219425,
  [SMALL_STATE(5964)] = 219446,
  [SMALL_STATE(5965)] = 219467,
  [SMALL_STATE(5966)] = 219506,
  [SMALL_STATE(5967)] = 219529,
  [SMALL_STATE(5968)] = 219550,
  [SMALL_STATE(5969)] = 219583,
  [SMALL_STATE(5970)] = 219616,
  [SMALL_STATE(5971)] = 219649,
  [SMALL_STATE(5972)] = 219682,
  [SMALL_STATE(5973)] = 219711,
  [SMALL_STATE(5974)] = 219754,
  [SMALL_STATE(5975)] = 219785,
  [SMALL_STATE(5976)] = 219806,
  [SMALL_STATE(5977)] = 219837,
  [SMALL_STATE(5978)] = 219868,
  [SMALL_STATE(5979)] = 219899,
  [SMALL_STATE(5980)] = 219930,
  [SMALL_STATE(5981)] = 219963,
  [SMALL_STATE(5982)] = 219996,
  [SMALL_STATE(5983)] = 220029,
  [SMALL_STATE(5984)] = 220062,
  [SMALL_STATE(5985)] = 220087,
  [SMALL_STATE(5986)] = 220114,
  [SMALL_STATE(5987)] = 220135,
  [SMALL_STATE(5988)] = 220178,
  [SMALL_STATE(5989)] = 220199,
  [SMALL_STATE(5990)] = 220232,
  [SMALL_STATE(5991)] = 220261,
  [SMALL_STATE(5992)] = 220282,
  [SMALL_STATE(5993)] = 220327,
  [SMALL_STATE(5994)] = 220356,
  [SMALL_STATE(5995)] = 220377,
  [SMALL_STATE(5996)] = 220406,
  [SMALL_STATE(5997)] = 220439,
  [SMALL_STATE(5998)] = 220482,
  [SMALL_STATE(5999)] = 220525,
  [SMALL_STATE(6000)] = 220546,
  [SMALL_STATE(6001)] = 220575,
  [SMALL_STATE(6002)] = 220606,
  [SMALL_STATE(6003)] = 220651,
  [SMALL_STATE(6004)] = 220694,
  [SMALL_STATE(6005)] = 220715,
  [SMALL_STATE(6006)] = 220744,
  [SMALL_STATE(6007)] = 220765,
  [SMALL_STATE(6008)] = 220794,
  [SMALL_STATE(6009)] = 220825,
  [SMALL_STATE(6010)] = 220858,
  [SMALL_STATE(6011)] = 220897,
  [SMALL_STATE(6012)] = 220918,
  [SMALL_STATE(6013)] = 220947,
  [SMALL_STATE(6014)] = 220980,
  [SMALL_STATE(6015)] = 221013,
  [SMALL_STATE(6016)] = 221046,
  [SMALL_STATE(6017)] = 221079,
  [SMALL_STATE(6018)] = 221124,
  [SMALL_STATE(6019)] = 221157,
  [SMALL_STATE(6020)] = 221190,
  [SMALL_STATE(6021)] = 221223,
  [SMALL_STATE(6022)] = 221256,
  [SMALL_STATE(6023)] = 221279,
  [SMALL_STATE(6024)] = 221322,
  [SMALL_STATE(6025)] = 221351,
  [SMALL_STATE(6026)] = 221374,
  [SMALL_STATE(6027)] = 221403,
  [SMALL_STATE(6028)] = 221426,
  [SMALL_STATE(6029)] = 221449,
  [SMALL_STATE(6030)] = 221482,
  [SMALL_STATE(6031)] = 221511,
  [SMALL_STATE(6032)] = 221544,
  [SMALL_STATE(6033)] = 221573,
  [SMALL_STATE(6034)] = 221602,
  [SMALL_STATE(6035)] = 221635,
  [SMALL_STATE(6036)] = 221664,
  [SMALL_STATE(6037)] = 221693,
  [SMALL_STATE(6038)] = 221738,
  [SMALL_STATE(6039)] = 221783,
  [SMALL_STATE(6040)] = 221812,
  [SMALL_STATE(6041)] = 221841,
  [SMALL_STATE(6042)] = 221862,
  [SMALL_STATE(6043)] = 221905,
  [SMALL_STATE(6044)] = 221948,
  [SMALL_STATE(6045)] = 221977,
  [SMALL_STATE(6046)] = 222006,
  [SMALL_STATE(6047)] = 222029,
  [SMALL_STATE(6048)] = 222058,
  [SMALL_STATE(6049)] = 222091,
  [SMALL_STATE(6050)] = 222114,
  [SMALL_STATE(6051)] = 222135,
  [SMALL_STATE(6052)] = 222168,
  [SMALL_STATE(6053)] = 222197,
  [SMALL_STATE(6054)] = 222230,
  [SMALL_STATE(6055)] = 222253,
  [SMALL_STATE(6056)] = 222282,
  [SMALL_STATE(6057)] = 222321,
  [SMALL_STATE(6058)] = 222354,
  [SMALL_STATE(6059)] = 222393,
  [SMALL_STATE(6060)] = 222432,
  [SMALL_STATE(6061)] = 222471,
  [SMALL_STATE(6062)] = 222502,
  [SMALL_STATE(6063)] = 222525,
  [SMALL_STATE(6064)] = 222554,
  [SMALL_STATE(6065)] = 222585,
  [SMALL_STATE(6066)] = 222616,
  [SMALL_STATE(6067)] = 222647,
  [SMALL_STATE(6068)] = 222678,
  [SMALL_STATE(6069)] = 222709,
  [SMALL_STATE(6070)] = 222742,
  [SMALL_STATE(6071)] = 222763,
  [SMALL_STATE(6072)] = 222792,
  [SMALL_STATE(6073)] = 222813,
  [SMALL_STATE(6074)] = 222856,
  [SMALL_STATE(6075)] = 222889,
  [SMALL_STATE(6076)] = 222912,
  [SMALL_STATE(6077)] = 222951,
  [SMALL_STATE(6078)] = 222972,
  [SMALL_STATE(6079)] = 223019,
  [SMALL_STATE(6080)] = 223052,
  [SMALL_STATE(6081)] = 223081,
  [SMALL_STATE(6082)] = 223102,
  [SMALL_STATE(6083)] = 223131,
  [SMALL_STATE(6084)] = 223158,
  [SMALL_STATE(6085)] = 223203,
  [SMALL_STATE(6086)] = 223246,
  [SMALL_STATE(6087)] = 223275,
  [SMALL_STATE(6088)] = 223298,
  [SMALL_STATE(6089)] = 223321,
  [SMALL_STATE(6090)] = 223342,
  [SMALL_STATE(6091)] = 223371,
  [SMALL_STATE(6092)] = 223392,
  [SMALL_STATE(6093)] = 223415,
  [SMALL_STATE(6094)] = 223438,
  [SMALL_STATE(6095)] = 223481,
  [SMALL_STATE(6096)] = 223514,
  [SMALL_STATE(6097)] = 223537,
  [SMALL_STATE(6098)] = 223566,
  [SMALL_STATE(6099)] = 223605,
  [SMALL_STATE(6100)] = 223634,
  [SMALL_STATE(6101)] = 223663,
  [SMALL_STATE(6102)] = 223692,
  [SMALL_STATE(6103)] = 223721,
  [SMALL_STATE(6104)] = 223754,
  [SMALL_STATE(6105)] = 223785,
  [SMALL_STATE(6106)] = 223814,
  [SMALL_STATE(6107)] = 223857,
  [SMALL_STATE(6108)] = 223902,
  [SMALL_STATE(6109)] = 223925,
  [SMALL_STATE(6110)] = 223948,
  [SMALL_STATE(6111)] = 223971,
  [SMALL_STATE(6112)] = 223994,
  [SMALL_STATE(6113)] = 224027,
  [SMALL_STATE(6114)] = 224070,
  [SMALL_STATE(6115)] = 224091,
  [SMALL_STATE(6116)] = 224129,
  [SMALL_STATE(6117)] = 224169,
  [SMALL_STATE(6118)] = 224201,
  [SMALL_STATE(6119)] = 224241,
  [SMALL_STATE(6120)] = 224273,
  [SMALL_STATE(6121)] = 224295,
  [SMALL_STATE(6122)] = 224317,
  [SMALL_STATE(6123)] = 224345,
  [SMALL_STATE(6124)] = 224385,
  [SMALL_STATE(6125)] = 224407,
  [SMALL_STATE(6126)] = 224447,
  [SMALL_STATE(6127)] = 224487,
  [SMALL_STATE(6128)] = 224513,
  [SMALL_STATE(6129)] = 224553,
  [SMALL_STATE(6130)] = 224591,
  [SMALL_STATE(6131)] = 224631,
  [SMALL_STATE(6132)] = 224671,
  [SMALL_STATE(6133)] = 224711,
  [SMALL_STATE(6134)] = 224749,
  [SMALL_STATE(6135)] = 224781,
  [SMALL_STATE(6136)] = 224819,
  [SMALL_STATE(6137)] = 224847,
  [SMALL_STATE(6138)] = 224885,
  [SMALL_STATE(6139)] = 224925,
  [SMALL_STATE(6140)] = 224953,
  [SMALL_STATE(6141)] = 224991,
  [SMALL_STATE(6142)] = 225023,
  [SMALL_STATE(6143)] = 225051,
  [SMALL_STATE(6144)] = 225079,
  [SMALL_STATE(6145)] = 225107,
  [SMALL_STATE(6146)] = 225135,
  [SMALL_STATE(6147)] = 225163,
  [SMALL_STATE(6148)] = 225203,
  [SMALL_STATE(6149)] = 225243,
  [SMALL_STATE(6150)] = 225283,
  [SMALL_STATE(6151)] = 225321,
  [SMALL_STATE(6152)] = 225347,
  [SMALL_STATE(6153)] = 225385,
  [SMALL_STATE(6154)] = 225413,
  [SMALL_STATE(6155)] = 225441,
  [SMALL_STATE(6156)] = 225469,
  [SMALL_STATE(6157)] = 225507,
  [SMALL_STATE(6158)] = 225539,
  [SMALL_STATE(6159)] = 225577,
  [SMALL_STATE(6160)] = 225617,
  [SMALL_STATE(6161)] = 225655,
  [SMALL_STATE(6162)] = 225687,
  [SMALL_STATE(6163)] = 225715,
  [SMALL_STATE(6164)] = 225747,
  [SMALL_STATE(6165)] = 225785,
  [SMALL_STATE(6166)] = 225807,
  [SMALL_STATE(6167)] = 225839,
  [SMALL_STATE(6168)] = 225871,
  [SMALL_STATE(6169)] = 225909,
  [SMALL_STATE(6170)] = 225931,
  [SMALL_STATE(6171)] = 225963,
  [SMALL_STATE(6172)] = 225987,
  [SMALL_STATE(6173)] = 226019,
  [SMALL_STATE(6174)] = 226047,
  [SMALL_STATE(6175)] = 226087,
  [SMALL_STATE(6176)] = 226115,
  [SMALL_STATE(6177)] = 226143,
  [SMALL_STATE(6178)] = 226183,
  [SMALL_STATE(6179)] = 226215,
  [SMALL_STATE(6180)] = 226253,
  [SMALL_STATE(6181)] = 226281,
  [SMALL_STATE(6182)] = 226319,
  [SMALL_STATE(6183)] = 226351,
  [SMALL_STATE(6184)] = 226379,
  [SMALL_STATE(6185)] = 226419,
  [SMALL_STATE(6186)] = 226445,
  [SMALL_STATE(6187)] = 226485,
  [SMALL_STATE(6188)] = 226523,
  [SMALL_STATE(6189)] = 226563,
  [SMALL_STATE(6190)] = 226601,
  [SMALL_STATE(6191)] = 226629,
  [SMALL_STATE(6192)] = 226669,
  [SMALL_STATE(6193)] = 226707,
  [SMALL_STATE(6194)] = 226745,
  [SMALL_STATE(6195)] = 226785,
  [SMALL_STATE(6196)] = 226809,
  [SMALL_STATE(6197)] = 226842,
  [SMALL_STATE(6198)] = 226869,
  [SMALL_STATE(6199)] = 226902,
  [SMALL_STATE(6200)] = 226935,
  [SMALL_STATE(6201)] = 226970,
  [SMALL_STATE(6202)] = 227005,
  [SMALL_STATE(6203)] = 227038,
  [SMALL_STATE(6204)] = 227071,
  [SMALL_STATE(6205)] = 227104,
  [SMALL_STATE(6206)] = 227137,
  [SMALL_STATE(6207)] = 227164,
  [SMALL_STATE(6208)] = 227199,
  [SMALL_STATE(6209)] = 227232,
  [SMALL_STATE(6210)] = 227259,
  [SMALL_STATE(6211)] = 227290,
  [SMALL_STATE(6212)] = 227325,
  [SMALL_STATE(6213)] = 227360,
  [SMALL_STATE(6214)] = 227393,
  [SMALL_STATE(6215)] = 227426,
  [SMALL_STATE(6216)] = 227465,
  [SMALL_STATE(6217)] = 227496,
  [SMALL_STATE(6218)] = 227529,
  [SMALL_STATE(6219)] = 227556,
  [SMALL_STATE(6220)] = 227589,
  [SMALL_STATE(6221)] = 227622,
  [SMALL_STATE(6222)] = 227653,
  [SMALL_STATE(6223)] = 227686,
  [SMALL_STATE(6224)] = 227713,
  [SMALL_STATE(6225)] = 227748,
  [SMALL_STATE(6226)] = 227781,
  [SMALL_STATE(6227)] = 227814,
  [SMALL_STATE(6228)] = 227851,
  [SMALL_STATE(6229)] = 227876,
  [SMALL_STATE(6230)] = 227915,
  [SMALL_STATE(6231)] = 227936,
  [SMALL_STATE(6232)] = 227969,
  [SMALL_STATE(6233)] = 228002,
  [SMALL_STATE(6234)] = 228025,
  [SMALL_STATE(6235)] = 228064,
  [SMALL_STATE(6236)] = 228091,
  [SMALL_STATE(6237)] = 228122,
  [SMALL_STATE(6238)] = 228155,
  [SMALL_STATE(6239)] = 228190,
  [SMALL_STATE(6240)] = 228217,
  [SMALL_STATE(6241)] = 228250,
  [SMALL_STATE(6242)] = 228277,
  [SMALL_STATE(6243)] = 228308,
  [SMALL_STATE(6244)] = 228329,
  [SMALL_STATE(6245)] = 228362,
  [SMALL_STATE(6246)] = 228397,
  [SMALL_STATE(6247)] = 228430,
  [SMALL_STATE(6248)] = 228469,
  [SMALL_STATE(6249)] = 228502,
  [SMALL_STATE(6250)] = 228541,
  [SMALL_STATE(6251)] = 228568,
  [SMALL_STATE(6252)] = 228599,
  [SMALL_STATE(6253)] = 228630,
  [SMALL_STATE(6254)] = 228661,
  [SMALL_STATE(6255)] = 228688,
  [SMALL_STATE(6256)] = 228721,
  [SMALL_STATE(6257)] = 228748,
  [SMALL_STATE(6258)] = 228775,
  [SMALL_STATE(6259)] = 228802,
  [SMALL_STATE(6260)] = 228839,
  [SMALL_STATE(6261)] = 228870,
  [SMALL_STATE(6262)] = 228905,
  [SMALL_STATE(6263)] = 228938,
  [SMALL_STATE(6264)] = 228965,
  [SMALL_STATE(6265)] = 228992,
  [SMALL_STATE(6266)] = 229027,
  [SMALL_STATE(6267)] = 229058,
  [SMALL_STATE(6268)] = 229091,
  [SMALL_STATE(6269)] = 229124,
  [SMALL_STATE(6270)] = 229151,
  [SMALL_STATE(6271)] = 229186,
  [SMALL_STATE(6272)] = 229219,
  [SMALL_STATE(6273)] = 229239,
  [SMALL_STATE(6274)] = 229275,
  [SMALL_STATE(6275)] = 229295,
  [SMALL_STATE(6276)] = 229315,
  [SMALL_STATE(6277)] = 229351,
  [SMALL_STATE(6278)] = 229375,
  [SMALL_STATE(6279)] = 229395,
  [SMALL_STATE(6280)] = 229415,
  [SMALL_STATE(6281)] = 229435,
  [SMALL_STATE(6282)] = 229455,
  [SMALL_STATE(6283)] = 229491,
  [SMALL_STATE(6284)] = 229515,
  [SMALL_STATE(6285)] = 229539,
  [SMALL_STATE(6286)] = 229575,
  [SMALL_STATE(6287)] = 229595,
  [SMALL_STATE(6288)] = 229615,
  [SMALL_STATE(6289)] = 229651,
  [SMALL_STATE(6290)] = 229671,
  [SMALL_STATE(6291)] = 229707,
  [SMALL_STATE(6292)] = 229727,
  [SMALL_STATE(6293)] = 229763,
  [SMALL_STATE(6294)] = 229799,
  [SMALL_STATE(6295)] = 229835,
  [SMALL_STATE(6296)] = 229855,
  [SMALL_STATE(6297)] = 229877,
  [SMALL_STATE(6298)] = 229905,
  [SMALL_STATE(6299)] = 229925,
  [SMALL_STATE(6300)] = 229951,
  [SMALL_STATE(6301)] = 229971,
  [SMALL_STATE(6302)] = 229991,
  [SMALL_STATE(6303)] = 230011,
  [SMALL_STATE(6304)] = 230047,
  [SMALL_STATE(6305)] = 230067,
  [SMALL_STATE(6306)] = 230103,
  [SMALL_STATE(6307)] = 230131,
  [SMALL_STATE(6308)] = 230151,
  [SMALL_STATE(6309)] = 230187,
  [SMALL_STATE(6310)] = 230207,
  [SMALL_STATE(6311)] = 230243,
  [SMALL_STATE(6312)] = 230273,
  [SMALL_STATE(6313)] = 230303,
  [SMALL_STATE(6314)] = 230333,
  [SMALL_STATE(6315)] = 230363,
  [SMALL_STATE(6316)] = 230391,
  [SMALL_STATE(6317)] = 230427,
  [SMALL_STATE(6318)] = 230463,
  [SMALL_STATE(6319)] = 230491,
  [SMALL_STATE(6320)] = 230527,
  [SMALL_STATE(6321)] = 230557,
  [SMALL_STATE(6322)] = 230587,
  [SMALL_STATE(6323)] = 230617,
  [SMALL_STATE(6324)] = 230637,
  [SMALL_STATE(6325)] = 230667,
  [SMALL_STATE(6326)] = 230687,
  [SMALL_STATE(6327)] = 230707,
  [SMALL_STATE(6328)] = 230735,
  [SMALL_STATE(6329)] = 230763,
  [SMALL_STATE(6330)] = 230783,
  [SMALL_STATE(6331)] = 230803,
  [SMALL_STATE(6332)] = 230839,
  [SMALL_STATE(6333)] = 230859,
  [SMALL_STATE(6334)] = 230879,
  [SMALL_STATE(6335)] = 230899,
  [SMALL_STATE(6336)] = 230935,
  [SMALL_STATE(6337)] = 230959,
  [SMALL_STATE(6338)] = 230995,
  [SMALL_STATE(6339)] = 231015,
  [SMALL_STATE(6340)] = 231035,
  [SMALL_STATE(6341)] = 231055,
  [SMALL_STATE(6342)] = 231091,
  [SMALL_STATE(6343)] = 231111,
  [SMALL_STATE(6344)] = 231136,
  [SMALL_STATE(6345)] = 231161,
  [SMALL_STATE(6346)] = 231196,
  [SMALL_STATE(6347)] = 231227,
  [SMALL_STATE(6348)] = 231262,
  [SMALL_STATE(6349)] = 231287,
  [SMALL_STATE(6350)] = 231312,
  [SMALL_STATE(6351)] = 231337,
  [SMALL_STATE(6352)] = 231372,
  [SMALL_STATE(6353)] = 231407,
  [SMALL_STATE(6354)] = 231438,
  [SMALL_STATE(6355)] = 231473,
  [SMALL_STATE(6356)] = 231498,
  [SMALL_STATE(6357)] = 231523,
  [SMALL_STATE(6358)] = 231542,
  [SMALL_STATE(6359)] = 231567,
  [SMALL_STATE(6360)] = 231596,
  [SMALL_STATE(6361)] = 231621,
  [SMALL_STATE(6362)] = 231650,
  [SMALL_STATE(6363)] = 231685,
  [SMALL_STATE(6364)] = 231720,
  [SMALL_STATE(6365)] = 231745,
  [SMALL_STATE(6366)] = 231780,
  [SMALL_STATE(6367)] = 231805,
  [SMALL_STATE(6368)] = 231840,
  [SMALL_STATE(6369)] = 231865,
  [SMALL_STATE(6370)] = 231890,
  [SMALL_STATE(6371)] = 231921,
  [SMALL_STATE(6372)] = 231946,
  [SMALL_STATE(6373)] = 231981,
  [SMALL_STATE(6374)] = 232010,
  [SMALL_STATE(6375)] = 232039,
  [SMALL_STATE(6376)] = 232074,
  [SMALL_STATE(6377)] = 232109,
  [SMALL_STATE(6378)] = 232134,
  [SMALL_STATE(6379)] = 232169,
  [SMALL_STATE(6380)] = 232204,
  [SMALL_STATE(6381)] = 232239,
  [SMALL_STATE(6382)] = 232266,
  [SMALL_STATE(6383)] = 232295,
  [SMALL_STATE(6384)] = 232314,
  [SMALL_STATE(6385)] = 232333,
  [SMALL_STATE(6386)] = 232358,
  [SMALL_STATE(6387)] = 232387,
  [SMALL_STATE(6388)] = 232412,
  [SMALL_STATE(6389)] = 232441,
  [SMALL_STATE(6390)] = 232472,
  [SMALL_STATE(6391)] = 232499,
  [SMALL_STATE(6392)] = 232534,
  [SMALL_STATE(6393)] = 232559,
  [SMALL_STATE(6394)] = 232584,
  [SMALL_STATE(6395)] = 232609,
  [SMALL_STATE(6396)] = 232634,
  [SMALL_STATE(6397)] = 232669,
  [SMALL_STATE(6398)] = 232704,
  [SMALL_STATE(6399)] = 232723,
  [SMALL_STATE(6400)] = 232748,
  [SMALL_STATE(6401)] = 232779,
  [SMALL_STATE(6402)] = 232814,
  [SMALL_STATE(6403)] = 232849,
  [SMALL_STATE(6404)] = 232884,
  [SMALL_STATE(6405)] = 232919,
  [SMALL_STATE(6406)] = 232942,
  [SMALL_STATE(6407)] = 232973,
  [SMALL_STATE(6408)] = 233008,
  [SMALL_STATE(6409)] = 233043,
  [SMALL_STATE(6410)] = 233074,
  [SMALL_STATE(6411)] = 233107,
  [SMALL_STATE(6412)] = 233142,
  [SMALL_STATE(6413)] = 233177,
  [SMALL_STATE(6414)] = 233206,
  [SMALL_STATE(6415)] = 233241,
  [SMALL_STATE(6416)] = 233276,
  [SMALL_STATE(6417)] = 233301,
  [SMALL_STATE(6418)] = 233320,
  [SMALL_STATE(6419)] = 233349,
  [SMALL_STATE(6420)] = 233374,
  [SMALL_STATE(6421)] = 233409,
  [SMALL_STATE(6422)] = 233430,
  [SMALL_STATE(6423)] = 233465,
  [SMALL_STATE(6424)] = 233496,
  [SMALL_STATE(6425)] = 233527,
  [SMALL_STATE(6426)] = 233560,
  [SMALL_STATE(6427)] = 233589,
  [SMALL_STATE(6428)] = 233620,
  [SMALL_STATE(6429)] = 233655,
  [SMALL_STATE(6430)] = 233682,
  [SMALL_STATE(6431)] = 233709,
  [SMALL_STATE(6432)] = 233744,
  [SMALL_STATE(6433)] = 233771,
  [SMALL_STATE(6434)] = 233796,
  [SMALL_STATE(6435)] = 233821,
  [SMALL_STATE(6436)] = 233848,
  [SMALL_STATE(6437)] = 233883,
  [SMALL_STATE(6438)] = 233918,
  [SMALL_STATE(6439)] = 233953,
  [SMALL_STATE(6440)] = 233980,
  [SMALL_STATE(6441)] = 234015,
  [SMALL_STATE(6442)] = 234046,
  [SMALL_STATE(6443)] = 234075,
  [SMALL_STATE(6444)] = 234106,
  [SMALL_STATE(6445)] = 234139,
  [SMALL_STATE(6446)] = 234168,
  [SMALL_STATE(6447)] = 234199,
  [SMALL_STATE(6448)] = 234218,
  [SMALL_STATE(6449)] = 234243,
  [SMALL_STATE(6450)] = 234270,
  [SMALL_STATE(6451)] = 234297,
  [SMALL_STATE(6452)] = 234332,
  [SMALL_STATE(6453)] = 234367,
  [SMALL_STATE(6454)] = 234402,
  [SMALL_STATE(6455)] = 234427,
  [SMALL_STATE(6456)] = 234462,
  [SMALL_STATE(6457)] = 234481,
  [SMALL_STATE(6458)] = 234512,
  [SMALL_STATE(6459)] = 234535,
  [SMALL_STATE(6460)] = 234570,
  [SMALL_STATE(6461)] = 234595,
  [SMALL_STATE(6462)] = 234620,
  [SMALL_STATE(6463)] = 234655,
  [SMALL_STATE(6464)] = 234688,
  [SMALL_STATE(6465)] = 234707,
  [SMALL_STATE(6466)] = 234726,
  [SMALL_STATE(6467)] = 234751,
  [SMALL_STATE(6468)] = 234786,
  [SMALL_STATE(6469)] = 234811,
  [SMALL_STATE(6470)] = 234836,
  [SMALL_STATE(6471)] = 234863,
  [SMALL_STATE(6472)] = 234888,
  [SMALL_STATE(6473)] = 234919,
  [SMALL_STATE(6474)] = 234954,
  [SMALL_STATE(6475)] = 234989,
  [SMALL_STATE(6476)] = 235024,
  [SMALL_STATE(6477)] = 235057,
  [SMALL_STATE(6478)] = 235090,
  [SMALL_STATE(6479)] = 235125,
  [SMALL_STATE(6480)] = 235160,
  [SMALL_STATE(6481)] = 235179,
  [SMALL_STATE(6482)] = 235214,
  [SMALL_STATE(6483)] = 235244,
  [SMALL_STATE(6484)] = 235262,
  [SMALL_STATE(6485)] = 235280,
  [SMALL_STATE(6486)] = 235304,
  [SMALL_STATE(6487)] = 235326,
  [SMALL_STATE(6488)] = 235358,
  [SMALL_STATE(6489)] = 235380,
  [SMALL_STATE(6490)] = 235402,
  [SMALL_STATE(6491)] = 235424,
  [SMALL_STATE(6492)] = 235448,
  [SMALL_STATE(6493)] = 235466,
  [SMALL_STATE(6494)] = 235494,
  [SMALL_STATE(6495)] = 235516,
  [SMALL_STATE(6496)] = 235534,
  [SMALL_STATE(6497)] = 235556,
  [SMALL_STATE(6498)] = 235574,
  [SMALL_STATE(6499)] = 235598,
  [SMALL_STATE(6500)] = 235622,
  [SMALL_STATE(6501)] = 235646,
  [SMALL_STATE(6502)] = 235676,
  [SMALL_STATE(6503)] = 235694,
  [SMALL_STATE(6504)] = 235718,
  [SMALL_STATE(6505)] = 235742,
  [SMALL_STATE(6506)] = 235764,
  [SMALL_STATE(6507)] = 235788,
  [SMALL_STATE(6508)] = 235812,
  [SMALL_STATE(6509)] = 235834,
  [SMALL_STATE(6510)] = 235858,
  [SMALL_STATE(6511)] = 235880,
  [SMALL_STATE(6512)] = 235908,
  [SMALL_STATE(6513)] = 235938,
  [SMALL_STATE(6514)] = 235968,
  [SMALL_STATE(6515)] = 235986,
  [SMALL_STATE(6516)] = 236008,
  [SMALL_STATE(6517)] = 236030,
  [SMALL_STATE(6518)] = 236052,
  [SMALL_STATE(6519)] = 236074,
  [SMALL_STATE(6520)] = 236104,
  [SMALL_STATE(6521)] = 236128,
  [SMALL_STATE(6522)] = 236150,
  [SMALL_STATE(6523)] = 236174,
  [SMALL_STATE(6524)] = 236198,
  [SMALL_STATE(6525)] = 236228,
  [SMALL_STATE(6526)] = 236252,
  [SMALL_STATE(6527)] = 236274,
  [SMALL_STATE(6528)] = 236305,
  [SMALL_STATE(6529)] = 236336,
  [SMALL_STATE(6530)] = 236357,
  [SMALL_STATE(6531)] = 236384,
  [SMALL_STATE(6532)] = 236411,
  [SMALL_STATE(6533)] = 236438,
  [SMALL_STATE(6534)] = 236469,
  [SMALL_STATE(6535)] = 236500,
  [SMALL_STATE(6536)] = 236531,
  [SMALL_STATE(6537)] = 236562,
  [SMALL_STATE(6538)] = 236593,
  [SMALL_STATE(6539)] = 236614,
  [SMALL_STATE(6540)] = 236645,
  [SMALL_STATE(6541)] = 236668,
  [SMALL_STATE(6542)] = 236699,
  [SMALL_STATE(6543)] = 236730,
  [SMALL_STATE(6544)] = 236761,
  [SMALL_STATE(6545)] = 236780,
  [SMALL_STATE(6546)] = 236811,
  [SMALL_STATE(6547)] = 236842,
  [SMALL_STATE(6548)] = 236873,
  [SMALL_STATE(6549)] = 236898,
  [SMALL_STATE(6550)] = 236929,
  [SMALL_STATE(6551)] = 236960,
  [SMALL_STATE(6552)] = 236987,
  [SMALL_STATE(6553)] = 237014,
  [SMALL_STATE(6554)] = 237037,
  [SMALL_STATE(6555)] = 237064,
  [SMALL_STATE(6556)] = 237095,
  [SMALL_STATE(6557)] = 237126,
  [SMALL_STATE(6558)] = 237157,
  [SMALL_STATE(6559)] = 237184,
  [SMALL_STATE(6560)] = 237211,
  [SMALL_STATE(6561)] = 237234,
  [SMALL_STATE(6562)] = 237261,
  [SMALL_STATE(6563)] = 237284,
  [SMALL_STATE(6564)] = 237315,
  [SMALL_STATE(6565)] = 237346,
  [SMALL_STATE(6566)] = 237369,
  [SMALL_STATE(6567)] = 237396,
  [SMALL_STATE(6568)] = 237419,
  [SMALL_STATE(6569)] = 237450,
  [SMALL_STATE(6570)] = 237477,
  [SMALL_STATE(6571)] = 237500,
  [SMALL_STATE(6572)] = 237523,
  [SMALL_STATE(6573)] = 237554,
  [SMALL_STATE(6574)] = 237577,
  [SMALL_STATE(6575)] = 237598,
  [SMALL_STATE(6576)] = 237629,
  [SMALL_STATE(6577)] = 237660,
  [SMALL_STATE(6578)] = 237691,
  [SMALL_STATE(6579)] = 237712,
  [SMALL_STATE(6580)] = 237743,
  [SMALL_STATE(6581)] = 237774,
  [SMALL_STATE(6582)] = 237805,
  [SMALL_STATE(6583)] = 237836,
  [SMALL_STATE(6584)] = 237863,
  [SMALL_STATE(6585)] = 237890,
  [SMALL_STATE(6586)] = 237921,
  [SMALL_STATE(6587)] = 237940,
  [SMALL_STATE(6588)] = 237971,
  [SMALL_STATE(6589)] = 237998,
  [SMALL_STATE(6590)] = 238029,
  [SMALL_STATE(6591)] = 238052,
  [SMALL_STATE(6592)] = 238078,
  [SMALL_STATE(6593)] = 238102,
  [SMALL_STATE(6594)] = 238126,
  [SMALL_STATE(6595)] = 238150,
  [SMALL_STATE(6596)] = 238174,
  [SMALL_STATE(6597)] = 238200,
  [SMALL_STATE(6598)] = 238226,
  [SMALL_STATE(6599)] = 238242,
  [SMALL_STATE(6600)] = 238262,
  [SMALL_STATE(6601)] = 238282,
  [SMALL_STATE(6602)] = 238308,
  [SMALL_STATE(6603)] = 238330,
  [SMALL_STATE(6604)] = 238356,
  [SMALL_STATE(6605)] = 238382,
  [SMALL_STATE(6606)] = 238408,
  [SMALL_STATE(6607)] = 238430,
  [SMALL_STATE(6608)] = 238452,
  [SMALL_STATE(6609)] = 238474,
  [SMALL_STATE(6610)] = 238496,
  [SMALL_STATE(6611)] = 238522,
  [SMALL_STATE(6612)] = 238544,
  [SMALL_STATE(6613)] = 238566,
  [SMALL_STATE(6614)] = 238588,
  [SMALL_STATE(6615)] = 238610,
  [SMALL_STATE(6616)] = 238636,
  [SMALL_STATE(6617)] = 238658,
  [SMALL_STATE(6618)] = 238680,
  [SMALL_STATE(6619)] = 238706,
  [SMALL_STATE(6620)] = 238728,
  [SMALL_STATE(6621)] = 238750,
  [SMALL_STATE(6622)] = 238772,
  [SMALL_STATE(6623)] = 238794,
  [SMALL_STATE(6624)] = 238810,
  [SMALL_STATE(6625)] = 238828,
  [SMALL_STATE(6626)] = 238850,
  [SMALL_STATE(6627)] = 238876,
  [SMALL_STATE(6628)] = 238900,
  [SMALL_STATE(6629)] = 238926,
  [SMALL_STATE(6630)] = 238948,
  [SMALL_STATE(6631)] = 238974,
  [SMALL_STATE(6632)] = 238996,
  [SMALL_STATE(6633)] = 239022,
  [SMALL_STATE(6634)] = 239048,
  [SMALL_STATE(6635)] = 239070,
  [SMALL_STATE(6636)] = 239096,
  [SMALL_STATE(6637)] = 239122,
  [SMALL_STATE(6638)] = 239148,
  [SMALL_STATE(6639)] = 239170,
  [SMALL_STATE(6640)] = 239190,
  [SMALL_STATE(6641)] = 239212,
  [SMALL_STATE(6642)] = 239234,
  [SMALL_STATE(6643)] = 239256,
  [SMALL_STATE(6644)] = 239282,
  [SMALL_STATE(6645)] = 239304,
  [SMALL_STATE(6646)] = 239330,
  [SMALL_STATE(6647)] = 239352,
  [SMALL_STATE(6648)] = 239378,
  [SMALL_STATE(6649)] = 239404,
  [SMALL_STATE(6650)] = 239424,
  [SMALL_STATE(6651)] = 239446,
  [SMALL_STATE(6652)] = 239472,
  [SMALL_STATE(6653)] = 239498,
  [SMALL_STATE(6654)] = 239524,
  [SMALL_STATE(6655)] = 239550,
  [SMALL_STATE(6656)] = 239576,
  [SMALL_STATE(6657)] = 239602,
  [SMALL_STATE(6658)] = 239628,
  [SMALL_STATE(6659)] = 239654,
  [SMALL_STATE(6660)] = 239676,
  [SMALL_STATE(6661)] = 239693,
  [SMALL_STATE(6662)] = 239716,
  [SMALL_STATE(6663)] = 239731,
  [SMALL_STATE(6664)] = 239754,
  [SMALL_STATE(6665)] = 239777,
  [SMALL_STATE(6666)] = 239802,
  [SMALL_STATE(6667)] = 239821,
  [SMALL_STATE(6668)] = 239842,
  [SMALL_STATE(6669)] = 239857,
  [SMALL_STATE(6670)] = 239880,
  [SMALL_STATE(6671)] = 239897,
  [SMALL_STATE(6672)] = 239920,
  [SMALL_STATE(6673)] = 239941,
  [SMALL_STATE(6674)] = 239962,
  [SMALL_STATE(6675)] = 239983,
  [SMALL_STATE(6676)] = 240006,
  [SMALL_STATE(6677)] = 240029,
  [SMALL_STATE(6678)] = 240046,
  [SMALL_STATE(6679)] = 240069,
  [SMALL_STATE(6680)] = 240090,
  [SMALL_STATE(6681)] = 240111,
  [SMALL_STATE(6682)] = 240126,
  [SMALL_STATE(6683)] = 240149,
  [SMALL_STATE(6684)] = 240172,
  [SMALL_STATE(6685)] = 240187,
  [SMALL_STATE(6686)] = 240208,
  [SMALL_STATE(6687)] = 240229,
  [SMALL_STATE(6688)] = 240250,
  [SMALL_STATE(6689)] = 240271,
  [SMALL_STATE(6690)] = 240292,
  [SMALL_STATE(6691)] = 240311,
  [SMALL_STATE(6692)] = 240336,
  [SMALL_STATE(6693)] = 240361,
  [SMALL_STATE(6694)] = 240382,
  [SMALL_STATE(6695)] = 240407,
  [SMALL_STATE(6696)] = 240422,
  [SMALL_STATE(6697)] = 240443,
  [SMALL_STATE(6698)] = 240466,
  [SMALL_STATE(6699)] = 240481,
  [SMALL_STATE(6700)] = 240496,
  [SMALL_STATE(6701)] = 240521,
  [SMALL_STATE(6702)] = 240544,
  [SMALL_STATE(6703)] = 240567,
  [SMALL_STATE(6704)] = 240586,
  [SMALL_STATE(6705)] = 240611,
  [SMALL_STATE(6706)] = 240626,
  [SMALL_STATE(6707)] = 240649,
  [SMALL_STATE(6708)] = 240674,
  [SMALL_STATE(6709)] = 240699,
  [SMALL_STATE(6710)] = 240716,
  [SMALL_STATE(6711)] = 240733,
  [SMALL_STATE(6712)] = 240748,
  [SMALL_STATE(6713)] = 240765,
  [SMALL_STATE(6714)] = 240780,
  [SMALL_STATE(6715)] = 240801,
  [SMALL_STATE(6716)] = 240822,
  [SMALL_STATE(6717)] = 240841,
  [SMALL_STATE(6718)] = 240862,
  [SMALL_STATE(6719)] = 240879,
  [SMALL_STATE(6720)] = 240896,
  [SMALL_STATE(6721)] = 240913,
  [SMALL_STATE(6722)] = 240930,
  [SMALL_STATE(6723)] = 240947,
  [SMALL_STATE(6724)] = 240964,
  [SMALL_STATE(6725)] = 240981,
  [SMALL_STATE(6726)] = 240998,
  [SMALL_STATE(6727)] = 241015,
  [SMALL_STATE(6728)] = 241032,
  [SMALL_STATE(6729)] = 241055,
  [SMALL_STATE(6730)] = 241075,
  [SMALL_STATE(6731)] = 241089,
  [SMALL_STATE(6732)] = 241103,
  [SMALL_STATE(6733)] = 241117,
  [SMALL_STATE(6734)] = 241131,
  [SMALL_STATE(6735)] = 241151,
  [SMALL_STATE(6736)] = 241169,
  [SMALL_STATE(6737)] = 241187,
  [SMALL_STATE(6738)] = 241207,
  [SMALL_STATE(6739)] = 241221,
  [SMALL_STATE(6740)] = 241239,
  [SMALL_STATE(6741)] = 241259,
  [SMALL_STATE(6742)] = 241277,
  [SMALL_STATE(6743)] = 241295,
  [SMALL_STATE(6744)] = 241313,
  [SMALL_STATE(6745)] = 241327,
  [SMALL_STATE(6746)] = 241347,
  [SMALL_STATE(6747)] = 241361,
  [SMALL_STATE(6748)] = 241381,
  [SMALL_STATE(6749)] = 241395,
  [SMALL_STATE(6750)] = 241415,
  [SMALL_STATE(6751)] = 241433,
  [SMALL_STATE(6752)] = 241453,
  [SMALL_STATE(6753)] = 241473,
  [SMALL_STATE(6754)] = 241493,
  [SMALL_STATE(6755)] = 241507,
  [SMALL_STATE(6756)] = 241521,
  [SMALL_STATE(6757)] = 241535,
  [SMALL_STATE(6758)] = 241555,
  [SMALL_STATE(6759)] = 241569,
  [SMALL_STATE(6760)] = 241587,
  [SMALL_STATE(6761)] = 241607,
  [SMALL_STATE(6762)] = 241621,
  [SMALL_STATE(6763)] = 241641,
  [SMALL_STATE(6764)] = 241655,
  [SMALL_STATE(6765)] = 241675,
  [SMALL_STATE(6766)] = 241694,
  [SMALL_STATE(6767)] = 241713,
  [SMALL_STATE(6768)] = 241732,
  [SMALL_STATE(6769)] = 241745,
  [SMALL_STATE(6770)] = 241764,
  [SMALL_STATE(6771)] = 241783,
  [SMALL_STATE(6772)] = 241802,
  [SMALL_STATE(6773)] = 241821,
  [SMALL_STATE(6774)] = 241840,
  [SMALL_STATE(6775)] = 241859,
  [SMALL_STATE(6776)] = 241878,
  [SMALL_STATE(6777)] = 241897,
  [SMALL_STATE(6778)] = 241916,
  [SMALL_STATE(6779)] = 241935,
  [SMALL_STATE(6780)] = 241954,
  [SMALL_STATE(6781)] = 241973,
  [SMALL_STATE(6782)] = 241986,
  [SMALL_STATE(6783)] = 242005,
  [SMALL_STATE(6784)] = 242022,
  [SMALL_STATE(6785)] = 242039,
  [SMALL_STATE(6786)] = 242058,
  [SMALL_STATE(6787)] = 242077,
  [SMALL_STATE(6788)] = 242096,
  [SMALL_STATE(6789)] = 242113,
  [SMALL_STATE(6790)] = 242130,
  [SMALL_STATE(6791)] = 242147,
  [SMALL_STATE(6792)] = 242166,
  [SMALL_STATE(6793)] = 242185,
  [SMALL_STATE(6794)] = 242204,
  [SMALL_STATE(6795)] = 242223,
  [SMALL_STATE(6796)] = 242242,
  [SMALL_STATE(6797)] = 242261,
  [SMALL_STATE(6798)] = 242280,
  [SMALL_STATE(6799)] = 242299,
  [SMALL_STATE(6800)] = 242318,
  [SMALL_STATE(6801)] = 242337,
  [SMALL_STATE(6802)] = 242356,
  [SMALL_STATE(6803)] = 242373,
  [SMALL_STATE(6804)] = 242392,
  [SMALL_STATE(6805)] = 242411,
  [SMALL_STATE(6806)] = 242422,
  [SMALL_STATE(6807)] = 242441,
  [SMALL_STATE(6808)] = 242460,
  [SMALL_STATE(6809)] = 242479,
  [SMALL_STATE(6810)] = 242498,
  [SMALL_STATE(6811)] = 242517,
  [SMALL_STATE(6812)] = 242536,
  [SMALL_STATE(6813)] = 242555,
  [SMALL_STATE(6814)] = 242574,
  [SMALL_STATE(6815)] = 242593,
  [SMALL_STATE(6816)] = 242612,
  [SMALL_STATE(6817)] = 242631,
  [SMALL_STATE(6818)] = 242650,
  [SMALL_STATE(6819)] = 242669,
  [SMALL_STATE(6820)] = 242688,
  [SMALL_STATE(6821)] = 242707,
  [SMALL_STATE(6822)] = 242724,
  [SMALL_STATE(6823)] = 242743,
  [SMALL_STATE(6824)] = 242759,
  [SMALL_STATE(6825)] = 242773,
  [SMALL_STATE(6826)] = 242789,
  [SMALL_STATE(6827)] = 242805,
  [SMALL_STATE(6828)] = 242821,
  [SMALL_STATE(6829)] = 242835,
  [SMALL_STATE(6830)] = 242851,
  [SMALL_STATE(6831)] = 242867,
  [SMALL_STATE(6832)] = 242883,
  [SMALL_STATE(6833)] = 242897,
  [SMALL_STATE(6834)] = 242911,
  [SMALL_STATE(6835)] = 242925,
  [SMALL_STATE(6836)] = 242941,
  [SMALL_STATE(6837)] = 242957,
  [SMALL_STATE(6838)] = 242971,
  [SMALL_STATE(6839)] = 242985,
  [SMALL_STATE(6840)] = 242999,
  [SMALL_STATE(6841)] = 243013,
  [SMALL_STATE(6842)] = 243027,
  [SMALL_STATE(6843)] = 243041,
  [SMALL_STATE(6844)] = 243057,
  [SMALL_STATE(6845)] = 243073,
  [SMALL_STATE(6846)] = 243089,
  [SMALL_STATE(6847)] = 243105,
  [SMALL_STATE(6848)] = 243119,
  [SMALL_STATE(6849)] = 243135,
  [SMALL_STATE(6850)] = 243149,
  [SMALL_STATE(6851)] = 243163,
  [SMALL_STATE(6852)] = 243179,
  [SMALL_STATE(6853)] = 243195,
  [SMALL_STATE(6854)] = 243211,
  [SMALL_STATE(6855)] = 243227,
  [SMALL_STATE(6856)] = 243241,
  [SMALL_STATE(6857)] = 243257,
  [SMALL_STATE(6858)] = 243271,
  [SMALL_STATE(6859)] = 243287,
  [SMALL_STATE(6860)] = 243303,
  [SMALL_STATE(6861)] = 243317,
  [SMALL_STATE(6862)] = 243333,
  [SMALL_STATE(6863)] = 243349,
  [SMALL_STATE(6864)] = 243365,
  [SMALL_STATE(6865)] = 243381,
  [SMALL_STATE(6866)] = 243395,
  [SMALL_STATE(6867)] = 243409,
  [SMALL_STATE(6868)] = 243425,
  [SMALL_STATE(6869)] = 243441,
  [SMALL_STATE(6870)] = 243457,
  [SMALL_STATE(6871)] = 243473,
  [SMALL_STATE(6872)] = 243489,
  [SMALL_STATE(6873)] = 243505,
  [SMALL_STATE(6874)] = 243521,
  [SMALL_STATE(6875)] = 243537,
  [SMALL_STATE(6876)] = 243553,
  [SMALL_STATE(6877)] = 243567,
  [SMALL_STATE(6878)] = 243583,
  [SMALL_STATE(6879)] = 243599,
  [SMALL_STATE(6880)] = 243615,
  [SMALL_STATE(6881)] = 243631,
  [SMALL_STATE(6882)] = 243647,
  [SMALL_STATE(6883)] = 243663,
  [SMALL_STATE(6884)] = 243679,
  [SMALL_STATE(6885)] = 243695,
  [SMALL_STATE(6886)] = 243711,
  [SMALL_STATE(6887)] = 243727,
  [SMALL_STATE(6888)] = 243743,
  [SMALL_STATE(6889)] = 243757,
  [SMALL_STATE(6890)] = 243773,
  [SMALL_STATE(6891)] = 243789,
  [SMALL_STATE(6892)] = 243805,
  [SMALL_STATE(6893)] = 243819,
  [SMALL_STATE(6894)] = 243835,
  [SMALL_STATE(6895)] = 243851,
  [SMALL_STATE(6896)] = 243867,
  [SMALL_STATE(6897)] = 243883,
  [SMALL_STATE(6898)] = 243899,
  [SMALL_STATE(6899)] = 243913,
  [SMALL_STATE(6900)] = 243929,
  [SMALL_STATE(6901)] = 243945,
  [SMALL_STATE(6902)] = 243961,
  [SMALL_STATE(6903)] = 243977,
  [SMALL_STATE(6904)] = 243991,
  [SMALL_STATE(6905)] = 244007,
  [SMALL_STATE(6906)] = 244021,
  [SMALL_STATE(6907)] = 244035,
  [SMALL_STATE(6908)] = 244051,
  [SMALL_STATE(6909)] = 244067,
  [SMALL_STATE(6910)] = 244083,
  [SMALL_STATE(6911)] = 244099,
  [SMALL_STATE(6912)] = 244113,
  [SMALL_STATE(6913)] = 244129,
  [SMALL_STATE(6914)] = 244143,
  [SMALL_STATE(6915)] = 244157,
  [SMALL_STATE(6916)] = 244173,
  [SMALL_STATE(6917)] = 244187,
  [SMALL_STATE(6918)] = 244203,
  [SMALL_STATE(6919)] = 244219,
  [SMALL_STATE(6920)] = 244233,
  [SMALL_STATE(6921)] = 244247,
  [SMALL_STATE(6922)] = 244263,
  [SMALL_STATE(6923)] = 244277,
  [SMALL_STATE(6924)] = 244293,
  [SMALL_STATE(6925)] = 244309,
  [SMALL_STATE(6926)] = 244323,
  [SMALL_STATE(6927)] = 244337,
  [SMALL_STATE(6928)] = 244353,
  [SMALL_STATE(6929)] = 244369,
  [SMALL_STATE(6930)] = 244383,
  [SMALL_STATE(6931)] = 244397,
  [SMALL_STATE(6932)] = 244413,
  [SMALL_STATE(6933)] = 244429,
  [SMALL_STATE(6934)] = 244445,
  [SMALL_STATE(6935)] = 244461,
  [SMALL_STATE(6936)] = 244477,
  [SMALL_STATE(6937)] = 244491,
  [SMALL_STATE(6938)] = 244507,
  [SMALL_STATE(6939)] = 244523,
  [SMALL_STATE(6940)] = 244539,
  [SMALL_STATE(6941)] = 244555,
  [SMALL_STATE(6942)] = 244571,
  [SMALL_STATE(6943)] = 244587,
  [SMALL_STATE(6944)] = 244601,
  [SMALL_STATE(6945)] = 244615,
  [SMALL_STATE(6946)] = 244629,
  [SMALL_STATE(6947)] = 244645,
  [SMALL_STATE(6948)] = 244661,
  [SMALL_STATE(6949)] = 244675,
  [SMALL_STATE(6950)] = 244691,
  [SMALL_STATE(6951)] = 244705,
  [SMALL_STATE(6952)] = 244719,
  [SMALL_STATE(6953)] = 244735,
  [SMALL_STATE(6954)] = 244751,
  [SMALL_STATE(6955)] = 244765,
  [SMALL_STATE(6956)] = 244781,
  [SMALL_STATE(6957)] = 244797,
  [SMALL_STATE(6958)] = 244813,
  [SMALL_STATE(6959)] = 244829,
  [SMALL_STATE(6960)] = 244845,
  [SMALL_STATE(6961)] = 244859,
  [SMALL_STATE(6962)] = 244873,
  [SMALL_STATE(6963)] = 244889,
  [SMALL_STATE(6964)] = 244905,
  [SMALL_STATE(6965)] = 244921,
  [SMALL_STATE(6966)] = 244935,
  [SMALL_STATE(6967)] = 244949,
  [SMALL_STATE(6968)] = 244965,
  [SMALL_STATE(6969)] = 244981,
  [SMALL_STATE(6970)] = 244997,
  [SMALL_STATE(6971)] = 245011,
  [SMALL_STATE(6972)] = 245027,
  [SMALL_STATE(6973)] = 245041,
  [SMALL_STATE(6974)] = 245057,
  [SMALL_STATE(6975)] = 245071,
  [SMALL_STATE(6976)] = 245087,
  [SMALL_STATE(6977)] = 245103,
  [SMALL_STATE(6978)] = 245117,
  [SMALL_STATE(6979)] = 245133,
  [SMALL_STATE(6980)] = 245149,
  [SMALL_STATE(6981)] = 245165,
  [SMALL_STATE(6982)] = 245181,
  [SMALL_STATE(6983)] = 245195,
  [SMALL_STATE(6984)] = 245211,
  [SMALL_STATE(6985)] = 245227,
  [SMALL_STATE(6986)] = 245243,
  [SMALL_STATE(6987)] = 245257,
  [SMALL_STATE(6988)] = 245271,
  [SMALL_STATE(6989)] = 245287,
  [SMALL_STATE(6990)] = 245301,
  [SMALL_STATE(6991)] = 245317,
  [SMALL_STATE(6992)] = 245331,
  [SMALL_STATE(6993)] = 245347,
  [SMALL_STATE(6994)] = 245361,
  [SMALL_STATE(6995)] = 245377,
  [SMALL_STATE(6996)] = 245393,
  [SMALL_STATE(6997)] = 245409,
  [SMALL_STATE(6998)] = 245423,
  [SMALL_STATE(6999)] = 245437,
  [SMALL_STATE(7000)] = 245451,
  [SMALL_STATE(7001)] = 245467,
  [SMALL_STATE(7002)] = 245483,
  [SMALL_STATE(7003)] = 245499,
  [SMALL_STATE(7004)] = 245513,
  [SMALL_STATE(7005)] = 245527,
  [SMALL_STATE(7006)] = 245541,
  [SMALL_STATE(7007)] = 245555,
  [SMALL_STATE(7008)] = 245569,
  [SMALL_STATE(7009)] = 245585,
  [SMALL_STATE(7010)] = 245601,
  [SMALL_STATE(7011)] = 245617,
  [SMALL_STATE(7012)] = 245633,
  [SMALL_STATE(7013)] = 245649,
  [SMALL_STATE(7014)] = 245663,
  [SMALL_STATE(7015)] = 245677,
  [SMALL_STATE(7016)] = 245687,
  [SMALL_STATE(7017)] = 245703,
  [SMALL_STATE(7018)] = 245719,
  [SMALL_STATE(7019)] = 245733,
  [SMALL_STATE(7020)] = 245749,
  [SMALL_STATE(7021)] = 245763,
  [SMALL_STATE(7022)] = 245779,
  [SMALL_STATE(7023)] = 245795,
  [SMALL_STATE(7024)] = 245811,
  [SMALL_STATE(7025)] = 245827,
  [SMALL_STATE(7026)] = 245841,
  [SMALL_STATE(7027)] = 245857,
  [SMALL_STATE(7028)] = 245871,
  [SMALL_STATE(7029)] = 245887,
  [SMALL_STATE(7030)] = 245903,
  [SMALL_STATE(7031)] = 245919,
  [SMALL_STATE(7032)] = 245929,
  [SMALL_STATE(7033)] = 245945,
  [SMALL_STATE(7034)] = 245959,
  [SMALL_STATE(7035)] = 245971,
  [SMALL_STATE(7036)] = 245987,
  [SMALL_STATE(7037)] = 246001,
  [SMALL_STATE(7038)] = 246017,
  [SMALL_STATE(7039)] = 246031,
  [SMALL_STATE(7040)] = 246045,
  [SMALL_STATE(7041)] = 246061,
  [SMALL_STATE(7042)] = 246077,
  [SMALL_STATE(7043)] = 246093,
  [SMALL_STATE(7044)] = 246107,
  [SMALL_STATE(7045)] = 246121,
  [SMALL_STATE(7046)] = 246137,
  [SMALL_STATE(7047)] = 246153,
  [SMALL_STATE(7048)] = 246169,
  [SMALL_STATE(7049)] = 246185,
  [SMALL_STATE(7050)] = 246199,
  [SMALL_STATE(7051)] = 246213,
  [SMALL_STATE(7052)] = 246229,
  [SMALL_STATE(7053)] = 246243,
  [SMALL_STATE(7054)] = 246259,
  [SMALL_STATE(7055)] = 246275,
  [SMALL_STATE(7056)] = 246289,
  [SMALL_STATE(7057)] = 246305,
  [SMALL_STATE(7058)] = 246319,
  [SMALL_STATE(7059)] = 246335,
  [SMALL_STATE(7060)] = 246349,
  [SMALL_STATE(7061)] = 246365,
  [SMALL_STATE(7062)] = 246379,
  [SMALL_STATE(7063)] = 246393,
  [SMALL_STATE(7064)] = 246409,
  [SMALL_STATE(7065)] = 246423,
  [SMALL_STATE(7066)] = 246439,
  [SMALL_STATE(7067)] = 246455,
  [SMALL_STATE(7068)] = 246471,
  [SMALL_STATE(7069)] = 246487,
  [SMALL_STATE(7070)] = 246503,
  [SMALL_STATE(7071)] = 246517,
  [SMALL_STATE(7072)] = 246531,
  [SMALL_STATE(7073)] = 246547,
  [SMALL_STATE(7074)] = 246561,
  [SMALL_STATE(7075)] = 246577,
  [SMALL_STATE(7076)] = 246591,
  [SMALL_STATE(7077)] = 246605,
  [SMALL_STATE(7078)] = 246621,
  [SMALL_STATE(7079)] = 246635,
  [SMALL_STATE(7080)] = 246649,
  [SMALL_STATE(7081)] = 246663,
  [SMALL_STATE(7082)] = 246677,
  [SMALL_STATE(7083)] = 246691,
  [SMALL_STATE(7084)] = 246705,
  [SMALL_STATE(7085)] = 246719,
  [SMALL_STATE(7086)] = 246733,
  [SMALL_STATE(7087)] = 246747,
  [SMALL_STATE(7088)] = 246761,
  [SMALL_STATE(7089)] = 246775,
  [SMALL_STATE(7090)] = 246789,
  [SMALL_STATE(7091)] = 246803,
  [SMALL_STATE(7092)] = 246817,
  [SMALL_STATE(7093)] = 246833,
  [SMALL_STATE(7094)] = 246847,
  [SMALL_STATE(7095)] = 246861,
  [SMALL_STATE(7096)] = 246877,
  [SMALL_STATE(7097)] = 246891,
  [SMALL_STATE(7098)] = 246905,
  [SMALL_STATE(7099)] = 246919,
  [SMALL_STATE(7100)] = 246935,
  [SMALL_STATE(7101)] = 246951,
  [SMALL_STATE(7102)] = 246965,
  [SMALL_STATE(7103)] = 246981,
  [SMALL_STATE(7104)] = 246995,
  [SMALL_STATE(7105)] = 247011,
  [SMALL_STATE(7106)] = 247025,
  [SMALL_STATE(7107)] = 247039,
  [SMALL_STATE(7108)] = 247053,
  [SMALL_STATE(7109)] = 247069,
  [SMALL_STATE(7110)] = 247083,
  [SMALL_STATE(7111)] = 247097,
  [SMALL_STATE(7112)] = 247110,
  [SMALL_STATE(7113)] = 247123,
  [SMALL_STATE(7114)] = 247136,
  [SMALL_STATE(7115)] = 247149,
  [SMALL_STATE(7116)] = 247160,
  [SMALL_STATE(7117)] = 247171,
  [SMALL_STATE(7118)] = 247184,
  [SMALL_STATE(7119)] = 247197,
  [SMALL_STATE(7120)] = 247210,
  [SMALL_STATE(7121)] = 247223,
  [SMALL_STATE(7122)] = 247236,
  [SMALL_STATE(7123)] = 247249,
  [SMALL_STATE(7124)] = 247262,
  [SMALL_STATE(7125)] = 247275,
  [SMALL_STATE(7126)] = 247288,
  [SMALL_STATE(7127)] = 247301,
  [SMALL_STATE(7128)] = 247314,
  [SMALL_STATE(7129)] = 247327,
  [SMALL_STATE(7130)] = 247336,
  [SMALL_STATE(7131)] = 247349,
  [SMALL_STATE(7132)] = 247362,
  [SMALL_STATE(7133)] = 247375,
  [SMALL_STATE(7134)] = 247384,
  [SMALL_STATE(7135)] = 247397,
  [SMALL_STATE(7136)] = 247410,
  [SMALL_STATE(7137)] = 247423,
  [SMALL_STATE(7138)] = 247436,
  [SMALL_STATE(7139)] = 247449,
  [SMALL_STATE(7140)] = 247462,
  [SMALL_STATE(7141)] = 247475,
  [SMALL_STATE(7142)] = 247488,
  [SMALL_STATE(7143)] = 247501,
  [SMALL_STATE(7144)] = 247514,
  [SMALL_STATE(7145)] = 247527,
  [SMALL_STATE(7146)] = 247540,
  [SMALL_STATE(7147)] = 247553,
  [SMALL_STATE(7148)] = 247566,
  [SMALL_STATE(7149)] = 247579,
  [SMALL_STATE(7150)] = 247592,
  [SMALL_STATE(7151)] = 247605,
  [SMALL_STATE(7152)] = 247618,
  [SMALL_STATE(7153)] = 247631,
  [SMALL_STATE(7154)] = 247644,
  [SMALL_STATE(7155)] = 247657,
  [SMALL_STATE(7156)] = 247670,
  [SMALL_STATE(7157)] = 247683,
  [SMALL_STATE(7158)] = 247696,
  [SMALL_STATE(7159)] = 247707,
  [SMALL_STATE(7160)] = 247718,
  [SMALL_STATE(7161)] = 247731,
  [SMALL_STATE(7162)] = 247744,
  [SMALL_STATE(7163)] = 247755,
  [SMALL_STATE(7164)] = 247768,
  [SMALL_STATE(7165)] = 247781,
  [SMALL_STATE(7166)] = 247794,
  [SMALL_STATE(7167)] = 247807,
  [SMALL_STATE(7168)] = 247820,
  [SMALL_STATE(7169)] = 247833,
  [SMALL_STATE(7170)] = 247846,
  [SMALL_STATE(7171)] = 247859,
  [SMALL_STATE(7172)] = 247872,
  [SMALL_STATE(7173)] = 247885,
  [SMALL_STATE(7174)] = 247896,
  [SMALL_STATE(7175)] = 247909,
  [SMALL_STATE(7176)] = 247922,
  [SMALL_STATE(7177)] = 247935,
  [SMALL_STATE(7178)] = 247948,
  [SMALL_STATE(7179)] = 247961,
  [SMALL_STATE(7180)] = 247974,
  [SMALL_STATE(7181)] = 247987,
  [SMALL_STATE(7182)] = 248000,
  [SMALL_STATE(7183)] = 248013,
  [SMALL_STATE(7184)] = 248026,
  [SMALL_STATE(7185)] = 248039,
  [SMALL_STATE(7186)] = 248052,
  [SMALL_STATE(7187)] = 248065,
  [SMALL_STATE(7188)] = 248076,
  [SMALL_STATE(7189)] = 248089,
  [SMALL_STATE(7190)] = 248102,
  [SMALL_STATE(7191)] = 248115,
  [SMALL_STATE(7192)] = 248126,
  [SMALL_STATE(7193)] = 248139,
  [SMALL_STATE(7194)] = 248148,
  [SMALL_STATE(7195)] = 248161,
  [SMALL_STATE(7196)] = 248174,
  [SMALL_STATE(7197)] = 248185,
  [SMALL_STATE(7198)] = 248198,
  [SMALL_STATE(7199)] = 248211,
  [SMALL_STATE(7200)] = 248224,
  [SMALL_STATE(7201)] = 248235,
  [SMALL_STATE(7202)] = 248248,
  [SMALL_STATE(7203)] = 248261,
  [SMALL_STATE(7204)] = 248274,
  [SMALL_STATE(7205)] = 248287,
  [SMALL_STATE(7206)] = 248300,
  [SMALL_STATE(7207)] = 248313,
  [SMALL_STATE(7208)] = 248326,
  [SMALL_STATE(7209)] = 248339,
  [SMALL_STATE(7210)] = 248352,
  [SMALL_STATE(7211)] = 248365,
  [SMALL_STATE(7212)] = 248378,
  [SMALL_STATE(7213)] = 248391,
  [SMALL_STATE(7214)] = 248404,
  [SMALL_STATE(7215)] = 248417,
  [SMALL_STATE(7216)] = 248430,
  [SMALL_STATE(7217)] = 248439,
  [SMALL_STATE(7218)] = 248452,
  [SMALL_STATE(7219)] = 248465,
  [SMALL_STATE(7220)] = 248478,
  [SMALL_STATE(7221)] = 248491,
  [SMALL_STATE(7222)] = 248504,
  [SMALL_STATE(7223)] = 248517,
  [SMALL_STATE(7224)] = 248530,
  [SMALL_STATE(7225)] = 248543,
  [SMALL_STATE(7226)] = 248556,
  [SMALL_STATE(7227)] = 248569,
  [SMALL_STATE(7228)] = 248582,
  [SMALL_STATE(7229)] = 248595,
  [SMALL_STATE(7230)] = 248608,
  [SMALL_STATE(7231)] = 248621,
  [SMALL_STATE(7232)] = 248634,
  [SMALL_STATE(7233)] = 248647,
  [SMALL_STATE(7234)] = 248660,
  [SMALL_STATE(7235)] = 248673,
  [SMALL_STATE(7236)] = 248686,
  [SMALL_STATE(7237)] = 248699,
  [SMALL_STATE(7238)] = 248712,
  [SMALL_STATE(7239)] = 248723,
  [SMALL_STATE(7240)] = 248736,
  [SMALL_STATE(7241)] = 248749,
  [SMALL_STATE(7242)] = 248762,
  [SMALL_STATE(7243)] = 248775,
  [SMALL_STATE(7244)] = 248788,
  [SMALL_STATE(7245)] = 248801,
  [SMALL_STATE(7246)] = 248814,
  [SMALL_STATE(7247)] = 248827,
  [SMALL_STATE(7248)] = 248840,
  [SMALL_STATE(7249)] = 248853,
  [SMALL_STATE(7250)] = 248866,
  [SMALL_STATE(7251)] = 248879,
  [SMALL_STATE(7252)] = 248890,
  [SMALL_STATE(7253)] = 248903,
  [SMALL_STATE(7254)] = 248916,
  [SMALL_STATE(7255)] = 248929,
  [SMALL_STATE(7256)] = 248942,
  [SMALL_STATE(7257)] = 248955,
  [SMALL_STATE(7258)] = 248968,
  [SMALL_STATE(7259)] = 248981,
  [SMALL_STATE(7260)] = 248994,
  [SMALL_STATE(7261)] = 249007,
  [SMALL_STATE(7262)] = 249020,
  [SMALL_STATE(7263)] = 249033,
  [SMALL_STATE(7264)] = 249046,
  [SMALL_STATE(7265)] = 249059,
  [SMALL_STATE(7266)] = 249072,
  [SMALL_STATE(7267)] = 249085,
  [SMALL_STATE(7268)] = 249098,
  [SMALL_STATE(7269)] = 249111,
  [SMALL_STATE(7270)] = 249124,
  [SMALL_STATE(7271)] = 249135,
  [SMALL_STATE(7272)] = 249148,
  [SMALL_STATE(7273)] = 249161,
  [SMALL_STATE(7274)] = 249174,
  [SMALL_STATE(7275)] = 249185,
  [SMALL_STATE(7276)] = 249198,
  [SMALL_STATE(7277)] = 249211,
  [SMALL_STATE(7278)] = 249224,
  [SMALL_STATE(7279)] = 249237,
  [SMALL_STATE(7280)] = 249248,
  [SMALL_STATE(7281)] = 249261,
  [SMALL_STATE(7282)] = 249274,
  [SMALL_STATE(7283)] = 249287,
  [SMALL_STATE(7284)] = 249298,
  [SMALL_STATE(7285)] = 249311,
  [SMALL_STATE(7286)] = 249324,
  [SMALL_STATE(7287)] = 249337,
  [SMALL_STATE(7288)] = 249350,
  [SMALL_STATE(7289)] = 249363,
  [SMALL_STATE(7290)] = 249376,
  [SMALL_STATE(7291)] = 249389,
  [SMALL_STATE(7292)] = 249402,
  [SMALL_STATE(7293)] = 249415,
  [SMALL_STATE(7294)] = 249424,
  [SMALL_STATE(7295)] = 249437,
  [SMALL_STATE(7296)] = 249450,
  [SMALL_STATE(7297)] = 249463,
  [SMALL_STATE(7298)] = 249476,
  [SMALL_STATE(7299)] = 249489,
  [SMALL_STATE(7300)] = 249502,
  [SMALL_STATE(7301)] = 249515,
  [SMALL_STATE(7302)] = 249528,
  [SMALL_STATE(7303)] = 249541,
  [SMALL_STATE(7304)] = 249554,
  [SMALL_STATE(7305)] = 249567,
  [SMALL_STATE(7306)] = 249578,
  [SMALL_STATE(7307)] = 249591,
  [SMALL_STATE(7308)] = 249604,
  [SMALL_STATE(7309)] = 249617,
  [SMALL_STATE(7310)] = 249630,
  [SMALL_STATE(7311)] = 249643,
  [SMALL_STATE(7312)] = 249656,
  [SMALL_STATE(7313)] = 249667,
  [SMALL_STATE(7314)] = 249680,
  [SMALL_STATE(7315)] = 249693,
  [SMALL_STATE(7316)] = 249706,
  [SMALL_STATE(7317)] = 249719,
  [SMALL_STATE(7318)] = 249730,
  [SMALL_STATE(7319)] = 249743,
  [SMALL_STATE(7320)] = 249756,
  [SMALL_STATE(7321)] = 249769,
  [SMALL_STATE(7322)] = 249782,
  [SMALL_STATE(7323)] = 249795,
  [SMALL_STATE(7324)] = 249808,
  [SMALL_STATE(7325)] = 249819,
  [SMALL_STATE(7326)] = 249832,
  [SMALL_STATE(7327)] = 249845,
  [SMALL_STATE(7328)] = 249858,
  [SMALL_STATE(7329)] = 249871,
  [SMALL_STATE(7330)] = 249884,
  [SMALL_STATE(7331)] = 249897,
  [SMALL_STATE(7332)] = 249910,
  [SMALL_STATE(7333)] = 249923,
  [SMALL_STATE(7334)] = 249936,
  [SMALL_STATE(7335)] = 249947,
  [SMALL_STATE(7336)] = 249960,
  [SMALL_STATE(7337)] = 249973,
  [SMALL_STATE(7338)] = 249986,
  [SMALL_STATE(7339)] = 249999,
  [SMALL_STATE(7340)] = 250010,
  [SMALL_STATE(7341)] = 250023,
  [SMALL_STATE(7342)] = 250036,
  [SMALL_STATE(7343)] = 250047,
  [SMALL_STATE(7344)] = 250060,
  [SMALL_STATE(7345)] = 250071,
  [SMALL_STATE(7346)] = 250084,
  [SMALL_STATE(7347)] = 250097,
  [SMALL_STATE(7348)] = 250110,
  [SMALL_STATE(7349)] = 250121,
  [SMALL_STATE(7350)] = 250132,
  [SMALL_STATE(7351)] = 250143,
  [SMALL_STATE(7352)] = 250156,
  [SMALL_STATE(7353)] = 250169,
  [SMALL_STATE(7354)] = 250178,
  [SMALL_STATE(7355)] = 250191,
  [SMALL_STATE(7356)] = 250204,
  [SMALL_STATE(7357)] = 250215,
  [SMALL_STATE(7358)] = 250228,
  [SMALL_STATE(7359)] = 250241,
  [SMALL_STATE(7360)] = 250252,
  [SMALL_STATE(7361)] = 250265,
  [SMALL_STATE(7362)] = 250278,
  [SMALL_STATE(7363)] = 250291,
  [SMALL_STATE(7364)] = 250304,
  [SMALL_STATE(7365)] = 250317,
  [SMALL_STATE(7366)] = 250330,
  [SMALL_STATE(7367)] = 250339,
  [SMALL_STATE(7368)] = 250352,
  [SMALL_STATE(7369)] = 250365,
  [SMALL_STATE(7370)] = 250378,
  [SMALL_STATE(7371)] = 250391,
  [SMALL_STATE(7372)] = 250404,
  [SMALL_STATE(7373)] = 250417,
  [SMALL_STATE(7374)] = 250430,
  [SMALL_STATE(7375)] = 250441,
  [SMALL_STATE(7376)] = 250454,
  [SMALL_STATE(7377)] = 250467,
  [SMALL_STATE(7378)] = 250476,
  [SMALL_STATE(7379)] = 250489,
  [SMALL_STATE(7380)] = 250502,
  [SMALL_STATE(7381)] = 250515,
  [SMALL_STATE(7382)] = 250528,
  [SMALL_STATE(7383)] = 250541,
  [SMALL_STATE(7384)] = 250550,
  [SMALL_STATE(7385)] = 250563,
  [SMALL_STATE(7386)] = 250576,
  [SMALL_STATE(7387)] = 250587,
  [SMALL_STATE(7388)] = 250596,
  [SMALL_STATE(7389)] = 250607,
  [SMALL_STATE(7390)] = 250616,
  [SMALL_STATE(7391)] = 250625,
  [SMALL_STATE(7392)] = 250638,
  [SMALL_STATE(7393)] = 250651,
  [SMALL_STATE(7394)] = 250660,
  [SMALL_STATE(7395)] = 250671,
  [SMALL_STATE(7396)] = 250684,
  [SMALL_STATE(7397)] = 250697,
  [SMALL_STATE(7398)] = 250710,
  [SMALL_STATE(7399)] = 250723,
  [SMALL_STATE(7400)] = 250736,
  [SMALL_STATE(7401)] = 250749,
  [SMALL_STATE(7402)] = 250758,
  [SMALL_STATE(7403)] = 250771,
  [SMALL_STATE(7404)] = 250784,
  [SMALL_STATE(7405)] = 250797,
  [SMALL_STATE(7406)] = 250808,
  [SMALL_STATE(7407)] = 250821,
  [SMALL_STATE(7408)] = 250834,
  [SMALL_STATE(7409)] = 250847,
  [SMALL_STATE(7410)] = 250856,
  [SMALL_STATE(7411)] = 250865,
  [SMALL_STATE(7412)] = 250878,
  [SMALL_STATE(7413)] = 250891,
  [SMALL_STATE(7414)] = 250902,
  [SMALL_STATE(7415)] = 250915,
  [SMALL_STATE(7416)] = 250928,
  [SMALL_STATE(7417)] = 250941,
  [SMALL_STATE(7418)] = 250950,
  [SMALL_STATE(7419)] = 250963,
  [SMALL_STATE(7420)] = 250976,
  [SMALL_STATE(7421)] = 250989,
  [SMALL_STATE(7422)] = 251002,
  [SMALL_STATE(7423)] = 251015,
  [SMALL_STATE(7424)] = 251028,
  [SMALL_STATE(7425)] = 251041,
  [SMALL_STATE(7426)] = 251054,
  [SMALL_STATE(7427)] = 251067,
  [SMALL_STATE(7428)] = 251080,
  [SMALL_STATE(7429)] = 251093,
  [SMALL_STATE(7430)] = 251106,
  [SMALL_STATE(7431)] = 251119,
  [SMALL_STATE(7432)] = 251132,
  [SMALL_STATE(7433)] = 251145,
  [SMALL_STATE(7434)] = 251158,
  [SMALL_STATE(7435)] = 251171,
  [SMALL_STATE(7436)] = 251182,
  [SMALL_STATE(7437)] = 251195,
  [SMALL_STATE(7438)] = 251206,
  [SMALL_STATE(7439)] = 251219,
  [SMALL_STATE(7440)] = 251232,
  [SMALL_STATE(7441)] = 251243,
  [SMALL_STATE(7442)] = 251256,
  [SMALL_STATE(7443)] = 251269,
  [SMALL_STATE(7444)] = 251282,
  [SMALL_STATE(7445)] = 251295,
  [SMALL_STATE(7446)] = 251306,
  [SMALL_STATE(7447)] = 251319,
  [SMALL_STATE(7448)] = 251328,
  [SMALL_STATE(7449)] = 251341,
  [SMALL_STATE(7450)] = 251354,
  [SMALL_STATE(7451)] = 251363,
  [SMALL_STATE(7452)] = 251376,
  [SMALL_STATE(7453)] = 251389,
  [SMALL_STATE(7454)] = 251402,
  [SMALL_STATE(7455)] = 251415,
  [SMALL_STATE(7456)] = 251428,
  [SMALL_STATE(7457)] = 251441,
  [SMALL_STATE(7458)] = 251452,
  [SMALL_STATE(7459)] = 251465,
  [SMALL_STATE(7460)] = 251478,
  [SMALL_STATE(7461)] = 251491,
  [SMALL_STATE(7462)] = 251504,
  [SMALL_STATE(7463)] = 251517,
  [SMALL_STATE(7464)] = 251530,
  [SMALL_STATE(7465)] = 251543,
  [SMALL_STATE(7466)] = 251552,
  [SMALL_STATE(7467)] = 251563,
  [SMALL_STATE(7468)] = 251576,
  [SMALL_STATE(7469)] = 251589,
  [SMALL_STATE(7470)] = 251602,
  [SMALL_STATE(7471)] = 251615,
  [SMALL_STATE(7472)] = 251628,
  [SMALL_STATE(7473)] = 251641,
  [SMALL_STATE(7474)] = 251654,
  [SMALL_STATE(7475)] = 251667,
  [SMALL_STATE(7476)] = 251680,
  [SMALL_STATE(7477)] = 251693,
  [SMALL_STATE(7478)] = 251706,
  [SMALL_STATE(7479)] = 251719,
  [SMALL_STATE(7480)] = 251730,
  [SMALL_STATE(7481)] = 251743,
  [SMALL_STATE(7482)] = 251756,
  [SMALL_STATE(7483)] = 251769,
  [SMALL_STATE(7484)] = 251782,
  [SMALL_STATE(7485)] = 251795,
  [SMALL_STATE(7486)] = 251808,
  [SMALL_STATE(7487)] = 251821,
  [SMALL_STATE(7488)] = 251834,
  [SMALL_STATE(7489)] = 251845,
  [SMALL_STATE(7490)] = 251858,
  [SMALL_STATE(7491)] = 251871,
  [SMALL_STATE(7492)] = 251884,
  [SMALL_STATE(7493)] = 251897,
  [SMALL_STATE(7494)] = 251910,
  [SMALL_STATE(7495)] = 251923,
  [SMALL_STATE(7496)] = 251936,
  [SMALL_STATE(7497)] = 251949,
  [SMALL_STATE(7498)] = 251958,
  [SMALL_STATE(7499)] = 251971,
  [SMALL_STATE(7500)] = 251980,
  [SMALL_STATE(7501)] = 251993,
  [SMALL_STATE(7502)] = 252004,
  [SMALL_STATE(7503)] = 252017,
  [SMALL_STATE(7504)] = 252026,
  [SMALL_STATE(7505)] = 252039,
  [SMALL_STATE(7506)] = 252052,
  [SMALL_STATE(7507)] = 252063,
  [SMALL_STATE(7508)] = 252076,
  [SMALL_STATE(7509)] = 252089,
  [SMALL_STATE(7510)] = 252100,
  [SMALL_STATE(7511)] = 252113,
  [SMALL_STATE(7512)] = 252126,
  [SMALL_STATE(7513)] = 252139,
  [SMALL_STATE(7514)] = 252152,
  [SMALL_STATE(7515)] = 252165,
  [SMALL_STATE(7516)] = 252178,
  [SMALL_STATE(7517)] = 252191,
  [SMALL_STATE(7518)] = 252204,
  [SMALL_STATE(7519)] = 252215,
  [SMALL_STATE(7520)] = 252228,
  [SMALL_STATE(7521)] = 252241,
  [SMALL_STATE(7522)] = 252250,
  [SMALL_STATE(7523)] = 252263,
  [SMALL_STATE(7524)] = 252276,
  [SMALL_STATE(7525)] = 252289,
  [SMALL_STATE(7526)] = 252298,
  [SMALL_STATE(7527)] = 252307,
  [SMALL_STATE(7528)] = 252320,
  [SMALL_STATE(7529)] = 252333,
  [SMALL_STATE(7530)] = 252344,
  [SMALL_STATE(7531)] = 252357,
  [SMALL_STATE(7532)] = 252370,
  [SMALL_STATE(7533)] = 252380,
  [SMALL_STATE(7534)] = 252390,
  [SMALL_STATE(7535)] = 252400,
  [SMALL_STATE(7536)] = 252410,
  [SMALL_STATE(7537)] = 252420,
  [SMALL_STATE(7538)] = 252428,
  [SMALL_STATE(7539)] = 252436,
  [SMALL_STATE(7540)] = 252446,
  [SMALL_STATE(7541)] = 252454,
  [SMALL_STATE(7542)] = 252462,
  [SMALL_STATE(7543)] = 252472,
  [SMALL_STATE(7544)] = 252482,
  [SMALL_STATE(7545)] = 252492,
  [SMALL_STATE(7546)] = 252502,
  [SMALL_STATE(7547)] = 252512,
  [SMALL_STATE(7548)] = 252522,
  [SMALL_STATE(7549)] = 252532,
  [SMALL_STATE(7550)] = 252542,
  [SMALL_STATE(7551)] = 252552,
  [SMALL_STATE(7552)] = 252562,
  [SMALL_STATE(7553)] = 252570,
  [SMALL_STATE(7554)] = 252578,
  [SMALL_STATE(7555)] = 252586,
  [SMALL_STATE(7556)] = 252596,
  [SMALL_STATE(7557)] = 252606,
  [SMALL_STATE(7558)] = 252616,
  [SMALL_STATE(7559)] = 252626,
  [SMALL_STATE(7560)] = 252636,
  [SMALL_STATE(7561)] = 252646,
  [SMALL_STATE(7562)] = 252656,
  [SMALL_STATE(7563)] = 252666,
  [SMALL_STATE(7564)] = 252676,
  [SMALL_STATE(7565)] = 252686,
  [SMALL_STATE(7566)] = 252696,
  [SMALL_STATE(7567)] = 252706,
  [SMALL_STATE(7568)] = 252714,
  [SMALL_STATE(7569)] = 252724,
  [SMALL_STATE(7570)] = 252732,
  [SMALL_STATE(7571)] = 252742,
  [SMALL_STATE(7572)] = 252752,
  [SMALL_STATE(7573)] = 252760,
  [SMALL_STATE(7574)] = 252770,
  [SMALL_STATE(7575)] = 252780,
  [SMALL_STATE(7576)] = 252790,
  [SMALL_STATE(7577)] = 252798,
  [SMALL_STATE(7578)] = 252806,
  [SMALL_STATE(7579)] = 252816,
  [SMALL_STATE(7580)] = 252826,
  [SMALL_STATE(7581)] = 252834,
  [SMALL_STATE(7582)] = 252844,
  [SMALL_STATE(7583)] = 252854,
  [SMALL_STATE(7584)] = 252864,
  [SMALL_STATE(7585)] = 252874,
  [SMALL_STATE(7586)] = 252884,
  [SMALL_STATE(7587)] = 252894,
  [SMALL_STATE(7588)] = 252904,
  [SMALL_STATE(7589)] = 252914,
  [SMALL_STATE(7590)] = 252924,
  [SMALL_STATE(7591)] = 252934,
  [SMALL_STATE(7592)] = 252944,
  [SMALL_STATE(7593)] = 252954,
  [SMALL_STATE(7594)] = 252964,
  [SMALL_STATE(7595)] = 252974,
  [SMALL_STATE(7596)] = 252984,
  [SMALL_STATE(7597)] = 252994,
  [SMALL_STATE(7598)] = 253004,
  [SMALL_STATE(7599)] = 253014,
  [SMALL_STATE(7600)] = 253024,
  [SMALL_STATE(7601)] = 253034,
  [SMALL_STATE(7602)] = 253044,
  [SMALL_STATE(7603)] = 253054,
  [SMALL_STATE(7604)] = 253064,
  [SMALL_STATE(7605)] = 253074,
  [SMALL_STATE(7606)] = 253084,
  [SMALL_STATE(7607)] = 253094,
  [SMALL_STATE(7608)] = 253104,
  [SMALL_STATE(7609)] = 253114,
  [SMALL_STATE(7610)] = 253124,
  [SMALL_STATE(7611)] = 253134,
  [SMALL_STATE(7612)] = 253144,
  [SMALL_STATE(7613)] = 253154,
  [SMALL_STATE(7614)] = 253164,
  [SMALL_STATE(7615)] = 253174,
  [SMALL_STATE(7616)] = 253184,
  [SMALL_STATE(7617)] = 253194,
  [SMALL_STATE(7618)] = 253204,
  [SMALL_STATE(7619)] = 253212,
  [SMALL_STATE(7620)] = 253222,
  [SMALL_STATE(7621)] = 253232,
  [SMALL_STATE(7622)] = 253240,
  [SMALL_STATE(7623)] = 253250,
  [SMALL_STATE(7624)] = 253260,
  [SMALL_STATE(7625)] = 253268,
  [SMALL_STATE(7626)] = 253278,
  [SMALL_STATE(7627)] = 253288,
  [SMALL_STATE(7628)] = 253298,
  [SMALL_STATE(7629)] = 253308,
  [SMALL_STATE(7630)] = 253318,
  [SMALL_STATE(7631)] = 253328,
  [SMALL_STATE(7632)] = 253336,
  [SMALL_STATE(7633)] = 253346,
  [SMALL_STATE(7634)] = 253356,
  [SMALL_STATE(7635)] = 253366,
  [SMALL_STATE(7636)] = 253374,
  [SMALL_STATE(7637)] = 253384,
  [SMALL_STATE(7638)] = 253394,
  [SMALL_STATE(7639)] = 253404,
  [SMALL_STATE(7640)] = 253414,
  [SMALL_STATE(7641)] = 253424,
  [SMALL_STATE(7642)] = 253434,
  [SMALL_STATE(7643)] = 253444,
  [SMALL_STATE(7644)] = 253454,
  [SMALL_STATE(7645)] = 253464,
  [SMALL_STATE(7646)] = 253474,
  [SMALL_STATE(7647)] = 253484,
  [SMALL_STATE(7648)] = 253494,
  [SMALL_STATE(7649)] = 253504,
  [SMALL_STATE(7650)] = 253514,
  [SMALL_STATE(7651)] = 253524,
  [SMALL_STATE(7652)] = 253534,
  [SMALL_STATE(7653)] = 253544,
  [SMALL_STATE(7654)] = 253554,
  [SMALL_STATE(7655)] = 253564,
  [SMALL_STATE(7656)] = 253574,
  [SMALL_STATE(7657)] = 253584,
  [SMALL_STATE(7658)] = 253594,
  [SMALL_STATE(7659)] = 253604,
  [SMALL_STATE(7660)] = 253612,
  [SMALL_STATE(7661)] = 253622,
  [SMALL_STATE(7662)] = 253632,
  [SMALL_STATE(7663)] = 253642,
  [SMALL_STATE(7664)] = 253652,
  [SMALL_STATE(7665)] = 253662,
  [SMALL_STATE(7666)] = 253672,
  [SMALL_STATE(7667)] = 253682,
  [SMALL_STATE(7668)] = 253692,
  [SMALL_STATE(7669)] = 253702,
  [SMALL_STATE(7670)] = 253712,
  [SMALL_STATE(7671)] = 253722,
  [SMALL_STATE(7672)] = 253732,
  [SMALL_STATE(7673)] = 253742,
  [SMALL_STATE(7674)] = 253752,
  [SMALL_STATE(7675)] = 253762,
  [SMALL_STATE(7676)] = 253772,
  [SMALL_STATE(7677)] = 253782,
  [SMALL_STATE(7678)] = 253792,
  [SMALL_STATE(7679)] = 253802,
  [SMALL_STATE(7680)] = 253812,
  [SMALL_STATE(7681)] = 253822,
  [SMALL_STATE(7682)] = 253832,
  [SMALL_STATE(7683)] = 253842,
  [SMALL_STATE(7684)] = 253852,
  [SMALL_STATE(7685)] = 253862,
  [SMALL_STATE(7686)] = 253872,
  [SMALL_STATE(7687)] = 253880,
  [SMALL_STATE(7688)] = 253890,
  [SMALL_STATE(7689)] = 253900,
  [SMALL_STATE(7690)] = 253910,
  [SMALL_STATE(7691)] = 253920,
  [SMALL_STATE(7692)] = 253930,
  [SMALL_STATE(7693)] = 253940,
  [SMALL_STATE(7694)] = 253950,
  [SMALL_STATE(7695)] = 253960,
  [SMALL_STATE(7696)] = 253970,
  [SMALL_STATE(7697)] = 253980,
  [SMALL_STATE(7698)] = 253990,
  [SMALL_STATE(7699)] = 254000,
  [SMALL_STATE(7700)] = 254010,
  [SMALL_STATE(7701)] = 254020,
  [SMALL_STATE(7702)] = 254030,
  [SMALL_STATE(7703)] = 254040,
  [SMALL_STATE(7704)] = 254050,
  [SMALL_STATE(7705)] = 254060,
  [SMALL_STATE(7706)] = 254070,
  [SMALL_STATE(7707)] = 254080,
  [SMALL_STATE(7708)] = 254090,
  [SMALL_STATE(7709)] = 254098,
  [SMALL_STATE(7710)] = 254108,
  [SMALL_STATE(7711)] = 254118,
  [SMALL_STATE(7712)] = 254128,
  [SMALL_STATE(7713)] = 254136,
  [SMALL_STATE(7714)] = 254146,
  [SMALL_STATE(7715)] = 254154,
  [SMALL_STATE(7716)] = 254164,
  [SMALL_STATE(7717)] = 254174,
  [SMALL_STATE(7718)] = 254184,
  [SMALL_STATE(7719)] = 254194,
  [SMALL_STATE(7720)] = 254204,
  [SMALL_STATE(7721)] = 254214,
  [SMALL_STATE(7722)] = 254224,
  [SMALL_STATE(7723)] = 254234,
  [SMALL_STATE(7724)] = 254244,
  [SMALL_STATE(7725)] = 254254,
  [SMALL_STATE(7726)] = 254264,
  [SMALL_STATE(7727)] = 254274,
  [SMALL_STATE(7728)] = 254284,
  [SMALL_STATE(7729)] = 254294,
  [SMALL_STATE(7730)] = 254304,
  [SMALL_STATE(7731)] = 254314,
  [SMALL_STATE(7732)] = 254324,
  [SMALL_STATE(7733)] = 254332,
  [SMALL_STATE(7734)] = 254342,
  [SMALL_STATE(7735)] = 254352,
  [SMALL_STATE(7736)] = 254362,
  [SMALL_STATE(7737)] = 254372,
  [SMALL_STATE(7738)] = 254382,
  [SMALL_STATE(7739)] = 254392,
  [SMALL_STATE(7740)] = 254402,
  [SMALL_STATE(7741)] = 254412,
  [SMALL_STATE(7742)] = 254422,
  [SMALL_STATE(7743)] = 254432,
  [SMALL_STATE(7744)] = 254442,
  [SMALL_STATE(7745)] = 254450,
  [SMALL_STATE(7746)] = 254460,
  [SMALL_STATE(7747)] = 254470,
  [SMALL_STATE(7748)] = 254480,
  [SMALL_STATE(7749)] = 254490,
  [SMALL_STATE(7750)] = 254500,
  [SMALL_STATE(7751)] = 254510,
  [SMALL_STATE(7752)] = 254520,
  [SMALL_STATE(7753)] = 254528,
  [SMALL_STATE(7754)] = 254538,
  [SMALL_STATE(7755)] = 254548,
  [SMALL_STATE(7756)] = 254558,
  [SMALL_STATE(7757)] = 254568,
  [SMALL_STATE(7758)] = 254578,
  [SMALL_STATE(7759)] = 254588,
  [SMALL_STATE(7760)] = 254598,
  [SMALL_STATE(7761)] = 254608,
  [SMALL_STATE(7762)] = 254618,
  [SMALL_STATE(7763)] = 254628,
  [SMALL_STATE(7764)] = 254638,
  [SMALL_STATE(7765)] = 254648,
  [SMALL_STATE(7766)] = 254656,
  [SMALL_STATE(7767)] = 254666,
  [SMALL_STATE(7768)] = 254674,
  [SMALL_STATE(7769)] = 254684,
  [SMALL_STATE(7770)] = 254694,
  [SMALL_STATE(7771)] = 254704,
  [SMALL_STATE(7772)] = 254714,
  [SMALL_STATE(7773)] = 254724,
  [SMALL_STATE(7774)] = 254734,
  [SMALL_STATE(7775)] = 254744,
  [SMALL_STATE(7776)] = 254752,
  [SMALL_STATE(7777)] = 254762,
  [SMALL_STATE(7778)] = 254772,
  [SMALL_STATE(7779)] = 254782,
  [SMALL_STATE(7780)] = 254792,
  [SMALL_STATE(7781)] = 254802,
  [SMALL_STATE(7782)] = 254812,
  [SMALL_STATE(7783)] = 254822,
  [SMALL_STATE(7784)] = 254830,
  [SMALL_STATE(7785)] = 254840,
  [SMALL_STATE(7786)] = 254850,
  [SMALL_STATE(7787)] = 254860,
  [SMALL_STATE(7788)] = 254870,
  [SMALL_STATE(7789)] = 254880,
  [SMALL_STATE(7790)] = 254890,
  [SMALL_STATE(7791)] = 254900,
  [SMALL_STATE(7792)] = 254910,
  [SMALL_STATE(7793)] = 254920,
  [SMALL_STATE(7794)] = 254930,
  [SMALL_STATE(7795)] = 254940,
  [SMALL_STATE(7796)] = 254950,
  [SMALL_STATE(7797)] = 254960,
  [SMALL_STATE(7798)] = 254970,
  [SMALL_STATE(7799)] = 254980,
  [SMALL_STATE(7800)] = 254990,
  [SMALL_STATE(7801)] = 255000,
  [SMALL_STATE(7802)] = 255010,
  [SMALL_STATE(7803)] = 255020,
  [SMALL_STATE(7804)] = 255030,
  [SMALL_STATE(7805)] = 255038,
  [SMALL_STATE(7806)] = 255048,
  [SMALL_STATE(7807)] = 255056,
  [SMALL_STATE(7808)] = 255066,
  [SMALL_STATE(7809)] = 255076,
  [SMALL_STATE(7810)] = 255086,
  [SMALL_STATE(7811)] = 255096,
  [SMALL_STATE(7812)] = 255106,
  [SMALL_STATE(7813)] = 255116,
  [SMALL_STATE(7814)] = 255126,
  [SMALL_STATE(7815)] = 255136,
  [SMALL_STATE(7816)] = 255146,
  [SMALL_STATE(7817)] = 255156,
  [SMALL_STATE(7818)] = 255166,
  [SMALL_STATE(7819)] = 255176,
  [SMALL_STATE(7820)] = 255186,
  [SMALL_STATE(7821)] = 255196,
  [SMALL_STATE(7822)] = 255206,
  [SMALL_STATE(7823)] = 255214,
  [SMALL_STATE(7824)] = 255224,
  [SMALL_STATE(7825)] = 255234,
  [SMALL_STATE(7826)] = 255244,
  [SMALL_STATE(7827)] = 255254,
  [SMALL_STATE(7828)] = 255264,
  [SMALL_STATE(7829)] = 255274,
  [SMALL_STATE(7830)] = 255284,
  [SMALL_STATE(7831)] = 255292,
  [SMALL_STATE(7832)] = 255302,
  [SMALL_STATE(7833)] = 255312,
  [SMALL_STATE(7834)] = 255322,
  [SMALL_STATE(7835)] = 255332,
  [SMALL_STATE(7836)] = 255342,
  [SMALL_STATE(7837)] = 255352,
  [SMALL_STATE(7838)] = 255362,
  [SMALL_STATE(7839)] = 255372,
  [SMALL_STATE(7840)] = 255382,
  [SMALL_STATE(7841)] = 255392,
  [SMALL_STATE(7842)] = 255400,
  [SMALL_STATE(7843)] = 255410,
  [SMALL_STATE(7844)] = 255420,
  [SMALL_STATE(7845)] = 255428,
  [SMALL_STATE(7846)] = 255438,
  [SMALL_STATE(7847)] = 255448,
  [SMALL_STATE(7848)] = 255458,
  [SMALL_STATE(7849)] = 255468,
  [SMALL_STATE(7850)] = 255478,
  [SMALL_STATE(7851)] = 255486,
  [SMALL_STATE(7852)] = 255496,
  [SMALL_STATE(7853)] = 255506,
  [SMALL_STATE(7854)] = 255516,
  [SMALL_STATE(7855)] = 255526,
  [SMALL_STATE(7856)] = 255536,
  [SMALL_STATE(7857)] = 255546,
  [SMALL_STATE(7858)] = 255556,
  [SMALL_STATE(7859)] = 255566,
  [SMALL_STATE(7860)] = 255576,
  [SMALL_STATE(7861)] = 255586,
  [SMALL_STATE(7862)] = 255596,
  [SMALL_STATE(7863)] = 255606,
  [SMALL_STATE(7864)] = 255616,
  [SMALL_STATE(7865)] = 255626,
  [SMALL_STATE(7866)] = 255634,
  [SMALL_STATE(7867)] = 255644,
  [SMALL_STATE(7868)] = 255654,
  [SMALL_STATE(7869)] = 255664,
  [SMALL_STATE(7870)] = 255674,
  [SMALL_STATE(7871)] = 255684,
  [SMALL_STATE(7872)] = 255694,
  [SMALL_STATE(7873)] = 255704,
  [SMALL_STATE(7874)] = 255714,
  [SMALL_STATE(7875)] = 255724,
  [SMALL_STATE(7876)] = 255734,
  [SMALL_STATE(7877)] = 255744,
  [SMALL_STATE(7878)] = 255754,
  [SMALL_STATE(7879)] = 255762,
  [SMALL_STATE(7880)] = 255772,
  [SMALL_STATE(7881)] = 255782,
  [SMALL_STATE(7882)] = 255792,
  [SMALL_STATE(7883)] = 255800,
  [SMALL_STATE(7884)] = 255810,
  [SMALL_STATE(7885)] = 255820,
  [SMALL_STATE(7886)] = 255830,
  [SMALL_STATE(7887)] = 255840,
  [SMALL_STATE(7888)] = 255850,
  [SMALL_STATE(7889)] = 255860,
  [SMALL_STATE(7890)] = 255870,
  [SMALL_STATE(7891)] = 255880,
  [SMALL_STATE(7892)] = 255890,
  [SMALL_STATE(7893)] = 255900,
  [SMALL_STATE(7894)] = 255910,
  [SMALL_STATE(7895)] = 255920,
  [SMALL_STATE(7896)] = 255930,
  [SMALL_STATE(7897)] = 255940,
  [SMALL_STATE(7898)] = 255950,
  [SMALL_STATE(7899)] = 255958,
  [SMALL_STATE(7900)] = 255968,
  [SMALL_STATE(7901)] = 255978,
  [SMALL_STATE(7902)] = 255986,
  [SMALL_STATE(7903)] = 255994,
  [SMALL_STATE(7904)] = 256004,
  [SMALL_STATE(7905)] = 256014,
  [SMALL_STATE(7906)] = 256024,
  [SMALL_STATE(7907)] = 256034,
  [SMALL_STATE(7908)] = 256044,
  [SMALL_STATE(7909)] = 256054,
  [SMALL_STATE(7910)] = 256064,
  [SMALL_STATE(7911)] = 256074,
  [SMALL_STATE(7912)] = 256084,
  [SMALL_STATE(7913)] = 256094,
  [SMALL_STATE(7914)] = 256104,
  [SMALL_STATE(7915)] = 256114,
  [SMALL_STATE(7916)] = 256124,
  [SMALL_STATE(7917)] = 256134,
  [SMALL_STATE(7918)] = 256144,
  [SMALL_STATE(7919)] = 256154,
  [SMALL_STATE(7920)] = 256164,
  [SMALL_STATE(7921)] = 256174,
  [SMALL_STATE(7922)] = 256184,
  [SMALL_STATE(7923)] = 256194,
  [SMALL_STATE(7924)] = 256204,
  [SMALL_STATE(7925)] = 256214,
  [SMALL_STATE(7926)] = 256224,
  [SMALL_STATE(7927)] = 256234,
  [SMALL_STATE(7928)] = 256244,
  [SMALL_STATE(7929)] = 256254,
  [SMALL_STATE(7930)] = 256264,
  [SMALL_STATE(7931)] = 256271,
  [SMALL_STATE(7932)] = 256278,
  [SMALL_STATE(7933)] = 256285,
  [SMALL_STATE(7934)] = 256292,
  [SMALL_STATE(7935)] = 256299,
  [SMALL_STATE(7936)] = 256306,
  [SMALL_STATE(7937)] = 256313,
  [SMALL_STATE(7938)] = 256320,
  [SMALL_STATE(7939)] = 256327,
  [SMALL_STATE(7940)] = 256334,
  [SMALL_STATE(7941)] = 256341,
  [SMALL_STATE(7942)] = 256348,
  [SMALL_STATE(7943)] = 256355,
  [SMALL_STATE(7944)] = 256362,
  [SMALL_STATE(7945)] = 256369,
  [SMALL_STATE(7946)] = 256376,
  [SMALL_STATE(7947)] = 256383,
  [SMALL_STATE(7948)] = 256390,
  [SMALL_STATE(7949)] = 256397,
  [SMALL_STATE(7950)] = 256404,
  [SMALL_STATE(7951)] = 256411,
  [SMALL_STATE(7952)] = 256418,
  [SMALL_STATE(7953)] = 256425,
  [SMALL_STATE(7954)] = 256432,
  [SMALL_STATE(7955)] = 256439,
  [SMALL_STATE(7956)] = 256446,
  [SMALL_STATE(7957)] = 256453,
  [SMALL_STATE(7958)] = 256460,
  [SMALL_STATE(7959)] = 256467,
  [SMALL_STATE(7960)] = 256474,
  [SMALL_STATE(7961)] = 256481,
  [SMALL_STATE(7962)] = 256488,
  [SMALL_STATE(7963)] = 256495,
  [SMALL_STATE(7964)] = 256502,
  [SMALL_STATE(7965)] = 256509,
  [SMALL_STATE(7966)] = 256516,
  [SMALL_STATE(7967)] = 256523,
  [SMALL_STATE(7968)] = 256530,
  [SMALL_STATE(7969)] = 256537,
  [SMALL_STATE(7970)] = 256544,
  [SMALL_STATE(7971)] = 256551,
  [SMALL_STATE(7972)] = 256558,
  [SMALL_STATE(7973)] = 256565,
  [SMALL_STATE(7974)] = 256572,
  [SMALL_STATE(7975)] = 256579,
  [SMALL_STATE(7976)] = 256586,
  [SMALL_STATE(7977)] = 256593,
  [SMALL_STATE(7978)] = 256600,
  [SMALL_STATE(7979)] = 256607,
  [SMALL_STATE(7980)] = 256614,
  [SMALL_STATE(7981)] = 256621,
  [SMALL_STATE(7982)] = 256628,
  [SMALL_STATE(7983)] = 256635,
  [SMALL_STATE(7984)] = 256642,
  [SMALL_STATE(7985)] = 256649,
  [SMALL_STATE(7986)] = 256656,
  [SMALL_STATE(7987)] = 256663,
  [SMALL_STATE(7988)] = 256670,
  [SMALL_STATE(7989)] = 256677,
  [SMALL_STATE(7990)] = 256684,
  [SMALL_STATE(7991)] = 256691,
  [SMALL_STATE(7992)] = 256698,
  [SMALL_STATE(7993)] = 256705,
  [SMALL_STATE(7994)] = 256712,
  [SMALL_STATE(7995)] = 256719,
  [SMALL_STATE(7996)] = 256726,
  [SMALL_STATE(7997)] = 256733,
  [SMALL_STATE(7998)] = 256740,
  [SMALL_STATE(7999)] = 256747,
  [SMALL_STATE(8000)] = 256754,
  [SMALL_STATE(8001)] = 256761,
  [SMALL_STATE(8002)] = 256768,
  [SMALL_STATE(8003)] = 256775,
  [SMALL_STATE(8004)] = 256782,
  [SMALL_STATE(8005)] = 256789,
  [SMALL_STATE(8006)] = 256796,
  [SMALL_STATE(8007)] = 256803,
  [SMALL_STATE(8008)] = 256810,
  [SMALL_STATE(8009)] = 256817,
  [SMALL_STATE(8010)] = 256824,
  [SMALL_STATE(8011)] = 256831,
  [SMALL_STATE(8012)] = 256838,
  [SMALL_STATE(8013)] = 256845,
  [SMALL_STATE(8014)] = 256852,
  [SMALL_STATE(8015)] = 256859,
  [SMALL_STATE(8016)] = 256866,
  [SMALL_STATE(8017)] = 256873,
  [SMALL_STATE(8018)] = 256880,
  [SMALL_STATE(8019)] = 256887,
  [SMALL_STATE(8020)] = 256894,
  [SMALL_STATE(8021)] = 256901,
  [SMALL_STATE(8022)] = 256908,
  [SMALL_STATE(8023)] = 256915,
  [SMALL_STATE(8024)] = 256922,
  [SMALL_STATE(8025)] = 256929,
  [SMALL_STATE(8026)] = 256936,
  [SMALL_STATE(8027)] = 256943,
  [SMALL_STATE(8028)] = 256950,
  [SMALL_STATE(8029)] = 256957,
  [SMALL_STATE(8030)] = 256964,
  [SMALL_STATE(8031)] = 256971,
  [SMALL_STATE(8032)] = 256978,
  [SMALL_STATE(8033)] = 256985,
  [SMALL_STATE(8034)] = 256992,
  [SMALL_STATE(8035)] = 256999,
  [SMALL_STATE(8036)] = 257006,
  [SMALL_STATE(8037)] = 257013,
  [SMALL_STATE(8038)] = 257020,
  [SMALL_STATE(8039)] = 257027,
  [SMALL_STATE(8040)] = 257034,
  [SMALL_STATE(8041)] = 257041,
  [SMALL_STATE(8042)] = 257048,
  [SMALL_STATE(8043)] = 257055,
  [SMALL_STATE(8044)] = 257062,
  [SMALL_STATE(8045)] = 257069,
  [SMALL_STATE(8046)] = 257076,
  [SMALL_STATE(8047)] = 257083,
  [SMALL_STATE(8048)] = 257090,
  [SMALL_STATE(8049)] = 257097,
  [SMALL_STATE(8050)] = 257104,
  [SMALL_STATE(8051)] = 257111,
  [SMALL_STATE(8052)] = 257118,
  [SMALL_STATE(8053)] = 257125,
  [SMALL_STATE(8054)] = 257132,
  [SMALL_STATE(8055)] = 257139,
  [SMALL_STATE(8056)] = 257146,
  [SMALL_STATE(8057)] = 257153,
  [SMALL_STATE(8058)] = 257160,
  [SMALL_STATE(8059)] = 257167,
  [SMALL_STATE(8060)] = 257174,
  [SMALL_STATE(8061)] = 257181,
  [SMALL_STATE(8062)] = 257188,
  [SMALL_STATE(8063)] = 257195,
  [SMALL_STATE(8064)] = 257202,
  [SMALL_STATE(8065)] = 257209,
  [SMALL_STATE(8066)] = 257216,
  [SMALL_STATE(8067)] = 257223,
  [SMALL_STATE(8068)] = 257230,
  [SMALL_STATE(8069)] = 257237,
  [SMALL_STATE(8070)] = 257244,
  [SMALL_STATE(8071)] = 257251,
  [SMALL_STATE(8072)] = 257258,
  [SMALL_STATE(8073)] = 257265,
  [SMALL_STATE(8074)] = 257272,
  [SMALL_STATE(8075)] = 257279,
  [SMALL_STATE(8076)] = 257286,
  [SMALL_STATE(8077)] = 257293,
  [SMALL_STATE(8078)] = 257300,
  [SMALL_STATE(8079)] = 257307,
  [SMALL_STATE(8080)] = 257314,
  [SMALL_STATE(8081)] = 257321,
  [SMALL_STATE(8082)] = 257328,
  [SMALL_STATE(8083)] = 257335,
  [SMALL_STATE(8084)] = 257342,
  [SMALL_STATE(8085)] = 257349,
  [SMALL_STATE(8086)] = 257356,
  [SMALL_STATE(8087)] = 257363,
  [SMALL_STATE(8088)] = 257370,
  [SMALL_STATE(8089)] = 257377,
  [SMALL_STATE(8090)] = 257384,
  [SMALL_STATE(8091)] = 257391,
  [SMALL_STATE(8092)] = 257398,
  [SMALL_STATE(8093)] = 257405,
  [SMALL_STATE(8094)] = 257412,
  [SMALL_STATE(8095)] = 257419,
  [SMALL_STATE(8096)] = 257426,
  [SMALL_STATE(8097)] = 257433,
  [SMALL_STATE(8098)] = 257440,
  [SMALL_STATE(8099)] = 257447,
  [SMALL_STATE(8100)] = 257454,
  [SMALL_STATE(8101)] = 257461,
  [SMALL_STATE(8102)] = 257468,
  [SMALL_STATE(8103)] = 257475,
  [SMALL_STATE(8104)] = 257482,
  [SMALL_STATE(8105)] = 257489,
  [SMALL_STATE(8106)] = 257496,
  [SMALL_STATE(8107)] = 257503,
  [SMALL_STATE(8108)] = 257510,
  [SMALL_STATE(8109)] = 257517,
  [SMALL_STATE(8110)] = 257524,
  [SMALL_STATE(8111)] = 257531,
  [SMALL_STATE(8112)] = 257538,
  [SMALL_STATE(8113)] = 257545,
  [SMALL_STATE(8114)] = 257552,
  [SMALL_STATE(8115)] = 257559,
  [SMALL_STATE(8116)] = 257566,
  [SMALL_STATE(8117)] = 257573,
  [SMALL_STATE(8118)] = 257580,
  [SMALL_STATE(8119)] = 257587,
  [SMALL_STATE(8120)] = 257594,
  [SMALL_STATE(8121)] = 257601,
  [SMALL_STATE(8122)] = 257608,
  [SMALL_STATE(8123)] = 257615,
  [SMALL_STATE(8124)] = 257622,
  [SMALL_STATE(8125)] = 257629,
  [SMALL_STATE(8126)] = 257636,
  [SMALL_STATE(8127)] = 257643,
  [SMALL_STATE(8128)] = 257650,
  [SMALL_STATE(8129)] = 257657,
  [SMALL_STATE(8130)] = 257664,
  [SMALL_STATE(8131)] = 257671,
  [SMALL_STATE(8132)] = 257678,
  [SMALL_STATE(8133)] = 257685,
  [SMALL_STATE(8134)] = 257692,
  [SMALL_STATE(8135)] = 257699,
  [SMALL_STATE(8136)] = 257706,
  [SMALL_STATE(8137)] = 257713,
  [SMALL_STATE(8138)] = 257720,
  [SMALL_STATE(8139)] = 257727,
  [SMALL_STATE(8140)] = 257734,
  [SMALL_STATE(8141)] = 257741,
  [SMALL_STATE(8142)] = 257748,
  [SMALL_STATE(8143)] = 257755,
  [SMALL_STATE(8144)] = 257762,
  [SMALL_STATE(8145)] = 257769,
  [SMALL_STATE(8146)] = 257776,
  [SMALL_STATE(8147)] = 257783,
  [SMALL_STATE(8148)] = 257790,
  [SMALL_STATE(8149)] = 257797,
  [SMALL_STATE(8150)] = 257804,
  [SMALL_STATE(8151)] = 257811,
  [SMALL_STATE(8152)] = 257818,
  [SMALL_STATE(8153)] = 257825,
  [SMALL_STATE(8154)] = 257832,
  [SMALL_STATE(8155)] = 257839,
  [SMALL_STATE(8156)] = 257846,
  [SMALL_STATE(8157)] = 257853,
  [SMALL_STATE(8158)] = 257860,
  [SMALL_STATE(8159)] = 257867,
  [SMALL_STATE(8160)] = 257874,
  [SMALL_STATE(8161)] = 257881,
  [SMALL_STATE(8162)] = 257888,
  [SMALL_STATE(8163)] = 257895,
  [SMALL_STATE(8164)] = 257902,
  [SMALL_STATE(8165)] = 257909,
  [SMALL_STATE(8166)] = 257916,
  [SMALL_STATE(8167)] = 257923,
  [SMALL_STATE(8168)] = 257930,
  [SMALL_STATE(8169)] = 257937,
  [SMALL_STATE(8170)] = 257944,
  [SMALL_STATE(8171)] = 257951,
  [SMALL_STATE(8172)] = 257958,
  [SMALL_STATE(8173)] = 257965,
  [SMALL_STATE(8174)] = 257972,
  [SMALL_STATE(8175)] = 257979,
  [SMALL_STATE(8176)] = 257986,
  [SMALL_STATE(8177)] = 257993,
  [SMALL_STATE(8178)] = 258000,
  [SMALL_STATE(8179)] = 258007,
  [SMALL_STATE(8180)] = 258014,
  [SMALL_STATE(8181)] = 258021,
  [SMALL_STATE(8182)] = 258028,
  [SMALL_STATE(8183)] = 258035,
  [SMALL_STATE(8184)] = 258042,
  [SMALL_STATE(8185)] = 258049,
  [SMALL_STATE(8186)] = 258056,
  [SMALL_STATE(8187)] = 258063,
  [SMALL_STATE(8188)] = 258070,
  [SMALL_STATE(8189)] = 258077,
  [SMALL_STATE(8190)] = 258084,
  [SMALL_STATE(8191)] = 258091,
  [SMALL_STATE(8192)] = 258098,
  [SMALL_STATE(8193)] = 258105,
  [SMALL_STATE(8194)] = 258112,
  [SMALL_STATE(8195)] = 258119,
  [SMALL_STATE(8196)] = 258126,
  [SMALL_STATE(8197)] = 258133,
  [SMALL_STATE(8198)] = 258140,
  [SMALL_STATE(8199)] = 258147,
  [SMALL_STATE(8200)] = 258154,
  [SMALL_STATE(8201)] = 258161,
  [SMALL_STATE(8202)] = 258168,
  [SMALL_STATE(8203)] = 258175,
  [SMALL_STATE(8204)] = 258182,
  [SMALL_STATE(8205)] = 258189,
  [SMALL_STATE(8206)] = 258196,
  [SMALL_STATE(8207)] = 258203,
  [SMALL_STATE(8208)] = 258210,
  [SMALL_STATE(8209)] = 258217,
  [SMALL_STATE(8210)] = 258224,
  [SMALL_STATE(8211)] = 258231,
  [SMALL_STATE(8212)] = 258238,
  [SMALL_STATE(8213)] = 258245,
  [SMALL_STATE(8214)] = 258252,
  [SMALL_STATE(8215)] = 258259,
  [SMALL_STATE(8216)] = 258266,
  [SMALL_STATE(8217)] = 258273,
  [SMALL_STATE(8218)] = 258280,
  [SMALL_STATE(8219)] = 258287,
  [SMALL_STATE(8220)] = 258294,
  [SMALL_STATE(8221)] = 258301,
  [SMALL_STATE(8222)] = 258308,
  [SMALL_STATE(8223)] = 258315,
  [SMALL_STATE(8224)] = 258322,
  [SMALL_STATE(8225)] = 258329,
  [SMALL_STATE(8226)] = 258336,
  [SMALL_STATE(8227)] = 258343,
  [SMALL_STATE(8228)] = 258350,
  [SMALL_STATE(8229)] = 258357,
  [SMALL_STATE(8230)] = 258364,
  [SMALL_STATE(8231)] = 258371,
  [SMALL_STATE(8232)] = 258378,
  [SMALL_STATE(8233)] = 258385,
  [SMALL_STATE(8234)] = 258392,
  [SMALL_STATE(8235)] = 258399,
  [SMALL_STATE(8236)] = 258406,
  [SMALL_STATE(8237)] = 258413,
  [SMALL_STATE(8238)] = 258420,
  [SMALL_STATE(8239)] = 258427,
  [SMALL_STATE(8240)] = 258434,
  [SMALL_STATE(8241)] = 258441,
  [SMALL_STATE(8242)] = 258448,
  [SMALL_STATE(8243)] = 258455,
  [SMALL_STATE(8244)] = 258462,
  [SMALL_STATE(8245)] = 258469,
  [SMALL_STATE(8246)] = 258476,
  [SMALL_STATE(8247)] = 258483,
  [SMALL_STATE(8248)] = 258490,
  [SMALL_STATE(8249)] = 258497,
  [SMALL_STATE(8250)] = 258504,
  [SMALL_STATE(8251)] = 258511,
  [SMALL_STATE(8252)] = 258518,
  [SMALL_STATE(8253)] = 258525,
  [SMALL_STATE(8254)] = 258532,
  [SMALL_STATE(8255)] = 258539,
  [SMALL_STATE(8256)] = 258546,
  [SMALL_STATE(8257)] = 258553,
  [SMALL_STATE(8258)] = 258560,
  [SMALL_STATE(8259)] = 258567,
  [SMALL_STATE(8260)] = 258574,
  [SMALL_STATE(8261)] = 258581,
  [SMALL_STATE(8262)] = 258588,
  [SMALL_STATE(8263)] = 258595,
  [SMALL_STATE(8264)] = 258602,
  [SMALL_STATE(8265)] = 258609,
  [SMALL_STATE(8266)] = 258616,
  [SMALL_STATE(8267)] = 258623,
  [SMALL_STATE(8268)] = 258630,
  [SMALL_STATE(8269)] = 258637,
  [SMALL_STATE(8270)] = 258644,
  [SMALL_STATE(8271)] = 258651,
  [SMALL_STATE(8272)] = 258658,
  [SMALL_STATE(8273)] = 258665,
  [SMALL_STATE(8274)] = 258672,
  [SMALL_STATE(8275)] = 258679,
  [SMALL_STATE(8276)] = 258686,
  [SMALL_STATE(8277)] = 258693,
  [SMALL_STATE(8278)] = 258700,
  [SMALL_STATE(8279)] = 258707,
  [SMALL_STATE(8280)] = 258714,
  [SMALL_STATE(8281)] = 258721,
  [SMALL_STATE(8282)] = 258728,
  [SMALL_STATE(8283)] = 258735,
  [SMALL_STATE(8284)] = 258742,
  [SMALL_STATE(8285)] = 258749,
  [SMALL_STATE(8286)] = 258756,
  [SMALL_STATE(8287)] = 258763,
  [SMALL_STATE(8288)] = 258770,
  [SMALL_STATE(8289)] = 258777,
  [SMALL_STATE(8290)] = 258784,
  [SMALL_STATE(8291)] = 258791,
  [SMALL_STATE(8292)] = 258798,
  [SMALL_STATE(8293)] = 258805,
  [SMALL_STATE(8294)] = 258812,
  [SMALL_STATE(8295)] = 258819,
  [SMALL_STATE(8296)] = 258826,
  [SMALL_STATE(8297)] = 258833,
  [SMALL_STATE(8298)] = 258840,
  [SMALL_STATE(8299)] = 258847,
  [SMALL_STATE(8300)] = 258854,
  [SMALL_STATE(8301)] = 258861,
  [SMALL_STATE(8302)] = 258868,
  [SMALL_STATE(8303)] = 258875,
  [SMALL_STATE(8304)] = 258882,
  [SMALL_STATE(8305)] = 258889,
  [SMALL_STATE(8306)] = 258896,
  [SMALL_STATE(8307)] = 258903,
  [SMALL_STATE(8308)] = 258910,
  [SMALL_STATE(8309)] = 258917,
  [SMALL_STATE(8310)] = 258924,
  [SMALL_STATE(8311)] = 258931,
  [SMALL_STATE(8312)] = 258938,
  [SMALL_STATE(8313)] = 258945,
  [SMALL_STATE(8314)] = 258952,
  [SMALL_STATE(8315)] = 258959,
  [SMALL_STATE(8316)] = 258966,
  [SMALL_STATE(8317)] = 258973,
  [SMALL_STATE(8318)] = 258980,
  [SMALL_STATE(8319)] = 258987,
  [SMALL_STATE(8320)] = 258994,
  [SMALL_STATE(8321)] = 259001,
  [SMALL_STATE(8322)] = 259008,
  [SMALL_STATE(8323)] = 259015,
  [SMALL_STATE(8324)] = 259022,
  [SMALL_STATE(8325)] = 259029,
  [SMALL_STATE(8326)] = 259036,
  [SMALL_STATE(8327)] = 259043,
  [SMALL_STATE(8328)] = 259050,
  [SMALL_STATE(8329)] = 259057,
  [SMALL_STATE(8330)] = 259064,
  [SMALL_STATE(8331)] = 259071,
  [SMALL_STATE(8332)] = 259078,
  [SMALL_STATE(8333)] = 259085,
  [SMALL_STATE(8334)] = 259092,
  [SMALL_STATE(8335)] = 259099,
  [SMALL_STATE(8336)] = 259106,
  [SMALL_STATE(8337)] = 259113,
  [SMALL_STATE(8338)] = 259120,
  [SMALL_STATE(8339)] = 259127,
  [SMALL_STATE(8340)] = 259134,
  [SMALL_STATE(8341)] = 259141,
  [SMALL_STATE(8342)] = 259148,
  [SMALL_STATE(8343)] = 259155,
  [SMALL_STATE(8344)] = 259162,
  [SMALL_STATE(8345)] = 259169,
  [SMALL_STATE(8346)] = 259176,
  [SMALL_STATE(8347)] = 259183,
  [SMALL_STATE(8348)] = 259190,
  [SMALL_STATE(8349)] = 259197,
  [SMALL_STATE(8350)] = 259204,
  [SMALL_STATE(8351)] = 259211,
  [SMALL_STATE(8352)] = 259218,
  [SMALL_STATE(8353)] = 259225,
  [SMALL_STATE(8354)] = 259232,
  [SMALL_STATE(8355)] = 259239,
  [SMALL_STATE(8356)] = 259246,
  [SMALL_STATE(8357)] = 259253,
  [SMALL_STATE(8358)] = 259260,
  [SMALL_STATE(8359)] = 259267,
  [SMALL_STATE(8360)] = 259274,
  [SMALL_STATE(8361)] = 259281,
  [SMALL_STATE(8362)] = 259288,
  [SMALL_STATE(8363)] = 259295,
  [SMALL_STATE(8364)] = 259302,
  [SMALL_STATE(8365)] = 259309,
  [SMALL_STATE(8366)] = 259316,
  [SMALL_STATE(8367)] = 259323,
  [SMALL_STATE(8368)] = 259330,
  [SMALL_STATE(8369)] = 259337,
  [SMALL_STATE(8370)] = 259344,
  [SMALL_STATE(8371)] = 259351,
  [SMALL_STATE(8372)] = 259358,
  [SMALL_STATE(8373)] = 259365,
  [SMALL_STATE(8374)] = 259372,
  [SMALL_STATE(8375)] = 259379,
  [SMALL_STATE(8376)] = 259386,
  [SMALL_STATE(8377)] = 259393,
  [SMALL_STATE(8378)] = 259400,
  [SMALL_STATE(8379)] = 259407,
  [SMALL_STATE(8380)] = 259414,
  [SMALL_STATE(8381)] = 259421,
  [SMALL_STATE(8382)] = 259428,
  [SMALL_STATE(8383)] = 259435,
  [SMALL_STATE(8384)] = 259442,
  [SMALL_STATE(8385)] = 259449,
  [SMALL_STATE(8386)] = 259456,
  [SMALL_STATE(8387)] = 259463,
  [SMALL_STATE(8388)] = 259470,
  [SMALL_STATE(8389)] = 259477,
  [SMALL_STATE(8390)] = 259484,
  [SMALL_STATE(8391)] = 259491,
  [SMALL_STATE(8392)] = 259498,
  [SMALL_STATE(8393)] = 259505,
  [SMALL_STATE(8394)] = 259512,
  [SMALL_STATE(8395)] = 259519,
  [SMALL_STATE(8396)] = 259526,
  [SMALL_STATE(8397)] = 259533,
  [SMALL_STATE(8398)] = 259540,
  [SMALL_STATE(8399)] = 259547,
  [SMALL_STATE(8400)] = 259554,
  [SMALL_STATE(8401)] = 259561,
  [SMALL_STATE(8402)] = 259568,
  [SMALL_STATE(8403)] = 259575,
  [SMALL_STATE(8404)] = 259582,
  [SMALL_STATE(8405)] = 259589,
  [SMALL_STATE(8406)] = 259596,
  [SMALL_STATE(8407)] = 259603,
  [SMALL_STATE(8408)] = 259610,
  [SMALL_STATE(8409)] = 259617,
  [SMALL_STATE(8410)] = 259624,
  [SMALL_STATE(8411)] = 259631,
  [SMALL_STATE(8412)] = 259638,
  [SMALL_STATE(8413)] = 259645,
  [SMALL_STATE(8414)] = 259652,
  [SMALL_STATE(8415)] = 259659,
  [SMALL_STATE(8416)] = 259666,
  [SMALL_STATE(8417)] = 259673,
  [SMALL_STATE(8418)] = 259680,
  [SMALL_STATE(8419)] = 259687,
  [SMALL_STATE(8420)] = 259694,
  [SMALL_STATE(8421)] = 259701,
  [SMALL_STATE(8422)] = 259708,
  [SMALL_STATE(8423)] = 259715,
  [SMALL_STATE(8424)] = 259722,
  [SMALL_STATE(8425)] = 259729,
  [SMALL_STATE(8426)] = 259736,
  [SMALL_STATE(8427)] = 259743,
  [SMALL_STATE(8428)] = 259750,
  [SMALL_STATE(8429)] = 259757,
  [SMALL_STATE(8430)] = 259764,
  [SMALL_STATE(8431)] = 259771,
  [SMALL_STATE(8432)] = 259778,
  [SMALL_STATE(8433)] = 259785,
  [SMALL_STATE(8434)] = 259792,
  [SMALL_STATE(8435)] = 259799,
  [SMALL_STATE(8436)] = 259806,
  [SMALL_STATE(8437)] = 259813,
  [SMALL_STATE(8438)] = 259820,
  [SMALL_STATE(8439)] = 259827,
  [SMALL_STATE(8440)] = 259834,
  [SMALL_STATE(8441)] = 259841,
  [SMALL_STATE(8442)] = 259848,
  [SMALL_STATE(8443)] = 259855,
  [SMALL_STATE(8444)] = 259862,
  [SMALL_STATE(8445)] = 259869,
  [SMALL_STATE(8446)] = 259876,
  [SMALL_STATE(8447)] = 259883,
  [SMALL_STATE(8448)] = 259890,
  [SMALL_STATE(8449)] = 259897,
  [SMALL_STATE(8450)] = 259904,
  [SMALL_STATE(8451)] = 259911,
  [SMALL_STATE(8452)] = 259918,
  [SMALL_STATE(8453)] = 259925,
  [SMALL_STATE(8454)] = 259932,
  [SMALL_STATE(8455)] = 259939,
  [SMALL_STATE(8456)] = 259946,
  [SMALL_STATE(8457)] = 259953,
  [SMALL_STATE(8458)] = 259960,
  [SMALL_STATE(8459)] = 259967,
  [SMALL_STATE(8460)] = 259974,
  [SMALL_STATE(8461)] = 259981,
  [SMALL_STATE(8462)] = 259988,
  [SMALL_STATE(8463)] = 259995,
  [SMALL_STATE(8464)] = 260002,
  [SMALL_STATE(8465)] = 260009,
  [SMALL_STATE(8466)] = 260016,
  [SMALL_STATE(8467)] = 260023,
  [SMALL_STATE(8468)] = 260030,
  [SMALL_STATE(8469)] = 260037,
  [SMALL_STATE(8470)] = 260044,
  [SMALL_STATE(8471)] = 260051,
  [SMALL_STATE(8472)] = 260058,
  [SMALL_STATE(8473)] = 260065,
  [SMALL_STATE(8474)] = 260072,
  [SMALL_STATE(8475)] = 260079,
  [SMALL_STATE(8476)] = 260086,
  [SMALL_STATE(8477)] = 260093,
  [SMALL_STATE(8478)] = 260100,
  [SMALL_STATE(8479)] = 260107,
  [SMALL_STATE(8480)] = 260114,
  [SMALL_STATE(8481)] = 260121,
  [SMALL_STATE(8482)] = 260128,
  [SMALL_STATE(8483)] = 260135,
  [SMALL_STATE(8484)] = 260142,
  [SMALL_STATE(8485)] = 260149,
  [SMALL_STATE(8486)] = 260156,
  [SMALL_STATE(8487)] = 260163,
  [SMALL_STATE(8488)] = 260170,
  [SMALL_STATE(8489)] = 260177,
  [SMALL_STATE(8490)] = 260184,
  [SMALL_STATE(8491)] = 260191,
  [SMALL_STATE(8492)] = 260198,
  [SMALL_STATE(8493)] = 260205,
  [SMALL_STATE(8494)] = 260212,
  [SMALL_STATE(8495)] = 260219,
  [SMALL_STATE(8496)] = 260226,
  [SMALL_STATE(8497)] = 260233,
  [SMALL_STATE(8498)] = 260240,
  [SMALL_STATE(8499)] = 260247,
  [SMALL_STATE(8500)] = 260254,
  [SMALL_STATE(8501)] = 260261,
  [SMALL_STATE(8502)] = 260268,
  [SMALL_STATE(8503)] = 260275,
  [SMALL_STATE(8504)] = 260282,
  [SMALL_STATE(8505)] = 260289,
  [SMALL_STATE(8506)] = 260296,
  [SMALL_STATE(8507)] = 260303,
  [SMALL_STATE(8508)] = 260310,
  [SMALL_STATE(8509)] = 260317,
  [SMALL_STATE(8510)] = 260324,
  [SMALL_STATE(8511)] = 260331,
  [SMALL_STATE(8512)] = 260338,
  [SMALL_STATE(8513)] = 260345,
  [SMALL_STATE(8514)] = 260352,
  [SMALL_STATE(8515)] = 260359,
  [SMALL_STATE(8516)] = 260366,
  [SMALL_STATE(8517)] = 260373,
  [SMALL_STATE(8518)] = 260380,
  [SMALL_STATE(8519)] = 260387,
  [SMALL_STATE(8520)] = 260394,
  [SMALL_STATE(8521)] = 260401,
  [SMALL_STATE(8522)] = 260408,
  [SMALL_STATE(8523)] = 260415,
  [SMALL_STATE(8524)] = 260422,
  [SMALL_STATE(8525)] = 260429,
  [SMALL_STATE(8526)] = 260436,
  [SMALL_STATE(8527)] = 260443,
  [SMALL_STATE(8528)] = 260450,
  [SMALL_STATE(8529)] = 260457,
  [SMALL_STATE(8530)] = 260464,
  [SMALL_STATE(8531)] = 260471,
  [SMALL_STATE(8532)] = 260478,
  [SMALL_STATE(8533)] = 260485,
  [SMALL_STATE(8534)] = 260492,
  [SMALL_STATE(8535)] = 260499,
  [SMALL_STATE(8536)] = 260506,
  [SMALL_STATE(8537)] = 260513,
  [SMALL_STATE(8538)] = 260520,
  [SMALL_STATE(8539)] = 260527,
  [SMALL_STATE(8540)] = 260534,
  [SMALL_STATE(8541)] = 260541,
  [SMALL_STATE(8542)] = 260548,
  [SMALL_STATE(8543)] = 260555,
  [SMALL_STATE(8544)] = 260562,
  [SMALL_STATE(8545)] = 260569,
  [SMALL_STATE(8546)] = 260576,
  [SMALL_STATE(8547)] = 260583,
  [SMALL_STATE(8548)] = 260590,
  [SMALL_STATE(8549)] = 260597,
  [SMALL_STATE(8550)] = 260604,
  [SMALL_STATE(8551)] = 260611,
  [SMALL_STATE(8552)] = 260618,
  [SMALL_STATE(8553)] = 260625,
  [SMALL_STATE(8554)] = 260632,
  [SMALL_STATE(8555)] = 260639,
  [SMALL_STATE(8556)] = 260646,
  [SMALL_STATE(8557)] = 260653,
  [SMALL_STATE(8558)] = 260660,
  [SMALL_STATE(8559)] = 260667,
  [SMALL_STATE(8560)] = 260674,
  [SMALL_STATE(8561)] = 260681,
  [SMALL_STATE(8562)] = 260688,
  [SMALL_STATE(8563)] = 260695,
  [SMALL_STATE(8564)] = 260702,
  [SMALL_STATE(8565)] = 260709,
  [SMALL_STATE(8566)] = 260716,
  [SMALL_STATE(8567)] = 260723,
  [SMALL_STATE(8568)] = 260730,
  [SMALL_STATE(8569)] = 260737,
  [SMALL_STATE(8570)] = 260744,
  [SMALL_STATE(8571)] = 260751,
  [SMALL_STATE(8572)] = 260758,
  [SMALL_STATE(8573)] = 260765,
  [SMALL_STATE(8574)] = 260772,
  [SMALL_STATE(8575)] = 260779,
  [SMALL_STATE(8576)] = 260786,
  [SMALL_STATE(8577)] = 260793,
  [SMALL_STATE(8578)] = 260800,
  [SMALL_STATE(8579)] = 260807,
  [SMALL_STATE(8580)] = 260814,
  [SMALL_STATE(8581)] = 260821,
  [SMALL_STATE(8582)] = 260828,
  [SMALL_STATE(8583)] = 260835,
  [SMALL_STATE(8584)] = 260842,
  [SMALL_STATE(8585)] = 260849,
  [SMALL_STATE(8586)] = 260856,
  [SMALL_STATE(8587)] = 260863,
  [SMALL_STATE(8588)] = 260870,
  [SMALL_STATE(8589)] = 260877,
  [SMALL_STATE(8590)] = 260884,
  [SMALL_STATE(8591)] = 260891,
  [SMALL_STATE(8592)] = 260898,
  [SMALL_STATE(8593)] = 260905,
  [SMALL_STATE(8594)] = 260912,
  [SMALL_STATE(8595)] = 260919,
  [SMALL_STATE(8596)] = 260926,
  [SMALL_STATE(8597)] = 260933,
  [SMALL_STATE(8598)] = 260940,
  [SMALL_STATE(8599)] = 260947,
  [SMALL_STATE(8600)] = 260954,
  [SMALL_STATE(8601)] = 260961,
  [SMALL_STATE(8602)] = 260968,
  [SMALL_STATE(8603)] = 260975,
  [SMALL_STATE(8604)] = 260982,
  [SMALL_STATE(8605)] = 260989,
  [SMALL_STATE(8606)] = 260996,
  [SMALL_STATE(8607)] = 261003,
  [SMALL_STATE(8608)] = 261010,
  [SMALL_STATE(8609)] = 261017,
  [SMALL_STATE(8610)] = 261024,
  [SMALL_STATE(8611)] = 261031,
  [SMALL_STATE(8612)] = 261038,
  [SMALL_STATE(8613)] = 261045,
  [SMALL_STATE(8614)] = 261052,
  [SMALL_STATE(8615)] = 261059,
  [SMALL_STATE(8616)] = 261066,
  [SMALL_STATE(8617)] = 261073,
  [SMALL_STATE(8618)] = 261080,
  [SMALL_STATE(8619)] = 261087,
  [SMALL_STATE(8620)] = 261094,
  [SMALL_STATE(8621)] = 261101,
  [SMALL_STATE(8622)] = 261108,
  [SMALL_STATE(8623)] = 261115,
  [SMALL_STATE(8624)] = 261122,
  [SMALL_STATE(8625)] = 261129,
  [SMALL_STATE(8626)] = 261136,
  [SMALL_STATE(8627)] = 261143,
  [SMALL_STATE(8628)] = 261150,
  [SMALL_STATE(8629)] = 261157,
  [SMALL_STATE(8630)] = 261164,
  [SMALL_STATE(8631)] = 261171,
  [SMALL_STATE(8632)] = 261178,
  [SMALL_STATE(8633)] = 261185,
  [SMALL_STATE(8634)] = 261192,
  [SMALL_STATE(8635)] = 261199,
  [SMALL_STATE(8636)] = 261206,
  [SMALL_STATE(8637)] = 261213,
  [SMALL_STATE(8638)] = 261220,
  [SMALL_STATE(8639)] = 261227,
  [SMALL_STATE(8640)] = 261234,
  [SMALL_STATE(8641)] = 261241,
  [SMALL_STATE(8642)] = 261248,
  [SMALL_STATE(8643)] = 261255,
  [SMALL_STATE(8644)] = 261262,
  [SMALL_STATE(8645)] = 261269,
  [SMALL_STATE(8646)] = 261276,
  [SMALL_STATE(8647)] = 261283,
  [SMALL_STATE(8648)] = 261290,
  [SMALL_STATE(8649)] = 261297,
  [SMALL_STATE(8650)] = 261304,
  [SMALL_STATE(8651)] = 261311,
  [SMALL_STATE(8652)] = 261318,
  [SMALL_STATE(8653)] = 261325,
  [SMALL_STATE(8654)] = 261332,
  [SMALL_STATE(8655)] = 261339,
  [SMALL_STATE(8656)] = 261346,
  [SMALL_STATE(8657)] = 261353,
  [SMALL_STATE(8658)] = 261360,
  [SMALL_STATE(8659)] = 261367,
  [SMALL_STATE(8660)] = 261374,
  [SMALL_STATE(8661)] = 261381,
  [SMALL_STATE(8662)] = 261388,
  [SMALL_STATE(8663)] = 261395,
  [SMALL_STATE(8664)] = 261402,
  [SMALL_STATE(8665)] = 261409,
  [SMALL_STATE(8666)] = 261416,
  [SMALL_STATE(8667)] = 261423,
  [SMALL_STATE(8668)] = 261430,
  [SMALL_STATE(8669)] = 261437,
  [SMALL_STATE(8670)] = 261444,
  [SMALL_STATE(8671)] = 261451,
  [SMALL_STATE(8672)] = 261458,
  [SMALL_STATE(8673)] = 261465,
  [SMALL_STATE(8674)] = 261472,
  [SMALL_STATE(8675)] = 261479,
  [SMALL_STATE(8676)] = 261486,
  [SMALL_STATE(8677)] = 261493,
  [SMALL_STATE(8678)] = 261500,
  [SMALL_STATE(8679)] = 261507,
  [SMALL_STATE(8680)] = 261514,
  [SMALL_STATE(8681)] = 261521,
  [SMALL_STATE(8682)] = 261528,
  [SMALL_STATE(8683)] = 261535,
  [SMALL_STATE(8684)] = 261542,
  [SMALL_STATE(8685)] = 261549,
  [SMALL_STATE(8686)] = 261556,
  [SMALL_STATE(8687)] = 261563,
  [SMALL_STATE(8688)] = 261570,
  [SMALL_STATE(8689)] = 261577,
  [SMALL_STATE(8690)] = 261584,
  [SMALL_STATE(8691)] = 261591,
  [SMALL_STATE(8692)] = 261598,
  [SMALL_STATE(8693)] = 261605,
  [SMALL_STATE(8694)] = 261612,
  [SMALL_STATE(8695)] = 261619,
  [SMALL_STATE(8696)] = 261626,
  [SMALL_STATE(8697)] = 261633,
  [SMALL_STATE(8698)] = 261640,
  [SMALL_STATE(8699)] = 261647,
  [SMALL_STATE(8700)] = 261654,
  [SMALL_STATE(8701)] = 261661,
  [SMALL_STATE(8702)] = 261668,
  [SMALL_STATE(8703)] = 261675,
  [SMALL_STATE(8704)] = 261682,
  [SMALL_STATE(8705)] = 261689,
  [SMALL_STATE(8706)] = 261696,
  [SMALL_STATE(8707)] = 261703,
  [SMALL_STATE(8708)] = 261710,
  [SMALL_STATE(8709)] = 261717,
  [SMALL_STATE(8710)] = 261724,
  [SMALL_STATE(8711)] = 261731,
  [SMALL_STATE(8712)] = 261738,
  [SMALL_STATE(8713)] = 261745,
  [SMALL_STATE(8714)] = 261752,
  [SMALL_STATE(8715)] = 261759,
  [SMALL_STATE(8716)] = 261766,
  [SMALL_STATE(8717)] = 261773,
  [SMALL_STATE(8718)] = 261780,
  [SMALL_STATE(8719)] = 261787,
  [SMALL_STATE(8720)] = 261794,
  [SMALL_STATE(8721)] = 261801,
  [SMALL_STATE(8722)] = 261808,
  [SMALL_STATE(8723)] = 261815,
  [SMALL_STATE(8724)] = 261822,
  [SMALL_STATE(8725)] = 261829,
  [SMALL_STATE(8726)] = 261836,
  [SMALL_STATE(8727)] = 261843,
  [SMALL_STATE(8728)] = 261850,
  [SMALL_STATE(8729)] = 261857,
  [SMALL_STATE(8730)] = 261864,
  [SMALL_STATE(8731)] = 261871,
  [SMALL_STATE(8732)] = 261878,
  [SMALL_STATE(8733)] = 261885,
  [SMALL_STATE(8734)] = 261892,
  [SMALL_STATE(8735)] = 261899,
  [SMALL_STATE(8736)] = 261906,
  [SMALL_STATE(8737)] = 261913,
  [SMALL_STATE(8738)] = 261920,
  [SMALL_STATE(8739)] = 261927,
  [SMALL_STATE(8740)] = 261934,
  [SMALL_STATE(8741)] = 261941,
  [SMALL_STATE(8742)] = 261948,
  [SMALL_STATE(8743)] = 261955,
  [SMALL_STATE(8744)] = 261962,
  [SMALL_STATE(8745)] = 261969,
  [SMALL_STATE(8746)] = 261976,
  [SMALL_STATE(8747)] = 261983,
  [SMALL_STATE(8748)] = 261990,
  [SMALL_STATE(8749)] = 261997,
  [SMALL_STATE(8750)] = 262004,
  [SMALL_STATE(8751)] = 262011,
  [SMALL_STATE(8752)] = 262018,
  [SMALL_STATE(8753)] = 262025,
  [SMALL_STATE(8754)] = 262032,
  [SMALL_STATE(8755)] = 262039,
  [SMALL_STATE(8756)] = 262046,
  [SMALL_STATE(8757)] = 262053,
  [SMALL_STATE(8758)] = 262060,
  [SMALL_STATE(8759)] = 262067,
  [SMALL_STATE(8760)] = 262074,
  [SMALL_STATE(8761)] = 262081,
  [SMALL_STATE(8762)] = 262088,
  [SMALL_STATE(8763)] = 262095,
  [SMALL_STATE(8764)] = 262102,
  [SMALL_STATE(8765)] = 262109,
  [SMALL_STATE(8766)] = 262116,
  [SMALL_STATE(8767)] = 262123,
  [SMALL_STATE(8768)] = 262130,
  [SMALL_STATE(8769)] = 262137,
  [SMALL_STATE(8770)] = 262144,
  [SMALL_STATE(8771)] = 262151,
  [SMALL_STATE(8772)] = 262158,
  [SMALL_STATE(8773)] = 262165,
  [SMALL_STATE(8774)] = 262172,
  [SMALL_STATE(8775)] = 262179,
  [SMALL_STATE(8776)] = 262186,
  [SMALL_STATE(8777)] = 262193,
  [SMALL_STATE(8778)] = 262200,
  [SMALL_STATE(8779)] = 262207,
  [SMALL_STATE(8780)] = 262214,
  [SMALL_STATE(8781)] = 262221,
  [SMALL_STATE(8782)] = 262228,
  [SMALL_STATE(8783)] = 262235,
  [SMALL_STATE(8784)] = 262242,
  [SMALL_STATE(8785)] = 262249,
  [SMALL_STATE(8786)] = 262256,
  [SMALL_STATE(8787)] = 262263,
  [SMALL_STATE(8788)] = 262270,
  [SMALL_STATE(8789)] = 262277,
  [SMALL_STATE(8790)] = 262284,
  [SMALL_STATE(8791)] = 262291,
  [SMALL_STATE(8792)] = 262298,
  [SMALL_STATE(8793)] = 262305,
  [SMALL_STATE(8794)] = 262312,
  [SMALL_STATE(8795)] = 262319,
  [SMALL_STATE(8796)] = 262326,
  [SMALL_STATE(8797)] = 262333,
  [SMALL_STATE(8798)] = 262340,
  [SMALL_STATE(8799)] = 262347,
  [SMALL_STATE(8800)] = 262354,
  [SMALL_STATE(8801)] = 262361,
  [SMALL_STATE(8802)] = 262368,
  [SMALL_STATE(8803)] = 262375,
  [SMALL_STATE(8804)] = 262382,
  [SMALL_STATE(8805)] = 262389,
  [SMALL_STATE(8806)] = 262396,
  [SMALL_STATE(8807)] = 262403,
  [SMALL_STATE(8808)] = 262410,
  [SMALL_STATE(8809)] = 262417,
  [SMALL_STATE(8810)] = 262424,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8383),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5642),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8744),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7650),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8633),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7780),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5187),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5204),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5171),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7282),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7924),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8433),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8128),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8591),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8645),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8032),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8283),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6677),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8074),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5226),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7786),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6527),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6406),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8175),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7956),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5090),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8509),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8516),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7579),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7151),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7858),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8072),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7610),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8121),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8140),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8565),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7598),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8089),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8583),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7864),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6536),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8621),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8200),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5737),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6578),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8430),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8431),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8560),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7688),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7355),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7638),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8077),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7860),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8620),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8371),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8377),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8458),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7649),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8006),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6587),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6346),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8709),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8710),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8012),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5773),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 10),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 78),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 10),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 78),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1044),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6578),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8430),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5703),
  [395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8431),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7688),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1001),
  [418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5342),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(236),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(240),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3938),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2403),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2294),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8633),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6496),
  [445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7735),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8758),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7780),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2474),
  [457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2266),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1295),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2404),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2383),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2264),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6188),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5187),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5204),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5171),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7355),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7638),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1749),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8077),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7860),
  [508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(902),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8620),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1238),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8371),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8377),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8458),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7649),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8006),
  [532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8032),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8455),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8283),
  [547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6677),
  [550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4335),
  [553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7115),
  [556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6947),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4067),
  [562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4046),
  [565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2340),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8074),
  [571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5226),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1136),
  [580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(909),
  [583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7641),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1669),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6587),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6346),
  [598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8709),
  [601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8710),
  [604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1414),
  [607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1740),
  [610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7571),
  [613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5090),
  [619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5431),
  [622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8012),
  [625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2422),
  [628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5773),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1070),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6529),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8052),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5707),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7970),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7801),
  [657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(468),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(241),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3900),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2304),
  [669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(56),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2396),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7194),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7698),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1760),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8325),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7639),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(905),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8708),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1235),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8083),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8086),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7979),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7705),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8286),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1131),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7701),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1474),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6581),
  [726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6472),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8733),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8724),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1383),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1750),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8294),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5752),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1031),
  [756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6574),
  [759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8509),
  [762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5674),
  [765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8516),
  [768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7579),
  [771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(490),
  [774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3872),
  [780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2297),
  [783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2392),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7151),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7858),
  [797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8072),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7610),
  [806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(899),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8270),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1231),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8121),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8140),
  [821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8565),
  [824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7598),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8089),
  [830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1130),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7864),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6536),
  [842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6389),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8621),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8622),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1707),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8200),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5737),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6529),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7970),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7801),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7194),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7698),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8325),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7639),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8708),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8083),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7979),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7705),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8286),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7701),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6581),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8733),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8724),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8294),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5752),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1074),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6538),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8383),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5642),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8744),
  [1032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7650),
  [1035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [1038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [1041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [1047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1001),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5342),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [1059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3884),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2403),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2305),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8633),
  [1071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6496),
  [1074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7735),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8758),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7780),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2474),
  [1086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [1089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2266),
  [1092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1295),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2404),
  [1098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2393),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [1104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2264),
  [1110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6188),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5187),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5204),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5171),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7282),
  [1125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7583),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1616),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8585),
  [1134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7924),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(898),
  [1140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8433),
  [1143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1234),
  [1146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8128),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8591),
  [1152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8645),
  [1155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [1158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [1161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8032),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8455),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8283),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6677),
  [1173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4895),
  [1176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7115),
  [1179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6947),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4972),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4046),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2340),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8074),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [1197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5226),
  [1200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1129),
  [1203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(909),
  [1206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7786),
  [1209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1669),
  [1212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1415),
  [1215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6527),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6406),
  [1221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8175),
  [1224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7956),
  [1227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1471),
  [1230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [1233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7571),
  [1236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [1239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5090),
  [1242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5431),
  [1245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2422),
  [1248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1085),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [1256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [1259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [1262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [1270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(236),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [1276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3938),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2020),
  [1282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2404),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8633),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6496),
  [1291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7636),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8758),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2266),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1298),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2264),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6188),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5187),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5204),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5171),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7355),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7638),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7860),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(902),
  [1339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8620),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1238),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8371),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8377),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8458),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7649),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8006),
  [1360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8032),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8455),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8283),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6677),
  [1378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4335),
  [1381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7115),
  [1384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6947),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4067),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4046),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2340),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8074),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5226),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7894),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7641),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1669),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1414),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1740),
  [1420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7571),
  [1423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5090),
  [1429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5431),
  [1432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8012),
  [1435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2422),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5773),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7894),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [1483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1083),
  [1486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(468),
  [1489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(507),
  [1492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3900),
  [1495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(56),
  [1498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7194),
  [1501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7698),
  [1504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7639),
  [1507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(905),
  [1510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8708),
  [1513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1235),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8083),
  [1519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8086),
  [1522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7979),
  [1525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7705),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8286),
  [1531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7701),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1474),
  [1537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1383),
  [1540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1750),
  [1543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8294),
  [1546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5752),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1079),
  [1552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(490),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3872),
  [1561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7151),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7858),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7610),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(899),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8270),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1231),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8121),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8140),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8565),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7598),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8089),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7864),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1707),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8200),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5737),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7891),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8408),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8413),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5771),
  [1629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1082),
  [1632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(544),
  [1635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(554),
  [1638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3884),
  [1641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [1644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7282),
  [1647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7583),
  [1650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7924),
  [1653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(898),
  [1656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8433),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1234),
  [1662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8128),
  [1665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8591),
  [1668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8645),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7891),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8408),
  [1677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7786),
  [1680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1415),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1471),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [1689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8413),
  [1692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5771),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7459),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7532),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8473),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7798),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5743),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7250),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7726),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7699),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8722),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8327),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8328),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8057),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7731),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8369),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7751),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8370),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5729),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [1757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1080),
  [1760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1037),
  [1763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(543),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3896),
  [1769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(61),
  [1772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7250),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7726),
  [1778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7699),
  [1781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(871),
  [1784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8722),
  [1787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1227),
  [1790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8327),
  [1793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8328),
  [1796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8057),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7731),
  [1802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8369),
  [1805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7751),
  [1808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1454),
  [1811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1382),
  [1814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1761),
  [1817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8370),
  [1820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5729),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8641),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8424),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6148),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5287),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5288),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8532),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8783),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8808),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6722),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5298),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 2, 0, 10),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 2, 0, 10),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5830),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6088),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 3, 0, 47),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 3, 0, 47),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6295),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6191),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5244),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8273),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8774),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8805),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6710),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5267),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5082),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7665),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7665),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 173),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 173),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 130),
  [2128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 130),
  [2130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 4, 0, 94),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 4, 0, 94),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 4, 0, 93),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 4, 0, 93),
  [2146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 4, 0, 134),
  [2148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 4, 0, 134),
  [2150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 166),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 166),
  [2178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 54),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 54),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 130),
  [2188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 130),
  [2190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 178),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 178),
  [2194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 5, 0, 179),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 5, 0, 179),
  [2198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 5, 0, 180),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 5, 0, 180),
  [2202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 5, 0, 181),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 5, 0, 181),
  [2206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 199),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 199),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 200),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 200),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 201),
  [2216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 201),
  [2218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 6, 0, 203),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 6, 0, 203),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 113),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 113),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 3, 0, 46),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 3, 0, 46),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 2, 0, 9),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 2, 0, 9),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 3, 0, 48),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 3, 0, 48),
  [2292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_discard_statement, 2, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_discard_statement, 2, 0, 0),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2560),
  [2311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(931),
  [2314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1503),
  [2317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1544),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1544),
  [2325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1549),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6496),
  [2335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1254),
  [2338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7047),
  [2341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8478),
  [2344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7894),
  [2347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [2361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7717),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7551),
  [2369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7551),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [2456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [2484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7810),
  [2490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [2494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 111),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 111),
  [2522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 115),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 115),
  [2526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 120),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 120),
  [2542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 124),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 124),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 125),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 125),
  [2550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 126),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 126),
  [2554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [2558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 127),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 127),
  [2562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [2566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [2574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [2578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [2582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [2590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 168),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 168),
  [2594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 174),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 174),
  [2598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 175),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 175),
  [2602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 176),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 176),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 197),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 197),
  [2610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 202),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 202),
  [2614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 214),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 214),
  [2618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7717),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [2645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7810),
  [2648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8115),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5677),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8001),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8415),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7887),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5342),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8329),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6116),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5143),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8706),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6353),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8741),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [2720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(2560),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1549),
  [2728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6496),
  [2731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7047),
  [2734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(8478),
  [2737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7894),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [2742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(2560),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1549),
  [2750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6496),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7047),
  [2760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(8478),
  [2763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7894),
  [2766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [2768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(2560),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1549),
  [2776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6496),
  [2779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7047),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(8478),
  [2785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7894),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 10),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 78),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 10),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 78),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [2838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2572),
  [2841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1705),
  [2844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6516),
  [2847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6924),
  [2850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2518),
  [2853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8115),
  [2856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5677),
  [2859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [2861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8001),
  [2864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7887),
  [2867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4874),
  [2870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8326),
  [2873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3196),
  [2876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5342),
  [2879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5342),
  [2882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(724),
  [2885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2401),
  [2888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3903),
  [2891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2403),
  [2894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2404),
  [2897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8633),
  [2900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5490),
  [2903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7695),
  [2906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8758),
  [2909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7780),
  [2912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2266),
  [2915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8329),
  [2918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [2921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2398),
  [2924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [2927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2286),
  [2930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6116),
  [2933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5142),
  [2936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5143),
  [2939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5145),
  [2942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2340),
  [2945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8074),
  [2948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [2951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5148),
  [2954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7002),
  [2957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(909),
  [2960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1217),
  [2963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8706),
  [2966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6353),
  [2969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8741),
  [2972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2422),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7969),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5625),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8004),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6427),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8723),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8172),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5616),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8662),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7017),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6424),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8748),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [3077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7969),
  [3080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5625),
  [3083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8004),
  [3086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7605),
  [3089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(795),
  [3092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2387),
  [3095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3894),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2389),
  [3103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6931),
  [3106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1222),
  [3109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6427),
  [3112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8723),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [3161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8172),
  [3164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5616),
  [3167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8662),
  [3170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7599),
  [3173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(827),
  [3176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2384),
  [3179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3905),
  [3182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2400),
  [3185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7017),
  [3188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1214),
  [3191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6424),
  [3194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8748),
  [3197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8478),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [3221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2590),
  [3224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(931),
  [3227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1503),
  [3230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1503),
  [3233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1544),
  [3236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(490),
  [3239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1549),
  [3242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6496),
  [3245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7636),
  [3248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(41),
  [3251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1298),
  [3254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7047),
  [3257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7459),
  [3260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7583),
  [3263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1739),
  [3266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8333),
  [3269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7532),
  [3272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(898),
  [3275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8473),
  [3278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1234),
  [3281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8128),
  [3284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8591),
  [3287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8645),
  [3290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7798),
  [3293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8089),
  [3296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1725),
  [3299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1446),
  [3302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8032),
  [3305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8455),
  [3308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8283),
  [3311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6677),
  [3314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4335),
  [3317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7115),
  [3320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6947),
  [3323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4067),
  [3326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4046),
  [3329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8478),
  [3332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7894),
  [3335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7786),
  [3338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1669),
  [3341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1415),
  [3344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1471),
  [3347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1499),
  [3350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7571),
  [3353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1500),
  [3356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5090),
  [3359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5431),
  [3362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8200),
  [3365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5743),
  [3368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2589),
  [3371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(544),
  [3374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7282),
  [3377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1616),
  [3380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8585),
  [3383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7924),
  [3386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8433),
  [3389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7891),
  [3392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8408),
  [3395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8413),
  [3398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5771),
  [3401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2583),
  [3404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(468),
  [3407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(56),
  [3410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7194),
  [3413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7698),
  [3416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1760),
  [3419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8325),
  [3422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7639),
  [3425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(905),
  [3428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8708),
  [3431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1235),
  [3434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8083),
  [3437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8086),
  [3440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7979),
  [3443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7705),
  [3446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8286),
  [3449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7701),
  [3452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1474),
  [3455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1383),
  [3458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1750),
  [3461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8294),
  [3464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5752),
  [3467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2585),
  [3470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(236),
  [3473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(48),
  [3476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7355),
  [3479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7638),
  [3482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1749),
  [3485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8077),
  [3488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7860),
  [3491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(902),
  [3494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8620),
  [3497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1238),
  [3500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8371),
  [3503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8377),
  [3506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8458),
  [3509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7649),
  [3512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8006),
  [3515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7641),
  [3518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1412),
  [3521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1414),
  [3524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1740),
  [3527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8012),
  [3530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5773),
  [3533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2578),
  [3536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(37),
  [3539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7151),
  [3542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7858),
  [3545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1706),
  [3548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8072),
  [3551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7610),
  [3554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(899),
  [3557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8270),
  [3560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1231),
  [3563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8121),
  [3566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8140),
  [3569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8565),
  [3572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7598),
  [3575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7864),
  [3578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1428),
  [3581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1444),
  [3584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1707),
  [3587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5737),
  [3590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2566),
  [3593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1037),
  [3596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(61),
  [3599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7250),
  [3602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7726),
  [3605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7699),
  [3608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(871),
  [3611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8722),
  [3614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1227),
  [3617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8327),
  [3620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8328),
  [3623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8057),
  [3626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7731),
  [3629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8369),
  [3632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7751),
  [3635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1454),
  [3638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1382),
  [3641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1761),
  [3644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8370),
  [3647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5729),
  [3650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [3652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7029),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8474),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8777),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8806),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6718),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5447),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6118),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5245),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6942),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8737),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8734),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6980),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [3808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [3822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [3824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [3826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [3828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [3832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7045),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8553),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8786),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8809),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6726),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5435),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8751),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8742),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7012),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8745),
  [3882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8716),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7056),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8315),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8754),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8749),
  [3902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6924),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7760),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7760),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5056),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5305),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5308),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8508),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8780),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8807),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6720),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8534),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5300),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5080),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8269),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [4075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [4079] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(981),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [4098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [4103] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5443),
  [4165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(986),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5074),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6957),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [4254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2576),
  [4257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1510),
  [4260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6521),
  [4263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6942),
  [4266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2634),
  [4269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1558),
  [4272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6489),
  [4275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6957),
  [4278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(980),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8507),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [4345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [4369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 17),
  [4371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 17),
  [4376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5943),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [4425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2388),
  [4428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(914),
  [4431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1584),
  [4434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1667),
  [4437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6505),
  [4440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1254),
  [4443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(912),
  [4446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1508),
  [4449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1665),
  [4452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1665),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [4461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2637),
  [4464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(927),
  [4467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1781),
  [4470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1781),
  [4473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1709),
  [4476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6517),
  [4479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1782),
  [4482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1440),
  [4485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8032),
  [4488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8455),
  [4491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8283),
  [4494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6677),
  [4497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4335),
  [4500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7115),
  [4503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6947),
  [4506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4067),
  [4509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4046),
  [4512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1783),
  [4515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7571),
  [4518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1784),
  [4521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5074),
  [4524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5431),
  [4527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(978),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [4592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [4595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [4598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [4601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [4604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [4607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3032),
  [4610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1549),
  [4613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6496),
  [4616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1600),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [4621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1254),
  [4624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7047),
  [4627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [4630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [4633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8032),
  [4636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8455),
  [4639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8283),
  [4642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6677),
  [4645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4335),
  [4648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7115),
  [4651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6947),
  [4654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4067),
  [4657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4046),
  [4660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8478),
  [4663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6513),
  [4666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7894),
  [4669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1669),
  [4672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7571),
  [4675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [4678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5090),
  [4681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5431),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5144),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5162),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5223),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5224),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5241),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5243),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5159),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5160),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5252),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5229),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5231),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5218),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5220),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5232),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [4778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5165),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5167),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5209),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5210),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5211),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5275),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5213),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5237),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5239),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8264),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8279),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8136),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8147),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8021),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [4866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8652),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [4881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [4899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8164),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8068),
  [4917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7950),
  [4920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8634),
  [4923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8639),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [4938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8701),
  [4941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7949),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [4950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8157),
  [4953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8488),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [4966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8570),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [4977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 78),
  [4979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 105),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [4993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [4997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8394),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8304),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [5016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [5018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7402),
  [5022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8477),
  [5024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [5026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8636),
  [5028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 105),
  [5030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7213),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8714),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [5040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 190),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [5052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8341),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [5063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8060),
  [5066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8395),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [5077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8535),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8129),
  [5090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8165),
  [5093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8412),
  [5096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8630),
  [5099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8556),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [5110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8522),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [5115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7046),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [5125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8753),
  [5128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8336),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8056),
  [5143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7939),
  [5146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8361),
  [5149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7952),
  [5152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8425),
  [5155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8034),
  [5158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8543),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7971),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8529),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8076),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8119),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8762),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [5191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8092),
  [5194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8065),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [5217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8782),
  [5220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7967),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [5227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8210),
  [5230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8204),
  [5233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8417),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7991),
  [5260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [5276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [5318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [5332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7779),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6553),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [5345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8266),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8472),
  [5355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [5357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [5359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 183),
  [5361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 183),
  [5363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 182),
  [5365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 182),
  [5367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 183),
  [5369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 183),
  [5371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 126),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 126),
  [5395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 127),
  [5401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 127),
  [5403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 206),
  [5413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 206),
  [5415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 182),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 182),
  [5419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 207),
  [5421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 207),
  [5423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 176),
  [5425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 176),
  [5427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 216),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 216),
  [5435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 207),
  [5441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 207),
  [5443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 216),
  [5445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 216),
  [5447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7741),
  [5474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7790),
  [5481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7741),
  [5483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7790),
  [5485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 122),
  [5499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 122),
  [5501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 55),
  [5523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 55),
  [5525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 172),
  [5527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 172),
  [5529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [5543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(978),
  [5546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [5556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(982),
  [5559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(984),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [5572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [5584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(979),
  [5587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2242),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [5600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8186),
  [5604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 55),
  [5606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 55),
  [5608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [5610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [5614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [5630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2377),
  [5633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2259),
  [5636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2376),
  [5639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8266),
  [5642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7855),
  [5645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8268),
  [5648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8472),
  [5651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2375),
  [5654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [5656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [5658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [5660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [5662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [5664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [5670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(1245),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [5685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [5691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2279),
  [5694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [5702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hlsl_attribute, 3, 0, 0),
  [5704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [5706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [5708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hlsl_attribute, 3, 0, 0),
  [5710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [5712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [5718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [5732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [5742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2283),
  [5745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [5751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [5757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [5759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [5767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [5777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [5811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [5853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [5855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [5939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [5986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualifiers, 1, 0, 0),
  [5996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualifiers, 1, 0, 0),
  [5998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [6000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [6002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(1242),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6589),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [6011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [6017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [6019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(983),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [6024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 107),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6557),
  [6036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6537),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [6052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [6057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [6059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [6067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [6070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2404),
  [6073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8633),
  [6076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7695),
  [6079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8758),
  [6082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [6085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2422),
  [6088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2413),
  [6091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2414),
  [6094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [6096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [6098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7028),
  [6101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7912),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [6106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [6108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [6110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [6112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [6114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2377),
  [6117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2419),
  [6120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2376),
  [6123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8266),
  [6126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7855),
  [6129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8268),
  [6132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8472),
  [6135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [6138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2375),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [6143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [6145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [6147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [6149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [6151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(2462),
  [6154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(2424),
  [6157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8507),
  [6160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [6162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [6166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [6168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [6170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [6172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [6174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 215),
  [6176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 215),
  [6178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(982),
  [6181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2457),
  [6184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(991),
  [6187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(998),
  [6190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8551),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [6200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [6202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8747),
  [6208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [6212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [6214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(983),
  [6217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [6221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [6229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [6235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [6237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [6239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 20),
  [6241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 20),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [6249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8007),
  [6251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [6253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [6257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [6259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [6261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(983),
  [6264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [6266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [6268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [6270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [6284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [6286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [6288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [6291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [6294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(980),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [6311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [6320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [6322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(993),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [6331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2575),
  [6334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6933),
  [6337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7910),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [6344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [6346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(8419),
  [6349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(6281),
  [6352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [6356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [6359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6894),
  [6362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7923),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [6367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [6381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [6383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [6389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [6391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2596),
  [6394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6879),
  [6397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7919),
  [6400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [6402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [6404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [6410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [6414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [6416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [6418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 167),
  [6420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 167),
  [6422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [6424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [6426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2712),
  [6429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [6431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [6433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(991),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [6440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [6442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [6448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [6454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7750),
  [6465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 169),
  [6475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 169),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [6487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [6489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [6519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [6521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2700),
  [6524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 116),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 116),
  [6532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [6534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [6538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [6540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [6546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 117),
  [6548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 117),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [6554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 118),
  [6556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 1, 118),
  [6558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 118), SHIFT(983),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [6565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [6567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [6569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(983),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [6582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [6586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [6588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2751),
  [6591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6875),
  [6594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7918),
  [6597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [6599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [6605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2798),
  [6608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(983),
  [6619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [6621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [6623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [6631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [6641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 55),
  [6643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 55),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [6647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [6653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [6681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [6691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [6701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 17),
  [6703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 17),
  [6705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [6707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [6715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2884),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [6720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [6728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [6734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [6736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 108),
  [6738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 108),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [6744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [6752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 131),
  [6754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 131),
  [6756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [6766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [6768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [6770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [6772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [6774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [6776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 177),
  [6790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 177),
  [6792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 191),
  [6802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 191),
  [6804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 193),
  [6806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 193),
  [6808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 194),
  [6810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 194),
  [6812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 212),
  [6822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 212),
  [6824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 213),
  [6826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 213),
  [6828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 220),
  [6834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 220),
  [6836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 221),
  [6838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 221),
  [6840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 224),
  [6846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 224),
  [6848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [6854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [6856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 55),
  [6858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 55),
  [6860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [6866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [6868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [6886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [6888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 88),
  [6890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 88),
  [6892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [6894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [6908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(982),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [6925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2902),
  [6928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6874),
  [6931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7907),
  [6934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [6962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [6964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [6966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [6968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [6971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(991),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [6986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [7000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [7002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [7004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [7006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [7008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [7010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [7014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [7016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [7018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [7028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [7042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [7044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [7054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [7056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [7058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 119),
  [7060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 119),
  [7062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 170),
  [7064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 170),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [7076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [7078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [7080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [7082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [7086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(993),
  [7089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [7093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5504),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [7097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(8471),
  [7100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7725),
  [7103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [7105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4408),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [7111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [7115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6088),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [7122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5493),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [7127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [7129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [7135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [7137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [7139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [7145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8329),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [7153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5368),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [7157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [7159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [7165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [7167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [7169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [7173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [7177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [7181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [7183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [7193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6602),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [7199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [7211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [7213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [7215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [7217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [7223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [7225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [7227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [7233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [7237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [7243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [7247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [7275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [7277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [7281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [7289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [7303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [7309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5353),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [7337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [7345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [7365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5482),
  [7368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5975),
  [7371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5505),
  [7374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7768),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [7379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [7387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 128),
  [7389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 128),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [7393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [7399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [7407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(982),
  [7410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [7412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [7420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [7422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [7426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [7438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [7444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(978),
  [7447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(980),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [7456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [7466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [7488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7785),
  [7491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 118), SHIFT(982),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [7496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5481),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [7503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5965),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [7507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [7509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [7515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [7517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [7523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [7529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [7531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [7537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3406),
  [7540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6890),
  [7543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7922),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [7550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5486),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5417),
  [7561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [7567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [7569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 118), SHIFT(991),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [7586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [7598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [7602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [7616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [7620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8580),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [7664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(982),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [7675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [7681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6059),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [7691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [7697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [7699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [7701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [7705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [7709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [7713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [7715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8506),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [7733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [7735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(991),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [7740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3533),
  [7743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6870),
  [7746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [7751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3745),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [7756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [7758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [7760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [7764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5501),
  [7766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [7768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(991),
  [7771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [7773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [7777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [7779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [7781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7855),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [7788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [7790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [7800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [7808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [7816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5471),
  [7819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [7825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5506),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [7841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [7843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3818),
  [7846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(998),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4617),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5075),
  [7857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5126),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [7863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5290),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5291),
  [7867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5271),
  [7871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [7877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5293),
  [7881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [7883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [7885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [7887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [7891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [7893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [7895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [7897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [7899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5258),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [7903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [7905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8595),
  [7907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5177),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [7919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5462),
  [7921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [7925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [7927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [7929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [7931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5201),
  [7933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5203),
  [7937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [7939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8573),
  [7941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5183),
  [7943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [7949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5212),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [7953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5217),
  [7955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5307),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [7959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [7961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8244),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [7973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4994),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [7981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [7985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(979),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [7992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8588),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8471),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [8010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [8012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [8014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [8016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4167),
  [8019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4168),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [8024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4158),
  [8027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4139),
  [8030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [8036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [8060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [8066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5681),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [8072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5655),
  [8080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(984),
  [8083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [8091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5742),
  [8093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [8095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [8097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [8099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6286),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [8107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5751),
  [8109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6274),
  [8111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6278),
  [8113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [8115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [8117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [8125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [8131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5736),
  [8133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [8141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [8143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [8145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [8151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5797),
  [8153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [8161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5788),
  [8163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [8165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [8167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [8169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [8171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [8179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5808),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [8185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [8187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [8193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [8199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6742),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [8207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [8209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [8213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [8215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [8219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [8227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [8235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [8241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [8243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [8245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [8251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6277),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [8257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [8263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [8271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [8273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [8279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [8281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [8283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4281),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5938),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [8296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [8298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [8300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4408),
  [8303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4408),
  [8306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8531),
  [8309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [8312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [8315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [8318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4291),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [8323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [8327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [8333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [8337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [8341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [8357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [8367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [8373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5509),
  [8375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [8377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [8379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [8383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [8387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [8389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [8393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [8409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [8421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8471),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [8438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [8444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 188),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [8448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8633),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [8453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [8455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 175),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [8459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [8463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [8469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [8473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [8477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [8497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 81),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [8529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [8533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [8539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [8543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [8547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [8551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [8681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137), SHIFT(1388),
  [8684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137),
  [8686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1388),
  [8689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [8691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [8695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 112),
  [8697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 185),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [8703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [8707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [8713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [8717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [8721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [8743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [8758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [8760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [8770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 158),
  [8772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [8778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 196),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [8782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 138),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [8796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(8471),
  [8801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7725),
  [8804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6088),
  [8809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5493),
  [8812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 147),
  [8814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 148),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [8818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [8822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [8854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [8860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [8864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 187),
  [8866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 189),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [8870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 4, 0, 198),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [8878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 208),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [8912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 82),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [8924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 55),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [8964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4994),
  [8967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4994),
  [8970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4996),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [9037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 55),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [9045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 209),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [9055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4364),
  [9058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8269),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [9071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [9076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [9078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(8471),
  [9081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7725),
  [9084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [9086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6088),
  [9089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5493),
  [9092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5482),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [9097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5975),
  [9100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5505),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [9107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [9111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [9115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [9119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5481),
  [9122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4364),
  [9125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8269),
  [9128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5486),
  [9131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(1228),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [9136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [9140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [9142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [9144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [9146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5152),
  [9148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [9150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5155),
  [9152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [9154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8510),
  [9156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5268),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [9160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [9162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [9164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6149),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5312),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [9172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [9174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [9176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5221),
  [9180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5225),
  [9182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5227),
  [9184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8587),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5246),
  [9190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [9194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [9196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5247),
  [9198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [9200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [9204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [9206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5364),
  [9209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5364),
  [9212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8552),
  [9215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [9219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [9221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [9223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [9225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5191),
  [9227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5192),
  [9229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [9231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [9233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8555),
  [9235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5170),
  [9237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [9245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6147),
  [9247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [9249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5173),
  [9251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5174),
  [9253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5269),
  [9255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [9259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [9261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [9263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6177),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5302),
  [9267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [9269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5176),
  [9271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [9273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8476),
  [9275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [9277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [9285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [9287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [9291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5260),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5261),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [9297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [9299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8601),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5272),
  [9303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5975),
  [9306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5505),
  [9309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5482),
  [9312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7855),
  [9315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5471),
  [9318] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(2242),
  [9322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5481),
  [9325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(2242),
  [9328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(2242),
  [9331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5133),
  [9334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5114),
  [9337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5135),
  [9340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(5122),
  [9343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20), SHIFT(5137),
  [9346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20), SHIFT(2242),
  [9349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18), SHIFT(2242),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [9354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [9356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(8471),
  [9361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7725),
  [9364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6088),
  [9369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5493),
  [9372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6297),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [9380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5194),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5195),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5196),
  [9386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5257),
  [9388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [9390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5486),
  [9393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [9395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4301),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [9399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [9401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [9403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [9405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [9407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [9409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [9411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4720),
  [9413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(5118),
  [9424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7855),
  [9427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5471),
  [9430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5975),
  [9433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5505),
  [9436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5482),
  [9439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7855),
  [9442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5481),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [9451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7024),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [9457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [9459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6915),
  [9461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5486),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [9468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [9476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [9480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [9486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4888),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6973),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [9494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [9496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7030),
  [9498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7855),
  [9501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5471),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [9536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6421),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7054),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [9542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [9544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [9546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6458),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [9552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [9554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [9558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [9564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6831),
  [9570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [9574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [9578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5921),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [9582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [9584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6958),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [9588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [9590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [9592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [9594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6171),
  [9596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [9598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [9600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [9602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7460),
  [9604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [9610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [9612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [9614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5734),
  [9616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5777),
  [9618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4309),
  [9620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [9624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [9626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [9628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [9632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [9642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [9646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [9648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [9658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5617),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [9664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5629),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [9668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5650),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [9672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5683),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [9678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [9684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7680),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [9688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [9696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [9702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6088),
  [9705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5493),
  [9708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [9710] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [9716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6590),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7212),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [9724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5577),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [9728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [9732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5668),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [9740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [9750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [9752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [9756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [9762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7190),
  [9764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [9770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [9774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7229),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [9778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [9788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [9794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7253),
  [9796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [9798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [9800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7285),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [9812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [9816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7171),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [9828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [9832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7432),
  [9834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [9838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [9846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [9856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [9858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7425),
  [9860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [9870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [9872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [9878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [9882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [9888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 55),
  [9898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 55),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [9906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [9914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [9930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [9934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7407),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [9946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [9950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [9954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [9958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7113),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [9962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [9968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [9980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7522),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [9984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [9986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [9992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [9994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [9996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5622),
  [9998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5661),
  [10000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [10002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [10004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [10006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5636),
  [10008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5637),
  [10010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5645),
  [10012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [10014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [10016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [10024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [10030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6634),
  [10032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7214),
  [10034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6387),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [10044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [10052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6975),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [10056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7426),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [10066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [10068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [10070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6088),
  [10073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5493),
  [10076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [10080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [10094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7725),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [10103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [10109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [10111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [10121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5975),
  [10124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5505),
  [10127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [10131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6768),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [10143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [10145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6187),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [10169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5975),
  [10172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5505),
  [10175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6137),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [10183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5482),
  [10186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [10194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5917),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [10200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6296),
  [10202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [10210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [10214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [10220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [10222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [10224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(6088),
  [10227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [10233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [10235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5873),
  [10239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [10243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5975),
  [10246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5917),
  [10249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6859),
  [10252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7915),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [10259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 129),
  [10261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [10263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [10265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [10267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [10269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [10271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8266),
  [10276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8472),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [10283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [10285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [10287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [10289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [10291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8712),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [10296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6807),
  [10298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [10300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [10302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [10304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [10306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [10308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [10310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [10312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [10314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [10316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [10318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4248),
  [10320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [10322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [10324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [10326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [10328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [10330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [10332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [10334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [10336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [10338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [10340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [10342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [10344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 171),
  [10346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 116),
  [10348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [10352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6786),
  [10354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [10356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [10358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [10360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5482),
  [10365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5481),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [10370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 121),
  [10374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [10380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [10384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [10388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 10),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [10392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5693),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [10400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5486),
  [10403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 171),
  [10409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 116),
  [10411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [10415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [10419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [10423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 169),
  [10425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 169),
  [10427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5481),
  [10430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [10434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6817),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [10440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6782),
  [10442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [10446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [10454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [10464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 78),
  [10466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 121),
  [10472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [10484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6303),
  [10486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 167),
  [10488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6290),
  [10490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6288),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6282),
  [10500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6292),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [10514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [10516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6294),
  [10518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6335),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [10534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [10550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5486),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [10555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [10571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [10575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [10577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [10589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 84),
  [10591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6273),
  [10593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [10595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [10599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6308),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [10603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [10607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5471),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [10612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5684),
  [10614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8100),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [10626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [10634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [10646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6661),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [10650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24), SHIFT(8588),
  [10655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [10661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [10663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 167),
  [10665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [10667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [10673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [10677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6789),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6810),
  [10681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [10689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [10693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_semantics, 2, 0, 0),
  [10697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_semantics, 2, 0, 0),
  [10699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [10717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [10719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 169),
  [10725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 169),
  [10727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 116),
  [10729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 116),
  [10731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [10733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [10735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, 1, 24),
  [10737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, 1, 24),
  [10739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7735),
  [10746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6605),
  [10748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6559),
  [10750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6597),
  [10752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6588),
  [10754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 78),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [10758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5643),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [10766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [10772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7159),
  [10779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5704),
  [10782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8288),
  [10785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7650),
  [10788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 78),
  [10792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6596),
  [10794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6583),
  [10796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 78),
  [10798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6601),
  [10800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [10802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6524),
  [10804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [10812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6591),
  [10814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6551),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6512),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [10820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6633),
  [10822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6532),
  [10824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 10),
  [10826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 10),
  [10828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 10),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [10832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 169),
  [10834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 169),
  [10836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5471),
  [10839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [10847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [10849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 116),
  [10851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 116),
  [10853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6651),
  [10859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6584),
  [10861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6501),
  [10863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [10869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [10871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [10877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [10883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [10885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [10887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5073),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [10891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [10893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [10895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [10897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [10899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5072),
  [10901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [10903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5103),
  [10905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [10909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [10911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [10915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [10917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [10919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [10921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [10923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [10925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [10927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [10929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [10931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [10933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [10935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6872),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [10939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8802),
  [10941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [10943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [10945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7160),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [10951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [10953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [10955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7723),
  [10957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [10959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7620),
  [10961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [10963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [10965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6881),
  [10967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7236),
  [10969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7516),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [10973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6299),
  [10977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7702),
  [10979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7871),
  [10983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [10985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7729),
  [10987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7809),
  [10991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7335),
  [10993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [10997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7803),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6981),
  [11001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [11003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7722),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7644),
  [11009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7530),
  [11011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6869),
  [11013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [11015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7769),
  [11017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [11019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [11021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7600),
  [11025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [11027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [11029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7640),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7223),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [11035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [11037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7696),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [11041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [11043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7504),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [11047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [11049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7793),
  [11051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [11053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [11055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [11057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [11059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6851),
  [11061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [11063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7026),
  [11065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6856),
  [11067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7453),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [11081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [11083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [11095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [11099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [11101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 66),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [11105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [11107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [11119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [11131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7159),
  [11134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6624),
  [11141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [11147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 56),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [11157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [11159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6805),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [11164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7429),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [11182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7124),
  [11184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [11186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [11190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [11192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [11194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [11196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [11198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [11208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7382),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [11212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [11216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [11224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1519),
  [11227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [11229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(8583),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [11256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [11258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [11260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [11262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [11264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [11276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [11278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [11288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [11310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 176),
  [11312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 176),
  [11314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 126),
  [11316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 126),
  [11318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [11320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [11326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 127),
  [11328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 127),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [11348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [11362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7534),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [11374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [11376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [11378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7759),
  [11380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 195),
  [11382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 157),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [11394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7383),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [11404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [11408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7625),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [11412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7545),
  [11414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [11416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7608),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [11430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [11434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7840),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [11438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [11442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6829),
  [11444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [11446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6865),
  [11448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [11452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6932),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [11478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [11482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6848),
  [11484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [11486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [11496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6165),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [11500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6861),
  [11502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [11504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [11510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [11514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6867),
  [11516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [11518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6865),
  [11521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [11523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [11529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [11533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6871),
  [11535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [11537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 19),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [11543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [11547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6964),
  [11549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [11553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [11555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [11559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [11563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6880),
  [11565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [11571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [11575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [11577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [11581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [11585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6887),
  [11587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [11589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [11593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [11597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6891),
  [11599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [11601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [11605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [11609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6895),
  [11611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [11623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [11627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7019),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [11641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [11653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8040),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [11659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [11663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8627),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [11669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [11671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6932),
  [11674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6932),
  [11677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [11681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6953),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [11687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7961),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [11695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [11701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 222), SHIFT_REPEAT(6036),
  [11704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 222),
  [11706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [11710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7063),
  [11712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [11714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [11718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6967),
  [11720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 114), SHIFT_REPEAT(5794),
  [11723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 114),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [11727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [11729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [11733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8690),
  [11735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8389),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [11739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7102),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [11745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [11747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [11749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [11763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 153),
  [11765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [11769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [11773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8446),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [11787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [11801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [11805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [11807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [11809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [11813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 184), SHIFT_REPEAT(5876),
  [11816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 184),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [11820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [11824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7042),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [11830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [11832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [11836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7051),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [11840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 192),
  [11842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [11846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [11850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8436),
  [11852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [11856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 153),
  [11858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 87),
  [11860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 210), SHIFT_REPEAT(6599),
  [11863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 210),
  [11865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5705),
  [11867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [11879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 218),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [11883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [11917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 91),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [11923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [11925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7955),
  [11927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 210), SHIFT_REPEAT(6649),
  [11930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 210),
  [11932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 192),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [11936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8378),
  [11938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 211),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [11942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [11945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [11955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [11983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 217),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [11993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 211),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [12057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [12059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1590),
  [12062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [12066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3851),
  [12069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [12075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5631),
  [12078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7572),
  [12081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [12085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 223),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [12103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [12130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7014),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [12230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6966),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [12282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1205),
  [12285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7050),
  [12287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8419),
  [12290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [12296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [12298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 225), SHIFT_REPEAT(8067),
  [12301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 225),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [12323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [12345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6954),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [12373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [12387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6948),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [12415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7039),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [12423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [12427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6828),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [12435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6847),
  [12437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [12439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6866),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [12449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [12453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7101),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [12471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 226),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [12475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1002),
  [12478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [12492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 217),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [12506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [12508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 153),
  [12510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [12514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [12520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5842),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [12541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [12544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [12546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 4, 0, 66),
  [12548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1698),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [12559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 226),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [12595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 219),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [12601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [12605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [12607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6259),
  [12610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [12612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [12614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3907),
  [12617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [12629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 204),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [12641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 100),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [12657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [12659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [12661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 143),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [12679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [12689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [12695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [12718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [12722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 56),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [12726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [12734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 205),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [12752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 114), SHIFT_REPEAT(5228),
  [12755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 114),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [12759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7805),
  [12762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [12766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [12768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 153),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [12776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [12778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 95),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [12788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 100),
  [12790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [12792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 156),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [12806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [12812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8029),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [12816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8505),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [12820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8726),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [12832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8190),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [12838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8376),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [12842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8171),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [12850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [12856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 91),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [12862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [12872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8002),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [12878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 219),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [12882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8046),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [12890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [12894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7996),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [12898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8191),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [12944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8350),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [12948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [12950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [12960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8649),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [12968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [12970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [12984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [13006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [13014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7997),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [13080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 79),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [13088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 55),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [13108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 79),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [13148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 10),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [13152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 126),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [13200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 176),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [13220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [13280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 176),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [13334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7958),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [13519] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [13527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 126),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [13679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 127),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [13797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 176),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [13805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [13839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 126),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [13861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 126),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [13875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 127),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [13897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [13919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 176),
  [13921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [13961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 126),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [13979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 78),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [13993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 79),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [14007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 79),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [14049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 127),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [14081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 127),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [14191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 79),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [14207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 127),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [14285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [14327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 176),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_hlsl_external_scanner_create(void);
void tree_sitter_hlsl_external_scanner_destroy(void *);
bool tree_sitter_hlsl_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_hlsl_external_scanner_serialize(void *, char *);
void tree_sitter_hlsl_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_hlsl(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_hlsl_external_scanner_create,
      tree_sitter_hlsl_external_scanner_destroy,
      tree_sitter_hlsl_external_scanner_scan,
      tree_sitter_hlsl_external_scanner_serialize,
      tree_sitter_hlsl_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
